(CNN) -- Like a stereotypical beauty pageant, it looks like thin will be in at the world's largest annual gadget convention next week in Las Vegas.

At the 2012 International Consumer Electronics Show, computer makers will be pushing a new breed of ultra-thin, ultra-light laptops amid a sea of razor-thin smartphones and tablets.

Last year, 140,000 people in the technology industry convened at the Las Vegas Convention Center to mingle and gawk at cutting-edge hardware. The organizers expect to welcome at least that many people next week.

Electronics makers use CES as a platform to show the types of products they plan to release in the coming year. The compact disc player, high-definition television and Blu-ray each debuted at past conventions. Decades since its formation, the yearly six-day event is a spectacle.

But with some of the largest players in today's consumer electronics industry shunning CES, the trade show's impact may be waning.

Apple, the world's most valuable technology company, and Amazon, an upstart in tablets and the leader in e-readers, do not participate. Google's operating systems can be found in partners' booths, running on phones, tablets and TVs, but the software giant does not run a booth.

And Microsoft, which will deliver its 14th CES presentation Monday, announced recently it will not have a booth or participate in the keynotes after this year's event.

"Are we doing something because it's the right thing to do, or because 'it's the way we've always done it?' " a Microsoft spokesman asked rhetorically in a statement.

The big product categories that will dominate the CES show floor next week, according to manufacturers and analysts, are not revolutionary. They are expected to be thinner, lighter and more refined versions of gadgets that have already gained a toehold with consumers.

Tablets

Electronics makers have been chasing after Apple's iPad for two years, and the racetrack is expected to get more crowded next week.

Google and Samsung last month released the first phone running Android 4.0, which is Google's first system that's designed to work consistently on either a phone or a tablet. At CES, tech companies will showcase plenty of phones with that software, but the touchscreen tablets with Android 4 will be prevalent.

Not to get left out of the party it started about a decade ago, Microsoft is stepping up its tablet efforts. The next major version of Windows will have a revamped interface for tablet computers, which will present programs as tiles that can be touched to fill the screen.

Analysts expect to see a bevy of Windows 8 tablets at CES.

With so many options, bargain hunters may get to pick something besides Amazon's Kindle Fire, which lit up holiday sales last month. (The Fire actually has quite a bit of Android code under the hood. Sorry, Microsoft.)

Ultrabooks

Windows won't be just for tablets, of course. A new breed of computers called Ultrabooks will launch at CES from several PC manufacturers.

If the tablet wars are a response to the iPad, then Ultrabooks follow in the footsteps of Apple's MacBook Air. They are thinner and lighter than the average laptop because they typically do not have disc drives, and instead of hard drives, use flash memory, which is faster but more expensive.

Microsoft will enable this anti-disc computer with the application store in Windows 8. But the Ultrabook initiative is being driven by Intel, which makes the processor that runs them.

"You have Intel pushing heavily on this very thin but relatively traditional clamshell form factor without a lot of emphasis on touch," NPD Group analyst Ross Rubin said in a phone interview. "And then you've got Microsoft pushing the touchscreen tablet experience."

Netbooks appear to be on their way out. That's a bad sign for Google, whose Chromebooks have struggled to challenge Microsoft in PC operating systems.

Internet TVs that also do 3-D

TVs have long been the centerpiece of CES and of the consumer electronics industry as a whole. For the last few years, the big push has been in three-dimensional viewing technology, but demand has been small.

Meanwhile, Internet services are also working their way onto television sets. Netflix and Pandora have seen tremendous growth on TV platforms.

For the 3-D optimists, app-friendly TVs, which also happen to work with 3-D glasses, could allow for more 3-D video from independent filmmakers who distribute over the Web, Rubin noted.

CES is expected to provide a launchpad for TVs that are smarter about how they let watchers access Web content, analysts say. Google has reportedly invested more in its TV platform, which should be evident at CES.

The electronics giants do not want to get beaten to another big opportunity by Apple, which is rumored to be working on a TV set of its own. Don't expect Apple to show up at CES with a big screen though. Or to show up at all.

Connected cars

As the automotive industry strives for a rebound, car makers are looking for high tech to be their guide.

Several car companies have lined up CES presentations. They are expected to announce partnerships with popular Internet software companies and unveil technical wonders available at the touch of a button on the steering wheel. Dieter Zetsche, the head of Mercedes-Benz Cars, will present a keynote speech Tuesday.

MOG, the music-streaming service, plans to announce integration with a line of cars Tuesday. And since last CES, Pandora has more than doubled the number of cars that tap into its streaming radio service, Pandora founder Tim Westergren said in a phone interview.

"These companies see the car as a software platform," Westergren said. "It's the computer on four wheels."

Apps

Sure, CES is about gadgets, but the programs that run on them have become a key selling point.

Many electronics makers have apparently decided that each new phone, tablet, car or refrigerator should allow owners to update their Facebook statuses.

"Software has simply become so critical to the overall customer experience," said Rubin, the NPD Group analyst. "It's no longer an optional part of the business."

Software makers are eager to exploit this reality. Many say they will tout their wares at partners' booths and in private meetings. For example, online video provider Vimeo plans to make a major announcement Monday to coincide with the start of CES.

Vimeo CEO Dae Mellencamp said in an interview at the company's New York headquarters that CES has emerged as an important venue for her company and others like it. "It's the only trade show I attend all year," she said.

@highlight

The Consumer Electronics Show brings a slew of new gadgets

@highlight

Tablets running Google's Android and Microsoft's Windows 8 will debut

@highlight

Ultrabooks, a new type of thinner laptop, are expected to make a splash

@highlight

But some of the largest players in the consumer electronics industry are shunning CES