WASHINGTON (CNN) -- Former Vice President Dick Cheney on Sunday defended the Bush administration's economic record, the invasion of Iraq and the treatment of suspected terrorists, warning that reversing its anti-terrorism policies endangers Americans.

"We've accomplished nearly everything we set out to do," ex-Vice President Dick Cheney says Sunday about Iraq.

In a wide-ranging interview with CNN's "State of the Union," Cheney said the harsh interrogations of suspects and the use of warrantless electronic surveillance were "absolutely essential" to get information to prevent more attacks like the 2001 suicide hijackings that targeted New York and Washington.

"President Obama campaigned against it all across the country, and now he is making some choices that, in my mind, will, in fact, raise the risk to the American people of another attack," he said.

Critics said the Bush administration's "alternative" interrogation techniques amounted to the torture of prisoners in American custody, while the administration's warrantless surveillance program violated federal laws enacted after the Watergate scandal.

Since taking office in January, Obama has announced plans to close the U.S. prison camp at Guantanamo Bay, Cuba, to halt the military trials of suspected terrorists there, and to make CIA officers follow the Army field manual's rules on interrogations. Cheney said the administration appears to be returning to the pre-2001 model of treating terrorism as a law enforcement issue, rather than a military problem.

"When you go back to the law enforcement mode, which I sense is what they're doing, closing Guantanamo and so forth ... they are very much giving up that center of attention and focus that's required, that concept of military threat that is essential if you're going to successfully defend the nation against further attacks," he said.

But Rep. Joe Sestak, D-Pennsylvania, said the Bush administration's policies undercut "what is actually the source of America's greatness -- our principles."

"How can we say that keeping a man in a black hole forever -- perpetually in a black hole -- and saying, 'Let's torture when we decide to,' is what America stands for?" asked Sestak, a former admiral who led the Navy's anti-terrorism efforts.

The Bush administration took office at the end of an economic boom and left in the middle of a deep recession, with a budget surplus in 2001 becoming a $1 trillion-plus deficit by 2009. But Cheney said he and Bush had to spend money to deal with the September 11, 2001 attacks, the resulting war in Afghanistan, the disaster of 2005's Hurricane Katrina, and the costly and unpopular war in Iraq, now nearly six years old.

"All of these things required us to spend money that we had not originally planned to spend, or weren't originally part of the budget," Cheney said. "Stuff happens. And the administration has to be able to respond to that, and we did."

Obama has begun to wind down the war in Iraq, which has cost more than 4,200 American lives and nearly $700 billion in direct costs. But Cheney said the United States has "accomplished nearly everything we set out to do" in Iraq, including establishing a democratic government in the Middle East.

Cheney was one of the administration's leading advocates of the 2003 invasion of Iraq, pressing the Bush administration's argument that Iraq was concealing weapons of mass destruction and could provide those weapons to terrorists. None of those weapons were found after the invasion, but Cheney said, "We've eliminated that possibility."

In 2005, Cheney said the raging insurgency against U.S. troops was in its "last throes." Nearly two years later, a commitment of more than 30,000 additional American troops and a widespread effort to pay former insurgents to turn against Islamic militants helped quell the worst of the violence.

"I don't hear much talk about that, but the fact is, the violence level is down 90 percent," Cheney said. "The number of casualties [among] Iraqis and Americans is significantly diminished. There's been elections, a constitution. They're about to have another presidential election here in the near future. We have succeeded in creating in the heart of the Middle East a democratically governed Iraq, and that is a big deal, and it is, in fact, what we set out to do."

But Sestak said the administration was too slow to react to the problems it faced in Iraq and let the conflict overshadow the "whole fabric" of U.S. national security.

"The cost of this war is something that I strongly believe has far, far hurt us," he said. "We're going to recover, because we're Americans. But Iraq was just one piece of our security, and this administration failed to realize that."

Though considered one of the administration's most influential figures, Cheney said President Bush rebuffed his advice on at least two issues.  Watch Cheney tout Bush administration »

He said Bush left former Cheney aide Lewis "Scooter" Libby "sort of hanging in the wind" by refusing to issue Libby a pardon before leaving office. Libby was convicted of perjury, obstruction of justice, and lying to federal agents investigating the leak of a former CIA officer's identity.

"I believe firmly that Scooter was unjustly accused and prosecuted and deserved a pardon, and the president disagreed with that," Cheney said. He would disclose no details of his efforts to lobby the president on Libby's behalf, saying they would be "best left to history."

And Cheney said he argued against the administration's policy on North Korea, which tested a nuclear weapon in 2006. The Bush administration reached a still-incomplete disarmament deal with the isolated Stalinist state in 2007 and removed it from the U.S. list of state sponsors of terrorism as part of the deal.

"I had my say," Cheney told CNN. "I got my chance to voice my views and my objections. I didn't think the North Koreans were going to keep their end of the bargain in terms of what they agreed to, and they didn't."

The Obama administration has nominated Christopher Hill, the State Department official who was the top U.S. negotiator with North Korea, to be the U.S. ambassador to Iraq. Cheney said Hill lacks the Middle East experience that his predecessors have, and "I did not support the work that Chris Hill did with respect to North Korea."

"I think it's a choice that I wouldn't have made," he said.

@highlight

NEW: Cheney: Harsh interrogations, warrantless eavesdropping "essential"

@highlight

NEW: Former vice president says Bush rebuffed his advice on two big issues

@highlight

"An administration has to be able to respond to [crises] and we did," Cheney said

@highlight

Cheney cites costs of dealing with 9/11 attacks, wars in Afghanistan and Iraq