(CNN) -- Criminals who file fraudulent tax returns by stealing people's identities could rake in an estimated $26 billion over the next five years because the IRS cannot keep up with the amount of the fraud, Treasury Inspector General J. Russell George said Tuesday.

"Our analysis found that, although the IRS detects and prevents a large number of fraudulent refunds based on false income documents, there is much fraud that it does not detect," said George's prepared testimony before a joint hearing of the House Ways and Means Subcommittees on Oversight and Social Security.

George's report is the first detailed analysis of the tax refund fraud problem, which could affect any legitimate taxpayer. His projection of $26 billion is larger than any other estimate of identity theft tax fraud.

In a statement issued following George's testimony, the IRS said it "believes that the five-year estimate is far too high."

"The estimate was based on 2010 figures, which took place before the IRS instituted major changes with the way it handles identity theft cases," the IRS statement read. "Our expanded screening on issues such as W-2 matching, Schedule C information, interest income and Social Security income have had a major impact on our ability to reduce identity theft fraud."

Those efforts, according to the IRS, have lead to "stopping more refund fraud than ever before" and "are not reflected in the five-year projection" by the Treasury inspector general.

Last year, according to the Treasury Inspector General's Office, the IRS reported that of the 2.2 million tax returns it found to be fraudulent, about 940,000 returns totaling $6.5 billion were related to identity theft. In its investigation, George said, auditors found another 1.5 million undetected tax returns with more than $5.2 billion in fraud.

"The primary characteristic of these cases is that the identity thief reports false income and withholding to generate a fraudulent tax return," George said. "Without the falsely reported income, many of the deductions and/or credits used to inflate the fraudulent tax refund could not be claimed on the tax return. The individuals whose identities were stolen may not even be aware that their identities were used to file a fraudulent tax return."

Making the problem worse, George said, the IRS is hampered by limited resources.

"Even with improved identification of these returns, the next step of verifying whether the returns are fraudulent will require resources," he said. "The IRS has faced budget cuts, a hiring freeze and staffing reductions during the same time it has encountered a significant surge in identity theft refund fraud. Without the necessary resources, it is unlikely that the IRS will be able to work the entire inventory of potentially fraudulent returns it identifies. The IRS will only select those tax returns that it can verify based on its resources."

The scope of the problem is illustrated by what George said his auditors found for tax year 2010, in which 48,357 Social Security numbers were used multiple times as a primary taxpayer identification number.

"When the identity thief files the fraudulent tax return, the IRS does not yet know that the individual's identity will be used more than once," George said. "As a result, the tax return is processed, and the fraudulent refund is issued. These instances result in the greatest burden to the legitimate taxpayer."

As of last month, the IRS reported that it had stopped the issuance of $1.3 billion in potentially fraudulent tax returns. The IRS says it determined these returns were potentially fraudulent through a sampling of returns, and it does not believe any legitimate returns were included.

George said more should be done to ensure that fraudulent tax returns are not deposited into bank accounts. In addition, thieves commonly get the refunds put on debit cards.

"Direct deposits should not be made to debit cards issued by financial institutions and debit card administration companies that do not take sufficient steps to authenticate individuals' identities," George said.

To make matters worse, the IRS is not effectively helping the victims of identity theft, George said, adding that it can take more than a year to resolve these cases.

"The IRS acknowledges that it does not know the exact number of identity theft incidents or the number of taxpayers affected by identity theft," George said. "It also has not been able to quantify the amount of improper payments resulting from identity theft."

In an investigation into tax refund fraud, CNN reported in March that criminals have purchased luxury cars, jewelry and plastic surgery with the money.

First, thieves obtain Social Security numbers and other personal information from insiders at hospitals, doctor's offices, car dealerships or anywhere the information is stored. Then, they file an online tax return using the real taxpayer's name and a fictitious income. In most cases, the criminals buy a debit card so the IRS can issue the refund on that card, although some thieves have also gotten their returns on actual Treasury checks.

The thieves know that the IRS does not verify the employer W-2s sent with the return until after the refund is issued.

The IRS maintains it has certain filters in place at the start of the tax filing season to prevent and detect identity theft and fraud, and it says it has recently trained additional employees across the country to deal with the problem. It has also issued special personal identification numbers, or PINs, to identity theft victims when they are filing future returns.

But in testimony before Congress last year, National Taxpayer Advocate Nina Olson said those filters "inevitably block large numbers of proper refund claims" since there "is no easy way to distinguish proper claims from improper ones."

In testimony prepared for Tuesday's hearing, Deputy IRS Commissioner Steven Miller said the agency cannot stop all identity theft.

"However, we have improved, and we are committed to continuing to improve our programs. We can and will continue to work to prevent the issuance of fraudulent refunds, and we can and will continue to work with innocent taxpayers to clear their accounts and/or get them money faster in a courteous and professional manner."

At the same time, Miller said, there is a "delicate balance" in the "need to make payments in a timely manner with the need to ensure that claims are proper and taxpayer rights are protected."

In the past four years, he said, the IRS has identified more than 490,000 taxpayers who are the victims of identity theft.

"Various new identity theft filters are in place to improve our ability to spot false returns before they are processed and before a refund is issued," Miller said.

The IRS has issued special identification numbers to taxpayers whose identities have been stolen and clamped down on abuses in filing returns under deceased taxpayers' identities and prisoners. The agency also started a pilot program in April to help local law enforcement in obtaining tax return information related to ongoing criminal investigations.

"I cannot tell you that we will beat this problem in one year," Miller said. "I can tell you that we have committed our talents and resources to prevent the issuance of fraudulent returns and have developed processes to minimize the pain felt by those who have been victimized."

@highlight

The Treasury's estimate is the first detailed analysis of the ongoing problem

@highlight

With budget cuts, the IRS cannot deal with the fraud, according to inspector general

@highlight

IRS says it stopped the issuance of $1.3 billion in potentially fraudulent tax returns