(Health.com) -- An essential nutrient found in fish oil does not appear to slow the mental decline associated with Alzheimer's disease, according to a new study in the Journal of the American Medical Association.

The study is merely the latest to cast doubt on the mental benefits of the omega-3 fatty acid docosahexaenoic acid (DHA), which until recently was considered a promising way to minimize the risk and damage of dementia. (The other main ingredient found in fish oil, eicosapentaenoic acid, or EPA, is not believed to play a significant role in brain health.)

Health.com: Fish oil doesn't benefit new moms, babies

DHA or fish-oil supplements aren't likely to cause any harm to Alzheimer's patients, but they aren't likely to do any good either, says Steven H. Ferris, Ph.D., the director of the Aging and Dementia Research Center at New York University.

Fish oil "seems to be healthy in general, and maybe for other things it's helpful, but it doesn't benefit cognitive function in a person with Alzheimer's," says Ferris, who was not involved in the study.

Research on DHA has been inconclusive and sometimes conflicting. Several studies that followed large groups of people as they aged have suggested that a diet rich in fish is linked to a reduced risk of dementia and mental decline, but most randomized controlled trials comparing DHA supplements with placebo have found no benefit.

Health.com: 9 foods that may help save your memory

"It's not the first time something in large epidemiological datasets just didn't work out clinically," Ferris says, noting that statin medications, anti-inflammatory drugs, and estrogen therapy have all failed to live up to their initial promise in preventing or treating Alzheimer's. "Unfortunately, that seems to be the situation here."

The study was funded by the National Institute on Aging and was led by Dr. Joseph F. Quinn, M.D., a neurologist at the Oregon Health and Science University, in Portland.

Quinn and his colleagues randomly assigned about 400 women and men in their mid-70s with likely Alzheimer's disease -- the disease is very difficult to accurately diagnose -- to take 2 grams of DHA or placebo capsules per day. After 18 months, the average mental decline in the DHA and placebo groups was nearly identical, as measured on two separate tests and rating scales.

Despite the disappointing results, the study doesn't entirely rule out the possibility that DHA may have some benefit if taken earlier in life. A growing body of research suggests that dementia begins decades before any noticeable symptoms surface, and it's possible that DHA helps prevent or slow those harmful changes.

Health.com: 25 signs and symptoms of Alzheimer's disease

Treatments such as DHA may be too little too late for people who are already showing signs of Alzheimer's, according to Dr. Kristine Yaffe, M.D., a professor of psychiatry at the University of California, San Francisco.

"Effective treatment strategies to prevent progression of [Alzheimer's disease] will likely need to be initiated earlier," Yaffe writes in an editorial accompanying the study.

Copyright Health Magazine 2011

@highlight

Studies show that an essential nutrient in fish oil does not appear to slow mental decline

@highlight

Fish oil seems to be healthy in general, but does not benefit Alzheimer's patients cognitively

@highlight

Treatments such as DHA could prevent or slow dementia if started earlier in life