Zango Town, Liberia (CNN) -- At the gravesite in a northern Liberia village, there are no religious or traditional burial rites. No ceremony, no mourning, no family members, and no final goodbyes.

Nothing but a group of men dressed in space-suit-like outfits, cautiously throwing the dead body into the grave, they pause only to toss in anything else they are wearing that came into contact with the deceased.

These men are part of the country's Ebola response team, specifically tasked with burying anyone suspected to have died of the Ebola virus.

The virus is spread through contact with the blood and body fluids of people infected with Ebola, and it is still transferable even from a dead body.

To help combat the spread of the disease, the Liberian government has directed that its citizens should not bury anyone who dies of, or is suspected of having been infected with, Ebola.

For months Liberians ignored the directive, fearing that they would be ostracized by their communities if they admitted that their relatives had died of Ebola, but here in Lofa County -- ground zero of the country's outbreak -- almost everyone has witnessed the devastating suffering and numerous deaths caused by the virus.

Now almost anytime there is a suspected Ebola death in the community, they call in the Ebola response team to come and bury the body safely.

Safe burials

"When it started, it wasn't that easy," says Alpha Tamba, an Ebola response coordinator in Lofa County. "It was kind of difficult for communities to disclose death. People preferred driving us away."

"We must be grateful for the communities, through the efforts of the local leaders. Now they are disclosing death to us," he explains.

Today, the team has been called to a village where a woman has died of unknown causes. It may not have been from the deadly virus, but the villagers are not taking any chances.

The Lofa County health team arrives carrying gloves, gowns, goggles and diluted bleach. They suit up: from head to toe, no skin is exposed. On their hands they wear three layers of gloves, securing the edges with clear tape at the wrists.

Before they enter the house to collect the body, one of them goes in and sprays the house with bleach. Then -- and only then -- can the rest of the team enter to place the body in an airtight polythene bag, ready for burial.

Wailing rents the air as the burial team walks out of the house carrying the body on a stretcher. Some of those crying are the dead woman's family members; for their own safety, they can only mourn from a distance.

Town abandoned

A few kilometres away from the village is Zango Town: most of the houses here have been abandoned, their doors padlocked and windows shuttered.

Some of the residents abandoned the town in such a hurry that their clothes and floor mats have been left hanging on clotheslines.

Kazalee Johnson, a community worker, tells CNN the empty houses belong to people who either died of Ebola or those who fled in terror, for fear of contracting the virus.

Johnson says he lost his 8-months-pregnant sister, his brother, niece and many, many others: too many to name.

"They died. They died," he says. "So many people die -- the houses on your right and even the houses on your left. They are all gone," says Johnson.

It's hard to imagine another area in Lofa county that has been harder hit than this one.

But then there's Barkedu Town -- of the 1,000 or so Ebola-related deaths in Liberia, 20% of the victims have died in this single town.

Quarantine zone

Home to more than 8,000 people, Barkedu is now under quarantine: no one can go in, and no one can go out.

The toll of the isolation is weighing heavily on the community.

"From the time we started receiving death from Ebola -- every activity cease," says Musa Sessay, the town's chief. "Because we do farm here and now there's been no farming."

"We need food, we really need medicine. But the most important one is medicine because the hospital is closed down, there is no health worker," he says.

This is what life is like across Lofa: The people are locked in, afraid and alone.

And not even the health workers are spared the ravaging effects of Ebola.

Sometimes when they are called in to investigate a case, they get there only to discover the victim is one of their own.

Ebola nightmares

One of the local clinics had to be locked up after all the healthcare workers based there contracted the virus. Only one survived.

"It is very heartbreaking. You are working for the team at the front and you see them lying down. Day by day, they are dying," says Tamba, who admits the harrowing work he does has caused him nightmares.

"Sometimes we go to bed and we dream of nothing else but Ebola, Ebola, Ebola -- nothing else," he explains. "Several times I dream I become infected, I see myself in the case management center."

But he says that amid all the bad news, he is beginning to hear happier tidings: an increasing number of Ebola survivors, people who initially tested positive for the virus but -- because they reported it early and because of the medical teams' efforts -- later recovered.

These positive outcomes keep Tamba hopeful as he and other health workers continue to tirelessly explain to the community how to prevent infection.

"It is difficult to stand in front of Ebola, but this is the situation we have," he says. "We must do everything we can to kick Ebola out of our country.

"Staying at home or running away from Ebola is not a solution, so we have to face it. We have to fight it. To get it to zero."

READ MORE: Ebola death toll passes 1,550, outbreak worsens
READ MORE: Ebola: Nine things to know about the disease
READ MORE: Ebola: Your biggest questions answered

@highlight

Liberia is one of the countries worst-hit by the West African Ebola outbreak

@highlight

Entire towns and villages have been placed into quarantine or abandoned by residents

@highlight

Health workers must ensure those who die of virus are buried safely, to avoid contamination

@highlight

"Running away from Ebola is not a solution -- we have to face it, fight it," says Alpha Tamba