New York (CNN) -- Northeast Florida State Attorney Angela Corey has made it clear that she alone will decide whether George Zimmerman will be charged in the shooting death of Trayvon Martin.

Zimmerman's attorneys termed as "courageous" her decision not to present evidence to the grand jury that the original prosecutor, Norman Wolfinger, scheduled to convene on April 10. The Trayvon Martin family was also pleased that Corey would make the charging decision. But the question remains, will George Zimmerman be charged?

Tuesday, in a bizarre development, George Zimmerman's attorneys, Hal Uhrig and Craig Sonner, during a news conference held in front of the Seminole County Courthouse, announced that they had withdrawn from his representation. They said they had lost contact with their client over the previous two days and revealed Zimmerman's unusual behavior -- including phone calls to Fox News host Sean Hannity and the special prosecutor, Corey.

The attorneys also said that they are concerned with Zimmerman's emotional and physical well-being and even suggested that he may be suffering from PTSD (post traumatic stress disorder). In short, they said that their client had gone rogue.

Clients fire attorneys every day, for no reason or any reason. And attorneys withdraw from cases around the country daily. But it is rarely done so publicly and with so much information divulged about the inner workings of the lawyer-client relationship. Rogue clients that are potential defendants spook prosecutors. It can be a nightmare to try to locate and arrest a fleeing defendant. Remember Joran Van Der Sloot.

Not surprisingly, within hours of the now-infamous withdrawal, Corey issued a statement saying she would be holding her own news conference within 72 hours "to release new information regarding the Trayvon Martin shooting death investigation." Many suspect that the announcement that Zimmerman had gone rogue forced the special prosecutor's hand.

By all accounts though, Angela Corey is a seasoned career prosecutor who doesn't bend to public opinion or political pressure. During her 25 years as an assistant state attorney, Corey tried hundreds of cases, including more than 50 homicides. During her three-year-plus as state attorney of the 4th Judicial Circuit, Jacksonville's Duval County jail has seen an increase in the population, despite a drop in crime in the city. Some say this is a direct result of her aggressive prosecutorial bent.

But her career hasn't been without controversy. Recently she came under intense fire for charging 12-year-old Cristian Fernandez as an adult in the killing of his 2-year-old brother, making Christian the youngest person in Florida ever to be charged as an adult.

Corey, a devout Episcopalian, references her faith in discussing her cases, which some would say is a no-no for a prosecutor. In a written statement she provided in response to her detractors about the Fernandez case, Corey defended her decision to charge Fernandez as an adult by stating, "We are blessed in the 4th Circuit to have a great working relationship with ... public defenders," and "We asked for prayers for our two-year-old victim, David, and for Cristian Fernandez."

In discussing the investigation into the shooting death of Martin she said, "What we are asking people to do is take a step back. Pray for Trayvon. Pray for his family. Listen to their words. I believe these are wonderful people who are asking for a peaceful approach to this case, while still demanding the answers they deserve. And I look forward to meeting with them to try to help them on this journey. Our victims always have a tough plight."

If she files charges against Zimmerman, it would be wise not to "overcharge" the case. Corey needs to be able to prove her case beyond a reasonable doubt. To prove manslaughter in Florida, Corey's team would have to prove that Zimmerman's acts caused Martin's death. Manslaughter would not be difficult to prove but for Florida's "stand your ground" law.

Florida's law states that a person who is not engaged in an unlawful activity and who is attacked in any place where he or she has a right to be has no duty to retreat and has the right to stand his or her ground and meet force with force, including deadly force ... to prevent death or great bodily harm.

So even if Zimmerman killed Martin, he was justified in doing so if he believed he was in danger of being killed himself or of suffering great bodily harm. It seems the Sanford Police certainly believed Zimmerman's claims. But there is an exception.

If Zimmerman was the initial aggressor, he cannot avail himself of the protection of the "stand your ground" law. Former Florida State Rep. Dennis Baxley, the co-sponsor of the law, told me by phone that the law doesn't apply to Zimmerman if he pursued Martin and was the initial aggressor. And he is right.

Florida's statute makes it clear that the justification is not available to a person who initially provokes the use of force against himself, unless such force is so great that the person reasonably believes that he is in imminent danger of death or great bodily harm and that he has exhausted every reasonable means to escape.

And that is what this case ultimately boils down to -- who started the fight. And the answer to that question is far from clear.

Martin left the home of his father's fiancee on February 26 to buy skittles and an ice tea. He was unarmed. Zimmerman left his home to go to Target and was carrying a concealed weapon for which he had a permit. Martin was 17 years old, Zimmerman, 28. The police report describes Martin as 6 feet tall and 160 pounds and lists Zimmerman as 5-foot-9.

Zimmerman sees Martin, deems him "suspicious" and calls the police. Zimmerman tells the dispatcher he is following Martin. The dispatcher tells Zimmerman "we don't need you to do that." Martin notices Zimmerman is following him and tells his girlfriend, Dee Dee, with whom he is on the phone. She tells him to run, and he agrees to walk quickly.

Zimmerman says that he returns to his parked SUV and is attacked suddenly by Martin. Dee Dee hears someone ask Martin why he is there. Martin asks Zimmerman why he is following him. Dee Dee believes she hears Martin being tackled. Witnesses say they heard angry words, heard someone crying for help (many explain it sounded like the voice of a younger person) and then a single gunshot. The screams for help stop.

Three witnesses saw Zimmerman straddling Martin in the grass. The incident happens 70 yards from the home Martin was walking to, not near Zimmerman's SUV. Martin is found dead, laying on his stomach. Zimmerman is bleeding from his nose and the back of his head and has stains on the back of his jacket. Zimmerman isn't tested for drug or alcohol consumption and is allowed to leave the police station with the clothes he was wearing that night.

A tenet of our legal system is that when there is conflicting evidence, let a jury decide. I believe in our jury system. Let them decide.

The opinions expressed in this commentary are solely those of Sunny Hostin.

@highlight

Sunny Hostin: The state attorney has made it clear that she alone will decide on charges

@highlight

She says the public withdrawal by lawyers representing George Zimmerman was strange

@highlight

Hostin: Zimmerman's actions may not have been covered by the "stand your ground" law

@highlight

She says she believes in the jury system; it makes sense to let a jury decide