Qena, Egypt (CNN) -- In a deserted playground a few hundred miles south of Cairo, 13-year-old Asmaa Ashraf fiddles with a broken rusted slide. She is waiting listlessly for a lesson with her math tutor.

The bright-eyed teenager lives in a sepia-toned village in the province of Qena, a place of rural poverty and neglect. But she has big dreams about education. She wants to open a school one day.

"At my school, we'll learn," she says, brushing her hands longingly over the slide. "Teachers will show up and we'll be allowed to ask questions. We'll be allowed to draw with color."

Such aspirations, however, amount to fantasy for most youth in a country still struggling to land on its feet after being turned completely upside down.

Two and a half years after the country's uprising began, Egypt's fledgling democracy is stillborn, stubbornly stuck between its past and future. And as the government struggles to wade through the country's protracted political problems, Egypt's festering education system is orphaned -- even though, with a growing youth population, it's key to the country's future.

In the World Economic Forum's latest report on global competitiveness, Egypt ranked near the bottom -- 131st out of 144 countries -- for quality of primary education. Egypt's literacy rate is 66%, according to a 2011 United Nations report. Meanwhile, a report by London think tank Chatham House says just $129 a year is spent on each Egyptian student; the United States, for example, spends 40 times as much.

The situation is worst in regions far from the capital, and in Upper Egypt, where more than half the population is under 29.

Many schools look more like rank penitentiaries rather than hubs of learning. Students and teachers seem to be on the verge of exhaustion rather than bursting with inspiration.

And forget technology. Desks and a stable electricity supply are luxuries.

"We didn't have enough desks last year," recalls Asmaa's 12-year-old neighbor, Omnia. "So most of us just sat on the floor. We only get a little paper, but my mom found this," she said, holding up a small, faded "Hannah Montana" notebook. The American pop culture reference is lost on her.

To make up for the gaps in education, millions of middle-class Egyptian families spend a large part of their income -- sometimes as much as 25% -- on private tutoring. It's impossible to know how much money is spent in all, but some estimates put the total at $1 billion a year.

Public school teachers rarely make more than $300 a month. More than a few of them say they teach the bare minimum in class so that they can earn more from the same students in private tutoring sessions.

"There are too many issues to deal with," said one 32-year-old teacher in Asmaa's village. "I have kids of my own I'm struggling to take care for." He says he gives three hours of private tutoring in the evening and does mechanical work on the side.

For parents with any hope that their children will be better off, investing in education is essential. Egypt's final secondary school exams are a rite of passage for students. Their scores chart their future. If they don't do well, they won't get a place in college.

The status quo is even more somber for Egypt's women. According to a recent World Bank report, the illiteracy rate for young people in Upper Egypt is 17%, higher than the national average of 11%, and the illiteracy rates for females is 24%, almost twice that of males. Also, 70% of young women in Upper Egypt are jobless.

More: Interactive -- Impossible odds, unstoppable girls

Politicians, whether they're from the ruling Muslim Brotherhood or the opposition, agree that educational reform is needed. But they quickly fall silent when pushed to articulate plans. One politician said the country simply has "bigger fish to fry," with a controversial new constitution and still no full, functioning parliament.

But with unemployment at staggering rates -- 33% for men age 20-24 and 53% for women in the same age -- Egypt has a highly combustible pool of frustrated and disenfranchised youth in danger of becoming a lost generation.

"This is a generation that desperately needs to learn how to critically think, to learn how to be in the 21st century," said Malak Zalouk, director of the Middle East Institute for Higher Education at the American University in Cairo. "Mubarak's regime trained students to be loyal citizens. And now, despite a revolution for dignity ... there is none."

It sounds like an almost hopeless picture. However, as Egypt's public education system founders, a few innovative ideas have emerged.

This year, a few Egyptian entrepreneurs have launched Nafham, a Web-based startup that features crowd-sourced educational videos. Nafham, which means "We understand" in Arabic, hopes to provide an alternative -- a virtual classroom -- for struggling Egyptian families. It divides the Egyptian public school curriculum into lessons that can be explained in 5- to 15-minute videos, covering all lessons mandated by the government curriculum.

Since the website went live in October, Nafham's staff of teachers created around 4,900 videos, while 1,000 videos were crowd-sourced -- reviewed and approved by the staff. By late May, Nafham's YouTube channel had more than 1 million views.

For the 65% of Egyptians who don't have Internet access -- those who stand to gain the most from the service -- Nafham says it hopes to form group viewings in some villages. It is also in talks with some companies to offer USBs with Internet access to groups throughout the countryside.

Another innovative initiative is Teach for Egypt, a start-up created by Nada Ramadan, a 24-year-old Egyptian who's a graduate student at Georgetown University in Washington. Based on the Teach for America model, Ramadan plans to recruit ambitious college graduates -- most from within the Egyptian community and diaspora -- to commit to a two-year service in which they are trained extensively and placed in underprivileged schools.

Ramadan says she's running into problems, however, while trying to implement her idea. The bureaucracy in Egypt leaves little room for productivity, let alone creativity and innovation. Still, she continues to push on.

"We could all stand around and protest that the government is failing us, or we could go out and offer the solutions," she said. "So, that's what we're trying to do."

But until those solutions are offered, Asmaa -- and a whole generation in waiting -- will continue to linger near broken slides, daydreaming about the future.

More: CNN's "Girl Rising"

Interactive: Impossible odds, unstoppable girls

Open letter from Christiane Amanpour: It's time to power the world

How to help | Take action with 10x10

@highlight

While Egypt struggles to wade through political problems, its education system suffers

@highlight

Literacy rates are low and unemployment is high, especially among females

@highlight

Many middle-class families are spending a large part of their income on private tutoring

@highlight

A few start-up companies have emerged, however, to address the education deficit