(CNN) -- Half a century ago, with the space race in full swing, the heated quest for interplanetary exploration between the Earth's superpowers gained a new, self-proclaimed, contender.

"We're going to Mars!" audaciously declared Zambian schoolteacher Edward Makuka Nkoloso in a 1964 newspaper op-ed, revealing to the world his fanciful plans for his country to beat the United States and the Soviet Union in their fierce battle to conquer outer space.

"Our rocket crew is ready," continued Nkoloso, explaining that his aspiring troupe of space explorers had been gearing up for their interstellar journey in the headquarters of the academy he'd set up on the outskirts of Zambian capital Lusaka.

From within what he called the "Academy of Sciences and Space Technology," Nkoloso said, he'd been studying Mars through telescopes. He'd also been training his would-be astronauts by rolling them down a hill in oil drums, a technique aimed at getting his team acclimatized to the weightlessness experienced during space travel.

Read this: Nigerian doctor takes to the skies

"Specially trained spacegirl Matha Mwambwa, two cats (also specially trained) and a missionary will be launched in our first rocket," wrote Nkoloso, a grade-school science teacher and self-appointed director of the space academy.

Unsurprisingly, the program, which was never taken seriously by the government of the newly independent Zambia, failed to take off; a $7 million grant Nkoloso said he'd requested from UNESCO never came, whilst the pregnancy of the 17-year-old spacegirl brought the proceedings to an end.

"The Afronauts"

Fast forward to 2010, when Spanish photographer Cristina De Middel was searching for "unbelievable stories" for a new personal project she was hoping to develop.

Whilst scouring the depths of the internet, she stumbled on a website listing the 10 craziest experiments in history.

"The first one on the list was the Zambia space program," says De Middel who, after a decade of working as a news photojournalist, had decided to embark on a new career as a visual storyteller.

Fascinated by Nkoloso's visionary and dreamy perspective on life, De Middel set about creating an imaginary documentation of his elusive endeavors some 50 years ago.

The result is "The Afronauts," an arresting photo book that has been shortlisted for this year's esteemed Deutsche Börse Photography Prize.

In the self-published book, De Middel self-consciously conjures up the story of the unofficial space program piece by piece. She uses a series of cinematographic images, including staged depictions of discarded oil barrels, makeshift spaceships, elephant-hugging spacemen and flying cats, as well as vintage-looking maps, documents and newspapers cuttings.

Throughout, facts and fiction are intertwined as part of an intriguing narrative which challenges viewers' perceptions about what's real and what's not.

"I was working in a very free way," says De Middel, sitting at the café of the Photographer's Gallery in London, where The Afronauts is being exhibited.

"I needed to add mystery; I needed to add this fascination for great things and work on the photographic language that would not state if it's true," adds De Middel, encouraging viewers to question the documentary value of photography. "Otherwise, I would have ruined the game."

"Big dreams"

Whilst playful, De Middel's dream-like images are not intended to make fun of Nkoloso's fantastical, yet high-flying, ambitions.

Her speculative pictures exude a feeling of nostalgia and sympathy, celebrating the audacious and naive spirit of a past era where grandiose dreams were not limited by circumstances.

"I think that's the greatest characteristic we have as humans, that we can dream of becoming big," says De Middel.

Read this: Artist's spectacular glasses

"That is something common to all humanity," she adds. "You don't have to be American and work for NASA to dream of going to the moon; you can be an African -- he [Nkoloso] was a school teacher and thought that could be done."

"Honest approach"

Creating The Afronauts, which was sold out in just a few months, De Middel worked more as a movie director, trying to make the best of the resources around her. For models, she relied on social media and friends; for the astronauts' helmets, she used old domes of street lights; and for the flashy spacesuits, she employed the sewing talents of her grandmother.

"It was like a short, small and very modest movie production," says De Middel. "But instead of producing a moving image, I just did stills."

Most of the images were shot in between different projects, in locations such as Spain, the Palestinian territories, Italy and Romania. Others were repurposed pictures from the photographer's archive.

De Middel, who's never been to Zambia, acknowledges she's not "an expert in Africa" -- nor in space. This led her to go about the story with caution.

"I always kept in my mind that I don't know a lot about African history and I am approaching a subject that can be sensitive or can be offensive for some people," says De Middel.

So far, she says, her work has received a great response from people in Africa. She's been contacted by Nigeria's space program and been invited to the continent to give talks, while her book is being shown in South Africa and Senegal.

"I would love to [take the exhibition to Lusaka as well]," she says.

If anything, De Middel says, the extraordinary tale of the forgotten Zambian space program presented a chance to talk about Africa from a different perspective.

"The only honest approach I could do to that story was documenting my cliché, and that's what I really wanted to do, because, in a way, I was raising awareness of the existence of that cliché and what we expect from Africa," she says.

Read this: Zambia's amazing street acrobats

"Not only because the story is positive, in terms of African people having dreams, but also evidencing what we expect from Africa in terms of aesthetics and behavior."

Today, nobody seems to know what happened to Nkoloso or his cast of wannabe space explorers. Yet Nkoloso's desire to dream the impossible has found a new, alternative, home inside De Middel's images, striking a chord with captivated audiences around the world.

"He had a fascination for the universe that we all share," says De Middel. "Asking if we're alone, looking at the stars, making metaphysical questions. That is a universal feeling and it doesn't belong to the people who can actually have the technology to go to the moon; it's everywhere."

@highlight

In the mid-1960s, a Zambian school teacher wanted to send the first African to space

@highlight

'The Afronauts' photo book is a fictional documentation of his endeavors

@highlight

The work, by Cristina De Middel, has been shortlisted for the Deutsche Börse prize