San Diego, California (CNN) -- The "Dream 9," five women and four men, say that they are "undocumented and unafraid."

Don't believe it. I bet they were afraid. Who wouldn't have been?

The nine -- Claudia Amaro, Adriana Gil Diaz, Luis Leon Lopez, Maria Peniche-Vargas, Ceferino Santiago, LuLu Martinez Valdez, Mario Felix-Garcia, Marco Saavedra and Lizbeth Mateo-Jimenez -- spent more than two weeks in a federal immigration detention facility in Eloy, AZ. Martinez Valdez and Peniche-Vargas--had been put in solitary confinement for what was supposed to be 15 days.

All because they wouldn't take "go" for an answer. Some of these "Dreamers" had been deported to Mexico by the Obama administration, though President Obama has repeatedly said that his administration is not looking to deport Dreamers--the name taken by young immigrants who are in the U.S. without papers. Three of them who were on this side of the border -- Saavedra, Martinez Valdez and Mateo-Jimenez -- "self deported" to Mexico to join the other six.

Then, on July 22, all nine linked arms and marched across the border into the United States. The idea was to draw attention to the administration's repressive immigration policies. The nine asked for humanitarian parole. When that was denied, they claimed asylum.

Opinion: Let's deport Rep. Steve King

Now, they have been set free. Earlier in the week, federal officials found that all nine have "credible fear" of persecution or torture in their birth countries and thus cannot be removed without a hearing before an immigration judge. Pending those hearings, the nine have now been released into the waiting arms of family members within the United States. It's a major victory for the Dreamer movement.

For many, this is a heartwarming story about the power of the individual who is brave enough to make a stand. For others, it is major inconvenience. It's a story that the White House wishes would go away. Ditto for immigration reformers who are split between those who back the Dream 9 and those who want to sacrifice them for political expediency.

David Leopold, former president of the American Immigration Lawyers Association, callously dismissed the Dream 9 action as a "publicity stunt" and a distraction. He also said it was unlikely that the three Dreamers who voluntarily left the United States would qualify for asylum.

So far, Leopold has been spectacularly wrong. All nine will get asylum hearings.

And the Dreamers got more warmth from Congress. Thirty-five lawmakers signed a letter asking Obama to use his discretion to release the young people from custody. The letter -- signed by Reps. Mike Honda, D-California, Raul Grijalva, D-Arizona, and Ruben Hinojosa, D-Texas, among others -- describes the activists as "victims of our broken immigration policy" who "deserve to come home to the United States."

Immigration reformers were bound to lose confidence in this administration. A president can't deport nearly 2 million people in under five years, split up hundreds of thousands of families, detain thousands of undocumented children without giving them access to legal counsel, and expand Arizona-style immigration enforcement nationwide through the maniacal program known as "Secure Communities" without raising a stink.

For many, what happened to the Dream 9 was the last straw.

Searching for the American Dream in Mexico

Martinez-Valdez and Peniche-Vargas were in solitary confinement because, according to authorities, they started a ruckus in the dining hall.

Of course they did. Didn't Obama say that the Dreamers were Americans except for legal status? This is how Americans behave. We're ornery, courageous and defiant. We yell "freedom" at the top of our lungs. These kids are Americans, all right. The next thing you know, a bunch of Dreamers will dump tea into Boston Harbor.

Besides, Obama made quite a show -- before the election -- of announcing that his administration was sparing Dreamers deportation by offering deferred action and temporary work permits. Nearly 300,000 Dreamers have been awarded the special accommodation so far.

There's not room for nine more? Some might not be eligible for deferred action, some might be. Let's find out.

Maybe there would be more compassion on the Potomac if these young people hadn't embarrassed Obama, put the lie to the fairy tale that this administration has been compassionate toward immigrants, divided self-serving organizations such as the lawyers group AILA, and pitted one group of immigration reformers against another -- those who want to protect the Dreamers versus those who want to protect the president.

I've had my differences with the Dreamer movement.

I think that many of these young people have a sense of entitlement, like most young people in the United States. I didn't think it was a good idea for Dreamer activists to disrupt congressional hearings on immigration reform, or occupy the offices of reform advocates like Rep. Luis Gutierrez, D-Illinois. And I think much of what drives Dreamer activists within the United States is a look-at-me narcissism fed by social media and a culture where young people are told they can become the next American Idol.

Opinion: House, knowledge economy needs immigrants

But I never questioned their sincerity, or dismissed anything they did as a stunt. I wouldn't presume to tell people who put their freedom at risk along the U.S.-Mexico border that the difficult decisions they're making are the wrong ones. And I certainly wouldn't do it to protect an administration that doesn't deserve protecting.

The Dream 9 are back where they belong -- in the United States. But this story isn't over. The fault lines it exposed within the immigration reform movement remain.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Nine Dreamer activists were in federal immigration detention in Arizona

@highlight

They'd tried to re-enter the U.S. asking for humanitarian parole or asylum and were jailed

@highlight

He says they have been freed, granted immigration hearing, drew support from Congress

@highlight

Navarrette: DREAMers sometimes have look-at-me activism, but this request is valid