(CNN)When photographer Fabio Bucciarelli first visited South Sudan, he found a nation filled with hope. He found citizens worn out by decades of war -- but looking forward to an independent, peaceful future.

That was two years ago, after the world's youngest country split from its northern nemesis, Sudan.

"I remember the look on people's faces," Bucciarelli said. "Tired but happy, hopeful for a better future after a past full of pain and war."

His return in February was anything but.

This time, Bucciarelli found a nation on the brink of an abyss. Instead of jubilant faces of hope, he saw defeated faces haunted by a return of ghosts of past wars.

Months of ethnic violence had left thousands dead, 1.5 million people displaced and a looming famine, according to the United Nations.

Bucciarelli found despair cramped in tent camps, growing sexual violence and the recruitment of child soldiers.

He described the violence in South Sudan as an "invisible" conflict.

"It represents one of the longest and most forgotten African wars," he said. "Its apparent stillness leads to hear about it less and less. Given the tragic consequences and repercussions on the population, I find it essential to bring it to light."

His goal, he said, is to tell the stories of people rendered powerless by wars, provide objective images and shed light on human rights issues.

"It's hard to find front-line war photography of the kind we've seen in Libya or Syria," Bucciarelli said. "The images in South Sudan are different. They describe visually the effect of the impending war, lending you a view of the civilian and military populations and providing a glimpse of life inside a murky, not clearly defined conflict."

The latest conflict erupted in December last year, when President Salva Kiir accused his fired deputy, Riek Machar, of an attempted coup. Since then, militia loyal to both have battled each other and targeted civilians from rival tribes.

The conflict has wiped out entire neighborhoods and transformed into a full-blown war between two large tribes, the Nuer and the Dinka. Machar belongs to the Nuer community, while the President is a Dinka.

Bucciarelli's pictures provide a rare window into a civilian population under siege.

"South Sudan's war represents one of the longest and most forgotten African conflicts," he said. "Its tragic consequences are quietly fading away from the headlines, making these pictures even more crucial."

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

South Sudan split from Sudan in 2011 as part of a peace deal that ended decades of war in Africa's largest nation. That war left 2 million people dead and ended with the peace agreement that included an independence referendum for the south.

The recent clashes have been a major setback for a country so desperate for a new start.

Instead of relishing its independence, residents of areas such as Bentiu, Bor, Nyang and Mingkaman are struggling to survive as communities turn against one another.

Concerned neighboring nations have stepped in and urged warring parties to sign ceasefire deals, but the weapons have not gone quiet.

Frantic international pleas for peace have gone unheeded.

Fabio Bucciarelli is an Italian photographer whose work focuses on conflict and war. You can follow him on Twitter.

@highlight

Two years ago, the world's youngest country split from its northern nemesis, Sudan

@highlight

But during a recent visit, photographer Fabio Bucciarelli found ethnic violence raging