The gunman who held hostages for more than 16 hours in a Sydney cafe was no stranger to police -- and was on bail for violent criminal offenses at the time of the siege.

Man Haron Monis, an Iranian-born refugee who was granted political asylum in Australia in 2001, had "a long history of violent crime, infatuation with extremism and mental instability," Australian Prime Minister Tony Abbott told reporters.

"It's pretty obvious that the perpetrator was a deeply disturbed individual," he said at a press conference Tuesday, adding that the 50-year-old was "well known" to federal and state police, as well as the Australian Security Intelligence Organization.

"But I don't believe he was on a terror watch list at this time."

New South Wales Premier Mike Baird said authorities were investigating why Monis -- who was killed in the siege -- was at large, given his criminal background.

"We're all outraged that this guy was on the street," he told reporters. "We need to understand why he was. We also need to understand why he wasn't picked up."

What we know, what we don't know

Accessory to murder, sex charges

The self-styled Muslim cleric, also known as Sheikh Haron, was facing dozens of charges at the time of the siege, including two counts of being an accessory to the murder of his ex-wife, according to the Attorney General of New South Wales.

Noleen Hayson Pal was found dead with multiple stab wounds in a stairwell, and her body had been set on fire, The Sydney Morning Herald reported.

"They should have put him away and thrown away the key," the dead woman's godfather, Ayyut Khalik, told NBC News. He said Monis used to beat Pal, forcing her to wear a hijab all the time and forbidding her from talking to "outsiders."

Court documents show Monis was also facing 45 sex-related charges, including sexual intercourse without consent and aggravated indecent assault.

According to the Sydney Morning Herald, the initial charges, laid in May 2014, related to an alleged sexual assault on a woman in western Sydney in 2002, before other sex-related charges were added regarding six additional victims.

Monis was using the name Mohammad Hassan Manteghi -- his birth name, according to Iran's state news agency IRNA -- and claimed to be a "healer," according to the report.

Monis also pleaded guilty last year to writing offensive "poison pen" letters to the families of Australian soldiers who died in Afghanistan, and was sentenced to 300 hours of community service. The letters were "sadistic, wantonly cruel and deeply wounding," one High Court judge said at the time, according to CNN affiliate Seven News.

But the criminal accusations against him began even before he came to Australia.

Monis fled his homeland in 1995 while being sought for allegedly committing fraud, Iran's semi-official Fars News reported.

A spokesperson at Iran's embassy in Canberra told CNN that Tehran had officially requested Monis's extradition but nothing had come of it. Monis had been granted political asylum in 2001 and had had no further contact with his birth country, the spokesperson said.

Who were the victims?

An extremist theology

Manny Conditsis, a lawyer who acted for Monis in relation to the accessory to murder and letter-writing charges, told CNN his former client had been a cleric in Shiite Iran, but had become critical of the Islamic Republic's government in the late 1990s, and fled to Australia "because he was going to be killed."

He had left behind a wife and two children, who he believed Monis had not seen since.

Throughout the 2000s, said Conditsis, Monis "became sympathetic to what he perceived ... was the victimization of Muslims and Islamists around the world, and partly at least took up that cause."

His broader cause, he said, was lobbying governments around the world, particularly Australia, not to wage wars on Muslim soil.

"He was so blinded by that objective that it would seem he had lost sight of objectivity and rationality and acted in extreme ways," he said, describing his former client as "intensely conflicted and contradicted and inconsistent."

While older footage of Monis preaching shows him dressed in typical Shiite cleric's attire, in his social media posts, he appears to embrace a radical Sunni extremist theology.

He used the Internet to spread extremist beliefs, garnering nearly 13,000 likes on his Facebook page.

During the siege, Abbott said, the hostage-taker "sought to cloak his actions with the symbolism of the (ISIS) death cult," Abbott said.

On his website, which has now been taken down, there was a pledge of allegiance to the so-called Islamic State terror group.

The site describes Monis as a Muslim cleric and activist based in Sydney who has "continuously been under attack & false accusation by the Australian government & media since he started his political letter campaign from 2007."

There's a graphic photo of slain children at the top of the site. Under the image, it reads, "This is an evidence for the terrorism of America and its allies including Australia. The result of their airstrikes."

A description on the site portrayed Monis as a victim of a political vendetta and compares him to Julian Assange, the WikiLeaks founder who has claimed the sex crime allegations he faces are politically motivated.

A YouTube video posted in November shows Monis standing on a street corner, chains draped over him, carrying a sign that says, "I have been tortured in prison for my political letters."

Police have refused to comment on that accusation.

His last tweet linked to his website, with a haunting message posted the day of his attack on the Sydney cafe: "If we stay silent towards the criminals we cannot have a peaceful society. The more you fight with crime, the more peaceful you are."

Conditsis  told Australian public broadcaster ABC that Monis was an isolated figure who was probably acting alone.

Crisis in a cafe

Monday's hostage situation began around 10 a.m. Hundreds of police officers, including snipers, took position around the Lindt Chocolate Cafe in Sydney's central business district.

Australian media captured haunting images of hostages pressing their hands against the cafe's windows. They were reportedly taking turns holding a black flag with Arabic writing on it that said, "There is no God but God and Mohammed is the prophet of God."

The man holding the hostages demanded to speak to Abbott. Police were monitoring social media because hostages appeared to be posting information about the man's demands.

Hours into the crisis, at least five hostages managed to escape, running terrified toward police in riot gear. That made the hostage-taker furious, reported Chris Reason, a correspondent for CNN affiliate Seven Network. Reason said he could see the gunman become "extremely agitated" when he realized what had happened, and he "started screaming orders" at the remaining hostages.

Gunfire erupted early Tuesday as police stormed the cafe where the gunman had been holding hostages.

Two hostages were killed during the standoff. Police later announced that the siege was over and that the lone gunman had been killed.

@highlight

Man Haron Monis had history of "infatuation with extremism and mental instability," Abbott says

@highlight

Hostage-taker was granted political asylum in Australia in 2001; was on bail for violent offending

@highlight

His former lawyer says he campaigned against "the victimization of Muslims and Islamists"

@highlight

On Monis' apparent website, there is a pledge of allegiance to ISIS