(CNN) -- Four years ago, Brandon Stanton became New York City's unofficial photo-chronicler. With his blog, Humans of New York -- which has over eight million followers on social media -- he has captured the heart and soul of the city's multi-national inhabitants.

His trademark -- the micro narratives that accompany each image -- has been imitated in the far reaches of the globe, from Sydney to Khartoum.

Last month, he turned his lens, and poignant interview style, to the world at large. In partnership with the United Nations, he is touring roughly a dozen countries in a bid to raise awareness for the peacekeeping organization's Millennium Development Goals. His first stop: Iraq and Jordan.

'My eyes were opened'

Though his trip was "months in the works," Stanton didn't anticipate that his arrival in Erbil, Iraq would coincide with that of ISIS. The first people he questioned were Yazidi refugees who had only freshly fled their homes, their families, their lives as a whole.

"My idea of what constitutes personal tragedy has been expanded a lot just listening to what these people are going through," admits Stanton.

For the Yazidis he approached -- from the student who had to abandon his long sought after Master's degree to flee bombs to the mother whose children can't stop crying for home -- Stanton found himself falter at the prospect of pursuing his traditional line of questioning.

"When you've just abandoned your house, and your family is surrounded by a hostile army, and you don't know if they're going to survive, it's just inappropriate to ask what your happiest memory with your mother is," he says.

"I felt I couldn't ask them beyond their present circumstances, because their lives were absolutely consumed by those circumstances."

'Pack a bag and get ready to run'

The day Stanton landed in Iraq, ISIS captured the Mosul Dam. The day he left, the United States started air strikes. His time there, he admits, was often terrifying.

"When I was in Dohuk, there was a moment I got a call in the middle of the night from UNICEF telling to pack a bag and get ready to run, because ISIS was shelling the town and had broken through the lines," he recalls.

"It was an abundance of caution it turned out, but it was a sleepless night."

It was one of many moments, he admits, when he appreciated what it means to feel secure.

"I went to this place where all people wanted was a bit of security: to send their kids to school, to start a business, to get married and live a normal life. And I realized that in the absence of physical security, no other layers of life can really be experienced," he says.

"That constant uncertainty seeps into your psyche in a way that you can't really pinpoint until you go back to a place that is secure."

For Stanton, that place was Jordan.

"I really noticed when I landed in Jordan, where the infrastructures was in place and there was no imminent threat, that there was a load lifted from my psyche," he says.

The stories he heard were different as well. The tenor, though often still heart-breaking (he visited Zaatari Refugee Camp that houses around 80,000 Syrians), demonstrated a lighter side of the human character. In the absence of immediate danger, there was hope.

"The other thing this trip has made me realize is the depth of ambition, particularly in underdeveloped countries," he says.

"Everybody I talked to had such big dreams, and often such limited opportunities with which to achieve those dreams."

@highlight

Brandon Stanton launched Humans of New York blog

@highlight

Partnering with U.N., he's on a world tour that started in Iraq and Jordan

@highlight

His mini narratives reveal the struggles and dreams of ordinary people