During 15 years of talking to high school students about sex and bullying, Laurie Halse Anderson has continued to get the same questions from boys: Why was the main character in her book, "Speak," so upset about what happened to her? Didn't she want the attention of one of the popular boys? And why was the impact so traumatic?

Anderson, who published the award-winning novel in 1999, believes the questions come from an honest place. They're teen boys, after all, growing up in a society where media and pop culture tell them women are created for sexual gratification.

They're not used to reading novels that feature characters like Melinda Sordino, a teen who is raped by a classmate at a house party. As her classmates and neighbors go to great lengths to protect her attacker, Melinda plunges into near-silence, refusing to say what happened while still feeling ostracized by her classmates.

Fifteen years after its publication, society has shed some of the stigma associated with sexual violence, but the conflict at the heart of "Speak" still shows up in headlines, from Steubenville, Ohio, to Maryville, Missouri.

And yet, many parents still struggle to find the words or the courage to talk to teens about sex and intimacy, Anderson said. As a mother who raised four girls, Anderson knows that parents today are navigating uncharted territory when it comes to adolescent sexuality, and they're doing it earlier than parents in other generations.

Talking to teens about sexuality, intimacy and consent is urgent, she said.

"We've fallen down on our responsibility to our children by somehow creating this world where they're surrounded by images of sexuality; and yet, we as adults struggle to talk to kids honestly about sex, the rules of dignity and consent," she said.

"So many teens out there are operating in a vacuum, they're operating in adult situations without any adult support or advice."

For the 15th anniversary of "Speak," Anderson is lending her support  to the Rape, Abuse & Incest National Network, a resource for survivors of sexual violence. Macmillan, the publisher of "Speak," is matching donations to the organization in April, which is Sexual Assault Awareness Month.

Anderson said she wrote "Speak" based on her own experience of being raped as a teen. She struggled for years to find the words or the courage to express what she'd gone through.

Much has changed since then, she said, and "Speak" has become required reading in some schools across the country.

Scores of students still describe the same struggles to Anderson, and she often directs them to the RAINN hot line, she said. Over the years, more resources have emerged for survivors of sexual violence, especially online. Today, if you're a victim of any crime, including sexual violence, you can go online and "find someone who's walked in your shoes who can help you make sense of what happened," she said.

"I do see reduction of shame, which is very good. We still have a long way to go yet.That's the reason many victims don't come forward. That feeling is understandable, but it's why we still need to do more to reduce the stigma around rape," she said.

While the Internet brings people together and creates supportive communities, it has also become the source of damaging images and intense bullying, she said.

"We as a culture are still figuring out how to teach our children the awesome parts of the Internet and cell phones and new media, but we also have to figure out how to keep them safe," she said.

Although many students first encountered "Speak" in high schools, it's now being taught in middle schools, Anderson said. She thinks it's an acknowledgment that sex education needs to start earlier if we want to help teens feel comfortable talking openly about sex and what feels right and wrong.

She believes parents can be more involved, too; just take a deep breath and commit to talking about sex and what constitutes consent, she said.

"Because boys and girls can be victims of rape, we need to try to teach them to make decisions about life that keep them safe, sober and with people they can trust, and make sure people who might be inclined to rape -- who think they can get away with it -- know they can't get away from it.

"It used to be that we teach girls not to be raped, but we need to start teaching boys not to be rapists, and that's a really hard thing for parents of boys to process," she said. "No one wants to think of their sons as rapists.

"We are a culture who is right now in 2014 finally having the conversation that it actually doesn't matter what a woman is wearing, you're not supposed to rape her. I think we're all trying to find the right language surrounding sexual assault. I'm optimistic  that we're heading in a better direction as a culture."

The term "young adult lit" was hardly in use when Anderson wrote "Speak." She didn't set out to be a public touchstone in the genre, she said.

A teacher who uses "Speak" in her classroom told Anderson that she calls it "resilience literature," a term Anderson said she is proud of.

"Speak" is about teen rape, the pressures of high school and the insularity of small-town life, but most importantly, it's about overcoming stigma, Anderson said.

"That can be the most painstaking aspect of being a teen, figuring out what the world really looks like," she said. "If you find someone in a book, you know you're not alone and that's what's so comforting about books."

@highlight

Real talk about sex among families is more important than ever, "Speak" author says

@highlight

Laurie Halse Anderson's acclaimed young adult novel "Speak" turns 15 this year

@highlight

The novel's central themes -- teen rape and stigma -- are still relevant, Anderson says