GENEVA, Switzerland (CNN) -- The number of confirmed swine flu cases across the globe kept rising Friday, but some signs of hope emerged in the battle against the worldwide outbreak.

Tourists sunbathe wearing surgical masks in the popular Mexican resort of Acapulco.

The World Health Organization said Friday that the number of confirmed cases stood at 367 worldwide, including 141 in the United States and 156 in Mexico. Thirteen countries have confirmed cases, the organization said.

Meanwhile, researchers worked to develop a vaccine for swine flu, which is also known as 2009 H1N1.

The Centers for Disease Control and Prevention hopes to have a vaccine to manufacturers within a month, said Michael Shaw, lab team leader for the H1N1 response at the CDC.

"We're doing the best we can as fast as we can," he said.

Yet it would take four to six months from the time the appropriate strain is identified before the first doses become available, said Dr. Marie-Paule Kieny, WHO director of the Initiative for Vaccine Research.

"Of course we would like to have a vaccine tomorrow. We would have wanted to have it yesterday," she said. "It's a long journey."

She said there is "no doubt" that a vaccine can be made "in a relatively short period of time."

The steps involved in producing a vaccine involve isolating a strain of the virus, which has already been done, and tweaking it so manufacturers can make a vaccine, Kieny said.

The tweaked virus will be shipped to manufacturers, who will fine-tune it. Then come more tests before national regulatory agencies decide whether to approve a vaccine.

As researchers work, at least one politician at the epicenter of the outbreak expressed optimism Friday.

Authorities in Mexico are "beginning to see evidence that the [virus] might be letting up, and the number of people who have been hospitalized has leveled out in regards to people who are contagious, at least as of yesterday," Mexico City Mayor Marcelo Ebrard told reporters.  Watch how Mexican authorities are dealing with the outbreak »

"We do have a problem, but I say this so that we know where we are as a city after we have done all we have done, and in what direction we are heading and how much we have progressed. And what I can say is that we are heading in the right direction."

The WHO said Mexico has 156 confirmed cases and nine deaths. Mexican authorities say they have confirmed 16 deaths and at least 358 cases, and they suspect more than 150 deaths may have been caused by the flu.  Watch Dr. Sanjay Gupta demystify pandemics »

The CDC gave the following state-by-state breakdown of the 141 confirmed H1N1 cases in the United States: Arizona, 4; California, 13; Colorado, 2; Delaware, 4; Illinois, 3; Indiana, 3; Kansas, 2; Kentucky, 1; Massachusetts, 2; Michigan, 2; Minnesota, 1; Nebraska, 1; Nevada, 1; New Jersey, 5; New York, 50; Ohio, 1; South Carolina, 16; Texas, 28; and Virginia, 2.  See where cases have been confirmed »

One death in the United States has been attributed to swine flu -- a toddler from Mexico whose family brought him to Texas for medical treatment.

In a Cabinet meeting, President Obama on Friday praised the "extraordinary" government response to the virus but emphasized that "we also need to prepare for the long term."

"Since we know that these kinds of threats can emerge at any moment, even if it turns out that the H1N1 is relatively mild on the front end, it could come back in a more virulent form during the actual flu season, and that's why we are investing in our public health infrastructure."  Go behind the scenes at the CDC »

He said there are indications from Mexico that "relatively young, healthy people" have died rather than people whose immune systems are compromised, and "that's why we're taking it seriously."

"So I just want everybody to be clear that this is why this is a cause for concern, but not alarm. We are essentially ensuring that, in the worst-case scenario, we can manage this appropriately, government working with businesses and individuals, the private sector, and containing an outbreak, and that we can, ultimately, get through this."

In addition to the confirmed H1N1 cases in Mexico and the United States, Canada has 34; Spain has 13; United Kingdom has 8; New Zealand and Germany each have 4; Israel has 2; Austria, China, Denmark, Netherlands and Switzerland each have one, according to the WHO.   Learn about the virus »

Hong Kong health officials said a patient who is being treated there arrived from Mexico on a China Eastern Airlines flight that stopped in Shanghai. Denmark did not provide further details.

An additional 230 cases are being investigated in the United Kingdom, and Spain has 84 suspected cases. Australia, which has had no confirmed cases, was investigating 114.  View images of responses in U.S. and worldwide »

The effects in Mexico reflect the fear and concern across the globe, including in the United States, where schools and parents are taking precautions in academics, graduations and sports because of the flu.

For example, 22 students Slippery Rock University in Pennsylvania who just returned from from a five-week trip to Mexico City will get their diplomas at a separate ceremony when they graduate Saturday. Texas school officials have postponed all interscholastic sports until at least May 11. And Alabama has stopped such competitions until at least Tuesday.

The U.S. Department of Education said Friday that 433 public and nonpublic schools in 17 states had been closed because of the flu outbreak. U.S. Secretary of Education Arne Duncan noted in a news conference that the number is less than 1 percent of the nation's approximate 100,000 schools.

Earlier Friday, United Flight 903 was diverted to Boston, Massachusetts, on Friday after a female passenger started complaining of "flu-like" symptoms on a Munich-to-Washington flight, Logan Airport spokesman Phil Orendella said.

CDC officials at a news conference Friday were asked to compare the strain with the deadly 1918 virus.

"What we have found by looking very carefully at the sequences of the new H1N1 virus is that we do not see the markers for virulence that were seen in the 1918 virus," said Nancy Cox, chief of the CDC's Influenza Division.

However, she added, "We know there's a great deal that we do not yet understand about the virulence of the 1918 virus or other influenza viruses that have a more severe clinical picture in humans."

CNN's Karl Penhaul, Diana Magnay, Jake Perez, Saeed Ahmed, Umaro Djau and Nicole Saidi contributed to this report.

@highlight

NEW: Mexican government says 16 people have died from virus

@highlight

Virus has spread to 13 countries, with hardest-hit areas in the West

@highlight

U.S. Education Department says outbreak has closed 433 schools in 17 states

@highlight

Vaccine could be made "in a relatively short period of time," official says