Hong Kong (CNN) -- When American pop artist Andy Warhol visited Beijing in 1982 and was told there wasn't a McDonald's, he replied: "Oh, but they will."

Twenty-six years after his death, Warhol, whose much-lauded prescience extended across visual and consumer culture, has popped up in China once again -- and he was right about the fast-food chain.

"Andy Warhol: 15 Minutes Eternal," the first major retrospective of his work in China, recently arrived in Shanghai with the aim of acquainting the Chinese public with the artist who created some of the most famous paintings of the most iconic figure in the country's history.

Warhol goes to China

While Warhol's trip to Beijing was his first and only visit to mainland China, his engagement with the country started a decade earlier, inspired by former U.S. president Richard Nixon's rapprochement with the communist power in 1972.

Ripping from the headlines, Warhol adopted Chairman Mao as his subject, applying his signature pop aesthetic to China's paramount leader. His series of portraits went on to become some of his most well-known works.

"Mao was front-page news in America and that was often where Warhol got his biggest inspiration," said Eric Shiner, director of Pittsburgh's Andy Warhol Museum, which organized the exhibition. He described Mao as "classic Warhol subject matter."

Warhol relied on a copy of Mao's portrait photograph in the leader's Little Red Book of ideological quotations to create his paintings. Little did he know that he would eventually pose for a photo in front of the original portrait hanging in Beijing's Tiananmen Square.

His trip to Beijing was an unexpected byproduct of a visit to Hong Kong. The industrialist Alfred Siu had invited him to the city to attend the opening of a night club, decorated with portraits of Britain's Prince Charles and Princess Diana that he had commissioned from the artist. Upon Warhol's arrival, Siu announced he had arranged a VIP tour to Beijing for him and his friends.

Artistic inspiration aside, China also provided Warhol with a respite from the pressures of fame. "It was one of the special places," said Christopher Makos, the artist's close friend and personal photographer, who accompanied him to China.

He recalled that Warhol went virtually unrecognized in China, although the artist stood out for his unusual looks. "As Andy would say, he didn't have to wear his Andy suit. Notoriety and fame is a double-edged sword....you have no privacy."

China's communist uniformity, with its blue sea of unisex Mao suits, appealed to Warhol's aesthetic obsession with repetition. "He was all about multiples...and at the time, China was the ultimate multiple," Makos said.

The country also provided a source of inspiration for Warhol's nascent modeling career. Warhol posed for Makos' camera with gestures he adopted from the tai chi practitioners he observed outdoors -- and even adopted the bared-teeth expression of the guardian lion in the Forbidden City in one photo.

Can Warhol make a name in China?

While Warhol is well-known within art and fashion circles in China (Shiner said 600 of these cultural elite attended the exhibition's pre-opening), he remains unknown to the average Chinese citizen.

Many Chinese are familiar with certain Warhol works, such as the Marilyn Monroe or the Chairman Mao portraits, reproductions of which dot cafes and tourist markets across Beijing. But they are much less likely to connect the work with the artist -- or to even have heard of the artist himself.

"If you don't know who Andy Warhol is, I won't blame you. But if you say you've never seen his Marilyn Monroe portrait, I would have to jump into the Huangpu river and kill myself!" wrote user @Jianisi_yangyang on Sina Weibo. A search on China's popular Twitter-like platform revealed many posts by users expressing ignorance of whom Warhol was or why he is famous.

Having recently launched a "massive" advertising campaign and sat for dozens of interviews with mainland media outlets, Shiner is hoping to reach the masses.

"One of the reasons why I wanted to do this show is so the general public can learn about the artist behind these iconic works and realize (Mao and Marilyn Monroe) are just a few of thousands of images he made," he said.

So far, it appears that this education is welcome -- and necessary. "For the first time, I learned the charm of pop art," Weibo user @Yanmingdu wrote about the exhibition, while user @GracieMankedun posted, "Just saw Andy Warhol's exhibition and I got a little confused. For example, I didn't understand the Campbell's soup cans."

"The curiosity is greater than the awareness," said John Good, international director for post-war and contemporary art at Christie's, which is holding its second private sale of Warhol's work in Hong Kong this week. "We've seen a great deal of interest and curiosity (among Chinese) about Western art and international culture. I think Warhol is a perfect artist...to show what Western culture is all about."

Christie's first private Warhol sale in Hong Kong last November attracted a mostly Asian demographic and managed to sell nearly half of its lots, Good said.

Censoring Mao in China

However, visitors to the "15 Minutes External" exhibitions in mainland China will not see any Chairman Mao portraits. While Shiner was planning the exhibition with the host venue -- the Shanghai Power Station of Art -- its staff advised that exhibiting the Mao works wasn't a "good idea right now." A staff member told CNN that government authorities would have considered the works "too political."

"Of course, the primary concern is to get the show there and up and not put anything in a category that would ever question anything," Shiner said. "Knowing that we would have the censors from the Ministry of Culture, we wanted to make sure... that nothing would put the show in jeopardy."

An editorial in the state-backed Global Times newspaper suggested that while Warhol may not have had ill intent, the "provocative" blotches of color splattered on Mao's face suggested that he was wearing make-up -- a disrespectful portrayal of the iconic leader.

While Shiner acknowledged the Mao portraits "could be read as a sarcastic or ironic portrayal", he said Warhol "definitely wasn't being critical. He always liked to blur the lines on gender, and making colorful men somewhat beautiful was something that he liked to do as an inside joke," he added.

Once the Chinese public gains a deeper understanding of Warhol's work, he expects that the Mao works "won't be as big a deal."

Influence on Chinese contemporary art

Warhol's influence on Chinese contemporary art can actually be traced back to 1981, when many contemporary artists, labeled as dissidents, fled the country, Shiner said. While most of them went to Paris and Berlin, two artists "very specifically went to New York because they wanted quite literally to be part of Andy's universe" -- Ai Weiwei and Xu Bing.

Both artists have gone on to become some of the most recognized and celebrated names in Chinese contemporary art, and some would go as far as calling Ai Weiwei "China's Andy Warhol."

"Ai Weiwei loves the idea of multiples," Makos pointed out, noting Ai's most famous installations, including the 9,000 backpacks representing the schoolchildren killed in the 2008 Sichuan earthquake, and the millions of porcelain sunflower seeds he poured into the Turbine Hall of London's Tate Modern museum.

Shiner readily concurred: "He's really gone on to model his entire art-making process and career on proven Warhol tactics, looking at repetition, multiplication, and critique of consumer culture. When you look at his Coca-Cola works, that's directly related to Warhol and it's really amazing how many things he picked up from Andy." Ai's similarity to Warhol also lies in his social activism, which aims to change Chinese society through art, he added.

As for Xu Bing, viewers may not immediately see Warhol in his work, Shiner said, but he described the artist as a "huge fan of Warhol" who "loves the idea of repetition -- the formal arrangement of Chinese character after Chinese character, an endless array of similar looking imagery."

Unfortunately, neither artist became acquainted in person with their muse, despite moving to New York for him. Ai once spotted Warhol at a party, but did not approach him, Shiner revealed. "As a young man, he was too shy to actually go and say hello," he said, recalling that Ai told him his English wasn't good enough at the time.

Ai and Xu aside, the Warhol aesthetic and vocabulary has deeply influenced Chinese contemporary artists over the past 10-15 years, with its characteristic combinations of social realist imagery with pop culture and iconic brands.

The Shanghai exhibition will run to July 28 and make its way to Beijing later this year. Meanwhile, Makos will also hold an exhibition of his photographs of Warhol next month in Shanghai, including images from their 1982 trip to China.

"His work lives on. Maybe (the Chinese) don't know him, but they know his work," Makos said, predicting that Warhol "will get bigger and bigger in China."

"Andy was the ultimate pop artist. To this day you can still find Campbell soup on the shelf in the grocery store and you can see multiples of them," Makos said. "As long as that imagery is live and well, Warhol will have this built-in publicity."

CNN's Feng Ke contributed to this report.

@highlight

First major retrospective of pop artist Andy Warhol's work exhibiting in China

@highlight

Warhol made first and only trip to China in 1982, which provided artistic inspiration

@highlight

While iconic works are well-recognized in China, few people connect them with Warhol

@highlight

Warhol influenced Chinese contemporary artists, most notably Ai Weiwei and Xu Bing