Ten years ago I was one of a small number of UK lawyers who opposed the invasion of Iraq on the grounds that it was illegal and unauthorised by the United Nations. We were all strong advocates of the notion that the rule of law was the bedrock of any civilised and democratic society. Without it our lives would be subject to a free for all in which might becomes right.

The embodiment of the rule of law internationally has been the U.N. Charter and the Universal Declaration of Human Rights -- direct results of the devastation inflicted by the Nazi regime in Germany during the Second World War. No one wanted a repeat of such flagrant aggression, so the Charter was drawn up to replace gunboat diplomacy with peaceful measures overseen by the U.N. Security Council.

This was not a new vision. In 1945 the U.N. Charter was ratified by the U.S., the UK, and the majority of the 50 states who had originally agreed to this framework. Thrashed out by experts and with massive support behind it, the document was no maverick, outlandish or oddball agreement. The Charter is not gobbledygook -- it is full of common sense, and it should be obligatory reading in every school.

OPINION: Why Iraq War was fought for oil

Article 1 makes clear that the main purpose of the U.N. is to "maintain international peace and security and to that end to take effective collective measures for the prevention and removal of threats to the peace" and to act in accordance with justice and the principles of international law.

It is for the U.N. to determine what collective measures should be taken -- not for individual states to take unilateral or bilateral action. This is not rocket science, but the simple application of restraint and respect for the rules that Britain and America agreed to when they signed the Charter.

But this is not what happened 10 years ago at the behest of U.S. President George W. Bush and British Prime Minister Tony Blair. Their agenda was quite different -- to remove a dictator, Saddam Hussein, whose regime was abhorrent.

But regime change, however desirable, is not permitted by the Charter. If it were, the powerful nations could go round the world picking off the weak -- or more particularly the states thought to be hostile to their own ambitions.

In case some politicians found it difficult to understand all this, Article 2(4) spelled it out in unequivocal terms: "All Members shall refrain in their international relations from the threat or use of force against the territorial integrity or political independence of any state".

Everyone recognised there might have to be exceptions to this rule, but the Charter specifically does not authorize preemptive nor preventative action(i.e. getting in first) on the basis of a perceived future threat.

INTERACTIVE: How has the war changed you?

The only way around this predicament was for the Bush-Blair axis to fabricate a case of threat. This they did by the knowing manipulation of flawed intelligence about the existence of weapons of mass destruction in Iraq (which were never found), and the bogus claim that Saddam Hussein could deploy such WMD within a 45-minute window.

This argument, which was false, became the main basis for invasion because the only other route to war had been closed off by international law. The U.N. has the power to authorise military intervention once all other options have been exhausted and the peace and stability of a region is in jeopardy. At the time it became a debate about whether Iraq satisfied these criteria by its failure to abide by U.N. resolutions concerning disarmament.

The principal Security Council resolution 1441, adopted in November 2002, called on Iraq to disarm its WMD and cooperate with U.N. weapons inspectors. The Council made clear they continued to be in charge but had not authorised the use of force in Iraq.

EXCLUSIVE: Hans Blix on 'terrible mistake' in Iraq

Tony Blair insisted to the British public that he would only support a war if a second Security Council resolution authorising the action was passed, but the resolution never came. Bush and Blair realised they would never get one, and so they prepared to go it alone with a cobbled together coalition. Troops had already been committed on the ground. There was no going back.

This was why Bush and Blair were not prepared to allow the weapons inspectors, who were in Iraq, any more time. Inspectors had found no evidence of WMD in the lead-up to the war and never did, but were ordered to go home.

I am not alone in these views. There is a substantial consensus of international legal opinion which recognises the illegality of the invasion. Kofi Annan, then the U.N. Secretary General, told the BBC in 2004 that the Charter had been breached and that the invasion was not sanctioned by the Security Council.

FULL COVERAGE: The Iraq War, 10 years on

In the UK we are still waiting for the results of a public inquiry into the circumstances in which the decision to go to war was taken. Blair never wanted this inquiry but was forced by the power of the victims' families and public opinion to accede. So far two years have gone by while the government has obstructed disclosure and publication. It is intolerable and inexcusable.

I believe George W. Bush and Tony Blair should be tried for war crimes as defined by international law.

In 1998 the International Criminal Court was established to deal with individuals who commit international crimes. Four transgressions were agreed -- war crimes, crimes against humanity, genocide, and the crime of aggression. Unfortunately only the first three have been brought into effect. The UK, to their credit, signed up to the court. But the U.S. did not, lest its leaders end up accused of crimes before the court.

ARWA DAMON: Iraq suffocates in cloak of sorrow

Whilst the act of aggression cannot be prosecuted, war crimes committed thereafter can be. So for example to launch an attack, like the invasion of Iraq, with the knowledge that its effect is likely to cause incidental death or injury to civilians or the natural environment (Article 8) will render the perpetrator liable to prosecution. The use of cluster bombs and depleted uranium in Iraq by coalition forces (euphemistically called collateral damage) upon vulnerable civilians falls within this definition. As a result, a legal consortium of which I was a part, and other groups in Europe, petitioned the ICC for action against UK politicians over their involvement in the war. Nothing has happened.

Getting U.S leaders hauled before the court is even more problematic -- the Security Council could refer Americans to the court, but the U.S. is a permanent Council member and can veto any potential referral.

Alternatively individual member states could incorporate these crimes of universal jurisdiction into their own domestic law. Then if a U.S. perpetrator of war crimes travelled into that country's jurisdiction, they could be arrested.

The UK has such a provision, but when put to the test by UK citizens seeking arrest warrants in relation to the planned visits of Israeli political and military leaders -- who were potentially responsible for war crimes in Gaza -- the UK government reprehensibly placed impediments in the way of its future use. So George W. Bush can safely plan a visit for tea with Tony Blair in London without fear of prosecution in the UK.

The whole episode regarding the Iraq War is a tawdry tale that has subverted the rule of law and tarnished the reputation of international law.

Without accountability for Western states, how can we expect the rest of world to respect these principles? It is time for Bush and Blair to be thoroughly, independently and judicially investigated for the crimes I suggest have been committed and it is time for the crime of aggression to come into force.

Until this is redressed, la lotta continua!

@highlight

Mansfield: Bush, Blair should be tried for war crimes over invasion of Iraq

@highlight

Mansfied: Regime change is not permitted by the U.N. Charter

@highlight

Mansfield: Charter does not authorize preemptive action based on perceived threat