WASHINGTON (CNN) -- President Bush on Tuesday announced a troop deployment shift for America's two wars, a move that reflects a more stable Iraq and an increasingly volatile Afghanistan.

President Bush said Tuesday that he soon will start bringing some U.S. troops home from Iraq.

Through early next year, about 8,000 American troops will leave Iraq and not be replaced. Some 4,500 other U.S. service members will go to Afghanistan.

Bush also emphasized the U.S. intention to help Pakistan defeat insurgents who are using the country's tribal areas to stage attacks in Afghanistan.

"Iraq, Afghanistan and parts of Pakistan pose unique challenges for our country," Bush said Tuesday in a speech at the National Defense University in Washington. "Yet they are all theaters in the same overall struggle."

Bush said he is making the Iraqi troop withdrawal decision based on a recommendation from top military officers, including Gen. David Petraeus, the highest-ranking U.S. military officer in Iraq.  Watch Bush announce the troop reduction in Iraq »

"He and the Joint Chiefs of Staff have recommended that we move forward with additional force reductions," the president said, citing military and political strides in stabilizing the country and dramatically bringing down violence.

Bush adopted the entire recommendation from Petraeus, a senior military official in Iraq told CNN. The source said five people saw the plan before it went to the president. Debate the Iraq issue! Join The Forum

In explaining progress in the war effort, Bush cited the "surge" offensive, winning the hearts and minds of Sunni tribes, Iraqi political reconciliation efforts, economic improvements, an improved Iraqi army leading the fight against Shiite and Sunni insurgents, and a return of hundreds of doctors who fled the fighting.

"Over the next several months, we will bring home about 3,400 combat support forces -- including aviation personnel, explosive ordnance teams, combat and construction engineers, military police and logistical support forces," he said. "By November, we will bring home a Marine battalion that is now serving in Anbar province. And in February of 2009, another Army combat brigade will come home.

"This amounts to about 8,000 additional American troops returning home without replacement. And if the progress in Iraq continues to hold, Gen. Petraeus and our military leaders believe additional reductions will be possible in the first half of 2009."

At present, there are about 146,000 U.S. troops in Iraq.

An adviser to Iraqi Prime Minister Nuri al-Maliki welcomed Bush's decision.

"We look at this step as a positive step that there is stability in Iraq, there is a real improvement in the security situation in Iraq and there is a real improvement in the capability of the Iraqi security forces in protecting and keeping the security in Iraq," said Sadiq al-Rikabi, al-Maliki's political adviser.

Democrats were less than enthusiastic about Bush's announcement.

The plan "may seem to signal movement in the right direction," but it "defers troop reductions until the next administration," said Rep. Ike Skelton, D-Missouri, chairman of the House Armed Services Committee.

"More significant troop reductions in Iraq are needed so that we can start to rebuild U.S. military readiness and provide the additional forces needed to finish the fight in Afghanistan."

Skelton said Iraq "cannot continue to overshadow other critical U.S. security needs."

"The effort in Afghanistan must move to the forefront and once again become our top priority," he said.

Democratic presidential nominee Sen. Barack Obama praised Bush for announcing additional troops for Afghanistan and "moving in the direction of the policy that I have advocated for years."

However, "we will continue to spend $10 billion a month in Iraq while the Iraqi government sits on a $79 billion surplus," Obama said.

"In the absence of a timetable to remove our combat brigades, we will continue to give Iraq's leaders a blank check instead of pressing them to reconcile their differences," he said.

Obama criticized the timing and scope of Bush's move.

"His plan comes up short -- it is not enough troops, and not enough resources, with not enough urgency," the senator from Illinois said of Bush's call for more troops in Afghanistan.

In his speech, Bush praised other members of the U.S.-led coalition, saying many of those nations will be able to end their deployments to Iraq this year. He said Australia has "withdrawn its battle group" and Polish troops are "set to redeploy shortly."

The president said Iraq and the United States will work "toward the conclusion of a strategic framework agreement and a status of forces agreement," pacts that will spell out the terms of their relationship.

"These agreements will serve as the foundation for America's continued security support to Iraq once the United Nations resolution authorizing the multinational forces there expires on December 31."

Bush focused his remarks just as strongly on Afghanistan, where al Qaeda and Taliban militants have been making a comeback.

"For all the good work we have done in that country, it is clear we must do even more," he said. "As we learned in Iraq, the best way to restore the confidence of the people is to restore basic security -- and that requires more troops."

He said that a Marine battalion of around 1,000 will deploy to Afghanistan in November instead of Iraq and that an Army combat brigade of around 3,500 will go in January.

Bush said the U.S. would make additional forces available in 2009 and called on allies to increase their force levels.

Bush said stepped-up insurgent efforts in Afghanistan have necessitated the increase of U.S. troops from "less than 21,000 two years ago to nearly 31,000 today."

He said these troop increases and those by allies, including Britain, France, Poland, Bulgaria, Romania, Australia, Germany, Denmark and the Czech Republic, have resulted in what he calls a "quiet surge" in Afghanistan.

Bush described challenges in Afghanistan that don't exist in Iraq.

"This is a vast country," he said. "Unlike Iraq, it has few natural resources and has an underdeveloped infrastructure. Its democratic institutions are fragile. And its enemies are some of the most hardened terrorists and extremists in the world."

He said Americans will help develop Afghan security forces and are improving efforts on the civilian side, adding more personnel to deal with issues of diplomacy, development, the rural economy and the fight against the drug trade.

@highlight

NEW: Sen. Barack Obama, House Armed Services chairman criticize scope, timing

@highlight

NEW: Iraq views decision as "positive move," aide to Iraqi leader says

@highlight

Iraq force to be trimmed by 8,000; Afghanistan force to rise by 4,500

@highlight

President Bush cites increased stability in Iraq, stronger insurgency in Afghanistan