(CNN) -- The Chinese-French painter Zao Wou-ki once told me that painting expresses the thoughts we struggle to put into words. Faced with this challenge, "It's easier to learn English!" he joked, his wit shining through, even though Alzheimer's disease had already begun its slow, relentless onslaught on his mind.

Zao, widely regarded as one of the foremost Chinese contemporary painters of the 20th century, passed away at his home in Switzerland on Tuesday at the age of 93.

Born in Beijing in 1920, he formed part of the second generation of Chinese artists to turn westward in their search for inspiration. Encouraged by the French-educated Chinese artist Lin Fengmian, his teacher at the prestigious Hangzhou National College of Art (today the China Academy of Art), he relocated to Paris in 1948. Although he did not know it at the time, the move would be permanent, due in part to the rapidly changing political situation in China.

Apart from brief trips abroad, Zao would remain in France until the year before his death, one of the few Chinese artists from his generation to emigrate to Europe. Embraced by France, he was elected to the prestigious Academie des Beaux Arts society in 2002 and received the Legion of Honor in 2006 from then-president Jacques Chirac.

For Zao and his contemporaries, Paris represented the source of modern art. Living there meant direct access to the paintings that he had until then only encountered as black-and-white reproductions in art magazines. An oil painter by vocation, he immersed himself in the riches that surrounded him -- heading directly to the Louvre on the very day he arrived in the city.

Meanwhile, with the assistance of his friend and mentor, noted poet and painter Henri Michaux, and blessed with the warm charm and wit that would impress me decades later, Zao cultivated an extensive circle of fellow artists and cultural figures. In just a few years, he established himself as an integral member of the postwar French art world.

Zao worked hard to find his artistic voice. At first he made a determined effort to distance himself from ink painting -- the medium most closely associated with the Chinese painting tradition-- and subject matter that might be construed as overtly Chinese. He wished to be appreciated on his own merits and not to fall victim to stereotype.

His breakthrough, however, came with his 1954 masterpiece "Wind," a painting that was both his first purely abstract work and a return to his origins: the inky black forms rising in two wavering columns are abstractions of oracle bone characters -- the most ancient of Chinese scripts.

In the decades that followed, Zao committed himself fully to abstract painting, rarely using even figurative titles after 1959. Instead, he titled his works with their date of completion, marking their entry into the world. The lyrical qualities that defined him as an artist appeared early on, first in his oil paintings and later in his ink paintings, after his reengagement with the medium in the early 1970s: oscillating planes of color, light, and shade met, collided, and diverged, skidding across the surface of his works.

The apparent disorder of his paintings concealed an underlying structure, sometimes described as Daoist in nature, which bore striking parallels to a similar balance between order and chaos found in Chinese traditional painting. In Zao's case, this phenomenon is perhaps best understood as a self-statement: the artist's insistence on his personal and aesthetic identity in the face of the vagaries of borders and time.

Zao's given name, "Wou-ki" (or "Wuji" in the standard Hanyu Pinyin romanization used in China), means "no boundaries." No single phrase better encapsulates the union in his person and art of the two often disparate cultures and aesthetic visions of France and China.

"French thought and Chinese thought are not the same," he told me. "It's hard to translate between them. Sometimes you must wear yourself out trying to understand. Painting must express these feelings."

An artist friend once asked about my research. Hearing that I studied Zao Wou-ki, he grew suddenly pensive. "Zao Wou-ki," he mused, "his work isn't representative of either Chinese or French art." "Yes," I answered. "He represents himself, and that is enough."

@highlight

Chinese-French painter Zao Wou-ki died Tuesday at age 93

@highlight

Zao was regarded as one of foremost Chinese contemporary painters of the 20th century

@highlight

Zao was uniquely able to combine cultures, aesthetic visions of France and China in his work