(CNN) -- For decades, skyscrapers have served as iconic symbols of national pride or flashy trophies of corporate wealth, reshaping the skyline of the world's major urban centers. Perhaps in the future, the high-rise superstructures could also help revolutionize the way we travel.

That, at least, is the fanciful concept behind the Vertical Hyper-Speed Train Hub, a futuristic proposal of two UK-based architects envisaging trains roaring up and down the side of specially-designed skyscrapers nearly as high as the Empire State Building.

Towering above the crowded streets of future metropolises, these giant buildings are designed to minimize the large slices of real estate that major railway terminals occupy by flipping them on their side.

The goal, designers Christopher Christophi and Lucas Mazarrasa say, is to free up valuable space in the densely-packed cities of tomorrow, which will be significantly challenged by overcrowding and a sharp drop in public space availability.

"In 60 years' time, it will be very difficult for governments to find attractive pieces of available land for public use in the heart of megacities," says Christophi, 27. "Governments will be able to take advantage of such spaces in order to re-adapt the cities' structure to society needs," he adds.

How it works

The designer's vertical station concept calls for a tall cylindrical skyscraper whose small footprint would allow the transformation of the surrounding area into an urban park. Passengers arriving at the tower would use a lift to make their way up into the platform and from there into their carriage, which could accommodate 10 people sat in two rows opposite each other.

But, you might wonder by now, how could commuters stay on their feet whilst the train slides in hyper speeds along the huge tower's faÃ§ade?

The main idea is that instead of traveling on normal rails beneath, the carriages would be supported by magnetic tracks running up the skyscraper's exterior. Each carriage proportion is designed as a cubical shape to enable it to function both vertically, when docked, and horizontally, while traveling After the train's departure, the wagons would pivot like a "Ferris wheel," allowing commuters to remain in an upright position and enjoy breathtaking views of the city.

Connecting cities

The radical proposal won the designers an Honorable Mention at this year's eVolo Skyscraper competition, which encouraged people from around the world to propose new ideas for vertical structures of the future.

The designers say the towers, which would be capped off by a rooftop green plaza, are envisioned as individual pieces of infrastructure that could be replicated in cities around the world.

The hope is to connect a new hyper-speed network of underground tunnels and overground routes where superfast trains would cover distances of 300 miles in 30 minutes. This, they claim, would not only save commuting time and simplify the way public transport is being used, but would also help to cut down CO2 emissions by replacing ways of transport powered by fossil fuels.

"Our conceptual design is based upon utilizing existing and viable technologies that can currently be seen in hyper speed rail networks, for example in China," says Mazarrasa, 29, adding that is a matter of time before we're able to reach the rail speeds their concept requires.

"The Maglev trains currently travel at 360 miles per hour -- this technology by the 2075 will in no doubt move leaps and bounds from what it already is today, making the hyper-speed trains probably the fastest and safest way of transporting goods and people."

Of course, there are a number of limitations to the project -- the proposal deals only with stations designed to accommodate city by city travel, not to mention efficiency issues around loading trains in high volume terminals and connecting train routes.

Yet, like in most futuristic transport proposals, practical details are best to take a back seat for now to allow us to enjoy the thrilling ride -- that is, unless you're afraid of heights.

@highlight

A futuristic proposal flips the traditional designs of today's major train stations vertically

@highlight

The Vertical Hyper-Speed Train Hub wants to cut the footprint of rail terminals by 2075

@highlight

The proposal won an Honorable Mention in 2014's eVolo Skyscraper competition