PORT HARCOURT, Nigeria (CNN)  -- Trash litters its cities. Electricity is sporadic at best. There is no clean water. Medical and educational services are limited. Basic infrastructure is severely lacking.

"Planet in Peril" met in a secret location with members of the Movement for the Emancipation of the Niger Delta.

These are not conditions that should plague one of the richest oil states in the world. Hundreds of billions of dollars has been made from the Niger Delta's oil reserves and many people have gotten very rich. Conversely, the average Nigerian has suffered as a result of the country's oil prosperity. The United States Agency for International Development says more than 70 percent of the country lives on less than a dollar a day -- the population is among the 20 poorest in the world.

Oil companies are only part of the equation. The other is the Nigerian government. Transparency International, a global organization intent on stamping out corruption, has consistently rated Nigeria's government one of the most corrupt in the world.

Nigeria's federal government and oil companies split oil profits roughly 60-40. The money is then supposed to make its way down to the local governments to fund various projects. Somehow, little money actually reaches its intended destination. Nigeria's own corruption agency estimates between $300 billion to $400 billion has been stolen or wasted over the last 50 years.  Lisa Ling travels to secret location to meet notorious Nigerian militant group »

Gov. Rotimi Amaechi of Rivers state, one of the largest oil producers of Nigeria's 36 states, acknowledges past problems with corruption, but thinks progress is being made.

"There's a lot of improvement," Amaechi said. "The work being done by the corruption agency and the federal government has somehow been able to control the level of corruption in government."

Over the last few years, a culture of militancy and violence has arisen in the absence of jobs and services. Kidnappings for ransom, robberies and even murder happen with regularity.

The biggest and most powerful armed group is the Movement for the Emancipation of the Niger Delta, or MEND. They say they are at war against the Nigerian military and the oil companies operating there.

MEND, formed in 2005, said it has more than 30 camps throughout Nigeria. Members are armed with high-tech weaponry they said was obtained from "foreign sources." Hundreds of people have been killed on both sides and countless oil workers have been kidnapped.

Over the years, MEND's attacks on oil pipelines have halted oil production and, therefore, raised the price of oil around the world. They demand oil profits be distributed to average Nigerians of the Niger Delta and said they will not stop their attacks until their objectives have been fulfilled.  See environmental battle lines for "Planet in Peril" »

The battle is over oil -- one of the world's most valuable resources. But to most Nigerians -- oil is a curse.

It has provoked an environmental disaster of monstrous proportions. Since the 1970s, the United Nations estimates there have been more than 6,000 oil spills in the Niger Delta -- that is equal to more than 10 times the amount spilled from the Exxon Valdez in 1989. Yet, there is no international outcry and rarely are the spills reported, even to most Nigerians. They are still happening and the consequences are nothing short of devastating.

Communities along the Niger Delta have lived off subsistence fishing and agriculture for decades. Collecting food becomes impossible when a spill happens, like one that occurred in August. The waterways and mangroves are blanketed in thick brown oil sludge that goes on for miles. Toxicity overpowers the air and a sense of lifelessness pervades the landscape. Many say it will take 10-15 years for the area to be free of contamination -- if the cleanup effort commences in a timely manner.

The August spill was a result of a leak from an old pipeline that had corroded. It took the oil company three months to clamp the leak, but the company said it wasn't reported for a full month after it began. Once the leak was reported, the company said it was denied access to the site by the community. Leaders of the village deny that, and the finger-pointing between the two sides is nothing new -- there is no love lost here.  Who is telling the truth? Who knows? Either way, the creeks are blackened. This is life in the Niger Delta.

@highlight

Nigeria is one of world's richest oil states; people are among poorest in world

@highlight

Nigerian agency: $300 billion to $400 billion in oil profits squandered, stolen

@highlight

Militant group MEND attacks oil pipelines, demands profits given to Nigerian people

@highlight

UN: Niger Delta has had more than 6,000 spills; 10 times more than Exxon Valdez