ATLANTA, Georgia (CNN) -- Long before U2 and Bono blazed their own paths, and decades before the Christian music industry became a half-billion-dollar annual business, a hippie musician with long blond locks paved the way.

Larry Norman sang about drugs, politics, racism, sex and Jesus -- sometimes in the same song.

Larry Norman was a Christian rock musician before the genre existed, combining faith with a backbeat and social consciousness.

Think of him as rock music's street preacher, often referred to as "the father of Christian rock."

"Between 1969 and 1979, Larry Norman was the Christian rock scene's answer to Bob Dylan, John Lennon and Mick Jagger," said Emmy-nominated director David Di Sabatino, who takes a critical look at Norman's career and life in his documentary "Fallen Angel: The Outlaw Larry Norman."

"He set the standard. He created the space for others to exist. ... The vision he created for where Christian rock music could go still resonates today."

The documentary is scheduled to go into limited theatrical release in early 2010.

Norman hit the U.S. music scene at a turbulent time for the nation. His first solo album, "Upon This Rock," came out in late 1969, after he left the band People! The San Francisco Bay area psychedelic group was fresh off the success of a Top 20 hit with a cover of the Zombies' "I Love You."

It was a time when college campuses were erupting in anti-Vietnam War protests and the nation was still trying to digest what had just happened that summer at Woodstock.

As many Americans looked for answers, Norman offered his faith, a bold decision for an unknown solo artist making his major-label debut.

"It was a pretty gutsy move to sing about Jesus on his first record," younger brother Charles Norman said. "To take a chance on mentioning Jesus on a secular record was a pretty important step."

" 'Upon This Rock' was written to stand outside the Christian culture," Larry Norman said in an interview with CCM magazine. "My songs weren't written for Christians. ... I was saying, 'I'm going to present the Gospel, and I'm not going to say it like you want. This album is not for you.' "

No small surprise, given that rock music at the time was the soundtrack of the counterculture and was far from the mainstream.

A national survey conducted by Louis Harris and Associates in 1966 found that rock 'n' roll was by far the most unpopular music in the country. About 45 percent of adults said they disliked it, with only about 5 percent saying it was their favorite.

Compare that with today, when nearly two-thirds of those asked in a recent Pew Resource Center poll said they listen to it.

Being a rocker in the late 1960s wasn't just flying in the face of a conservative Christian music industry but mainstream America as well.

Then there were the lyrics, especially on Norman's second solo effort, 1972's "Only Visiting This Planet." There were no happy songs about going to heaven; the tunes tackled the social issues of the day.

Norman sang about drugs, politics, racism, sex, venereal disease and Jesus -- sometimes in the same song -- getting his music banned from Christian bookstores that might have sold it.

"Stuff like that shocked uptight Christians," Charles Norman said in an NPR interview shortly after his brother's death in February 2008 at age 60. "One of his songs, it's called 'Why Don't You Look Into Jesus,' one of the lines is: 'You've got gonorrhea on Valentine's Day [VD] and you're still looking for the perfect lay. ... Why don't you look into Jesus? He's got the answer.'"

The album also contained what became Larry Norman's signature song, "Why Should the Devil Have All the Good Music."

Nearly two decades after its release, "Only Visiting This Planet," helmed by Beatles' producer George Martin, was recognized as a seminal recording for the genre, voted by CCM magazine in 1990 as the greatest Christian album ever recorded.

A similar list released in 2001 by CCM, a Christian music and lifestyle magazine, put the album at No. 2 all time. U2's "The Joshua Tree" was sixth.

Norman was inducted into the Gospel Music Hall of Fame that same year, along with Elvis Presley.

The accolades came much sooner in the mainstream media. In 1971, Billboard Magazine called Norman "the most important writer since Paul Simon," while Time magazine pegged him as "probably the top solo artist in the field."

Norman's fans include U2, Guns N' Roses and Bob Dylan, according to his brother Charles. John Mellencamp said he's one, too.

British pop star Cliff Richard made no secret of his admiration.

"When I first became a Christian, I hunted around in vain to find Christian rock 'n' roll music I could relate to. It just all sounded horrible," Richard said on "Rockspell," a Gospel-music-themed BBC television show he hosted in 1986, and on which Norman appeared.

Then he was introduced to Norman's music, "and I just was overjoyed and thrilled, because suddenly I could relate ... and there seemed to be a Christian who could do it as well, if not better, than the rest of us."

Black Francis of the alternative rock group the Pixies said Norman has been a lifelong influence.

"I listened to his records growing up, and saw him perform many times. In fact, I used to dress up like him; long blond hair with bangs, sort of a grown-out British invasion look, with black jacket, black shirt, black pants and two-tone black and white cheerleader shoes," Francis said.

"While Larry is always referenced by his Christian beliefs, to me he was always an entertainer ... humorous, poignant and always rock 'n' roll. His respect for the arena of entertainment is what gave him his power as a performer."

More than 300 versions of Norman's songs have been recorded by other artists, including non-Gospel acts as diverse as Richard and Francis, as well as Sammy Davis Jr., Petula Clark and Tennessee Ernie Ford.

Christian music has come a long way in the 40 years since Norman pioneered Christian rock.

"Before Larry Norman, there was not any Christian music industry," said Shawn McSpadden, manager for Switchfoot and the Grammy Award-winning band Third Day.

But today is a different story, according to figures from the Gospel Music Association. It says 56 million units of Christian/Gospel music sold in 2008, totaling nearly $500 million.

"The Christian music industry has been very business-savvy, probably without even realizing it, in that a lot of the artists and bands use their local church as their home base when they begin their careers," said Bruce Burch of the University of Georgia's Music Business School. "They immediately have fans that are passionate and devout not only about them as a band or artist, but to their message."

Album sales for the genre, during 2008, outsold classical, jazz, new age and Latin, according to Nielsen SoundScan.

Norman, a hippie musician who set out to sing about his faith, blazed the trail for Christian rock.

@highlight

Larry Norman was Christian rock musician before genre existed

@highlight

His first solo album, "Upon This Rock," came out in late 1969

@highlight

Norman's fans include U2, Guns N' Roses and Bob Dylan

@highlight

More than 300 versions of Norman's songs have been recorded by other artists