Washington (CNN) -- New disclosures that the Internal Revenue Service targeted liberals as well as conservatives in assessing applications for tax-exempt status have reshaped perceptions of the scandal, shifting the focus away from Republican claims of political villainy.

IRS targeting included liberal groups

Investigations by the FBI, congressional committees, the Treasury inspector general's office and the IRS continue, but Monday's revelations bolstered assertions by agency officials and Democrats that the problem was egregious mismanagement instead of intentional misconduct by the Obama administration.

Shifting polls contradict key deposition

House Democratic leader Nancy Pelosi of California told CNN on Tuesday that the priority now should be to ensure that laws and regulations prohibiting political groups from getting tax-exempt status are properly enforced, regardless of whether organizations are on left or right.

"These groups are in some ways giving the appearance that their primary purpose is the common good, the common welfare ... when they are actively engaged in political activity, for which they shouldn't be getting a tax deduction," Pelosi said.

However, Rep. Paul Ryan of Wisconsin argued too many questions remain unanswered to stop investigating whether politics played a role in the controversy.

"What we still don't know is who ordered this kind of targeting, why did it take so long for them to clean it up?" Ryan, the 2012 GOP vice presidential nominee, told CBS.

Asked if the claim of political motivation now seemed less valid, he responded: "I don't know the answer to that, so we're going to let the facts take us where they take us."

In particular, Ryan said he wanted more details on why conservative-oriented groups had their tax-exempt applications stalled and experienced harassing behavior by the IRS, such as having to answer inappropriate questions about the beliefs and activities of members.

At the same time, he sounded like Pelosi in saying the bigger question involved the practice of targeting, rather than who specifically got targeted.

CNN Poll: Did White House order IRS targeting?

"We know that the IRS did target people based upon their political beliefs," Ryan said. "Who cares whether they're right or left? ... The fact that they're targeting people for harassment based upon their political beliefs should be cause enough alone for outrage."

That's a big change from inferences by GOP leaders in recent weeks that the Obama administration was likely behind the targeting that started in 2010 in an effort to subdue political rivals.

With no evidence to date of any such connection, it was unclear how hard congressional committees would continue pushing the issue.

The GOP-led House Ways and Means Committee has scheduled a hearing on Thursday on an initial review of the IRS targeting by the agency's temporary leader, Daniel Werfel.

President Barack Obama appointed Werfel to clean up the IRS mess last month after an inspector general's audit uncovered targeting of applications that contained conservative-themed words such as "tea party."

The audit by Treasury Inspector General for Tax Administration J. Russell George only cited the targeting of conservative groups, which it said ended in May 2012.

Read IRS watchdog's report

In his first substantive report on the agency, Werfel said Monday that its tax-exempt unit used multiple lists of inappropriate criteria in assessing tax-exempt applications until earlier this month, more than a year later than previously revealed.

The "Be on the Lookout" or BOLO lists included liberal-themed words such as "progressives" and other politically oriented terms such as "occupy" and "medical marijuana" in alerting IRS workers to check for unacceptable political activities, according to copies made available by Democratic Rep. Sander Levin of Michigan.

Werfel said he has suspended the use of BOLO lists in considering tax-exempt applications for now.

A statement by Levin questioned why George's audit focused only on BOLO lists that contained conservative labels.

The inspector general's report "served as the basis and impetus for a wide range of congressional investigations, and this new information shows that the foundation of those investigations is flawed in a fundamental way," Levin's statement said.

A spokesperson for George later responded that the report focused only on BOLO criteria used to refer cases for extra scrutiny of potential political activity that would make groups ineligible for tax-exempt status.

Republicans have claimed the controversy amounted to political retribution against enemies of the administration, an accusation denied by the White House and the IRS.

McConnell: Obama administration a 'culture of intimidation'

In response to Levin's statement, House Ways and Means Committee Chairman Rep. Dave Camp, R-Michigan, said the inclusion of "progressives" on a BOLO list did not prove that liberal groups underwent the same extra scrutiny of conservative groups cited in the inspector general's report.

The release of George's audit last month ignited a political firestorm in Washington while fueling conservative mistrust of Obama's administration as an example of big government gone wild.

Werfel noted Monday that his internal investigation, while still incomplete, found no evidence so far of intentional wrongdoing by IRS personnel or involvement by anyone outside the IRS. He also said no evidence had emerged that in appropriate targeting extended into other areas of the agency.

Five IRS managers have been replaced, from the previous acting commissioner whom Werfel succeeded to the head of the unit based in Cincinnati that handles tax-exempt applications.

In addition, Werfel created an Accountability Review Board to recommend within 60 days "any additional personnel actions necessary to hold accountable those responsible" for the targeting disclosed by the inspector general's report.

White House spokesman Jay Carney said Monday that Obama believes Werfel's report "is an important step in ensuring accountability for any staff that acted inappropriately, identifies the failures in their systems that allowed the misconduct to happen, and takes a forward-looking systemic view at the agency's management."

In his audit that disclosed the misconduct, George said there was no evidence of a political motive. However, he is continuing to investigate the matter, along with the FBI and the congressional committees.

As part of his review, Werfel said 80 groups awaiting IRS action on their applications for tax exempt status for more than 120 days could self-register with the agency as long as they certified under penalty of perjury that they would comply with applicable laws and regulations.

At the heart of the matter is what kind of organization can qualify for tax-exempt status. Regulations limit such status to groups primarily involved in social welfare activities, while political groups are considered ineligible.

Confusion over defining what constitutes political activity versus social welfare activity contributed to the targeting by the IRS, Werfel said.

An IRS statement on Monday said the "safe-harbor" option for self-certification would apply to groups that "certify they devote 60% or more of both their spending and time on activities that promote social welfare."

"At the same time, they must certify that political campaign intervention involves 40% or less of both their spending and time," the statement said. Applicants meeting those thresholds would get approval within two weeks of seeking self-certification, it said.

Earlier: What's a 501(c)(4)?

Werfel said the IRS would continue checking on tax-exempt groups to ensure they were following the law.

Separately, the House Oversight Committee, which has been aggressively investigating the IRS matter, plans to meet on Friday to consider a resolution aimed at resolving questions about whether a key agency official must testify.

Lois Lerner was the director of exempt organizations when the agency filtered applications for tax exempt status. She appeared before the committee in May and said she had broken no laws or regulations and then invoked her constitutional right not to answer questions.

Lerner pleads the 5th

Several committee Republicans questioned whether she waived that right by making her opening statement, and Oversight Chairman Darrell Issa said she could be called back at a later date if that were the case.

CNN's Dana Bash and Deirdre Walsh contributed to this report.

@highlight

Liberal and conservative groups seeking tax-exempt status got targeted

@highlight

Pelosi: The priority is stopping political groups from getting tax breaks

@highlight

Ryan: Unanswered questions require further questions

@highlight

A House committee holds the next hearing on the issue Thursday