London (CNN) -- Whatever the literary merits of J.K. Rowling's new novel, the Harry Potter author is unlikely to earn many plaudits for the originality of her subject matter.

Have you read it yet? Share your review?

With a plot examining social tensions and class divisions between the rich and poor residents of an English village, "The Casual Vacancy" is a modern take on themes that have provided fertile inspiration for dramatists, novelists and satirists of English manners since at least the 17th century.

Muggle moms await first adult J.K. Rowling book

"We're a phenomenally snobby society and it's such a rich seam," Rowling said in an interview with The Guardian newspaper by way of explanation, in words that might as well have been attributed to Jane Austen, George Eliot, Joanna Trollope or any number of other female British writers. "The middle class is so funny, it's the class I know best, and it's the class where you find the most pretension."

Still, Rowling clearly has an authorial eye for the preoccupations of her middle-brow audience. Britain can sometimes feel like a country in the midst of a permanent, low-intensity class war in which all targets are fair game and all are left feeling routinely persecuted.

While the wealthy and privileged are derided as snobs and "toffs," members of the working class are grotesquely parodied and vilified as illiterate "chavs" and the middle class is roundly mocked, often from within its own fragmented ranks, for its petit bourgeois obsessions with house prices, farmers' markets and amateur dramatics.

Julian Fellowes, the script writer behind lavish Emmy-nominated period saga "Downton Abbey" complained last year that "poshism" was the "last acceptable form of prejudice", while Benedict Cumberbatch, the well-heeled star of "Sherlock" said last month he had contemplated relocating his career to the U.S. because "posh-bashing" in the UK had gone too far.

At the opposite extreme, Owen Jones, the author of "Chavs: The Demonization of the Working Class," argued that the widespread blaming of last year's riots in London and other cities on a supposed feral underclass was "classic demonization, reducing complex social problems to supposed individual failings and behavioral faults."

Class, swearing and sex fill J.K. Rowling's first adult book

If Rowling needed any further evidence of the enduring power of issues of class and status to raise British heckles, it came last week in the blundering form of Andrew Mitchell, a senior member of Prime Minister David Cameron's cabinet, whose job as chief whip is still in the balance over whether or not, during an altercation with a policeman, he called the officer a "pleb" and suggested that he ought to "learn his f****** place."

For critics of Cameron's government, Mitchell's alleged insult and the fact that, like the Eton-educated prime minister and many of his colleagues, he attended one of the UK's elite fee-paying public schools appeared to offer further proof of a blue-blooded conspiracy to keep the proles firmly in their place.

As Kevin Maguire wrote in the Mirror newspaper: "In Mitchell's angry flash of social superiority ... we glimpsed the naked prejudice of the posh boys sitting at the cabinet table. The mask slipped to reveal how voters, the great British public, are viewed as inferior creatures, drones expected to know their place and tug a forelock at Conservative rulers in their government castle."

Yet there are good reasons, aside from unvarnished prejudice, why class remains such a potent political issue. For those worst affected by the present government's austerity program, portrayed by opponents as an ideologically motivated assault on the founding principles of Britain's welfare state, the "We're all in it together" mantra coined by British Finance Minister George Osborne -- the heir to a baronetcy and a multimillion dollar wallpaper fortune -- understandably rings hollow.

Class remains the single most important factor in shaping the life prospects of every single person born in Britain; a fact most glaringly illustrated in terms of life expectancy itself, with men in the most deprived areas of the Scottish city of Glasgow typically dying at 71, while those in London's wealthy enclave of Kensington and Chelsea can expect to live beyond 85.

Time: We read 'The Casual Vacancy,' here's what we think

At the heart of the British class structure still sits the English public school, the best known archetype of which is now probably Rowling's own Hogwarts -- a place of arcane rituals and Latin lessons, bunk-bedded boarding houses and Gothic grandeur.

Real-life public schools may not offer lessons in magic and wizardry, but they do equip the offspring of those willing to cough up annual fees of tens of thousands of dollars with access to a world of privileged connections and a fast track via a well-oiled "old boys' network" into lucrative and successful careers in the upper echelons of politics, government, the military, the judiciary, banking and business.

About 7% of English pupils attend fee-paying schools yet alumni of the top 100 public schools make up almost one third of annual admissions to Oxford and Cambridge -- universities whose own peculiar traditions owe more to their archaic ties to those institutions than to the rigors of a modern, egalitarian education system.

Opinion: J.K. Rowling's daring leap

Former public schoolboys even punch above their weight on our screens, with two of Britain's leading actors -- Damian Lewis, an Emmy winner this week for his starring role in "Homeland", and Dominic West, celebrated for his portrayal of a rough-edged Irish-American detective in "The Wire" -- both also alumni of Eton.

It remains to be seen whether Rowling has anything novel to add to the class debate, but one thing of which she is undoubtedly aware is that it is a subject that will shift copies from the shelves in droves.

As "Downton Abbey" and the entire careers of Hugh Grant and Richard Curtis have demonstrated there remains an insatiable appetite beyond British shores for the sort of cut-glass accents, excruciating social awkwardness and polite self-effacement that the country has turned into a thriving export industry.

Rowling, famously canny businesswoman that she is, will surely already have negotiated movie rights to a story that will be lapped up as eagerly across the Atlantic.

Social class, swearing and sex permeate Rowling's first adult book

The opinions in this piece are solely those of Simon Hooper.

@highlight

J.K. Rowling's new novel, "The Casual Vacancy," is author's first book aimed at adults

@highlight

Plot examines social tensions and class divisions in English village

@highlight

Simon Hooper: Britain feels like country in midst of low-intensity class war

@highlight

Rowling is aware class is subject that will shift copies in droves, he adds