(CNN) -- When you think of GIFs, those never-ending sequences of looping motion, you're more likely to associate them with lightly humorous viral content than a respectable art form.

However, their hypnotic movement has been gaining favor with the artistic community, and now one of the most high profile museums in the world, London's Saatchi Gallery, has teamed up with Google+ to explore their more reflective side.

They gathered a roster of impressive judges, such as film director Baz Luhrmann, artists Shezad Dawood, Tracey Emin and Cindy Sherman, and Saatchi Gallery CEO Nigel Hurst, for The Motion Photography Prize, the first global competition for artists working with animated GIFs.

Over 4,000 people from 52 countries entered their work, which fitted into six categories - landscape, lifestyle, action, people, night and urban. The top gong went to a Brooklyn-based creative director Christina Rinaldi, whose mesmerizing GIF of a New York City window cleaner, shown above, draws the viewers in with its almost trance-inducing repetition.

Cindy Sherman, American photographer and film director, was attracted to the vibrancy of Rinaldi's work: "It almost transcends the GIF medium by turning the soapy water into brushstrokes, so it seems more like creating a painting," she explained.

Rinaldi herself said that choosing motion rather than still photography was crucial to capturing the rhythm of the window cleaner at work: "I was inspired by his brush strokes and the texture of the suds," she said," I watched him as if he were a performance artist -- his work temporary and only to be witnessed within a few seconds. I quickly became enamored with his efficient rhythm. Surviving in New York City requires an elevated sense of efficiency and an innate hustle."

The work of other finalists -- Kostas Agiannitis, MicaÃ«l Reynaud, Matthew Clarke, Emma Critchley and Stefanie Schneider, highlighted the diverse and creative nature of a GIF as an art form.

"There is incredible potential in this technology, and many photographers are now using GIFs to create motion in their work", says Saatchi Gallery's CEO and one of the judges Nigel Hurst.

"You're looking at an image that floats somewhere between a still photograph and film, it has elements of both but sometimes incorporated in an unexpected way, which makes it even more compelling," Hurst says.

He added that the judging process was no different than when looking at other, more conventional, art: "What stood out for us were images which were arresting, and used the parameters of the GIF in an imaginative way."

Artist and illustrator Clay Rodery, whose work has appeared in the New York Times, The Atlantic and on HBO, initially started creating GIFs to practice animation, but soon started making entire pieces for the format drawn by the chance to more eloquently express ideas he had inside his head.

He says:" First and foremost I'm conscious of it looping. Its duration might be very short, sometimes only several frames, but in a loop there is the potential for its content to be endless."

Moreover, Rodery says that GIFs helped him develop as an artist: "It most certainly has expanded the breadth of my work and its emotional impact. These days you need to work very hard to get your work to stand out, and a moving image really does wonders to get you noticed."

The exhibition will be featured online on Saatchi Art, a web gallery for emerging artists.

Too haute to handle - inside the world's biggest furniture fair

Korean artist creates fantasy worlds in her studio without Photoshop

Pimp my fish tank: This is the eerie, beautiful world of aquascaping

@highlight

Saatchi Gallery has teamed up with Google plus for the first GIF art award

@highlight

The Motion Photography Prize went to Brooklyn artist Christina Rinaldi

@highlight

Artists are increasingly looking to GIFs as bona-fide channels for self-expression