Venice, Louisiana (CNN) -- A wind shift could push more oil from BP's Deepwater Horizon gusher into the Mississippi Delta and areas west of the river, which is "bad news for Louisiana," Gov. Bobby Jindal said Monday afternoon.

Louisiana has been mostly spared since the oil rig exploded April 20 and sank two days later about 50 miles (80 kilometers) off the southeast coast of Louisiana. The catastrophe is sending 210,000 gallons of crude into the Gulf of Mexico each day. Most of the slick has been centered in an area east of the environmentally sensitive delta.

"We've said all along that the oil coming west of the river would pose a whole new set of challenges," Jindal said at a news conference.

He detailed efforts to place booms and other restraining devices into four passes near Grand Isle to prevent the oil from reaching land.

National Oceanic and Atmospheric Administration forecasters had warned over the weekend that the Mississippi Delta and areas to the northeast of it, including Breton Sound, Chandeleur Islands and the mainland behind them, could see oil hit the coast by Tuesday.

Further east, scientists were analyzing tar balls found on a beach on Dauphin Island, Alabama, to determine whether they were caused by the oil spill, Coast Guard spokesman Erik Swanson said.

The tar balls are "pieces of emulsified oil" shaped like pancakes, ranging in size from dimes to golf balls, Swanson said, adding they can sometimes occur naturally.

Coast Guard Rear Adm. Mary Landry confirmed the presence of tar balls in some areas, but said they were "easy to clean up."

She said booms were being moved toward Grand Isle in anticipation of oil reaching the area soon.

In addition to the use of dispersants on the surface and controlled burns, weather allowing, officials were carrying out a third test of sub-sea dispersants to determine their impact, said Landry. She said officials were trying to do in a few weeks what normally would take a few years.

So far, the spill has had little impact on wildlife, said Mark J. Musaus, deputy director of the southeast region for the U.S. Fish and Wildlife Service. Only a few birds have been taken to a wildlife rehabilitation center at Fort Jackson, Louisiana, he said.

Two of them, a gannet and a pelican, were released Monday back into the wild. Another oiled pelican was still in the treatment center, as was a green heron, he said.

The stakes are high for residents of coastal Louisiana who make their living from fishing in the Gulf of Mexico.

The government has closed parts of the Gulf to fishing. The affected area, which is east of the Mississippi Delta, comprises about 4.5 percent of the Gulf of Mexico, NOAA said.

Hundreds of thousands of feet of boom and large volumes of dispersants continued to be deployed in an effort to capture or break up the spilled oil moving toward the Gulf coastline.

Thousands of workers and volunteers also have been skimming the water's surface.

A BP executive said Monday the energy company is working "parallel paths" to fix the oil well.

The failure over the weekend of a four-story dome to cap the leak has led BP to move on to other options, including the use of a smaller chamber over the leak and shooting garbage into the gaping hole to try to plug the gusher, said Doug Suttles, BP's chief operating officer for exploration and production.

The company also is considering placing a valve or a new blowout preventer on top of the existing one, which is not functioning as well as it should, Suttles told CNN's "American Morning" program. As the name suggests, a blowout preventer is a device that is supposed to clamp shut over a leaking wellhead.

David Nagel, executive vice president of BP America, said the blowout preventer may be working better than some people believe, limiting the gusher to 5,000 barrels of oil a day.

"We have a blowout preventer that we think is mostly shut," Nagel said in an off-camera briefing with reporters Monday in Washington, adding that the situation seems to be stable.

He said remote-control inspection machines had not been able to check how the blowout assembly was working but "something is constraining the leak" from what would have been a flow estimated between 40,000 to 60,000 barrels a day.

Suttles said BP is drilling a relief well to try to divert the flow to another pipe. "What we're going to do is keep developing options until we get this flow stopped," Suttles said.

"That started about a week ago," Suttles said. "That work continues. The well is at about 9,000 feet.

"About 5,000 feet of that is the water depth. Then the rest is drilling below the seafloor. We're slightly ahead of plan here. These are complex tasks, but we're making very good process."

It may take up to three months to reach the target area, Nagel said. And progress will slow the deeper the drill bit goes, he said.

"The rock gets harder, and every time you have to replace a worn-out drill bit, it takes more time to withdraw and stack the drill pipe," in 90-foot sections on the construction vessel to change the bit, re-assemble the sections and lower the drill pipe back into action, said Nagel.

On Friday, BP lowered the massive containment vessel over the well to cap the larger of two leak points. But that plan was thwarted Saturday after ice-like hydrate crystals formed when gas combined with water blocked the top of the dome and made it buoyant.

BP has built the smaller dome and it is already available, Suttles said Monday. That device would keep most of the water out at the beginning of the capping process and would allow engineers to pump in methanol to keep the hydrates from forming, Suttles said. Methanol is a simple alcohol that can be used as an antifreeze.

Called "Tophat," the 5-foot-tall, 4-foot-diameter structure weighs less than two tons. The structure is to be deployed this week by the drill ship Enterprise, to which it is to be connected by two strings of pipe -- one inside the other with a space in between for hot water, he said.

The process of stopping the gusher with garbage is called a "junk shot." Under that procedure, debris such as shredded tires, golf balls and similar objects would be shot under extremely high pressure into the blowout preventer in an attempt to clog it and stop the leak.

That procedure would be done late next week, Suttles said Monday.

Federal investigators are still trying to determine what caused the explosion that sunk the Deepwater Horizon, which was owned by BP contractor Transocean Ltd.

BP is legally required to cover economic damages from the spill up to $75 million. But Florida Sen. Bill Nelson has introduced legislation that would raise the liability cap to $10 billion.

"If this gusher continues for several months, it's going to cover up the Gulf Coast and it's going to get down into the loop current and that's going to take it down the Florida Keys and up the east coast of Florida, and you are talking about massive economic loss to our tourism, our beaches, to our fisheries, very possibly disruption of our military testing and training," Nelson said Sunday on CNN's "State of the Union."

BP has received 3,400 claims for lost income and damages and 295 of those claims have been paid, at a price of $3.5 million, Nagel said.

"It's a host of things," he said, "The immediate loss of income is being handled very quickly."

None of the payouts are for liability, but Nagel stressed "the interim plans are in no way meant to be final."

Also Monday, organizers announced a "Gulf Aid" benefit concert for south Louisiana fishermen and wetlands restoration.

The concert, to be held Sunday, is slated to feature Lenny Kravitz, Allen Toussaint, Mos Def and the Voice of the Wetlands Allstars featuring Dr. John, Cyril Neville and Tab Benoit.

CNN's Paul Courson contributed to this report.

@highlight

Louisiana has been mostly spared since oil rig exploded and sank off southeast coast

@highlight

BP hit with 3,400 claims for lost income and damages; 295 paid, to tune of $3.5 million

@highlight

Concert Sunday to benefit south Louisiana fishermen and wetlands restoration