(CNN) -- The small, World War II-era plane that crashed Friday during a Reno, Nevada, air race was equipped with data and video recording devices that investigators hope to use to help determine what happened and why.

Seven people, including the pilot, were killed when the plane crashed into spectators at the race, with two others later dying at area hospitals. Close to 70 people were injured.

National Transportation Safety Board member Mark Rosekind on Sunday described this realization, as well as the discovery of information and pieces that may have come from the devices, as "significant new information." It was also not entirely expected, given the size and nature of the P-51 aircraft.

"I'm not aware of a lot of aircraft having it, this is the first one I came across," said Howard Plagens, who is the NTSB official heading the investigation.

Plagens was referring to a "box" that recorded key variables such as altitude, latitude and oil pressure. In addition, there was an outward-facing video camera on the plane, according to Rosekind.

Several memory cards have been found at the wreckage site that may have come from either device, and will be sent to the NTSB laboratory in Washington, D.C., for a full analysis, Rosekind said. They may belong to some of the 200,000 spectators then at the annual National Championship Air Races and Air Show.

Investigators do have a copy of the "box" data, since it was sent in real time by telemetry to sources outside the aircraft.

Besides the cards, Rosekind said parts of a plane's tail, an "elevator trim tab" and video camera fragments have been found.

"There were thousands of pieces of debris," Plagens said, explaining how the site had been laid out in a grid system to help organize the probe.

As with the memory cards, one of the authorities' first goals will be to determine if these came from the plane being piloted by 74-year-old Jimmy Leeward. Countering earlier reports, Rosekind said on Sunday that Leeward did not send a "Mayday call," indicating he was in distress.

Investigators have repeatedly stated that it is not now known why the aircraft nosedived. Some speculation has surrounded the elevator trim tab -- which was breaking apart prior to the crash, a photograph shows.

Besides the plane's trim tab, parts of a tail, the memory cards and already known plane data, investigators also will pore over "a tremendous (amount of) video that was captured" at the scene, according to Rosekind.

While a preliminary report will be available Friday, Rosekind has said the full investigation could take six to nine months.

"It's not just what happened, it's why it happened," he said Sunday. "(We're) trying to make sure this doesn't happen again."

Meanwhile, the crash's toll became clearer Sunday as more of those killed were identified.

Besides Leeward, the dead include Michael Joseph Wogan, a 22-year-old from Phoenix who was attending the event with his father as part of a father-and-son vacation, his family said in a statement. His father, William, was "seriously injured," the statement said.

Wogan was diagnosed at an early age with muscular dystrophy, and was wheelchair-bound his entire life. However, his 19-year-old brother James Wogan said in the family statement, "He was about moving past that and always driven toward independence. Michael liked to get out and travel, and he was so excited about getting on a plane as part of this trip."

Michael Wogan graduated magna cum laude from Arizona State University with a finance degree in May, his family said. He had operated a web development company and was in the process of developing a second business.

Memorial service details were pending, the statement said.

Also identified Sunday were George and Wendy Hewitt, members of Cascade EAA Warbirds Squadron 2. The Hewitts were killed when the plane crashed into the seating area, said R.D. Williams, a spokesman for the squadron.

According to its website, the squadron aims to "promote and encourage the preservation and operation of World War II and other such aircraft that are representative of military aviation operations" along with educating people on safely operating and maintaining such aircraft. The plane that crashed Friday -- dubbed the "Galloping Ghost" -- was one such plane dating from that era.

Several witnesses have portrayed Leeward -- a real estate developer from Ocala, Florida -- as a hero because he appeared to manuever the plane away from the crowded grandstands at the last moment.

He went down around 4:15 p.m. PT Friday while taking part in a qualifying round in the "unlimited class" division of the air race, said Mike Draper, the show spokesman. The final rounds, which had been slated for the weekend, were cancelled.

"This is the first time in 40 years, I think, that we've had a visitor injured or killed," Reno Mayor Bob Cashell told reporters Saturday. "We've lost some pilots, but we've never had a major catastrophe."

One local hospital, Renown Medical Center, received 34 patients, four of whom were in critical condition as of Sunday afternoon. Two patients -- a male and a female -- died, the hospital said Friday.

Dr. Mike Morkin, the medical director of emergency services at the hospital, was on duty when the call about the crash came in Friday.

"The severity of this accident was the worst I've seen since I've been at Renown," Morkin, a 16-year veteran at the hospital, said.

Renown South Meadows Medical Center received and discharged five patients, the hospital said Saturday.

St. Mary's Hospital in Reno said it had accepted 28 patients from the accident: As of Sunday afternoon, two were in critical condition and six in serious condition. The remainder have been released.

CNN's Divina Mims contributed to this report.

@highlight

NEW: The downed plane had video and data recording devices, a NTSB official says

@highlight

NEW: Some of the data was transmitted, and several memory cards have been found

@highlight

NEW: The pilot did not send a "Mayday" call, as had previously been reported

@highlight

More of the 9 people killed in Friday's crash were identified Sunday