(CNN) -- More than 2,000 lives lost. A vast and unfolding humanitarian crisis. And the downing of a civilian airliner that shocked the world.

It's hard to imagine -- but true -- that the raging conflict between Ukraine and Russia, or at least Ukraine and pro-Russian rebels, all started with a humble trade agreement.

As tensions run high over a Russian aid convoy described by Western leaders as a provocative incursion, reports of direct Russian military activity inside Ukraine and Ukrainian fears of an outright invasion, it's time to look back on how we got here, and where things are headed:

How it started

While the roots of the crisis run quite deep, what's happening now began to unfold in earnest in the fall of 2013.

That's when then-Ukrainian President Viktor Yanukovych scuttled a trade deal with the European Union that would have pulled the country, so recently a satellite of the Soviet Union, toward Europe in the latest twirl of a dance that has lasted centuries.

Instead, Yanukovych jumped at Russian President Vladimir Putin's offer to buy $15 billion in debt from his cash-strapped government and cut the price of vital natural gas to the country.

Yanukovych's decision set off protests in Ukraine's more Europe-leaning west calling for the government's ouster. Security forces responded harshly, beating protesters and firing live ammunition into demonstrations, resulting in several deaths. As clashes spread, so did international anger over the situation.

By late February, Yanukovych had fled to Russia, the government had fallen and a new pro-Europe government had formed to replace it.

That, in turn, set off pro-Russian demonstrations in Crimea, a semi-autonomous Ukrainian republic and the location of a major Russian navy base.

After thousands of Russian troops filtered into the territory -- purportedly at the invitation of Ukraine's self-exiled president -- Ukraine's regional parliament called a referendum on secession, and before you could say "borscht," Crimea was part of Russia.

And it's here that things turned even uglier. Pro-Russian fighters occupied government buildings in the country's east, demanding a referendum on independence.

Before long, rebel forces -- believed to be supported by Russia -- had taken control of major cities in Ukraine's east. Fighting broke out between the rebel groups and Ukraine's military, fighting that continues today.

In a major and likely inadvertent escalation in July, a suspected surface-to-air missile believed to have been operated by pro-Russian rebels shot down Malaysia Airlines Flight 17, killing all 298 people aboard and hardening Western opinion, particularly in Europe, against Russia.

What's happening now

Ukraine's military has been on the offensive recently against the pro-Russian forces, but those successes seem to have slowed.

Russian troops remain camped along the Ukrainian border, Western leaders say.

And Ukrainian officials said Tuesday that they had detained 10 Russian soldiers in the Donetsk region of eastern Ukraine, further evidence, Kiev says, of direct Russian involvement in the conflict.

Meanwhile, the United Nations has warned of a growing humanitarian crisis sure only to get worse unless something is done to stem the fighting.

What's next

A full-scale invasion is unlikely. While Putin's approval rating among Russians is sky-high, recent polling shows the Russian people aren't wild about an out-and-out invasion of Ukraine, said Robert D. Kaplan, the chief geopolitical analyst for Stratfor. "He may be a dictator, but dictators care about public opinion as much as democrats," he said.

But any talk of peace from Putin is likely a stalling tactic. Putin is buying time so that he can continue slipping arms and aid to help rebels recover from their recent losses, said Heather Conley, senior vice president of Europe and Eurasia at the Center for Strategic and International Studies. "His best option is to have a permanent frozen conflict," she said.

Fall and winter will slow the fighting. Kaplan said the colder seasons in Ukraine mean mud and mud means a slower tempo for military operations. Just don't expect total silence, he says -- there will still be fighting.

Moscow will try to squeeze Ukraine. Putin will slow the flow of crucial natural gas and goods into Ukraine, putting further pressure on Kiev's economy and war-fighting ability. "The Russians will try everything to weaken the regime in Kiev," Kaplan said.

The West has some soul-searching to do. Sanctions applied by the United States and Europe against Russia have so far only played into Putin's playbook, enhancing the image of an aggrieved Russia trying to shake off its detractors, Conley said. Putin's strategy of assembling a larger Russian empire has significant ramifications for Estonia and Latvia, Conley said, raising questions about just what the West will do to stop Russia if Putin chooses to further extend his reach.

And what will it take to end this? Ukraine is a linchpin of Putin's plans for Russia, whether it's reassembling a historical empire or shoring up the Russian economy, Conley says. So whatever happens must support that. Kaplan says Putin can't pull back without gaining assurances that Ukraine will never become part of NATO. Ukraine, he said, needs assurances about its sovereignty and energy security.

@highlight

The Ukraine conflict started with a dispute over a trade deal

@highlight

That ballooned into protests, then Russia stepped in

@highlight

Looking forward, an outright invasion seems unlikely, analysts say

@highlight

It won't be easy to unravel the complex political and economic forces tugging at Ukraine