When Harry returned home the morning after the typhoon struck, he found part of the roof missing from his home.

It wasn't as bad as Yolanda," he said, referring to Typhoon Haiyan, which completely destroyed his house in the Magallanes "barangay," or district, of Tacloban a year ago. "It was so scary."

Much of his barangay, which lies close to the water's edge, was decimated by the storm surge that was generated by the most powerful storm ever to make landfall in November, 2013. It is also one of the poorest areas in Tacloban.

Little more than a year on and most people in this traumatized town in the central Philippines will be incredibly relieved that Typhoon Hagupit, which passed some 50 kilometers north, came with nothing like the force of Haiyan. Most of what has been rebuilt in the past few months has largely remained intact.

Harry was one of many who heeded official warnings to evacuate to safer areas during the storm -- he was not going to repeat the mistake he made last year of trying to ride it out.

Surveying the damage around his modest home, its walls held up by various metal sheets and cardboard boxes, Harry seemed remarkably positive: "It's not so bad." Pointing at the missing part of his ceiling above his living area and kitchen, he added: "It was not nailed down as well as the other area of roof."

He'll just repair it again like last time.

TYPHOON TRACKER: Follow Hagupit's path

Checking for damage

This was a typical scene across Tacloban on Sunday morning, as some 48,000 people anxiously prepared to return to their homes from evacuation centers to check the damage.

According to the mayor and the city's disaster management authorities, there have so far been no casualties and power should be restored in the next day or so.

Clearing up is more about mopping up; torrential rains drenched the entire area, flooding many roads. Though the storm was nowhere near as powerful as last year's, authorities took no chances and were prepared for what was to come.

Our next stop was the Santa Nino church, a building that became symbolic of the damage done by Haiyan. Almost leveled completely, it was in the process of being renovated. Hagupit spared it this time around -- the only clues to what took place the night before were lots of tree branches and roots strewn around the surrounding streets.

Still waiting for homes

Many people in Tacloban are still living in tents or other rudimentary structures more than a year after Haiyan. They've been promised new homes but the process has been extremely slow.

For those lucky enough to get one, they're often located miles away. They may be away from vulnerable, flood-prone areas, but they're also far from where they work, shops and their friends. These are the main reasons why many have chosen -- against the wishes of the government -- to rebuild their basic shanty homes in areas like Magallanes and San Jose.

Yet some like Lucrecia Simbajon, 58, another resident of Magallanes, would jump at the chance of a new home if only she was offered one. She and her family are among hundreds who have spent the last few days camped out at the local Roman Catholic "Redemption" church.

"I don't know how long I'm going to be here, as the roof was blown off my house last night," she said. Her home --  a typical wooden and metal shack --  was wiped out last year. As a result, she spent more than 20 days at the Redemption, lying between pews with her children. Though it is easily the sturdiest building in the area, the church's perforated roof is a reminder that Haiyan spared little in its path.

Simbajon doesn't know how she'll carry out the repairs this time around. Her house is located in an area declared a "no build zone" because it was so close to the coast and therefore vulnerable to storm surges. "We need help from the government --  financial assistance, materials, so we can rebuild," she said. They got no help after Haiyan, she added. Aside from delivering parcels of rice and noodles, she said no one from the government had been near over the past few days.

Asked if she'd consider one of the new houses the local government pledged to build in the wake of Haiyan, she was emphatic: "We no longer have a home here. For my family we are willing to move, to transfer."

Sheltering in chapel

The atmosphere inside the main chapel at the Redemption was far calmer than a day earlier when everyone nervously awaited the arrival of Hagupit -- these were among the town's poorest and most vulnerable. A white board listed everyone who was evacuated here, including several heavily pregnant women.

Alita Castillo, another local, is also a volunteer with a local NGO dealing with disaster risk reduction. Her entire family is staying in an adjacent hall. "We're more prepared this year, with more people prepared to leave their houses," she said. "Last year, we had 70 families staying with us in the church. This time we have more than 200."

Yet she and her family still don't have a house, more than a year after Haiyan. And now the house she had been staying in has been badly damaged.

"I don't know where we'll go this time," she said. "We helped organize a home owner's association and luckily, with help from the church, the United Nations, and a few other groups, we'll be eligible for free housing -- but it's still in the process. Hopefully two years from now I will have one."​

@highlight

Residents of Tacloban returning to home to check for damage

@highlight

Town relatively unscathed by Typhoon Hagupit which made landfall Saturday

@highlight

Tacloban was all but destroyed by Super Typhoon Haiyan last year

@highlight

Survivors feared all their efforts to rebuild would be destroyed