(CNN) -- Long before fish swam in Macquariums, hipsters got Apple logo tattoos and thousands camped out for days to get into computer store openings, there was a machine.

Danielle Brecker found this 1989 photo of friends on their Macs at Drexel University in Philadelphia.

Saturday marks the 25th anniversary of the original Macintosh, the first personal computer to draw masses, introduce the mouse and incorporate a graphical user interface, relying on images instead of text.

The Apple Inc. watershed product entered American consciousness amid fanfare, with a $1.5 million commercial, made by Ridley Scott, wowing audiences during Super Bowl XVIII. The piece's title, "1984," invoked author George Orwell's message and stood as a warning against conformity.

Two days after the ad ran, the Macintosh became available and life, as people knew it, changed. No longer were computers viewed as toys with which to play primitive games or as untouchable tools reserved for degreed engineers. We began to think different.

"The Macintosh demonstrated that it was possible and profitable to create a machine to be used by millions and millions of people," said Alex Soojung-Kim Pang, research director for the Institute for the Future, a Palo Alto, California, think tank, and chief force behind "Making the Macintosh: Technology and Culture in Silicon Valley," an online historical exhibit. "The gold standard now for personal electronics is, 'Is it easy enough for my grandmother to use it?' People on the Macintosh project were the first people to talk about a product in that way."

Pang, 44, remembered being "mesmerized" by the computer when he first saw it up close in his college bookstore. He wasn't alone. Read about how iReporters are preserving Mac history

For graphic designers like Zoë Korstvedt, now a Los Angeles creative director, the evolving Mac, with each added feature, was ripe with ah-ha moments.

To tinker with a piece, play with the text, "to visualize on your computer was just insane," she said. "My colleagues and I wonder how we did it [their jobs] before."

No wonder, then, that when Korstvedt, 44, married her first husband in 1989, she used half of their wedding money to buy her first home computer: a Mac SE/30, for which she forked over extra bucks for an upgrade to a whopping 8 megabytes of RAM. Nothing compared to the 12 gigs she now has. "I was styling," she said with a laugh.

Jeremy Mehrle, 30, of the St. Louis, Missouri, area is too young to know a world without Macs. This MacAddict began hoarding and tinkering with tossed-out computers, and then he discovered eBay. Today, the motion graphics designer's 1,400 square-foot basement is a museum to Apple computers, all-white and in gallery-style with about 80 fully-functioning machines on display.

"Some people think it's really cool. ... Others say 'It's Jeremy's thing, it's a little weird, whatever,'" he said. "I think if I had stacks everywhere, and you couldn't move in my house, people would be worried."

What's Mehrle's hobby, however, became a career for Dan Foust, 38, of Bloomington, Illinois. "Danapplemacman," as he's known on eBay, makes a living out of buying, and when necessary resuscitating, these computers before hawking them online to customers/collectors in places as far-flung as Italy and Australia.

So what would people pay for an original Macintosh?

"A complete boxed system?," he said. "I can't put a price on that."

The extremes to which people have gone in their love and loyalty for Apple (and specifically Macs) knows no bounds. Perhaps no one knows this better than Leander Kahney, news editor at Wired.com and author of Cult of Mac, as well as the more recently published Inside Steve's Brain. That would be Apple co-founder Steve Jobs' brain, of course.

From his phone in a San Francisco coffee shop, Kahney told tales of people allotting their limited vacation time to Macworld conferences, a man who has traveled to 40 Apple store openings and those who shaved Apple logos into their heads. As for the Apple tattoos, those, at first, really bothered him.

"I'm a bit of a leftie," he said. The idea of "corporate worship" didn't initially sit well with him -- although he's not afraid to admit his own obsession. "It's a very deep relationship people have with their computers. ... If the computer's not working, it's more important than the car breaking down."

Speaking of worship, Israeli filmmakers Ron and Kobi Shely created "MacHEADS: The Movie," a 50-minute documentary that'll be available next week on Amazon's video on demand service and, soon after, on iTunes. The film includes footage from The Church of Mac in Los Angeles, where a preacher and congregants gathered to glorify the computer at a service that ended with, "Praise Steve."

"Although we read a lot about the [Mac] phenomenon," Ron Shely said by phone from Tel Aviv of the two-year film project, "we didn't realize how big this social movement really is."

And that, beyond the products, is what has been so powerful about the Mac brand, said Peter Friess, president of The Tech Museum of Innovation in San Jose, California. iReport.com: Got your own Mac Museum? Show us!

Steve Jobs "really has changed the world," Friess said. "You hardly find people who changed cultures. He changed culture."

Decades before Jobs' health became a topic of discussion, Friess was lucky enough to meet the man. At the time, German-born Friess was a lowly watchmaker, repairing clocks in the basement of Munich's Deutsches Museum, the largest science and technology museum in the world.

The year was 1984, and Friess thought a Macintosh might come in handy, so he called Apple Germany to see if he might be able to get one. The answer, as he recalled it, "'You're very lucky. Steve Jobs is in town. We'll come over and give you one.'"

Ever since, he's been amazed and exceedingly intrigued by every new computer. "My wife goes crazy," Friess, 49, admitted. "Every Apple computer I buy, the first thing I do is take it apart, just to see what's inside."

For Gary Allen, 61, of Berkeley, California, his interest is less inside than it is outside the company's stores. He runs ifoAppleStore.com, the first three letters taken from his police dispatch days, meaning "in front of."

The site's genesis dates back to 2001 when Apple store No. 9 opened, in Palo Alto, and he and his son went early. Way early -- as in the night before. The crowds, and natural community, grew on Allen, who began seeing new-found friends at other openings. They were like groupies chasing a band.

So he started a Web site, to help fans keep in touch, and soon other Apple enthusiasts began writing from across the globe, sharing tips about new stores, as well as testimonies and photos. The site, he said, averages about 4 million visitors a month.

Allen, who guessed he's been to 22 store openings so far, once stood in the rain for days in Tokyo so he could snag the first spot in line. He's seen old friends at openings in Germany and Italy. Last summer, he and his now 21-year-old son experienced what he called "the perfect storm," hitting Boston, Beijing and Sydney. Next stop: Paris.

He may not speak the same language as the thousands who surround him in these various cities, but that doesn't much matter when people speak the same language of computer love.

"Apple enthusiasts, it turns out," Allen said, "are the same wherever you go."

@highlight

Saturday marks the 25th anniversary of the first Macintosh computer

@highlight

Apple launched the Mac in 1984 with Ridley Scott's landmark Super Bowl XVIII ad

@highlight

Steve Jobs is credited for cult-like worship seen in tattoos, collections, Macquariums

@highlight

Fans flock to Macworld expos, Apple store openings and hoard eBay purchases