After a weekend of intense investigation, authorities are piecing together more details about Friday's fatal shooting at Los Angeles International Airport, including the suspect's behavior earlier in the week and a warning from his family that may have come minutes too late.

Officers sent to check on Paul Ciancia's welfare arrived at his apartment less than an hour after the shooting started, police said Monday.

Here is a rundown to get you up to speed:

The suspect

Ciancia, 23, of Los Angeles, is charged with murder of a federal officer and commission of violence in an international airport.

He was shot by officers Friday and was in critical condition at Ronald Reagan UCLA Medical Center on Sunday.

A source said Ciancia was unable to speak to investigators.

Clues about a motive

Attorney General Eric Holder said Monday that more investigation is necessary to uncover a motive for the attack.

But a note found on Ciancia indicated that he wanted to kill Transportation Security Administration employees to "instill fear" in what the suspect called the agents' "traitorous minds," FBI Special Agent in Charge David Bowdich said.

According to someone who knew Ciancia and his three roommates well, Ciancia began asking for a ride to the airport days before the shooting. He claimed he needed to fly to New Jersey to help his sick father, but he never said what day he needed to leave, the source said.

On Friday, Ciancia burst into a roommate's room and demanded a ride to the airport immediately, said the source, who spoke to CNN on the condition of anonymity.

The roommate obliged. Investigators don't think the roommate had any idea of Ciancia's plans.

The near-save

Around the same time, Ciancia was sending text messages to family members in Pennsville, New Jersey.

One suggested that something bad would happen.

Although Ciancia has no known history of mental illness, he said in the texts that he was unhappy, and the messages were alarming enough that Ciancia's father decided to call police.

"I felt that it was pretty serious. It sounded as if Paul Ciancia in California was thinking about harming himself, so obviously I knew I needed to make a phone call to the LAPD," Pennsville Police Chief Allen Cummings told CNN's Jake Tapper on Monday.

Cummings spoke with a lieutenant there, who told him the department was in the middle of responding to a shooting at LAX.

"At this point, we weren't connecting the dots," he said. They did later when a reporter called the police chief, asking him to comment on the shooting.

Los Angeles Police Department Cmdr. Andy Smith says police were first called to check on Ciancia at 10:06 a.m. Officers arrived at his apartment six minutes later, according to Smith.

Ciancia was already gone.

The timeline provided Monday by police differed from that offered earlier by Rep. Michael McCaul, R-Texas, chairman of the House Homeland Security Committee. He said police had arrived at Ciancia's apartment about 45 minutes after the suspect had left for the airport.

According to the LAPD account, they arrived 52 minutes after the shooting, which began about 9:20 a.m., according to police. It was not immediately clear when Ciancia left for the airport.

The attack

About 9:20 a.m. Friday, Ciancia walked up to a Transportation Security Administration checkpoint in Terminal 3. He pulled a .223-caliber assault rifle from a bag and shot TSA officer Gerardo Hernandez "at point-blank range," according to a court document filed by an FBI agent.

Ciancia then went up an escalator but returned to shoot Hernandez again, apparently after seeing him move.

He continued walking and shooting. Witnesses said he went from person to person, asking, "Are you TSA?"

"I just shook my head," traveler Leon Saryan told CNN's Anderson Cooper. "And he kept going."

Chaos and terror inside LAX Terminal 3

The victims

Hernandez, 39, was the first TSA officer to die in the line of duty since the agency was created in 2001.

"He took pride in his duty for the American public and for the TSA mission," said his wife, Ana Hernandez.

The couple, who married in 1998, have two children.

Two other TSA officers -- James Speer, 54, and Tony Grigsby, 36 -- were wounded but were released from the hospital.

Grigsby, who was shot in the foot, told reporters Monday he was injured while helping an elderly man move to a safe area.

"I turned around and there was a gunman," he said. "Shot me twice."

A traveler who was shot in the leg, 29-year-old Brian Ludmer of Lake Forest, Illinois, was in fair condition Sunday.

The police response

TSA officers are unarmed. So it was airport police officers who eventually shot Ciancia multiple times in the chest, also striking him in the face and neck.

Airport Police Chief Patrick Gannon said the FBI told him that his officers were 60 seconds behind Ciancia. He praised their response, even though he acknowledged that he had moved his officers away from positions inside the checkpoints during the past year.

"The threat ... at the airport does not exist behind security at that podium; the threat exists from the curbline on," Gannon said. "So ... we have our people stationed throughout the airport."

Holder said Monday that the investigation will include a review of security measures at LAX and other airports.

"The responsibility for protecting airport security is not a TSA function but something that I think we need to certainly examine, given what happened in Los Angeles," he said.

Travel delays

The incident forced authorities to shut down parts of the airport, evacuate travelers and put a temporary hold on some departures and landings.

More than 167,050 airline passengers were affected by the incident Friday as a result of cancellations, delays or diversions to other airports, according to LAX. One airline, JetBlue, temporarily moved its operations to Long Beach Airport.

On Saturday, an additional 40 flights were affected, including 30 that were canceled, involving about 4,000 passengers, according to Los Angeles International Airport.

According to FlightAware, a flight tracking website, airlines canceled 236 flights into or out of LAX after the incident Friday morning and 27 more Saturday.

An additional 919 flights were delayed over the two days, FlightAware said.

Some of those cancellations and delays may have been caused by problems other than the shooting, however.

The airport was operating normally Monday morning.

Suspect's family responds

Ciancia's family, in a statement read Monday afternoon by attorney John Jordan in New Jersey, said they were "shocked and numbed by the tragic events of last Friday."

"It is most important for us as a family to express our deep and sincere sympathy to the Hernandez family," the Ciancia family said. "(By) all accounts, Officer Hernandez was an exemplary member of the law enforcement community and a good family man. Our hearts go out to his family and many others who grieve his passing.

"We wish to convey, too, our hopes that those who were wounded during this incident will experience quick and full recoveries. We also regret the inconvenience experienced by thousands of travelers as well as the administration and the employees of the Los Angeles airport."

The Ciancia family said they would "continue to love and care for" Paul.

"We will support him during the difficult times ahead. While we do not mean to minimize the grief and distress experienced by many other families, we hope that the public will understand that this is a very difficult time for our family, too," the family said.

What's next?

If convicted, Ciancia could face the death penalty or life in prison without parole. The U.S. attorney general would decide whether to pursue a death sentence.

TSA Administrator John Pistole said the shooting has prompted a review of security protocol with partner agencies.

McCaul said better coordination with local law enforcement could improve security at checkpoints.

But the congressman acknowledged that "it's very difficult to stop these types of attacks."

"It's almost like an open shopping mall," he said.

Opinion: Don't arm the TSA

@highlight

An injured officer says he was shot while trying to help an elderly man move to safety

@highlight

LAPD provides timeline for welfare check at suspect's home

@highlight

Suspect Paul Ciancia, 23, is in critical condition and could face the death penalty

@highlight

Police responded to family concern, arrived at Ciancia's apartment shortly after he left