(CNN) -- When Lukas Hartmann, 29, signed up for 23andMe's at-home genetic testing service, there were no surprises in his results.

The Berliner learned he would probably die from "a mix of heart attack and prostate cancer," he wrote on a friend's blog, but "nothing special there."

Then a few months ago, he received an update from the company.

Hartmann's genetic code showed two mutations that are linked to limb-girdle muscular dystrophy, he says the site told him. "Some people with limb-girdle muscular dystrophy lose the ability to walk and suffer from serious disability," his results page read.

This can't be true, he thought. It must be an error.

Genetic testing can be a powerful tool. It can offer information about your family history, tell you how your body might respond to different drugs and identify your risk factors for disease.

It can also be misleading.

The Food and Drug Administration on Monday ordered 23andMe to stop sales of its $99 home genetic testing kits, saying the Google-backed company has not proven the validity of its product.

The FDA warned that customers who received inaccurate results could suffer from undue mental anguish or undergo unnecessary medical procedures. The government agency has asked 23andMe to revise its marketing strategy to comply with federal regulations.

The action triggered outrage among some of 23andMe's supporters.

"So GMOs, aspartame, artificial flavors & colors, pink slime ... no problem!" a poster named Laura Ann wrote on the company's Facebook page. "But in no way should we be allowed the right to know our own genetic material as a means for making better decisions about our health."

In a statement, 23andMe said it has received the FDA's letter and will be working to address the agency's concerns.

There are more than 3 billion letters in our genetic code. Though it's been 10 years since the Human Genome Project was completed, scientists still don't understand what every gene does, and what a mutation might mean for someone's health.

It's one of the issues opponents to home genetic testing kits raise most often. If DNA experts don't understand 100% what a gene mutation means, how can we expect consumers to?

5 cool things DNA testing can do

Scientists have identified more than 2,000 single gene disorders, says Rebecca Nagy, president of the National Society of Genetic Counselors. These are disorders that can be diagnosed based on the mutation of a single gene in the body; some examples include Huntington's disease or cystic fibrosis.

But conditions such as Type 2 diabetes or Alzheimer's are more complex. Hundreds of genes may contribute to the development of these diseases, Nagy says, and a person's risk is also influenced by his or her environment. Testing for markers of risk scattered across someone's genome is "really only testing for the tip of the iceberg."

"That's where it gets a little scary, because if a person has a normal test result on 23andMe, they leave thinking they don't have a risk," she says. "It's not that the science behind (this kind of genetic testing) isn't good. It's that the science behind them isn't complete."

The upside of these at-home genetic testing kits -- and 23andMe isn't the only company that sells them -- is that they've generated a lot of buzz about genetics, Nagy says. She says she believes most early adopters of the tests are information-savvy and understand the results aren't set in stone.

"I don't think that anyone thinks that this kit replaces formal testing by a doctor," Heather Armstrong posted on 23andMe's Facebook page. "I seriously doubt that a doctor would agree to perform, say, a double mastectomy, based on these results."

Joseph Stolarski posted, "If you find something interesting, you then take it to a medical professional for further evaluation. No one is or should rely on it for medical 'diagnosis.' It's just a tool, like personally checking your heart rate with a watch or checking your weight on a scale."

But Nagy says she worries about what will happen when the tests become more mainstream.

Giving this kind of information to someone unfamiliar with genetic testing's limitations could prove dangerous.

Nagy recommends anyone who wants to do genetic testing first talk to a genetic counselor. Counselors have specialized graduate degrees and extensive knowledge of the human genome. They're also trained in explaining test results to laymen.

"Our message is to be a smart consumer," Nagy says. "Know what you're doing so that when you get the results back you can really use them to your best benefit."

Hartmann did some intense investigating, saying he looked at the raw data 23andMe provided him. He eventually found he did indeed have two mutations, he says, but they weren't on the same gene. He says he submitted his "bug report" to the company and it apologized.

In general, Hartmann thinks it's a good thing for every person to have affordable access to his or her genetic data. But he's browsed the community forums on 23andMe.com and has seen how seriously some people take their results -- without fully understanding them.

Hartmann says he now believes he will not get limb-girdle muscular dystrophy, although he says there is a risk he could pass the genetic mutations onto his kids.

"I can live with that," he wrote. "For quite some time, I hope."

Parents push for standardized screening of Jewish genetic diseases

CNN's Dorrine Mendoza and CNNMoney's James O'Toole and Aaron Smith contributed to this report.

@highlight

FDA has ordered 23andMe to stop sales of its $99 home genetic testing kits

@highlight

23andMe supporters took to social media to protest the FDA's decision

@highlight

Genetic testing can be a powerful tool if used correctly, experts say