Yangon, Myanmar (CNN) -- When Burmese commuters have an accident they don't dial 911 or any ordinary emergency service.

They call the country's version of Marlon Brando, a heartthrob in the 1980s and 90s who turned his back on the film industry to run a fleet of ambulances and bury the nation's dead.

A household name in Myanmar, which is also known as Burma, Kyaw Thu has starred in more than 200 films, and even took home a Myanmar Academy Award in 1994 for best actor in "Da-Byi-Thu Ma Shwe Hta."

He followed it up with best director for "Amay No Bo" in 2003, but by then his head had already been turned by the story of an old woman left to die alone in hospital.

"The doctor warned the patient's family that she was close to death. After that they disappeared. A few days later she passed away -- so this dead body had no owner," Kyaw Thu told CNN at this office on the outskirts of Yangon, Myanmar's largest city.

He later found out that the woman's family couldn't afford a funeral service. At the time, it wasn't uncommon; poor families would often sneak out in the dead of night to bury their dead, he said.

And so began the Free Funeral Service Society, founded in collaboration with multi-award winning late Burmese writer and director Thukha, which now also provides a free library, education, medical, dental care and disaster relief.

From films to funerals

Kyaw Thu's decision to leave the film industry wasn't entirely his own. In 2007, he was arrested and later banned from the film industry after being accused of supporting the Saffron Revolution.

That year, the Myanmar military staged a violent crackdown on the largest anti-government demonstrations since 1988. Led by monks, tens of thousands of Burmese marched through the streets to protest plans to cut fuel subsidies.

Kyaw Thu doesn't deny that he helped them but says that the society's policy of aiding people "regardless of social status, national and religion" meant that no one was turned away.

He says he's on better terms with the current government led by President Thein Sein, who came to power in 2011, ending 50 years of military rule.

However, he says not enough is being done to repair the country's patchy public services and protect the country's poor. "We are showing the government what we need to do," he said.

He claimed the government is out of touch with what's happening on the ground, as are foreign investors, who he says go straight to the capital Naypyidaw to listen to politicians rather than the people.

"I want to make a suggestion: before they go to Naypyidaw they should meet the CSOs and NGOs who are really doing things for Burma so they know what's really happening," he said.

"So after they meet with the CSOs and NGOs they'll have information -- they'll know the reality. So they can criticize and they can negotiate and they can discuss with the government and other parties."

He says other parties need to do more to deliver on their promises by using their own funding, rather than seeing him as a bank.

A country on the mend?

Kyaw Thu spoke with CNN as hundreds of delegates arrived in the country for the World Economic Forum on East Asia, two days of talks on how the country can shake off the legacy of its past.

As well as basic, if not non-existent, public services, the country is saddled with crumbling buildings, potholed roads, a patchy telecommunications network and an outdated electricity network that only services a quarter of the population of 60 million people.

Under the control of military leaders, Myanmar's economy stagnated so much so that in 1990 its per capita GDP growth was at a similar level to that recorded in 1900, according to a recent report from McKinsey & Company.

There's much that needs to be fixed, but money is needed.

Kyaw Thu's society relies on donations and an army of volunteers -- around 500 a day -- who do everything from carrying caskets to preparing bodies for burial. Trained doctors and nurses man the hospitals and clinics where patients are offered everything from eye surgery to maternity care and blood transfusions.

The extent of their work can be seen in hundreds of laminated photos pinned on notice boards, which line the halls of the company's headquarters. One shows a newly married couple -- still in their wedding clothes -- carrying a casket; they came to volunteer straight after the service, he said.

Others show shots of aid workers digging wells and bringing supplies to cyclone-hit residents, students sitting learning in class and then, incongruously, a couple of images of mutilated bodies -- all part of a day's work for the society.

Message to Burmese people: 'Please be united'

Kyaw Thu may be incredibly popular in Myanmar, providing services that in many countries are promised by politicians, but he says he has no plans to enter politics.

"No," he said, shaking his head, "I have no ambition to make a political party." He says his motivation is altruism; he doesn't need power, glory or adoration.

"When we are giving the aid to the people, we don't expect any kind of benefit or opportunity. When we help, if they're happy, I'm also happy."

He supports Nobel laureate and leader of the National League of Democracy, Aung San Suu Kyi -- her image hangs on the walls of his office -- but says Burma's people need to drop their unquestioning admiration of Suu Kyi and her father, the late General Aung San, and start following their lead.

"People are not following their speech. They are very impressed. They say we love Aung San Suu Kyi, we love General Aung San... but they're not following their policy. They're not implementing what they're saying. This is the problem with Burmese people."

Kyaw Thu is dismayed by the outbreaks of ethnic violence around the country that have strained relations between Burmese Buddhists and the minority Muslim population.

He said the society has not been allowed to travel west to Rakhine State where Rohingya Muslims are alleged by human rights groups to be suffering systematic abuse amounting to "ethnic cleansing."

"They (the government) say it's very dangerous and very difficult. So we have no chance to go to the desperate people," Kyaw Thu said.

He said the pace of Myanmar's transformation, from a military state to thriving democracy at peace with ethnic rivalries, depends on the attitudes of ordinary people. Decades of military rule had produced bad attitudes, he said.

"If the attitudes of normal citizens change and are good -- within five years it will change," he said.

"I want to give the message to all people in Burma: Please be united."

Han Thar Nyein contributed to this report.

@highlight

Award-winning Burmese actor gave up films to operate free funeral services

@highlight

Kyaw Thu was considered a heartthrob in the 1980s and 1990s

@highlight

He formed Free Funeral Service Society after hearing the story of a woman abandoned in hospital

@highlight

Society now provides ambulance, hospital, disaster relief and education services