(CNN) -- Aid organizations have deployed emergency response teams to Haiti and appealed for donations after the Caribbean nation was was struck by a devastating earthquake described by local officials as a "catastrophe of major proportions."

The magnitude 7.0 earthquake struck southern Haiti on Tuesday, knocking down buildings and inflicting a new catastrophe on the western hemisphere's poorest nation.

Humanitarian charity Oxfam said Wednesday it was rushing rescue teams to the country from around the region to provide clean water, sanitation, shelter and emergency supplies and called for donations to fund its efforts.

Impact Your World: How you can help

"At this stage it is too early to tell the severity of the earthquake in Haiti, but the early signs are not good with communications down across the country," said Jane Cocking, humanitarian director of Oxfam.

Kristie van de Wetering, a former Oxfam employee based in the Haitian capital Port-au-Prince, said the situation in the capital was "very chaotic" with many buildings reduced to rubble.

"We can hear people calling for help from every corner. The aftershocks are ongoing and making people very nervous," she said.

The International Federation of Red Cross and Red Crescent Societies said volunteers in Haiti were assisting the injured and supporting hospitals which had been overwhelmed by the disaster.

It said it had enough supplies in Haiti for 3,000 families. Experts in disaster response are due to arrive in the country later Wednesday to coordinate international relief efforts, it said.

"The most urgent needs at this time are search and rescue, field hospitals, emergency health, water purification, emergency shelter, logistics and telecommunications," the group said in a statement.

The quake struck about 15 km (10 miles) southwest of Port-au-Prince shortly before 5 p.m. local time, cutting off communications across much of the country.

"Port-au-Prince is devastated, lot of deaths. SOS. SOS...," wrote Louise Ivers, the clinical director of medical charity Partners In Health, in an e-mail to the group's offices in Boston, Massachusetts.

She added: "Temporary field hospital ... needs supplies, pain meds, bandages. Please help us."

Raymond Joseph, Haiti's ambassador to the U.S., told CNN's Wolf Blitzer by telephone that the country was going throug

"I'm calling on all friends of Haiti and people who are listening to me to please come to our aid," said Raymond Joseph, Haiti's ambassador to the U.S. told CNN's Wolf Blitzer by telephone.

"Today as Haiti is going through the worst day in its history I am calling for all others who got help from us in the beginning to help in support," Joseph said. "The only thing I can do now is pray and hope for the best."

Singer Wyclef Jean, nephew of ambassador Joseph, stressed the need for help for what is considered among the poorest nations in the Western Hemisphere.

"We're going to need immediate aid," Jean told Blitzer on CNN. "We're going to need the United States and the international community to react immediately." He founded Yele Haiti, whose community service programs include food distribution and emergency relief.

In Washington U.S. President Barack Obama said the government would "stand ready to assist the people of Haiti."

At the Pentagon, the U.S. military said humanitarian aid was being prepared for shipping, but it was not yet clear where or how it would be sent. A U.S. aviation source said the control tower at the Port-au-Prince international airport collapsed, possibly hindering efforts to fly relief supplies into the country.

Secretary of State Hillary Clinton told reporters that Washington is offering "our full assistance" to Haiti. "And our prayers are with the people who have suffered, their families and their loved ones," she said. The deputy chief of the U.S. mission in Haiti, David Lindwall, told Clinton that he saw "significant damage" from the quake and said U.S. officials there expect "serious loss of life," Crowley said.

And Clinton's husband, former U.S. President Bill Clinton -- now the U.N. special envoy for Haiti -- said the world body was "committed to do whatever we can to assist the people of Haiti in their relief, rebuilding and recovery efforts."

Haiti's government is backed by a U.N. peacekeeping mission established after the ouster of former President Jean-Bertrand Aristide in 2004.

The United States has been heavily involved in Haiti commercially, politically and militarily for most of the last century. U.S. intervention under Clinton restored Aristide to power in 1994 after a 1991 coup, and a U.S. jet hustled him out of the country again in 2004 following a rapidly spreading uprising against his government.

With people stripping the trees for fuel and to clear land for agriculture, the mountainous countryside has been heavily deforested. That has led to severe erosion and left Haitians vulnerable to massive landslides when heavy rains fall.

Roads in Haiti were unsafe to travel on because of a lack of lighting and because many buildings along transportation routes had collapsed or were not deemed safe, said Ian Rodgers of the relief organization Save the Children.

"What I can hear is very distressed people," Rogers said. "There is a lot of distress and wailing of people trying to find loved ones."

A representative for the aid group Catholic Relief Services in Haiti described the situation in the nation as "a total disaster," said Robyn Fieser, regional information officer for the group.

Haiti's dense population will increase the risk to its people, Jean said. The nation's need for aid will range from water and food to medical and building supplies.

"This is the worst devastation that we as Haitian people have faced," he said.

Hurricane Gordon killed more than 1,000 people in 1994, while Hurricane Georges killed more than 400 and destroyed the majority of the country's crops in 1998. And in 2004, Hurricane Jeanne killed more than 3,000 people even as it passed north of Haiti, with most of the deaths in the northwestern city of Gonaives.

Gonaives was hit heavily again in 2008 when four tropical systems passed through.

According to the U.N. Office for the Special Envoy for Haiti, unemployment reaches 70 percent nationally, and 78 percent of Haitians live on less than $2 a day.

CNN's Edvige Jean-Francois, Shasta Darlington, Deb Feyerick, Matt Smith, Mike Mount and Pierre Meilhan contributed to this report.

@highlight

"Temporary field hospital ... needs supplies, pain meds, bandages," doctor writes

@highlight

U.S. military says humanitarian aid was being prepared for shipping

@highlight

Haitian ambassador to the United States describes "worst day" in Haitian history

@highlight

Save the Children: Lack of lighting, collapsed routes render roads unsafe

@highlight

Catholic Relief Services describes situation as "a total disaster"