Washington (CNN) -- When the Obama administration unveils its National Security Strategy Thursday, it will be the first time a president explicitly recognizes the threat posed to the country by radicalized individuals at home.

"For the first time since 9/11, the NSS integrates homeland security and national security," according to highlights of the plan given to CNN by a senior administration official said.

The security strategy acts as a blueprint for how the White House intends to protect Americans. In the past, it has focused mostly on international threats. But National Security Adviser John Brennan explained Wednesday that a spate of terror-related plots in the United States recently prompted the Obama administration to include homegrown terrorism in the document.

"Such a strategy must begin with the recognition that a clear-eyed understanding of our strategic environment -- the world as it is today -- is necessary to shape the world that we seek," according to a summary of the plan.

"Currently, the United States is focused on completing a responsible transition in Iraq, succeeding in Afghanistan, and defeating al Qaeda and its terrorist affiliates, while moving our economy from deep recession to enduring recovery. Even as we confront these crises, our national strategy must take a longer view. We must adapt and lead in a rapidly changing, interconnected world in which interests of nations and peoples are increasingly shared."

Homegrown terrorism represents a new phase of the terrorist threat, officials said.

Earlier this month, Pakistani-American Faisal Shahzad was charged with trying to detonate a car bomb in New York's bustling district of Times Square.

U.S. Army Major Nidal Malik Hasan is suspected of fatally shooting 13 people at Fort Hood in November.

Colorado resident Najibullah Zazi, an Afghan national, pleaded guilty in February for conspiring to detonate explosives in the New York subway system.

David Headley, an American citizen from Chicago, Illinois, is accused of providing surveillance in the Mumbai, India, terrorist attacks that killed 160 people.

"We've seen an increasing number of individuals here in the United States become captivated by extremist ideology or causes," Brennan said. "We have seen individuals, including U.S. citizens armed with their U.S. passports, travel easily to extremist safe havens, return to America, their deadly plans disrupted by coordinated intelligence and law enforcement."

Brennan, who made his comments at the Center for Strategic and International Studies in Washington, said that as the United States has strengthened its defenses against massive attacks like 9/11, al Qaeda has shown itself to be a "resilient, resourceful and determined enemy."

Brennan said al Qaeda is recruiting individuals with little training, attempting relatively unsophisticated attacks and seeking people living in the United States to launch such attacks.

"They are seeking foot soldiers who might slip through our defense," Brennan said. "As our enemy adapts and evolves their tactics, so must we constantly adapt and evolve ours."

Brennan did not provide any specific details about the president's strategy for combating al Qaeda and its affiliates, but said it "will require a broad, sustained and integrated campaign that harnesses every tool of American power, military and civilian, kinetic and diplomatic."

The strategy is built  around protecting "four enduring U.S. national interests -- security, prosperity, values, and international order."

In order to achieve this, it must strengthen U.S. institutions, values, and infrastructure -- such as education, energy, science and technology, and health care.

It calls for strong diplomatic efforts internationally and galvanizing "collective action to address the share global challenges of our time."

"Engagement begins with our friends and allies -- active partners in advancing common interests. We will continue to deepen our partnerships with increasingly active centers of influence -- cooperating when we can, and differing when we must.

"With adversarial regimes, engagement provides us a means of testing intentions, giving governments the opportunity to change course, and mobilizing international coalitions."

The strategy calls for updating "all of the tools of American power, and work with our allies and partners to do the same."

"These tools include those in the fields of defense, diplomatic, development, homeland security, the rule of law, intelligence, and strategic communications, as well as support the participation of the American people and private sector. We are working to strengthen each of these tools, but also to integrate them through coordinated planning and capacity building in key areas," the strategy said.

@highlight

Homegrown terrorism included after spate of terror-related plots

@highlight

Strategy acts as blueprint for how White House plans to protect Americans

@highlight

Strategy will require "broad," "sustained" campaign against terror groups