(CNN)Ferguson is crumbling. The cowardly and reprehensible shooting Wednesday night of two police officers came in a tumultuous seven days for the Missouri town, which had already seen Ferguson Police Chief Thomas Jackson announce his resignation after a damning Justice Department report on its police department.

The report, which was ordered in the wake of the killing of Michael Brown last year, highlighted a predatory policing problem and a department that was biased, prejudiced and that has regularly targeted, arrested and fined African-Americans.

Residents understandably want justice. But what's worse in all this is that Ferguson is illustrative of a broader problem across the country as increasingly militarized majority-white police departments demonstrate consistent racial bias toward majority-black communities.

It's a combustible mix.

In three-quarters of all U.S. cities with populations 50,000 or more, the police presence is "disproportionately white relative to the local population," according to The Washington Post. And tensions are being exacerbated by the use among police departments of military weapons, and stipulations that these former war zone weapons must be used within a year of acquisition.

All this suggests a need for a completely new mindset on how we try to understand and implement policing practices across America.  Indeed, a wholesale review of policies and approaches to law enforcement is needed, something that will likely necessitate drastic reforms in some departments so they can better represent, integrate, problem solve and liaise with the communities they are serving.

First and foremost, our police departments must better reflect the diverse demographics of our increasingly diverse nation, whether it be race, creed, sexual orientation and more. America is changing fast, but police departments aren't keeping up. Training and recruitment of minorities is critical, yet far more needs to be taking place. With this in mind, amplifying community policing models that work and scaling them up immediately is essential if we are to stem the growing and sometimes overwhelming tide of frustration, anger and cynicism welling up among young African, Asian and Hispanic Americans.

Second, we must radically rethink the trend toward the indiscriminate procurement and use of surplus military grade weaponry, which under the Department of Defense's 1033 program is flowing from battlefields to our local police forces.  When the weapons of war come home from Iraq and Afghanistan to help police America's cities and towns, then you know something has gone terribly wrong with this country. Mine-resistant ambush protected vehicles, tanks, drones, grenades and assault weapons should not replace the community policing of our Main Streets. Ferguson is an excellent example of how the deployment of heavy weaponry inflames rather than de-escalates a crisis situation.

Having military equipment on our streets does not make citizens feel safer, which is why the Stop Militarizing Law Enforcement Act was recently reintroduced in Congress. We do not need our officers looking like "Robocop" when they patrol our streets. It's that simple. Yet until such a bill is passed, war weapons will continue to flood our streets; Congress must act to stem this tide.

We understand that times have changed and that new security threats require new solutions and procedures.  But it doesn't justify the 150 raids per day by special weapons and tactics units for incidents that can be as benign as a Department of Education warrant. This kind of aggressive approach doesn't engender the kind of engagement necessary for identifying real risks lurking in a community.  In fact, the opposite happens.  Intelligence opportunities are dead on arrival, and potential allies who would otherwise be ready to help shut down immediately.

Aggressive military-type action is quickly turning Americans against fellow citizens who they are ostensibly there to serve and protect. We therefore trust that President Barack Obama and Attorney General Eric Holder will take decisive action, working hand in hand with police departments all across this country. Yes, the White House's task force on police militarization was a start, but more concrete measures are needed if we want to reverse the rising anger in Ferguson and elsewhere.

The time for a change is now. If we don't press our police departments to reflect the makeup and needs of our communities, then towns like Ferguson will unravel further.

@highlight

Two police officers were shot Wednesday in Ferguson

@highlight

Hank Johnson, Michael Shank: Policing style needs rethink