New York (CNN) -- Decades ago, when the Department of Defense was creating the predecessor to today's Internet, one of the main goals was to create a communications system that could endure catastrophic disasters.

The Internet was designed to have no central point of failure, allowing anyone to run his or her own communications channel. This was a system that could withstand a nuclear attack.

Today, the services built on top of that network have done a great job in enabling communications, perhaps none more dramatically than Twitter.

During the days since the Haiti earthquake, the popular social networking and microblogging service has been used for rescue efforts and for fundraising to help stabilize and rebuild the country.

So it was big news when Twitter was offline for 90 minutes  Wednesday morning. Technology pundits promptly began hand-wringing -- the weaknesses of having a single point of failure to critical communications had been revealed again! Could we trust Twitter? Did this mean the Web couldn't help us fulfill our most basic obligations to those in need?

Not at all.

There's no reason that organizations or individuals who want to use the Web to relay critical information have to rely on Twitter or Facebook or Google or any other giant of the technology industry in the first place. We've just forgotten a bit about how the Internet was supposed to work.

Rescue organizations and charities should simply be able to use the Web sites they already have to deliver those messages.

And wasn't that the promise of the Web in the first place? Weren't we going to stop relying on individual companies as gatekeepers for communication? When blogs took off a few years ago, wasn't it with the promise that we'd all be able to share our voices without having to ask any company for permission? Why did we give that up?

Maybe it's because they made it look so easy.

Twitter has done an impressive job of growing to handle its enormous number of users, while keeping its service simple. The company has even shown a reassuring sensitivity to the civic and social obligations that come from running such a popular communication service. Companies such as Facebook and Google have stepped up, too. Their hearts appear to be in the right place, and they're doing real work to help people communicate.

But the Web is bigger than any one site or any one social network. In my own work, I run a nonprofit that strives to connect government policymakers to the expertise of ordinary people using the Web.

We'll naturally make great use of Twitter and Facebook and all the other services, but it'd be unforgivable to pick only one of them as a platform for civic engagement. Telling people the only way to talk to the White House is on Facebook is like saying you can only call your senator by using a particular phone company.

And that's the key lesson to learn from Twitter being down while people are depending on it for communication: Some needs are too important to put in the hands of any single company. Communicating in real time about emergency information is clearly one of them.

Fortunately there's good news. Smart inventors have already made cutting-edge technologies that let any site deliver messages with the same immediacy as Twitter or Facebook.

Now the challenge is reminding all of the social institutions, media organizations and government agencies that they need to use their own communications infrastructure just as much as they participate in services such as Twitter and Facebook.

The reality is social networks come and go.

Ten years ago, otherwise-sensible companies were paying millions of dollars to America Online to buy "AOL keywords." These were shortcuts to parts of the AOL service, which dominated U.S. Internet access at the time. In fact, many of us have allowed companies to become intermediaries to all our communications, whether it was AOL 10 years ago or Facebook today.

But we don't need to ask gateways for permission to publish. We can run our own Web sites, at our own Web addresses and keep control over how we communicate.

Think how ludicrous it would seem for someone to decide, say, to offer emergency services as an AOL keyword called "911" instead of having people just dial their phones?

That sounds absurd, but you can see advertisements today that essentially say "Find us on Facebook at facebook.com/AcmeWidgets!"

Now, Facebook probably won't fade away entirely, like early networks such as Friendster. But those Facebook addresses are just like AOL keywords 10 years earlier. And it is conceivable that the organizations and companies who communicate on Facebook today may want to become more independent.

Whether due to emergency or just the everyday requirements of doing business, they ultimately will stop depending on a single point of contact for their communications.

This is, after all, how the Web was designed to work.

We already see governments and civic organizations using the Web as effectively as the best corporations and media. In the United States, we have a White House that's got an iPhone application and a State Department that's asking us to define democracy by responding on Twitter.

Judging by how much technology has affected society already, those first experiments will soon evolve into full-fledged platforms for citizen participation and charitable action. And let's hope they won't have to worry if any one Web site goes down. Because we'll have a web of independent but connected communications systems, just as the Internet was always designed to be.

The opinions expressed in this commentary are solely those of Anil Dash.

@highlight

Anil Dash says Internet was designed to endure disasters, free up communication

@highlight

Dash: If Web's goal is decentralization, why was Twitter crash so disabling for many?

@highlight

Dash reminds us that social networks come and go; remember when AOL ruled?

@highlight

Web users should take charge of their own communication efforts, Dash urges