(CNN) -- Investigators now say that, according to automated electronic connections attempts by the ACARS data reporting system of Malaysia Flight 370, the airplane flew far to the west, in an entirely different direction than it should have been heading as per its original flight-planned route, which was to the north.

The 90-degree turn to the west might have been purely random if entered by a nonpilot or inexpert pilot who knew simply how to turn a single knob (called the heading bug) that could command the autopilot to make a turn to a new heading (or direction).

There is strong evidence that this is not what happened.

Investigators now believe, according to news reports, that after its transponder and ACARS radio were turned off, turns were initiated at GPS waypoints. These waypoints are essentially virtual checkpoints in the sky, defining markers charted by airspace regulators that create pathways in the air that airplanes follow to keep safely separated from each other. The waypoints are defined by an exact latitude and longitude and can be located by a number of the airplane's various navigators, including GPS. If the reports of the flight path are true, it is not a route that could happen by accident.

There are two ways the 777-200 could have flown on this path. After passing one waypoint, it could have been directed to fly to the next waypoint by a pilot turning the heading knob toward that exact place, a process that would require some piloting expertise. This would be very unusual, and a novice or pilot without much flying experience on this plane would not know to make these kinds of inputs or have any conceivable reason to do so.

The almost certain explanation would be that these waypoints were programmed into the flight management system of the 777-200, a task that would have been beyond the abilities of anyone but a professional pilot. The autopilot follows the course put into the flight management system by the pilots. That is, when the autopilot is not being manually controlled instead. The manual control part is easy. You turn a knob and the airplane goes where you ask it to. The flight management system part is very complicated. I am a commercial pilot, and I have done some training on the Boeing 777. Even after a few hours of professional instruction I would have been unable to program the flight management system to command the autopilot to fly the flight plan that Flight 370 reportedly flew.

This leaves us with one of two possible conclusions. Either the flight was commandeered by a group with at least one professionally trained pilot among them or one of the pilots in control programmed the new off-route flight plan into the flight management system.

The latter would be far more likely. When terrorists hijacked the airplanes that were flown into the World Trade Center towers and the Pentagon, they flew the airplanes by hand and those hijackers had trained for months with that exact mission in mind. In the case of Flight 370, it would almost certainly have remained on autopilot, which would have dutifully followed the flight plan in the flight management system.

That flight plan was quite possibly entered for some mysterious reason by a trained pilot.

The opinions expressed in this commentary are solely those of Robert Goyer.

@highlight

Robert Goyer: New clues suggest that Flight 370 didn't change course randomly

@highlight

Goyer: Only a professional pilot can program specific route pathways

@highlight

He believes that whoever altered the flight path was someone with expertise