When exactly did once-lowly kale become an international locavore staple?

Not sure, but let's call it 2011, when Gwyneth Paltow made kale chips on TV with Ellen DeGeneres.

What's that got to do with a list of great veg eateries around the world?

We're not sure -- we just know that, like the rest of the world, we've been spending more time lately eating plants we'd never heard of when we were kids and seeking out an evolving supply of incredible vegetarian options while traveling.

From the world's only city with an all-vegan strip mall to those with large Hindu and Buddhist populations and a huge variety of options, the following vegetarian-friendly destinations have imaginative restaurants with cult-like followings.

Some of the cities on this list are obvious choices, while others, like Glasgow, Scotland, have only recently forayed in any significant way into vegetarian cuisine.

Here are our top 10 choices for herbivores who travel.

Portland, Oregon

From vegetarian/vegan-friendly bed-and-breakfasts to the world's only all-vegan strip mall, compassionate choices rule many establishments in this city.

We recommend: Natural Selection, the brainchild of California Culinary Academy graduate Aaron Woo.

With European-style decor and fare derived from France, Italy and Spain, this excellent restaurant serves dishes such as chard and mushroom gnocchi and caramelized cauliflower with polenta, using local vegetables and fruits at their seasonal peak.

The menu changes weekly.

Natural Selection, 3033 N.E. Alberta St., Portland, Oregon; +1 503 288 5883

New York

The chance of blindly stumbling into a vegetarian restaurant is probably higher in New York than in any other U.S. city.

While there's seemingly no end of diversity, from raw restaurants like Pure Food & Wine to farm-to-table Candle Cafe, our latest favorite is the amazingly creative Dirt Candy.

Yes, there's a wait to get a reservation -- the restaurant has only nine tables -- but we love the thoughtful, complex dishes and emphasis on a star ingredient per dish.

Dirt Candy, 430 E. Ninth St., New York; +1 212 228 7732

Chennai, India

As the ancient birthplace of vegetarianism, South India is largely vegetarian.

The states of Andhra Pradesh, Karnataka, Kerala and Tamil Nadu offer extremely spicy rice-based dishes and curries, while tiffin items like dosas, tamarind and lemon rice are common.

Vegetarian thalis (platters with a few curries, rice dishes and breads) cost less than a Starbucks latte.

We recommend: Madras restaurant for delicious South Indian home-style cooking.

Madras, Raintree Hotels, 636 Anna Salai, Teynampet, Chennai, India; +91 44 4393 9999

Chiang Mai, Thailand

Thanks to a large Buddhist population, Chiang Mai has more than 80 vegetarian restaurants.

Even those that aren't vegetarian-specific offer meatless tom yum soup, pad thai, salads and coconut-milk based curries.

We recommend: Pun Pun, which sources organic vegetables from its own farm. Curries are served on banana leaves.

Pun Pun has two locations in the city: Wat Suan Dok temple or Suthep Road near Chiang Mai University, Chiang Mai, Thailand; +66 81 470 1461

Glasgow, Scotland

It may come as a surprise to many that PETA named Glasgow the best city for vegans in the United Kingdom in 2013.

The growing number of vegan restaurants is part of the city's effort to improve the health of its residents and the result of its vibrant youth culture.

We recommend: Mono Cafe Bar in the Merchant City area.

The bar brews its own beer and offers a home-style meatless menu including refried bean burritos.

Music from folk singers, songwriters and the operatic crowd is a plus.

Mono Cafe Bar,12 Kings Court, Glasgow, Scotland; +44 141 553 2400

London

PETA ranked London the most vegetarian-friendly city in the world in 2009.

It's still a top site for meat-free eaters.

With more than 130 vegetarian-centric restaurants, spicy vegetarian curry houses are as plentiful as pubs offering fish and chips.

Nowadays, even pubs are serving meatless cuisine and raw food -- notable newcomer Redemption is an example.

We recommend: Arguably London's most well known vegetarian restaurant, Food for Thought in Covent Garden serves everything from Mexican to Indian dishes, cheese and dill scones to quiches.

The carefully chosen menu is inexpensive and satisfying.

Food for Thought, 31 Neal St., Covent Garden, London; +44 20 7836 0239

Seoul, South Korea

While it's best to double check with the server if there's any meat in the bibimbap, vegetarian dishes are common on Korean menus.

There's kimchi, of course, and a wide variety of veggie pancakes and side dishes, good news for any vegetarian visitor who may get dragged to a barbecue restaurant.

We recommend: Traditional Korean vegetarian restaurant Hangwachae in Seoul serves house-made condiments from chili paste to soy bean paste.

Even the rice is made with 20 different Asian herbs.

Hangwachae, Gwanhun-dong Jongno-gu, Seoul 30-9,  Cheong-A Building, B/1; +82 2 720 2802

Vancouver, British Columbia

In the last year or so, Vancouver has seen notable restaurants including the Heirloom, The Parker and The Acorn open to meet rising vegetarian demand.

We recommend: The Acorn, which received a Top Ten Best New Restaurants mention in En Route Magazine, the first vegetarian restaurant ever to snag the honor.

Vegetarians, vegans, gluten-free and raw junkies can sample a seasonal menu created with fruits and legumes from apples to Hen of the Woods.

The artfully composed dishes look like they belong in a museum.

The Acorn, 3995 Main St., Vancouver, British Columbia; +1 604 566 9001

Jordan

It's so easy to find vegetarian-friendly restaurants in Jordan where mezze dishes such as tabouleh, hummus, falafel and gourmet Arabic flatbreads abound.

From Beit Sitti (it means "my grandmother's kitchen" in Arabic), located in the heart of Amman, to Petra's Kitchen, there are good options at nearly every bend of the country.

We recommend: Feynan, an ecolodge in the heart of the mountainous Dana Biosphere Reserve.

In a candle-lit environment, visitors feast on flat breads baked by Bedouins, vegetarian stews, hibiscus juices, falafel, hummus and sticky knafeh for dessert.

Feynan, Dana Biosphere Reserve (western edge), off Dead Sea-Aqaba Highway, Ma'an, Jordan; +962 6 464 5580

Kuala Lumpur, Malaysia

A melting pot of cultures from China to India, Kuala Lumpur has more than 86 vegetarian-specific restaurants according to online healthy eating guide HappyCow.

Chinese, Malay and Indian cuisines are common.

We recommend: The inexpensive Gopala Vegetarian Restaurant, which features a potpourri of cultural cuisines from Thai to Indian.

The vegetarian satay and vegetarian fried rice earn raves.

Gopala Vegetarian Restaurant, No. 59, Jalan Thambipillai, Brickfields, Kuala Lumpur, Malaysia; +60 3 2274 1959

@highlight

We picked our favorite vegetarian restaurant in vegetarian-friendly cities

@highlight

Cities with large Hindu and Buddhist populations tend to have more variety

@highlight

Even Glasgow, Scotland, renowned for unhealthy dietary habits, is getting in on the veggie act