(CNN) -- Comprehensive immigration reform. Suddenly the phrase is on everyone's lips. From President Barack Obama to rising Republican star Sen. Marco Rubio to right-wing television hosts Sean Hannity and Bill O'Reilly. As if by magic, everybody's for it after six years of ducking and using reform as a political wedge issue -- everybody wants to get it done.

But what exactly is it? What kinds of changes will it entail, and what will they mean for America?

After more than 10 years of on-and-off debate in Washington, the most important piece of the puzzle is still rarely discussed and poorly understood. Obama often talks about reform without even mentioning it. It never came up on the campaign trail. It's not what brought Latinos out to vote in record numbers. And although it's likely to be included in the framework for reform expected to be released Monday by a bipartisan group of Senators, the concept gets very little attention from the media, English- or Spanish-language.

iReport: Under deportation, above fear

What's the most important piece of comprehensive immigration reform you never heard of? It's fixing the legal system so it works for the future -- for immigrants and the U.S. economy.

Many Americans think reform is about the 11 million unauthorized immigrants already living in the United States. Many have been here for years and have put down roots. We're not going to deport them -- not even the harshest restrictionists think that's practical.

Nor are most likely to go "home" voluntarily, no matter how difficult we make their lives with tough enforcement. For the overwhelming majority, America is home by now. And they are sure to be the most contentious issue when the immigration debate resumes in months to come.

News: Possible compromise on immigration reform takes shape

But most contentious is not the same as most important.

We all must ask: What created this problem in the first place? Exactly what is it about the broken immigration system that produced this vast underground world of workers and families -- a population the size of Ohio?

The root cause: For less-skilled foreigners who want to come to work legally in the United States, there is no "line" -- no available visas.

The two existing programs for low-skilled temporary workers are for seasonal labor only: farmhands, landscaping crews, summer and winter resort workers. And there are virtually no permanent visas to be had for unskilled workers. There simply is no avenue for an uneducated Mexican unless he has family members living legally in the U.S. who can sponsor him for a family visa.

Many, if not most, of the 11 million already here would have preferred to enter the country legally if that were possible. But they and others like them have no lawful option.

This wouldn't be a problem if we didn't need immigrant workers. But we do. And we're going to need them increasingly as the economy recovers.

This isn't because American workers are somehow lacking or inadequate. On the contrary, for the most part, it's because Americans are doing better than in decades past. We're becoming better educated and aspiring to the kinds of jobs for which our better educations prepare us.

News: GOP needs to back immigration overhaul, lawmakers say

In 1960, half of the native-born men in the labor force were high school dropouts happy to do physically demanding, low-skilled work. Today, less than 10% of the native-born men in the labor force are high school dropouts. And meanwhile, far from shrinking, the demand for low-skilled labor is growing over time. In 1955, for example, 25 cents of every dollar spent on food was spent in a restaurant. Today, the figure is nearly 50 cents. And one of the fastest-growing occupations in America is home health aide.

But very few Americans with high school diplomas aspire to careers as busboys or home health aides. And they shouldn't -- their educations equip them to do more productive work, making better wages and contributing more to the economy.

No, we don't need as many immigrant workers in a down economy -- and far fewer want to come to the U.S. when jobs are scarce. But we still need some, and they need a legal way to get here. And whatever program we create needs to be flexible, growing in good times to accommodate rising labor needs and shrinking back in down times when demand subsides.

Don't get me wrong: The goal of reform is not to increase the overall number of unskilled immigrants entering the country.

What's needed is to end illegal immigration by creating ways for needed workers to come legally -- creating worker visas and establishing a system that allows employers who can't find enough willing and able Americans to connect easily and quickly with lawful immigrants.

This is not just an economic imperative. Without it, there can be no successful immigration law enforcement.

Even the best, most effective enforcement is no match for the dynamism of the U.S. economy. As long as there are jobs available, foreigners will want to come to work here. And if we want to prevent them from coming illegally, we need to create lawful alternatives.

Finding a solution for the 11 million unauthorized immigrants already in the country addresses the mistakes of the past but fixes nothing going forward. Unless we create ways for the immigrants of the future to enter legally, we're going to find ourselves in exactly the same predicament a decade or two down the road -- wondering what to do about 10 or 20 million unauthorized immigrants living among us but beyond the rule of law.

The only way to prevent this: a legal immigration system that works.

Now if only Obama would mention it. Then we'd have some hope of getting somewhere as the debate resumes.

The opinions expressed in this commentary are solely those of Tamar Jacoby

@highlight

Tamar Jacoby: Immigration reform in air, but focus tends to be on the undocumented

@highlight

She says for real reform, discussion must be on providing unskilled worker visas

@highlight

She says there's no way to "get in line" if no visas are available

@highlight

Jacoby: In dynamic economy, entry will always outpace enforcement