(CNN) -- "These types of patients have such disfigurement beforehand they can't eat, they can't breathe properly. It's about functionality," says Dr. Richard Luskin, CEO of the New England Organ Bank.

Luskin is referring to the small group of people worldwide who are on waiting lists in hope of a new face, and in the United States at least, they may now have one donated to them more readily.

Last month the United Network of Organ Sharing (UNOS), a non-profit organization managing the U.S. organ transplant system, approved the first national policies for the transplantation of limbs, faces and other structures collectively known as "vascularized composite allografts" (VCAs) -- which should make it easier to find donors.

As of April 2014, there had been 28 face transplants across the world. Animal attacks, severe burns and gunshot wounds had left these recipients scarred for life, literally, in the one place their scars cannot be hidden -- their face.

"Anyone with this disfigurement would argue they're not living, they're surviving," says Luskin.

Face transplant recipients: New findings

A growing field

The first face transplant was performed in France in 2005 on Isabelle Dinoire, whose mouth, nose and chin had been chewed away by her dog. Since then the field has grown and transplants involving varying combinations of facial parts have been performed in six other countries, including the United States.

As the procedures improve and their safety grows, donor registries and collaborating hospitals will increasingly be asking the question: Would you like to donate your face? Or in the case of the UNOS approval, asking family members of potential donors the sensitive question of whether they will donate the face of their loved one.

The UNOS approval will initially be in place temporarily for 15 months to enable public comment, but families of donors will receive extra guidance when it comes to making the decision. "Face transplants remain unique and require very specific criteria such as hairlines and ethnic components," explains a UNOS spokesperson. "Therefore consent should be distinct and individual."

"(This) will broaden the donor pool for wait-listed patients across a number of regional and national organ procurement organizations," explains Dr. Eduardo Rodriguez, professor of reconstructive plastic surgery at NYU Langone Medical Center. "A major component for a successful procedure is patient selection on both the recipient and donor," he adds. "The likeliness of a perfect match can be very challenging."

But this once-experimental procedure is becoming more widespread and accepted. Richard Norris, from Virginia, received a new face in March 2012 and last month his face was featured on the cover of the U.S. edition of men's magazine GQ. Norris lost most of his facial features after a gun blast, and lost abilities such as his sense of smell. But after surgery at the hands of Rodriguez and his team he can live his life once again.

Face transplant patients: Where are they now?

Risk of rejection

However, as this mode of surgery becomes a norm, the side effects and risks that come with the life-changing operation are still a concern and a question of ethics.

Like any other transplant, there is a risk of the new organ being rejected by the patient's immune system and recipients have to take immunosuppressive drugs for the rest of their lives, putting them at risk of infections and cancer. But unlike many other transplants, replacing a face is not a matter of life and death. The surgery is classed by some as life-changing, not life-saving, which raises questions as to whether this risk is justified.

"For heart transplant patients they need a transplant or they will die. These (face transplant) patients are not in organ failure but are having to take anti-rejection medication and have lifelong repression," explains Dr. Maria Siemionow, from the University of Illinois, who performed a near-total face transplant in 2008 on American Connie Culp, who was shot in the face by her husband.

But Siemionow is working to solve this problem. "We need new therapies which will be less harmful," she says.

The Polish surgeon is developing chimeric cells, which bring together the cells from a donor and the recipient during transplantation. "We are fusing together cells from the bone marrow of donors and recipients so these cells will be recognized by the recipient's immune systems as their own," she explains. Not an easy task.

By combining the two cells and delivering them into patients receiving a transplant, their immune system will learn to recognize the donor's cells, which are present throughout their new face, making their immune cells less likely to attack the face.

"If the (immune system) can recognize more cells as 'self' the patient will need less anti-rejection drugs," says Siemionow, whose experimental therapy is hoped to enter clinical trials in a few years and when it does, may make face transplants more acceptable to critics.

"Immunosupression is the main ethical concern and new therapies are crucial for the future of this field," she says.

Luskin feels the benefits of a new face counter ethical doubts. "There is no ethical issue," he concludes. "I saw a patient walking down a crowded hospital hall a few years after surgery and no-one noticed them. He looked like a normal guy. To me, that's the point of these surgeries."

@highlight

The first face transplant was performed in France in 2005

@highlight

U.S. has approved policies that will make it easier to find donors

@highlight

Scientists are developing techniques that will reduce risk of transplant rejection