(CNN) -- In September 1985 a devastating earthquake measuring 8.1 on the Richter Scale smashed into Mexico City killing 10,000 people and leaving parts of the city in ruins.

Since then, the populous Latin American nation of 122 million has invested in one of the most advanced seismic warning systems anywhere in the world.

The SASMEX facility came online in 1991 and reacts to data gathered by sensors placed near major fault lines along Mexico's Pacific coast.

Receivers dotted around five major cities, including Mexico City and Acapulco, will sound the alarm if they detect an earthquake.

It's a system that can buy vital seconds for residents to brace themselves before the tremors begin.

But not everyone has access to a SASMEX receiver -- there are 100,000 in operation but at a cost of roughly $330 apiece, they are a luxury the majority of Mexicans can't afford.

Most receivers are stationed in the likes of public buildings, hospitals, schools and subway stations.

With roughly 21 million people living both formally and informally in and around Mexico City alone, that means many will not be aware the alarm is sounding until the ground begins shaking.

$50 alarm

According to local tech entrepreneur, Andres Meira, such vital services should be far more widely available.

Meira is no passive observer in this debate. He moved to Mexico City after working in Haiti and witnessing the devastation caused by the 7.0 magnitude earthquake that struck the Caribbean island in 2010 killing more than 230,000 people.

It's an experience that had a profound and lasting effect on him.

"Until you live in one of these places you don't really understand the primitive fear of earthquakes," he said. "There are times when you can't sleep and sometimes you wake up in the middle of the night and make sure things aren't moving."

Now, after combining with local engineers and tech investors based in Silicon Valley, Meira believes he may have a solution that will bring the SASMEX signal to the masses.

It's called the Grillo (the Spanish word for cricket) early warning system. The compact device -- a cube about the size of an alarm clock -- taps into the special frequencies that SASMEX operates on and relays that information to its users.

When seismic activity is detected, the Grillo sounds a loud, flashing alarm. At a cost of just $50, it also undercuts the price of the receivers used primarily in public buildings by around 85%.

"This is the most affordable and the most direct way for the Mexican public to connect to the early warning system," Meira says of the product, which also became Mexico's most successful ever Kickstarter campaign.

Mexico City's geographic location and geological makeup put it at particular risk from seismic activity. There have been a handful of relatively small quakes in 2014 already.

Meira also hopes versions of the Grillo system could be introduced elsewhere in the world where earthquakes are a real risk -- like in Nepal, India, the West Coast of the U.S. and along much of the Pacific Coast of South America.

Missing education?

But others point to the difficulty of introducing a mass warning system without first educating citizens on what to do when receiving a direct alert.

Speaking to McClatchyDC.com earlier this year, Arturo Iglesias Mendoza, director of the Institute of Geophysics at the National Autonomous University of Mexico, pondered what would happen if 5,000 of 60,000 people in a football stadium received an alert of an imminent earthquake? "People should know that the safest thing to do is to stay in the stadium," he said.

On top of that, the $50 price is still a considerable investment for many residents of a country where the average wage remains under $5 a day.

Then there is the fact that only a handful of early warning systems like SASMEX exist anywhere in the world. This means that Grillo will unlikely have government sourced data and advanced sensor system set up near major fault lines to tap into in many other locations.

Meira and his colleagues have anticipated such difficulties.

He speaks of the next stage of the Grillo project which will see hundreds of specially developed sensors placed all over Mexico, feeding into an algorithm that will provide early-warning alerts to apps and smartphones.

Warning app

Known as Grillo Active, the tiny orange devices contain a sensitive movement detector, microprocessor and a WiFi module to transmit a signal. Grillo are currently in talks with a major convenience store chain to locate the devices at between 500 and 1,000 of their stores around Mexico.

Such a wide spread will ensure more reliable and faster alerts.

"The real test of a good infrastructure is the density of sensors," Meira said. "This is our plan in Mexico."

Given that the devices can be produced cheaply and located anywhere with an internet connection, the potential for Grillo to be used in a variety of vulnerable areas around the world is very real.

Japan remains the only nation in the world where the entire country is hooked up to an early warning facility. And that system, which consists of 1,000 GPS sensors.

For now, however, this fledgling group's focus remains on Mexico.

The first small batch of Grillo boxes produced have been sold, although they haven't yet seen any action in the field. Mexico's last earthquake was recorded about six months ago, when the device was still in the prototype phase.

Meira hopes that the acid test doesn't come too soon, but he expects a solid performance from his invention when it does.

"The science is all there," he said. "We have tested it out in two earthquakes and they worked just fine. One was a seven pointer (on the Richter scale) and it worked perfectly."

Now, they await the next earthquake.

@highlight

Grillo is a device that aims to bring a low-cost earthquake warning system to the masses in Mexico

@highlight

A number of major fault lines are situated along Mexico's Pacific Coast

@highlight

Some say a widespread program of public education is required so people know what to do when seismic activity occurs