Washington (CNN) -- In one ill-fated fundraiser, Mitt Romney managed to offend Palestinians, Latinos and some of the same people he's counting on for support if he wants to unseat President Barack Obama.

It isn't the first time Romney's oratory fumbles have put his campaign on its heels, handed opponents material to push the stereotype of him as an out-of-touch businessman and provoked members of the party's conservative base to question his worthiness as their standard-bearer.

"Everybody has the same reaction: 'dumb, dumb, dumb,'" said Larry Sabato, director of the University of Virginia's Center for Politics, adding that Romney's gaffes reinforce a sitcom-like caricature of the candidate.

Opinion: What's wrong with Romney

After the tape, recorded during a May 17 private fundraiser at the home of Sun Capital executive Marc Leder, made the rounds on Monday, Romney convened a hastily scheduled news conference Monday night in which he said his comments were "off the cuff" and "not elegantly stated."

However, he defended the main message of his remarks, saying he that while he could have made them "more clearly," he said he was trying to point out the differences between his and Obama's campaigns.

Democratic pundits gloated and were content to let Romney's words speak for themselves.

"I mean, I don't think Democrats had much to say at all. I mean, there wasn't much left to say," Democratic strategist Richard Socarides said on CNN's "Early Start." "Look, I mean, I think that, you know, big picture, this is a -- was a devastating moment for Governor Romney, potentially fatal, as people start to focus on this campaign."

Narratives at work

Another Democratic strategist said that Romney's comments played into the two narratives that they have pushed: "First, that he doesn't care about the middle class. Well, thanks for the help, Mitt," Paul Begala, a CNN contributor and a senior adviser in the leading pro-Obama super PAC Priorities USA, said on CNN's "AC360."

"On the second front ... in order to give big tax cuts for the rich, Mitt Romney is going to have to raise taxes on the middle class. Well, when you're claiming to wealthy people that 47 percent of Americans don't pay federal income tax, I think a lot of those people, retirees, working class folks are going to listen to that and think, 'Gee, I guess the Democrats are right. I guess he does want to raise the taxes on the middle class in order to help the rich.'"

Republican strategist Margaret Hoover, who served in the Bush White House, said the comments would wound Romney but it wouldn't be a fatal one.

Video threatens Romney campaign

"You can understand while he tripped over his words, it probably wasn't characterized the best way. I think we can all agree with that," she said on "Early Start." "You can understand what he was trying to say. Do we have a systemic problem in this country when you have almost 50 percent of people not paying any federal income taxes? And he's running on a platform that would fundamentally change the tax code so that you lower the base, broaden the base and lower tax rates across the board."

Reaction from other conservatives was mixed. While some some applauded Romney's comments, others saw them as reinforcing why they questioned his legitimacy.

CNN contributor and conservative blogger Erick Erickson tweeted: "Dammit! I'm just now seeing these Romney secret videos. We need that guy on the campaign trail!"

Others, such as New York Times columnist, David Brooks, wrote "Romney's comment is a country-club fantasy. It's what self-satisfied millionaires say to each other. It reinforces every negative view people have about Romney."

And conservative commentator Bill Kristol, a frequent critic of Romney, called the remarks "stupid and arrogant."

"It's worth recalling that a good chunk of the 47 percent who don't pay income taxes are Romney supporters â€” especially of course seniors (who might well "believe they are entitled to heath care," a position Romney agrees with), as well as many lower-income Americans (including men and women serving in the military) who think conservative policies are better for the country even if they're not getting a tax cut under the Romney plan. So Romney seems to have contempt not just for the Democrats who oppose him, but for tens of millions who intend to vote for him," Kristol posted on The Weekly Standard on Tuesday.

Romney campaign responds

A Romney adviser tried to put the comments in context:

"What he's saying is there are people out there who don't pay taxes, unfortunately," Bay Buchanan, a senior adviser, said on CNN's "Starting Point" on Tuesday. "They're in a position where they're dependent on government, and those individuals are -- those Americans are voting for Barack Obama. They're in his backyard. And so those are people that I'm not going to be able to reach with my 20 percent tax cut or my cuts in spending because they would be concerned. It's not going to impact them getting a 20 percent tax cut. They don't pay taxes."

Romney's comments were recorded by a hidden camera and posted Monday afternoon on the left-leaning news websites Mother Jones and The Huffington Post.

Romney argued nearly half of Americans will vote for Obama because they rely on government support.

Adding to his argument about entitlement, Romney said his "job is not to worry about those people."

He also joked about wishing he had Latino heritage and talks about a Chinese factory his former firm purchased.

A clip released Tuesday morning showed Romney questioning the prospect of ever reaching peace between Israelis and Palestinians, calling a path to a solution in the region "almost unthinkable to accomplish."

"I'm torn by two perspectives in this regard," Romney is shown saying in a clip that only shows only the candidate speaking and does not include any questions that may have prompted his remarks. "One is the one which I've had for some time, which is that the Palestinians have no interest whatsoever in establishing peace, and that the pathway to peace is almost unthinkable to accomplish."

Opinion: How Romney really feels about the GOP

With two weeks until the first presidential debate and less than two months before the election, the timing couldn't be worse, political experts say.

The Romney campaign had banked on its convention last month to make a favorable introduction of Romney to the electorate, a large part of it just beginning to pay attention to the election. But a CNN/ORC International poll conducted after the convention showed Romney gained only a 1% rise in the polls while Obama gained three to four times that much following the Democrats' convention.

Romney's acceptance speech was largely overshadowed by a rambling, off-the-cuff monologue by actor Clint Eastwood, which preceded it.

Last week, Romney was criticized by Democrats and Republicans alike for an aggressive and politically charged response to violent attacks on U.S. embassies in Egypt and Libya. After the attacks, Romney in a statement said, "It's disgraceful that the Obama administration's first response was not to condemn attacks on our diplomatic missions, but to sympathize with those who waged the attacks."

Series of gaffes

Over the weekend, Politico posted a story that detailed tensions within Romney's campaign and on Monday the campaign launched a new effort to inject energy and fresh policy details with a series of speeches and advertising.

"There's been a bit of bad luck involved in some of it," said John Geer, chairman of Vanderbilt University's political science department. "It's not a surprise that these blunt remarks are going to be made in front of this type of audience. Here's a guy who's trying to work on his image about caring and this doesn't help him at all."

Romney has been plagued by a series of gaffes during his presidential run.

He joked with unemployed workers in Florida in June 2011 that he, too, was also unemployed.

In January of this year, he told a crowd of supporters that he likes "being able to fire people" in a talk about insurance companies. He went on to say that if someone didn't provide adequate services, he liked to be able to find someone else who would. But critics took the first part of the quote used it to paint him as a venture capitalist focused only on a company's bottom line.

Controversial video shows candid Romney

In a February interview, Romney told CNN that he is "not concerned about the very poor," citing the safety net in place by the American government and said that his primary focus is the middle class. But it was the first part of the sentence that critics pounced on as evidence of Romney's elitism, while conservatives said the safety net he talked about only encouraged a welfare state.

Later that month, at a campaign stop at the Daytona 500 NASCAR race, Romney told a reporter that while he might not follow the sport as closely as the most ardent fans, "I have some great friends who are NASCAR team owners."

And at an event in Detroit, he tried to prove he was behind the American automotive industry by saying that he drove a Ford Mustang and a Chevrolet pickup and that his wife, Ann, "drives a couple of Cadillacs."

Defenders sought to defuse the controversy by pointing to Obama's comments during the 2008 Democratic primaries about "bitter" people who "cling to guns or religion."

But those comments came long before the general election and did little to harm him with voters.

Romney's comments will serve as a distraction in coming days but there's still opportunities for him to get back on track with a weak economy and high jobless rate.

"He's a tough campaigner Romney. ... I don't think one should rule him out," Geer said. "The fundamentals are still a problem for Obama."

iReport: Weigh in about Romney

I'm the 47% but - You're WRONG Mitt Romney!

4,000 millionaires in Romney's '47%'

Jim Acosta, Peter Hamby, Ashley Killough, Kevin Liptak, Jeanne Sahadi and Rachel Streitfeld contributed to this report.

@highlight

GOP presidential candidate Mitt Romney's verbal gaffes have once again stymied his campaign's ability to control the narrative

@highlight

Democrats were gleeful, while Republicans left scrambling after Romney's comments

@highlight

Less than two months before the election, Romney's challenge is to steer clear of speaking slip ups; hammer Obama on the economy