(CNN) -- Sometimes it takes just one.

One person-- one idea -- to ignite a movement that changes lives.

Helping the millions of people who've fled the war in Syria may seem a challenge far too big for small relief efforts. The U.N. calls it the worst humanitarian crisis in a generation. The needs are staggering.

And yet, for some people, it's just not an option to do nothing.

I AM NOT A TOURIST

Tanya Khalil says she refuses to be a neutral observer. Her country, Lebanon, is taking in more Syrian refugees than any other -- nearly 1 million at last official count -- despite its tiny size.

The university student says it's impossible to walk the streets of Beirut without seeing reminders of the suffering -- some refugees searching for food, others sleeping on sidewalks.

"We cannot think somebody else will take care of it," Khalil says. "We are that somebody. Each and every one of us is that somebody and it is our duty towards one another to be caring and compassionate souls."

Khalil started a group called I AM NOT A TOURIST. The name was meant as a wake-up call to her fellow Lebanese -- that the Syrian crisis was now on their doorstep and they could no longer act like bystanders.

She couldn't stand the thought of Syrian refugees shivering in brutally cold temperatures while she and her friends were sleeping in their warm beds.

They began collecting winter clothing and blankets for refugees in Akkar and the Bekaa Valley in north Lebanon. Khalil estimates 4,500 people donated items, filling 25 huge trucks. "We ended up with more than 10,200 'bags of love,' " she says.

Unlike other host countries, Lebanon has no formal refugee camps. Refugees there are scattered across some 1,600 locations, complicating aid distribution. Khalil partnered with established NGOs to help with logistics: Sawa for Syria and War Child Holland.

The United Nations estimates nearly 2.5 million Syrians are seeking shelter in Lebanon and in other neighboring states, but that accounts for only registered refugees. The true number could be much higher. And the crisis is only getting worse, as thousands of Syrians flee across the border each day.

Sweaters for Syria

Ranya Alkadamani was half a world away when she felt compelled to help. It all started with a conversation with her brother.

An Australian citizen living in Perth, Alkadamani has Syrian parents and family in Beirut. Her brother was heading to Beirut and asked if she had any old sweaters that he could take for a U.N. relief effort.

She said sure -- and then realized she could do something even bigger.

She sent an e-mail to work colleagues, asking if they had any sweaters to contribute. The note touched her boss, who called her and said he wanted to help start a campaign and that he would pay for shipping the sweaters.

It became known as Sweaters for Syria.

Alkadamani says she was overwhelmed by the response. She was worried that they wouldn't receive enough donations to fill even one container, but "in two weeks, we pretty much filled the Salvation Army's warehouse with 1,000 bags."

The campaign inspired people across Perth. One 6-year-old boy is said to have collected 600 sweaters on his own. "When people know there's something tangible that they can do to make a difference, they'll do it," Alkadamani says.

She cried when she saw all the bags piled up in the warehouse -- 100,000 sweaters in all. "Everyone was so generous and they cared as much as I did, and they're not even Syrian," she says. "That was overwhelming."

The bags were delivered to the UNHCR for distribution in Turkey and Jordan. Alkadamani visited Jordan this month, helping to hand out sweaters to refugees who were crossing the border.

She also visited Zaatari, a sprawling camp in the desert now home to nearly 125,000 refugees. That effectively makes it one of the largest cities in Jordan, and one of the largest refugee camps in the world.

Life is harsh there, a far cry from the comforts of home refugees left in Syria. The war doesn't discriminate -- people from all walks of life have been forced to leave behind virtually everything they own. Alkadamani says she wants the world to understand that "the people in those camps are just like you and me."

Khalil also stresses that point. She says Syrian refugees are just normal people -- from doctors to pharmacists to teachers -- with normal lives before the war tore their world apart.

You can do something too

Major aid agencies like UNHCR are overwhelmed with the sheer scale of this crisis, so grassroots efforts can play an important role in filling the gaps. Aid organizations also encourage groups to raise cash donations, as they provide the flexibility to meet particular needs by trained relief workers.

In all of these ways, individual efforts can make a difference in the face of enormous suffering.

It starts with a simple idea -- and the willingness to act.

You too can make an impact for Syrian refugees go to CNN.com/impact for large and small ways to help.

@highlight

Small, grassroots relief efforts help Syrian refugees survive a harsh winter.

@highlight

The Lebanese group "I AM NOT A TOURIST" collected thousands of "bags of love" in Beirut.

@highlight

Australians united to collect 100,000 "Sweaters for Syria" in Perth.

@highlight

You can make an impact for Syrian refugees. Go to CNN.com/impact for large and small ways to help.