ATHENS, Georgia (CNN) -- Over the railroad tracks, near Agriculture Drive on the University of Georgia campus, sits a unique machine that may hold one of the solutions to big environmental problems like energy, food production and even global climate change.

Biochar's high carbon content and porous nature can help soil retain water, nutrients, protect soil microbes.

"This machine right here is our baby," said UGA research engineer Brian Bibens, who is one of a handful of researchers around the world working on alternative ways to recycle carbon.

Bibens' specialty is "biochar," a highly porous charcoal made from organic waste. The raw material can be any forest, agricultural or animal waste. Some examples are woodchips, corn husks, peanut shells, even chicken manure.

Bibens feeds the waste -- called "biomass" -- into an octagonally shaped metal barrel where it is cooked under intense heat, sometimes above 1,000 degrees Fahrenheit, the organic matter is cooked through a thermochemical process called "pyrolysis".

In a few hours, organic trash is transformed into charcoal-like pellets farmers can turn into fertilizer.  Gasses given off during the process can be harnesed to fuel vehicles of power electric generators.  Watch how biochar is made and why it's important »

Biochar is considered by many scientists to be the "black gold" for agriculture.

Its high carbon content and porous nature can help soil retain water, nutrients, protect soil microbes and ultimately increase crop yields while acting as natural carbon sink - sequestering CO2 and locking it into the ground.

Biochar helps clean the air two ways: by preventing rotting biomass from releasing harmful CO2 into the atmosphere, and by allowing plants to safely store CO2 they pull out of the air during photosynthesis.  See more about how biochar works »

"Soil acts as an enormous carbon pool, increasing this carbon pool could significantly contribute to the reduction of CO2 in the atmosphere," said Christoph Steiner, one of the leading research scientist studying biochar. "It gives us a chance to produce carbon negative energy."

Worldwide use of biochar could cut CO2 levels by 8 parts per million within 50 years, according to NASA scientist James Hansen.

Global carbon levels in the air have been steadily increasing at an alarming rate since the 1980s, according to NOAA. Since 2000, increases of 2 parts per million of CO2 have been common, according to NOAA. During the 1980s rates increased by 1.5 ppm per year.

The process of making biochar can also lead to other valuable products.

Some of the gases given off during the process can be converted to electricity, others can be condensed and converted to gasoline, and there are also some pharmaceutical applications for the by-products, said Danny Day President and CEO of Eprida, a private firm in Athens, Georgia currently exploring industry applications for the biochar process.

Although scientists look to biochar to improve the future, its origin lies in the past.

For centuries indigenous South Americans living in the Amazon Basin used a combination of charred animal waste and wood to make "terra preta," which means black earth, in Portuguese.

Thousands of years later, the terra preta soil remains fertile without need for any added fertilizer, experts say.

"These terra preta soils are older than 500 years and they are still black soil and very rich in carbon," said Steiner, a professor at the University of Georgia. Reducing the need for deforestation to create more cropland.

By using biochar concepts, terra preta soils have been proven to remain fertile for thousands of years, preventing further harmful deforestation for agricultural purposes. But still more large-scale tests need to be conducted before biochar technology can be rolled out on a global scale.

Day says biomass -- that otherwise would be thrown away --could be developed into entirely new markets for biofuels, electricity, biomass extracts and pharmaceutical applications, in addition to biochar.

"We have 3 billion people out there who are at risk for climate change and they can be making money solving our global problem," said Day.

Industries can now begin to look at farmers around the world and pay them for their agricultural wastes, said Day. "They can become the new affluent."

@highlight

'Biochar' may reduce greenhouse gases, produce clean energy, help farming

@highlight

Organic waste can be turned into valuable, renewable resources

@highlight

Ancient farming method could improve crop yields

@highlight

Experts: Biochar could reduce harmful global CO2 levels