Beijing (CNN) -- Jobs and money, national identity and political stability.

These are some of the contentious issues driving the presidential election in Taiwan this weekend.

Seeking another four-year term is the incumbent president Ma Ying Jeou of the ruling Kuomintang Party, pitted against Tsai Ing-wen, leader of the Democratic Progressive Party (DPP).

Who wins the election will influence Taiwan's relations with mainland China and impact business, geopolitics and security in the region, including China-U.S. ties.

For many Taiwanese electorates, political observers say, the main issues are jobs, economics and Taiwanese identity.

For the policy-makers in Beijing, however, the overriding question is whether the next Taiwan president will stick to the status quo.

That means abiding by the "1992 Consensus," a tacit and ambiguous agreement reached 20 years ago between Beijing and Taipei under which both sides agreed on the principle of "one China" without agreeing on how it is to be defined or interpreted.

Despite the ambiguity, the 1992 Consensus has served as the basis for cross-strait dialogue that has led in recent years to the unprecedented blossoming of economic and people-to-people ties across the Taiwan Strait.

In Beijing's view, "zuguo tongyi," or reunification of the motherland, is a matter of national pride and iron-clad policy.

Beijing says it prefers to do so peacefully but refuses to rule out the use of force to keep Taiwan from declaring itself a separate state.

China keeps hundreds of missiles aimed at Taiwan, an ominous threat to the island to stay in the fold.

War in the Taiwan Strait would prompt a China-U.S. standoff.

In 1954, the U.S. and Taiwan signed a mutual defense treaty. Even now, Washington sells Taiwan advanced jet fighters and other military hardware.

America is also bound by the Taiwan Relations Act, U.S. legislation passed in 1979, to consider an attack on the island as "a threat to the peace and security" of the region and "of grave concern to the U.S."

But all these years, Washington has avoided spelling out what it would do in case military clash erupts in the Taiwan Strait.

Some observers say such ambiguity serves as a deterrent. Others worry it could lead to miscalculations.

That delicate balance lurks at the heart of this weekend's election.

Incumbent president Ma Ying Jeou advocates maintaining the status quo. "Ma Ying Jeou will continue the 1992 Consensus," says Tsinghua University professor Yan Xuetong.

"If he does that we can maintain the current relationship across the Strait."

If Ma wins, says Wang Jianmin, a researcher at the Chinese Academy of Social Sciences (CASS) in Beijing, "we can hopefully keep the 'peaceful development' scenario with the mutual trust based on the 1992 Consensus."

Beijing's policy-makers are wary of Tsai Ing-wen, suspecting her of pushing a pro-independence agenda. Tsai for one rejects the 1992 Consensus and instead calls for a yet undefined "Taiwan Consensus."

Jia Qingling, a top communist party official who oversees Taiwan affairs, recently warned: "If we deny the status quo there is no way to carry on any further negotiations, and what we have achieved so far would be in vain. We would go back to the days of chaos and uncertainty."

But Wang believes relations between Beijing and Taipei will see a drastic change if DPP gets elected.

"There is no way China will keep the current level of talks if Taiwan claims itself to be a country," he says. "If so, Taiwan's economy will certainly decline if the life blood from the mainland gets cut off."

But Tsinghua's Yan Xuetong downplays any worst-case scenarios. "Even if Tsai Ing Wen wins the election, she will adopt a moderate policy to mainland China," he opines.

There are good reasons not to rock the boat, mostly money.

Closer ties between Taiwan and the mainland, observers say, have brought significant "peace dividends" to both sides -- robust business and trade, tourism, academic and people-to-people exchanges and family reunions.

Two-way trade last year topped U.S.$160 billion, according to estimates by China's customs bureau.

Over the years, Taiwanese investors, big and small, have pumped billions of dollars of investment into China.

Last year alone, they invested over U.S.$12 billion in 520 projects on the mainland, according to a report by the state-run Xinhua new agency.

Mainland companies, on the other hand, invested U.S.$174 million into over 200 projects in Taiwan in the short time since Taiwan allowed mainland investments in June 2009, Xinhua said.

Since Taiwan opened its borders to mainland tourists three-and-a-half years ago, says Shao Qiwei, head of China's tourism agency, over three million mainlanders have visited the island. Last year alone, 1.8 million joined tours or went as individual travelers, Shao added.

In contrast, about five million Taiwanese tourists visited the mainland last year, according to National Tourism Administration.

But for the Communist leadership in Beijing closer ties also poses a downside: they bring a democratic contagion to the mainland.

On Sina Weibo, China's equivalent of Twitter, Linghutian writes: "No matter who wins, it's the victory of Taiwan's voters and the democracy they've been practicing. We mainlanders should just stay calm and learn something, since we now can't really do much."

While the Taiwanese electorate is able to directly elect their president and other leaders this weekend, China's political elite is still struggling behind closed doors to reach a consensus on who among them will take top positions ahead of the major political transition later this year.

In the autumn, Vice President Xi Jinping, 58, is expected to replace 69-year-old Hu Jintao as party chief when the Communist Party holds its national congress -- an event that takes place every five years. Xi is expected to formally ascend as state president when China's legislature convenes in the spring of 2013.

@highlight

Incumbent president Ma Ying Jeou of the ruling Kuomintang Party seeking another four-year term

@highlight

Tsai Ing-wen, leader of the Democratic Progressive Party (DPP), would be the first female president

@highlight

China keeps hundreds of missiles aimed at Taiwan, an ominous threat to the island to stay in the fold

@highlight

Beijing wary of Tsai Ing-wen, suspecting her of pushing a pro-independence agenda