Washington (CNN) -- The much-maligned, color-coded Homeland Security Advisory System is about to be consigned to the proverbial dustbin of history.

Not that anyone is really paying attention.

Homeland Security Secretary Janet Napolitano is expected to announce Thursday that the almost 9-year-old threat alert system will go away in April. It will be replaced by the new National Terror Advisory System that will focus on specific threats in geographical areas, a department source said Wednesday.

The source did not provide details of the new system, which Napolitano will unveil at what the department is calling "the first annual 'State of America's Homeland Security' address" at George Washington University.

The top Democrat and Republican on the House Homeland Security Commission reacted positively to the news, although committee chairman Rep. Peter King, R-New York, reserved judgment on the specifics.

"Though the system served a valuable purpose in the terrible days and months following the terrorist attacks of September 11, it was clearly time for the current color-coded system to be replaced with a more targeted system," King said. "I know they have been working on this for a long time. It sounds to me like the changes they are proposing make sense. We will have to wait and see how they implement this new, more targeted system. I expect the biggest challenge for DHS will be balancing the need to provide useful and timely information with the need to protect sensitive information."

"The old color coded system taught Americans to be scared, not prepared," said ranking member Rep. Bennie Thompson, D-Mississippi. "Each and every time the threat level was raised, very rarely did the public know the reason, how to proceed, or for how long to be on alert. I have raised concerns for years about the effectiveness of the system and have cited the need for improvements and transparency. Many in Congress felt the system was being used as a political scare tactic -- raising and lowering the threat levels when it best suited the Bush administration."

President George W. Bush established the Homeland Security Advisory System by presidential directive on March 11, 2002, just a few months after the 9/11 terrorist attacks in New York and Washington. The five levels -- green for low, blue for guarded, yellow for elevated, orange for high and red for severe -- were intended to identify the risk of terrorist attack.

The initial level was yellow, which the system retained until September 11, 2002, when it was raised to orange to cover the first anniversary of the attacks. It was lowered back to yellow on September 24.

In its lifetime, the threat level has been raised to orange/high five times, although it went to that level three other times for specific industries. The threat level was raised to red/severe once -- on August 10, 2006, and only for commercial flights from the United Kingdom to the United States -- when British authorities announced they had disrupted a major plot to blow up aircraft. The level went down to orange on August 16, 2006, where it remains.

The general threat level is yellow/elevated. The two lower levels have never been used, and task force looking at the system recommended in 2009 eliminating them altogether and making yellow the lowest threat level but renaming it "guarded."

Almost from the start, the threat level system was the butt of jokes and multiple parodies.

The "Democracy Threat Advisory Level" went from green/low ("Wow, clean money systems really work") to red/severe ("Martial law, but it's for your own good").

A "Total Headcase Advisory System" began with "George Soros is arrested" and ended with "Hillary Clinton is elected president." Still another announced that Homeland Security and Crayola had jointly revised the system, changing green to aquamarine, blue to raw umber, yellow to burnt sienna, orange to neon carrot and red to cotton candy.

The public didn't care much for the system either, with polls conducted at the time indicating most Americans found it confusing and not very useful.

More seriously, however, some critics accused the Bush administration of using using the system to generate fear at politically sensitive times, such as just before the 2004 election. And just days after his 2005 resignation, then-Homeland Security Secretary Tom Ridge told a Washington forum that he sometimes disagreed with the rationale for raising the alert but was overruled by others on the Homeland Security Advisory Council, which made the decisions.

The council included Attorney General John Ashcroft, FBI chief Robert Mueller, CIA director George Tenet, Defense Secretary Donald Rumsfeld and Secretary of State Colin Powell.

"More often than not we (the department) were the least inclined to raise it," Ridge told reporters after the forum. "Sometimes we disagreed with the intelligence assessment. Sometimes we thought even if the intelligence was good, you don't necessarily put the country on (alert). ... There were times when some people were really aggressive about raising it, and we said, 'For that?' "

And in 2009, Ridge wrote in a tell-all book that sometimes officials such as Ashcroft and Rumsfeld pressured the department to change the level, describing a 2004 event in which his arguments against raising the alert worked.

"I believe our strong interventions had pulled the 'go-up' advocates back from the brink. But I consider the episode to be not only a dramatic moment in Washington's recent history, but another illustration of the intersection of politics, fear, credibility and security," he wrote.

"After that episode, I knew I had to follow through with my plans to leave the federal government," he wrote.

Ridge announced his resignation on November 30, 2004, and left office on February 1, 2005.

The Bush administration denied Ridge's assertions, however.

"Nobody's more surprised than I am," then-Homeland Security adviser Fran Townsend told CNN's Wolf Blitzer. "Of course, Tom Ridge never expressed those concerns while he was in the administration, nor did he when I spoke to him after he left ... (He) wasn't the only one in that meeting who suggested the terror alert shouldn't be raised. At no time was there a discussion of politics in that meeting. And the president was made a consensus recommendation from the council that he accepted -- not to raise the terror alert."

Townsend is now a national security contributor for CNN.

CNN's Fran Townsend contributed to this report

@highlight

Homeland Security Secretary Janet Napolitano will make official announcement Thursday

@highlight

The new system will focus on specific threats in geographical areas, a source says

@highlight

The current color-coded system was established in 2002 in wake of 9/11 attacks

@highlight

The system was often criticized as confusing by public and parodied by comics