After several months of airstrikes, the international coalition's operation against ISIS in Syria has failed to dismantle the group's structure of command and has pushed its militants further beyond the country's borders.

Civilians and opposition rebel forces have been left frustrated by the coalition's narrow focus, lack of a clear agenda and apparent failure to take into consideration the dynamics of the wider Syrian conflict.

Late last month, Syrian Foreign Minister Walid Moallem said that without U.N. Security Council approval, the U.S. strikes lacked legitimacy. But in comments to media he said: "Anyway, if their aim is to strike against ISIS, it's OK."

Does this statement mean that the Syrian government views the coalition strikes as beneficial to its hold on power? Does the old Arab proverb the "enemy of my enemy is my friend" apply to this case and to the reality on the ground?

In the short term, the international coalition's counter-terrorism strategy may certainly be in the interests of the Assad regime.

Military strikes are to some extent forcing ISIS fighters to retreat from territories under their control in northern and eastern Syria.

Other opposition groups -- including the Free Syrian Army -- are unlikely to have the capability to take advantage of these strikes.

The Syrian military is still superior when it comes to aerial force and may be best placed to retake ISIS territories.

Although the Gulf states would like to see an anti-ISIS offensive that would ultimately lead to the collapse of the Syrian government, the U.S. and Western allies have made it clear that regime change is not an objective of this military campaign.

Coalition strikes have not been targeting the Syrian government's military forces or infrastructure.

Thus the Syrian government has found the U.S., Western allies, and Arab states on the side of its own allies Russia and the Islamic Republic of Iran -- aiding Assad against one of his most powerful and influential threats.

Ironically, the same nations that may have indirectly contributed to the creation of ISIS itself, are now investing their military capital into fighting it.

So far, however, the balance of power has not shifted significantly either in favor of the government forces or rebel groups.

ISIS has been pushed out of some territories, but is advancing in others.

Although government forces have made slight advances in Aleppo, resource constraints have prevented the military from taking full advantage of the coalition strikes.

Strategically, Assad needs to focus on holding the large cities already under government control.

Civilian suffering

More fundamentally, the coalition's anti-ISIS campaign has deflected attention from the Syrian government and armed rebel group's atrocities against civilians.

There are claims the Assad government has in fact ratcheted up its attacks in the shadow of the strikes.

The opposition Syrian Observatory for Human Rights on Thursday reported that regime airstrikes had killed 221 civilians, "taking advantage of the international media focusing on ISIS and Ein al-Arab 'Kobani'."

Syrian civilians might also question why the international community decided to intervene against ISIS after ignoring -- for several years -- the Syrian government's brutality in a conflict that has led to more than 190,000 deaths and more than 3,200,000 refugees.

The offensive has not alleviated the humanitarian crisis facing the Syrian people and the strikes' unintended consequences -- civilian casualties -- are increasingly leading to a domestic outcry against such intervention.

Tackling the disease

For some, the question is why the coalition does not address the fundamental roots of the war, tackling the disease itself rather than the symptoms.

On a long term basis, the coalition strikes against ISIS in Syria will inevitably keep expanding, working to escalate the conflict.

A strategic shift to target the Syrian government's military infrastructure is unlikely as many regional and international state actors have a stake in Syria.

Coalition training may gradually improve some of the Syrian rebel groups' military capabilities and strategic planning but the current balance of power between the government forces and various rebel and armed groups will likely continue.

Domestic, regional, international and non-state players will continue to pursue their own goals.

Amid ongoing instability and competing interests, Syria's social and political environment will be ripe for further radicalization, militarization and ultimately further civilian suffering.

In the end, both ISIS and Assad may be the beneficiaries of the foreign airstrikes, using them as a pretext to further advance their political interests.

A narrow and short-term counter-terrorism strategy that fails to take into account the many layers of the wider Syrian conflict is unlikely to succeed.

@highlight

Syria has said coalition strikes lack legitimacy but aim of striking ISIS is OK

@highlight

Majid Rafizadeh says in the short term, coalition strikes may help the Assad regime

@highlight

But he says the coalition strategy fails to take the wider conflict into account

@highlight

The conflict will continue to escalate and Syrian civilians will suffer, he says