(CNN) -- A British report issued Thursday called for "decisive action" to contain the growing problem of piracy off the coast of Somalia.

"We conclude that for too long there has been a noticeable gap between the government's rhetoric and its action," said the 210-page report, issued by the House of Commons Foreign Affairs Committee. "Despite nine U.N. Security Council resolutions and three multinational naval operations, the counter-piracy policy has had limited impact. The number of attacks, the costs to the industry and the price of the ransoms have all increased significantly since 2007."

Over the past four years, the average ransom has risen from $600,000 to $4.7 million per vessel, with 2011's total outlay reaching $135 million, the report said.

Those payments "should be a matter of deep concern to the British government and to the entire international maritime community," said the report, which described the government as "disappointingly slow to track financial flows from piracy."

Though some ships have begun taking "more robust" measures to defend themselves, pirates still face few repercussions for their actions, it said. In those cases where pirates are detained, some 90% are released without charge, it said, noting that there is no reason why Britain could not assert jurisdiction over suspected pirates.

Simply returning suspected pirates to their boats or to land "provides little long-term deterrence and has demonstrably failed to prevent annual increases in both the number of pirates going to sea and in the number of attacks."

The report cited Saferworld, a nongovernmental organization that works with grass-roots organizations in Somalia, in estimating that 1,500 to 3,000 pirates operate off Somalia's coast. They typically range in age from 15 to 30 and are almost all male, uneducated and unskilled -- many of them from rural areas, it said.

They often carry small arms and travel in one or two skiffs, the report said, citing Capt. David Reindorp, head of the Defense Crisis Management Center at the Ministry of Defense, as its source. "They will maneuver one of the skiffs to come alongside the vessel and they will throw up a line on a hook, a grappling rope or some form of apparatus by which they can climb up on to the freeboard of the ship. If they are detected during that, they will usually fire at the ship, generally in and around the bridge, aiming either to get the master to slow down or to clear their way on to the freeboard. Once they have got on to the ship, they will proceed to the bridge and take it over."

Negotiations are typically carried out by satellite phone and usually take three months to a year, it said.

Pirates have begun working from larger vessels, mother ships, which are stocked with food and fuel and have extended the areas vulnerable to attack, it said.

Though most hostages are released unharmed, 15 died last year, it said. Over the past four years, 3,500 seafarers have been taken hostage and 62 have been killed, it said.

The report applauded the government's practice of using a number of different departments to tackle the problem, but said it "lacks clear leadership" and urged the government to "provide a statement clarifying which department has the overall lead on countering piracy."

There is no lack of targets. Some 90% of the world's traded materials are shipped by sea, and 40% of that -- 28,000 ships per year -- goes through the Indian Ocean, Gulf of Aden and Arabian Sea, the report said.

The report put the annual cost of piracy -- including insurance, prosecutions, security and ransoms -- at $7 billion to $12 billion.

In a statement, Foreign Secretary William Hague said the report will be discussed next month at a meeting in London. "We will use the London Conference on Somalia to chart a way forward on the future political direction of Somalia, the vital humanitarian effort and the international community's approach to tackling piracy."

@highlight

There is "gap between the government's rhetoric and its action," the report says

@highlight

The average ransom has risen from $600,000 to $4.7 million per vessel in four years

@highlight

Report is issued by the House of Commons Foreign Affairs Committee