While President Obama has reignited a national conversation over rising college costs with his new proposals, those suggestions are unlikely to dramatically lower costs soon. And the president has not given many specific suggestions how to cut these costs that have been rising dramatically faster than people's income. Tuition fees are roughly double the share of income then they were in the 1960s.

Let me offer five suggestions on how to lower post-secondary educational costs. This list is not comprehensive, but full implementation of even some of them could reduce the burden that colleges impose on students, parents and taxpayers.

First, adopt the three-year bachelor's degree as in Europe. Students at prestigious schools like Oxford and Cambridge receive their degrees in three years, and they still get first-class jobs. Diminishing returns sets into collegiate study like anything else, and much of the material in the last two years of college is of marginal importance, with the possible exception of some demanding majors such as engineering and architecture. The feds could simply say undergraduate student eligibility for financial assistance ends after 90 semester hours of study.  This approach should reduce the cost of a B.A. degree by something on the order of 25%.

A less cost-saving variant of the three-year plan would keep the degree at its traditional 120 semester hour length, but have students go to school year-round for three years. We really don't need the summer off to plant crops as people did hundreds of years ago.

Facilities would get greater utilization, lowering capital costs. College graduates would gain an extra year working full-time. Faculty usually will teach additional courses for far less than the average pay per course taught regularly. Maintenance costs of facilities per student would also fall.

Second, make it possible for students to use MOOCs (massively open online courses) and other low-cost, online options, allowing for lower cost "blended" degrees combining perhaps two years of traditional classroom experience with an equal amount of online training. This would cut the cost of quality degrees perhaps 40%. Without any governmental involvement, teachers and  entrepreneurs have brought hundreds of high-quality but free or low-cost courses to the internet --Udacity, Coursera, EdX, StraighterLine, Saylor Foundation, Khan Academy and Twenty Million Minds Foundation are examples of a few providers or facilitators of quality instruction.  Yet students seldom get credit for these courses.  The barriers are not technological, but legal or involve overcoming special interest obstruction.

Students need to be examined on the online material, with safeguards assuring the registered student is actually being tested. Obstacles to accrediting these innovative approaches need to be overcome. The federal government, which accredits the accreditation agencies, could tell these agencies they must allow accredited schools to accept as much as 60% of coursework from MOOC or related providers.  The federal government can't deliver the mail or run a national medical care system efficiently, so they should not be the prime mover here. Where is the Gates Foundation or Warren Buffet when we need them?

Third, offer a traditional residential degree for 40% less by dramatically reducing labor and capital costs. The typical university employs twice as many "professional non-instructional personnel" (administrators) per 100 students as it did 40 years ago. Why not create new universities with staffing near the 1970 norms -- a university without sustainability and diversity coordinators or an army of public relations specialists, where faculty teach extensively rather than do trivial research that no one reads, and where there are no expensive intercollegiate athletic programs for the amusement of non-students.

Specifically, ask the faculty to teach four classes per semester instead of two or three. Build few buildings but utilize them extensively, including on Fridays, weekends and summer months.  Have a least two faculty members for each administrator (the ratio now is often one to one). Prohibit faculty from teaching trivial courses in their specialty. Do we really need courses on "Lady Gaga and the Sociology of Fame" taught to students who are clueless about  Beethoven, Shakespeare and van Gogh?  Limit the pay of all employees to no more than that of the president of the United States or less.  Could existing universities do this? They haven't, so state governments might have to create new institutions from the ground up.

Fourth, create a National College Equivalence Test similar to the high school GED. A good national test of basic reading, writing, mathematical and general knowledge about our institutions and society could be administered by, say, the Scholastic Testing Service, or ACT.  High scores on the test would lead to a "college equivalence certificate." Most students want a diploma as a ticket to a good job. Employers could use scores on the equivalency test as an alternative certification device, and individuals could take the test anytime --even home schooled kids with little formal education.

Fifth, get the federal government out of the student financial aid business. There is good evidence the 11.7% annual growth in federal student financial aid over the past decade (and similar growth earlier) has encouraged colleges to raise tuition fees and finance a costly academic arms race. Lower income Americans are a smaller proportion of recent college graduates than in 1970, before Pell Grants began. If we implement the first four reforms, the need for student financial assistance will dramatically decline.

The current system breeds high dropout rates, rewards poor performance (students lingering in school get more aid than those graduating promptly) and encourages kids to enter college who would be better off entering trade schools or apprentice programs.  Ending these inefficient federal programs would save tens of billions annually.

In short, there are lots of thing we can do to make colleges more affordable beyond the president's idea of providing good consumer information by rating colleges.

@highlight

President Obama is proposing steps to reduce costs of college

@highlight

Richard Vedder says more useful steps would include shortening college to three years

@highlight

He says the number of administrators has grown too much, other costs could be cut

@highlight

Vedder: Year-round schooling and online teaching would do much to reduce tuition