(CNN) -- In nearly two thirds of Middle Eastern countries, there are more women than men in university, according to United Nations statistics.

This is a giant step towards -- and in many cases beyond -- one of the United Nation's Millennium Development Goals: to eliminate gender disparity in all levels of education by 2015.

While most women's rights campaigners welcome the progress in education, many are concerned it does not translate into greater equality in the workplace.

"The gender gap has been closed in education in many Arab countries, which is a big achievement of recent years," said Dima Dabbous-Sensenig, Director of the Institute for Women's Studies in the Arab World at the Lebanese American University.

"It's very recent," she added. "Even in the 1990s there was a big gender gap in education. However, there's a paradox that we have a lot of women getting a higher education and they are still too absent from the workforce and politics.

"The idea that education is key to more women reaching positions of power has not materialized."

In Lebanon, for example, women make up 54% of university students, but only 26% of the labor force and 8% of legislators, senior officials and managers, according to the United Nations Statistics Division.

Qatar has the region's second highest percentage of women in higher education -- 63% of the university population, and 93% literacy among women. However, women make up just 12% of the labor force and only 7% of legislators, senior officials and managers, the same statistics show.

In Europe and the United States, women also make up the majority of university graduates -- 60% according to the European Union and U.S. Department of Education. However, women made up 40.5% of the global labor force in 2008, according to International Labor Organization statistics.

The factors driving young women to seek a university education are not also driving them into the workplace, Dabbous-Sensenig said.

Also read: Saudi female entrepreneurs

"In some Gulf countries I think many women go to university to find a better husband or to fill time before they get married.

"Lack of protection for women at work and harassment are among the factors that keep women out of the workplace."

For others, university is a luxury unavailable to men who are expected to become breadwinners.

"Some men can't go to higher education because they need to make money as soon as they leave school," said Dabbous-Sensenig. "Fewer men go on to masters degrees than women because it's too many years before they can start working."

Nawar Al-Hassan Golley, Associate Professor in Literary Theory and Women's Studies at the American University of Sharjah, in the United Arab Emirates, said both the high percentage of women in university and their absence from the workforce can be explained in the social upbringing of girls.

"Girls and boys continue to be socialized very differently with different expectations," she said. "Boys have more personal freedoms to go outside the home, whereas girls continue to be socialized within the home.

"Therefore, for many girls school is their only opportunity to make friends and socialize outside the family, so it is something they look forward to.

"Boys have more freedoms outside of school and see school as somewhere with unnecessary discipline. This may make boys more likely to drop out of school than girls."

This pattern continues at university, said Al-Hassan Golley. "Girls tend to be brought up to be wives and mothers and the majority of girls in the United Arab Emirates marry straight after graduation," she said. "So university is something they look forward to as their last few years of freedom before they are restricted by family life.

"For boys there are more temptations as they can get jobs such as in the military or police that are well paid without having to go through an academically challenging degree."

While the high numbers of women getting a good education has not yet translated into parity in the workforce, it is a step in the right direction, both women agree.

Also on Inside the Middle East: The film director who's not allowed to go to the movies

"I believe that things will change gradually," said Dabbous-Sensenig. "The more women are highly educated, some of them will become motivated, independent young women who will get good jobs. Thirty years ago they didn't have that option."

Al-Hassan Golley added: "I think it will take a long time before women break through these cultural and societal expectations.

"At my university we have a Women's Studies program that discusses these issues and helps challenge these expectations and students respond very positively to them."

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer @SchamsCNN and writer Catriona Davies @catrionadavies

@highlight

Women make up majority of university population in two thirds of Middle Eastern countries

@highlight

Despite high level of education, women are still under-represented in labor force

@highlight

Disparity is caused by society's expectations and upbringing of girls, according to academics