Washington (CNN) -- The State Department's former point man on security in Libya told a congressional hearing Wednesday that his superiors worked against him as he tried to get more help for the U.S. diplomatic mission in Benghazi in the months before it was overrun in a deadly terror attack.

Eric Nordstrom, the one-time regional security officer, told the House Oversight Committee that he had a disheartening conversation with the regional director of the agency's Bureau of Near Eastern Affairs when he requested additional manpower for the facility.

"I said, 'Jim, you know what makes it most frustrating about this assignment? It's not the hardships. It's not the gunfire. It's not the threats. It's dealing and fighting against the people, programs, and personnel who are supposed to be supporting me," Nordstrom said.

He also told the State Department officer, "'For me, the Taliban is on the inside of the building."

That bombshell ended a contentious hearing during which two State Department officials defended the Obama administration's handling of the September 11 attack that killed Ambassador Christopher Stevens and three other Americans.

What we know about the Libya attack

Benghazi has become a flashpoint in the presidential campaign with Republican Mitt Romney saying the attack illustrates that President Barack Obama's policies have made America less influential and more vulnerable around the world.

Under Secretary of State for Management Patrick Kennedy responded to suggestions the State Department was responsible for a lack of preparedness.

"We regularly assess risk and resource allocation, a process involving the considered judgments of experienced professionals on the ground and in Washington, using the best available information," Kennedy said.

The assault on the U.S. compound was "an unprecedented attack by dozens of heavily armed men," Kennedy said.

His colleague, Deputy Assistant Secretary of State for International Programs Charlene Lamb, added that the State Department "had the correct number of assets in Benghazi at the time," drawing a sharp rebuke from committee Chairman Rep. Darrell Issa, R-California.

"To start off by saying you had the correct number, and our ambassador and three other individuals are dead, and people are in the hospital recovering because it only took moments to breach that facility somehow doesn't seem to ring true to the American people," Issa said.

Republican committee members and the State Department officials went back and forth about the appropriate number of people needed to provide security at the vulnerable Benghazi location.

Various communications dating back nearly a year asked for anywhere from three to five diplomatic security special agents.

As the four-hour hearing drew to a close, Nordstrom divulged he had verbally asked for significantly more help -- 12 agents -- but the officer from the Bureau of Near Eastern Affairs had rebuffed his request.

"His response to that was, 'You're asking for the sun, moon, and the stars,'" Nordstrom said.

That attitude made the Benghazi incident predictable, according to Nordstrom, who left Libya in July and continues to work at the State Department for diplomatic security.

"For me and my staff, it was abundantly clear that we were not going to get resources until the aftermath of an incident. And the question that we were to ask again is, 'How thin does the ice have to get before someone falls through?'"

Five special agents were in Benghazi at the time of the attack, Issa said.

Two of them only happened to be there only because they had traveled with Stevens from Tripoli, Lamb said.

"The post had agreed that three was a sufficient number to have on the ground." Lamb said.

But Lt. Col. Andrew Wood, a Utah National Guardsman who was a site security commander in Libya from February through August, testified that the regional security officer -- it was unclear if he was talking about Nordstrom -- tried to obtain additional personnel, but "was never able to attain the numbers he felt comfortable with."

"The security in Benghazi was a struggle and remained a struggle throughout my time there," Wood said. "Diplomatic security remained weak. In April, there was only one U.S. diplomatic security agent there."

U.S. official sought more security for Benghazi post

State Department officials also responded to allegations by Republicans that the Obama administration intentionally misled the public about the cause of the attack.

Critics accuse the administration of trying to cover up or play down the attack through initial statements that described it as a spontaneous act stemming from protests over an anti-Muslim film rather than a planned terrorist assault.

"We have always made clear that we are giving the best information we have at the time. And that information has evolved," Kennedy said, citing remarks by U.N. Ambassador Susan Rice on September 16 that critics alleged were deceptive.

"For example, if any administration official, including any career official, were on television on Sunday, September 16, they would have said what Ambassador Rice said. The information she had at that point from the intelligence community is the same that I had at that point. Clearly, we know more about today than what we did."

While congressmen from both parties agreed that security at overseas U.S. diplomatic posts is crucial, and they expressed hope for a bipartisan solution, several times during the hearing the dialogue devolved into rancorous comments back and forth.

The assault in Benghazi occurred 11 years to the day after the September 11, 2001, attacks on New York's World Trade Center and the Pentagon.

Kennedy said the fullest picture of proper security and procedures will not be fully clear until a review board appointed by Secretary of State Hillary Clinton and including former Joint Chiefs Chairman Adm. Michael Mullen is completed.

State Department officials: Benghazi attack 'unprecedented'

Democrats had accused Issa of planning a partisan, election-year hearing, a similar allegation leveled against the panel for its past investigations of the botched "Fast and Furious" gun-running program and the failed Solyndra clean energy company that received government loan guarantees.

On Tuesday, two senior State Department officials provided reporters with the most detailed explanation yet of the attack in Benghazi, saying on a conference call that there was no prior indication such an assault was imminent.

The officials, who briefed reporters on condition of not being identified by name, said there was "nothing unusual" throughout the day of the attack.

What Obama administration has said about Libya attack

Stevens held an evening meeting with a Turkish diplomat and then retired to his room in one of the compound's buildings at 9 p.m., according to the officials. The first sign of a problem came 40 minutes later, when diplomatic security agents heard loud talking outside the compound, along with gunfire and explosions.

Asked whether the attack was a spontaneous assault taking advantage of a demonstration, as originally asserted by Obama administration officials, one senior official said, "That was not our conclusion."

The two senior officials offered riveting detail of the attack by what one of them described as "dozens of armed men" who marauded from building to building and later fired mortars on a U.S. annex less than a mile away.

In the havoc at the four-building compound, Stevens and two of his security personnel took refuge in a fortified room that the attackers were able to penetrate, one official said.

The attackers doused the building with diesel fuel and set it ablaze and the three men decided to leave the safe haven and move to a bathroom to be able to breathe, according to the official. Stevens became separated from the security personnel in the chaos and smoke, and eventually turned up at a Benghazi hospital, where he was declared dead.

Romney knew ex-SEAL slain in Benghazi

CNN's Jill Dougherty, Elise Labott and Tom Cohen contributed to this report.

@highlight

NEW: Ex-regional security officer in Libya says people whose support he needed fought against him

@highlight

Congressional hearing debates whether 'correct' amount of security was in place at Benghazi mission

@highlight

September 11 attack killed the U.S. ambassador to Libya and three other Americans

@highlight

Obama administration changed its description of event from a protest gone awry to a terror attack