(CNN) -- It's crazy golf on an insane scale -- a putting green swimming in a giant bowl of noodles and chopsticks, the Great Wall of China for a hazard, a fairway threading through Mayan ruins and a panda-themed hole.

China is getting into golf in a big way ahead of the sport's reintroduction to the Olympics in 2016, and even its take on the mini version of the game is larger than life.

"Traditionalists will probably hate it," says design guru Brian Curley, principal partner in Schmidt-Curley, the company behind the 22 courses that make up the Mission Hills complex in Hainan Island.

"But this is real golf, with real clubs on real fairways," he told CNN.

Just about everyone has tried their hand at crazy or mini-golf, a scale-down variant of the game which has the ability to delight and infuriate in equal measure.

Usually situated at seaside resorts or other leisure locations, the prerequisites for success are a modicum of actual golfing skill, the ability to putt in a straight line or at unlikely angles off prominent obstacles -- and a large slice of luck.

President Barack Obama, who takes every opportunity to hit the fairways when not leading the Western world, even tried his hand at crazy golf while on holiday with his family in Florida in 2010.

Making a par on his opening hole, he then had to watch as his nine-year-old daugher Sasha made a hole in one, besting her dad in front of the gathered ranks of the world's media.

Obama might well be tempted to put his handicap on the line at the ground-breaking new course being constructed at Curley's Mission Hills Haikou development.

Combining the wacky elements of mini-golf with the "grown-up" version of the game, the proposed 18-hole layout would leave little chance of aces by nine-year-olds -- but still plenty of chances of humiliation for the average golfer.

Fantasy golf

Mindful of the impression that there is a "sameness" to the courses being churned out in their droves in the fastest expanding golf market in the world, Curley and his team wanted to come up with something that he felt would appeal to the wider Chinese public and other visitors to the resort.

So instead of bunkers, rough and trees, the players will be faced with a replica of the Great Wall of China winding its way the length of a 400-meter par four hole.

It also has a hole to rival the infamous "island green" seen at TPC Sawgrass in Florida, home of the the U.S. PGA Tour's Players Championship.

That tricky 17th sees the best in the world attempt to hit their ball onto a tiny green surrounded by water, and spectators delight in seeing the likes of Tiger Woods find the lake.

At Mission Hills' new course, set to open in 2014, the water is replaced by an 80-meter wide noodle bowl with 50-meter giant chopsticks.

Standing on the tee, players will not know whether to laugh or cry, and the degree of difficulty may not end there.

Tiger Woods eyes long rivalry with McIlroy

Wind machine

Curley is promising the addition of "man made" gale force winds on each tee, adjustable depending on the standards of the players and available by hitting a red button.

There is a par-5 threading its way through Mayan ruins, while another green is created in the image of the "Birds Nest" Olympic Stadium in Beijing. Another hole is styled after China's favorite animal, the panda bear.

On a conventional golf course, the degree of difficulty is often dictated by which tee the player chooses to play from. Leading professionals play from the tees furthest from the hole, while higher handicappers can opt to hit their first shot from much closer.

On the Chinese fantasy course, one of the par-3s will give golfers the choice of hitting their ball onto a tiny green surrounded by lava rocks.

In true mini-golf fashion, the other easier option at the volcano theme hole will let players hit towards a mound from which the ball will be whisked nearer the hole down a pipe.

Curley and his team needed the permission of the owners of the complex before committing to the costly project, but Mission Hills' chairman Dr. Ken Chu is an enthusiastic backer.

"This will be a fun alternative for families, novices and children on holiday," he was quoted in the Asian edition of Golf Course Industry International.

Only time will tell if Chu's faith in the project proves founded, but the Mission Hills group has already established itself as a host venue of leading professional tournaments.

Last year the Hainan Island development staged the World Cup teams event for the first time, taking over from the Mission Hills complex at Shenzhen.

This year Shenzhen was the venue of the prestigious HSBC-World Golf Championship event, won by Englishman Ian Poulter.

The Ryder Cup hero conquered the conventional bunker-bound Olazabal course in 21 under par, but knowing Poulter's reputation as a golfing trendsetter, he will probably be itching to test his mettle on Curley's new wacky creation at the first opportunity.

Schwartzel triumphs at Alfred Dunhill

@highlight

Ground-breaking new golf course under construction at Mission Hills in China

@highlight

It will incorporate traditional golf with aspects of crazy or mini golf

@highlight

One of the holes has an 80-meter wide noodle bowl and giant chop sticks

@highlight

Designers believe it could spark a new trend in China and wider market