Washington (CNN) -- On Saturday he was the comedian-in-chief, cracking jokes with reporters and celebrities at the annual White House Correspondents Dinner.

On Sunday he oversaw one of the riskiest special forces operations since Desert One, Jimmy Carter's ill-fated attempt to rescue the American hostages from Iran more than three decades ago.

Barack Obama isn't just the president. He's the nation's ultimate multi-tasker, juggling enough roles and responsibilities to make the average person's head spin.

Over the last month and a half, Obama held at least five National Security Council meetings to help plan the assault on Osama bin Laden's compound. The days in which those meetings were held coincided with, among other things, an education reform speech, two political fundraisers, a discussion with the Japanese prime minister about that country's nuclear crisis, a long-awaited deficit reduction speech, and two meetings on immigration reform.

The day before the last National Security Council meeting -- on April 28 -- the "birther" controversy came to a head. Obama made a surprise appearance in the White House briefing room to release his long-form birth certificate. (Yes, he actually was born in Hawaii.)

And in the midst of all the planning, the president cut a deal with congressional Republicans to narrowly avert a government shutdown. He also dealt with a series of devastating storms in the South.

Has this always been par for the course at 1600 Pennsylvania Avenue?

Not really, according to Boston University presidential historian Robert Dalleck.

The frenetic pace of the presidency is largely a reflection of America's role as the premier global power in the post-World War II era, Dalleck told CNN. Harry Truman dealt with countless domestic crises during the Korean War; LBJ tackled the Great Society and civil rights while fighting in Vietnam.

But in recent years, he said, the daily pace has accelerated due to the rise of the internet, wireless, and other facets of the communications revolution.

There's a "kind of blinding rapidity" in which one event quickly overtakes the next, said Dalleck. Our attention -- and that of the president -- is whipped from the latest economic crisis to the newest tornado wreckage to the latest protest or outbreak of violence in the Middle East.

Faced with a pressure for constant response, modern administrations face times "of great pressure and intense demand over a series of compelling issues," he said.

"(Abraham) Lincoln's burdens were as great as any president will face," Dallek noted. But the rapid onslaught of information from around the world contributes to "a different sort of feel now."

Case in point: the execution of Sunday's mission against bin Laden's compound. Obama was able to "monitor the situation in real time," according to White House counterterrorism adviser John Brennan. That ability "does speed things up and create a greater sense of pressure," Dallek said.

Dallek questioned whether an older person -- including a more hands-off administrator such as Ronald Reagan -- could adequately function in today's version of the pressure cooker environment. He or she "might be overwhelmed," Dallek said. Among other things, "you need to have good health."

You also need to be constantly on call.

Teddy Roosevelt would "just disappear as president for months at a time and people didn't know where he was," noted acclaimed Rice University historian Douglas Brinkley. If Obama were to disappear for 15 minutes, people "would freak out."

Current times are not "uniquely oppressive," Brinkley noted, drawing a contrast with the divisions of the 1960s and the generations that fought World War II and the Civil War, Brinkley said. But globalization and the interconnectedness of the modern age -- while increasing the flow of information -- have contributed to an overarching sense of "frustration and fear" that the administration is now confronting.

Wendy Schiller, a Brown University political scientist, noted that every president since Eisenhower has recognized the need for an executive office equipped to handle "a wide range of issues quickly and responsibly."

Ike "laid the foundation for the West Wing infrastructure of expertise that we see now working for Obama (constantly), and that infrastructure gives presidents the capacity" to adapt quickly on a broad range of issues.

"The key challenge for presidents in the 21st century is knowing when to respond immediately and knowing when to take their time to manage a given situation," Schiller said. "It is not just that Obama has been involved in such a broad range of issues and activities. It is that he has handled them each differently and appropriately," she asserted.

The president's speech late Sunday night "reinforced an image of a man -- as commander-in-chief -- who knows how to prioritize the nation's interests," she said.

Schiller argued that the "24/7 news media and now social media puts far greater pressure on presidents for an immediate response or reaction to national and world events because voters learn about (developments) much more quickly than they used to."

But while the "informational time gap between the president and the voters has narrowed considerably .... the president incurs the same costs for reacting rashly or impatiently as his predecessors did in eras of slower technology," she warned.

Does she agree with Dallek's assertion that an older person might be overwhelmed by the nature of the modern presidency?

Schiller didn't say, but she did offer a quote from Alexander Hamilton: "Energy in the executive is a leading character in the definition of good government." Twenty-first century presidents, she said, must have that energy "in all senses of the word."

Above all, "be sane," Dallek concluded. "That's the watchword."

@highlight

NEW: Douglas Brinkley says modern times are not "uniquely oppressive"

@highlight

Obama dealt with a number of high-stakes issues in the run-up to Sunday's raid

@highlight

Robert Dallek questions whether an older president could cope with today's burdens

@highlight

Political scientist Wendy Schiller says the 24/7 media is forcing more rapid responses