A safe distance from Nairobi's Westgate Mall, several Kenyans stare through a stand of trees at the site of one of the nation's worst terrorist attacks.

The opulent mall has proudly stood for six years -- like a glittering city within a city in the popular enclave of Westlands, about 15 miles from slums where residents struggle daily to survive.

But Saturday's attack by Al-Shabaab terrorists has left dozens dead, turning the 350,000 square foot, five-story shopping complex into a symbol of a very different kind.

Related story: Kenya mall shooting enters fourth day

Among the onlookers Tuesday gathered at a cordoned off area near the scene of the attack, cab driver Benjamin Kamau said he doesn't feel safe anymore. The tragedy has shaken him. It will take a long time to return to any sense of safety or normalcy.

Westgate Mall has made its name as a place to see and be seen -- where shoppers sipped frozen yogurt, caught a movie and shopped for the latest fashions amid an extravagant waterfall and casino. For the nation's wealthy, it was a taste of the West in their own backyard: 80 stores including Samsung, Nike and Adidas -- lined its pristine, peach colored marble hallways.

For Kenya's expatriate community, the mall was a taste of familiarity in a land far from home.

Related story: Kenya tourism suffers another blow

Now, pools of blood have smeared once shiny floors. Coffee shops that were once filled with lively chatter have been littered with half-empty latte cups left by shoppers trying to escape with their lives.

On the day of the attack, my cousin, Charles Mugo, and his two daughters, ages 6 and 3, found themselves with about 40 other shoppers in the mall parking garage. They'd just returned from a grocery store to pick up food for the family dog, Muthaka, when gunmen stormed in, AK-47 rifles blazing.

Mugo came face-to-face with one of the terrorists, a lanky, 6-foot man, wearing a black scarf-like cloth on his head and magazines of ammunition around his waist.

"Just like Rambo does in the movies," Mugo recalls.

"We're not here to rob you, we're here to kill you," the gunman announced to the crowd.

"You've been killing our women and children in Somalia."

When the gunmen demanded to know if they were Muslim, Mugo hesitated just long enough for the attackers to turn their attention to a man nearby.

The man stared at them blankly when one attacker tested him by asking who the Prophet Muhammad's mother was. They shot at him -- the bullet ripping through his coat -- but leaving him unharmed.

The interaction lasted long enough for Mugo to push his two girls under a parked car, and for him to stoop low behind it. They waited, and waited.

"Girls, did you pray today?" he whispered. "I've prayed five times already," the older daughter told him. "I don't want to die today."

Ninety minutes passed. By then, the gunshots did not sound as close.  They felt confident enough to make a run for safety.

"Westgate bad, blood," the younger daughter told me later. She showed me scratches on her face from laying flat on the ground. "I ran, ran, ran." Eventually, the Mugos escaped unharmed.

Kenyans and foreigners died in attacks scattered across the complex. It was the deadliest terror attack in Kenya since al Qaeda blew up the U.S. Embassy there in 1998, killing 213 people. Terrorism experts say the attack bears eerie similarities to the 2008 siege of a hotel in Mumbai, India -- another upscale target with Western appeal. Lashkar-e-Taiba, a Pakistani terrorist group that attacked the hotel for more than three days, killing 166 people.

Related story: Could Kenya mall shooting happen elsewhere?

The Nairobi attack targeted non-Muslims at a stylish mall. "This is a soft target. It's in a high profile area," said CNN military analyst retired Lt. Col. Rick Francona. "There's going to be a lot of foreigners there, a lot of wealthy there. This is -- this was well-planned and well-thought out."

CNN national security analyst Fran Townsend said, "There is no sort of hard perimeter by which you could screen for security purposes, and so it's difficult to protect."

The tragedy has changed many who've been touched by it. Four days after the attack, Mugo is still trying to sort out his feelings. "You have to take time to let it sink in. I think I'm still in shock," he said.  "All I keep thinking of was what if they were different scenarios. What if I had parked at a different place. What if I had not gone to that mall. At the time, all I kept thinking was I just couldn't let these girls die."

Outside the mall, the Kenyans keep watch.

From a distance.

Kamau, the taxi driver, shakes his head. "I won't be going back in there. Never, ever, ever."

Related story: Attack 'fits the new al Qaeda playbook'

@highlight

Terrorist attack changes Kenyans' view of glamorous mall

@highlight

Some residents wonder if they can ever revisit Westgate Mall's upscale stores

@highlight

Al-Shabaab terrorists stormed Nairobi's fanciest mall Saturday, killing dozens

@highlight

Survivors reveal how they escaped death in the mall's parking garage