(CNN) -- Poaching tourists from the trendy tango bars of Buenos Aires or the glamorous beaches of Rio de Janeiro would be a tall task for most cities.

But the Chilean capital, Santiago, is looking to do just that by encouraging travelers passing through on business to stay and uncover its potential as a hip South American destination.

Chile has become one of the continent's leading locations in which to do business in recent years. Foreign investment increased by 80 percent in 2011 alone, totaling $12 billion for the year according to Daniel Pardo, director of SERNATUR, the Chilean tourism ministry.

As a result, the number of foreigners coming into the country for trade purposes has increased along a similarly sharp upward curve.

This surge has been concentrated mainly in Santiago, Chile's nerve center and economic engine room, and it's here that Pardo and the country's tourist board spy an as yet untapped opportunity.

"Hopefully by bringing out those business people that are coming here for a week to do their jobs (they will) stay for the weekend and enjoy the country," Pardo told CNN's Richard Quest.

"There's a lot of interest in coming to Chile," he adds. "And we've seen it in our numbers, with a 60 percent growth in tourism this year."

See also: Exploring the mystery and beauty of Chile

Travelers who take up the invitation to hang around will find a variety of parks, churches and museums which offer a wealth of easily accessible tourist sites -- ideal for the culture vulture with a couple of hours to spare.

For those with a little more time on their hands meanwhile there is even more to explore and experience around the city's outskirts and beyond.

With the Santiago business traveler in mind, CNN asked Lonely Planet's Bridget Gleeson, co- author of Lonely Planet Chile and Easter Island Travel Guide, to lend her expertise in selecting the city's best spots.

In the city

Santiago offers an intriguing mix of both the modern and the classic.

Historic sites such as the Catedral Metropolitana contrast sharply against the rowdy Mercado Central fish market, which offers "a colorful attraction for photographers and foodies alike," says Gleeson.

Touring the city's downtown district on foot is a particularly nice way to explore Santiago, she adds, while the nearby Centro Cultural Palacio La Moneda museum plays host to the finest Chilean modern art.

Other Santiago highlights include Museo de la Moda (Museum of Fashion) in the Vitacura district -- which includes famed items such as John Lennon's jacket and the famous "cone bra" Jean Paul Gaultier designed for Madonna -- and the 300 meter high San Cristobal lookout point.

Valparaiso

The picturesque seaside resort of Valparaiso is a UNESCO world heritage site and a heaving modern port that is integral to Chile's vast export industry.

See also: Singapore on a stopover

A little under two hours from Santiago by road, the town is perched atop a dozen or so hills which offer spectacular vistas out across the Pacific Ocean.

Vistors can "tour (the Chilean poet and author) Pablo Neruda's charming hilltop house, La Sebastiana" or "board one of Valparaiso's 15 antique ascensores (elevator cable cars) ... to take in vibrant street art and stunning views over the ocean," says Gleeson.

Those on a quick stop-off before heading back to Santiago however may make the most of their time by taking "a quick boat ride from Muelle Prat (harbor) to get a feel for the city," Gleeson advises.

Observatories

With an average of more than 330 cloudless nights per year, Chile is a near perfect natural laboratory for astronomers and stargazers.

It is for this reason the country will host 68 percent of global astronomy infrastructure by 2018, according to the national government.

But you don't have to be an acolyte of Alfred Hubble to enjoy the sparkling contents of the Chilean night sky.

The Paielan Observatory in the Maipo Valley is just 50 kilometers from Santiago and is surrounded by a spectacular, unspoilt nature reserve.

A world class restaurant on the premises meanwhile serves up the latest in contemporary Chilean cuisine, enabling visitors to enjoy fine dining under the stars.

Wine regions

Chile is a major exporter of wine and visiting some of its fertile vineyards is a rite of passage for many a connoisseur.

See also: Making the most of wine at 35,000 feet

Almost 17 million people drink a glass of Chilean wine every day and the country is the world's largest grape exporter.

"Many travelers opt to visit a few wineries with a specialist like Uncorked Wine Tours," says Gleeson.

These customized tours include an English-speaking guide, visits to three wineries and a leisurely lunch in wine country.

Those looking to go it alone on a wine-tasting odyssey meanwhile can reach some of the lesser visited wineries in the Santiago region by public bus in little over an hour.

If you're planning an independent visit, Gleeson warns however, it is wise to log onto the wineries' websites to find out about specialty tastings, picnics, and additional activities before setting out.

Stina Backer contributed to this story

@highlight

Santiago aims to become one of South America's leading tourist destinations by wooing business travelers

@highlight

Chile is already one of the continent's leading locations in which to do business

@highlight

Santiago offers an intriguing mix of the modern and historic, including idyllic churches, museums and parks