(CNN) -- Joe Marshall was cruising across the San Francisco-Oakland Bay Bridge when a piece of steel and a giant cable crashed down.

He was just 50 yards away. The iReporter was just far enough away that he didn't see the debris as it fell. But he did see cars quickly move to the right lanes to avoid the mess.

The falling debris forced the closure of the bridge and snarled traffic between Oakland and San Francisco, California, as commuters look for alternate ways to get to and from the cities.

It's also forcing structural engineers to look at key questions around the nation's infrastructure: Has the nation done enough to address crucial bridges two years after the tragic collapse of a bridge in Minnesota that killed 13 people?

The answer, experts say, is no.

The pieces that fell this week raise even more troubling issues because repairs had just been made in September to the same section of the 73-year-old bridge, which spans the San Francisco Bay and carries an average of 280,000 vehicles daily.

Over Labor Day weekend, crews worked to repair a damaged steel beam.

"The bridge has been inspected, and it is now safer than when we closed it," Randell Iwasaki, the director of the California Department of Transportation, said at the time.

Abolhassan Astaneh-Asl, a structural engineering professor at the University of California, Berkeley, says he's concerned that authorities took a "Band-Aid" approach in September. "It failed," he said.

He's worried about what he calls "fracture-critical" bridges: roughly 460 bridges across the country that are in dire need of repairs.

"Following the Minnesota bridge collapse, there was a lot of discussion because of emotions," he said. "I didn't really see a sustained effort that says, 'We are going to replace these fracture-critical bridges.' "

Federal regulators said support plates that were about half as thick as they should have been were the likely cause of the August 1, 2007, bridge collapse in Minnesota that killed 13 people and injured 145.

The gusset plates -- metal plates that are meant to strengthen joists -- are believed to have failed on the I-35W bridge over the Mississippi River in Minneapolis, according to the National Transportation Safety Board.

A new bridge has since opened in Minnesota, what the American Association of State Highway and Transportation Officials hailed as one of the nation's Top 10 transportation feats this year.

"It is critical that our transportation systems receive the funding necessary to keep America moving. But even more important is that our state and local governments use that money to deliver projects that quickly meet the needs of our communities," John Horsley, the group's executive director, said in a recent report.

But engineers say that's the problem: Repairs aren't happening quick enough. If a tragedy like the Minnesota collapse doesn't get people's attention, they wonder, what will?

"I have seen some lip service, but I have not seen a lot of momentum and action," said William Ibbs, a professor of civil engineering at UC-Berkeley.

"Part of that is due to the economic recession. When California has a budget deficit of $25 billion, they don't worry about bridges. They worry about closing the budget gap."

Fari Barzegar, a civil engineering consultant based out of Oakland, says the Minnesota collapse put critical bridge problems front and center before the American public.

"In the engineering community, we knew these things many years ago, and there were requests for money, which wasn't coming," Barzegar said.

But he says funding hasn't kept up post-Minnesota.

According to a 2009 American Society of Civil Engineers report, more than 26 percent of the nation's bridges are either structurally deficient or functionally obsolete. The American Association of State Highway and Transportation Officials estimated in 2008 that it would cost roughly $140 billion to repair every deficient bridge in the country.

Bridges are typically inspected every two years.

"If we don't start making substantial progress in five years, we will have more collapses," Ibbs said.

The Bay Bridge opened in 1936 and spans 8.4 miles. It was the largest and most expensive bridge -- $77 million -- of its time.

The bridge is best known to most Americans from the 1989 Loma Prieta earthquake. A 50-foot section of the bridge collapsed during the quake, killing one person and prompting efforts to make it quake-tolerant.

Part of the bridge, the West Span, is a suspension bridge.

The other portion of the bridge, known as the East Span, is a truss-cantilever design.

This week's falling debris happened on the East Span, which is in the process of being replaced.

@highlight

Falling debris on Bay Bridge raises questions about repairs after Minnesota collapse

@highlight

Bridge remains shut, snarling traffic across San Francisco Bay area

@highlight

"I have seen some lip service, but I have not seen a lot of momentum," expert says