(CNN) -- Uncertainty over the fate of missing Malaysia Airlines Flight 370 was further compounded Saturday by reports that two men whose names matched those on the passenger manifest had reported their passports stolen.

Malaysian authorities apparently did not check the stolen documents on an international law enforcement agency database, CNN has learned.

After the airline released a manifest of the 239 people on the plane, Austria denied that one of its citizens was on the flight as the list had stated. The Austrian citizen was safe and sound, and his passport had been stolen two years ago, Austrian Foreign Ministry spokesman Martin Weiss said.

Similarly, Italy's foreign ministry confirmed that no Italians were on the flight, even though an Italian was listed on the manifest. Malaysian officials said they were aware of reports that the Italian's passport was also stolen but had not confirmed it.

On Saturday, Italian police visited the home of the parents of Luigi Maraldi, the man whose name appeared on the manifest, to inform them about the missing flight, said a police official in Cesena, in northern Italy.

Maraldi's father, Walter, told police that he had just spoken to his son, who was fine and not on the missing flight, said the official, who is not authorized to speak to the media. Maraldi was vacationing in Thailand, his father said. The police official said that Maraldi had reported his passport stolen in Malaysia last August and had obtained a new one.

U.S. law enforcement sources, however, told CNN they've been told that both documents were stolen in Thailand.

Still, the missing passports raised concerns about the possibility of terrorism.

A law enforcement official Saturday told CNN that various U.S. government agencies were briefed about the passports. The names of the persons whose passports were stolen have been circulated and checked, the official said. There's nothing at this point to indicate foul play on their part.

The National Transportation Safety Board announced late Saturday that a team of its investigators was en route to Asia to help with the investigation, the agency said.

"They will be positioned to offer U.S. assistance," the NTSB said of the team, which also includes technical advisers from Boeing and the Federal Aviation Administration.

Plane bore painters, pilgrims, others from around the world

FBI help

The FBI is ready to send agents to Asia if requested by the Malaysian government, but no agents have been sent yet, U.S. officials familiar with the issue told CNN on Saturday night on condition of anonymity. Earlier Saturday, an official said FBI agents were heading to the area.

U.S. authorities have not ruled out terrorism -- or anything else -- as a cause of the airliner's disappearance.

CNN law enforcement analyst Tom Fuentes, a former FBI assistant director, was told by sources at Interpol, which keeps a database of lost or stolen travel documents, that the stolen Italian passport was in the agency's database. The reportedly stolen Austrian passport was not. Malaysian authorities apparently did not check Interpol's database, sources told Fuentes.

"Interpol's database has 39 million records of stolen travel documents at the present time," he said. "One billion passengers a year board international flights where there's no inquiry made of that database. So it leaves an opening."

Referring to the stolen documents, Fuentes added, "You wonder who was using it? What were their motives? Were they using it to check luggage in that matched the tickets, and maybe the luggage contained explosives? So, it's a great concern when people use false documents to board international aircraft."

Traces of oil spotted near area plane lost contact

A U.S. intelligence official said authorities had established "no nexus to terrorism yet although that's by no means definitive. We're still tracking."

Malaysian authorities reiterated during a news conference that they are not ruling anything out regarding the missing aircraft.

In the United States, Fuentes said, passports are routinely checked against the Interpol database.

"Even in the United states, we have a tremendous problem with our documentation, our driver's licenses," said Mary Schiavo, former inspector general of the U.S. Department of Transportation. "Everything can be forged and faked here. We certainly have a problem with that as well. But that's why you have the various checklists to check against and had they been identified as stolen passports ... there was a way to flag them in advance. That's what is disturbing, as it apparently wasn't checked."

China mystery

Schiavo also expressed surprise that two potentially stolen passports may have been used to board the flight.

"It's rare that you have one stolen passport, much less two stolen passports on a flight. It's starting to look like more than a coincidence," she said.

She added it was especially surprising given the destination of the flight was Beijing.

"American citizens have to have visas ... and you can't get on board the plane without showing the visa," she explained. "For a stolen passport, stolen two years ago -- these visas only last for a certain amount of time. So, did they (the authorities) not check? Did Beijing not clear or have to issue a visa? There are a lot of questions about these passports because the destination was Beijing."

First officer was transitioning to 777-200s

Safest part of flight

No one is sure what happened to the plane. Air traffic controllers lost track of it after it left Kuala Lumpur, the capital of Malaysia, on its way to Beijing on Friday. The plane was cruising during what experts consider to be the safest part of the journey when it vanished.

Greg Feith, a former investigator with the National Transportation Safety Board, said there were multiple scenarios of what could have gone wrong, including structural problems with the wings or fuselage.

"Of course, you also have to look at in that part of the world and around the world there is still a potential for a terrorist act or an intentional act that could have rendered the airplane incapacitated," he said.

He added: "Whatever happened, happened very quickly. For them to have lost two-way radio communication with (air traffic control), two-way radio communication with the company, and to lose any kind of radar data with ground control facilities means that the airplane was compromised in a very quick manner and it may have been well beyond the control of the crew to keep the airplane under control and make any kind of emergency distress call or emergency landing."

How a jet goes missing

CNN's Hada Messia in Rome, Jim Sciutto in Washington, Shimon Prokupecz and Pamela Brown contributed to this report.

@highlight

NEW: The NTSB is sending a team to Asia to be "positioned to offer U.S. assistance"

@highlight

Sources say 1 of 2 stolen passports used on flight was on law enforcement database

@highlight

Malaysian authorities did not check passports on Interpol database, sources say

@highlight

The stolen passports raise concerns about the possibility of terrorism