(CNN) -- For the first time since a reported massacre there, U.N. observers on Saturday entered the Syrian town of Tremseh, where opposition activists say more than 200 people were killed.

The violence took place Thursday, on what may have been the single deadliest day in the 16-month crisis. It prompted a fresh round of condemnation from world leaders.

In Tremseh, the U.N. team found evidence of an attack, including a burned school, damaged houses, and proof that artillery, mortars and small arms were used, said Sausan Ghosheh, spokeswoman for the head of the U.N. Supervising Mission in Syria. She added that the number of causalities remains unclear.

"The attack ... appeared targeted at specific groups and houses, mainly of army defectors and activists. There were pools of blood and blood spatters in rooms of several homes together with bullet cases," Ghosheh said in a statement.

U.N. observers are expected to return to the town Sunday to continue their fact-finding work.

Still grappling with the attack, Syrians endured yet another bloody day Saturday as regime forces fired from low-flying helicopters and a bomb exploded at a state security headquarters, opposition activists said.

At least 73 people were killed in Saturday violence, including 20 in Homs, 11 in Damascus Suburbs and 13 in Hama province, the Local Coordination Committees of Syria said. Fourteen additional deaths were reported in Deir Ezzor and 12 in Idlib, among others.

Another opposition group, the Syrian Observatory for Human Rights, said a car bombing targeted a state security building in Hama, and "a number of state security personnel were killed and wounded."

Syrian state-run TV said at least three civilians and a security officer were killed in Muhrada by a suicide bomber in a truck.

Farther south, the Daraa province town of Khirbet Ghazaleh came under heavy shelling and machine gun fire after the Syrian army surrounded it with tanks, the LCC said.

"Helicopters fly over the city at a low altitude with a continued siege of the city and gunfire from snipers," the opposition network said.

Meanwhile, Deir Ezzor was subject to intense shelling by government forces, as well as fierce clashes between regime forces and the Free Syrian Army, the LCC said.

How long can al-Assad hang on?

According to the opposition network, more than 200 villagers were killed in the Hama-area town of Tremseh on Thursday, and dozens more were killed elsewhere across the country.

U.N. spokeswoman Ghosheh said a large patrol had been sent from Damascus to Tremseh on Saturday to assess the situation, amid widely differing accounts of what happened from opposition activists and the government.

An initial reconnaissance mission was sent Friday following assurances of a cease-fire in the area, the spokeswoman said, but it was too late in the day to do much.

"The patrol assessed the situation -- if there was in fact a cease-fire and our access to the town," she said. "An 11 vehicle integrated patrol, comprised of specialized military and civilian observers, arrived ... on Saturday after confirming that a cease-fire was in place."

International anger against Syrian President Bashar al-Assad has ratcheted up since the Tremseh incident, with at least one U.S. official suggesting the need for more pressure on al-Assad's regime.

As outrage grows in Syria, report of a 'breakthrough' for humanitarian aid

"Through these repeated acts of violence against the Syrian people, President Assad has lost legitimacy to lead. It is time for him to go. It is time for the political transition that is long overdue to finally get under way," Josh Earnest, a White House spokesman, told reporters Friday.

"It certainly does build strong international support ... to continue to ramp up the pressure on Assad," he added, citing "ongoing conversations at the United Nations about additional ways that we can build some international agreement and raise the stakes even further."

Syria moving chemical weapons?

Activists in the city of Hama, meanwhile, gave a grisly account of the assault in Tremseh.

Witnesses inside the town told the activists by telephone that Syrian military forces had launched a full-scale attack against the opposition Free Syrian Army inside the town, which was surrounded by government tanks and artillery.

As the government forces rained artillery rounds into the town, a number of village residents fled their houses, going into the streets, where many of them were shot dead by the government militias, the activists told CNN.

The government painted a starkly different picture of Tremseh than that detailed by opposition groups.

The state-run Syrian Arab News Agency blamed "armed terrorist groups" for the violence. It said the government said residents called security forces for help after the terrorist groups raided the neighborhood.

Regime forces arrested some of the members of the terrorist groups and confiscated their weapons, the government said.

Syria's detached and deluded elite?

"Armed forces successfully dealt with the terrorists without casualties taking place among the citizens. They searched into the terrorists' dens where they found the dead bodies of a number of citizens who had been abducted and killed by the terrorist groups," SANA reported, citing a military source.

CNN cannot independently verify reports from Syria because the nation has restricted access by international journalists.

Meanwhile, many who survive the violence are caught in a precarious humanitarian situation.

The chief U.N. organization that coordinates emergency aid warned Friday that more Syrians will die if contributing nations do not follow through and fund its relief operation.

"We have run out of language to describe how it is for the civilian population," said John Ging, operations director and chairman of the Syria Humanitarian Forum for the U.N. Office for the Coordination of Humanitarian Affairs. "It is physical and it is psychological."

CNN's Saad Abedine, Dan Lothian and Hamdi Alkhshali contributed to this report.

@highlight

NEW: At least 73 people are killed across Syria on Saturday, opposition activists say

@highlight

U.N. monitors arrive in Tremseh and find evidence of an attack

@highlight

An opposition group says more than 200 people were killed there Thursday

@highlight

The Syrian government blames the Tremseh incident on armed terrorist groups