London (CNN) -- Space has come of age, grown up enough to be commercially viable -- or has it?

For more than 80 years the BIS has been looking at how we get into, and travel in, space, but the society has concentrated more on the technical achievement or feasibility than on the finance or contractual requirements.

From the end of World War II, technologies were very much in the hands of the defense industries and development was funded by the defense departments of national governments. Recognizing the strategic importance of space led to the 'space race' and the conquest of space being nationally or government funded.

However, times change. The end of the Cold War led to the end of the space race -- governments no longer had to prove their nation's technical superiority in space.

But in many Western industrialized nations, as the government support and funding reduced overall, there appeared a raft of technically capable companies and some government departments and entrepreneurs who were able to identify key areas where there could be a viable and sustainable return on their investment.

Communications satellites became commercial products as soon it was realized that communications capacity could be sold and could provide a realistic return over their lifetime.

Science and Earth observation (EO) missions have not met with such commercialization yet. It is difficult to see a commercial return from scientific exploration of either our own planet or other celestial bodies.

But the gathered EO information could see a commercial return from the sale of mapping, environmental or weather data, or charges for navigation services. However, military and government owned assets -- already fully operational -- make it hard to compete.

When it comes to launchers and human spaceflight things are changing. The original missile-based launch vehicles gave way to commercially manufactured, but government-owned and operated systems.

Now the launcher market is opening up as new players broach new user markets. Space tourism and small payloads have very different launch requirements that are best satisfied by new systems -- like Virgin Galactic's Spaceship 2 and XCOR's Lynx spaceplanes.

BIS spokesman Nick Spall adds: "For many the fascination for space is the almost visceral desire we have to travel further and faster to explore and to spread human interest across the cosmos. The BIS has championed the goal of eventually colonizing the solar system and, indeed, traveling on to the stars one day.

"To achieve this human spaceflight ambition, NASA is quite correct in its decision to use a commercialized approach to lowering the cost of launching astronauts into orbit. The investment in Boeing's CST-100 and the Space X V2 spacecraft for flights to the ISS from 2017 will make seat prices cheaper and more sustainable.

"For the future though, reusable spaceplanes such as the UK's Skylon are the real answer to getting humans and hardware into space to properly explore and occupy the rest of the solar system.

"To help this low-cost approach happen, purely private space tourism spacecraft companies will offer affordable flights to space, with Virgin Galactic's SS2 and the XCOR Lynx going sub-orbit in the next two years. One day we will see space hotels in orbit and then on the Moon and eventually Mars.

"To go into deep space, to asteroids, the Moon and Mars, governments will have to foot the bill initially, but the possibilities are immense and there is a very exciting future for humans in space," he said.

BIS President-Elect Mark Hempsell believes the UK government's new policy of maximizing economic return from space is illustrated by the recent studies into setting up spaceports in the UK, both for suborbital and orbital flights.

"The recent change in UK government direction, with the formation of the UK Space Agency as a key component, is at long last connecting the vision within Britain with the capability to realize its potential," he said.

Another important factor of space exploration is in its relations with the dual areas of education and outreach.

Space education

BIS vice president Chris Welch said: "Space -- and especially space exploration -- has been shown time and again to engage and motivate students in a way that few other topics can.

"It also has a role to play for defining how a country sees itself. One only has to look at the recent exploits of China and India to see how success in space exploration can transform a nation's view of itself and what its citizens can achieve if they believe they can aspire to greatness," he said.

NASA's decision to sub-contract Boeing and SpaceX is a sign of things to come, but governments must continue to support and fund those areas that are not yet self-sustaining.

The UK space sector is currently bringing in over Â£11.3 billion ($18.07 billion) per annum to the UK economy and supports 99,000 jobs. The UK government, recognizing this important contribution, plans to capture 10% of the world space market and generate more than Â£40 billion ($64 billion) per annum by 2030, according to the UK government. This will certainly require the support and leadership of UK industry and the creation of up to 100,000 new jobs.

With India's Mangalyaan spacecraft now orbiting Mars and China's "taikonauts" in Earth orbit and its Chang'e 3 lunar lander already on the Moon, the competition is heating up.

The space industries of the Western industrialized nations must play their part in identifying where they can make a real contribution and even take a leadership role, while the national space agencies take on more of a coordination and funding role, particularly in scientific exploration and manned missions

@highlight

It is difficult to see a commercial return from scientific exploration, says Alistair Scott

@highlight

Earth observation missions have not met with commercialization yet, says Scott

@highlight

But the launcher market is opening up as new players broach new markets, he says

@highlight

Scott: National space agencies should take on more of a funding role for science missions