(CNN) -- The first patient to be diagnosed with Middle East Respiratory Syndrome, or MERS, in the United States is recovering well and should be able to go home from the hospital soon, doctors said Monday.

The patient, an American health care provider who had been working in Saudi Arabia, is not on oxygen and is eating well and walking around, said doctors in Munster, Indiana.

Doctors have also tested others who have come into contact with the patient. So far no one else has been diagnosed with the virus. Medical staff will continue to monitor the situation closely.

The patient, whose name has not been disclosed due to federal privacy standards, was working at a hospital in Riyadh, Saudi Arabia. He told his doctors that the hospital had MERS patients, although he does not remember working with any of those infected.

The man was on a planned visit to Indiana to see his family. He traveled on April 24 and went to a hospital in Indiana with symptoms April 28.

About 50 staffers worked closely with the man, said Dr. Alan Kumar, chief medical information officer with Community Hospital in Indiana. No patients at the Indiana hospital had close contact with the MERS patient, who was in a private triage unit and admitted to a private bed on a general medical floor within three hours of showing up at the facility.

His family brought the man in after he complained of flulike symptoms -- shortness of breath and fever. They told the medical staff he had been in Saudi Arabia.

"There was a possible thought initially that it was pneumonia," or some other kind of respiratory virus, Kumar said. "That is why he was in a private room the entire time."

MERS: 5 things to know

The patient never needed a ventilator but was initially put on oxygen. The hospital knew which staffers had close contact with the patient because it uses electronic tracers on staff members, tracking where they go in the hospital and how much time they would have spent with the man.

Between that monitoring and video surveillance, the hospital was able to track the patient's entire journey through the hospital system, according to Kumar.

Both the family and health care workers have all tested negative for the virus and all are on home isolation, officials said. If any of those exposed have to go out, doctors have advised they wear a mask.

Doctors will run a second test on both populations since the virus is thought to have a 14-day incubation period. If they still test negative for the virus, they will be considered clear and safe to return to their regular work and duties.

Scientists do not know exactly how MERS spreads, according to the Centers for Disease Control and Prevention, but they don't believe it spreads through casual contact.

The virus poses a "very low risk to the broader general public," said Dr. Anne Schuchat, assistant surgeon general with the U.S. Public Health Service and director for the CDC's National Center for Immunization and Respiratory Diseases, on Friday.

MERS mystery: Virus found in camels

Out of an abundance of caution, Indiana health officials and the CDC have acquired the passenger lists from the planes the patient took from Saudi Arabia -- he changed planes in London and landed in Chicago -- and the bus he took to Indiana.

Of the 100 or so passengers on the plane, three-fourths have been tested, and none has been shown to be positive for MERS. The patient was not symptomatic at the time of travel, according to the doctors. Health officials are also reaching out to the 10 passengers who shared his bus.

Scientists believe MERS spreads through close contact with a patient -- meaning someone would have to have come in contact with some of their bodily fluid.

MERS first emerged in 2011, with the first cases being diagnosed in the Arabian Peninsula in 2012. There have been 401 confirmed cases in 12 countries, according to the CDC. Of those, 93 people died.

Testing for MERS involves looking for the virus' molecular structure in a patient's nose or blood. While the patient in Indiana was the first MERS case on U.S. soil, the CDC has been preparing for such a scenario and had been conducting an awareness campaign with hospitals and doctors since MERS emerged.

There are no travel restrictions to the Arabian Peninsula; however, the CDC suggests people who visit there monitor their health and watch for any flulike symptoms. If you do feel unwell after such a trip, be sure to tell your doctor about your travel.

There is no vaccine or special treatment for MERS. Doctors said they believe the patient's quick diagnosis and care dramatically increased his chances for getting better.

"MERS picked the wrong hospital, the wrong state, the wrong country to try to get a foothold," said Dr. William VanNess, Indiana state health commissioner.

Opinion: Why MERS virus is so scary

@highlight

The unidentified man is eating well and walking around, officials say

@highlight

Those who have come in contact with him have tested negative

@highlight

More than 400 MERS cases have been reported in 12 countries, the CDC says