Venice, Louisiana (CNN) -- A history of slipshod inspections is at least partly to blame for the disaster that destroyed the drill rig Deepwater Horizon and unleashed the worst oil spill in U.S. history, a former Interior Department official says.

Bobby Maxwell worked for 22 years as an auditor and audit supervisor for the Minerals Management Service, and he said the disaster would not have happened if inspectors had done their jobs. But he said a "culture of corruption" enveloped the agency, "and it permeated the whole agency, both the revenue and the inspection side."

The Minerals Management Service, a division of the Interior Department, is the primary federal agency that conducts safety inspections and collects revenue on the more than 3,500 oil wells in the Gulf of Mexico. Before leaving the agency in 2006, he supervised more than 100 auditors, who dig through oil company documents to make sure the federal government is getting all the royalties it's owed.

He won an award from his bosses at the Interior Department. And although not an engineer by training, he spent a great deal of time on offshore rigs, many times working alongside Minerals Management Service inspectors.

But he said that the agency was badly flawed and that investigators looking into the explosion that killed 11 workers aboard the rig in April should be asking questions about how those inspections were conducted.

"What types of inspections? Who did them? Did they give them any waivers? Was the equipment adequate? Did they think they needed a second blowout preventer? Did they demand BP put it in? MMS is responsible for that, too," he said.

As an auditor, Maxwell said, he was flown to offshore oil rigs routinely, sometimes in the company of Minerals Management Service inspectors. He says that when he was present, agency inspectors he saw were doing little real work.

"It seemed like a formal process they would go through," he said. "We showed up on the rig. They had a checklist they would run through quickly, check things off, say things like 'Hi, Joe. Hi, John. See you at this weekend's fishing tournament.' "

In May, an inspector general's report on the Minerals Management Service office in Lake Charles, Louisiana, sharply criticized a "widespread" culture of taking gifts from industry officials before 2007. Many of the inspectors joined the agency from the industry and had relationships with people in the business that originated "well before they took their jobs with industry or government," the report states.

Inspectors got paid meals and tickets to sporting events from companies they monitored; let oil and gas company workers fill out their inspection forms in pencil, with the inspectors writing over those entries in ink before turning them in; and in 2008, one conducted inspections of four offshore platforms while negotiating a job with the company that operated them, the report found.

And a 2008 inspector general's report found that regulators in the agency's Denver, Colorado, office received improper gifts from energy industry representatives and engaged in illegal drug use and inappropriate sexual relations with them.

Maxwell worked out of the Denver office during that period and traveled to the Gulf region frequently. He is now in the fifth year of a whistleblower lawsuit he filed against the Kerr-McGee Oil Co., claiming that the firm cheated the Interior Department and the U.S. Treasury out of tens of millions of dollars in revenue from the company's oil concessions in the Gulf.

The company, which has since been acquired by Anadarko Petroleum, denies the accusations. A federal judge in Denver is hearing that lawsuit, and should he win, Maxwell will stand to gain about $6 million in whistleblower fees.

Interior Secretary Ken Salazar has publicly criticized some Minerals Management Service inspectors, saying they had a "cozy relationship" with oil company executives and workers. He has announced plans to split the agency into separate energy development, enforcement and revenue collection divisions, saying they have conflicting missions.

In a statement issued to CNN, the Interior Department says that real change -- "systemic and not cosmetic" -- is coming to the service.

Salazar "is well aware that we need to clean up the troubled agency," the department said. But Maxwell said that even if the agency is split up, it won't make much of a real difference.

"You still have the same people," he said. "If you had people issues with the corruption and jobs not being done, you still have the same people in the name of a new agency. So those people may not be changing what they are doing. Therefore, you have the old agency with the new name, with the same corruption."

Maxwell says he decided to speak out because he was "tired of seeing us not being able to do the job we were hired to do."

He says he is both angry and heartbroken over the damage done to the marshlands, the water and to the economy of the Gulf states, especially Louisiana.

"The only way to potentially change it is to stand up and be recognized and tell what was happening," he said.

@highlight

Bobby Maxwell spent 22 years at Minerals Management Service

@highlight

Maxwell, who routinely visited offshore rigs, says inspectors did little real work

@highlight

He described agency as "a culture of corruption" during his tenure