(CNN) -- The generation of gays and lesbians that literally created the modern LGBT movement -- from the heroes of the 1969 Stonewall riots to their slightly younger friends -- is at, or nearing, retirement age.

That used to mean the beginning of an extremely difficult time in an LGBT person's life. But as gay baby boomers find more acceptance in mainstream society and continue to do what they've always done -- push to make a better world for the LGBT community -- their retirement options are slowly improving. That is, if they decide to retire at all.

"The notion of retirement has never been a part of my vocabulary," said Bob Witeck, CEO and co-founder of Witeck Communications.

Nearly 61, Witeck has put some thought into what he should do with his strategic public relations and marketing firm as he gets older. Like many friends his age who are also entrepreneurs, he plans to keep working.

"Because I run a business, as I get older I can change the intensity of my engagement in the kinds of work I take on," Witeck said. "I know I'm lucky that way, and I'm lucky in my personal life as well. My husband is 50, so I have a younger man to help me if I need it," he said, laughing.

For decades, according to published studies and reports, many LGBT seniors entered into a kind of dangerous isolation, because the majority did not have children or spouses to help care for them. Even if they did have the benefit of a partner to help as their health declined, they faced extra burdens their straight counterparts did not have.

Without federal marriage equality, gay couples -- no matter how long they've been together -- cannot inherit each other's Social Security benefits, even if they were legally married in the handful of states that allow it.

They can be designated as the beneficiaries of each other's retirement savings, but must pay inheritance taxes that straight widows and widowers do not. In order to make health care decisions on behalf of an incapacitated partner, gay couples must pay additional legal fees to be granted medical power of attorney.

Historically, nothing could stop a hospital or nursing home from forbidding a gay person from visiting their partner, and openly gay people often faced discrimination from health care providers, according to the National Gay and Lesbian Task Force report, "Outing Age 2010."

Consequently, many LGBT seniors ended up going back into the closet as their declining health and mobility left them dependent on strangers for help, according to a study conducted by the National Senior Citizens Law Center, Lambda Legal and others. Or they were slow to ask for help -- even if they badly needed it.

"When you put that together -- the absence of adult children and a partner to help, and add barriers to accessing services, and limit the financial means others have -- then this very thin network of support breaks at exactly the wrong time, right when there is an increasing need for services," said Michael Adams, executive director of the group Services & Advocacy for Gay, Lesbian, Bisexual & Transgender Elders, known as SAGE.

Read more: Growing old openly gay

Roll of the dice

Witeck said his retirement plans and those of his friends are nothing like those of their fathers' generation.

"My father was of the generation that thought you put in your time and then you just take off the rest, and many could afford to do it," Witeck said. "He had absolutely no plans and had a generous pension."

His father worked on Capitol Hill for a couple of decades, Witeck said, and was able to retire at 60. He lived another 27 years.

"Over time he did get a little discouraged because he felt like he didn't have a purpose, but that's what the people he knew did," Witeck said. "They just abruptly stopped working. I can tell you, that won't be me."

He has, however, seen some friends whose plans to continue working have been derailed by health problems.

"I do know, as we age, our health can fail, and I've seen it with some friends who aren't as sharp as they once were. So I know it's a roll of the dice on how long we can keep working," he said. "Hopefully I can stay healthy and won't need the help."

But often retirement-age people do need help, and that has not always been easy for the LGBT community.

"There is no question we are making a lot of progress in this area, and we've absolutely been helped along by the emergence of boomers into retirement years, but by the very nature of the enormity of this work, true change will take years," Adams said.

His organization, SAGE, has been working to change the situation for older LGBT people since 1978. Much has changed for the community since then, he said.

"Especially since the Obama administration took office," Adams said. "The federal approach to aging issues has improved."

While there still isn't federal recognition of marriage for gay couples, the federal Pension Protection Act of 2006 allowed a rollover option to nonspousal beneficiaries. That meant people could leave their pensions to anyone without a tax penalty. In the past, only married spouses were eligible for that benefit.

In 2010, Obama issued a memorandum requiring all hospitals receiving Medicare or Medicaid funds -- nearly every hospital in the United States -- to respect the right of all patients to choose who may visit them during a hospital stay, including a same-sex domestic partner. The president also directed the Department of Health and Human Services to help ensure that medical decision-making rights of LGBT patients are respected.

This year the Administration on Aging -- the federal agency responsible for funding programs that help the elderly -- finally issued guidance saying agencies and programs it funds should recognize the LGBT population among those with "the greatest social need." That designation means that there should be more financial backing and programs to help elderly gay people.

The Administration on Aging spends more than $2.3 billion annually on nutrition and social services for the aging, according to Adams, but the LGBT community only sees $2 million of that.

Finally, Sen. Michael Bennet, D-Colorado, introduced the LGBT Elder Americans Act this year. If enacted, it would further boost support for the community. As it is written now, the Older Americans Act, which goes up for reauthorization every five years, does not specifically mention LGBT older adults.

Among the LGBT Elder Americans Act's proposals is an amendment that would permanently establish the National Resource Center on LGBT Aging, which would provide training to providers of services to the elderly around the country. It would also require long-term care ombudsmen to collect data relating to discrimination against LGBT older adults.

Creating gay-friendly facilities

On the local level, however, everything may not be as rosy.

"While the laws have become more accepting of marriage equality of the LGBT community and nondiscrimination policies in a broader sense are more inclusive, that doesn't mean people who work with the elderly automatically become more accepting," said Laurie Young, director of aging and economic security with the National Gay and Lesbian Task Force.

"There is often high turnover in nursing home staff and a lack of professionalism," she said. "Sometimes even the leadership will get it (being inclusive of LGBT people), but it doesn't get passed on to the people working with the LGBT community."

Several organizations, such as the National Gay and Lesbian Task Force and SAGE, have made training the staffs of senior centers, nursing homes and assisted living facilities a priority. They want those workers to become more sensitive in their work with gay people, particularly because members of the baby boomer generation are more likely to be open about their sexuality than previous generations.

"LGBT people want to experience the services and programs that exist for all older people," Adams said. "So our work has shifted to try and bring along aging and health service organizations so they're as accessible as possible to the LGBT community."

SAGE, the National Gay and Lesbian Task Force and other groups also train ombudsmen to intervene if an LGBT person comes forward with a complaint. They encourage facilities to create more gay-friendly paperwork, so instead of requesting the name of a husband or wife, the forms include space for a spouse or partner.

Even changing the decorations can help. "These changes don't have to cost a lot," Young said. "We've talked about something as simple as having photos in the lobby of the senior center or nursing home that are more reflective of a broader population -- anything to signal that the space is more welcoming."

Even in the short time that SAGE has been conducting its training, it has seen a difference, Adams said.

"In the past few years we started to notice a real change in the reception of our calls," he said. "We used to reach out to these organizations and hear, 'Oh, we don't have any gay people using our services,' and occasionally we'd have even hostile responses. Now our offers to help have been increasingly met with a desire on the part of these service providers to do a better job working with LGBT folks."

Witeck said he hopes he will never need those support services, but if he does, he's confident his generation will continue to make them more accessible to the LGBT community.

"We, meaning baby boomers, are such a huge and active bunch," Witeck said. "I've seen it so many times before: where we go, institutions change. I know with different generations in the past, there were serious isolation issues and institutions that refused to see us as full human beings.

"But when I think of the arc of change for true equality for LGBT people and how much has gotten better since my generation was in high school and college, it's way beyond what I ever imagined was possible," he added. "And I imagine it will get that much better for all of us, so LGBT people won't have to live in fear when they do need the help."

How has LGBT life changed over the years? Share your story with CNN iReport. You're story could be featured in an upcoming CNN story.

@highlight

LGBT baby boomers changed the visibility of the gay community

@highlight

As they approach retirement, they face different obstacles than their straight counterparts

@highlight

Without marriage equality, same-sex couples may face financial hardships

@highlight

Advocates say the situation is slowly improving