London (CNN) -- The Syrian poet, critic and artist Adonis has been described as the greatest living Arab poet.

He was the first Arab to win the German Goethe Prize last year at the age of 81, whose judges described him as "the most important Arab poet of our time," and he was one of the favorites to win last year's Nobel Prize for Literature.

Adonis, born Ali Ahmad Said Esbar, grew up in a poor village near the Syrian city of Latakia and received no formal education until he was granted a scholarship to a French lycee by the then president of Syria at the age of 13.

He was forced to leave Syria in 1956 after being imprisoned for his involvement in the opposition Syrian National Socialist Party. He moved to Beirut, Lebanon, and now lives in Paris and Beirut.

He spoke to CNN through an interpreter at an exhibition of his collages and a series of literary events called "A Tribute to Adonis" at the Mosaic Rooms in London until March 30.

CNN: How do you feel watching the situation in Syria?

Adonis: I'm very sad. I wish that the regime would understand that it has to reform or renew itself and create a new government through free and fair elections.

I also wish that the opposition had not resorted to armed violence because I'm personally against violence in all its forms. I do not see any justification for its use whatsoever.

CNN: Should the outside world intervene in Syria?

A: The world should not interfere, especially not militarily. The Western world should not use this as a pretext to fulfill its own goals in the region.

More from Inside the Middle East: Filmmaker Nigol Bezian's tour of 'Little Armenia' in Beirut

CNN: Are you in touch with friends in Syria?

A: I last went to Syria a year and a half ago, but I'm always in touch with my friends there. Many of them are in the opposition -- but in the peaceful opposition. Many of them share my views that the solution must be Syrian and through a democratic dialogue. We must reach a new regime that is democratic, plural and secular.

CNN: Are your friends scared?

A: Their main fear is for the violence and for the potential for the situation to develop into civil war. They are not scared to speak out. They can talk openly.

CNN: How have events of the past year changed the Arab world?

A: There's definitely a new consciousness everywhere. The question is will this lead to a new political reality and new regimes? It's difficult to predict, but I hope so.

CNN: Have you seen changes in Lebanon, where you have lived on and off since 1956?

A: Lebanon will remain as it has always been: An ongoing project, a work in progress. It's a project that's difficult to stop, but it's equally difficult to continue with.

CNN: You received no formal education until you recited one of your own poems to the then Syrian president in 1943. How did that happen?

A: It was almost 70 years ago after Syria became independent and the president was touring the country. I was 12 or 13 and I read a poem in front of the president. He called me over and asked what I wanted. I said I would like to go to school, so I got a scholarship to a school in Latakia.

More from Inside the Middle East: Women and the Arab uprisings: 8 'agents of change' to follow

CNN: How did that change your life?

A: Poetry gave me a new life. I can always say that poetry allowed me to be reborn.

CNN: How important is poetry in Arab culture?

A: There are two things that are central to our culture: Religion and poetry. They were always in conflict. Unfortunately now religion is overwhelming poetry, but I have a saying that poetry remains deeply-rooted and strong. Poetry has never had any influence throughout history, however poetry creates a new aesthetic, a new beauty, a new type of relations between things and people, and this is not insignificant.

CNN: What was Syria like before 1970 when Hafez al-Assad, Bashar's father came to power?

A: I left Syria in 1956, a few years before the Baath party became the government in 1963. I was always opposed to the Baathist ideology. I was always against the one-party state.

CNN: You left Syria after being imprisoned for membership of an opposition party in 1956, then you left Lebanon in 1982 after the Israeli invasion. Do you feel you have always been in exile?

A: I don't only feel in exile because of these two departures. There are many other factors making me feel this way: Relationships with other people, my relationship with language, my relationship with the world. Love sometimes makes you feel you are in exile. Existentially, the feeling of permanence is always accompanied by a feeling of exile, of impermanence.

CNN: How has Syria changed since you left?

A: What's strange is I feel it is I who has changed, not the country.

CNN: What are your memories of the Syria of your youth?

A: I remember the coast, the mountains, the beautiful girls for which Syria is famous. I miss swimming in the sea.

CNN: Will you ever go back to live in Syria?

A: I would like to go back, but I don't think my desire will be fulfilled.

CNN: The Mosaic Rooms in London is currently running 'A Tribute to Adonis' and an exhibition of your artwork. What does this mean to you?

A: I'm very happy. There's a lot of attention and a lot of sensitive appreciation.

@highlight

Adonis won German Goethe Prize and was described by judges as the "most important Arab poet of our time"

@highlight

He has been exiled from Syria since 1956

@highlight

Adonis calls for peaceful change in Syria without outside intervention