(Mashable) -- For all their buzz and value, location-based social networks haven't really gone mainstream yet. Only 7 percent of Americans are aware of location-based social networks, according to data from Edison Research.

Part of the explanation for this is that the majority of mobile users aren't using smartphones. And as a result, just 10 percent of those surveyed use mobile location services at least once a week, according to the Mobile Marketing Association's latest Mobile Consumer Briefing survey. For smartphone users, like those of the iPhone (a popular device among early adopters), that number jumps all the way up to 63 percent.

Still, even with smartphones predicted to overtake feature phones sometime next year, there may still be adoption hurdles for location-based social networks. Here's a look at why location-based services haven't yet hit critical mass and what those platforms are doing about it.

Privacy concerns remain an issue

Kristine van Dillen, director of industry initiatives and partnerships at the Mobile Marketing Association, said location-based services aren't growing as quickly as they should be. One reason for the lag is concern over privacy and who has access to users' data.

Sites like PleaseRobMe.com, which humorously bring awareness to location-based privacy issues, may have scared some social media users from opting in. Furthermore, the use of geo-location data for commercial purposes has also raised concerns, prompting the Congressional subcommittee on Commerce, Trade and Consumer Protection to hold hearings on the issue.

Concerns about loopholes in Foursquare that give others the ability to announce your check-inshave also been raised.

"There's still a perceived risk in accessing location data," van Dillen said.

Location-based service providers are addressing these concerns by giving consumers more control. Most current iterations of the popular location-based networks allow users to opt-out of location tagging and notifying users when their location is being shared.

Consumer education is also key. Users need to know how their location data will be used, and feel comfortable that the companies that have access to it will behave responsibly, according to van Dillen.

She said consumers will become more comfortable sharing information with their friends and trusted applications. Brands will view these services as less risky, and more mainstream, and new types of location-based services will come to the forefront.

Where is the value?

Because of privacy concerns, it is imperative for location-based services to clearly communicate the value proposition to users. Without a clear picture of what they're getting in return, users may be hesitant to share location data.

One of the ultimate promises of location-based check-ins is more accurately targeted advertising. For some users, the privacy concerns of sharing their location might be trumped by the potential utility of receiving highly targeted advertising and promotions.

However, even though Gowalla, Foursquare, BrightKite and Yelp allow for check-ins at "places," rather than just map coordinates, which makes the data more valuable for targeted advertising, actual advertiser value hasn't yet totally materialized.

Michael Boland, a senior analyst and program director at BIA/Kelsey said check-ins represent the makings of a business model, but they haven't reached their full potential value yet because there isn't a well-defined system to buy and sell advertising. "I think it does have a lot of staying power. We're only going to see it grow and evolve," he said.

For early adopters, though, the long-term promise of more value through targeted ads, coupons and deals, along with the game mechanics (i.e., badges and "mayor" competitions) instituted by some networks has made location-based services worth the potential privacy headaches.

As Twitter and Facebook move into the location tagging space, they might finally take the trend mainstream.

During its Chirp developer conference in April, Twitter announced the launch of its annotations feature, which gives users the ability to attach metadata to tweets, including location. Facebook, meanwhile, will also reportedly soon enable members to add location details to their status updates and release an API so other apps can offer location ability to Facebook users.

Each network faces the usual hurdles for location adoption.

For Twitter, the biggest problem might be convincing users of the value of location-enabled tweets. Twitter has yet to clearly communicate to users what they get in return for adding location to their tweets. On their knowledge base page explaining the feature they write that location will help you "add context to your updates and help you join the local conversation, wherever you are."

Twitter gives an example of one user tweeting about the weather in one location, while another user tweets about traveling to that very location. Unfortunately for Twitter, compared to sites like Foursquare and Gowalla which clearly indicate the value -- every check-in is part of a game, you can find your friends, get tacit recommendations for places to go, and maybe score a deal or two -- Twitter is only communicating what feels like a very niche and impractical value proposition.

Further, because location is off by default for all users, without a more clearly communicated message, the feature may remain off for many people.

Facebook, meanwhile, faces the other major problem: Privacy. Because Facebook has had so many different privacy issues over the years, many users are wary of new features. And Facebook hasn't always had the best track record when it comes to rolling out new features in a way that people trust. So how they roll out location to users and how well they do at making users feel that their information is safe may be make or break for location on Facebook.

One thing Facebook does have in its favor is a great track record of getting people to eventually use new services en masse -- concerns or not. When Facebook launched its news feed feature in 2006 it faced a very vocal user backlash. A few months and a few tweaks later, the feature was widely used and has become an integral part of the service.

The advantage for both Twitter and Facebook is that their users already have a built-in network of followers and friends, so they don't have to sign up for a new service and start adding people to it. The location feature is simply an add-on to their existing account.

"Facebook could really be the looming giant that could wipe all [other location services] away," Boland said. "Facebook has proven to have so many users who are mobile. If they turn on that feature, it's the looming category killer."

What remains to be seen is if the users will go for it.

© 2010 MASHABLE.com. All rights reserved.

@highlight

Sites and apps that let users track their locations get buzz from tech media

@highlight

But the sites are not achieving mainstream popularity, according to surveys

@highlight

Only 7 percent of Americans are aware of location-based social networks

@highlight

Facebook and Twitter may soon popularize the idea, however.