Manchester, New Hampshire (CNN)New Jersey Gov. Chris Christie dominates almost any room he enters but is suddenly facing questions about his relevance in the 2016 presidential race.

The surprisingly fast-moving Republican presidential contest, kicked off by Jeb Bush shortly after the New Year and accelerated by the unexpected re-emergence of Mitt Romney, is putting pressure on Christie, who was once the Republican establishment's favorite.

The big-check GOP contributors that were once assumed to be Christie's for the taking — in particular the Wall Street financiers just across the Hudson River from New Jersey — are now being courted aggressively by Bush and Romney as they ramp up their campaigns.

"There is big advantage to moving first, and when you're a whale like both Jeb and Romney are, and you jump into that pool first, its hard for anyone else to squeeze in," said B. Wayne Hughes, a California billionaire and Republican donor who has not committed to supporting a candidate. "They have the same donor base, so they have to go after those guys."

Bush has been a well-liked figure in the center-right donor set for years, thanks to his widespread family connections and the perks and ambassadorships doled out by two previous Bush White Houses. The former Florida governor has also been a champion of immigration reform, a precious issue for the business community and Republicans who want to grow the party's appeal among Hispanics, even as conservatives bristle at the idea.

Romney, meanwhile, built an impressive financial network during his 2012 campaign, and many of those donors are waiting to see what he does before committing to another candidate. His surprising decision last week at a New York donor meeting to "show some 2016 leg," as one attendee put it, was designed to keep Bush at bay as he mulls a third presidential bid.

But their moves are also complicating things for Christie, who is still expected to launch a presidential bid but is moving at a much slower place than Bush or Romney. All three Republicans will be competing for a similar slice of establishment-friendly financial backers and voters should they each seek the GOP nomination.

Christie, already hamstrung on fundraising by strict pay-to-play laws that prohibit Wall Street employees from from contributing to governors seeking federal office, was further diminished in the eyes of some donors last year by the "Bridgegate" scandal and its subsequent investigations. Christie's record as governor has also been met with some skepticism by the business community: New Jersey has seen eight credit downgrades and continues to have some of the highest taxes in the country.

His fading star opened the door last year for Bush to start making calls to potential supporters who might have previously been with with Christie.

Christie's team insists the Romney and Bush developments have had little bearing on his decision-making process — or his ability to fund a potential campaign.

"The last couple of weeks actually had no impact," said one Christie confidante, granted anonymity to discuss the 2016 machinations with some candor. "He is not changing his plans. He is not moving up any schedule. He is attending a bunch of inaugurals. He has a bunch of speeches coming up. He feels he is in good position and he feels like he has time to decide to want to do more."

The adviser pointed out that Christie is fresh off an impressive tenure as chairman of the Republican Governors Association, a post that put him in regular touch with some of the party's biggest contributors. He remains on the RGA's executive committee, and plans to connect with many of the same donors at February gathering of the RGA in Washington.

No candidate — even ones with the names Bush and Romney — can take the donor world for granted, the Christie adviser insisted.

"I think all three of them, Romney, Bush, Gov. Christie, have a leg up on donor world," the source said. "But you take those people for granted at your own peril. Everybody will be courting those folks, but I think the smart folks will take their time."

To most Americans, the donor courtship now underway is hidden from view and largely meaningless.

But in the early stages of a presidential primary, the whims of big donors have outsized importance, especially in a post-Citizens United world where a single rich person can prop up a candidate with a well-funded super PAC. As the costs of running a presidential campaign skyrocket, landing the support of a major bundler can bring instant credibility to a candidate even before the campaign begins in earnest.

Early signals indicate that Christie might not be hard up for cash should he decide to run. Already he has secured the backing of Texas bundler Ray Washburne, a recently-departed Republican National Committee finance chairman, two GOP sources confirmed to CNN. And The Wall Street Journal reported this week that Ken Langone, the Home Depot founder and prominent Republican donor, is organizing a dinner for Christie and potential supporters in New York later this month.

Once the donor primary ends and the actual primary begins, Christie may be on better footing in a race against Bush and Romney.

"There is room in the primary for anyone who has enough resources," said Tom Rath, a longtime New Hampshire power broker and Romney ally. "Look, it's a little different talking about how you connect with voters, and it's another story talking about how you connect with the large scale fundraisers. But the fact is, New Hampshire will give every candidate a fair shot. There is not home court advantage here for anyone at all."

Though both of Christie's potential rivals in the establishment lane have big networks and deep experience in national politics, both of them are older than than the 52-year old Christie. Romney is 67 and Bush is 61, and both could be tagged as stale emblems of the past.

Christie, too, is a natural retail campaigner and perhaps the best political performer of anyone in the Republican field. The contrast could be stark against the buttoned-up, bespectacled Bush and the notoriously awkward Romney.

"He is kind of a hell-raiser, and nobody is going to say that about Jeb Bush or Mitt Romney," said Leighton Lord, a South Carolina attorney who hosted a reception for Christie in the early primary state this week. "He is not like a lot of the other folks that are running that are more cautious and calculating. Folks are getting tired of that. They like his authenticity, which he has got all day long. That's sort of a counter to Romney. With Romney, you're never sure if you're getting the real Mitt Romney or the Romney he thinks you want."

Though he's been slower than Bush or Romney when it comes to hiring staff and building out a campaign, Christie is still looking and sounding very much like a candidate-in-waiting. He is likely to launch a political action committee in the coming weeks, multiple GOP sources said, and he is heading to a big conservative gathering in Iowa after this week's excursion to South Carolina.

Christie can afford to wait longer than other candidates, his supporters said, in part because of his fame. He doesn't need to introduce himself to voters in the way Bush will, for instance.

"So much of politics these days is celebrity," Lord said. "We have got to find somebody who has the substance and the integrity, but is also a celebrity. And Chris has got that."

In South Carolina, where he attended the inauguration of Gov. Nikki Haley, Christie posed for selfies with top elected officials, including the Lieutenant Governor and Attorney General, before dropping by a crowded GOP meet-and-greet arranged by Lord and other Republicans. The reception was a positive one.

Christie's speech to the audience was "short on conservative red meat, but long on how he's the guy that can win," said one Republican who attended the afternoon session, held at a Columbia law firm.

"He said something to the effect of, 'Today is Nikki Haley's day, but maybe it will be Chris Christie's day in South Carolina soon," the source told CNN. "You couldn't walk away from that thinking anything other than he's going to run."

After the event, Matt Moore, the chairman of the South Carolina Republican Party, posted photos of the event on Facebook.

"My honor to introduce Chris Christie in South Carolina today," he wrote. "The man tells it like it is...we like that in S.C.!"

@highlight

Chris Christie was once the Republican establishment's favorite heading into 2016

@highlight

But he could face challenges if Romney and Bush enter the race