(CNN) -- Growing up in Lisbon, I was always pleased to tuck into the little fish pates offered as part of the entrees at my local restaurant. Little did I know, that many years later, this Portuguese staple of sardines would become one of the hooks which would lift the Iberian nation out of recession.

In the second quarter of this year, Portugal's economy outperformed many other countries in the European Union with growth of 1.1%, thanks in part to its exports, which rose by more than 5%.

But the export euphoria was short lived: many knew that behind those chunky fish fillets, Portugal had some economic bones to swallow.

Fish canning factory Conserveira do Sul, is in many ways, an example of Portugal's economic successes and failures. For more than 30 years, this family-run business in the south of the country has fought crisis after crisis.

As I get a tour of the factory, one of its co-owners, Jorge Ferreira, tells me the company has been in "pre-alert crisis since the 1970s"-- a time when the canned fish sector went into a deep crisis and many factories closed.

Read more: Europe feeling the economic winds of change

This time around however, the crisis has brought him a good economic catch. Ferreira says: "Our products are low priced and they have been the option for many people who have had their wages reduced, so in the last few years we have observed an increase in the quantity sold of our product."

In other words, the business is faring better as the Portuguese turn to a cheaper diet.

But the success of Conserveira do Sul, which produces 12 tons of fish every day, has more to thank than just its domestic market.

Read more: Serbian PM: We will be next to join European Union

Chinese demand for the product, and two large distribution deals in China, have played a large part in their turnaround.

"The Chinese are looking for healthy and safe products... a safe process is very important to the Chinese market because they are very aware of contamination problems, of pollution problems" says Ferreira.

To secure these key distribution deals, Jorge tells me he shows off the factory -- the canning process, the sterilization of the product and the fresh fish itself, which arrives at the port just outside the factory door -- to Chinese distributors. It's a move that has brought work and deep sighs of relief to its employees, many of whom have been working here for years.

Read more: Portugal energy boss: No need for second bailout

Maria is one of them. She has been cleaning, gutting and canning fish since she was 13. She tells me she has plenty of work. Inside the factory she cannot feel the crisis; outside however, it's a different matter.

Therein lays Portugal's economic predicament. While those traditional exports of fish and olive oil offered a ray of hope in the second quarter, they were not the country's saving grace, with some arguing the numbers were simply an anomaly. The coalition government may have known that it was too early to call this a turnaround, because they did little to play off these numbers.

Read more: Merkel's style over substance

Ricardo Marques, an economist at Informacao dos Mercados Financeiros, tells me over a coffee that we are "seeing an improvement in Portugal's economy but as long as austerity is being implemented the people on the street will never feel the benefits".

There is certainly more austerity to come. The government of Prime Minister Pedro Passos Coelho has been unable to persuade the International Monetary Fund, the European Commission and the European Central Bank to ease the country's deficit target to 4.5% of GDP from the current 4% goal.

As a result the government is expected to reveal a new batch of austerity measures when it announces its budget on October 15. These are expected to include more unpopular public sector job cuts, cuts to pensions and benefits and plans to raise the retirement age to 66.

But this won't be easy.

There is a political crisis inside the governing coalition, the Constitutional Court has ruled four times against the governments' plans to trim public sector pay and recently there were whispers of a second bailout.

Read more: Mutti Merkel is no Iron Lady Thatcher

The Troika, which was visiting the country when I was there, was quick to deny the murmurs of another crisis, issuing a statement which said that Portugal's bailout program "remains broadly on track, with the authorities determined to achieve its objectives."

There is no doubt that there's an improvement in the Portuguese economy. There are reasons to be optimistic. But let's not start popping the champagne just yet. For now, pate and bread may be the most appropriate economic aperitif.

@highlight

The Portuguese government has been unable to convince creditors to ease its deficit reduction targets

@highlight

Chinese fish demand has played a large part in Conserveira do Sul's turnaround

@highlight

Creditors issued a statement which said that Portugal's bailout program "remains broadly on track