(CNN) -- It's an unreal scene, like one from a horror film.

Here's how Tulsa World editor Ziva Branstetter described Oklahoma's botched execution on Tuesday of convicted killer Clayton Lockett:

• 6:28 p.m. Fifty milligrams of midazolam have been injected into each of Lockett's arms to start the process, an attempt to sedate him before the second and third drugs are administered to stop the breathing and the heart. Lockett has spent the past several minutes blinking and occasionally pursing his lips.

• ...6:37 p.m. The inmate's body starts writhing and bucking and it looks like he's trying to get up. Both arms are strapped down and several straps secure his body to the gurney. He utters another unintelligible statement. Defense Attorney Dean Sanderford is quietly crying in the observation area.

• 6:38 p.m. Lockett is grimacing, grunting and lifting his head and shoulders entirely up from the gurney. He begins rolling his head from side to side. He again mumbles something we can't understand, except for the word "man." He lifts his head and shoulders off the gurney several times, as if he's trying to sit up. He appears to be in pain.

State officials reportedly were unsure how much of the second and third drugs that were supposed to kill Lockett were actually injected into his body.

While the third was being administered, Lockett's vein "exploded," Oklahoma Department of Corrections Director Robert Patton told reporters.

He called the execution off. Then the inmate, Patton told the media, died of an apparent heart attack at 7:06 p.m.

Perhaps some supporters of the death penalty find comfort in the fact that death by lethal injection is supposed to be painless -- more sterile than a firing squad, more clinical than the electric chair. For those people, perhaps, Oklahoma's botched execution will be a wake-up call -- a realization that all executions, regardless of method, are cruel and not especially unusual in parts of the United States.

But in Oklahoma -- where both the firing squad and the chair are still statutory alternatives to the needle, if other methods were to be deemed unconstitutional by the courts -- method and morality don't seem to matter much.

This is the state -- the state where I grew up, by the way, and where I once worked as a newspaper reporter -- that has the highest per capita rate of executions in the country. Nationally, support for the death penalty has declined from a high of 80% in the 1990s to only 60% now, according to Gallup. States such as Connecticut, Maryland and New Mexico recently have abolished this abhorrent practice. It's unclear if public opinion in Oklahoma mirrors the national trend, statistically, but anecdotal evidence suggests the state supports, if not celebrates, state-sponsored death.

"Give them a bonus!" one commenter wrote on The Oklahoman's website, apparently referring to the executioner or state officials.

"I hope that man was in more pain than anyone ever imagined possible," a woman from Oklahoma wrote on Facebook, echoing a sentiment I saw repeated.

Not everyone reacted this way, to be sure. But an outsider could be forgiven for seeing politicians in the state who support these unethical policies as death-hungry and vengeful.

History would support that view as well.

It was Oklahoma, after all, in 1977, that was the first state to authorize death by lethal injection. That decision was made, in part, because Oklahoma was "facing the expensive prospect of fixing the state's broken electric chair," and lethal injections were cheaper, according to Human Rights Watch.

It was Oklahoma, in 1988, that lost an argument before the U.S. Supreme Court that it should be able to execute a man who was convicted of murder at age 15.

And it was Oklahoma, just this year, that executed a 38-year-old man, Michael Wilson, whose last words, just a moment before his death, were, "I feel my whole body burning."

Yet, the state proceeded with Lockett's execution this week. And it did so, according to The Guardian, using "dosages never before tried in American executions."

Oklahoma Gov. Mary Fallin was forced to show some sense when she ordered a stay of a second execution -- of convicted child rapist and murderer Charles Warner -- that was scheduled to occur after Lockett's on Tuesday. That a state was going to execute two men in one night drew international curiosity and condemnation. It rattled some feathers in Oklahoma, as there were protesters at the Capitol. But the governor and many residents were unmoved.

No one would dispute that Lockett's crime was unthinkably heinous: He was convicted of shooting 19-year-old Stephanie Neiman before watching his accomplice bury her alive. But that doesn't excuse the state from ordering his death, especially in this way.

Both Lockett and Warner's sentences had been contested in court, with attorneys for the inmates arguing that the state cannot withhold the exact source of the drugs it planned to use for the executions. A political circus ensued, and the court, in the view of Andrew Cohen, a fellow at the Brennan Center for Justice, "caved in to the political pressure."

Oklahoma Supreme Court Justice Steven Taylor wrote, in agreement with the court, that Lockett and Warner had no right to know the source of the chemicals. "...(I)f they were being hanged, they would have no right to know whether it be cotton or nylon rope; or if they were being executed by firing squad, they would have no right to know whether it be by Winchester or Remington ammunition," he wrote, according to news reports.

States have been scrambling to come up with drugs they can use to kill people since some drug makers stopped selling them for such purposes.

Fallin has called for an investigation into the botched execution. As part of that, she should make the source of Oklahoma's drugs known.

But Oklahoma seems to be a place hell-bent on secrecy.

Near the end of the Tulsa World editor's journal of events, Ziva Branstetter writes that "blinds are lowered" and reporters were not allowed to see what happened in the final moments of Lockett's life. "Reporters exchange shocked glances," she wrote at 6:39 p.m. "Nothing like this has happened at an execution any of us has witnessed since 1990, when the state resumed executions using lethal injection."

Reporters were escorted to a white van outside the state penitentiary in McAlester, Oklahoma, which is commonly known as "Big Mac."

They were told to leave their state-issued pens, Branstetter wrote.

One could find hope in that moment -- could think that the state realizes that if witnesses saw what happened after the curtain fell, they would be shocked into action. That seems like a plausible explanation, but I still have my doubts.

The death penalty is on its way out in America.

But it's got a cold grip on Oklahoma.

@highlight

Oklahoma botches first of two executions scheduled for Tuesday

@highlight

John Sutter: The horrific scene won't change attitudes in the state

@highlight

Sutter writes that some locals more or less celebrated the botched execution

@highlight

The death penalty still has a "cold grip on Oklahoma," he writes