(CNN) -- After the fall of the Berlin Wall, East Germany lay in shambles as many businesses went bankrupt and millions of people lost their jobs.

Some firms, however, got back on their feet and revived the "Made in Germany" trademark by harnessing the expertise of their workers. Their aim was to become, once again, a global brand.

CNN travelled to the town of Glashütte in Saxony, known as the birthplace of the German watchmaking tradition. Here, watchmakers such as A. Lange & Söhne and Nomos Glashütte among others have thrived since the fall of the Wall and have since exported their high-end watches to the rest of the world.

German craftsmanship

It is companies like these which put their personal, unique stamp on a timeless piece which isn't assembled overnight, explained A. Lange & Söhne. "It takes about four weeks for a watchmaker to put this piece together. And to learn to do this you need about five to ten years of experience," said Marco Wolf, a watchmaker at A. Lange & Söhne, one of the longest-running high-end watchmakers in the world.

The hand-crafted timepieces, all mechanical and made with microscopic precision, are carefully created in the former Communist town of Glashütte.

"That is what our customers appreciate. The love for details striving for perfection. All that with typical German attributes like solidity, cleanliness, understatement. I think that combination is what drives people and what makes them our customers," said Wilhelm Schmid, CEO of A. Lange & Söhne.

Attention to detail goes beyond the surface, according to Schmid, who describes how even tiny parts of the watch the customer will never see are engraved. "And each engraver has his or her own signature style," he added.

All in the family

The company's namesake, Ferdinand Adolf Lange, founded Glashütte's watchmaking tradition in 1845. The industry flourished and for over a century Glashütte was Germany's watchmaking capital.

But all that changed after World War II, when Glashütte suddenly found itself in the Communist east part of Germany. All the watchmaking companies were nationalized and forced to build cheap watches, some of which were secretly sold in the West.

After the fall of the Berlin Wall, much of the watch industry was able to get back on its feet, explained Schmid. "There was still talent here. They were working on different watches than we are working on here today, but the talent generally speaking was there," he said. "So all we had to do was help them to get to the next level."

Bouncing back

Fortunately for those companies, Glashütte has revived as Germany's capital of watchmaking once again, employing more people than it ever has. Of the town's 1,800 residents, 1,500 work in the watchmaking industry.

Watchmaker Nomos Glashütte is another example of the area's growth in the past 25 years. The company, formed two months after the fall of the Berlin Wall, says its focus on design has pushed it forward in the past 25 years. "We have brought great and unique design to Glashütte," said Uwe Ahrendt, CEO of Nomos Glashütte. "We make beautiful watches and our timepieces come at very good prices," he said.

In an era of start-ups and cheaper products being made at a fraction of the cost, the anniversary of the fall of the Berlin Wall is a reflection of how resilient these particular watchmakers have been, and how adaptable they are in the global landscape.

Read more Super fast and green? How the new breed of sports cars is getting a makeover

Read more: Want a top notch college degree but can't afford it? Head to Germany

Learn more: Germany by numbers: A look inside Europe's economic powerhouse

@highlight

Glashütte, a small town in Germany has a rich heritage of watch making

@highlight

Glashütte watches are mechanical and handcrafted

@highlight

The workshops were nationalized after WW II as the town was in East Germany

@highlight

However, they have been restored to former glory since the reunification