LONDON, England (CNN) --   Bread. For Egypt's middle classes it is breakfast, lunch and dinner. In Egyptian Arabic it is known as "aish" which means both bread and life.

Bread is the staple food of Egypt's poor -- 40 percent of whom live on around $2 per day

For many Egyptians the flat, round bread is also becoming a symbol of the country's inequalities.

Rocketing global commodity prices and failing domestic supplies have made this staple food unaffordable for 20 percent of the country's 76 million inhabitants.

The Middle East's most populous country is not alone in these problems. The UN warned economic turmoil could hit many of the world's poorer countries as global inflation spirals -- but with 40 percent of the population living near the poverty line, the price rise has struck particularly hard.

Earlier this week, in the gritty industrial city of Mahalla al-Kobra, northern Egypt, a teenager was killed during two days of violent clashes between residents and police.

The protesters, who are enraged by low wages and rising prices, also tore down a billboard of Egypt's President Hosni Mubarak.

Prime Minister, Ahmed Nazif, rushed to the city to try to head off any further escalation in the civil disturbances and workers were promised bonuses and concessions. But for many Egyptians, these moves are too little too late.

On the streets, the popularity of Mubarak's regime is at an all time low. The riots in Mahalla al-Kobra are the latest in a series of flares in social unrest. Read CNN Correspondent, Ben Wedeman's blog about the Egypt crisis

Despite a growing economy and billions of dollars in international investment, average wages remain low and the gulf between the country's tiny elite and the majority of workers grows ever wider.

The doubling of prices over the past year and an acute shortage of government subsidized bread has acted as a catalyst to the population's smoldering discontent.

All Egyptians can buy the cheap government subsidised bread under a decades old socialist-inspired system that also provides subsidies for public transport and gasoline.

As unsubsidized bread -- which can sell at 10 to 12 times the cost of government bread -- becomes unaffordable for a portion of the population the demand for government bread is growing.

At the same time the supplies of subsidized bread have also decreased. The population is jaded and many people believe that corruption is behind the shortages. Rumors circulate that subsidized bakeries would rather sell their flour on the black market than use it to produce bread.

People have no choice but to wait in line to buy government bread. "I've been standing here for hours, and we are not close to getting bread yet," Mohammed el-Deeb, a manager at a medical company told the Associated Press, "Of course I need to stand in the line, I can't afford the other bread."

In recent weeks, two people were stabbed and killed when fights broke out over government bread. Five others died from exhaustion caused by hours spent standing in line.

There are fears the unrest could emulate the 1997 bread riots in which 70 people were killed after the government raised the price of bread and other subsidized foods.

The government is facing a political crisis and has ordered the army -- which normally only makes bread for employees -- to increase production and distribute it to the public. The army opened 10 large bakeries in Cairo and set up 500 kiosks to sell bread to the public, according to the government. Read John Defterios' blog about the Egyptian food crisis

Egypt grows about half the wheat it consumes every year and buys the rest from the world market. Egypt's Finance Minister, Youssef Boutros Ghali says this is what is causing all the problems: "The price rise is being driven by what is happening in the international markets. The local component is very little."

He also believes the international investment and economic growth needs time to trickle down through the whole population, "It's not enough. There are 77 million of us. For the 77 million to feel it we need at least five, six, seven years plus of growth," he said.

But that won't give much relief to the country's citizens, many of whom currently live on $2 a day.  E-mail to a friend

@highlight

Bread is the staple food of the Middle East's most populous country

@highlight

Skyrocketing global commodities prices are making it unaffordable for the poor

@highlight

Egyptians blame government corruption for continuing low wages

@highlight

A teenager was shot by police in Northern Egypt during two days of civil unrest