Editor's note: Donna Rose is a speaker and advocate for transgender and transsexual issues. She is the author of a memoir, "Wrapped In Blue: A Journey of Self-Discovery." Her Web site is http://www.donnarose.com/

Donna Rose says transgender people don't fit the stereotypes society often tries to impose.

(CNN) -- It was only a matter of time. The real-life drama of being transsexual has come to Hollywood. Chastity Bono, the impossibly cute little blond girl who, for many of my generation, remains frozen in time as the sweet, chubby-faced cherub closing many a Sonny and Cher show in the arms of her doting parents, recently announced that he is transsexual and will be transitioning from female to male. He will go by the name of Chaz.

As shocking as this news may be to some, it is yet another reminder that all is not necessarily as it appears and that each of us is more complicated than simply the skin and bones of our bodies. Rather, it is our heart and spirit that defines us.

Transgender people -- that is, people who may not experience or express their gender in ways that are necessarily typical for the physical sex of their body -- have been part of the fabric of cultures for as long as history has been recorded.

We're a cross-section of society -- pilots, engineers, doctors, factory workers, artisans and pretty much anything else you can imagine. It was only a matter of time before we came to Hollywood. Make no mistake -- Chaz isn't the first and certainly won't be the last.

Despite what others choose to believe, transsexual people are no longer relegated to hiding in safe little shadows for fear that society will detect them and punish them. We are far more than traditional stereotypes of transpeople as hookers, drug-users, porn stars or social misfits relegated to the fringes of society.

In a very real sense, transgender people are no one thing. We are everyone, everywhere. Whether you realize it or not, we go to your school, we are active in your communities of faith, we are your neighbors, your co-workers, your family members.

We live in a world that tries to force all of us to conform to the expectations and roles established for our bodies at birth, yet our heart and our spirit often realize that we have been miscast in life. We are forced to ask questions of ourselves about things that few ever consider.

The search for answers is indeed the pathway for overall happiness and fulfillment in life. This is a journey that each of us is on -- trans and not -- and the simple fact of the matter is that the transgender journey may appear unique, but the end goal is a universal one: Happiness.

Needless to say, there are those who continue to live in a world where "different" somehow automatically means bad, or is a threat. These are people who would keep transgender people trapped in stigmas of mental illness, moral weakness, sexual perversion and general societal freakishness.

Our defense is a simple one: We prove who we are, individually and collectively, not with words but with the courage to come out and the ability to live our lives with dignity and grace.

It may come as a surprise for many people in this country to recognize that many of us who are transsexual are not embarrassed, ashamed or otherwise apologetic of who or what we are. We refuse to go back into the stifling closet of trying to be something we're not.

We enjoy each and every day being unique, as men and women and everything in between, and we rejoice in our diversity rather than fear it. The ties that bind us are far more than the obvious connections of gender. They are bonds of courage, authenticity, integrity and pride.

This is not a journey about surgery. It is not a journey about being "fixed." It's not about the clothes. It's not about sexuality, or hormones, or any other single thing. It is a journey of self, full of uplifting revelations and heartbreaking realizations.

A major point on that journey is gaining a sense of self-awareness and self-acceptance. Chaz's recent announcement indicates that he has reached that point and is well on his way to be who he will become.

Chaz will face hurdles. It may come as a surprise to some that it is still legal to fire someone in this country, or to deny housing simply because they come out as transgender.

Transgender people are victimized by crime more frequently than the general population. Many of us find ourselves unemployed and unable to be hired for jobs for which we are well qualified simply because we are transgender. And, as harsh as this life can be for us, many previous generations had it even worse. Things are changing -- slowly but surely.

Why are they changing? Because transgender people are here to stay. We've been here all along and we're finally acknowledging that our unique journey is part of who we are, but not ALL of who we are. Chaz is a courageous brother. He is a role model to others struggling with similar issues and questions. He is someone who has taken control of his life and intends to live it to the fullest. These are not things to fear. These are things to admire.

The message here is not one of our bodies, but one of our spirits. It is not one of becoming something you're not; it is of accepting what you are. As French writer Andre Gide said: "It is better to be hated for what you are than loved for what you're not." Many of us have experienced these words first-hand and know them to be true. Chaz knows who and what he is. That is not something to fear. That is something to celebrate.

The opinions expressed in this commentary are solely those of Donna Rose.

@highlight

Donna Rose: Chastity Bono highlights transgender presence in Hollywood

@highlight

Rose says transgender people are in all walks of life

@highlight

She says they face obstacles to expressing their real identity

@highlight

Rose: Transgender people accept and celebrate who they are