(CNN) -- Look out air travelers. A congressional slugfest over the U.S. deficit is threatening to trigger higher airfares and widespread slowdowns at the nation's airports.

Remember that big fight in Congress last year over the national budget deficit? Eventually Congress and the White House agreed to scheduled budget cuts that are so deep that lawmakers would be forced to come together on tough choices. Washington wonks call these cuts "sequestration."

Related story: Sequestration is the 'dumbest thing'

The Federal Aviation Administration is in the cross hairs for sequestration -- with a possible $1 billion in mandatory cuts scheduled to occur as soon as January. The FAA chief warned of the impact of such cuts. And a new study says the cuts would result in fewer air traffic controllers, customs officers and security officers. The FAA's sweeping overhaul of the U.S. air traffic system also would take a hit.

NextGen, as it's called, is aimed at improving efficiency and increasing safety.

"If the sequester were to occur, we would face some very drastic cuts in services and these investments," said FAA acting administrator Michael Huerta, in an October speech. "These cuts would impact air traffic control services, NextGen implementation, and aircraft certification -- all of which are critical to our ability to move forward with aviation in this century.

"They would result in significantly less efficient and less convenient air travel service for the American traveling public. We will always, however, maintain the highest levels of safety."

It's anybody's guess -- and up to Congress -- whether the cuts will actually happen. But groups representing pilots and the aerospace industry say it's time to get nervous.

Opinion: Clock ticking on defense cuts

Marion Blakey, who headed the FAA during the George W. Bush administration and who now leads an aerospace industry lobbying organization, warned in August that just the threat of the cuts is already having a chilling effect. Consumers should be worried, she warns.

"This will affect their ability to fly when they want and how they want," Blakey says. "It will certainly be a drag on the airlines, which then will incur great cost, which then will be passed on to the consumer or it will cut into the carriers' very meager profits and that's not healthy."

Blakey's group, the Aerospace Industries Association, and Econsult Corp. released a study in August that paints a worst-case scenario, including possible closure of 246 airport control towers, 1,500 fewer air traffic controllers and the loss of 9,000 security screeners and 1,600 customs officers.

Obviously, fewer controllers, screeners and customs people would throw a wrench into an already stressed air travel system.

"A billion dollars is a body blow to the FAA," Blakey says.

For industry planners, Blakey says January is right around the corner, and making industry decisions amid such uncertainty comes with an economic price that will affect the consumer.

Not only would airline passengers feel the cuts, but pilots of small aircraft, known as general aviation, or GA, will see ramifications, both in safety and efficiency, says Melissa Rudinger, senior vice president of government affairs at the Aircraft Owners and Pilots Association.

The cuts could include the shut down of more than 200 control towers, "which operate almost exclusively at GA locations," she says.

"It's unclear to us how the FAA would go about literally closing the doors and turning out the lights," she says. "But there's definitely a safety risk that would have us concerned."

Safety would not be an issue, Blakey says.

"I have every confidence they'll keep it safe," she says, although she expects FAA controllers will slow traffic at small airports by reducing hours of operation and capacity.

"I do not anticipate that the FAA will reduce hours and personnel at the nation's big air traffic control centers and the TRACON radar tracking centers," she says.

For now, many in the aviation industry are taking a wait-and-see attitude.

"There is a great deal of uncertainty about whether sequestration will actually happen and what the real impact would be on commercial aviation," writes a spokeswoman for the airline industry trade group Airlines for America.

Other groups aren't talking at all.

The National Air Traffic Controllers Association wouldn't comment in August, and the FAA referred questions to the Office of Management and Budget.

The OMB has 30 days to analyze the sequestration legislation and to make recommendations to the White House. An internal OMB memo (PDF) in July said sequestration would be "highly destructive to national security and domestic priorities, as well as to core government functions," and that Obama has submitted deficit reduction proposals to Congress aimed at avoiding the cuts.

The cuts would delay deployment of the multibillion-dollar NextGen program by at least a decade, according to the study.

"It's a very big deal to keep that on track," Blakey says. "It's going to get hit; it's just a question of how much."

This is not just about FAA, Blakey says. Think about the idea of cutting 9,000 Transportation Security Administration screeners. "How do you like the lines now? How are you going to like them then?"

She says, "People would like to treat this as a hypothetical or a simple congressional debate." But the threat will grow, she warns, unless "people step up and try again to address the long-term issues" surrounding the nation's debt and deficit -- or they postpone the FAA cuts to give themselves more time for a compromise.

@highlight

Budget battle may result in slower air travel, higher fares

@highlight

FAA cuts could lead to fewer controllers, security and customs officers, study says

@highlight

Ex-FAA chief: Fear of the cuts is already having a chilling effect