(CNN) -- Speaking Saturday at the Summit of the Americas, President Barack Obama said it is reasonable to debate alternatives in the war on drugs, but insisted legalizing drugs wasn't a valid option in the United States.

Obama voiced his view in his first public remarks at the hemispheric event during a meeting of business leaders, where he was part of a panel alongside Brazilian President Dilma Rousseff and Colombian President Juan Manuel Santos.

The possibility of drug legalization has gained traction in Central America, which is being squeezed between suppliers to the south and consumers to the north.

Yet the idea goes against decades of the prohibitionist policy backed by the United States, which is largely followed and enforced in Latin America and the Caribbean.

Santos noted Saturday that people in his native Colombia, too, have called for different ways to approach illicit drugs.

"Sometimes we pedal and pedal and pedal, and we feel like we are on a stationary bike," he said of the war on drugs. "I think the time has come to simply analyze if what we are doing is the best we could be doing, or if we can find an alternative that would be more effective and less costly to society. This is a topic of extreme political sensitivity."

He added, "One extreme can be to put all users in prison. On the other extreme, legalization. In the middle there may be more practical policies, such as decriminalizing consumption but putting all the efforts into interdiction."

The first thing that regional leaders should do, Santos said later at the summit's opening session, is seriously and collaboratively examine how to tackle drug trafficking "without dogma, without prejudice."

"This summit is not going to resolve this issue," he said. "But it can be a starting point to begin a discussion that we have been postponing for far too long."

Obama earlier Saturday left the door open for debate, but made it clear that the United States has a firm stance.

"I think it is entirely legitimate to have a conversation about whether the laws in place are doing more harm than good in certain places," Obama said. "I personally, and my administration's position is, that legalization is not the answer."

Much attention in the run-up to the summit was on the drug issue, as well as on leaders from the hemisphere who are not present in the coastal city of Cartagena, Colombia.

Venezuela's foreign minister told reporters Saturday that Venezuelan President Hugo Chavez will not attend because of health reasons. Chavez had recently returned to his country from Cuba, where he underwent cancer treatment.

Cuba, which is not a member of the Organization of American States, was not invited to join the leaders. But there was a last-minute push by Ecuador's leftist President Rafael Correa to get Cuban leader Raul Castro a seat at the table.

Correa boycotted the summit because of Cuba's exclusion.

Santos, a key U.S. ally, said in his opening remarks Saturday that it was time to overcome such issues -- calling it unthinkable if Cuba is not part of the next Summit of the Americas, as well as nearby Haiti.

The United States has "never been more excited" to work as equal partners with countries in Latin America, Obama said earlier Saturday -- a vow that's been made before by U.S. presidents, but that nonetheless drew applause from the audience of business leaders.

The president presented an upbeat assessment of hemispheric relations, touting a 46% increase in trade between the United States and Latin American and Caribbean countries.

"This hemisphere is very well positioned in the global economy," he said.

Rousseff spoke of a need for a "virtuous relationship" based on respect and equality among economies, while Santos said he welcomed a "change of mentality in relations between north and south."

Obama pointed out one change he'd like to see: "I think in Latin America, part of the change in mentality, is also not always looking at the United States as the reason for everything ... that goes wrong."

There are many examples of increased cooperation between the United States and Latin America, but they are not always flashy and don't draw the same type of attention that conflicts do, Obama said.

"Oftentimes in the press, the attention at summits like this ends up focusing on the controversies," the president added. "Sometimes those controversies date back to before I was born."

The summit's start was momentarily overshadowed by two security incidents -- one involving bomb blasts and another involving Secret Service in Colombia to protect the U.S. delegation.

Roughly a dozen Secret Service agents and officers are being investigated over early findings that they allegedly brought back several prostitutes to a hotel in Cartagena, two U.S. government sources familiar the investigation told CNN.

The Secret Service personnel have since been sent back to the United States.

Separately, two small blasts occurred nearly back-to-back Friday in Cartagena.

The explosions -- one near a bus station and another near a shopping mall -- occurred a good distance away from where world leaders were gathering, said Alberto Cantihho Toncell, a spokesman for the Colombia National Police.

There were no casualties, and only minor damage was reported, Toncell said.

The explosions came on the heels of a similar one earlier in the day near the U.S. Embassy in the capital city of Bogota, authorities said.

CNN's Dan Lothian contributed to this report.

@highlight

NEW: Colombia's president says it is unthinkable if Cuba isn't at the next summit

@highlight

NEW: Santos adds the summit can be a "starting point" for talks on illicit drugs

@highlight

Obama says debate is fine, but insists legalization isn't an option in the U.S.

@highlight

The United States wants strong relations with Latin America, Obama says