(CNN) -- It would take you almost five solid months -- without sleeping or bathroom breaks -- to watch every sporting event at this year's Summer Olympics. More than 3,500 hours of competition from London will be crammed into just 17 days.

In the past, people had to settle for watching the delayed, edited bits broadcast on TV or websites, but technology and viewing habits have changed. This year, 40% of people plan to follow the games on more than one device, with 35% checking in on their tablets and 27% using their smartphone, according to a new study by Harris Interactive.

Fans asked to tweet from Olympics only if it's 'urgent'

So what are the best ways for today's mobile, multiple-screen owning, Twitter-loving generation to follow the Olympics Ã  la carte? We offer these five:

Live streaming, with a catch

First, the good news: It's finally possible to stream any Olympic event live online, on a tablet or from your smartphone. After years of tape-delayed broadcasts and online video, NBC has caught on that viewers want to follow the Olympics on multiple devices in real time, and is offering the live options in addition to its regular television programming.

The bad news is that anyone in the U.S. who wants to enjoy live streaming of the games needs to have a current cable, satellite or telco TV subscription that includes MSNBC and CNBC (for some areas this may mean be more than just basic cable). You will be prompted on the NBC site and in NBC apps to choose your provider from a list and log in with your official username and password in order to access any live streams.

Cord cutters -- those who have canceled their cable and primarily watch TV online through services like Hulu and Netflix -- are out of luck, however. They can sign up for cable and cancel after the games are over, but there's no one-time payment option just to access live streaming. NBC wants mobile and online options to complement the TV coverage, not replace it.

NBC, which is owned by the largest cable provider in the United States, Comcast, paid $1.18 billion for the rights to this year's Olympics. The network makes a good portion of that amount back on television advertising, which still generates more revenue than online ads.

Online

The Internet portal for all video in the U.S. is NBCOlympics.com. On the main video page, anyone can view the select clips that NBC posts after watching a short ad. These clips are a combination of highlights from events, interviews, profiles, and peeks behind the scenes. Sort by your sport of choice or type of video.

How to avoid Olympics spoilers

The site is also providing live streams of any sport to cable, satellite or telco TV subscribers. Called LiveExtra, the service will live stream some Olympic trials and every single Olympic sport. You can watch online or through the complimentary app. It's the only option for live streaming in the U.S.

Though hosted through YouTube, all of the videos on the NBCOlympics are in Flash. To view them on iPhones, iPads or other mobile devices, go to the mobile version of the site, m.nbcolympics.com. You can also download one of the official apps to watch official NBC Olympic video on your iOS or Android device.

For the first time, the International Olympic Committee (IOC) will live stream 11 high-definition channels simultaneously over YouTube for 64 territories in Asia and Africa that don't have broadcast deals, but those streams will not be accessible outside of those countries. Foreign news websites such as the BBC will also have videos, but again, most will be blocked for U.S. viewers.

Mobile apps

NBC created two official apps for Android and Apple mobile devices, NBC Olympics and NBC Olympics Live Extra, and both are free to download. NBC Olympics has no live video, but tons of content that can be enjoyed by anyone for free, including news, results, video highlights, and the intriguing-sounding Twitter heat map.

NBC Olympics Live Extra app is a mobile version of its LiveExtra online service and requires a cable, satellite or telco subscription. View any event live, watch replays of the ones you missed, and check out medal ceremonies and alternative camera views. Look over the in-app schedule and set up notifications for the events you don't want to miss. (Avid streamers should be careful not to go over their monthly data limits.)

There are two official apps for the London 2012 Olympics, and they're available for a mix of platforms including iOS, Android, BlackBerry and Windows Phone 7. Official London 2012: Results App has live updates of results, as well as schedules, news, background on sports and athlete profiles. You can follow specific countries and set up custom alerts. The second app, Official London 2012: Join In App, is more for people attending the games, and has schedules and locations for the various Olympic-related festivities going on in London.

The free BBC Olympic iOS and Android app will have a steady stream of quality Olympics news, including a running tally of medals won and live reporting from the BBC journalists attending events.

Social media and news

Perhaps you have no interest in seeing your favorite diver's perfectly executed reverse 3 1/2 somersault tuck. You just want to know who got the gold as soon as it happens. Individual sports have official, automated Twitter feeds that will tweet out the results as they happen. You can narrow it down to just the events you're interested in and follow those feeds (say @L2012Trampoline or @L2012Judo), or keep an eye on all of them at once by following the London 2012 official Twitter list of automated feeds. The official London 2012 feed is @London2012.

Twitter takes the Olympic gold for speed

This year a lot of the fun will be following the athletes themselves. You can look up your favorites or follow this list of verified Olympic athlete Twitter accounts, the London 2012 list of Olympians or find a list just for your preferred sport of team, like Team USA.

If you want more color, find a hashtag for the event you're interested in to get live tweets of the excitement as it happens from attendees and journalists. There's also an official London 2012 Facebook page you can like to get updates.

And of course, there are old-fashioned news sites and blogs filled with words and pictures. There are 21,000 journalists in London covering the Olympics (outnumbering the 10,500 athletes competing).

With all the content online, on TV and on social media, keeping up with the Olympics won't be nearly as much of a challenge as avoiding spoilers.

Television

Oh right, there's TV, too. If you have cable, you can catch NBC's coverage scattered across a number of its channels: NBC, NBC Sports Network, MSNBC, CNBC, Bravo and Telemundo. Check the schedule for your location, sorted by time or sport, at the NBC Olympics site.

If you don't have cable, you can still tune into NBC over the air for nearly round-the-clock coverage, including the four-hour prime-time broadcast that will show the most popular events mixed in with the usual profiles and athlete interviews. The channel will broadcast a total of 217 hours of Olympic coverage.

Opinion: Is it really #NBCfail?

@highlight

This is the first year the Olympic games will be available as live streams in the U.S.

@highlight

The events can be watched on TV, computers, tablets and smartphones

@highlight

Only cable, satellite and telco TV subscribers will be able to watch live streams