(CNN) -- "It's the hour for us in this country to turn it back toward the Lord. We're much more than 'hallelujah' people. We're into government, and we are into politics. We are a force to be reckoned with."

Wilfredo De Jesus wants his message heard loud and clear: Evangelical Latino Protestants in the United States are more relevant than ever. And they're up for grabs ahead of the 2014 midterm elections.

One of the leading voices of the fast-growing evangelical Protestant Latino voting bloc, in the past 14 years as the senior pastor of New Life Covenant Ministries in Chicago, De Jesus has seen the church grow from "68 people in one of the worst parts of the nation to over 20,000."

Last year, he was named one of Time magazine's 100 most influential people in the world.

"We're very vocal now," he said. "In the last 10 years, you've seen this bloc of people has grown. And we have tremendous influence. Especially in politics."

A new study by a nonpartisan research institute based in Washington suggests that he's right.

The 2013 Hispanic Values Survey released recently by the Public Religion Research Institute showed a sharp shift in religious demographics among Latinos. It's that complex religious divide that could be the key to the Republican Party making inroads in the community during the next election cycle.

"The number of evangelical Protestants nearly doubled from 7% to 13% when you compare childhood religious affiliation to current religious affiliation," said the institute's Chief Executive Officer, Robert P. Jones.

That's between 7.5 million and 8 million "quintessential swing voters."

An 'affinity for the Republican Party'

The door is the most open to Republican candidates and the Republican Party, Jones said.

"Evangelicals have the most affinity for the Republican Party. While nearly half lean towards the Democratic Party, almost as many lean towards the Republican Party at 43%."

The findings were taken from a random sample survey of 1,563 respondents who identified as Hispanic living in the U.S.

De Jesus -- or "Pastor Choco," as he is more commonly known -- believes that evangelical Protestants are "what the country needs right now" and could be the key not only for the GOP winning big during the midterms, but also for Republicans to get back to the White House.

"We've learned from the Bible that when the righteous govern, the people rejoice. And (Latinos) haven't seen our people rejoice for quite some time," he said. "At the core of evangelicals is the fear of God and the institution of family. These are things we feel we can bring back to this nation."

'We need to do a better job communicating'

Latino evangelicals might be ripe for Republican influence, but getting them to vote red is a different story.

Angel Garcia, president of the Chicago Young Republicans, said that although the survey gives the GOP reason to be hopeful, the party needs to be more proactive within the community.

"We've done a bad job of managing our brand. We've let a handful of people in our party, that have made some unfortunate statements, control the party's message," Garcia said.

The 38-year-old attorney and lifelong Republican said that as the son of Mexican immigrants, "it's disappointing as a Latino when you hear people making ignorant statements (in the party). But both sides make ignorant statements. I am a leader in the party. I have lived the Latino culture. It's my job to show the voters and pretty much the entire party that we need to do a better job communicating."

He's talking about statements like this one by Republican presidential candidate Mitt Romney, describing his plan to deal with undocumented immigrants during a 2012 primary debate: "The answer is self-deportation, which is people decide they can do better by going home because they can't find work here because they don't have legal documentation to allow them to work here."

"When he said that, I looked over at my wife and said, 'He just lost thousands, if not millions, of us.' Immigration ... it's a preeminent issue for us," said the Rev. Gabriel Salguero, president of the National Latino Evangelical Coalition.

A focus on immigration reform

Much like his friend De Jesus, Salguero believes that Latino evangelicals are the key to victory for any politician. Nowhere is this more evident than on the issue of immigration reform.

"Evangelicals are coming to a boiling point on this issue. We've prayed about this, held meetings with the White House; we've done all we can," he said from Newark, New Jersey. "Let me be clear: We face the issue of immigration every day, as pastors, as caretakers, as Latinos. This is on the top of our political agenda. It would be disingenuous of me to say it doesn't carry heavy electoral gravitas."

Both Salguero and De Jesus were advisers to President Barack Obama on the immigration issue. It's an area where they feel he's failed. Republicans have the chance to capitalize on it, according to De Jesus.

"Barack flipped on us," De Jesus said. "I traveled for Obama for 14 months as a surrogate. I talked to the White House, and I said, 'the president cannot speak from both sides of his mouth.' It's only right for the Republicans to say, 'let's win back this Latino bloc, at least the evangelicals.' That starts with the immigration issue."

The dismal Latino turnout for Romney was a stark contrast to the momentum developed for years under President George W. Bush, who won 44% of the Latino vote in 2004, compared with the 27% Romney received eight years later.

After the 2012 election, the GOP held a postmortem emphasizing Hispanic outreach, but it's still unclear how much of a priority Republicans have made Latino voters. At the latest Conservative Political Action Conference, a panel on minority outreach had dismally low attendance.

Disapproval of both parties

The Hispanic Values Survey showed that while there is "dissatisfaction" among Latino voters with the Democratic Party on issues like record deportation numbers under Obama, there is "distrust" of the Republican Party within the Latino community.

"The Democratic Party has a less bumpy road ahead," Jones said. "The clearest word of caution to Democrats ... one phrase that is a bellwether question of how well to gauge voters is, 'How well does the party care about people like you?' "

Nearly three in 10, or 29%, said "neither party cares about them," according to the survey.

"Democrats certainly don't have this community locked down. That's a pretty clear indication that there's significant dissatisfaction among Latinos with both parties," Jones said.

"That's not necessarily a reason for us to be optimistic. We have to be realistic and more proactive," said Daniel Ballori, president of the Young Republican Federation of Puerto Rico.

The 31-year-old said the focus for the Republicans in winning more Latino votes should be on the economy, whether they are courting evangelical Protestants or others in the community.

"Jobs and unemployment. The figures show that U.S.-born Latinos care about the same issues that non-Latino Anglos care about. Right now, that's jobs and unemployment," Ballori said.

He may be on to something. Though the issue of immigration reform was ranked high among the concerns of Latino voters, it was in a four-way tie for the third most important issue behind the economy and affordable health care, according to Public Religion Research Institute research.

Garcia said the solution to courting more Latino voters comes down to the rhetoric.

"Regardless of party, Hispanics will go to the candidate that supports them. We're the party of (Marco) Rubio, (Brian) Sandoval and (Susana) Martinez. Our message should be one of inclusion," Garcia said.

The question then becomes, how do they do that?

"These politicians are so full of it to get elected," De Jesus said. "Give us someone who is real and speaks the truth and is going to do what they say and mean it. We'll vote for them, whatever party they're from."

@highlight

New survey shows number of Latino evangelical Protestants is on the rise

@highlight

Influential pastor says the group is "what the country needs right now"

@highlight

Republican Party needs to be more proactive in community, Latinos say

@highlight

Almost a third of Latinos believe neither party cares about them, survey shows