A few hours before Hillary Clinton addressed an audience of around 6,000 people near Denver, the former secretary of state did what few people looking to sell a book would do: She toured a plastics factory.

Clinton aides say the event was tied to her family's foundation  -- the Clinton Global Initiative -- and the fact that its annual meeting will be held in Denver later this month.

But the optics of the event said something different.

After touring the factory and giving short remarks about the power of American business -- "I am convinced that American businesses can compete and win against anybody anywhere if we are at the top of our game," she said -- Clinton stepped off the stage and headed to a rope line of eager factory workers and camera-toting employees.

"Let me shake a few more hands," Clinton said, a comment reminiscent of refrains made by Iowa- or New Hampshire-bound politicians.

In the last month, these two facts have been evident: Clinton-land wants you to know she has a memoir -- "Hard Choices" -- coming out on June 10 and she has become more open about her presidential ambitions.

Clinton discusses Berghdal in book

And the two have a lot to do with one another.

Instead of surrounding herself with the regular PR flacks and publicists in preparation to sell her book, Clinton has brought on seasoned campaign veterans and political communicators. Sources close to Clinton are talking about "war rooms" and "surrogate operations" instead of book signings.

Clinton to take part in CNN town hall as book launches

"This is a very well orchestrated roll out that is going to make the book have far more impact and, yes, will add to her sense of candidacy," said David Gergen, a senior political analyst with CNN who has deep connections with the Clintons. "I think what you will see with her over the next year until she makes a firm decision is an occasional set of events like this that will keep her fresh, allow her to say her piece."

'A very professional operation'

In addition to helping Clinton, the hypothetical candidate, Gergen said the book rollout will help her staff.

"It gives them a sense of what a political campaign feels like," he said. "I don't think she has made her final call yet, but she is clearly laying the groundwork in a way that suggests a very professional operation."

Earlier this year, the former senator was also more measured in her remarks and more sheepish when answering questions about 2016.

In January, Clinton told an audience in New Orleans that she "wasn't thinking about" running and that she has "tried to get other people not to think about it."

In Portland, she shrugged when asked about 2016 and walked off stage to a chorus of laughs. In Miami, she commended the way the question was asked, but failed to actually answer it.

Fast-forward to June and Clinton was more openly talking about the worst-kept-secret in Washington: She is thinking about running for president.

In an interview with People Magazine that was part of the book rollout, Clinton said she knows she has "a decision to make" on 2016 and that she will "just have to make my own decision about what I think is right for me."

In her Colorado speech on Monday -- the one after her campaign style tour of the plastics plant -- Clinton called the presidency "as much a job as it is a mission" and when asked about how difficult it is to run, she remarked that she "luckily" has "a lot of resilience and a lot of stamina."

Her rhetoric, too, has started to sound more like a campaign.

At the end of the speech in Colorado on Monday, Clinton closed with what sounded like an impassioned plea for support and, if the venue was different, for votes.

"Please join me," she said, her voice raising over the roaring crowd, "in making some hard choices for America."

Seasoned hands help communicate message

With the stepped up rhetoric has come a more robust inner circle of Clinton aides to tightly and systematically trickle out information about the book.

Once an operation with just a few press staff and advisers - along with dozens of informal friends and longtime confidants - the Clinton world has added a few seasoned political hands to help communicate Clinton's message around the book.

The Clinton team brought on Tommy Vietor, a National Security Council spokesman during Obama's first term, to coordinate and assist in the response to the book and questions about Clinton's record at the State Department.

It has also tapped Kiki McLean, a former Clinton senior adviser and veteran of five presidential campaigns, to coordinate the surrogate operation around the book.

With the new hires comes what one source called a war room of former diplomats who stand ready to respond to criticism of Clinton's tenure at the State Department.

It is safe to say that Clinton's book roll out is one of the first to use phrases like war room and surrogate operation.

One of Clinton's closest advisers - Philippe Reines - also briefed a group of Democratic national security experts and communicators last week on the political scrutiny over the Benghazi terror attack and the themes of Clinton's book.

The meeting was tightly controlled by Clinton's advisers, who told attendees that there would be no leaking what was discussed in the briefing.

Outside groups have also begun to step up their activity around the book.

Correct the Record, a pro-Clinton messaging and rapid response organization with deep ties to Clinton, hosted media training for their surrogates in May.

Ready for Hillary, a pro-Clinton super PAC that is building grassroots support for the former first lady, announced on Wednesday that they would follow Clinton's book tour in "The Hillary Bus," a mobile venue for the group to sign up supporters and support the pseudo-campaign.

The groups that have Hillary's back

Leaks and excerpts trickle out

As her aides have been planning and preparing, Clinton has been all over the news. She appeared on the View in May - joking that she was "running ... around the park" -- and details about her book have slowly leaked out on a nearly daily basis.

The first book excerpts came out in early May, when in honor of Mother's Day Vogue published a passage of Clinton's book that was dedicated to her mother. Then came the book's Author's Note, put out by Simon & Schuster, the book's publisher.

Shortly after that, the most highly anticipated chapter of Clinton's book - her recollections and thoughts about Benghazi - was leaked to Politico. The speculation was that Clinton's staff wanted to get the news out of the way early so that it wouldn't shadow the rest of the book.

On Thursday, CBS reported that Clinton talks about negotiations for captured soldier Bowe Bergdahl's release and her differences with Obama over arming Syrian rebels in the book, which it said it had gotten a copy of.

Along the way, locations for Clinton's book tour were released: New York City, Chicago, Washington, D.C., Los Angeles and San Francisco, to name a few.

If all of this seems reminiscent of a campaign, that's because it is. Seasoned staff, effective surrogate operations and coordinated leaks are what can make or break a political campaign.

And as is evident with Clinton's stepped up presence and the slow trickle of news about her campaign, Clinton's book tour appears to be as much a memoir roll out as it is political tune up.

@highlight

Clinton events look like something from the campaign trail

@highlight

She's become more open about her presidential ambitions, although no decision yet

@highlight

Rollout of her book will help her staff prepare for if she decides to go for it