(CNN) -- "We must be on you but cannot see you." That was one of the very last voice signals transmitted by Amelia Earhart in the summer of 1937, somewhere over the vast Pacific Ocean during her ill-fated flight around the globe.

An intense search led by the U.S. Navy was launched to find Earhart and her plane, but after several weeks, nothing was found.

"All right, good night." Those were the last words transmitted 17 days ago from Malaysia Airlines Flight 370, somewhere over the South China Sea between Kuala Lumpur and Ho Chi Minh City.

An international search led by the Malaysian government and Malaysia Airlines and joined by governments and private companies from the United States, Great Britain, China, Australia, Norway, Japan, New Zealand and others have narrowed down a possible search region to a vast chunk of the Indian Ocean southwest of Perth, Australia.

"This is probably the one of the largest efforts you'll ever see in terms of maritime surveillance and joint operations," Australian Defense Minister David Johnston said Tuesday.

Reports now seem to support the theory, popularized by pilot instructor Chris Goodfellow, that an incapacitating emergency led the pilots to divert the Boeing 777 toward the closest airport (hence turning south) while simultaneously trying to fight an electrical fire of some sort until they were overcome. Experts believe that the jet continued on dumb autopilot until it was, like Earhart's Lockheed Electra, out of fuel, plunging into the sea.

Opinion: Flight 370's resting place is best clue

Earhart was lost on July 2, 1937. MH370 disappeared March 8, 2014, more than two weeks ago.

In those 77 years, almost everything about the world has changed.

Earhart and her navigator, Fred Noonan, disappeared just a few years before World War II erupted and a new world order emerged: what is often called the American century. And the three-week search effort for Earhart was entirely American, directed by the Navy.

Flight 370 was operated by Malaysia's national airline, en route to Beijing. The flight was the opposite of pioneering, instead a routine long haul of 227 passengers, with a coach class ticket costing about $530. But in this case, the search effort is extraordinary and much more international in scope.

This time, it's not just the Americans. The Australians, the Chinese and the Norwegians are deploying their air forces and navies with cutting-edge technologies for weeks on end to help. Pakistani radar, Chinese satellites, even NASA aided the search. Add to that countless hours of analytical personnel. In the end, it was a private British satellite company, Inmarsat, that confirmed the likely flight path and terminus.

According to some reports, this is the most expensive search effort in history. Although there was strong criticism against the Malaysian government for delays and missteps during the initial days of the investigation, it seems as if the international community has largely united in focusing massive resources on finding the plane.

There was nobody famous on the flight and yet it is somehow unremarkable that dozens of nations are expending millions of dollars to solve the mystery.

Together.

Pilot: How mechanical problem could have downed Flight 370

All this stands in stark contrast to Russia's opportunistic conquest of the Crimean peninsula, a major part of the neighboring nation of Ukraine. That sort of nationalist land grab reminds me less of the Cold War than of norms of the 18th century and just about every century of history prior. Certainly, there's something extraordinary and dangerous going on in the Crimea, but a calmer, more patient, more historical assessment distinguishes the reflexive nationalism of a weakened ex-empire from the larger trends in a globalizing world.

Or what about the civil war in Syria? Or the heightened tensions on the North Korean peninsula? Or the disputes between Japan and Korea over the "Sea of Japan" versus the "East Sea"? Or the uprisings in Venezuela?

All are hot spots where the international community has largely been paralyzed, unable to do much more than call for multilateral inquiries and issue hollow condemnations.

So what's left to be seen is whether this unprecedented international coalition assembled to scour the ocean for the remains of Flight 370 is one of the few bright spots in an otherwise devastating tragedy for the families of the 227 passengers and 12 crew members. Or whether this is merely a one-off proposition where each nation is acting in its own self-interest to do what it must for its own citizens, while feigning cooperation for the world stage.

I prefer to see the goodness here, that the world can come together and work together when it counts.

Sometimes it takes a tragedy to remind us of the everyday miracles of our time.

Join us on Facebook.com/CNNOpinion.

The opinions expressed in this commentary are solely those of Tim Kane.

@highlight

Tim Kane says international search for Flight 370 is rare bright spot in tragedy

@highlight

More than a half-dozen nations have come together in the deep-water search

@highlight

Like the disappearance of Amelia Earhart in 1937, Flight 370 is a mystery