(CNN) -- On Monday, news broke that about 200 girls had been kidnapped from their school in Chibok, in the northeastern state of Borno -- a region at the center of Nigeria's five-year terrorist insurgency.

The very next day, the Nigerian military announced that all but nine of the girls had been rescued.

This turned out to be untrue. The school's principal and the girls' parents complained that the girls were still missing.

In August last year, a military spokesman announced the death of Abubakar Shekau, the leader of Islamist extremist group Boko Haram, at the hands of the military. But like the news of the release of the schoolgirls, it proved to be fiction.

'Misleading sources'

Incidents like this have come to shape the way the military is perceived in the wildly unpredictable battle against Boko Haram. Posts on the military's social media accounts regularly boast of "smoking out" or ambushing terrorists or recovering weapons -- often written in way that brings to mind Iraq's infamous former information minister under Saddam Hussein, dubbed "Comical Ali," who claimed coalition forces were in retreat even as American tanks rolled almost unchallenged across the country in 2003.

Like him they've also ended up pinning the blame for inaccurate reporting on "misleading" sources.

Even when there is truth to its narratives -- and there have been major successes, including a crackdown that started in early 2013 that killed several top Boko Harem commanders and driven others across the border into Chad, Niger and Cameroon -- the triumphalism seems odd when juxtaposed with the harsh reality of events like the Chibok abduction, or the one at another government school in neighboring Yobe State in February, in which more than fifty schoolboys were murdered in their dormitories, with nary a soldier in sight until several hours later.

Perhaps the military resorts to this impulsively buoyant tone because it believes it cannot afford to sound anything otherwise. Or perhaps it's simply because it can get away with it -- because the Nigerian authorities have a long and remarkable history of getting away with anything they say.

That tenuous relationship with fact makes it relatively easy for senior government officials to publicly dispute government finances to the tune of billions of dollars; and for an assortment of newspaper headlines to display wildly differing casualty figures the morning after a bombing incident.

Death 'cheap and plentiful'

And then there's the scale of Nigeria's tragedies. For a country that is not at war, death is cheap and plentiful. So cheap and so sweeping in its audacity that Nigerians readily make jokes about it. That might help explain the trademark blunted edge of Nigerian outrage. If it happens often enough, the mind is soon inured, and eagerly accepting of the sense of resignation that might offer the best protection against the emotional impact of the next cycle of negative breaking news.

All of the above combine to create the context in which the Nigerian military -- wielding political power for 29 of Nigeria's first 39 years after independence -- has learned to operate.

Not since the civil war, almost 50 years ago, has it been tested this much. The closest it got were the lengthy tours of duty in Liberia and Sierra Leone, in which it played a prominent role at the head of the West African ECOMOG Force, intended more as a "peacekeeping" unit than a combat force.

Indeed what we are seeing may be evidence of its struggle to adapt to new rules of engagement, fighting an enemy driven by convictions much deeper than those displayed by the pro-democracy activists and diamond-obsessed rebels it contended with in the 1990s; possessing access to sophisticated weapons, and operating in terrain far better suited to insurgents than conventional armies.

Abuse claims

The increasing militarization of the troubled zones has since spurred accusations of human rights abuses, from local and international observers. An International Crisis Group report from April 2014 has called for an end to the use of "heavy-handed military and police methods that risk pushing yet more restless, jobless and frustrated youths into violence and extremism."

Communication strategies also require overhaul. In the age of social media, the military needs to realize that propaganda is now a lot more likely to be found out and discredited.

News reports suggest that the military, long hampered by aging hardware, is now acquiring new weapons and equipment. That's heartwarming. In a country where institutional graft is the rule and not the exception, it is crucial to ensure that the military budgets are spent to boost the military's capability, and troops' morale -- and not pocketed by bigwigs.

International cooperation also needs to be stepped up; and it does seem that the government is now more willing than ever to work with Europe and America. Nigerians have long been wary of allowing the American military the sort of foothold it has in countries like Yemen and Pakistan, but there's certainly room for more intense cooperation that does not involve abdicating total control.

Finally the military will need to prepare to adapt itself to the reality of the government's planned shift to a "soft" counter-terrorism strategy, embodied in a document unveiled by National Security Adviser, Sambo Dasuki, a retired Army Colonel, in March.

Amid the backlash it has faced recently, the beleaguered military can count on the support of a growing number of Nigerians, who think that it is being under appreciated for the work it is doing. Just this week a "Support The Nigerian Military" page launched on Facebook, in honor of "our military men and women on the field who risk their lives daily to keep us safe."

@highlight

Ogunlesi: Nigeria's military has issued incorrect statements in fight against extremists

@highlight

Often blame their inaccurate reporting on "misleading sources," he says

@highlight

Ogunlesi says the military may be trying to paint a constantly positive picture

@highlight

Ogunlesi says it has had some successes in its five-year war with Islamist extremists