(CNN) -- If you don't like mangoes, look away now.

This article includes a "mango" word count well in excess of what is normally reasonable.

It features mango culinary demonstrations, mango samplings, mango lectures, mango medics, a mango auction and even a mango summit.

That's because I attended the International Mango Festival, held in the Fairchild Tropical Botanic Garden in Miami earlier this month.

It's an annual event, one that draws enthusiasts, like myself, and also mango "experts" who gather to talk, taste and slurp their way around this sweetest, drippiest of fruits.

I imagine most are still reading.

After all, who doesn't like mangoes?

The United States is the world's biggest importer of mangoes, buying in more than 300,000 tons of them in 2010, worth around $280 million, according to the UN's FAO figures.

That's not as much bananas -- in the same year the U.S. imported more than 4 million tons of bananas, worth nearly $2 billion.

But clearly we have a liking for this red-yellow fruit.

My mission, I decided, was to try and discover if there is such a thing as a "perfect" mango, and if so, where I could find it.

Hundreds of varieties

It's not as absurd a mission as you might think -- there are an estimated one thousand mango varieties grown around the world, the Fairchild Garden has a collection of 600 types, and they're all quite different.

"Surprisingly, only 20 of those are commercially traded," says Noris Ledesma, the curator of tropical fruit for Fairchild's Tropical Fruit Program.

"The most common are Tommy Atkins, Ataulfo, Kent and Keitt. With the exception of Ataulfo, which is from Mexico, all other varieties are from Florida."

Mangoes were introduced to the United States in the early 1900s by David Fairchild, the then manager of the Office of Seed and Plant Introduction of the U.S. Department of Agriculture.

His global seed explorations brought thousands of seeds, plants and crops into the country, including the mango.

Originally from South Asia, the mango moved to Africa, then South America and the Caribbean. Fairchild brought the mango into the U.S. from India.

For Dr. Richard Campbell, director of horticulture and senior curator of tropical fruit at the Fairchild, mangoes are "a special fruit that have everything: aromas, flavors, colors and culture.

"They bring out passion and appeal to the common man and to the most sophisticated."

So where should I start on my perfect mango mission?

"Mangoes from Indonesia do not taste the same as mangoes from India, Hawaii or Mexico. It's just geography," says Dr. Campbell.

So perhaps I should start close by -- in Florida.

Florida produces the majority of mangoes in the United States, and it turns out South Floridians are exceptionally confident with their mango selections.

Local favorites

Standing in front of the one dollar line for the mango tasting and flavor evaluations, I ask festival attendee Stacey Griffin what she votes for.

Her mango of choice is the Merritt, a complex mango from Florida with layers of flavors.

Griffin's second choice goes to the Champagne mango, also known as the Ataulfo, from Mexico, with thick, buttery flesh and a thin pit.

For Griffin, mangoes are great in all forms: hot, cold, as smoothies or in a cooked dish.

For others, including myself, the choice is too overwhelming to make such an important decision so quickly.

I wonder if there are tricks or techniques I should apply to come to a decision quicker.

"The best way to taste mango and to appreciate the complexity of the flavors is early in the morning with an empty stomach," says Ledesma.

If you want to get really technical, which is exactly what festivals like this seem to thrive on, we can also argue over mango cultivation, pruning, crafting and market demand.

The event features a long diary of workshops and displays and other proceedings on all things mango.

I learn, for instance, that while India is the world's biggest producer of mangoes by some distance, Mexico is the biggest supplier to the United States, with China, India and Brazil following.

That doesn't necessarily mean Mexico has the best mangoes, but the Champagne variety from Mexico is deliciously sweet with an appetizing orange color.

Then there's the Keitt -- shining yellow and aromatic.

There's the Manila from Philippines -- strong and sour.

The Okrong from Thailand is also pleasant, while the Kent variety is rather grassy.

Mangoes during the festival sell for the modest price of $1-2 each, but in Japan the price can go much higher.

"The Floridian mango sells for $80 a piece," says Ledesma. "It's given as a gift because its red color is a symbol of luck and abundance."

Mango tastings don't have to involve the fruit in its pure form.

Cut, cooked, creamed

Soon I find myself trying mango-based dishes like sticky rice with mango, mango ceviche and mango chutneys offered by local vendors and chefs.

It all has a refreshing yet sweet flavor and the savory and spicy combinations intrigue me.

Its versatility makes it easy-to-use in salads, dips, chutneys, smoothies and even bread.

But even after dozens of tastings, I'm still looking at my notes unable to decide what makes a perfect mango.

I seek alternative opinion once again.

"I definitely do not like Manila," says seven-year old son. "It's super sour."

Dr. Campbell says it's almost impossible to decide what the "best" mango is.

But that doesn't stop him picking one out.

"My favorite is the Edward because I grew up with it, I have it in my backyard," says Campbell. "It is safe and it reminds me of home."

After two days of exploration, numerous tastings and various conversations I finally decide on a favorite: I opt for the Fairchild mango from Panama, named after David Fairchild.

It's smooth, creamy and fragrant, its bold sweetness is addictive and I'm intrigued by the color.

It's just a shame my choice means excluding so many delicious others.

@highlight

The International Mango Festival takes places every year in Miami, bringing together mango enthusiasts and experts

@highlight

Dozens of varieties from around the world can be tasted, cooked and bid for during the two-day event

@highlight

The Fairchild mango was named after David Fairchild, who introduced mangoes to the U.S. in early 1900s