(CNN) -- London may be the center of attention this summer, but venture beyond the Olympic Stadium and you'll find the real British Isles, a world of ancient thatched cottages, monumental castles, elegant university towns and jagged peaks.

You won't have to travel far to see why the British landscape so inspired the Romantic poets, why A-listers flee the city for tiny medieval villages and why a pint in a pub selling hammers and nails tastes finer than any other on Earth.

England: The Cotswolds

For a slice of picture-postcard England, the Cotswolds make an easy excursion from London but feel half a world away. The wool trade boomed in these rolling hills in medieval times and today the region is littered with achingly pretty villages, elegant old mansions, graceful churches and atmospheric pubs, most largely unchanged for centuries. Wander between rows of honey-colored almshouses and thatched cottages, browse the antiques shops or stop for a cream tea and you'll feel transported back in time.

Away from the tourists in Burford and Broadway you'll find quieter spots such as Chipping Campden with its long curving high street. Leading members of the arts and crafts movement were so enamored by the town they made it their home in the early 20th century, and their founder, William Morris, settled in nearby Kelmscott in a gloriously unassuming riverside mansion. Another hidden gem, Painswick, lies to the west with its elegant rows of medieval terraced housing and wonderful rococo gardens. For the best pint, head to the Falkland Arms in Great Tew, a place so special I barely wish to share it.

England: Cambridge

Soaked in history and riddled with historic buildings, the university town of Cambridge exudes a dreamy air of Old World sophistication. The august colleges, hushed quadrangles, manicured lawns and cobbled laneways give way to "The Backs," a stretch of picturesque gardens bordering the meandering River Cam. Cambridge is an exclusive kind of place where gowned cyclists ply the streets and the academic elite debate life-changing questions in dimly lit pubs.

You can visit many of the University's 31 colleges, but don't miss the extraordinary King's College Chapel. Its mesmerizing fan-vaulted ceiling is best appreciated during Evensong when you can listen to the college's celebrated choir as you ponder your place in the universe. Art lovers should follow up the grand neoclassical Fitzwilliam Museum with the unassuming Kettle's Yard, a treasure trove of 20th-century art, ceramics and sculpture.

For the quintessential Cambridge experience, hop on a chauffeur-driven punt to the sleepy village of Grantchester. Once a favorite haunt of the influential Bloomsbury Group of writers, intellectuals and artists, this is the place for afternoon tea at the tranquil Orchard Tea Garden. From Cambridge, it's a short trip north to the charming town of Ely and its magnificent cathedral, whose soaring towers dominate the flat marshy fenland that surrounds the town.

England: Lake District

England's largest protected outdoor playground, the Lake District National Park, is a wild and winsome place full of craggy peaks, glittering lakes and moody fells. For walkers and climbers, there's a wealth of routes from which to choose. Try the Langdale Pikes, a chain of rugged hills offering spectacular views or for something less taxing, the Borger Dalr route.

The region provided ample inspiration for some of England's finest writers and poets, and today you can follow the William Wordsworth trail from his childhood home in Cockermouth to tiny Dove Cottage in Grasmere, and the more tranquil Rydal Mount in Ambleside, where you can sit in the house where he once tested his verse. Beatrix Potter's bucolic 17th-century farmhouse, Hill Top, is also here and scenes straight from her books lie around every corner.

Many of the main sights get extremely busy, as do cruises on the largest lake, Windermere. Instead head for Coniston Water, where a trip on the restored 19th-century Steam Yacht Gondola offers captivating views of the surrounding hills and drops you off at Brantwood, the fascinating former home of John Ruskin, Victorian art critic, philosopher and philanthropist.

Scotland: The Highlands and Islands

Big skies, craggy mountains, steely-gray lochs and cascading falls, the majestic, wild expanses of the Scottish Highlands are every bit as romantic as their celluloid reputation. The grand vistas, lonesome castles and isolated pubs where you can warm yourself by a peat fire, sip a dram of whisky and put the world to right are all just waiting to be explored. You can hike, bike, ski and fish, feast on seafood, dance a jig or even toss a caber (a large wooden pole thrown as a test of strength during the traditional Highland Games). The mercurial landscape of the Cairngorms National Park makes an excellent place to start. Sculpted by glaciers and home to golden eagles, wildcats and red deer, the ancient forests and bleak moorland here are simply spectacular.

For pure romance, head to Eilean Donan Castle. Perched on a rocky islet on the edge of Loch Duich, it is one of Scotland's most iconic sights. Nearby is the glorious Isle of Skye or head for the Hebrides to marvel at the mysterious standing stones at Callanish and dip your toes in the azure waters off Lewis and Harris. Possibly Scotland's most spectacular setting though is on far-flung Orkney, where you'll find the wonderfully preserved Skara Brae. The village, which predates the Egyptian pyramids, remains a testament to the ingenuity of the people of the day.

Wales: Snowdonia and North Wales

North Wales is one of the country's most spectacular and traditional regions.

Its high mountains and rough terrain deterred waves of invaders over the years, and its finest landscapes are protected as part of Snowdonia National Park. Snow-capped mountains, tumbling rivers, Stone Age burial chambers and Roman forts all lurk here. It's an excellent spot for gentle hiking or challenging climbs but rather than tackle the busy Mount Snowdon, head instead for Cader Idris, a legendary peak said to be an entrance to the underworld. Capel Curig makes a good base for walkers and climbers, but history buffs should head to one of the magnificent medieval castles that dot the area.

The intimidating fortresses at Harlech, Beaumaris, Conwy and Caernarfon jointly form a UNESCO World Heritage Site and are intriguing places to explore. Alternatively, catch the dramatic Ffestiniog Railway to the slate mines at Blaenau Ffestiniog to learn about the human side of Wales' industrial heritage. A short trip south and you enter an entirely different world at the whimsical Italianate village of Portmeirion. Set on a tranquil peninsula, this bizarre enclave was the brainchild of Welsh architect Sir Bertram Clough Williams-Ellis.

Ireland: Kerry

Gorgeously green and incredibly friendly, the lush scenery and unique atmosphere of Kerry have made it one of Ireland's most popular regions.

Here, emerald forests drip with moss, dramatic peaks lie shrouded in mist and water trickles everywhere. Head out from the tourist honeypot of Killarney around the Ring of Kerry with its glorious views, sandy beaches and ancient ruins.

It's a busy route in summer and the best way to leave the crowds behind is to take a trip to the early Christian monastery of Skellig Michael. Seven miles offshore and up 600 steep steps, you'll find the 6th-century beehive huts of what was once one of Europe's most remote religious communities. The sense of isolation here is humbling, and the views are nothing short of spectacular. Alternatively, you could take a trip in a pony and trap across the beautiful Gap of Dunloe which is flanked by Ireland's highest mountains, the McGillycuddy's Reeks.

Whatever you do, don't miss the Dingle Peninsula with its vast stretch of golden sand at Inch, scenic Conor Pass and beguiling eponymous town where you can down a pint in the wonderfully atmospheric Dick Mack's pub/hardware store.

Northern Ireland: the Causeway Coast

Northern Ireland's troubled reputation has been hard to shake off, but wander this way and you'll be rewarded with the peace and tranquility of a place the world has yet to discover. Beyond Belfast's black taxi tours, urban regeneration and stunning new Titanic experience, the biggest draw is the otherworldly Giant's Causeway.

Here, more than 38,000 interlocking basalt columns form a patchwork of stepping stones that stretch out into the sea. This extraordinary landscape marks the start of the legendary Finn McCool's bridge to Scotland, although a rival theory suggests it's merely a geological phenomenon formed 50 million to 60 million years ago.

From here the beautiful Causeway Coast stretches in both directions. Head east to reach Carrick-a-Rede, where a narrow swaying rope bridge connects the mainland to a little island traditionally known for its salmon fishing, or go west to the dramatic ruins of Dunluce Castle. Perched on a clifftop, the fortress partly collapsed into the sea in 1639 and today a narrow bridge forges the gap between the main castle and its courtyard. Alternatively, you could just hop on the historic train line to Bushmills, where you'll find the world's oldest legal distillery.

@highlight

In the Cotswolds, visit elegant mansions, graceful churches and atmospheric pubs

@highlight

Gowned cyclists ride the streets of Cambridge while academics debate

@highlight

Don't skip the snow-capped mountains and Stone Age burial chambers of Northern Wales

@highlight

Don't miss Ireland's Dingle Peninsula with its vast stretch of golden sand