(CNN) -- Was it George Zimmerman or Trayvon Martin who screamed for help the night the 17-year-old Martin was shot dead?

That could depend on which mother the jury believes.

Both Zimmerman's and Martin's mothers expressed no hesitation Friday in separate court appearances as to whose panicked voice is heard screaming during a 911 call from that February 26, 2012, night in Sanford, Florida: Each said it was her son.

That contradiction -- with Sybrina Fulton insisting it was her son, Trayvon, who cried out, while Gladys Zimmerman said it was her son, George, who was yelling after being attacked by the teen -- was central to Friday's court proceedings, and central to the second-degree murder case unfolding in central Florida.

Zimmerman has pleaded not guilty and claimed he shot the teenager in self-defense. The 911 call played twice in court on Friday, his lawyers claim, back up their assertion that it was Martin, and not their client, who was the aggressor.

Testifying late Friday afternoon, Gladys Zimmerman said she was sure George was the one yelling. Why?

"Because he's my son."

She answered "all of the above" when asked whether she had ever before heard her George Zimmerman laugh loudly or cry out for help. This instance, though, Gladys Zimmerman admits was different.

"I haven't heard him like that before," she said as her son wiped away tears in the courtroom. "The anguish, the way that he is screaming it describes to me anguish, fear, I would say terror."

Contrast that to the very different story offered a few hours earlier by Sybrina Fulton, who was stoic as prosecutor Bernie de la Rionda played the 911 call.

When asked whether she recognized the screaming voice, the mother -- who earlier stated that her son was "in heaven" -- said it was that of "Trayvon Benjamin Martin."

Trayvon Martin shooting: Fast Facts

Defense attorney Mark O'Mara followed up by asking her, "As his mother, there was no doubt it was him screaming?"

She replied: "Absolutely."

O'Mara then raised the possibility her son, not Zimmerman, was to to blame. "You certainly hope, as a mom, that your son Trayvon Martin would not have done anything that led to his death, correct?" he asked.

"What I hoped for," said Fulton, "is that nothing happened and he'd still be here. That's my hope."

Parents' comments pivotal, or do they cancel each other?

More than a year ago, the tale of what happened between Trayvon Martin and George Zimmerman captured the nation's attention and shone a spotlight on gun laws as well as race -- given that Martin is African-American, while Zimmerman is Hispanic.

Moreover, the case prompted some to question Florida's "Stand Your Ground" law, which gives a person facing a "presumption of fear of death or great bodily harm" extra protections should they respond with force instead of retreat. Ultimately, Zimmerman chose not to utilize that specific defense.

The trial kicked off nearly two weeks ago with impassioned opening arguments.

The prosecution suggested Zimmerman, whom they painted as a neighborhood watch volunteer who overstepped his bounds, had "profiled" Martin because he was black. They called to the stand the 911 dispatcher who told Zimmerman not to follow Martin, though he did anyway. Then there were crime scene and autopsy photos.

And of course, there was the testimony of Rachel Jeantel, who said she'd been on the phone with her friend Trayvon Martin in the minutes before his death. She testified that she'd heard Martin call out, "Why are you following me for?" and then say, "Get off," before their call was cut off.

Jeantel has been described as the defense's star witness. That may still be true. But in many ways, Friday was the most emotional and potentially pivotal day in the trial to date.

O'Mara isn't disputing that latter assertion. He told CNN's Brooke Baldwin on Friday night that "once the jury decides who was screaming for help (on the 911 call), if they can, I think everything else falls in line."

Speaking to CNN, O'Mara says he doesn't dispute that Fulton genuinely believes it was her son's voice. But so does Gladys Zimmerman of her own son, the defense lawyer says, arguing that "all the other evidence would suggest" that the screaming voice is indeed that of George Zimmerman.

And even if not everyone sees it that say, O'Mara opined, it's possible each woman's testimony may cancel each other out.

Opinion: Can Zimmerman win over the jurors?

"I think the jury is going to look at this and say both of these women just have to live with the belief that it is, in fact, their son," O'Mara said. "And they are going to make a determination not based on what each mom says, but on the other evidence."

Daryl Parks, a lawyer for Martin's family, didn't entirely disagree -- telling CNN that he didn't think the case ultimately "is going to hinge on whose voice you're hearing."

The six jurors, all women, will weigh both mother's credibility, others' testimony and a host of evidence. When all the testimony and presentations are over, Parks said, he expects they'll agree on a verdict: guilty.

He said, "At the end of the day, we do not believe that George Zimmerman had to pull out a gun and shoot Trayvon Martin in the heart."

Defense challenges medical examiner

Sybrina Fulton and Gladys Zimmerman weren't the only members of their respective families to take the stand Friday.

Jahvaris Fulton, Martin's older brother, testified Friday morning about the voice on the 911 call. The 22-year-old college student said he was certain that it was his brother, even as he added that he had "heard him (Martin) yell" before, but "not like that."

Hours later, it was Jorge Meza's turn. He testified right after Zimmerman's mother.

A deputy sheriff in Orange County -- which is just south of Sanford, both in central Florida -- he's also George Zimmerman's uncle. He said he originally heard the 911 call on TV and without any further information or prompts, immediately recognized his nephew's voice.

The other highlight of Friday's court proceedings was the testimony of Voluscia and Seminole County associate medical examiner Shiping Bao.

In Zimmerman's trial, it's a jury of millions

Bao said the muzzle of Zimmerman's gun was likely in loose contact with Martin's clothing, indicating that the teen was shot at close range.

In testimony that at times turned contentious, Bao also said Martin did not die right away after the gunshot.

"I believe he was alive for one to 10 minutes after he was shot. His heart was bleeding until there was no blood left," the medical examiner said as autopsy photos lingered on a courtroom screen, adding that Martin was "suffering (and) in pain."

"There is no chance he could survive. Zero."

During a contentious cross-examination, defense attorney Don West expressed doubts about the condition of Martin's body and clothing when it was examined, noting the victim was not moved from the scene for about three hours. Bao would not confirm that timeline -- despite West's repeated attempts to have him do so -- because he said he was not there.

As the two disputed Bao's ability to establish a timeline, Judge Nelson interjected, telling the witness to "please stop speaking so Mr. West can ask the next question."

Prepared notes that Bao was reading from also drew West's attention. When asked about them, Bao said, "I typed out potential answers to your potential questions."

Bao objected to sharing his notes, telling the judge that they were private and no one had seen them.

Despite his protests, Nelson allowed the papers to be copied and reviewed by lawyers from both sides.

The notes revealed that Bao had changed his mind about a couple of issues: the amount of time Martin survived after being shot and whether the marijuana in the teenager's system was enough to affect him.

West argued that the prosecution knew about these changes but didn't tell the defense. But Bao insisted that he did not tell anyone that he'd changed his opinion.

The defense attorney pressed Bao, too, on the collection of Martin's clothes and scraping of his fingernails. The medical examiner, though, said he couldn't remember each detail and that he'd trusted that his technicians properly followed procedures.

Late in Friday's court proceedings, O'Mara made his pitch for acquittal -- arguing that Zimmerman acted in self-defense; there was no direct evidence of ill will, hatred or spite surrounding Martin's killing; and that it was still unclear who could be heard screaming on the 911 call.

There is "no other reasonable hypothesis" for what happened, the defense attorney argued, besides self-defense.

The judge, though, denied the motion -- after which, around 5 p.m., the prosecution formally rested its case.

CNN's Mariano Castillo and HLN's Grace Wong contributed to this report.

@highlight

NEW: A defense lawyer says other evidence, not the 911 call, will determine the case

@highlight

NEW: A lawyer for Martin's family says he thinks the jury will find Zimmerman guilty

@highlight

Gladys Zimmerman says she knows the panicked voice is that of her son

@highlight

Earlier, Trayvon Martin's morther said that it her son's voice on the 911 call