(CNN) -- On August 24, a jury of nine in a California federal court handed down a ruling that sent shockwaves through the global wireless phone industry. Samsung, the world's largest phone maker, was found guilty of infringing on key Apple hardware design and software elements. Samsung got Apple's attention because of its size, but every Android device manufacturer now needs to consider potential exposure areas that could put them in the crosshairs as Apple tries to slow Android growth.

The appeals game will surely play out over the next many months. In the meantime, consumers will feel the pain as devices potentially get more expensive and software changes begin to creep into their Android smartphones. If appeals rulings uphold the initial verdict, the mobile ecosystem as we know it will look very different in one to two years. This would be driven by fundamental changes in the look and feel of non-Apple phone hardware, changes to the Android mobile operating system and potentially the emergence of a third popular mobile operating system.

Smartphone market changes coming

Android phones account for 56% of the U.S. smartphone market. Friday's ruling was very sobering for the Android device manufacturers that have driven this growth. Until recently, smartphone design patent ownership seemed like a gray area. The court has now made it clear that, in fact, it is very black and white. All phone manufacturers will need to be a lot more careful from here on out when it comes to design, and patents they want to avoid, license or partner on. This could result in phones being more expensive for consumers.

Over the next year, consumers lose in this equation. Android phone makers will be scrambling to develop temporary workarounds to steer clear of any potentially infringing Apple patents. The time spent working on these fixes will reduce time spent on development of new, innovative features. In the case of Samsung, it is likely the only device manufacturer with the resources and scale to develop and implement fixes rapidly, mitigating the immediate impact on consumers. If there are other phone makers in Apple's sights, they will be taking advantage of a much-needed head start to begin developing workarounds now to avoid a lawsuit.

Sure, Android consumers could always turn to Apple, but some are turned off by the company's one phone per year release schedule and continued hesitancy to incorporate the latest mobile advances such as 4G and larger screens. Consumers who want to stay in the open and highly-customizable Android ecosystem could experience some temporary frustration.

Creating the next iconic device

This ruling could prove to be the catalyst for major industry change. Smartphone product roadmaps are all but decided for the next year. Beyond that, every device manufacturer will be thinking outside of the "rectangular slab form-factor" box in an attempt to create the next big consumer trend. This will be easier said than done given that consumers have become accustomed to the current crop of devices. Device manufacturers know that consumers can't tell them what they want, they can only tell them what they don't want. This will result in phone makers traveling into unchartered territory in the hopes of capturing consumer attention and emotion.

Choice will likely also come in the way of new mobile operating system platforms. It is no coincidence that Microsoft and Nokia's stock opened higher the day after the ruling. Apple stated during the trial that these companies have proven that it is possible to innovate in the smartphone market without copying Apple. Of course, Apple does have patent and design agreements with Microsoft and both companies have a mutual interest in slowing Android growth. As wireless carriers and device manufacturers seek to diversify their product lineup in the wake of the ruling, Microsoft might finally have its day in mobile. It is very likely that we'll eventually see a three horse mobile operating system race among Apple, Android and Microsoft.

Short term is not pretty, but long term looks good

The short-term might not be pretty, but long-term, the industry is poised to break free from the homogenous rounded rectangular slabs with grid-based apps we're all familiar with today. This ruling will encourage accelerated innovation from device manufacturers, which will move beyond the constraints of a single form factor. Ultimately, the consumer will choose what designs will win and which implementation of hardware and software integration is most elegant. Today's constraints will define how the industry will innovate tomorrow. It might be a tough road, but there are promising days ahead.

The opinions expressed in this commentary are solely those of Jefferson Wang.

@highlight

In the short term, the California verdict could raise smartphone prices and development time

@highlight

Android phone makers will scramble to steer clear of potential patent infringements

@highlight

Manufacturers will be thinking outside of the "rectangular slab form-factor" box

@highlight

As manufacturers diversify, Microsoft might finally have its day in the mobile sun