(AOL Autos)  -- At the 2009 Detroit Auto Show, Chrysler, Mercedes-Benz, Toyota and MINI showed the world what electric vehicles of the future will look like. And the future of driving looks fun.

The Dodge Circuit EV can blast from 0-to-60 mph in around 4 seconds.

Those in the know realize that sometime in the future, the vast majority of light cars and trucks in the US will feature electric final drive systems.

The motors used in these systems will be powered by batteries, fuel cells, on-board generators, and perhaps even the sun. But this open issue doesn't change the inevitability of this reality.

Given our current economic times, reality demands practical, tangible, and achievable ideas of what electric vehicles (or "EVs" for short) might actually look like. This is it ...

Chrysler

Three of the four electric vehicles Chrysler showed in Detroit, Michigan, were shown at other events and even to Washington bureaucrats. Each of these vehicles is a running prototype, not some pie-in-the-sky-we'll-never-build that idea.

ENVI is the special group of engineers at Chrysler that develops the company's EVs. To date, the ENVI group has developed four electrically powered models, each quite different from the other: a Dodge Circuit EV sports car (rear-wheel drive), a Chrysler Town & Country minivan (front-wheel-drive), a Jeep Wrangler Unlimited (all-wheel-drive), and now a Jeep Patriot (front-wheel-drive).

Chrysler promises to offer at least one of these models in 2010, and three more by 2013. AOL Autos: Dodge Circuit EV photos

Chrysler approaches electric vehicles with simple plug-and-play engineering. Every one of their vehicles uses similar electric drive motors (only varying in power output), advanced lithium-ion batteries, and a power management controller. Each plugs in to 110- or 220-volt household outlets for recharging.

The Chrysler and both Jeeps use an on-board range-extending battery charger (a generator). This generator automatically turns on after the vehicle's initial batter charge has been spent (usually within a range of 40 miles), supplying extra voltage that give these three vehicles an estimated range of approximately 400 miles. The generator is powered by a small gasoline-powered engine that runs with exceptional efficiency.

This technology is similar in concept to what General Motors has shown in their Chevrolet Volt, a vehicle that should be ready for production in 2010. AOL Autos: Cadillac Converj photos

The Dodge Circuit carries a larger battery pack and no generator, so its range on the charge it carries is approximately 150-200 miles. Its large battery pack combined with compact dimensions and the exceptional torque provided by its electric motor blast the car from zero-to-sixty mph in around four seconds, exceptionally fast for any sports car regardless of engine type.

Mercedes-Benz

Mercedes-Benz used the 2009 Detroit Auto Show to showcase their Concept BlueZERO vehicles. The Mercedes approach was to develop one efficient body style, and then equip it with three different electric drive packages. AOL Autos: Mercedes Stirling Moss photos

Much of the hardware for the all-electric front-wheel-drive propulsion units is built into what Mercedes calls "sandwich-floor" architecture that the company uses on several production cars. The design helps keep heavy components mounted low on the chassis for better handling, enhanced safety, and maximized interior room.

All three Concept BlueZERO vehicles include electric drive and batteries. The E-Cell uses a large battery pack that is said to deliver a range of 120 miles. The F-Cell utilizes a smaller battery pack, but supplements the vehicle's range with a hydrogen fuel cell. The fuel cell produces electricity to recharge the battery pack that extends cruising range to 240 miles.

The E-Cell Plus, with a range of approximately 360 miles, is the distance champion. The key is the on-board generator powered by tiny 1-liter turbo-charged three-cylinder gasoline engine. The engine and generator are located in the rear of the BlueZERO.

For the record, when you see photos of these cars together, the E-Cell is lime green, the F-Cell is mint green, and the E-Cell Plus is orange.

Toyota

Adding to its line of popular hybrid vehicles in the U.S., Toyota just confirmed plans to add as many as 10 new gas/electric hybrid vehicles in the next few years.

On their way toward that goal, Toyota showed their all-new, third-generation Prius plus the new Lexus HS250H. AOL Autos: 2010 Toyota Prius photos

Important to this story, Toyota also committed to selling a battery powered electric car in 2012 for the U.S. market.

Toyota debuted what their all-electric vehicle might be at the 2009 Detroit Auto Show, and it's an urban commuter called the FT-EV. The little four-seater is based on Toyota's popular iQ, a car that's already a hit in Japan. The good news is that the iQ is a real car, so the FT-EV will not be a glorified golf cart or a neighborhood vehicle with severely limited capabilities. The claimed range for the FT-EV is 50 miles.

As we went to press, details were still sketchy about the FT-EV's running gear. As Toyota releases more details, we'll bring them to you.

Mini

While standard MINI models like the Cooper are comparatively easy on gas compared to larger cars, under the ownership of parent company BMW, MINI is testing the limits of how green a MINI can be. AOL Autos: 2010 BMW Z4 photos

Perhaps following the performance of the stunt cars used in The Italian Job (2003), BMW decided to investigate a battery-powered MINI. They introduced the MINI E coupe last November at the Los Angeles Auto Show and the car was on display again in Detroit.

The "charged" MINI E can run up to 150 miles on a full battery pack. Charging is accomplished through standard 110- or 220-volt outlets. The electrified MINI weighs 600 pounds more than a standard MINI Cooper and because of the bulk of the required battery pack, the interior seats only two. Performance from the 204-horsepower motor equals the gas-powered MINI, with a 0-60 mph run in 8.5 seconds.

BMW will produce only 500 MINI Es for the United States (if it were easy to make electric MINIs, they'd make more). The limited-production run will be split between New York and L.A. on one-year closed-end leases. After the leases expire, BMW will ship the MINIs back to Germany for evaluation. This scenario mimics what General Motors did with their EV1 electric vehicle about a decade ago.

@highlight

Latest technologies debut at the 2009 Detroit Auto Show

@highlight

Chrysler, Mercedes-Benz, Toyota and MINI show what electric cars of future will be

@highlight

Toyota confirms plans to add as many as 10 new gas/electric hybrid vehicles

@highlight

The "charged" MINI E can run up to 150 miles on a full battery pack