(CNN) -- I've written quite a bit about medical myths, so I'm always a bit skeptical about medical "knowledge." But one thing I, and I'm sure many of you, think we understand is obesity. After all, weight issues crop up in media constantly. Just last night, Gov. Chris Christie was joking about donuts and his weight on The Late Show with David Letterman, and the First Lady's weight is once again a subject of discussion in the Washington Post--even though by any objective standard she's in great shape.

We know how people gain weight, and we think we know how to lose it.

Except a study in this week's New England Journal of Medicine shows us that's just not right. Pretty much everything we "know" about obesity and weight loss is wrong.

Let's start with some things that are true.

More than a third of Americans are obese. Many more are overweight. The Centers for Disease Control and Prevention estimates that obesity-related medical costs were almost $150 billion in 2008, and the cost in health related expensed for an average person who was obese was more than $1,400. This doesn't count the physical, mental or quality-of-life toll that obesity can levy on a person.

Few of us dispute that we need to do something about this problem. There are plenty of experts (present company included) who will tell you what needs to be done. The sad truth, though, is that lots of that advice (even mine) turns out to be mistaken.

I know I've told people that making small, sustained lifestyle changes is the best way to lose weight over time. But it turns out that making such changes, say by deciding to walk a mile every day for five years, results in far less weight loss than you'd expect.

Coca-Cola weighs in on obesity fight

I've lectured people about the importance of physical education in schools, and I've seen countless reports declaring that the decrease in PE nationwide is one of the reasons that more children are obese or overweight today. It turns out that studies don't show that's the case.

My family loves watching "The Biggest Loser." But I've found myself telling my kids again and again that what's shown on TV isn't the best way to lose weight. I tell them that slow and steady works better in the long-run than rapid weight loss. I also tell them that setting unrealistic weight goals can actually sabotage your efforts.

So imagine my shock to discover that what evidence exists in this new study hints towards ambitious goals being a good thing, and that quicker weight loss isn't less likely to be kept off in the long-term.

People will say eating breakfast is a good idea when you're trying to lose weight, because it will keep you from binging later. But studies show that there's no protective effect from eating breakfast at all. People will say that eating more fruits and vegetables is a great way to lose weight. But studies show that, on their own, eating more of them without making other behavioral changes doesn't result in any weight loss. There's no magic to fruits and vegetables.

Eatocracy: Chefs with Issues: Farm-to-table should still be on the table

People will say that snacking in between meals can lead to weight gain. But studies don't show that to be the case either. In general, people compensate for snacking throughout the rest of the day. In other words, it's not necessarily bad to snack outside of usual meal times.

It's all enough to cause one to despair. But just because so much of what we believe is wrong doesn't mean we still can't do something about the issue.

Studies do show that you can absolutely overcome genetic and familial factors to lose weight.

They show that significant physical activity can help with weight loss, and that it has the added bonus of making you healthier in general. Reducing your caloric intake works overall, especially if it's done in a way to change your overall eating habits. Getting the whole family involved is important. And finally, for some, bariatric surgery can result in life-changing outcomes.

Over the past five years, my wife and I have lost quite a bit of weight. I'm down somewhere between 15% to 20% of my high of more than 200 pounds. My wife lost even more, although I'm not going to give you any numbers (I like being married).

Now that I look back, if I'm going to be honest about it, I did it in bursts over a few months here and there, each time gaining back less than I had lost.

7 weight loss myths (sort of) debunked

Each time, I had ambitious goals of 15 pounds or more in two to three months, and each time I really restricted my caloric intake. But I've kept the weight off by radically changing my overall eating habits.

My breakfast consists of just coffee, I eat very light lunches, such as salads, and dinner is usually a healthy home-cooked meal with the family. My wife cooks way more than she used to and is obsessed with finding ways to make meals healthier. I avoid fried foods almost entirely, and I can't remember the last time I ate in a fast food restaurant. I also get to the gym two to three times each week.

I don't tell you this because I think this is what you should do, or because I think it's the key to getting thinner. I tell you this because more and more, I think that the journey to sustained weight loss is a very personal and individual path. Perhaps our problem is we're trying to find a one-size-fits-all solution. I'm not sure that exists.

Lastly, what was left out of this new scientific paper was prevention. The single best way to fight obesity is to avoid it in the first place. That has to start when kids are young, and it's a lifelong journey. But one thing I doubt will ever be proved false is that it's much easier not to gain the weight in the first place than to take it off later.

The opinions expressed in this commentary are solely those of Aaron Carroll.

@highlight

Aaron Carroll: I thought I knew all about obesity; a new study challenges that

@highlight

He says obesity a big problem, but weight loss not as simple as fruits, veggies and no snacks

@highlight

Studies do show that overall, vigorous exercise and watching calories help

@highlight

Carroll: Best tool against obesity is not to get there in first place