Thirty miles from Hong Kong's Disneyland park, a small fishing village offers a contrasting view of the city's past.

Located in the southwest corner of Lantau, Hong Kong's largest island, Tai O is connected to the outside world via a narrow mountain road.  It has a view contrary to expectations for one of the world's most crowded cities: There are no skyscrapers, no neon signs or real estate companies. The few shops in village close at 5 p.m., when the nightlife on Hong Kong Island has yet to spark.

In recent years, tourists have been flocking to Tai O to glimpse this part of Hong Kong's rapidly disappearing past. But when they arrive, they are greeted by a placard at the bus station decrying: "Mass development will destroy Tai O."

It's a sign of the times: Even as tourists boost the coffers of a local economy once dependent on fishing, villagers are deeply ambivalent about the hordes of visitors encroaching on their seaside hamlet.

"We are going to lose our distinctive way of life and identity if no one protests against the government plan," said lifelong Tai O resident Wang Waking, 51, who runs the Tai O culture workshop. "I am afraid that the commercially-driven plan is going to turn Tai O into another resort."

Villagers like Wang are torn by government plans to add fountains, sculptures and a stage next to the temple to Tin Hau, where generations of fishermen prayed for safety before sailing. The government's US$100 million "Revitalize Tai O" project will also replace patches of wetland by boardwalks and a new plaza will rise near the dock. The project is scheduled to be completed later this year, according to the Hong Kong's Civil Engineering and Development Department spokesperson Carol Ho.

Original plans called for tearing down all the village's distinctive stilt houses, but was curtailed after protests by villagers.

While the redevelopment celebrates Tai O's seafaring heritage -- in 1960, villagers caught 30% of all seafood sold in Hong Kong, according to the book "Tai O History" -- it comes in the wake of a 2012 Hong Kong law banning of commercial trawling.

That move was applauded by environmentalists but decried by local fishers. "It wrecks my heart to see fishermen forced to sell their large trawlers," said a local fisherman surnamed Wong, who says he catches 70% less after the ban.  Wong, who sells homemade shrimp paste, now must import shrimp from mainland China.

Tai O is separated from the rest of Hong Kong by steep, rocky hills. Before 1990, the only way to get to Tai O was by boat. Permits to drive on the town's single road are only granted to villagers and public buses. A sense of isolation still pervades the village's tight-knit community, which many locals say they are keen to keep to themselves. As visitors are drawn to the Venice-like village with homes largely built on stilts, the pathways are dotted with signs warning "Private Property" and "No Entry." To circumvent the signs, tour guides now row tourists on boat down the river and having a look at the houses from the water.

Besides tourism, real estate development could change the fortunes of the town, as Hong Kong has one of the world's most expensive real estate markets. Yet villagers say they are actively working to keep property among themselves.

"I can't tell you how many people are interested in our house," said resident Ines Wong. But villagers do all their real estate business by word of mouth to keep outsiders out of the property market, Wong said.

"The fact is that outsiders don't know where to buy property at Tai O. And even if demand for Tai O property is high, local people tend to sell to locals," she said.

Wong, 24, grew up in Tai O, but like many other young people here, was forced to find work in other parts of the city. She eventually moved to Kowloon, which sits across Victoria Harbor from Hong Kong Island, where she started working for a large bank. While she found it hard to leave her home, she said she had little choice.

"Tai O has no job market at all. I don't see what I can do. Selling salt fish with a degree in marketing?"

While Wong decries the impact of tourism, many of her peers who still live in Tai O welcome the government tourism plan.

"We are one of the oldest communities in Hong Kong. If Tai O has nothing to offer to its young residents, it may become a dead town in a few years," said Paul Lieu, 30-year-old local resident.

Lieu landed on a job as a tourist guide last year. He makes 30% less than a similar job in other parts of Hong Kong, but he enjoys the commute-free work. Before tourists poured in, the only local job Lieu could find was temporary construction work. Now young people start small business like transforming their stilt homes into guesthouses or waterfront cafés.

"I think Tai O has lost part of its unique character with all the development going on. But that the price we pay to get a better life and to help this community to survive," he said.

For Wang, the changes are attacking a way of life.

"Tai O people have deep feeling for the mountains, rivers and wetlands surrounding us, because we live so close to nature," she said. "With the boardwalk, children lose a good place to find clams."

@highlight

Tourists have been flocking to Tai O to glimpse part of Hong Kong's rapidly disappearing past

@highlight

Villagers uneasy about government plans to modernize traditional fishing village

@highlight

Tai O is the only place in Hong Kong that has no real estate market

@highlight

Young Tai O people are forced to find work in other parts of the city