NEW YORK (CNN) -- Defense and diplomacy were on full display when the United Nations secretary-general took to the soccer field in the first U.N. '"DiploMatch."

"It is very hard at my age to play soccer," said the 64-year-old Ban Ki-moon.

Typically, a Saturday evening soccer game with mostly middle-aged men wouldn't garner much attention, unless an ambulance is required. But the recent match played between two modest teams of U.N. ambassadors and officials, along with Secretary-General Ban Ki-moon, was certainly not typical.

The mood was competitive yet congenial as the dignitaries traded their suits for shorts and hit the soccer field at Chelsea Piers on a balmy New York evening April 25.

"Soccer is a sport that really can unite the people and generate enormous power and energy among people regardless of where you are coming from," Ban said. "When you follow the balls, you just forget, and you become one team, and you become one nation. This is what we aim to achieve today."

There was, of course, an underlying purpose behind the motivation to hit the pitch: support for a new charitable organization dedicated to advancing peace through the global reach and unifying power of soccer (also called football).  Watch Ban Ki-moon mix it up with diplomats on soccer field »

British U.N. Ambassador John Sawers summed up the rationale motivating the event. "Soccer's the great world game, and this is [the] United Nations, the great world organization, playing it for charity, so it's a lot of fun."

"Football for reconciliation" is the driving purpose of Play31, the organization behind the U.N. game. The group says the sport has the unique potential "to bring people together, spread joy and to create healing in post-conflict societies."

Its mission statement further explains, "By donating footballs and facilitating community gatherings, we contribute to the creation of peaceful societies where children can exercise their right to play."

Play31 and "the right to play" are derived from Article 31 of the United Nations Convention on the Rights of the Child. The 1989 summit sought to guarantee certain universal rights for children under 18, including "the right of the child to rest and leisure, to engage in play and recreational activities appropriate to the age of the child and to participate freely in cultural life and the arts."

Jakob Lund, the 26-year-old founder and president of Play31, was inspired to launch his program after spending time in Sierra Leone, a nation ravaged by 11 years of civil strife.

"We use soccer as a facilitator for people meeting each other and for people simply just interacting ... and I think that is something true for football is that it can transcend borders, languages, races, everything that we see can normally divide people -- on the football field, it can unite them, and that's what is so special."

Added the enthusiastic U.N. ambassador from Paraguay, Eladio Loizaga, who contributed two goals in the first half for his team: "I mean, I didn't expect that! Two goals! I tried to put my best tonight for the children and for the event."

Radhika Coomaraswamy, special representative for children in armed conflict, said, "there is really something to do with children that really brings the United Nations together."

Ban also emphasized the plight of children as an important priority on the U.N. agenda. "This is a very small symbolic event, but though it may be small, this will, I hope, demonstrate our solidarity to those people, many young children, who are in war-torn countries, who really want some hope from the international community. I hope this will help."

But even with all the togetherness for a good cause, settling disputes on the pitch versus the halls of the United Nations had to have been a different experience for the ambassadors. Sawers explained, "these guys I spend my days from Monday to Friday negotiating with, and we have fun on weekends, so this is us having fun."

Chile's Ambassador Heraldo Muñoz, one of the team captains, elaborated. "Getting out of the U.N. and of negotiations, and speeches ... is quite good. I think it should say something about humanity that we are not only diplomats, but we are also football players and poets and writers."

The other team was led by Ambassador Christian Wenaweser of Liechtenstein. Wenaweser was quite impressed with one particular participant, expressing how he thought the secretary-general's performance was "amazing."

"He gave up his right to rest for this, and I think it's amazing. And he played well; he had good positioning, good defense. It was great," Wenaweser said.

Laughing, Ban responded to reactions about his defensive prowess. "When the ball comes to me, then I have to defend my team, so that was very, very difficult. But I think I have defended well."

The 64 year-old secretary-general played nearly the entire game, mixing it up with fellow U.N. dignitaries.

"It is very hard at my age to play soccer," Ban conceded. "It's very hard, but I feel very much a sense of full excitement and energy."

Ban's dogged defense clearly made an impact. However, the secretary-general couldn't resist his role as the world's lead diplomat, even on the football field, and changed teams at halftime.

Diplomatically, the score was not recorded, although observers said Team Lichtenstein was the victor.

Ban played defense the entire time, except when he came off for a couple breathers. When he came off in the first half, the other team quickly scored three goals.

@highlight

U.N. dignitaries play soccer to support group that promotes peace

@highlight

The group Play31 advocates the power of sport to bring young people together

@highlight

Secretary-General Ban Ki-moon, ever the diplomat, changed teams at halftime

@highlight

The performance by Ban, 64, was "amazing," says one ambassador