So many hours of talks, so little progress.

Despite two days of intensive negotiations, Iran and six world powers "remain far apart" on Tehran's controversial nuclear program, EU foreign policy chief Catherine Ashton said Saturday in Kazakhstan.

Her words dashed hopes that the deadlock might be broken after what had seemed more promising talks back in February, also in the Kazakh city of Almaty.

Iran's top nuclear negotiator, Saeed Jalili, acknowledged there was "some distance" between Iran and the six powers but seemed more positive in his assessment.

"Good negotiations" had taken place in this round of talks, Jalili said, which he described as "substantive, expansive and comprehensive."

But in a sign that progress was limited, no date or location has been set for new talks.

This round was just the latest in a decade-long attempt to resolve differences between Iran and the international community over Tehran's nuclear ambitions.

The first day of talks proved inconclusive. By the end of Saturday, despite "long and intensive discussions," the two sides were no closer on agreeing on confidence-building measures, Ashton told reporters.

"It became clear that the positions of (the world powers) and Iran remain far apart on the substance," she said.

"We therefore agreed all sides will go back to their capitals to evaluate where we stand on the process."

Ashton said she would be in touch with Jalili "very soon in order to see how to go forward."

While Ashton said these were the most detailed discussions that the two sides had had, with "a real back-and-forward between us," she also made clear that she was disappointed by the lack of progress made.

A senior U.S. administration official said Jalili directly engaged him in a 30- to 40-minute question-and-answer exchange in the middle of Saturday's plenary meeting.

"The quality of the discussion was different because there was this back and forth, this Q and A," the official said. "We just went back and forth with him."

Still, the official expressed disappointment, saying that Iran had "put forward some minimal ideas and expected great return, and quite disproportionate return."

Britain, too, took a hard line after the talks.

"The UK went to Kazakhstan ready with our partners to negotiate in good faith with Iran," British Foreign Secretary William Hague said in a statement. "Iran's current position falls far short of what is needed to achieve a diplomatic breakthrough."

When negotiators from the diplomatic bloc of six nations -- the United States, France, Britain, Germany, China and Russia -- last sat down with Iran's envoy in Almaty in February, they delivered what they characterized as a "fair and balanced offer" to defuse tensions over the Iranian nuclear program.

Instead of delivering the "concrete response" Western governments had expected, Iran announced it was making its own proposal to the negotiating parties.

'Two-way street'

Jalili said Iran had tabled a proposal based on the discussions in Almaty and a previous meeting in Moscow -- and that it is now down to the six world powers to respond and show their "willingness to take appropriate confidence-building steps in the future."

He repeated Tehran's position that Iran has the right to a peaceful nuclear program.

"Creating confidence is a two-way street," he said. Now, after many proposals put forward by Iran, it's the turn of the six world powers to respond, he said.

Jalili's comments on Iran's enrichment of uranium -- one of the most contentious issues at stake -- reaffirmed Tehran's right to pursue that track but also appeared to leave the door open to some kind of negotiation.

"Enrichment is part of the rights of the Iranian people, whether we're talking about 5% or 20% ... however, this can be an issue that can create further confidence," he said.

Jalili added that "hostile behaviors" directed toward Iran were detrimental to building confidence.

This was presumably a reference to the draconian sanctions imposed by Western governments against Tehran, which are crippling the Iranian economy. Oil exports have plummeted over the past several years, as has the value of Iran's currency.

"The purpose of any sanctions is to put pressure in order to get this process to work," said Ashton. "And I believe we should continue to work as hard as we possibly can to make sure we are successful and we reach a satisfactory resolution."

Questions fly around any plan to attack Iran

The so-called P5+1 governments are demanding that Iran come clean about its nuclear program, which they suspect includes covert development of nuclear weapons.

Iran consistently denies those charges, arguing it is enriching uranium and building nuclear reactors only for peaceful civilian energy needs.

Details of last February's offer from the six countries represented across the negotiating table from Iran have not yet been made public.

Last month, technical experts from Iran and the P5+1 countries met for more than 12 hours in Istanbul to discuss the proposal.

Iran's deputy chief negotiator said the Iranian proposal tabled Friday was based on a previous PowerPoint presentation that the Iranian delegation submitted during a round of talks in Moscow in June 2012.

"The Islamic Republic of Iran proposed a practical method to implement the Moscow plan in a smaller scale," Ali Baghery said in a statement issued to journalists Friday. The offer, he said, was aimed at establishing "a new bedrock of cooperation."

A call for 'concrete actions'

Washington has vowed it will continue to put pressure on Tehran.

"As long as Iran does not take concrete steps to address the concerns of the international community about its nuclear program, the dual-track process continues. And that pressure only will increase if Iran does not begin to take concrete steps and concrete actions," said a senior U.S. administration official in a telephone briefing to journalists this week. The official spoke on condition of anonymity.

Iran argues that as a signatory to the Nuclear Non-Proliferation Treaty, development of nuclear technology is an inalienable right.

On the eve of the two-day talks in Kazakhstan, Jalili repeated this position in a speech given at a university in Almaty.

"It is the right of the Iranian people to peaceful nuclear energy and most importantly to enrichment," Jalili said.

A report recently published by the Carnegie Endowment for International Peace concluded that sanctions are unlikely to force Tehran to give up its nuclear program.

The report, titled "Iran's Nuclear Odyssey," highlighted the fact that Tehran's quest for a nuclear program has been going on for more than half a century, beginning under the rule of the pro-American shah, Reza Pahlavi, and continuing under the revolutionary Islamic republic that overthrew him.

"The program's cost -- measured in lost foreign investment and oil revenue -- has been well over $100 billion," Carnegie said.

@highlight

"Iran's current position falls far short of what is needed," says British official

@highlight

Iran has the right to enrich uranium, but negotiation may be possible, Saeed Jalili suggests

@highlight

It's clear the two sides "remain far apart" on substance, EU foreign policy chief says

@highlight

No date or location is agreed upon for new talks between world powers and Iran