(CNN) -- When Ji Yeqing awakened, she was already in the recovery room.

Chinese authorities had dragged her out of her home and down four flights of stairs, she said, restraining and beating her husband as he tried to come to her aid.

They whisked her into a clinic, held her down on a bed and forced her to undergo an abortion.

Her offense? Becoming pregnant with a second child, in violation of China's one-child policy.

"After the abortion, I felt empty, as if something was scooped out of me," Ji told a congressional panel in September. "My husband and I had been so excited for our new baby. Now suddenly all that hope and joy and excitement disappeared. ... I was very depressed and despondent. For a long time, whenever I thought about my lost child, I would cry."

As she lay unconscious, she said, an IUD to prevent future pregnancies was inserted.

The issue of forced abortions -- and in some cases, forced sterilizations -- in China has seized the spotlight in recent days with news of escaped activist Chen Guangcheng.

Chen, a blind, self-taught lawyer, rose to fame in the late 1990s because of his advocacy for what he calls victims of abusive practices, such as forced abortions, by Chinese family planning officials. He investigated forced abortions and sterilizations in eastern China -- a practice China denies -- and helped organize a class-action lawsuit on behalf of victims, for which he served four years in prison.

A fellow activist, Hu Jia, said Chen has taken refuge at the U.S. Embassy in Beijing.

"Chen may be safe for the moment, but the women for whom he risked everything are not," said Reggie Littlejohn, president of Women's Rights Without Frontiers, a California-based organization that describes itself as a "broad-based, international coalition that opposes forced abortion and sexual slavery in China."

"Forced abortion is not a choice," Littlejohn said. "It is official government rape."

On a January 2011 visit to the United States, Chinese President Hu Jintao reportedly denied that China was forcing women to submit to abortions. Rep. Ileana Ros-Lehtinen, R-Florida, who gave Hu a list of human rights concerns, said that Hu insisted a forced-abortion policy did not exist, according to media reports.

China's population is the largest on earth, with more than 1.34 billion people. Since its implementation in 1979, the one-child policy has prevented more than 400 million births in China, according to China's National Population and Family Planning Commission.

About 13 million abortions are performed nationwide each year, the commission has said -- about 35,000 a day. It is unknown how many of those are coerced.

But the one-child policy has been blamed for abuses. In some cases, advocates say, fetuses identified as female are aborted, or midwives strangle a female infant with the umbilical cord during delivery, identifying the baby as "stillborn," according to All Girls Allowed, a nonprofit group that aims to end female "gendercide," educate abandoned girls, rescue trafficked children and defend women's reproductive rights.

Other females are abandoned, left to die or raised as orphans.

Chinese traditionally prefer boys over girls because they are seen as better able to provide for the family and carry on the family bloodline. As a result, the practice of aborting female fetuses or abandoning infant girls continues, particularly in rural areas.

In November, according to state-run news agency Xinhua, Premier Wen Jiabao, in a speech to the National Working Conference on Women and Children, "urged banning illegal fetus gender identification and illegal abortion."

"The social status of the female population indicates the level of social progress (of a nation), while children are the future and hope of a nationality and a nation," Wen said.

Last summer, Xinhua reported that "millions of Chinese men of marrying age may be living as frustrated bachelors by 2020" because of the gender imbalance. In 2010, China's sex ratio at birth was 118 boys for every 100 girls, the news agency said.

China kicked off a national campaign "to significantly curb non-medical sex determinations and sex-selective abortions to balance the gender ratio," Xinhua said. Also during the campaign, "efforts will be made to raise awareness of gender equality, to severely punish those involved in cases of non-medical sex determinations and sex-selective abortions, and to strengthen monitoring."

Liu Qian, vice minister of the Ministry of Health, said that doctors violating the ban would be stripped of their licenses or penalized, and involved medical institutions would also be punished, according to Xinhua.

The one-child policy could contribute to China's high rate of female suicide, according to All Girls Allowed.

China is the only country in the world where the female suicide rate is higher than that of men -- some 500 women a day, the group said, citing statistics from the World Health Organization and the U.S. State Department.

In its 2009 Human Rights Report, the State Department noted that "many observers believed that violence against women and girls, discrimination in education and employment, the traditional preference for male children, birth-limitation policies, and other societal factors contributed to the high female suicide rate. Women in rural areas, where the suicide rate for women was three to four times higher than for men, were especially vulnerable."

Sometimes the consequences are even more severe. In October 2011, a woman who was six months pregnant died during a forced abortion in eastern China, according to Women's Rights Without Frontiers.

Last month, a woman in the same region was forced to undergo an abortion while nine months pregnant, the organization reported. The baby was born alive, but then was drowned in a bucket, according to the organization. A photo of the infant's body floating in the bucket was circulated on Weibo, the Chinese version of Twitter, sparking widespread outrage.

Chinese officials are prohibited under law from "infringing on the rights and interests of citizens when promoting compliance with population planning policies," according to the Congressional-Executive Commission on China, created by Congress to monitor human rights and the rule of law in China. However, the commission in its most recent annual report noted "reports of official campaigns, as well as numerous individual cases in which officials used violent methods to coerce citizens to undergo sterilizations or abortions or pay heavy fines for having 'out-of-plan' children," meaning a family's second child.

In one example from October 2010, the commission said, a woman in southeastern China who was eight months pregnant with her second child was kidnapped and detained for 40 hours. She was forcibly injected with a substance that caused the fetus to abort. Her husband reportedly was not permitted to see her during this time, the commission said.

"Nothing in human history compares to the magnitude of China's 33-year assault on women and children," said Rep. Chris Smith, R-New Jersey and chairman of the commission, during the September hearing at which Ji Yeqing testified.

"Today in China, rather than being given maternal care, pregnant women without birth-allowed permits are hunted down and forcibly aborted. ... For over three decades, brothers and sisters have been illegal; a mother has absolutely no right to protect her unborn baby from state-sponsored violence."

"Out of plan" children whose parents do not pay fines may go without household registration, or hukou, which presents obstacles to social benefits including subsidized health care and public education, All Girls Allowed said, citing the commission's 2010 report.

A woman's family members, including her husband, parents, in-laws or siblings, may also be targeted for violations of the policy, according to Women's Rights Without Borders, which published a 2005 report compiled from Chen's notes into cases he was investigating before his arrest. The report alleges arrest, torture, beatings and fines of family members for the violations of relatives. It also documents a case where a woman suffered health problems after being forced to undergo a tubal ligation despite her high blood pressure.

Ji told lawmakers her first forced abortion was in 2003, after officials said she and her husband would be fined $31,000 for their second child and fired from their jobs. Her second came in 2006, despite the fact she and her husband at that time were willing to pay the fine and lose their jobs.

She continues to suffer consequences from the abortions. Her husband divorced her, she said, because she could not give him a son (the couple already had a daughter). After she remarried and moved to the United States in 2010, she said, she visited a clinic to have her IUD removed and undergo an exam. "The doctor told me that I had cervical erosion, likely due to the poor medical conditions of my forced abortions," she said.

Liu Ping told a similar story to Congress last year. She said after giving birth to her son, she was required to undergo five abortions between 1983 and 1990. During the last procedure, an IUD was inserted.

"When I learned of the procedure, I protested that I had a kidney disease and could not keep the IUD, but they completely ignored me," she said. "The doctor just gave the bill to my husband and told him to pay." Her husband was later arrested, she said, and she was given a "serious administrative warning" at her job and fined six months' pay.

Liu had to report to the factory clinic each month for an exam to make sure she had not removed the IUD on her own or become pregnant again, she said.

In 1997, she missed a monthly pregnancy check because she was caring for her terminally ill mother, she testified.

"Agents from the Family Planning Commission waited at my home to drag me to the exam," she said. "When they pushed me to the ground, I fell and hurt my neck vertebrae. My spirit completely collapsed after this one. I attempted suicide, but was stopped by my family from jumping."

Liu was able to move to the United States and she and her husband reconciled after a divorce.

"I feel happiness and joyful," she told lawmakers. "But I know in my homeland, China, there are millions of women who are suffering as I did. Each day thousands of young lives are being destroyed. I beg everyone to save them."

CNN's Jaime FlorCruz contributed to this report.

@highlight

China's one-child policy results in forced abortions and sterilizations, activists say

@highlight

Women tell of emotional and physical consequences from the procedures

@highlight

Activist Chen Guangcheng works to advocate for victims of such practices