(CNN)The gift of an inquiring mind can be both exhilarating and torturous. My job is to ask tough questions, but when it comes to faith, God, and religion, the more questions I ask in my quest for truth and understanding, the more complex the answers become.

I was a bit of a rebellious child. My mom might tell you differently, but I never saw that as a bad trait. I felt that if I questioned authority, fought for the underdog, battled for the things that people told me were impossible, I would be different. Change the world maybe. That same rebellious spirit also led to things that definitely were not good for me, like hanging with the wrong crowd and getting into the type of trouble that I would rather not put in print.

That's when I "found God."

I became a "born-again" Christian when I attended a Young Life camp in high school. My home life wasn't exactly going swimmingly, and this group really embraced me. I loved the Christian notion of community, giving back, praying for others and making friends that cared more about doing good than getting drunk, smoking pot and having sex. I opened my arms to Jesus and fully embraced Christian morals and principles. I decided that I was going to be "that good girl" and go on to do great things.

I started off at Westmont, a beautiful Christian college nestled in the heart of Santa Barbara, California. What a safe place that was. It was also extremely nurturing. The professors dedicated bountiful amounts of time to our individual spiritual development, and regularly prayed with us.  My peer group was all about what ministry you signed up for, not what sorority you were rushing. We lifted each other up, had intimate sunrise Bible studies on the beach and spent hours hanging out with friends, talking about how to lead a godly life.

As glorious and fulfilling as all that appeared, two years into college, the world became much larger to me. More complex, diverse, intellectually and spiritually challenging. It became the world of church, religion and faith versus the world of ideas, cultures, and philosophies. I found myself more drawn to Carl Jung than the book of Corinthians. A good friend gave me a book, The Myth of Certainty. It posed these questions:

"Do you ever feel somewhat schizophrenic about the relationship of your faith to the rest of your life? Do you find yourself compartmentalizing different aspects so that tensions between them are minimized?"

The answer to all of these for me was: yes.

I started to read a lot. I wanted to mesh with a myriad of thinkers, and religious scholars. I needed to make a change.

I left Westmont after my sophomore year and transferred to USC's School of Journalism. I discovered I had too many questions about faith to pursue a life of ministry, but I felt good about this transition. To me, it made perfect sense, because like ministers, true journalists love people, listen well and want to make a difference within this universe.

Meet the friendly atheists next door

The key difference is, in journalism, if we gather the "facts," we can usually find the answers to what we're looking for.  When it comes to God, Jesus and the Holy Spirit, those answers rest in faith.

As a journalist, I seek intellectual certainty. When it came to my faith, I felt intellectually embarrassed. There was so much I just couldn't explain.

When I started working on a documentary about the growth of atheism, I found myself in a profound place of reflection.  In the days when I thought I was going to pursue a life of ministry, I experienced and felt many things that were unexplainable.  What was that?  God?  A higher power?  Energy?  Or just good karma for trying to lead such a generous and selfless life?  There is no way to know.

My stepfather, who grew up in -- but later left -- the Mormon church has a perspective on religion that I find intriguing.  He doesn't believe in a God with a long white beard and flowing robes who sits upon a cloud guiding our daily lives.  That concept is too abstract. But while he may not embrace "God-liness," he does believe in "Good-liness."  God, he told me in one of our many colorful spiritual discussions, is the "good" in humankind.

He and I definitely agree that the concept of God should not be dismissed as having no meaning. To the contrary, it has a very important meaning, for it refers in symbolic language to the highest dimension of human existence, our spirituality.

After years of spiritual reflection and inquiry, I am at a place where I don't want to feel guilty, hypocritical, judgmental, closed-minded or arrogant.  So, where do I stand now -- 30 years after "finding God," questioning my faith, committing sins, seeking hazardous adventure and trying to love life and people to the best of my ability?

I am a "seeker." A constant seeker within this world, among people and, of course, for spiritual enlightenment of all kind. Because if I did possess the truth -- the "final answer" --  I am convinced I would spend the rest of my years missing out on the enrichment and surprise of seeking it.

I guess I just love my exhilarating and torturous life.

@highlight

Kyra Phillips became a born-again Christian as a teen

@highlight

She attended a Christian college, but left after her sophomore year

@highlight

Phillips says she now considers herself a seeker of spiritual enlightenment