Atlanta (CNN) -- One of the countries hard hit by the Ebola outbreak in West Africa is not able to cope, a health worker said, calling on the international community to step up support.

Anja Wolz, emergency coordinator for Doctors Without Borders, spoke to CNN on Tuesday from an Ebola facility in Kailahun, Sierra Leone.

"I think that the government and the ministry of health here in Sierra Leone is not able to deal with this outbreak. We need much more help from international organizations -- as WHO, as CDC, as other organizations -- to come to support the government," Wolz said.

"Still we have unsafe burials; people who are doing the burial without disinfection of the body; still we have patients who are hiding themselves; still we have patients or contacts of patients who are running away because they are afraid."

Sierra Leone, Guinea and Liberia are at the center of an Ebola outbreak that has already killed more than 800 people.

The global concern over the spread of the virus has reached Saudi Arabia, where a man is in critical condition after recently returning from Sierra Leone.

The 40-year-old man has symptoms of a viral hemorrhagic fever, the Saudi Health Ministry said Tuesday. The source of his infection is unknown, but Ebola cannot be ruled out, the ministry said.

"This is the biggest and most complex Ebola outbreak in history," Dr. Tom Frieden, director of the Centers for Disease Control and Prevention, said in a statement.

"It will take many months, and it won't be easy, but Ebola can be stopped," he said. "We know what needs to be done."

The virus has already been confirmed outside of the three main countries.

A Nigerian doctor has been diagnosed with Ebola nearly three weeks after a Liberian-American man with Ebola died after traveling to Lagos, Nigerian officials said Monday.

Nigerian Minister of Health Onyebuchi Chukwu told reporters that the infected physician had been treating Patrick Sawyer, a top government official in the Liberian Ministry of Finance who died of Ebola in a Nigerian hospital July 20.

Eight other people are being quarantined and three are awaiting Ebola test results, the health minister said.

Read more about Patrick Sawyer's death

Meanwhile, the World Health Organization reports an outbreak of the virus in Liberia, Sierra Leone, Guinea and Nigeria is believed to have infected 1,603 people and killed more than 887 this year, as of Friday.

The United States is planning to send 50 health experts to West Africa to help contain the outbreak, which President Barack Obama addressed in remarks Tuesday, saying the citizens of the affected countries are in Americans' thoughts and prayers.

Frieden said the 50 experts from the CDC will work to combat the outbreak and help implement stronger systems to fight the disease.

The Ebola virus causes viral hemorrhagic fever, which affects multiple organ systems in the body and is often accompanied by bleeding.

Early symptoms include sudden onset of fever, weakness, muscle pain, headaches and a sore throat. They later progress to vomiting, diarrhea, impaired kidney and liver function -- and sometimes internal and external bleeding.

An Ebola patient had not been treated within U.S. borders until last week, but the CDC has spearheaded efforts to prepare for the deadly virus.

5 reasons not to panic about Ebola in the U.S.

It helped create an isolation unit at Emory University Hospital, which is being used to treat American doctor Kent Brantly, who contracted Ebola in Liberia and was evacuated to the facility in Atlanta over the weekend.

A second American patient, Nancy Writebol, arrived from Liberia on Tuesday. She will undergo treatment at the same unit.

Emory is one of four U.S. institutions capable of providing such treatment.

But in the nations hardest-hit and not as prepared, the reality is grim. Even in the best-case scenario, it could take three to six months to stem the epidemic in West Africa, Frieden said.

Ebola spreads through contact with organs and bodily fluids such as blood, saliva, urine and other secretions of infected people. It has no cure. The most common treatment requires supporting organ functions and maintaining bodily fluids such as blood and water long enough for the body to fight off the infection.

Ebola also claimed the life of a medical director at a hospital in Liberia's capital, Monrovia. Dr. Patrick Nshamdze tested positive Tuesday after being sick for two weeks. He died Saturday.

In Sierra Leone, where government officials have asked citizens to stay away from work, the military has deployed at least 750 medical officials to 13 locations, military spokesman Col. Michael Samura said.

Health officials are screening incoming and outgoing passengers at the country's main international airport with a device that takes people's temperature from their eyes at a distance.

People showing signs of fever are quarantined and their blood is tested.

On Tuesday, Liberia responded to British Airways' decision to suspend service to Monrovia because of the outbreak.

"The government of Liberia regrets that British Airways has suspended flights to and from Liberia until the end of August. However, we fully understand that international airlines must keep the safety of customers and crew as their highest priority," it said.

"We will continue to work around the clock with our international partners to ensure all our key international ports of entry are secure from any transfer of Ebola, both incoming or outgoing."

What is the risk of catching Ebola on a plane?

Experts: U.S. health care system well-prepared for Ebola

Ebola's frontline: Battling fear and deadly virus

CNN's David McKenzie contributed to this report from Freetown, Sierra Leone. Journalist Heather Murdock reported from Nigeria. CNN's Fred Pleitgen, Faith Karimi, Nana Karikari-apau and Christabelle Fombu also contributed to this report.

@highlight

Sierra Leone, Guinea and Liberia are at the center of an Ebola outbreak

@highlight

A man hospitalized in Saudi Arabia has symptoms of a viral hemorrhagic fever

@highlight

A Nigerian doctor was diagnosed with Ebola after treating a Ebola patient there

@highlight

That diagnosis comes three weeks after a Liberian-American man died from virus