Washington (CNN) -- New details emerged of what the White House knew about the Internal Revenue Service targeting of conservative groups, with spokesman Jay Carney disclosing Chief of Staff Denis McDonough was among the top officials made aware of the matter late last month.

In a new timeline provided by Carney to reporters on Monday, General Counsel Kathryn Ruemmler learned on April 24 of a pending Treasury inspector general's report on how IRS staff used criteria targeting conservative groups in assessing eligibility for tax-exempt status.

According to Carney, Ruemmler told McDonough as well as other Treasury officials about the pending report. It was the first time the White House acknowledged that McDonough was aware of the report before it became public in early May.

IRS: By the numbers

In addition, Carney made clear that the information Ruemmler received on April 24 included details of improper acts by IRS officials.

At the same time, Carney emphasized that the information was preliminary and could have changed before the inspector general released his final report on May 14.

Carney insisted no one -- including Ruemmler and McDonough -- told President Barack Obama anything about the inspector general's pending report before media reports about it began appearing on May 10.

"We knew the subject of the investigation and we knew the nature of some of the potential findings, but we did not have a copy of the draft report," Carney said. "We did not know the details, the scope, or the motivation surrounding the misconduct and we did not know who was responsible. Most importantly, the report was not final and still very much subject to change."

Opinion: What happened to Obama's promise?

However, the new information on Monday continued a perception of a White House on the defensive over the issue, one of at least three controversies dogging Obama as his second term reaches the four-month mark.

The Senate Finance Committee will hold the second congressional hearing on the matter Tuesday, after the House Ways and Means Committee grilled the outgoing acting commissioner of the IRS last Friday.

On Monday, the Senate panel's Democratic chairman and ranking Republican sent a letter to the IRS official, Steven Miller, seeking an exhaustive list of information about the case. Another hearing is set for Wednesday by a third panel -- the House Oversight Committee.

Some Republicans are calling for a special investigation into the IRS matter, in which tax officers assessing applications for tax-exempt status used key words such as "tea party" in determining levels of scrutiny.

CNN Poll: Likability helps Obama survive brutal week

Separately on Monday, a Northern California tea party group filed the first lawsuit against the U.S. government stemming from the IRS targeting.

"The IRS and its agents singled out groups like NorCal Tea Party Patriots for intensive and intrusive scrutiny, probing their members' associates, speech, activities and beliefs," according to the suit filed in Cincinnati.

"NorCal and its members suffered years of delay and expense while awaiting the exemption and spending valuable time and money answering the IRS' questions. The result was a muffling and muzzling of free expression" the lawsuit claimed.

The group alleged violations under the Privacy Act as well as violations of its constitutional rights guaranteeing free expression and equal protection under the law.

Opinion: We're pointing a gun at our democracy

Carney offered the new timeline in response to the first question at his daily media briefing, when a reporter noted "confusion" over what Ruemmler was told about the inspector general report in late April.

He noted the report found no outside intervention in the IRS targeting of what he called "inappropriate scrutinizing of conservative groups" seeking tax-exempt status, and that no one in the White House intervened in the inspector general's review or "did anything that could be see as intervening."

In addition, Carney said, the misconduct had stopped in May 2012, almost a year before Ruemmler or anyone else at the White House were told of it by anyone at Treasury.

At the same time, Carney disclosed that White House and Treasury officials discussed the pending inspector general's report in the weeks before its formal release, even though he said no one told Obama about it.

The White House first was notified of the upcoming report, known as an audit, on April 16, he said, calling that a routine notification also provided to Congress. Ruemmler was told about it eight days later and she informed McDonough and others about it shortly thereafter, Carney said.

"Ruemmler was informed that the inspector general for tax administration was completing a report about line IRS employees improperly scrutinizing what are known 501(c)(4) organizations by using words such as 'tea party' and 'patriot'," he said.

In particular, Carney said that "at no time did anyone on the White House staff intervene with the IRS inspector general audit."

"There were communications between the White House Counsel's office and White House Chief of Staff's office with Treasury Office of General Counsel and Treasury's Chief of Staff office to understand the anticipated timing of the release of the report and potential findings by the" inspector general, he said, but added that Ruemmler acted properly in not informing the president.

IRS official denies intentional political targeting, lying to Congress

"The cardinal rule, as I said, is you do not intervene in an independent investigation and you do not do anything that would be, that would give such an appearance particularly when the final conclusions, as was the case here, have not been reached," Carney said. "That is the doctrine we followed and the bottom line is, and this isn't just the most important fact, it is what we have said from the beginning - neither the White House nor Treasury intervened in the inspector general's audit."

Last week, Miller blamed a huge increase in workload, rather than deliberate targeting, for "foolish mistakes" in the political discrimination cited by the inspector general's report.

He told the House Ways and Means Committee that the IRS division handling requests for tax exempt status was overwhelmed by a surge that followed the Supreme Court's 2010 Citizens United decision.

"I think that what happened here was that foolish mistakes were made by people who were trying to be more efficient in their workload selection," Miller said, calling the practices described in the inspector general's report as "intolerable" and a "mistake," but "not an act of partisanship."

He apologized for what he later called "horrible customer service," but he also stubbornly rejected any accusation that it amounted to politicizing the work of the IRS.

However, Republicans noted the increased requests for tax exempt status didn't kick in until 2011, months after the targeting began, according to the inspector general's report.

Rep. Dave Camp, chairman of the Republican-led panel, and other GOP members sought to depict the controversy as indicative of government gone wild, with the IRS abusing conservative groups and other political foes of the administration.

Democrats on the committee also expressed outrage at the targeting of conservative groups seeking tax-exempt status, but they pointed out that the top IRS official at the time was appointed by Republican President George W. Bush, not Obama.

Opinion: IRS scandal is about donors, not tax

They also noted that the inspector general's report stated there was no evidence of any political motivation for what happened, or influence from outside the IRS.

The Treasury Department oversees the quasi-independent IRS. Some Republicans are trying to find a link between the Obama administration and the IRS targeting.

According to the inspector general's report, the IRS developed and followed a faulty policy to determine whether the applicants were engaged in political activities, which would disqualify the groups from receiving tax-exempt status.

The controversial move began in early 2010 and continued for more than 18 months, the report said, declaring that "the IRS used inappropriate criteria that identified for review Tea Party and other organizations applying for tax-exempt status based upon their names or policy positions instead of indications of potential political campaign intervention."

Among the criteria used by IRS officials to flag applications was a "Be On the Look Out" list, which was discontinued in 2012, the report said.

Conservative groups complain their requests were delayed for months or even years through the targeting that sought to prevent ineligible political groups from getting tax exempt status. Miller testified Friday that determining the political nature of groups was one of the hardest tasks of IRS officers tasked with assessing requests for tax exempt status.

The investigation by the Treasury inspector general for tax administration was initiated after congressional complaints began to surface in the media in 2012 that the IRS was targeting conservative groups and holding up applications.

In a written response included in the report, the IRS commissioner of the Tax Exempt and Government Entities Division said there was no criminal behavior behind the actions of the agents, but rather inefficient management.

Obama called the inspector general's findings outrageous and forced Miller's resignation. In addition, the commissioner of the IRS' Tax Exempt and Government Entities Division also announced his retirement Thursday. Joseph Grant will leave in June, according to an internal IRS memo provided to CNN. Miller also is scheduled to exit then.

Obama has appointed Danny Werfel, a White House budget office official who has served in both Democratic and Republican administrations, to succeed Miller through the end of the fiscal year on September 30.

Obama counter-punches in effort to regain political balance

CNN's Dana Bash contributed to this report.

@highlight

A Senate committee holds a hearing Tuesday on the IRS targeting

@highlight

White House discloses new details of what it knew about the IRS targeting report

@highlight

White House spokesman says President Obama wasn't told of the pending report

@highlight

NEW: First lawsuit filed over IRS targeting