(CNN) -- Getting ahead in your career is not just about being successful; it's about being noticed.

So how do you stand out to be hired by potential employers? How do you stand out for a promotion to a superior? How do you stand out as loyal to the people you are leading? It's simple: do the things that others aren't willing to do.

Whether you're a leader, a team member, or a candidate, success comes from having the discipline to do the things that you know you should be doing, even when you don't feel like doing them. When you practice this kind of self discipline regularly, you'll naturally stand out from the pack -- because most people avoid the hard stuff. It's just easier to put it off.

But the truth is that what feels easy now creates problems down the line. And what feels hard now -- doing the stuff you don't feel like -- makes everything easier in the long-term. Self discipline doesn't have to be hard -- you just have to change the way you think about it.

Read more: Ambition could make you reach, but not happy

Successful people have mastered the art of self discipline. I've spent the last 10 years studying and coaching some of the most successful people in business, figuring out what makes them different. They're not smarter or more talented than the average person -- they just consistently do what others aren't willing to do by keeping three principles in mind:

Do it scared. Fear is one of the biggest saboteurs of our goals, because it inhibits action. The next time you feel yourself putting something off because you're afraid -- of uncertainty or failure -- just "do it scared."

I once heard a true story of a woman who was trapped in a burning building on the 80th floor. She was terrified of heights and enclosed spaces, and when the fire alarm went off, she refused to follow her colleagues into the stairwell to evacuate to safety.

The firemen did a sweep of the building and found her hiding under her desk, waiting to die. She was screaming "I'm scared, I'm scared!" as the firemen insisted she walk down the stairwell. Until one fireman said: "that's OK, just do it scared." He repeated it all the way down the 80 flights of stairs, until he brought her to safety.

We've all faced these moments in our careers -- when you know what has to be done, but your fear holds you back. In order to stand out, you must develop the habit of acting in the face of fear. It's fine to be scared -- do it scared. It's fine to be unsure -- do it unsure. It's fine to be uncomfortable -- do it uncomfortable. Just do something.

This is the attitude of the most disciplined and successful people on the planet. They might be scared, but they do it anyways. And by just doing something, you create movement and momentum that will lead to progress and results.

Read more: Realize your potential, 'dare to be different'

Habits, not results. Perfectionism is one of the most common reasons people procrastinate, and we've all done it at some point.

The best way to overcome this impulse is to put your self esteem into stellar work habits instead of results. It can take a while to see the fruits of your labor -- whether you're spearheading a new initiative, trying to launch a business, or planning a second act career. To keep yourself motivated, take pride in sticking to your work habits, rather than looking for immediate results. In time, success will follow.

Remember the big picture. The pursuit of any goal will inevitably face a number of obstacles. The difference between those who stand out in the careers and those who blend in lies in what you do when you reach these critical turning points. Do you hesitate and turn back? Or do you press forward? When you feel frustrated, depressed, or disappointed, don't give up -- just get some perspective.

I have a mental reminder that helps me push past these hurdles. I hold my pen up to my eye and stare directly down the barrel. Then, I pull it away and look at it in its entirety. It's a quick way to remind myself to look at my life in the same way.

Stop fixating on the here and now, and think about the big picture. Today's challenges may not make sense, but you must have faith that over the long-term, they will be nothing more than blips on the radar screen. Having this perspective and faith will help you press forward at the moments when others turn back.

Contrary to popular belief, people who have reached the highest levels in their careers aren't necessarily better educated, more talented or better connected. Neither are they simply more motivated or harder workers. Rather, successful people have realized that getting to the top means that they first have to do the things that they don't want to do related to their goals.

It's not about enjoying self discipline -- it's about adopting a few new ways of thinking that simply make discipline easier to endure. And when you develop the habit of doing things that others won't do, you're putting yourself on the fast track to the route to the top.

The opinions expressed in this commentary are solely those of Rory Vaden.

@highlight

Successful people consistently do the things that others aren't willing to do, says Rory Vaden

@highlight

If you feel yourself putting something off because you're afraid, do it anyway, he says

@highlight

Vaden argues that we must stop fixating on the here and now, and think about the big picture