(CNN) -- Who doesn't like getting those retail discounts or free gift coupons from their favorite stores?

But did you know there were strings attached, invisible eyes tracking your every consumer move? And there's little you can do to stop it.

We want to do something about that.

Businesses have long sought to attract and retain customers by recording and analyzing your shopping and lifestyle habits. To do so, they often rely on "data brokers" -- companies that collect and share our personal information and label us based on what they learn. And they do this mostly without our knowledge.

That fashionable handbag you found on sale? They know about it. That great deal you got on the BBQ grill from the hardware store? They're tracking that too. And that box of Cheerios? They already assumed you were going to buy that before you even entered the store.

The data broker industry has been booming in recent years, due to new technologies that enable the collection of massive quantities of our personal information. Because of the sheer volume of data we leave in our wake when we shop, browse the web, order a magazine, or post to social media sites, we are largely giving them all this valuable information.

Data brokers scoop up the digital breadcrumbs we leave as we shop in stores and online, and apply "big data" analytical tools to predict where we're going, what we'll buy, and what we'll do -- sometimes even before we know ourselves what we'll buy next.

There's no question that the personal information that data brokers sell to retailers, financial firms, hotels, airlines and other businesses can provide benefits to consumers and our growing digital economy. It can help direct goods and services that are tailored to our interests and assisting businesses to combat fraud by verifying consumers' identities.

They also take this information and use it to lump us into various, shorthand categories like "Affluent Baby Boomer" and "Bible Lifestyle."

But if a data broker categorizes you as an "Urban Scrambler," meaning a low-income minority, are you more likely to receive an offer for a payday loan than a credit card?

What are the implications of being labeled as "financially challenged?" Will it mean you are cut off from being offered the same goods and services, at the same prices, as your neighbors?

Do you want a company to know that you have diabetes, high cholesterol, or another medical condition as long as it is willing to pay the going rate for health data?

Most Americans don't even know that data brokers exist, let alone that they collect and trade a staggering amount of our personal data. Brokers operate invisibly, buying and selling data about us without interacting directly with us. Too few offer easy ways for us to access our information or opt-out of their system of data collection.

The Federal Trade Commission, a bipartisan agency that works to protect consumers, is seeking to shed light on this largely unknown industry. The FTC has just released a detailed study of nine data brokers.

We found that data brokers collect billions of pieces of data on nearly every American consumer, often merging online and offline information. Data brokers are also making potentially sensitive inferences about consumers -- about their health, financial status, and ethnic backgrounds. And consumers have little if any window into this process, let alone meaningful control or choice about how their data is shared among businesses.

This week, the FTC has called on Congress to improve the transparency of the data broker industry, and to provide consumers more control over their personal information. We also recommend that Congress require data brokers to create a centralized website, among other measures, so that consumers can access their own data and opt out of data collection and retention.

I also believe data brokers should be required to take reasonable steps to ensure consumer information is not used for unlawful purposes, such as to illegally discriminate.

We need better transparency into how data brokers collect and use our personal information to help ensure that we not go down a path that leads to unfair exclusion, but rather one that widens opportunities for all consumers.

Join us on Facebook.com/CNNOpinion.

@highlight

FTC chairwoman Edith Ramirez warns consumers about invisible data brokers

@highlight

Transactions quietly surrender a gold mine of data, from where you live to what you like

@highlight

FTC wants Congress to improve the transparency of data broker industry

@highlight

It also wants brokers to create central website so consumers can see their own data, opt out