New Delhi (CNN) -- Here's the best way to understand the new India in 30 seconds. Watch this commercial—or better yet, if you don't understand Hindi, read on.

A smarmy-looking politician addresses a rural gathering, promising to give the people access to water. His speech is interrupted by a boyish young man, a villager, who pulls out his smartphone and plays a YouTube video for all to see: it's the same politician, making the same promises at the last election, years ago.

"I might be from the village," cries out the young man, "but don't think you can fool me!" The commercial—marketing an Indian mobile service provider—cuts to its familiar Hindi jingle, loosely translated as "no making fools of us anymore, no making fools of us."

The story struck me because it weaves together some important trends and forces in India as the nation undertakes the biggest elections in world history.

The first trend is the immense proliferation of Internet-enabled smartphones. In most Western countries, people have discovered the Internet and grown with it in stages: from painfully slow dial-up connections, to broadband, to Wi-Fi, to 4G mobile Internet.

India's story has been very different. Until recently only a small elite—about a tenth of the population—could access the Internet, mostly through PCs. Even today, there are only 57 million broadband  subscribers in the country, according to the Telecom Regulatory Authority of India, or TRAI.

By comparison, there are about 900 million mobile subscribers—a recent boom. Many of these mobile users are buying cheap smartphones and data packages to access the Internet. The offshoot is the opposite of what happens in the West: Hundreds of millions of Indians have never used a PC—and likely never will—but they can now begin to access the Internet on their phones. The Internet is aspirational in India; it's the new motorbike or washing machine.

The second trend is the rise of rural India. Again, according to TRAI, 40% of mobile subscribers are now in villages and small towns. Even with the recent boom, rural subscriptions are still growing at more than twice the rate of urban ones.

These rural subscribers, as the commercial shows, often don't speak English. But there's no longer a great shame in being unable to speak the language of their colonial masters; instead, there's a new pride and confidence in India's many regional dialects and languages. There's new rural money, and a yearning to be stakeholders in their futures and to fight for more accountable government.

The third trend is India's youth bulge. More than 100 million voters in India's elections are first-timers who turned 18 in the last five years. Half of all Indians are under age 30; the average age in India is 28.

Many of these young, brash Indians have cast off the fatalism of their forefathers. Growing up in an India of fast growth and development, they have more confidence in their culture, identity and language. Put that together with trends No. 1 and No. 2, and the result is amplified. For the first time in India's history, a majority of Indians are connected and engaged. They know about the skeletons in every politician's closet—and that information is power.

Some suggest that these trends mean India's elections will be fought and decided on social media.

Politicians have taken their cue, rushing to every platform available: Twitter, Facebook and Google Hangouts. The numbers seem staggering at first. Facebook says Narendra Modi, the front-runner to be India's next prime minister, is the second most "liked" politician in the world (13 million likes), after U.S. President Barack Obama (40 million likes).

According to Twitter, there has been a 600% increase in political Tweets from India in the last year. Since January the two biggest parties, the BJP and the Congress, have grown their Twitter followings by 55% and 351% respectively.

India's Internet and Mobile Association says a strong social media campaign could swing up to 4% of votes.

Commentators have cited that data to brand India's elections the country's first-ever "social media election."

For now, I'm skeptical. Some of the outreach attempts have been amateur at best: As Vox.com pointed out, the BJP's Twitter handle last week auto-tweeted anyone who mentioned the party on Twitter, including me and hundreds of others. In any case, the number of actual social media users represents a tiny percentage of the Indian electorate. Facebook says it has 100 million users in India: it sounds like a lot but it accounts for less than a tenth of Indians.

One reason for this -- apart from limits to Internet access -- could be that Twitter and Facebook remain English language services, relatable to a small subset of Indians.

Unlike China, which has a Chinese-language microblogging service called Sina Weibo, with hundreds of millions of users, India for now has no such indigenous, umbrella platform.

Why? India is no monolith. There are dozens of languages, and an equal number of different Indias. Despite India's growth and increased connectivity, which suggests a more unified nation, the country may actually be becoming more regional-focused, with more pride in local languages, trends and politicians. This is also why I think it's far too early to call India's elections for any one politician or party. The three trends of mobile reach, the rural rise and the youth bulge are each combustible forces bubbling in a cauldron of uncertainty.

Indians may want accountability and change, but it's too soon to tell which way that will manifest itself. It remains unclear whether Indians will vote for their regional interests, or cast their ballot thinking about a macro national picture.

Watch India's elections very closely. They're immensely consequential—for India, and the world. But placing too much importance on social media chatter could be misleading. Calling these elections too early could be embarrassing, too. It is, as the ad-jingle goes, a fool's errand.

@highlight

A commercial shows India voter catching a politician recycling old, unfulfilled promises

@highlight

Ravi Agrawal: The power of mobile technology is helping shape India's elections

@highlight

He says other key trends include the new prominence of rural areas and of young voters

@highlight

Agrawal: It's a mistake to try to predict the outcome based on these trends