(CNN) -- Gabriel García Márquez, the influential, Nobel Prize-winning author of "One Hundred Years of Solitude" and "Love in the Time of Cholera," has died, his family and officials said.

He was 87.

The literary giant was treated in April for infections and dehydration at a Mexican hospital.

García Márquez, a native of Colombia, is widely credited with helping to popularize "magical realism," a genre "in which the fantastic and the realistic are combined in a richly composed world of imagination," as the Nobel committee described it upon awarding him the prize for literature in 1982.

He was sometimes called the most significant Spanish-language author since Miguel de Cervantes, the 16th-century author of "Don Quixote" and one of the great writers in Western literature. Indeed, Chilean poet Pablo Neruda told Time that "One Hundred Years of Solitude" was "the greatest revelation in the Spanish language since the Don Quixote of Cervantes."

The author's cousin, Margarita Marquez, and Colombia's ambassador to Mexico, José Gabriel Ortiz, confirmed the author's death to CNN on Thursday.

"We're left with the memories and the admiration to all Colombians and also Mexicans because I think Gabo was half Mexican and half Colombian. He's just as admired in Mexico as he is in (his native) Colombia, all of Latin America and throughout the world," Ortiz told CNN en Español.

Share your memories with CNN's iReport

"I believe they were somehow emotionally ready for this regrettable outcome. They knew he was suffering from a complex, terminal disease and was an elderly man. I believe (Garcia Marquez's widow Mercedes Barcha) was getting ready for this moment, although nobody can really prepare themselves for a moment like this."

In a televised speech Thursday night, Colombian President Juan Manuel Santos declared three days of national mourning, ordering flags to be lowered to half-staff across the country.

The author -- known by his nickname "Gabo" throughout Latin America -- was born in the northern Colombian town of Aracataca, which became the inspiration for Macondo, the town at the center of "Solitude," his 1967 masterpiece, and referenced in such works as his novella "Leaf Storm" and the novel "In Evil Hour."

"I feel Latin American from whatever country, but I have never renounced the nostalgia of my homeland: Aracataca, to which I returned one day and discovered that between reality and nostalgia was the raw material for my work," reads a mural quoting the author outside of town.

García Márquez was tickled that he had earned so much praise for his fertile imagination.

"The truth is that there's not a single line in all my work that does not have a basis in reality. The problem is that Caribbean reality resembles the wildest imagination," he told The Paris Review in 1981.

A storyteller's childhood

García Márquez's early life was shaped by both familial and political conflict. His grandfather, a widely respected figure known as the Colonel, was a liberal military man who strongly disagreed with the political views of García Márquez's father, a conservative telegraph operator who became a pharmacist. (His father's ardent pursuit of his mother later inspired "Love in the Time of Cholera.")

Their political disagreement came to reflect that of Colombia as a whole, a country that spent a postwar decade in the grip of what was called "La Violencia," a civil war that followed the assassination of a populist leader.

García Márquez spent his early childhood with his grandparents while his parents pursued a living in the coastal city of Barranquilla.

Both his grandparents were excellent storytellers, and García Márquez soaked in their tales. From his grandfather he learned of military men, Colombian history and the terrible burden of killing; from his grandmother came folk tales, superstitions and ghosts among the living.

His grandmother's stories were delivered "as if they were the irrefutable truth," according to the García Márquez site themodernword.com. The influence is obvious in García Márquez's works, particularly "One Hundred Years of Solitude."

In 1936 the Colonel died and García Márquez returned to his parents and their growing family. He was eventually one of 11 children, not to mention several half-siblings from his father's affairs, a familial sprawl that also found its way into his books.

After finishing high school, García Márquez went off to college with dreams of becoming a writer. His parents, on the other hand, had plans for him to become a lawyer. Writing ended up taking precedence: When La Violencia broke out, García Márquez started contributing stories to a local newspaper and eventually became a columnist. He had also been exposed to writers such as James Joyce, Virginia Woolf, Franz Kafka and especially William Faulkner, who had turned his own patch of land in Oxford, Mississippi, into the shape-shifting past and present of Yoknapatawpha County.

In the mid-1950s, García Márquez left Colombia for Europe, a move partly provoked by a story he'd written that was critical of the government. The distance, he later said, helped shape his perspective on Latin American politics.

For years, García Márquez had been writing and publishing fiction, including short stories in Latin American journals and a handful of longer works, including "Leaf Storm," which was published in 1955. But it wasn't until 1967 with the publication of "One Hundred Years of Solitude" that he broke through to a wide audience.

'100 Years' of literary renown

The novel is set in Macondo, a town founded by the patriarch of the Buendia family, José Arcadio Buendia. Over the generations, members of the family are set upon by ghosts and visions, fall in love, dream of riches and fight in wars. Natural events take on supernatural aspects -- rains that last years, plagues that create memory loss. It is a tapestry of almost biblical proportions in which reality and spirit swirl and merge, a world unto itself -- as well as a commentary on the politics and history of the world at large.

"The narrative is a magician's trick in which memory and prophecy, illusion and reality are mixed and often made to look the same. It is, in short, very much like Márquez's astonishing novel," wrote The New York Times in a 1970 review upon the release of the English translation by Gregory Rabassa.

García Márquez worked on "Solitude" tirelessly, selling off family items, living on credit, smoking up a nicotine frenzy. Upon its release, the book became an instant bestseller in Latin America and was equally successful in English. It has been estimated to have sold in excess of 20 million copies -- some sources say as many as 50 million -- in two dozen languages.

The book didn't ease all of García Márquez's problems, however. As a vocal leftist and defender of Castro's Cuba, he was regularly limited or denied visas by the United States until President Bill Clinton, a fan of "Solitude," revoked the ban.

Clinton commented on Garcia Marquez's death Thursday.

"I was saddened to learn of the passing of Gabriel García Márquez," he said in a statement. "From the time I read 'One Hundred Years of Solitude' more than 40 years ago, I was always amazed by his unique gifts of imagination, clarity of thought, and emotional honesty. He captured the pain and joy of our common humanity in settings both real and magical."

García Márquez was also involved in a feud with onetime friend writer Mario Vargas Llosa, a Peruvian and a Nobel laureate, who punched the Colombian in the face in 1976 -- believed to be over politics but later revealed to be over Vargas Llosa's wife.

García Márquez's ensuing works were generally praised. They included "The Autumn of the Patriarch" (1975), "Chronicle of a Death Foretold" (1981) and "The General in His Labyrinth" (1990). He is said to be the most popular Spanish-language author in the world.

"Love in the Time of Cholera," with an English translation published in 1988, was a particular bestseller. The love story, which was turned into a 2007 movie, was referenced in such works as the 2001 movie "Serendipity" and the finale of the TV series "How I Met Your Mother."

García Márquez's style and impact have been widespread.

He is credited with spearheading "el Boom," attracting attention to a generation of Latin American writers, including Vargas Llosa and Mexico's Carlos Fuentes. Magical realism is now an accepted genre, to the point that some critics believe it has been overused.

And he prompted a focus on Latin American politics -- protesting the 1973 CIA-aided coup in Chile, calling attention to corruption and free speech issues in South America and around the world.

He never gave up journalism.

"I've always been convinced that my true profession is that of a journalist. What I didn't like about journalism before were the working conditions," he told The Paris Review. "Now, after having worked as a novelist, and having achieved financial independence as a novelist, I can really choose the themes that interest me and correspond to my ideas."

He was one of the most honored -- and highly respected -- authors on Earth, particularly in parts of the world where literature is taken as seriously as politics.

"On behalf of Mexico, I would like to express my sorrow for the passing of one of the greatest writers of our time, Gabriel Garcia Marquez," tweeted Mexican President Enrique Peña Nieto.

Colombia's President summed up the author's presence on Twitter.

"Giants never die," Santos tweeted.

For all of his immortality, however, Garcia Marquez preferred the here and now. Asked about the impact of dreams on his dreamlike writing, he said he'd rather focus on reality.

"Life itself is the greatest source of inspiration," he said. "I see dreams as part of life in general, but reality is much richer.

"But maybe," he added, "I just have very poor dreams."

People we've lost in 2014

CNN's Rafael Romo and CNN en Español's Nelson Quiñones and Ana Melgar contributed to this story.

@highlight

NEW: Colombia's President declares three days of national mourning

@highlight

The 87-year-old is widely credited with helping to popularize "magical realism"

@highlight

García Márquez stands as one of the most honored authors on Earth

@highlight

The Colombian author died in Mexico City, where he lived