Islamabad, Pakistan (CNN) -- The brazen shooting of a defiant teen blogger has stirred the conscience of Pakistan, a nation plagued for decades by violent extremism.

An angry chorus of voices in social media, on the street, in newspapers and over the airwaves has decried the attack against 14-year-old Malala Yousufzai as cowardly and an example of a government unable to cope with militants.

"I blame the Taliban, first and foremost," columnist Sami Shah wrote in The Express Tribune, a local English daily. "I blame the government. All of it."

Malala was slowly recuperating Wednesday after surgeons worked for three hours to remove a bullet lodged in her neck.

Opinion: Girl's courage, Taliban's cowardice

On Tuesday, Taliban militants stopped a van carrying three girls, including Malala, on their way home from school in northwestern Pakistan's conservative Swat Valley.

One of the gunmen asked which one was Malala Yousufzai. When the girls pointed her out, the men opened fire. The bullets struck all three girls.

For two of them, the injuries were not life-threatening. For Malala, it was touch-and-go for a while.

"We are happy that she survived, but are worried too about her health condition," said her uncle, Faiz Muhammad, who is with her at a military hospital in Peshawar.

On Wednesday, police took the van driver and the school guard into custody for questioning. They also said they'd identified the culprits.

Meanwhile, the Taliban claimed responsibility for the attack and issued an ominous threat.

"If she survives this time, she won't next time," a spokesman for the Pakistani Taliban said. "We will certainly kill her."

"I have the right of education," Malala said in a 2011 interview with CNN. "I have the right to play. I have the right to sing. I have the right to talk. I have the right to go to market. I have the right to speak up."

In fact, many of Malala's courageous words during that interview take on an even more defiant context.

"When your people need you, you should come up," she told CNN's Reza Sayah. "You should come and stand up for their rights."

Malala also encouraged other young people to take a stand against the Taliban -- and to not hide in their bedrooms. "God will ask you on the day of judgment where were you when your people were asking you, when your school fellows were asking you, and when your school was asking you that I am being blown up?"

Read more: 14-year-old girl wins Pakistan's first peace prize

Mian Iftikhar Hussein, the Khyber-Pakhtunkhwa information minister, said he was declaring a bounty of $100,000 for the capture of the culprits in the attempt on Malala's life.

Pakistani Army Chief Gen. Ashfaq Parvez Kayani visited Malala in the hospital and delivered a simple message: "We refuse to bow before terror." He also noted that the Taliban lack respect for the "golden words" of the Prophet Mohammed -- "that the one who is not kind to children is not amongst us."

"In attacking Malala, the terrorists have failed to grasp that she is not only an individual, but an icon of courage and hope," the general said.

The chief minister of Punjab said he would bear the cost of Malala's treatment, calling her "the daughter of Pakistan."

The head of PIA, the national airline, said he was putting a plane on standby to take the teenager "anywhere in the world if needed" for treatment. Two neurosurgeons, one in the United States and one in the United Kingdom, have also offered to fly to Pakistan if needed, the interior minister said.

Throughout the country and around the world, Pakistanis, hurt and angry, prayed.

"Malala is what Taliban will never be," said Murtaza Haider, the associate dean of research and graduate programs at the Ted Rogers School of Management at Toronto's Ryerson University, in an opinion piece in the Dawn newspaper.

"She is fearless, enlightened, articulate, and a young Muslim woman who is the face of Pakistan and the hope for a faltering nation that can no longer protect its daughters."

"If the Taliban wants to fight, then they should pick on someone their own size," a girl said on a local news channel.

Shamila Chaudhary, a former U.S. National Security Council director for Afghanistan and Pakistan, told CNN the incident reverberates among women and girls and even conservative Muslims.

"The Pakistani Taliban don't have a lot of support in the Pakistani society," she said. "They don't offer social services and justice, they don't offer any alternative to weak government."

This latest incident "makes them more unpopular" among masses of people who view the aspirations of Malala and the Taliban's resistance to them as a "fight between good and evil," said Chaudhary, a senior South Asia fellow at the New America Foundation.

U.N. Secretary-General Ban Ki-moon called the act "heinous and cowardly" on Wednesday and said the attackers must be brought to justice.

"The secretary-general, like many around the world, has been deeply moved by Malala Yousufzai's courageous efforts to promote the fundamental right to education -- enshrined in the Universal Declaration of Human Rights," a representative for Ban said.

iReport assignment: Girls + Education = ...

Twitter, the closest thing to a barometer of public opinion, likewise lit up.

"Wasn't the brute who put a gun to Malala's little head born to a woman?" wrote Kamran Shafi. "Did he have sisters, aunts, a wife or four? Bloody filthy terrorist!"

Pakistan's picturesque Swat Valley was once one of Pakistan's biggest tourist destinations.

The valley, near the Afghanistan border and about 186 miles (300 kilometers) from the capital city of Islamabad, boasted the country's only ski resort. It was a draw for trout-fishing enthusiasts and visitors to the ancient Buddhist ruins in the area. But that was before militants -- their faces covered with dark turbans -- unleashed a wave of violence.

They demanded veils for women, beards for men and a ban on music and television. They allowed boys' schools to operate but closed those for girls.

It was in this climate that Malala reached out to the outside world through her blog posts.

She took a stand by writing about her daily battle with extremist militants who used fear and intimidation to force girls to stay at home.

Malala's online writing led to her being awarded Pakistan's first National Peace Prize in November.

"I was scared of being beheaded by the Taliban because of my passion for education," she told CNN at the time. "During their rule, the Taliban used to march into our houses to check whether we were studying or watching television."

She said that she wanted to be a political leader, that her country "needs honest and true leaders."

The Taliban controlled Malala's valley for years until 2009, when the military cleared it in an operation that also evacuated thousands of families.

But pockets remain, and violence is never far behind.

For Pakistani public officials, Chaudhary said, the incident is a reminder of the Taliban's ends -- keeping girls from going to school and imposing hard-line religious and cultural values.

Many are in denial and haven't accepted "the extent the Taliban will go to impose their cultural values."

There have been other examples of violence against women, Chaudhary said, including the Taliban flogging of a woman caught on video a few years ago.

That was "a trigger event -- it pulled a lot of the political elite out of their denial," she said. "I see this instance as something similar."

Chaudhary said there's a misconception across the world that the political elite sympathize with the Taliban.

That's untrue, she said. They are afraid of them and the possibility of violent retribution against officials and government installations. If the government doesn't talk about this latest issue and have justice served, it will be a "step back," she said.

Sami Shah, the columnist, said the ruling Pakistan People's Party shares blame.

"There can be a million excuses why the Taliban can still operate with impunity in Pakistan, a lot of them legitimate. But if you are the ruling party, then you must accept responsibility for your failures. And the PPP has resoundingly failed."

Setback for Pakistani teen facing blasphemy charges

Explainer: Pakistan's blasphemy laws

Pakistan's top court investigates use of girls to settle tribal dispute

CNN's Nasir Habib and Shaan Khan reported from Islamabad, and Joe Sterling from Atlanta. CNN's Noreen Shams and Saeed Ahmed also contributed to this report.

@highlight

NEW: "When your people need you, you should come up," said defiant teen activist in 2011

@highlight

Malala Yousufzai is called an "icon of courage and hope"

@highlight

"We refuse to bow before terror," the army chief says

@highlight

Police say they have identified the attackers