Turkish authorities' use of live ammunition, tear gas, beatings and sexual assaults to crush street protests earlier this year constitute "human rights violations on a massive scale," according to a report by human rights watchdog Amnesty International.

Amnesty documented cases of Turkish riot police firing plastic bullets and tear gas canisters at the heads of protesters.  It also   accused police of sexually abusing female demonstrators and of severely beating and shooting protesters with live ammunition, resulting in the deaths of two men in separate incidents.

The report, released Wednesday, focused on the turmoil that erupted in May and June, when police tried to put down an environmentalist sit-in.  Demonstrators had staged an Occupy Wall Street-style protest over government plans to demolish Istanbul's Gezi Park and replace it with a shopping mall.

"The levels of violence used by police in the course of Gezi Park protests clearly show what happens when poorly trained, poorly supervised police officers are instructed to use force -- and encouraged to use it unsparingly -- safe in the knowledge that they are unlikely ever to be identified or prosecuted for their abuses," said Amnesty International's Turkey expert, Andrew Gardner.

The Turkish government has launched an investigation into the possible excess use of force.  At least one police officer from a counter-terrorism unit is standing trial along with other suspects for beating a protester named Ali Ismail Korkmaz in the Turkish city of Eskisehir.  The 19-year-old university student later died as a result of his injuries.

Government announces democratic reforms

Amnesty International's report emerged two days after the Turkish government unveiled a long-awaited series of reforms, which  the rights group said fails "to address these violations or to take any serious steps to ensure that they will not occur in the future."

Prime Minister Recep Tayyip Erdogan applauded what he called the "democratization package," declaring it a historic moment for the country.

The legislation lifts the ban on women wearing Islamic headscarves in public institutions.  However, women serving as police officers, judges or military personnel are still not allowed to wear headscarves.

The reforms also removed the ban on teaching the Kurdish language, and ended the ban of the Kurdish letters "q," "x" and "w,"  which do not exist in the Turkish alphabet. However, Kurdish can only be taught in private schools, even though it is the language spoken by Turkey's largest ethnic minority.

Another change called for expanding the definition and punishment for hate crimes committed on the basis of ethnicity or religious belief.

The democratization package quickly inspired a chorus of criticism from a wide range of ethnic, religious and political groups.

"This is more of an election package," said Sebahat Tuncel, a lawmaker from the main Kurdish opposition party, referring to municipal elections expected to be held in 2014.

"This package could have lifted the obstacles to democratization. It could have lifted barriers to freedom of the press, to freedom of expression and amended the anti-terror laws," Tuncel added.

Thousands of Kurds have been arrested in recent years, accused of collaborating with the Kurdistan Workers Party (PKK), whose militants have been fighting a guerrilla war for the past 30 years against the Turkish state.

Erdogan's government has tried to bring an end to the simmering conflict by launching negotiations with jailed PKK leader Abdullah Ocalan. The peace talks have prompted some of the PKK's thousands of fighters to voluntarily leave Turkey for neighboring Iraq.

Meanwhile, women's groups and lesbian, gay, bisexual and transsexual activists are upset that the reforms did not include reference to hate crimes committed on the basis of gender or sexual orientation.

Though Erdogan offered to create a cultural institute for Turkey's Roma minority and promised to return a government-seized monastery to the Assyrian Christians, he stopped short of reopening the Halki Seminary, which traditionally educated the country's top Greek Orthodox clergy.

For decades, members of Turkey's dwindling Greek community, as well as many Western governments, have called for Turkey to lift its ban on Halki.

"I think it is a step forward and the government says more will come," wrote Suat Kiniklioglu, a former lawmaker from Erdogan's ruling Justice and Development Party (AKP), in an e-mail to CNN.

"However, the real issue in Turkey is political and cultural polarization. I wish the package would address issues such as freedom of expression and pluralism."

Turkish president calls for reform

Turkey's president warned about the threats this polarization posed in an address before the Turkish parliament Tuesday.

"I viewed the peaceful demonstrations of the young people at Gezi Park... as a new manifestation of our democratic maturity," said Abdullah Gul.

Gul argued that Turkey still had a long way to go in its democratization process.

"The effective and efficient operation of executive, legislative and judicial powers; the existence of a serious, constructive and strong opposition; a free, critical, impartial and independent media are of utmost importance for a country's democratic development," he said in his speech to lawmakers.

Gul has been a loyal ally of Erdogan through the prime minister's decade in office.

But as his term in the largely symbolic post of president draws to a close, Gul has increasingly challenged some of Erdogan's more controversial policies.

The increasingly divergent political positions have prompted widespread speculation that Gul may be preparing to submit himself as a candidate to be the next prime minister of Turkey.

@highlight

Police beat, shot, sexually abused protesters, rights group says

@highlight

The demonstrators wanted to keep a park from becoming a shopping mall

@highlight

The Turkish government has launched a probe of the alleged abuses