Chiquita Chavis is an Army Reservist who served in Afghanistan and is waiting to see if she'll be deployed for a second time.

But since returning from her first tour in 2010, she has fallen on hard times.

She came back to find that the civilian job she left had been restructured, and with only part-time work, she struggled to make ends meet for herself and her young daughter. They ended up living in a friend's garage.

"I never had to live in the street," said Chavis, 30. "But I (was) not in a situation where I could support myself on my own."

Chavis is not alone. While the Department of Veterans Affairs reports that overall veteran homeless rates are going down, female rates are going up. In fact, female veterans are the fastest-growing segment of the U.S. homeless population and are more at risk than their male counterparts, according to the report.

Read the report on veterans' homeless rates (PDF)

The VA says veterans become homeless for many reasons, including mental health issues and substance abuse. But it notes that female veterans can face additional challenges, such as sexual abuse. Female veterans are also more likely to be single parents, the VA says, which can make it more difficult to find adequate housing.

Chavis' luck changed at a job fair when she met Jaspen Boothe, a captain with the Army National Guard. Within days, Boothe had helped Chavis and her daughter move to a transitional home where they could stay until they got back on their feet.

Boothe, 35, considers it her mission to help her female comrades who are homeless or at risk of becoming homeless. Since 2011, she has provided transitional housing or financial assistance to more than 50 female veterans and their children through her nonprofit, Final Salute.

"Not every veteran is living under a bridge," Boothe said. "Not all veterans have mental issues. Not all veterans have experienced substance abuse. Some veterans have just fallen on hard times."

When they do fall, it can be hard for female veterans with children to find housing, according to the Government Accountability Office. It reported that 60% of the homeless shelters that serve female veterans don't accept children or have restrictions based on age or the number of children that can be housed.

Read the GAO report on veterans and housing (PDF)

In the past two years, Boothe has opened two transitional homes in the Virginia suburbs of Washington, where veterans and their children can live for up to two years while they get their lives back on track.

Her nonprofit also offers them assistance with child care, employment placement and accessing benefits or counseling through the VA.

Do you know a hero? Nominations are open for 2013 CNN Heroes

"We offer wrap-around services ... anything they could possibly need to help get themselves back in a state of independence," Boothe said. "We give all the tools that you need, but your success in this program is up to you."

Additionally, Boothe works to prevent homelessness by providing interest-free loans or grants to help female veterans pay for rent, deposit and utilities.

To date, she's helped 100 women and children through her programs, and she has given plenty of personal support and encouragement along the way.

"I definitely am someone who relates to them on their level," she said. "(I) let them know: "Hey, you can get past your circumstances. They're only temporary."

She should know; she was once homeless herself.

As a single mother, Boothe joined the Army Reserves to make a better life for herself and her young son. She was based in New Orleans and set to deploy to Iraq in 2005 when her life was turned upside down.

Hurricane Katrina hit. Boothe and her son were fine -- she'd already sent him to live with a relative in Missouri while she prepared to deploy -- but the family lost everything, and Boothe became homeless.

A month later, she was diagnosed with head, neck and throat cancer. She underwent surgery and radiation treatment at Brooke Army Medical Center in Texas, but she was eventually discharged from the Reserves because of her illness.

When Boothe asked the VA what assistance was available for her, she was told they didn't have any programs that could help with the challenges she was facing as a female veteran with a dependent child.

They referred her to local social services, which Boothe called probably the most demeaning experience of her life.

"You're treated basically as a baby's mama or a crack head, or some woman who's made a bunch of bad decisions with her life, and the only resources available were welfare," Boothe said. "I'm not a welfare mom, I'm a soldier."

Boothe joined her young son in Missouri, where she was able to eventually get her life back together. Today, her cancer is in remission, and she lives with her son, her new husband and their son in Virginia, where she is on active duty with the Army National Guard.

For years, Boothe considered her experience an isolated incident. But when she realized that other female veterans were struggling, too, she decided to take action. For her, it's part of the oath she swore to uphold when she entered the service.

"As a soldier, you raise your right hand, and with that comes certain responsibilities," she said. "One of those is to never leave a fallen comrade. ... So whether they're in or out of uniform, they have me if they need me."

Boothe's help has given Chavis the break she needed.

"I have a job now, and I got promoted in like two weeks," Chavis said. "I'm really at peace here, and I can focus on what my next steps are. ... Jas set me up for success."

Boothe is determined to help as many female veterans as she can. At the end of the month, she'll be getting another opportunity when she starts her dream job: working in women veterans outreach at the VA.

One way or another, her ultimate goal is to make organizations like hers obsolete.

"I don't have a blueprint, but I'm going to figure it out," she said. "It's my duty as a soldier to help my fellow sisters."

Want to get involved? Check out the Final Salute website at www.finalsaluteinc.org and see how to help.

@highlight

Jaspen Boothe is committed to helping out homeless female veterans

@highlight

Government reports say female veterans have to deal with issues that men do not

@highlight

Boothe, a captain with the Army National Guard, was once homeless herself

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes