(CNN) -- For Connor Hays, nothing said summer more than spending a day at Joyland Amusement Park.

Back in its prime, the Wichita, Kansas, theme park drew families with novelty rides, carnival food and live entertainment. Hays, now 25, says he visited Joyland at least twice each summer when he was a kid in the 1990s.

After moving back to his hometown earlier this year, Hays wanted to revisit his childhood amusement park. But he couldn't. Joyland was no more.

The theme park, which had been operating for 55 years, closed in 2004. What Hays found instead was a heap of scraps from a forgotten place. With a camera in hand, the web designer walked carefully through the tall fields of grass that now surround much of the abandoned remnants of the theme park.

Within the confines of Joyland, Hays was hit with a rush of memories from his youth. "My older brother and I would beg my parents to take us," Hays said. "When we got there, we would ride the same three rides over and over again."

Those deep feelings of nostalgia associated with places like local, homegrown theme parks are quite common, according to Jim Futrell, a historian with the National Amusement Park Historical Association. "In this Internet era, people are looking for something different to do, and a lot of amusement parks are able to capitalize on that," he said.

Attendance at U.S. theme parks increased by 59 million visitors from 2000 to 2013, said David Mandt, a spokesman for the International Association of Amusement Parks and Attractions.

The jump in attendance is positive news for an industry that historically goes through cycles of park closures. From 2004 to 2008, amusement parks hit a slump with dozens of theme parks shutting their doors nationwide.

This includes several smaller theme parks that closed in the mid-2000s, including some that had survived a century, Futrell said. Ohio's Geauga Lake and Pennsylvania's Bushkill Park, were examples of this trend, Futrell wrote in a 2006 article for Funworld Magazine.

Those smaller theme park closures have left a void for some intrepid travelers who are looking for a more nostalgic amusement park experience.

Our fascination with abandoned buildings

Jessica Georgia is one of those travelers who is always searching for a vintage or "Old Americana" place to explore. It's what brought her and her family to the gates of Land of Oz, a relic theme park, sitting all alone on top of Beech Mountain in North Carolina. Georgia stumbled onto the theme park while doing an online search for interesting places to visit with her family. There wasn't much information she could find on Land of Oz, except that it once operated in the 1970s before closing its doors.

What she did find online were photos of a real-life version of "The Wizard of Oz." Its yellow bricks, steel gate and lush green trees sparked her curiosity.

She and her family visited the park in late May and found that the gates to the theme park were open, so they stepped inside. Georgia, her husband and daughter walked carefully down the yellow brick road. The path was still brightly colored after all these years, with a few bricks missing here and there.

"I don't think you are supposed to walk in the way we did," she said. "The gates are there, there were the yellow bricks, and the shell of what used to be a castle. The Tin Man was also there, and the trees looked like they were looking at you."

Land of Oz may seem like an abandoned theme park, but it's actually not. The amusement park is closed, and the space has been converted into vacation rental property. Visitors can rent out Dorothy's house, which looks like an antique cottage, for two nights or more. Other parts of the park can also be rented for small events.

The theme park hasn't been operational since the 1980s, when it first shut down. But the space went through a revival in the 1990s, according to Cynthia Keller, the property manager of Land of Oz and self-appointed "Keeper of Oz."

Libraries are dying? Think again

"You get the grounds to yourself, and you can stroll the yellow brick road," Keller said. "We have been doing vacation rentals for the last 20 years."

Spending the night in Dorothy's home and waking up on top of a picturesque mountain is an experience that keeps the park's rental calendar pretty much booked up, Keller said. Even those who aren't hardcore fans of the classic Technicolor movie enjoy spending time at the converted theme park.

"We aren't crazy about 'The Wizard of Oz,' but I definitely had some nostalgia walking through," Georgia said. "I had a lot of childhood memories of watching that movie with my sister when we were little, and being able to pass that experience down to my daughter. It makes you want to be a kid again."

Hays says going to Joyland with his parents always felt like a treat, giving him a "special feeling that is hard to recreate or describe once you have grown up."

Although Hays doesn't have children yet, he hopes to share that same feeling with his own kids in the future. He plans on taking them to a theme park similar to Joyland.

"There is something about local amusement parks," he said. "When you go to Six Flags, I don't think you have the same emotional connection to that park like a smaller theme park gives you."

@highlight

During the mid-2000s, several smaller U.S. theme parks closed their doors for good

@highlight

Nostalgic travelers are looking for a more intimate theme park experience

@highlight

Vintage theme parks like Land of Oz learned to adapt by offering nostalgia for visitors