(CNN) -- Films have altered the course of human history before. The rise of Nazism would not have been as rapid and absolute had it not been for the Reich's potent command of propaganda, including Leni Riefenstahl's monumental glorification of the fascist regime, "Triumph of the Will." And D.W. Griffith's celebration of white supremacy, "The Birth of a Nation," helped to resurrect the Ku Klux Klan.

Both these films are repellent, yet are judged to be masterpieces of world cinema, and their directors among the greatest of all time. So it's hard to imagine that a movie as slight and crude as "The Interview" could serve as a similar kind of historical watershed. And yet, future generations may well look to it as marking the emergence of a new chapter in geopolitics, dominated by a fresh set of actors and wildly different forms of conflict.

If the attacks of September 11 taught us to fear insurgent groups using improvised weapons against civilians -- al Qaeda, the Taliban, ISIS -- what we've learned from the "Interview" fiasco is that even nation states and "traditional" terror organizations can now find themselves to be nothing more than blindsided bystanders in strange battles between entities with hidden (or purposely misleading) agendas. Corporations. Mysterious ad hoc hacker networks. Even motivated individuals. And these struggles will play out in the dark, with far-reaching and unpredictable consequences.

Was the hacker attack that crippled media titan Sony insider sabotage, an attempt at extortion, a terrorist strike or, as more hawkish types have suggested, the overture to formal war? Were its perpetrators disgruntled employees, Internet pranksters, black hat mercenaries or the shadowy digital armies of rival nations? Perhaps the most frightening thing is that, months after the assaults, we still don't know exactly when they began, what their true objective was and, of course, who was actually behind them.

Sony was quick to assign blame to North Korea, based on the conclusions of federal investigators. President Barack Obama issued a condemnation of the hermit kingdom's "cybervandalism" and promised to "respond proportionately." And, in a gesture of profound corporate cowardice, Sony yanked "The Interview" after a number of movie theater chains said they would not screen the movie.

Since then, other researchers have raised serious questions about North Korea's real role in the hacks, pointing to the fact that while North Korea might have had a clear motive -- suppressing the release of a work that might embarrass its supreme leader -- early messages to Sony reportedly did not focus on "The Interview," and instead sought vague "monetary compensation."

Meanwhile, publicly released evidence of North Korean involvement seems flimsy, the country itself has hotly denied it is behind the hacks, and more recent theories have pointed instead to a possible inside job, or to hackers from other countries with greater resources and more ambiguous aims. The results of independent linguistic analyses performed on the messages sent by hackers make their North Korean origin questionable, and even suggest they were translated from Russian. (It's also worth noting that Russia's Foreign Ministry this week held a press conference slamming "The Interview" as "aggressively scandalous," while also denouncing the U.S. accusations against North Korea as being without "direct evidence."

As these theories and allegations have circulated, the playing field has continued to shift. A group claiming to be members of the enigmatic hacker coalition Anonymous vowed vague reprisal against North Korea. A few days later, North Korea's Internet access was shut down by a denial of service attack.

As all this occurred, Sony changed its mind about releasing "The Interview," allowing 300 theaters to screen the film despite warnings of physical attacks on moviegoers, while putting it on Google's Play store and YouTube. But the fact that it instantly leapt to the top of the popularity charts on both platforms has led some conspiracy minded people to wonder whether the entire episode wasn't a PR stunt (albeit one that got out of hand -- the revelations from the email leaks were far too damaging to have been released intentionally).

And this is where things get oddly meta.

I mentioned that "The Interview" comes off as a trivial work of frat-boy comedy, full of the toilet humor, misogyny, gay-panic japery and racial stereotypes that have marked other Franco/Rogen collaborations. (However, unlike others who've criticized it, I don't think it is any worse than, say, "Pineapple Express.")

But the movie's last scene (spoiler alert!), consciously or not, turns it into something with a darker kind of self-awareness. Franco's character, celebrity talk show host Dave Skylark, is shown reading the last page of his best-selling book about their madcap assassination adventure in North Korea to a huge and rapt crowd.

He begins as follows: "It was the beginning of a revolution. A revolution Aaron [Rappaport, Skylark's producer, played by Rogen] and I started."

They continue by noting that this "revolution" was not one waged with ordinary weapons, but with the power of the media -- and with what can only be defined as trollery. "This was a revolution," he continues, "ignited with nothing more than a camera and some questions. Questions that led a man once revered as a god among mortals to cry and sh*t his pants. The end."

It's a concise summary of the new era in which we live, where the ability to manipulate media and technology has increasingly become a critical strategic resource, where combat is conducted not just on battlefields but on servers and screens and social networks, and where it's increasingly impossible to tell the difference between pranks, crimes and acts of war.

Welcome to the Troll Age. Buckle your seat belts -- and change your passwords.

@highlight

Jeff Yang: Films have often helped shape course of history

@highlight

Uncertainty still surrounds Sony hack, Yang says

@highlight

But it may mark the emergence of a new chapter in geopolitics, he says