(CNN) -- It's been described as one of the greatest Victorian gothic horror stories of all time. Two ships with 129 men on board and fitted with the latest technology, vanish with barely a trace left behind. One hundred and sixty years of searching -- one attempt as recent as last month -- have failed to find "HMS Erebus" and her sister ship, the somewhat appropriately named "HMS Terror" -- the two vessels lost in the Arctic.

In 1845 British Royal Navy captain Sir John Franklin set out with some of the finest sailors of the time on a mission to map the Northwest Passage. Franklin's expedition wasn't the first to the region, but it is the most infamous.

"Why did this fail when all the others didn't," asks author William Battersby. "There was something jinxed about the expedition." Battersby is one of many to be transfixed by the mystery of Franklin's last voyage. "We love adventure stories, of derring-do, win against all odds, but in this story they don't and we still don't know why."

The environment of the Northwest Passage is unforgiving. The landscape is vast and deserted, comparable only to Jupiter's moons. The winters are unrelenting and bleak. Franklin's men were faced with particularly brutally harsh temperatures and blizzards when they reached the region.

Despite the ships being reinforced with steel and holding three years worth or provisions, it appears the environment got the better of the crew. "Man proposes, God disposes," says Bob Headland from the Scott Polar Research Institute, who regularly visits the region. '"And the ice gods are a fickle lot."

The disappearance of the Erebus and the Terror has prompted the longest search mission in history: Although there have been numerous attempts to find the ships, there has been no sign of them.

Ryan Harris from Parks Canada led the most recent mission to try to locate the shipwrecks. Last month, his crews spent hours scouring the ocean floor, searching waters up to 50 meters deep. "It's an incredible story. It's got shipwrecks, the remoteness of the Arctic, putting the might of English industrialism against Mother Nature," says Harris.

Since 1997 Parks Canada has spent hundreds of thousands of dollars attempting to locate the "Erebus" and "Terror." The tale of the Franklin expedition has enthralled Canadians -- the wreckage has the dubious honor of being the only national historic site in Canada that hasn't been found yet.

"Once Franklin received his orders that sealed his fate," Harris explains. "In directing them south-west into ultimately the Victoria Strait it took them to the ice choke point. Once they fell into the clutch of that area, their fate was sealed. There's not much wildlife there and it is isolated."

The last known account of the "Erebus" and "Terror" came in 1848. A rock cairn with a message on it indicated that the harsh conditions had already claimed their first lives, with only 105 men left alive.

Franklin was one of the first casualties of his own expedition. That same year the men abandoned their ships, archaeologists believing they began making their way south in a desperate bid to find food.

However the harsh environment supported little, and with few animals to hunt and over 100 men to feed, the chance of survival was low. It's been suggested that the men may have resorted to cannibalism in their last-ditch efforts to survive. "There were far too many men to live off the environment. What man plans and what nature allows are two different things," says Headland.

Archaeologists have relied heavily upon oral Inuit history to try to put the pieces of the puzzle together. Based on their accounts it is thought some of the men lived for another three or four years after abandoning ship.

But questions remain over exactly what happened to them. In 160 years only two skeletons and three perfectly preserved bodies have been uncovered. It is likely diseases such as scurvy claimed many lives but Battersby believes it may have been the ships themselves that killed the sailors.

His theory is that the men succumbed to lead poisoning derived from the internal pipe system used to melt ice into drinking water. It's hoped the discovery of the ships will provide answers.

'"There's a charm to the story," acknowledges Harris. "By solving a mystery it takes the allure away." But having said that, Harris is determined the search will go on until the "Erebus" and the "Terror" are found. Parks Canada insists that their searches have not been futile and they'll continue to gather information to help with future efforts. "I hope we're the last," says Harris.

But after 160 years it's possible that this tale may be frozen in time forever. "These are the last of the ghost ships," says Battersby. "It is the world's biggest ghost story."

@highlight

In 1845 Sir John Franklin and 129 men set out on a mission to map the Northwest Passage

@highlight

160 years of searching have failed to find the lost ships "HMS Erebus" and "HMS Terror"

@highlight

The last known account of the expedition was in 1848