(CNN) -- Myanmar announced Tuesday it will grant amnesty to 6,300 prisoners on Wednesday, one in a series of recent moves that could help the isolated nation normalize relations with Western nations including the United States.

But is it really an authentic step toward greater freedoms in one of the world's most repressive states? Or is it another gesture by the nominally civilian government to appease critics?

Kurt Campbell, a U.S. assistant secretary of state, called it a "dramatic development" that could prompt Washington to consider improving ties. The United States imposes an embargo on arms and investment in Myanmar, once known as Burma before a military junta took over.

But if you ask Mark Farmaner, director of the London-based human rights group Burma Campaign UK, the prisoner amnesty is part of the "mood music" created to soothe the world. Obviously, he said, the amnesty was welcome, but it was hardly signaling the government's wish for democracy.

"What's very clear is that (President) Thein Sein is willing to make more concessions in order to get sanctions lifted and get more international legitimacy," Farmaner said.

The amnesty announcement in state-run media did not make it clear how many political detainees would be included.

Amnesty International has reported that more than 2,200 political prisoners are detained in poor conditions and subjected to torture and cruel treatment.

Their release remains a key demand of Nobel Peace Prize laureate Aung San Suu Kyi and a priority for lifting of Western sanctions.

There was cause for optimism after a letter to Thein Sein from a new state-appointed human rights panel called for the pardon of "prisoners of conscience who do not pose a threat to the stability of state and public tranquility."

Myanmar, ruled by generals since 1962, denied for decades that political prisoners even existed.

Since Myanmar's elections in November 2010 -- the first in two decades -- its leaders have been gingerly reaching out to critics.

"Now I think it would be fair to say the elections themselves were flawed in many critical ways, and we have continuing concerns about a number of developments inside the country," Campbell, the assistant secretary of state for East Asian and Pacific affairs, said Monday in a lecture in Bangkok, Thailand.

"But it is also undeniably the case that there are dramatic developments under way," he said. "We have stated clearly that we are prepared for a new chapter in our relations, and we are watching carefully developments on the ground. And I think it would be fair to say we will match their steps with comparable steps, and we are looking forward over the course of the next several weeks to continuing a dialogue that has really stepped up in recent months."

Tint Swe, the head of Myanmar's state censorship, called Friday for greater press freedoms, saying his own office should be shuttered as part of government reforms, reported Radio Free Asia.

Last week, the government suspended the Myitsone dam project on the Irrawaddy River -- annoying the Chinese but pleasing Suu Kyi and environmental activists, who had been vocal opponents.

In September, Myanmar's Foreign Minister Wunna Maung Lwin held a rare, historic meeting with U.S. officials in Washington following what a U.S. State Department spokesman characterized as positive developments after years of discord over human rights and other issues.

A month earlier, Suu Kyi met with Thein Sein at the presidential residence in Naypyitaw and the two vowed to work together in the nation's interest, state media reported. Nyan Win, a spokesman for Suu Kyi's National League for Democracy party, said then that he thought the meeting "may be the first step towards reconciliation."

The NLD was banned from the 2010 election, but Suu Kyi is fighting to restore her party's legitimacy.

Myanmar and Western nations have been at odds for years because of Myanmar rulers' ongoing clampdown on their political foes, most notably Suu Kyi. She spent most of the past two decades in some form of detention before being released a week after last year's elections.

Farmaner of Burma Campaign UK said the government's talks with Suu Kyi are also about self-preservation. As long as there are popular protests, the government runs the risk of having to crack down on a growing movement as it did in 2007, when outrage over rising fuel prices escalated to Buddhist monks leading 100,000 people in the largest anti-government demonstrations since 1988.

"He wants to take politics off the streets of Burma and bring it under the parliament's wing," Farmaner said about Thein Sein. "He is scared of it being on the streets."

Joshua Kurlantzick, fellow for Southeast Asia at the Council on Foreign Relations, admitted he was a bit wary about the intentions of a government that in the past has failed implement reforms. However, he said he is taken with the scope of the latest developments.

"Given that, this reform has definitely gone beyond what a lot of skeptics expected, including myself,' Kurlantzick said.

A longtime pariah nation, Myanmar, he said, likely wants international recognition.

"It's important to them," Kurlantzick said.

"It's about diversifying their partners," he said. "They don't want to be totally reliant on China. It's about not being dependent."

But a key issue that is not being addressed, said Farmaner, is rights for Myanmar's ethnic minorities, some of whom have waged armed insurgencies against the government. Until they are included in dialogue, he said, Myanmar cannot make progress.

Ultimately, Farmaner has a warning for Western nations: Don't get carried away. Lift some sanctions if you want to send a message of encouragement, he said. "But don't give away too much, too soon."

CNN's Saeed Ahmed contributed to this report.

@highlight

It is not clear whether political detainees will be among those released

@highlight

Myanmar has made moves in recent months to reach out to its critics

@highlight

Last month, its foreign minister held a rare, historic meeting with U.S. officials

@highlight

State Department official: "There are dramatic developments under way"