(CNN) -- A federal judge Friday ruled in favor of a former UCLA college basketball star who sued to end the NCAA's control over the rights to college athletes' names, images and likenesses.

In a landmark decision, U.S. District Judge Claudia Wilken sided with Ed O'Bannon in his lawsuit against the National Collegiate Athletic Association. O'Bannon argued athletes in the top tier of college basketball and football should be allowed to profit from their schools' use of their likenesses.

In a 99-page ruling, Wilken wrote that current NCAA rules "unreasonably restrain trade in the market for certain educational and athletic opportunities offered by NCAA Division I schools."

Wilken issued an injunction to block the NCAA from prohibiting its member schools and conferences from offering their Football Bowl Subdivision or Division I basketball recruits a limited share of the revenues generated from the use of their names, images, and likenesses.

She did rule, however, that the NCAA could set a cap on the money paid to athletes, as long as it allows at least $5,000 per athlete per year.

"The NCAA's witnesses stated that their concerns about student-athlete compensation would be minimized or negated if compensation was capped at a few thousand dollars per year," the judge wrote.

O'Bannon's suit alleged the waivers the athletes are required to sign are illegal and asked that players be able to collectively negotiate the terms of their likenesses in order to keep a share of those profits.

"Before the court in this case is only whether the NCAA violates antitrust law by agreeing with its member schools to restrain their ability to compensate Division I men's basketball and FBS football players any more than the current association rules allow," Wilken wrote. "For the reasons set forth above, the court finds that this restraint does violate antitrust law."

The ruling could potentially change college sports drastically, eventually forcing the NCAA to restructure its amateur model and allow college athletes to be paid.

NCAA chief legal officer Donald Remy said: "We disagree with the court's decision that NCAA rules violate antitrust laws. We note that the court's decision sets limits on compensation, but are reviewing the full decision and will provide further comment later."

William Isaacson, an attorney for the plaintiffs, called the ruling "a big step forward for common decency."

"One of the things the judge is saying here ... is some sharing is OK," he said. "It won't affect amateurism, won't affect the popularity of the sport. She made a very reasonable and significant and measured decision."

Ramogi Huma, president of the National College Players Association, said the ruling was "a big win" that signaled "the time for college athletes to get their due," though he was critical of the $5,000 compensation cap.

"The ruling says the NCAA was operating illegally and college athletes do have rights," said Huma, who helped find players to join the case. "Even if you label them student-athletes and want to call it amateurism, it doesn't give the NCAA the right to deny them the rights that other Americans deserve."

Sonny Vaccaro, who started the lawsuit by introducing O'Bannon and lead attorney Michael Hausfeld, said the decision was precedent-setting.

"The key is, they're allowed to get paid," said Vacarro, who helped pioneer branding athletes by putting Nike shoes on Michael Jordan.

Vacarro called the decision his most important career accomplishment.

"It's more important to me that these kids won and this go forward and the principles are right," he said. "To me, it's more important than the Jordan and Kobe and things I did in my professional life. ...This was just something that was wrong and I totally believed in it."

The judge wrote that the injunction will not affect student-athletes who enroll in college before July 1, 2016.

When athletes commit to a university, players are required to sign a waiver that relinquishes their right to their own likenesses in every form.

That means they can't make money off their television appearances, their jerseys, or in any other way.

The universities get any revenues from selling sports paraphernalia or other material related to the players.

The trial began June 9 in federal court in Oakland, California. The plaintiffs were 20 current and former student athletes who play or played for an FBS football or Division I men's basketball team starting in 1956.

Legal appeals could delay a final outcome for years but the decision is in a position to be the first major NCAA reform effort to take hold.

Already the issues brought up in the case have had an effect, even before the ruling was made.

Texas A&M, the University of Arizona and Northwestern University have decided to stop selling jerseys with the numbers of specific players.

Instead, Texas A&M will sell the number 12 jersey, in keeping with its 12th man tradition; and Arizona will sell jerseys with numbers that correspond to the year of competition -- 14 for this year, according to a school spokesman. Northwestern will sell only jersey number 51, in honor of its head coach, Pat Fitzgerald, and legendary Chicago linebacker Dick Butkus.

The NCAA's argument in both the ongoing O'Bannon suit and another one filed by former quarterback Sam Keller, also in federal court in Oakland, is that it is trying to protect the amateur model of college sports.

Paying college athletes would hurt traditions, NCAA chief testifies

NCAA under fire: 5 things to know

NCAA faces change, legal challenges in months ahead

@highlight

The judge sides with an ex-UCLA college basketball star who challenged the NCAA

@highlight

The NCAA says college athletes are amateurs, rewarded with an education

@highlight

The ruling could potentially change college sports drastically