WASHINGTON (CNN) -- The Republican-controlled House of Representatives on Thursday passed the GOP leadership's 2013 budget plan -- a measure that has no chance of passing the Democratic-controlled Senate but creates a clear contrast between the two parties on a number of critical tax and spending issues ahead of the general election.

The resolution passed in a strongly polarized 228-191 vote. No Democrats backed the measure; only 10 Republicans opposed it.

House Budget Committee Chairman Paul Ryan's $3.53 trillion blueprint includes an overhaul of the nation's tax code and major changes to popular entitlements such as Medicare -- expensive programs that in the past have been considered politically untouchable.

Why the budget may never be balanced

Republicans say the plan is necessary to slow the growth of exploding federal deficits and put the federal government on the road to fiscal stability.

"We have one of the most predictable economic crises in this country coming. It's a debt-driven crisis. And so we have an obligation -- not just a legal obligation but a moral obligation -- to do something about it," Ryan, a Wisconsin Republican, said Thursday morning. GOP leaders "think the key components are to get spending under control, reform our entitlement programs" and help stimulate economic growth.

Democrats, however, consider the plan a betrayal of last year's bipartisan deficit reduction deal and a GOP giveaway to the wealthy at the expense of the middle class and vulnerable seniors.

"In our view, we certainly don't want to return to some of the economic policies that got us into the mess to begin with. And we are concerned that the Republican budget does that," said Maryland Rep. Chris Van Hollen, a member of the House Democratic leadership. "It disrupts the fragile recovery and undercuts investments that are going to be important for the long-term economic strength of the United States of America."

White House Press Secretary Jay Carney released a statement after the vote blasting House Republicans for banding "together to shower millionaires and billionaires with a massive tax cut paid for by ending Medicare as we know it and making extremely deep cuts to critical programs needed to create jobs and strengthen the middle class."

Romney garners two endorsements

Over the past two days, the sharply divided House has overwhelmingly rejected President Barack Obama's budget proposal, a House Democratic plan, a more conservative Republican alternative, and a bipartisan blueprint containing controversial spending cuts and tax hikes opposed by majorities in both parties.

The blueprint -- derived from proposals advanced by a special commission led by former Clinton White House Chief of Staff Erskine Bowles and former Wyoming GOP Sen. Alan Simpson -- includes roughly $2 trillion in cuts and more than $1 trillion in new tax revenues over the next decade. The measure failed in a 382-38 vote.

While a budget resolution is not binding, it is used to guide congressional appropriators responsible for allocating federal dollars. Both chambers of Congress have not agreed on such a measure since the spring of 2009.

Among other things, the Ryan plan calls for a reduction in individual tax rates and brackets. Instead of today's six brackets, with rates from 10% to 35%, it calls for just two: 10% and 25%. The proposal would eliminate the alternative minimum tax while dropping the top corporate tax rate from 35% to 25%.

GOP leaders would compensate for lost revenue by closing a series of tax loopholes and ending numerous deductions. They have declined to offer any details, however, on exactly which loopholes and deductions would be affected, instead insisting that the matter will be taken up at the congressional committee level in the future.

Returning to one of the most controversial points from last year's budget fight, the proposal includes dramatic changes to the Medicare program. It would offer future seniors a choice of staying in the traditional fee-for-service plan or opting instead for a Medicare-approved private plan, all of which would be available via a new Medicare exchange.

No matter which plan they chose, including the traditional Medicare plan, seniors would receive a government subsidy to help pay for their choice.

While Republicans insist the change is necessary to ensure the program's long-term fiscal viability, Democrats accuse the GOP of trying to destroy a key legacy of President Lyndon Johnson's Great Society.

The Republicans "want Medicare to wither on the vine, to die," House Minority Leader Nancy Pelosi, D-California, said this month.

Medicaid, which provides health coverage for the poor, would be converted under the GOP plan into a series of block grants for states. Individual states would be empowered to tighten eligibility rules or revise enrollees' cost-sharing obligations.

The GOP proposal also protects defense spending by undoing a scheduled $55 billion cut in the Pentagon budget, replacing the reduction with cuts elsewhere. Ryan has previously called the scheduled Pentagon cuts -- part of the agreement reached in last summer's Budget Control Act -- "devastating to America's defense capabilities."

On Thursday, Ryan said senior military officials defending lower Pentagon spending proposals have not been honest.

"We don't think the generals are giving us their true advice," he said, accusing them of following an administration line. "I think there is a lot of budget smoke and mirrors in the (administration's) Pentagon budget, which is not really a true, honest and accurate budget. When you confront military experts -- retired or active -- they concede these things to us."

Republicans would compensate for higher defense spending in part by requiring greater federal worker pension contributions and more means-testing of entitlement benefits.

Overall, Ryan's plan caps 2013 domestic discretionary spending -- programs other than entitlements such as Social Security and Medicare -- at $1.028 trillion. Democrats immediately cried foul when the new proposed cap was unveiled, noting that it's nearly $20 billion below the total agreed to in last summer's deficit reduction deal.

House GOP leaders insist they can propose any amount under the $1.047 trillion level, because that figure simply represents the top limit for discretionary spending, not a level up to which Congress must spend.

While the House Republicans' proposed budget has no chance of becoming law, it could have a significant impact on this year's presidential and congressional campaigns. Democrats believe the proposed Medicare changes in particular could damage GOP hopes in key swing states such as Florida, which has a large elderly population.

Numerous Republicans, however, believe they'll be rewarded for having the political courage to tackle politically sensitive issues. They also argue that it's important to draw clear distinctions with Democrats before voters go to the polls in November.

CNN's Deirdre Walsh contributed to this report.

@highlight

House of Representatives passes GOP Rep. Paul Ryan's budget plan

@highlight

Ryan budget includes big changes in Medicare, tax code

@highlight

Democrats say the plan would hurt the elderly and middle class

@highlight

They argue that the plan is a betrayal of last year's deficit reduction deal