(CNN) -- One night in late July this year, the Japanese supertanker M. Star was making its way through the Strait of Hormuz -- the chokepoint at the southern tip of the Persian Gulf. It was en route to Japan with 3 million barrels of crude oil.

There was a loud thud at the front of the ship. Its hull suffered a substantial square-shaped dent above the waterline. Theories about the cause quickly abounded: a giant wave, a collision with a submarine or another vessel. And then -- six days later -- a militant Sunni group that had been active in Lebanon, Egypt and Jordan claimed it had attacked the ship with an explosives-laden boat.

The Abdullah Azzam Brigades said the attack on the M. Star "sought to weaken the infidel global order which is thrust into Muslim lands and which loots its resources." For the Brigades, such an attack was a significant departure from previous targets.

To begin with, intelligence analysts were skeptical of the claim. But U.S. officials now say it is credible.

"Government and industry sources can confirm that the claim by the Abdullah Azzam brigades ... is valid," the U.S. Department of Transportation's Maritime Administration said in an advisory last week.

"The group remains active and can conduct further attacks on vessels in areas in the Strait of Hormuz, southern Arabian Gulf, and western Gulf of Oman,' it said.

The Saudis are already anxious about the foothold that al Qaeda has established in neighboring Yemen.  Now the Brigades -- spawned in the squalor of Palestinian refugee camps in Lebanon -- may be an emerging player in the region's terror landscape.

The Brigades are named after a Palestinian close to al Qaeda leader Osama bin Laden.  Abdullah Azzam was killed in Pakistan in 1989 by a bomb explosion.

The group is led by one Saleh al-Qarawi, who fought U.S. forces in Iraq and got to know al Qaeda's now-dead leader there -- Abu Musab al-Zarqawi.

Born in the Saudi city of Barida, al-Qarawi is only 28, but is already on the kingdom's most wanted list. When that list was first published in February 2008, he was described as "one of the key suppliers of facilities, finances, fake documents" for al Qaeda. And he has ambitious aims, telling an extremist website earlier this year: "All the jihadist battlefields now are fields of fighting."

The Brigades have certainly shown themselves capable of audacious attacks. They claimed responsibility for an unsuccessful  rocket attack on a U.S. warship anchored in the Jordanian port of Aqaba in 2005, as well as for bombings in 2004 and 2005 aimed at tourists in Egypt's Red Sea resorts. Well over 100 people were killed in those attacks.

In the interview he gave to the al-Fajr Media Center, al-Qarawi described how al-Zarqawi had sent him on a mission beyond Iraq. He'd been arrested in Syria and spent a brief spell in a Saudi jail.

Describing his priorities, al-Qarawi said they include kidnapping U.S. and British citizens in the Arabian peninsula. "American interests are our most important aims," he said, according to a translation by intelligence website Flashpoint Partners.

It is also clear from the interview that al-Qarawi is very much a Sunni purist. He has little time for the Shiite Hezbollah, accusing it of attacking Lebanon's Sunnis. He also accuses Lebanese Shiites of "malice" toward the country's Sunnis.

That suggests the Brigades would not have looked to Shiite Iran for help or harbor in attacking the M. Star (even if Saudi officials insist al-Qarawi once operated from Iran.)

And it prompts this question: where did that small boat, laden with explosives, come from on the night of July 27 to attack the M. Star?

If not Iran, did it set out under cover of darkness from the United Arab Emirates, Oman or even Saudi Arabia -- undetected by authorities?

@highlight

The Abdullah Azzam Brigades may be an emerging player in the Persian Gulf landscape

@highlight

The militant Sunni group is named for a Palestinian close to Osama bin Laden

@highlight

The group claimed responsibility for an attack on a Japanese supertanker in July