Oslo, Norway (CNN) -- The man accused of killing 77 people in a bomb-and-gun rampage in Norway last summer said his actions were justified to save the country from multicultural forces as he went on trial Monday.

Anders Behring Breivik raised his arm in a fascist-style salute -- a symbol of "strength, power and defiance against Marxist tyrants," to quote the 1,500-page manifesto attributed to him -- as soon as his handcuffs were removed in court Monday.

"I acknowledge the acts but do not plead guilty," he told the court.

His trial on charges of voluntary homicide and committing acts of terror is expected to last up to 10 weeks. He is accused of setting off a bomb in central Oslo that killed eight people, then fatally shooting 69 people at a youth camp run by the ruling Labour Party on nearby Utoya Island.

Dressed in a black suit and sporting a jawline beard, Breivik listened impassively as prosecutor Inga Bejer Engh read the charges, describing how dozens of young people were shot to death.

Breivik says his rampage was meant to save Norway from being taken over by multicultural forces and to prevent ethnic cleansing of Norwegians, said his lawyer, Geir Lippestad. In his manifesto, Breivik railed against Muslim immigration and European liberalism, including the Labour Party, which he said was allowing the "Islamification of Europe." And in court, he called the trial political and objected to the judge's friendship with a former justice minister.

"I do not recognize the Norwegian court. You've gotten your mandate from political parties that support multiculturalism," he said.

"OK, we will make a note of that general objection," Judge Wenche Elizabeth Arntzen said curtly.

Prosecutors played a recording of a terrified girl phoning for help during the shooting rampage, a recording punctuated by constant firing in the background. They also showed security camera video of the central Oslo bomb blast that killed eight people, images that participants in the trial watched with ashen faces.

Breivik sat in court without restraints, behind a bulletproof glass barrier set up to protect him during the six hours of proceedings. Prime Minister Jens Stoltenberg vowed to double down on Norway's traditions of liberal democracy in response to the attacks, and Breivik's trial appears to be no exception.

"He was so close to having a bullet between his eyes. The police were so close," said Jorn Overby, who rescued some 15 people from the waters off Utoya during the massacre. But Overby told CNN that he owes Breivik only "a punch in the face for firing at me."

"He will get the treatment he needs," Overby said.

Experts have given different opinions about Breivik's sanity, which will be a factor in determining what punishment he receives if convicted. Norway does not have the death penalty, and sentencing options could include imprisonment or confining him to a mental facility.

But Breivik's defense will try to prove he was sane at the time of the killings, Lippestad said Monday. Lippestad told reporters after the hearing that the defendant had his reasons, but would not disclose them.

It is important to Breivik that he be considered sane, Lippestad said after the hearing.

Prosecutors outlined Breivik's life before the killings, showing a photo of the messy room where he lived at his mother's house, listing his six failed businesses and referring to his many hours playing the online game "World of Warcraft." Prosecutors said he had "no job, no salary, no money from the government" and was "living off his savings."

The defendant smiled briefly when his "Warcraft" character was shown, one of the few times he showed emotion on Monday.

He also appeared to be overcome with emotion, fighting back tears, when part of his video manifesto "Knights Templar 2083" was played in court. Lippestad declined to say why Breivik wept, citing attorney-client privilege. But lawyers for the victims said: "No one thought he was crying for the victims."

A survivor of Utoya Island, Tore Sinding Bekkedal, said he was surprised to experience "a strange feeling of relief" when prosecutors switched from listing the names of the dead to those of the wounded.

"It was an intense gratitude, Bekkedal said during a break in the proceedings. "It took me by surprise that I felt it, that these wonderful people are still among us, that we managed to save these ones at least."

Breivik is to begin testifying Tuesday, and asked Monday for his testimony to be broadcast, claiming it as a human right. Most of the relatives of the victims do not want that to happen, according to lawyers who represent the families of victims and survivors.

"It's going to be 10 weeks of hell ... to hear this man, to hear his explanation of why he did it and how he did it," said Trond Henry Blattmann, whose son was killed on Utoya Island.

In November, prosecutors said psychiatrists had determined that Breivik was paranoid and schizophrenic at the time of the attacks and during 13 interviews experts conducted with him afterward. However, the court sought a second opinion because of the importance of the question of sanity to Breivik's trial.

In a report released this month, two court-appointed psychiatric experts said Breivik was sane at the time of the killings.

The victims on Utoya Island were among 700 mostly young people attending a Labour Party camp, the same camp Stoltenberg said he had attended every summer since 1974.

"I think that one of the main messages from Norway after the tragedy ... was that we were going to protect our democracy. And part of our democracy is the divisions of responsibilities between the government and the courts. It's up to the courts to decide whether this man is going to be sentenced or not, whether he is insane or not. It's not a question which is going to be decided by politicians. That's part of our democratic society," Stoltenberg said.

Tore Bjorgo, a terror expert and professor at Norwegian Police University College, said Breivik appears to be overly concerned about his self-image and sees himself in the role of a "fantastic, great person who will save Europe."

"It's we who should decide what kind of a society we want; it's not the terrorists," he said. "And the logic of terrorism is to try to provoke responses to get people to act in ways the terrorists want, and it was important that we didn't do that. We didn't go down that road, and that was, I think, a big victory."

CNN's Per Nyberg and Marilia Brocchetto contributed to this report.

@highlight

NEW: Survivor says he owes Breivik "a punch in the face"

@highlight

Breivik's lawyer says it is important to his client that he be seen as sane

@highlight

Prosecutors play a recording of a call for help during the shooting spree

@highlight

Breivik is accused of killing 77 people in a bomb and gun rampage