New York (CNN) -- A New York district attorney recommended Monday that charges be dropped against former International Monetary Fund chief Dominique Strauss-Kahn, who was accused more than three months ago of sexually assaulting a hotel housekeeper.

In "a recommendation for dismissal" filed in court Monday, two prosecutors in the Manhattan district attorney's office laid out their arguments for requesting that numerous charges -- including attempted rape and sexual assault -- be dismissed, citing fresh evidence and questions about the accuser's credibility.

"The nature and number of the complainant's falsehoods leave us unable to credit her version of events beyond a reasonable doubt, whatever the truth may be about the encounter between the complainant and the defendant," the document states. "If we do not believe her beyond a reasonable doubt, we cannot ask a jury to do so."

The prosecutors voiced concern that the case appeared to rest exclusively on the housekeeper Nafissatou Diallo, predicting her "falsehoods" would be "devastating" if revealed during a trial. They claim she "has not been truthful in matters great and small," including lying about a "gang rape, as well as other details about her life in (her native) Guinea."

In the document, the district attorney's office notes that DNA testing indicated semen on her dress matched Strauss-Kahn and shows there was a sexual encounter. There was "no trauma to her body or oral cavity" and "scrapings from underneath her fingernails ... yielded no results."

Moreover, prosecutors claim Diallo's current story of her "prompt outcry to her first supervisor is inconsistent with certain aspects of that supervisor's account."

"All of the evidence that might be relevant to the contested issues of force and lack of consent is simply inconclusive," wrote the prosecutors.

The decision to drop charges -- which still needs to be approved by a judge -- was cheered by Strauss-Kahn's attorney and jeered by the alleged victim's lawyer, as well as some women's rights advocates.

A status hearing for the case is scheduled for Tuesday.

Kenneth Thompson, who represents Diallo, addressed reporters after meeting with prosecutors Monday afternoon for less than half an hour. Hours earlier, he filed his own motion asking a judge to halt proceedings in the case and appoint a special prosecutor.

"Manhattan District Attorney Cyrus Vance has denied the right of a woman to get justice in a rape case," Thompson said. "He has not only turned his back on this innocent victim, but he has also turned his back on the forensic, medical and other evidence in this case.

"If the Manhattan district attorney, who is elected to protect our mothers, our daughters, our sisters, our wives and our loved ones, is not going to stand up for them when they're raped or sexually assaulted, who will?"

But Strauss-Kahn's U.S.-based attorneys, William W. Taylor and Benjamin Brafman, lauded the decision to drop charges, saying it vindicates their consistent claims that their client is innocent and his accuser "was not credible."

"Mr. Strauss-Kahn and his family are grateful that the District Attorney's office took our concerns seriously and concluded on its own that this case cannot proceed further," the attorneys said in a statement.

Aside from the court filing, there was no immediate comment from the office of District Attorney Vance on the attorneys' statements, and his office earlier declined to comment on the motion. Thompson had said before the meeting Monday that he believed Vance was going to drop the charges.

A grand jury indicted the then-IMF chief in May over allegations he sexually assaulted housekeeper Diallo in his New York hotel suite. He pleaded not guilty and, after several days behind bars, was ordered held on house arrest.

But on July 1, a judge freed him after prosecutors learned Diallo had lied about the specifics of her whereabouts after the incident and past details of an asylum application and information on tax forms.

Prosecutors said she admitted lying on the asylum application about having been a victim of a gang rape, even providing details of an attack and later admitting it never happened.

Strauss-Kahn's attorneys have insisted that any sexual encounter was consensual. Diallo, who has conducted high-profile interviews about the case, and her attorneys have said Strauss-Kahn attacked her, and that her case should go to trial.

Attorneys for Diallo complain she is being treated by prosecutors like a criminal defendant and not an alleged victim. And in a rally after the district attorney's court filing Monday, some of her supporters urged prosecutors to still pursue the case and warned about the message sent by dropping charges.

"Are we telling (sexual assault victims) that if they dare to name a powerful, politically connected man as their abuser, they will see their whole life laid out to be judged publicly?" asked New York City councilwoman Letitia James. "What does it take for a low-income immigrant -- a woman of color -- to publicly name one of the most powerful men in Europe as a sexual abuser?"

Diallo has filed a civil lawsuit against Strauss-Kahn, without specifying the financial damages she was seeking.

Entering Monday's meeting, Thompson said he suspected -- based on the contents of a letter he received Friday -- that Vance intended to drop charges.

That prompted the alleged victim's motion filed Monday, which cites allegations of "abuse of confidence, unfair treatment and bias and prejudices" by Vance that, Diallo's attorneys claim, should disqualify him from the case.

This motion is Thompson's second effort to remove Vance from the case. In July, he asked Vance to step down and appoint a special prosecutor. Vance then declined.

"This is not a 'he said, she said' case," Thompson said Sunday. "If you go back to the hearing on May 16, when (an assistant district attorney) called the evidence against Strauss-Kahn 'substantial' and he said the medical exam (of Diallo) supports her account, this is not a 'he said, she said' case.

"There is overwhelming evidence to support that a sex assault occurred," Thompson said.

After Diallo took her case public, Strauss-Kahn's attorneys, William Taylor and Benjamin Brafman, put out a statement saying, "Ms. Diallo is the first accuser in history to conduct a media campaign to persuade a prosecutor to pursue charges ... against a person from whom she wants money."

Attorney Douglas Wigdor, who is working on Diallo's behalf in Paris, said Monday that he was to meet with several people prior to a news conference scheduled for Tuesday.

Wigdor would not reveal with whom he is talking Monday and Tuesday, however a source familiar with the meetings said one of them is a French journalist, Tristane Banon, who filed a formal complaint against Strauss-Kahn in France for an alleged attack in 2002. The accused has filed a counter-suit for slander. Banon's mother also claims she was attacked by Strauss-Kahn.

CNN senior legal analyst Jeffrey Toobin says that Strauss-Kahn should now be able to breathe easier and "return to some semblance of his former life." But he said that no one involved in the case "comes out of it looking very good."

"This is a case that looks like it has nothing but losers -- the alleged victim, the defendant, and the prosecutor," Toobin said. "The conclusion is likely to be entirely satisfying to no one."

@highlight

NEW: The DA says evidence related to "force and lack of consent" is "inconclusive"

@highlight

The DA's office says it doesn't believe the accuser "beyond a reasonable doubt"

@highlight

Strauss-Kahn is "grateful" the DA "took our concerns seriously," his lawyers say

@highlight

The alleged victim's attorney says the DA "turned his back" on his client