(CNN) -- After nearly going to war last year over a Colombian military raid inside Ecuador, the two nations seemed to be patching relations when their foreign ministers met a few weeks ago.

Then an Ecuadorian judge issued an arrest warrant this week for the head of the Colombian armed forces, pushing relations back one giant step.

Colombian Gen. Freddy Padilla, the armed forces chief whose arrest is sought, canceled a meeting scheduled for Friday with Ecuadorian Gen. Fabian Varela. Padilla thought he might be arrested if he traveled to Ecuador.

It's not the first pothole on the path to normalization. Ecuador previously issued an arrest warrant for former Colombian Defense Minister Juan Manuel Santos, who held the post during last year's raid.

Colombia has dismissed both warrants, saying Ecuador has no jurisdiction to investigate and judge Colombian officials.

Analyst Patrick Esteruelas of the Eurasia Group consulting firm calls Ecuador's actions "schizophrenic."

Two former U.S. ambassadors to the area agree this is par for Ecuadorian foreign policy.

"That's the history of Ecuador, unfortunately," said Peter Romero, ambassador to that nation from 1993 to 1996. "One step forward, two steps back."

Myles Frechette, U.S. ambassador to Colombia from 1994 to 1997, said Friday that "Ecuador is a specialist in bonehead plays. It has been for years. Nothing's changed much."

Former Ecuadorian Foreign Minister Heinz Moeller, who served from 2000 to 2003, called the arrest warrant "lamentable."

"It's absurd that these things happen," he said Friday.

Tension between the two nations has existed for years. The latest enmity started in March 2008, when Colombia bombed a guerrilla base inside Ecuador. The raid killed a top leader for the Revolutionary Armed Force of Colombia, commonly known as the FARC. The Marxist guerrilla group has been waging war on Colombia since the 1960s and often takes refuge on the Ecuadorian side of the border.

At least 25 people were killed, most of them said to be FARC guerrillas.

Colombian President Alvaro Uribe hailed the attack, saying "terrorism ... does not respect borders."

Ecuadorian President Rafael Correa called the attack "aggression" and a "massacre" and severed diplomatic relations with Colombia.

Both nations went on war footing but stopped short of military action.

Over time, tensions seemed to dissipate and Colombian Foreign Minister Jaime Bermudez and his Ecuadorian counterpart, Fander Falconi, met last month. After the meeting, Colombia signed a statement saying it would never attack inside Ecuador again.

Friday's meeting between the two nations' top generals was supposed to further repair the damage.

Then came the arrest warrant.

What happened? Perhaps politics. Definitely one branch of the government acting without the consent of the other.

Falconi quickly pointed out that the nation's judicial branch, not Correa's administration, decided to issue the warrant.

Analysts agree that it wasn't Correa's doing.

"That's not a very coordinated government," said Frechette, the former envoy to Colombia. "The executive branch didn't issue that order."

Moeller, the former Ecuadorian foreign minister, said the judge who issued the arrest warrant is "motivated by political criteria."

"I don't have another explanation," said Moeller, who also served as president of the Ecuadorian Congress three times.

Normalization of relations will be a slow process, Eurasia analyst Esteruelas said.

"We're going to see a lot of stops and starts," he said.

Alejandro Santos, editorial director of La Semana weekly news magazine in Colombia, said relations will not improve until the two countries "can close the chapter" on last year's bombing raid.

"That chapter can be closed when the Colombian government promises not to do that. They have done that (promise)," Santos said. "Now Ecuador needs to start avoiding those types of judicial measures against Colombian officials."

Esteruelas said Ecuador felt justifiably aggrieved over the attack and wants to make sure it never happens again. But he also sees another issue at play: Ecuadorian President Correa's plummeting poll numbers and domestic problems with indigenous movements and other political issues.

"It's usually convenient to remind everyone that Correa is fighting for Ecuadorian sovereignty," Esteruelas said, adding that such nationalism "resonates very broadly" across the political spectrum.

But Frechette said, "Correa really does want to reach some kind of agreement."

The problems between the two nations are long-standing and have a lot to do with the 45-year-old war between Colombia and the FARC.

From Ecuador's perspective, the war has displaced about 250,000 Colombians who have sought refuge in Ecuador. Those refugees need services and jobs, further straining a poor area that's already on the brink. Ecuador also resents that the FARC have set up camps inside the country, causing security problems for a nation that is not technically at war with the guerrillas.

From Colombia's point of view, Ecuador is not doing enough to combat the FARC and is allowing the guerrillas to have a sanctuary that Colombian troops cannot reach.

Further complicating the relationship, Ecuador's Correa is politically aligned with Venezuelan President Hugo Chavez, who is no friend of Colombia and its leader, Uribe. Chavez threatened to attack neighboring Colombia after the military raid in Ecuador.

"This has been developing for many years," Moeller said.

But there are great advantages to normalizing relations, most of them economic.

Ecuador, for example, is Colombia's third-largest export market.

Walter Spurrier, president of Grupo Spurrier and director of Weekly Analysis in Guayaquil, Ecuador, and Maria Velez de Berliner, president of the Latin Intelligence Corp. in Alexandria, Virginia, talked with the Inter-American Dialog policy institute last month about Colombia-Ecuador economic activity.

"Re-establishing relations could lead Ecuador to lift sanctions against Colombian products, which forced many small- and medium-sized businesses to collapse on both sides of the border," Velez told the Washington-based think tank.

Said Spurrier, "For Colombia, Ecuador is an important market. Not so the other way around. But the goods Ecuador sells Colombia are difficult to relocate to other markets. Ecuador now attempts to sell Libya and Iran the rice it would have otherwise sold Colombia. Also, Ecuadorian importers have to look for other sources."

Moeller, the former foreign minister, wants normalization to get back on track.

"We have to close the parenthesis," he said. "I hope this passes ... and that they start talking again."

@highlight

Ecuadorian judge issues an arrest warrant for head of Colombian armed forces

@highlight

Colombian Gen. Freddy Padilla cancels trip to Ecuador for fear of arrest

@highlight

Tensions between neighbors stem from FARC rebels taking refuge in Ecuador