(CNN) -- Lake Urmia in Iran used to be a site to reckon with.

Twenty years ago, it ranked as the sixth largest saltwater lake in the world, and the largest in the Middle East. Tourists would revel in the lake's buoyancy (like the Dead Sea, the salt level made it impossible to sink), and the flocks of flamingos, pelicans and yellow deer that once inhabited the surrounding areas.

Today, Urmia is a shadow of its former self. Decades of poor water management, aggressive agricultural policies and drought have rendered it almost completely dried up (according to the United Nations Development Program, the lake has shrunk by two-thirds since 1997).

Rusted boats lay abandoned in what is now essentially a giant salt flat. The tourists are long gone, as are many of the animals that once called the lake home.

"It's like seeing a scene from a different planet. I saw caterpillars and bobcats taking salt from the dead body of the lake," recalls Gary Lewis, the United Nations Resident Coordinator in Iran.

"It's a testament to how rapidly we can break something."

It's a problem that President Hassan Rouhani is aware of, and one he wants to fix. Last month, he agreed to spend $500 million in the first year alone of a ten-year recovery plan (the total bill is $5 billion).

"If the lake dries up, this kind of threat will not be comparable to any other threat," he said in a public statement in January.

It's not an overblown statement. According to experts, Iran is on the brink of a water crisis.

"In the year 1956, the per capita water available in Iran was 7,000 cubic meters. Today, it is 1,900 cubic meters. In the year 2020, it is likely to be only 1,300 cubic meters," says Lewis. The estimates fall far short of the 30 million cubic meters he believes will be needed to accommodate the burgeoning population -- which could reach 90 million in the next decade.

Shortages are cited throughout the country, not just at Lake Urmia, but in the Hamoun Wetlands in the east of the country -- a one-time oasis surrounded by fishing villages that has since dried up. In 2012 alone, the Hamoun water crisis sent 600,000 environmental refugees into the north of the country.

Lewis worries that as water shortages become the norm, not only will Iran face repercussions to the economy and public health, but that it will start to have a knock-on effect on the Middle East as a whole.

"People are vulnerable when they migrate. When they come crashing into someone else's neighborhood, they become a threat to those people's economic security. Add in ethnic or linguistic differences, and that can be a real source of conflict," he says.

A new Iran?

Iran is doing more than throwing money at the problem. In March, Iran's Department of Environment, together with the UNDP, held a conference with hundreds of international experts on how to solve Iran's water shortage problem, and ultimately approved 24 separate projects.

"When Rouhani took power, in the first government meeting, he ordered the formation of a special group to save Urmia and the other dying wetlands," recalls Naser Agh, a professor at the Artemia and Aquatic Animals Research Institute at Urmia University, and a member of the steering committee of the Lake Urmia restoration program.

The mission to save the lake is complex, and Agh admits that even in ten years, it will only restore Urmia to half its original size.

"No single measure can help the lake. Lots of things have to be done at the same time," he says.

The influx of money and manpower demonstrates a sizable shift in how the new administration is addressing the problem -- partly, in that they're willing to address it at all.

Thus far, Iran's environmental record has been pretty poor. The country is the world's ninth top producer of greenhouse gasses, according to according to the US Energy Information Administration, and is home to the world's eighth most polluted city.

"The past government would say we needed to save the lake, and would even form a national committee and ministers would come together, but there was never a budget, and without a budget, you can't do anything," says Agh.

"This new government is very different. They also approved a large amount of money, so it can really help save the lake."

@highlight

Lake Urmia was once one of the world's largest lakes

@highlight

Over the last 20 years it has almost completely dried up

@highlight

Iran's water crisis puts security, the economy and public health at risk

@highlight

President Rouhani has committed $5 billion to save the lake