(CNN) -- Two U.S. spacecraft are set to crash on the moon Friday. On purpose. And we're all invited to watch.

An artist's rendering shows the LCROSS spacecraft, left, separating from its Centaur rocket.

NASA's Lunar Crater Observation and Sensing Satellite is scheduled to drop its Centaur upper-stage rocket on the lunar surface at 7:31 a.m. ET.

NASA hopes the impact will kick up enough dust to help the LCROSS probe find the presence of water in the moon's soil. Four minutes later, the LCROSS will follow through the debris plume, collecting and relaying data back to Earth before crashing into the Cabeus crater near the moon's south pole.

The LCROSS is carrying spectrometers, near-infrared cameras, a visible camera and a visible radiometer. These instruments will help NASA scientists analyze the plume of dust -- more than 250 metric tons' worth -- for water vapor.

The orbiting Hubble Space Telescope and NASA's Lunar Reconnaissance Orbiter will watch, and photograph, the collisions. And hundreds of telescopes on Earth also will be focused on the two plumes.  Watch animation of how the moon will be "bombed" »

NASA is encouraging amateur astronomers to join the watch party.

"We expect the debris plumes to be visible through midsized backyard telescopes -- 10 inches and larger," said Brian Day at NASA's Ames Research Center at Moffett Field, California. Day is an amateur astronomer who is leading education and public outreach for the LCROSS mission.

Ames will host "Impact Night," an event with music and food starting Thursday evening before a live transmission of the lunar impact will be shown around 4:30 a.m. PT Friday. Other science observatories and amateur astronomy clubs across the country will be hosting similar events. iReport: Are you planning to watch?

"The initial explosions will probably be hidden behind crater walls, but the plumes will rise high enough above the crater's rim to be seen from Earth," Day said. The Cabeus crater lies in permanent shadow, making observations inside the crater difficult.  Watch CNN's Jeanne Moos ask if lunacy is behind the moon "bombing" »

The impacts will not be visible to the naked eye or through binoculars. If you don't have a telescope, or you live in areas where daylight will obscure the viewing, NASA TV will broadcast the crashes live. Coverage begins at 6:15 a.m. ET Friday.

The two main components of the LCROSS mission are the shepherding spacecraft and the Centaur upper stage rocket. The spacecraft will guide the rocket to its crash site.

Data from previous space missions have revealed trace amounts of water in lunar soil. The LCROSS mission seeks a definitive answer to the question of how much water is present. NASA has said it believes water on the moon could be a valuable resource in the agency's quest to explore the solar system.

LCROSS launched with the Lunar Reconnaissance Orbiter aboard an Atlas V rocket from Cape Canaveral, Florida, on June 18.

Friday's lunar impact will be visible best in areas that are still dark, particularly in the Western United States.

The Fremont Peak Observatory near Monterey, California, will open up its doors early Friday to allow people to watch the event through its 30-inch telescope. It's "the most accessible public telescope in the [San Francisco] Bay Area," said Dave Samuels, the observatory's vice president.

So far, at least 50 people have signed up, Samuels said, noting that number is "really phenomenal, especially on a school night [and] work night. It's really incredible."

Students, retirees and board members are among those scheduled to attend.

Samuels said a special low-light, infrared video camera will be hooked up to the telescope so that the audience can watch the rocket strike the moon. The observatory is in Fremont Peak State Park, which is on a list of California parks that could close because of recent budget cuts.

Samuels said he hopes Friday's event triggers more interest in astronomy, particularly among young children, and possibly help the park to stay open.

"It's things like this that get kids interested [in science]," he said. "It will probably be a defining moment for them."

Darrick Gray, who teaches atmospheric sciences at Ray-Pec High School near Kansas City, Missouri, said he's planning to take 17 students -- all juniors and seniors -- to watch the lunar impact .

"This is truly a once-in-a-lifetime thing," Gray said. He said he's arranged for a school bus to pick up the kids early Friday and take the class to the Powell Observatory in Louisburg, Kansas.

"It's weather-dependent; we've got rain right now," Gray said. "It's going to be a call I make at 5 a.m."

Gray, who is also the director of the Astronomical Society of Kansas City, said his students will try to take photos of the impact through the eyepiece of their telescopes. He said he hopes the event will influence his students to pursue careers in science.

"Being as we do live here in Missouri, we're away from the hub [of astronomy]," Gray said. "We're not in Florida, we're not in Texas, we're not in Silicon Valley -- it's not something they're used to seeing.

"So any time you can show them something that's never been done, and they say, 'Oh this is pretty cool,' I think they buy into that."

@highlight

A NASA spacecraft is set to drop a rocket on the moon at 7:31 a.m. ET Friday

@highlight

Four minutes later, the LCROSS probe will follow and crash onto the lunar surface

@highlight

The LCROSS probe will relay data back to Earth about water vapor in moon dust

@highlight

The debris plumes will be visible through midsize backyard telescopes