(CNN) -- Still reeling from the January earthquake, Haiti is now in the grip of a deadly cholera outbreak. Aid organizations, already struggling to provide the most basic necessities, now face the possibility of a catastrophic epidemic.

With this health crisis unfolding, relief leaders shared with CNN their views of where Haiti stands today, and what the country needs to get through to tomorrow.

The International Rescue Committee was concerned that a waterborne disease outbreak would occur. Workers stockpiled rehydration salts, cleared water channels, and dug hundreds of emergency latrines. Even with planning for the worst, the IRC's director of humanitarian affairs, Gerald Martone, was not surprised when the outbreak was identified as cholera.

"It is the most feared disease in disaster relief, because it spreads extremely quickly and is lethal. People can die in as short as four hours," he said.

Much of the group's health staff is returning to Haiti for this outbreak, and the IRC is trying to help stop the spread of the disease by protecting water sources, educating about proper hygiene, and improving disposal of human waste.

Martone's biggest concern is a possible outbreak of cholera in a crowded camp, which he likens to holding a match to a tinderbox.  Thousands of Haitians have lived in densely populated tent camps since the earthquake destroyed their homes.

"In addition to preventing the spread of this disease," Martone said, "you have to aggressively treat the people affected, as you only have a few hours before someone can die. This challenge will overwhelm the Haiti health system."

For those wishing to help respond to the crisis, Martone suggests supporting charity medical organizations working in Haiti.

The International Medical Corps is also responding to the outbreak, repositioning its doctors and nurses and setting up mobile clinics to create a perimeter around the contaminated zone.

The group is calling for more nurses to volunteer and preparing its doctor and nurse networks abroad in case this becomes an epidemic.

"Cholera is not endemic to Haiti. It is a new disease and health professionals in Haiti do not have experience with it," said Margaret Aguirre, director of global communications for International Medical Corps.

IMC's medical teams are teaching Haiti's health professionals how to identify, treat and prevent the disease, in addition to educating the community about proper hygiene and clean water.

For Martone, the outbreak reflects the level of hygiene in Haiti. When he saw the squalid conditions in the camps in April, he realized that, despite the IRC's best efforts, the longer people were forced to live in these unhealthy, filthy conditions, the more likely it was that cholera would break out.

Aguirre also sees the continual displacement of the Haitian people as a constant concern. "Water and shelter has been the continuing problem, it is a health issue," she said.

The IMC medical staff is trying to transition from the acute emergency phase to a transitional phase, with more emphasis on long-term care.

"There is less wound care and a great need for more mental health care and chronic disease care," Aguirre said. However, IMC is still addressing the struggles with nutrition and hygiene that were present immediately after the earthquake.

CAN-DO founder Eric Klein finds advancing the relief process challenging, especially when the initial needs are still not met.

"Food, water, housing, jobs and medical -- those are still the same five things that they need," Klein said. "But now we also have to look to the longer goals, more permanent housing and infrastructure. We have to move to another phase, but the first is still not finished, so we have two phases at once now."

His CAN-DO foundation is trying to do both. Workers are training Haitians to construct home, school and medical domes.

"You have so many camps with tents and tarps that have now rotted and are duct-taped together," Klein said.

"People will take anything. They need more tents, they will take them, tarps, anything, but that is like putting a Band-Aid on it. There needs to be a better solution."

While his team tackles housing and the CAN-DO Orphanage Revitalization Project, it is still trying to conduct water and food truck drops. On delivery runs, Klein said he finds areas that have not seen distribution in months.

Charity organizations are in the midst of transitioning their work force to address the desperate need for jobs. The IMC staff has changed since the earthquake to a more local face. CAN-DO has been training Haitians for housing construction and plans to help bring a factory to the country.

"Jobs is the biggest thing -- every single person you talk to wants to work, they are looking for jobs," Klein said.

Until now, IRC was focused on education and training programs, instead of direct aid.

"Creating self-reliance is the goal," Martone said.

@highlight

Emergency conditions make containing the cholera outbreak difficult

@highlight

Aid groups focus on building houses and finding jobs for Haitians affected by the quake

@highlight

Aid workers observe that food and water deliveries don't get distributed for months at a time