(CNN) -- The player tumbles to the ground, writhing around as if he has been mortally wounded. Television replays, however, show that his opponent has made no contact at all.

It's an ever-increasing sight on football grounds around the world, and -- in the English Premier League, at least -- it's becoming an increasingly emotive issue.

Santi Cazorla was labeled a "con artist" after his theatricals earned Arsenal a match-turning penalty kick in a game against West Brom on Saturday.

Earlier this season, Liverpool's Luis Suarez was the subject of countless negative headlines as he went to ground in the penalty area, and Tottenham's Gareth Bale has been booked four times for diving -- double that of any other EPL player.

The scourge of trying to win free-kicks, and especially penalties, in such a way has long been a thorn in football's side, with fans often outraged by what they see as sporting fraud. CNN's very own Arsenal fanatic Piers Morgan took to Twitter to decry Cazorla's actions, saying he was "ashamed to see an Arsenal player cheat so badly."

One man who has also never been short of opinions on the subject of cheating is former World Anti-Doping Agency chairman Dick Pound.

The Canadian lawyer presided over WADA from its inception in 1999 until 2007, a year when cycling's governing body tried to sue him for critical comments about its former chief Hein Verbruggen.

Pound had earned the wrath of Union Cycliste Internationale for saying it could do more to target doping, but his words were comprehensively borne out years later by the U.S. Anti Doping Agency's report into Lance Armstrong, in which everyday items such as butter (apparently short-hand for the hormone EPO) and olive oil (the vehicle for absorbing testosterone) took on very different meanings.

Pound believes there are five main reasons why athletes resort to performance-enhancing drugs -- considered by most sports fans to be the worst form of cheating.

"There are reasons but then there are also excuses," he told CNN.

"1. A desire to win at all costs -- even if that means lying.

2. For financial reasons -- with professionals trying to extend a career.

3. National pressures -- as exemplified by the old East German system.

4. Individual pressure from coaches -- who get paid better if they coach winners, and that can apply for administrations too.

5. Finally, they dope because they believe they will not get caught -- they believe they are invincible."

On the latter point, the sad truth is that many do successfully beat the drug testers, as did Armstrong and his former U.S. Postal teammate George Hincapie, who confessed all in a plea bargain in October.

'Leveling the playing field'

"Early in my professional career, it became clear to me that, given the widespread use of performance-enhancing drugs by cyclists at the top of the profession, it was not possible to compete at the highest level without them," said Hincapie, who decided to end his 18-year top-level career.

His account tallies with the view of Ellis Cashmore, a professor of culture, media and sport at Staffordshire University in England who has conducted research into the use of drugs in sport.

"I don't think there's a conscious motivation when people dope to gain an unfair advantage. My strong belief is that they are trying to level the playing field, knowing that there are so many others doping that they will be disadvantaged if they don't," says Cashmore, whose low opinion of drug testers and high hopes for healthier athletes makes him that rarity -- a public advocate for the use of drugs in sports.

"I won't divulge names but one sprinter, who doped with impunity, told me: 'For several years, I was coming fourth or fifth despite training as hard as I could. Yet I knew that the people beating me weren't training as hard nor did they have the same athletic capacity.' "

So the sprinter doped -- with the "leveling the playing field" argument used by many sportsmen, including Ben Johnson's coach Charlie Francis, who said the disgraced Canadian was left with no alternative given the riddled nature of athletics at the time he was winning, then losing, the 1988 Olympic 100 meters final.

The plunge into drugs is also tempting because it tends to lead to ever-increasing fortunes, with better performances leading to better results and hence greater earnings.

"If you use drugs, it's because you want a shortcut -- a shortcut to everything," says South African athlete Hezekiel Sepeng, a silver medalist at the 1996 Olympics whose career ended in controversy when he tested positive for an anabolic steroid.

"Once you start winning, sponsors will be attracted and then money will come. It is an easy way to make money. Some athletes will dope for four to five years without being caught and will make a lot of money in that time," the former 800m specialist, now 38, told CNN.

"The big problem in South Africa is that our sportsmen compare themselves internationally. They are young, they've heard about doping and their mind tells them that they need drugs to beat the rest -- it's all about meeting goals and people wanting quick money."

Pre-USADA, Armstrong had amassed a $70 million fortune according to Forbes magazine, while fellow American Marion Jones had several multimillion-dollar sponsorship deals before the sprinter's drug admission prompted her supersonic fall from grace.

'Sophisticated skulduggery'

At the other end of the scale, lying to earn more money is rampant in African football, where countless "promising" players have concocted false -- and younger -- ages in a bid to appear more enticing to any potential Western suitors (and thus secure a way out of poverty).

This year Somalia was thrown out of the 2013 African Under-17 Championship qualifiers, while Niger was disqualified from the 2009 tournament for fielding a 22-year-old and its host Nigeria dropped several of its squad following age tests.

While that might seem an almost understandable form of cheating, the infamous actions of Soviet pentathlete Boris Onishchenko at the 1976 Olympics are anything but.

The three-time Soviet world champion employed sophisticated skulduggery as he rewired his epee so that it would score points when it did not deserve to, as he tried to turn the silver medal he had won four years previously into gold.

His "desire to win at all costs" earned him the nickname "Dis-Onishchenko" -- though little was heard of him after the Montreal Games.

It is unclear whether Onischenko had acted with the help of the Soviet team, a subject that had great relevance at the time given the ideological battles -- and sporting subterfuge -- of the Cold War.

Onischenko aside, the 1976 Olympics were also notable for the second-place finish in the medal table achieved by East Germany.

A country of just 16 million, it was one of the dominant powers in sports such as swimming and track in the 1970s and early '80s -- which was later explained by the state-sponsored doping system that was uncovered after the fall of the Berlin Wall.

Many athletes were unwittingly doped, with British newspaper The Guardian reporting in 2005 that an estimated 800 later suffered serious health issues. The most public face of the scandal was Heidi Krieger, a female shot-putter who was given so many steroids that she later opted to have a sex change and is today known as Andreas.

While East Germany's rulers felt sporting glory suitably reflected the successes of their political ideology, so prompting their top-down approach, soccer star Diego Maradona did it the other way -- waging war, quite literally, single-handed.

After his "Hand of God" goal in the 1986 World Cup helped Argentina beat England, one of football's all-time greats justified his deception by referencing his country's unhappiness over the 1982 Falklands War. Argentina lay claim to the islands, which it calls Las Malvinas, over which the British have sovereignty.

As clearly seen, the pressure to succeed often takes sportsmen and women into unexpected territory. We are often told that tiny factors make the difference in top-level sports, yet the measures used to gain them are often anything but insignificant.

Examples abound -- but how many can prove the point better than Nelson Piquet Jr.'s intentional crash in the 2008 Singapore Grand Prix, following team orders, which enabled Renault teammate Fernando Alonso to win the race after the safety car came out?

With F1 teams spying on one another, boxers loading their gloves with weights, marathoners crossing the finishing line without running the distance, rugby players using fake blood capsules to feign injury (and so enable a team substitution) and Spain's 2000 Paralympic basketball gold medalists later stripped of their title after nearly all their team were revealed to have no disability, arguably the very concept of "sport" has been defeated.

There may even be a measure of sympathy for the international sports bureaucracy -- the men and women running global sport's governing bodies. They would seem to need a full-time investigation unit to weed out all the ingenious methods being used to cheat.

With that in mind, is it any wonder that FIFA -- as it tackles the debilitating threat of organized match-fixing in soccer -- has enlisted the help of worldwide police agency Interpol in recent years?

@highlight

Arsenal midfielder Santi Cazorla's theatrics reignite debate about diving in football

@highlight

Former anti-doping chief gives five reasons why athletes choose to cheat

@highlight

World's major sports organizations face major battle to combat sporting fraud