ABUSIR, Egypt (CNN) -- Today, I met Cleopatra's lawyer. Well, not her lawyer but someone who is determined to defend the legendary queen against centuries of bad publicity.

Kathleen Martinez, an archaeologist from the Dominican Republic, wants to mend Cleopatra's tattered reputation.

Kathleen Martinez is a young archaeologist from the Dominican Republic who has toiled for three years on a barren hillside overlooking the coastal highway linking Alexandria with the Libyan border. According to the Egyptian Supreme Council of Antiquities, it's here, at a spot known as Abusir, that the tomb of Marc Antony and Cleopatra might be located.

I met Martinez in a dusty tomb full of bones at the excavation site. She recounted to me that, as a young girl, she listened in on a scholarly discussion in her father's library about Cleopatra.

"They were speaking very badly about her and about her image," she recalled. "I got very upset. I said I didn't believe what they are saying, that I needed to study more about her."

Martinez went on to earn a law degree but continued to be fascinated by the saga of Cleopatra. Four years ago, she managed to convince Zahi Hawass, the untiring director of the Egyptian Supreme Council of Antiquities, to allow her to start excavating at Abusir.

Her fascination with -- and admiration for -- Cleopatra is intense. The last queen of Ancient Egypt, she told me, "spoke nine languages, she was a philosopher, she was a poet, she was a politician, she was a goddess, and she was a warrior."

In short, Martinez believes, Cleopatra was a woman way ahead of her times.

And given that history is written by the victors -- in Cleopatra's case, the Romans -- her press was somewhat less than complimentary. It was "bad propaganda," in Martinez's words. For that reason, she told me, "I want to be Cleopatra's lawyer."

With Hawass, Martinez is now working on a book about Cleopatra to repair all that damage.

The tale of Antony and Cleopatra has fueled the popular imagination for centuries. Ill-fated lovers were a favorite theme for William Shakespeare, and the Roman noble and the Egyptian queen certainly fit the bill.

Marc Antony was a no less fascinating character than Cleopatra. In his youth, he led a life of heavy drinking and womanizing. According to the Roman historian Plutarch, Antony accumulated debts of 250 talents, the equivalent of $5 million, before reaching 20.

To escape his creditors in Rome, he fled to Greece, where he studied with the philosophers of Athens, before being called to join the Roman legions in the east, then serving under Julius Caesar.

After Caesar's assassination, Marc Antony became embroiled in a series of power struggles and eventually ended up in Egypt.

Egypt was the enemy of his former ally, Octavian, who would go on to become the Emperor Augustus, the first emperor of Rome.

Octavian defeated Antony's forces at the battle of Actium in 30 B.C. Shortly afterward, Antony and Cleopatra committed suicide, he by his own sword, she by a poisonous asp.

Octavian, according to Plutarch, allowed them to be buried together "in splendid and regal fashion." But no one knows where.

The sudden focus on Antony and Cleopatra has also reignited an old debate over the latter's looks. Was Cleopatra a stunning beauty a la Elizabeth Taylor, or somewhat less spectacular?

Researchers from Newcastle University in England claimed in 2007 that, based upon coins found from the period, she was quite homely, with "a shallow forehead, long, pointed nose, narrow lips and a sharply pointed chin."  See gallery of tomb that might be Cleopatra's »

The same researchers didn't have a very flattering assessment of Marc Antony either, saying he had "bulging eyes, a large hooked nose and a thick neck." No Richard Burton.

This does contradict Plutarch's description of Marc Antony as having "a noble dignity of form; and a shapely beard, a broad forehead, and an aquiline nose [that] were thought to show the virile qualities peculiar to the portraits and statues of Hercules"?

Hawass hasn't had much to say in defense of Marc Antony, but he claims the coins found in Abusir show Cleopatra was "beautiful."

At Abusir, he showed me one of the coins with Cleopatra's likeness. "The only thing you can see here is her nose is a bit big."

That's because, Hawass insisted, "when you draw a face on a coin you cannot draw the beauty of a queen, and therefore I think that the lady who captured the hearts of Julius Caesar and Marc Antony cannot have been ugly."

Egyptians, who are intensely proud of their country and its ancient heritage, may be forgiven for their insistence on this point.

I tend to take the middle ground on this one. Beauty is more than skin deep, and what seems to have captivated Julius Caesar and Marc Antony was not physical but rather inner beauty.  Watch report from CNN's Ben Wedeman on Cleopatra »

Plutarch wrote in his "Life of Antony" that "for her beauty was in itself not altogether incomparable, nor such as to strike those who saw her." In other words, she was plain. Plutarch goes on to write, however, that she was intelligent, charming and has "sweetness in the tones of her voice."

The mystery of what Cleopatra really looked like may never be solved. In any event, it's just one of many mysteries in Egypt.

Others include the obvious ones: How were the pyramids built? Who built them? Why were they built? How old is the Sphinx?

Hawass dismisses with lusty contempt the people who espouse the more fantastic theories (that aliens built the pyramids, that the Sphinx is more than 10,000 years old), labeling them "pyramidiots."

But there are other historical mysteries out there that have yet to be answered.

Some archaeologists are trying to find the tomb of Alexander the Great (who died in Babylon but, according to some ancient historians, was buried in Egypt).

Others are searching for the remains of the lost army of Cambyses -- 50,000 soldiers dispatched on a mission by the Persian Emperor to attack the Oracle of Amon (today's Siwa Oasis in western Egypt) only to disappear during a sandstorm in the Sahara Desert.

There has been plenty of excitement in the past few days over reports that Martinez and her team are about to find the long-lost tomb of Antony and Cleopatra.

Alas, the enthusiasts are going to have to be patient.

The summer residence of Egyptian President Hosni Mubarak is just down the road from the site. For security reasons, no one is allowed on the hillside where the excavations are taking place from May through November. So unless Mubarak decides to overrule his security detail, the solving of this mystery will have to be put on hold for at least another five months.

We've waited 2,000 years. I guess we can wait a few more months.

@highlight

Kathleen Martinez has toiled for three years in Egypt looking for Cleopatra's tomb

@highlight

Martinez says the Egyptian queen has gotten an unfair reputation over the centuries

@highlight

Cleopatra spoke nine languages and was a philosopher and poet, Martinez says

@highlight

So was Marc Antony's lover beautiful or plain or ugly? That debate rages on