(CNN) -- Sometimes, when you least expect it, the good guys win. Sometimes, the good guy is a woman -- a strong, wise and extraordinarily brave woman, such as Aung San Suu Kyi.

Suu Kyi, 67, has led her people in a decades' long quest for democracy in Burma, the country renamed Myanmar by a brutal military dictatorship, which now appears ready to usher in democratic reform.

At a time when the struggle against dictatorships elsewhere in the world seems to bring nothing but disappointment and bloodshed, Suu Kyi's freedom and the richly deserved accolades she is receiving are a welcome reminder that nonviolence, smartly deployed and backed by powerful international supporters, can become a most powerful weapon.

This week, Suu Kyi made a triumphant and stirring return to the world stage, traveling to the West, her home for 24 years before she became an accidental leader of the revolution and the regime's prisoner in her home in Yangon, the generals' new name for Rangoon. Suu Kyi was received as a hero in world capitals. She spoke to the British Parliament and received an honorary degree at Oxford University.

But the most poignant moment of her five-country trip came when she delivered the Nobel Peace Prize lecture in Oslo, Norway. She gave the speech more than 20 years after her chair had stood empty on the stage during awards ceremony in 1991, the year she won the prize, as she languished in isolation, enduring years of house arrest.

"The Lady," as she is known among her countrymen and women, stands as one of the few genuine heroes of our time, someone in the mold of Nelson Mandela and Mohandas Gandhi, who not only inspired by their ideals and sacrifice but, just as importantly, who prevailed in achieving their goals against powerful foes.

There was always something mystical about the way the small, willowy woman struck fear in the hearts of the generals -- humorless men in starched uniforms, leading one of the world's largest armies and most ruthless regimes.

Her family name was well-known at home before she became an activist. Her father, Gen. Bogyoke Aung San, was the hero of Burma's battle against British colonial rule and a revered statesman.

During the first quarter-century after the military took power, Suu Kyi lived abroad, as a mother, wife and academic. But then her mother became ill. She traveled to Burma from her home in Oxford to care for her. Suddenly, she was in the middle of a revolution. When anti-junta protests broke out in August 1988, she addressed a crowd of hundreds of thousands at the iconic Shwedagon Pagoda Buddhist shrine in Yangon. She unexpectedly became the movement's leader and her life changed forever.

She would spend 15 of the next 22 years as a prisoner in her own home.

The regime put down the uprising (known as 8-8-88) killing some 3,000 protesters. Suu Kyi found herself as a top target of the regime. Even under arrest she managed to lead efforts to topple the dictatorship. The West looked to her for guidance. She looked to her Buddhist faith, learning to understand and endure her own suffering and keep her focus not on herself but on the larger goals of human rights and freedom for all. She told the West to maintain strict sanctions.

She feared the world would forget her, as she lived out her life in isolation under heavy guard on Yangon's University Avenue.

In 1999, when her husband was dying of cancer in Britain, the junta refused to let him come to Burma to say goodbye, offering instead to let her leave. She knew if she traveled abroad she would never be allowed to return. She stayed a prisoner in Burma and never saw her husband again.

Suu Kyi's unique brand of "realistic idealism" appears to have succeeded in pressuring the junta to start relinquishing power. She won a seat in parliament in April elections, part of a slow process of promised democratization. She is preparing her party, the National League for Democracy, for general elections in 2015.

Her personal story, closely braided with that of her country, proves that nonviolence is not just a philosophy, not just a moral stance. Instead, it is a tool that can bring heavily armed opponents to their knees.

The technique worked because her charisma, spirituality and moral courage inspired not only her people, but the rest of the world. That created the pressure to build international economic sanctions that eventually forced the regime to fold. There's more to it, of course. China, the junta's protector, overplayed its hand in exploiting Burma's vast natural resources.

But the bottom line is that without international support, the strategy probably would not have worked. Without Suu Kyi, the world would not have known about the misery and repression that the junta had foisted on the Burmese people.

Nonviolence is not always a viable course of action -- its slow methods can run out of time, or simply fail against despotism -- but sometimes it can work.

I had counted myself as a skeptic -- until I traveled to Burma during the days when it all seemed hopeless and finally understood what her presence there meant to the Burmese people. In Burma and in the Burmese refugee camps on the Thai side of the border, I discovered just what Suu Kyi's strength and personal sacrifice meant to her people.

She had become their only source of solace, their only reason for hope.

She was also their movement's brilliant strategist.

In recent months, the generals who have ruled Burma since 1962 have declared their commitment to democratic change and have started loosening restrictions on political activity. The world is taking its cue from the woman who has become a moral compass. For years she was the one who insisted the West should not lift economic sanctions, even when that meant more hardships for her and her people. But now she says she cautiously believes the generals are serious about reform.

Ever the realist, Suu Kyi has warned against overconfidence, calling for "healthy skepticism" about reforms. But if she and her supporters do, in fact, forge democracy in their country, as now seems probable, it is because she was able to leverage her appeal to bring harsh international sanctions against Burma.

Suu Kyi has proven her wisdom. She has proven she is one of the few people who truly deserve to become a hero, an icon of their time. And she has shown, just when we needed it most, that even in a time of grim realities, heroes can win in the end.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Aung San Suu Kyi's quest for democracy inspires with its apparent success

@highlight

Ghitis says others struggling with dictatorships can look to her as reminder they can win

@highlight

She says Suu Kyi's charisma and sacrifice made her a leader that drew world to her cause

@highlight

Ghitis: Suu Kyi has proven that she's among few who deserve to be called a hero