(CNN) -- Millions of American parents spend countless hours trying to figure out how to help their children get better grades, better teachers or better schools.

They may want to take a page from Finland, which is considered to have one of the leading education systems in the world. Finnish students consistently score near the top in the Program for International Student Assessment, or PISA, for reading, mathematics and science. The 2012 PISA results tell us that in these three subjects combined Finland ranks third after Korea and Japan. In comparison, American students' combined performance in reading, mathematics and science places the United States at 21st among 34 Organization for Economic Co-operation and Development countries.

For some, education in Finland is utopia: a dreamland where teaching is the most desired profession, authorities trust schools and political parties agree on the direction of educational reforms.

For others, they are surprised to hear that in Finland children don't start school until they are 7 years old. They have less homework than their peers in other countries. A child's socioeconomic background is less of an impediment to academic performance. And there is only one standardized test, which is administered in the final year of high school.

What are the main factors that prevent American students from achieving the kind of success that Finnish students attain?

There are three things that have positively affected the quality of Finnish schools that are absent in American schools. First, Finland has built a school system that has over time strengthened educational equity. This means early childhood education for all children, funding all schools so they can better serve those with special educational needs, access to health and well-being services for all children in all schools, and a national curriculum that insists that schools focus on the whole child rather than narrow academic achievement.

Opinion: Should schools ban homework?

Second, teachers in Finland have time to work together with their colleagues during the school day. According to the most recent data provided by the OECD the average teaching load of junior high school teachers in Finland is about half what it is in the United States. That enables teachers to build professional networks, share ideas and best practices. This is an important condition to enhancing teaching quality.

Finally, play constitutes a significant part of individual growth and learning in Finnish schools. Every class must be followed by a 15-minute recess break so children can spend time outside on their own activities. Schooldays are also shorter in Finland than in the United States, and primary schools keep the homework load to a minimum so students have time for their own hobbies and friends when school is over.

The difference is pronounced in America, where a national poll of elementary school principals found that up to 40% of U.S. school districts have reduced or eliminated recess in order to free more time for core academics, and one in four elementary schools no longer provides recess to all grades.

I hear people often arguing that because the United States is much bigger, more diverse, and more unequal, it's harder to reach higher quality education. But even if this were true, it would not explain why in Finland students learn better in their schools than in most other places in the world.

Opinion: Let kids sleep late

Some aspects of the American school system are not helpful in improving education quality and equity. First, education in the United States is too much defined by testing and data. If getting the data using frequent standardized tests occupies up to one-third of all available time to teach, that will alone prevent students from making the marks they should.

Second, American education places too much faith in marketplace choice, which parents have because of expanded access to charter schools. This weakens the public school structure that is fundamental to many successful education systems elsewhere.

Finally, more students in America have novice or nonprofessional teachers in their classrooms today than ever. Frequent turnover of teachers in thousands of American schools undermines the entire education system.

What would be the way forward then? The United States can't become Finland, but there is a lot it can learn about what works and what doesn't.

One affordable and smart step would be to terminate policies and practices that prevent American teachers from teaching what matters most to their students. Redesigning current punitive accountability for schools and abolishing unnecessary standardized tests would remove a big burden from schools and leave teachers with more time to focus on real learning.

Opinion: Get schools out of the 1890s

The ultimate test for the American education system will be whether it can bring equity to the forefront of education policies. When poverty explains up to half of student achievement, schools must have measures to better cope with the harmful consequences that disadvantaged family backgrounds have on teaching and learning in many schools. Enhancing equity has been one key to success in Finland.

@highlight

Many American parents worry about their kids getting good grades and doing well in school

@highlight

Pasi Sahlberg: Finland has one of the leading education systems in the world

@highlight

He says U.S. can learn from Finland in building an education system that enhances equity

@highlight

Sahlberg: U.S. education focuses on testing and data, which skews teaching priorities