(CNN) -- Afghanistan's recent signings of strategic partnerships with the United States and other countries have provided a measure of reassurance to Afghans about the international community's sustained engagement in the country beyond 2014, when the drawdown of NATO combat forces will be complete. But these documents are short on specifics and do not fully tackle the political, economic and regional challenges that need to be addressed so the Afghan army and police can take responsibility for the security of the country.

To give this transition a real chance of succeeding, Afghanistan and its partners need to concentrate on the risks and challenges in the critical next two years. At the NATO summit in Chicago beginning Sunday, the withdrawal timetable of international forces from Afghanistan and future commitments to support the Afghan government and army after the drawdown will be key areas of discussion.

A user's guide to the Chicago NATO summit

The U.S. political strategy in Afghanistan remains largely focused on talks with the Taliban, and a chorus of voices inside and outside the government is optimistically making the case that the Taliban have reformed and can be "reconciled."

While there is general consensus among Afghans that a broad-based and inclusive reconciliation is necessary to end the conflict, key questions remain about the political order that may emerge from such a process.

This lack of discussion has amplified fears among the Afghan population of a grand bargain either between the United States and Pakistan or between the Afghan government and a resurgent Taliban -- tacitly endorsed by NATO countries seeking a face-saving exit -- that could undo the social gains and ethnic pluralism in current Afghan politics. These concerns are already creating fractures in the fragile political balance among Afghanistan's various ethnic powers and exacerbating fears of a civil war once the international troops exit.

NATO invites Pakistan to Chicago summit

Afghans also remain concerned about the 2014 presidential elections, when President Hamid Karzai is due to step down. The absence of an "inevitable" candidate and political trust are likely to lead to an enormously challenging electoral environment, rife with legitimate worries about voter fraud.

To instill confidence in the process, the international community needs to assist Afghan efforts to ensure credible elections through technical and diplomatic support. All Afghan political actors need to be on board for changes planned in the electoral process. This will also be an opportunity to offer any reconcilable Taliban a chance to be part of the election process.

The most critical element to securing peace in Afghanistan will be convincing Pakistan to close down Taliban sanctuaries. While Pakistan and Afghanistan have set up joint mechanisms aimed at establishing more firm control over Taliban contacts, Afghans continue to believe that Islamabad's policy gurus will continue to use its control over the Taliban as bargaining chips in order to retain maximum leverage on reconciliation and the post-2014 political order in Afghanistan.

NATO's post-Afghanistan future unclear

A jittery Iran, incensed by the U.S.-Afghan partnership, also has the potential to foment instability. China, the central Asian republics, India, Russia, Saudi Arabia and Turkey are other key regional players that are anxious about the form the post-2014 political order will take. If more is not done to address their concerns, these regional actors may revert to supporting competing factional elements in Afghanistan and feed the conflict as they did during its 1990s civil war.

Afghans are trying to soften the blow to the economy that will follow the NATO drawdown and to move toward sustainability through regional economic cooperation, agricultural development, mining and associated infrastructure improvement. While this strategy is necessary for the long-term, Afghans want to see clear signs that steps are being taken to avoid repeating the lawlessness and violence that followed when Moscow cut billions of dollars of aid to the Najibullah regime in 1991.

To bolster confidence in the economy's sustainability, the international community will need to pace the reduction of aid, work with the Afghan government to create an enabling environment for foreign investment and support economic projects in the areas of mining, infrastructure and trade. It will also have to ensure that the tools for allocating and managing aid money are improved to minimize the possibility that these vital resources will be squandered through corruption and wasteful spending.

Afghanistan -- located in the heart of the most dangerous neighborhood in the world -- still matters, and the security concerns of the United States and the international community will continue to be affected by instability in Afghanistan and Pakistan. The task ahead, in Chicago and later this summer at a conference on Afghanistan in Tokyo, is to focus concretely on how best to restructure and reprioritize international efforts to strengthen the prospects for a successful political, economic and military transition to a sovereign and stable Afghanistan. That will be the real test facing a fatigued international community and concerned Afghans.

The opinions expressed in this commentary are solely those of Rina Amiri and Omar Samad.

@highlight

Afghanistan's future will be a focus at the NATO summit in Chicago on Sunday

@highlight

Rina Amiri and Omar Samad: The U.S.'s political strategy involves talks with the Taliban

@highlight

Afghans worry about the political order that may emerge, say Amiri and Samad

@highlight

Amiri and Samad: Afghans are also trying to prepare the economy for NATO's drawdown