Beijing (CNN) -- China reiterated its opposition Wednesday to the publication of air pollution readings in Chinese cities by foreign embassies and dismissed suggestions that it release similar figures for U.S. cities.

"Foreign embassies and consulates in China don't have the legal authority to monitor China's environment or release relevant data, nor do they have the professional capabilities or conditions to do so," said Liu Weimin, a Foreign Ministry spokesman, at a daily press briefing. "We hope relevant foreign embassies and consulates will comply with universally recognized international conventions as well as Chinese laws and stop such irresponsible actions."

U.S. State Department spokesman Mark Toner said Tuesday that the U.S. Embassy and consulates in China provide air pollution information to the American community so that "it can use to make better daily decisions regarding the safety of outdoor activities."

Toner insisted that U.S. diplomatic missions in China would continue releasing the readings, denying Chinese allegations that the U.S. action has violated the Vienna Conventions, a set of international treaties that govern diplomatic relations. He added that Washington would have no objection if the Chinese Embassy decides to publish air pollution index for American cities.

But Liu brushed that notion aside.

"We are not interested," he said.

Vice Minister of Environmental Protection Wu Xiaoqing said Tuesday that, by monitoring China's air pollution and releasing relevant data, foreign embassies have violated the Vienna Convention on Diplomatic Relations and the Vienna Convention on Consular Relations, as well as environmental protection laws and regulations of China.

Although Wu did not mention specific embassies, the statements have been generally interpreted to be directed at the American diplomatic missions, which maintain popular Twitter feeds providing hourly readings for the cities of Beijing, Shanghai and Guangzhou. The U.S. Embassy website refers to them as an "unofficial resource for the health of the Consulate community."

The U.S. readings are widely viewed as a reliable alternative to the official index maintained by China's Environmental Protection Bureau. Derived from a monitoring station in each of the embassy grounds, they typically paint a starker portrait of air quality than official reports, often falling within "unhealthy" bands, as defined by a rating system developed by the U.S. Environmental Protection Agency.

For example, at 11 a.m. Wednesday, the U.S. Embassy reading for Beijing reported a PM 2.5 concentration of 191 micrograms per cubic metre (µg/m³) for an Air Quality Index value of 241, a "very unhealthy" score. In contrast, the environmental bureau reported 134 µg/m³ for a "slightly polluted" AQI of 142.

The EPA system measures air pollution by a PM 2.5 standard, which means particulate matter less than 2.5 micrometers in diameter (less than 1/7 the average width of a human hair).

According to the EPA, the "fine" particulate matter is believed to pose the greatest health risk because it can lodge deeply in human lungs. China has traditionally monitored pollution at a less-rigorous PM 10 standard , which refers to larger particulates of 10 micrometers or less in diameter, which accumulate in the respiratory system when inhaled.

Wu said that it is "obviously inappropriate" to be applying foreign standards to the local landscape and that readings determined from a single monitoring station are unscientific.

But under pressure to improve its notoriously poor air quality, China began releasing PM 2.5 data for Beijing in January. According to China Daily, Wu said that 74 major cities had been told to raise their monitoring standards to PM 2.5 by the end of October and release data by the end of the year. These rent moves build upon revised air quality policies that require an index of PM 2.5 be implemented nationwide by January 1, 2016.

@highlight

NEW: Foreign Ministry says embassies lack legal authority to monitor environment

@highlight

China has told foreign embassies to stop publishing their own air pollution readings

@highlight

The directive is understood to be directed at the U.S. diplomatic missions

@highlight

Starker U.S. readings adhere to more rigorous EPA standard to measure air quality