LA GLORIA, Mexico (CNN) -- Tucked away in this small mountain village, off a dusty road flanked by pig farms, is where the earliest case of swine flu -- a virus spreading globally -- was confirmed.

Five-year-old Edgar Hernandez, known as "patient zero" survived the earliest documented case of swine flu.

Meet the child known as "patient zero" by his doctors -- 5-year-old Edgar Hernandez, who survived the earliest documented case of swine flu in an outbreak that, officials say, has now spread across four continents.

His family lives in the 3,000-population village of La Gloria in the state of Veracruz, where a flu outbreak was reported on April 2. State officials arrived and took samples from dozens of people.

Lab tests confirmed that Edgar was the only patient in Veracruz to test positive for the swine flu virus; the others had contracted a common flu. Health officials had returned to Edgar's sample only after cases of the new flu strain were spotted around the country.

"In this case, there's a patient who turned out to be positive for the swine-flu virus, with the exception that at that time in no region of the world it had been established as an etiological, epidemic cause," said Mexico Health Secretary Jose Angel Cordova.

Edgar has managed to bounce back from his symptoms and playfully credits ice cream for helping him feel better.

His mother blamed the virus on a huge pig farm in the neighborhood. Officials have conducted tests at the farm owned by U.S. company Smithfield Foods, and those tests came back negative.

Meanwhile, Mexican health officials suspect the swine flu outbreak has caused more than 159 deaths and roughly 2,500 illnesses.

The World Health Organization says at least 105 cases have been confirmed worldwide, including 64 in the United States; 26 in Mexico; six in Canada; three in New Zealand; and two each in Spain, the United Kingdom and Israel. WHO has confirmed deaths only in Mexico, where seven people have died from swine flu.

The deadly outbreak in Mexico prompted authorities to order about 35,000 public venues in Mexico City to close or serve only take-out meals as health officials tried to contain the virus. iReport.com: Are you worried about swine flu?

Officials in Mexico City also ordered the closing of bars, clubs, movie theaters, pool halls, theaters, gyms, sport centers and convention halls until May 6, said Juan Jose Garcia Ochoa, one of the city government's top officials.

Officials on Friday closed schools in the city and Monday extended that order nationwide until at least May 6.

"I'm pretty nervous of this whole virus thing," Berta Hernandez said as she touched up her eyeliner inside a packed and humid subway car in Mexico City. She did not dare lift her surgical mask to put on lip gloss.

"I'm nervous of the people who aren't wearing masks. Maybe they will suddenly sneeze or cough," she said.

Governments around the world scrambled to prevent further outbreak.

Some, like China and Russia, banned pork imports from the United States and Mexico, even though the World Health Organization said the disease "has not been shown to be transmissible to people through eating properly handled and prepared pork (pig meat) or other products derived from pigs." Several others, such as Japan and Indonesia, used thermographic devices to test the temperature of passengers arriving from Mexico.

The Philippines' health department urged people to avoid kissing and hugging in public. Argentina announced a five-day ban on flights from Mexico. Four cruise lines -- Holland America, Royal Caribbean, Norwegian and Princess -- canceled upcoming calls to Mexican ports.

President Obama said the outbreak is a cause for concern, not for alarm. The government urged travelers to avoid nonessential travel to Mexico. iReport.com: "Regular life" in Mexico with masks

The U.S. Food and Drug Administration issued emergency authorization for the use of two of the most common antiviral drugs, Tamiflu and Relenza. The authorization allows the distribution of the drugs by a broader range of health-care workers and loosens age limits for their use.

In Mexico City, however, there is a shortage of such medication. It also became impossible to find protective surgical masks, which the government had handed out to one out of every five residents.  Watch Dr. Sanjay Gupta inside a Mexico City hospital »

Worried citizens continue to flood in night and day at hospitals, only to be turned around by armed guards.

"I was looking for a mask at my local pharmacy, but they sold out," supermarket worker Rafael Martinez said as he rode the subway. "I know it's a risk, but I can't find one."

Swine influenza, or flu, is a contagious respiratory disease that affects pigs.

When the flu spreads person-to-person, instead of from animals to humans, it can continue to mutate, making it harder to treat or fight, because people have no natural immunity.

Symptoms include fever, runny nose, sore throat, nausea, vomiting and diarrhea.

Common seasonal flu kills 250,000 to 500,000 people every year worldwide, far more than the current outbreak of swine flu.  Learn more about swine flu and how to treat it »

But there is no vaccine for the new disease, and little natural immunity, an expert said.

"I think the reason to be concerned is ... we had a vaccine for regular flu," said Dr. Carlos del Rio of the Emory University School of Medicine in Atlanta, Georgia. "This is a totally new virus. ... You have a virus to which there's no pre-vaccination, there's no prior immunity. And, therefore, the mortality rate may be higher than other influenza viruses."  Watch why swine flu is a "sloppy virus" »

Researchers do not know how the virus is jumping relatively easily from person to person, or why it's affecting what should be society's healthiest demographic.

Meanwhile, Mexico's largest city saw the the government close universities, postpone sporting events and cancel church services in an effort to try to stem the spread of the virus.

"I don't think it's feasible or advisable to shut down the city," said Jose Luis Suarez, a newspaper vendor. "People would try and get out somehow, and that would make a bad situation worse."

CNN Chief Medical Correspondent Dr. Sanjay Gupta in La Gloria, Mexico, contributed to this report.

@highlight

NEW: Boy, 5, with first documented case and only in village, recovering

@highlight

64 cases confirmed in United States, CDC says

@highlight

Thousands flood Mexican hospitals, scramble for masks

@highlight

WHO notes significant human-to-human transmission, a step toward pandemic