(CNN) -- Over the years, I've seen a good many meetings between U.S. presidents and Israeli prime ministers on big issues during critical moments. It usually takes a few days before we can begin to make sense of what occurred and what to expect.

Here's a guide to interpret last week's meeting between Barack Obama and Benjamin Netanyahu on the Iranian nuclear issue and how to read the next several months.

Best meeting yet but don't be fooled

Unlike Lehman Brothers, the U.S.-Israeli relationship really is too big to fail. Driven by the marriage of value affinity, politics and national interest, it's proved remarkably resilient over the years, particularly given the differences between a big nation and a tiny one. And this, the ninth meeting between their two leaders (while in office), was among their best. That's not saying much given the rocky relationship between the two.

But for reasons of policy and politics, neither wants nor can afford a fight. The last thing Obama or Netanyahu needed was to highlight differences on Iran, even while they do differ on the timing and need for a military strike.

My sense is that the president still thinks the prime minister is something of a con man and the prime minister finds the president bloodless and lacking real emotional connection when it comes to appreciating Israeli fears. There are plenty of rocky times ahead, particularly on the peace process between Israel and the Palestinians, a volatile issue (now closed for the season) but bound to become combustible again should Obama be re-elected in November.

Where you stand depends on where you sit

The Iranian issue highlights a fundamental truth about international politics and about Israel and America: When it comes to matters of national security and survival, size and geography can divide even the closest allies.

Israel is a tiny nation that has been in conflict and at war since its inception. Despite its regional superpower status and nuclear arsenal, it still sees itself living on the knife's edge with little or no margin for error. For Israelis, pre-emption and vigilance will always trump patience and passivity. (Examples: Israeli's pre-emptive strikes in June 1967; against the Iraqi reactor in July 1981; and against an incipient Syrian nuclear facility in September 2007.)

The United States is the most powerful nation on Earth. It has nonpredatory neighbors to its north and south and fish to its east and west. It has enemies, but none that pose a potential existential threat. With rare exceptions (George W. Bush's administration), the United States tends to be more deliberate and reactive in the projection of its military power because it has greater discretion. This gap can never be closed.

The Israelis are not poised to strike Iran anytime soon, but in threatening military action, they have used the urgency to place the nuclear issue at the top of the president's agenda.

We shouldn't be pushed by the Israelis into war with Iran, but we cannot trivialize their concerns either. They might act even if it means only a temporary delay in the Iranian program and at tremendous cost to the United States. It is the way of the small power.

Prevention, not containment

Perhaps the most important development to emerge from the meeting last week was Obama's clear reset of the frame of reference within which American policy toward Iran will now play out.

He gave very little away to the prime minister in terms of assurances, let alone guarantees, of American military action against Iran. But he did highlight the new vocabulary: Containment of Iran and its nuclear program won't do anymore. Prevention of an Iranian nuclear weapon is now the strategic objective.

The president has alluded to preventing Iran from acquiring a weapon before, but these days, it takes on a much more activist cast.

The Bush administration pushed containment and didn't seriously consider striking Iran's nuclear facilities. Given the changing context, this president might well be called on to make good on his commitment. Indeed, Obama is not prepared to acquiesce to Iran becoming a nuclear weapons state.

Living on borrowed time

For the time being, the president and the prime minister agree nonmilitary means should be used to try to prevent Iran from pursuing its enrichment activities. Netanyahu wanted a green light from the president should he deem it necessary to strike Iran. He didn't get it. Obama wanted a red light from the prime minister that he wouldn't exercise a military option. The president didn't get that either.

This wasn't a meeting about making decisions or exchanging ironclad assurances that would commit either leader to a particular course of action. The reason for that is there's no solution to the Iranian nuclear issue in sight.

Neither leader will surrender his freedom of action: The prime minister to strike if necessary; the president to avoid encouraging the Israelis to do so or to commit the U.S. to do it for the Israelis.

That leaves a big gap and no clear path to a nonmilitary outcome. Indeed, without a serious negotiation between Iran and the P5 +1 (the United States, China, Russia, France, Britain and Germany), we're drifting toward a military option, most likely by Israel.

The roadrunner/coyote game

We will likely see more cat and mouse games, or in this case coyote and roadrunner games, perhaps with a return to the negotiations between Iran and the P5+1 on the issue of enrichment.

Iran as roadrunner will continue to try to evade efforts to constrain their nuclear enrichment program. The West as coyote will try to stop them. In this case, the game of covert war and pressure, replete with sanctions, cyberattacks and assassinations, will likely continue. It's clearly preferable to an overt one.

Coyote will try any number of ways to lay traps for roadrunner. More than likely, they will fail. Only one country can prevent Iran from acquiring the capacity to arm itself with nuclear weapons, and that's Iran, should it decide the costs of the nuclear effort are just too steep.

Four countries outside of the five permanent members of the United Nations Security Council have nuclear weapons: Israel, India, Pakistan and North Korea. All wanted them, and all got them.

Perhaps this time around, since we're more focused and determined, we'll have better luck with Iran. But barring a change in the mullahacracy's motivation to develop the capacity to produce a nuke, I wouldn't bet the mortgage on it.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Aaron Miller: Last week's meeting was the best between Obama, Netanyahu

@highlight

Still, he says the two men do not get along well, and their nations view world differently

@highlight

He says Israel, always threatened, will always opt for preemption over patience

@highlight

Miller: Biggest change is Obama's focus on preventing Iranian nuclear weapon