Washington (CNN) -- The 2012 presidential election shattered spending records, further polarized a divided country and launched a thousand hashtags. The race appeared to be a nail-biter going into Tuesday night but in the end, it came down to the state that most had been saying for weeks that it would â€” Ohio.

Here are five things we learned from Tuesday

Victorious Obama faces familiar challenges

1. The GOP has a Latino problem

"If we don't do better with Hispanics, we'll be out of the White House forever," says Republican strategist and CNN contributor Ana Navarro, who was the national Hispanic co-chair of Sen. John McCain's 2008 presidential campaign.

"The big issue Republicans are going to have to wrestle with is the Hispanic issue," adds Republican strategist and CNN contributor Ari Fleischer, who served as President George W. Bush's first press secretary. "Republicans are going to have to find a different way forward."

The national exit polls tell the story. Latinos are the fastest growing-segment of the population. Their share of the vote expanded from 9% in 2008 to 10% in this election. The president won 67% of the vote four years ago. He increased that to 71% this year.

Latinos were crucial in helping Obama win the battleground states of Colorado and Nevada, and in putting the president in the lead for Florida's 29 electoral votes. And they were just as important in turning the former swing state of New Mexico into what appears to be an increasingly safe state for the Democrats.

CNN Election Center: 2012 exit polls

If the current trend continues, Arizona and Texas could turn from red to purple.

The 2012 election is a loud wake-up call for the GOP to change its stance on illegal immigration.

And that's being acknowledged by arguably the best known Latino Republican senator.

"The conservative movement should have particular appeal to people in minority and immigrant communities who are trying to make it, and Republicans need to work harder than ever to communicate our beliefs to them," said Sen. Marco Rubio of Florida in a statement Tuesday night.

Opinion: Five things Obama must do

2. The youth vote came up big â€” and the white vote got smaller

A big question heading into Election Day was whether younger voters would show up at the polls.

More of them did than last time.

According to national exit polls, 18-29 year olds increased from 17% to 18% of the electorate from 2004 to 2008. They made up 19% of the electorate this time around. That jump in size from four years ago made up for the president's drop in capturing the youth vote, from 66% in 2008 to 60% in 2012.

It wasn't just age, but also race, that worked in the president's favor.

Obama's share of the white vote dropped from 43% four years ago to 39% this year. But that was negated by the shrinking of the white vote from 74% of the electorate four years ago to 72% now. And the African-American percentage of the electorate stayed steady at 13%. Some GOP strategists said that the white vote needed to be 74% for Romney to win.

"The youth vote and the black vote turned out once again and that's to the president's credit," Fleischer said.

World worries as U.S. fiscal cliff looms

3. The auto bailouts helped drive Obama to victory in Ohio

For months, the Obama campaign touted the taxpayer bailouts of General Motors and Chrysler, and they were given prominent prime-time placement during the Democratic National Convention in early September. It's a strategy that the Obama campaign thought could be the difference in Ohio, a major base for the auto industry that eventually decided the election.

"The American auto industry is back on top," Obama said campaigning last week in the Buckeye State.

The bailouts were started under President George W. Bush in 2008 but Obama grabbed the keys to the program the next year, managing and funding the assistance.

Romney opposed the bailout and pushed for a privately financed and managed bankruptcy of the two automakers. The Obama campaign and other Democrats have attacked Romney over his opposition to the federal intervention, which aided the companies through their eventual bankruptcies.

And in the final weeks leading up the the election, the Obama campaign highlighted pushback by General Motors and Chrysler to a Romney TV ad and a radio spot this past week that claimed both domestic auto makers were sending U.S. jobs to China.

Portman stands by Romney auto ads

It seemed to work. Nearly six in 10 Ohio voters said they approved of the federal government's role in helping the troubled domestic automakers, and according to exit polls, the president won three quarters of those voters.

Economy tops voter concerns in exit polls

4. Romney wasn't able to expand the map

Much was made of campaign visits by Romney and his running mate, Rep. Paul Ryan, to Pennsylvania in the final weekend before the election, and Romney's return to the Keystone State on Election Day. The Romney campaign and allied super PACs supporting the GOP nominee flooded Pennsylvania airwaves in the final weeks with a flurry of TV ads.

To a lesser degree, there was a similar push in Minnesota, another solidly Democratic state where public opinion polls tightened last month.

There was talk by Romney campaign officials of being on offense and of expanding the electoral map.

It didn't pan out.

While Romney performed stronger than 2008 Republican nominee John McCain in Pennsylvania and Minnesota, it wasn't enough. And of the swing states that swung blue four years ago, it appears Romney was only able to turn Indiana and North Carolina red again.

Romney's 'all' proved not enough

5. What will $6 billion get you?

We had a Democratic president, a Republican House of Representatives, and Democratic Senate going into the 2012 election. And we'll have a Democrat in the White House, with a Republican House and a Democratic Senate after the election.

When all the bills are in, total spending for the 2012 election (all federal and state races) could top a record-breaking $6 billion. And what did all that money buy?

2012 election priciest to date: $4.2 billion tab and rising

Some would argue ... nothing.

@highlight

The president increased his support with Latinos, the fastest growing segment of the population

@highlight

Changes in the size of the youth vote and the white vote worked in Obama's favor

@highlight

The auto bailout helped Obama in Ohio, a crucial battleground

@highlight

Romney failed to expand the map and lost in Pennsylvania and Minnesota