(CNN) -- On North Halsted Street, between Buckingham and Roscoe in Chicago, a monument stands with a plaque in honor of a brilliant thinker who is as responsible for the way we live our lives today as any person who has ever lived.

His name is Alan Turing, a Brit, and among his many credits and accolades, many historians refer to him as "the father of computer science." When Time magazine listed him among its 100 most influential people of the 20th century, it said "that everyone who taps at a keyboard, opening a spreadsheet or a word-processing program, is working on an incarnation of a Turing machine."

A pretty high honor to say the least. And yet in 1952, while filing a robbery report with the police, Turing -- the man whose algorithms cracked the Enigma code used by the Nazis in World War II -- found himself arrested at his home in England.

His crime? Being gay.

Turing was convicted of "gross indecency," a felony in Britain at that time. He was forced to choose between prison and being injected with female hormones, a form of chemical castration.

He reluctantly chose the latter. Despite his accomplishments, he lost his job. And in June 1954, he lost his will to live. He was 41.

If the Western world is somewhat haunted by what Steve Jobs might have accomplished had cancer not taken him from us, we should be downright tormented by what we lost from the senseless excommunication of his predecessor.

Turing's plaque is one of 18 that make up the city's Legacy Walk, which honors LGBT people who have made a contribution to history. It's a reminder of where we were and how far we've come. But as much as it seems the nation is talking about this topic, the fact remains that in much of the United States, it is still legal to fire someone for the same reason that Turing was fired 60 years ago in Britain.

Perhaps the prejudices in our rear view mirror may appear farther away than they actually are.

June is Gay Pride month. So if you find yourself exhausted from all of this gay rights talk and want to leave a not-so-kind comment on a story, remember it's because of an openly gay man that you even have the technology to do so.

If you're a black person who gets offended whenever the Civil Rights Movement is mentioned in the same sentence as the fight for gay rights, remember the Rev. Martin Luther King Jr.'s close confidant and most influential mentor was an openly gay black man by the name of Bayard Rustin.

And if you ever find yourself wondering "How come there's no Straight Pride month?" I say the day being straight becomes a crime -- as being gay still is in many parts of the world -- start one.

Gay Pride was not born out of a need to celebrate not being straight but our right to exist without prosecution.

Just as Stokely Carmichael's "Black is Beautiful" became the rallying cry against racism in the 1960s; just as "I am woman, hear me roar" was the anthem against sexism in the 1970s; "gay pride" is the banner that flies over a people whose dignity continues to be put to a vote in 2013.

News coverage in June may focus on the celebratory nature of Gay Pride parades, but it cannot rewrite the history that made these parades an integral part of our survival.

Why isn't there Straight Pride?

Because Congress has yet to pass a law requiring people to hide the fact they are straight. Because the streets are not filled with children who have been kicked out of their homes for being straight. Because there seems to be a lack of stories in which someone has been beaten, tied to a fence and left to die or shot in the face at point blank range because they were straight.

For this Gay Pride month, Sen. Majority Leader Harry Reid, D-Nevada, said he expects to take up legislation to address workplace discrimination "soon." This month, the Supreme Court may make a ruling on whether or not same-sex couples can marry.

This month, 11-year-old Marcel Neergaard wrote in a Huffington Post op-ed that "during my first year in middle school, I experienced severe bullying. I was called terrible names that were quite hurtful. At that time, I had just realized that I'm gay, and the bullies used the word 'gay' as an insult.

"This made me feel like being gay was horrible, but my parents told me otherwise. Their support was tremendous. But as powerful as their love was, it couldn't fight off all the bullying. I don't want anyone else to feel the way I did. No one deserves that much pain, no matter who they are."

Yeah.

So maybe instead of wondering why there isn't a straight pride month or movement, straight people should be thankful they don't need one. I'm sure Turing would have rather filed the police report and stayed home. I'm sure Marcel would prefer going to school in peace.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

Alan Turing, "father of computer science," killed himself, "convicted" of being gay

@highlight

LZ Granderson: 60 years later, it's legal in parts of U.S. to fire someone for being gay

@highlight

LZ: Gay Pride month is a time to celebrate the right to live without persecution

@highlight

The day being straight becomes a crime, LZ says, Straight Pride will be born