(CNN) -- A young, beloved teacher found killed in the woods. A 14-year-old student in custody, charged with her murder.

That much we know. But hours after both were found -- one dead, one alive -- in suburbs northeast of Boston, much remains unknown as to why Colleen Ritzer was brutally slain.

"It's just surreal how quickly someone can go, and how much we take for granted everyday," said Danvers High School student Chris Weimert, describing Ritzer as "the nicest teacher you could ever have. ... I can't believe it."

Authorities had been looking for the student, Philip Chism, first, after he was reported missing -- with police sending out messages via Twitter and Facebook on Tuesday evening, noting he'd been last seen around 6:30 p.m. and asking for the public's help in finding him.

They got a call around 11:20 p.m. about another missing person, 24-year-old Ritzer, after she, too, hadn't returned home and was not answering her phone, according to Essex County District Attorney Jonathan Blodgett.

A flurry of activity came next. Police in Topsfield, the town just north of Danvers, around 12:30 a.m. spotted Chism walking alongside a busy road there.

Authorities also converged on Danvers High -- where Ritzer taught and which Chism attended -- finding blood in a second-floor bathroom, the district attorney said. The teacher's body was soon discovered behind the school.

Chism was tied to Ritzer's death after police interviewed him and reviewed video surveillance from the school, a criminal complaint states. In court, it was alleged the teenager "did assault and beat" Ritzer, leading to her death.

"Based on his statements and the corroborating evidence found at multiple scenes at ... Danvers High School and surrounding wooded area, the juvenile was subsequently placed into custody and booked for murder," adds the complaint.

Read the complaint

The 14-year-old was arraigned Wednesday afternoon in a Salem, Massachusetts, court for murder, then ordered held without bail. A grand jury could decide if Chism will be charged as an adult.

Meanwhile, the tight-knit community of Danvers is at a loss to explain why someone might take the life of Ritzer, a 24-year-old known for posting inspirational messages on her Twitter account and offering students extra help when they needed it.

As the greater Bay State community paid its respects with a moment of silence before the Boston Red Sox began Game 1 of the World Series at Fenway Park, many heartbroken former students of hers gathered for a vigil outside the town's high school.

All seven schools in the North Shore town closed Wednesday, as investigators did their work and students and residents mourned the loss of Ritzer. Everything will reopen Thursday except the high school, but counselors and grief specialists will be available there for two hours during the day, said Superintendent Lisa Dana. Classes throughout the town are set to resume Friday, she said.

"I don't know why she had to die," freshman Spencer Wade said of Ritzer, adding that the mysterious and bloody nature of her death made it even harder to deal with. "She was such a wonderful person."

Suspect had lived in 3 states in recent years

Just Monday, the Danvers Police Department was tweeting its support for families and first responders affected by the shooting death of a Sparks, Nevada, teacher -- allegedly at the hands of a 12-year-old boy.

While no motive has been spelled out in Ritzer's death, some details have started to emerge about the the young suspect.

Chism attended fourth grade at a Clarksville, Tennessee, elementary school, said Clarksville-Montgomery County, Tennessee, school system spokeswoman Elise Shelton. He then spent fifth grade at Hammock Pointe Elementary in Boca Raton, Florida, according to Palm Beach County school spokesman Owen Torres.

The next three years, he was back in Tennessee at Rossview Middle School in Clarksville, according to Shelton. Then his family moved about 1,150 miles northeast to Massachusetts.

Specifically, he was in Danvers, a town of about 26,000 people, and went to its lone public high school. Students said Chism played soccer there, describing him as somewhat quiet but still an active participant in class who had friends.

"He ... seemed quiet and reserved, but he just seemed normal," said Ariana Edwards, who was in Chism's English class.

Chism didn't drink, do drugs and came from a good family, one of his closest friends said. He described Chism as a good athlete who was shy at first but eventually warmed up to people, adding he hadn't been acting strangely lately.

This friend and others got their first hint something was awry when Chism didn't show up for soccer practice. The team ended up setting out to look for their teammate, after seeing texts that he was missing.

As they and police were looking for him -- and after Ritzer was killed -- Chism went to the movies, a source with knowledge of the investigation said.

Blodgett declined Wednesday to offer specifics on the relationship between the suspect and the late teacher, though his office said Chism attended one of Ritzer's classes.

When authorities first reported Chism missing on Tuesday, people responded on the police department's Facebook page with prayers for his "safe return." One neighbor described him as "a polite and friendly boy."

The tenor of the comments changed significantly once he was linked to Ritzer's killing.

"I'd say he's less 'polite and friendly' than you thought," wrote one Facebook commenter. "Everybody has to keep their eyes open. It's no longer safe to say that you can take everybody at face value."

'The sweetest, most harmless person ever'

Ritzer graduated from Assumption College in 2011, that school said on Twitter. She was pursuing a master's degree in school counseling at Salem State University, that school said.

"She believed children have much to offer and often do not realize how special they are as individuals," the university said. "In her application to Salem State she said she was dedicated to 'helping students in times of need.'"

Charlotte Dzerkacz in 2011 taught at the same middle school with Ritzer, during which time the two became close friends.

At all times, Ritzer wore a wide smile and was approachable to students and colleagues alike.

"She was energetic, she was compassionate," Dzerkacz said. "You couldn't ask for anything more from a teacher or a friend."

Like Dzerkacz, Ritzer's aunt Shirley Martellucci said her niece never had any trouble with students -- including during the past two years, when she was at Danvers High.

"She always wanted to be a teacher, all her life," Martellucci said. "It's just unbelievable that someone would take her life at such a young age."

On her Twitter account, Ritzer interspersed homework assignments and exhortations to work through tough math problems with cooking talk and inspirational messages.

"No matter what happens in life, be good to people," she wrote in August. "Being good to people is a wonderful legacy to leave behind."

Her family issued a statement seeking privacy as they mourn their "amazing, beautiful daughter and sister."

"Everyone that knew and loved Colleen knew of her passion for teaching and how she mentored each and every one of her students," the family said in the statement.

Students at Danvers High echoed that sentiment, as well as that of her school district describing Ritzer as "a dynamic and brilliant ray of light."

In the halls, she was guaranteed to offer a warm smile. In class, she could be counted on to give an appreciated pat on the back. Even once the final bell sounded, she could always be counted on to offer teaching, guidance and support.

"She was always the teacher (who would) go the extra mile for students, always the teacher to be there for students after school," said Kyle Cahill.

"It's just crazy."

Debate unfolds after teacher slayings in Nevada, Massachusetts

CNN's Dana Garrett, Laurie Segall, Eden Pontz, Rob Frehse, Rose Arce, Chandler Friedman, Stephanie Gallman, Alexis Weiss and Bob Crowley, as well as journalist Alexandra Field, contributed to this report.

@highlight

NEW: The suspect went to a movie theater after allegedly killing his teacher, source says

@highlight

The district attorney says the suspect, Chism, was in one of Colleen Ritzer's classes

@highlight

Her body is found in woods near Danvers High School in northeastern Massachusetts

@highlight

Complaint: Suspect's interview with police, video evidence led to murder charge