(CNN)I was deeply moved watching Julianne Moore win the Oscar for "Still Alice," a movie I was proud and privileged to be an executive producer on. Julianne gives a harrowing performance as a brilliant 50-year-old college professor who loses her brain and herself to early-onset Alzheimer's disease. This is a huge moment for Julianne -- and a huge moment for all of us who have been trying to focus public attention on this staggering disease.

Witnessing Alzheimer's progress on the big screen is as terrifying as it is in real life. I know, because I'm a child of Alzheimer's. The mind of my father, Sargent Shriver, had always been a finely tuned instrument that left people in awe and inspired. But my family and I watched Alzheimer's erase that brain -- slowly, inexorably, completely. It was terrifying, too, because back then, the disease was surrounded by shame and silence.

Alzheimer's still carries a stigma of the unknown -- even though today more than 5 million Americans have it. That's right. Every 67 seconds, another one of us develops Alzheimer's. Women in their 60s are about twice as likely to develop Alzheimer's as breast cancer. With 10,000 baby boomers turning 65 every day, there will be 13.5 million of us with Alzheimer's by 2050. And many people don't understand that Alzheimer's isn't a natural part of aging. Alzheimer's is a disease that kills.

The truth is, we're right in the middle of an epidemic, but we as a nation are in denial. An Oscar for "Still Alice" is shining the brightest light yet on Alzheimer's, but light isn't enough anymore. Attention isn't enough. It's time to get serious. Alzheimer's is exerting a powerful impact on American families -- on our health, our finances, and our futures. And women are disproportionately affected.

Why women? Back in 2010, when we published "The Shriver Report: A Woman's Nation Takes on Alzheimer's," we reported that women were more than half the individuals diagnosed with Alzheimer's and nearly two-thirds of the unpaid caregivers of those who had it. Now those numbers are far worse. Today nearly two-thirds of those with Alzheimer's are women -- that's more than 3.2 million women. And more than 60% of caregivers for people with Alzheimer's and dementia are women, with many having to reduce their own workload or even drop out of the workforce altogether to care for loved ones.

Opinion: Why 'Still Alice' is about you

Women are the epicenter of this crisis, which is why I believe they also have to be the solution. So, in partnership with the Alzheimer's Association and so many inspiring women already working on the front lines to fight this disease, we have launched the Wipe Out Alzheimer's Challenge, a multipronged campaign powered by women's brains.

Our mission is to enlist women of all ages to get educated, engaged and empowered to instigate change.   Women around the country will go out and raise the alarm, raise awareness, raise the stakes and raise millions of dollars to fund serious research into women's brains.

And there's so much research to do and so many questions to answer. Why is the incidence of Alzheimer's higher for women? Nobody knows. And why is it that women in their 60s are so much more likely to get Alzheimer's than breast cancer? Nobody knows. What's the exact role of estrogen? We don't know. Is there an Alzheimer's connection with depression or with diabetes? What about genetics? What can be done during the 20 or so years when the disease develops, before a woman even becomes symptomatic? What's the impact of diet, stress level, exercise, sleep and cardiovascular condition? It's time to find out.

We have to fund this research, because for some reason it's not a priority for the government. In 2015, Washington will spend an estimated $6 billion on cancer research and $3 billion on HIV/AIDS research, but only $586 million on Alzheimer's. Yet, as the Alzheimer's Association tells us, "the costs to all payers for the care of people living with Alzheimer's disease and other dementias will total an estimated $226 billion, with Medicare and Medicaid paying 68 percent of the costs."

I don't get it, but I'm not going to wait anymore.

So Wipe Out Alzheimer's is stepping in. We're asking women to put together their own "brain trusts" in their communities -- groups that will go out and do some muscular fund-raising. But equally important, these brain trusts will gather to discuss and disseminate information about what the disease is and isn't. What are the warning signs we should look for in ourselves and our parents? What's the difference between normal forgetfulness, dementia and Alzheimer's disease? Can brain games or meditation slow cognitive decline? Do dietary supplements help?

Local brain trust groups will also learn about the devastatingly high cost of Alzheimer's -- how neither Medicare nor the Affordable Care Act covers long-term care, and the cost of a semiprivate nursing home room averages more than $80,000 a year. They'll reach out to help and encourage women whose loved ones have Alzheimer's. They will be politically engaged and encourage political candidates who support increased funding for Alzheimer's research. They'll push their own doctors to get better-educated about cognitive health.

It's time for the narrative around Alzheimer's to change. I remember when an HIV/AIDS diagnosis was a death sentence. I remember when cancer was a dirty word, and the prognosis was always grim. But AIDS and cancer activists are helping to take these diseases from terrifying to treatable, from hopeless to hopeful. We want to do the same with Alzheimer's. We want to understand it, prevent it, treat it and beat it.  Wipe Out Alzheimer's is creating a global community of women activists, agitators and agents of change to do just that.

We used to think that the mysterious condition called Alzheimer's disease happened only to folks in their 80s and 90s. "Still Alice" shows us that's just not true.

The race for the Oscar may be over, but the race to wipe out Alzheimer's is on.

@highlight

Maria Shriver's father was stricken by Alzheimer's, a growing scourge in U.S.

@highlight

Women are disproportionately affected as sufferers and caregivers, she says

@highlight

Wipe Out Alzheimer's Challenge is launching to fill in for lagging government funding, she says