(CNN) -- 2013 will be a year of harsh change for the tech industry. We've just experienced five years of rapid, messy and disruptive innovation, and smartphones and tablets aren't the future any longer -- they're the present.

Powerful mobile devices connected to broadband-speed cell networks are now an everyday reality, and it's going to take more than a bigger screen or faster processor to make an impact this year. Think of 2013 as the year of refinement and reckoning.

Here are five big developments to keep an eye on:

1. The future of Microsoft

Microsoft has been very candid about "missing a generation" of mobile innovation after Apple introduced the iPhone, and 2012 was all about the results of a furious catch-up effort: the company launched the completely rethought Windows 8 for PCs, Windows RT for tablets and Windows Phone 8 for smartphones. CEO Steve Ballmer also repositioned Microsoft as a "devices and services" company, and he introduced the Surface and Surface Pro, two tablets designed by Microsoft itself to compete with traditional PC companies such as Dell and Sony.

That's a lot of bold bets, and they all have to pay off in 2013. The PC era is over, and Microsoft has to show consumers it has something to offer in a world dominated by tablets and smartphones. Windows 8 and Surface sales appear to have been slow so far, so we'll see how the company does. There is one all-but-guaranteed bright spot, though: a new Xbox is due to be announced this year.

Top tech wishes for 2013

2. Can Apple get its software mojo back?

Apple found success in 2012 by introducing an iPhone with a bigger screen and an iPad with a smaller screen, but it'll have to focus on software in 2013 to stay ahead of the competition.

Apple CEO Tim Cook has now launched two iPhones since taking over for Steve Jobs, and both of them have come with buggy, incomplete flagship software features -- the iPhone 4S launched with the charming-but-not-so-useful Siri voice assistant, and the iPhone 5 launched with a homegrown Maps app so buggy that Cook was forced to apologize to customers.

In the meantime, archrival Google has begun shipping some of the best iPhone apps around -- I've replaced most of Apple's apps on my iPhone homescreen with Google-built replacements such as Gmail, Google Maps, Chrome and YouTube. Most of my peers in the industry have done the same. That's not a good sign.

Cook just fired Scott Forstall, the controversial head of iOS development who presided over Siri and Maps. Designer Jony Ive is now in charge of both hardware and software, so we'll see if the company can regain its reputation for state-of-the-art software design with the next iPhone and iPad.

3. Will Amazon go head to head with Apple and Google?

Amazon CEO Jeff Bezos was very blunt when he introduced the new Kindle Fire HD in September -- he called it the "best tablet on the market." That was an obvious shot at Apple and the iPad, but Amazon's real competitor may well be Google, especially as the market for books, music and movies moves entirely online.

There's no way Amazon wants people searching Google to find content and products from multiple sources. Amazon wants to build an ecosystem so robust you never want to leave. Think of what Apple did for music with the iPod and iTunes and then imagine Amazon doing that for everything.

But the Kindle Fire products aren't good enough to compete with the iPad yet, and Amazon doesn't have all the services it needs to compete with Google either. It needs to offer at least e-mail and search, and a social experience wouldn't hurt either. That's not a small undertaking, but Amazon is one of the few companies with the scale, infrastructure and resources to make it happen. The rumors are getting louder. We'll see whether Amazon makes a big move in 2013.

4. Can Facebook grow up?

2013 will be Facebook's first year as a public company, and it has to prove that it can be a stable, reliable investment. That's no easy task: Facebook figured out how to make money selling ads on its website just as most of its users switched to smartphone and tablet apps.

Selling ads on mobile isn't nearly as easy, and Facebook has to figure out how to display relevant ads to smartphone users without crossing the privacy line -- a line about which users are increasingly worried. But CEO Mark Zuckerberg has to answer to his investors now, and the pressure to cross that line will increase every day that Facebook isn't making money in mobile.

5. Can Google take Android back from Samsung and the wireless carriers?

Here's the brutal truth of the smartphone market: the only companies that make any money are Apple and Samsung. Every other company, from HTC to Sony to Google's own Motorola, is struggling. And that's a huge problem for Google.

Apple obviously writes its own software for the iPhone, but Samsung's phones all run a customized version of Google's open-source Android, and Samsung is so dominant that it could very well split off and start building its own version of Android, just as Amazon did with the Kindle Fire. That would be a huge blow to Google. If the rest of the market can't make money using Android soon, it'll provide a big opening for Microsoft.

Google also has to find a way to limit the influence of wireless carriers on Android. Companies such as AT&T and Verizon are all too happy to load up Android devices with unnecessary crapware and bloatware that ruin the user experience while delaying important software updates.

The animosity between Google and the carriers has gotten so deep that Google's new Nexus 4 flagship device doesn't have an LTE radio; the carriers simply wouldn't cooperate.

That's in stark contrast to the iPhone experience, which is pristine and controlled by Apple from the start. It's a control that irritates power users but offers a sense of support and security to the rest of Apple's millions of customers. There's a happy balance between the two extremes, and Google needs to find it before Android begins to slip away entirely.

These are just five of the many interesting things to look out for in 2013, from the future of TV to the rise of wearable computing. After several years of rapid change, we've all got computers in our pockets. The next few years will be about what we do with them to make our lives better.

The opinions expressed in this commentary are solely those of Nilay Patel.

@highlight

Nilay Patel: 2013 is the year of refinement and reckoning in the tech industry

@highlight

Patel: There are five big developments to keep an eye on

@highlight

He asks whether Apple will get its mojo back and what will Microsoft do?

@highlight

Patel: Can Facebook grow up, and will Amazon be able to compete with Google?