(CNN) -- A total solar eclipse occurred over the northeastern Australian coast early in the morning of November 14 local time.

Clueless about this spectacular astronomical event? No worries, we've got you covered. We're here to explain what causes this remarkable act of nature, what skygazers see and how those outside of Australia can join in the experience.

What exactly is a total solar eclipse?

A solar eclipse happens when the moon, as it orbits Earth, passes directly in front of the sun, obscuring its rays and casting a shadow on Earth's surface. Sometimes referred to as a "happy accident of nature," a total solar eclipse occurs when the moon is perfectly aligned with both the sun and Earth, so it appears from our perspective that the sun is completely blocked.

When is this happening and who can see it?

The total solar eclipse became visible in the far north of Australia about an hour after sunrise local time on November 14 (afternoon of November 13 in the United States and evening of November 13 in Europe).

A total eclipse of the sun can only be seen from within what's known as the path of totality, a narrow path the moon's inner shadow travels as it glides across the Earth. The most populated areas within that path are in the Cairns and Great Barrier Reef region.

It estimated to take about three hours for the moon's shadow to travel the entire path of totality. What time total darkness occurred, and how long it lasted, depended on location. Totality was expected to begin in Cairns at 0638 local time and was to last nearly two minutes. By contrast, totality was estimated to only last just about 20 seconds in the small town of Innisfail.

What's all the fuss about? Don't these happen frequently?

According to NASA, a full solar eclipse happens, on average, every 18 months. The last one happened in July 2010, crossing Chile's Easter Island, and one will occur over equatorial Africa in November 2014. But for any given region, a total solar eclipse only happens, on average, once every 375 years.

Solar eclipses were shrouded in superstition in ancient times -- in China, for example, viewing total solar eclipses was important for divining the future success of an emperor. However, as scientific knowledge deepened, these events became opportunities for conducting important experiments. It was during a total solar eclipse in 1919 that Einstein's theory of general relativity was tested and confirmed for the first time.

Quiz: Can you see the light?

What's it like to experience a solar eclipse and what do you see?

A solar eclipse is often described as one of nature's most awe-inspiring events. Some people are so moved by the experience of watching an eclipse that they travel around the world chasing them.

About an hour leading up to totality, all sorts of things begin to happen. There are changes in the color of the sky, the temperature drops, birds and animals behave in a peculiar manner and shadows sharpen, according to Rick Brown, an eclipse chaser from New York who is viewing his 14th total solar eclipse. "I never really expected to be moved the way I was. It's a phenomenal thing to see," he said, recalling his first experience.

As the moon's shadow sweeps across the Earth, the sun turns into a crescent in the sky. Just before totality, so-called Baily's beads â€” bright spots of sunlight shining through the moon's craggy surface â€” can appear around the moon. Then the moon completely blots out the sun, leaving only a halo of light visible. After the brief period of darkness, Baily's beads might appear again as the sun comes back into view.

I missed it. Where can I see this eclipse?

You can watch the video here on CNN.

On Twitter, there was a tweet-up devoted to the event and you can always get first-hand accounts of the event on iReport, where we asked people to share their solar eclipse photos and experiences.

Do I need special glasses to watch a solar eclipse?

Yes! Permanent eye damage can occur if you look directly at the sun. That means when viewing any partial phase of a total eclipse, you need to wear proper solar eclipse glasses. Regular sunglasses won't offer enough protection, and forget about using telescopes or binoculars unless you've attached special filters to them. Only during totality can you remove filters and glasses. If you're feeling crafty, you can create your own pinhole projector.

Any tips for first-time viewers?

If you're keen to capture some good photos, you need to be prepared. Eclipse Chasers, a website devoted to solar eclipses, has several pointers for photographers. Among them:

-- Leave your flash attachment at home
-- Don't forget to remove your filter during totality
-- Use a telescope or telephoto lens with a focal length of 400 millimetres or more
-- Opt for manually focusing over auto focus
-- Keep your setup as portable, light and easy to assemble as possible in case you need to relocate in a hurry to escape clouds.

Veteran eclipse watchers all had the same advice for first-timers: don't waste time fiddling with cameras and telescopes that you miss soaking up that fleeting moment of complete darkness.

@highlight

A total solar eclipse was visible over Australia's Northern Territories on November 14

@highlight

The most populated areas within the path of the eclipse are in the Cairns and Great Barrier Reef region

@highlight

Special eye gear essential and preparation key to taking good pictures