Washington (CNN) -- The U.S. government can use lethal force against an American citizen overseas if the person is a senior operational leader of al Qaeda or one of its affiliates, according to a Justice Department memo.

The document, provided to select members of Congress last year, provides insights into the Obama administration's policy of targeted killings carried out by the use of drone strikes against suspected terrorists.

Read more: The Danish agent, the Croatian blonde and the CIA plot

Several of those strikes have killed Americans, notably Anwar al-Awlaki, the Yemeni American who had been connected to plots against the United States but never charged with a crime. Awlaki died in a drone attack in September 2011 in Yemen.

The 16-page white paper -- titled "Lawfulness of a Lethal Operation Directed Against a U.S. Citizen who is a Senior Operational Leader of Al Qaida or an Associated Force" -- is a policy paper rather than an official legal document.

Read more: Anwar al-Awlaki: al Qaeda's rock star no more

The memo was given confidentially to members of the Senate Intelligence and Judiciary committees by the administration last June, Sen. Dianne Feinstein, the intelligence panel chair, said in a statement.

NBC News first reported on the contents on Tuesday. A congressional source verified the document's legitimacy to CNN.

Details surfaced just days before the confirmation hearing for John Brennan, who has been nominated to head the CIA.

Brennan has served as President Barack Obama's top counterterrorism adviser and is considered to be behind the administration's dramatic rise in the use of targeted killings against suspected terror suspects.

Members of the Senate Intelligence Committee are expected to grill him on the policy at his hearing on Thursday.

The memo stated that Americans abroad retain their constitutional rights to due process, but the government can use lethal force against a citizen under certain circumstances.

These include:

- "Where an informed, high-level official of the U.S. government has determined that the targeted individual poses an imminent threat of violent attack against the United States."

- "Where a capture operation would be infeasible -- and where those conducting the operation continue to monitor whether capture becomes feasible."

- "Where such an operation would be conducted consistent with applicable law of war principles."

But the document also said the government is not required "to have clear evidence" that an attack against the United States will occur in the immediate future to determine that an imminent threat is posed by a U.S. citizen.

The memo cites both congressional authorization and judicial approval for the use of military force to counter the threat of terrorist attack by all individuals.

Amanpour: Grandfather grieves teenage grandson killed by U.S. drone

The Supreme Court has held that the military may constitutionally use force against an American who is a part of enemy forces.

The document dismissed arguments by commentators that the war against al Qaeda cannot extend outside of Afghanistan.

It asserted that "the United States retains its authority to use force against al-Qaeda and associated forces outside the area of active hostilities when it targets a senior operational leader of the enemy force who is actively engaged in planning operations to kill Americans."

The White House said questions around the issue are important and have been weighed against legal concerns and discussed publicly.

"The attorney general made clear that in taking such a strike, the government must take into account all relevant constitutional considerations. But that under generations-old legal principles, and Supreme Court decisions, U.S. citizenship alone does not make a leader of an enemy force immune from being targeted," White House spokesman Jay Carney said on Tuesday, recalling a speech last year by Attorney General Eric Holder.

The American Civil Liberties Union called the Justice Department document "profoundly disturbing."

Hina Shamsi, the director of the ACLU's National Security Project, said, "It summarizes in cold legal terms a stunning overreach of executive authority, the claimed power to declare Americans a threat and kill them far from a recognized battlefield and without any judicial involvement before or after the fact."

Shamsi called on the Obama administration to release the 50-page legal memo on which the white paper is based.

A group of senators also called for the administration to release its legal opinions on presidential authority.

"It is vitally important, however, for the Congress and the American public to have a full understanding of how the executive branch interprets the limits and boundaries of this authority so that Congress and the public can decide whether this authority has been properly defined and whether the president's power to deliberately kill American citizens is subject to appropriate limitations and safeguards," according to a letter the lawmakers sent to Obama on Monday.

The letter is signed by Sens. Ron Wyden, D-Oregon, Mark Udall, D-Colorado, and Susan Collins, R-Maine, of the Intelligence Committee as well as Mike Lee, R-Utah; Chuck Grassley, R-Iowa; Jeff Merkley, D-Oregon; Dick Durbin, D-Illinois; Patrick Leahy, D-Vermont; Tom Udall, D-New Mexico; Mark Begich, D-Alaska; and Al Franken, D-Minnesota.

Dianne Feinstein of California said in a statement that the Justice Department memo and other information has permitted the Intelligence Committee to conduct "appropriate and probing" oversight into the use of lethal force.

"That oversight is ongoing, and the committee continues to seek the actual legal opinions by the Department of Justice that provide details not outlined in this particular white paper,"
Feinstein said.

@highlight

Justice Department memo sets out the conditions for using lethal force

@highlight

The 16-page document is a policy paper, not an official legal document

@highlight

"Clear evidence" of an imminent attack on the United States is not required

@highlight

NEW: White House says questions weighed against legal concerns, discussed publicly