Moore, Oklahoma (CNN) -- A search-and-rescue effort to find survivors of a monster tornado that pulverized a vast swath of the suburbs of Oklahoma City shifted Tuesday to one of recovery, officials said.

No new survivors or bodies have been found since the early hours after the tornado carved a trail 17 miles long on Monday afternoon.

"We feel like we have basically gone from rescue and searching to recovery," Glenn Lewis, the mayor of hard-hit Moore, told CNN's Anderson Cooper.

Lewis said he didn't expect the death toll to climb any higher. At least 24 people, including nine children, were killed, according to the state medical examiner's office.

"I think that will stand," Lewis said.

Earlier reports of at least 51 deaths were erroneous, said Amy Elliot, chief administrative officer for the Oklahoma Office of the Chief Medical Examiner. In the chaotic aftermath of the tornado, Elliot said it appeared some of the dead were counted twice.

Snapshot of courage after tornado levels school

'One of the strongest storms'

Damage assessments conducted Tuesday showed the tornado packed winds, at times, between 200 and 210 miles per hour, making it an EF5 -- the strongest category of tornadoes measured, the National Weather Service said Tuesday.

Teams are still evaluating the destruction, and the rating released Tuesday is preliminary. So far, they've found that the tornado's width spanned 1.3 miles -- the length of more than 22 football fields lined up end-to-end.

Given its breadth and power, it ranks among some of the strongest storms ever to strike the United States, CNN senior meteorologist Dave Hennen said.

Hardest hit was Moore, Oklahoma -- a suburban town of about 56,000 and the site of eerily similar twisters in 1999 and again four years later.

The scene -- block after block of flattened homes and businesses, the gutted remains of a hospital and hits on two elementary schools -- left even seasoned veterans of Oklahoma's infamous tornadoes reeling.

The devastation was so complete, the mayor said city officials were racing to print new street signs to help guide rescuers and residents through a suddenly twisted and unfamiliar landscape.

A search-and-rescue team was sent from nearby Tinker Air Force Base, which also provided search lights, vehicles and water trucks, while neighboring Texas sent an elite 80-member urban search team. The American Red Cross sent 25 emergency response vehicles.

Rescue crews were expected to complete a search for victims by late Tuesday, Moore Fire Chief Gary Bird told CNN.

"We will be through every damaged piece of property in this city at least three times," Bird told reporters. "And we hope to be done by dark tonight."

More than 230 people were injured, according to authorities.

The path of the storm

'Can't believe this'

Some residents of Moore returned home to piles of debris, hoping to find pictures or some memento.

"You just wanna break down and cry," Steve Wilkerson told CNN, holding a laundry basket that contained the few, intact belongings he could find.

"But you know, that's how it goes," Wilkerson said, his voice shaking. "You gotta be strong and keep going."

Wilkerson has been through tornadoes before, but nothing like this one.

"I still can't believe this is happening," he said. "You work 20 years, and then it's gone in 15 minutes."

All that remained in some places were "sticks and bricks," Fallin told reporters, calling the storm one of the "most horrific storms and disasters that this state has ever faced."

Police, firefighters, volunteers and nearly 180 National Guard troops joined forces Tuesday in searching the rubble and securing areas hit by the storm.

The weather wasn't cooperating with their efforts: National Weather Service crews surveying the damage in Moore reported rain, half-inch hail and 45-mph winds over the debris field.

The Oklahoma Highway Patrol asked motorists to steer clear of Interstate 35 near Moore to free up lanes for disaster response resources streaming into the area.

And so many people were showing up to volunteer that authorities had to plead with would-be rescuers to stay away.

Path of devastation

The tornado struck at 2:45 pm C.T. on Monday -- only 5 minutes after the first warnings went out, according to the National Weather Service.

Moore residents had about 30 minutes before the massive storm entered the western part of the city, CNN meteorologist Sean Morris said.

Eerily similar tornado in 1999

Among the many buildings struck by the storm were two schools: Plaza Towers and Briarwood elementaries.

Of the nine children killed by the storm, authorities said seven died at Plaza Towers Elementary School where the tornado ripped the roof off and collapsed walls.

Among the dead is 9-year-old Ja'Nae Hornsby, who was killed at Plaza Towers, her father told CNN's Anderson Cooper.

About 75 students and staff members were hunkered down in Plaza Towers when the tornado struck, CNN affiliate KFOR reported.

At one point, an estimated 24 children were missing from the school, but some later turned up at nearby churches.

On Monday, a father of a third-grader still missing sat quietly on a stool outside. Tears cascaded from his face as he waited for any news.

Even parents of survivors couldn't wrap their minds around the tragedy.

"I'm speechless. How did this happen? Why did this happen?" Norma Bautista asked. "How do we explain this to the kids? ... In an instant, everything's gone."

'I love you,' teacher tells students

'It's heartbreaking'

James Dickens, a gas-and-oil pipeline worker, grabbed his hard had and joined other rescuers at Plaza Towers Elementary School.

"I felt it was my duty to come help," he said Tuesday after a long night of searching.

"As a father, it's humbling. It's heartbreaking to know that we've still got kids over there that's possibly alive, but we don't know."

Track current severe weather

Moore, and the Oklahoma City region, are far too familiar with disaster. In 1995, 168 people died in the bombing of the Alfred P. Murrah Federal Building in Oklahoma City.

In 1999 and then again in 2003, Moore took direct hits from tornadoes that took eerily similar paths to Monday's storm. The 1999 storm packed the strongest wind speeds in history, Lt. Gov. Todd Lamb said.

"We're a tough state. This is a tough community," Lamb said. "There is hope. We always have hope. We always have faith."

President Barack Obama, pledging whatever federal aid Oklahoma would need, praised teachers who protected their students.

"If there is hope to hold on to -- not just in Oklahoma but around the country -- it's the knowledge that the good people there and in Oklahoma are better prepared for this type of storm than most," he said. "And what they can be certain of is that Americans from every corner of this country will be right there with them, opening our homes, our hearts, to those in need, because we're a nation that stands with our fellow citizens as long as it takes."

10 deadliest tornadoes on record

More trouble brewing

The storm system that spawned Monday's tornado and several other twisters Sunday isn't over yet.

Southwest Arkansas and northeast Texas, including Dallas, are under the gun for severe weather Tuesday. Those areas could see large hail, damaging winds and tornadoes.

A broader swath of the United States, from Texas to Indiana and up to Michigan, could see severe thunderstorms.

"We could have a round 3," CNN meteorologist Ivan Cabrera said. "Hopefully, it won't be as bad."

Severe weather 101

CNN's Michael Pearson and Chelsea J. Carter wrote and reported from Atlanta, and Brian Todd reported from Moore. CNN's Greg Botelho, Catherine Shoichet, Holly Yan, Gary Tuchman, Pamela Brown, George Howell, Ed Payne contributed to this report.

@highlight

NEW: Mayor of Moore does not expect death toll beyond 24

@highlight

Ja'Nae Hornsby, 9, is among the children killed at the school, her father says

@highlight

Authorities revise death toll downward to 24, including nine children

@highlight

Crews going "board by board" in search for survivors, victims, official says