(CNN) -- More than a week after the grand jury's decision in Ferguson, protests continue nationwide. On campuses, in malls, on streets and in stadiums, Americans young and old are voicing their anger about the non-indictments in the deaths of Michael Brown and now Eric Garner in New York -- and about the rigged system that makes such results all too common.

This proliferation of protests is good. But it's not good enough.

First, let's reflect a bit on why it's good. Anytime Americans start seeing themselves as more than mere consumers or spectators -- rather, as citizens and participants -- something healthy is happening. That's especially true when people are willing to flex their citizen muscles during the start of peak shopping season.

So seeing protesters from Seattle to New York engage in civil disobedience on Black Friday was heartening. Did all the walk-outs and "die-ins" inconvenience some shoppers and deal-seekers? Sure. The post-Ferguson moment demands, at a bare minimum, that we all raise our sights beyond one-day sale tags.

But while the protests are promising and necessary, they are also insufficient. A deeper phase of work is needed. And here all of America can learn from what's already been happening in Missouri.

The media has tended to focus on the most eye-catching conflict -- either daytime marches with famous activists, or nighttime rioting after the grand jury decision. But off-camera, people on the ground in and around this community have been doing something simple and difficult. They've been moving from protest to power.

Faith groups and grassroots organizers like Communities Creating Opportunity and the Organization for Black Struggle have, since this summer, been engaging people in Ferguson to organize and advocate for reforms, to register, to vote, to understand the makeup and the methods of the city council and the state legislature. In short, to do politics.

This may seem unsatisfying to some, even irrelevant. The members of the millennial generation who are driving so many of the protests today are idealistic and networked -- but also exceedingly cynical about traditional politics and government.

And young African-Americans who are most often subjected to arbitrary abuses by the criminal justice system have the most reason to be mistrustful of the larger political machinery that begat that system.

But what the grassroots organizers in Ferguson teach us is that there is no avoiding politics. Indeed, there is no way to achieve any scaled and durable reform without stepping into the arena of government, policy, politics, and elections.

A change in city council representation can lead to a change in how truly representative one's police force is. A well-coordinated campaign to let elected officials know you are part of a collective with voice, clout, savvy, and votes can lead to a change in attitude among those elected -- and then to changes in policy.

What this requires is an understanding of the institutions that govern how we govern ourselves. What it requires is literacy in civic power. This is why the organization I run, Citizen University, is working with partners around the country to teach people about the skills and systems of power.

And it's why everyone, left or right -- and especially those living on the front lines of racial disparity and violent inequity -- must learn how to read and to write power.

Wherever you live, ask yourself: Could I teach someone what the activists in Ferguson are teaching people now? Could I teach them how my city makes policy, how politicians respond to public pressure, how to navigate the rules of voting, how to make votes cancel out money?

All around the world, from Tahrir Square a few years ago to Hong Kong today, we see young people caught up in what one journalist called "the euphoria of defiance." Alas, in most of those situations, we also see what happens when protesters are unable to convert civil disobedience into civil self-rule.

That requires strategy. It requires organization. It requires patient instruction in citizenship.

Fifty-nine years ago this week, Rosa Parks made a heroic choice not to sit at the back of the bus. But what her story teaches us is this: Heroes are what happens when a moment calls forth people well prepared by institutions.

Parks did not arrive randomly at that occasion on that bus. She had been groomed by an ecosystem of civil rights groups like the National Association for the Advancement of Colored People, trained at places like the Highlander Folk School. She had understood her choice -- her immovable defiance -- to be part of a larger story and a methodical strategy for the attainment of power.

This is what unsung but undaunted citizen organizers and educators are doing in Ferguson today. They've moved past "Hands Up, Don't Shoot" gestures. They are getting hands-on about changing their community. And so should we all. That's how we can make this a season of powerful citizenship.

@highlight

Eric Liu: Protests over Ferguson are promising, but also insufficient.

@highlight

Everyone, left or right, must learn how to read and to write power: Liu

@highlight

Liu: Rosa Parks understood her choice to be part of a larger story