(CNN) -- There is, perhaps, no greater living symbol of the untamed, pioneer spirit of the American West than the wild mustang.

In the Great Basin of the United States -- a vast, empty, desert plain that stretches across most of Nevada and includes parts of Utah, Idaho, Oregon and California -- it's estimated that 40,000 mustangs still roam free.

They're regarded by many as part of the national heritage and a treasure for people the world over to enjoy.

"They're sensual," says Madeleine Pickens, owner of Nevada's new Mustang Monument: Wild Horse Eco Resort. "When you come across a wild bunch, it's euphoria."

Her new resort provides a sanctuary for some of these horses while also offering a deluxe stay for those interested in discovering a little more about this American icon.

History of the Mustang

Though some dispute the claim, scholars generally believe that mustangs were introduced to the New World by the Spanish in 1493, having been brought over by Columbus on his second voyage to the Americas.

When Native Americans first saw them, they called them "big dogs."

But soon they became an essential component of the life of America's first people and are still considered sacred by many tribes.

In the 19th century, horses of all types, of course, played an essential role in the westward expansion and modernization of America.

Future uncertain

Wild horses are protected under federal law.

But protection policies aren't popular with everyone who lives and works in the West.

Ranchers view mustangs as a threat to their livelihood.

"They're feral," says a former mustanger -- the term used for cowboys charged with controlling their numbers. "Without a natural predator, their presence is unsustainable and bad for the environment."

Charged with maintaining the ecological balance of public grazing land, the federal Bureau of Land Management (BLM) has found itself in the middle of disputes related to mustangs and wild horses. (Often used generically to describe any wild horse, "mustang" is derived from the Spanish term "mustengo," which means "ownerless beast" or "stray horse.")

In April, according to The Salt Lake Tribune, Iron County officials in Utah drafted a letter to the BLM in effect telling the government that if it didn't remove wild horses from their land, local residents would do the job themselves.

In June, a suit brought against the federal government by the Nevada Association of Counties and Nevada Farm Bureau Federation demanded that the BLM accelerate roundups of mustangs there, as reported by the Las Vegas Review-Journal.

In Nevada, the BLM agreed with ranchers that wild herds threaten the range, but also said it doesn't have the resources to conduct the popular roundups.

Roundups

Roundups of free roaming horses destined for short term holding pens -- or worse, illegal poaching for sale to slaughterhouses -- have become regular occurrences.

Animal rights groups argue that many of these "gatherings" are unnecessarily cruel, leaving many animals wounded or dead.

They contend that the level that has been set for a sustainable number of wild horses on the land, and reports of their negative impact on the environment, have been skewed in the favor of opposing human interest groups.

Although the BLM adopts a portion of roundup animals to new homes, costs for keeping them are escalating.

In 2013, $46.2 million was spent keeping roughly 50,000 wild horses in short- and long-term holding pens.

Seed of a solution

Mustang Monument: Wild Horse Eco-Resort is a new boutique, luxury ranch that may offer a partial solution.

The brainchild of billionaire businesswoman, philanthropist and former wife of oil tycoon T. Boone Pickens, Madeleine Pickens, the new ranch is designed to provide a sanctuary for up to a thousand wild horses and a chance for tourists to connect with this iconic symbol of America.

By eliminating expensive holding pens, Pickens says that her ranch alone can save taxpayers as much as $2.5 million a year, while allowing the horses to roam free.

Mustang Monument

Each of the resort's 10 reclaimed wood cottages and 10 live-in teepees have been designed with luxuriously rustic interiors, double beds and artisan bric-a-brac -- if Pottery Barn and Vogue were to elope West, this is where they'd honeymoon.

Meals are served in an enormous hand-painted teepee, there's a saloon with saddle bar stools, high-end gambling tables and a porch for cocktails with a perfect view of the grazing herd.

"It's good for your soul," resident cowboy Clay Naninni says. "Just to watch them run."

Six hundred wild horses roam in a 4,000-acre enclave at the front of the ranch.

Experienced riders can saddle up and head out with resident cowboys, Clay Nannini and Marcus Morrison, for a high adrenalin gallop into the herd that feels, according to Clay, "like riding into thunder."

For others, there are gentle trots and 4x4 wild horse safaris in search of nearby free-roaming bands, old gold mining settlements and luxurious picnics in mountain valleys.

The highlight: rattling down to a private meadow in an old wagon to serve breakfast to the herd.

Being surrounded by 600 wild, staring eyes and stamping hooves is a rare thrill.

Other guest experiences

Mustangs may be the ranch's raison d'etre, but there's more than horses here.

Hiking, abseiling, gambling tables, lasso lessons, an in-teepee spa and more are on offer.

Former Navy Seal and director of operations, Monty Heath, can also take you out on a high-powered ATV.

When an ex-special forces operative insists on doing the driving, you know he's not going skimp on screams.

Two brothers from the local Lumbee tribe are on hand to teach Native American crafts -- from learning how to make beaded jewelry to creating medicine wheels, dream catchers and more.

Each night there's storytelling by the fire and performances of sacred dance and traditional falsetto singing.

"Horses are sacred to our people," the Native singers say. "We treat them as human beings."

Things to do: The Ruby Mountains

The Ruby Mountains may be Nevada's best kept secret.

The 80-mile range is right on the doorstep of the ranch and offers some of the finest outdoor opportunities in the state.

Lamoille Canyon is one of the most popular locations and is filled with fast flowing rivers, beaver dams and idyllic fishing and camping spots.

The 35-mile Ruby Crest Trail is a great way to see some of the best parts of the range and usually takes about three days to hike.

Things to do: Great Basin National Park

Great Basin National Park -- a 77,000-acre wilderness of glacier moraines, sagebrush meadows and forests of spruce, aspen and juniper -- is located three hours south of the ranch.

You can hike to the 13,000-foot summit of Wheeler Peak, find pristine alpine lakes and descend deep into the Lehman Caves, a mesmerizing underground complex of stalactites and stalagmites.

The park is most famously home to an ancient grove of bristlecone pines, the oldest living organism on Earth, whose roots were already in the ground when the Great Pyramids of Egypt were being built.

More information can be found on the Great Basin National Park website.

Mustang Monument: Wild Horse Eco Resort, outside of Wells, Nevada; +1 858 759 5507; $1,000 per teepee per night and $1,500 per cottage per night, including full board and all activities.

Aaron Millar is a travel writer who has traveled extensively in North and Central America. He blogs at The Blue Dot Perspective.

@highlight

An estimated 40,000 mustangs still roam free in the Great Basin of the United States

@highlight

Mustang Monument: Wild Horse Eco Resort is a sanctuary for up to 1,000 wild horses

@highlight

Visitors can connect with mustangs at the resort, which also offers hiking, abseiling and gambling