(CNN) -- The U.S. Food and Drug Administration said Wednesday a closed Texas food processing plant tested positive for a bacteria that has been linked to the deaths of four people.

The Texas Department of State Health Services on October 20 ordered SanGar Fresh Cut Produce to immediately stop processing food and recall all products shipped from its San Antonio plant since January. The move came after state laboratory results showed Listeria monocytogenes, a bacteria that can cause severe illness, in chopped celery at the plant.

Four people died when they contracted listeriosis after consuming celery that had been processed at the SanGar plant, said Carrie Williams, a department spokeswoman.

State health authorities came to this determination while investigating 10 cases in which people with serious underlying health problems contracted listeriosis over an 8-month period.

Six of those cases -- in Bexar, Travis and Hidalgo counties -- were linked to chopped celery processed at the SanGar plant, the state health services department said. Four of those people died, as did one other person who authorities believe got listeriosis from another source not connected with SanGar products.

The FDA inspected the company's premises and said it issued a summary of its findings to the company on October 26. It said it found the bacteria in processed celery and in multiple locations in the plant, including food contact surfaces.

The listeria found in samples "matches the DNA fingerprint of the clinical cases of listeriosis reported by the Texas Department of State Health Services," the FDA said in a statement.

SanGar had independent Quanta Lab of Selma, Texas, test the plant for listeria. Results came back negative, SanGar attorney Jason Galvan told CNN.

"The FDA and the state have not turned over to us the documentation supporting their findings," Galvan said. "We cannot comment on these most recent findings until the documentation is provided for independent evaluation by our experts."

Still, the company in recent weeks brought in an independent listeria expert to look at protocols, said Galvan. The entire facility, including its machines, were cleaned, said Galvan.

About 100 SanGar workers have been idled by the plant closing, and the company needs to reopen soon if it is to survive, Galvan said.

A November 17 administrative hearing on its status is scheduled, and SanGar is working with the agencies on reopening, he said.

"We're pretty optimistic about having the company up and running before the hearing," the attorney said. "We're not going the litigation route."

In October, SanGar denied wrongdoing, saying it has had "an excellent record of safety and health" over the past three years.

State health inspectors said they believe the bacteria found in the chopped celery may have contaminated other products at the company's plant. SanGar processes a wide variety of products -- including three varieties of lettuce, peppers, carrots, cucumbers and various cut-up fruit, as well as salad, fruit and soup mixes, according to the company's website. They are distributed primarily in sealed packages to restaurants, hospitals, schools and other large institutions that serve food.

Besides the bacteria, inspectors found a condensation leak above a food product area, dirt on a food-preparation table, and hand-washing problems at the San Antonio plant, the state health department said.

The FDA said Wednesday inspectors found several other problems, including hoses making contact with food, bagged carrots being stored on a wet floor, a lack of adequate drainage areas, foods not being stored at the proper temperature and a failure to safely clean utensils and equipment.

Listeria monocytogenes is a bacterium found in the soil, in water and in animals that carry it without showing signs they are sick, according to the Atlanta-based Centers for Disease Control and Prevention. It can get into vegetables from soil or manure that is used as fertilizer. The strain of bacteria is relatively resilient -- with an incubation period of three to 70 days, Williams said -- and some foods can be contaminated after cooking but prior to packaging.

The bacteria have been tied to listeriosis, which sickens about 2,500 Americans and contributes to the death of 500 people annually, the CDC reports.

The Texas health department is taking the lead in the investigation, with assistance from the Food and Drug Administration and the CDC. The state justified its closure of the SanGar plant, citing Texas law that authorizes such actions if conditions pose "an immediate and serious threat to human life or health."

@highlight

FDA says lab results at Texas plant tested positive for listeria

@highlight

Four people died after eating celery processed at Sangar plant, officials say

@highlight

The company says it has cleaned facility, machines and imposed new protocols