Turkey made a significant policy shift Monday when it announced it would allow Kurdish Peshmerga fighters from northern Iraq to travel through the Turkish territory to reinforce the besieged Kurdish town of Kobani in northern Syria.

The announcement was all the more striking, because earlier this month Turkey's President equated the Kurdish militants defending Kobani to the ISIS fighters who were laying siege to the town. Both the Kurdish and ISIS militants are, in the words of President Recep Tayyip Erdogan, "terrorists."

"Turkey feels like it has fallen into the subway tracks and is surrounded by live rails," said Hugh Pope, senior Turkey analyst with the International Crisis Group, a conflict mediation organization. "It is very difficult for Turkey to make any choice."

Turkey to let Iraqi Kurds use its territory to reinforce Kobani

Turkey's historically troubled relations with its own ethnic Kurdish population is one reason Ankara balked at joining the U.S.-led coalition bombing the militants who call themselves the Islamic State.

Fighting triggers violence within Turkey

But Turkey's noninterference policy came at a cost.

The scenes of Kurdish and ISIS fighters locked in a death struggle on the border, as well as the images of more than 100,000 desperate Syrian Kurds fleeing to Turkish territory, triggered spasms of deadly violence between rival factions within Turkey.

Kurdish politicians in Turkey accused the Turkish government of siding with ISIS by refusing to arm Kobani's defenders. Kurds then took to the streets in protest.

More than 30 people were killed in cities around Turkey this month as ethnic Kurds clashed with Islamist and nationalist groups as well as Turkish police.

Violent protests over ISIS sweep Turkey

"All of these constituencies are getting fired up by the scenes on television that they're seeing in the Middle East," said Pope of the International Crisis Group. "This has led for the first time in 20 years to gangs taking to the streets and killing each other."

Disruption on peaceful campus

On Friday, the battle for Kobani was felt at one of Turkey's most elite institutions, Bogazici University.

On a leafy campus overlooking Istanbul's Bosphorus Strait, friends, relatives and fellow academics gathered to remember a 30-year old sociologist named Suphi Nejat Agirnasli.

Agirnasli, a member of Turkey's Marxist-Leninist Communist Party, was reported killed this month in Kobani after he volunteered to join Kurdish militants defending the city.

Mourners waved red communist flags and chanted "ISIS killers" as they marched carrying Agirnasli's portrait through the usually peaceful campus.

Agirnasli's death shocked some Turks, who have felt Turkey's largest city was somehow insulated from the turmoil in the Middle East.

"I never thought that someone from our university would actually go there and get killed," said Suveyda Cil, 19, a Bogazici student. "I never thought I was so close to these situations because it's so far from Istanbul, but now it's so close."

One of Agirnasli's professors said he understood why his former student volunteered to fight alongside the Kurds, even though Agirnasli wasn't a Kurd.

"What's going on in Kobani today is basically kind of a struggle against barbarians ... against people who have no sense of humanity," said Zafer Yenal, the head of Bogazici's sociology department.  "Probably (Suphi) Nejat was very shocked.  He basically saw this and wanted to be there in some capacity."

Battle for Kobani threatens peace talks

An estimated 20% of Turkey's population is made up of ethnic Kurds. Historically, the Turkish government has persecuted and marginalized this community, referring to them for years as "mountain Turks."

In 1984, a group of Marxist-inspired guerrillas calling themselves the Kurdistan Workers' Party, or PKK, began fighting an insurgent war against the Turkish state. The conflict would ebb and flow for the next 30 years.

The PKK initially fought to carve an independent Kurdistan out of Kurdish-populated regions of Turkey, Iraq, Syria and Iran. But the bulk of the bloodshed took place in southeastern Turkey, resulting in the deaths of more than 30,000 people over three decades.

The PKK was accused of assassinating teachers, police officers and rival Kurdish activists. Meanwhile, the Turkish security forces demolished hundreds of Kurdish villages in an attempt to destroy support for the separatists.

The United States and European Union joined their NATO ally Turkey in labeling the PKK a terrorist organization.

Since coming to power in Turkey some 12 years ago, Erdogan pushed to open peace talks with the PKK. Meanwhile, the PKK has dropped its demands for an independent state, instead calling for greater autonomy and cultural and linguistic rights within Turkey.

"This peace process is one of the only good things happening in the Middle East today," Pope said.

But the Kobani-related violence inside Turkey has threatened to derail the peace process.

ISIS finds some support within Turkey

Complicating matters further is that ISIS has found some support within Turkey's majority Muslim society.

Hundreds of Turks are believed to have joined the movement.

Some appeared in propaganda videos urging their countrymen to join ISIS' ranks.

"We have come here to Syria for jihad to practice God's religion, to practice jihad on God's path, and to gain God's sustenance to, God willing, go to his heaven," one bearded man holding a machine gun told the camera in Turkish.

Another unnamed Turkish militant explained in a video why he left his three children behind in Istanbul to join ISIS in Syria.

"When the children are dying here, my conscience did not let me stay and love my children. If you come here, there is dignity, honor, everything is here," the man said. "Instead of staying in Turkey and living in contempt, standing guard here for one night would be better for you."

ISIS supporters have emerged on at least one Istanbul university campus.

On September 26, students filmed more than 10 men wearing masks and carrying clubs yelling, "Allahu Akbar" ("God is great"), in the literature department at Istanbul University. The video then showed these Islamist students attacking leftist students who had been protesting against ISIS.

The International Crisis Group's Pope said that when it comes to ISIS "there's a conflicted feeling in Turkey. There's a condemnation of the methods. At the same time there's a sympathy for the cause."

One Turk strongly sympathizing with ISIS is Ali Osman Zor, a self-described "Islamic revolutionary" and enthusiastic member of the Great Eastern Islamic Raiders' Front.

Zor, who spent several years in prison on terrorism convictions, now edits a magazine published in Istanbul that endorses ISIS.

In an interview with CNN, Zor said he supported ISIS' violent methods, arguing they were a natural response to what he claimed were decades of Western imperialism in the Middle East as well as Kurdish and Shiite Muslim persecution of Sunni Muslims in Iraq.

"We saw one man killed," Zor said, referring to the multiple beheadings and executions ISIS militants filmed on camera and distributed over social media.

"What about all the people killed by U.S. airstrikes? We haven't forgotten about Abu Ghraib," he added, referring to the notorious prison where Americans soldiers were photographed abusing Iraqi prisoners during the U.S. occupation of Iraq.

Pope advises against Turkey being drawn further into the Syrian civil war.

"Turkey has all the fractures you have in the Middle East: the sectarian Sunni-non-Sunni divide, the ethnic divide between Kurds and Turks, the political divide between Islamists and non-Islamists," he warned.

"All these fault lines can break open in a very bad way."

On Monday, a top adviser to the Turkish President defended Ankara's decision not to attack ISIS.

In an op-ed in The Wall Street Journal, deputy secretary-general of the presidency, Ibrahim Kalin, argued instead that the U.S.-led coalition should focus on overthrowing Syrian President Bashar al-Assad.

"ISIS's barbaric beheadings and summary executions, horrible and disgusting as they are, should not shadow the war crimes and crimes against humanity perpetrated by Mr. Assad," Kalin wrote.

"Hitting ISIS while ignoring the Assad regime alone is a shortsighted strategy that will not end the bloodshed in Syria and Iraq."

@highlight

Turkey has balked at joining the U.S.-led coalition bombing of ISIS

@highlight

Battle on the Syrian border has become a divisive issue in Turkey

@highlight

In shift, Turkey announces it will let Iraqi Kurdish fighters enter its territory to fight in Kobani, Syria

@highlight

Kurdish-ISIS fighting has triggered violence between factions in Turkey