(CNN)  -- It was Pakistan's birthday on August 14, and no one celebrated.

The monsoon floods that engulfed most of the country and affected 20 million people have added yet another burden of misery onto the shoulders of the average Pakistani. More than 4 million people are homeless. Livestock, crops and livelihoods were  destroyed.

How far this once-proud nation has fallen.

In Urdu, Pakistan means the "land of the pure." It reflects the noble intentions of its creators to build a nation that enshrined the best of Islamic principles. Unfortunately, that nobility has given way to chaos because of bad luck, incompetent political leaders, corruption and religious extremism.

Pakistan may be a world away from the United States, but instability feeds the extremism that fuels terrorism, so we ignore this crisis at our peril. To find the path forward, we must look back to the past.

During the 1970s, my father packed up our family of five and moved us to Pakistan. He believed Pakistan had higher standards of early schooling and stronger social values than his adopted home of England. Soon after, Russian tanks rumbled into Afghanistan and then came wave after wave of Afghan refugees.

By the mid '80s, the full impact of the war waging next door came home to Pakistan. The U.S. priority was to evict the Russians from Afghanistan at any cost.

Pakistan followed along. As a result, educating the masses, dealing with a sea of refugees, nurturing democracy, developing infrastructure and eradicating Afghan heroin all took second place.

The Pakistan my father brought us home to experience was disappearing before our eyes. This was a defining moment. Instead of focusing on its own problems, it chose instead to fight the war for the West, and 30 years later, Pakistan is still paying for this decision.

After Russia withdrew from Afghanistan in 1989, the Americans walked away. But Pakistan couldn't.

Growing unrest and infighting in Afghanistan gave the Taliban an opportunity to step in. The only thing that mattered to the Taliban was how quickly and crudely the practitioners could inflict their horrifying version of Islam on the Afghan people. Then, all hell broke loose on September 11, 2001.

Since 9/11, Pakistan has supported America's intervention in Afghanistan, the right decision but one fraught with controversy. It has torn Pakistan into factions and triggered suicide bombings. Even before the monsoon hit, the country was an economic, political and social disaster.

Can Pakistan be saved?

I believe it can, but the fortunes of this ailing nation can only be changed with America's help. America may not have intended to hurt Pakistan, but it's clear that Pakistan's support for U.S. policy contributed to its decline.

The good news is that today there is real opportunity for change. Pakistan needs America's help. America needs a stable Pakistan.

The United States was the first nation to offer aid after the flooding disaster, pledging $150 million. This is a positive first step in a much-needed long-term reconstruction plan for Pakistan. But as important as the money is, ensuring that it's spent on the right things is even more critical. The Pakistan government needs to focus on three things to stop the country's downward spiral: education, infrastructure and security.

Educating Pakistan is not a matter of choice, but of utmost necessity.

The literacy rate for men is 61 percent, and for women it's 32 percent. Ignorance breeds poverty and extremism. Education can help break that cycle. Funding must be in place to teach every child to read and write.

Educating the country's Muslim leaders is just as important. These mullahs interpret the Quran for the people, and often they do so in an uninformed, uneducated way that distorts the true teachings of Islam. A national program to certify these religious leaders is needed to address this most pressing challenge.

As for infrastructure, what little was there has been washed away.

The roads are a mess, electricity goes out most days and not enough food is produced. The failure of the government to deliver on the basics has demoralized the population and dampened the spirits of its entrepreneurs.

Pakistan has to fix the electrical grid and improve its agricultural sector. The United States could help by opening its doors to Pakistani exporters and embarking on programs to share knowledge and help Pakistani industrialists grow their companies.

In terms of security, with Afghanistan at war on one side and the barely held truce with India on the other, Pakistan needs to secure its borders, ignore the problems of its neighbors and focus internally.

This means militarizing its border on the Afghan side and closing it to all but legitimate trade traffic. The core source of strife with India is the 63-year-old dispute over Kashmir, where in the past two decades, more than 80,000 Kashmiris have been killed. If America were to assist both countries in solving this issue, it would go a long way to repairing the Pakistan-India relationship.

Education, infrastructure and security: Pakistan must focus on these areas with laser-like intensity and exhibit courage and vision to raise its people out of despair. I believe in Pakistan, as my father did. And with America's support and investment, someday Pakistan may even be able to dream again of achieving its noble destiny as the "land of the pure."

The opinions expressed in this commentary are solely those of Sharjeel Kashmir.

@highlight

Sharjeel Kashmir: Even before floods, Pakistan was an economic, political, social mess

@highlight

Aid for U.S. in Afghanistan tore Pakistan into factions, sparked suicide attacks, he writes

@highlight

Kashmir: Pakistan needs America's help; America needs a stable Pakistan

@highlight

Pakistan must focus on education, infrastructure and security, he writes