(CNN) -- A crowd plunders buildings crumbled by last week's earthquake, hauling off water, food, candles and anything else recoverable. Suddenly, a pickup truck hauling a half dozen armed policemen squeals to a halt.

The mob scatters as the police officers in military style camouflage fire shots in the air and apprehend a few stragglers, some with a kick or a punch.

Such scenes occurred with increased frequency Monday in Port-au-Prince, the devastated Haitian capital, as frustrated survivors resorted to scrounging and looting due to a lack of relief aid. The rising tension raised questions about the ability of the Haitian National Police to maintain order and its tactics in doing so.

While the United States is sending thousands of troops to assist in relief efforts, U.S. officials say the Haitian police are responsible for security on the streets, with backing from U.N. peacekeepers.

"The first line of law and order here is, number one, the Haitian police, number two, the U.N. forces," U.S. Ambassador Kenneth Merten said Monday. "The U.S. forces are standing by to provide security as needed."

That seems to be an overwhelming task for the Haitian National Police (HNP), a force of about 9,000 that is the impoverished Caribbean nation's lone security apparatus.

Latest updates | Full coverage

National Police Chief Mario Andresol told CNN Monday that the department has been severely affected by the earthquake, with thousands of officers injured, killed or unaccounted for. The Port-au-Prince force of 4,000 has dropped to about 1,500, he said.

Complicating matters even further, roughly another 4,000 "bad guys" are on the run, Andresol added, after the 95-year-old, badly overcrowded National Penitentiary in the capital collapsed and the inmates escaped.

"Today, we have double work," Andresol said, adding that the police department is bring in troops from other parts of the country. "There are not enough, so we are trying."

Bill Clinton, the former U.S. president who is the U.N. special envoy to Haiti, said Sunday that 40 percent of the Haitian police force has reported for duty since the January 12 temblor. It was unclear how many other police officers died and how many were struggling with the overwhelming hardships from such widespread destruction.

First formed in 1995, the civilian police force took over security from a disbanded military known for loyalty to dictators instead of the state, noted Brian Concannon Jr., director of the non-profit Institute for Justice and Democracy in Haiti.

A lack of money and other resources over the years, along with continued instability including a 2004 coup, has left the police force under-funded, under-trained and full of former soldiers prone to operating outside the law, Concannon said.

For example, he cited summary executions of suspected criminals as a problem since the 2004 coup, along with police involvement in gangs or other criminal activity.

In addition, a dysfunctional judicial system undermines the ability of the police force to deal with chronic crime problems in Port-au-Prince and elsewhere, according to Concannon.

High-resolution photos of damage | Google map

Progress has occurred in recent years, as the government simultaneously tried to remove "bad apples" from the police force while expanding the number of policemen on the streets, Concannon said.

"Although the HNP's efforts resulted in significantly increased levels of physical security and policing effectiveness, in many cases the HNP could not prevent or respond to gang-related and other societal violence due to an insufficient number of officers and inadequate equipment or training," said a 2008 report on Haiti by Concannon's group.

Now the earthquake will set back the reform effort.

"There's no doubt the Haitian national police took a significant blow in this disaster," U.S. Assistant Secretary of State P.J. Crowley said Monday.

U.N. Secretary-General Ban Ki-moon told CNN on Monday that he would ask for an additional 2,000 U.N. troops and 1,500 U.N. police officers to bolster the 3,000 U.N. police and soldiers currently deployed in Port-au-Prince -- among the 9,000 U.N. troops in Haiti.

According to Ban, the additional forces would "help humanitarian assistance be delivered in a safe way."

Concannon said Haitians coping with the disaster will be patient as long as they see aid arriving. He worried that excessive concerns about security was slowing the aid.

"I am afraid you're going to have an escalating spiral where people who were willing to be patient lose their patience due to supplies being withheld for security reasons," Concannon said. "And then that impatience escalates and brings increased security, which further cuts the flow of supplies."

CNN's Anderson Cooper and Jason Carroll contributed to this report.

@highlight

U.S. ambassador: Haitian police represents "first line of law and order," then U.N. forces

@highlight

"U.S. forces are standing by to provide security as needed," ambassador adds

@highlight

National police chief says thousands of officers injured, killed or missing

@highlight

Police department is bring in troops from other parts of Haiti, police chief adds