Princeton, New Jersey (CNN) -- The mini-civil war that we've seen play out in the Democratic Party over the past few weeks isn't just a case of a dispute about tactics. It's a sign of a deeper division.

Former President Bill Clinton, who has been campaigning for President Obama and taking on the GOP, went off-script several times. Soon after Obama rolled out his ads attacking Mitt Romney for his work at Bain Capital and then as Massachusetts governor, Clinton took issue with these kinds of attacks and extolled Romney's "sterling business career."

A few days later, Clinton called for a temporary extension of President George W. Bush's tax cuts, including those for the wealthy, and then on Thursday said he was sorry for doing so.

Video: Is Clinton undermining Obama?

At some levels, the contrast in the views of Obama and Clinton is yet another chapter in the extraordinarily tense personal relations that began with the 2008 Democratic primaries, when then-Sen. Hillary Clinton competed with Obama. When some of Obama's supporters charged that Bill Clinton was subtly playing on racial tensions in the South Carolina primary to stir up white voters, the anger between the two camps intensified.

But at another level, the debate between these two men is part of a bigger debate about what kind of campaign the Democrats should run: a campaign of articulation or a campaign of triangulation.

What is Bill Clinton up to?

The party is reaching a crossroads. With the economy in poor shape and most polls showing that this is an extremely close race, Democrats need to make some decisions about the basic themes they will develop in the next few months to define the fall contest.

One strategy, which has been the preference thus far for President Obama, is a campaign of "articulation," a campaign in which a candidate lays out a clear set of themes and ideas to distinguish himself from the opposition.

This kind of campaign takes the offensive, touting the virtues of Democratic ideas and policies. Democrats have mostly avoided this approach in recent decades, still snake-bitten from the defeats in the Reagan Revolution of the 1980s.

It is the kind of campaign that FDR ran in 1936, when he pushed back against conservatives and boasted about what Democratic programs had done to save middle-class Americans in the middle of the Great Depression.

It is a campaign like that of 1964, when Lyndon Johnson painted Barry Goldwater as an extremist and championed programs like the War on Poverty as shining examples of what the Democrats offered in contrast.

On the other side of the aisle, Ronald Reagan ran this kind of campaign in 1980, when he stood by the ideals of conservatism, insisting that the right offered a better path forward for a broken nation.

The other kind of campaign, the campaign of "triangulation," is one that Bill Clinton mastered in 1996. Triangulation is a term popularized by Clinton adviser Dick Morris to describe a politician who stands above traditional left-right divisions and co-opts the arguments of the opposition. "The essence of triangulation is to use your party's solutions to solve the other side's problems," he said, "Use your tools to fix their car."

This was the kind of campaign Obama has always promised voters he would not run. The campaign of triangulation seeks to lessen the policy space between the two parties by minimizing many key differences and focusing voter attention on the personality and appeal of the candidate.

Jimmy Carter was one of the Democrats who mastered this strategy. In 1976, he sidestepped some traditionally controversial issues such as civil rights and economic policy and instead depicted himself as a deficit-cutting moderate who was not like his elders in the Democratic Party.

He focused on his personality, his background in Georgia and the argument that voters in the post-Watergate age could trust him.

In 1996, Clinton perfected this kind of campaign. After Republicans had retaken the House and Senate in 1994, Clinton started the year of 1996 by saying the era of big government was over. He agreed to legislation that ended the existing welfare system and made deficit reduction his priority. In essence, he stole the mainstream part of the Republican agenda and made it his own.

By the time the campaign was fully under way, he could concentrate on his youth and charisma, particularly when he compared himself with the much older Republican Sen. Robert Dole and highlight the areas that made the GOP look extreme, like their push for dramatic cuts in the Medicare program.

The strong temptation for Obama will be to move closer toward the model of triangulation, especially given the stalling economy and after Republicans scored a major victory in Wisconsin Gov. Scott Walker's recall campaign.

Obama understands that the danger of a campaign of articulation is that he would not be able to capitalize on the issues that convince many moderates to go to or stick with the Republican Party.

But Obama needs to offer voters a choice. The danger of triangulation is that it dampens the enthusiasm of base supporters who are needed to help raise money and bring out the vote. They are the organizers, the mobilizers and the rank-and-file who can make sure that in a close election, more Democrats come out to vote.

And a candidate who can't triangulate as skillfully as Clinton did could only end up legitimating the arguments of his opponent and leaving voters to wonder why they don't just go for the "real thing."

This does not mean Obama has to run as a "left-wing" Democrat, nor does he have to stick to attacks on Bain Capital, which don't seem to be working. But he does need a message, and he does need a coherent theme that goes beyond slight differences with the GOP.

Obama's best bet is to stick with a campaign in which he focuses on defining a Democratic set of principles and offering voters a reason why his party would be better over the next four years, especially on the economy. If he does not, and he takes the triangulation bait, Obama could end up becoming a surrogate for the Romney campaign.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Bill Clinton won re-election by blurring differences with GOP

@highlight

He says Barack Obama is trying to win by articulating what the Democrats stand for

@highlight

Zelizer: Clinton's approach would run the risk of helping Mitt Romney make his case

@highlight

He says Obama needs to offer voters a choice and energize Democrats' base voters