(CNN)Peter Schipper presses a key on the enormous Wurlitzer organ console in front of him and a police siren wails across the cinema stage.

A second key brings the sound of tweeting birds, and another the clopping sound of horse hooves, as if someone is standing off-stage with a pair of coconut shells.

Then he flexes his fingers, leans in to the array of keyboards and launches into a cheery rendition of "I'm Getting Sentimental Over You."

The organ's pipes throb, sing and trill with the power of a full orchestra.

Were if not for for the fact Schipper is wearing jeans and a plaid shirt, we could be transported back to the early 1940s, when the Wurlitzer-Strunk organ was in its heyday at the Tuschinski Theater -- an immaculately preserved art deco cinema in the heart of Amsterdam.

The Tuschinski was an opulent masterpiece when it opened in the 1920s -- its owner, Abraham Icek Tuschinski, took pains to equip it with the best organ his money could buy.

A Jewish immigrant originally from Poland, Tuschinski was killed along with his family in a Nazi concentration camp during the Second World War and his cinema renamed the Tivoli.

After the war it reverted to its original name and in the 1980s benefited from an expensive restoration project that returned much of its original grandeur.

Fascination with insects

Today it's a fully functioning three-screen film theater operated by French cinema chain Pathe.

The Pathe Tuschinski Cinema regularly rolls out the red carpet for movie stars as the location for most major premieres in the Netherlands.

The lushly decorated lobby and grand hall -- with elaborate fixtures and decorations said to be inspired by Tuschinski's fascination with insects -- are impressive enough, but the cinema's star attraction is its Wurlitzer organ.

It's still capable of producing rich sounds, largely thanks to the efforts of a team of volunteers from the Dutch Organ Federation, who use mechanical ingenuity to keep the instrument going.

"When we first took her apart, she was in a very bad condition," said Dick Cuiper, a 55-year-old computer programmer who worked on a project to restore the organ with Schipper, a 67-year-old piano tuner, bookkeeper Pieter Kroon, 76, and other volunteers and technicians.

"It's taken us many, many years to fix her up and get her working properly again. We're not professionals, but we've learned by doing it every day."

As Schipper continues playing, Cuiper and Kroon take great pride in crossing the main stage (once graced by visiting stars Marlene Dietrich and Judy Garland) and leading the way down to a series of cramped rooms where the organ's innards vibrate to its mighty sounds.

A mechanical wooden bellows wheezes to fill the musical pipes with rushing air.

Automated percussion instruments boom and clash.

Old boots springs and air tubes

The organ is in immaculate order but, says Kroon, some of the machinery has been cobbled together from odds and ends.

"You cannot go to any store to buy the things the organ needs, they're not made any more," he says. "Instead, we have to produce them ourselves out of old boots, springs and air tubes."

Cuiper points to a series of glass-windowed wooden cabinets that house the organ's main circuitry.

It would've been simpler to tear them out and replace them with a modern computer processor, he explains, but the team preferred to recreate the original electrics.

"It was a challenge for us," he says. "But in 100 years someone will easily be able to fix this, and they won't be able to find the microchips they need to mend the computers."

Wanted: Young helpers

The volunteers still spend hours every week maintaining the organ, but time is limited because the cinema hosts a full program of movie screenings.

They face another problem.

Although the enthusiasm of Kroon and Schipper is as strong as ever, their advancing age means they need to find and train a new generation volunteers to keep the organ sounding its best.

The Wurlitzer still pulls in admirers.

Schipper gives regular performances to parties of schoolchildren and groups on the twice-daily guided tours of the Tuschinski, as well as special cinema events including screenings of the silent films it was originally installed to accompany.

The organ and theater also occasionally attract members of a dwindling group of Wurlitzer maestros -- including Americans R. Jelani Eddington and Lyn Larsen and Britain's Len Rawle.

"There's always applause. It's a great privilege for all of us to play," says Kroon.

"She's an old lady. You have to be careful with her, but you also have to play her because if you don't, she will start to fail."

Pathe Tuschinski Cinema (website in Dutch), Reguliersbreestraat 26-34; +31 900 1458; tours daily at 9:30 a.m. and 11:00 a.m.; €10 per person

@highlight

Wurlitzer organ at the Tuschinksi Theater in Amsterdam dates to the theater's opening in the 1920s

@highlight

A team of enthusiasts helps keep the organ in its its musical prime using odds and ends to replace parts no longer available

@highlight

The organ still attracts fans, playing to visitors on guided tours of the cinema