Thomas Perez has climbed America's "ladder of opportunity" and now can help others do the same, President Barack Obama said on Monday in nominating the assistant U.S. attorney general as labor secretary.

The son of Dominican immigrants who worked different jobs such as collecting garbage to help pay for college, Perez has dedicated himself to fulfilling the promise of equal opportunity for all, Obama told a White House ceremony to introduce Perez, 51.

CNN's Jessica Yellin reported earlier this month that Obama would name Perez to the Cabinet position.

If confirmed by the Senate, the lone Hispanic Cabinet selection of Obama's second term so far would succeed Hilda Solis, who resigned in January.

In brief remarks, Perez thanked Obama in both English and Spanish for what he called the honor of the opportunity.

He pledged to work with "our partners" in organized labor, the business community, grassroots organizations and Congress, adding that he looked forward to meeting with senators from both parties to discuss the way forward.

"True progress is possible if you keep and open mind, listen to all sides and focus on results," Perez said.

Obama urged that Perez be confirmed "as quickly as possible."

Perez's nomination comes as the economy continues a sluggish recovery from recession, with unemployment hovering near 8%.

The Labor Department, among other things, oversees analysis and reporting of unemployment statistics as well as occupational safety and other wage and employment issues.

While some indicators show improvement, economists warn some fragility remains and political leaders are divided on policy prescriptions for stronger growth.

Obama and Democrats call for a combination of stimulus spending, budget cuts and reforms to the tax system and entitlement programs to reduce chronic federal deficits and debt while maintaining government support for education, research and other areas they consider vital to economic development.

Republicans seeking to shrink government say that reducing its cost is the fastest and best way to prompt growth by reducing regulations and lowering taxes. They call for spending cuts and entitlement reforms, as well as changes to the tax system that would reduce rates without increasing revenue.

In nominating Perez, Obama called on him to continue efforts by Solis and her team on helping returning war veterans get jobs, improving worker safety in coal mines and other steps to strengthen workers' rights.

"Like so many Americans, Tom knows what it is like to climb the ladder of opportunity," Obama said, adding that Perez made protecting the promise of equal opportunity for all "a cause of his life."

The Labor Department would likely play a role in new employment programs under any comprehensive immigration reform.

Perez's nomination pleased unions and workers' rights groups, but rankled Senate conservatives due in part to his record at the Justice Department.

"This is an unfortunate and needlessly divisive nomination. The top priority of the secretary of labor should be to create jobs and higher wages for American workers. But Mr. Perez has aggressively sought ways to allow the hiring of more illegal workers,"  said Sen. Jeff Sessions, an Alabama Republican and a senior member of the Judiciary Committee. "Mr. Perez has also had a controversial tenure at the Department of Justice where he has demonstrated a fundamentally political approach to the law."

Perez, who has overseen the agency's civil rights division, has been active in several high-profile cases in recent years.

In 2010, he launched a probe into the law enforcement tactics of Maricopa County, Arizona, Sheriff Joe Arpaio after the lawman's hard line anti-immigration policies led to accusations of civil rights violations.

The Justice Department determined that Arpaio had engaged in "pattern or practice of wide-ranging discrimination against Latinos and retaliatory actions against individuals who criticized" his department's activities.

Arpaio condemned the investigation as politically motivated and a "witch hunt" provoked by the Obama administration's disfavor of the state's controversial immigration law.

Perez also became involved in a controversial 2008 voting rights case after it drew attention from Republican legislators and became the target of a Justice Department inspector general's report.

The watchdog concluded that that DOJ's voting rights section lacked professionalism and pointed out pervasive warring between employees who disagreed politically.

The case stemmed from a complaint against members of the New Black Panther Party who stood outside a polling station in Philadelphia on Election Day dressed in boots and berets and carrying a nightstick.

Civil charges for attempted voter intimidation were sought by the Bush administration, but later dropped against three of four defendants after Obama took office. Republicans accused the DOJ's political leadership of interfering in the decision.

Though Perez had not yet been confirmed to oversee the civil rights division when the decision was made, he said in testimony to Inspector General Michael Horowitz in May 2010 that politics played no part in the decision.

Horowitz was not satisfied with Perez's account of the situation, saying in his report that Perez should have tried to get more information before testifying.

Perez was not accused of any wrongdoing, but he has been criticized for not doing enough to improve what the inspector general described as a dysfunctional department.

Before rising to the Justice Department position, Perez led Maryland's Department of Labor, Licensing and Regulation. That office is charged with "safeguarding workers, protecting consumers, providing a safety net and cultivating a thriving workforce," according to its website.

He also spent 12 years as an attorney in the Justice Department's civil rights division, rising to become deputy assistant attorney general in the 1990s.

Perez also worked for the late Sen. Edward Kennedy, a Massachusetts Democrat, and spent the final two years of the Clinton administration as head of the Health and Human Services Department's civil rights office.

@highlight

Perez thanks President Obama in both English and Spanish

@highlight

Obama called on the Senate to quickly confirm Perez

@highlight

Perez is the first Hispanic nominated to Cabinet during Obama's second term

@highlight

Conservative senator calls nomination "unfortunate and needlessly divisive"