(CNN) -- After losing a close friend to liver failure, Candy Chang spent a lot of time thinking about how she wanted to live out her days. Contemplating death brought clarity to her life, but she struggled to maintain perspective amid the daily grind.

She wondered whether other people went through the same struggle, and what mattered to them. She decided to invite others to share those thoughts by painting a chalkboard on the side of an abandoned house in New Orleans stenciled with the sentence "Before I die I want to ________."

What began as an experiment in making a public space into a shared space has become a global art project, with more than 400 "Before I die" walls in 60 countries and 25 languages. It's been quite the journey for Chang, who did not launch the project with plans to expand beyond New Orleans. But it resonated among pockets of passionate people around the globe.

"Our public spaces are as profound as we allow them to be," Chang, an artist, designer and urban planner, said in an e-mail.

"Our public spaces are our shared spaces, and they have a lot of potential to offer us a more valuable and meaningful kind of life. I think about why we came together in the first place. Some of the earliest gathering places were graves and sacred groves. We gathered so we could grieve together and worship together and console one another and be alone together."

Many of the walls disappear a few months after they're "born," just like Chang's did, after someone bought the building and renovated it. Then, others pop up. Such is life.

In honor of the release of the first book celebrating Before I die's global footprint, we asked Chang to reflect upon the most common themes expressed in the walls. Hopefully, they inspire you to reconsider your hopes, dreams and aspirations.

1. Well-being

"Before I die" came out of Chang's grief and depression, and the responses "have reassured me that I'm not alone as I try to make sense of myself," she said.

"Carl Jung said it's easier to go to the moon than it is to penetrate one's own being. Mental health takes as much exertion as physical health," she said.

Examples:

"Abandon all insecurities" (New Orleans)

"Come to terms with who I am" (Washington)

"Slow down for a moment and maybe even stop" (Portsmouth, Hew Hampshire)

"Find serenity" (Vicenza, Italy)

"Stop being afraid" (Jerusalem)

"Overcome depression" (Newport News, Virginia)

"Lose my fear of death" (Trujillo, Peru)

"Find what I'm looking for (San Francisco)

"Heal" (Montreal)

"Find closure" (Erfurt, Germany)

"Keep getting better every day" (Chung-Li, Taiwan)

"Feel comfortable in my skin" (Burning Man festival)

"Reach my constant happiness" (Berlin)

"Learn to be brave" (Almaty, Kazakhstan)

"Right all my wrongs" (Brooklyn)

"Learn how to enjoy myself and let go" (Savannah, Georgia)

"Feel that nothing was missing or left over" (Santiago, Chile)

2. Love

"Love and be loved" is one of the most common responses on walls around the world, Chang said. She's also seen budding romance on walls.

"In New Orleans, someone wrote, 'Before I die I want to eat a salad with an alien,' and someone else drew an arrow and wrote 'Before I die I want to marry this person,' " she said.

Examples:

"Love her until the end of the world" (Cordoba, Argentina)

"Sleep with a harp player" (Lisbon, Portugal)

"Get married for the 10th time" (Dublin)

"Find and kiss her one last time" (Chicago)

"Find my true love" (Beijing)

"Love recklessly again" (New Orleans)

"Find my other half" (Madrid)

"Accompany him forever" (Chung-Li, Taiwan)

"Be loved unconditionally" (Jersey City, New Jersey)

3. Travel

Who doesn't have a long list of places they'd like to visit?

Travel can be the hardest thing to find the time and money to invest in, but that doesn't stop us from dreaming and plotting adventures.

"My family had a big white van that we drove all over the place when I was a kid," Chang said. "Ever since, traveling has been my school and my therapy. I've taken many road trips across America, and I worked in Nairobi, Helsinki, Medan, Johannesburg and beyond. Those experiences deeply shaped who I am today. It's made me more open-minded, reflective, compassionate, and grateful."

Examples:

"Travel around the world by foot" (Almaty, Kazakhstan)

"Ride a motorcycle across South America" (Cordoba, Argentina)

"Take my wife to Liverpool" (Portsmouth, New Hampshire)

"Ride my bike up the top ten highest mountains in Thailand" (Chiang Mai, Thailand)

"Visit Venice with the love of my life" (Auckland, New Zealand)

"Drive Route 66" (Melbourne, Australia)

"Travel across India on a bike" (Hyderabad, India)

"Straddle the International Date Line" (New Orleans)

"Finish climbing Everest" (Reno, Nevada)

"Enjoy a pleasant cruise" (Pohang City, South Korea)

4. Helping others

Many of us say we'd like to "donate lots of money," "change a child's life," "help my neighbor" or "build a public school and a shelter." But putting others ahead of ourselves can be a tall order for some, especially in an era of instant gratification.

But, it's never too late, said Chang, and even the smallest gesture can last a lifetime.

"I'll never forget a middle school art teacher who encouraged me when I was full of self-doubt, a neighbor who fixed my bike pedal or a stranger who went out of his way to return my lost bag. Compassion lasts much longer than the moment."

Examples:

"Teach kids to live love and be free" (Johannesburg)

"Save lives" (Dubai)

"Help people through neuroscience" (Portsmouth, New Hampshire)

"Fix Nick's car" (Cape Town, South Africa)

"Make someone's day" (Milwaukee, Wisconsin)

"See a just society" (Madrid)

"Do something for animals and make the world a better place" (Hyderabad, India)

5. Family

"Making this project made me realize how much more I want to know my parents," Chang said. "I'm glad we're at a stage where we're good friends now, and I ask them fifty questions for every photograph from their childhood. Each week, my dad sends me endearing stories that only enhance the inspiring mythology of our lives."

Examples:

"Bring peace of mind to my mom" (Brooklyn)

"See my youngest fly" (Minneapolis)

"See where my grandma grew up" (Townsville, Australia)

"See my parents again" (Erfurt, Germany)

"Speak with my children one last time" (Cordoba, Spain)

"Make my parents proud" (Burning Man festival)

"See my daughter graduate" (New Orleans)

"Be back in my kid's life" (Reno, Nevada)

"Build a house for my mother" (Trujillo, Peru)

"Meet my daughter" (Montreal)

"Be a grandfather" (Madrid)

"Take care of my parents" (Hyderabad)

"Have seven children" (AsunciÃ³n, Paraguay)

"Raise good kids" (Charleston, South Carolina)

@highlight

The "Before I Die" global art project invites people to share hopes, dreams on public walls

@highlight

More than 400 "Before I Die" have been created in 60 countries and in 25 languages

@highlight

"Before I Die" walls are celebrated in a new book out this month

@highlight

Creator Candy Chang reflects upon the 5 most prominent themes on the walls