(CNN) -- The startling thing, in the long run, is not that the power went out and stayed out in so many parts of the United States during the week just ended.

The startling thing is what we so casually take for granted:

Flip a switch, and the lights in your home instantly blaze to life.

Turn a knob, and clean water comes rushing into your sink or bathtub.

Pick up a telephone, and you're talking with someone halfway across the country or halfway around the world.

News: Cold front expected to bring relief from heat, but also storms

Right now, the most pressing matter is to get the electricity back on in the places that are still without it. People are in despair; people have died. Fierce storms, along with near-record-high temperatures, combined during the final days of June and the first week of July to bring down multiple power systems and leave millions of people sweltering in the dark.

But once all is up and running again, it might be good to pause and think about how fragile all of our assumptions are.

For much of the time that the continental United States has been a part of the planet, few of the life-easing developments we nonchalantly take on faith seemed remotely possible.

Electricity? Running water? Air conditioning?

They were the stuff of science-fiction novels. Ours was a land mass of forests and rivers and deserts and plains, a tangled and disconnected tableau that disappeared from view with the blackness of night.

We -- not you and I, but our ancestors -- figured out how to change all that. By the time recent generations came along, everything seemed so endlessly convenient. The battle for civilization had been won.

Which is why a week like the one just past is such a sobering reminder that we are always just an unanticipated disaster away from a trip into the primitive America that existed before.

Doubt it? Ask your fellow citizens who waited and waited for someone to turn their lights back on last week.

News: Resilient West Virginians brave storms and their aftermath

In the blast-oven heat that stifled much of the nation in recent days, the absence of air conditioning felt anguishing. But that situation was, for most of America's history, so commonplace as to be unremarkable. Summers were for sweating, and for drawing the blinds, and for sleeping on porches. It wasn't until the 1920s that movie theaters featured early versions of air conditioners, which proved to be an enormous draw for the public who yearned to escape their broiling homes. Department stores in the 1930s lured customers by offering them a chilled-air respite from the scorching hours they spent in their houses.

News: Gadgets to help you survive a power outage

According to the Carrier Corp., the pioneering air-conditioning manufacturer, as late as 1960 few college buildings featured air conditioning, and virtually no elementary or high schools had it. Private residences? For the most part, they were the last to convert. Window units were available, but by 1965, according to Carrier, only one out of 10 U.S. homes had central air.

But when our daily lives change for the better, human nature lulls us into all but forgetting what preceded. We don't even question the marvelous advances that once seemed out of reach.

One of the funniest -- yet most perceptive and provocative -- news-conference questions I've ever been aware of was asked in the 1970s by Ron Powers, who was then the brilliant young television critic of the Chicago Sun-Times.

If memory serves, the event was some sort of press gathering organized by CBS to discuss the network's upcoming schedule. After the preliminary announcements, the floor was opened for questions. Many of the reporters in attendance asked about the stars of the new shows, and about ratings trends, and about programming decisions.

News: Use caution if you drive in extreme heat

Then Powers raised his hand, and asked:

"How do you make the pictures go through the air?"

As delightful as his telling of the story was back then, I thought of it again last week, in a much more serious context. How do the essential things in which we place our confidence really get done? And are we right to think we can forever count on them?

The uneasiness and fear when the power went out last week extended beyond the nuts and bolts of engineering; instead, it was almost primal.

It was a reminder of the unthinkable, of scenarios as potentially nightmarish as a sneak attack by foreign enemies.

It was an unwelcome premonition of things we don't even want to consider:

We flick the light switch, and nothing happens.

We twist the knob on the faucet, and nothing emerges.

We punch a number into the telephone, and hear only silence.

We turn on our computers, and are greeted by blankness.

And then, darkness falls.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Parts of U.S. lost power; we should reflect on how we take comfort for granted

@highlight

He says not long ago, no one had electricity, running water; people changed that, mostly

@highlight

He says we are always one unanticipated disaster away from a trip into primitive America