WASHINGTON (CNN) -- The power of women hit the State Department on Wednesday when first lady Michelle Obama joined Secretary of State Hillary Clinton to celebrate champions of women's rights around the world.

Michelle Obama and Hillary Clinton present the State Department Women of Courage Awards.

The event was to celebrate the State Department Women of Courage Awards, but highlighted how both the current and former first ladies have made women's rights a signature issue.

Since calling women's rights a human rights issue at a women's conference in Beijing in 1995, Clinton has made it a personal mission to champion the rights of women. Her first two trips as secretary of state have been packed with events promoting the importance of women's rights.

"These personal experiences have informed my work, and I will continue to fight for human rights as secretary of state in traditional and especially nontraditional ways and venues," Clinton told the audience.

You "can't solve problems of financial crisis, climate change, disease and poverty if half of the population is left behind," Clinton said. The rights of women will "always be central to our foreign policy."

In a commentary published Monday in honor of International Women's Day, Clinton warned that "women still comprise the majority of the world's poor, unfed and unschooled."

"Global problems are too big and too complex to be solved without the full participation of women," she wrote in the article, which ran in more than 50 newspapers around the world.

"Strengthening women's rights is not only a continuing moral obligation -- it is also a necessity as we face a global economic crisis, the spread of terrorism and nuclear weapons, regional conflicts that threaten families and communities, and climate change and the dangers it presents to the world's health and security."

Ambiga Sreenevasan, a Malaysian lawyer who won an award Wednesday for her work on behalf of justice for women, called Clinton "a woman of courage who has encouraged woman around the world."

Clinton's speech declaring that women's rights are human rights, Sreenevasan said, has "resonated with a lot of us here."

Clinton also heaped praise on the current first lady, saying that in a very short time, Michelle Obama "through her grace and her wisdom [has] become an inspiration to women and girls, not only in the United States, but around the world."

Obama spoke about the importance of proper health care, education and justice for women in ensuring strong families and communities.

"The difference between a broken community and a thriving one is the presence of women who are valued, where relationships among women and between women and men are based upon mutual respect," Obama said.

Obama said the work done by the honorees has not just changed their own circumstances, but by inspiring hope and motivating others to act, that work also has changed women's lives around the world.

"This is how real change occurs, one determined woman at a time. And change is coming," she said. "The women we honor today teach us three very important lessons. One, that as women, we must stand up for ourselves. The second, as women we must stand up for each other. And finally, as women we must stand up for justice for all."

On Wednesday, President Obama created a White House Council on Women and Girls, charged with devising a coordinated federal response to various challenges faced by American women.

The council, which will be led by senior presidential adviser Valerie Jarrett and which will include most members of the president's Cabinet, will be charged with ensuring that all governmental agencies take the needs of women into account.

The president said the council will also help ensure a more coordinated federal response on a range of issues, including equal pay, family leave and child care.

He also nominated Melanne Verveer, Clinton's chief of staff when she was first lady, as ambassador-at-large for global women's issues.

In addition to Sreenevasan, the Women of Courage honorees make up an impressive list of advocates on behalf of women under difficult and often dangerous circumstances.

Hadizatou Mani escaped caste-based slavery in Niger to help fight for rights of other people still enslaved in the country. Veronika Marchenko was honored for her activism on behalf of slain soldiers' families in Russia.

Suaad Allami won an award for running a nongovernmental organization on behalf of women in Sadr City, Iraq, that is considered a "one-stop shop" for legal, educational and domestic violence counseling for women.

Mutabar Tadjibayeva is one of the most vocal activists in Uzbekistan fighting on behalf of women's rights, despite being arrested and beaten by police.

In Guatemala, where an average of two women each day die a violent death, Norma Cruz provides support to families of women who are murdered.

One honoree, 12-year-old Reem al-Numery of Yemen, was unable to attend because she is in court fighting her forced marriage to a 30-year-old cousin who allegedly raped and beat her. Her battle in the courts to divorce her husband has sparked an avalanche of activism on behalf of Yemeni preteens sold into wedlock.

@highlight

First lady, secretary of state honor champions of women's rights

@highlight

Event celebrates State Department Women of Courage Awards

@highlight

Clinton: Rights of women will "always be central to our foreign policy"

@highlight

Obama: "As women we must stand up for justice for all"