LONDON, England (CNN) -- There are around 200 known types of cancers. Some are far more widespread than others.

Australian Professor Ian Frazer has developed a vaccine to prevent cervical cancer and is working on a vaccine for skin cancer.

Cancer researchers are making significant breakthroughs in unlocking the complete genetic makeup of many common cancers.

Through extensive studies and research, they are understanding exactly how the rogue cells differ from normal cells, and modifying treatments so they work on just the cancer cells.

We take a look at some of the most common types of cancers plus some possible causes, treatments and developments.

Lung Cancer  Lung cancer develops when cells of the lungs divide and grow in an uncontrolled manner.

There are two types of lung cancer: non-small cell lung cancer (NSCLC) and small cell lung cancer (SCLC). The latter is more likely to spread further in the body in its early stages.

Lung cancer is the most common cancer worldwide, according to the World Health Organization, with 1.2 million new cases every year.

Nearly all lung cancers arise because of smoking and men have always been more affected by lung cancer than women. However, a rise in female smoking worldwide has started reversing the trend.

Treatments

Not all lung-cancer patients are suitable for surgery. Surgery on non-small cell lung cancers is more common than in small cell lung cancer, but can still only happen in a minority of cases.

Other options are radio therapy and chemotherapy.

Developments

In December 2008, scientists pinpointed a gene that protects against lung cancer. It is hoped the discovery of the role of the tumor suppressor gene -- LIMD1 -- may lead to new treatments and techniques to pick up the disease earlier. The disease is often not picked up until it has reached an advanced stage and many patients die within a year of being diagnosed.

Skin Cancer  Skin cancer is a malignant growth on the skin. It generally develops in the outermost layer of skin, so a tumor is usually clearly visible and easier to detect than most other cancers. Skin cancer is the most diagnosed form of the disease, surpassing lung, breast, colorectal and prostate cancer.

Melanoma is a type of skin cancer that usually starts within a mole or a dark spot on the skin. If found early, simple surgical treatment works well and usually leads to a cure, the British Medical Journal advises.

However they can spread quickly and are responsible for the majority of skin-cancer-related deaths.

It's not entirely clear why skin cancers develop, but according to the U.S. National Institute of Health,  UV radiation from the sun is the main cause.

UV radiation is particularly harmful for children and teenagers and even a short exposure can lead to skin cancer much later in life.

Diagnosis and Treatment  Diagnosis is made with a skin biopsy, under local anesthetic with an injection. Treatment depends on the circumstances of the cancer and the patient; including age, type of cancer and location. Treatments can include, amongst others, radiotherapy (radiation), chemotherapy (pills) and surgery.

Developments  Scientists have recently conducted experiments on "immune-priming,"-- using the patients' own immune systems to fight the skin cancer. This therapy is still relatively new, but has been shown to boost the immune system and thereby attack skin cancers and viruses.

The Australian scientist who developed a vaccine for cervical cancer, Ian Frazer, told Australia's Medical Research Congress in November 2008 that he is working on a skin cancer vaccine that could be available within a decade.

Breast Cancer

Breast cancer is a disease in which malignant cells form in the breast tissue, leading to damage to the cells' DNA. This results in cell division and growth and eventually leads to the formation of a lump.

The malignant cells can then invade other organs where metastases (secondary lumps) may form.

Breast cancer is the most common in women, affecting one in nine women at some point in their lives.

The World Health Organization states that breast cancer is the fifth most common cause of cancer deaths, causing 502,000 deaths worldwide in 2005.

Diagnosis and Treatment  Women are encouraged to check their breasts regularly for any lumps or other irregularities, such as discharge from the nipple. General practitioners or gynecologists can also do physical checks.

To make a diagnosis, doctors can perform a mammogram or an ultrasound and take a tissue sample.

Once a lump has been identified as malignant, the most common treatments are surgery, radiation therapy and chemotherapy.

Developments  Interstitial laser thermotherapy (ILT) is a relatively new minimally invasive, laser surgery procedure that reduces the possibility of complications during and after an operation.

Prostate Cancer

Prostate cancer develops in the prostate, a gland in the male reproductive system. It occurs when cells of the prostate mutate and begin to multiply out of control. These cells may spread from the prostate to other parts of the body.

Rates of prostate cancer vary widely across the world and are most common in Europe and the United States. It is least common in South and East Asia, according to the figures from Cancer Research UK. A quarter of all new cases of cancer diagnosed in British men are prostate cancers. Almost 60 per cent of prostate cancer cases are diagnosed in men aged over 70 years.  Diagnosis and Treatment

Prostate cancer is most often discovered by prostate specific antigen (PSA) screening and less commonly by physical examination through the rectum or by the appearance of symptoms.

Treatment options for prostate cancer depend on the age of the man, his health and the spread of the cancer. The most common treatments are surgery and radiation therapy.

Colorectal cancer

Colorectal cancer, also called colon cancer or large bowel cancer, includes cancerous growths in the colon, rectum and appendix.

According to the WHO, colorectal cancer causes 655,000 deaths worldwide per year and is the third most common form of cancer and the second leading cause of cancer-related death in the Western world

Risk factors and symptoms  According to the American Cancer Society, the following factors increase the risk for colorectal cancer:

• Age: Most cases occur in people in their 60s and 70s. Cases in people aged 50 or under are uncommon unless a family history of early colon cancer is present.

• Women who have had cancer of the ovary, uterus, or breast have a higher risk of developing colorectal cancer.

• A history of colorectal cancer in the family

• Smoking

Treatment  Surgery is the primary treatment, while radiotherapy and chemotherapy can be applied depending on the patient, the tumor's stage and other medical factors.

If performed at a late stage or when the cancer has already spread, colorectal cancer is unlikely to be cured with surgery.

@highlight

We take a look at some common types of cancers and the facts behind them

@highlight

7.9 million people died from cancer in 2007, according to the WHO

@highlight

Projections say cancer could overcome heart disease as the leading cause of death