Los Angeles (CNN) -- Elvira Sosa left Mexico for the United States more than 30 years ago, but last year was the first time she'd been counted as part of the U.S. Census.

Sosa was among thousands of illegal immigrants in Los Angeles who filled out a census form last year, and city officials said the response, especially among Latinos, might have saved the area money and congressional representation.

The increased count was purposeful: A Census Bureau outreach program urged undocumented workers to fill out the census and assured them that nothing on the form could be used against them.

The program included Spanish call centers that would field questions about the census, plus billboards, bus advertisements and fliers with information. Celebrities publicized the census, too.

The response: The 2010 census showed that the numbers of Latinos living in this country increased by 43%, from 35 million to more than 50 million, during the past 10 years.

Arturo Vargas, executive director of the National Association of Latino Elected and Appointed Officials Educational Fund, testified before a Senate subcommittee this month that Latino participation in the census was "unprecedented." But in some areas, poor communication, hostility toward Latinos and immigrants and a cultural fear of the government prevented a complete count, he said.

In Sosa's case, her daughter encouraged her to fill out the form.

"It's important to count me," Sosa said in broken English, "because I'm important. I live in this country."

Mayor Antonio Villaraigosa was thrilled by Los Angeles' mail participation rate. At more than 70%, he said, it was among the highest for large cities and close to the national mail participation rate of 74%.

More important, it might have secured money and political clout for the area. The Census Bureau uses population counts to apportion seats in the House of Representatives, and the federal government uses decennial census data to distribute more than $400 billion a year.

"The last time around, 10 years ago, we were the second-worst among big cities in the country in terms of the undercount," Villaraigosa said.

The 2000 undercount cost Los Angeles more than $200 million in federal funds. Villaraigosa believes the outreach to the Latino and immigrant communities and the homeless population account for Los Angeles' 2010 response success.

The National Association of Latino Elected and Appointed Officials said each person in the United States, legal or not, is worth about $1,400 in federal funds to a community per year.

Cities use these federal dollars to help pay for police and fire protection, along with vital infrastructure and other services.

It is illegal, however, to use federal dollars to aid illegal immigrants directly, and they cannot receive government assistance. Instead, religious and other organizations fill the void. At the Margaret Aylward Center for the Poor in the Hispanic-heavy L.A. suburb of Pico Rivera, the size of the Latino population was clear well before it was counted by the census.

Sister Vickey Haran said the center relies solely on donations; if she accepted government funding, she'd be required to ask those seeking help from the center to prove their residency status.

"It's a ministry to the poor," said Haran, who runs the center along with the Holy Faith Sisters. "We serve anyone who comes and asks for food. We do not ask for papers. We do not ask any proof."

Share your story through iReport's Cultural Census

The count is about more than money and resources, though.

Villaraigosa said California would have lost a congressional seat if this census count remained at or near the same as in 2000. That seat was saved, he said, because more people were counted.

"What this does is, at a minimum, it allows California and other states with large immigrant populations to get the representation they deserve," Villaraigosa said.

But knowing that illegal immigrants might help to maintain the political power for a city or district raises the ire of some anti-immigration groups.

"You have an imbalance," said Glenn Spencer, founder of American Patrol. "You might have a congressional district in Los Angeles of 600,000 people but only 100,000 citizens. So those citizens have five times the voting power of someone in Iowa. You'll have politicians who say 'I want these people counted. I get more power, but I can manipulate the situation because they can't vote.' "

@highlight

Census: Latinos living in U.S. increased by 43 percent, from 35 million to 50 million

@highlight

An outreach program in L.A. urged illegal immigrants to fill out census

@highlight

L.A. mayor said the increase in responses saved a congressional seat for California