(CNN) -- I met Dr. Doug Stein while making a documentary about my own complex journey through fatherhood. His vasectomy missions to Third World countries inspired me to launch both a movement and to become his 25,000th client.

I have made many films around the world about angry and alienated men who, lacking positive ways to express their innate power and potential, inflict brutality on women and children. In contrast, observing men on the day they make a conscious choice to exit the gene pool reveals the sex's vulnerability and thoughtfulness.

To transform this positive choice into a global movement, Stein and I created the first World Vasectomy Day in 2013 -- and set out to inspire 100 doctors in 25 countries to do 1,000 vasectomies.

From a medical perspective, a vasectomy is a simple procedure that takes about 15 minutes. The doctor severs the vas deferens and then seals up both ends, thus preventing sperm from reaching your semen. It has a less than 1% failure rate, compared with 18% for condoms, making it an important option for men whose families are complete.

And yet, even though modern techniques require neither needle nor scalpel, and for the vast majority of men it takes only a few days to recover, it's still a tough sell. Yes, there are places, like New Zealand, where 20% of men choose vasectomies, but there are countries where the rate is less than 1%.

But if ease and effectiveness don't convince a man of the benefits of vasectomy, there are many compelling sociological and health reasons as well. For example, 51% of pregnancies in the United States are unintended, and these pregnancies come with adverse maternal and child health outcomes, such as delayed prenatal care and an increased risk of premature birth. Poverty and family are also correlated, with double the incidence of poverty in nine-member households than in four-member households.

And with all the controversy surrounding abortion, there's no better way to avoid one than a vasectomy.

Sadly, while men waffle on the sidelines, more than 300 million women have had tubal ligations -- six times the number of men having vasectomies, even though tubal ligations are more invasive, costly and risky. While both procedures are almost equally effective, tubal failures can result in ectopic pregnancies, a leading cause of maternal mortality.

With all these reasons, you'd think for men who no longer wish to have children choosing a family planning option that is permanent, safe and secure would be a no-brainer. But if logic, guilt or fairness did the trick, we'd be living on a planet much further away than Mars.

The Swahili language uses the same word for "vasectomy" and "castration" and that sums up what so many men believe. And it's not just men. Many women would agree with a friend of mine, who once suggested vasectomies change a man's status from alpha male to alpha-lite.

Fear and good information might get a man to wear a condom, but World Vasectomy Day needed compelling stories and there was no shortage of them. There were men who traveled hundreds of miles to have the procedure for their wives, and those who did it to help their children emerge from poverty. These men, who rise up and shoulder responsibility for family planning -- although still the minority -- serve as our inspiration.

In my travels, I met men in their 20s who know they don't want children and men in their 70s who do. There was an Iraq War veteran who asked, "Why am I considered old enough to die or kill for my country, but not old enough to decide about children?" These are tough questions. Stein suggested he preserve some sperm.

On World Vasectomy Day, we don't decide who should or should not get a vasectomy, but we do insist that it be voluntary.

We acknowledge there is a small chance that a vasectomy can cause long lasting pain, and we certainly have great sympathy for these men. A recent study also suggests a possible link between prostate cancer and vasectomies. It's important to note that there are many other studies that suggest otherwise.

The bottom line is that all methods of birth control come with some element of risk. The unfair part is that it's women who take it on almost exclusively for one third of their lives.

For all our efforts to inspire men, it wasn't until we empowered the urologists and vasectomists who perform these procedures that our movement took off. Providing vasectomies is not easy or always accepted, but on Friday, there will be approximately 300 skilled doctors from 30 countries participating in what will be the largest male-oriented family planning event in history.

What we learned in creating World Vasectomy Day bodes well for our future. Men reveal the best of who we are when we work together to serve a greater purpose, one that honors ourselves, our families and our future.

The opinions expressed in this article are solely those of the author.

@highlight

A doctor and filmmaker team up to create World Vasectomy Day

@highlight

World Vasectomy Day encourages men to take responsibility for family planning

@highlight

Tubal ligations for women are more invasive and risky than vasectomies, filmmaker says