Washington (CNN) -- Congressional negotiators reached a tentative deal Tuesday to extend the payroll tax cut and unemployment benefits while avoiding a fee cut for Medicare doctors, according to Republican legislators and aides.

The framework deal followed a key Republican concession Monday and could receive the endorsement of a House-Senate conference committee on Wednesday.

Reps. Renee Ellmers of North Carolina and Fred Upton of Michigan, both Republicans who were part of the conference committee negotiations, called it a tentative agreement, while a top House Democratic aide said Democratic leaders would discuss the proposal with their members on Wednesday morning.

Ellmers and Upton said they expected the conference committee to sign off on the measure Wednesday if no objections arise. In that case, the House would vote on the agreement, in the form of the conference committee report, as soon as Friday.

However, some conservative House Republicans expressed concerns about the potential agreement and said they were unsure if they would support it. Other GOP House legislators said they expected it to pass with support from a majority of Republicans, as well as Democrats.

"It's the art of a deal. I mean, it's a compromise," said Rep. Steve Latourette, R-Ohio. "So you have people that didn't get a 100% of what they wanted."

Under the agreement that would cover the rest of 2012, the nearly $100 billion payroll tax cut would not be paid for -- a consequence of the parties' inability to compromise on either new taxes or offsetting spending cuts, said top congressional aides from both parties.

It would be coupled, however, with measures extending unemployment benefits and preventing a fee cut to Medicare doctors -- known in Washington as the "doc fix." The latter two measures -- costing a combined $50 billion -- would be paid for, the aides said.

Possible funding sources to pay for the measure include saving from broadband spectrum sales of about $13 billion, increased pension contributions by federal employees of about $16 billion and cuts to Medicare hospital and specialist fees that would not impact patients, according to the congressional aides.

"I think they have to work out all the details, but I think the big scope has been agreed to," House Speaker John Boehner, R-Ohio, told reporters. However, House Majority Leader Eric Cantor, R-Virginia, was less enthusiastic, saying "this is not our preferred way" to deal with the issues and adding that details were still being studied.

Congressional aides differed by party on details of extending the unemployment benefits, particularly the maximum number of weeks that will be funded. While a Democratic aide said the maximum for states with high unemployment would continue at the current 99 weeks, a Republican aide said the maximum would be 89 weeks and most states would have a maximum of 63 weeks of benefits by the end of the year.

Some Republicans wanted unemployed individuals to pass drug tests and meet certain education standards before getting benefits -- an idea generally opposed by Democrats. A top Republican aide said the tentative agreement would allow for states to conduct drug testing when the unemployment benefits applicant was seeking a job that required drug testing or lost a job due to a failed drug test.

News of the tentative deal came hours after President Barack Obama publicly urged Congress to extend the payroll tax cut, which is currently set to expire at the end of February. Failure to do so, Obama warned, could derail the economic recovery.

"This is a make-or-break moment for the middle class," the president said. "The last thing we need is for Washington to stand in the way of America's comeback."

White House Press Secretary Jay Carney later told reporters that the payroll tax cut, extension of unemployment benefits and "doc fix" provision all were "important to the economy in different ways."

"It is of vital importance that Congress not muck up the recovery that we're seeing under way," Carney said of the need for a broad agreement.

The payroll tax cut, unemployment benefits and enhanced "doc fix" payments are set to expire at the end of February under a short-term agreement reached by Congress in December. That agreement also set up the conference committee that resumed negotiations last month on a longer-term deal.

Final negotiations have been hammered out by the two committee chairman, Democratic Sen. Max Baucus of Montana and Republican Rep. Dave Camp of Michigan, in conjunction with Senate Majority Leader Harry Reid, D-Nevada, and Boehner.

The payroll tax cut, a key part of Obama's economic recovery plan, has reduced how much 160 million American workers pay into Social Security on their first $110,100 in wages. Instead of paying in 6.2%, they've been paying 4.2% for the past year and two months. The break is worth about $83 a month for someone making $50,000.

On Monday, House GOP leaders dropped their demand that any extension of the tax cut be offset by spending cuts elsewhere in the budget. The decision was a sharp turnaround for House Republicans, who previously argued that a failure to fully pay for the tax break would be financially reckless.

The debate over whether and how to extend the tax cut has been a political loser so far for the Republicans, who had publicly questioned its value last year. Democrats have gleefully highlighted the GOP's reluctance, using the issue to portray Republicans as defenders of the rich who are indifferent to the plight of the middle class.

Political analysts believe the showdown over the payroll holiday has eroded GOP strength on the party's core issue of lower taxes. Fearing negative repercussions, Republican leaders have now backtracked on the issue twice: dropping their opposition to the two-month extension last December and dropping their insistence on paying for a longer extension on Monday.

"I think the GOP has read the writing on the wall when it comes to the payroll tax cut," said Brown University political scientist Wendy Schiller. "Americans are benefiting from it, and to take it away at this juncture leaves them open to charges of raising taxes. ... It would severely hamper the GOP presidential nominee's effort to defeat Obama."

Johns Hopkins University political scientist Adam Sheingate called the GOP's latest move "a subtle shift in strategy precipitated by the improving economic outlook of the past few weeks."

"By agreeing to a deal, the GOP can claim some credit for extending the holiday," Sheingate said. "Failing to extend the payroll tax would not only be unpopular, it would shift some of the responsibility for the economy back on the Republicans. This is to be avoided at all costs since the GOP (election) strategy rests almost entirely on Obama's handling of the economy."

In announcing their shift on the payroll tax issue Monday, Boehner and two other top House GOP leaders said they wanted separate the matter from legislation dealing with unemployment benefits and the doc fix.

Doing so would "protect small businesses and our economy from the consequences of Washington Democrats' political games," said Boehner, Cantor and House Majority Whip Kevin McCarthy, R-California.

Schiller told CNN the idea of divorcing the payroll tax cut from an unemployment benefits extension and the doc fix was a "clever" idea on the part of the House GOP leadership.

Doing so would have removed the Democrats' "leverage on the other issues of unemployment and Medicare payments," she said. "Also, as the unemployment numbers get better, the rationale for a lengthy extension of benefits diminishes. The longer the GOP can stall on the unemployment extension, the more likely it is they win in terms of authorizing a much shorter extension than the Democrats would like."

Democrats, however, quickly pushed back hard against the idea.

Senate Majority Leader Harry Reid, D-Nevada, and House Minority Leader Nancy Pelosi, D-California, on Tuesday urged Republicans to allow Congress to quickly complete its work on all three issues -- the payroll tax cut, unemployment insurance, and the doc fix.

Pelosi said Congress should cancel a recess currently scheduled for next week if it fails to complete work on all of them by Friday.

"These crucial policies affect millions of middle class families and seniors and must not expire at the end of this month," Pelosi said.

Instead of a separate measure involving only the payroll tax cut extension, the tentative agreement Tuesday was a more comprehensive package worked out by the conference committee negotiators

It remains unclear if the increasingly conservative House GOP caucus will be willing to go along with the tentative deal. House Republican freshmen, elected on a tidal wave of tea party support in 2010, have made deficit reduction their top priority and repeatedly insisted that any new initiatives be fully paid for.

Rep. Dennis Ross, R-Florida, said discussion Tuesday night in the House Republican caucus was "heated" over not paying for the payroll tax cut extension, which he called "bad policy," while fellow Floridian Rep. Allen West, a tea party conservative, said "this doesn't look like a good deal to me."

Meanwhile, two New York Republicans, Reps. Tom Reed and Peter King, sounded more supportive, with King saying he expected the measure to pass.

One key conservative, Rep. Jim Jordan of Ohio, indicated Tuesday he's prepared to back Boehner and the other House GOP leaders.

Jordan's "view is anytime we're letting people keep more of their money, that's a good thing," said Brian Straessle, a spokesman for the Republican congressman.

Veteran political analyst Norm Ornstein warned that the GOP leadership's repeated maneuvering on the issue could end up backfiring.

House Republican leaders have been "trying to make the best of crummy situation," Ornstein told CNN. But tea party Republicans "don't care" if fighting the tax cut extension is "a political loser. They don't like the payroll tax cut and now the (leadership's) sin is being compounded by saying they won't pay for it."

This "could play out in ways that make the life of Boehner (and other Republican leaders) a little less comfortable," he predicted.

CNNMoney's Jeanne Sahadi and CNN's Tom Cohen and Rebecca Stewart contributed to this report

@highlight

NEW: Some Republican congressmen question the tentative agreement

@highlight

Progress is made after Republicans back down on payroll tax cut

@highlight

Political analyst Norm Ornstein warns new GOP strategy could backfire

@highlight

President Obama warns that failing to act could hurt the economic recovery