Bamako, Mali (CNN) -- Mali's historic cultural center, Timbuktu, lacks electricity, water and phone service, because "terrorists" sabotaged the utilities there, a Paris-based spokesman for the ethnic Toureg separatist party MNLA said Thursday.

MNLA spokesman Moussa Ag Assarid said most of the "terrorists" fled Timbuktu for the desert after French planes on Tuesday bombed the militants' headquarters, which was built by former Libyan leader Moammar Gadhafi. However, Assarid warned, some militants remain in the fabled city.

Assarid's choice of the word "terrorists" highlights the ever-shifting alliances as Mali devolves into a wild frontier. MNLA used to be aligned with Ansar Dine, one of the main Islamist groups fighting to take over Mali. But after MNLA ousted the Malian army from Timbuktu last year, Ansar Dine and al Qaeda drove MNLA away.

The head of the United States' African Command, Gen. Carter Ham, spoke at Howard University in Washington on Thursday about the situation. He said his ultimate goal is helping a legitimate Malian government based in the capital of Bamako control the whole country.

U.S. has flown seven cargo missions to Mali

"Territorial integrity of Mali is nonnegotiable. No discussion of a separatist state or something like that. But, it also appears that Mali has asked for, and will need, some help to establish government control in the north," Ham said. "Realistically, we would all like to see the elimination of al Qaeda and others from northern Mali. Realistically, probably the best you can get is containment and disruption, so that al Qaeda is no longer able to control territory as they do today."

"This must be in fact and in perception an African-led endeavor that is done at the request of the Malian government, and I think that is well under way now," Ham added.

But recent allegations against Malian troops have some human rights observers questioning whether the Malian army has right on its side, or just might.

Malian soldiers have carried out a number of summary executions as they seek to drive back Islamist militants who have been advancing from the north, a human rights group claimed Thursday.

Mali's military offensive against the militants has gathered pace in the past two weeks, with backing from France and other international allies.

Refugees tell harrowing stories of life under the Islamist militants who hold northern Mali in an iron grip.

But the French-based International Federation for Human Rights said it was "very alarmed" by reports that Malian soldiers are themselves carrying out extrajudicial killings and abuses as they counterstrike.

FIDH claims the victims of these abuses have been anyone "accused of complicity with the jihadists or infiltrated elements, persons in possession of weapons, people who have no proof of their identity during military patrols or simply people targeted because of their belonging to certain ethnic groups."

The group said it had confirmed that Malian forces have carried out numerous executions in the key conflict area between the north and south, particularly in the towns of Sevare, Mopti and Niono.

"In Sevare, at least 11 individuals were executed in the military camp, near the bus station and near the hospital," the FIDH said. Reliable information indicates "close to 20 other executions in the same area where bodies are said to have been buried very hastily, in particular in the wells. In the Niono region, Malian soldiers killed two Malians of Tuareg origin."

The group says it has also been told of other summary executions in central Mali, and documents the pillaging of Tuareg homes by government soldiers.

What's behind instability in Mali?

A Mali military spokesman declined to comment on the record about the rights group's allegations.

The FIDH called for the immediate establishment of an independent investigation commission "to assess the scope of these abuses and sanction the perpetrators."

Although Malian and French politicians and military officials have repeatedly called for respect of international humanitarian law and human rights, the FIDH says it is concerned by the lack of scrutiny of these alleged violations.

"This series of grave abuses confirms the concerns that we have been expressing for several weeks," said the group's president, Souhayr Belhassent.

"These acts of revenge together with the extreme tensions that exists between the communities constitute an explosive cocktail leading us to fear that the worst could happen, especially in the context of the reconquering the North."

MNLA rebels who returned to Mali well-armed from fighting for the late Libyan leader Moammar Gadhafi staged a military coup last year against the Malian government.

Islamic extremists capitalized on the chaos, carving out a large haven in Mali's north and imposing a strict interpretation of Sharia law. The Islamists banned music, smoking, drinking and watching sports on television. They also destroyed historic tombs and shrines.

Fellow rights group Amnesty International also has voiced concern over the actions of Mali's army.

"Particularly troubling is that among the Malian forces -- as well as pro-government militia -- are individuals who enjoy impunity for egregious human rights violations," wrote Scott Edwards, managing director of Crisis Prevention and Response at Amnesty International USA last week.

Among other abuses, an Amnesty report last year accused the Malian army of "indiscriminately" bombing the civilian population in response to the rebellion by armed Tuareg groups.

More signs al Qaeda in Mali orchestrated Algeria attack

Corinne Dufka, who heads Human Rights Watch in West Africa, told CNN on Thursday that education could help stem the "worrying number of reprisal killings."

"[It] should be a wake-up call not only to the Malian army to nip this problem in the bud and investigate and hold those responsible, but also to Mali's international partners -- the French, the European Union, the African forces who are coming in -- to acknowledge the weaknesses and problems within the Malian security forces, and then, to properly accompany them, to urgently train them in international humanitarian law and to mentor them so there are no further abuses in the future," Dufka said.

A CNN crew in Mali has heard anecdotal reports of abuses. It has encountered widespread hatred of the Tuareg in Mali, with many in the population blaming them for bringing the current conflict into Mali.

The CNN crew has heard reports that the houses and possessions of Tuareg families have been destroyed by either citizens or Mali's military.

Many Tuareg are in hiding or keeping a low profile for fear of retribution from the public and military. Tuareg in refugee camps have repeatedly said they had to flee Mali because of violence against them.

France's involvement in Mali began the day after militants said January 10 that they had seized the city of Konna, east of Diabaly in central Mali, and were poised to advance south toward Bamako.

Those events stoked fear among global security experts that Mali could become a new hub for terrorism.

The FIDH is a multinational human rights body made up of 164 groups across the world, with delegations at the United Nations in Geneva, the European Union in Brussels and the International Criminal Court in The Hague.

CNN's Ingrid Formanek reported from Mali and Joseph Netto from Atlanta, Barbara Starr reported from Washington, and Laura Smith-Spark wrote in London. Mark Morgenstein updated in Atlanta.

@highlight

NEW: Tuareg separatist group blame "terrorists" for Timbuktu's problems

@highlight

A French human rights group says it has confirmed a number of executions by Malian forces

@highlight

Amnesty International and Human Rights Watch have also voiced concern

@highlight

France and others are backing a Malian offensive against Islamist and Tuareg militants