(CNN)Lynsey Addario was five months pregnant and taking photos of skeletal children in the Horn of Africa, when she felt her own baby kicking for the first time.

"He came to life as a little person inside me as I entered Somalia, the land ridden with death," writes the Pulitzer Prize-winning photojournalist, of an assignment covering drought victims in 2011.

In Addario's line of work, death -- and new life -- abound. Since the mid-1990s, she has covered the Taliban in Afghanistan, the war in Iraq, the Syrian refugee crisis, and countless more conflicts for media outlets including Getty Images, The New York Times, and National Geographic.

Her spectacular and deeply intimate images shine a light on places few would dare to travel, and are now gathered together for the first time in a vivid memoir called "It's what I do: A photographer's life of love and war."

The pictures of malnourished toddlers in Somalia that day came as Addario was coming to terms with her own pregnancy. Until he started kicking inside of her, the 41-year-old had only ever thought of unborn son Lukas as a "pea" or "avocado pit."

This was an entirely new jolt of reality for the tenacious American photographer -- "Before Lukas, you know I didn't really think about my mortality," she told CNN.

"Becoming a mother hasn't necessarily changed how I shoot, but it certainly has made me more sensitive, and it certainly makes it much harder for me to photograph dying children," she said, her voice warm and raspy over the phone from New York.

That's not to say Addario has stepped away from the action since having a child with husband and former Reuters journalist Paul de Bendern; the family now based in London. After all, this is the same woman who covered a prisoner exchange in the Gaza Strip, while seven months pregnant with her first child, and less than a year after being kidnapped in Libya.

She still goes into war zones, though these days tries to stay away from the front line.

"I always knew my death would be a possible consequence of the work I do. But for me it was a price I was willing to pay because this is what I believed in," she said.

"Now I think 'OK, I want to cover that story, but how can I do it in a way that I can get home to Lukas?"

Motherhood isn't the only thing that's changed the stakes on the battlefield. Last month ISIS released a video showing the beheading of Japanese film-maker Kenji Goto -- the latest in a string of gruesome journalist deaths throughout 2014.

This is a dangerous new era for war correspondents in the Middle East, says Addario, who went undercover documenting the lives of women under Taliban rule well before 9/11 even happened.

When the Twin Towers fell, Addario was one of the few journalists to have an insider's knowledge of working in Afghanistan, and throughout the decade made a name for herself as one of the most accomplished reporters in the region.

"When I first started out I really felt like: 'I'm a journalist, I will be respected as a neutral observer," she said.  "And I don't feel like that holds true anymore. I don't think people respect journalists the same way they once did."

"In fact, we are a target because there's a bounty on our heads. ISIS can make a huge amount of money from journalists, though there are some countries who do not pay ransom like the U.S. or the UK."

Addario knows that danger first hand. In 2011, she and three other New York Times journalists were kidnapped by pro-Qaddafi soldiers in Libya, and over several horrifying days were bound, punched and groped, before being released.

She describes being blindfolded while one of her captors "caressed my face like a lover," repeating the same Arabic phrase over and over.

"Slowly he ran his hands over my hair and spoke to me in a slow, steady voice," Addario writes in her memoir.

"What is he saying, Anthony?" she asked one of her fellow captives. "Anthony took his time in answering. 'He's telling you that you will die tonight.'"

Addario not only lived through the ordeal -- within months she was back working in Senegal, Saudi Arabia, and Afghanistan.

If her experience in Libya didn't put her off -- what would?

"I'm at the point where I've been kidnapped twice, two of my drivers have died, I've lost so many friends, and every time something happens it does set me back a bit," she said matter-of-factly.

"But I don't think it's just one event that will basically turn me away forever, I just don't think that's the kind of person I am."

The youngest of four sisters born to Italian-American hairdresser parents in Connecticut , Addario's family home was "a kaleidoscope of transvestites and Village People lookalikes, a haven for people who weren't accepted elsewhere," she writes.

There was an open-door policy for the marginalized of society, and it put her in good stead for a life interviewing those living on edges.

"Now I go into all these situations and I really don't feel like I judge people -- I just accept people for who they are and record their stories," she said.

Even as we speak, the death toll from fighting in Ukraine rises, and while other people might thank their lucky stars they're far from the crossfire, Addario feels "constantly tormented but what I'm not covering."

"I feel bad that I'm not there," she said of the conflict.

"I know my perspective on these things is the complete opposite to so many people. But I feel a responsibility, I feel like I need to do it because I have the tools to cover war, and because I've done it for so many years.

"It's very hard to turn your back once you're aware of what's going on, and you're aware of the injustices, and you're aware of the civilian casualties," she said. "It's much easier if you have no idea and you've never seen it."

Indeed Addario's job is to keep her eyes open, where others must look away. She offers us a window into someone else's hell, and yet possesses a special talent for finding moments of tenderness and hope among the rubble.

Being a female photojournalist has also given her unique access to intensely private worlds, often out-of-bounds for her overwhelmingly male colleagues. She can capture the horror and determination of women in rape centers in the Democratic Republic of Congo; self-immolation patients in Afghanistan; and death during childbirth in Sierra Leone.

It takes a strong stomach -- and mind -- for this line of work, and Addario's book opens with a gruesome description of an airstrike in Ajdabiya, Libya.

"There was part of a brain on the passenger seat; shards of skull were embedded in the rear parcel shelf. Hospital employees in white medical uniforms carefully picked up the pieces and placed them in a bag," she writes.

How does she cope with the unimaginable horror year after year?"

I do take it away with me, and I'm sure I do suffer from trauma. But I feel as though I'm pretty well adjusted," she said.

"I do think that the more I cover war, the luckier I feel. I was born in the U.S.... in Connecticut of all places, and so I think it's very important to not forget that."

Perhaps covering war doesn't require a hardened heart -- just an exceptionally large one.

@highlight

War photographer Lynsey Addario has been kidnapped twice -- why does she keep going back?

@highlight

New book "It's what I do: A photographer's life of love and war," powerful insight into remarkable career