(CNN) -- Professor Peter Furth has ridden his bicycle to work at Northeastern University each day for the past six years. The two-mile trip through the Boston suburb of Brookline, Massachusetts, is usually without incident.

Furth's journey is worlds apart from his former Boston commute, which for 13 years was a battle with drivers who wanted him on the sidewalk.

"I've had motorists that drive a couple of inches from my elbow, trying to scare me," he said.

Furth would catch up with drivers at stoplights and ask them whether they knew how close they'd come to hitting him. Invariably, they would say, "Yes, move over."

It's a cultural thing, he said.

In the town of Cambridge, motorists see bicyclists all over the place and are considerate. In Brookline, only every now and then does someone honk or yell.

In the southern part of Boston, it's not quite war, but the relationship isn't very friendly.

Although the street signs say "Share the road," there's still a long road to travel before that sign reflects the reality, bicyclists say.

Motorists often see bands of bikes on the streets on the final Fridays of each month as cyclists across the nation gather for evening group rides called Critical Mass.

The purpose, advocates say, is to make cars and trucks more aware of bicyclists.

But to some drivers, Critical Mass participants are nothing more than spandex-wearing, stop-sign-running Lance Armstrong wannabes who slow traffic.

'They think they own the road'

It's somewhat symbolic of the tension on the roads.

"The roads were made for cars," KTAR-FM radio guest host John Hook said in Phoenix, Arizona, last month. "And bicyclists share the road, but sometimes they think they own the road."

One caller to the program was a long-haul truck driver who accused many bicycle riders of failing to respect the law and not riding with the flow of traffic.

A caller who identified himself as Jeff said he witnessed an incident in which a pack of bicyclists almost hit a car that had the right of way. Then the riders screamed at the motorist.

"I actually think the bikes are more disrespectful to the cars than the cars are to the bike," Jeff said.

The number of cyclists is increasing.

Although bike sales took a dip during the recession of 2009, more than 18 million were sold each year for the seven previous years, according to the National Sporting Goods Association.

About 27 percent of adults in the United States bike at least once a summer, according a survey released in 2008 by the National Highway Traffic Safety Administration.

Most bicyclists ride for recreation or exercise, while a small percentage ride to work. In Portland, Oregon, which is ranked second on Bicycling magazine's list of Top 50 Bike Friendly Cities, more than 6 percent of residents commute by bike to work. That's up from 1 percent two decades ago.

See a map of the top 10 bike-friendly cities

Things are looking up, at least in the eyes of cyclists. Many cities are putting in bike lanes and paths.

Google adds bike routes to maps

More than $730 million in federal stimulus funds has been allocated for bike and pedestrian projects, according to AmericaBikes.org.

Washington is getting into the act. U.S. Secretary of Transportation Ray LaHood drew cheers from the cycling world in March when he blogged that the administration was "integrating the needs of bicyclists in federally-funded road projects" and advising state departments of transportation to treat biking and walking "as equals with other transportation modes."

That drew an outcry from industry, which saw the new policy as taking money away from large transportation construction needs.

"Treating bicycles and other non-motorized transportation as equal to motorized transportation would cause an economic catastrophe," Carter Wood, a senior adviser at the National Association of Manufacturers, told The New York Times. "If put it into effect, the policy would more than undermine any effort the Obama administration has made toward jobs. You can't have jobs without the efficient movement of freight."

Five blocks of controversy

Michael Ritchey is an avid biker and believes that bike lanes are good idea. He just thinks the project to add them to a five-block stretch of Hillsborough Street in Raleigh, North Carolina, is folly -- and dangerous.

Hillsborough Street is one of the main arteries in Raleigh and borders the northern part of North Carolina State University and its 30,000 students. There are bars and shops and small restaurants. And lots of cars.

The city, working with the state, has decided to redo the four-lane road, and when the project is done, there will be two lanes for cars, a center median and bike lanes on each side. Ritchey, who owns Global Village Organic Coffee and is a weekend cyclist, fears that bikers will get hurt.

"They are putting [the bike lanes] in the wrong place," he said. "It's more of a symbolic gesture."

And it doesn't help that the relationship between cars and bicyclists in the city is "antagonistic at best," he said.

Ritchey is worried that distracted college students won't be on the lookout for bikers and someone will get hurt when a car door opens at the wrong time or someone texting will have an accident (he's seen that twice with cars). He said one of his business neighbors opposes the projects because he fears that he will lose parking spaces in front of the bar.

City councilwoman Nancy McFarlane points out that the bikers are already there on Hillsborough and other in-town streets, and the city of 348,000 is growing quickly. Many people are moving into the downtown area, and last year, the city revised its comprehensive plan.

"The old one was all about the car, and we want to become a multimodal city," she said. "That includes bikes, buses and light rail."

Steve Waters is one resident in favor of bike lanes. The freelance programmer works at home and uses his bike for short errands. He said that although some Hillsborough Street business owners might be concerned about losing money because of less car traffic, the opposite is likely to happen.

"It enhances the local economy," he said. "It's all about creating options."

Bicycling.com: The best road bikes of 2010

Not every street should get a bike lane

Although opponents say the money is better spent on other road projects, cycling advocates say the lanes are needed to make the roads safer and less congested.

Denver, Colorado, is ranked 12th on Bicycling magazine's list. The city has little room for new roads, municipal bike planner Emily Kreisa said. She said Denver is interested in using bicycles to eliminate congestion and to help the environment, but they don't just add a bike lane anywhere.

Bicycling.com: Five cities to watch

"We look at the traffic volume, the turning issues and how much room we have in the right of way," she said. "In choosing any kind of [project], the first thing is what is the connection to the system, then what is the characteristic of the road and then how do we need to provide for the cyclist."

Denver received $250,000 of stimulus money for cycling projects and is going to add 11 miles of bike lanes. The city is using its own funds to paint sharrows (painted bike symbols on the asphalt with arrows showing cyclists the way) to connect the roads of the network.

Kreisa, who bikes 10 miles to work, says Denver is by far the easiest place she has commuted on two wheels.

"I've had one person honk at me and one person tell me to move over to the right," she said of her two years in the city. "There are a lot of active people here who are also cyclists."

@highlight

Number of U.S. bicyclists is increasing, according to government study

@highlight

More than $700 million in stimulus funds is being used for bike and pedestrian projects

@highlight

Critics question project in North Carolina that would add bike lanes to busy street

@highlight

Cities should choose wisely where to add lanes, paths, expert says