(CNN) -- You know about the obvious impacts of the government shutdown: federal workers idled, offices closed, funding disrupted for all sorts of activities.

But some of the impacts are less obvious, more outrageous, or a little bit of both.

Here's a sampling of some of the spinoff effects of the shutdown showdown in Washington:

State Department defends $5 million for high-end glassware

Shuttered Websites

In the digital equivalent of throwing a sheet over unused furniture, many federal agencies have replaced their websites and all the information on them with static pages announcing the government shutdown.

Whether a website will be up or not, however, is something of a guessing game.

The National Parks Service site is down. It sends visitors to the Department of Interior's website, which is up but not being updated.

The Department of Justice website is up, but the website for its subordinate agency, the Bureau of Justice Statistics, greets visitors with a stark white page reading, "Due to the lapse in federal funding, this Office of Justice Programs (OJP) website is unavailable."

That you can still reach the websites mean the computers that serve the data are still up and running, and the government is either paying a private company to operate them or they're using taxpayer-funded power to continue running.

But it doesn't matter if running the sites with big "closed" sign draped across the front costs the same or even more than letting them run, the White House said in a September 17 memo to federal employees.

"The determination of which services continue during an appropriations lapse is not affected by whether the costs of shutdown exceed the costs of maintaining services," according to the memo.

Icing Antarctic research

While NASA has the okay to keep supporting U.S. astronauts at the International Space Station, the same apparently isn't true of scientists at what may be the United States' next most desolate outpost: Antarctica.

The National Science Foundation said Wednesday that it would run out of money to keep the U.S. Antarctic Program going by October 14.

So it's putting the program into "caretaker status," leaving research stations and other facilities staffed with only the bare number of people necessary to "ensure human safety and preserve government property," the agency said.

That means many of the scientists who would be heading to the program's Antarctic research stations to work over the Southern Hemisphere's summer, which begins in December and runs February, are in limbo.

The agency says it will try to restart the research program once funding resumes, but says that it could be tough once seasonal workers are let go and the seasonal window to do some of the work has passed.

Emptiest catch

The shutdown also could make its way to your seafood dinner plate.

Without federal employees to set rules and quotas for the fishing season, crab fleets in Alaska are in limbo -- unsure whether they'll be able to head out in pursuit of lucrative crab that bring in millions of dollars each season.

A delay of even a few days could be costly, Rep. Suzan DelBene, D-Washington, said in a House speech last week. Her district includes the home port for some of the fleets that fish for Bering Sea crab.

What you need to know today

"A delay could mean they'll miss out exporting to the all-important Asian holiday market when demand is at its highest and most lucrative," she said.

That could cost the industry millions, dealing it what she called a "crippling blow."

One fishing captain told CNN affiliate KIRO that the delay threatens what they call the "Super Bowl of crab fishing."

"We think of a lot of other things besides the government affecting our fishing -- weather, boats, crew," said Capt. Moore Dye of the fishing vessel Western Mariner. "This has really caught us off guard."

No shutdown for House gym rats

Move along, nothing to see

No, the Obama administration has not deployed helicopters to hover in front of Mount Rushmore National Monument with a giant, view-obscuring sheet, as the rumor-busting site snopes.com debunked last week.

But federal officials did -- for a time at least -- put traffic cones up at a pull-off where people stop to view the carving from a distance. Depending on whom you ask, the cones were either to block motorists from pulling off or to guide them into viewing areas.

"They won't even let you pull off on the side of the road," the Argus Leader newspaper in Sioux Falls, South Dakota, quoted state Tourism Department Secretary Jim Hagen as saying. "I just don't know what they're trying to accomplish."

The newspaper said park officials told the state the cones were meant only to channel motorists into viewing sites. They went up October 1, the day the shutdown began.

Federal officials removed the cones for at least a while after a snowstorm hit and crews needed to plow the roads, the newspaper reported.

"Once the snow's off the ground, we're going to be keeping an eye on how the cones go up," the newspaper quoted the governor's chief of staff, Dusty Johnson, as saying.

On shutdown's 9th day, survivors of fallen troops take center stage

Don't go in there

The area around the Grand Canyon is a ghost town. It's no different inside, and park rangers are working to keep it that way, according to The Republic newspaper in Arizona.

Park officials have written about two dozen citations for people trying to sneak into the park. Some have been caught at the canyon's South Rim, others on trails or attempting hikes, the newspaper reported.

Shutdown leaves ranchers in the cold, blizzard kills their cattle

Don't 'recreate'

According to the Eagle-Tribune newspaper of North Andover, Massachusetts, tourist Pat Vaillancourt said National Park Service Guards held her tour group under armed guard in a Yellowstone National Park hotel and brusquely told tourists who had filed off their bus to take pictures of bison that they weren't to "recreate."

The tour guide argued to rangers that the tourists -- some of them from overseas -- weren't "recreating," just taking pictures.

"She responded and said, 'Sir, you are recreating,' and her tone became very aggressive," the newspaper quoted Vaillancourt as saying.

Yellowstone spokesman Al Nash, who despite being furloughed was asked by park officials to respond to some media inquiries when available, said hotel guests were never held under armed guard.

He acknowledged that tourists were frustrated by limitations imposed by the shutdown -- he said parks officials were, as well.

Ted Cruz: Democrats' new bogeyman

And stay out!

A Nevada couple said they were kicked out of their home in the Lake Mead National Recreation Area, CNN affiliate KTNV reports.

Retirees Joyce and Ralph Spencer own a cabin on federal land, and were told last week they had 24 hours to clear out and stay out until the government reopens.

Park officials gave KTNV a statement saying overnight stays are not allowed in the park until funding is restored, but said owners can visit their properties to retrieve belongings.

While the decision has angered some commenters on KTNV's story -- some of whom suggested the decision to kick out property owners was made out of spite and encouraged the couple to sue -- Joyce Spencer said they're taking the situation in stride.

While they'd like to be allowed back in their home, the worst impact has been that she had to buy her husband new clothes they forgot while packing up to leave their cabin.

"We're not hurt in any way except it might cost me if I have to go buy more pants," she told KTNV.

World worries: Can it count on U.S.?

@highlight

NEW: Some websites down, others up; Antarctic research program iced

@highlight

Rangers are ticketing people who try to sneak into the Grand Canyon

@highlight

Crabbers can't fish without federal permits

@highlight

Homeowners on federal land have been kicked out