(CNN) -- In a headline that calls out for attention -- "A Gender Reversal on Career Aspirations" -- the Pew Research Center reports that two-thirds of young women now say "being successful in a high-paying career or profession" is one of the most important goals in their lives.

While it may not be surprising that these women express more ambition than their mothers and grandmothers, it is surprising when they also display more ambition than their male peers. Is this a sign, then, that we are witnessing "a gender reversal"? Or does it represent a kind of denial -- on the part of young women and men -- about the obstacles they will ultimately face at the workplace and in life?

In the same poll, marriage and parenthood remain important life goals for all young adults, with 86% of women and 82% of men listing marriage as "very important" or "one of the most important things" in life. Children are even more desired, with 95% of young women and 90% of young men placing "being a good parent" in these same categories.

Yet young people's actions, at least when it comes to family commitments, appear at odds with these stated aspirations.

Young people are not only postponing marriage, they are also far more likely than earlier generations to believe it is better to stay single than to enter or stay in a dissatisfying relationship. Moreover, while young women see marriage as desirable, they do not believe it is essential to their own happiness or to becoming a parent.

The gap between young women's high aspirations -- for relationships and parenthood along with paid work -- and their increasing tendency to remain "on their own" suggest that they are hardly naive.

On the contrary, their career goals represent a realistic and cool-eyed assessment of how best to secure their own well-being, along with the well-being of any children they bear. In a world where women know they are likely to shoulder the responsibilities of supporting a family, often on their own, it is more dangerous to scale back ambitions than to give in to the obstacles they know they will likely encounter.

Focusing on self-development at the workplace does not, however, mean jettisoning hopes for a rich family life. When I interviewed young people about their experiences and outlooks, I found that women and men alike overwhelmingly say they want to combine committed work with a satisfying lifelong partnership between equals. They are also rightly skeptical about their chances of achieving this high standard.

Women are particularly aware of how hard it is to sustain a relationship, especially in the context of persistent work-family conflicts and rising financial uncertainty. An egalitarian partnership may be the ideal, but most young women see self-reliance through paid work as essential to their survival, offering the option to choose the right relationship, maintain a measure of autonomy within it and go it alone if nothing better comes along.

So what about young men?

Men's prospects have dimmed in finding the kind of stable jobs and careers their fathers and grandfathers took for granted. With the uncertainties of the new economy, where few jobs offer lifetime security, men's scaled back aspirations are as understandable as women's rising goals. Men, too, are caught on the horns of a dilemma, torn between the difficulty of establishing a steady career and strong pressures to define their worth by the size of the paycheck.

As women's career aspirations rise and men's tumble, this declining gender gap should serve as a wake-up call. Younger generations want to combine the personal pursuit of challenging, well-rewarded paid work with the pleasures and responsibilities of a committed family life. In fact, earlier Pew surveys found 73% of Americans believe that women's employment has been a "change for the better," while 62% say that sharing the responsibilities of paid work and rearing children is "more satisfying than a more traditional marriage."

But as long as careers require unfettered, constant devotion and caretaking remains undervalued, privatized and penalized, the goal of striking their desired balance between paid work and the rest of life will remain illusive for young women and men alike.

The answer is to stop worrying about a gender reversal and focus instead on the institutional and cultural changes -- such as flexible careers and supports for caretakers of all stripes -- that will make genuine equality possible. It is past time to finish the gender revolution that began with women's march into the workplace.

The opinions expressed in this commentary are solely those of Kathleen Gerson.

@highlight

Pew poll reports that young women have higher earning aspirations than young men

@highlight

Kathleen Gerson: Young people's actions appear at odds with what they say

@highlight

Since traditional gender roles are eroding, young women value careers, says Gerson

@highlight

She says new generation wants work life balance, but there are many challenges