Washington (CNN) -- The House Ways and Means Committee is the oldest, and arguably the most powerful, in Congress with members responsible for writing the nation's tax laws.

But a CNN investigation of all 39 Democrats and Republicans on the committee found that at least eight members have faced tax problems of their own.

For example, New York Rep. Tom Reed has been late paying his property taxes at least 46 times since 2005. And he racked up more than $6,200 in penalties and interest on more than $100,000 in taxes, according to county records.

On a stunning lake house in New York's Finger Lakes region and a home in Corning, Reed missed a combined 16 tax payments over nine years.

On three other buildings in Corning and another in Bath Village, Reed had a total of 20 late payments over eight years.

And on a mobile home park and two other commercial properties, Reed was late on his taxes 10 times since 2007, according to county records.

So what happened?

"You know it's just like a lot of people, these are things that just happen and they were paid within the allotted time," Reed told CNN.

But unlike a lot of people, Reed is charged with writing the nation's tax laws.

Asked if he should be helping to write laws he has trouble following, the Republican lawmaker said, "Well, I mean these are real property tax bills, which is different than what the Ways and Means does with income tax bills. And I mean we're paying them, we paid them within the allotted time and that's it."

Reed likened the late tax payments to missing a utility bill, saying that while he was late -- and paid penalties because of it -- the taxes never went unpaid.

Steve Ellis of the watchdog group Taxpayers for Common Sense said that "lots of Americans run afoul of tax laws, but you'd think the people who are actually writing it wouldn't get this wrong."

But they do.

Take Ohio Republican Rep. Jim Renacci, for instance.

He fought state tax officials for years, refusing to pay nearly $1.4 million in back income taxes, interest and penalties.

Renacci declined several interview requests, but a spokeswoman issued a statement.

Renacci was "appealing an attempt by the new tax commissioner to impose a unilateral and retroactive tax on Ohio taxpayers. In a 3-2 split decision, the state Supreme Court ruled that the commissioner had the authority to impose the retroactive tax. At that time, while he strongly disagreed with decision to levy taxes retroactively, Jim Renacci paid the assessment in full, including interest and penalties," the statement said.

But the Ohio tax commissioner categorized Renacci's battle differently, writing in his final determination that his fellow Republican "failed to act in good faith."

Another Ohioan, Rep. Pat Tiberi, was criticized for not paying employment taxes on his campaign workers. Instead of hiring employees for the 2008 and 2010 campaigns, he hired consultants as independent contractors -- and avoided the payroll taxes.

The Republican said he followed IRS rules.

"We have a tax lawyer. That's part of the reason why campaigns are so expensive because we have a CPA who does our filing," he said. "We have tax lawyers that are on call to make sure that we follow the letter of the law."

But Ellis called the lawmakers' tax problems "outrageous."

"Nobody wants to feel like a chump when they're paying their taxes and if they see that their lawmakers, the ones who actually write the tax laws, aren't paying their bills, it's going to make them wonder why they're paying theirs," Ellis said.

Some of the transgressions were relatively minor.

For instance, Wisconsin Republican Rep. Paul Ryan had to pay a $59 fine after understating his income. And Indiana Republican Rep. Todd Young paid $1,500 in tax penalties after a mortgage escrow mix up.

"I accept full responsibility for past late payments, and have paid all taxes and fees I owed. I regret the errors and offer no excuses," Young told CNN in a statement. "Since then, I have taken corrective action to ensure this doesn't occur again."

Tennessee Republican Rep. Diane Black's situation was a bit more complicated.

A property that she and her husband own racked up almost $4,000 in penalties and interest after her husband's business paid the bill late. A spokesman explained that the company did not receive the tax notice, but paid the bill the day that company officials learned it was overdue.

Florida Republican Vern Buchanan's run-ins with the IRS make him the frontrunner for most expensive tax problem, costing him $2.5 million.

Buchanan fought the IRS contention that he owed an additional $1 million in taxes. In 2002, after years of fighting, he paid $1.2 million in taxes -- the amount he insisted he owed -- plus another $1.3 million in penalties and interest he racked up during the fight.

Finally, there's New York Democrat Charles Rangel. He lost his chairmanship of the committee in 2010 and was censured in part for his failure to pay taxes on rental income from his swank villa in the Dominican Republic.

Yet years later, both Rangel and Buchanan still sit on the committee.

How Washington spends your taxes

CNN's Scott Bronstein and Curt Devine contributed to this report.

Watch The Lead with Jake Tapper weekdays at 4pm ET. For the latest on The Lead with Jake Tapper click here.

@highlight

Eight of the 39 members of House Ways and Means have had tax issues of their own

@highlight

Committee is responsible for writing the country's tax laws

@highlight

Issues range from a $59 late payment to a $2.5 million tax bill

@highlight

Some of the issues with congressional lawmakers involve state and local taxes