(CNN) -- Call it a meteorological mystery: Forecasters warned that there would be at least six Atlantic hurricanes this season, but so far we've seen only one.

It's the first year in recent memory that every major hurricane forecast has busted after pointing to "above normal activity."

We are passing the season's halfway point. Normally, the Atlantic would see its first hurricane by August 10, and a major hurricane (Category 3 or higher) by September 4. 

But this year is not normal.

2013's first hurricane -- Humberto -- was a month late. It was so behind schedule it nearly set a record for tardiness.

Although the number of 2013 Atlantic storms is above average -- at nine so far -- the intensity of those storms hasn't matched the forecasts. Humberto -- a Category 1 with winds under 95 mph -- ranked nowhere close to a major hurricane when it spun out harmlessly in the mid-Atlantic.

What's going on here? Climate change? El Niño? Something else?

Experts don't have a full understanding, but three things are getting the blame:

--In the eastern Atlantic, where hurricanes are often born, African desert air is drying the moisture that hurricanes need to form.

--In the western Atlantic and Gulf of Mexico, fast horizontal winds have been cutting off the tops of potential hurricanes, sapping their power.

--Experts speculate that dry air from Brazil's drought may be another factor.

Chad Myers explains this strange hurricane season

Respected veteran hurricane scientist Bill Gray of Colorado State University has pretty much given up for this year.

His research group predicted eight hurricanes this season.  "The forecast up to now is a bust," says Gray. "The second half of the season will be more active," he predicts, with as many as five more hurricanes. Even with the most sophisticated prediction techniques, Gray says, "there's still 40 or 50% of variations in tropical storm and hurricane activity that we can't explain."

Poking fun at his government rivals, Gray jokes about "reports of a suicide watch" among the meteorologists who worked on this year's National Weather Service forecast. Nonetheless, the feds are standing firm.

Unlike Gray, they're not ready to cry uncle.

"Our forecast remains the same," weather service spokesman Chris Vaccaro said. "We're sticking by it."

The NWS -- last May -- initially forecast 13 to 20 "named storms," including seven to 11 hurricanes. Then in August, it dialed down that initial forecast to predict 13 to 19 named storms, including six to nine hurricanes.

So far, including Humberto, we've seen nine named storms. From the weather service's perspective, that statistic shows its forecast remains valid.

"In some ways we're ahead of schedule," says Vaccaro. "And in late September and October there's plenty of time for the number of tropical storms and hurricanes to climb." According to the weather service forecast, at least four more tropical storms or hurricanes will form in the next 11 weeks. That's 77 days, or one storm forming every 19 days.

It would be a mistake to believe that the second half of any hurricane season would resemble the first half, says Vaccaro, who stresses that we're not experiencing a "lull." "Historically speaking, June and July and the first part of August are typically fairly quiet," he says. September, he warns, is the time when storms can start to get get serious.

Some key examples:

-Hurricane Gloria hit the eastern United States in September 1985.

-In 1938 a disastrous hurricane tore up parts of the northeast, also during the month of September.

-In 1998 one of the deadliest storms on record, Hurricane Mitch, raked the Caribbean and Central America after forming in late October.

-Hurricane Sandy, which altered so many lives last year when it slammed into much of the Eastern Seaboard, didn't appear until October.

-Although Andrew devastated South Florida in late August, it was the first hurricane of 1992, a season that overall turned out to be below normal.

-In 2002, Gustav, the first hurricane of the season, didn't occur until September. Weeks later in early October, Hurricane Lili made a destructive landfall along the Louisiana coast.

There's also always the possibility of a freak storm after the season ends, says Vaccaro. "Nature sometimes throws us a curve ball as it has in the past when we've seen storms develop in the month of December."

How likely is it that the weather service forecast will pan out? In this crazy year, it's anybody's guess.

Hurricane watchers point out that there are more signs that something may be amiss:

--The Accumulated Cyclone Energy index -- a rating system that compares the intensity of storm seasons -- would normally be around 55 for the Atlantic. It's now a paltry 16. Globally the rating is a stunning 255, roughly half of what we should see this time of year.

--When an ocean basin kicks up a fuss on one part of the globe, usually another ocean basin is quiet. Nature tends to balance itself that way. This year, according to the ratings, storm activity in all the world's ocean basins is below normal. This adds even more to the mystery.

--This year there is no El Niño, which would keep the season quiet, or La Niña, which would fuel a more active season. Atlantic surface temperatures continue to be above normal, which also would help stir up storms.

--Climate change? As you might expect, opinions differ. Some researchers say global warming from the buildup of CO2 carbon gas pollution in the atmosphere will lead to more frequent and more powerful hurricanes. Some studies support that hypothesis, while others are less convinced. Although scientists are 95% sure that CO2 is warming the globe, they're not certain about how that affects hurricanes. "There are mixed signals," says Vaccaro. "So the jury's still out and research is ongoing."

Related: Silent hurricane season fuels debate over global warming

At the National Hurricane Center in Miami, they're comparing this year to "a slow first half of a slow football game," says hurricane center spokesman Dennis Feltgen.

"It really doesn't matter how many storms form out there," Feltgen says. "If one gets to you, it's a bad year."

The news media isn't making too much of this strange season, he says.

But he warns, don't be fooled by it. Be prepared.

The mystery has grabbed the attention of Gray and other scientists, who are looking forward to analyzing all the data. Who knows? We may learn a few things.

"We'll figure it out," says Gray. "Let's see what the rest of the season brings."

CNN Meteorologist Chad Myers and producer Sean Morris contributed to this report.

@highlight

Number of 2013 Atlantic storms is above average, but intensity hasn't matched forecasts

@highlight

Halfway into season, Atlantic has only seen one hurricane -- a weak one named Humberto

@highlight

Weather service stands by forecast for 13 "named storms," including 6 hurricanes

@highlight

Experts were surprised by hurricane-killing dry African air and high Gulf winds