(CNN)By now, you probably have a position regarding the controversy over Indiana's religious freedom law.

You applaud the growing chorus of companies blasting the law as an invitation for businesses to discriminate against gays and lesbians, using religion as a cover.

Or, like Indiana Gov. Mike Pence, you are surprised at the backlash and maintain that it is basically a copy of a law that is already in the books at the federal level and 19 other states.

The issue drives a wedge because, well, the debate over religious freedom and gay rights is always heated, but also because the interpretations and motives behind the law can be questioned.

Whichever side you're on, here are five things you might not have considered when thinking about this controversy. These points might not change your mind, but offer context to better understand the uproar.

As the author of the 1993 federal Religious Freedom Restoration Act (RFRA), Sen. Chuck Schumer is one who can offer clarity over the controversy surrounding Indiana's version of the law.

Schumer mocks Indiana's contention that the state law is simply a mirror of the 22-year-old federal law. "That may be true only if you're using a Funhouse mirror," Schumer wrote on his Facebook page.

The federal law was intended to protect individual's religious freedom from government intervention, he said. The Indiana law justifies discrimination in the name of religious freedom, he contends.

Also, the law was envisioned to protect the religious freedoms of individuals, while the Indiana law also protects private companies, Schumer said.

So, how can the law's supporters claim it is basically a copy of the federal law?

If you look at the purpose of the law, the language in the federal and Indiana religious freedom laws are indeed  nearly indistinguishable. In short --  the government cannot interfere with a person's religious practices unless there is a compelling government interest to do so.

The uproar is over that fact that the Indiana law expands the reach of the religious protections to include private companies and cases where the government is not involved.

Other states previously passed their own version of the religious freedom law -- Indiana became the 20th. But other state laws mirror the federal law much more closely than the Indiana law does.

The key difference in the Indiana law is that it expands the instances where someone can use religious freedom as a defense.

This is how it could make a difference:

In 2006, Vanessa Willock contacted a photographer about shooting her commitment ceremony with her partner. This was in New Mexico, a state with a religious freedom law at the time of the dispute. The company, Elane Photography, refused the job because of the co-owner's religious beliefs.

Willock sued Elane Photography for discrimination, and the company defended itself by citing the law. The photography studio lost the case because the court ruled that it could not use the religious freedom law because the dispute was between two private parties and not a government entity.

What would happen if that case happened today in Indiana, with the new, expanded religious freedom law?

For sure, the case would have proceeded to trial, said Tim Holbrook, a law professor at Emory University. The photography studio would have had the chance to make its argument in court that it denied the service because of religious reasons.

Would the outcome have been the same? Would an Indiana jury side with the company that refused service to a couple because of their sexual orientation?

In a letter expressing concern about the Indiana law, a group of 30 legal scholars argued that what Indiana has done is expanded the scope of the law to the point that religious considerations might trump discrimination concerns.

"In our expert opinion, the clear evidence ... unmistakably demonstrates that the broad language of the proposed state RFRA will more likely create confusion, conflict, and a wave of litigation that will threaten the clarity of religious liberty rights in Indiana while undermining the state's ability to enforce other compelling interests," the letter, whose signatories included many Indiana law professors, stated.

These concerns are based on speculation of what might happen, said Josh Blackman, a constitutional law professor at South Texas College of Law.

Yes, the Indiana law makes it clear that individuals and private companies can use the religious freedom law as a defense, he said. "But, just because you raise the defense does not mean it will be successful."

Those who try to defend their discriminatory actions in court tend to lose, Blackman said. In his opinion, if Elane Photography had been able to use the law as a defense in New Mexico, it still likely would have lost the case.

What's clear is that Indiana's law increases the potential pool of people who can defend themselves claiming religious freedom. The success of such arguments is to be seen.

In the meantime, some are already hatching plans on how to test the law, including Bill Levin, founder of The First Church Of Cannabis, who argued on CNN that the law should protect his right to smoke pot.

Much is being made of the fact that the first religious freedom law was signed by President Bill Clinton more than 20  years ago. There was bipartisan support in 1993, so why the commotion over a similar law in 2015, some ask?

Context, timing and intent have changed the way these laws are viewed.

The federal law was written by two Democrats, Schumer and the late Sen. Edward Kennedy. Today, it is being championed by Republicans.

The law came into being after two Native Americans in Oregon were fired from their jobs at a rehab clinic because they had consumed peyote, the hallucinogenic cactus. They were denied unemployment benefits, and they sued the state, claiming that the peyote was part of their religious customs.

They lost the case.

There was outrage over the decision, and the law was created as a remedy. As envisioned by its authors, it would protect the freedoms of religious minorities.

Over the years, the law helped a number of people -- a Muslim prisoner won the right to grow a short beard, a Santeria priest was allowed to sacrifice a goat on special religious occasions, and a Native American boy received an exception to his school's policy banning long hair on boys.

The law was on the books for years, with little attention paid to it.

But Holbrook says it is no coincidence that the religious freedom laws became popular at the state level just as the gay rights and marriage equality movement made historic steps.

Many states are using the laws to carve out exceptions to allow Christians to deny services to same-sex couples. Holbrook said.

"The timing is beyond a coincidence," he said. "We are having an interest in RFRA at the time same-sex marriage is coming forward."

Though not enshrined in the law, critics accuse the states pursuing the laws of using them to justify discrimination by the majority religion.

Blackman said the history of the state religious freedom laws shows that they have not turned into conduits for discrimination.

The expanded laws might mean more people will defend themselves using it, but most will likely lose, he said.

"The moral outrage over this reflects how uninformed people are on the history of the RFRA," he said.

So we've established that the biggest difference between the federal law and the Indiana law is the scope: In Indiana, the law can be raised as a defense in private disputes, while the federal law applies only to government matters.

Not so fast.

According to Blackman, the interpretations of the federal religious freedom law are not uniform.

Four U.S. circuit courts of appeals have ruled that the federal law can be used as a defense in cases involving private parties. Two other appeals courts have ruled that this is not allowed.

And then, there is the Hobby Lobby case.

Hobby Lobby, citing the federal religious freedom law, argued that it should not have to provide contraception coverage through insurance to its employees via Obamacare because it was against the owners' beliefs.

And, Hobby Lobby won the case before the Supreme Court.

The ruling, in effect, expanded the reach of the federal law to include a business. The Hobby Lobby decision, plus the appeals courts rulings, may have opened the door for states like Indiana to be explicit about its expansion of the law.

One way to look at it, Blackman said, is that Indiana simply clarified and codified something that is hazy in the federal courts.

The outrage over the Indiana law is that it can be used to deny services to the LGBT community on the ground of religious beliefs.

Some may rightfully ask, "Where was the outrage before the religious freedom law?"

Indiana does not have an nondiscrimination law that protects people based on sexual orientation or gender identity. In that sense, the religious freedom law is not necessary for those who want to discriminate against gays and lesbians.

Even before the controversial Indiana law was passed, if a restaurant denied service to a gay couple, the couple might be able to sue, but not for discrimination.

For that matter, there is also no federal law that protects the LGBT community.

According to the Human Rights Campaign, lesbian, gay, bisexual and transgender people are sometimes fired, denied a promotion or harassed in the workplace. And their recourse is limited.

With the proliferation of religious freedom state laws, nondiscrimination laws become even more important.

Another hypothetical outcome of the New Mexico case involving the lesbian couple and the photography studio. If New Mexico had the same religious freedom law as Indiana, the case would have gone to trial. But New Mexico has a nondiscrimination law that protects the LGBT community, it and it would have provided a strong counter-argument to the religious freedom claim.

In Indiana, that protection would be lacking. (It gets more complicated when some local governments, like the city of Indianapolis, do have nondiscrimination ordinances).

For this reason, Holbrook suggests that a "fix" for the Indiana law would be the passage of a nondiscrimination law. Or, at the very least, an exception written into the religious freedom bill that protects from such discrimination.

@highlight

The controversy over Indiana's religious freedom law is complicated

@highlight

Some factors you might have not considered