Bangkok, Thailand (CNN) -- Thailand's military announced Thursday that it has taken control of the government.

Here's what that means for travelers visiting one of Asia's most popular tourist destinations.

The biggest implication of the coup -- declared after rival factions were unable to come up with a suitable agreement to govern -- is the nationwide curfew, in effect from 10 p.m.-5 a.m. until further notice.

However, the military said air passengers with arrival and departure flights scheduled during the curfew are permitted to travel to and from the airports at any time, and are advised to carry a printout of their flight itinerary.

All airports in Thailand remain open and flights are still operating as scheduled.

On the ground in Bangkok and beyond

On the ground in Bangkok on Friday morning, streets are calm and most residents are carrying on with their lives as normal, though military checkpoints have been set up at various locations throughout the country.

Since the coup announcement was made, protest groups on both sides have dismantled their camps in line with the army's ban on gatherings of five people or more.

The military announced a nationwide closure of schools until Sunday, though some international schools remained open.

All foreigners, regardless of whether they are tourists or residents, are advised to carry their passports with them at all times.

Tourist attractions, government offices, embassies, shops, restaurants and malls are still open, though some have adjusted their hours in line with the curfew.

All Bangkok expressways currently remain open.

The city's BTS Skytrain, MRT subway, Suvarnabhumi Airport Rail Link, public ferries and trains continue to operate, though hours have been adjusted in line with the curfew.

Taxis were reportedly available at both airports for passengers arriving after the curfew, though travelers posting on social media reported experiencing longer lines than usual.

All popular tourist destinations outside of Bangkok, including Phuket, Chiang Mai and Krabi, are all operating as normal and there is a limited military presence on the streets, according to reports, though popular night spots closed early on Thursday night due to the curfew.

Television and social media

All state-run, satellite and cable TV providers have been ordered to carry only the signal of the army's television channel.

CNN is among those networks that have been taken off the air.

In an announcement on their Facebook page, the military government announced that Thai citizens should not believe rumors that they will shut down the internet, social media or Youtube.

Though there are reports the military is monitoring social media and will block any content perceived as a threat to national security, as of Friday morning all websites and apps were working normally.

With TV stations now off the air, Twitter is one of the best ways to get real-time information on the situation in Bangkok.

Richard Barrow, a full-time travel blogger based in Bangkok, is a top source for those seeking news about the protests as well as travel advice. He can be followed at Twitter.com/richardbarrow.

Local English-language media on Twitter include the Bangkok Post: Twitter.com/BPbreakingnews; The Nation: Twitter.com/nationnews; and MCOT: Twitter.com/MCOT_Eng.

Government warnings

Tourists are advised to check with their governments before traveling to Thailand, as warnings vary and can impact the validity of their travel insurance.

In a statement following the coup announcement, the United States Embassy in Bangkok issued an emergency message.

"U.S. citizens are advised to stay alert, exercise caution, and monitor media coverage," it said.

"You are advised to avoid areas where there are protest events, large gatherings, or security operations and follow the instructions of Thai authorities. "

In response to the coup, the Hong Kong government raised its Outbound Travel Alert for Thailand to red, indicating it feels residents face a significant threat by visiting.

"Residents intending to visit Thailand should adjust their travel plans and avoid non-essential travel, including leisure travel," says the statement.

"Those already there should monitor the situation, exercise caution, attend to personal safety and avoid protests and large gatherings of people."

Tourist hotlines

The Tourism Authority of Thailand issued a statement advising tourists seeking assistance to call the following hotlines.

TAT Call Centre: 1672

Tourist Police Call Centre: 1155

BTS Hotline: +66 (0) 2617 6000

MRT Customer Relations Center: +66 (0) 2624 5200

SRT (train service) Call Center: 1690

Transport Co., Ltd., (inter-provincial bus service) Call Center: 1490

AOT (Suvarnabhumi Airport) Call Centre: 1722

Suvarnabhumi Airport Operation Center: +66 (0) 2132 9950 or 2

Don Mueang Airport Call Center: +66 (0) 2535 3861, (0) 2535 3863

Thai Airways International Call Center: +66 (0) 2356 1111

Bangkok Airways Call Center: 1771

Nok Air Call Center: 1318

Thai AirAsia Call Center: +66 (0) 2515 9999

@highlight

On Thursday, Thailand's military announced it had taken control of the government in a coup

@highlight

Military imposed an overnight curfew between 10 p.m. and 5 a.m. in Bangkok

@highlight

Air passengers with arrival and departure flights scheduled during the curfew are permitted to travel