(CNN) -- For 70 years, survivors of the December 7, 1941, attack on Pearl Harbor have captivated listeners with their firsthand accounts, recalling buddies who died in their arms or the glasses worn by a low-flying Japanese pilot.

They have participated in solemn wreath-laying ceremonies and spoken to civic groups and school children about the infamous day and the need for the United States to remain vigilant.

But the gradual loss of the World War II generation has accelerated, and this year, perhaps more than any before it, evidence of a tide change is inescapable.

The Pearl Harbor Survivors Association, founded in 1958, is dissolving December 31. The passing of time, the difficulty in finding chapter officers and the health of its 2,700 members have taken their toll.

"We don't like to see it happen," said George Bennett, 87, the organization's national secretary and a Pearl Harbor survivor. "But we don't have young members coming in like other organizations." Informal social and local activities will continue, he said.

About 84,000 uniformed Americans were on Oahu that fateful day. Only an estimated 8,000 are alive today -- and they are in their late 80s and older. Children and grandchildren have stepped up to carry the flag of their forefathers.

The Sons and Daughters of Pearl Harbor Survivors, with about 20 chapters, is helping to "carry on the legacy left to us," said national president Louella Large, whose father served at the U.S. Army's Schofield Barracks during the attack.

Large, like others, is concerned that most U.S. schoolchildren today know almost nothing about the surprise attack that pulverized battleships and aircraft stationed at Hawaii.

Flying from aircraft carriers, Japanese pilots attacked eight battleships, destroying two, and left a trail of death and destruction across the verdant landscape. About 2,400 people, most of them in the military, were killed. The attack shook America's confidence and ushered the country into World War II.

About 120 Pearl Harbor survivors are registered to attend Wednesday morning's annual memorial ceremony.

Four military and four civilian survivors will be on panels at a symposium that concludes Monday. No Japanese military veterans of the attack are able to be on hand for ceremonies honoring U.S. dead at the World War II Valor in the Pacific National Monument.

Perspectives at the symposiums, held every five years, are shifting.

"We were able in the past to (tell the story) through the mouths of those who saw it," said Lisa Ontai, spokeswoman for Pacific Historic Parks, an organization that assists the National Park Service. "Now, we are showing it through experts who studied it over the years."

Among others traveling to Hawaii are families of two servicemen who died in the past two years.

Remains of Vernon Olsen, 91, of Port Charlotte, Florida, will be interred Wednesday in the battleship USS Arizona, on which he served and where 1,117 sailors and Marines died in the attack.

Those of Lee Soucy, 90, of Plainview, Texas, will be carried Tuesday by a diver to the USS Utah, which also is entombed off Ford Island.

"I think it's pretty awesome that we are getting to do this," said daughter Mary McCormick.

Soucy's children also will spread ashes belonging to their father and mother, Peggy, at St. Andrew's Episcopal Cathedral in Honolulu, where the pair were married in January 1945. Peggy Soucy was a Navy nurse who met her future husband at Pearl Harbor.

Memorial ceremonies, boat and bus tours are taking place this week on Oahu. Veterans and others will converge on current and former military installations, including Hickam Field, Pearl Harbor, Wheeler Army Airfield and the Marine Corps base at Kaneohe Bay.

A Blu-ray version of the the 1970 film "Tora! Tora! Tora!" with extended footage, was to be shown Sunday evening at the Pearl Harbor Visitor Center, near the USS Arizona.

Historians say the passage of time is allowing for a broader, more objective look at the attack.

Research has provided new insights, particularly about the Japanese perspectives and source material on the attack. In recent years, interpretation also has shifted its focus "from engagement to peace," with recognition that both sides fought a "savage war," said Daniel A. Martinez, chief historian at the WWII Valor in the Pacific National Monument.

'I harbor no ill will'

McCormick, 65, of Amarillo, Texas, told CNN her father's enlistment was due to expire December 7, 1941. Soucy, a pharmacist's mate on the USS Utah, would vividly recall a peaceful Sunday morning that quickly turned to terror, she said.

"He was looking out the port window and saw what he thought would be his last day there. He saw these planes coming in. He thought it must be the Marines because nobody else would be working on Sunday."

The Utah was quickly disabled. Soucy swam 200 yards to shore from the sinking vessel and was quickly recruited, because of his medical training, to help treat the injured.

After the war, Soucy moved to Plainview, where he raised his family. He died in January 2010; his wife passed away this year.

The family will take part in the sunset ceremony, accompanied by full military honors, Tuesday at the USS Utah memorial. U.S. Navy divers will help lower the remains inside the vessel.

McCormick said her father spoke at previous symposiums and met Japanese pilots.

"He forgave," McCormick said. "On his Pearl Harbor Survivors garrison cap he had a button that read 'love not war' written in Japanese."

Bennett, of Battle Ground, Washington, was a radio-trained 17-year-old seaman first class on December 7, 1941. He leaves Monday to make the trip to Hawaii, where he had been assigned to a squadron of PBY-3 aircraft at Ford Island.

On the day of the attack, Bennett heard explosions, but thought it might be part of a U.S. military exercise or an accident. He then saw a Japanese plane flying low over barracks near the USS California. He and others worked to put out a fire on a hangar roof, but eventually were ordered to get down.

"Toward the end, the Japanese started to strafe us up there," Bennett told CNN on Friday.

"We were trained to fight the Japanese, and the Japanese were trained to fight us," Bennett said. "It was the leaders in Japan who made this happen. That's the way I look at it. I harbor no ill will toward the Japanese today."

Martinez and other staff members have recorded video interviews with many veterans, preserving their memories. "They tell me stories they haven't told their families," he said.

Teaching your children

In San Diego, Stu Hedley, 90, said fewer Pearl Harbor survivors are available in Southern California to give talks to groups or schools. Sixteen members of his chapter have died this year alone.

Hedley, the head of a local survivors chapter, will take part in a December 7 program in San Diego on the USS Midway carrier. A comrade will attend a ceremony at the Veterans Museum and Memorial Center.

"We're all moving into our 90s and late 80s," Hedley said of the disbanding of the national organization. "It's part of life. We have to accept it one day at a time."

More than 100 crew members on his ship, the USS West Virginia, were killed in the attack, he said.

Hedley said he believes members of the U.S. government "sold us out" in 1941 and made the attack possible. President Franklin D. Roosevelt wanted a "war economy ... and his idea was to let them fire the first shot," said the Navy veteran.

These days, Hedley said, he gives two principal admonitions to students.

"My first warning to you is to stay in school. Don't quit under any circumstances." He recounted dropping out of high school in 1939, three months before graduation. That kept him from becoming an officer.

"The other admonition is learn to live with one another," he said. "Regardless of race, creed, religion or whatever."

Hedley is concerned about how little many Americans know about Pearl Harbor.

"I've had college students who have asked me what Pearl Harbor was," he said. "If you can find a paragraph (in California textbooks) about Pearl Harbor, you are doing good."

Large said the Sons and Daughters of Pearl Harbor Survivors safeguards stories of their parents.

Her late father, Army Cpl. Harry M. Cross, was in an artillery unit at Schofield Barracks and got a close-up view of a Japanese pilot strafing U.S. troops.

"One of his buddies died in his arms," said Large, 63, of East Canton, Ohio. "He said he had a hole in his chest where he could put his fist in."

Cross never was able to forgive the Japanese, Large said. She, however, supports moving forward and reconciliation.

Large said the Sons and Daughters will take over a national scholarship the Pearl Harbor Survivors Association once managed and invite veterans to its 2012 convention. Pacific Historic Parks will publish a portion of the Gram, the survivors' newsletter.

Though Large is concerned about what young people know about Pearl Harbor and its role in bringing the United States into World War II, she has experienced good moments during her efforts to spread the word. Students have told her they learned more from one of her talks than from their lessons.

Large recalled talking several years ago to a group of fifth-graders, her father at her side.

"Afterward, a young boy asked if he could shake his hand. He did so," Large said. "He said 'can I give you a hug?' Dad bent down and hugged him. The boy said, 'I wanted to thank you for protecting our freedom.'"

@highlight

Pearl Harbors Survivors Association formally disbands at end of month

@highlight

Another group, individuals are taking up the baton

@highlight

This year's commemoration marks 70 years since Dec. 7 attacks on Oahu

@highlight

Cremated remains of two service members will be placed in ships at Pearl Harbor