Washington (CNN) -- The photo is both touching and humorous, a loving couple dressed as many of their friends and colleagues recall them. Justice Ruth Bader Ginsburg beams in her judicial robes, adorned with a frilly lace collar. Her late husband, Martin, gazes adoringly, wearing shorts and a silly French cooking apron.

Now Marty has received a fitting, very personal tribute in the form of "Chef Supreme: Martin Ginsburg," a cookbook released this week by the Supreme Court Historical Society. In addition to being a pre-eminent tax attorney and law professor, Marty -- who died last year of cancer -- was by all accounts an extraordinary amateur chef.

His easy-to-follow recipes for everything from smoked bluefish spread to vitello tonnato are available for all to try, leavened with bits of his trademark humor.

And sprinkled throughout are photos (including the chef getup) and remembrances from his children, friends, and fellow spouses of the justices. It was Martha-Ann Alito, wife of Justice Samuel Alito, who helped spearhead the cookbook project. To honor his memory, she worked with other court wives to gather the best recipes and bring it to publication.

"His voice, it really comes through. He was an extremely warm and encouraging person," said Clare Cushman, director of publications for the society, who edited the book. "The way he writes recipes really reflects his playful personality."

In a place brimming with tradition, one of the least known and intimate events are the monthly to quarterly lunches at the Supreme Court, organized and attended by the spouses of justices past and present. Marty was often outnumbered as the only male, but eager to build lifelong friendships in a place known for strong differences of opinion.

"Good food, conversation, wit, and warmth help bind them together," Cushman told CNN. "The Supreme Court is a very collegial place, partly because of the protocols that have been in place for decades, (which) help bring the justices themselves together as a group. But the protocols of the spouse lunches probably helped foster that overall collegiality more than we know. Due in large part to Martin Ginsburg."

The justice has called her husband "super chef," and "my best friend and biggest booster."

The Ginsburgs made an ideal pair, say friends, precisely because their different personalities complemented each other perfectly. While both possessed strong legal minds, Ruth is soft-spoken, genteel, and serious of purpose. Marty was irreverent but precise, often brash but always sweetly caring. Those qualities meshed in the kitchen, where cooking was an expression of love.

Marty experimented, sometimes for years, to perfect his creations. His detailed recipe for pissaladiere, an onion-based tart appetizer, runs four pages in the book, and he confidently vouches for its tastiness.

"Fear not," he commands. "The above recipe may be only authentic mid-Manhattan (where the Ginsburgs once resided), but on information, belief, and ten years of testimony from innumerable diners -- including my wife, who is otherwise a confirmed anchovy hater -- it is more than edible."

All styles are represented: "Shrimp in an Indian Manner," "Squid in an Italian Manner," "The Perfect Baguette," and "Caesar Salad Jane," named after the couple's daughter, now a Columbia Law professor. And there are nine desserts, including "Tarte Tatin" and "Grandchildren's Chocolate Chip Oatmeal Cookies."

Unexpected challenges brought out the best in him. Justice Antonin Scalia is very close to Justice Ginsburg, and also an avid hunter. He once brought back meat from a wild boar he shot, prompting Marty to create a suitable marinade of carrots, shallots, dry white wine, and even crushed juniper berries among his various ingredients. After clearly explaining the 10-day marination process, Marty adds, "Throw out the roasted meat and drink the marinade (just kidding)."

The home chef never expected his meals to reach a wider audience -- they were just passed to friends.

Cushman and her friends and colleagues actually tested all 47 recipes in the book, narrowed from a repertoire of hundreds of often elaborate dishes.

"In a way he says 'trust me, it's going to work out,'" Cushman said. "Through his (explanatory) steps, you feel him keeping a careful eye on you while you're cooking these recipes. I cooked a lot of them myself -- some were quite complicated -- and I was very grateful having him, in a way, looking over my shoulder."

Marty's culinary skills were picked up by necessity shortly after he and Ruth married, upon discovering his wife possessed few such talents. That became a running joke in the family, and one that the justice regaled audiences with over the years, somewhat sheepishly.

"Professor Ginsburg is a regular contributor to the lighter side of life at the Supreme Court," said the justice in March 2009. "Mainly he performs in the kitchen, for the quarterly spouses' lunches held at the Court and, occasionally in past years, at a dinner for the entire Court family -- justices, their spouses, and widows of former Court members. In the beginning, when I was the newest justice, my dear husband offered aid in lightening my load."

Marty, too, needed little prompting to playfully and publicly needle his wife. "Ruth was a fairly terrible cook and, for lack of interest, unlikely to improve," he recalled in a 1996 speech. "Out of self-preservation, I decided I had better learn to cook, because Ruth -- to quote her precisely -- was expelled from the kitchen by her food-loving children nearly a quarter-century ago."

"Being the spouse of a Supreme Court justice is not always an easy role to play, and Marty Ginsburg made it more fun than perhaps it had been in the past," Cushman said. "There's a unique dynamic to this because Justice Ginsburg -- before being named to the courts -- had battled gender stereotypes in the law and tried to eliminate them. And her marriage seemed to defy gender stereotypes of who does the cooking and who's out there in the public sphere. A true partnership."

The book can be purchased at: supremecourtgifts.org/chefsupreme.aspx

@highlight

The book includes 47 of Martin Ginsburg's easy-to-follow recipes

@highlight

In addition to being a tax attorney and law professor, he was a good amateur chef

@highlight

Martha-Ann Alito, wife of Justice Samuel Alito, helped spearhead the project

@highlight

He says he learned to cook "out of self-preservation"