(CNN) -- It is widely agreed that Wednesday night's presidential debate is crucial for Mitt Romney: This is almost assuredly his last chance to turn around the election. What is less obvious is that the stakes are sky-high for Barack Obama, too: This debate could have a powerful impact upon his ability to govern in a second term.

Romney is dangerously close to blowing a campaign that many election models said he should easily win. Yes, three national polls published Monday -- including CNN -- showed the two candidates within three points of each other. But for Romney, the problem is that as the polls go up and down each week, there is one constant: As Real Clear Politics demonstrates in its averaging process, Obama stays ahead and has been for nearly a year. The news for the GOP from battleground states is even worse, especially in the Midwest.

Unless he wants to depend on a wing and a prayer, Romney is thus in the unenviable position that he has to shake up the dynamics of the race on Wednesday night. Translated, that means he has to score a convincing victory in the eyes of voters. Simply being as good as Obama won't cut it -- a tie goes to the leader.

How to watch, clip and share the debate

Can Romney pull off a debate victory? Of course -- umm, theoretically. As he proved in the GOP debates, he is quick on his feet, can throw a punch as well as counterpunch, and he looks presidential -- all assets on television. But his campaign has left him with so much ground to make up that it will be very hard: In the space of 90 minutes, he has to convince voters for the first time that he has a better plan for the economy, make the case that Obama doesn't and prove much more likable than ever before. And all the while, he will have to fend off jabs from Obama, who can draw from a rich trove of Romney mistakes in the past. So, yes, Romney can still win, but it will be darn hard. No wonder he has been practicing so much.

It would appear, then, that Obama can simply go for caution, choosing a clinch in the center of the ring over hard punches, and walking away with a tie. But on closer examination, Obama ought to be pressing for a victory, too.

Opinion: Debate coach -- Obama, Romney are top performers

In some polls over recent weeks, especially from key states, the president has now opened up a second possible path to re-election. For a long time, his campaign advisers have assumed that he would win but that his margin of victory would be narrow -- less than three points. Even now, his advisers -- even as they are quietly confident about the ultimate outcome -- are running scared, assuming the race will likely close significantly in the final weeks.

But it is becoming apparent there is another possibility: Contrary to much conventional wisdom, Obama may actually be able to bust open this race, sweeping almost every state he won four years ago and rolling up a victory margin of perhaps five points or more.

Opinion: Ten questions for Obama to answer

The difference between a big win and a small win for Obama is, to draw upon a famous Mark Twain phrase, almost the difference between lightning and a lightning bug.

Looking beyond November, what really matters to Obama is whether he can effectively govern in a second term. If he wins big, he can persuasively argue that the American people have spoken loudly and clearly, choosing his path into the future over Romney's. At minimum, he will claim a mandate in favor of higher taxes on the affluent, a strong safety net for those in trouble and a cautious approach toward reducing Medicare, Medicaid and Social Security costs. Republicans will have a much harder time challenging his mandate if he wins big.

Moreover, a big Obama victory would keep the Senate safely in Democratic hands and -- less likely -- might put a few House seats in play. Obama campaign advisers have been building a powerful ground game for months; they have far more offices in battleground states than Romney. Their hope is that if they turn out enough voters, a rising tide will lift lots of boats downstream. Especially in the Senate, they entertain hopes that a Democratic candidate can come within three points of Obama. If he were to break beyond 53% in key states, that could elect a lot of Democrats.

Add together the possibility of a convincing mandate with congressional results that may be far better than expected a few months ago and what do you have: bingo, a resurgent Obama heading toward a second term. To some of his advisers, that would make it far more likely he could achieve a "grand bargain" on deficits, breaking open the deadlock now paralyzing Washington and holding back corporate investment.

Opinion: The mistakes candidates make in debates

In short, Obama has a great deal riding on Wednesday's debate, too. Members of his team may talk as if they have less at stake than their opponent, but in their hearts, they know that if Obama can put Romney away in their first debate, he could well have some lightning at his command in a second term.

The opinions expressed in this commentary are solely those of David Gergen.

@highlight

David Gergen: Debate may represent Romney's last big chance to turn around the race

@highlight

He says the stakes are also sky-high for Obama, even if he wins election

@highlight

Obama needs a big victory to claim broad support for his plans for second term, Gergen says