(CNN) -- Enough Afghan opium to supply world demand for two years has effectively gone missing, with the Taliban suspected of stockpiling supplies in a bid to corner the market, the United Nations Office for Drugs and Crime (UNODC) has revealed.

Pakistani customs officials destroy contraband narcotics on the border with Afghanistan.

Afghanistan is the world's leading narcotics supplier. Earlier this month, a U.N. study revealed Afghanistan's opium production had dropped dramatically this year partly because of new aggressive drug-fighting tactics in the country.

According to the UNODC report, production dipped by 10 percent this year while cultivation fell by 22 percent.

However, a senior U.N. spokesman warned that this positive news should be treated with caution.

"We figure the world needs around 4,000 tons of opium a year for licit and illicit purposes," Walter Kemp of the UNODC told CNN. Has enough empasis been placed on drug trafficking?

"But this year around 6,900 tons was produced, with 7,700 tons delivered last year and more than 8,500 the year before that.  Map showing where Afghan opium is going »

"So if the world only needs around 4,000 tons of opium and a further 1,000 is seized, where is the rest of it going?"

According to Kemp, world demand for opium remains stable yet prices are not crashing, which suggests a large amount of opium is being withheld from the market.

"Our guess is that around 12,000 tons of opium has been stockpiled somewhere -- not all in one place but in and around Afghanistan," he added. "So while production might be coming down -- mostly because of market reasons -- there's still a lot of product around to satisfy demand for about two years."

It is unclear exactly who is responsible for this but there's growing evidence, according to the U.N., that the Taliban are becoming increasingly involved in the industry and could be sitting on huge stockpiles of opium to use as credit for financing their activities.

"Farmers will be keeping small amounts back as credit for things such as a dowry or buying livestock," said Kemp. "But they won't have the means to store supplies in the kind of quantities we're talking about here.

"It's probably in the hands of people with the ability to store it underground and to keep people away from it through corruption or force."

Hakan Demirbuken, a research expert on the U.N.'s Afghan Opium Trade Program, said Taliban involvement in the drugs trade is not limited to taxing Afghan opium farmers and traders in return for their "protection."

He told CNN: "Last year we estimated that Afghan poppy farmers earned around $730 million, while traders who take the product on to the border earned around $3.4 billion."

"From this lucrative business the Taliban took around $125 million in tax.

"But according to U.N. figures they need around $800 million per year for their operational needs."

However, most of the trade is controlled by organized criminal groups from outside Afghanistan. Therefore Demirbuken believes groups such as the Taliban and al Qaeda will be forging links with criminal gangs in order to become more involved in the production and trafficking stages.

In addition to the increased revenue greater involvement would provide, he said groups such as al Qaeda "will have noted the destabilizing effect this industry -- and the sums of money it generates -- can have on more vulnerable countries with weak governments."

In October last year, the United States told NATO members that the drug trade was a threat to coalition troops because there was a direct connection between it and Taliban insurgents in Afghanistan.

"There is what we call a nexus of insurgency. There's a very broad range of militant groups that are combined with the criminality, with the narco-trafficking system, with corruption, that form a threat and a challenge to the future of that great country," then-U.S. commander in Afghanistan Gen. David McKiernan told reporters.

As a result NATO combat forces have now been actively attacking militants, drug laboratories and buildings connected to insurgents with ties to drug lords for the first time since the start of the Afghan conflict in 2001.

Meanwhile, international law enforcement organization, Interpol, believes there has been a change of tactic involving Afghanistan's opium, with much more of it being turned into heroin within the country and stockpiled or couriered out, primarily through Iran.

Historically Afghanistan has been responsible only for cultivating raw opium, with the conversion into a final product taking place across the border in Pakistan or in Iran and Turkey, according to the UNODC.

Producing heroin in Afghanistan makes it easier to conceal and transport than the bulkier raw opium.

@highlight

Recent study revealed Afghan opium production has dropped dramatically

@highlight

U.N. says this should be treated with caution as country has been over-producing

@highlight

Taliban suspected of stockpiling large amounts of opium "as credit"

@highlight

U.S. has warned of growing link between Taliban and the drug trade