(CNN) -- No, not all men channel frustration over romantic rejection into a killing spree. But yes, all women experience harassment, discrimination or worse at some point in their lives.

That's the message at the core of an ongoing Twitter conversation that emerged after a rampage last week that left six students from the University of California, Santa Barbara, dead and wounded 13 others.

Elliot Rodger, who apparently shot and killed himself, left behind a robust digital footprint detailing his plan to "destroy everything I cannot have," blaming the "cruelness of women" for leading to his "day of retribution."

His comments inspired Twitter users to tweet the hashtag #YesAllWomen: They shared examples of what "women must fear" even if "not all men" engage in those behaviors, according to the person believed to have created the hashtag Saturday. The person did not respond to CNN's request for comment.

The hashtag -- a response to the "not all men" defense sometimes used to deflect feminist arguments -- spread quickly on Twitter, zeroing in on the subtle and explicit signals that a woman's worth is based on her availability to men.

By Tuesday morning, #YesAllWomen had been tweeted more than 1 million times.

Expanding the conversation

#YesAllWomen is the latest Twitter hashtag to draw attention to violence against women in a global conversation that has spread from social media to college campuses and into the White House.

While most feminist-driven Twitter campaigns preach to the choir, #YesAllWomen has succeeded in drawing the mainstream -- including men -- into the conversation, feminist writer and political analyst Zerlina Maxwell said. More unique is the conversation's focus on misogyny and its negative impact on women and men, Maxwell said, pointing to tweets from men as evidence.

There was backlash to the hashtag's sentiment, too. Some challenged the idea that misogyny was behind Rodger's killing spree, while others argued against the broader idea that most women face gender-based harassment.

But those tweeting #YesAllWomen interpreted backlash as evidence to prove their points.

#YesAllWomen's forebears include #everydaysexism, which evolved from the website Everyday Sexism. In 2011, the site launched as a place for people to share stories of gender-based harassment. Today, #everdaysexism exists as a continuous feed of examples of street harassment, and as an occasional rallying cry around petitions. It has been tweeted more than 520,000 times in the past year, according to social Web search engine Topsy.

Earlier this year, Maxwell started #rapecultureiswhen in response to a Time.com op-ed calling for an end to "rape culture hysteria." The hashtag highlighted examples of victim blaming and was tweeted more than 67,000 times.

With more than 1.2 million tweets so far, #YesAllWomen has far outpaced both hashtags, according to Topsy. It has drawn comments from celebrities such as Kerry Washington, Neil Gaiman and Patton Oswalt.

Celebrity boost aside, #YesAllWomen's universal appeal springs from "bottom-up" personal stories instead of a single omniscient voice in an op-ed, Maxwell said.

"It's not somebody on high saying this is a problem in society and everyone should fix it," she said. "It's people talking about real experiences, and each experience is validated by the next."

More than Internet slacktivism

Even though #YesAllWomen grew as a counterpoint to the "not all men" argument, it's effective because it stands on its own, feminist media critic Rachel Sklar said.

In fact, Rodger's killing spree shows that men can also be victims of hostility toward women: Four men were among those killed, including his two roommates, "the biggest nerds I had ever seen," Rodger said.

Rodger left behind a 137-page "manifesto" in which he wrote, "I've wanted love, affection, adoration. You think I'm unworthy of it. That's a crime that can never be forgiven."

"I don't know what you don't see in me. I'm the perfect guy and yet you throw yourselves at these obnoxious men instead of me, the supreme gentleman," Rodger said in a YouTube video posted the day of the killings.

Sklar said his words echoed sentiments voiced by men's rights activists in online forums and social media platforms, especially Twitter. Those murmurs rarely turn deadly, she said, but Rodger's actions represent every woman's worst fears.

"It's been a collective trigger for women. It's an extreme case of something we see and experience regularly as part of our lives, but it's shocking and jarring and scary to see it taken to these lengths," said Sklar, who founded the women's network TheLi.st.

Despite its grim origins, #YesAllWomen advanced conversation around issues that dominate feminist circles, feminist writer Soraya Chemaly said. The hashtag sparked more discussion about rape in India and Africa, and college campus sex assault in the United States.

The hashtag also forced discussion of the intersection of mental illness and misogyny in violence against women, especially in mass shootings, which are overwhelmingly perpetrated by white men.

"I don't know how anyone can look at this information and not see how densely matrixed all these factors and events are," Chemaly said. "We keep seeing this pattern repeated and people seem to think misogyny or mental illness are exclusive or need to be prioritized."

While there's no tangible outcome to the hashtag's spread, those involved said it's far from the typical slacktivism. It created a virtual space for women to share their stories, Chemaly said.

"While there's a lot of harm that can happen online, the Internet (has been) so fundamentally transformative for women and feminists," she said.

"Women who were isolated in their experiences by culture and their families for the first time can exceed those boundaries."

@highlight

Elliot Rodger's misogynistic rants inspired #YesAllWomen Twitter conversation

@highlight

#YesAllWomen has been trending since Saturday after killing spree in California

@highlight

People tweet #YesAllWomen to share examples of gender-based harassment

@highlight

Participants: Campaign drew in outsiders instead of preaching to feminist choir