Washington (CNN) -- The sweeping health care reform law championed by President Barack Obama was upheld as constitutional by another federal appeals court Tuesday.

The decision is not part of a half-dozen other appeals pending at the Supreme Court. The justices could decide this week whether to take on one or more of those legal challenges to the law. Those suits were brought by more than a two dozen states and a coalition of private groups and individuals.

Tuesday's 2-1 decision by the U.S. Court of Appeals for the District of Columbia is a victory for the administration and its congressional supporters, but only adds to the divide among a range of federal courts over whether the law should be tossed out or severely trimmed in its scope. Three appeals court have upheld the law, while one has ruled it unconstitutional.

The majority in this latest case concluded while the assertion of federal authority in the law is large, so too is the issue Congress and the president sought to tackle.

"The right to be free from federal regulation is not absolute, and yields to the imperative that Congress be free to forge national solutions to national problems, no matter how local -- or seemingly passive -- their individual origins," wrote Judge Laurence Silberman.

It is unclear whether the high court will include this latest ruling with the other pending health care cases already on its docket. The justices have scheduled a closed-door conference Thursday to consider whether to accept one or more appeals. If they do, oral arguments would likely be held in March, with a ruling by June.

One of the other challenges involves a 26-state coalition opposing the law. A federal appeals court in Atlanta, considering that suit, had earlier found a key provision of the law to be unconstitutional.

The key issue is whether the "individual mandate" section -- requiring nearly all Americans to buy health insurance by 2014 or face financial penalties -- is an improper exercise of federal authority. The states also say that if that linchpin provision is unconstitutional, the entire law with its 450 or so sections must then be scrapped.

Virginia and Oklahoma have filed separate challenges, along with other groups and individuals opposed to the law.

The justices now have the discretion to either frame the case around the "severability" question -- whether the individual mandate section can be separated from the rest of the law -- or expand it to include other legal questions raised in the appeals.

Two other appeals have split on the individual mandate's constitutionality, a "circuit split" that all but assures the Supreme Court will decide the matter ultimately.

The states say individuals cannot be forced to buy insurance, a "product" they may neither want nor need.

The Justice Department has countered the states' argument by saying that since every American will need medical care at some point in their lives, individuals do not "choose" to participate in the health care market. Federal officials cite 2008 figures of $43 billion in uncompensated costs from the millions of uninsured people who receive health services, costs that are shifted to insurance companies and passed on to consumers.

Health care reform, a top Democratic priority since the Truman administration, was passed by the previous Congress in a series of virtually party-line votes. Obama signed the act into law in March 2010. The law is widely considered to be the signature legislative accomplishment of the president's first two years in office.

Among other things, the measure was designed to help millions of uninsured and underinsured Americans receive adequate and affordable health care through a series of government-imposed mandates and subsidies. The federal government stated in court briefs that 45 million Americans last year were without health insurance, roughly 15% of the country's population.

Critics have equated the measure to socialized medicine, fearing that a bloated government bureaucracy would result in higher taxes and diminished health care services.

Opponents derisively labeled the measure "Obamacare." Republican leaders, who captured the House of Representatives in the midterm elections, have vowed to overturn or severely trim the law.

The case decided Tuesday is Seven-Sky v. Holder (11-5047).

@highlight

The ruling follows several others by appeals courts on the health reform legislations

@highlight

Congress must "be free to forge national solutions to national problems," the court says

@highlight

The Supreme Court could decide this week on which challenges to hear