Nutritionists have long touted the heart-healthy benefits of extra-virgin olive oil.

Recently, researchers found that consuming a Mediterranean diet heavy in olive oil can help lower some heart risks. Consuming more than four tablespoons a day can significantly lower your risk of having a heart attack, suffering from a stroke or dying of heart disease, according to the recent study published in the New England Journal of Medicine.

Olive oil is high in a type of fat known as monounsaturated fat, according to the Mayo Clinic. MUFAs, as they're commonly called, can help lower your cholesterol and control insulin levels in the body. In addition to olive oil, they can be found in avocados, nuts and fatty fish.

Of course, that doesn't mean you can go overboard. Even though it's made of "healthy fats," olive oil is still high in calories and should be used in moderation. Here are five things you might not know about this Mediterranean staple:

It helps more than your heart. Olive oil is full of polyphenols, a type of antioxidant that helps protect your cells from damage. Certain polyphenols also have anti-inflammatory properties.

Scientists have been exploring the effects these polyphenols may have on bone and digestive health as well as looking into how they could help prevent cancer. Other researchers are looking into olive oil's potential for improving cognitive function and memory.

Fish oil helped save our son

Your oil may not be extra-virgin. In 2011, reporter Tom Mueller released his book "Extra Virginity: The Sublime and Scandalous World of Olive Oil." In it, he revealed a world of deception where low quality oils and artificial coloring were being passed off as extra-virgin olive oils to the American public.

"Virgin means made with physical processes, not with chemistry," Mueller told NPR. "Essentially, you crush an olive and out drops the oil in extreme synthesis."

There are laws in Europe monitoring the use of an "extra-virgin" label, but the United States does not have strict regulations, according to Mueller.

And when companies taint the oil, Mueller said consumers lose "that wonderful cocktail of anti-inflammatories and antioxidants."

How you store it matters. When you're at the grocery store, look for olive oil that comes in a bottle made from dark green glass or another material that protects it from light, says Dr. John La Puma, founder of ChefMD.com.

Heat and light can damage the oil by creating oxidation, which changes the beneficial chemical compounds. Store your olive oil in a room-temperature cupboard or in the refrigerator to keep it cool.

A bottle of oil will last about a year on your shelf, according to the Stillwater Olive Oil Co. "After this time, the taste and health benefits, such as Vitamin E, beta-carotene, and other phenol levels decrease dramatically," the company's website states.

Americans buy a lot of it. Olive oil is one of the fastest-growing global industries, according to a report from Research and Markets, an international market research and data site. While Spain and Italy top the list of both producers and consumers, Americans seem to have jumped on the Mediterranean diet bandwagon in full force.

The United States ranks third on the list of the world's largest olive oil consumers. But the U.S. may not be there for long, according to the report.

"It is expected that in the near future, India and China will be on the list of largest consumers of olive oil, as people have started recognizing the health benefits of olive oil and have accepted it as cooking oil," a release from the site says.

You don't have to eat it. Olive oil beauty products are a multibillion dollar business, according to the industry website Olive Oil Source.

"What many consumers don't realize is something that people living millennia ago in ancient Greece took for granted; that extra virgin olive oil, all by itself, is one of the best beauty secrets," the site says.

The same antioxidants that heal your internal cells may help protect your outer layer from damage. Olive oil can now be found in everything from skin moisturizers to nail care kits.

If you're not ready to spring for the professional products, you can use olive oil at home to create a hair mask or as a cheap eye makeup remover.

@highlight

Olive oil contains monounsaturated fats, which may help your heart

@highlight

The United States does not have strict regulations about labeling a bottle "extra-virgin"

@highlight

Olive oil beauty products are a multibillion dollar business