GALVESTON, Texas (CNN)  -- Rescuers in Galveston, Texas, were going door-to-door Saturday to check on the estimated 20,000 people who failed to flee Hurricane Ike, which has slowed to tropical storm status.

Park benches are strewn about in downtown Houston Saturday during Hurricane Ike.

As of Saturday afternoon, the Galveston Fire Department had taken 27 people to a shelter in a high school on the coastal island, which was without electricity or water pressure.

No casualties had been discovered so far in the search and rescue efforts, which have been hampered by heavy flooding and scattered debris.

Galveston had ordered evacuation of the island, but Galveston City Manager Steve LeBlanc said about 40 percent of the city's 57,523 residents chose to stay.

LeBlanc said the island would be closed while authorities assess damages, including to the causeway, which was in "bad shape" because of debris and road damage.

"The road buckled in a number of places," LeBlanc said. "Even if we opened it up you couldn't get through."

LeBlanc said 17 buildings on the island had been destroyed by fires, potent winds and a strong storm surge.

"We are in a recovery mode," Galveston Mayor Lyda Ann Thomas said in a press conference Saturday afternoon. "This eye came right over us, stayed a while and went on, but it brought a lot of damage to our city."

Ike was downgraded Saturday to a tropical storm 11 hours after it crashed ashore as a Texas-sized hurricane that walloped southeast Texas and southwest Louisiana.

In its wake, Ike -- which smashed into the coast as a Category 2 hurricane -- left four people dead, millions without power and destroyed homes and businesses along the Gulf Coast with powerful winds, rain and floodwaters.

President Bush declared 29 Texas counties and parts of Louisianans major disaster areas, making federal funds available for recovery from the storm.  View images of places hit by Ike »

Many people, like D.J. Knight of Pearlman, Texas, decided to ride out the storm at home, despite voluntary and mandatory orders issued across the region.

"The windows looked like they would explode," said Knight, a mother of two. "It just wouldn't stop."

Now, without electricity and surrounded by flooded roads and wreckage, Knight wonders whether it was worth enduring a sleepless night as the storm shook her home, located about halfway between Galveston and Houston.

"I didn't think it would be as bad as it was," she said. "It was horrible."

Knight is one of thousands waiting for assistance as the state rolls out the largest search and rescue operation in Texas history.  See pictures of the storm's destruction »

Gov. Rick Perry dispatched a 1,000-strong search and rescue team, including state troopers, pilots and members of the National Guard. Lines of National Guard trucks and ambulances were deployed from San Antonio even as officials are trying to grasp the extent of damage and the number of Texans stranded by the storm.

However, flooding and debris have impeded rescue efforts in some areas, adding to the uncertainty about how many Texans actually survived the storm.

"We're obviously concerned that there may be people we find who didn't get out and who are going to be in the rubble of what we uncover," said Secretary of Homeland Security Michael Chertoff. "We hope for the best, but I do want to prepare people for the fact they we may have some fatalities."

Chertoff said 40,000 Texans were in 250 shelters, and that food and water would be distributed in about 20 coastal locations as rescue efforts continue.

In Galveston, which bore the brunt of the storm, floods filled the historic district with 7 feet of water at the storm's peak, said Galveston County official Margaret Bunch.  Watch how a spunky little girl braved the storm »

A foot of water flooded the city's main courthouse, where many people rode out the storm, she said.

Wanda Collins' garage filled with 5 feet of water, ruining everything inside, including a 2002 pickup truck, two Harley-Davidson motorcycles, a freezer and a washer and dryer.

"I have never in my life seen water like this," the 30-year Galveston resident said.

Burle and Jamie Holmes also refused to leave their Galveston home despite a grim warning from the National Weather Service. Ike forced the couple and their dog, Trouble, into the attic, tossing their furniture like toys across the house.

"We lost everything," Jamie Holmes.

Curfews are in place in Galveston until dawn Monday and in Houston's Harris County until 6 a.m. Sunday.

Houston Mayor Bill White said his city appears to have avoided loss of life, but streets blocked by floodwaters, downed trees and power lines hampered efforts to determine the full extent of the damage.

Authorities shut down downtown Houston, where the streets were littered with traffic lights and glass, for cleanup and damage assessment. The city's tallest skyscraper, the 75-story JP Morgan Chase Tower, was missing many of its windows.  See iReporter's images of destruction »

White advised residents to drink bottled or boiled tap water as a precaution after a power outage reduced water pressure, but he said nothing indicated that the water supply was contaminated.

Brennan's, a popular restaurant in downtown Houston for almost four decades, burned down Friday night as Ike battered the city.

North of Houston, a 10 -year-old boy died when a falling tree limb hit him in the head, the Montgomery County Sheriff's Office said. The boy's father was cutting down a dead tree in the family's yard in preparation for Ike's heavy winds early Saturday.

Nearly 2.6 million customers in Texas and Louisiana lack power because of Ike, the U.S. Energy Department said on Saturday.

In Brazoria County, emergency management officials said the main power line for the Texas/New Mexico grid was down. CenterPoint Energy said 90 percent of its customers were without electricity and it could take a month or more to get power restored to all of them.

iReporter Jackie Hensler of Houston said her apartment building's power was restored quickly on Saturday morning after a stormy night.

"There are lots of trees down; they've been uprooted or snapped," she said after venturing outside. "There's lots of debris in the streets, like boards and plywood from homes."  Watch how the roof peeled off a building »

Hurricane Ike proved to be a huge storm system, 900 miles across at its largest. It remained a hurricane hours after crashing ashore over Galveston at 2:10 a.m.

Its maximum sustained winds were near 80 mph, with higher gusts. It was expected to continue to weaken and move into western Arkansas by Saturday night.  Track the storm »

The storm surge, however, was smaller than forecast. The greatest surge, of 15 feet, happened at Sabine Pass, near the Texas-Louisiana line. Authorities had predicted surges of 20 to 25 feet.

Authorities in Orange County, Texas, on the Louisiana line, were using large dump trucks Saturday to rescue residents trapped on their roofs by massive flooding, a county judge told CNN.

The city of Orange and the town of Bridge City were flooded, Beaumont emergency official Brad Peneffon said.  Watch the storm surge in Beaumont »

Rescuers fanned out in boats Saturday in Cameron Parish, Louisiana, after the storm surge flooded 1,800 homes.

Gas prices soared across the country amid fears the storm would disrupt fuel supplies. Ike hit a region that is home to about 25 percent of the United States' oil refining capacity, and the storm's progress across the Gulf of Mexico shut down crude oil collection from Gulf oil fields.

The U.S. Department of Energy said 14 refineries were closed by the storm, along with two Texas strategic petroleum reserve sites.

In Knoxville, Tennessee, Sean Kennedy expressed dismay at the difference a day made to gas prices. iReport.com: Evacuees, San Antonio mayor talk about Ike

"I filled up my tank yesterday morning on the way to work for $3.59 a gallon," he said. "This morning, gas prices at the same station were $5 a gallon for regular and $5.25 for premium."

The Coast Guard said early Saturday that 22 people aboard a freighter that was adrift in the Gulf of Mexico were safe after the storm.

Some good news came out of the region Saturday. About 175 miles west of Houston, a storm evacuee delivered a baby in the ladies' bathroom at a shelter in New Braunfels.

"The credit goes to the mother," said Dr. Mark Burns, who helped deliver the baby. "She did a beautiful job with her delivery."

CNN's Jeanne Meserve, Rusty Dornin, Sean Callebs, Rob Marciano, Gary Tuchman, Arthur Brice, Deb Krajnak and Elise Miller contributed to this report.

@highlight

NEW: Wreckage impedes rescue efforts, adding to uncertainty about survivors

@highlight

Texas woman wonders whether it was worth it to ride out storm in home

@highlight

Four deaths in Texas attributed to Ike, now a tropical storm with 45 mph winds

@highlight

2.6 million affected by power outages, U.S. Energy Department says