(CNN) -- Scientists have captured antimatter atoms for the first time, a breakthrough that could eventually help us to understand the nature and origins of the universe.

Researchers at CERN, the Geneva-based particle physics laboratory, have managed to confine single antihydrogen atoms in a magnetic trap.

This will allow them to conduct a more detailed study of antihydrogen, which will in turn allow scientists to compare matter and antimatter.

Understanding antimatter is one of the biggest challenges facing science -- most theoretical physicists and cosmologists believe that at the Big Bang, when the universe was created, matter and antimatter were produced in equal amounts.

However, as our world is made up of matter, antimatter seems to have disappeared.

Understanding antimatter could shed light on why almost everything in the known universe consists of matter.

Antimatter has been very difficult to handle because matter and antimatter don't get on, destroying each other instantly on contact in a violent flash of energy.

In a precursor to today's experiment, in 2002 scientists at CERN produced antihydrogen atoms in large quantities, but they had an incredibly short lifespan -- just several milliseconds -- because the antihydrogen came into contact with the walls of their containers and the two annihilated each other.

In this latest experiment the lifespan of the antihydrogen atoms was extended by using magnetic fields to trap them and thus prevent them from coming into contact with matter.

The researchers created 38 antihydrogen atoms and held on to them for about a tenth of a second, which is long enough to study them says Professor Jeffrey Hangst, one of the team of CERN scientists who worked on the program.

Hangst and his colleagues produced a magnet field which was strongest near the walls of the trap, falling to a minimum at the center, causing the atoms to collect there in a vacuum.

"We could have held them for much longer... I am just full of joy and relief, it's taken us five years to get here, this is a big milestone," Hangst told CNN.

To trap just 38 atoms, they had to run the experiment 335 times, says Nature which published the report findings.

Hangst added: "This was ten thousand times more difficult than creating untrapped antihydrogen atoms.

"This will help us understand the structure of space and time. For reasons that no one yet understands, nature ruled out antimatter... this inspires us to work that much harder to see if antimatter holds some secret."

Malcolm Longair, professor of natural philosophy at Cambridge University, told CNN that CERN's results were a considerable achievement.

"At the Big Bang we believe the temperatures were very very high and we understand in theory why antimatter disappeared but there is no physical theory to back it up."

Antimatter was first predicted in 1931 by the British physicist Paul Dirac, who theorized that antimatter is ordinary matter in reverse.

CERN's next ambition is to create a beam of antimatter which they hope will allow them to unpeel more of the mysteries surrounding it.

@highlight

Antihydrogen atoms were trapped in a magnetic field

@highlight

Matter and antimatter annihilate each other on contact

@highlight

"It's taken us five years to get here," says Professor Jeffrey Hangst

@highlight

CERN's next ambition is to create a beam of antimatter