New York (CNN) -- Dumpster-lined streets and sidewalks strewn with destroyed art hint at the damage Hurricane Sandy wreaked on New York's most important art district last week; but as electricity slowly returns and flood waters recede, the impact of the "super storm" is still uncertain in New York's downtown Chelsea neighborhood.

"Chelsea is the center of America for contemporary art," Zach Feuer, owner of Zach Feuer gallery, told CNN. "This is a big cultural loss."

The destruction has left the contemporary and modern art world reeling, and as the recovery effort continues the massive creative and monetary toll is rising fast.

"I would not be surprised if, when it's all said and done, the damage that is done to our art world will be in the hundreds and hundreds of millions of dollars in unrecoverable work," gallery owner Leo Koenig said.

The storm that broke records -- and hearts

What caused so much damage?

When the surge from Hurricane Sandy pushed water levels to record highs on Monday night, flooding from the Hudson River quickly filled basements and street level facilities that are used primarily for art storage and exhibitions in Chelsea. In many cases, precautionary sandbags and sealants were washed away easily, and even works that were elevated high on the wall were soaked by morning.

As the storm subsided, gallery owners and managers returned early on Tuesday, but much of the permanent damage had already been done.

Gallery owner Derek Eller returned to his building but couldn't operate his electric gate because of the power outage. From a back window he was able to see boxes on the ground floor that had floated up when flooding in his 1,800-square-foot basement nearly reached the ceiling.

"It's a disaster, pieces are lost forever," Eller said after emerging from his still-soaked basement. "We have been saving works over the past three days."

Storm victims' latest adversary: Cold

Koenig sealed the bottom of the entrance to his space in preparation for the hurricane. "My common sense told me that if there was a foot and a half of water standing on 23rd Street, the world was about to end," he said. But when Koenig opened his doors the following day, water trapped in the gallery all night by the sealant came gushing out onto the sidewalk.

While many returned to find their collections in ruins, some witnessed the wreckage as it unfolded.

"The surge came in and broke through the door, and knocked me down," Silas Seandel, a sculptor who lives above his studio, told CNN. "[It] threw me and thousands of pounds of steel, and bronze, and sheets, all the way to the back door."

Remarkably, Seandel was able to return to higher ground and wait out the storm.

From Eller's basement to those barely affected, galleries and conservators seem to agree that the priority right now is recovering as much work as possible and keeping it dry.

"The conservators were here immediately, there are trucks leaving with art constantly to get repaired," said Feuer, who estimates millions of dollars in damage to his gallery alone. "The mold is kind of our biggest race, so there's a speed issue."

Other galleries have had to perform restorations on their own, reaching out to artists and conservators for insight during this crucial time. Marisa Newman, co-owner of Newman Popiashvili Gallery, gathered as much work as she could and raced uptown to her parents' home on Tuesday, knowing they still had power.

Opinion: Sandy shouts climate change

"I used their apartment for art triage," Newman recounted, "I brought as much there, and we just cracked open all the frames, got everything out so they would just dry." Newman is now using the space above her gallery to hold and restore other works.

To further assist this process, the Museum of Modern Art and conservators from the American Institute for Conservation Collections Emergency Response Team, are offering official guidelines and "a free public presentation on recovering wet art and cultural materials," according to an official release from MoMA.

Despite the chaos, this generally competitive community has worked tirelessly to come together and ease the blow that Sandy has dealt, providing each other with generators, food and everything in between.

"This kind of event brings back the human factor to it," said Emilio Steinberger, senior director at the gallery Haunch of Venison. "These are artists, these are dealers, people put their heart and soul into the art world and they're moving to save it, and put things back together."

How to help

This sentiment seems to be echoing through the galleries of the damaged neighborhood, and many have been adamant that Chelsea's art culture will not only recover but maintain its prestigious position within the art world.

Seandel, who has worked and held exhibits in the same studio since 1978, has already insisted that he will repair and refinish all damaged works. "I'm 75 years old, but I feel I've still got a lot of life in me, my work is still in demand all over the world," Seandel said.

"The thing about the New York gallery community is that it's an industry full of extremely intelligent, extremely capable people," gallery owner Cristin Tierney said. "So, I really believe that as dire as things are now, we're going to bounce back."

Photos: New York recovers from Sandy

CNN's Crista Giuliani contributed to this report.

@highlight

One gallery owner anticipates losses to the art world in the "hundreds of millions"

@highlight

"Chelsea is the center of America for contemporary art," another says

@highlight

Flooding from the Hudson River quickly filled basements and street-level facilities

@highlight

Sculptor says he and thousands of pounds of metal were knocked down by the surge