London, England (CNN) -- If the location is anything to go by, then the omens are promising. Denmark's capital city, Copenhagen -- host to the U.N. climate summit which starts today -- is already one of the greenest cities in Europe.

With over 300 kilometers of cycle lanes it is estimated that around 40 percent of the 1.2 population travel to work on a bicycle. And visitors to the city are encouraged to join in by making use of the network of city bikes for a deposit of just 20 DKK ($4).

The influence of two wheels has extended into Yuletide this year, as cyclists in City Hall Square are generating the electricity powering the lights on the Christmas tree.

It's just one of hundreds of activities and events which Copenhageners have organized to coincide with the 11-day U.N. summit taking place at the Bella Center in the Orestad district in the southeast of the city.

The opening of the summit marks the end of an exhaustive planning period by the city. Preparations at the Bella Center began two years ago. The finishing touches began eight weeks ago.

"It is, by far, the largest conference we have ever held and the largest political conference in Europe," the Bella Center press manager, Lars Lemche told CNN.

"If numbers continue to grow, it will be the biggest political meeting the U.N. has ever held," he said.

The center has hosted big events before -- a European Union summit in 2002 and the 2006 MTV European Music Awards -- but the U.N. summit makes them look like a tea party.

"A conference is 36 hours. This is 11 days," Lemche said.

The Bella Center has had to extend its floor space to 77,000 square meters -- the size of 11 football pitches -- to accommodate all delegates and 1000 staff will be on hand throughout. Numbers are expected to peak at around 18,000 in the second week when 100 heads of state arrive for the high-level political negotiations.

This Herculean effort of planning is being backed up by a raft of green initiatives.

Outside the conference center solar-powered streetlights are helping light the car parks. A wind turbine is helping power the lights indoors.

Inside the conference center delegates will eat from a menu that is 65 percent organic and drink water that has come out of a tap rather than a bottle. Pens provided will be made from recycled plastic, and even the carpets are biodegradable.

In a bid to offset the considerable carbon dioxide emissions - estimated to be 40,000 tons -- generated by the summit, organizers are funding the replacement of polluting brick factories in Dhaka, Bangladesh with 20 new efficient ones.

Despite the disruption, Copenhageners have gone about their daily business as usual.

Jason Heppenstall, Editor of The Copenhagen Post, a weekly English language newspaper told CNN: "There hasn't been much of a build up until the last few days. Until about two weeks ago it's not been talked about a lot in the press and maybe a month ago half the people in Denmark didn't know there was going to be a conference," he told CNN.

People are starting to notice changes now, and the mood among Copenhageners is positive, apart from the locals living near the Bella Center and whose lives have been disrupted by all the security arrangements, Heppenstall said.

The concrete barriers and the perimeter fence erected to protect the Bella Center have been one of the more obvious signs of security in the city. And now that the conference has started, 6000 officers will be on duty during the conference.

Niels-Otto Fisker, communications advisor to the Danish national police commissioner, told CNN: "It is the single greatest operation that the Danish police have undertaken. Police are being drafted in from all over the country, and shifts are being extended from eight to 12-16 hours."

In all, the security operations are costing the Danish government an estimated $122 million. Last week, police unveiled a 22-ton vehicle armed with a water canon which will be used if trouble flares during the conference.

The only confrontations in the buildup to the conference have been between Copenhagen's female mayor, Ritt Bjerregaard, and the city's prostitutes.

A row started after city leaders requested hotels display postcards saying: "Be sustainable: Don't buy sex." The prostitutes -- whose are free to work under Danish law -- have responded by offering their services free of charge.

"Our office is based in the red-light district. There are prostitutes here, but it's not like Amsterdam," Heppenstall explained.

"I think some people coming to the conference think it might be. So the city council have been trying to pre-empt it by sending postcards saying please refrain from going to these areas. The sex workers have responded by saying that's ridiculous. They see this as their big moment."

As Copenhagen hands over to the U.N. for two weeks, the world's eyes are now turning to negotiations which precede the arrival of U.S. President Barack Obama and company. Earlier this year, Copenhagen announced the aim of being carbon neutral by 2025. Perhaps the U.N. could take a leaf out of their host's book.

@highlight

Danish capital, Copenhagen, one of the greenest cities in Europe

@highlight

U.N. climate summit is biggest political event Denmark has hosted

@highlight

Copenhagen aims to be carbon neutral by 2025