(CNN) -- For better or worse, Iraq and the United States have been attached at the hip for decades.

From the 1991 Gulf War to the 2003 invasion that toppled Saddam Hussein to subsequent years marred by violence and instability, there's no doubting the deep connection between the two nations. That's largely thanks to policies crafted out of Washington, be they intended to contain or eliminate Hussein or to stabilize and build up the fragile nation that remained in his wake.

So it is no surprise that, with militants overrunning much of Iraq and threatening its capital, people are turning to the United States.

What can it do? What will it do?

Among Obama's options:

Option No. 1: Send in American troops

As of Monday, the Pentagon says it has only about 170 troops in Baghdad and 100 in undisclosed locations around the region. Their job is to protect the U.S. Embassy and other American interests, the Pentagon said.

That's far from the troop levels of past Iraq engagements.

U.S. troops didn't stay in Iraq for long after driving Hussein's military out of Kuwait in 1991, but they did hunker down 12 years later after toppling the Baathist regime. The responsibility that comes with rebuilding a country from over 6,000 miles away was one factor, but so was the continued violence.

American troop levels in Iraq peaked at 166,300 in October 2007, according to the U.S. Defense Department.

Critics derided the withdrawal of U.S. troops by the end of 2011. Among them was Sen. John McCain, who last week reiterated his disgust at that decision and called for the firing of Obama's national security team in part over what's happened in Iraq.

"Could all this have been avoided?" the Arizona Republican said about the current state of Iraq, though he didn't outright call for fresh military action. "And the answer is: Absolutely yes."

The biggest, simplest way to make an impact in Iraq: Send American troops back into the country.

But it won't happen again.

Iraqi Foreign Minister Hoshyar Zebari told CNN on Thursday that no one is calling for "American troops into Iraq." And of all options now on the table, it's the only one that the Obama administration has explicitly nixed.

"We are not contemplating ground troops," White House Press Secretary Jay Carney said last week. "I want to be clear about that."

Option No. 2: U.S. airstrikes

Still, while the U.S. military might not have a role fighting on the ground in Iraq, it could have a role over it.

On Monday, Secretary of State John Kerry acknowledged to Yahoo! News that airstrikes on Iraqi targets are under consideration.

The aircraft carrier USS George H.W. Bush and five other warships are now in the Persian Gulf. More than 500 Marines and dozens of helicopters are on standby.

In the past, Iraqis have been very public about their desire to limit the involvement of the American military. Yet, a U.S. official said the Iraqi government had indicated a willingness for the U.S. military to conduct airstrikes targeting members of the Islamic State in Iraq and Syria (ISIS) and other militants.

American air power has proven effective before in campaigns such as Kosovo or Libya.

Yet it's not foolproof.

Last week, Carney deflected a question about whether Obama might consult Congress before sending warplanes into Iraq -- saying it's too early to give an answer because the President hasn't decided the best course of action yet.

Attacking sites from the air comes with a host of limitations and challenges -- the risk of U.S. casualties or capture should warplanes be shot down; the unlikelihood of wiping out an insurgency from above; the likelihood militants will blend into the civilian population and cause death and injury to the innocent.

Option No. 3: Provide more military aid

Unlike the first two options, the U.S. government has already taken this course and has signaled it may do more.

A Defense Department official says that about $15 billion in equipment, training and other services already have gone to Iraq. Carney reeled off some of the many items that have made their way east of late: millions of rounds of small arms fire, thousands of rounds of tank ammunition, hundreds of Hellfire missiles, grenades, assault rifles, helicopters and much more.

And that tally doesn't include an additional $1 billion in arms -- including up to 200 Humvees -- that are now in a 30-day review period in Congress.

But U.S. officials -- calling the current situation "extremely urgent" -- acknowledge that what's already in Iraq and what's coming may not be enough.

Chief among those officials is Obama himself, who said last week: "Iraq is going to need more help from us, and it's going to need more help from the international community."

At the same time, it's not like the billions of dollars worth of firepower proved all that effective against ISIS fighters in places like Mosul, Iraq's second-largest city. Witnesses reported seeing Iraqi security forces drop their weapons, even shed their uniforms, then run to safety.

James Jeffrey, U.S. ambassador to Iraq from 2010 to 2012 and now a fellow with the Washington Institute for Near East Policy, characterized Iraq's military as "ill-trained, badly led and not particularly competent."

"They clearly cannot fire and maneuver," said Jeffrey, a U.S. Army veteran.

And it's not just a matter of making sure that whatever resources sent to Iraq are used effectively and not wasted. Already, militants have been able to pick up weaponry, vehicles and other goods on its swift, vast sweep of Iraq -- some of it supplied by the United States.

"We are not surprised," a defense official told CNN. "It was a question of when, not if, something like this would happen."

Option No. 4: Effect change politically in Iraq

Beating back ISIS by retaking Mosul and other cities would be a huge victory for Iraq's government.

But it wouldn't be a complete, conclusive win unless the country can get its house in order. And doing that, according to experts and U.S. officials, requires addressing what CNN's Nic Robertson has referred to as Iraq's "political dysfunction."

One silver lining to the turmoil is Prime Minister Nuri al-Maliki's government seems to be coordinating with the semiautonomous Kurdish government, American officials said. It appears Iraqi forces will team up with Kurdish fighters, known as the Peshmerga, to combat ISIS.

Addressing the divisions between Shiites and Sunnis, the two dominant Muslim sects, in Iraq is another matter.

Al-Maliki's government, as well as the military, is dominated by Shiites -- leaving Sunnis not only left out but also bitter, so much so that some of them may not see ISIS as a worse option.

"Over the last several years, we have not seen the kind of trust and cooperation develop between moderate Sunni and Shia leaders inside of Iraq," Obama said. "That accounts in part for some of the weakness of the state, and that carries over into the military."

Vice President Joe Biden has been talking regularly with al-Maliki to try to effect political change, including possibly through a new unity government that gives Sunnis a prominent, hands-on role.

Still, words -- as opposed to, say, troops on the ground -- are sometimes only so effective. And it's not like al-Maliki has heeded U.S. officials' call for sectarian reconciliation and unity in the past.

Yet Washington's misgivings about the Prime Minister don't change the fact that they support him, generally. The question is still how, exactly, they will support him.

"There's more that Prime Minister Maliki should have done, could have done, over the course of time," said State Department spokeswoman Jen Psaki. "That's a message we've conveyed publicly and privately to him.

"But the enemy here is (ISIS). We need to work together and present a united front."

Interactive: Where is Iraq's oil?

ISIS: The first terror group to build an Islamic state?

The siege of Mosul: What's happening?

Recording: ISIS promises more fighting in more Iraqi cities

CNN's Barbara Starr contributed to this report.

@highlight

The U.S. has a long history in Iraq, including the 1991 Gulf War and 2003 invasion

@highlight

As Iraq battles radical Islamist militants, U.S. officials have promised more help

@highlight

Air strikes and additional weaponry and aid are among the options being mulled

@highlight

But ground troops have been ruled out, according to a White House spokesman