(CNN) -- Director Oliver Stone was recently a speaker at a JFK assassination conference in Pittsburgh, and he was left wondering why the symposium wasn't getting a lot of love.

After all, it had assembled experts renowned in the field, including forensic pathologist Cyril Wecht and investigator Josiah "Tink" Thompson ("who did the original bullet work").

"I'm here in Pittsburgh with 50 experts who really have done a lifetime of free work on this," Stone told CNN. "It was in the paper here, but it should be front page news throughout the United States. I wish people would come here and cover this."

Stone, along with the rest of America, is revisiting President John F. Kennedy's assassination on the 50th anniversary, which is why he's just rereleased "JFK" on DVD and in select theaters.

Ever since the film's release in 1991, Stone says more evidence has been made available that reinforces his work, such as the report by the Assassination Records Review Board (ARRB), "which if anything, widens some of the loopholes found by the Warren Commission," and makes him more certain of the scenario presented in "JFK."

"There's nothing in the movie that I would go back on," he said. Alternatively, he dismisses works such as Gerald Posner's "Case Closed," which he said was discredited.

Stone: We're not all conspiracy theorists

In the film "JFK," Stone tears apart the Warren Commission's report that a single shooter -- Lee Harvey Oswald -- fired three shots from the sixth floor of the nearby book depository.

This is referred to as the "magic bullet" theory because of the time frame and trajectory required for a bullet to make the path and wounds that transpired.

Instead of Oswald as a shooter acting alone, a number of direct and indirect co-conspirators at the highest levels of government are posited in "JFK." They include the CIA, the FBI, the Secret Service, then-Vice President Lyndon B. Johnson, as well as the mafia and the military-industrial complex, for a variety of combined motives.

Despite his scholarly approach, Stone feels he and like-minded others are lumped together and dismissed as "conspiracy theorists," when now, more than ever, "we've since learned as Americans that the government lies, extensively," he said, citing the lead-up to the war in Iraq, revelations of U.S. government secrets via WikiLeaks and the Edward Snowden/NSA scandal. "Suddenly the trust in government has receded considerably."

One JFK conspiracy theory that could be true

Yet when it comes to the JFK assassination, he says some people "always dismiss the stuff as 'conspiracy theorizing,' without ever knowing about it. A lot of the media who criticize these films, or criticize me, they've never read anything, any of the countermaterial."

If people knew about those loopholes, Stone said, the single-shooter theory and the "magic bullet" theory "fall apart, if anybody in their right mind looks at it," Stone said.

"It angers me sometimes, to think of the degree of stupidity about Oswald and the Mannlicher-Carcano (rifle) on the sixth floor making these shots. It's almost as if we don't believe what we see with our own eyes in the Zapruder film."

Eyewitnesses who've come forward in recent years also provide evidence that shots came from more than one location or angle. One such eyewitness, a Parkland Hospital surgeon who spoke at the conference, has become vocal about the wounds to Kennedy's head.

Robert McClelland "came out, finally, after being frightened all these years," Stone said, "and said that the bigger wound was to the rear, to the right, and the cerebellum was practically falling out."

In addition to McClelland, Stone said "the ARRB deposed 10 witnesses to this massive head wound. A lot of people are coming out and saying, 'I was there. I stared into his brain, which was spilling out the back of his head.' This is so obvious, that it's from more than one side."

Stone makes link to Cold War policies

Part of Stone's "Untold History of the United States" series, also recently released on DVD, provides historical context in the chapter on JFK.

"My best answer to people who would criticize anything we say in the 'JFK' movie is to look at Chapter Six of 'Untold History,' 'JFK: To the Brink,' to understand the man, and the big picture of events," Stone said.

"We look for the big changes that happen after his death. What did he achieve? And what is the difference between him and Lyndon Johnson, who followed him, and the man who preceded him, Dwight Eisenhower? You may not agree with some of our conclusions, but the facts are solid. We didn't make it up."

Amanpour: We are 'quite rightly obsessed' with JFK, says historian

Stone explained that after Harry Truman and Eisenhower, Kennedy was the third president of a national security state with a Cold War mentality, and when his policy shifted away from that, he was "removed."

"A president gets killed in Dallas, and we go back to a Cold War mindset, we go back to a military-industrial reaction in all situations," Stone said.

"It was certainly a reassertion of policies that existed after WWII," and even after the decline of the Soviet Union ("the reason for the national security state"), the policies continue and "even accelerate, to where we are now. And we are now locked into a system where we don't seem to be able to break out of, where we're the global security. We're in charge of this empire, or whatever they call it."

This chain of events, described in "Untold History," is a "tragedy," Stone said. (This chapter is also included in the "JFK" reissue.)

Most of the Kennedy clan keeps its distance

Because "JFK" was "such a controversial film, Stone said most of the extended Kennedy clan "wanted to stay away from it.

"I think they've been very circumspect about this, because they lost two brothers, Robert and John, and it was very painful for them."

However, John F. Kennedy Jr. did approach the director to discuss the film and Stone's theories, he said.

"I did speak with him many years ago, before he died," the director said. "He came to see me. He was interested in what happened, in my thoughts about what happened," which resulted in a piece for the conspiracy issue of "George" magazine back in 1998.

"I think conspiracies go on all the time," Stone said. "I think accidents do, too. Random accidents and conspiracies have existed side by side for centuries, definitely. It's part of life. I'm not an innocent in that regard."

But ask him about non-JFK conspiracies of recent times, and he hesitates.

"I'm not really into that kind of thinking. But the biggest conspiracy of all for me is the one I grew up under, which was sprouted by my father, a Republican conservative, and the entire establishment of this country, which was, 'Hey, the Chinese and the Russians are in a conspiracy to take over the world!' McCarthy added to the conspiracy, but they were saying, 'They're in our schools. They're in our police force. They're in our government. They're your back-door neighbor.' "

"That's a conspiracy, OK? George W. Bush was involved in a conspiracy that Iraq was involved in 9/11. Come on! And he sold that conspiracy idea to all these big-shot news organizations. Who's kidding who? Conspiracies exist if you can see them. People make up stories. They make the enemy bigger than they are."

Although Stone entertained the conspiracy talk with the anniversary and reissues, he did note that the one story about himself that he'd like to see die is the one that makes him out to be the go-to conspiracy guy.

"If you look at my body of work, every film is different. It's confining if you're always judging me by, 'Oh, is there a conspiracy in it?' That's ridiculous!" For one thing, the film he had hoped to make but went to someone else was "Evita."

As he laughed, "events conspired against me."

Now-tea party congressman one of last to shake JFK's hand

@highlight

Oliver Stone made a splash in 1991 with his film "JFK"

@highlight

The director is rereleasing the movie on the 50th anniversary of the assassination

@highlight

Stone stands by the theories in "JFK," saying even more evidence supports his case now