Islamabad (CNN) -- Pakistan's former president Pervez Musharraf is back in Pakistan after years of self-imposed exile and is facing a hard time from courts in Pakistan amid a range of charges, including claims he illegally placed senior judges under house arrest during a period of emergency rule he imposed in 2007.

Likely to add to his charge sheet, Musharraf recently gave an interview to CNN's Nic Robertson when he admitted that he had given the U.S. permission on a "very few" occasions to strike targets within Pakistan. Musharraf, an army general who overthrew a democratically elected government during a 1999 coup, had previously remained silent about the strikes Washington carried out under his tenure.

But Musharraf left power in 2008, so why has he waited until now to speak?

One obvious reason is sheer self-interest. Musharraf returned to Pakistan last month after five years of self-imposed exile in London and Dubai. He did so under the false belief that he might still be popular among the people and that he might be able to reclaim power in the upcoming elections. But upon his arrival he found only hostility. Pakistanis may not be happy with the way the country is being run now, but most don't want to see the return of a dictator who brokered secret deals that resulted in the deaths of so many innocent Pakistanis.

Open hostility is not all Musharraf has faced, though. The Supreme Court has ordered Musharraf to appear before them on charges of treason, a crime punishable by death in Pakistan. Several lower courts are also considering murder charges against Musharraf for his role in several killings, including that of several seminary students at Islamabad's Red Mosque during a confrontation with security forces in 2007. The Supreme Court has banned Musharraf from leaving the country and his name has been placed on an exit control list. He is currently under house arrest at his ranch compound outside the capital. Musharraf himself believes the claims are politically motivated.

It is, therefore, no surprise that Musharraf has chosen now to speak out about U.S. drone strikes. If he can appease the Americans again, perhaps the U.S. administration will once again ride to his rescue. He has given President Barack Obama's administration a much-needed headline of Pakistani support for U.S. drone strikes. But the headline itself is misleading.

First, Musharraf's statement involved only a limited number of strikes, those conducted during the administration of President George W. Bush. His consent does not extend beyond those strikes to cover those carried out under Obama, when the intensity of drone strikes escalated dramatically to form the bulk of all drone strikes. Of the 367 drone strikes, only 52 were carried out before President Obama came into office, according to the London-based Bureau of Investigative Journalism (TBIJ).

Under the Obama administration, Pakistan's parliament, in two different sessions, has declared the strikes both illegal and counter-productive. Unlike under Musharraf, the current parliament is democratically elected and speaks with the authority of the constitution behind it.

There are also serious questions about whether Musharraf's consent was even valid for the few he supposedly approved. Any consent would have to comply with Pakistan's constitutional laws. The High Court in the Pakistani city of Peshawar considered this question recently. During his oral arguments, the Chief Justice made it clear that the Pakistani constitution protects its citizens' right to life and that no political leader can consent to an abrogation of that right without due process.

The reality is drones -- with or without consent -- are a seductive option for the leader of the free world. It is good politics to keep America "safe" by engaging in a war that only lines up body bags on the other side. In this war, the human losses that normally bring an end to war -- like those in Vietnam -- don't exist.

Even more seductive is the ability to wage war without oversight. For years, the CIA has refused to tell anyone who it may be killing. We're supposed to have faith in the CIA's good nature and their claims that they are only killing bad guys. In fact the claim drone strikes are killing only al Qaeda simply is not true -- I personally represent more than 100 civilian victims of strikes and they are absolutely not militants. According to nonpartisan public policy group, the New American Foundation, drones strikes have killed at least 1,990 Pakistanis, including hundreds of civilians.

Obama campaigned and was elected on a platform of change, one that would end the abuses and torture so prevalent during the early years of the so-called war on terror. More than four years later, the "change" Obama has brought to Pakistan through drones has resulted in more needless deaths, daily suicide attacks, and growing instability. For the average Pakistani, whether a murderous, corrupt dictator consented to this brand of change is irrelevant.

The opinions expressed in this commentary are solely those of Mirza Shahzad Akbar.

@highlight

Pakistan's former president Pervez Musharraf recently returned from exile

@highlight

Said U.S. given permission to launch drone strikes on 'very few' occasions

@highlight

Akbar: Musharraf will be looking to win support from Washington once more

@highlight

But the former military chief is barred from standing in May 11 election