Washington (CNN) -- The U.S. government shut down at 12:01 a.m. ET Tuesday after lawmakers in the House and the Senate could not agree on a spending bill to fund the government.

The two sides bickered and blamed each other for more than a week over Obamacare, the president's signature health care law. House Republicans insisted the spending bill include anti-Obamacare amendments. Senate Democrats were just as insistent that it didn't.

Federal employees who are considered essential will continue working. But employees deemed non-essential -- close to 800,000 -- will be furloughed.

Most furloughed federal workers are supposed to be out of their offices within four hours of the start of business Tuesday.

President Barack Obama issued a statement early Tuesday to military members and Department of Defense employees about the outcome of the shutdown.

"Those of you in uniform will remain on your normal duty status," the president said. "Congress has passed, and I am signing into law, legislation to make sure you get your paychecks on time. And we'll continue working to address any impact this shutdown has on you and your families."

"To all our DOD civiliansâ€”I know the days ahead could mean more uncertainty, including possible furloughs," the president added. "And I know this comes on top of the furloughs that many of you already endured this summer. You and your families deserve better than the dysfunction we're seeing in Congress. ... That's why I'll keep working to get Congress to reopen our government and get you back to work as soon as possible."

The final hours

The shutdown appeared inevitable Monday night as House Republicans acknowledged they couldn't overcome Senate objections to a proposal that includes provisions aimed at derailing Obamacare.

They planned to have another vote overnight that would request a conference with the Senate to work out their differences. But the move, which would not have averted a shutdown, was dismissed by Senate Majority Leader Harry Reid.

"We will not go to conference with a gun to our head," Reid said.

Democratic Rep. Chris Van Hollen said the reason there wasn't a budget deal is because Republicans refused to negotiate months ago.

"They want to go to conference with 45 minutes left," Van Hollen said late Monday night. "That is a recipe for a government shutdown."

Legislative ping pong

For the second time Monday, the Senate rejected a House Republican effort to derail Obamacare by linking it to a proposal that would avert the shutdown.

The Senate voted to table House amendments that would have delayed the individual mandate in the health care law and eliminated health insurance premium subsidies for members of Congress, their staffs and the president.

In the latest volley of legislative ping pong over a short-term spending plan needed to avoid the shutdown, House Republicans were expected to meet to discuss their next steps.

Earlier, Senate Democrats had rejected a House proposal by a 54-46 vote, strictly along party lines.

Obama made a previously unscheduled statement to reporters on Monday afternoon, blasting the attempts by House Republicans to undermine Obamacare that he said threaten to harm the economy with a shutdown.

"You don't get to extract a ransom for doing your job, for doing what you're supposed to be doing anyway, where just because there's a law there that you don't like," the president said.

Obama later called Boehner and other party leaders in the House and Senate, the White House said, but a Boehner spokesman indicated there was no breakthrough.

Moderate GOP revolt against Boehner?

GOP sources told CNN that moderate House Republicans were trying to galvanize what would amount to a rebellion against Boehner and their tea party colleagues by defeating the latest proposed spending plan with attached anti-Obamacare provisions.

However, a procedural vote on the measure passed with only six Republicans voting "no."

Without congressional approval of new spending legislation, parts of the federal government will begin shutting down when the current fiscal year ends at midnight, forcing agencies to furlough thousands of workers and curtail some services until there is a resolution.

"I feel sad about it. We expect more from our Congress," said Vick Temple, a worker for the Federal Aviation Administration who said he faced being furloughed in a shutdown.

Polls show public opposition to a shutdown, and stocks ended lower Monday on Wall Street due to concerns over the economic impact.

The blame game

Republican Rep. Renee Ellmers of North Carolina said on CNN's "New Day" that her party continues to be deeply concerned about Tuesday's scheduled opening of Obamacare health insurance exchanges and "keeping the checkbook out of Barack Obama's hands and the damage can be done there."

Get up to speed on the showdown

Rep. Debbie Wasserman Shultz, D-Florida, appearing alongside Ellmers, characterized the Republican strategy of tying overall government operations to at least a delay in health care changes as "irrational."

"It jeopardizes the economy and it makes no sense," she said.

Weeks of hot potato

Last week, the Senate voted down a House GOP plan to eliminate funding for Obamacare in a short-term spending plan to keep the government running in the new fiscal year that begins Tuesday.

Democrats have pressured Boehner to give up a losing fight over Obamacare forced by tea party conservatives and instead hold a vote on a "clean" spending plan that includes no provisions seeking to undermine the health care reforms.

Wasserman Schultz predicted that such a measure would pass easily with support from all Democrats and more moderate Republicans.

Some Republicans expressed frustration Monday with the tactics of their congressional colleagues. Veteran GOP Sen. John McCain of Arizona noted that any attempt to repeal Obamacare would fail because of Obama's veto, which would require a two-thirds majority in the Senate to overcome.

"There's not 67 votes in the United States Senate, therefore, ergo, we're not going to repeal Obamacare," McCain said. "OK? That's it. We may do this for a day. We may do it for a week. We may do it for a month. It's going to end up the same way. "

GOP Rep. Charlie Dent of Pennsylvania told CNN Chief Congressional Correspondent Dana Bash that whichever party was to blame, a shutdown will make everyone look bad.

10 ways the shutdown would affect you

Obamacare still a GOP focus

Obama and Democrats reject what they call Republican efforts to use the threat of a government shutdown to force negotiations on the president's signature health care reforms.

Noting that the 2010 Affordable Care Act has been upheld by the Supreme Court, they say it is settled law that voters endorsed last year by re-electing Obama over GOP candidate Mitt Romney, who campaigned on repealing it.

A new CNN/ORC poll shows that Americans are not happy about the prospect of a shutdown, which is happening because Congress has been unable to pass a budget for the new fiscal year that begins Tuesday.

A game of chicken between Dems, GOP

According to the poll, 68% of Americans think shutting down the government for even a few days is a bad idea, while 27% think it's a good idea.

And it appears most Americans would blame congressional Republicans for a shutdown: Sixty-nine percent said they agreed with the statement that the party's elected officials were acting like "spoiled children."

Democrats, however, weren't far behind: Fifty-eight percent of respondents said they too were acting like spoiled kids.

A poll later showed public support for Congress at record low levels.

Stock traders also seemed solidly against a shutdown. The Dow Jones Industrial Average fell by more than 120 points, or nearly 1 percent, and the other two major indexes also closed lower.

Among major economic issues that could result from a shutdown: delays in processing FHA housing loan applications -- a potential drag on the housing recovery -- and the potential loss of government spending that's helping prop up the economy, said Christine Romans, host of CNN's "Your Money."

"You've got an economy right now that's very tied to government spending and government contracts, so that could have a ripple effect all across Main Street," she said on CNN's "New Day."

If the government does shut down, it would be the first time it has happened in more than 17 years. That previous shutdown, sparked by a budget battle between Democratic President Bill Clinton and a Republican Congress, lasted for 21 days.

CNN Poll: GOP would bear the brunt of shutdown blame

While the military will remain on duty, as will many essential public safety, health and welfare operations, many government offices will close. About a quarter of the federal government's 3.3 million employees -- those frequently referred to as "nonessential" -- will be told to stay home from work until the shutdown is over.

Attorney General Eric Holder and Defense Secretary Chuck Hagel said essential crime prevention and military services would continue, but some workers would be furloughed. Holder said he would cut his pay by the same amount as the most severely affected Justice Department employees because "we are all in this together."

Meet the man behind the government shutdown

CNN's Michael Pearson, Holly Yan, Lateef Mungin, Ted Barrett, Lisa Desjardins and Deirdre Walsh contributed to this report.

@highlight

NEW: The House is expected to vote again overnight, including on appointing House negotiators

@highlight

"We will not go to conference with a gun to our head," says Sen. Harry Reid

@highlight

Obama says troops will get paid on time, but civilians may get more furloughs

@highlight

Conservatives wanted to undermine Obamacare before its private exchanges take effect Tuesday