Jerusalem (CNN) -- A threatened Israeli attack on Iran's nuclear program carries enormous risks for the Jewish state, including international isolation, retaliation at home and abroad, and steep economic costs.

And that's if it works.

While Israel has the most advanced military in the Middle East -- including a suspected-but-undeclared nuclear arsenal of its own -- Israeli analysts say there's no guarantee that a unilateral strike will roll back an Iranian program it sees as a threat to its survival.

Yet that's the choice observers say the Jewish state may soon face, and some argue the benefits would outweigh the costs military action would incur.

A successful raid would set back Iran's uranium enrichment effort by "several years," said Ephraim Kam, the deputy director at the Israeli Institute for National Security Studies.

And in a recent op-ed in The New York Times, Amos Yadlin, Israel's former head of military intelligence, argued that previous Israeli strikes against nuclear installations in Iraq and Syria successfully forced those countries to drop their nuclear programs.

"This could be the outcome in Iran if military action is followed by tough sanctions, stricter international inspections and an embargo on the sale of nuclear components to Tehran," Yadlin wrote. "Iran, like Iraq and Syria before it, will have to recognize that the precedent for military action has been set, and can be repeated."

Israeli authorities argue that if Iran develops nuclear weapons, it would trigger a Middle Eastern arms race among Iran's rivals for regional influence.

"Failure to prevent Iran from nearing the nuclear threshold will undoubtedly intensify the drive of other states in the region for nuclear weapons," said Shmuel Bar, director of studies at the Israeli Institute of Policy and Strategy. "The initial countries, which will attempt to acquire a military nuclear capability, would include Saudi Arabia, Turkey, Egypt, Iraq, Libya and in its path, other North African countries."

A successful Israeli attack on Iran would eliminate the need for other countries in the region to develop such programs, proponents argue.

And a severe blow to Iran could also weaken its proxies along Israel's borders, Hezbollah in southern Lebanon and Hamas in Gaza. Both groups receive generous Iranian backing and have staged attacks against Israel and Israeli targets overseas.

Weakening Iran could free Israel to act more aggressively in combating those groups in the future, according to some Israeli analysts who fear the groups would become more brazen backed by a nuclear-armed Iran.

"If the Iranian regime weakens as a result of a successful attack, this would undoubtedly have an impact on Hamas and Hezbollah," said Yossi Melman, an independent Israeli commentator on security and strategic affairs. He said Hezbollah "is likely to suffer a heavy price if it chooses to join the battle and attack Israel," while by knocking out Iran's nuclear fuel plants, "Israel will show its determination of not allowing Iran to acquire a nuclear weapon in hope that it understands the message for the future."

But Iran has pledged a swift and powerful response to any attack, most likely through missile attacks on Israel.

"This may come in the shape of a large number of rockets and missiles fired from Iran itself, possibly also by Hezbollah and Hamas," Kam said.

According to Israeli military estimates, there are tens of thousands of short-range rockets that could be fired from Hezbollah-controlled southern Lebanon and the Hamas-ruled Gaza Strip, while a much smaller number of long-range missiles could be launched from Iran.

"The whole of Israel is vulnerable," Israeli Deputy Prime Minister Dan Meridor warned recently. "They are not just going to hit Israeli soldiers. The main aim is at civilian populations."

And Kam said Iran and its allies may respond indirectly as well, by carrying out attacks "against Israeli and Jewish targets around the world."

In addition, it might try to disrupt the world energy markets and antagonize Persian Gulf Arab regimes by closing the Strait of Hormuz, the choke point for about 20% of the global oil trade.

Iran says its production of enriched uranium is strictly to fuel civilian power plants and a medical research reactor. But the United States and Israel accuse it of working toward nuclear weaponry. The International Atomic Energy Agency, the U.N. nuclear watchdog, says it can no longer verify that the Iranian program is strictly peaceful.

Analysts CNN consulted say an Israeli attack may spur Tehran to pursue the bomb openly.

"Even if a few nuclear plants are destroyed, it will take several years to rebuild them and give Iran legitimacy to say, 'We were attacked by a nuclear power, and now we must defend ourselves,'" Melman told CNN.

Meanwhile, Meir Javedanfar, an Iran expert at Israel's Interdisciplinary Center in Herzliya, warns that an attack could lead Iranians to rally around the flag, bolstering the hand of theocratic government and further setting back the Western hopes for regime change.

"The regime is likely to use such opportunity to eradicate any form of opposition against it in the country," Javedanfar said.

And an unsuccessful attack could further tarnish the reputation of an Israeli military that came under severe criticism at home following its 2006 war with Hezbollah. Hezbollah claimed victory after that conflict and enjoyed a surge in regional popularity, while Israeli commanders came under fire for being inadequately prepared for the fight.

"During the operation, one needs to take into account that it may fail, that targets will not be destroyed and that a large number of Israeli planes would be taken down," Kam said.

In addition, an Israeli attack conducted without prior notification to the United States could severely strain relations with Washington, its leading ally -- especially if American military or civilian sites in the region were targeted as part of an Iranian retaliation.

Israeli relations with Jordan and Egypt, the two Arab countries with which it maintains peace treaties, could be hurt. A sharp rise in energy prices as the result of a regional conflict would not do Israel any favors in the court of global opinion, possibly prompting boycott and sanctions campaigns.

Israeli airspace could be closed to commercial traffic, and the country's lucrative tourism industry would be expected to grind to a halt. And a prolonged conflict could result in the closure or slowdown of a variety of industries and businesses costing the Israeli economy billions of dollars.

"The economy could lose a year's growth and even go into negative growth, many will lose their jobs and unemployment will rise," Adam Reuter, chairman of an Israeli investment house and the CEO of the Financial Immunities consulting firm, recently told Israeli news portal Ynet.

Couple those prospects with the high cost of rebuilding damaged civilian and military infrastructure, and the price tag of a unilateral strike quickly goes up.

"The biggest disadvantage of all is war," Melman said. "There is always an uncertainty. Once you start a war, you never know how it is going to finish."

@highlight

Israel could face isolation and retaliation if it attacks Iran

@highlight

A successful raid could set back Iran's uranium enrichment effort by several years

@highlight

Israel must balance the risks and benefits of attacking nuclear sites in Iran