Donetsk, Ukraine (CNN) -- Pro-Russia separatists in eastern Ukraine have decided to go ahead with a Sunday referendum on greater local powers, they said Thursday, defying a call by Russian President Vladimir Putin to postpone the vote.

Putin had urged the pro-Russia sympathizers to delay the referendum to give dialogue "the conditions it needs to have a chance."

Representatives from the council of the self-declared Donetsk People's Republic and separatists from Luhansk told reporters they have voted to press ahead to ask eastern Ukrainians there if they want sovereignty from Kiev.

"After the vote that was held today, the unanimous decision was to go ahead with the referendum May 11," Denis Pushilin, the self-declared chairman of the Donetsk People's Republic said, according to Russian state news agency RIA Novosti.

Pushilin said Putin's comments Wednesday were "surprising" but he respected him.

There was no immediate reaction from Moscow or Kiev.

Sunday's referendum could echo events in March when voters in Crimea approved a controversial ballot to secede from Ukraine and join Russia, which subsequently annexed the Black Sea peninsula. The move escalated the turmoil rocking the country.

"On the local 'referenda,' we strongly emphasize that they should not take place -- neither on 11 May nor at any later date," said Maja Kocijancic, spokeswoman for the European Union's top diplomat, Catherine Ashton. "Such unauthorized local 'referenda' have no democratic legitimacy and can only lead to further escalation."

Separatists have been defiant in the past. An international pact reached among Russia, Ukraine and its Western allies in Geneva, Switzerland, last month that called for the rebels to disarm and vacate buildings seized in the volatile region has not yet materialized.

In what seemed to signal a softening in Moscow's attitude toward Kiev, Putin also said Wednesday that Ukrainian presidential elections scheduled for this month were "a step in the right direction."

However, he also voiced caution.

"But it will not solve anything unless all of Ukraine's people first understand how their rights will be guaranteed once the election has taken place," Putin said, according to a Kremlin transcript following his meeting with the chairman of the Organization for Security and Cooperation in Europe.

Putin also said that direct talks between Kiev authorities and representatives of the pro-Russian sympathizers in southeast Ukraine were key to settling the crisis.

Ukrainian interim Prime Minister Arseniy Yatsenyuk dismissed Putin's comments on the referendum as "hot air."

Amid the diplomatic tit-for-tat, Russia's Foreign Ministry said Thursday it had added names to its list of U.S. and Canadian officials barred from entering Russia, in response to sanctions impose by the United States and Canada on Russian officials.

NATO: No sign of Russian troop withdrawal

In a statement on his official website on Thursday, interim President Oleksandr Turchynov said his government was ready for dialogue with those who want to talk -- but not with "armed criminals with blood on their hands."

"Ukrainian authorities have never conducted punitive operations in the east," he said, responding to Russian accusations over Kiev's military campaign to defeat the rebels who have overrun the east.

"The law enforcement agencies protect the lives and health of the citizens in the framework of the anti-terrorist operation performed against terrorists, saboteurs, and other criminals who murder, torture, and kidnap our citizens."

Police in Luhansk confirmed Thursday that Valeriy Salo, a man named by the Kyiv Post as the kidnapped head of a pro-Ukrainian group in the Donetsk region, was found dead in a burned-out car near the Luhansk village of Petrovskiy.

Salo's family told police that on Wednesday evening an unknown armed group arrived at their home and took Salo away. The Kyiv Post said he was captured by representatives of the Donetsk People's Republic.

Rights group Amnesty International last month raised concern over the reported abduction of journalists and local officials by the Donetsk People's Republic and other groups, and urged their immediate release.

Poll: Lack of confidence

A majority of Ukrainians agree their country should remain a unified state, according to a poll released Thursday.

The Pew Research Center poll, conducted in the first half of April, found that 77% of Ukrainians want the country to remain united; 70% in the east feel the same. Things differ in Crimea, where 54% of those surveyed voice support for the right to secede.

The survey also highlighted a lack of confidence in the new government that came to power after pro-Moscow President Viktor Yanukovych was ousted following months of protests. Just 41% say the interim authorities are having a good influence on the way things are going.

"Russia is viewed with the greatest suspicion. Three times as many Ukrainians say Russia is having a bad influence on their country as say it is having a good impact (67% vs. 22%)," it said.

Meanwhile, NATO hasn't seen "any signs" that Russia is withdrawing troops from Ukraine's border, said Anders Fogh Rasmussen, the military alliance's secretary-general.

"So far we haven't seen any indications that they are pulling back their troops. Let me assure you that if we get visible evidence that they are actually pulling back their troops, I would be the very first to welcome it," Rasmussen told a news conference in the Polish capital.

White House deputy press secretary Josh Earnest also told reporters Wednesday that "there is not evidence to date that there has been a meaningful and transparent withdrawal of Russian forces from the Ukrainian border."

The comments came after Putin announced a troop pullback Wednesday, saying Russian forces are "now not on the Ukrainian border but are carrying out their regular exercises at the test grounds."

Kiev, its neighbors and Western governments have voiced alarm over what NATO estimates are around 40,000 Russian troops massed along the Ukrainian border. Moscow has repeatedly said they are only carrying out exercises.

The state-run ITAR-Tass news agency cited Russian Deputy Defense Minister Anatoly Antonov as saying Thursday that Ukraine has deployed a 15,000-strong military force near Russia's borders. He reiterated Putin's comments that Russia had pulled back from the border and said Moscow's defense minister had informed U.S. Defense Secretary Chuck Hagel about this in a phone conversation.

Military offensive

Violence has escalated on the ground as tensions rise.

The State Department is now warning U.S. citizens to defer all non-essential travel to Ukraine. It also said Thursday that U.S. citizens should defer all travel to Crimea and eastern regions

Kiev last week launched its biggest military campaign yet to drive out pro-Russian militants who have reportedly taken over some public buildings in towns across southeast Ukraine.

Five pro-Russian activists were killed overnight Wednesday when Ukrainian forces attacked barricades on the outskirts of Mariupol, a spokeswoman for the pro-Russian camp said.

Elsewhere in the volatile Donetsk region, an uneasy standoff continued between the Ukrainian military and separatists.

Both sides clashed Monday at the rebel stronghold of Slovyansk. Ukraine's security services said 30 "heavily armed" militants had been killed in recent days as part of the "anti-terrorist" operation in the area.

Kiev and many experts in the West believe the separatists are backed by Moscow and fear that Putin is fomenting trouble to increase his influence in the region. The Ukrainian authorities have accused Russian special forces of leading the rebellion in the field -- a claim Moscow denies.

In an interview with Al Jazeera, Ukrainian Foreign Minister Andrii Deshchytsia accused Russian troops -- which he says comprise special forces and intelligence -- of infiltrating and destabilizing the east of the country.

"These well-equipped groups resort to guns, oppression and blackmail to intimidate people ... in an effort to channel them to their own purposes, and thus create the false impression that their demands are backed by broad public support," he said.

"Russia's major goal is to destabilize and control the country. We will not let this happen."

Moscow says right-wing, ultranationalist groups are behind the violence in Ukraine and that it has no direct influence over the pro-Russian groups.

The violence in Ukraine has created the worst East-West diplomatic crisis since the end of the Cold War.

However, French President Francois Hollande said Thursday that Putin would be welcome to attend next month's ceremonies marking the 70th anniversary of D-Day in Normandy, northern France.

"We may have differences with Vladimir Putin at the moment namely over the crisis in Ukraine but I have not forgotten and never will forget that the Russian people gave millions of lives (during World War II)," Hollande told local television in a clip posted on the presidential palace website.

"That is why I told Vladimir Putin that as the representative of the Russian people, he is welcome to these ceremonies."

The government in Kiev is bracing for further unrest in the run-up to Friday's national holiday to commemorate the end of World War II.

In a television address, Yatsenyuk urged Ukrainians not to take part in "mass actions" and not to respond to provocations. Kiev has said it is stepping up security measures ahead of the holiday.

A week in eastern Ukraine

Ukraine crisis: Small numbers, global impact

West threatens Russia with more sanctions

Opinion: Putin's empire building is not a new Cold War

Journalist Lena Kashkarova reported from Donetsk and CNN's Marie-Louise Gumuchian wrote and reported from London. CNN's Nick Paton Walsh, Matthew Chance, Elaine Ly and Laura Smith-Spark contributed to this report, as did journalist Azad Safarov.

@highlight

NEW: Russia says more U.S. and Canadian officials have been added to those barred entry

@highlight

Donetsk and Luhansk separatists say they're going ahead with Sunday referendum

@highlight

Body reportedly of pro-Ukrainian Donetsk resident is found in burned-out car

@highlight

Russia says it's withdrawing troops from border, but NATO and U.S. see no signs of it