Bangkok, Thailand (CNN) -- Thai Prime Minister Yingluck Shinawatra has denied allegations that she failed to heed warnings of possible corruption in a rice subsidy program whose recent problems have stoked anger among farmers in the country's rural heartland.

The controversy over the rice program has deepened the political crisis in which Thailand has been mired for months.

Thailand's National Anti-Corruption Commission (NACC) said Tuesday that it was bringing charges against Yingluck over the program, which pledged to pay farmers well above the market rate for their rice but has run into financial problems.

The commission has summoned Yingluck, whose government is already under pressure from months-long protests in Bangkok, to appear February 27 to be notified of the charges.

"I wish to assure you that as I have served my duty with righteousness and contrary to the charges brought against me by the NACC, I have done nothing wrong," Yingluck said in a statement Thursday.

The anti-corruption commission's charges, which accuse Yingluck of ignoring warnings of corruption in the program, could eventually lead to the suspension of the Prime Minister from all political positions.

"Though I may be charged in this criminal case and may have to give up my position in accordance to the wishes of those who want to topple my government, I will still lend my full cooperation and give necessary information to the NACC," she said.

Yingluck insists that the rice subsidy program, introduced in 2011, has been successful and benefited farmers.

But critics says it has wasted large amounts of public funds trying to please rural voters, hurting exports and leaving the government with large stockpiles of rice it can't sell without losing money.

The program has encountered intensified difficulties after an election earlier this month was disrupted by anti-government demonstrators and failed to deliver a conclusive result.

The situation has left Yingluck's weakened caretaker government struggling to operate effectively and ensure payments are made to rice farmers.

Angry farmers

Problems with the subsidy program have angered many farmers, normally an important component of Yingluck's support base.

Groups of farmers have held protests in recent weeks after not being paid for their rice.

About 3,000 farmers from central Thailand spent Thursday night camped out on the outskirts Bangkok after traveling on tractors, trailers and quad bikes.

They had threatened to take their protest to the city's main airport, Suvarnabhumi, if they didn't get paid what they're owed.

But the leader of the group of farmers, Chada Thaiseth, said Friday that they would be heading home later in the day after the government informed them they would be paid early next week.

The farmers said their planned protest wasn't political -- unlike the anti-government demonstrators in central Bangkok, they say they don't want to see the ouster of Yingluck.

But they do want their money.

Long-running protests

The tensions over the rice program come against the backdrop of the protests by groups affiliated with Yingluck's political opponents.

Those demonstrations, calling for Yingluck to step down, have been taking place in central Bangkok since November and have been plagued by outbreaks of deadly violence.

Earlier this week, police tried to clear demonstrators out some protest sites. But the efforts resulted in violent clashes that left five people dead, including one police officer, and dozens wounded.

Police have since suspended their attempts to seize the protest sites for the time being.

And a court ruled Wednesday that the government can't use force and weapons against peaceful unarmed protesters.

The protest leaders say they want to rid the country of Yingluck and her wealthy brother, the deposed former Prime Minister Thaksin Shinawatra.

Thaksin, who lives in exile, faces a corruption conviction, which he says was politically motivated, if he returns to Thailand. Political opponents say Yingluck, who convincingly won elections in 2011, is simply Thaksin's puppet, an allegation she has repeatedly denied.

The protests were sparked in November by Yingluck's government's botched attempt to pass an amnesty bill that would have paved the way for her brother's return to the political fray in earnest.

The protesters say they want Yingluck's government replaced by an unelected "people's council," which would oversee electoral and political changes.

CNN's Kocha Olarn and Saima Mohsin reported from Bangkok, and Jethro Mullen reported and wrote from Hong Kong.

@highlight

NEW: Rice farmers call off a planned protest at Bangkok's main airport

@highlight

"I have done nothing wrong," Yingluck Shinawatra says in a statement

@highlight

Thailand's anti-corruption commission has called her to hear charges next week

@highlight

It says she ignored warnings of possible corruption in a rice subsidy program