WASHINGTON (CNN) -- When Sonia Sotomayor won Senate confirmation to the U.S. Court of Appeals in 1998, all 29 "no" votes were cast by Republicans.

Sonia Sotomayor is virtually sure to be confirmed by the Democratic-dominated Senate, analysts say.

That may happen again when the Senate votes in coming months on Sotomayor's nomination to the U.S. Supreme Court.

The career jurist nominated by President Obama would be the first Hispanic justice -- and only the third woman justice -- in the history of the nation's highest court.

Those distinctions make Sotomayor's confirmation by the Democratic-majority Senate virtually certain, analysts say. They also note that Republican President George H.W. Bush first nominated Sotomayor as a federal judge, indicating broad political appeal.

A senior White House official told CNN that Sotomayor was "nominated by George [H.W.] Bush -- then Bill Clinton -- [and has] more judicial experience than anyone sitting on the court had at the time they were nominated."  Watch Obama tell why Sotomayor is 'the kind of justice we need' »

The partisan divide over the nomination was immediately evident. iReport.com: Listen to what CNN readers are saying about Sotomayor

Democratic Sen. Patrick Leahy of Vermont, the chairman of the Senate Judiciary Committee, which will first consider Sotomayor's nomination, called her record exemplary for a candidate to succeed retiring Justice David Souter -- a liberal voice on the high court.

"I believe that Judge Sotomayor will be in the mold of Justice Souter, who understands the real-world impact of the court's decisions, rather than the mold of the conservative activists who second-guess Congress, and who through judicial extremism undercut laws meant to protect Americans from discrimination in their jobs, their access to health care and education, and their privacy from an overreaching government," Leahy's statement said. "I believe Judge Sotomayor understands that the courthouse doors must be as open to ordinary Americans as they are to government and big corporations."

Senate Republican leader Mitch McConnell of Kentucky called for a vigorous confirmation process to "thoroughly examine her record to ensure she understands that the role of a jurist in our democracy is to apply the law even-handedly, despite their own feelings or personal or political preferences."

"Our Democratic colleagues have often remarked that the Senate is not a 'rubber stamp,'" McConnell said. "Accordingly, we trust they will ensure there is adequate time to prepare for this nomination, and a full and fair opportunity to question the nominee and debate her qualifications."

Sen. John Cornyn of Texas, a Republican member of the Judiciary Committee, said Sotomayor must "prove her commitment to impartially deciding cases based on the law, rather than based on her own personal politics, feelings and preferences."

However, CNN Senior Legal Analyst Jeffrey Toobin noted that he hasn't heard any Republicans come out and say they will vote against her, noting that in past nominations, some have come out of the gate outright against the nominees.

Still, Sotomayor's critics have begun to highlight comments she made during a panel discussion at Duke University in 2005, where she told students that the federal Court of Appeals is where "policy is made."

"I know that this is on tape," she then immediately said. "I should never say that. Because we don't 'make law'... I'm not promoting it, and I'm not advocating it. Having said that, the Court of Appeals is where ... the law is percolating."

CNN senior political analyst Gloria Borger said those comments may be what Republicans rally around in their attempt to block her confirmation.

"I've spoken to a bunch of conservatives today who intend to use this YouTube clip, intend to use lots of clips from speeches she's given talking about how they believe that she will be an activist judge who will legislate from the bench," Borger said. "And so it's kind of interesting because in a way, I think they intend to use more of her speeches and her appearances than lots of her court decisions."

For now, those speeches seem to be the main sticking point, though it is likely Republicans will latch on to other issues they feel make her a bad choice for the job.

"Certainly you will see controversy because it's in Republicans' interest to generate controversy," Toobin said. "They want to defeat her. This is a major, major initiative of the Obama presidency. Now whether any of this controversy sticks, I think, is very much an open question."

Republicans also must be careful about whether unfair scrutiny or personal attacks could backfire, Republican National Committee chairman Michael Steele told CNN when asked about possibly harming his party's Hispanic outreach by opposing Sotomayor.

"You want to be careful," Steele said. "You don't want to be perceived as a bully."

Senate Democrat Dianne Feinstein of California warned against Republican stall tactics in the face of a likely filibuster-proof 60 votes supporting Sotomayor's confirmation.

"Any unnecessary delay will only keep the court from getting ready for a new term and inhibit the Senate's ability to focus on other important priorities like the economy, energy and health care," Feinstein said.

The National Organization for Woman said Sotomayor "brings a lifelong commitment to equality, justice and opportunity, as well as the respect of her peers, unassailable integrity, and a keen intellect informed by experience."

However, Wendy E. Long of the conservative Judicial Confirmation Network described Sotomayor as a "liberal judicial activist of the first order," code language for opposition by the political right.

The confirmation process will begin with Senate Judiciary Committee hearings, expected in July. The committee will decide whether to send the nomination to the full chamber, which will make the final confirmation decision.

Obama has said he wants Sotomayor confirmed before the Senate goes on its August break to ensure that Sotomayor, if confirmed, can be seated with the Supreme Court when it begins its new session in October. Leahy endorsed that timetable, saying Tuesday, "We are committed to ensuring that the next justice is seated before the court's term begins in October."

Senate Republicans, however, want to allow time for an upcoming Supreme Court decision on an appellate ruling by Sotomayor in an affirmative action case involving New Haven, Connecticut, firefighters.

Senate Republican whip John Kyl of Arizona, a member of the Judiciary Committee, noted that the Republican-controlled chamber took 73 days to confirm conservative Chief Justice John Roberts and 93 days to confirm conservative Justice Samuel Alito. To complete the confirmation process by August, the Senate would have to act in 66 days.

"I would expect that Senate Democrats will afford the minority the same courtesy as we move forward with this process," Kyl said.

In the New Haven case, a three-judge appellate panel that included Sotomayor upheld a lower court ruling that supported the decision of New Haven officials to throw out results of promotional exams that they said left too few minorities qualified.

The high court was asked to decide whether there is a continued need for special treatment for minorities, or whether enough progress has been made to make existing laws obsolete, especially in a political atmosphere where an African-American occupies the White House.

Long said the New Haven case showed that Sotomayor "reads racial preferences and quotas into the Constitution, even to the point of dishonoring those who preserve our public safety."

@highlight

Republicans say they need time to examine record of Obama's high court nominee

@highlight

Conservative group calls Sonia Sotomayor "liberal judicial activist"

@highlight

Sotomayor's confirmation virtually certain in Democratic-majority Senate, analysts say

@highlight

Obama has said he wants Sotomayor confirmed before August congressional break