NEW YORK (CNN) -- Richard Serra stands in the Museum of Modern Art's Abby Aldrich Rockefeller Sculpture Garden, his hair as white as the marble floor. The summer sun of New York radiates from the towering metal of his monumental works. He breaks no sweat.

He likes how the weeping beeches and birches have leafed out since April when two of his enormous steel sculptures were installed. A crane lifted the tonnage over the garden wall from West 54th Street.

This new foliage, he notes, shades his works' rising, rusting arcs with an air of mystery. "You can't see 'Ellipse' from 'Intersection.' So as you walk out of one, you're not thinking about the other."

What you're thinking about may be their size. "Intersection II" is more than 13 feet tall and 51 feet long. "Torqued Ellipse IV" at one point is 32 feet across. Made to be entered, explored, felt in terms of how they divide and define space around you, these gentle, giant landmarks of a 40-year career place Serra today at the very heart of the Museum of Modern Art's mission and capabilities.  Watch videos in which Serra describes the MoMA retrospective and walks you through several of his sculptures »

For a long moment, Serra takes in his own work. These are bafflingly graceful walls of 2-inch-thick steel, mottled and rough. This engaging, articulate man knows how to bend and balance the plates so gorgeously hunkered down in a place usually ruled by far smaller works of Picasso, Giacometti, Rodin, Alexander Calder and Henry Moore.

Serra smiles. "You know what? When they take my work back out of here, this place is going to look like a peewee golf course."

That won't happen until September. Until then, MoMA's new exhibition, "Richard Serra Sculpture: Forty Years," reveals that sense of humor along with the sophisticated spatial concepts the Californian explains as he leads you, glad for your interest, across a terrain all his.  See a gallery of images for perspective on the geometric line, shape and volume of Serra's work »

Born in San Francisco in 1939, educated at Yale, a former painter whose study of art and tradition in Europe left him searching for more dimensions, Serra today is one of the most widely applauded sculptors alive.

Internationally acclaimed for his distinctive ground-cleaving site-specific works in landscape, he's as generous in talking about his art as he is assured in commanding the foundries and steel riggers who render it.

No guarded maestro, hiding methods and intentions, Serra is ready with virtuosic metaphor when given a chance to explain the torus of "Torqued Torus Inversion," gesturing, pointing, doubling back to be sure you follow. "Think of a bicycle rim, and where the tube is in that rim ... the word means doughnut in mathematical language."

For all the grainy computation of geometric and gravitational considerations required to set hundreds of tons at precise tilts over the heads of the thousands moving through MoMA each day, Serra clearly is still seized by the wonder of his own creations.

"The space is almost palpable," he says, standing at the center of one of the two parts of "Torqued Torus Inversion."

"The steel," he says, "is just a wrapping skin that compresses the space."

Suddenly, you understand what he's doing.

"The subject matter" of this work, he tells you, "is your personal experience of walking into and through and around. There really isn't any content until you fulfill your exploration" of a piece.

When Yoshio Taniguchi designed MoMA's soaring new $890 million building between Fifth and Sixth Avenues for its opening in November 2004, this exhibition was already in the works. Read commentary on the Taniguchi building in Manhattan

Kirk Varnedoe, the museum's late chief curator of painting and sculpture, had arranged for the structure to be built with a huge H-shaped exhibition space off the central atrium. The room's floors were reinforced to handle heavy pieces, and a 40-foot section of wall was made to be ripped out as a doorway.

This was all done with the express idea of putting capacious new Serra works on view. Senior Deputy Director of Exhibitions Jennifer Russell says Serra used the size constraints of that breakaway wall in determining the height of the new pieces.  Watch an audio slide show in which Sr. Dep. Director of Exhibitions Jennifer Russell talks about installing the Serra show »

So the retrospective not only brings into major focus the place of this key U.S. figure in the world's conversation on modern art, but it also makes good on what MoMA Director Glenn Lowry likes to call presenting art "full-force." Read more about Lowry's perspective on American art museums.

The museum's array of its power to produce and present abstract work in an accessible, meaningful way is based in the three-stage character of this expansive exhibition.

Visitors may understand these three new works as something akin to steel mazes. Some report the sensation of a tilting floor as they walk through the warm-sienna walls of "Sequence."

They duck into and out of "Torqued Torus Inversion" through the narrow openings in that pair of great tortellini of heavy metal.

And they follow the ribbon of looming steel that snakes its way across the northern end of the hangar-like room. The walls of "Band" form canyons and cul-de-sacs that seem much too simple to create the disorientation they do in a viewer.

Serra says that "Band," more than 71 feet long, is likeliest to spur his next work. And in following its serpentine footprint, he comes out with what might serve as an essential Serra-ism: "You have the idea that you're either in the outside of the space you've just been in, or you're in the inside of the a new space that's on the outside of the space you've been in."

When you walk the piece, you understand what he just said. And you've interacted with a space the sculptor concedes mystifies even him. "I still don't completely understand my relationship to the horizontal field as you walk this piece. ... It's still unknowable to me, so there are potentials in this piece that I haven't explored yet."

In the 1960s, Serra formed Low Rate Movers, a furniture-moving outfit in Lower Manhattan, along with composers Philip Glass and Steve Reich, artist Chuck Close, the late actor Spalding Gray and independent filmmaker Michael Snow. Working only from 23rd Street southward and just a couple of days a week each, he says, members of the group could support their explorative art careers.

"After a while, though," he says, "we stopped moving pianos and refrigerators. Too heavy."

That sounds funny coming from a man who's standing in MoMA's display of his free-standing works in lead, including the 1969 "One Ton Prop (House of Cards)" and other pieces that seem to defy gravity. "I think welding is a form of stitching," Serra says.

But in addition to furniture, these artists moved back and forth a growing vocabulary of post-Minimalist inquiry. "There was a need for me to get back to the process in relation to dealing with matter," says Serra, who is very clear on the point that his work is not Minimalist.

To make "Belts," for example, he says, "We cut rubber into strips or sections, and every time the rubber crossed another piece of rubber, we put a bent nail in it. At the time," he adds, "these pieces were quite abrupt."

Today, starting on MoMA's sixth floor with "Delineator" from the mid-1970s, you still can see eyes widen. "Abrupt" is one way to describe the realization of how that work's two 10-by-26-foot slabs of steel are laid out. Look up: One of them is hanging over your head on the ceiling.

But in an exhibition that runs from a loop of neon tubing to those tidal swirls of steel bent in service to careful, creative calculations, the surprise may be the awe that finally seems to grip even the most reluctant viewer.

In something like the way the stages of Serra's career have evolved, the sixth floor and garden somehow prepare you for the second floor's majestic march of new, eerie, defining works.

"Sequence," "Torqued Torus Inversion" and "Band" don't seem to quite touch that reinforced floor. They hover.

"It seems very weightless," Serra says, recalling the three weeks it took just to get the sculptures assembled on this vast plain that gathers in, at last, so many years of search, discovery and risk-taking.

In 1967 and '68, Serra worked on a handwritten "Verb List" now seen by many as a manifesto for what would come. "To roll, to crease, to fold," the list begins. "Of context, of time, of talk, of photosynthesis, of carbonization," it concludes -- "to continue."

Serra's conversation is as efficient, focused and clean as that list. He moves from work to work, consciously tracking himself in these pieces, intrigued, especially, when he can't fully grasp a work's effects on him.

"There's a redundancy in this piece," he says of the new "Band," happily intrigued. "It seems to be a little maddening."

So is "to madden" a new verb in the growing patois-Serra? Set out like mountains in an indoor range of steel, the sculptor's crouching, floating works at MoMA are waiting, after all, for you to decide.

They seem patient, purposeful, poised to receive your intelligence in their space.

Serra values "anything that engages people in relation to a work," he stresses.

"Anything that says, 'Come here and take a look,' that gets them involved on some level ... different people will come through with different ideas about what it means or what the intention was or what the aesthetic is."

In the work of Richard Serra, you are the subject. E-mail to a friend

Major sponsorship of the Serra exhibition at MoMA is provided by LVNH/Moët Hennessy.

@highlight

'Richard Serra Sculpture: Forty Years' runs to September 10 at MoMA

@highlight

More than 800 tons of monumental steel and free-standing lead constructions

@highlight

MoMA's Abby Aldrich Rockefeller Sculpture Garden one of three venues

@highlight

Cranes required to hoist steel sections over garden wall and into galleries