(CNN) -- While he's enormously concerned about what secrets self-avowed NSA leaker Edward Snowden may yet spill, President Barack Obama said Thursday he's not going to take extraordinary measures to capture him.

"I'm not going to be scrambling jets to get a 29-year-old hacker," he told reporters during a news conference in Senegal, his first stop on a tour of several African nations.

Obama hadn't talked to leaders of China and Russia about Snowden -- who actually turned 30 a few days ago -- in part because he didn't want to amp up the issue and have to start "wheeling and dealing" in order to get the fugitive in U.S. custody.

In a speech Thursday, National Security Agency director Keith Alexander ceded he's worried there may be more leaks from Snowden.

"These leaks have caused significant and irreversible damage to our nation's security," Alexander said. "... What is going on, in these leaks, is unconscionable in my opinion, it hurts our nation and our allies. And it's flat wrong."

Snowden has said he gave reporters information about secret surveillance out of concern these programs violate privacy rights and put too much power in the hands of government officials.

As Snowden seeks asylum, U.S. bides its time

Venezuelan President Nicolas Maduro said Tuesday his country would consider a formal request for political asylum from Snowden -- which it hadn't then received -- and Foreign Minister Elias Jaua reiterated that position Thursday.

Another Latin American country, Ecuador, is probably Snowden's most widely rumored destination -- and subject of a growing spat with the United States because of it. Snowden has sought asylum there, the same country that has already agreed to shelter WikiLeaks founder Julian Assange, albeit at its embassy in London.

On Wednesday, U.S. Sen. Robert Menendez, D-New Jersey, said he would move to block Ecuador from two U.S. free-trade programs should Snowden go there.

"Our government will not reward countries for bad behavior," he said.

4 options for the U.S. to get Snowden back

Ecuadorian presidential spokesman Fernando Alvarado responded Thursday by saying his the nation would spare Menendez and his Senate colleagues the trouble.

"We will not accept any threats or pressure from anyone," Alvarado told reporters. "We will not deal or trade in our principles. No matter how important the trade advantage may be."

The programs in question aren't free-trade agreements but U.S. laws that don't require Ecuadorian consent, so Alvarado's declaration may have little more than a symbolic effect.

"I'm not sure you can really withdraw from them one way or another," State Department spokesman Patrick Ventrell said.

While he didn't offer specifics, Ventrell did say he'd expect "grave difficulties" in relations if Ecuador granted Snowden asylum.

The two countries have been at odds publicly, but remain linked economically. Ecuador, for instance, sent about $9.6 billion of goods to the United States in 2011, according to the Office of the U.S. Trade Representative.

The head of the Ecuadorian Business Committee said he's worried that "very important" commerce between the two nations could be negatively impacted as a result of this tiff.

"It's a risk to give asylum to Snowden because the United States, they could consider some economic sanction, including commercial sanctions," said Roberto Aspiazu.

Still in Moscow

Snowden apparently remained in limbo at Moscow's airport, a free man according to Russian officials but with limited options.

Why would Snowden head for Ecuador?

He didn't appear to board Thursday's flight from Moscow to Havana, where he had been rumored to be heading on his way to Ecuador or some other safe haven.

While he has applied to Ecuador for asylum, that request has not yet been "dealt with" because Snowden is not in the country, Ecuadorian Political Affairs Secretary Betty Tola told reporters. She denied the country granted Snowden refugee travel papers, as Assange told reporters this week.

Opinion: Why Ecuador might shelter Snowden

Assange said Snowden traveled from Hong Kong to Moscow on Sunday using documents provided by Ecuador.

Other governments have not specified what documents the former CIA employee and National Security Agency contractor used to leave the semi-autonomous Chinese territory, where he had gone to leak details of secret U.S. telephone and Internet surveillance programs.

U.S. officials have accused China of deliberately letting Snowden leave. And they have expressed frustration with Russia's refusal to detain a man they portray almost as a common criminal -- on par with seven Russian fugitives U.S. officials have repeatedly said they handed over to Russia in the past two years despite the lack of an extradition treaty.

Snowden and others have contended that he did America and the world a service by revealing information on secret programs, which they say wrongly impinge on people's right to privacy in furtively giving too much information to the U.S. government.

But in his speech Thursday in Baltimore, the head of the National Security Agency argued -- as he's done repeatedly in recent weeks -- that the programs both protect civil liberties and help keep America and its allies safe.

Alexander pointed to 54 related cases that Congress was informed about, of which 50 led to arrests or detentions. Most of these were centered overseas, with 13 exceptions such as a foiled 2009 plot to bomb New York City's subway system. Exposing the programs, he and others have said, makes it harder to spot terrorists and thus puts lives at risk.

"I believe the irresponsible release of classified information about these programs will have a long-term detrimental impact on the intelligence community's ability to detect future attacks," Alexander said. "These leaks have inflamed and sensationalized, for ignoble purposes, the work that (the) intelligence community does lawfully, over strict oversight and compliance."

Possible Snowden posts

On Wednesday, the technology website Ars Technica published portions of chat logs it said show comments from 2009 by someone using a forum name Snowden was known to have used. The comments criticized people who leak national security information.

Commenting on New York Times reporting based on leaks related to confidential surveillance programs involving Iran, the poster compared the newspaper to WikiLeaks -- which enraged U.S. officials by disclosing thousands of confidential diplomatic cables.

"Are they TRYING to start a war?" the poster wrote. "you don't put that s*** in the NEWSPAPER."

Ars Techica said it could not be certain the poster was Snowden, but information revealed in the posts matches biographical information he has since publicly revealed. CNN could not verify the posts' authenticity .

If they were written by Snowden, they offer insight into his thinking at a time when he apparently was more accepting of government surveillance programs.

According to Ars Technica, the poster said of the New York Times and its reporting on secret surveillance programs, "these are the same people who blew the whole 'we could listen to osama's cell phone' thingthe same people who screwed us on wiretappingover and over and over againThank god they're going out of business."

Four years later, Snowden would provide news organizations in the United States and the United Kingdom with classified information he acknowledged copying and taking from his job as a computer contractor for the NSA in Hawaii.

Where could Snowden go next?

CNN's Greg Botelho, Matthew Chance, Carol Cratty, Elise Labott, Vivian Kam, Adam Levine, Catherine E. Shoichet and Joseph Netto contributed to this report.

@highlight

NEW: Leaks caused "irreversible damage to our nation's security," NSA chief says

@highlight

NEW: A Venezuelan official reiterates his nation's openness to accepting Snowden

@highlight

President Obama says he doesn't want to make deals to get Snowden

@highlight

Ecuador renounces U.S. trade benefits in the tiff over the asylum bid