(CNN) -- This week, just over 250 days since the U.S. Senate passed a bipartisan and inclusive bill to extend the landmark Violence Against Women Act (VAWA), the Republican leadership in the House of Representatives allowed the clock to run out on protections that bill would have provided to millions of women across our country.

It was an inexcusable failure by House Republican leaders and one that will have real-life implications for women who now find themselves with nowhere to turn for help. It was also another reminder, coming on the same day that House Republican leaders refused to pass aid to states ravaged by Superstorm Sandy, that these leaders continue to answer to the most radical elements of their party regardless of who or what is at stake.

Since it was passed into law in 1994, the Violence Against Women Act has provided life-saving assistance to millions of women and families across the nation. For battered women, the law has provided critical law enforcement protections and often a way out from a life of abuse. One reason the law has worked so well in protecting a broad group of women is that since its initial passage, every time Congress has reauthorized the bill, we have done so in a bipartisan way that extends the legislation's many protections to new groups of women.

News: Backers hope to revive Violence Against Women Act

That was once again the case when the Senate took up the bill in 2012. We listened to advocates, law enforcement officers, clergy members and -- most importantly -- from the survivors themselves to find out what needed to be done to improve VAWA. And in April the Senate passed a VAWA reauthorization by a vote of 68 to 31, a rare bipartisan feat that included the support of 15 Republicans. Included in that bill were new protections granted to women who had been left out of previous versions of the bill.

Specifically, the bill included increased protections for women on college campuses across the nation following the brutal 2010 murder of Yeardley Love at the University of Virginia. It included new law enforcement measures to safeguard women on tribal reservations, one in three of whom will be raped in their lifetimes. It included nondiscrimination language for those in the LGBT community who had been unfairly left out of previous bills. And it provided protections to immigrant women, regardless of their status, who are often scared into silence at the hands of their abusers.

Opinion: Don't gut Violence Against Women Act

But for the leadership in the House of Representatives, passing a bill with life-saving protections to these new communities of women was simply not politically acceptable. So just weeks after the Senate passed our bill, in a purely ideological move, House Republicans passed a bill that specifically stripped the new protections for immigrants, the LGBT community and tribal women, and even removed protections that exist under current law.

For me and for many of my women colleagues, as well as for mothers, sisters and daughters everywhere, the House Republican's decision to pointedly discriminate against these groups of women was stunning. Surely, we should all be able to agree that where a person lives, their immigration status or who they love should not determine whether or not perpetrators of domestic violence toward them are brought to justice. Surely no police officer should ever have to ask the sexual orientation or immigration status of a woman who lies bruised and battered at the scene of a crime. Yet, the House bill drew those lines.

Debate over act centers on the vulnerable

So, over the course of the past nine months, I have joined with domestic violence advocates, fellow legislators and countless victims to call on House leaders to end the discrimination against these populations of women. On the Senate floor we have told the painful stories these women have shared of being scared for their own lives. In television appearances, these brave women have plead for the protections so many other women across the country enjoy. And most recently, every Democratic woman in the Senate wrote to the Republican women of the House of Representatives to appeal for their help in passing our bill.

Opinion: Sadly, some don't see it as rape

Thankfully, in response to these many calls, one by one we heard from moderate Republican voices in the House who believed they should take up and pass the Senate bill. These members of Congress made clear that if House leadership would only bring up the bill for a vote it would pass the House and be sent to the president to become law.

Yet, throughout the final weeks, days and hours of the last Congress, House Speaker John Boehner and House Majority Leader Eric Cantor refused to budge. Ignoring voices in their own party and the clear message sent by American women in the last election, they instead decided to side with the far right wing of their party by allowing the bill to expire.

This political gamesmanship has taken a very real toll. Every moment the House continues to delay is another moment vulnerable women are left without protections they deserve. In the next Congress one of our absolute first priorities must be passing an inclusive and bipartisan bill to extend protections to the millions of new women included in the Senate bill. As a nation we cannot accept further discrimination or delay from House Republican leaders.

The opinions expressed in this commentary are solely those of Patty Murray.

@highlight

Patty Murray: House GOP stalled renewal of Violence Against Women Act

@highlight

She says bill provided new protections for immigrants, LGBT Americans

@highlight

She says in partisan move, House then passed a bill stripping out new protections

@highlight

Murray: Some GOP in House say bill could pass if brought to vote. Women need House to act