Senate Democrats are wrapping up their tenure in the majority by reigniting debate on some of the former President's most controversial policies with a long-delayed report on the use of torture - "enhanced interrogation techniques" - by the U.S. government.

Six years into the Barack Obama's presidency, the Senate Intelligence Committee early next week is expected to release findings from its $50 million investigation of the Central Intelligence Agency's use of so-called enhanced interrogation techniques on detainees in the years following the Sept. 11, 2001 terrorist attacks.

Among the questions the report tackles: Did three detainees tortured under the program provide information that helped identify a courier who led the U.S. to find Osama bin Laden?

The answer to that question will likely be different based on already hardened points of view even after the Senate report is released. The CIA believes the interrogations of three men: Khalid Sheikh Mohammed, Ammar al-Baluchi, and Hassan Ghul provided key information that led to bin Laden.

Related: Military orders security review ahead of torture report release

More than a hundred detainees went through the CIA's detention program, and about a third were subjected to "enhanced interrogation techniques," which included waterboarding, exposure to cold temperatures, slapping and sleep deprivation. Three were waterboarded, which is considered the harshest of the techniques.

The agency now disavows the program as a mistake that it won't repeat.

Related: "We tortured some folks, says President Obama"

But they are also trying to walk a fine line, by sticking to claims that valuable intelligence on al Qaeda and in the hunt for Osama bin Laden emerged from the harsh interrogations of detainees.

CNN's Candy Crowley asked former President George W. Bush about the report in an interview set to air on State of the Union Sunday.

"I'll tell you this," Bush said after clarifying that he hadn't read the Senate report yet.  "We're fortunate to have men and women who work hard at the CIA serving on our behalf.  These are patriots.  And whatever the report says, if it diminishes their contributions to our country it is way off base.  I knew the directors, the deputy directors, I knew a lot of the operators.  These are good people.  Really good people. And we're lucky as a nation to have them."

Officials briefed on the report say it will provide ugly new details on the CIA program, including specifics on detainee deaths and a portrayal of a haphazardly assembled and poorly managed program. The report will detail 20 findings, plus 20 case studies that the Senate Democrats say illustrate CIA's misrepresentations about the program. The Osama bin Laden hunt is one of the 20 case studies.

Countries that cooperated with the CIA, hosting black site prisons and assisting in transferring detainees, will be identified only obliquely and not by name. CIA employees, referred to by pseudonyms in the report, won't be identified; the CIA pushed for the pseudonyms to be redacted because other information in the report could be used to determine who they are.

The Senate report was conceived initially as a bipartisan review of the CIA program, though Republicans senators pulled support from the investigation soon after it began. Its findings likely will end up being seen through the prism of the deeply-partisan divide over the Bush-era counter-terrorism tactics and whether they actually produced intelligence to keep the nation safe.

The investigation produced a report that is more than 6,000 pages. But only the 480-page executive summary is being released, following months of negotiations between the Senate and the White House over redactions.

According to an administration official, 93% of the report is unredacted. "There's going to be nothing lost in this narrative," the official added.

There also will be a separate rebuttal by the committee's Republicans. And the CIA will publish its own study of the program.

Conspicuously absent from the Senate report is any examination of the role of high-level officials in the Bush White House who authorized the CIA program and who urged that more aggressive tactics be used. That omission appears to lay blame for the program's excesses solely on the CIA, when top Bush officials ordered the agency to come up with the detention and interrogation program. A Senate aide said the purpose of the report wasn't to point fingers at the Bush administration, but to examine the program itself.

The central conclusion by the Democratic-led Senate report, according to people briefed on the investigation, is that CIA employees exceeded the guidelines set by Justice Department memos that authorized the use and that the agency misrepresented to Congress and the White House what it was doing.

The report has also opened a rare public rift between the current White House and some Democrats on Capitol Hill. Sen. Dianne Feinstein, who chairs the Senate Intelligence Committee and is usually a defender of the CIA, has unleashed stinging criticism of the agency after what she said was a series of cover-ups including the destruction of interrogation tapes. "The interrogations and the conditions of confinement at the CIA detention sites were far different and far more harsh than the way the CIA had described them to us," Feinstein said on the Senate floor in March.

Related: Shocking report closer to completion

Her remarks came during a spat with the CIA. Feinstein was angry at the discovery that CIA employees had conducted searches of computers used by Senate staffers at a CIA facility to conduct their investigation. The CIA in turn accused Senate staffers of hacking into CIA computers to obtain documents they weren't entitled to.â€‹

In a phone call Friday , Secretary of State John Kerry asked Feinstein to consider the broader implications of the timing of the report's release, said State Department spokeswoman Jen Psaki.

"A lot is going on in the world, and he wanted to make sure that foreign policy implications were being appropriately factored into timing,"  Psaki said. "These include our ongoing efforts against ISIL and the safety of Americans being held hostage around the world."

During the call, Kerry made it clear "that the timing is of course her choice,"  Psaki  said.

Feinstein also claimed some of the report's findings challenge the "societal and constitutional" values of America.

"We have to get this report out," Feinstein told the Los Angeles Times in an interview Sunday. "Anybody who reads this is going to never let this happen again."

Did torture work?

Ali Soufan, a former FBI agent, who was one of the bureau's top al Qaeda experts, says the torture "didn't work." In an opinion article published in the New York Times last year, Soufan says "torture led us away from Bin Laden. After [Khalid Sheikh] Mohammed was waterboarded 183 times, he actually played down the importance of the courier who ultimately led us to Bin Laden."

John Rizzo, who was the CIA's acting general counsel during the period, is convinced the program helped find bin Laden and that it protected the nation. "I believed the program yielded valuable intelligence and I continue to believe this," he told CNN in an interview earlier this year.

Also in dispute -- and some say unknowable -- is whether other methods could have produced the same or better information than what the CIA program produced.

U.S. intelligence and law enforcement officials have mixed views on whether any intelligence information still in use by intelligence analysts came from the program. Some officials say that because of the way intelligence is gathered, it's impossible to determine whether strands of intelligence, used to keep tabs on al Qaeda terrorists, came from the now-banned interrogations. Others say that the FBI and CIA already had detailed knowledge of al Qaeda and that the program simply duplicated information already in the hands of intelligence analysts.

For some Republicans and CIA supporters, there's still a dispute about whether techniques like waterboarding, used on three detainees, constitutes torture.

The Justice Department twice has investigated the conduct of CIA employees involved in the program and decided not to bring charges.

President Obama an early critic of the program as senator, has tried to be more even-handed since taking office. "We tortured some folks," the president said in August, adding that there was a need to recall the context of the era, including the fear of follow-up attacks.  "In the immediate aftermath of 9/11, we did some things that were wrong â€” we did a whole lot of things that were right, but we did some things that were contrary to our values... I understand why it happened. It's important when we look back to recall how afraid people were."

@highlight

Senate Democrats are set to release a long-delayed and much-anticipated review of American interrogation techniques

@highlight

The report will tackle the question of whether torture helped gain intelligence

@highlight

Republicans have pulled support from the report and will offer their own rebuttal