Porto Santo Stefano, Italy (CNN) -- Rescuers reached two trapped honeymooners in the interior of a cruise ship more than 24 hours after it ran aground off a picturesque Italian island, killing three people, injuring 20 and leaving dozens unaccounted for.

The South Korean passengers, each 29, heard searchers calling out on the Costa Concordia, Italy's ANSA news agency reported early Sunday. They were located in a cabin and taken ashore. Video showed them being taken to a waiting ambulance.

The captain of the ill-fated vessel, which turned over on its side after the grounding, was arrested late Saturday and was being investigated for abandoning ship and manslaughter, a local prosecutor said.

With perhaps up to 50 people unaccounted for, divers suspended their efforts at dark, with plans to resume the search in the azure waters off the island of Giglio at dawn Sunday.

Accounts of the chaos from many of the 3,200 passengers were reminiscent of a maritime disaster 100 years ago this April -- the loss of the RMS Titanic.

"For me, the worst part of the whole ordeal" was when a lifeboat crew member told those boarding that it was "women and children first," said passenger Benji Smith of Boston.

"All these families who were clinging to each other had to be separated," Smith told CNN.

Some passengers fell into the chilly waters during the rescue, ANSA reported.

Questions abounded: Why was the colossal ship so close to the shore? How fast was it moving? How well did the crew respond? According to many passengers, the evacuation was disorganized and no one seemed in charge.

"Every crew member who walked past shouted instructions, but the instructions contradicted each other," Smith said.

Concordia's captain, Francesco Schettino, was interviewed earlier Saturday about what happened when the ship struck rocks in shallow water off Italy's western coast Friday evening, said officer Emilio Del Santo of the Coastal Authorities of Livorno. Local fishermen say the island coast of Giglio is known for its rocky sea floor.

Schettino said "that rock was not indicated on the chart," according to ANSA. "Me and the crew, we were the last to abandon ship," he said.

The ship was 2.5 miles off route when it struck the rocky sandbar.

"There are rocks, they are on the maps," said Capt. Cosimo Nicastro of the Italian Coast Guard. "What we know is the ship went really close to these rocks. ... We don't yet know why."

The ship began taking on water Friday evening and the crew kept going because they believed the vessel could normally keep sailing, Nicastro said. Realizing there was a significant safety problem, the commander steered the Costa Concordia closer toward port.

Authorities also were looking at why the ship didn't hail a mayday during the accident.

"At the moment we can't exclude that the ship had some kind of technical problem, and for this reason moved towards the coast in order to save the passengers, the crew and the ship. But they didn't send a mayday. The ship got in contact with us once the evacuation procedures were already ongoing," Del Santo said prior to the announcement of the captain's arrest.

Giuseppe Orsina, a spokesman with the local civil protection agency, said 43 to 51 people were missing, though authorities are reviewing passenger lists to confirm the exact figure.

"These people could be still on the island of Giglio, in private houses or in hospitals," Orsina said.

Two French tourists and a crew member from Peru were killed, Port authorities in Livorno said. One of the victims was a 65-year-old woman who died of a heart attack, according to authorities.

Nautilus International, a maritime employees trade union, called the accident a "wake-up call" to regulators.

"Nautilus is concerned about the rapid recent increases in the size of passenger ships -- with the average tonnage doubling over the past decade," said Nautilus general secretary Mark Dickinson in a statement. "Many ships are now effectively small towns at sea, and the sheer number of people onboard raises serious questions about evacuation."

Gianni Onorato, president of Genoa-based Costa Cruises, expressed "deep sorrow for this terrible tragedy," but said the cruise line was unable to answer all the questions that authorities are now investigating.

The vessel, plying the waters from Civitavecchia to Savona, Italy, struck a submerged rock, Onorato said in a statement before the announcement of the captain's arrest.

"Captain Schettino, who was on the bridge at the time, immediately understood the severity of the situation and performed a maneuver intended to protect both guests and crew, and initiated security procedures to prepare for an eventual ship evacuation," he continued. "Unfortunately, that operation was complicated by a sudden tilting of the ship that made disembarkation difficult," Onorato said.

Rosalyn Rincon, a member of the cruise ship staff, said the captain told passengers there was an "electrical problem."

Concordia was carrying about 3,200 passengers and 1,000 crew members when it ran aground.

"I'm not surprised that it (the ship) would wind up tipping like this," said Neil Gallagher, professor of naval architecture at the Webb Institute on Long Island, New York. "Something had to go wrong with either the controls or the navigation to get it to this condition."

Chris B. McKesson, adjunct professor of naval architecture at the School of Naval Architecture and Marine Engineering at the University of New Orleans, said, "from the size of the gash, she must have been steaming at a pretty good pace."

Fear and panic aboard crippled ship

Panic spread as people scrambled to find lifeboats in the dark as the ship quickly leaned to one side late Friday. Access to some lifeboats was hampered by the ship's tilt into the water.

With the ship's staircases flooded, Smith and others made rope ladders to climb from the outer fourth deck to the third. They were eventually rescued more than three hours later by a lifeboat that had returned from dropping passengers ashore.

At least three lifeboats, each with a capacity of more than 100 people, apparently malfunctioned due to technical or crew error, Smith said. "The people manning these boats were just cooks and shopkeepers," Smith said.

Cmdr. Buddy Reams, chief of the U.S. Coast Guard's Cruise Ship National Center of Expertise, said, "when it comes to cruise ships, in the event of emergency, cabin stewards or others would have safety roles," he said.

The Coast Guard inspects foreign-flagged cruise ships in U.S. waters twice a year, studying the competency of the crew during fire and abandon-ship drills, Reams said.

Many passengers asked why they had not yet received an obligatory safety briefing when disaster struck around dinner time, only hours into their journey. The timing of the safety briefings and muster drills depend on the length of the cruise, Reams told CNN.

Many of those rescued in the early hours were taken to small churches and other buildings around the island for shelter. Some were still wearing the pajamas and slippers they had on as the ship went down.

Vivian Shafer, a passenger from Maryland, told CNN there was no initial announcement after the vessel began its tilt. Others reported being unable to clearly hear instructions.

Once ashore, no one from the crew assisted them, Shafer said. Rather, it was up to islanders.

"There didn't seem to be anybody in charge," she said.

Costa Cruises, owned by parent company Carnival Corp., said it was focusing on the final stages of the emergency operation and helping passengers and crew return home.

"It is a tragedy that deeply affects our company. Our first thoughts go to the victims and we would like to express our condolences and our closeness to their families and friends," the line said on its website.

The Concordia, built in 2006, was on a Mediterranean cruise from Rome with stops in Savona, Marseille, Barcelona, Palma de Mallorca, Cagliari and Palermo.

Most of the passengers on board were Italian. CNN affiliate America Noticias, in Peru, said a group of 32 Peruvians were also onboard. Brazil's state-run Agencia Brasil said 53 Brazilians were on the cruise ship. An estimated 126 Americans were also on board, according to the U.S. State Department. There were no reports of injured Americans though the U.S. Embassy in Rome said it was unable to account for all U.S. citizens believed to be on board the ship at the time of the accident.

Another Costa ship was involved in a deadly 2010 accident when the Costa Europa crashed into a pier in Egypt's Sharm el-Sheikh during stormy weather, killing three crew members.

CNN's Marilia Brocchetto, Livia Borghese, Michael Martinez, Melissa Gray, Phil Gast and journalist Barbie Nadeau contributed to this report.

@highlight

NEW: Two rescued passengers were South Koreans on their honeymoon

@highlight

The captain is being investigated for abandoning ship and manslaughter

@highlight

An estimated 126 Americans were among the 3,200 passengers

@highlight

Scores of people are unaccounted for, but may be at hospitals and shelters