(CNN) -- The death of Britain's former prime minister Margaret Thatcher has taken up column inches on front pages around the world.

In keeping with the legacy of the "Iron Lady", reaction has been split between praise and condemnation, underscoring Thatcher's global impact -- in life and now in death.

Read more: Tributes paid to 'great leader, great Briton'

The English language Buenos Aires Herald said Argentina's government had been silent on the death of Thatcher, who led Britain into the 1982 war over the Falkland Islands, a territory Argentina claims and refers to as Las Malvinas. Thatcher "was held responsible for sinking the ARA General Belgrano light cruiser outside the Maritime Exclusion Zone, killing 323 Argentine sailors," it said. Relatives of Argentinians killed in the war regretted that Thatcher had died before Argentina could file a lawsuit against her in the International Criminal Court at The Hague, it said.

Argentine news agency Telem said most Argentinians would remember her for the Belgrano incident, while La Nacion said the few politicians who addressed her death also condemned the ship's sinking.

The Falklands' Penguin News led with "Lady Thatcher's death received with great sadness in Falkland Islands." It said the Falklands War was "seen as the defining moment" in her career.

In its article on Thatcher's death, the English-language Santiago Times in Chile recalled the Iron Lady's support for the country's former dictator Augusto Pinochet, whose regime it said had supplied Britain with intelligence during the Falklands War. After his arrest, it said, Thatcher praised Pinochet for bringing Chile democracy. "Thatcher's staunch support of the dictator -- whose 17-year reign of terror included thousands of deaths and numerous human rights abuses -- was a controversial position for her to take," the article said.

Read more: How 'Lady T' built transatlantic bridges

The Shanghai Daily carried a photo of Thatcher meeting with China's then leader Deng Xiaoping in 1982, reminding its readers that Thatcher had signed the 1987 agreement to hand Hong Kong back to China.

China's Global Times praised Thatcher for recognizing that the issue of Hong Kong's sovereignty was a different from that of the Falklands. It said Thatcher's "restoration of the British economy represented one of the last glorious achievements of Great Britain, or even Europe." Its editorial went on to speculate that Thatcher had been the West's last "iron" politician "partly because the decline in European power means they cannot uphold an iron stance." "The win-win spirit China brings to international politics is expanding. We have reasons to show respect to this woman that signed the Sino-British Joint Declaration. But at the same time, the world should move on," its editorial writer declared.

The South China Morning Post carried a poll on whether Thatcher signed away Hong Kong too easily.

South Africa's Mail and Guardian reported a "mixed response" to the death of a woman who believed in engaging with the country's apartheid regime and who described the ANC as a "terrorist organization." Commentator Susan Booysen told the newspaper Thatcher's opposition to economic sanctions helped "keep up" the apartheid government.

South Africa's Times said the "divisive effect" of Thatcher's foreign policies were still felt in the country. It quoted former foreign minister Pik Botha as saying she had done more to help end apartheid than any of her contemporary leaders, while the ANC highlighted Thatcher's "failure to isolate apartheid after it had been described as a crime against humanity'."

Read more: Twitter reactions

The Moscow Times said Thatcher -- an "outspoken opponent of communism" -- had publicly backed perestroika, the movement led by leader Mikhail Gorbachev to reform the Communist Party of the Soviet Union in the 1980s. A former translator for Gorbachev, Pavel Palazchenko, told the newspaper that Thatcher had "helped change attitudes" towards Russia. "Without doubt, she played an instrumental role in ending the Cold War," it quoted him as saying.

In his L.A. Times column, Jonah Goldberg wrote that Thatcher destroyed socialism rather than liberalism -- forcing Labour's Tony Blair to "to repudiate the party's century-long support for doctrinaire socialism and embrace the market" and U.S. Democrat Bill Clinton to follow suit. "That's one reason the left still hates her so much -- because she won, at least in her time," Goldberg concluded.

The International Herald Tribune said it could be argued that her military successes had "made it easier for Mr. Blair to carelessly and recklessly follow George W. Bush into Iraq." "But Mrs. Thatcher knew how to stand up to Ronald Reagan when she needed to â€” for example, over the ill-considered United States invasion of Grenada," the newspaper said.

The Washington Post headlined its editorial: "Margaret Thatcher: In every sense, a leader." "She strengthened Britain's ties with the United States, bolstered its military, supported the placement of intermediate-range missiles in Europe (an extremely controversial move at the time) and spoke out with undiplomatic boldness when she took offense at some countries' actions," it said. The Post speculated that she might have retained the premiership longer if she had been more flexible -- adding "but then of course she wouldn't have been Maggie Thatcher."

Read more: Reagan and Thatcher: 'Political soulmates'

French newspaper Le Monde wrote that the 1980s were the years of "Maggie", who it said reinvented economic liberalism -- alongside Reagan. Thatcher's legacy continued with Blair's "third way" and Clinton's policies, it said in its editorial.

In Le Figaro, Pierre Rousselin wrote that Thatcher "never wanted to please everybody." "Uncompromising on principles, she hated false consensus policies that solved nothing," he said. "France and Europe today may well need leaders of her ilk," Rousselin added.

However, in Germany, Der Spiegel wrapped up editorial comment in the country under the headline "'Thatcher's Dogma Paved Way for Financial Crisis'." Some newspapers had highlighted her forceful personality while "some conclude, however, that her policies were too radical, and that Thatcherism no longer offers the answers to the economic problems of today," David Crossland wrote.

In the United Kingdom, the Daily Mail called for a state funeral for "The woman who saved Britain." Its headline contrasted with the Daily Mirror's: "The woman who divided a nation." The Mirror's editorial was headed: "Margaret Thatcher broke Britain and replaced it with something crueller and nastier."

Read more: Thatcher's legacy in Europe

@highlight

Former British prime minister Margaret Thatcher died on Monday, aged 87

@highlight

During her time in office, the Conservative leader's policies polarized the UK

@highlight

The "Iron Lady" privatized state-run industries and did battle with trade unions

@highlight

Britain went to war with Argentina over the Falkland Islands during her premiership