Washington (CNN) -- On the 47th anniversary of the 1963 March on Washington on Saturday, the first sight on the National Mall for thousands of marchers was a four-story art installation that displayed four images and quotations of Martin Luther King Jr..

The participants in Glenn Beck's "Restoring Honor" rally paused as they walked toward the Washington Monument and Lincoln Memorial. Some stopped to have pictures taken with King as the backdrop.

As recordings of King's booming baritone filled the air, some of the Beck followers laughed and others booed. Some looked for someone to argue their case that King's dream was passé, no more relevant to today's politics than the race to the moon.

Michael Murphy, an artist from Georgia, created a four-story structure that celebrates King to honor King's spirit and to counter the rallies by Beck and the Rev. Al Sharpton.

Four images, each with passages from King's speeches, can be viewed from different perspectives.

Rev. Jim Wallis, speaking at a celebration of King's life near the temporary art installation, acknowledged the "angry discussions about the legacy of this man." A Beck marcher ran up to someone admiring the art and called out: "We'll be free again -- in November."

America's political atmosphere at the time of the Beck and Sharpton rallies sometimes seems more toxic than the politics of 1963. Beck has likened the policies of President Obama's administration to those of Adolf Hitler and calls him a communist. Some in the Tea Party movement have questioned Obama's patriotism and insinuated that he is an al Qaeda sympathizer.

In fact, the political climate surrounding King's 1963 march was tougher. But King and the civil rights movement provided a moral vision that made it possible for the U.S. to find a way out of those ugly times.

The summer of 1963 produced as much conflict as almost any other year in American history. After King's Birmingham, Alabama, campaign, more than 2,000 demonstrations broke out across the nation. More than 50,000 people were jailed. Many protests got violent. NAACP leader Medgar Evers was assassinated in Mississippi. Protesters in Danville, Virginia, got pummeled within an inch of their lives, then subjected to persecution. The governor of Maryland declared martial law in Cambridge.

That summer, the civil rights campaigners moved north. Protests in New York, Philadelphia, Newark, Chicago and San Francisco took a dramatic turn toward incivility. Frustrated by years of inattention, renters in Philly dumped mountains of garbage in front of slumlords' suburban homes.

Malcolm X sneered at Jews. "You haven't got no time to cry no tears for no Jews," he called out at the Harlem Unity Rally. "Why, they only killed 6 million Jews."

Meanwhile, segregationists were pushing constitutional amendments to overturn the principle of "one man, one vote," to give state judges power over the Supreme Court and to give states the power to amend the Constitution without any federal involvement. George Wallace and Ross Barnett led an effort to throw the 1964 presidential election into the House so that Dixie could determine the next president.

Radical groups of all stripes wanted to use the March to make history. The Nazis and the Ku Klux Klan vowed to round up 10,000 or more white supremacists with the hope of inciting a conflict that would doom the civil rights cause. Segregationists in Congress even expressed hope that violence would ruin the march and the civil rights movement.

Leftists, meanwhile, threatened to occupy the offices of segregationists on Capitol Hill and vent their anger at the White House and Justice Department. The Black Muslims denounced "the Farce on Washington," and Malcolm X came to razz the marchers. And on the edges of the movement, Communists tried to work their way into the march.

But amid what Garry Wills called America's second Civil War, the civil rights movement embraced the idea that the best way to gain rights was to appeal to everyone's hearts and meet "physical force with soul force," as King put it.

King himself did not always understand the imperative of love or nonviolence. As a young man, he later acknowledged, he hated whites. And he did not understand nonviolence right away either. In the early days of the Montgomery Bus Boycott, he hired men to guard his house with guns.

By the time of the March, King understood that America could be changed only by winning over the other side. King understood that fighting violence with violence created only more violence. He knew that, whatever happened, blacks and whites needed to live together.

One marcher who "won" a train ticket to the March on Washington for his courageous conduct in demonstrations, later remembered the time racist thugs threw beer mugs at marchers in Charleston. His first reaction, Harvey Jones told me, was to stiffen up to be ready for a fight. King planted himself in front of Jones. "If you don't think you can respond nonviolently, maybe you should leave the march," King said. He calmed down.

King's cause was moral, universal. He sought nothing for his people that other people did not enjoy. He wanted access to lunch counters and bus stations, the right to vote, equal access to schools, protection against mobs, fair police treatment.

And King was willing -- and insisted that his followers be willing -- to suffer for the cause.

Everyone remembers King's speech at the March for four words: "I have a dream." And, in fact, those words were transcendent. They conjured up images of a better world. Those words connected the ordinary struggles of the movement -- brutally hard work rewarded with beatings and jail -- with the glorious possibilities of equality.

But even more important were four other words: "Unearned suffering is redemptive." King warned that even the most innocent and decent people would continue to suffer. Oppressors never yield power willingly. They fight back viciously. So buck up. Move ahead, first into the swinging batons and electric cattle prods and water cannons. Because there is no other way.

King could issue that challenge. He could be that blunt and honest because of the universal values he espoused. They were not fighting for an earmark or a tax cut, loopholes from an EPA regulations, a Department of Education grant or a Fannie Mae subsidy. They were fighting for their lives.

It all seems so clear now, but it wasn't back in 1963, not for most people anyway. But the existence of this massive movement, with hundreds of thousands of ordinary people willing to put their bodies on the line with nonviolence and even love, created real light in what could have been the darkest of times.

Who's our King? Who is drawing on the power of soul force? Who is appealing to his bitterest enemies? Who today is pointing to a new age of cooperation and brotherhood?

The opinions expressed in this commentary are solely those of Charles Euchner.

@highlight

People arriving for the Glenn Beck rally were greeted by a tribute to Martin Luther King Jr.

@highlight

Charles Euchner says King's message is still relevant today

@highlight

He says King had to confront a much more rancorous political climate than today's

@highlight

King overcame oppression through nonviolence, he says; where is today's King?