(CNN)The case of a Georgia woman, whose execution was postponed for a second time Monday, is once again shining the national spotlight on one of the most fundamental questions we as a nation face: When do we put our own citizens to death?

But it's an issue on which this country is all over the place.

"As it relates to crimes against individuals ... the death penalty should not be expanded to instances where the victim's life was not taken."  That was Justice Anthony Kennedy, writing for the majority in Kennedy v. Louisiana (2008).

You might think at first the Department of Justice isn't listening.

After all, the U.S. federal government lists dozens of capital offenses that are punishable by death, and not all of them involve a victim's life being taken.  They fall into three main categories: 1) homicide offenses; 2) espionage and treason; and 3) nonhomicidal narcotics offenses.  While most of them involve the death of a victim, not all of them do.

But what happened to all that "shouldn't expand death penalty to crimes where the victim's life was not taken" language from the Supreme Court?  Doesn't the Department of Justice have to listen to the Supreme Court?

They do, and they have.

The Department of Justice has read the high court's fine print in Kennedy v. Louisiana:  "Our concern here is limited to crimes against individual persons. We do not address, for example, crimes defining and punishing treason, espionage, terrorism, and drug kingpin activity, which are offenses against the State. As it relates to crimes against individuals, though, the death penalty should not be expanded to instances where the victim's life was not taken."

Ah.  As with most things, there are exceptions to the rule -- though reasonable minds may differ on the reasoning behind those exceptions.

Apparently, when we are talking about crimes against people, the death penalty should not be expanded to nonhomicide-type crimes.  If it's a crime against the state, well, it's game on.

After all, treason is one of three crimes mentioned in the U.S. Constitution, so there's a good argument that the federal statute authorizing death for treason is "constitutional" -- because it's actually in the constitution.  (Yet another reason why federal court is not a place where defendants want to be -- it's no secret defense attorneys would rather be in state court, where the penalties are less severe and where everything isn't illegal).

While it varies from state to state, as a very general proposition, the death penalty is almost universally reserved for the crime of murder.  Murder is a subcategory of the broader class of homicide, and death penalty crimes are normally a subcategory of murder.

As another very general proposition in the States, murder -- plus something on top that makes it more egregious -- is what will qualify as a capital crime.

It would be nice to say that capital murder in the states is always defined as an intentional killing, but even that has exceptions.  In fact, in some states, you can be executed for a victim's death even if you didn't actually pull the trigger and even if you never intended a death to result.

If you commit an inherently dangerous felony, and a death results, you can be charged with "felony murder," which in some states qualifies you for the death penalty.  According to the Supreme Court, this is constitutional, as long as the defendant significantly participated in the felony and was recklessly indifferent to human life.

Ultimately, it's nearly impossible to articulate a simple rule for determining which crimes our society deems worthy of the death penalty. Society's view of the death penalty is constantly evolving, and so is the view of appropriate death penalty crimes.

As a general rule, horrific murders qualify, but sometimes a nonhomicide crime such as espionage qualifies. If you are in the armed forces, even more crimes can get you executed, such as desertion.

That's particularly paradoxical that we might order our military personnel to intentionally kill in times of war and then execute them -- as was the case of Pvt. Eddie Slovik -- for refusing to intentionally participate in the killing.  Of course, we have long recognized that military justice requires a degree of martial discipline that the civilian world simply doesn't.

While the husband-wife execution of convicted spies (and nonkillers) Julius and Ethel Rosenberg were certainly high profile at the time, the modern reality is that every person executed since the reinstatement of the death penalty in 1976 participated in a crime in which a victim died.

So what exactly will earn you the death penalty?  The message is anything but clear.

For crimes against the person, it has to be pretty awful: A killing plus something that makes it even worse than your garden variety homicide.  If your crime is against the state, however, the Supreme Court will give the state some leeway in killing citizens.

@highlight

U.S. federal government lists dozens of capital offenses punishable by death

@highlight

Danny Cevallos: Society's view of death penalty is constantly evolving