(CNN) -- We are in the middle of a fight to preserve the dignity and grace that makes all of us Americans. We have big hearts and great souls. I know. I have seen them, felt them and watched them in wonder when my family was lost and unreachable in the wake of Hurricane Katrina.

I cried, worrying for those I loved, heartbroken by what happened to our beloved Louisiana. And in the middle of that tough moment, the decency of people shone through in e-mails, phone calls and in person. Everybody was saying the same thing: "How can I help?"

This is what we do in times of struggle. We offer our hand and our love to pull someone up who's been knocked down by hard times and despair. It's just a fundamental rule in life and in any fight; you don't kick people when they're down.

But for some reason, this principle has been lost on the 217 members of the House of Representatives who decided to lace up some combat boots with rough, crushing soles to kick and kick again the 48 million Americans who count on food stamps.

I am not going to mince words. When the House voted to cut $40 billion to the food stamp program over the next 10 years, that wasn't an example of government tightening its belt or making tough choices. That vote wasn't a philosophy or an ideology about governing. Pure and simple, it was a heartless act. It was cruel. It was kicking millions of our families, neighbors and friends when they are down. And the people who work for a living in this country are down.

Let's take a walk through the facts of what's happened to them during the Great Recession and this nonrecovery of the economy.

The median family net worth dropped from $126,400 in 2007 to $77,300 in 2010, according to the Federal Reserve. It gets worse. Median family income fell from $49,600 in 2007 to $45,800 in 2010. (These are the latest available figures).

"The Fed (Federal Reserve) found that middle-class families had sustained the largest percentage losses in both wealth and income during the crisis, limiting their ability and willingness to spend," according to The New York Times.

For 30 years, wages have flat-lined or declined for most workers, particularly in the past 10 years, as low-paying jobs replace middle-income paying jobs. In 2009, only half of the country had any assets, and those numbers have gotten worse during the last three years.

And here's the kicker. Today -- based on wage levels -- half of Americans live in poverty or near poverty.  The gap between the well-to-do and everybody else is widening alarmingly.

Probably everyone reading this knows someone who is striving mightily, working two jobs and cutting expenses to the bone while barely making ends meet.

To be considered poor by federal standards, a family of four must make less than $23,550 a year. A person must make less than $11,490. For the unemployed and the millions who have been looking for work for six months or more, the struggle is many times harder and uglier.

Ask any worker at Starbucks, Cosi, McDonald's or Walmart, "How many jobs do you have?" and likely he or she will tell you: "Two." I know colleagues who've had breakfast at one store, and gone to lunch in another, only to find the same person waiting on them.

One young woman I heard about gets up at 4 a.m. for her first job and ends her day at 10 p.m. at her second job. The average allotment of food stamps is $133 a person a month. Let me tell you something I can pretty much bet my house on -- that woman is not using her food stamp card to buy lobsters and caviar. She's quietly going to the food pantry, checking the sales in the grocery store, spending some time at the kitchen table clipping coupons and making a serious plan to turn that box of pasta, pound of beef, and if she's lucky, some fresh fruits and vegetables, into a meal plan truly worthy of a Gucci belt.

Is there fraud? Yes. Is there some waste? Yes. But today, the food stamp program has an error rate of only 3% -- and those errors were mostly committed by the government in underpayments as well as overpayments and payments to ineligible families.

Fraud is a piece of grain compared with the millions of families who manage to put food on the table because of this program. And those few bad apples who do commit fraud are no excuse to kick the unemployed and the poor when they are engaged in a mighty battle to get themselves and their families back on their feet.

So shame on this Congress for fighting dirty during working people's hour of struggle.

Polls show Americans haven't approved much of Congress lately. But there is a way to gain favor. If this Congress wants to make cuts, why not look at the Pentagon, notorious for waste? Or check out the Department of Agriculture, which made about $28 million in inappropriate farm assistance payments, according to a compilation of government waste reported in Business Insider.

Or perhaps lawmakers could start with themselves? Rep. Jackie Speier, D-California, tried to shame her colleagues into cutting less from the food stamp program (called the Supplemental Nutrition Assistance Program, or SNAP).

Speaking of representatives who would vote to take food from America's tables, she said, "Some of these same members travel to foreign countries under the guise of official business. They dine at lavish restaurants, eating steak, vodka and even caviar."

Speier talked about 20 members of Congress who traveled to Ireland and got a daily food allowance of $166. The average amount a family member gets on food stamps is less than $4 a day.

And The Des Moines Register reported that Rep. Steve King, R-Iowa, received $3,588 in taxpayer funds for both food and lodging during a six-day trip to Russia. The Register urged King to try the "SNAP Challenge" and live on $4 a day. He could even try it in Russia.

Yet our representatives, one after the other, mostly Republicans, stepped onto the House floor to speak and vote in the name of saving money for the taxpayer. They went after the poor, the unemployed, the single mom, the single dad, the grandparents -- all those people who are trying to make it work.

Well, they didn't just do wrong; they are wrong. I urge the Senate to restore every single dime to the food stamp program. I applaud the president for saying that he'll veto these cuts.

We're lacing up our shoes, too, but we're going to fight these merciless cuts with the golden rule. You know why? "Do unto others" trumps "kick 'em when they're down" every time. The American people are decent and fair. It's time to stand tall for this essential program for millions. It's time and our might will make this right.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Americans are generous and help people who are down on their luck

@highlight

Brazile: Lawmakers will take food from poor Americans by cutting food stamps

@highlight

Half of American live in or near poverty, she says, and food stamps help stave off hunger

@highlight

Lawmakers should cut their own lavish expense accounts for steak and wine, she says