(CNN) -- Ten years after "The Nanny Diaries" became a bestseller, authors Emma McLaughlin and Nicola Kraus have released back-to-back new books. A lot has changed in the publishing industry, not to mention in the authors' personal lives, between the bookends of their careers thus far.

"Over You" is a young adult novel about a teenager who helps friends cope with breakups, while struggling to move on from her own heartbreak. And "Between You and Me" depicts a famous singer's public self-destruction, in a story reminiscent of recent real-life celebrity dramas.

It's been a busy decade for McLaughlin and Kraus, both 38. "The Nanny Diaries," their satirical novel about a young woman who looks after the offspring of spoiled Manhattan parents, sold four million copies. It spawned a sequel ("The Nanny Returns") and a feature film. McLaughlin and Kraus also wrote "Citizen Girl," "Dedication," and their young adult debut, "The Real Real," in addition to various short stories.

But their prolific writing career isn't their only priority these days. The two former nannies recently became mothers: McLaughlin's son, Theo, and Kraus's daughter, Sophie, are both 2 years old. The authors live in New York City, where I went to high school with Kraus. The new mothers talked to CNN over the phone about their transition from writers, to working moms, who are also adapting to a shift in the literary landscape. The following is an edited transcript.

CNN: How has becoming mothers impacted your writing?

Kraus: We're definitely more efficient than we've ever been before, because we have to be. We no longer have those sweet spot, post-sugar crash, 5 to 8 p.m. hours to make up whatever we haven't gotten done during the day. We have a hard clock-out because we have to be at pickup. We have to do the parts of the day that we love: dinner, bath time and bedtime. And sometimes we get back to work after our kids go to bed, but we're usually really brain-fried by then, in a way that we didn't used to be.

McLaughlin: We're a lot less precious about getting to work. We're not getting that perfect cup of tea, and waiting until the morning light is just so, and finding just the right inspiration. It's butt in the chair, when you get the kids settled, and you just go. The upside of that for our writing creatively is that you're in a constant state of thinking about the novel. Your brain is constantly firing on problem solving. Are the characters working? All those hard questions that you have to put the material through are ever-present now.

CNN: Would you say that becoming mothers around the same time brought you closer together as a writing team?

Kraus: Definitely. I can't imagine what it would have been like if it had been one of us years apart from the other. Because I think you can't appreciate how tired you are, or how much willpower you have to harness on some days to focus, until you've done it. It really is like nothing else. And I think that we have a lot of compassion for each other. We understand what it is when the other has been up all night with their children, if someone has the flu or something. I think it's impossible if you haven't had kids yet to really get that.

McLaughlin: Becoming a parent is such an extreme change in your life. I think it's invaluable to your sanity to have somebody who understands it and is going through it with you. Just on an individual level, regardless of the work, on a personal level, it's priceless to have that support from somebody who gets it. You don't have to explain yourself in that way. It's just really comforting.

CNN: You have two new books out, in different genres. Has motherhood helped you to write something that you wouldn't have been able to before?

Kraus: It's funny. We look back at books that we've finished with a different lens than we have before. Specifically, we talked a lot about "The Nanny Diaries" in the last couple of years because when we were nannies, we couldn't really understand why so much derision and scorn was thrown the way of not just us, but our colleagues. And now that we're parents, and we're so dependent on having fantastic caregivers, so that we can step away and do things that we need to do, we're even more mind-boggled by it than we were before. We are so appreciative of the women who come in and make our kids' days awesome. And we love that our kids love these women. We appreciate the affection that these women give our children, and the structure, and the education and the discipline. And it means the world to us.

CNN: Did you ever consider not coming back to work after your children were born, or was it agreed that you definitely would?

Kraus: Speaking for myself, I was counting the days until my daughter was old enough to start daycare. They have a 3-month-(old) policy. I love doing both. And I am so grateful that I have a career that I am deeply committed to and that brings me so much joy. And it makes me a happy person, which I think makes me a happy mom. I am so psyched when I get to pickup at 5:30. And I try to make those hours with her as fun as possible because I've had a good day. Even the tough days are good days. And I am grateful to have both in my life.

McLaughlin: I agree to all of that and I think, additionally, it was interesting for me to discover the moments I've had of: 'I should just be doing this; I should just be parenting' have not come ever from not wanting to be working or a lack of passion to be working. It comes from moments where there aren't enough hours in the day. It's wishing I had more time to do both. I feel really blessed to be able to go to work every day. I have no question that it makes me a better parent. It fulfills me so much that I am able to be so much more present with my son.

CNN: Do your kids play together?

Kraus: Not as often as we would like!

McLaughlin: But when they do, they are quite enchanted with each other.

Kraus: It was so cute. They kissed each other on the lips goodbye at Christmas. It was painfully cute.

CNN: You're collaborating with Teen Vogue and EstÃ©e Lauder on "breakup to beautiful" makeovers at Nordstrom stores. Did you approach them? Or did they come to you?

Kraus: This was Emma's brainchild.

McLaughlin: We reached out. The landscape of publishing is rapidly shifting. It's a very unstable time for an author. I think we've been doing a lot of thinking about how we can continue to be out there when we've lost so much marketing via foot traffic of brick and mortar stores, and the consolidation of retailers. That was so much of how novelists depended upon connecting with readers. So we have been doing a lot of thinking outside of the box about how to do that.

McLaughlin and Kraus are signing copies of "Over You" at EstÃ©e Lauder counters in various Nordstrom stores through December 1.

@highlight

It's been 10 years since Emma McLaughlin, Nicola Kraus wrote "The Nanny Diaries"

@highlight

Co-authors recently released back-to-back books, one a young adult novel, "Over You"

@highlight

The pair, who typically write together, both gave birth to their first children two years ago

@highlight

Changing lives have meant their writing methods, points of view have changed as well