(CNN) -- The budget battles continue to rage. Every time the Congress and the president reach another resolution over taxes and spending -- the new fiscal cliff -- another round of fighting begins.

At best, the government manages to operate based on continuing resolutions, temporary stopgap measures that indicate the budget process is dysfunctional. At worst, the federal government shuts down -- as it might this week -- or Congress will fail to raise the debt ceiling in a few more weeks. The impact of these fights could be horrendous for the economy.

Few dispute that our budget process is broken. But the nation is so buried in the weeds, trying to scramble out of each specific budget battle, that there is hardly time to step back and understand what dynamics are driving this process.

Partisan strategy is one of the main culprits. Polarization has made almost every issue more contentious on Capitol Hill. But in recent years, Republicans in particular have taken the initiative to use the budget as a way to handcuff Democratic presidents.

The strategy has deep roots. In 1966 and 1967, conservative Southern Democrats and Midwestern Republicans focused attention on the rising deficits to force President Lyndon Johnson to accept deep spending cuts and bring his opportunities for enacting more legislation to an end.

In 1995 and 1996, Republicans shut down the federal government with their push for spending cuts. Even after the backlash helped President Bill Clinton regain his political standing, which had plummeted after the 1994 election, the GOP continued to insist on spending cuts through the remainder of Clinton's term, leaving him little opportunity to do much more than to try and curtail their demands.

Since 2010, a growing number of Republicans have been willing to use aggressive techniques to force President Barack Obama's hand on this issue. They have demonstrated that they would be fine with shutting down the government and they have threatened to not raise the debt ceiling -- which would send the country into default.

To be sure there have been moments when Democrats have challenged Republican presidents as well. The difference is they have usually done so symbolically to make a statement about Republican policies, whereas the new generation of Republicans appears willing to follow through on the threat.

In a recent interview with The New York Times, New York Republican Peter King lambasted his colleagues, calling Sen. Ted Cruz's recent tactics, "a form of governmental terrorism."

Another reason the budgeting process is becoming ever more brutal is because, historically, once legislators break the barrier of using a certain tactic, the practice can become normalized.

The best example is the filibuster. There was a time when members of the Senate were reluctant to use the filibuster frequently. They reserved it for high-profile issues, like civil rights, believing that ordinarily a majority should be sufficient to pass legislation.

But since the 1970s, the filibuster has become a routine weapon in partisan combat. Senators have been willing to threaten or use the filibuster more frequently, and to do so on rather mundane issues. The result has been that the Senate became a chamber where a supermajority is required on most issues.

We're seeing a similar dynamic with the budget. Whereas threatening a government shutdown was once seen as a highly dramatic act, in the current environment there are many legislators who seem to view it as a legitimate part of congressional debate.

While there was a time when legislators warned that they would not vote in favor of raising the debt ceiling only when they knew that Congress was going to raise the debt ceiling, now more legislators are open to following through on the threat that the debt limit increase won't pass. Each time that they do it, the threat becomes more familiar, and more accepted by some.

Finally, the budget wars are fueled by the 24-hour news media, with outlets on cable television and the Internet that are constantly in search of dramatic stories to win attention. The budget war offers great fodder. The possibility of a fiscal cliff offers political junkies a bit of the kind of thrill that "Breaking Bad" fans have felt every time Walter White extricates himself from another bind.

As a result, legislators such as Cruz, who gained considerable attention over the past few weeks for his dramatic stand against Obamacare, are making a name for themselves and staying in the headlines. The budget process might not be good for the nation, but it is certainly a great way for a politician to receive attention.

At some point there will be pressure to reform the process. The latest round of budget battles led a larger number of Republicans, like Sen. John McCain, to be openly critical of their colleagues and call for a very different approach. As Representative King, an opponent of the Affordable Care Act, explained, "I still think we should try to repeal the bill. But you repeal it the same way you passed it. You get bills through both houses of Congress, and you get the president to sign it."

Budget reform is possible. For instance, there has been some discussion about the possibility of repealing the need for a congressional vote to raise the debt ceiling.

There have been several moments in U.S. history, such as in 1921 and 1974, when Congress overhauled the entire budget process. It might be time to start that debate again.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Budget battles reoccur regularly, and each time seems worse

@highlight

Republicans have used the weapon of a shutdown to cripple Democratic presidents, he says

@highlight

Zelizer: When a tactic such as threatening to veto debt limit increase is used, it becomes the new normal

@highlight

He says some in GOP are outraged, and now is a good time to talk about reforming budget process