(CNN) -- The Obamacare website might still be slow, but the politics and context of Obamacare are shifting rapidly. On Thursday, to deal with some of the grousing about canceled insurance plans, President Obama announced an administrative fix to allow people to keep those crummy plans (that they think they like) for up to a year. This should quiet some of the complaints within his own party, though certainly not Republicans, who will just find another reason to attack Obama and health care reform.

One hopes this fix will put the focus back on making Obamacare implementation as successful and effective as possible.

It's certainly not there yet. On Wednesday, the Obama administration announced that just more than 106,000 Americans had enrolled in health insurance plans through Obamacare exchanges, and another 975,000 people had shopped for plans but not enrolled in a selection yet. No one is cheering these numbers — well, no one except those Republicans who didn't want anyone to have access to affordable, quality private health insurance options in the first place.

The 106,000 enrollments are well below the 500,000 the White House had originally projected for this period before launch of the exchanges. The brouhaha over canceled insurance plans has muddied an otherwise positive law. But all of the above should be put in a broader context —the context of enrollment in past comparable insurance systems, the context of what health insurance was like before the Affordable Care Act passed, and the context of its opponents' repeated lies meant to distort and destroy Obamacare.

So, here are three handy charts to help you understand the reality of Obamacare and separate fact from fear-mongering.

CHART 1: Romneycare enrollment

Looking for an analog to what Obamacare enrollment might look like nationwide? Look no further than Massachusetts, which implemented a mini-version of Obamacare under then-Gov. Mitt Romney. In 2007, Romneycare wasn't even plagued by a bum website rollout — and enrollment was still gradual, as shown in this chart (click on it to expand) and explained by Jonathan Cohn at The New Republic.

It can be expected that people who need Obamacare the most — either because they're sick or because they're sick of their current expensive individual insurance — will enroll first, but everybody else, especially those who are currently uninsured, will wait until the last minute to sign up before they face the individual mandate penalty. Plus, even people who want their new plan to kick in on January 1, 2014, have until December 15 to enroll in a plan.

Also, choosing among the many options in the Obamacare exchanges does take time — which might explain, for instance, why almost 1 million people have logged into the exchange but not yet chosen an insurance option. With time, those numbers can be expected to grow.

CHART 2: How bad it was before Obamacare

We may need a reminder of how disastrous our health insurance system was before Congress passed Obamacare. Just one way of looking at this is that health care spending as a percent of family income was already an astronomical 19% in 2009 but was projected to be 30% by 2019 and 48% by 2029 — unless something was done.

This reality is particularly lost when discussing the estimated 2% to 4% of Americans who have private insurance plans that will ultimately be canceled because of higher coverage standards set by the Affordable Care Act. Many of those people will find they have even better options in the exchanges, and at better prices. But even the small percentage of folks who find themselves paying more for insurance should be seen in the broader context of health care and insurance costs that were already skyrocketing out of control, for all of us, before Obamacare was passed.

CHART 3: About those canceled plans

Finally, yes, Obama will implement an administrative fix so people can keep their lousy insurance plans for another year if they want to. But insurance companies will now be required to tell people they have other (and in many cases, probably better) options in the new exchanges. This will hopefully stop the practice of insurance companies trying to trick people with canceled plans into buying much more expensive new plans from the same company rather than shopping around.

But it will likely not stop Republican finger-pointing and accusations that President Obama lied. No matter that Obama apologized for the promise that people who liked their insurance plans could keep them, tried to clarify the situation and is implementing a fix in fulfillment of that pledge. But wait, aren't Republicans the ones who came up with death panels and keep asserting that lie even though it was not only disproven but also called the "lie of the year" by PolitiFact?  To make the point that Republicans really shouldn't be pointing fingers in the lie department, Steve Benen came up with this chart to put this into perspective:

So here's where this leaves us: Not enough people have signed up for Obamacare yet, but there's still plenty of time; enrollment was slow when Massachusetts did this, too. And the administrative fix announced on Thursday will, incidentally, ease the transition period to new plans while probably keeping enrollment numbers even lower since people can now keep their current plans an extra year.

Meanwhile, even a slow and clunky Obamacare rollout is better than the runaway health care costs and millions of uninsured Americans we had before Obamacare. Republicans should stop trying to sabotage the law.

Obamacare is slowly but steadily rising over the obstacles of our broken insurance status-quo -- and destructive Republicans. When Obamacare is finally, fully implemented, our families, our health care system and our economy will all be better off.

The opinions expressed in this commentary are solely those of Sally Kohn.

@highlight

Sally Kohn: Obama's fix on cancelled health plan lets us refocus on implementation

@highlight

She says enrollment numbers lagging, but recall, Romneycare signups slow too

@highlight

She health insurance system was disaster that Obamacare will ultimately redress

@highlight

Kohn: GOP lies meant to thwart implementation that will help families, economy