(CNN) -- Zimbabwe has known only one leader in its entire 33-year history as an independent nation, and President Robert Mugabe hopes that doesn't change any time soon.

Voters head to the polls Wednesday for the first time since the violence-marred election in 2008 to choose between the 89-year-old incumbent and his arch political rival-turned-prime minister, Morgan Tsvangirai.

Interactive: Democracy in Africa

As the July 31 vote day approaches, Zimbabwean election officials and some human rights organizations are giving sharply different assessments on the likely validity of the vote.

Once again, there are allegations that Mugabe's government is targeting the opposition through military intimidation and arrests, and that it is padding the voter list.

But the deputy chairwoman of Zimbabwe's Electoral Commission insists that the country is ready for the elections, and vowed the outcome will be valid.

"Elections will be credible, free and fair," Joyce Kazembe told the South African Press Association this week.

Some 600 foreign observers are monitoring the ballot, in addition to 6,000 local monitors, according to SAPA. Zimbabwe did not invite Western observers to monitor the elections because of sanctions imposed on Mugabe and his top officials for rights abuses.

The African Union, which has sent more than 60 members to monitor the elections, has also expressed confidence in the process.

"The environment in Zimbabwe so far reassures us that that the conditions are good for the election to be held on July 31," Aisha Abdullahi, AU commissioner for political affairs, said at a news conference last week, according to SAPA.

Some observers say that the country may not be as ready as the African Union and Zimbabwe officials suggest.

A Human Rights Watch investigation last month found that the Zimbabwe national army "has deployed soldiers across the country, intimidating, beating, and otherwise abusing perceived supporters of the Movement for Democratic Change or those critical of the government."

Zimbabwe, seeking election funding, turns to neighboring countries

Zimbabwe's government has also arrested lawyers and members of organizations they see as threatening, according to Beatrice Mtetwa, a human rights lawyer based in Zimbabwe.

"Certainly in the last nine months we've seen a lot of civil society activists being arrested," Mtetwa told CNN's Christiane Amanpour last month. "I also believe that my arrest is part of that crackdown because they want as few human rights lawyers to be out there during the election period as they can manage to stop," she added.

Mtetwa was detained in March after she asked police for a search warrant when they searched one of her clients' homes, Amnesty International documented. When she told the police that what they were doing was "unlawful, unconstitutional, illegal and undemocratic," she was arrested for "obstructing the course of justice."

There are also concerns that the voter roll may be inaccurate.

More than 1 million people on the roll were found to be either deceased or departed, while 63 constituencies had more registered voters than inhabitants, according to a report last month by Research and Advocacy Unit, a Harare-based non-governmental research organization.

"Such statistics suggest that the gap between the ideal and the actual impinges upon the integrity of Zimbabwe's electoral process," the report stated.

Opposition party leaders and observers have called for postponement of elections, saying that more time is required to establish a transparent voting process.

At a news conference on Friday -- just five days before the election -- Tsvangirai said that "there is clear evidence of manipulation" in poll preparations.

Tsvangirai claimed that ballot papers cast in his favor during early voting for security services were discovered tossed in a bin.

"There is a desperate attempt to subvert the people's will," he said.

Early voting for security services members has already seen problems due to shortages of ballot papers and voting ink. Out of 63,268 people who were eligible to vote in the early polling, only 37,108 voted, according to Kazembe.

Tsvangirai and the Southern Africa Development Community have urged Mugabe to delay the ballot.

There are fears that this election could descend into violence like the last election in 2008, which resulted in a runoff. Tsvangirai pulled out of the runoff, citing intimidation, torture, mutilation and murder of his supporters.

Regional leaders dismissed Zimbabwe's 2008 election as a sham, and the SADC pressured Mugabe to form a power-sharing agreement with Tsvangirai and his opposition Movement for Democratic Change. As a result, the two bitter rivals entered into an uneasy governing coalition in 2009.

Some 6.4 million voters in Zimbabwe -- about half of the country's population -- will be eligible to cast their ballots on Wednesday, according to the Zimbabwe Electoral Commission.

The elections will be held under a new constitution endorsed in a referendum in March that limits the president to two five-year terms. Mugabe is allowed to seek another term because the new charter does not apply retroactively.

Last week, Mugabe had a few words for critics of the upcoming election.

In response to criticisms from the United States on his push for elections without key reforms, Mugabe said at a rally, "Keep your pink nose out of our affairs, please."

Opinion: Africa's rocky road to democracy

@highlight

Zimbabwe's presidential elections are next week

@highlight

The last vote in 2008 was marred by violence

@highlight

Robert Mugabe, 89, has been the country's only president