(CNN) -- Some years ago, I interviewed a pair of farmers selling pastured, hormone- and antibiotic-free turkeys for $4.75 a pound. They were heritage breed birds, Bourbon reds whose numbers had dwindled to dangerously low levels as the broad-breasted white -- the Butterball -- dominated.

At the time, the farmers were still a little queasy about slaughtering and selling livestock they'd raised. (One farmer had been a longtime vegetarian.) But by giving these turkeys a productive death, they explained, they were actually helping them survive.

If they weren't for dinner, these birds just weren't useful. They were neither cuddly nor well-behaved. They made terrible pets, and weren't well-suited for life in the wilderness. They weren't destined for poultry popularity, either -- maybe your grandparents would recognize their gamey flavor, but it was nothing like the gravy-slathered protein that generations had gobbled down over the holidays.

But if they enticed enough Thanksgiving cooks to prepare them, the farmers saw a win for biodiversity and the birds. Give them a reason to exist, and these turkeys could thrive.

I thought of those birds recently when College Board President and CEO David Coleman explained sweeping changes planned for the SAT exam. Come spring 2016, the essay will be optional. The score scale will return to familiar ol' 1600. The test prep will be free, and delivered via Khan Academy.

And, the SAT word will be no more, Coleman said. Just like those old-timey turkeys, it seems there's limited use for the $5 words we've come to expect from the SAT.

"Today, when we say that someone has used an SAT word, it often means a word you have not heard before and are not likely to soon hear again," Coleman explained in his announcement.

You know these words if you took the test, its preparatory cousin, the PSAT, or almost any college-minded standardized test. You flipped through their definitions on flash cards, or faced them in a spelling bee, if you were that kind of kid. You probably still use a number of them: "threatened," "vigilant," "predicting," "ousting" and "strengthened" all appeared on an SAT test in 2013.

Of course, "bellicosity," "obduracy" and "garrulous" were on the test, too.

After the frenzy and stress of SAT cramming, the words become kind of a parenthetical joke, a chance to finally giggle at the absurdity of it all. Drop "mellifluous" or "loquacious" into a sentence after the college applications are sent, and you can actually stop to appreciate it -- "Hey, I just used an SAT word!"

Coleman said he's done indulging tricks and flash cards that promise to beat his test, especially at the expense of deep, analytical reading and understanding. If the college exam tests only obscure vocabulary words, "students stop reading and start flipping," he said.

The redesigned SAT will instead focus on words students are likely to use over and over again, he said, like "synthesis" and "empirical."

"The SAT will honor the best work of our classrooms -- reading widely and learning how words work in their different contexts," he said. "We aim to offer worthy challenges, not artificial obstacles."

But I wondered, if the SAT abandons these words, what will become of "treacly" and "mendacious"? Are they turkeys on the verge of extinction?

Hardly, linguist Geoffrey Nunberg explained. The SAT wasn't keeping them alive, he said, and flash cards weren't doing justice to many words, anyway.

Sure, those quick definitions did well enough for a multiple choice test. "You can pick 'em out of a lineup," said Nunberg, who teaches in University of California Berkeley's School of Information. "If you see 'mendacious' and you think 'dishonest,' you've got the main idea."

But "empirical," he said? Now that's a complex word. It's got varied and layered meanings, some buried deep in history, or evolving only now.

"Under the guise of providing more user-friendly, fair tests, they're merely substituting one set of SAT words for another," Nunberg said. "If anything, this calls for more tutoring, and more background than the old words."

He suspects that students might remember more from their SAT study sessions than anybody realizes, but the words are even less forgettable if students learn them through reading instead of flash cards. Regardless, the test will never get much credit; if you memorize a word and use it often enough, he said, you're unlikely to be able to pinpoint that you learned it for the SAT.

And if you don't use it?

"If people don't use the word," Nunberg said, "it's because they don't need the word."

There are no guarantees about the vocabulary of the future SAT. The College Board certainly hasn't released a list of banned words, and it's not as if the passages will suddenly read like "Fun with Dick and Jane." It wouldn't be a test, Nunberg said, if everybody could answer all the questions correctly.

"Everything is an SAT word to somebody," he said.

Consider just one of the changes coming to the SAT in 2016: Each exam will include passages from meaningful historic documents like the Declaration of Independence, the Federalist Papers and the Rev. Martin Luther King Jr.'s "Letter from Birmingham Jail."

In King's nearly 7,000-word letter, he dropped "cognizant," "superficial," "moratorium," "unfettered," "ominous," "ordinance," "paternalistically," "incorrigible," "zeitgeist," "sanctimonious," "nullification," "gladiatorial," "scintillating" and "existential." Any of them could be called an "SAT word." Any of them could be on the new test.

So, word lovers, do not mourn the next generation's vocabulary. Educators, do not celebrate the end of flash cards. The SAT word is dead, long live the SAT word. These turkeys still have a long time to cook.

What do you think of the changes to the SAT? Share your thoughts in the comments, on Twitter @CNNschools or on CNN Living's Facebook page!

@highlight

The College Board says the next SAT won't include little-used, forgettable "SAT words"

@highlight

The college test will incorporate words with different meanings based on context

@highlight

Changing the SAT won't necessarily mean vocabulary words fade into obscurity

@highlight

Linguist: "Everything is an SAT word to somebody"