(CNN) -- One of the biggest holiday weeks is upon us. Thanksgiving is a favorite day for football fans, close-knit families, families who can't stand each other, and of course, amateur competitive eaters. But what's really interesting about Thanksgiving is the day after -- known as Black Friday. It may well be the most publicized -- and puzzling -- commercial day of the year.

According to the National Retail Federation, last year's Black Friday attracted more than 90 million online and in-store shoppers. Online shoppers can buy things from the comfort and safety of their homes. But what about those who succumb to mass hysteria at local megastores? We have all seen the "shopacalypse" on the evening news, which appears constrained only by the flimsy protection of a few Tensabarriers and some security guys.

When you step back and think about it, it seems strange that in an era of increasing civil liability, large retailers would invite this bedlam, and the likely personal-injury lawsuits that follow. There's even a website, www.blackfridaydeathcount.com, which tracks and compiles statistics on injuries and deaths.

Are we really surprised people get hurt on Black Friday? Granted, it's an open invitation to every nudnik, whose only qualifications are: 1) They don't have to be at work; and 2) they are willing to wake up at 5 a.m. to elbow their way to saving $3 on a Sony Discman or a Cabbage Patch Doll.

So how do we evaluate the liability of a store for injuries on its premises during Black Friday?

Let's take a look at common law. Once a person steps onto private property, the law traditionally considered him one of the following: 1) trespasser; 2) licensee; or 3) invitee.

Everyone knows what a trespasser is. If you enter (or remain) on someone's property without his consent, you are a trespasser. Deadly force can be used on an intruder in one's home, but that's based on defense of self, not defense of property. You can use a gun to defend yourself at home against an intruder. On the other hand, if you own an abandoned barn, you cannot install trip wires attached to shotguns, poison darts, snake pits or any of the traps from the Indiana Jones movies.

You might think an "invitee" is someone who is just invited on to the property, say, for a cocktail party, but that's not it. If your buddy invites you over for a Super Bowl party, you're just considered a "licensee." This means you are on the property with permission. You're not providing your pal any business benefit, other than emotional support for his team, and divesting him of his chips and salsa. The only obligation your host has to licensees is to inform of the known danger on the property, and any not so obvious danger your host would expect you wouldn't know about.

An "invitee," on the other hand, is someone who enters the land for a purpose connected with or benefiting the business owner. When you shop at a store, you're considered an "invitee." Historically, a landowner owed the invitee the highest duty of care, to inspect or warn of defects on the premises.

In modern times, states and courts alike have increasingly rejected these antiquated distinctions and applied a more universal "reasonable" standard to landowners, sometimes even to trespassers.

However, whether applying the traditional common law or a modern rule, if you are on someone's property for the purpose of spending money, courts will hold the landowner to the highest applicable standard of care.

Even the Occupational Safety and Health Administration has acknowledged the sometimes fatal injuries suffered on Black Friday, and has published crowd management safety guidelines for retailers. OSHA and the Occupational Safety and Health Act of 1970 focus primarily on employers providing workers with safe and healthy workplaces, but their guidelines speak to preventing all injuries at retail sales events, with a specific nod to Black Friday.

The OSHA guidelines offer suggestions about where a court might look for the standards of care. According to the guidelines, there should be adequate security, and sufficient crowd control measures. A store is not automatically liable if a customer sucker-punches another customer over an X-Box, but it may be liable if the assault were foreseeable and the failure of security measures contributed to the assault.

The bottom line is that stores will be liable if people are injured by known, unsafe and nonobvious conditions on their property on Black Friday, especially if stores take no special safety or security precautions, and treat the day like any other day.

If a store knows it is expecting several times its normal traffic, it must anticipate the problems attendant to the increased foot traffic, and the potential for riffraff. It's true that no store can ever prevent a meteor landing on the roof. No store can guarantee that another customer won't suddenly go mad and punch another person in the head. No amount of security can prevent the unpredictable -- it's the same problem often encountered by stadiums when drunken sports fans attack.

But, if a store is deliberately indifferent to security problems, then it may be liable where it knowingly ignores the behavior of that riffraff. The sweet spot of security is somewhere between the extremes of razor wire and pepper spray, and the minimal effort of a "no shoes, no shirt, no service" sign.

A simple rule is that stores should be held liable for the increased risk they create -- especially when that risk creation is tied to a direct economic benefit. If a Black Friday sale devolves into the running of the bulls in Pamplona, and the store knowingly allowed dangerous conditions on the property, it's likely that the store will be held liable for injuries on the premises.

It's interesting that if you want to hold a rally or protest a grand jury, you might need a permit to exercise your First Amendment rights. But if you are a big-box retailer holding a big-box sale, it seems that as long as you are generating revenue and paying taxes, you can host the retail equivalent of Bonnaroo with nary a complaint. Ultimately, if a mall encourages this behavior, maybe it gets exactly what it deserves. Maybe the Black Friday retailer deserves the Black Friday shopper.

So the next time you make fun of people who set out on Christmas Eve for the mall, remember this: The smattering of losers like me may have waited until the last minute to get our shopping done, but at least no one gets hurt in the process.

@highlight

Danny Cevallos: Black Friday may be the most crazy commercial holiday of the year

@highlight

He says it's odd that large retailers invite this chaos, and personal-injury lawsuits

@highlight

How do we evaluate a sales event that is more like running the bulls in Pamplona? he asks

@highlight

Cevallos: Maybe the Black Friday retailer deserves the Black Friday shopper