(CNN) -- Global debate over the Syrian crisis is expected to ratchet up this week, with Russian and European Union leaders grappling with the thorny issue and U.N. members reassessing whether to take further action.

Kofi Annan, joint envoy to Syria for the United Nations and the Arab League, will meet Friday with U.S. Secretary of State Hillary Clinton in Washington to discuss Syria, sources told CNN.

The crisis that has killed thousands over 15 months was expected to dominate the agenda at the EU-Russia Summit in St. Petersburg, Russia, on Monday. World leaders have accused Russia of supporting and selling arms to the Syrian regime -- assertions that Russian President Vladimir Putin has denied.

China, meanwhile, assumed the revolving presidency of the U.N. Security Council. China and Russia are the only members of the council that have repeatedly barred attempts to formally condemn the Syrian government.

But a commentary in China's state-run People's Daily newspaper held out hope for a struggling peace plan and warned against military intervention in Syria.

"The international community should support Annan's peace plan instead of losing confidence and patience," the paper said. If the Annan plan is blocked, "then it will most likely push this country into the abyss of full-scale war."

A full-scale civil war would trigger Western military intervention and severe consequences, the People's Daily said.

"Mass civilian casualties, enormous property losses, an increasingly turbulent society ... the lessons learnt from mistakes made in Libya are still fresh," the paper said.

In Syria on Monday, 42 people were killed Monday, according to the opposition Local Coordination Committees of Syria.

The LCC posted a letter on its Facebook page slamming Russia and China for blocking tougher action against Syria, and criticizing the U.N. observer mission in the country.

"Based on our own investigation, we have determined that the U.N. observer mission has consciously provided the regime with political cover. Therefore, the U.N. observer mission is not substantively different from that found in the Arab League's observer mission. The practices of the U.N. observers on the ground confirm that their current mission has been convoluted with political goals, and this is tantamount to putting the cart before the horse."

"Since the beginning of the uprising, the regime has systematically resorted to lies, claiming the existence of Islamic fundamentalists, Palestinian gunmen and terrorists as part of a vile foreign conspiracy to change the power structure and its relationship to society," the LCC wrote.

"The regime's survival, in fact, has become completely dependent on foreign forms of political, economic, military and technical support."

It called on the Security Council and Annan to "take note of the need for the U.N. observers' mission to evolve to include a role for the International Criminal Court to undertake an investigation and verify who is responsible for the gunfire and violence."

Syria, meanwhile, said on state-run media that 30 "army and law enforcement martyrs" were buried Monday.

The Syrian Observatory for Human Rights said about 100 government soldiers have been killed by rebel fighters during the past three days.

Al-Assad denied Sunday that government forces were behind the recent "outrageous" massacre of more than 100 civilians, including dozens of small children, in the town of Houla.

"Truthfully, even monsters do not do what we saw, especially in the Houla massacre," he told lawmakers. "The criminal or criminals who committed this crime and others are not criminals for an hour or criminals for a day, they are constant criminals and are surely planning other crimes."

Speaking before the newly elected People's Assembly, al-Assad decried what he called terrorists and the conspiracy against Syria.

"At this time, we are facing a war from abroad," al-Assad said in his first public speech since January. "Dealing with it is different from dealing with people from inside."

His speech came more than a week after the U.N. Security Council condemned the Houla massacre, with members casting blame on government forces for the deaths.

Opinion: Is Syria unsolvable?

Al-Assad's remarks stand in stark contrast to what the opposition and many world leaders have said for more than a year: that al-Assad's forces, not "terrorists," are behind a sustained slaughter stemming from the regime's crackdown on dissidents.

As the president spoke, shells rained on the anti-government bastion of Homs, the LCC said. Thirty-seven people were killed Sunday in Syria, five of them children, the group said.

Al-Assad's address came a day after Annan said that "the specter of all-out civil war, with a worrying sectarian dimension, grows by the day."

Saudi Arabia's foreign minister, Saud Al Faisal, said the Syrian regime is pushing for a sectarian crisis.

"The Syrian opposition lacks the means to defend itself, and the regime is getting weapons from everywhere," he said Sunday. "For a while now, we noticed that the regime has been trying to turn the crisis into a sectarian conflict."

He added that, while Syria had agreed to Annan's peace plan, the regime has not implemented it. "The regime just wants to buy time," Al Faisal said.

At a meeting of Arab League foreign ministers Saturday, Qatari Prime Minister Sheikh Hamad bin Jassim bin Jabor Al Thani said Annan's peace initiative should be placed under Chapter VII of the U.N. charter, Qatar's news agency reported Saturday. Such a move would allow the U.N. Security Council to take action that could include military force.

U.N. Secretary-General Ban Ki-moon said Sunday that he had taken note of the Arab League leaders' suggestions, including requests to increase the number of U.N. observers and to set a time limit for the effort.

"All these are very important recommendations, and I hope these will be discussed by the Security Council members. At this time, I would welcome the wider international discussions on the future course of action," Ban told reporters.

The crisis in Syria began nearly 15 months ago, when a tough government crackdown on protesters spiraled out of control and spawned a national anti-government uprising.

Al-Assad's family has ruled Syria for 42 years.

The United Nations for months has said more than 9,000 people have died in Syria. But death counts from opposition groups range from more than 12,000 to more than 14,000. Tens of thousands have been displaced.

CNN cannot independently confirm reports of casualties or violence from Syria because the government restricts access to foreign journalists.

CNN's Saad Abedine, Holly Yan, Tian Shao, Tracy Doueiry and Richard Roth contributed to this report.

@highlight

NEW: Opposition says 42 people were killed Monday; Syria says 30 "martyrs" were buried

@highlight

A Syrian opposition group pleads for criminal court action

@highlight

Envoy Kofi Annan is to meet Friday with Clinton, sources say

@highlight

Syrian President Bashar al-Assad says Syria is facing "a war from abroad"