A court in eastern China sentenced Bo Xilai -- the former rising star of the ruling Communist Party who fell from power amid a scandal involving murder, betrayal and financial skullduggery -- to life in prison Sunday.

Bo received the life sentence for bribe-taking, as well as 15 years for embezzlement and seven years for abuse of power.

The sentences, which came shortly after the guilty verdicts, surprised some analysts.

"I'm actually a little bit surprised. I think it's a very strong verdict" compared to some previous cases, said Yuhua Wang, a political science professor at University of Pennsylvania.

"He was a political star before falling from grace. He was ... the son of a revolutionary veteran. His father was Mao's colleague," he added.

During the hearings of the politically sensitive trial that took place over several days last month, Bo, 64, denied the charges and strongly challenged the prosecution's case against him, according to accounts published by the Jinan Intermediate People's Court.

The closely watched trial was considered to be much more transparent than most cases in China. But international and independent journalists weren't allowed inside the courtroom, and doubts were raised about the fullness of the court's version of events.

'I can bear the suffering'

Days before the court announced the date for delivering the verdict, Bo reiterated his innocence but said he anticipated a lengthy imprisonment in a letter written to his family.

"I was dragged into this and really wronged, but the truth will come out one day," wrote Bo in a letter dated September 12, referring to the bribes allegedly taken by his wife and other scandals involving her and her friends.

Read more: Five big moments from the trial

"Meanwhile I will be waiting quietly in prison," Bo continued. "Dad was thrown into prison multiple times in his lifetime and I will look up to him as my role model."

Bo's late father, Bo Yibo, was a revolutionary contemporary of Chairman Mao Zedong and late paramount leader Deng Xiaoping. During the tumultuous Cultural Revolution that Mao launched in 1966, however, the senior Bo was persecuted, tortured and imprisoned for over a decade. He was "rehabilitated" in 1979 and became one of the most influential senior politicians under Deng.

"Dad and Mom have passed away, but their teachings are deeply ingrained in my mind," Bo wrote. "I will never bring disgrace to them and their glory. I can bear the suffering no matter how great it is.

"I have put Mom's photo by my bed. With her by my side, I don't feel lonely."

Timeline: The Bo scandal

A source with close ties to the Bo family confirmed to CNN the authenticity of the letter, which has been circulating on the Internet. She adds that the content online is only part of the original letter, which appears to be addressing the family members -- including a son and four siblings -- present in the courtroom during his trial.

Dramatic downfall

Bo's trial brought to light a wealth of eye-opening details about the apparently lavish and emotionally fraught life of his family and inner circle, giving Chinese people insights into how some of the ruling elite live.

Analysis: Was Bo Xilai's trial in China truly transparent?

His glittering career, during which he drew both admirers and detractors for his populist policies, fell apart last year.

The son of a revolutionary veteran, Bo rose to power as a city mayor, provincial governor, minister of commerce and member of the Politburo, the powerful policy-making body of the Communist Party. He had been tipped to ascend farther up the party hierarchy.

A charismatic and urbane politician, Bo was credited with a spectacular, albeit brutal, crackdown on organized crime during his time as the top party official of Chongqing, a metropolis in southwestern China.

But when his deputy, Wang Lijun, walked into the U.S. Consulate in the city of Chengdu in February 2012 and told American diplomats that Bo's wife, Gu Kailai, was involved in a murder case, Bo's career began to unravel.

Read more: Corruption fight a political purge?

Wang's move precipitated Bo's political demise. Soon after news of the events began to emerge, Bo was removed from his party posts.

A court found Gu guilty last year of murdering British businessman Neil Heywood in a Chongqing hotel room in 2011. She was given a suspended death sentence.

The following month, Wang was convicted of bending the law for selfish ends, defection, abuse of power and bribe-taking. He received a 15-year prison sentence.

Wang and Gu both appeared as witnesses at Bo's trial last month. Bo attacked their testimony and even claimed that Wang and Gu had been romantically involved.

Read more: Bo Xilai says former aide had crush on his wife

@highlight

"I'm actually a little bit surprised," an analyst says

@highlight

Court find Bo Xilai guilty of bribe-taking, embezzlement and abuse of power

@highlight

The one-time rising star of the Communist Party sentenced to life in prison

@highlight

A court found his wife guilty last year of murdering British businessman Neil Heywood