Editor's note: Frances Fragos Townsend, a CNN contributor on national security issues, formerly served as President George W. Bush's chief anti-terrorism and homeland security adviser. Townsend has spent more than two decades in the fields of intelligence and criminal justice and has served during the past three administrations. Townsend is currently a consultant to the U.S. Chamber of Commerce and a member of President Bush's Intelligence Advisory Board, the Council on Foreign Relations and the Aspen Institute Homeland Security Program.

Frances Townsend says the director of the CIA is not a post for on-the-job training.

(CNN) -- Leon Panetta is an impressive man with many laudable achievements to his credit.

Mr. Panetta served eight terms in Congress and worked in the Clinton White House as chief of staff to the president and director of the Office of Management and Budget.

But his impressive credentials are insufficient to allay the well-founded concerns of senior Democrats and Republicans that he is the wrong man to be the next director of the Central Intelligence Agency.

Mr. Panetta is a seasoned political operative and a proven manager -- both of which would be useful to him as CIA director -- but more is required.

Accurate and actionable intelligence is among our most effective tools in fighting against terror threats. The nation has gone more than seven years without a terrorist attack and much of the credit for that lies with the men and women of the intelligence community: in the CIA, FBI, and Defense and Homeland Security departments, among others.

Career intelligence officials need a leader they can count on to protect their mission from inappropriate political interference and who would be willing to defend their efforts when, as is often the case, they are attacked based on less than accurate or complete facts.

Because of the critical role the intelligence community plays in protecting our nation, the director of the CIA is not a position for on-the-job training. President-elect Barack Obama had a competent, qualified career intelligence official to nominate.

John Brennan served for decades at the CIA under numerous directors and in both Democratic and Republican administrations.

Just prior to his retirement, Mr. Brennan served as the director of the Terrorist Threat Integration Center, the predecessor to the current National Counterterrorism Center. John Brennan had no loyalty to the policies of the Bush administration and in fact at times voiced his disagreement.

Mr. Brennan's loyalty was to the mission and role of the intelligence community in protecting our nation. Unfortunately, the incoming administration permitted the vicissitudes of party politics and special interests to derail this nomination.

[In a letter to Obama obtained by CNN in early December, Brennan said he was dropping out of consideration for the job because of strong criticism by people who associated his work at the CIA with controversial Bush administration policies on interrogation techniques and the pre-emptive war in Iraq.]

The next CIA director has many important issues to confront. He or she must continue to ensure adequate resources for the intelligence community and continue to build our human and technical intelligence capabilities.

The new director will necessarily review detention, interrogation and rendition policies. And at the same time, the CIA director must seek new ways to gain the intelligence advantage on crucial priorities such as terrorism, proliferation of weapons of mass destruction and a host of regional issues in the Middle East, Africa and Asia.

Regardless of who becomes the next CIA director, the nation is fortunate that from the deputy director on down, the CIA is run by career officials who will continue to do the nation's business. But they will continue to require the tools necessary to do the job.

Before abrogating Bush Administration policies on interrogation and detention, the new CIA director must learn: what is legal; what is effective; and how have these policies been implemented.

A new administration may choose to make more limited use of these tools or add additional procedural safeguards. But any decision must be made with caution.

Tools that the Justice Department deem legal and the intelligence community determines are effective must not be taken away because they are politically unpopular. The nation and the intelligence community deserve better and must be led with the same courage that they have displayed.

President-elect Obama is off to a strong start, taking daily intelligence briefings and asking probing questions. If Mr. Panetta is to be the next CIA director, he will need to earn the trust, confidence and respect of career intelligence officials.

Mr. Panetta will need these career intelligence officers to best advise the new president on the CIA capabilities at his disposal to support critical foreign policy and national security objectives.

The most important objective will remain protecting American lives. Mr. Panetta is smart and no doubt a quick study. Let's pray if he is confirmed that he is up to the difficult job ahead of him.

The opinions expressed in this commentary are solely those of Frances Townsend.

@highlight

Frances Townsend: Leon Panetta has had a fine career in government

@highlight

She says his lack of intelligence experience is raising questions

@highlight

Townsend: CIA crucial to U.S. security and needs leader who will back staff up

@highlight

She says CIA director is too important for on-the-job training