Brisbane, Australia (CNN) -- Emergency services and Australian military personnel stepped up the search Friday for dozens of people still missing in Queensland as authorities and residents tried to assess the damage caused by the state's worst flooding in decades.

One of the 15 bodies recovered was found 80 kilometers from where the person had been washed away, said Queensland Police Commissioner Bob Atkinson. Some bodies might never be recovered, he said.

Floodwaters that carved a muddy trail of destruction through Brisbane, the state capital, have started to recede, but officials warn the cleanup will take months.

More than 20,000 homes were inundated after the normally subdued Brisbane River turned into a raging torrent as weeks of rain pushed it to more than 4 meters at high tide early Thursday.

Queensland Premier Anna Bligh fought back tears as she described the damage inflicted by the state's "worst natural disaster in our history."

The search was concentrated to the west of Brisbane, near Toowoomba, which was all but submerged when a wall of water tore through the town on Monday.

"There has to be an expectation of further deaths and further bodies. ... We have to steel ourselves for that terrible outcome," said Australian Defence Minister Stephen Smith.

Residents in Brisbane were being urged not to enter floodwater because of the risk of illness after sewage plants along the river were inundated.

Sightseers were warned to stay clear of the Brisbane River or risk hampering emergency service operations.

Some 200 people, including members of the Australian Defence Force, Special Emergency Services and police, searched vast tracts of land and swollen waters for 55 people still missing.

Prime Minister Julia Gillard spoke to reporters at Amberley Air Force Base outside Brisbane, where she was preparing to board a plane to tour the area. She said the number of ADF personnel deployed for rescue and cleanup work was being boosted to 1,200. That represents the biggest deployment of ADF personnel for a natural disaster since Cyclone Tracy devastated the northern Australian city of Darwin on Christmas Eve 1974, killing 71 people.

Aerial views of Brisbane showed islands of roofs and treetops jutting from a sea of muddy brown water -- or stranded high-rises jutting starkly from murky river overflow.

The Brisbane River, which slices through the city, peaked Thursday at 4.6 meters (more than 15 feet), about a meter below predictions and below the level set by the last major flood in 1974.

Officials had predicted a crest at 5.2 meters.

Bligh said 11,900 homes in Brisbane were fully flooded and 14,700 were partially flooded. In addition, about 2,500 businesses were fully inundated and 2,500 more were partially inundated, she said. Many of them will never again be habitable, she said.

"There's a lot of heartache and grief as people start to see, for the first time, what has happened to their homes and their streets," Bligh told ABC News 24. "In some cases, we have street after street where every home has been inundated to the roof level."

Queensland police have arrested 10 people on 18 charges of looting, Atkinson said. Nine of the incidents were in Brisbane and one in Ipswich. If convicted, offenders could face up to 10 years in prison.

Some 600 members of the Australian Defence Force were helping and more were expected, said Bligh.

She predicted that Brisbane's Central Business District was "largely operational," and will likely be fully operational next week, when power is expected to be restored to 10 office buildings.

The flooding in Brisbane follows flooding elsewhere in the state. Soon after Christmas, water from torrential rains swamped the northern city of Rockhampton, 600 kilometers (370 miles) north of Brisbane, triggering a massive recovery operation to rebuild the town.

Those floodwaters have been sweeping toward the coasts since then. So far, 70 towns and cities in Queensland have been affected by the flood, Bligh said.

Homeowners who had evacuated their properties started returning Thursday to assess the damage. Some rowed out on inflatable boats, surfboards and whatever else they could find. One man was seen walking in the murky water up to his chin.

Mark Grant reached his West End property, in central Brisbane, by kayak.

"I've got a couple of thousand dollars worth of surfboards under the house and we'd left the garage door open to avoid structural damage to the house and I wanted to get them before they floated out to sea," he said after paddling back to higher ground in his street, which was smeared with mud and littered with flood-damaged furniture.

He, his wife and three children abandoned their home on Tuesday evening after the water rose 1 meter inside their garage. By late Thursday, the brown, murky water had risen more than half a meter above the second floor.

The depth of the water surprised him. "We'd been advised by the council that the building height we built at was a meter above the 1974 floods when in fact it's quite a bit below the 1974 floods," he said. "It's only now that we've worked that out."

Farther down the street, Jody Jackson walked down her driveway, where sodden mattresses were piled on a muddy armchair and TV. She and her husband had been staying in the nearby hostel her husband manages, but abandoned it for the main flood evacuation center at the RNA Showgrounds.

They were among more than 1,000 people who slept Wednesday night on inflatable mattresses at the center. Numbers are expected to fall in coming days as people find alternative accommodations.

"We've been coming back and forward just to check" on the hostel, Jackson said. "It's not as bad as we expected."

But many others weren't so lucky. Elsewhere in the city, floodwater rose to rooftops, submerging houses and creating a logistical and financial headache for homeowners waiting for the water to drop so they could check the damage.

CNN's John Raedler contributed to this report.

@highlight

"There's a lot of heartache and grief," Bligh says

@highlight

Fifteen dead and 55 missing, officials say

@highlight

The search for survivors continues

@highlight

More than 20,000 homes have been inundated