(CNN) -- The North Koreans know how to put on a show and this year -- the 60th anniversary of the end of hostilities in the Korean War -- they've gone all out for the Mass Games.

If you've toyed with the idea of going, this is the summer to do it.

It's a lot easier to get into the Hermit Kingdom than you probably expect and the incredible spectacle that is the Mass Games officially runs until September 8, though it is often extended.

You go in knowing there will be 100,000 performers -- gymnasts, dancers, acrobats -- that the music will be loud and there will be fireworks and strobe lights, but nothing prepares you for the sheer scale of the production.

It's the Beijing Olympics opening night a dozen times over with a camp director and an unlimited budget.

Half the people on the tour I went with opted to go a second night, hoping to catch some of the bits they missed the first time around.

Why now is the time to go

Why go now?

Because this could well be the last year that Arirang will be staged.

Arirang is not the Mass Games -- it's the name of the theme the Games have followed for the last 10 years or so -- a Romeo and Juliet-like folk tale.

So while there will almost certainly be a Mass Games next year, it may not follow this theme.

What's more, without any anniversaries or significant dates to celebrate next year, it's expected to be far more low-key than the great pomp and ceremony that defines this year's show.

Ethical debates persist over whether tourists should visit North Korea, a country with a poor human rights record. Critics say tourist dollars help the repressive government, but others say the tourism money generated in North Korea is minimal.

To mark the 60th anniversary of the Korean War armistice -- what North Koreans call the victory in the Fatherland Liberation War -- no expense has been spared.

New at the Mass Games

Regulars at the world's largest choreographed gymnastics performance say this year's show has plenty of new material, with familiar acts given a new twist.

"I've been about 50 times and 50% of it was different this year," says Simon Cockerell of Beijing-based Koryo Tours. "There are whole new acts and there's a lot more technology -- the digital screens, the arches on top of the stadium, all that's new."

That new technology had a major hiccup the night I visited, July 27 -- Victory Day. Five minutes into the 90-minute show there was a total blackout.

Power outages are everyday occurrences in Pyongyang, but to have one at such a high-profile event was unusual.

The spectacle was just kicking off -- a wall of students on the far side of the stadium, the "human pixels," were flipping through books of colored cards to flash up messages and images, giant strobe lights rolled across the arena, the music was pounding, thousands of performers surged across the stadium -- and we were plunged into darkness.

Only the night before North Korean leader Kim Jong Un had sat in the stadium watching the very same performance with Chinese Vice-President Li Yuanchao.

Fortunately for show managers, the blackout didn't happen then.

We sat in silence. No one booed, no one jeered and five minutes later when the power came on and the show began again -- from the beginning -- there was a round of applause.

"People live with blackouts all the time," says Cockerell. "It's a sign that someone has been in North Korea a while when the lights go out and they just keep talking or doing whatever they were doing."

Military messaging dominates

North Koreans are big on military motifs and this year they've gone to town. Even a flower show we visited had scores of missiles and tanks tucked in among the red "Kimjongilia" blossoms.

At the Mass Games, a large gold medal -- to celebrate War Victory -- floats above the May Day Stadium and massive video screens show footage from the Korean War and a video of the long-range rocket launched earlier this year.

Given the massive show of military might and boys toys it's no surprise our tour attracted a fair few of 20-something men, but there's something for everyone at the Mass Games -- anyone who loves musicals will be on Cloud Nine, there's plenty of kitsch for the Camp Brigade and it's a photographer's dream shoot.

Foreigner reactions

New Zealander Will Seal, 24, went to the Games two nights running: "It was amazing, but I did get slightly concerned about all those kids spending time out of school, it's a massive undertaking."

He wasn't the only one in our group who was left wondering about the 20,000 children who spend months training intensively for the Mass Games. Briton Matthew Durling mused: "Where else in the world could you martial thousands of school children, without paying them, and have them do something like that?"

The regulars in our group were quick to notice another new element this year -- at the end of the Arirang performance there is a five-minute segment dedicated to international friendship, especially between China and North Korea and Russia.

While the "human pixels" flashed up messages of peace and friendship, as well as a rainbow between Pyongyang's Arch of Triumph and Beijing's Tiananmen Square Gate, Lion Dancers, Pandas and Russian Dancers strutted about on stage.

The message of friendship with China came at the end of last year's games, too.

But the grand gesture towards Russia this year is new. What does it mean?

One of our guides said it was "about politics." Another said it was "more about economics."

No doubt they're both right -- politics and economics make for cozy bedfellows and North Korea is waking up to the reality that if it wants to get on, to progress, it needs to start pulling in some hard currency.

That's no doubt why visitors are made to feel so welcome, particularly at the country's best known tourist attraction.

Currency matters

Foreigners aren't allowed to use the local currency -- the won -- and must bring cash in with them in either U.S. dollars, euros or renminbi.

Renminbi, I discovered however, offers by far the worst conversion rate. First-class tickets go for €150 ($159), but this was conveniently rounded to 1,500 RMB ($195) making it a good 20% more expensive.

Second-class tickets cost €100 and third-class tickets are €80. If you go a second night, you get a free upgrade.

The only way to see the Mass Games is by joining a tour.

Most tours leave from Beijing and the tour company will arrange your North Korean visa, travel to Pyongyang, hotels, meals and Mass Games tickets.

There's still plenty of time to go this summer -- decide today and you could be there in 10 days.

The best-established outfit is Beijing-based Koryo Tours, which has been taking groups since 1993 and has good relationships in North Korea. Koryo Tours offers a host of itineraries from a two-day Mini Break Mass Games Tour, which includes a Pyongyang city guide and Mass Games entry for €790 ($1,048) to a seven-night Ultimate Tour that takes in the Games as well as trip to the DMZ, Mt. Myohyamg and more for €1,690 ($2,242).

New Korea Tours is a U.S.-based travel agency specializing in travel to North Korea -- available tours include a seven-night trip that takes in the Mass Games for $2,690.

Remote Lands is another U.S.-based tour operator that offers trips to North Korea and other Asian destinations.

@highlight

North Koreans put on a magnificent Arirang show to commemorate the 60th anniversary of the end of the Korean War

@highlight

Half of the show elements are new compared to last year's show, says a Mass Games regular

@highlight

This year's show highlights the friendship with China and Russia