Washington (CNN) -- Sanctions. International monitors. Increased jet fighters in the region.

Trying to figure out how the United States and its European allies will respond to Russia's Crimea incursion gets confusing.

The tense showdown over Ukrainian sovereignty offers few easy answers, with differing priorities between Washington and the European Union adding to the confusion.

Here is a look at where Western allies stand:

Military

United States -- It is hard to imagine a scenario that would cause U.S. troops to get involved in Ukraine.

At the same time, the Obama administration can't rule out any option as it pushes for direct negotiations between Russia and Ukraine aimed at de-escalating the current crisis and laying the groundwork for peaceful coexistence going forward.

The Pentagon has announced the addition of six F-15 fighter planes to the four currently on a NATO mission in the Baltics. Previously, Washington halted ongoing military cooperation with Russia.

After a series meetings Wednesday with European, Ukrainian and Russian counterparts in Paris, Secretary of State John Kerry told reporters that "all parties agreed today that it is important to try to resolve the issues through dialogue." He added: "They don't believe that any of us are served by greater or further confrontation."

Europe -- The last thing the European Union wants is an armed conflict in its backyard. Only if Russian forces moved into eastern Ukraine would consideration be given to bolstering NATO forces in neighboring countries.

While no obligation exists for NATO to militarily defend Ukraine against Russian aggression, the United States and Britain -- along with Russia -- committed to protecting Ukrainian independence and territorial integrity in 1994 when Kiev gave up its nuclear arsenal that dated back to the Soviet era.

What happens now to Ukraine will have an impact on nuclear nonproliferation programs elsewhere, Ukrainian interim Prime Minister Arseniy Yatsenyuk warned Thursday.

His implication was clear: failure to effectively respond to Russia's aggression in Crimea would embolden North Korea and Iran to further resist Western efforts to prevent them from developing nuclear weapons.

Sanctions

The United States -- President Barack Obama said Thursday that he signed an executive order that laid the groundwork for sanctions against people and entities deemed responsible for the crisis.

The executive order provides the legal basis for sanctions against specific people and entities, but White House spokesman Jay Carney later told reporters no individuals were specifically targeted.

Visa bans are already in effect for some Russian and Ukrainian officials, and the freezing of assets and property could be forthcoming.

The moves fall short of broader economic sanctions aimed at Russia's state-owned banks and energy industry sought by some in Congress.

"This action by Russia cannot go unchallenged," Republican Rep. Ed Royce of California, the chairman of the House Foreign Affairs Committee, said Thursday at a hearing where the panel approved a non-binding resolution backing sanctions.

Europe -- Closer proximity to Russia and crucial economic ties make the issue of sanctions more difficult for European countries. Already, Russia threatens to retaliate with its own sanctions if the United States and Europe take such a step.

Russia is the European Union's third-biggest trading partner after the United States and China, with goods and services worth more than $500 billion exchanged in 2012. About 75% of all foreign direct investment in Russia originates in EU member states, according to the European Commission.

In addition, Russia is the single biggest supplier of energy to the European Union. British energy firm BP is the second-largest shareholder in Russia's leading oil producer Rosneft, and some of the biggest energy companies in Germany, the Netherlands and France are invested in a joint venture with Russian gas giant Gazprom.

"If and when any sanctions are placed on Russia, they are likely to be targeted on key officials rather than on the wider economy," said Neil Shearing, chief emerging markets economist at Capital Economics. "Europe is too dependent on Russian energy to countenance full-blown trade restrictions."

On Thursday, the European Union threatened limited steps if no substantive negotiations between Russia and Ukraine start in coming days.

European Council President Herman Van Rompuy told reporters in Brussels that "in any absence of results, the EU will decide on additional measures such as travel bans, asset freezes, and cancellation of the EU-Russia summit."

Later, Kerry told reporters that no serious gap existed between the U.S. and EU approaches, adding that " there may be some differences of opinion about timing or about one choice over another."

Aid

United States -- Kerry announced $1 billion in loan guarantees for Ukraine this week as part of the Obama administration's effort to publicly support the interim government and provide incentive for Ukraine to continue to align itself with the West through the European Union instead of Russia.

Obama called Thursday for Congress to support assistance for the Ukrainian government from both the United States and the International Monetary Fund. A few hours later, the Republican-led House overwhelmingly approved an aid package to authorize the previously announced loan guarantees.

Such support offers a trifecta of being unilateral, enjoying political support at home and backing the goal of bolstering Ukraine.

Europe -- The European Union announced Wednesday it will offer Ukraine at least $15 billion in aid as the country struggles with dwindling cash and the military standoff with Russia.

The package would provide Ukraine with assistance over the next few years, said Jose Manuel Barroso, the head of the EU's executive body, the European Commission. On Wednesday, Ukraine said it would be unable to pay its February natural gas bill to Gazprom.

European aid is the easiest way to show immediate support for Ukraine while avoiding risks of counter-sanctions and other retaliation.

Diplomacy

United States -- The United States is working with European allies to create an "exit ramp" for Putin to be able to de-escalate the Ukraine crisis.

Their plan would call for Russian troops in Crimea to return to their barracks, and international observers to come to Ukraine to monitor the situation on the ground, where Russia complains of persecution against ethnic Russians.

In addition, the United States seeks to isolate Russia diplomatically, joining other members of the G8 group of industrial powers in pulling out of preparatory meetings for the scheduled June summit in Sochi, Russia.

The foundation of the U.S. stance is for Ukraine to maintain its independence and territorial integrity, while also recognizing Russia's historical and economic ties to Ukraine.

Obama said Thursday he was "confident" that the international community was "moving forward together" in responding to what he called the Russian intervention.

Europe -- German Chancellor Angela Merkel spoke with Obama on Tuesday about the diplomatic exit ramp, but initial indications Thursday showed little progress with Russia on agreement.

Reflecting the standoff, Merkel said Thursday that the European Union wants to do everything it can to settle the Ukraine crisis diplomatically, but she warned that without any "diplomatic possibility," steps such as asset freezing and visa limitations would be options.

CNNMoney's Mark Thompson, Alanna Petroff and Charles Riley and CNN's Deirdre Walsh contributed to this report.

@highlight

Where do Washington and the European Union stand on the Ukraine crisis?

@highlight

No one wants an armed conflict, especially in the EU's backyard

@highlight

Europe's economic ties with Russia make it less likely to back strong sanctions

@highlight

NEW: The U.S. House authorizes loan guarantees for Ukraine