(CNN)  -- A controversial Colombian senator who has obtained the release of 16 hostages held by Marxist guerrillas is the leading candidate to receive this year's Nobel Peace Prize, which will be announced Friday, said an independent research institute in Norway.

Sen. Piedad Cordoba, right, of Colombia reportedly is one of three top contenders for the Nobel Peace Prize.

Sen. Piedad Cordoba is the most likely recipient among three leading contenders, said the Oslo-based International Peace Research Institute. The others the institute named are Jordanian Prince Ghazi bin Muhammad, a philosophy professor in Islamic faith at Jordan University, and Afghan physician and human rights activist Sima Samar.

Though the institute considers Cordoba the front-runner, no single candidate has emerged as the clear-cut favorite, as sometimes happens, said Kristian Berg Harpviken, director of the peace institute.

"It really is quite open this year," Harpviken said.

This year's peace prize nominees include 172 people and 33 organizations. The committee does not release the names of the nominees.

The 50-year-old peace institute, which is often called PRIO, has no connection with the Nobel committee that awards the peace prize.

Harpviken said he believes the prize will go to an individual or organization engaged in the resolution of a protracted armed conflict.

"This is a [Nobel] committee that will perhaps be more proactive and will award somebody involved in a standing process rather than rewarding someone for past accomplishments," he said.

Cordoba, 54, heads Colombians for Peace, a group trying to end to the 45-year-old war between the government and the guerrilla Revolutionary Armed Forces of Colombia, known as the FARC.

Since 2007, she has obtained the release of 16 hostages held by the FARC and has gotten commitments from the rebels for the release of several more. Colombian officials have said the guerrillas are holding about 700 captives.

A government critic and longtime peace activist, Cordoba was kidnapped by a right-wing paramilitary group in 1999. She was released after several weeks and then fled to Canada with her family, where she stayed for 14 months before returning home. There have been at least two assassinations attempts against her.

"While it is the hostage releases that have brought Cordoba and her organization the most attention, her role as a principal proponent of peace negotiations and of long-term reconciliation is probably more important to her candidacy for the Nobel Peace Prize," PRIO said in a release.

Harpviken said he had received many complaints because of his prediction about Cordoba, whom critics accuse of being too close to the rebels. "I do realize that this created some debate in Colombia," he said. "That's not terribly surprising."

Cordoba was nominated by Argentinean human rights activist Adolfo Perez Esquivel, winner of the 1980 Nobel Peace Prize.

Harpviken said Muhammad, an Islamic scholar known for trying to bridge gaps with other faiths, also is a leading candidate. "Certainly, the purpose ... he stands for makes him very strong," Harpviken said.

A member of the Jordanian royal family and educated at Princeton and Cambridge universities, where he received a doctorate, Muhammad, 42, "is playing an increasingly central role as an advocate of interfaith dialogue," PRIO said.

In 2005, the prince brought together 170 Islamic scholars from 40 countries for the Amman Initiative to work out what they called a "theological counter-attack against terrorism."

Two years later, Muhammad and other prominent Islamic scholars wrote a letter called "A Common Word Between Us and You" that urged mutual understanding and peace with Christians.

The letter, PRIO said, was partly a response to Pope Benedict XVI's 2006 lecture that many saw as an attack on Islam. Backing his words with his deeds, Muhammad gave what was considered a broadly accommodating welcoming speech when the pope visited Jordan this year.

"The importance of Prince Ghazi's initiatives to date lies first and foremost in the way he engages Islamic theology, institutions and leaders in a debate on the relationship between Islam and other faiths, thereby contributing a wider platform for interreligious dialogue for Muslims in general," PRIO said. "A prize to Prince Ghazi would also be recognition of the long-standing efforts of the Jordanian royal family, including King Abdullah, who have been long-standing proponents of peace and reconciliation in the Middle East."

If Muhammad does not win, Harpviken said, it could be because his work is not done.

"He still has a way to go so that his ideas have an impact," Harpviken said.

The third PRIO front-runner is Samar, head of the Afghanistan Independent Human Rights Commission and the U.N. special envoy to Darfur in Africa.

A medical doctor, Samar also established the Shuhada Organization, which focuses on health care, particularly for Afghan women.

After obtaining her medical degree in 1982, Samar and her son fled to Pakistan in 1984 when the communist regime then ruling Afghanistan arrested her husband.

Samar, 52, remained in exile until 2002 when she was appointed as a women's affairs minister in Afghan President Hamid Karzai's transitional administration.

"She has been under frequent attacks both from conservative religious leaders and from Islamist radicals, and she is a prominent voice for the rights of women," PRIO said, adding that she "does invite respect by being a principled and outspoken proponent of human rights and the need for a true reconciliatory process."

According to other published reports, another possible pick is monk Thich Quang Do, head of the outlawed United Buddhist Church of Vietnam. He has been under house arrest since 2001 and has been in and out of jail since his first detention by communist authorities in 1977.

Quang Do, 80, was awarded the annual human rights prize by the Rafto Foundation of Norway in 2006.

Four recent Rafto winners have gone on to garner the Nobel Peace Prize: Aung San Suu Kyi of Myanmar (also known as Burma), Jose Ramos-Horta of East Timor, Kim Dae-jung of South Korea and Shirin Ebadi of Iran.

Azerbaijani journalist and human rights activist Malahat Nasibova was awarded the Rafto this year and also is considered a possible Nobel prize winner.

Chinese dissidents Hu Jia, Gao Zhisheng and Wei Jingsheng also are contenders, other observers said.

After months of house arrest, Hu, 36, was detained in December 2007 during a crackdown on dissidents and sentenced to 3 1/2 years in April 2008 for "inciting subversion of state power."

Hu started his activism focusing on HIV/AIDS in 2001 and co-founded a grassroots organization dedicated to helping children from AIDS families. The international human rights group Amnesty International said Hu's focus broadened and he began reporting on a wider human rights violations in China, even giving interviews to international journalists.

Amnesty said Hu has been repeatedly beaten and harassed by police for his outspokenness. Before being arrested, he had publicly expressed concerns over human rights abuses by police in Beijing.

Gao, who was born in 1966, is a self-taught lawyer and People's Liberation Army veteran who was a Nobel Peace Prize candidate last year. He disappeared in February after being taken away by Chinese police. Fellow activists say he is believed to still be alive.

In 2007, he wrote a letter to the U.S. Congress urging the United States to boycott the Olympic Games held in Beijing the following year. In it, he described a wide array of human rights violations by the Chinese government -- from lack of property and religious rights to environmental disasters to Tibet.

"I ask to you to seriously consider the true value of morality, justice, and humanity, as well as to what extent such values are undermined in China," he said.

Wei, 59, was first arrested in 1979 and sentenced to 15 years. He was released in 1993 but arrested again within six months and sentenced to 14 years. In 1997, Chinese authorities put him on a plane to the United States, where he has lived since.

Perhaps the best known of the Chinese dissidents, Wei has been awarded the Robert F. Kennedy Memorial Human Rights Award, the European Parliament's Sakharov Prize for Freedom of Thought, the National Endowment for Democracy Award and the Olof Palme Memorial Prize. He has been nominated seven times for the peace prize.

Harpviken said he doubts the Nobel committee will choose any Chinese or Russian dissidents this year because they "don't want to anger powerful governments."

"Although the committee takes pride in being independent," he said, "there are certain limitations on their being independent."

That does not mean he doesn't expect the committee to "take daring decisions."

Harpviken said he believes that "the most likely expression of the committee's courage this year will be to award the prize either to an unconventional kind of candidate or to somebody whose work is likely to be directly helped by a prize award."

The peace prize is one of five awarded annually since 1901 by the Nobel Foundation in Stockholm, Sweden. The other four prizes are for physiology or medicine, physics, chemistry and literature. Starting in 1969, the Sveriges Riksbank Prize in Economic Sciences in Memory of Alfred Nobel also has been awarded.

While the other prizes are awarded by committees based in Sweden, the peace prize is determined by a five-member panel appointed by the Norwegian parliament.

The Nobel recipient receives a prize of 10 million Swedish crowns, or about $1.4 million.

CNN's Arthur Brice contributed to this report.

@highlight

Independent research institute cites three top contenders for Nobel Peace Prize

@highlight

No candidate emerges as clear-cut favorite; winner to be announced Friday

@highlight

Colombian senator, Jordanian prince, Afghan rights activist among contenders

@highlight

Vietnamese Buddhist monk, Chinese dissidents also could be awarded prize