(CNN) -- Roger Ebert was seldom at a loss for words.

His debates with Gene Siskel, his longtime co-host on a succession of movie-review television shows, sometimes seemed to start before the introduction and often appeared to continue well after the credits rolled. He wrote reviews, columns, interviews and articles, an astonishing collection of work that spanned more than four decades with the Chicago Sun-Times, freelance contributions for magazines such as Esquire, CD-ROMs (Ebert's movie guide was one of the sources for the popular Cinemania) and rogerebert.com. He hosted festivals for underappreciated films. He gave running travelogues from Cannes and Toronto.

He tweeted, Facebooked, corresponded with film lovers and held court with words long after his physical voice was silenced by cancer a decade ago.

Ebert lost his battle with cancer Thursday. He was 70.

What a voice he had: firm, plain, brooking no claptrap and telling you exactly what he thought, a throwback, he said, to his newspaper reporter days. (Chicago, then and now, was full of such cheerily blunt personalities: Mike Royko, Irv Kupcinet, Studs Terkel -- perhaps to be expected in the birthplace of "The Front Page.")

Opinion: Ebert's sheer love of life

Above all, he was easy to relate to. Like many of his readers, I didn't always agree with Ebert, but I could understand his viewpoint. He understood movies were these complex machines of directors and actors and special effects guys and studio suits holding bags of money, machines that -- when they worked -- were magical, like dreams. And when they didn't, he could be a compassionate man, more forgiving than many other critics.

Unless he felt as if the filmmakers had betrayed the arrangement between them and the audience. Then, watch out, because he would say what many of us might want to.

When Vincent Gallo, the writer-director of the Ebert-panned "The Brown Bunny," called Ebert a "fat pig with the physique of a slave trader," Ebert retorted, "One day I will be thin, but Vincent Gallo will always be the director of 'The Brown Bunny.' "

He titled one of his books "I Hated, Hated, Hated, Hated This Movie" (a line from his review of "North," a Rob Reiner misfire) and another "Your Movie Sucks" (the closing phrase to an open letter he wrote actor Rob Schneider).

However, Ebert was as fast -- if not faster -- to give praise. He and Siskel panned the 1987 Christopher Reeve movie "Street Smart," but both highlighted the performance of a then-little known actor named Morgan Freeman, who played a pimp. Freeman was nominated for an Oscar, with Siskel and Ebert's praise probably playing a key role, since the film came and went quickly.

And when Gallo recut "The Brown Bunny," Ebert went to see it again -- and this time, he gave it a coveted "thumbs-up."

"The film's form and purpose now emerge from the miasma of the original cut, and are quietly, sadly, effective. It is said that editing is the soul of the cinema; in the case of 'The Brown Bunny,' it is its salvation," he wrote.

Opinion: What the Internet owes to Roger Ebert

Thumbs-up

The fact that such controversies could make headlines emphasizes the importance of Roger Ebert to the movies, especially now that we live in a pop culture where everybody's a critic.

There had been film critics on TV before Siskel and Ebert -- Judith Crist and Gene Shalit among them -- and film criticism had existed since the dawn of the medium. But it was generally taken seriously only by cinephiles, the folks who followed The New Yorker's Pauline Kael or The Village Voice's Andrew Sarris.

Siskel and Ebert made it approachable. Both were Midwesterners, a notable point at a time when most film criticism came from the coasts. And, through their TV show, the two approached film criticism the way movie fans, freshly released from a weekend showing at the cineplex, might talk about what they just saw.

"They turned talking about cinema into an American pastime," the Detroit Free Press' Julie Hinds wrote in tribute.

Their success wasn't guaranteed. The pair -- forever immortalized as "The Bald One" (Siskel) and "The Fat One" (Ebert) -- worked for rival Chicago newspapers and were regularly at each other's throats before being paired on a review show, "Opening Soon at a Theater Near You," in 1976.

"Professionally speaking, their daily aim was to bludgeon each other via newsprint, their medium/blunt object of choice," wrote Josh Schollmeyer in his wonderful Siskel-and-Ebert oral history, "Enemies, A Love Story." Siskel had great contacts; Ebert had a Pulitzer Prize, the first ever awarded a movie critic.

Ebert kept us entertained 'At the movies'

Their chemistry, however, was undeniable. And as "Opening" turned into "Sneak Previews" turned into "At the Movies" turned into "Siskel & Ebert and the Movies," the two became equal parts knockabout vaudeville team -- frequently guesting on Johnny Carson and David Letterman's late-night shows, where their debates were very obviously unscripted -- and influential movie critics, willing to showcase all variety of new releases in a pre-Internet age when middle America wasn't besieged by all manner of movie minutiae and clips weren't a click away.

They were, in a word, refreshing -- especially for those of us, like me, who grew up far from the film centers of New York and Los Angeles. Where else could you get a sense of movies that might never come to your town? Where else could you take part, even from your living room, in the debate between two guys who really knew their stuff, and were entertaining as hell to boot?

The show's format was frequently copied, but Siskel and Ebert were the undisputed kings of the genre -- triumphant to the point where they trademarked their "thumbs-up" summary judgment. By the end, the two men had become almost like brothers -- competitive, yes, but also fiercely protective of each other. Siskel died in 1999, but reading Ebert's 2011 memoir, "Life Itself," you'd think he was still around to needle his fellow critic.

Remembering Ebert: Tweets pour in

The balcony is closed

Ebert changed with the times. He adapted to the Internet quickly, and though he continued with the TV show -- which moved from public TV to syndication in the 1980s -- it was obvious that the new medium was the right place for him. (Ebert finally left the show in 2008, though guest hosts had been filling in since 2006; it was canceled in 2010.)

"We don't sit down every Saturday night at 6:30 p.m. and wait for a show to come on television," television executive Mary Kellogg said in "Enemies." "People want instant gratification; they want to read or see his review the moment they decide to go to a certain movie."

Ebert himself approved.

"I think that the Internet has provided an enormous boost to film criticism by giving people an opportunity to self-publish or to find sites that are friendly," he said.

There were controversies here and there. Ebert was criticized for reviewing a film he'd only seen a portion of. Some of his readers believed he'd gone soft; just in the last few months, he gave at least three (out of four) stars to such panned films as "Taken 2" (21 percent on Rotten Tomatoes) and "Stand Up Guys" (36 percent).

But nobody denied his impact. He was widely quoted and widely recognized, perhaps the most famous film critic in the world.

Ebert in his own words

These days, when pop culture runs through the very capillaries of the Internet, it's easy to knock film critics. Who are they to rain on our entertainment parade? Can't we just enjoy the view provided by "Transformers 3" without having to think about it?

Ebert, as the top of the heap, probably heard his name associated with these thoughts more than most. What made him special was both his joy in the medium, and his unabashed enthusiasm in asking for something more. Go ahead and love movies, but give them some thought, too.

He conveyed all this through his words -- his vital, incisive, energetic, determined words.

He said it best himself.

"However you came to know me, I'm glad you did and thank you for being the best readers any film critic could ask for," he wrote in his last column, "A Leave of Presence," published Tuesday. "Thank you for going on this journey with me. I'll see you at the movies."

Lights down, please.

@highlight

At a time when critics mostly hailed from the coasts, he was a Midwesterner people related to

@highlight

He had a firm, plain, brooking-no-claptrap voice and said exactly what he thought

@highlight

There were controversies here and there, but nobody denies his impact on movie criticism

@highlight

Ebert, 70, lost his battle with cancer Thursday