(CNN) -- Even though he sailed to the White House on the wings of his soaring rhetoric, President Barack Obama could find that he is on mission impossible as he launches his media blitz on Syria this week -- six television interviews on Monday and a dramatic prime time address on Tuesday. Perhaps he will persuade a skeptical public, but it is surely the toughest speaking assignment of his presidency.

Surprisingly, he is now tripling down on his Syrian bet.

First he drew the red line, uncertain whether President Bashar al-Assad would call his bluff. Then he doubled down by insisting on a vote from an unreliable Congress. Now he is placing almost all his chips on the table by betting on his capacity to turn around public opinion.

If he wins over the public, he will likely win Congress, too, but if he fails, he will have turned a problem in Syria into a crisis in his presidency. (Someday, in their memoirs, will White House insiders please tell us what they were thinking?)

There are at least two major hurdles in his path as he seeks to persuade the public. First, he will be trying to change opinion that has already started to harden against him. Second, the bully pulpit may not be as powerful as often imagined.

The intensity factor

It's hard to remember a public terrain as rough as this one for a president in the past few decades. Weary of war and wary of another, Americans are in no mood to rally behind this call to arms -- many don't see it as our fight, they worry that it will drag us in deeper and even some of his most ardent supporters think the president and his team don't have a firm grip on the wheel.

A Gallup poll late this past week found that a majority of the public (51% to 36%) is opposed to a Syrian strike. That is the lowest level of support Gallup has found for any intervention in two decades. Moreover, the "intensity factor" runs much more strongly among opponents -- just look at the avalanche of their calls and e-mails to Capitol Hill.

The president has been arguing his case for nearly three weeks, and so far, he doesn't have many converts on the Hill. That's among Democrats as well as Republicans. CNN's whip count suggests that he could win a tight vote in the Senate (his speech may work best there), but a strike resolution is in serious trouble in the House. The Washington Post count shows that as many as a third of House Democrats may vote no.

Even overseas, among nations much closer to Syria, the president's rhetorical offensive has fallen short. No president in modern times has had such a tiny coalition behind him. Eighteen nations contributed to the intervention in Libya. President George W. Bush had 48 nations in the coalition that attacked Saddam Hussein. This time around, Obama will have only a handful supporting his intervention and most will be cheering from the sidelines.

A shaky pulpit

This controversy is also coming at an inopportune moment for the president. Early on at the White House, he could command massive, almost adoring audiences at every major address. But with the exception of his speech announcing the killing of Osama bin Laden, the numbers tuning in have dropped, viewers tend to be more partisan and television commentators have toughened up on him. Notably, his two Syrian interviews on television so far have drawn only modest audiences.

It has been little noticed but is important now that Obama has also had more success selling himself than his policies.

Obama's speeches -- despite their rhetorical strength and skilled delivery -- have had little success in moving his agenda forward. Americans still like him, but they tend to make up their own minds about his policies. Witness his inability, even now, to build a public majority in favor of Obamacare. The White House would argue that a majority have supported his stands on gun control and gay rights, but is that because of his speeches or because of demographic shifts and events such as the Newtown elementary school massacre?

Indeed, there is now a debate among political scientists whether the bully pulpit is all that it is cracked up to be, especially in contemporary politics.

Professor George Edwards of Texas A&M University and a dean among political scientists concluded in his 2006 book, "On Deaf Ears: The Limits of the Bully Pulpit," that we have a highly inflated view of how much presidents have been able to change public minds through their speeches.

He presents numerous cases to support his argument and one that is especially relevant today:

President Franklin D. Roosevelt had a legendary ability to connect with Americans through his fireside chats, but when it came to convincing a skeptical public about his Supreme Court-packing bill in his second term, the fire fizzled out. Edwards' data also suggests that presidents only succeed in mobilizing the public when opinion is already in their favor. This is clearly not the case with Syria.

To our memory, the last Oval Office address that dramatically moved the public opinion needle over military conflict came in late 1983 when President Ronald Reagan spoke to the country about a bloody attack on marine barracks in Lebanon and U.S. intervention in the tiny island of Grenada. Public support for military action jumped 10 points in immediate polling. But in that case, Reagan was telling a story about what had already happened to a public whose majority already favored intervention. He was not asking them to rally round a new, uncertain venture, and he was also still in his first term when audiences were big.

This is not to argue that all is lost for Obama on Tuesday night. Big speeches can reframe issues. They can unite us behind a higher purpose. They can push us to question our firmly held beliefs. Obama does have unusually persuasive powers. Perhaps he can come up with fresh arguments that will bring undecideds in his direction. Perhaps he will have horrific new evidence of how brutal al-Assad is.

Perhaps ... perhaps, but if he has new arrows in his quiver, he likely would have shot them by now.

The opinions expressed in this commentary are solely those of David Gergan and Dan Katz

@highlight

Gergen, Katz: Rarely has a president faced as tough a public mood as does Obama

@highlight

They say he has ability to get people to like him but may not be persuasive on Syria

@highlight

Authors: Public mood seems strongly against intervention

@highlight

Researchers say the impact of the White House "bully pulpit" has been exaggerated