London (CNN) -- When I was driving through Poland last year, all the talk was about a Chinese company's failure to complete a major motorway project. The contract was wrestled away from the Chinese and the Poles finished it themselves.

The details, denials and counter-claims aren't important for this article; far more interesting is the impact of any China-led project in Europe. Any news on such projects -- good or bad -- makes headlines. But the splash is bigger when such projects fail or when people starting mumbling about Chinese influence.

What China does in Europe matters greatly, though rarely do I hear or read a positive story about China's influence.

When a Chinese company bought Volvo, it was the transfer of technology that made the headlines, along with the end of the era for a venerable European brand. When an Indian company bought Land Rover and Jaguar, Tata was hailed as the savior of two venerable European brands.

Why is that?

The answer appears clear. We are equally fascinated and frightened by the rise of China's economic and military prowess.

The Chinese government's recent trip to central Europe revealed that the hiccup in Poland has not slowed China's plan to invest heavily in the former communist states. A $10 billion credit line will be used for infrastructure projects in Poland, Hungary and other countries. It was reported that the leaders of 16 central European countries met with Chinese Prime Minister Wen Jiabao while in Poland.

China's tech giant Huawei is a growing power in the telecoms world. But any attempt it makes to expand in Europe, United States or Africa is met with fears of technology transfer to a firm linked to the Chinese military through its founder. Rightly so, governments fret over a "foreign" firm controlling the hardware that is the backbone of modern society. In Huawei's case, as the Economist recently pointed out in a front cover story, the fear is China illegally tapping into western communications, both government and private.

Of course Huawei will say it's a private company with no state control and simply wants to compete on a level playing field with the likes of Nokia-Siemens, Cisco and Ericsson.

A change of leadership in Beijing will not have much impact in Europe. There is no reason to believe big changes will come from the top.

Instead, change appears to be coming from the bottom. Rising wages and increased worker benefits might raise the prices of goods exported to Europe.

It also helps to expand China's middle class which appears to love European and American products.

I recall growing up in America with worries about the rising power of Japan. All the products we desired were designed there or manufactured there, from video games players to VCRs and automobiles to the Walkman. With the wealth created, the Japanese were buying up property in California and buildings in New York.

It was feared the rise of Japan's economic prowess would never abate. But it did.

Europe can't assume the same will happen with China. But the economies now are so interlinked that stingy European consumers quickly translates into weaker manufacturing output in China. That slowdown is dissected by European economists and, on any given day, it can cause stocks to fall, leading to the similar stock tumbles a few hours later on Wall Street.

Recently Burberry noted a slowdown in sales in Asia, particularly in China -- its shares promptly fell 20%. Perhaps it was an overreaction, but it shows investors are quite happy to plow money into companies with "an Asian strategy" and then ignore it -- until there is a profit warning blamed on that same market.

That goes to show Europe has to get comfortable with the growing influence of China on its shores. It cannot expect its companies to grow in the Chinese market, then be surprised when enriched Chinese companies come shopping for European companies to buy.

China needs to understand that it will take time for Europe to get comfortable with China's investments. China has to make sure its investments and intentions are transparent. Oh, then there is that small matter of reciprocity.

@highlight

CNN's Jim Boulden writes he hardly hears positive stories about China's influence in Europe

@highlight

Europe's and China's economies are intertwined

@highlight

A change of leadership in Beijing will not have much impact in Europe