(CNN) -- I'm looking forward to Thursday night's installment of CNN's "The Sixties" with some trepidation. True, it's another excellent installment in the series. Capturing the highlights and essence of a decade, especially one as turbulent and historically significant as the '60s, is not easy.

Given the controversial nature of many of the events -- at the time and even today -- and given how much influence some of those movements and events still exert, the task of putting together even a multipart series is daunting.

Thursday's episode will cover the 1968 assassinations of the Rev. Martin Luther King Jr., on April 4, and of Bobby Kennedy, on June 5. Other episodes will cover the beginnings of the gay rights movement -- the Stonewall riots -- and the emergence of the women's rights movement.

Those events changed my life, immediately. Those movements changed the way I saw the world, eventually.

I was born on December 15, 1959 -- the cusp of the '60s. As the baby boomers came of age, or at least entered their teens, I went from infancy, to being a toddler, to childhood. I have no direct memories of the Cuban Missile Crisis, JFK's assassination, the Beatles coming to America, or the buildup of the Vietnam War.

"I Have A Dream" was my dream -- it still is, of course -- but I learned the words in reruns.

But I was old enough to be affected directly by the events in this episode. As I wrote in "Cooking With Grease," I grew up on April 4, 1968, when Martin Luther King was shot. I'd been active in neighborhood politics even before, but that night, at 9 years old, I joined the civil rights movement. I had no choice. None of us did.

When Bobby Kennedy was assassinated two months later, we prayed. I remember praying. I remember my anger, my fear, my determination. I remember talking to everyone I trusted, everyone I thought wise. The times indeed were changing, but nobody knew what they were changing into.

Our challenge was channeling anger into action, transforming despair into determination, using defeat to become more disciplined. I learned early it's a lifetime challenge.

While the civil rights movement was woven into my childhood, it took a bit longer for me to become aware of what was then called the women's liberation movement.

Of course, the fight for equality goes back into the 19th century, even to Founders like Abigail Adams.

But it was in 1968 that "women's lib" became an official part of the societal shift, the tide of change toward economic, social and legal equality. (The name "women's liberation" came from a nationally circulated newsletter that came out of Chicago.)

It was a time of consciousness-raising, and women refused to be left out.

In 1968, 100 women protested the Miss America beauty pageant. In 1972, Gloria Steinem published the first issue of Ms. Magazine, but the seeds had been sown earlier. Women like Steinem, Bella Abzug, Shirley Chisholm, Betty Friedan, Barbara Jordan -- they showed a young girl just entering her teens that being a woman wasn't a political handicap, but an asset. Or it could be.

The gay rights movement also started in the late '60s, but it had the farthest to go. Like the push for women's equality, it actually started earlier. It just found its voice, following the footsteps of the civil rights and women's rights movements.

The impetus was the Stonewall riots. When police raided the Stonewall Inn in Greenwich Village on June 28, 1969, it sent shock waves through the gay and lesbian community.

Police lost control of the situation, people rioted, and more protests occurred the next night, and again on other nights. Village residents began organizing, trying to establish places where gays and lesbians could be open without harassment or arrest.

Organizing nationwide was slow. Gaining acceptance by other activist groups was slow. Getting respect and equal treatment before the law was slow. It still is.

But where we are today began then. And if we want to have an honest discussion about where we are, and where we can and should go, we need to understand the '60s a lot better than we do.

I hope you'll tune in.

@highlight

Events in "The Sixties" changed the world and the way Donna Brazile saw it

@highlight

MLK, RFK killed in 1968. Brazile was only 9 but joined the civil rights movement

@highlight

Civil rights, women's rights, gay rights, all came into their own in the '60s

@highlight

To discuss who we are and where we can go, we need to understand the '60s