Editor's Note: In our Behind the Scenes series, CNN correspondents share their experiences in covering news and analyze the stories behind the events. CNN's Senior Vatican Analyst John L. Allen Jr. is following the pope during his U.S. trip.

Pope Benedict XVI asked pilgrims in St. Peter's Square on Sunday to pray for the success of his U.S. trip.

NEW YORK (CNN) -- The official motto of Pope Benedict XVI's April 15-20 visit to the United States, the first of his papacy, is "Christ our Hope." Based on the frequency with which papal spokespersons have struck a different note, however, its unofficial motto might well be, "This is not a political event."

Here's a typical example from early April: "The pope is not coming to get mixed up in the local political process," said Italian Archbishop Pietro Sambi, the pope's ambassador to America, in an interview with the National Catholic Reporter. "His presence is about something more universal and, at the same time, more personal."

Fear that Benedict's visit might be read through the lens of party politics reflects a key fact of electoral life in America: The "Catholic vote" matters. To take the most obvious example, if a few heavily Catholic counties in Ohio had gone the other way in 2004, pundits would today be handicapping the re-election of President John Kerry.

America's almost 70 million Catholics, representing a quarter of the country's population, are diverse and divided. They don't all agree with official church positions, and although Catholics were once reliable Democrats, today they're not clearly aligned with either party. That's a key reason why states with large Catholic populations, such as Ohio, Pennsylvania, Wisconsin and Florida, are considered crucial battlegrounds.

Already in the 2008 race, Catholics have made themselves felt. On the Democratic side, they're the biggest single reason Sen. Hillary Clinton is still afloat.

So far, the more Catholic a state, the better Clinton has done. With her back to the wall not long ago in Ohio and Texas, Clinton decisively outpolled Sen. Barack Obama among Catholic Democrats. In Ohio, Clinton won the Catholic vote by a margin of 63 percent to 36, while in Texas it was 62 percent to 38.

Clinton is now hoping that Catholics will come through for her again in Pennsylvania's April 22 primary. The state's 3.87 million Catholics represent more than 30 percent of the population, and Clinton is clinging to a lead despite Pennsylvania Sen. Robert Casey's endorsement of Obama. Casey is a hero to pro-life Catholic Democrats, and his backing is apparently helping Obama narrow the gap.

Clinton does better than Obama among Latinos, who are disproportionately Catholic. She's also winning Catholic "Reagan Democrats," meaning socially conservative blue-collar voters. Obama's recent gaffe, telling a crowd in San Francisco, California, that small-town Americans were "clinging to guns or religion" out of economic frustration, may help cement that advantage.

Once the Democrats settle on a candidate, the Catholic vote seems wide open in November.

Sen. John McCain, the presumptive Republican nominee, appeals to many Catholics because he's pro-life and has a moderate stance on immigration. Yet his willingness to remain in Iraq for "100 years" is at odds with the church's opposition to the war.

Either Clinton or Obama could make a strong appeal to Catholics on peace-and-justice issues, yet both are out of sync with Catholic teaching on issues such as abortion, stem-cell research and gay rights.

Both sides are expected to court Catholics aggressively. The McCain campaign recently formed a "National Catholics for McCain Committee" led by former Kansas Sen. Sam Brownback and former Oklahoma Gov. Frank Keating, along with a "who's who" of prominent Catholic conservatives.

Obama has his own "National Catholic Advisory Council," led by Casey and former Indiana Rep. Tim Roemer, both pro-life Democrats. Clinton likewise has top-drawer Catholic advisers.

Pope Benedict's trip is unlikely to offer a decisive boost to either side. He'll probably strike pro-life notes that Republicans can exploit, but he'll also likely accent peace, concern for the poor and the environment, issues that generally skew to the Democrats.  Watch as CNN's Rosemary Church speaks with Vatican analyst John Allen about the pope's visit »

Any political fallout may thus depend on what happens to the pope's message once it's swept up into the sausage grinder of American spin. Benedict XVI usually speaks not in sound bites but in carefully crafted paragraphs, which sometimes leaves the door ajar for competing explanations of what he really means.

One can expect a "war for the microphone" among Republican and Democratic operatives, each looking to exploit pieces of the pope's message. In a tight race, movement of even a few percentage points among Catholics could be decisive.

One sign the Democrats understand what's at stake is that House Speaker Nancy Pelosi has arranged an April 16 conference call with reporters to comment on Benedict's trip -- in effect, not wanting President Bush, and by extension the Republicans, to claim a monopoly on the pope.

All this makes the political implications of the pope's presence difficult to anticipate. The best advice boils down to that classic broadcast cliché: "Stay tuned!" E-mail to a friend

John L. Allen Jr. is CNN's senior Vatican analyst and a senior correspondent for the National Catholic Reporter.

@highlight

Papal representatives stress Benedict's U.S. trip is "not a political event"

@highlight

But Catholic vote still matters in U.S. politics, as 2004's close Ohio vote showed

@highlight

Obama's "guns and religion" gaffe may help Clinton with blue-collar Catholics

@highlight

Once Democrats settle on a candidate, Catholic vote seems wide open in November