Regardless of how the Supreme Court rules on health care reform, the justices have one thing in common, and one thing in common with a growing cohort of Americans: They are aging.

America faces an unprecedented wave of aging as members of the iconic baby boomer generation turn 65. This year alone, 4 million Americans will join the growing ranks of senior citizens. The Affordable Care Act strengthened the Medicare system that this growing senior population relies on.

Health care reform reduces the cost of prescription drugs, brings down costs for patients using private Medicare supplements and increases access to free preventative services. The Affordable Care Act makes health care more affordable for senior citizens and ensures that doctors are compensated fairly for their services.

While Medicare certainly needs adjusting, if the law is overturned, the challenges of Medicare financing will only get worse.

For the millions of senior citizens and about-to-be seniors in America the improvements brought by  health care reform are just an important first step. We must protect the progress made by the Affordable Care Act, but much more is needed to support our rapidly growing older adult population to help them live independently, at home and in our communities with dignity.

A vital home care work force has developed to meet these needs, and its interests are inextricably bound to the future of health care.

The average hourly wage of a home care worker in the United States is less than $10 per hour. Poverty wages and a lack of benefits, training and career pathways mean turnover is constant. The work force can barely meet the current need for care, supports and services, let alone what's to come. More families are turning to immigrant women of color to provide care for their loved ones.

These women work tirelessly to feed and bathe our nation's senior citizens, serve as a go-between with family and doctors, count medication, even take care of pets, and yet they are denied basic wages, let alone benefits, worker protections and pathways to citizenship. In fact, one out of two direct care workers supplements his or her income with food stamps, Medicaid or public benefits, compounding our overall challenge.

News explainer: Health care's big four issues: What the justices are tackling

We need to create more jobs in America, address the need for home care, and improve the quality of care jobs all at the same time. In so doing, we can create precisely the type of economic growth we need in this moment.

These are issues that concern us all including, ultimately, Supreme Court justices.

Of course, the Supreme Court justices have lifetime appointments that include access to the Federal Employees Health Benefits Program, one of the largest insurance pools in the country, which ensures the jurists aren't subject to the sorts of limits for pre-existing conditions and inflated premiums that most insured Americans have long faced.  And if they choose to leave the bench, the justices can opt to keep their coverage -- meaning they won't have to rely on Medicare to nearly the extent most elder Americans do.

News: Timeline of the health care law

But someday, they may want an in-home care worker to help them through the challenges of aging.

The Affordable Care Act was a great leap forward in improving a health care system that isn't working well for senior citizens, workers or any of us. With our senior population growing by the second, or every eight seconds to be exact, we need to move forward quickly toward more improvements, not roll back the ones we've made.

According to polls, the American people know that the Supreme Court won't rule based on the Constitution alone. Politics clearly influence such decisions. But if the justices would just think of themselves as senior citizens and soon-to-be-seniors, they would uphold the Affordable Care Act for the sake of older Americans, care workers and our shared future.

CNN iReport: The real people behind health care reform

@highlight

Ai-jen Poo: Like the rest of us, Supreme Court justices are aging, will need good health care

@highlight

She says Affordable Care Act improves availability, costs of care for senior citizens

@highlight

She says home care workers a growing need as boomers age, but wages and protections lag

@highlight

Writer: U.S. should foster and value home care workers; even justices may need them one day