(CNN) -- In 33 years with CNN, Jim Clancy has been almost everywhere and seen almost everything. That includes covering the aftermath of horrific commercial jet crashes, like Pan Am Flight 103 in Lockerbie, Scotland, and Swissair Flight 111 in Halifax, Nova Scotia.

It's what he does. So naturally, when he got a call on March 8 that Malaysia Airlines Flight 370 had vanished, Clancy went to work.

After that first week, though, the veteran international journalist said it became evident this wasn't your typical jet crash. That's all the more obvious four weeks in as investigators don't have the plane's wreckage in hand. Nor do they have a fact-based explanation as to what happened.

Below, Clancy reflects on the story and what makes it so unique and baffling -- one that might take years to unravel.

QUESTION: What did you expect when you got the call and headed from Seoul to Kuala Lumpur?

CLANCY: I've covered various other air crashes that resulted in great loss of life. As I landed that Saturday in Kuala Lumpur, I thought -- as did most journalists -- that the biggest challenge to the story would be facing grieving families, having to interview and interact with them at what was almost certainly one of the worst times of their lives.

But I was certain the crash itself would be quickly explained, a search would quickly bring us to conclusions.

We expected the sadness and the sorrow from the families. We knew because there were so many people on board and so many different nationalities, that it would be a major story.

We expected it to be resolved in 72 hours.

QUESTION: When did you get the sense that wouldn't happen?

CLANCY: Very early on, at the very first news conference they hinted that the plane may have tried to reverse course, make a "turn back" as they called it.

And I asked the head of the air force: A turn back 5 km, did it make it 10 km, 20 km? And he said, I can't tell you that, I don't know.

And then after that, that's when we learned that it had flown hundreds of miles on radar.

QUESTION: What's your take on Malaysia's response, and the reaction to it?

CLANCY: While this was not Malaysia's first air tragedy, it was an unprecedented situation where a plane had gone missing -- not because something happened that forced it down, but because it abandoned its flight course and we don't know why.

The officials here were really hard pressed to know what do, how to react, who was in charge.

From the very beginning, everybody wanted to know the answer to one question: Where is the plane? What happened to my loved ones? And why did it go off course?

These are fundamental questions that would be asked by anyone. The problem was that Malaysian authorities didn't have any idea what the answer was to these questions. How could they?

But that was seen by many as they must be covering something up, they must be hiding something.

It didn't help that the aircraft flew back across the Malay Peninsula undetected, they didn't scramble any jets and it simply flew away into the Indian Ocean. And it appeared at the time that their civil aviation and that their military aviation weren't talking to one another or hadn't communicated with one another.

So the combination of multiple voices with no answers undermined any trust that the families had.

The Chinese, especially, were bitter. Internet chat rooms and news outlets pumped up the theories . They included accusations that the Malaysians may have shot down the plane and they are covering it all up, that there was a hijacking and the Malaysian government was negotiating with them and they weren't telling the families. China's government allowed protests in Beijing against Malaysia's embassy. The kind of protests China would never tolerate if its own government were the target.

(They fueled the idea) that somehow the Malaysian government was directly responsible for the fate of their relatives and was trying to deceive them.

QUESTION: What's at stake for Malaysia?

CLANCY: They knew they were overwhelmed, confused and sending mixed signals in the first week. They tried to do their best, but it was an unprecedented situation. Rivalries within the government may have contributed. Clearly there was some level of incompetence.

People forget that the United States on 9/11 didn't realize that those planes were going into the World Trade Center until the second one hit and the Pentagon had been hit. And that's when (the United States) scrambled jets.

So here's tiny Malaysia -- with no experience in any of this -- and they know that they screwed up, but they desperately wanted to show they could get it right. That's why they brought in a PR firm and reorganized themselves to help get a single message out and to try to dispel the rumors that they were trying to cover something up. It's a national airline. It's national pride.

Their logic has been: If we find the plane and unravel what happened here, people will overlook the first few days of confusion and know we were never hiding something.

They didn't have any of the capabilities or any of the assets to find this plane. So they organized a huge effort for the region.

They also wanted this opportunity to shine. But again, they knew that they had to find the plane to make the whole thing work.

So that's why they're so dedicated ... They will happily spend the last dollar that Australia has to find this plane.

QUESTION: Why has this story resonated with so many people?

CLANCY: This story has captured the world's attention because no one can believe that a sophisticated airliner like the Boeing 777 with 239 people on board can simply vanish into thin air.

With no answers coming out of Kuala Lumpur, the internet went wild with speculation. Movie scripts started appearing online, there were attempts to crowdsource the search for the plane by looking at satellite photos. All kinds of images would pop up that you couldn't trace.

Because there were no facts, you could make them up.

QUESTION: How do you approach a story like this?

CLANCY: I've never covered a story like this one that had so few facts and so much speculation in so many different directions.

Very quickly we saw chaos. Yes, the government was responsible for some of it. But Malaysia and the media danced down the road of contradiction and confusion together. Reporters misinterpreted what they were told. Sources misinterpreted what they were telling reporters. When I began to see it unfolding, I was more determined than ever to avoid speculation and conjecture about what happened to the plane. From what our sources were telling us, it was obvious they didn't have any real facts and there was no point in pretending we did, either. I wasn't going to embrace some theory.

Once CNN broke the story this plane had flown out of the South China Sea, back across the Malay Peninsula, I understood this was a bizarre, unprecedented event. The outcome was unpredictable because almost anything was possible.

And so I kept convincing myself that evidence has to be coming. It has to be seen on a satellite, it has to be seen on a radar.

(And conspiracy theorists speculating about terrorism) never stopped themselves to ask the basic question of: Who did it? Tell me who on board did it? They couldn't do that.

Some of these rumors persist. Some of them start in China, some of them have started with aviation buffs. But none of the theories have any evidence to back it up. It is such a mystery because we have so few facts.

QUESTION: What makes this story stand out for you, of all those big ones you've covered?

CLANCY: I'm trying to think of a story that's more baffling. I can't. With Lockerbie , Pan Am Flight 103, they had the airplane. It was a mystery at first because they didn't know why it came down. But we knew we had the evidence there and we would be able to find out what caused it.

This case is far more baffling because we have a plane that reversed its flight path, traveled almost in a line to Antarctica and apparently stayed aloft until it ran out of fuel. That's a plot?

There's been no claim of responsibility. There's been no manifesto explaining any political motives or personal motives for anyone. How does a plane with a catastrophic mechanical malfunction go on to fly another seven hours? And as we try to imagine what was going on aboard the aircraft this entire time, would the other crew members have just stood by and let the plane go off in the opposite direction?

There's a very good reason for our curiosity. There's a very good reason for us to want to extend the resource necessary to unravel this mystery.

@highlight

CNN anchor Jim Clancy is a veteran international journalist

@highlight

He says it's hard to "think of a story that's more baffling" than the plane's disappearance

@highlight

Clancy expected it would be resolved in 72 hours

@highlight

Four weeks later, the plane's vanishing remains a mystery