(CNN) -- On Wednesday, the Los Angeles Times published photos of U.S. soldiers posing with what the paper said were bodies of insurgents in Afghanistan.

The newspaper said a soldier came forward with the images to draw attention to the safety risk associated with a decline in leadership and discipline. In the Times story, editor Davan Maharaj said publishing the photos "would fulfill our obligation to readers to report vigorously and impartially on all aspects of the American mission in Afghanistan, including the allegation that the images reflect a breakdown in unit discipline that was endangering U.S. troops."

The Los Angeles Times said efforts to get responses from the soldiers involved were unsuccessful. CNN has not independently authenticated the photos.

The images are just the latest in a string of scandals that some say could damage U.S. efforts in the war, which is in its 11th year.

In January, video footage emerged of U.S. soldiers apparently urinating on Afghan corpses. In February, Afghans rioted after it was discovered that Qurans had been burned in violation of Islamic custom at Bagram Air Base in Afghanistan. Last month, an Army staff sergeant allegedly went on a rampage and shot to death 17 Afghan civilians, including numerous children.

The U.S. is due to hand over control of the country to Afghan forces in 2014. On Thursday Afghan President Hamid Karzai called for an "accelerated" transition of security responsibilities to the country's forces. He called the photos "inhumane and provocative."

CNN spoke with three national security and military experts about the images and what impact they may have on the U.S. mission in Afghanistan. Here's an edited version of their responses.

Read the complete interviews here

Baer: 'Very, very difficult time stabilizing this country'

Robert Baer is a former CIA agent who spent most of his career in the Middle East. His book "See No Evil" has been lauded for its first-person look inside the agency and for its analysis of events leading up the war on terror.

I think the situation there is going from bad to worse. ... It's incidents like these which are dividing American troops from the Afghans. I just don't see it getting better. Of course, this is an isolated event. It's not the end of the world, but if it continues on like this -- more bad news -- we're going to have a very, very difficult time stabilizing this country before 2014.

Getting into one of these wars is very easy. It's very, very difficult for a White House to walk away from this, especially when the same people that attacked us on 9/11 are going to come back. For a politician to say, 'Hey, let's forget about it, let's hope for the best, let's leave' -- this is a problem for the White House. They cannot be seen to be losing a war. It doesn't really matter that we never really won the war. It's just morphed into something else, into a quagmire, guerrilla warfare.

I don't think we're going to speed it up, we're just going to hope for the best and get better control of the military. And hope that the Afghans will be able to take this over. I'm not very confident, though.

Marks: 'Very damaging to all the U.S. efforts'

James "Spider" Marks is a retired U.S. Army general. He works as a consultant in Washington.

This is very damaging to all the U.S. efforts, specifically the U.S. effort to assure it stays in harness with the Afghan government and the Afghan security forces moving forward in this critically important mission. This does nothing but throw sand into that fabric of trying to establish and trying reinforce what has been, over the last decade, a reasonably good relationship. There's nothing good that comes from this.

Sadly, you had soldiers ostensibly dehumanizing the enemy. That can't be done. You've got to hold these bad guys with respect that they deserve if they're willing to kill themselves to achieve a goal ... our soldiers understand this. These are several bad apples. You need to always respect your enemy, so you better understand them.

The record of the military in our conflicts, both in Afghanistan and Iraq, and routine activities that take place every day around the globe [have been] decentralized out to young men and women like these folks [in the photos], who sadly made a huge mistake. But most folks -- 99% of our military -- do a magnificent job. So you have to let the record speak for itself. What you have to do locally -- and Gen. John Allen [the U.S. and NATO commander in Afghanistan] understands this intimately -- you have a lot of damage control to do. You have to anticipate what the reaction is going to be in Afghanistan. It speaks to this isolated incident, and it doesn't speak to a full breakdown in terms of morale and discipline and capabilities in our military. ... The military in this case is losing ground because they've achieved so many great things, specifically in Afghanistan, and this incident is setting them back.

Clark: 'We'll get an orderly withdrawal'

Retired Gen. Wesley Clark served as supreme allied commander of NATO from 1997 to 2000 in the Kosovo war. Once a Rhodes scholar at Oxford University, he has a degree in philosophy, politics and economics, and a master's degree in military science. He served 34 years in the Army and ran in the 2004 presidential election.

[The photos don't] represent the standards or the training or the values of the United States armed forces. Our soldiers and our leaders know you don't pose with dead enemy bodies, and there's a lot of other things that you don't do. We maintain these standards. I think the men and women of the armed forces have done a remarkable job, our leadership has done a remarkable job. No one ever expected when this conflict started that we'd be in it [almost] 11 years later, a volunteer army would have held together and done so very well. This is an exception, and I know the military will take their proper measures.

We've accomplished our major objective there. We got Osama bin Laden. We've taken strong measures against al Qaeda -- it's a broken organization, at least as it was in 2001. And it's not going to recover, at least not in the near term there. There are other enemies on the ground there in Afghanistan, and it's been a tough fight. So winning the hearts and minds? I think we can continue training Afghan security forces. I think we can expect to fulfill the obligations to Hamid Karzai's government. I think we'll get an orderly withdrawal out of that region, as President Obama said, [in] 2014. That's what we're really looking for.

There will be mixed feelings, because those mixed feelings on the ground among the populace are inevitable in wartime. This is a country that's been through 40 years of war. So, there have been a lot of losses, a lot of tragedy, there's been a lot of hatred. This is one more small piece of that.

@highlight

Experts give opinions about photos allegedly showing soldiers with Afghan corpses

@highlight

Ex-CIA agent Robert Baer: This incident further divides U.S. and Afghans

@highlight

Retired U.S. general says photos are "very damaging" to U.S. effort in Afghanistan

@highlight

Former NATO allied commander says photos don't represent values of U.S. armed forces