(CNN) -- Decked out in voluminous Victorian-style dresses, complete with horn-shaped headgear, the Herero ladies of Namibia have held on tight to a piece of 19th century history.

For over a century these women have fiercely protected their dress as a crucial part of their cultural identity.

Their style of dressing was influenced by the wives of German missionaries and colonialists who first came to the country in the early 1900s.

The long dresses are heavy and reflect the style of the Victorian period with numerous petticoats worn to add fullness to their skirts. They are hand-sewn by the women who add their own personal style and flair.

Blogger Mwalimushi Kamati-Chinkoti of My Beautiful Namibia website says wearing the dresses often symbolizes a woman's place in the society.

She wrote on her website: "These outfits are regarded as proper dress for traditional married women. By wearing the long dress, a newly-married woman shows her in-laws that she is willing to take up the responsibilities of a Herero home and will raise her children to respect their heritage and their father's family."

"The Herero women's long dress has become a symbol of Herero tradition for Herero, tourists, scholars and other Namibians," she added.

It is a view echoed by Lutz Marten, a linguist at London's School of Oriental and African studies with a specialism in the Herero tribe. He explains that the style of dress has become an important part of the Herero women's identity.

iReport: send in your photos from Namibia

"It reflects a strong sense of history and the memory of national rebuilding after the [Herero-German] 1904 war," he said.

"It also provides a sense of cultural identity in general, in the historical context and in the context of modern-day Namibia," he added.

The colorful dresses are topped off with an elaborate headgear made of a matching fabric.

According to Tim Henshall, a British tour operator who has visited the region for nearly two decades and gotten to know some of the women, the headdress is "built to represent the horns of the cattle, which are so important to the Himba and Herero communities."

"The Germans in Namibia brought people in to work for them so they took the local communities and gave them work in their houses and on their land," said Henshall, who runs Kamili Safaris.

"Instead of the Herero being topless and barely covered, which would offend the modest attitudes of Victorians at the time, they wanted them to be covered up," he added. Henshall added that the women showed no sign of being bothered by wearing the outfits, even in Namibia's tropical climate.

The Herero and Himba people are a pastoral, cattle-breeding tribe who migrated to Namibia several centuries ago.

The traditional Herero live in the north of the country in the Kunene region and the Damaraland area.

Around 150 years ago, the two groups split and Herero settled in towns and villages while the Himba continued with a nomadic lifestyle.

The Herero women take enormous pride in their outfits and have also developed a sideline in making and selling dolls wearing exact replicas of the dresses to tourists.

Quiz: what do you know about Namibia?

Marten says that keeping the memory of the Herero-German war alive is very important and that there is an annual festival in August to commemorate this. He adds that the Herero genocide in 1904 killed almost 75% of the population, and the event is a key moment in Herero identity.

"This is in part assimilation to European culture, and also in part appropriation, a coming-to-terms with, and overcoming of history and the colonial experience," he said.

This article was originally published on November 3, 2011 for 'Inside Africa'.

CNN's Eye On series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Many Herero women in Namibia wear traditional Victorian-style costume

@highlight

The style of clothing was brought to the country by German colonialists over 100 years ago

@highlight

The hats worn by Herero women represent the horns of cattle

@highlight

The style of dress continues to be passed down through generations