(CNN) -- As air crash investigators pick over the wreckage of flight QV301 -- the Lao Airlines plane that crashed in bad weather on Tuesday with 50 people on board -- concerns over air safety are growing as the number of flights in South East Asia increases.

A steep rise in air traffic in countries like Myanmar, Laos and Cambodia -- fueled by a boom in tourism -- means domestic air regulators are having to contend with creaking infrastructure and a lack of experience in maintaining internationally recognized standards.

Laos has a patchy record on air safety, logging 30 fatal air accidents since the 1950s according to the Aviation Safety Network, though data shows things have started to improve in the past decade.

The story in other emerging markets in South East Asia tells a similar story.

Both the U.S. State Department and Britain's Foreign and Commonwealth Office have issued travel warnings directly related to the aviation industry in Myanmar -- also known as Burma -- following an incident in 2012, when an Air Bagan plane carrying more than 60 passengers crashed on Christmas Day.

The State Department has warned travelers to keep in mind Myanmar's sometimes shadowy record regarding its civil aviation report card.

"The safety records of Burma's domestic airlines are not open to the public, nor is public information available concerning the Burma government's oversight of domestic airlines," it says on its website.

But Myanmar aims to change that by setting its sights on the release of a national civil aviation policy to prepare for the traffic boom that threatens to overwhelm its inadequate air transport infrastructure.

Government forecasts predict annual visitors to rise to six million in 2017 from its current 1.5 million annually, and its fast growing airline industry has received applications from four airlines owned by Burmese nationals, adding to the seven domestic carriers currently.

Shukor Yusof, an aviation analyst with ratings agency Standard and Poor's, said standards differed dramatically across the South East Asian region.

"It varies from country to country and airline to airline. In first world countries, Singapore Hong Kong and Malaysia, there are few concerns about the safety of aviation because they've had a long track record," Yusof told CNN.

"But then you have developing markets in Indonesia and Indochina -- and Myanmar is another country which is up and coming -- where it's really up to the operators to keep abreast with different maintenance and training requirements.

"Increasingly with the growth of low-cost airlines in the region, there will be issues surrounding safety especially in countries that are well known for safety."

He said infrastructure in Myanmar would be under strain if it didn't keep pace with the growth of the market. Overcrowding is already an issue in Myanmar where of the 600,000 people who visited Myanmar by air last year, 500,000 arrived in Yangon, its former capital. according to industry reports.

In August this year, Myanmar's Department of Civil Aviation announced plans to improve and expand Yangon International Airport and Mandalay International Airport, as well to develop the new Hanthawaddy International Airport 50 miles (80 km) north of Yangon.

"The equipment and facilities in Myanmar are quite old and with the rise of tourism they really need to get up to speed and get foreign experts to come in and help develop that market as quickly as they can," Yusof said.

"We are not seeing that happen as swiftly as we'd like to."

He said Indonesia was the real emerging market in the South East Asian aviation industry, but it also needed to catch up with respect to infrastructure requirements.

"The growth of discount carriers in Indonesia is phenomenal -- they are actually driving the market in the whole region but investment in infrastructure and airports and technology is not keeping pace with the growth of aviation economics in that country.

"The story is the same all over Indochina excluding Thailand, of course. In places like Laos, Cambodia and Myanmar, they need to do more than simply open the doors to tourism.

"Safety is fundamental if you want a functioning aviation industry."

@highlight

Concerns grow over safety amid South East Asia budget carrier boom

@highlight

Newcomers to the market such as Laos, Cambodia and Myanmar have creaking infrastructure

@highlight

Myanmar is attempting to catch up with an exponential growth in its tourism numbers

@highlight

Analysts say Indonesia is leading the region in the budget carrier boom