(CNN) -- Airline passengers are already able to check in to flights, download boarding passes, select a seat on the go and keep an eye on the upgrades list thanks to recent evolutions in smartphone technology, and the options just keep growing.

A global industrywide Airline IT Trends Survey shows that more than 90% of the airlines surveyed are increasing their investment in mobile capabilities to ease the hassles of getting through the airport and improve the in-flight experience. And the airlines are likely to find a way to generate revenue, too.

So what's a flier to expect from airline apps on the horizon? In the not-too-distant future, you'll probably be able to rent a car, pay bag fees and use augmented reality to find the nearest airport bar through your airline's smartphone app.

Delta Air Lines is putting emphasis on improving mobile functionality. While some airline apps allow travelers to make flight reservations (a feature that Delta has not introduced but promises is coming), the world's largest carrier is one of the few airlines that gives customers the ability to adjust travel itineraries from their mobile device.

Delayed Delta passengers who miss a connection now can immediately rebook a different flight and download a new boarding pass, all while in the air.

The airline has some new app plans up its sleeve as well. Delta declines to give a release date for the feature, but it is close to unveiling a new tool where travelers can track checked baggage from their mobile devices, according to Delta spokesman Paul Skrbec. (They can already do so on the airline's website.)

The airline eventually could offer other services on its mobile app that are already listed on its website, such as the ability to search for hotel and car rental reservations, Skrbec said.

GuestLogix, a company that creates onboard merchandising technology, is already trying to integrate these services into an airline app with the launch of its OnTouch Mobile Concierge platform, which it pitched to major airlines this week, a company official said. The mobile app does not just offer access to itinerary details, but it also functions as a one-stop shop for airline passengers to make in-air purchases related to their trip, such as in-flight refreshments and arrangements for ground transportation, dining and entertainment in the destination city.

GuestLogix says it is in talks with most major North American carriers about implementing the OnTouch Mobile Concierge, which would likely be offered by airlines as a separate app from the ticketing-based ones that exist.

"We are providing airlines with the opportunity to offer their passengers a streamlined experience," said Brett Proud, GuestLogix's executive vice president of new markets and products. "Disparity within the mobile channel is a huge issue despite the fact that consumers are increasingly expecting cross-platform integration and a consistent experience. The fully integrated mobile platform that we have built allows travelers to check in to flights and hotels, view travel information and updates, and receive offers from multiple airline carriers, hotels and other services -- all at one time, and in one place."

The hope is the OnTouch Mobile Concierge will also allow airlines to generate new revenue streams by capitalizing for the first time on destination-related purchases.

But integrating outside products and services into airline apps is not the only way that airlines hope to customize the passenger experience while increasing revenue. According to Delta's Skrbec, the demand is likely there for airlines eventually to offer add-ons such as standby upgrades and the ability to pay for extra checked baggage through mobile applications, but industry research suggests that offering those types of mobile transactions won't happen overnight.

According to a report released this year by Amadeus, a company that develops technology for the travel industry, ancillary services -- from premium seating to in-flight meals -- are unlikely to be sold on airlines' mobile platforms on a widespread level for another year or two.

So more add-ons and products will be available, but is help on the way for slogging through the airport?

American, United and Continental airlines currently offer airport maps in their mobile apps, with Delta soon to join them. But the maps are generally useful only in locating gates; they don't offer detailed information on where to find food and shopping locations.

Augmented reality technology may come to the rescue here. It allows users to point the camera on their smartphone at their surroundings and receive corresponding information about their current location, such as which restaurants and stores are nearby. Amadeus's report estimates it will take three to five years for most airlines to find a way to integrate augmented reality into an airline app.

Airlines might take some cues from a new app released by Denmark's Copenhagen Airport this year, which became the world's first application to use augmented reality indoors successfully -- according to SITA, the app's developer. The app allows travelers at the airport to access not just gate information but also details on surrounding shops and services, saving them time while trying to catch a flight.

Even when it comes to selling fares through mobile clients, a service that 85% of airlines in the Airline IT Trends Survey either offer or plan to offer by 2014, there is room for improvement. Currently, airline apps only offer tickets with their specific carrier, and mobile customers can't take advantage of the flexibility offered by airline alliances.

"Airline alliances, the Star Alliance in particular, haven't really kept pace with mobile developments," said Dennis Schaal, the North America editor of the travel tech site Tnooz.com. "Granted, creating a mobile app that brings in dozens of airlines would be no easy task, but there should be some kind of booking capability at this juncture."

The Star Alliance has two mobile apps available for download: one that offers airport information in addition to the ability to search and track flights, and another that is a fare finder for flights on the alliance's airlines. The Star Alliance includes airlines such as United, Continental, Air Canada and US Airways -- which does not currently offer a mobile app.

But those airlines that fail to take the full leap into the mobile world will quickly find themselves in the minority. Apps might not replace websites as the primary place where people purchase airline reservations, especially with new airline initiatives to integrate ticket-purchasing apps into social-media sites such as Facebook.

However, they're beginning to offer a level of customer service and convenience that has never before been possible in the industry, and perhaps could even transform the experience of traveling enough to create a new barometer on which airline brands will be judged in the future.

@highlight

Airlines are increasing their investment in mobile capabilities

@highlight

Ancillary services are likely to be incorporated into the mobile menu

@highlight

Delta's app provides the ability to adjust travel plans from mobile devices