Even if the Senate backs President Barack Obama's call for military action against Syria, a wall of outright opposition or skepticism from Democrats and Republicans in the House makes approval there very difficult.

House Speaker John Boehner, who backs Obama on the issue, welcomed news on Friday that the president would deliver a national address on Tuesday to try to sway public opinion, which now opposes such a step.

But Boehner's spokesman signaled that the votes aren't in the House for passing a resolution authorizing force against Syria and the GOP is placing the burden squarely on Obama's shoulders.

"Only a president can convince the public that military action is required. We only hope this isn't coming too late to make the difference," Boehner spokesman Brendan Buck said in a statement.

Still, senior House Republican aides find it difficult to see a path for passage.

Boehner's top deputy, House Majority Leader Eric Cantor, also supports the president and is talking to members and urging them to review classified materials that administration officials say bolsters their case for military action.

Cantor penned an editorial in his hometown Richmond paper explaining why he believes military action is needed.

"America has a compelling national security interest to prevent and respond to the use of weapons of mass destruction, especially by a terrorist state, and to prevent further instability in a region of vital interest to the United States," he said.

'Constructive' talks but little headway on crisis

But rank and file House GOP members have frequently ignored their leaders and the vote in favor of action is stalled in the single digits, including the support expressed by senior leadership, a CNN tally showed.

One senior GOP House aide said prospects for meaningful additional Republican support is "bad" and "momentum is with the 'nay' vote."

Congress is ending its summer recess and members formally get back to work next week.

In a memo to House Republicans outlining the fall schedule, Cantor suggested the timetable for the vote, which Boehner initially planned for next week, could slip a week.

"Members should expect a robust debate and vote on an authorization of use of military force pertaining to Syria in the next two weeks" Cantor wrote.

But House GOP leaders are leaving open the possibility the House will not bring up the resolution if it fails in the Senate.

Senate Majority Leader Harry Reid predicted on Friday that the necessary votes were in the Democratic-led chamber to pass a resolution calling for limited force.

The House plans to wait to see if something passes the Senate  before making final decisions on the language or timing of any House vote, according to multiple Republican sources.

One undecided GOP member, Rep Richard Hudson, a North Carolina Republican, returned for a briefing on Friday. He told CNN that he came back to hear details about the military objectives directly from the administration instead of through the media.

Obama to address American people on Tuesday

Although his constituents are "very opposed" to military action, Hudson said he would base his vote on what he thought was best for the country and "let the politics sort itself out later."

The lack of GOP support places enormous pressure on House Democratic Leader Nancy Pelosi, who was one of the chief critics of the Iraq war, and Democratic Whip Steny Hoyer.

The two will need to persuade well over a majority of the 200 House Democrats to stand behind Obama, also a Democrat.

Top House Democratic aides counter that it's too soon to predict defeat because most Democrats are reserving judgment until they hear details in a classified briefing on Monday evening.

The administration is dispatching top officials to make a final push before Obama's speech.

Secretary of State John Kerry; Secretary of Defense Chuck Hagel, National Security Adviser Susan Rice, Director of National Intelligence James Clapper, and Joint Chiefs Chairman Martin Dempsey will conduct the joint House-Senate session in the Capitol.

"We're not going to know until our members get back into town.  A lot of people haven't had access to the briefings or the classified documents," one of Democratic aide noted.

But for many House members who already have attended classified meetings on Syria this week, the sessions seem to raise more questions.

Syria's rebels: 20 things you need to know

Hawaii Democratic Rep Tulsi Gabbard, a former Iraq war veteran, told reporters she was undecided and then ticked off remaining questions she had after a two-hour session with top administration officials.

"What are the unintended consequences? What are the outcomes? What are the next moves that could potentially occur that would involve U.S. interests, U.S military, costs - both in human lives, as well as in resources?" Gabbard asked.

A senior administration official told CNN that top officials reached out to more than 125 House members through a variety of conference calls and one-on-one conversations over the past two weeks.

But the "flood the zone" White House approach hasn't prevented a steady list of members from voicing outright opposition or criticism that the case for military action is thin.

The fact that so many members in his own party remain undecided or publicly opposed illustrates that Obama's political capital in Congress is quite low.

California Democratic Rep. Judy Chu participated in a conference call with White House chief of staff Denis McDonough on Wednesday and remains undecided.

While she said there's no question that the al-Assad government used chemical weapons she outlined a laundry list of outstanding questions.

She wants details about contingency plans if Syria retaliates, the lack of international support, reasons why diplomatic efforts can't be explored, and the direct cost to taxpayers.

Chu says her constituents "overwhelmingly ... want me to vote 'no' on this."

She described House Democrats as "war weary. We just came from Iraq and Afghanistan wars.  We are war skeptical," Chu said.

Rep Elijah Cummings, a Maryland Democrat who remained undecided, highlighted the stakes for Obama to change minds or persuade Democrats to back him on Syria.

He called it "certainly one of the most important speeches in his career as the president of the United States."

@highlight

Opposition or skepticism dominates House sentiment on proposed Syria strike

@highlight

House returns Monday, but Majority Leader Eric Cantor says any vote could slip into following week

@highlight

Senate poised to take up measure already passed by committee authorizing limited strike

@highlight

House members await classified briefings on allegations of Syria chemical weapons use