(CNN) -- Just moments after Mitt Romney triumphantly introduced Congressman Paul Ryan to American voters on the deck of the battleship USS Wisconsin, I happened to witness a heart-wrenching event on the tarmac of an airport hundreds of miles away: The casket of a fallen service member was returning home to his family in Florida.

As I stood silently with a group of passengers watching a small honor guard march to attention, the hearse backing up to the conveyor belt, and the grieving family members holding each other up, I was reminded again that a nation's foreign policy has direct impact on all our lives.

If a new president comes to the White House -- if Romney and Ryan win -- will America find itself once again at war? How will the election reshape our policies toward the rest of the world?

The selection of Ryan as Romney's running mate has heated the spotlight on the economy, on the huge and growing national debt, and on the large number of Americans who, years after the start of recession, remain unemployed. Sensing Obama's vulnerability, Romney and Ryan would like to keep the focus there. But international conflicts have a way of intruding on the best agendas of American statesmen and political strategists.

President George W. Bush did not expect 9/11 (crazy conspiracy theories aside), just as Obama had no idea that the Arab uprisings would transform a key region of the world and test his skill in a series of conflicts, some of which confronted America's values against its alliances.

We do know that whoever sits in the Oval Office will face tough decisions on Iran and Syria, two problematic countries that are likely to demand attention at or near the top of the foreign policy rundown. And, we know that when the next presidential term starts, as many as 68,000 U.S. service members may remain in Afghanistan.

A look at how Romney and Ryan would respond to the challenges facing America is as revealing as it is stunning. The Republican duo differs dramatically from Obama and Vice President Joe Biden when it comes to economic policy, but on foreign affairs it's hard to find a truly sharp disagreement on fundamental issues, despite dissimilarities in tone.

When it comes to cheering America's greatness, Obama was at first reluctant. "I believe in American exceptionalism," he famously said, "just as I suspect that the Brits believe in British exceptionalism and the Greeks believe in Greek exceptionalism." He added that he is "enormously proud" of America, but the qualified statement opened a new flank. That was in 2009.

Obama has since learned his lesson about being shy in praising America. And so did Romney, who tried to draw a distinction with the president by launching his campaign with a book unsubtly titled, "No Apology: The Case for American Greatness."

In a speech last year, Ryan waxed idealistic about America, talking about the need for "energetic" American leadership, about the "fundamental desire for liberty" in all human beings and the need to promote our "moral principles." But he quickly pulled the soaring idealism back to earth, saying policy should be "tempered by a healthy humility about the extent of our power." In other words, do not compromise our values unless we have to. And, by the way, we have to.

American exceptionalism: 2012 winner must unite America on ideals

Ryan, who has no foreign policy experience and has spoken little of it, outlined the dilemma facing the U.S. when he spoke about the Arab uprisings. "We are seeing long-repressed populations giving voice to a fundamental desire for liberty," he said approvingly, but then he worried about the possibility that the end of one dictatorship would open the way for another.

Regarding Afghanistan, the war in which Americans are serving and dying, Romney and Obama have, incredibly, largely avoided the topic. Despite vague criticisms, Romney is on record supporting Obama's plan to remove American forces.

Romney once, a little bafflingly, declared that Russia is America's main foe. In reality, whoever wins the election will need Russia's cooperation on the global stage to counter vital and urgent problems.

On Iran, arguably the most important foreign policy question and conceivably a new war front for America, both Romney and Obama have stated that Iran must not be allowed to develop nuclear weapons. Both have said "all options" remain on the table to prevent that from happening, including a military strike.

And despite criticism of Obama's approach to Israel, Romney agrees with Obama that Israel is a key ally whose security is one of the non-negotiable aspects of U.S. foreign policy.

Romney and Ryan may ultimately speak more forcefully in public settings about the Middle East -- and that is easier to do when you don't yet hold power -- but the fact is that Obama has earned high praise from many Israeli hawks. And if you look closely at Romney's proposals for Iran, what he calls for is more economic sanctions.

When Romney took his recent overseas trip, his objective was to highlight differences with Obama. He drew criticism when he called Jerusalem Israel's capital, but that's exactly what Obama said when he was running for office. Obama went even further, saying "Jerusalem will remain the capital of Israel and it must remain undivided."

To be sure, rhetoric and images matter a lot. Obama's effort to win over Muslims, which has largely failed, created the impression that the alliance between Israel and the United States is not as strong as it once was. That image has real world repercussions. And the chill that surrounds meetings between Obama and Israeli Prime Minister Benjamin Netanyahu is real. But the relationship is based on much more than ties of friendship between leaders.

The two campaigns have differences in some areas, particularly regarding the future Pentagon budget, which Obama would cut by $500 billion in 10 years. Romney would spend more to expand the Navy, part of a strategy that looks at China as an upcoming rival. That China "pivot," by the way, is shared with the Obama administration.

But overall, America's foreign policy choices, based on national interest, national values, strategic considerations and popular opinion, will not significantly change regardless of whether Obama or Romney wins the presidential election.

Romney and Ryan, if they win, are likely to up American involvement in the Syrian conflict, and they may well preside over an American conflict with Iran. But Obama may do just the same.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Presidents face unexpected challenges when it comes to international affairs

@highlight

Ghitis: It's hard to find a sharp difference between Romney and Obama in foreign policy

@highlight

She says Obama and Romney disagree about the future Pentagon budget

@highlight

Ghitis: Obama or Romney will likely preside over conflict with Iran and involvement with Syria