San Diego (CNN) -- Some elections are fueled by passion. Others are guided by a sense of urgency. This one seems to be driven by ambivalence.

That is where we're at as we near Tuesday's Iowa caucuses, the kickoff to the voting portion of the 2012 election. According to the polls in the Hawkeye State, Ron Paul and Mitt Romney are virtually tied for the lead, each with no more than a quarter of the vote.

A new CNN/Time/ORC poll finds that Romney has 25% and Paul has 22%, with Rick Santorum, Newt Gingrich and Rick Perry each in the teens.

GOP officials would like to convince Americans that they have an embarrassment of riches on their hands, but many of us can see that they're only half right. It's just an embarrassment.

A big part of the Republicans' problem is having a "front-runner" who can't seem to get out in front. Many voters feel as if the choice has already been made for them, and they're not having any of it.

On a recent trip to Washington, I was reminded again that the inside-the-Beltway media and the Republican establishment have ordained Romney the party's presidential nominee and all but declared that the voting is just a formality.

Yet, someone forgot to tell the voters, who elevate one candidate after another from the "anybody but Romney" pile while keeping the former Massachusetts governor trapped under a 25% ceiling in the polls. As recently noted by The Wall Street Journal, a recent Gallup poll of Republicans put support for Romney at 24%, and last month, his level of support floated between 22% and 25%.

It's hard to see how Romney could cobble together a string of second-place finishes, with a possible win in New Hampshire, and wind up as a credible contender for the general election. And even if he does somehow wind up being the nominee, it's even harder to imagine that the more than three-fourths of Republicans who were thoroughly uninspired by him just a few months earlier would suddenly get excited enough to turn out and vote.

In fact, even in this late hour, Republican thought leaders such as William Kristol, publisher of the Weekly Standard, are still suggesting that another Republican candidate could enter the race. That is not likely to happen, but the fact that some people would like it to tells us a lot about a level of dissatisfaction with the current crop of GOP prospects.

The grass isn't any greener for Democrats. While they have the advantage of knowing who their nominee will be, they also have to contend with the same difficult task that the Republicans face: energizing the base to support the candidate.

Many of those who voted for Barack Obama in 2008 don't seem all that eager to give him an encore. He lost much of his support from independents early on, but he also has an enthusiasm gap developing with liberals who think the president lacks courage and caves in to Republicans too easily.

According to a new poll by the Salt Lake Tribune, while most Democrats want to re-elect Obama, one in five of them aren't so sure. Just 37% of those surveyed -- Republicans, Democrats and independents --- are certain they want to give Obama another term. And, despite all the campaigning up to this point, nearly 20% of voters are still undecided about whom to support.

To be re-elected, Obama needs to recapture the support of two groups of voters: young people and Latinos. Unfortunately for Democrats, he's not doing a good job of inspiring either.

Both groups still support Obama, and they certainly prefer him to every possible Republican alternative. The problem is the same kind of enthusiasm gap that Romney is facing with Republican voters. While 18-to-29 year-old Americans remain solidly in the Democratic camp, only 49% of them approve of Obama's job performance, according to a survey by the Pew Research Center. That's a 23 point drop since February 2009.

Something similar is happening with Latino voters, many of whom are deeply disillusioned -- even wounded -- by Obama's broken promise to fix the immigration system combined with his heavy-handed deportation policies that have resulted in the removal of more than 1.2 million people in less than three years.

According to a new Ipsos-Telemundo poll, the president's support among Latinos continues to plummet. In April 2009, 86% of Latinos approved of Obama's job performance. Today, it's only about 56%. According to an analysis done by Ipsos, that drop suggests that, "the disillusion among Latinos is more pronounced than among the general public."

Add all this up, and this could be an election with one of the lowest turnouts in history -- for Republicans and Democrats. Voters are sending a message that both parties need to heed: "Don't just tell me I need to vote for your candidate. Give me something worth voting for."

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette: We're about to see the start of the voting for Election 2012

@highlight

He says voters in both parties are ambivalent about the choices

@highlight

GOP can't seem to crown a front-runner; liberals lukewarm on Obama, he says

@highlight

Navarrette: Many people may choose not to vote, unless candidates rise to the occasion