Tripoli, Libya (CNN) -- Documents showing that China offered to sell arms to Moammar Gadhafi in the waning days of his rule are "the real deal," a senior member of Libya's transitional government said Monday.

The comment follows a report by Canada's The Globe and Mail newspaper saying that state-controlled Chinese arms manufacturers were prepared to sell at least $200 million worth of weapons to Gadhafi, which would have violated U.N. resolutions banning such transactions.

The Globe and Mail said one of its reporters found the documents, in Arabic, in a pile of trash in Tripoli's Bab Akkarah neighborhood, an enclave that was home to some of Gadhafi's most loyal supporters.

The documents, which were posted Sunday on the website of the Toronto-based newspaper, do not confirm whether any military assistance was delivered to Libya. However, Libya's National Transitional Council said it appears deliveries might have been made.

"We found several documents that showed us orders, very large orders, of arms and ammunition specifically from China, and now we do know that some of the things that were on the list are here on the ground, and they came in over the last two to six months," said Abdulrahman Busin, NTC spokesman.

He said it is unclear whether the exact list on the document was delivered, "but there were many things on that list that are here, and these are brand-new equipment, brand-new weapons, brand-new boxes of ammunition that haven't been opened yet, that were clearly delivered only in the last few months.

"Don't forget that we have many of the generals and high commanders who defected some time ago who know Gadhafi's regime very, very well, know what he has and doesn't have, and we know 100% that there was a lot of weapons and arms that were delivered to Gadhafi over the last few months -- during the war and during the sanctions," Busin said.

And Mohamed Sayeh, a member of the NTC, said Libya's new leaders have seen the documents.

"This deal is a real deal and we have seen the official documents," he said. "It was signed by Chinese officials, and it was to send guns and artillery to Libya through Algiers to expedite the deal."

China says it followed U.N. Security Council resolutions that banned the export of arms to Gadhafi's government.

"The Gadhafi regime sent people to China to engage in contact with certain individuals of relevant Chinese companies in July without the knowledge of the Chinese government departments," Jiang Yu, a spokeswoman for China's Ministry of Foreign Affairs, told CNN.

"Chinese companies have not signed any military trade contracts with Libya -- let alone provided military exports to Libya."

The report comes after fighters from the NTC overran Tripoli and ousted Gadhafi, whose whereabouts remained unknown. In a phone interview with the Syrian-based al-Rai television network, a man identified as Gadhafi spokesman Musa Ibrahim declared the fugitive Libyan strongman "remains patient" and planning a counterattack against the rebel movement that drove him from power.

"I tell the Libyan people not to surrender to the gangs and that the end is near," Ibrahim said late Monday.

Transitional government troops are perched on the outskirts of one of Gadhafi's last bastions of support, with Libya's new leaders giving Gadhafi loyalists in Sirte, Bani Walid and a handful of other towns until Saturday to surrender or face attack. But Ibrahim said there was "ongoing resistance" in areas that Gadhafi has lost, and that Gadhafi "is inside of Libya fighting."

"The Libyan forces are still present," he said. "We will protect the liberated cities and will get back the cities that were robbed from us, in a legal way and at the right time."

Meanwhile, the NTC says it is moving its headquarters from Benghazi to Tripoli this week to begin implementing its plans for a new future for Libya. And the British government announced Monday that it had re-established its diplomatic mission in Tripoli, led by an acting special representative, Dominic Asquith.

"The arrival of this team marks another significant step in the UK's relations with the new Libya, and reflects the progress the NTC has made in improving security and stability on the ground," Foreign Secretary William Hague said in a statement announcing the move.

The documents NTC officials were examining Monday detailed a trip by Gadhafi's security officials to Beijing on July 16 during which they met with four state-controlled weapons manufacturers, the newspaper reported.

"The companies suggest that they make the contracts with either Algeria or South Africa, because those countries previously worked with China," the documents say.

According to the newspaper, the documents show the Chinese companies noted that many of the items wanted by Gadhafi were in Algeria and could quickly be moved across the Libyan border.

The Chinese said they would replace the Algerian arms sent to Libya, the document said.

Busin said Mustafa Abdul Jalil, NTC chairman, has "made it very, very clear that anybody who has helped and supported and stood by Gadhafi over the months would not be greeted well."

China abstained from voting on a Security Council resolution in March that authorized the protection of Libyan civilians by any means necessary, with the exception of a ground invasion. China, however, did approve a Security Council resolution that banned military assistance, including the sale of weapons, to Gadhafi's government.

China, Algeria and South Africa have opposed the NATO bombing campaign in Libya, and the three countries were slow to recognize the authority of the National Transitional Council as Libya's legitimate authority.

Sayeh said the NTC was amazed that the deal was discussed at a time when Gadhafi's forces were killing "thousands and thousands of Libyans, and it was done by two U.N. members" who signed the arms embargo.

"We will not forget but we will forgive, and we will start all over again," Sayeh told CNN.

Gadhafi's wife, two sons and other relatives fled to Algeria recently, deepening mistrust between the NTC and Libya's neighbor. Algeria said it acted on humanitarian grounds, but it angered the NTC.

The transitional council has accused Algeria of supporting the Gadhafi regime. Algerians also complained to the United Nations about damage done to their embassy soon after NTC fighters entered Tripoli.

Algeria will in the future recognize the NTC as the government in Libya, Algerian Foreign Minister Mourad Medelci told French radio network Europe 1 last week.

"The NTC has said it is going to set up a government representative of all regions, and when it has done that, we'll recognize it," Medelci said.

Meanwhile, the Ukrainian Foreign Ministry on Monday said 23 Ukrainian citizens working at Libyan oil industry facilities were arrested.

No official charges have been filed, the ministry said in a statement, adding that because of the fighting in the Libyan capital, the NTC is looking at all foreigners in Tripoli with suspicion.

The Ukrainian Embassy in Tripoli and the ministry are rendering proper consular assistance to those arrested, the ministry said. As a result, one person was released on Sunday and the others are undergoing security checks, according to the statement.

"Embassy officials are regularly visiting our citizens, examining their conditions and pursuing active steps for their liberation and further return home," the ministry said.

Ukrainian news agencies on Monday quoted Foreign Ministry spokesman Oleg Voloshin as telling reporters that those detained have food and water and there is no threat to their lives.

CNN's Eunice Yoon, Haolan Hong, Maxim Tkachenko and Ingrid Formanek contributed to this report.

@highlight

NEW: Gadhafi spokesman urges Libyans "not to surrender to the gangs"

@highlight

NEW: Britain reopens mission in Tripoli

@highlight

Documents suggest Gadhafi sought weapons from China

@highlight

China says its companies did not sell arms to Libya