(CNN) -- Sooner or later, James Richter knows the rabbit-ear antennas on his old-fashioned television will listen for a signal and hear nothing.

Old TV sets at a California recycling center last month. Many analog TV owners aren't ready to switch to digital.

The 36-year-old from Atlanta, Georgia, said he tried to convert his analog TV to digital but was turned down for a government coupon. He doesn't seem to mind.

"With the economy, I don't have enough cash to do cable, so I'm just really debating whether or not I really want to make that switch to digital," Richter said.

Richter will have four months longer to make up his mind after Congress voted Wednesday to delay the end of TV's rabbit-ears era.

On June 12, analog TV signals will end and only digital signals will remain. Old televisions like Richter's won't accept the new form of broadcast.

People with cable TV or satellite service will not be affected.

The switch had been scheduled for February 17, but Congress delayed the conversion -- which had been planned for years -- to accommodate people like Richter who had not been able to update their TVs.

The National Telecommunications and Information Administration offered a program to help people buy converter boxes that make old TVs work in the new era. That giveaway didn't meet demand, though, and as of late January, more than 3.2 million people were on the program's waiting list.

More than 6.5 million U.S. households, or 5.7 percent, were not ready for the crossover last month, according to an estimate from the Nielsen Company.

There's been little made of the people behind those numbers, though, as media reports largely have focused on the mechanics of the switch and the politics of when and how it will happen. Many of those who haven't bought converters are poor, older than 55, rural residents or racial minorities, according to Nielsen's estimates. Some of them told CNN they couldn't afford to pay for cable or satellite TV service.

While a person can live without TV, some of the late converts to digital depend on television for information and companionship.

"I live here by myself, so it will be a big deal for me," said Monica Lawson, a 42-year-old from rural Alto, Georgia. "Even just a couple hours a day of having that extra interaction, it's a stress reliever for me."

Lawson said she got a coupon to buy the digital converter box for her analog television as soon as they became available. She's attached the box to her TV, but her signal got worse.

"Basically I'm downgrading at this point," she said. "I'll go from having four or five channels I can watch on a regular basis to having one channel I can watch every now and then -- if at all."

Lawson, who is a real-estate appraiser and practices kinesiology, said she can't afford satellite service because her business has dropped with the economy.

She falls into a category of people who may lose their TV coverage with the switch to digital. It's likely the result of a phenomenon called the "cliff effect." While analog signals fizzle out over long distances, digital signals tend to stop completely at a certain falling-off point.

"With digital, you get a great picture or nothing," said Mark Wigfield, spokesperson for the Federal Communications Commission.

Some remote areas of the country could lose reception when analog signals stop in June, said Shermaze Ingram, spokesperson for the National Association of Broadcasters, an advocacy group that has been trying to inform people about the switch since 2006.

On the whole, studies show more people will get TV signals than will lose them in the switch to digital, Ingram said. The National Association of Broadcasters supports delaying the change until June in part because it will cause fewer people to go without TV after the change.

"There's no question that television is an important piece of the fabric of American life," Ingram said.

Congress elected to delay the digital switch in part because lawmakers don't want people to go without TV.

George Touchine, a 64-year-old from Gallup, New Mexico, said he has not gotten a converter coupon yet and cannot find the device in local stores. He said he will check back often, though, and hopes to be able to switch to digital in the coming days.

Like Touchine, more than 12 percent of New Mexico households in the Santa Fe and Albuquerque TV market are not ready for the switch, making the area the least prepared in the nation, according to Nielsen.

Being left out of the switch would be a big deal for Touchine. He is retired and says he spends a substantial part of his evening watching TV with his wife.

"I just watch the news all the time, that's all I want," he said. "I get the weather, the news, what's going on -- all of it -- I want to know it."

The annoyance of having to convert to digital may push Richter, the man in Atlanta, away from television entirely. iReport.com: 'You snooze, you lose'

Richter said he left a bad job as a local truck driver four years ago and hasn't been able to find steady work since. He's given up luxuries like cable TV, an Internet connection and movie rentals to make ends meet.

He said he applied for the free converter about a month ago but was turned down at least temporarily because all of the coupons had been given out.

He doesn't buy the idea that he needs a television to alert him about emergencies or severe weather.

"I do have a radio and I also have a cell phone. If something's really, really bad, someone can call me," he said. "And I figure if there's a nuclear war, it will be everywhere. Someone will let me know."

If Richter eventually gets a free converter box, he'll consider joining the digital TV world. But if not, he said won't be angry at the government for the delays.

He thinks he might be better off without all that extra noise.

@highlight

Congress delays nationwide switch to digital TV until June 12

@highlight

Some of those who haven't switched say they can't afford to pay for cable TV

@highlight

For some, TV is a companion and a source of comfort

@highlight

For others, television is an annoyance. One Atlantan may not switch to digital