(CNN) -- The days of memorizing arcane, recondite vocabulary words might be ending for high school students who will take a redesigned SAT in two years.

An emphasis on "relevant," commonly used words is one of many changes the College Board unveiled Wednesday in an attempt to make the 88-year-old exam "more open and clear than any in our history."

With fewer questions overall, the new test aims to assess students' analytical skills and better help them prepare for college.

"Recent SAT results tell a troubling story about students' readiness for and likelihood for success in their postsecondary endeavors," the College Board said. "Far too few students are ready to succeed in the kinds of education and training that they will need to participate effectively in an increasingly competitive economy."

The College Board released 211 pages of detailed test specifications, including sample questions to show how the test is changing. Here's a look at some examples across all sections:

The new test will have fewer questions overall that are scored differently:

Multiple-choice questions will contain four answers instead of five. Instead of a point for each correct answer and a deduction for an incorrect answer, the new test will use "rights-only scoring," which means a point for a correct answer, but no deduction for wrong answers. Blank responses will have no impact on scores.

In a return to previous versions, the test will be scored on a scale from 400 to 1600 instead of the current scale of 600 to 2400.

With 153 questions -- 52 in reading, 44 in writing and language and 57 in math -- the new test will have fewer questions than the current version's 171 questions. But, there will be no more mandatory essay, leading to the next big change.

The written essay will be optional and scored separately from reading, writing and math:

It's optional in the sense that individual postsecondary institutions will determine whether they will require it for admission. Those who take it will have twice as much time -- 50 minutes -- to complete it. Instead of asking students to take a position on a presented issue, the new version aims to evaluate reading, writing and analytical skills by asking students to produce a written analysis of a provided source text.

For example, the College Board documents provide a passage and asked students to write an essay explaining how the author "builds an argument to persuade his audience" by looking for "evidence, such as facts or examples, to support claims," or stylistic elements, "such as word choice" to add power to the ideas expressed in the passage.

No more $5 words! "Relevant words" are in:

Instead of requiring students to memorize words they might never use in real life, questions in the new test will focus on understanding the meaning of "relevant" or commonly used words from the context in which they appear, and "how word choice shapes meaning, tone, and impact."

Here's an example:

"The coming decades will likely see more intense clustering of jobs, innovation, and productivity in a smaller number of bigger cities and city-regions. Some regions could end up bloated beyond the capacity of their infrastructure, while others struggle, their promise stymied by inadequate human or other resources."

As used in line 55, "intense" most nearly means

A) emotional

B) concentrated

C) brilliant

D) determined

The test will "focus on math that matters most -- algebra:

What matters most, according to the College Board, is algebra, data analysis and what it calls "passport to advanced math," which includes quadratic and higher-order equations, geometry and trigonometry.

Students will have 80 minutes -- 10 minutes longer than the current version -- to answer 57 math questions. Most will be multiple-choice but some will require students to provide answers. And, unlike the current version, students will be required to put away their calculators for 25 minutes.

Students will have to analyze texts based on the strength of the writer's arguments

Students will be asked to demonstrate their ability to interpret and synthesize the underlying ideas of a variety of sources, from informational graphics and political speeches to fiction novels and scholarly texts.

One sample question asks students to read a political speech and determine which lines support the overall argument.

@highlight

Emphasis on "relevant," commonly used words is one of many changes in new SAT

@highlight

College Board releases 211 pages of test specifications and sample questions Wednesday

@highlight

The changes won't take place for another two years