San Diego, California (CNN) -- Another player has entered the immigration battle as the Justice Department sues Arizona over its new immigration law. And the reason the fight is centered in Arizona is that reform has failed in Washington.

Like the characters in "Hot Tub Time Machine," reformers are stuck in 1986. That's when Congress passed, and President Reagan signed into law, the Immigration Reform and Control Act, which married border control and the legalization of millions of illegal immigrants.

Reformers today are misguided to seek a similar "grand bargain" on immigration. History shows 1986 was an anomaly, and the desire to get everything for a controversial group typically gets nothing. But there's hope: A few in the movement have begun to see that getting meaningful action will require small steps and "mini-bargains."

How did we get here? The Immigration Reform and Control Act, the bill resulting from the 1986 grand bargain, proved to be a spectacular failure. Although it legalized 3 million people, the border and enforcement provisions were toothless. By 2009, the  Department of Homeland Security said there were 10.8 million illegal immigrants  in the United States  -- nearly matching the population of Ohio.

Reformers today still try to link legalization of the vast majority of resident illegals with stronger enforcement mechanisms -- just as they did in 1986. But the 1986 grand bargain taught today's immigration restrictionists a simple lesson: Don't make any more grand bargains. Many in Congress will not support mass legalization unless the enforcement mechanisms are proven to work. That could take years.

Nearly all Republicans and many Democrats will vote against legalization because their most vocal constituents oppose benefits to those they see as morally unworthy. Illegals, they say, violated the law and American sovereignty, put American security at risk and then took American jobs.

The way forward out of the stalemate should start the way all policy starts that benefits unpopular groups: Target the most deserving. Modern civil rights policy started small in a 1941 Roosevelt executive order: No discrimination against African-Americans working in defense industries. Big changes start with small steps.

Similarly, immigration reformers must start with the strongest claims to legalization: students and soldiers. Hundreds of thousands of kids are undocumented because their parents brought them here. The best students in cities such as Los Angeles, California -- high achieving, polite and outgoing, and as accent-free as any suburban kid -- often turn out to be illegal immigrants. They didn't choose to break any law, but their legal status leaves them with no opportunities. Thousands more young people are willing to fight with the United States military, but cannot.

Sens. Dick Durbin, D-Illinois, and Richard Lugar, R-Indiana, introduced the "DREAM" act in 2009 to offer legal status to these young people who were brought here as children and finished college or two years of military service. Starting reform with DREAM would target the most deserving of the undocumented.

Supporters of comprehensive reform and legalization worry that the DREAM act will take away the impetus for further reform and benefit only a fraction of the illegal immigrants in the United States.

Yet the current strategy has benefited no one. Although it is true that the DREAM act will initially help only a few hundred-thousand, pro-Latino reformers should not forget the lesson of minority rights since the 1940s: Rights expand over time, covering more groups and more issues. After the students and veterans gain legalization, the next step would be their families. Family unification may be another sympathetic cause and political winner.

Restrictionists point out that these students and soldiers will always be lawbreakers and should remain excluded. But they need to be reminded that 2006's enforcement-only bill not only failed, but also provoked a firestorm of protest that makes the current demonstrations regarding Arizona's new immigration law look like picnics. Border control and enforcement, like legalization, needs to move forward incrementally and be paired with a scaled-down sweetener: DREAM.

Here, then, is the mini-bargain. Supporting the DREAM act is good politics for Republican restrictionists, who need to avoid appearing mean-spirited (which turns off independents) and anti-Latino for their electoral future. Legalization forces can get DREAM, but they must also support increased border enforcement.

It is time to try something new. The pursuit of a 1986-style grand bargain is blocking the path of potential patriotic soldiers and is failing good kids -- as well as America's future.

The opinions expressed in this commentary are solely those of John D. Skrentny.

@highlight

John Skrentny: Immigration reformers must scale back; they can't get everything at once

@highlight

1986 act tying legalization and border control failed; won't work today, he writes

@highlight

Skrentny says start with the strongest claims to legalization: students and soldiers

@highlight

Author supports bipartisan DREAM act, which offers "mini-bargains" for legalization