(CNN) -- Most of us have become so used to suppressing noise that we don't think much about what we're hearing, or about how we listen. Yet our well-being is now being seriously damaged by modern sound. Here are 10 things about sound and health that you may not know:

1.) You are a chord. This is obvious from physics, though it's admittedly somewhat metaphorical to call the combined rhythms and vibrations within a human being a chord, which we usually understand to be an aesthetically pleasant audible collection of tones. But "the fundamental characteristic of nature is periodic functioning in frequency, or musical pitch," according to C.T. Eagle. Matter is vibrating energy; therefore, we are a collection of vibrations of many kinds, which can be considered a chord.

2.) One definition of health may be that that chord is in complete harmony. The World Health Organization defines health as "a state of complete physical, mental, and social well-being and not merely the absence of disease or infirmity" which opens at least three dimensions to the concept. On a philosophical level, Plato, Socrates, Pythagoras and Confucius all wrote at length about the relationship between harmony, music and health (both social and physical). Here's Socrates: "Rhythm and harmony find their way into the inward places of the soul, on which they mightily fasten, imparting grace, and making the soul of him who is rightly educated graceful, or of him who is ill-educated ungraceful."

Watch an interview with Julian Treasure

3.) We see one octave; we hear ten. An octave is a doubling in frequency. The visual spectrum in frequency terms is 400-790 THz, so it's just under one octave. Humans with great hearing can hear from 20 Hz to 20 KHz, which is ten octaves.

4.) We adopt listening positions. Listening positions are a useful set of perspectives that can help people to be more conscious and effective in communication -- because expert listening can be just as powerful as speaking. For example, men typically adopt a reductive listening position, listening for something, often a point or solution.

Women, by contrast, typically adopt an expansive listening position, enjoying the journey, going with the flow. When unconscious, this mismatch causes a lot of arguments.

Other listening positions include judgmental (or critical), active (or reflective), passive (or meditative) and so on. Some are well known and widely used; for example, active listening is trained into many therapists, counselors and educators.

5.) Noise harms and even kills. There is now wealth of evidence about the harmful effect of noise, and yet most people still consider noise a local matter, not the major global issue it has become.

According to a 1999 U.S. Census report, Americans named noise as the number one problem in neighborhoods. Of the households surveyed, 11.3 percent stated that street or traffic noise was bothersome, and 4.4 percent said it was so bad that they wanted to move. More Americans are bothered by noise than by crime, odors and other problems listed under "other bothersome conditions."

TED.com: Music is medicine, music is sanity

The European Union says: "Around 20% of the Union's population or close on 80 million people suffer from noise levels that scientists and health experts consider to be unacceptable, where most people become annoyed, where sleep is disturbed and where adverse health effects are to be feared. An additional 170 million citizens are living in so-called 'grey areas' where the noise levels are such to cause serious annoyance during the daytime."

The World Health Organization says: "Traffic noise alone is harming the health of almost every third person in the WHO European Region. One in five Europeans is regularly exposed to sound levels at night that could significantly damage health."

The WHO is also the source for the startling statistic about noise killing 200,000 people a year. Its findings (LARES report) estimate that 3 percent of deaths from ischemic heart disease result from long-term exposure to noise. With 7 million deaths a year globally, that means 210,000 people are dying of noise every year.

TED.com: Jose Abreu on kids transformed by music

The cost of noise to society is astronomical. The EU again: "Present economic estimates of the annual damage in the EU due to environmental noise range from EUR 13 billion to 38 billion. Elements that contribute are a reduction of housing prices, medical costs, reduced possibilities of land use and cost of lost labour days." (Future Noise Policy European Commission Green Paper 1996).

Then there is the effect of noise on social behavior. The U.S. report "Noise and its effects" (Administrative Conference of the United States, Alice Suter, 1991) says: "Even moderate noise levels can increase anxiety, decrease the incidence of helping behavior, and increase the risk of hostile behavior in experimental subjects. These effects may, to some extent, help explain the "dehumanization" of today's urban environment."

Perhaps Confucius and Socrates have a point.

6.) Schizophonia is unhealthy. "Schizophonia" describes a state where what you hear and what you see are unrelated. The word was coined by the great Canadian audiologist Murray Schafer and was intended to communicate unhealthiness. Schafer explains: "I coined the term schizophonia intending it to be a nervous word. Related to schizophrenia, I wanted it to convey the same sense of aberration and drama."

My assertion that continual schizophonia is unhealthy is a hypothesis that science could and should test, both at personal and also a social level. You have only to consider the bizarre jollity of train carriages now -- full of lively conversation but none of it with anyone else in the carriage -- to entertain the possibility that this is somehow unnatural. Old-style silence at least had the virtue of being an honest lack of connection with those around us. Now we ignore our neighbors, merrily discussing intimate details of our lives as if the people around us simply don't exist. Surely this is not a positive social phenomenon.

7. Compressed music makes you tired. However clever the technology and the psychoacoustic algorithms applied, there are many issues with data compression of music, as discussed in this excellent article by Robert Harley back in 1991. My assertion that listening to highly compressed music makes people tired and irritable is based on personal and anecdotal experience - again it's one that I hope will be tested by researchers.

8. Headphone abuse is creating deaf kids. Over 19 percent of American 12 to 19 years old exhibited some hearing loss in 2005-2006, an increase of almost 5 percent since 1988-94 (according to a study in the Journal of the American Medical Association by Josef Shargorodsky et al, reported with comments from the researchers here). One university study found that 61 percent of freshmen showed hearing loss (Leeds 2001).

Many audiologists use the rule of thumb that your headphones are too loud if you can't hear someone talking loudly to you. For example, Robert Fifer, an associate professor of audiology and speech pathology at the University of Miami Leonard M. Miller School of Medicine, says: "If you can still hear what people are saying around you, you are at a safe level. If the volume is turned so loudly that you can no longer hear conversation around you, or if someone has to shout at you at a distance of about 2 or 3 feet to get your attention, then you are up in the hazardous noise range."

TED.com: Evelyn Glennie shows how to listen

9. Natural sound and silence are good for you. These assertions seem to be uncontroversial. Perhaps they resonate with everyone's experience or instinct.

10. Sound can heal. Both music therapy and sound therapy can be categorized as "sound healing." Music therapy (the use of music to improve health) is a well-established form of treatment in the context of mainstream medicine for many conditions, including dementia and autism.

Less mainstream, though intellectually no more difficult to accept, is sound therapy: the use of tones or sounds to improve health through entrainment (affecting one oscillator with a stronger one). This is long-established: shamanic and community chant and the use of various resonators like bells and gongs, date back thousands of years and are still in use in many cultures around the world.

Just because something is pre-Enlightenment and not done in hospitals doesn't mean that it's new-age BS. Doubtless there are charlatans offering snake oil (as in many fields), but I suspect there is also much to learn, and just as herbal medicine gave rise to many of the drugs we use today, I suspect there are rich resources and fascinating insights to be gleaned when science starts to unpack the traditions of sound healing.

I hope these thoughts make a contribution to raising awareness of sound and its effects on health. I welcome your reaction, and I will check this forum and respond.

The opinions expressed in this commentary are solely those of Julian Treasure.

@highlight

Julian Treasure: Sounds we hear have an important effect on our lives and health

@highlight

Noise can cause physical harm and sound can heal, he says

@highlight

He says headphone abuse is creating deaf kids

@highlight

More research needed to fully understand how what we hear affects our health, he says