(CNN) -- For once we have good news on the obesity front, and it's in an area where we need it most -- our children.

The recent report from the Centers for Disease Control and Prevention shows a 43% drop in the obesity rate among children of preschool age over the past decade.

Obesity rates drop for 2- to 5-year-olds

I will leave it to others to do the number crunching and parse the details of how this data was collected and analyzed, but I will say as a longtime warrior against obesity and unhealthy living these developments are welcome indeed.

There has been no single effort that has brought about this dramatic decline -- if indeed it is as reported. Yes, the first lady's office and the Let's Move campaign deserve some credit for encouraging young people to become more active. (Full disclosure, as a member of the President's Council on Fitness, Sports and Nutrition, I have worked with the campaign spreading the gospel of what regular activity and good nutrition can do for our youth and families.)

But there are thousands of organizations across the country, whether large advocacy groups or small church clubs, that have pulled out every trick in the bag to get children playing, exercising and spending less time in front of video games and TV programs.

Hundreds of millions of dollars have been invested, from major corporations to professional sporting leagues such as the NFL and its Play 60, to try to get the message across -- and it seems like it's working. But let's not start the happy dance just yet.

Nutrition labels getting a makeover

There is still a tremendously rugged and intimidating mountain in our path. Getting our children to move is just half the battle, but the other half -- nutrition -- is equally important. The state of the country's nutritional offerings at school is nothing less than embarrassing.

Having visited a Chicago public school recently to see what was being served in the cafeteria made me think that most overly groomed Shih Tzus on Park Avenue are eating better than millions of children sitting down to fried, high-calorie, low-nutritious foods that in some ways are barely recognizable with their descriptions on the menus.

When are we going to wake up as a country and realize you can't expect young, fertile minds and growing bodies to perform at maximum capacity when we are pouring high-fructose corn syrup and other toxic chemicals down their mouths? When are more government and school officials going to show the courage of former New York Mayor Michael Bloomberg and make broad, drastic changes in not just food content but food accessibility?

First lady: Childhood obesity is about fitness, not looks

We need not just to teach our children how to make smart choices, but we also need not to tempt them with the ones we already know are bad and harmful. It's a major problem that's going to take major action, not major lip service.

Why should schools even be allowed to serve soda and these sweet teas and other drinks that have more sugar in one serving than what should be consumed for an entire week?

For many of our young, a school meal will be the only and most nutritionally balanced meal they will consume all day, and that meal in most cases is still substandard. It's time for a dramatic, out-of-the-box, take-no-prisoners overhaul.

People who have no financial or political interest in what crosses the lunch table need to be at the real table deciding how to fix this mess that our country has slowly devolved into over the last couple of decades. School boards and vendor contracts and kickbacks and all other means of self-gain have tainted the system for far too long, and now the waistlines and blood sugar levels of our children are showing it.

Kudos to the experts, families, schools and organizations that have been sounding the alarm for a long time and have been trying in their own way to make a difference. Kudos to the news media, which typically get this story right and give it the coverage it deserves.

But before we get too excited and start high-fiving about this recent CDC report, let's take a closer look at the real problems. Let's challenge ourselves to think smarter and more courageously.

Let's do what it takes to ensure this new finding isn't just an odd plot on the graph but a new normal.

Join us on Facebook.com/CNNOpinion.

The opinions expressed in this commentary are solely those of Dr. Ian Smith.

@highlight

Dr. Ian Smith applauds apparent decline in childhood obesity but says more work must be done

@highlight

Smith says he's concerned over the nutritional value of what our nation's schools are serving

@highlight

Smith: Overly groomed Park Avenue pooches may be eating better than schoolchildren

@highlight

Smith: You can't expect young minds to do well with diets of high-fructose corn syrup