(CNN) -- When I first arrived in Rwanda's capital in 2012, I deliberately did not visit the Kigali Genocide Memorial. I wasn't sure what to expect, but I did not want that experience to influence how I approached the country and its people.

In my mind, Rwanda was going to be this country that was still on the brink of economic disaster. It would be very poorly set up, with a bad road system and difficult telecommunications. Frankly, I despaired of working with the government, thinking it would be extremely challenging to work with.

I remember 1994 well. I was a Peace Corps Volunteer in West Africa and the Rwandan genocide, right on the heels of Nelson Mandela's election in South Africa, was big news across the continent.

The child-run household I met after the genocide

When I was assigned to Rwanda 18 years later, my first thought was the genocide -- this is probably true for most people. But when I asked friends and colleagues who had lived there for advice, they spoke highly of the country and her people. I started seeing this as another adventure on this continent that I love, though I had visions of the film "Hotel Rwanda" resounding in my mind.

Those preconceptions were quickly dispelled once I got there.

When you get to Rwanda, you are hit by the incongruity that strikes so many: How could such a horrible thing have happened in such a beautiful country? The nickname Land of a Thousand Hills is not an exaggeration. Rwanda's countryside is dotted with what appear to be literally a thousand hills that are a mixture of mountains, volcanoes and hillocks. The beauty is reflected in the people: Rwandans are incredibly friendly and hospitable. But just as you cannot see the other side of a mountain, you cannot always tell what is going on behind those eyes.

Rwandans obey their country's many rules. I love that, to reduce pollution, plastic bags are forbidden and even taken from you when you arrive at the airport! For anyone who has spent time in Africa, it's incredible to see people actually wearing helmets on motorcycles, drivers and passengers alike, both in Kigali and in the countryside.

National pride and a commitment to the idea that Rwandans should lead the development of their country are strong. From them came the concept of Umuganda, or community service. During the last Saturday of each month, citizens do some type of community work in their neighborhood, like picking up garbage or cutting the grass. If they do not show up, they're fined an amount determined by the neighborhood leader. (These days the neighborhoods are like anywhere else: Some are made up of different tribes and ethnicities and others are homogenous.)

Amid the beautiful parks and tea plantations are the somber genocide memorials found in virtually every community. They serve as a daily reminder to never forget the atrocities. At the same time, they allow for personal reflection on mankind's capacity for both evil and resilience.

Four months after my arrival, I was ready to see the Kigali Genocide Memorial. I was glad I had waited. You walk alongside slabs of cement: a mass grave where over 250,000 people killed in Kigali are buried. At the end of one of the cement tombs is a wall with names, an attempt to identify some of the souls lost during the tragic 100 days of the genocide. You almost weep when you realize they will never identify them all.

One room tells the tale of other genocides or "cleansing" events in history around the world, reminding us that the international community has not been diligent about the oft-quoted pledge, "Never again." And in the room dedicated to children who were killed -- you see their names, what they enjoyed doing and who was their best friend -- your heart starts to tear. I was never able to actually read all the remembrances to these children. Though I have always considered myself a pretty tough and realistic humanitarian worker, I had never seen anything like this.

A single visit ensures that the memorial realizes its purpose -- you will never forget.

It's an experience that makes you wonder how any society can come back together after something that tears so deeply. But I know from what I had seen, and from my organization's work, that it is possible. Many genocide survivors and perpetrators have since been able to seek and grant forgiveness and now live peacefully, side by side.

I watched a woman tear up and embrace a man who had killed her family.

Witnessing these scenes is almost surreal, but deeply moving and humbling. Could I ever forgive? Could I ever confess and ask for forgiveness?

Looking at Rwandans today with a certainty that such an atrocity can never happen again, you wonder "How did this ever happen in the first place?" When Rwandans say "never again," I believe them. But when I look at the international community, those words don't have the same meaning. Are we really a community in which most of us watched this suffering and death from the sidelines?

It will happen again somewhere else. We've seen it in history.

In March of this year, I was asked to head our program in the Central African Republic. The lessons from Rwanda still echoing in my head, I was compelled to say "yes" to a country being torn apart by intercommunal fighting, just as Rwanda had been. My time in Rwanda has shown me the limitations of what the international community will do in situations like this, but also taught me lessons and given me hope.

Just 20 years ago, Rwandans went through genocide, but they came back and they came back quickly. I attribute a lot of that to the strong will, the leadership and most importantly, to the resiliency of the Rwandan people.

Peace is possible. Reconciliation is possible. I pray that we can realize the same here in Central African Republic. And we can, with a little influence and a lot of political will.

@highlight

April 7 marks 20 years since the start of the Rwanda genocide

@highlight

LeAnn Hager, an aid worker, spent 2012-2014 in Rwanda

@highlight

When she heard Rwanda, she thought of genocide, until she got there

@highlight

Have a personal essay to share with the world? Submit at CNN iReport