Fort Calhoun, Nebraska (CNN) -- Tim Nellenbach is on a mission as he shows a small group of journalists around his workplace. The manager of the Fort Calhoun Nuclear Power Plant and his colleagues are bent on dispelling rumors about the condition of their facility: rumors about a meltdown, about a loss of power. The rumors are patently false, they say, and it's frustrating to have to deal with them while also battling a genuine crisis.

These officials are also acutely aware of comparisons to the catastrophic earthquake and tsunami in Japan in March, which crippled a nuclear power plant there, leading to the worst nuclear accident since Chernobyl in 1986.

"There's no likelihood of a Fukushima-like incident here," Nellenbach says.

So does Gary Gates, CEO of the Fort Calhoun plant.

"It is not another Fukushima. The difference is the rapid flooding that occurred at Fukushima. This was a predicted event, to a degree, from the Corps of Engineers. The floodwaters at Fort Calhoun are outside the plant. There is no water inside the plant. The reactor is covered with borated water. The spent fuel is covered with borated water, which we want it to be. That's intentional. That's where it should be. The floodwaters are outside Fort Calhoun, not inside," Gates explains.

Still, there is a genuine crisis at the plant. Floodwaters from the swollen Missouri River have engulfed this facility. The parking lots are underwater. The river's fast-paced currents are swirling against several buildings in this compound. Catwalks had to be constructed to allow workers to move from one building to the next. The buildings housing the reactor core, the spent fuel rods and other crucial components are protected by small levees and aqua-berms. But outside those barriers, the water is at least 2 feet above ground level.

Officials are keeping a close eye on the network of power transformers here. The transformers are surrounded by floodwater and high-velocity pumps are continually pumping water away from them. The transformers power internal pumps, which operate cooling systems keeping the reactor core and the spent fuel rods from overheating.

"Maintaining electrical power, operating the pumps, is our biggest concern for the station, and we're able to fully do that at this time," Nellenbach says. Officials say the plant went off the power grid temporarily on Sunday and was powered by backup generators, but they say it is now back on the grid.

The Fort Calhoun plant has been offline since early April for a re-fueling operation. It was scheduled to be back online in mid-June, according to officials here, but the flooding has delayed that. Now, they anticipate the plant will remain offline through the month of August, until the floodwaters completely recede.

"What's keeping me up at night is making sure that we're going to have electricity for everybody," says Gates. "Electricity is so important to... the mitigation efforts of our whole community. Fort Calhoun's safe. It'll continue to be safe."

Gates and his colleagues say the water has not breached the buildings housing the reactor core and the spent fuel rods, and they're confident it won't. Those buildings and the barriers protecting them are designed to withstand flooding extending 1,014 feet above sea level. The water is now at about 1,006 feet, and they say they do not expect it to exceed 1,008 feet.

Officials did not allow journalists directly into the rooms housing the reactor core and the spent fuel rods, but did allow them to view those rooms via closed-circuit cameras. The rooms did not appear to be damaged by floodwater.

Gates says the Nuclear Regulatory Commission cited the Fort Calhoun plant in 2009 for not being adequately prepared for a flooding event. Since that time, he says, they've taken steps to upgrade safeguards for the facility, and he says NRC officials were satisfied with the handling of the current flooding. Still, NRC Chairman Gregory Jaczko had solemn words for the staff of Fort Calhoun after touring the plant on Monday.

"In the end," Jaczko said, "this challenge is yours."

@highlight

The Fort Calhoun nuclear plant is surrounded by floodwaters

@highlight

Unlike the Fukushima nuclear plant, the water hasn't breached vital buildings

@highlight

Fort Calhoun officials say the situation is under control