(CNN) -- All this month, we will see thousands of college students from coast to coast, north to south, east to west, jumping up and down, yelling, screaming, pumping fists, sleeping outside in tents, painting their faces -- all a result of the usual frenzy surrounding March Madness.

That's the scene we see every year when college basketball teams are fighting and clawing their way to one of the precious 65 seeds that enter the NCAA Tournament.

But instead of doing all of that for basketball, these same students should say the heck with the games and put their energy, zeal and passion into two fundamental issues posing the most dramatic barriers to their college education: the rising cost of tuition and the lack of financial aid.

On Thursday, we saw students begin this process by leading rallies in cities nationwide to protest rising tuition costs. While our political leaders in Washington, D.C., are decrying the rising cost of health care, college tuition is exploding across the nation, from community colleges to technical schools to four-year public and private schools.

Education leaders say it's all about the economy, but when the cost of tuition is jacked up as high as 30 percent in some states, and so many parents are without jobs or are facing wage cutbacks, their children see no hope. Often they postpone school or cut back on hours they take per semester -- delays that keep the student from being able to graduate and find a good-paying job.

But marching and demanding a rollback of student tuition is just one front of the battle that students in college and high school should be waging. The other is fighting the banking lobby, which is spending millions of dollars on members of Congress to keep them from changing financial aid laws.

The Obama administration has proposed eliminating the substantial subsidies banks enjoy for handling most of the federal college loans processed, with virtually no risk. Federal officials say the banks are reaping upwards of $9 billion a year in these subsidies, which include interest collected, and the Obama administration wants to push more of that money to students by increasing Pell grants and Perkins loans.

Estimates have put the cost savings to taxpayers at more than $80 billion over the next 10 years. The changes also limit the maximum that students would pay to 10 percent of their income and would cut 10 years off of their repayment if they took a public service job.

The rationale is simple: If the federal government is already assuming the risk of loans, and no substantial data have been presented to show that the banks are truly making a difference with their loan counseling services, why not cut out the middle man, like Sallie Mae, and free up more money for students? Reining in this perk for the banks won't lower the cost of college, but it will make it easier for many students or parents to pay for it.

There are some grass-roots organizations fighting the banks, such as the United States Students Association, but they are going up against entrenched interests, and some of those are university officials. In some cases, the banking industry has used its financial power to wine and dine college officials, lavishing gifts, golf trips and other perks to keep them in line. So some of the very folks who should want students to get as much money as possible to stay in school are not always operating in their best interests.

So here you have two fundamental roadblocks facing students, and too many are only complaining about them and not focusing on action. Some even suggest they have no power to fight such well-funded interests. I say nonsense.

This February, we celebrated the 50th anniversary of the civil rights movement sit-ins, which were launched in Greensboro, North Carolina. Four students at North Carolina A&T decided they'd had enough of the segregated lunch counters in downtown Greensboro. So they politely walked in and asked to be served. When refused and thrown out, they came back. And back. And back.

When word of their efforts spread, it was as if a wildfire had been sparked across the South. Black students in other Southern towns began to do the same, and lunch counter by lunch counter, drugstore by drugstore, department store by department store, Jim Crow was assaulted by the zealous actions of just a handful of students.

Over the course of our history, it has always been the nation's young who took to the streets, statehouses, college campuses and the halls of Congress to demand change.

It worked then, and it can work now.

It's time that we see college students, high school students who are looking forward to college, and the parents who are bearing the burden of paying for it, join those who are still paying back student loans to identify the banks that are fighting changes in the financial aid system and do the following if those banks persist:

• Remove your money from their coffers. If these banks are fighting against your best interests, they don't deserve your account. Take it to a community bank that will support your efforts.

• Stage pickets and sit-ins. Imagine what would happen if thousands of students fanned out across a city and picketed and actually led sit-ins in the banks. Yes, shut them down.

• Rally the masses online. Today's generation is far more proficient at text messages, social media and online video. Instead of talking about the latest celebrity news, use online media to galvanize and build a national movement.

• Hit the hallways of Congress and state legislatures. The heck with going skiing or hitting the beach during spring break. If they are still in session, come up with a list of legislators not fighting rising tuition or who are in the pockets of Sallie Mae and the banks. Send throngs of students from each district and make it clear that you will organize young voters and parents in those districts and throw them out of office if they continue to allow the banks to run roughshod.

• Engage celebrities in the battle. Kanye West, Jay-Z, Beyonce, Ashton Kutcher, P. Diddy and so many others have millions following them on Twitter and Facebook. It's time to enlist them in this battle.

Students, basketball is wonderful, and seeing your team in the Big Dance is great. But if tuition keeps going up and less money is available in the form of financial aid, you'll be cheering from afar because you won't be able to keep going to that school.

For America to be strong, we must cultivate, teach and train the next generation of leaders.

Students, the time for talk is over. The time for action is now. Many of you went to the polls to vote for Sens. Barack Obama and John McCain. Election Day 2008 was not the end, but the beginning. If you want change, then you better work for it.

Put those fervent minds to use in battling those who don't have your best interests at heart.

Let the fight begin.

The opinions expressed in this commentary are solely those of Roland Martin.

@highlight

Roland Martin tells students: Skip March Madness, fight to lower college costs instead

@highlight

Obama proposed eliminating bank subsidies for student loans; banks balked, he says

@highlight

He says students must press banks, lawmakers; stage sit-ins, pickets on education's behalf

@highlight

Martin to students: If you want change, work for it