Sydney, Australia (CNN) -- The cause of Malaysia Airlines Flight MH370's disappearance remains a mystery, but it has put the spotlight on the wildly varying approach governments with a stake in the search have handled the sensitivities and the facts.

The Malaysian government has been roundly criticized for weeks of muddled misinformation and its seemingly off-hand dealings with the distraught families of the passengers and crew of the missing airliner.

China, which has more than 150 of its citizens aboard the Boeing 777-200, has been unrelenting in its criticism of Malaysia's handling of the search and the lack of transparency in information, while Thailand was accused of withholding what might have been critical information about the MH370's possible flight path because it said no one had asked whether it had any intelligence.

Out of the fray emerged Australia and its conservative Prime Minister Tony Abbott, a man known more for his pugilistic, take-no-prisoner style of politics, than his statesmanship and compassion.

On neither count has the Australian Premier, until now, impressed.

Spy claims

Abbott refused to apologize to the Indonesian President when the leaked Edward Snowden files revealed Australia had been spying on Susilo Bambang Yudhoyono and his inner circle, including his wife.

He has also run a tough, some say brutal, campaign against asylum seekers and the people smugglers who bring them to Australia across treacherous waters from Indonesia. Abbott, who accuses asylum seekers of illegally attempting to enter Australia, is comfortable with the policy masterminded by his predecessor, of sending those who seek refuge in Australia to Manus Island in Papua New Guinea and Nauru -- neither considered by the UNHCR to be adequate to house them. Recently, the government announced it would stop funding legal assistance for asylum seekers who arrived by boat and are sitting in detention centers awaiting the chance to argue their case.

But when he rose to his feet on March 20 to tell the Australian Parliament that new satellite images showed what might be aircraft debris in the Indian Ocean, some 1,550 miles (2,500 kilometers) off the coast of Western Australia and that an Australian-led search party would be investigating, Abbott made international headlines. Statesmanship peaked out from behind the curtains.

When days later no debris had been found, Abbott deflected criticism that he had jumped the gun saying the search area was "about the most inaccessible spot that you would imagine on the face of the earth.

"But if there is anything down there we will find it. We owe it to the families of those people to do no less."

Poll support

An informal poll in the Sydney Morning Herald showed many thought the prime minister had acted properly in announcing news of the satellite images. His compassion was perceived as real rather than political opportunism.

After announcing that there would be no time limit on the search effort and that his government would bear the cost of coordinating the international operation, an impassioned Abbott declared: "If the mystery is solvable, we will solve it." It was a personal commitment.

His determination to deliver "closure" for the families of those on board the jetliner stands in stark contrast to the approach of his Malaysian counterpart. While Najib Razak sanctioned sending a text message to families informing them that the aircraft had likely ended up in the southern Indian Ocean, Abbott told the families of the six Australian passengers on the flight the country had "an ache in its heart and nothing we can say or do will take that ache away."

And as the Australian-led search mission entered its second week, Abbott told grieving relatives what asylum seekers have never heard.

''I want them all to know ... that they will be in the arms of a decent country,'' he said. ''The government has decided to waive visa fees for any relatives wishing to come to Australia.''

'Eloquent and diplomatic'

Even Abbott's most fervent enemies would, if pressed, concede that the Australian premier has been both eloquent and diplomatic in the expression of his sorrow and grief for those who do not know if their relatives are by some miracle, still alive and if they are not, what caused their deaths.

But the same fervent enemies might also question whether Abbott sees an upside to statesmanship and compassion.

Tragedies of the scale of MH370 are rarely used for political gain without the real and imminent danger of significant political cost. But such tragedies can soften images, turn skeptical minds and give hope to those who've not been recipients of an open heart.

When on February 16, a young Iranian asylum seeker was killed in a riot at the Manus Island detention centre, the Australian Immigration Minister, Scott Morrison, claimed Reza Berati had died after leaving the confines of the Australian-run center, placing himself where Australia could not protect him.

"This was a very dangerous situation where people decided to protest in a very violent way and to take themselves outside the center and place themselves at great risk," Morrison told Australian media.

Soon afterwards, Morrison faced the media to admit Berati had in fact died inside the center. Abbott stood by him.

"You don't want a wimp running border protection, you want someone strong and decent. And Scott Morrison is both strong and decent," Abbott told parliament.

Different leader

Coming after years of hardline railing against the number of asylum seekers landing on to Australia's shores, with many perishing en route, the government's attitude seemed hard, even callous. Many Australians were shocked and held candlelit vigils around the country.

If Australians see the beginnings, perhaps even evidence of a different leader with Abbott's deep, heartfelt concern for the souls who boarded MH370 in Kuala Lumpar on route to Beijing, there's little chance this will wipe the memory of a leader who has shown little mercy to asylum seekers -- some of them children -- languishing in Australia's version of Guantanamo Bay.

But Australians might be convinced their prime minister has the capacity to change.

OPINION: Pilot: Why Flight 370 may never be found

@highlight

Search for MH370 has revealed differing approaches by governments involved

@highlight

While Malaysian leaders have been criticized, Australia's PM has won praise

@highlight

Attard: In contrast with Tony Abbott's tough line on issues such as asylum seekers

@highlight

Abbott has vowed to help bring "closure" to families of those missing on MH370