(CNN) -- It's the greatest magic trick in the world. This act of wizardry is performed hundreds of millions of times every day with the press of a button, or more increasingly, with a gentle tap of the screen -- and poof, time stops.

The magic is photography.

Today, we're taking and uploading more than 200 million images per day via Facebook alone. Our phones have become our recording devices. Or as I like to see it: My camera can also make calls.

Smartphones have ushered in a golden age for photography. But disappointingly, much of the conversation has been focused on the device and the use of faux nostalgic filters rather than on how photographers can choose from a wide range of possibilities to be creative.

Art photography: When reality isn't good enough

We mustn't forget -- a magician's props, like a photographer's choice of camera, are only part of the illusion created. When the rabbit is pulled from the hat, its color or breed is irrelevant. What's important is the magician's ability to artfully make the rabbit appear and ultimately evoke astonishment from the audience. In photography, the equivalent is taking an image that evokes strong feelings, regardless of which device captured the picture or its nostalgic hue.

Smartphones have democratized photography, and Instagram, in particular, has given us an unprecedented platform for our snapshots. But instead of marveling at all the choices, there's some grumbling. Some professionals feel threatened as they see the playing field leveling; they interpret it as the end of skill and craft in photography. They should have no fear of such a thing.

12 tips to become a better smartphone photographer

Photography is rooted in the rich culture of amateurism. What's happening today is similar to the original proliferation of Kodak's Brownie camera starting in 1900. An inexpensive and easy-to-use camera in every hand didn't usher in the end of photography or automatically turn everybody into Richard Avedon.

Photo apps won't magically give Jane the smartphone photographer a better sense of composition, or lighting, or framing. The apps and filters only change a photo's look and aesthetic feel. That doesn't make it a better photo. If you put lipstick on a pig, it's still a pig.

Photographing with a smartphone

For me, photography is my memory. I've chosen photography to prove that I exist. I see my captured view of the world as my search for meaning. For me, words are often inadequate, so I choose to define my experiences with photographs.

This little act of magic does not divorce me -- as the critic Susan Sontag implied in her book, "On Photography" -- from the here and now. In fact, it deepens my bond to the present moment.

An image I take, sprinkled with synthetic nostalgia, tells all: "I was here and this is what I saw." The camera phone allows me to offer a small taste of my here and now, on unprecedented levels, to a global audience with astonishing immediacy.

Why I use filters

The pictures of my childhood had a warmish, faded, slightly out of focus feeling. They are the memory of things past, comfort food for the eyes. It seems natural for me to add the option of nostalgic filters to my photographic process.

When we discover an old, faded, cracked and torn image, we handle it with care and respect. Time has honored it with its blessing.

My digital images, however, will never see the ravages of time. They'll always remain, preserved, pristine and forever in their original state, in the perfection of now, without the possibility of the flaws of the past creeping in and eroding it.

I want my memories, like the prints of my childhood, to fade, to mix with the ether of all that has come before. Because I know that time cannot touch my digital images, I add in the passage of time by using filters.

Embracing the present

It is all about time. It's about the time we are losing, and what the future will do to our memories. It's about the fact that technology can instantaneously compress our collective thoughts and images into binary digits of 1's and 0's.

We have a sea of images now. On the horizon, I see the forming of a new photographic language. Let's embrace photography, as it exists now. And let's continue to find our individual voice, perspectives, stories and style, regardless of the medium.

The opinions expressed in this commentary are solely those of Richard Koci Hernandez.

@highlight

Richard Hernandez: Smartphones have ushered in a golden age for photography

@highlight

He says that one can be creative in many ways, including the use of nostalgic filters

@highlight

Hernandez: But some professionals see it as the end of skill and craft in photography

@highlight

He says photo apps won't magically turn people into Richard Avedon