Cairo (CNN) -- Egypt's prime minister appealed for calm and asked protesters to return to their homes Tuesday following four days of violence in Cairo and a day after the nation's Cabinet offered to resign.

"We have met the demands of the people and submitted our resignations," Prime Minister Essam Sharaf said, according to Egypt's Nile TV. "Now please put the interests of the country first."

Fresh violence broke out Tuesday near the city's Tahrir Square. For several hours, protesters hurled stones at police and chanted, calling for the downfall of the Supreme Council of Armed Forces. The military-led government began leading the country after protesters ousted President Hosni Mubarak in February.

Demonstrators apparently tried to defend Tahrir Square as they faced off with police on a connecting street. The square was once a hub for the movement that led to Mubarak's ouster and is now a center for the protests against Egypt's military rulers.

Egyptian police responded with tear gas and rubber bullets, forcing protesters to retreat briefly before they returned with renewed intensity. Violence also spread to other parts of Egypt.

Field Marshal Mohamed Hussein Tantawi, head of Egypt's Supreme Council of the Armed Forces, will address the nation Tuesday, according to Egyptian state broadcaster Al Masriya. The latest report contradicted an earlier one saying he would speak "shortly."

After Mubarak's fall, military leaders took control with the promise that eventually a civilian government would be elected and take over.

Military leaders still say they will hand over power to a new government when one is elected. However, while parliamentary elections are set to take place Monday, a complex electoral process follows, and the presidential vote could be a year away.

Demonstrators say they are concerned the military, which would continue to be Egypt's top authority until a president is in place, wants to keep a grip on the country. Many also have voiced anger about a proposed constitutional principle that would shield the military's budget from scrutiny by civilian powers. They say they worry the military would become a state within a state.

On the streets of Cairo, some protesters have gone further, shouting that they believe Mubarak is running the military council and, in fact, the entire country from prison. He and his sons Gamal and Alaa face charges of corruption and of killing protesters.

Three Americans were arrested Monday outside the Interior Ministry in Cairo. Authorities accuse them of throwing Molotov cocktails, said Adel Saeed, a spokesman for the office of Egypt's general prosecutor.

The young men are students at American University in Cairo, according to university spokeswoman Morgan Roth. She identified them as Gregory Porter, 19, of Glenside, Pennsylvania; Luke Gates, 21, of Bloomington, Indiana; and Derrik Sweeney, 19, from Jefferson City, Missouri.

Porter attends Drexel University in Pennsylvania, Gates goes to Indiana University and Sweeney studies at Georgetown University, she said. At least two of them were on a semesterlong study abroad program in Cairo.

David Lynfield, deputy press officer in the U.S. Embassy in Cairo, said the "claims are being currently investigated." The university is working with the embassy, Roth said.

Tuesday's violence marks the fourth day of clashes between security forces and protesters. Twenty-nine protesters have died in the clashes since Saturday, said Hisham Sheeha, spokesman for Egypt's Health Ministry. About 1,785 people have been injured, he said.

Earlier, Dr. Adil al-Adawi, another ministry spokesman, said about 200 of those injuries came Monday.

Egypt's Interior Ministry said 102 officers and conscripts have been injured, with wounds ranging from gunshots to burns from Molotov cocktails. One officer was shot in the head.

Some political factions have vowed to hold a sit-in Tuesday at Tahrir Square, demanding the immediate resignation of the Supreme Council. They also demand the immediate punishment of those who have killed protesters in the past few days.

The Alliance of the Revolutionaries of Egypt is calling the event a "million man sit-in."

The Muslim Brotherhood, one of the largest organizations in the nation, has said that its members will not join that protest.

"We didn't start this mess," said engineering student Mahmour Radwan, who traveled to Cairo from Alexandria on Tuesday with two friends to join the protests. He said authorities started it, when they killed people "and put them in the street."

Radwan and many other protesters were equipped with surgical masks and other items in an attempt to protect themselves from the clouds of tear gas. Young women stood nearby, holding bottles of water and poised to treat those overcome by the tear gas.

Violence also spread to Alexandria ahead of a planned "million man" protest there. One person was killed and 60 others injured in that city, said al-Adawi, a Health Ministry spokesman. Thousands of people clashed with police Monday night near the city's police headquarters. Rocks were thrown and tear gas used, said activist Huda Al-Sadani. Some people were arrested, Al-Sadani said, and clashes continued throughout the night.

Two of the deaths came in the city of Ismalia, said Sheeha, a Health Ministry spokesman. Violence also was reported in the city of Suez.

Amid the unrest, Egypt's Cabinet offered to resign Monday night. Justice Minister Mohamed Abdelaziz al-Juindy explained that this move to quit the government was driven by opposition to the security forces' crackdown on demonstrators.

"I resigned because of the events in Tahrir (Square), because of the political responsibility," al-Juindy said.

The Supreme Council has not said whether the resignations were accepted.

As the potential political shuffling played out, animosity and violence continued to simmer in the streets.

Saeed, the spokesman for the general prosecutor's office, said 127 demonstrators who had been arrested in Cairo since Saturday have been released. Another five have been "detained temporarily for further investigation."

The military council has said on its Facebook page it is "extremely sorry for what the events have led to." And spokesman Maj. Mohamed Askar said late Monday that the Supreme Council has ordered a fact-finding mission to assess what has happened.

Moreover, the Supreme Council also is calling upon "all political forces to hold dialogue as soon as possible in order to address the escalation" of unrest, Askar said.

However, Amnesty International, in a report issued this month, said the Supreme Council, "in the name of ensuring security and stability ... (has) committed numerous human rights violations, ignoring the very demands for social justice and fundamental freedoms that triggered the uprising."

"... Since assuming power in February, the Supreme Council of the Armed Forces has repeatedly pledged to break the cycle of repression entrenched over the past 30 years. In reality, however, it has resorted to familiar patterns of abuse."

A recent endorsement in full of Egypt's emergency law and its expansion, after it was restricted last year under Mubarak, is considered the largest example of human rights violation, the organization said. However, it alleged demonstrations have been violently dispersed and protesters have been arrested, detained and tortured "before being tried unfairly before military courts and convicted."

In addition, Amnesty International alleged, the Supreme Council has placed arbitrary restrictions on the media. Some television stations have been raided and ordered closed, while satellite television stations have been frozen. The council has also failed to address discrimination of women, according to the group.

"If the hopes of the uprising are to be realized, urgent action is needed now to ensure that one repressive rule is not simply replaced with another," the report said.

CNN's Ivan Watson and Michael Pearson and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Three arrested American students identified

@highlight

Report: Prime minister appeals for calm, asks protesters to return home

@highlight

Official: Twenty-nine people have been killed since Saturday, 1,785 injured

@highlight

Some political factions plan a "million man sit-in" on Tuesday