(CNN) -- Two weeks. Two gut-wrenching, frustrating, mysterious weeks.

That's how long it's been since 227 passengers and 12 crew members boarded Malaysia Airlines Flight 370, destined for Beijing. A routine trip, it seemed, to catch up relatives in time for the weekend, start on a work assignment or just get away.

Where they got to, still unknown. An exhaustive search -- covering a mind-boggling 2.97 million square miles, which is nearly the size of the continental United States -- has yielded some clues, but no proof of where the Boeing 777 is or definitively what happened to it.

The latest, most notable lead revolved around two large objects detected by satellite Sunday floating on waters over 1,400 miles off of Australia's west coast.

The first of several Australian military planes, as well as two long-range commercial jets, resumed their search Saturday morning to find any trace of the objects, amid some skepticism that they or ships in the area ever will and, if they do, that whatever they find will be related to the missing aircraft.

Australian Prime Minister Tony Abbott on Friday defended the decision to announce the find, saying Australia owes it to families of those missing "to give them information as soon as it's to hand." But he didn't make any promises.

"It could just be a container that has fallen off a ship," Abbott said during a visit to Papua New Guinea. "We just don't know."

On Friday, Hishammuddin Hussein, Malaysia's interim transportation minister, tried to reset expectations for a quick resolution to the mystery after the satellite discovery.

"This is going to be a long haul," he said.

Search intensifies

After tough weather Thursday, conditions improved Friday to allow flight crews to look with their eyes rather than relying all on radar, said John Young, the Australian Maritime Safety Authority's emergency response manager.

"That's encouraging," he said. "But we have no sightings yet."

The United Kingdom was sending the HMS Echo to aid a growing international flotilla searching the southern Indian Ocean. Australia is sending a ship, the HMAS Success. And Malaysian and Chinese vessels -- including the icebreaker Xue Long, or Snow Dragon, as reported by China's official Xinhua news agency -- are also steaming to join a massive Norwegian cargo ship diverted there Thursday at Australia's request plus a motley collection of merchant ships heading to the search area.

The window for finding the objects in the target area could be narrow. Another round of bad weather like the one that hampered the initial day of searching Thursday could rake the area, according to CNN meteorologists.

Locator beacons are also an issue. They are designed to sound for at least 16 more days and could continue to go off for a few more after that, according to the company that believes it made the device installed on the missing plane.

But the ocean depths in the search area could make finding them very difficult, experts say.

U.S. Defense Secretary Chuck Hagel -- who talked Friday with Hishammuddin, who is also Malaysia's defense minister -- has ordered the Navy and policy experts to look at the availability and usefulness of U.S. military undersea technology to try to find the plane's wreckage and its data recorders, a U.S. military official said.

Hishammuddin has put out a call for underwater listening devices called hydrophones to aid the search.

Search continues elsewhere

The United States, which has had a P-8 aircraft working out of Perth, Australia, and Navy ships involved in the search, has so far spent $2.5 million on the entire effort, Pentagon spokesman Col. Steven Warren said Friday.

NASA Administrator Charles Bolden said Friday that he's tasked the U.S. space agency to mine its existing satellite data and also try to capture fresh images that might aid in the search. Its satellites can detect objects as small as 98 feet (30 meters).

Countries from central Asia to Australia are also engaged in the search along an arc drawn by authorities based on satellite pings received from the plane for hours after it vanished. One arc tracks the southern Indian Ocean zone that's the focus of current attention.

The other tracks over parts of Cambodia, Laos, China and into Kazakhstan. Hishammuddin said Friday that Malaysian authorities were awaiting permission from Kazakhstan's government to use the country as a staging area for the northern corridor search.

That clearly signals that Malaysian authorities are not giving up on the possibility the plane could still be found far from the focus of current search efforts.

"Obviously, the search now has taken a global perspective," Hishammuddin said.

More details emerge

At Friday's daily news briefing, Malaysia Airlines CEO Ahmad Jauhari Yahya said authorities knew of news reports that Flight 370's pilot, Capt. Zaharie Ahmad Shah, placed a cell phone call shortly before his plane departed.

He said they had passed the information to investigators. The significance of the call was unclear.

As to other communications, The Telegraph reported Friday it had a transcript documenting 54 minutes of back-and-forth between the cockpit and ground control from taxiing in Kuala Lumpur to the final message of "All right, good night." CNN hasn't confirmed that this reported transcript it genuine, and The Telegraph said Malaysia's prime minister said the transcript wouldn't be officially released.

The alleged transcript reported by the Telegraph contains seemingly routine conversations about which runway to use and what altitude to fly at.

One unexplained element, according to the British newspaper, is a call in which someone in the cockpit stated the aircraft was at a cruising altitude of 35,000 feet -- something that had been done just six minutes earlier. Twelve minutes after that comes the "good night" message, at a point Flight 370 was being transferred to Vietnam's control.

Another wrinkle: Ahmad Jauhari acknowledged the plane was carrying a cargo of lithium-ion batteries, although he didn't specify the volume of the shipment.

Lithium-ion batteries are commonly used in laptops and cell phones and have been known to explode, although that occurs rarely.

They were implicated in the fatal crash of a UPS cargo plane in Dubai in 2010, and lithium-ion batteries used to power components on Boeing 787s were blamed for fires in those planes.

There's no evidence the batteries played a role in the plane's disappearance, and Yahya said they are routine cargo aboard aircraft.

"They are not declared dangerous goods" he said, adding that they were "some small batteries, not big batteries."

Deleted files sought

Malaysian authorities say they believe the missing plane was deliberately flown off course on its scheduled flight from Kuala Lumpur to Beijing. But they haven't so far found clear evidence to indicate who might have changed the plane's path and why.

The pilot and first officer have come under scrutiny, especially in light of information suggesting a sharp turn had been programmed into the plane's flight management system before one of the pilots gave a routine sign-off to Malaysian air traffic controllers.

Plus, question marks remain over data authorities say was deleted from the hard drive of a flight simulator found at Zaharie's home.

A U.S. official familiar with the investigation told CNN on Thursday that an FBI team is confident it can retrieve at least some of the deleted files.

On Friday, U.S. law enforcement officials told CNN files were removed closer to the flight's departure than was previously indicated. Malaysia's Hishammuddin had said items were deleted before February 3, but American investigators now say such deletions happened after that date.

Law enforcement officials aren't drawing any conclusions about the subsequent deletions -- or the earlier ones -- just two days into reviewing the hard drive substantial contents. It is still not clear, for example, who erased the files, why they did and what was in them.

Investigators are also analyzing websites that Zaharie and the first officer, Fariq Ab Hamid, may have visited recently, the official said on the condition of anonymity.

Passengers also continue to be investigated. On Friday, Hishammuddin said Ukraine told Malaysia that background checks on its citizens aboard the plane had come back clear.

Families frustrated

The length of the search and the lack of concrete information has angered many family members. Some have accused Malaysian officials of withholding details, or at the very least failing to update them.

For the first time since the plane disappeared, Malaysia sent a high-level delegation to Beijing to brief relatives who had opted not to travel to Malaysia to wait out the search.

Hishammuddin said the 3Â½-hour meeting went as well as could be expected, but,"Although we answered most of the questions they raised, we could not answer them all," he said.

"The one question that they really want to know is the answer to which we do not have," he said, "which is: 'Where are their loved ones, and where is the airplane?'"

Passengers' relatives in Kuala Lumpur were moved from the Cyberview Hotel to another, unspecified hotel because the Cyberview is booked for the upcoming Malaysian Grand Prix race, said a hotel official who prefers to remain anonymous because she is not authorized to speak to the media.

Selamat Omar, whose son was on board the plane, told CNN's Kate Bolduan the wait for answers has been agonizing.

"I do feel sad, it's been 14 days," he said. "I'm still waiting for answers from the government. The sadness is still there, but I'm just going to stay strong."

Omar's son, Khairul Amri, has attracted the attention of authorities because of his experience as a flight engineer. Omar said authorities have not contacted him and he is confident his son had nothing to do with the plane's disappearance.

What can we tell from fresh leads?

If this is the debris of Malaysia Airlines Flight 370, what happens next?

The search for Malaysia Airlines Flight 370: Explore maps

Opinion: Search for MH370 highlights need for trust, unity in Asia

Michael Pearson reported and wrote from Atlanta. Jethro Mullen reported and wrote from Hong Kong. CNN's Mitra Mobasherat, Sara Sidner, Barbara Starr, Kyung Lah, Mike Ahlers, Chelsea J. Carter, Greg Botelho, Brian Walker, Elizabeth Joseph, Evan Perez and Shimon Prokupecz contributed to this report.

@highlight

NEW: Planes depart Australia to resume their search for airplane debris

@highlight

NEW: Official: Passengers' relatives are moved to a different Kuala Lumpur hotel

@highlight

Objects seen on satellite spark intensive search in southern Indian Ocean

@highlight

U.S. officials: Files were deleted from flight simulator's hard drive after February 3