As the political situation in Thailand worsens with deaths on Bangkok's streets this week, CNN takes a look at the root causes of the protests, and what the latest developments might mean for the country's political future.

Who is protesting and why?

Unlike the 2010 protests, which saw red-shirted supporters of ousted Prime Minister Thaksin Shinawatra turn out in force, this time around it is opponents of his younger sister Yingluck Shinawatra's government who are protesting in the capital.

As with previous protests, the country is largely divided between a younger, educated urban middle-class and a conservative class of poor rural voters, largely from the north of the country. It is the former group who have taken to the streets and are currently battling the police after months of deepening political division.

The protestors, led by Suthep Thaugsuban -- a deputy prime minister in the previous Abhisit Vejjajiva-led government -- rejected YIngluck's poll in early February and are calling for the creation of an unelected "people's council" headed by a premier appointed by Thailand's king.

What triggered the current crisis?

Yingluck's prime ministership was largely stable until her party attempted to pass a controversial amnesty bill in November.

The bill would have nullified former Prime Minister Thaksin's corruption conviction and would have allowed him to return to the country. The policeman-turned-tycoon has been living in exile in a number of different locations, most recently Dubai, since he was removed in a bloodless coup in 2006.

He briefly returned to Thailand in 2008. Later that year, he was convicted by a Thai court of corruption and sentenced in absentia to two years in prison over a controversial land deal. Courts have also frozen billions of dollars of his assets, but he is believed to still have a great deal of money held elsewhere.

What is Thaksin's role in the current crisis?

While he technically plays no part in the current political situation, the deeply-divisive Thaksin is never far from the heart of Thai politics, communicating with supporters via social media and video messages. With his younger sister in power since 2011, his influence remains strong. Critics say Yingluck is Thaksin's proxy but she insists she has always been independent.

The current protests were sparked by attempts by her government to enact the amnesty law that opponents said was designed to protect him and others, facilitating his return to the country -- and ultimately, to an active role in Thai politics.

Why are Thai protests in the news so often?

The country has had a restive history since the dissolution of its absolute monarchy in 1932. There have been a dozen military coups d'etat over the years, most notably in 1947, and again in the 1970s, which led to the creation of a new constitution. The most recent military coup was in 2006, which led to the ouster of Thaksin.

Civilian rule was restored with a Thaksin-linked civilian government in charge but protests in 2008 -- including the blockade of the capital's airports -- eventually led to the creation of a coalition government. 2009-10 saw pro-Thaksin supporters, known as the red shirts, take to the streets and demand fresh elections, eventually leading to Yingluck's election -- which brings us to the current situation.

What impact did the February 2 election have?

Under pressure, Yingluck dissolved parliament and called for new elections at the beginning of February. These were disrupted by protestors, particularly in the capital and in the south of the country.

Ahead of the elections, Suthep -- the leader of the protests -- urged his supporters to boycott the poll and recently petitioned the Constitutional Court to annul the election. They were not successful and while the results are still in doubt, the country is being ruled by an interim government headed by Yingluck, but one that lacks absolute authority.

What role is the Thai king playing in all this?

Despite the turbulent nature of Thailand's democratic political scene the country is home to the world's longest-serving monarch. Bhumibol Adulyadej, aged 86, is universally revered in Thailand but prefers to remain ostensibly neutral in matters of government, although he called for national unity in his birthday speech in December.

What caused the latest flare-up?

After a period of relative calm -- and a feeling that appetite for the protests was dying down -- trouble has flared up again this week as police in the capital tried to reclaim official government sites occupied by protestors. Reacting to the attempted eviction, around 6,000 demonstrators were estimated to be on the streets of the city Tuesday.

An outbreak of violence that day saw five people -- including at least two protestors and a police office -- killed in central Bangkok. Following police action in which tear gas was fired in an attempt to disperse crowds of demonstrators in the streets, people among the protesters began firing guns at police, who responded with both rubber bullets and live fire.

15,000 police are said to have been mobilized in the latest operations. Seventy-three people -- both police officers and opposition supporters -- have been wounded in recent clashes.

Will the military step in?

Up until now the military has resisted calls from the protestors to intervene on their behalf, and it seems that its current leadership lacks the appetite for regime change. However, the country's army chief, General Prayuth Chan-ocha, has not ruled out the possibility that the military will intervene if violence on the streets of Bangkok worsens.

What's the story with the rice-pledging scheme?

The political crisis took on a new twist when a subsidy program that benefited rice farmers -- part of Yingluck's base -- was decried as corrupt by opposition leaders. The scheme was a centerpiece of Yingluck's election platform and has been beset with payment problems.

Yingluck criticized her opponents for politicizing the issue, but this week the country's National Anti-Corruption Commission (NACC) announced their decision to charge her with "dereliction of duty," which could have serious implications for her retention of the premiership.

She is expected to answer the charge on February 27, according to the Bangkok Post.

Is Thailand safe?

In the run-up to the elections several countries issued travel advisories for tourists and in the wake of this week's fatalities it is likely that these precautions will be used more frequently.

Reports of office closures in Bangkok on Tuesday and Wednesday have been received by CNN as the situation on the ground escalates.

@highlight

Escalating violence in Bangkok as five confirmed dead on Tuesday

@highlight

Disputed election at beginning of February did little to pacify opposition

@highlight

Military refuses to rule out intervention in face of worsening violence

@highlight

Embattled interim PM Yingluck Shinawatra to be investigated over rice subsidies