Three European nations were notified about concerns over horse meat as early as a year ago, the United Kingdom's food safety agency said Sunday.

The alerts -- sent last year on February 1, February 15 and March 7 -- identified Denmark, Hungary and Italy as countries that should investigate concerns about horse meat. There were posted by the EU's Rapid Alert System for Food and Feed portal.

The UK Food Standards Agency said through a spokeswoman the alerts were just a few of many and the meat never entered the UK.

"These were three of several thousand such alerts circulated across Europe each year. These were followed up by the countries identified in the alert," Amy Cope said in an e-mail.

She said the alerts involved horse meat substitution, but officials in one of the affected countries said at least one was for questions over one horse's "passport."

Danish authorities sent out one alert after there were "uncertainties" regarding a slaughtered horse's paperwork, an official for the Danish Veterinary and Food Administration told CNN.

The horse meat was sent from Denmark to Italy and officials sent out the alert to let Italian authorities know about their concerns about the paperwork, not the meat itself, Kim Sigsgaard said.

Danish officials had no information on what happened with the horse after the alert was sent.

A spokeswoman for the Department for Environment, Food and Rural Affairs in the UK said the issues of possible falsified horse paperwork and the issue of horse meat substitution are unrelated.

February 2012 is six months before what had been thought to be the earliest possible time frame where horse meat had been discovered in products labeled as 100% beef.

Swedish frozen food giant Findus had said that one of its suppliers told it contamination may date back to August.

Consumers are concerned that as food producers try to keep costs low, the safety of what they eat could be compromised.

The managing director of Waitrose, a grocery story chain in the UK, said in an editorial published in The Telegraph that meat -- indeed, all food -- is no longer a cheap commodity.

"If something good comes of the current scandal, I hope it is the opening up of a debate around the true economics of food and a determination on the part of everybody in the food industry to apply renewed rigour to their processes and testing regimes to ensure that customers can relax and enjoy the food they buy," Mark Price wrote.

The scandal spread Friday, as UK authorities revealed the results of DNA testing on beef products and raided the premises of three more UK food firms.

Of 2,501 tests carried out on beef products across the industry by noon Friday, 2,472 found no horse meat content above 1%, the Food Standards Agency said.

The 29 positive tests involved seven products sold by five suppliers, according to the independent government agency.

Another 962 tests are still under way, the agency said at a news conference.

Fifteen of the positive tests were for the lasagna products sold by Findus that first triggered the current horse meat buzz in early February.

The others concerned beef products sold by supermarket chains Tesco, Aldi and The Co-operative, and burgers made by catering supplier Rangeland.

Tesco and Aldi issued statements saying they are boosting testing on meat products to protect customers, restore confidence and ensure product quality.

Jim Smith, group technical director for Tesco, said the company will "no longer work with the suppliers who fell below our very high standards."

The Food Standards Agency declined to give details of the names or location of the three food premises raided Friday.

Investigations are ongoing, but authorities cannot rule out the possibility of arrests, it said.

Authorities across Europe have been scrambling to get a grip on the crisis over rogue horse meat in beef products.

The European Union intends to begin testing meat across all 27 member states, it confirmed Friday.

It called for testing 10 to 150 samples per country and at least five tests per country for the presence of the drug phenylbutazone, also known as bute, which is approved for horses but is not allowed to enter the food chain because it can be harmful to humans.

Unauthorized horse meat has been discovered in a variety of products labeled as beef that were sold in supermarkets in countries including Britain, France, Sweden, Switzerland, Germany and Ireland.

The meat industry was first thrust into the spotlight last month when Irish investigators found horse and pig DNA in hamburger products. The discovery of pig DNA in beef products is of particular concern to Jews and Muslims, whose dietary laws forbid the consumption of pork products. Jewish dietary laws also ban the eating of horse meat.

@highlight

Denmark, Hungary, Italy notified last year about possible issues

@highlight

Danish officials said they were concerned about paper trail surrounding one horse

@highlight

The discovery of horse meat in beef products has put Europe's meat industry in disarray

@highlight

Irish investigators found horse and pig DNA in hamburger products in January