(CNN) -- The man leading the hunt for Malaysia Airlines Flight 370 says the search is the most difficult in human history, but modern technology greatly increases the chances of finding the missing plane.

The four underwater signals that search teams detected are still "the most promising lead" investigators have in the search for the Boeing 777, Angus Houston told CNN's Anna Coren on Monday.

But are they all pings from the plane's data recorders?

A Wall Street Journal report Monday said authorities increasingly believe only the first two signals detected are relevant to the search. And a U.S. Navy source told CNN that Navy officials assisting in the search are sharing the signal data with U.S. agencies and consultants for "re-analysis," adding that searchers have more confidence in the first two pings detected.

Houston told CNN it's still too soon to rule out any of the signals.

"Analysis on all four detections is continuing," he said. "At this point in time, it is too early to discount any of the acoustic detections."

The pings have played a key role in shaping the search for the plane, which went missing March 8 during a flight from Kuala Lumpur to Beijing with 239 people onboard.

Houston told CNN the hunt for the plane is even more difficult than that for Air France Flight 447, which disappeared in the Atlantic Ocean in 2009.

"The big difference between Air France 447 and MH370 is that the last known position, in terms of MH370, is at the top of the Malacca Straits, and then the aircraft continued to fly for an extended period after that," Houston told CNN's Anna Coren on Monday.

"Whereas Air France, they had a very good last known position, which then turned out to be very close to where the aircraft was eventually found."

But he said searchers are performing "groundbreaking work" with satellite analysis, which has helped isolate the search area in the Indian Ocean.

"Without that, we would be essentially searching the whole of the Indian Ocean, and I think the chances of finding the aircraft in those circumstances would have been slim," Houston said. "I think by having this defined search area ... I think eventually we will find the aircraft."

Houston is the chief search coordinator for the Joint Agency Coordination Centre, based in Australia. He said his greatest concern throughout the two-month search has been the families of those on board.

"To have a set of circumstances where you don't know what's happened to your loved ones in circumstances such as this, it's just a terrible, terrible emotional trauma of all of those involved," he said.

"And beyond that, the wider public has a great interest in what happened here because we all fly in airplanes, and we all fly long distances over water, and a lot of people want to know what happened and why it happened."

Hunt for MH370 gets deeper, broader, pricier

About criticism of Malaysia

Since the plane disappeared on March 8 with 239 people on board, the Malaysian government has been criticized for its response and accusations that it has not been transparent.

Houston said he believes Malaysia has been forthcoming.

"I think some of the commentary about what the Malaysians have done, I don't think is as fair and objective as it might have been," Houston said. "People are looking for answers, and there are no answers at the moment. That's the difficulty."

'It just disappeared'

Houston said he understands why many families are frustrated by the lack of information.

"Initially, the aircraft -- well, simply put, it just disappeared. And I guess in this day and age, that surprised a lot of people," he said.

But such a disappearance is quite possible if the transponder or anything on the aircraft that transmits signals is turned off.

"I think that's something that we, as a world community, have to correct as soon as possible," Houston said. "We need to have jetliners that are equipped with some sort of tracking device that can't be turned off, that can be tracked all of the time. And with satellite technology available, I think that can be done in the near future."

On the same day that Houston spoke, a satellite communications company said it would begin providing a free global airline tracking service.

Inmarsat, the company whose satellite had the last known contact with Flight 370, said it proposed the service to the International Civil Aviation Organization ahead of the ICAO's conference on aircraft tracking this week.

"This service is being offered to all 11,000 commercial passenger aircraft, which are already equipped with an Inmarsat satellite connection," the company said in a statement.

It said the tracking would cover "virtually 100% of the world's long haul commercial fleet."

CNN's Rene Marsh and Catherine E. Shoichet contributed to this report.

@highlight

NEW: Angus Houston says underwater signals remain "the most promising lead"

@highlight

"Groundbreaking work" with satellite analysis will help find the plane, he says

@highlight

Houston defends Malaysia's response to the missing plane

@highlight

Inmarsat offers free global airline tracking to all 11,000 commercial passenger planes