(CNN) -- Since March 11, the six reactors at the Fukushima Daiichi nuclear power plant have been in various states of disrepair after being battered by a 9.0-magnitude earthquake and subsequent tsunami.

Here is the latest on the status of each reactor and what was being done to prevent further emissions of radioactive material.

Reactor No. 1

Pressure and temperature levels at the No. 1 reactor continue to fluctuate, though Hidehiko Nishiyama of Japan's nuclear and industrial safety agency told reporters Friday that the situation then appeared "rather stable."

While conceding that "controlling the temperature and pressure has been difficult," Nishiyama said there were indications that the pressure and temperature were both decreasing.

Authorities hope to begin injecting fresh water, rather than seawater as has been done, into the reactor's spent nuclear fuel pool.

According to the Japan Atomic Industrial Forum, a nuclear industry group basing its data on official government and utility information, the No. 1 unit's reactor core has been damaged, but its containment vessel was not. As of Friday, the reactor's cooling systems were still not operational.

Still, the building was "severely damaged" by an earlier hydrogen explosion.

While electricity issues remain, lighting has been restored for this and the No. 2 reactors.

Reactor No. 2

Like with No. 1, there has been evidence of high radiation levels in spots in and around the No. 2 reactor -- though not as high as that of the No. 3 unit.

Nishiyama said Friday that authorities hope to start injecting fresh water (rather than the current seawater) into the reactor's core and spent nuclear fuel pool. The water is being pumped in to help cool down nuclear fuel rods and prevent the further emission of radioactive material.

Damage is "suspected" in this unit's containment vessel -- the only such vessel so compromised, according to the Japan Atomic Industrial Forum. The reactor's core is also thought to be damaged. But the building itself has only been "slightly damaged," the same group reports.

That said, the containment vessel pressure is considered "stable," the nuclear industry trade group reports.

Reactor No. 3

The water that three men stepped in while laying cable in the basement of the No. 3 unit's turbine building had 10,000 times the amount of radiation typical for that locale, Nishiyama said. The workers -- each of whom tested 170 or more millisieverts of radiation, including two with direct exposure on the skin -- were admitted Friday for four days of observation at Japan's National Institute for Radiological Sciences, a research hospital in Chiba.

He noted that the contamination likely came from the reactor's core, adding there's a possibility of "some sort of leakage." That potentially could come from a crack in the reactor core, though Nishiyama cautioned that there is no definitive answer yet on how the radioactivity got into the basement.

Despite the suspected damage to the reactor core -- something that isn't presumed at any of the other five reactors -- the nuclear safety official said there is evidence that pressure is somehow being maintained in the vessel, making it less likely there is a big gash.

"Radiation levels are high" in some locations in and around the reactor, Nishiyama said.

These issues, including the radiation in the water, are prompting authorities to consider "other routes" to address issues at the reactor without exposing workers to excess radiation. Nishiyama said that, as of Friday afternoon, there was no firm plan on workarounds.

Firefighters from Kawasaki, with assistance from the Tokyo fire department, sprayed water Friday on the No. 3 reactor and its spent nuclear fuel pool.

The building of the No. 3 reactor was "severely damaged" after an explosion caused by the buildup of hydrogen gas, reports the Japan Atomic Industrial Forum. Its core reactor is also damaged, its fuel rods are either partly or fully exposed. As to its nuclear spent fuel pool, reports are that the pool was "possibly damaged" and the water level has been low -- a reason for the repeated spraying.

Reactor No. 4

A concrete pump truck was used once again Friday to inject seawater into the unit's fuel pool.

Along with the Nos. 5 and 6 units, the No. 4 was offline on a scheduled outage when the earthquake hit, and as a result the reactor's water level and pressure are continued safe.

But its nuclear spent fuel pool was "possibly damaged," which is why authorities have said its water levels are low and why they've made repeated efforts to fill it up with seawater.

Reactor No. 5

The No. 5 unit appears safe, for now, Nishiyama said. Its capability to cool the fuel rods in the spent fuel pool is working again, according to the Japan Atomic Industrial Forum.

As with units Nos. 4 and 6, this reactor was off on a scheduled outage when the quake hit and there are no major issues with the reactor and core itself. The nuclear spent fuel pool is thought to be functioning, aside from continued concerns about powering its cooling system to ensure that the fuel rods contained within remain cool.

As with unit No. 6, three holes were punched in the building earlier in order to relieve pressure and prevent a hydrogen explosion.

Reactor No. 6

The No. 6 unit appears safe, for now, Nishiyama said. Its capability to cool the fuel rods in the spent fuel pool is working again, according to the Japan Atomic Industrial Forum.

The No. 6 reactor was offline when the tsunami struck, and there are no major concerns about the structure or safety of its core or containment vessel. The nuclear spent fuel pool is thought to be functioning, aside from continued concerns about powering its cooling system to ensure that the fuel rods contained within remain cool.

As with unit No. 5, three holes were punched in the building earlier in order to relieve pressure and prevent a hydrogen explosion.

@highlight

The Nos. 1 and 3 reactors are prime concerns at the northeastern Japan plant

@highlight

Authorities are trying to determine the source of an apparent leak in reactor No. 3

@highlight

An official says No. 1 seems "rather stable" after challenges with heat and pressure