London, England (CNN) -- China will execute within a few hours a British man convicted of smuggling heroin, his family said Monday.

Akmal Shaikh, 53, has been informed by the Chinese authorities that he will be executed, said Seema Khan and Latif Shaikh, first cousins of the condemned man.

The relatives told CNN that Shaikh's mother had not been informed of his execution, scheduled for Tuesday morning. "We are keeping the news away from her," Khan said. "We don't feel she can take the news and bear the brunt of it."

Shaikh has exhausted all his legal appeals.

The Chinese government is not known to give 11th-hour reprieves. But Khan and Shaikh said they are nevertheless "hoping the Chinese government will show some compassion."

Shaikh's supporters maintain he is mentally ill and that Chinese officials did not take that into account when trying him.

A United Nations official has asked China not to go forward with the execution. Philip Alston, the U.N. special rapporteur on extrajudicial executions, has said it would be a "major step backwards for China" to execute a mentally ill man.

"Both Chinese and international law clearly indicate that a person who committed a crime while suffering from significant mental illness should not be subjected to the death penalty," Alston said in a statement released by Reprieve, a British legal group.

"I very much hope that the government will grant clemency in this case."

Britain too has asked China not to execute Shaikh.

"The British Government has been doing and will continue to do everything within its power to secure a fair trial and clemency on the death penalty for Akmal Shaikh," a Downing Street spokesman said Monday.

"The prime minister has intervened personally on a number of occasions: he has raised the case with Premier Wen (Jiabao), most recently at the Copenhagen summit; and has written several times to President Hu (Jintao). At every level ... the government has raised its concerns, made clear our opposition to the death penalty, and requested a full mental health assessment. We will remain engaged in the coming hours."

China says it has followed the law.

"This case has always been handled according to law. During the trial, the defendant has been guaranteed his legal rights," Jiang Yu, spokeswoman for China's Ministry of Foreign Affairs, said last week. "Everyone knows that international drug smuggling is a grave crime."

Shaikh was convicted of carrying up to 4 kilograms (almost 9 pounds) of heroin at the Urumqi Airport in September 2007. His final appeal -- to the People's Supreme Court -- was rejected a week ago.

He would be the first European Union citizen executed in China in 50 years, Reprieve said.

The organization says Shaikh may be suffering from bipolar disorder, which is characterized by delusional and manic behavior. The group says Chinese authorities have refused requests for Shaikh to be examined by a doctor and for his mental condition to be taken into account during his trial and sentencing.

"We deeply regret that mental health concerns had no bearing on the final judgment despite requests by Mr. Shaikh's defense lawyer and repeated calls by the prime minister, ministers, members of the opposition, as well as [the] European Union," the British Foreign Office said last week.

A spokesman for China's Ministry of Foreign Affairs told CNN in October there was no evidence of mental illness.

"The British Embassy and a British organization proposed to have a psychological exam but could not offer any proof of mental illness," the spokesman said. "The defendant himself said that his family does not have a history of mental illness."

Shaikh said he was given a suitcase to carry by another man who had duped him into believing he was traveling to China to become a nightclub performer, and was unaware that the bag contained drugs.

Reprieve campaigners have revealed details of Shaikh's erratic lifestyle prior to his arrest -- including traveling to Poland to start an airline and then on to Central Asia to become a pop star.

While living in Poland, Shaikh was approached by a man who helped him write a song that Shaikh believed would bring world peace, according to Reprieve.

The man said he knew people in Kyrgyzstan who could help Shaikh become a pop star. Once there, Shaikh was introduced to another man called Okole, who told him he owned a nightclub in China where they would launch his singing career.

The pair traveled together to Tajikistan, staying in a five-star hotel.

Okole then told Shaikh he would have to travel on to China himself because there was only one seat available on the plane -- and gave him the suitcase to carry, according to Reprieve.

Forensic psychologist Peter Schaapveld said he suspects Shaikh is suffering from a severe mental disorder.

Schaapveld traveled to Urumqi this year for Shaikh's appeal hearing but was unable to meet Shaikh or attend the appeal. He said British consular staff told him court officials had been "bemused and amused" by Shaikh's "incoherent" testimony.

Schaapveld also examined hundreds of pages of rambling e-mails sent by Shaikh to the British Embassy in Poland and various public figures, including then-U.S. President George W. Bush and former Beatle Paul McCartney.

He said the evidence "very clearly" suggested Shaikh was "probably suffering from bipolar disorder and may also have an additional delusional psychosis."

CNN's Jo Ling Kent in Beijing and Zain Verjee and Simon Hooper in London contributed to this report.

@highlight

China will execute British man convicted of smuggling heroin within hours, his family says

@highlight

Akmal Shaikh supporters maintain he is mentally ill and officials did not take that into account when trying him

@highlight

British government has asked China not to execute Shaikh but China says it has followed law