(CNN) -- For the past five years, Austria-based art historian and photographer Alfred Weidinger has traveled across Africa in search of royalty. His photography project, The Last Kings of Africa, is his attempt to capture the beauty and mystique of the region's most powerful sovereigns. So far he has photographed 220 tribal kings and leaders, with many more to go.

"I have a sort of deadline for myself -- which is the end of next year. It's not a question of the amount of kings or tribal leaders, it's just a question of countries," says Weidinger, who plans to visit Africa twice this year and six times in 2015.

"There are still countries I definitely want to visit, for example Swaziland and the southern part of Sudan."

Weidinger's photographic endeavors in Africa started in 1979 but the cumbersome equipment typical to that era quickly deterred the photographer. Fast forward 30 years, and a chance commission for a photographic exhibition sparked a long-term project where the lavish culture of Africa's dynasties became the focus.

Weidinger had no definitive guide to help him locate all of Africa's royals and tribal leaders. Armed with only two cameras and a tripod, his trips were mostly improvised.

"There is no list, there is nothing! So you just have to go there," says Weidinger.

"The most important thing is to find one king -- when I have one, he will guide me to the others."

The power game

There are hundreds of African monarchies scattered across the continent but in most cases governing power is either restricted or nonexistent. Government officials, however, know it's best not to overlook the influence these leaders possess over their respective communities.

"Some countries put the monarch system back into the constitution, they give power to the traditional leaders," says Weidinger.

"In effect, some politicians use it because every tribal leader (represents) an ethnic group and they still follow the words of the elder or the tribal leader, they are not following what is happening with the politicians in the capital."

According to Richard Dowden, the director of The Royal African Society and author of Africa: Authored States, Ordinary Miracles, monarchies tend to flourish in countries with a weak government structure or lacking a formal constitution. In these instances, tribal leaders and monarchs are deemed more trustworthy for getting things done. Niger, Sierra Leone, Burkina Faso and Benin are a few examples of countries with a strong tribal leaders, some of whom occasionally tackle government functions. Fon Ndofoa Zofoa III, for example, makes official decisions over hereditary land in his chiefdom in Babungo in Cameroon. Other leaders, like Sarauniya Aljima, the queen of Lougou in Niger, weigh in on private matters, such as marriage.

"When there is a marriage to be made (in the village, monarchs) will return to sort it out. In these sorts of matters, they do retain a lot of power," says Dowden.

Weidinger found that one thing that seems to distinguish African monarchs from royals across the globe is a keen religious focus:

"Their power is in spirituality and this makes (African monarchs) so unique."

The danger of cell phones

Weidinger says that in his opinion, the biggest threat to Africa's last remaining monarchs isn't local government, but modernity.

Though poised in luxurious cloths and perched on gilded thrones, the threat of globalization has disturbed the influence and social standing of many of Wedinger's subjects.

"When you come to a region and you see that they are working with mobile phones, it's a kind of sign. If you see mobile phones you definitely know that it's a dying ethnic group. African culture is changing, there are changes in communication. People are going to the capitals and living where there is no need for a king anymore," he says, adding that cell phones have made people living in rural communities less isolated. Now, the problems they would typically raise with their community leaders they can take to experts further afield.

Dowden, however, thinks these monarchs will retain their power for a while yet.

"I think the chiefs will survive," he says.

"Depending on how local governments in Africa develop, they'll either become figures for tourists or they'll continue to play a very important role."

@highlight

Photographer Alfred Weidinger is traveling across Africa to capture the continent's last remaining monarchs

@highlight

He has photographed 220 tribal kings and chiefs since 2009

@highlight

The biggest threat to these monarchs, says Weidinger, is cell phones