London (CNN) -- European leaders recently thrashed out a deal aimed at ending months of uncertainty over the future of the euro and resolving an escalating debt crisis that has pushed several economies to the brink of collapse.

The eurozone fiscal pact has to be ratified by 12 participating nations. The UK refused to sign up to the deal and now Ireland has called a referendum on the treaty -- a decision that could cause difficulties for the agreement.

So what was originally agreed in the treaty negotiations?

The "fiscal compact" outlines the closer integration of the national budgets of the 17 eurozone countries. A new legal framework and greater fiscal scrutiny will be imposed to avoid a repetition of the dubious financial practices that triggered the crisis. The treaty also agrees to strengthen mechanisms that guarantee short-term stability to euro economies in hot water.

The main points are:

• The legal framework will see those signed up to the deal effectively hand more sovereign powers over to centralized European control.

• Under the new deal, eurozone nations must be deliver "balanced" budgets, designed to ensure there is no repeat of the overspending and under taxation that left Greece in need of a bailout. All plans to issue national debt must be reported in advance.

• The current European Financial Stability Facility (EFSF), the money-lending safety net created by the eurozone last year to combat the crisis, will be phased out in mid-2013.

• The implementation of the eurozone's permanent bailout fund, the European Stability Mechanism (ESM), brought forward to 2012, will run alongside the existing fund for about a year.

• Voting rules in the European Stability Mechanism will be changed to allow emergency decisions to be passed with an 85% qualified majority -- an attempt to move away from the deadlock that has stymied earlier bailouts.

Where will the money come from?

Bailout money comes from selling bonds guaranteed by eurozone countries. The bonds are bought by investors --- which can include countries like Japan --- in return for interest. The cash raised is then lent to the eurozone countries in trouble.

The EFSF was set up in a hurry after Greece's May 2010 bailout, and was only ever meant to be temporary. Its lending firepower has been boosted to €440 billion from an original €250 billion.

The ESM will get €700 billion in funds paid in by eurozone countries relative to the size of their economies. That cash will likely come from national treasuries. That chunk of cash sitting as back-up means the ESM will be able to lend up to €500 billion when it is fully operational.

The €200 billion earmarked for the IMF will come from Europe's national central banks. It will likely come from the banks' reserve funds, although the details are not yet agreed.

What sanctions can be imposed on countries that breach the deal?

The deal says there will be "automatic consequences" including possible sanctions if member states exceed a 3% deficit ceiling --- in other words, greatly spend beyond their means.

There will be graduated financial sanctions for those countries which consistently breach the ceiling.

What are the consequences for the financial markets?

Global stocks were mixed after the deal was unveiled and analysts warn only time will tell if it can work. The plan could supply short term stability but previous experience on euro crisis measures shows relief can be brief.

Elisabeth Afseth, of Evolution Securities, says its success may depend on whether markets believe Europe's politicians will stick to tighter financial supervision.

Has everyone agreed to the deal?

No. Talks have been fraught and the resulting deal threatens to become one of the most divisive issues the 27-nation European Union has ever faced.

Some European Union nations have balked at ceding further powers to EU authorities and have threatened to walk away. Some say this will result in a two-tier European Union.

So who is in and who is out?

All 17 eurozone nations and six other EU states outside the euro area have signed up. Initially, four countries cast doubt on the deal, complaining that it sweeps away some of the away hard-fought foundations of the European Union.

Sweden's Prime Minister Fredrik Reinfeldt told CNN that he had no mandate for treaty change. But, alongside Hungary and the Czech Republic, he said his country would leave the door open.

This leaves Britain, under Prime Minister David Cameron, alone among the 27 European Union nations to point-blank refuse to sign. Cameron said the treaty failed to safeguard Britain's voice in crucial policy decisions over the European single market and financial services sector. He said he had effectively vetoed an original deal, forcing German Chancellor Angela Merkel and French President Nicolas Sarkozy to forge ahead with a treaty that will be subservient to EU regulations.

Ireland has decided to hold a referendum on the fiscal pact because under the Irish constitution the people have to vote to ratify any significant transfer of sovereignty to Europe. It is likely to take at least three months to organize the referendum. The Irish have twice rejected EU treaties, only to approve them in second referendums.

Is this the beginning of the end for the European Union as we know it?

The treaty has exposed deep divisions between European Union members -- chiefly Britain and the rest of the bloc.

This sets the stage for a series of legal challenges as Britain strives to ensure the treaty does not result in a wholesale restructuring of the EU.

With Britain forcing the treaty to operate outside EU mechanisms, there could be an appetite among the rest of Europe to cold shoulder the UK and concentrate resources within their new club.

That said, Britain's prior refusal to join the euro and pervading "euro scepticism" could just mean the new treaty reinforces the status quo, albeit with frostier relations.

So will this solve the crisis?

The new treaty was not due to be finalized until March this year -- after which it will have to be ratified by all participating countries. The Irish vote will likely delay this process.

Even aside from the potential spanners in the works presented by Britain, Hungary, Sweden and the Czech Republic, grim prospects for the euro and European Union still lurk on the horizon.

Ideally, everyone will stick to the new rules, and those countries that require emergency bailouts will be granted them, allowing the European Union to slowly put its debt problems behind it.

The danger is that with politically-unpopular austerity measures biting deep, the new stricter controls on government borrowing will become unworkable. This could lead to an evaporation of investor confidence, the collapse of debt-exposed banks, an emptying of government coffers, a nosedive by share markets, and bleak prospects for the euro.

@highlight

"Fiscal compact" lays out tighter financial rules for eurozone countries

@highlight

Deal also strengthens mechanisms to safeguard financial stability and bailouts

@highlight

Britain has walked away from deal, raising prospect of EU in-fighting

@highlight

Ireland has decided to hold a referendum on the fiscal pact which could take months to organize