(Wired) -- Unmanned aircraft, for all their utility, are fairly simple beasts. They're good at taking direction, but they're not so good at processing information on their own. Now the Air Force figures it's time for drones to get a lot smarter, especially as they take off or land.

As anyone who's ever flown knows, the runway is a crowded place. Planes on the runway queue up to get airborne. Planes in the air have to coordinate with Air Traffic Control for the order in which they can safely land, taking precautions not to get in anyone's way until it's their turn. There's a fair amount of information to rapidly process in order to avoid collisions and other accidents. Pilots can handle that information load. Drones can't. Yet. It's one of the big reasons why the Federal Aviation Administration has been so reluctant to allow unmanned aircraft to fly over the U.S. Even robotic flights over relatively unpopulated areas along the southern border have been canceled when there's the most routine technical hiccups.

On Tuesday, the Air Force Research Laboratory at Ohio's Wright-Patterson Air Force Base said it'll soon solicit engineers to design an algorithm to allow drones to "integrate seamlessly" with piloted planes for takeoff and landing. In the algorithm-driven future that the labs want to build, drones will be equipped a database of terminal procedures; link up with Air Traffic Control; and "recognize the intent of other aircraft."

For instance: aircraft landing on parallel runways can appear to be on a collision course before they turn and land. Right now, a drone would simply perceive that a plane's trajectory is going to remain unchanged, making it a threat for collision. But a capable algorithm would let the drone process Air Traffic Control information like basic airfield maps to know that there's no actual danger from the oncoming piloted plane.

"The developed algorithm(s), optimally, would require no more a priori information than a human pilot," the labs instruct. "Intent analysis should be accurate, reliable and real-time, enabling quick and appropriate decisions that are necessary in this time critical environment."

There's a clear commercial application here. As Wired mentioned on Wednesday, FedEx is starting to think about an airfleet of linked-up drones that can fly in formation at the direction of a piloted aircraft. Building algorithms that can let drones process complex information in congested airspace sounds like a useful step toward that futuristic cargo fleet.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2010 Wired.com.

@highlight

Drones that process complex information in congested airspace could be useful

@highlight

Air Force Research Laboratory will find engineers to create drones that "integrate seamlessly"

@highlight

FedEx is thinking about an airfleet of linked-up drones that can fly in formation