Mitt Romney picked up a highly prized endorsement Wednesday from former Florida Gov. Jeb Bush after a convincing victory the night before in the Illinois primary but then saw a top adviser's televised comment provide new ammunition to his trailing rivals in the Republican presidential race.

Eric Fehrnstrom, Romney's senior campaign adviser, was asked in a CNN interview Wednesday morning whether the former Massachusetts governor had been forced to adopt conservative positions in the rugged race that could hurt his standing with moderates in November's general election.

"I think you hit a reset button for the fall campaign. Everything changes," Fehrnstrom responded. "It's almost like an Etch A Sketch. You can kind of shake it up, and we start all over again."

Rival candidates Rick Santorum and Newt Gingrich, who are vying for conservative support against the more moderate Romney, seized on the comment as indicative of their longstanding criticism that Romney shifts his positions on issues such as health care reform and abortion to suit his political needs.

Gingrich brought out an Etch A Sketch at a campaign appearance in Louisiana, where the next primary takes place Saturday.

"You have to stand for something that lasts longer than this," Gingrich said at the Lake Charles event, holding the drawing toy invented in 1959.

"You could not have found a more perfect illustration of why people distrust Romney than to have his (adviser) say that the Etch A Sketch allows you to erase everything in the general election," Gingrich added. "You have to read the guy's quote to realize -- if he had set out to highlight for everybody why we distrust Romney, I think he couldn't have done a better job."

Santorum's campaign posted a photo on Twitter of the candidate using an Etch A Sketch, saying it showed him "studying up on (Romney's) policy positions."

Romney "will say what he needs to say to win the election before him, and if he has to say something different because it's a different election and a different group of voters, he will say that, too," Santorum said while campaigning in Harvey, Louisiana. "Well, that should be comforting to all of you who are voting in this primary."

Fehrnstrom later said he was referring to the campaign as a whole, and Romney spoke to reporters after an afternoon event to try to exercise some damage control.

"Organizationally, a general election campaign takes on a different profile," Romney said. "The issues I am running on will be exactly the same. I am running as a conservative Republican. I was a conservative Republican governor. I will be running as a conservative Republican nominee, at that point hopefully, for president. The policies and positions are the same."

However, the Etch A Sketch remark -- coming on what should have been a triumphant day that happened to be Romney's 43rd wedding anniversary -- threatened to sap attention from his growing momentum toward winning the nomination to face President Barack Obama in November.

Romney scored a solid victory in Tuesday's Illinois primary, followed by the endorsement Wednesday from Bush, a respected Republican leader once considered a possible presidential contender this year.

"Now is the time for Republicans to unite behind Gov. Romney and take our message of fiscal conservatism and job creation to all voters this fall," Bush, the brother of one Republican former president and son of another, said in a statement.

A spokesman for Gingrich said the Bush endorsement merely demonstrated the Republican establishment's push for Romney instead of a less conventional candidate like the former House speaker.

"It's a completion of the establishment trifecta," Gingrich spokesman R.C. Hammond said in reference to endorsements for Romney by former President George H.W. Bush, former Sen. Bob Dole and now Jeb Bush.

Analysts sounded like the Republican campaign was essentially over.

Romney's Illinois victory showed "the writing's on the wall" for the rest of the field, said CNN analyst Erick Erickson, a longtime Romney critic.

"This comes down to Mitt Romney," Erickson said. "Not only is he the front-runner but the nominee. This is a clear win for Mitt Romney tonight in a state with blue-collar voters, with industrial voters and suburban voters."

The Illinois result followed established patterns in the Republican race, with Romney doing well in urban and suburban areas while Santorum, the former Pennsylvania senator who is his main conservative rival, ran strong in rural areas.

In Chicago, Romney had 55% of the total with 99% of precincts reporting, while Santorum notched 25%, according to the city's election website. In Lake County, one of the surrounding counties near Chicago, Romney had 56% with all precincts reporting, according to the clerk's office website, and Santorum had 28%.

Texas Rep. Ron Paul and Gingrich trailed well back, according to unofficial results from local clerks and election boards.

The results gave Romney at least 41 of the 54 delegates up for grabs in the state, increasing his total to 562, according to CNN's estimate. Santorum is second with 249, Gingrich third with 137 and Paul last with 69.

A total of 1,144 delegates is needed to clinch the GOP nomination.

Romney's campaign trumpeted the Illinois showing as a broad-based triumph, seeking to overcome questions about the candidate's ability to win over the conservative GOP base.

"Romney won with tea party voters. He won with Catholics," campaign spokeswoman Andrea Saul said. "There are a lot of groups within the Republican Party, and Gov. Romney has won their votes."

In remarks to cheering supporters, Romney resumed his front-runner attacks on Obama's economic, health care and spending policies.

"The simple truth is, this president does not understand the genius of this economy," Romney said, adding that "the American economy is fueled by freedom."

Santorum skipped Illinois on primary night and awaited the results in Gettysburg in his home state of Pennsylvania. In his concession speech, below a banner that proclaimed "Freedom," he said he was staying in the race to battle a government that he complained was "trying to order us around."

"This is an election about fundamental and foundational things," Santorum said, attacking Romney's claim of greater business and government management experience. "This is an election about not who's the best person to manage Washington or manage the economy. We don't need a manager, we need someone who's going to pull government up by the roots and do something to liberate the private sector in America."

Santorum said he expected to do better in upcoming primaries and caucuses, adding: "We are feeling very, very good about winning Louisiana on Saturday."

Santorum has made a strong showing in traditionally conservative Southern states, winning Alabama and Mississippi a week ago, while Romney finished third.

Another Santorum victory in Louisiana would continue the pattern of the race, while a Romney win would signal growing support from the conservative base that he needs to finish off his rivals.

Romney's Illinois victory followed an overwhelming triumph Sunday in Puerto Rico, where Romney got 83% of the vote and picked up all 20 delegates at stake.

Gingrich, who appears increasingly unlikely to mount another comeback after two previous campaign surges, issued a statement Tuesday night blasting Romney for relying on his vast financial resources rather than offering "solutions that hold the president accountable for his failures."

"To defeat Barack Obama, Republicans can't nominate a candidate who relies on outspending his opponents 7-1," Gingrich said.

Saul, the Romney spokeswoman, responded:  "That's like a basketball team complaining they lost to another team because their players were too tall.

"Fundraising is part of a campaign. So is organization," Saul said.

Gingrich plans to head to Louisiana, as does Paul, the libertarian champion with a small but devoted following.

@highlight

Mitt Romney responds to Etch A Sketch comment by affirming his conservatism

@highlight

Rivals jump on Romney aide's remark that his campaign can reset like an Etch A Sketch

@highlight

Jeb Bush endorses Romney and calls for Republican unity

@highlight

The Louisiana primary Saturday is the next contest in the Republican presidential race