(CNN) -- Kjeld Schigt certainly understands the allure of stepping away from the business world to embrace a healthier lifestyle.

Until 2010, the Rotterdam-born Schigt worked as a strategic business consultant for BP International, a high-powered job that kept him ricocheting so constantly between London and Paris that he barely had time to unpack his suitcase. Then, a two-week trip to Costa Rica changed everything.

Check in: World's best airport hotels

"Finally," Schigt remembers about his sojourn, which he spent surfing on the country's sunny Pacific coast, "I felt excited to get out of bed in the morning. I felt full of energy and that finally I was getting things—things I was passionate about—done."

The trip prompted Schigt to make a major paradigm shift. Within a month he'd quit his job, bought a slice of secluded beachfront property on Costa Rica's southern coast and opened the new business there that he still runs today: Kalon Surf School, which offers retreats for (among others) plenty of stressed-out business executives.

For most of us, of course, the idea of dropping our business careers to pursue fitness and fun is something of a pipe dream. When our first meetings of the day start at 7 a.m. and "after-work plans" often involve wining and dining clients, even squeezing in an hour to hit the gym can seem impossible. Yet we all know we feel better—and work better—when we're healthy. So what's the solution? Get-fit getaway packages, which let us spend a few days rebooting and relearning healthy habits to incorporate into our busy lives.

Executive Travel: Top airport lounges for business travelers

"People are tired of sitting on the beach with a Mai Tai," says Kirkland Shave, program director at Mountain Trek Health, Fitness & Weight Loss Retreat. He sees more and more business travelers using their time off to do something healthy—like hiking trails in the awe-inspiring mountains of British Columbia. While part of what retreat guests love about the Mountain Trek experience is their shrinking waistlines, Shave says the restorative power of nature is equally powerful. "A week without hearing a car," he says, "can blow someone's mind."

The combination of activity and beautiful scenery seems to be the magic formula for many of today's best get-fit retreats. But all approach the "reboot" experience differently, whether by leading participants through downward dogs on Mexico's Riviera Maya, biking (and tasting) through California wine country, or taking group swims in the warm, clear waters of the British Virgin Islands. Some programs put an even greater focus on healthy food preparation and consumption, like the Techniques of Healthy Cooking boot camps run by the famed Culinary Institute of America.

Executive Travel: Best new carry-on luggage

Miraval Resort: Tucson, Arizona

Miraval's sprawling 400-acre campus, just outside Tucson, routinely hosts execs from Fortune 500 companies such as Nike and Google. Take part in the Discover Miraval package here (for as many days/nights as you choose) and you'll see why: the healthful pursuits here range from daily yoga and meditation classes to private nutritional consultations to rock climbing up the granite crags of 7,000-foot Mount Lemmon, the highest point in the Santa Catalina Mountains. The vast menu of relaxing body treatments (reflexology, hot stone massage) and the delicious spa cuisine served at the onsite Cactus Flower restaurant certainly don't hurt, either. From $633 per night.

America's 10 highest-tech hotels

Mountain Trek Health: British Columbia, Canada

If you need a firm hand to help you shed those extra pounds, a trip to Mountain Trek's lakeside resort for its "Fitness and Weight Loss Retreat" is just the ticket. Set between the awe-inspiring Selkirk and Purcell Ranges of British Columbia, the hiking boot camp runs from May to October and keeps you moving with a steady program of daily four- to six-mile hikes—beginning with an inescapable 6 a.m. wake-up knock on your door. After a few days of trekking through fields of wildflowers, steep wooded glades and misty riverbanks, the scenery might even distract you from the weight you're dropping: an average of four to six pounds per week for women, double that for men. From $4,000 for seven nights.

Executive Travel: World's most scenic train trips

Kalon Surf School: Dominical, Costa Rica

You'll want to pack light when heading to Kalon's laid-back beachfront property, nestled between the bathtub-warm waters of the Pacific and the lush green Cordillera mountains—everything, even sunscreen, is provided for you here. Surfing's combination of challenging exercise and exhilarating immersion in nature is powerful medicine for the overworked, and surfers with all levels of experience are welcome at the camp's week-long programs. (Daily clinics where your technique is assessed by videotape allow even newbies to improve quickly.) After a punishing day in the surf, bide time in the pool until dinner, when local delicacies like just-caught tuna in tamarind sauce appear from the kitchen. From $2,980 for seven nights.

Maya Tulum: Tulum, Mexico

If crystal-blue oceans, emerald-green forests and sugary beaches sound more inspiring than a sweaty yoga studio, head south to Mexico's Riviera Maya for the Mind Body Adventure Week at Maya Tulum. You'll stay in one of 45 intimate thatched-roof cabanas, located just steps away from the resort's two massive yoga halls; after waking up early to enjoy a cup of freshly pressed organic Mexican coffee, you'll get to choose from more than 10 varieties of yoga. Count on more than just sun salutations filling your day—there's plenty of time between classes to enjoy traditional Mesoamerican treatments at the onsite spa, venture out to nearby Mayan ruins or indulge in a restorative afternoon beach nap. From $2,645 for seven nights.

Red Mountain Resort: St. George, Utah

You can get your fitness groove back over a long weekend at an intense "Weekend Warrior" three-day boot camp. Red Mountain's location, set between Zion and Bryce Canyon National Parks, means your daily exercise will take place amid some of the country's most dazzling natural landscapes—surreal sunset-colored rock formations, soaring mountain peaks, black lava gardens. A strenuous itinerary of daily hikes, group fitness classes and individual exercise instruction will ensure you keep the calories burning (enough that you won't feel guilty tucking into your dinner of locally sourced elk at the Canyon Breeze restaurant). Après workout, you'll want to make time to visit the onsite spa, where desert botanicals and Utah honey are employed to ease your tired muscles. From $1,120 for four days/three nights.

See more get-fit getaways.

© 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Do sun salutations on the Riviera Maya or hike the Canadian mountains

@highlight

Surfing combines challenging exercise and exhilarating immersion in nature

@highlight

These getaways take the drudgery out of getting fit