(CNN) -- This time of the year, even the youngest children know something is up. There's a running stream of political advertisements on television, mail flyers with smiling politicians asking for our vote and the ubiquitous bumper stickers on cars.

You can tell when children are getting their daily dose of politics the moment they start parroting back "I'm Barack Obama/Mitt Romney, and I approve this message."

But making sense of the electoral process can be overwhelming for children.

"One of the problems is civics is not taught adequately in schools. A Democratic system relies on an enlightened citizenry, as Thomas Jefferson said, to meet its goals," says Charles Quigley of the Center for Civic Education, a non-profit, non-partisan organization that promotes civic education.

Schools used to spend more time teaching children about the political process in class. But national education reform's mandate for high-stakes testing has teachers and school administrators now placing more emphasis on math and language arts at the expense of political science, explains Quigley.

The 2010 Civics National Assessment of Educational Progress, also known as the Nation's Report Card, found the civics performance of twelfth-graders has been slipping. Only 64 percent of high school seniors were performing at or above basic level.

Achievement by U.S. 4th graders in civics was slightly better, with 77 percent at or above basic levels.

Where to start?

Quigley says parents can start in kindergarten talking about fairness and justice, why we need positions of authority and rules, what makes a good rule, individual responsibility and rights and the common good.

"Start early and build through the school years, and you will end up with an enlightened citizenry," Quigley said.

The Center for Civic Education provides lesson plans and discussion topics for parents and teachers.

Scholastic, the world's largest publisher and distributor of children's books, offers a political website geared for children with biographical information on the candidates, an election timeline, extensive teaching tools and games for children.

Scholastic also has student reporters who provide current coverage of the campaigns, debates and issues.

Children have a chance to cast their own "vote" in the presidential race on the Scholastic education site. Since 1940 when Scholastic started the tradition, students have successfully picked the winning candidate of the general election all but twice (exceptions: 1948 Dewey vs. Truman and 1960 Nixon vs. Kennedy).

"Every election year we take it seriously to teach readers about the Electoral College, our Founding Fathers and how the system they put in place was so resilient it has lasted more than 200 years," says Suzanne McCabe, Scholastic Classroom Magazine's editor-at-large.

2012 elections: Candidate and issue guide

In addition to online resources, students can find valuable information through library books.

NY Times Bestselling author and illustrator, Nick Bruel has written a book designed to get young students excited about the presidential race. His book "Bad Kitty for President" tracks the story of a cat running for the local Cat Club.

It's part chapter book and part picture book.

"I wanted to create a book that would be fun and interesting for kids about this whole process that this country goes through every four years that's bizarre, chaotic and wonderful in how we elect a president," says Bruel.

Bruel also visits elementary students around the country offering students a civics lesson. Even though it will be years before they can actually vote, Bruel says there is still a role they can play now.

"They can't vote, but they can go up to mom or dad and say, 'Have you registered to vote? 'Cause time is a-wastin!' "

Recommended books:

"Bad Kitty for President"
"The Election Book: The People Pick a President (updated)"
"The Kid Who Ran for President"
"Election 2012 Skills Books"

"Like" CNN Living on Facebook

Do you have any tips on educating kids about the electoral process? Share them in the comments section below.

@highlight

Civics education is falling by the wayside in the U.S. due to testing, says an expert

@highlight

Teaching kids about the electoral process at home can begin with talking about rules

@highlight

Scholastic.com has online tools for teaching kids about politics, civics and participation

@highlight

See book recommendations for teaching kids about elections at the end of this article