(CNN) -- More than a quarter-million American women served honorably in the Iraq and Afghanistan wars. These brave women sacrificed much to keep us safe. Now that they are home, or soon to be home, our country has a solemn obligation to help them transition back to civilian life.

Yet there is mounting evidence that America is not fulfilling this obligation. Based on data gathered by the Veterans Affairs and Defense departments, a recent report by Disabled American Veterans finds it clear that our country isn't fully meeting the unique physical, emotional and employment needs of women who served in uniform.

Although they served in equal capacities in combat environments, when they return home they receive less support than their male counterparts from government programs primarily designed for men.

Today, nearly one in five women who are veterans have delayed or gone without necessary health care in the past year. One in 11 is unemployed. Former servicewomen experience homelessness at between two to four times the rate of their civilian counterparts.

It's unacceptable that the women who honorably served our countryâ€”our mothers, spouses, sisters and daughtersâ€”are at risk. The DAV report finds that the federal, state and community programs to support women making the transition out of military service have serious gaps that put some of them in jeopardy.

Consider medical care. Today, one-third of the Department of Veterans Affairs medical centers lack a staff gynecologist and 18% of VA clinics have yet to hire at least one doctor specializing in women's health.

Mental health services for women are severely lacking. Twenty percent of female patients in the VA health system have been diagnosed with a condition resulting from military sexual trauma, which can have devastating, long-term consequences. Nonetheless, one in three VA health centers does not have enough sexual trauma specialists on staff.

Sadly, we are not doing much better when it comes to helping women gain post-military employment. Former servicewomen are highly skilled, with unique life experiences that give them valuable leadership qualities and the know-how to operate effectively in high-stress situations.

Yet the unemployment rate for female veterans has steadily climbed for most of the past decade, and is now higher than for male veterans. What's more, two-thirds of women report that the career service help offered by federal agencies has been sub-par.

These problems could soon get worse. The military has started on a major drawdown of personnel. As a result, more than 200,000 servicewomen are expected to rejoin the civilian workforce in the next five years.

Now is the time for action.

In our report, "Women Veterans: The Long Journey Home," DAV outlines 27 key policy and program recommendations that Congress, the administration, VA and the Departments of Defense, Labor, and Housing and Urban Development can take to strengthen the safety net for female veterans.

For starters, veterans' health centers must meet their obligation to provide specialists in women's health. At a minimum, every VA medical center must hire a gynecologist. And efforts to treat and help stamp out sexual assault within the military need to be expanded. Officials must intensify their efforts to change any remnants of a culture that comes at the expense of women's dignity and safety.

To help combat unemployment among female veterans, the Department of Defense must take a hard look at the primary program designed to help veterans go into the civilian labor force: the Transition Assistance Program. The department does not collect data on participation, satisfaction, and outcomes by gender and race. Simply put, the Department of Defense cannot tell us if the Transition Assistance Program actually helps female veterans find jobs. Also, the VA and Defense Department need to develop career guidance programs specially designed for women.

Finally, as the VA and Defense work to strengthen services to servicewomen, these agencies need to invest in improved child care options. Inadequate child care is proving to be a major obstacle for many women transitioning home. For example, many are unable to take part in specialized mental health services, such as post-traumatic stress disorder support groups, because child care is unavailable.

Thousands of women answered the call of duty and put themselves at risk to preserve our nation's security. They served this country faithfully. Serving them with greater respect, consideration and care must become a national priority.

@highlight

A quarter-million U.S. women served in Iraq, Afghanistan and are returning to civilian life

@highlight

Garry Augustine: They served in combat like men, but get less support than men do

@highlight

He says female vets go without health care, many are jobless, many are homeless

@highlight

Augustine: VA and DoD need to strengthen services for women, improve child care options