(CNN)Two million illnesses. 23,000 deaths. According to the Centers for Disease Control and Prevention, that's the human toll from antibiotic-resistant "superbugs" each year in the United States.

To fight the growing problem of infections that can't be treated, the administration of President Barack Obama is implementing a five-year national action plan at a cost of $1.2 billion. Those funds, part of the President's 2015 budget, which must still be approved by Congress, would nearly double the amount of federal money allocated to the fight.

The plan calls for creating a "one-health" approach to testing and reporting superbugs around the country, as well as establishing a DNA database of resistant bacteria.

New, rapid tests to detect emerging resistant bacteria will be developed.

Research for new antibiotics and vaccines will accelerate. The plan calls for two new options for people, and three for animals, by 2020.

Global surveillance and cooperation is also stressed, including a global database for animals.

A key goal is to slow the growth and spread of superbugs by reducing the use of antibiotics when they aren't needed. The plan calls for a 50% reduction in inappropriate antibiotic use in doctor's offices and a 20% reduction in hospital use by 2020.

"This is a lofty goal," said internist and Emory Associate Professor Dr. Sandra Fryhofer. "It's important for both patients and professionals to be on board."

There are still details to work out. "Who determines what's appropriate?" asked Atlanta pediatrician Dr. Jennifer Shu. "Are we going to have a checklist of requirements that have to be met? I think it might be a bit tough to measure, but I think improvement can definitely happen."

A recent survey of 796 health care professionals found 63% of the sample prescribed antibiotics when they weren't absolutely necessary, at least 10% of the time. A top reason: the patient requested it.

"Some patients put a lot of pressure on doctors to give them an antibiotic, and they may think they're not getting good care if they're not given one. But that's just not true," said Fryhofer. "It's become like an insurance policy but it's an insurance policy that doesn't give good dividends."

"I do find there is a lot of education that has to go on with patients that might expect antibiotics when their child is sick," said Shu, "but I think in recent years I have seen more of an awareness, and many of my patients are more hesitant to ask."

Another part of the plan pledges to eliminate the widespread use of antibiotics to boost the growth of animals raised for food. It will also phase in oversight by veterinarians for other uses of antibiotics in feed and water. While applauding the spirit of the pledge, critics say the limits are still too voluntary and limited in scope.

"The problem we have with the plan is that it only removes the growth claims from the label," said senior analyst Steve Roach at Keep Antibiotics Working. "What we hoped for in the plan was a commitment from FDA to identify which antibiotic uses other than growth promotion need to be changed."

"With 80% of the antibiotics produced in the United States being used in agriculture mostly for prevention," said Louise Slaughter, D-New York, who has an alternate proposal in front of Congress, "any meaningful solution to the looming antibiotic resistance crisis must begin with limits on the farm. Trusting a voluntary policy that lets industry police itself will not bring about real change."

@highlight

Antibiotic resistance is a pressing public health issue, CDC says

@highlight

Plan would nearly double the amount of federal monies allocated to the fight

@highlight

Patient use of unnecessary antibiotics will be curtailed