Austin, Texas (CNN) -- If 2011 was the year that South by Southwest Interactive grew up, 2012 may be when it decides it wants to don a suit and enter the corporate world -- or run off and join the Peace Corps.

The history of the funky, Austin-based festival suggests it may try to do both. Since its start as the multimedia portion of the SXSW Film Festival in 1994, the event -- which runs Friday through Tuesday -- has its roots in community-driven tech creativity. But in the last five years, the festival has grown bigger and more commercial.

Riding the explosion of interest in social-media services and mobile technology, the fest has a reputation for hosting some of the biggest names in tech and helping launch some influential start-ups.

In 2007, a tiny service nobody had heard of called Twitter used the fest as a launching ground, installing big screens around the Austin Convention Center with a stream of short messages on display called "tweets."

In 2008, Facebook founder Mark Zuckerberg was a disastrous keynote guest for a Q&A that was derailed by a disgruntled audience unhappy with interviewer Sarah Lacy's softball questions.

Both events were turning points for SXSW Interactive -- known to festival veterans as "South By" -- which at the time was still recovering from some lean years after the dot-com bust. Twitter's ascension meant many more start-ups began trying to use the festival, which is filled with influential early adopters, as a launching pad for their products.

And the Zuckerberg keynote was notable for the attention it brought to SXSWi as a place where crazy, unpredictable things can happen.

Huge growth

Over the last two years, the mix of hungry entrepreneurs, social-media mavens and SXSW's traditional attendees -- techies, designers and those interested in the societal impact of technology -- have shared an uneasy peace as SXSW Interactive has exploded in popularity.

From 2009 to 2010, SXSW Interactive's attendance jumped from nearly 11,000 to just under 15,000. Last year, the fest saw another spike, to nearly 20,000 attendees.

The festival says it doesn't expect a growth rate of 30-40% for 2012 as in previous years. But based on pre-registration numbers, attendance will likely increase again over last year.

All those extra bodies stuffing panel rooms and downtown parties at the festival have marked a shift in the culture of South by Southwest, and prompted a lot of soul searching by festival organizers. They're tasked with deciding what the future of Interactive will be in the face of more people, more programming and more interest in what is the festival's hot new tech.

Hugh Forrest, the SXSW Interactive director who has headed up the fest since it began, acknowledges that he and his staff are working hard to balance what he calls "start-up mania" with more community-focused parts of the event.

"Start-ups are hot. For better or for worse, we've been lucky enough to become a center for a lot of that stuff. It's one of the things that South By is built on and that's good," Forrest said. "One of the tensions we faced this year is we've got lots and lots of the start-up stuff and that's very exciting, but at the same time, it's not completely what we're about."

Business vs. community good

The tension between what's good for the online world (and the world at large) and what products can make money is at the heart of a lot of the festival's official programming.

Some people increasingly see SXSWi as a place where fledgling start-ups go to strike it rich. There's a "Start-up Village" area, an "American Idol"-styled start-up competition called "Accelerator," and lots of panels, parties and expo floor space devoted to them.

But the start-ups remain counter-balanced by less business oriented parts of the festival. And there's still an emphasis on socially conscious creativity.

The keynote speakers this year include humorist Baratunde Thurston, "cyber anthropologist" Amber Case, Code for America founder Jennifer Pahlka and futurist Ray Kurzweil. High-profile CEOs like Zuckerberg, Zappos CEO Tony Hsieh or Twitter co-founder Evan Williams -- all past keynote speakers -- are nowhere to be found on this year's roster.

For the first time, the festival will give out a Hall of Fame award at its Interactive Awards ceremony. Web pioneer Jeffrey Zellman is the first inductee. SXSWi also has expanded its Dewey Winburne Community Service Award to include national and international winners, instead of just local recipients.

Last year Interactive got attention for a community effort that was completely unplanned and that didn't spring from the fest itself: After earthquakes and tsunamis devastated Japan on the opening day of the festival, attendees launched "SXSW4Japan," which raised funds for relief efforts.

The 2011 festival also attracted the attention of Apple, which opened a pop-up store in downtown Austin to accommodate crowds clamoring for its just-launched iPad 2. (Apple says it has no such plans this year.)

2012's slate

SXSW is big enough now to encompass almost every conceivable tech perspective.

With more than 2,600 speakers and hundreds of topics, there's plenty of room for discussion about everything from the future of health care and the increasing role of technology in government change to good app design and the role of social media in Occupy Wall Street-style protests.

Celebrity panelists like TV foodie Anthony Bourdain, media titan Barry Diller, filmmaker Joss Whedon, filmmaker and comic-book geek Kevin Smith, actor Rainn Wilson and "Top Chef" star Tom Colicchio will share the bill with lesser-known web designers, bloggers and founders of tiny companies who made a new app they swear you just have to try.

This week also will find Dave Morin of Path talking about "why happiness is the new currency," Gawker's Nick Denton weighing in on the failure of online comments and a panel of Web producers pondering the question, "Is aggregation theft?"

Like most events with growing pains, SXSWi is full of contradictions. It's trying very hard to be both sprawling and intimate, continually plugged-in but also right there in person. It's a cutting-edge gathering that hates pretension. It's a mash of bodies with their heads in the Cloud, all looking to be dazzled by some new digital jewel.

Like any ambitious 19-year-old, SXSW Interactive is restless, driven and hard to pigeonhole. The festival may be unsure where it will end up, but it's convinced it knows how to get there.

@highlight

SXSW Interactive evolves from small, community-driven event into a huge industry happening

@highlight

From 2009 to 2010, SXSW's attendance jumped from nearly 11,000 to just under 15,000

@highlight

In 2007, a tiny service nobody had heard of called Twitter used the fest as a launching ground

@highlight

As the festival grows, it tries very hard to be both sprawling and intimate