(CNN) -- Devastation is devastation, whether a hurricane rips up your home or a tornado takes the person you love most in the world. It's loss, shock and confusion. It's anger and sadness and resentment. It's being flustered like you've never been flustered before.

But it's going to be OK: Take it from the people who survived Hurricane Katrina and the Missourians from Joplin whose town was leveled by the worst tornado in U.S. history.

They want Sandy survivors to know a few things:

You're probably on autopilot right now. You're moving through it. Stand in the ruins of the life you had before the disaster. Understand that was before. The after is when you're good and ready.

7 ways to manage stress in a disaster

Hours will still go by though. Days will happen. You might not remember to eat because you're filling out paperwork and talking to insurance operators. You will get put on hold.

Your life will feel forever on hold.

At some point, when you think you're handling it, you will stumble on something that reminds you of that old life, maybe it's a thing or it's a memory. Maybe this will happen when you finally get the sleep you've gone without since the disaster. You're going to feel really, really awful again for awhile.

Victims fall to Mother Nature's wrath

Make yourself anew

Eileen Romero still feels the weight on her chest. It has just gotten a little lighter in the years since Katrina. As a nurse, she saw heinous things in the hospital where she worked. Eight years on, it's hard to speak in full sentences without crying.

She watched the wall-to-wall television coverage of Hurricane Sandy, transfixed by the nurses who manually pumped air into newborns after carrying the infants down nine fights of stairs at NYU Langone Medical Center.

"I was right back in that hospital in New Orleans," Romero said. "I know those people. I felt that."

There are always burdens and rewards of being a caregiver. But in an emergencies, they are tenfold.

"They need to know it's going to be hard," Romero continued. "I mean, they saved those babies and they should feel good. But later it might hit them what they were able to get through just because they were trained to do that. And I would tell them, 'It's alright to be upset and to take time out to understand what you've been through.' "

It was comforting to Romero to watch the coverage of Sandy. While she was in the middle of Katrina, she didn't consider that it was the world's focus for days.

"I didn't even realize that we were being covered 24 hours a day," she said. "It was only months later that I comprehended that New Orleans was on TV all the time, that people cared so much about it."

Then again, there's another side to massive media coverage. People might feel obligated to talk about their pain if a reporter asks.

If you don't have the words, you don't have to conjure up something for anyone. No one else has the right to your story. Tell it when and how you want.

Romero became a photographer after Katrina because words kept failing her. When she tried to talk about it, her words were inadequate.

"Understand that the life you had before something like this isn't coming back, and that's not always a bad thing," she said. "Discover and make yourself anew."

Interactive: Remembering the victims

Look for what's funny

Every day, Romero takes her Yorkies out for a walk. It's a simple, effortless routine that has nothing to do with bad things in the world. Find something like that, or keep doing that one, pure, sweet thing that you always did, she said.

You're going to need lightness. Your sense of humor will be tested. Use it a lot.

You might have to move into a place that you'd never imagined you'd ever have to live, like a trailer or someone's garage. This could last for months, maybe a whole year. Your kids, spouse, in-laws and maybe some strangers will all be crammed in there. They might snore.

There are going to be fights and moments where you swear your head is gonna pop.

Writer Michael Tisserand and his wife, Tami, took damage to their home in Katrina. They and their two kids -- now 11 and 14 -- moved in with a friend.

"We were laughing about sleeping in these two twin beds that were squished together," Tisserand recalled. "We were getting food stamps for food banks for the first time. When you're learning about how it feels to be suddenly dependent on others, you have to look for what's funny."

Ask for help, give help

Don't be afraid to give or receive help, he said. Don't sit inside.

Try not to compare your pain or loss to someone else's. You don't have to swim through your living room to say you've been through hell.

Tisserand remembers being stunned and then weeping uncontrollably when he received a package from a friend.

It was a new laptop.

"You will feel helpless. I just felt like I was not the agency of my life then," he said. "It was so unbelievable to me that someone did that for me."

When anyone gives you anything, small or large, cheap or expensive, know that they are trying to be there for you.

The Tisserands are at home in New Orleans, a city they never want to leave. For many disaster survivors, the tragedy redefines their definition of home.

How to help

Take pictures of everything

Kelly Maddy grew up in Joplin, Missouri. The 29-year-old and his wife thought it would be fun to go out and chase a tornado that was set to hit in April 2011. Tornadoes got little more than a shrug in Missouri, so this wasn't really the craziest decision.

It's like choosing to stay at home when there's a Category 1 hurricane forecast for your area. You've gotten through nor'easters before, so what's the harm?

When the Maddys finally made it back to their house, it was kindling. Their cars were gone.

"The night was a blur," he said. "You just stare and wonder what happened to my life? Then the panic."

"Document everything," Maddy said. "Every single insurance person you talk to -- and you'll be bounced around from person to person -- write their name down, write down everything they say. Use your iPhone. Take pictures of everything."

Know what supplies you have and how much you're going to need. Get that stuff soon. Don't put it off, he said.

There's going to be a level of bureaucracy worse than you ever imagined. Insurance workers will be kind, of course, because it's not personal. It's just the system.

Call them constantly. Don't expect them to call you, he said.

The Maddys lived in a basement apartment with their animals until finally rebuilding their house in February.

"Going through all of that almost broke us," he said. "Almost. 'Cause we're still here."

Live blog: Get the latest news on the aftermath of Sandy

@highlight

People who survived Katrina and the Joplin tornado share their experiences, wisdom

@highlight

Their advice: Stand in the ruins of your old life; it's fine to be sad

@highlight

Ask for help and give help, no matter how large or small, they say

@highlight

They say it will get better, but it will always stay with you