(Fast Company) -- Have you ever created a Genius playlist on iTunes or set up a station on Pandora? Just plug in one song, and you instantly hear music that matches your tastes.

Think of Zite, the free personalized iPad magazine that launched today, as the Genius playlist or Pandora of news discovery -- but with one noticeable advantage: Zite is smarter, at least for now.

Developed by researchers at the University of British Columbia's Laboratory for Computational Intelligence, the technology behind Zite can learn your reading habits and personalize content based on your interests.

When first opening the app, Zite will immediately begin personalizing your experience. Link a Twitter account or Google Reader, and Zite will analyze (not simply display) your feeds to create a magazine tailored to your interests. You might get sources you know, you might get content you want from sources you don't know.

(And yes, you'll occasionally get stories you have no interest in -- just tell Zite and it catches on pretty quickly.)

After adding my Twitter handle @austincarr, for example, Zite learned my tastes and created relevant sections -- entrepreneurship, gadgets, social media. It then culled news items from fitting sources -- Fast Company, Wired, TechCrunch, Fred Wilson's blog.

As I skimmed through the news, Zite began learning my preferences. What specifically do I like about social media? Was I interested in long-form journalism? Did I enjoy straight-news items or editorials? Features or analysis? Popular sources or niche blogs? The more feedback Zite collected, the more personalized it became.

"It's a combination of semantic- and statistically based machine learning," says CEO Ali Davar, of Zite's content algorithm, the technology of which has been in development for years. "It works by looking at the articles you click on and the characteristics of those articles. Is the article longer or shorter? Is it skewed toward one element of a topic or another? Is it a political blog? If so, does it have have a right- or left-wing slant?"

Users can tell Zite whether they enjoyed a particular article, whether they liked a particular source, or whether they want more news on a particular topic area. But Zite can also learn from a user's "soft" yes's and no's. Skip over a news brief? Zite counts that as a soft no. Did a headline catch your eye and get you to read the longer story? Zite counts that as a soft yes.

News will soon narrow from, say, articles on food or sports to thousands of specialized sections such as news on vegetarianism or skiing. Users can select these topics on their own, but Zite is best at autosuggesting them--after playing with the app for a week, Zite began featuring "Graphic Design & Typography" as one of my top news sections. Would I have thought to add that category on my own?

According to the Vancouver-based company, Zite is the first iPad news reader "to go beyond manual customization." Other popular readers -- Flipboard, Pulse -- require users to manually provide sources, whether media outlets or RSS feeds. Zite automates that process and continuously refines content so it's fresher and dynamically tailored to one's interests.

"The difference between Flipboard and Zite is that with Zite, your sections are actually personalized," Davar says. "On Flipboard, you pick sections and sources to customize your magazine -- that's what they call 'personalized.' But that's really 'customization.' In essence, personalization is a technology -- it's something that learns from you. So, for example, your technology section and someone else's will look very different based on your behavior -- rather than being the same generic thing that everyone else is seeing."

Still, loyal Flipboard fans might find the app just a bit more elegant, or feel the apps serve different purposes.

Since Flipboard features only hand-picked sources, the app is arguably very personalized: Just as one might only subscribe to New York magazine or The Economist in print, one might only be interested in subscribing to those mags on Flipboard -- and less interested in reading similar content from other sources.

In this sense, Zite, with its endlessly fresh content culled from a wide range of media outlets, is more akin to a digital newspaper, whereas Flipboard (especially with its far sexier and sleeker design) feels more like a digital magazine.

But when it comes to "personalized" content discovery, Zite follows in the same impressive footsteps as Pandora and Netflix -- and certainly gives Flipboard a run for its money.

"The underlying philosophy of our algorithm is: You are what you read," Davar says.

Copyright © 2010 FastCompany.com, a unit of Mansueto Ventures, LLC. All rights reserved.

@highlight

Zite can learn your reading habits and personalize content based on your interests

@highlight

"It's a combination of semantic- and statistically based machine learning," says CEO Ali Davar

@highlight

Flipboard and Pulse require users to manually provide sources