(CNN)Last week, UCLA Medical Center notified 179 patients that it had potentially exposed them to a fearsome "superbug," and urged them to get tested.

The hospital accidentally infected seven people in procedures involving specialized endoscopes, called duodenoscopes, that proved difficult to thoroughly clean. Two of the people died.

The "superbug" at issue -- carbapenem-resistant Enterobacteriaceae, or CRE -- is the latest and most difficult to treat in a series of superbugs that includes MRSA and VRE.  Such bacteria are the Frankensteinian result of our misusing antibiotics over many decades, and beating them back will require the kind of surveillance and coordination that might have prevented them in the first place.

We might not have much more than dumb luck to thank for the fact that the CRE superbug hasn't spread to most American hospitals yet. Duodenoscopes are among the least likely routes for spreading CRE, given that the pathogen can contaminate most any surface in a hospital room, but our lack of coordinated attention to this detail, among others, is infecting people nonetheless.

The FDA first alerted doctors using the scopes back in 2009 that they could be transmitting bacteria, even after proper cleaning, Reuters reported.   But -- remarkably -- this agency, responsible for regulating all medical devices, has yet to take any action, though its menu of options is broad, ranging from taking the scopes off the market to demanding the manufacturers improve their designs or upgrade their recommended cleaning protocols.

Apparently detecting an underwhelming sense of urgency at the FDA, Rep. Ted Lieu of California, who sits on the House oversight committee, asked his committee to launch hearings into whether the agency is doing all it can to investigate and implement all potential solutions. Lieu appeared prescient later Monday when a top FDA official told the Los Angeles Times the agency hadn't given due scrutiny to the cleaning protocols when it approved the scopes.

UCLA is only the the most recent of several American medical centers, including hospitals in Seattle and Chicago, where CRE has hitched a ride on the duodenoscope, designed to treat blockages and other conditions of secretory ducts leading into the first segment of the intestines, called the duodenum.

The Seattle outbreak occurred from 2012 to 2014, but FDA's warning to medical providers and hospitals last week, in the wake of the UCLA infections, revealed that the agency didn't know what should be done to prevent the infections beyond "meticulously cleaning" prior to the standard disinfection procedure. The FDA didn't even alert providers to the fact that the Centers for Disease Control and Prevention is about to release a new guideline that includes the Seattle protocol. Reuters broke that news on Friday.

But the CDC can only recommend, not enforce guidelines. It will take the FDA's action to ensure that the pricey approach adopted in Seattle is applied universally. CDC, FDA, hospitals and all medical providers must engage in broader and more coordinated information sharing, and then act quickly and decisively with strategies to contain the bacteria and treat victims.

The scopes may have been a factor in the unwitting spread of various bacteria between patients for years, but it's a CRE diagnosis that will put all hands on deck and prompt a thorough investigation to get to the source.  Why? CRE kills up to 40% of infected individuals once it spreads into the bloodstream.

Individual hospitals affected by scope-related CRE outbreaks have out of necessity rolled out creative decontamination protocols of their own that include exposing the scopes to a toxic gas and culturing the scopes and setting them aside for days while any bacteria grow. Piedmont Hospital in Atlanta even throws in a little extra elbow grease by giving the scope's delicate parts a thorough toothbrushing.

Virginia Mason Medical Center in Seattle, which suffered 11 patient deaths after contaminated duodenoscopes introduced bacteria into its patients, hasn't seen any further cases since implementing its surveillance culture protocol, which has cost the hospital $1 million in additional scopes, USA Today reported.

Hospitals are generating their protocols without clear guidance from the FDA, which oddly chose the venue of the LA Times interview Monday to cast doubt on UCLA's new approach of using ethylene oxide gas to kill off any CRE still on used scopes. An FDA official  wondered aloud if some of the toxic gas could linger on the scopes and harm patients, and UCLA immediately replied that the scopes are set aside long enough for the gas to dissipate.

None of these exchanges inspires confidence. The agency's back-seat driver approach is clearly a source of great frustration when infectious disease specialists and quality consultants are both asking for stricter regulation.

In fairness, the FDA is grossly understaffed for the job of regulating medical devices. The act granting the agency its authority to collect user fees from device companies to fund its review activities enables the agency to employ just 200 workers for all aspects of its process, from premarket approval to post-market surveillance.

What's more, hospitals and clinics generate a tsunami of medical records that contain information about how various medical devices are working on a daily basis, but researchers and the FDA have inordinate trouble making much of it useful, because the precise devices aren't clearly identified. Fortunately the agency is working on rolling out unique device identification codes that will make these records into actionable data.

Taxpayers need our government to levy smart fees that are directed to fund the functions of key agencies like the FDA and the CDC, which we rely on to make sure medical devices are as safe as possible when they're introduced and to keep track of any problems on a continuous basis.

Instead, the Affordable Care Act included a 2.3% across-the-board device tax that's not about improving medical devices but rather is decreasing economic activity in this sector. Tapping the brakes on the medical device industry isn't a good idea when we're relying on its innovations to fix problems like the duodenoscope design.

On the other hand, President Obama's 2016 budget includes $264 million for the Antibiotic Resistance Solutions Initiative, a project that will engage the CDC in coordinating regional labs and rapid data-sharing to detect superbugs and learn their characteristics. This is crucial to stop the community spread of CRE; in North Carolina, where three patients contracted CRE inside one hospital, 15 people actually brought CRE with them into the hospital rather than getting it there.

The program would also spread best practices for antibiotic usage among all levels of medical facilities, so that CRE doesn't become endemic and thus a routine cause of death in our hospitals. It's a great next step. Whatever wrangling Republicans have planned for the White House budget shouldn't include excising such an essential public health measure, especially in the wake of what we're seeing play out at UCLA.

@highlight

Ford Vox: Lethal CRE "superbug" outbreak needs coordinated effort by hospitals, government to beat it back

@highlight

He says outbreak caused by hard-to-clean medical device, FDA has treated crisis with lack of urgency