SAN FRANCISCO, California (CNN) -- Opponents of California's voter-approved ban on same-sex marriages launched a new court challenge Wednesday, led by lawyers who were on opposite sides of the case that settled the 2000 presidential race.

A crowd protests the court ruling upholding Proposition 8 in Los Angeles, California, Tuesday.

Attorneys Ted Olson and David Boies have asked a federal judge to block California from enforcing the ban, known as Proposition 8.

"We are two lawyers from opposite ends of the political spectrum who have come together to support one of the most important issues of our time," Olson told reporters.

The case "is not about liberal or conservative, Democrat or Republican. We're here in part to symbolize that," he added.

Wednesday's lawsuit was filed on behalf of two same-sex couples who have been denied marriage licenses under Proposition 8. A federal judge in San Francisco has set a July 2 hearing on the matter.  Watch the next fight about marriage »

"Our Constitution guarantees every American the right to be treated equally under the law," Boies said. "There is no right more fundamental than the right to marry the person you love and to raise a family."  Watch more on the same-sex marriage battle in California »

Olson was the lead attorney for George W. Bush in the 2000 Florida recount. Boies, meanwhile, was the top legal strategist for former Vice President Al Gore, that year's Democratic presidential nominee.

California's Supreme Court rejected a challenge to the marriage ban Tuesday, but left intact about 18,000 same-sex marriages conducted before voters approved the ban in November. The court rejected arguments that the measure improperly amended the state constitution.

In another echo of past political battles, one of those who argued in favor of Proposition 8 was Kenneth Starr -- the special prosecutor who led the Whitewater investigation that led to the 1998 impeachment of President Bill Clinton.

The lawsuit is backed by the American Foundation for Equal Rights, a newly formed organization based in Los Angeles.  See iReporter photos of protests, celebrities »

But a coalition of groups that fought the ban in California courts -- including the American Civil Liberties Union, the Human Rights Campaign and the Lambda Legal Foundation -- urged supporters Wednesday to turn their energy toward winning in the political arena rather than the courts.

"Pushing the federal government with multiple lawsuits before we have a critical mass of states recognizing same-sex relationships or suing in states where the courts aren't ready is likely to lead to bad rulings," the coalition said. "Bad rulings will make it much more difficult for us to win marriage, and will certainly make it take much longer."

Opponents of the ban are already planning to put a new initiative on California ballots in 2010 to repeal it. But Jim Garlow, senior pastor of Skyline Wesleyan Church in San Diego, said on CNN's "Larry King Live" that polls show same-sex marriage advocates losing ground.

"Right now, Californians support traditional, natural marriage 49 percent compared to 43 percent for same-sex marriage," said Garlow, who supported Proposition 8. "That's a reversal. It has just switched in recent months. As people get more familiar with the reality, the sanctity of marriage, how special marriage is, why a child should have a mom and dad, they shift to the traditional marriage view."

The suit filed by Boies and Olson cites heavyweight Supreme Court precedents such as Brown v. Board of Education, the 1954 decision that banned segregation in public schools, and Loving v. Virginia, the 1967 ruling that struck down state laws banning interracial marriage.

It also cited Romer v. Evans, a 1996 decision that killed an amendment to Colorado's constitution that rolled back gay rights ordinances. That measure, like Proposition 8, had been approved by voters.

"We're going to court because people shouldn't have to surrender their fundamental rights to a popular plebiscite," Olson said. "People should not have to beg to be treated equally or wait for decades for popular approval to be treated equally."

Four states -- Connecticut, Maine, Massachusetts and Iowa -- approve of same-sex marriages.

Vermont's Legislature passed a law making same-sex marriages legal that will take effect in September.

@highlight

Ted Olson and David Boies appealing to federal court to block Prop 8

@highlight

Voters approved ban on same-sex marriage in November

@highlight

Same-sex marriage is legal in four states, mostly in New England