(CNN) -- What we know -- and psychiatrists have diagnosed for decades -- as schizophrenia may really be eight separate diseases, research published in The American Journal of Psychiatry suggests.

Scientists at Washington University in St. Louis analyzed the DNA of more than 4,000 people with schizophrenia. They matched any gene variations they found in the DNA with study participants' individual symptoms. In doing so, they found several "gene clusters" that appear to cause eight distinct classes of schizophrenia, according to a statement from the university.

"Complex diseases, such as schizophrenia, may be influenced by hundreds or thousands of genetic variants that interact with one another in complex ways," the study authors wrote in their introduction.

"Genes don't operate by themselves," Dr. C. Robert Cloninger, one of the study's senior authors, explained in the statement. "They function in concert much like an orchestra, and to understand how they're working, you have to know not just who the members of the orchestra are but how they interact."

Schizophrenia is a chronic brain disorder that affects about 1% of the population, according to the American Psychiatric Association. Symptoms can vary from hallucinations to disordered speech to attention and decision-making problems.

Past studies done on twins and families have shown that about 80% of the risk for schizophrenia is inherited, the study authors say. A study published in July showed as many as 108 genes may be tied to the mental health disorder. But scientists have had trouble identifying specific genetic variations that put people at risk.

The Washington University researchers looked at instances where a single unit of DNA was altered, which is known as a single nucleotide polymorphism, or SNP. Then they identified 42 interactive SNP sets that significantly increased people's risk of schizophrenia, according to the study.

In other words, if study participant Bob had Gene Cluster X, he was 70% more likely to have schizophrenia than study participant Fred who didn't have that cluster of genes. In some cases, certain gene clusters were matched with close to a 100% increase in risk.

"In the past, scientists had been looking for associations between individual genes and schizophrenia," co-author Dr. Dragan Svrakic said in the statement. "What was missing was the idea that these genes don't act independently. They work in concert to disrupt the brain's structure and function, and that results in the illness."

The idea that schizophrenia is not one single disorder is not really new, says Dr. Charles Raison, a professor of psychiatry at the University of Arizona. It's similar to the way doctors use the term "breast cancer" to describe several different diseases that cause tumors in the breasts.

"Schizophrenia is probably 80 different diseases," Raison says. "All psychiatric conditions likely share this heterogeneity."

There are only so many ways that certain malfunctions in your genetic code can manifest, Raison says. There may be 10 separate gene mutations, but they might only express themselves as one or two symptoms. So what's causing hallucinations in one person might be different than what's causing them in another.

So why are scientists trying to separate out the different schizophrenia disorders? Two reasons, Raison says: to help predict who might get schizophrenia, and to help treat it more efficiently.

Take, for example, pleurisy, which is a condition where the liquid around your lungs becomes inflamed. Several things can cause pleurisy, including a viral infection, pneumonia or cancer. If you have a drug that treats pneumonia, it's going to help only a certain percentage of patients with pleurisy. But if you know that your patient's pleurisy is caused by cancer, you'll find a different course of treatment.

The same could hold true for schizophrenia and other mental health conditions, Raison says.

"In psychiatry land we're still stuck with pleurisy," he says. "They're descriptions of symptoms, and we only have a vague idea of the underlying causes."

@highlight

Researchers say schizophrenia is not one disorder, but eight

@highlight

Genetic variations cause eight classes of schizophrenia

@highlight

Study was published in The American Journal of Psychiatry