(CNN Traveller) -- When the Roman Emperor Hadrian came to power in 117AD he inherited an empire that was overstretched militarily and creaking at the seams.

A massive bust of Hadrian's head unearthed only last year is part of the exhibition at the British Museum.

One of his first acts was to pull the troops out of Mesopotamia, modern-day Iraq, a fact that is sure to resonate with visitors to the British Museum"s superb exhibition "Hadrian: Empire and Conflict" which opens on 24 July under the imposing classical dome of the Reading Room.

Curator Torsten Opper says: "No matter what our take is on the conflict in Iraq today, we can relate to Hadrian's decision. Maybe 10 or 15 years ago, it wouldn't have mattered so much. Now it does."

Hadrian was born in Rome to a noble family whose origins lay in Spain.

One of the greatest of Rome's emperors, he consolidated imperial power, was a patron of architecture and travelled extensively across his lands.

Though married, he also took a homosexual lover, Antinous, whose drowning in the river Nile on the very day Egyptians were celebrating the death in a similar manner of the god Osiris remains one of ancient history's great unsolved mysteries.

The range of exhibits and their rarity means that this exhibition is going to be extremely well-attended. Visitors will, for example, be the first members of the public anywhere to see a huge head of the emperor that was dug up recently at Sagalassos in central Turkey and would have once crowned a statue that was over five metres high.

"A year ago, this was still lying buried in the ground," says Opper. "It"s proof that Roman history isn't done and dusted; that we are still able to rethink the past and evaluate it."

The exhibition brings together 180 objects, from 31 sources in 11 different countries.

"It hasn't been an easy thing to do," adds Opper.

"Many of these objects leave huge gaps in their home collection and many are extremely delicate. This isn't an exhibition that can travel. People will only be able to view it for these three months."

Many of the most delicate objects are also those that give the most dramatic insight into Hadrian's reign. Between 132AD and 135/6AD the Jews of Judea rebelled against Roman rule. Some of the insurgents took refuge in a cave in the desert, called the cave of letters, in which they were trapped by Roman troops. Few made it out alive.

The climatic conditions of the cave have preserved objects in astonishing condition. There is a letter written by Jewish leader Simon Bar Kokhba (enquiring about a delivery of supplies), as well as mirrors, a jewellery box and an astonishingly delicate glass plate, probably made in Alexandria, that somehow survived flight into the desert and the perilous climb up a cliff to the cave.

Then there are three house keys, their wooden handles preserved, looking as if they would still open the locks for which they were made.

Opper says: "They"re immediately touching -- these were used by people to lock their homes thinking they"d be back in a week or two, but of course they weren't -- they all perished. And there are still many refugees now who still have keys to the homes they once lived in. It"s a potent symbol of conflict."

To the British Hadrian will always be associated with the wall that was built across northern England, an 117km rampart with a fortification every 1.6km. In schoolroom history this has traditionally been seen as a defence against the barbarian tribes to the north, but it wasn't necessarily so.

"The wall was a ruthlessly efficient symbol of oppression and in the end it broke the back of the local tribes," says Opper.

Confirmation of this, perhaps, comes from two small writing tablets from the fortress of Vindolanda, the oldest surviving hand-written documents in the British Isles.

In one an officer, presumably writing to a colleague who is taking over his post, derides the locals as the "little British," not worthy of worrying about very much - brief, battered and faded the letter may be, but as an example of high-handed imperialism it is hard to beat.

CLICK HERE to subscribe to CNN Traveller

COPYRIGHT © 2008 INK PUBLISHING AND CABLE NEWS NETWORK, LP, LLLP, A TIME WARNER COMPANY. ALL RIGHTS RESERVED

@highlight

London exhibition based on Roman Emperor Hadrian features new treasures

@highlight

Huge bust of Hadrian's head discovered only last year a feature

@highlight

Emperor inherited a shambolic Roman empire and rebuilt it