(CNN) -- In the blink of an eye, Uber has emerged as one of the most esteemed companies in the United States, soaring in recent days to a market value of $18.2 billion. That's bigger than Hertz and Avis combined. But is the Uber story really as good as it seems?

Taxicab drivers clogging the streets of Europe this past week, protesting against Uber, are only part of the challenge. Far more dangerous could be an emerging pattern of not paying sufficient respect to customers.

Companies like Apple, Zappos, FedEx and Amazon are passionately committed to building a love affair with consumers as the center of their universe. In contrast, Uber has embraced a take-it-or-leave-it approach that may be tough for consumers to swallow over the long haul.

Still, the business model is brilliant, the growth eye-popping and the initial Uber experience is generally excellent. In big cities like New York, on a rainy night, when cabs are always full, finding an Uber car quickly through your iPhone can be a godsend, even though you may have to pay a "surge price" at a multiple of twice or even more of the regular price. This adds up to Uber being a welcome disruption, blowing competition and free market pricing into the regulated taxi industries that don't always serve the interests of consumers.

So what are the dangers? Lack of transparency may be one. Consumers usually want a company to be proactive about explaining what they do and how that can affect their lives, especially when physical safety is at stake. Uber puts most of the meaningful detail on what service it actually provides into its Terms & Conditions, which most people don't read when they download the app.

According to its Terms & Conditions agreement, Uber is not a transportation service. It's a passenger procurement service for private car drivers. The car drivers are Uber's actual customers.

Lack of accountability may be another danger. The entire risk of using the service is on the passenger. You are warned that you could be exposed to situations that are "potentially dangerous, offensive, harmful to minors or unsafe". Surprisingly, Uber does not claim to "assess the suitability, legality or ability" of any third party providing services procured through Uber, and UberX drivers may not be professionally licensed or permitted.

Does all this mean you may have a hard time suing the company if your driver is negligent and you get hurt? Lane Kasselman, Uber's spokesman, didn't directly address this question of liability when I asked him about it in an email, but points to company attention to passenger safety, noting Uber is "the first to ensure end-to-end insurance coverage for ridesharing."

Privacy is also a concern for consumers. As we saw with the fallout from the Target data security breach (which included the CEOs resignation), people expect a company to protect their privacy. I am sure there are fellow riders who, like me, take issue with the company not disclosing their passenger rating in the Terms & Conditions or privacy policy for the app.

To me this raises further concerns: what are Uber's rating criteria for passengers, what happens to the data , how can I see the data on me, what's the dispute process if I disagree? Uber's Kasselman answered by writing "Rider ratings are available easily by visiting t.uber.com/support or just by asking your driver." Sounds fair enough, but on their support site I was asked to submit an email request for my passenger rating and wait for a response. (I did receive it Monday afternoon.) And, again, I may not be alone feeling more than a little uncomfortable asking my driver for my rating. Uber's blog says it is "exploring ways to show the rider's rating in the next generation of the app".

In addition to the security of corporate data, there is the issue of whether individual drivers have access to personal passenger information and how Uber protects riders from unauthorized breaches. When asked about this in an email, Kasselman, responded: "Uber driver partners do not have access to any personal information through the platform, including credit card data. We use state-of-the-art anonymization technology, meaning the driver doesn't keep a record of the rider's phone number. Drivers and riders are able to connect either by calling or texting, with the anonymization described above, in place." From a logical standpoint, this makes sense, but from a brand standpoint they have yet to tell me that protecting my safety and privacy is crucial.

And then there's change. Consumers both love and fear disruptive companies like Uber. People know that innovative companies create constructive chaos that usually benefits consumers. But disruptive companies can also be seen as dangerous.

For Uber to get the value of its disruption, in the form of consumer goodwill, people will need to know why Uber-instigated changes in the taxi industry are good, not bad.

Despite the surge in rider sign-ups during the European taxi driver protests last week, Uber's challenge will be answering the same questions raised here, as more and more new people come online to use its platform. But the taxi driver action also creates the perfect context for Uber to explain why shaking up the regulatory environment -- and the ensuing mess -- is a good thing for both consumer and regulator.

If I were advising Uber on how to best achieve revenues that would justify its $18 billion valuation, I'd focus on two things.

First, get very sharp about what you stand for and start building bridges with consumers that go beyond the functional role of delivering things from point A to B. Rise above the kitten delivery stunts and bull-in-a-china-shop attitude to establish the value of your company in consumers' lives. That suggests being more transparent, protective, inclusive and explanatory about your business and the impact of your actions on their safety, privacy and overall riding experience.

Second, turn the negative fallout from disruption -- from forcing Uber's model on municipalities and shaking up the status quo -- into a positive global movement. Explain to the entire ecosystem of drivers, riders, regulators, regulated, investors and employees the value and benefit of the turmoil Uber brings when it rolls out in new markets.

Investors have spoken, and they're all in for Uber. But the jury may still be out with consumers. I happen to love Uber. But if Uber doesn't seize this moment to build a valuable, trusted position in my life, and move beyond the emerging dangers, I will become a consumer who is confused about what it stands for.

This requires Uber to develop a true brand to manage its disruption and take control of the conversation with consumers. It must bring context to the chaos it creates and be known as a positive force for change that always acts on behalf of its consumers, not its business model. Otherwise, down the road, a competitor might more easily turn my head: one that delivers exactly what they promise me.

@highlight

Cab drivers in London protested the mobile cab app Uber, tying up traffic

@highlight

Martha Pease says Uber, valued at $18 billion, has to live up to consumer expectations

@highlight

She says the company needs to provide more transparency on passenger ratings

@highlight

Pease: Uber should explain to consumers why disruption in taxi business is good for all