Cairo, Egypt (CNN) -- During the summer of 2009, Egyptians from all walks of life waited in hopeful anticipation for the arrival of newly-elected U.S. President Barack Obama in Cairo.

The city spent weeks preparing for the visit. Streets were shut down, buildings lining the route to Cairo University were repainted, and the dome under which Obama was set to give his speech renovated. Egyptians listened to the president's speech with much hope -- and when it was over, local talk shows spent days analyzing his words. American politics had gone on tour to Egypt, a place that has historically watched American politics very closely.

But Obama's visit in 2009 is yet another reminder of how drastically different the situation in Egypt has become since the January 25th revolution last year.

It is hard to tell there was a revolution in many parts of Cairo just months ago. The rubble is cleared from downtown streets after each new battle between police and protesters, the blood washed away quickly. Deposed President Hosni Mubarak's National Democratic Party building is still standing, but it has been burnt from the inside out. Berlin Wall-style partitions erected by the army block several of the six or so roads leading to Tahrir Square, the heart of the revolution.

As the 2012 U.S. presidential race heats up and the primaries get under way, many Egyptians are too busy with their own concerns to follow along. It has been more than a year since the uprising started, and while Cairo has cleaned itself up, the city remains mired in turmoil and confusion over the transitional process to its own democracy.

Cairo, like many major cities in the world, has historically observed the U.S. presidential election closely and with a great deal of skepticism. But the public mindset, typically littered with guesswork and conspiracy theories, is now one of indifference.

In neighborhoods across Cairo, men and women in smoke-filled cafes tune in to daily political talk shows discussing Egypt's own crisis and fears for the future -- a new phenomenon in post-Mubarak days -- on televisions blaring so loud that entire neighborhoods can hear them.

In the bars and cafes along the crowded, traffic-choked streets of downtown Cairo, people are too busy making the news to watch it unfold on television. At the Greek Club, or inside the historic Cafe Riche, with its warm amber-tinted windows and walls lined with photos of Egypt's great intellectuals, Cairo's political activists and academics gather over beers to talk about the great issues of the day.

We used to talk a lot more about U.S. politics than we do now. Friends of mine, avid followers of the U.S. political scene who used to be able to name various Congressmen and their policies, just aren't paying as much attention this time around.

I believe the U.S. election is incredibly important -- U.S. foreign policy affects much of the world, and the president is the chief diplomat. But Republicans have yet to choose a candidate -- they've not found that ace, that someone fresh who can challenge Obama, and that's making it hard for people to pay attention right now.

Egyptians watched the 2004 U.S. elections closely because they felt they had a stake in the outcome, especially considering the ongoing wars in Iraq and Afghanistan. In 2008, Cairo closely watched as America neared the election of the first African-American president, the candidate of hope and change.

Egyptians are viewing the 2012 elections with a certain amount of cynicism. All of the superficial reasons why Egyptians admired Obama have melted away, and what is left in some corners is a feeling that he wasn't as quick to embrace our push for freedom as he could have been.

While many Egyptians feel George W. Bush had a clear position on democracy and freedom of speech in Egypt, Obama came to Cairo in 2009 and made promises to the Egyptian people that were not necessarily kept. And recent events have convinced some that the Obama administration is not so keen on fulfilling its promises to supporting freedom, democracy, and civil liberties.

Even though Bush is generally regarded negatively for his "War on Terror," it is interesting to hear some engaged political activists say that they miss the Bush days, preferring his support of freedom of speech in Egypt when compared to the Obama administration.

One long-time activist said that during the days of Bush, then-Secretary of State Condoleezza Rice made several visits to Egypt, underlining the importance of democracy and freedom of speech. In 2005, he said, the fruits of that pressure resulted in "relatively fair" parliamentary elections, particularly when compared to the second round of parliamentary polls and the 2010 elections.

For the first time in recent history, our own political news is the dominant issue, so local media coverage of the race to the White House so far has been dismal at best. And as our revolution continues, so clashes between protesters and security forces and the onset of uprisings in neighboring countries have saturated the news cycle.

As the newly elected parliament here delves into its first session, Egyptians for the first time are experiencing their own taste of democracy, with all the troubles that comes along with it. Egyptians are watching the newly elected members of parliament closely, watching as they become household names, waiting to review their performances.

In the past, many Egyptians sought out hope and salvation in the actions of foreign governments -- but this electoral season, after a year of real change in Egypt, many Egyptians learned that hope will have to come, or at least start, from within.

@highlight

Egyptian revolution has diminished normally avid following of U.S. politics

@highlight

Superficial reasons why Cairo citizens admired Barack Obama have faded

@highlight

Some Egyptian activists say they miss the days of former president George W. Bush

@highlight

Egypt's newly elected parliament only recently began its first session