(CNN) -- It's been called "something Smurfs would play on," labeled a danger to players and derided over a lack of consultation.

Madrid's new blue clay courts have been the talk of the tennis world for all the wrong reasons. But is the furore justified?

After all, isn't this the same surface -- just a different color?

It's the nature of sports stars to be hyper-sensitive about their office environment. As one British journalist argued, a malfunctioning computer can waste your morning's work, but a ridge in a tennis court might spell the end of a career.

The sport has undergone some of its most dramatic modernizations in the last two decades. Let's not forget the uproar when Hawk-Eye, the electronic ball tracking system, was introduced in the 1990s.

But if the controversy over the last few weeks has revealed anything about tennis, it's that this is a game where tradition still looms large.

Ion Tiriac's baby

The man behind the blue revolution is Romanian billionaire Ion Tiriac. The former French Open doubles winner and manager to Boris Becker has had a blue bee in his bonnet for a while.

He pioneered the first blue hard courts at his indoor event in Stuttgart -- a lead followed by the Australian and U.S. Opens.

Tiriac argues the color increases the visibility of the yellow ball and points to scientific tests proving the contrast is at least 15% better on blue than red.

The fact it's also the color of Madrid's major sponsor, Spanish insurance giant Mutua Madrilena, has not been lost on his critics.

A court by any other name

But really, it's just a color right? According to Tiriac the blue clay court is made exactly the same way as the red, with bricks ground into tiny fragments and spread over the ground in two different layers.

However, in Madrid these bricks are stripped of their iron oxide (the chemical that provides the original color) and then treated with dye.

Tiriac acknowledges the cost is almost double that of the red clay, but says the extra expense is worth it.

He admits that improving the experience for television viewers watching his $10.6 million tournament was a major factor in the switch.

Players see red

So what's all the fuss about? World No. 2 Rafael Nadal's shock exit in the third round on Thursday has only added fire to players' complaints that the new surface is too slippery.

The "King of Clay" -- Nadal has won six of his last seven appearances at the French Open -- was beaten in a three-hour epic by fellow Spaniard Fernando Verdasco.

It ended a 22-match winning streak on clay for Nadal that stretched back to 2011, and was his first defeat in 14 meetings with Verdasco.

"I never was in control of the match, I didn't know how to win a point," Nadal told reporters, before suggesting he will not show up next year unless the controversial blue clay surface is changed.

But even before his huge upset, the 25-year-old was critical of the new surface, tweeting: "The history of clay court was on red. It wasn't on blue. Only one person wins -- the owner of the tournament."

A slippery slope?

World No. 1 Novak Djokovic also threatened not to step on Madrid's blue clay again after he lost to Janko Tipsarevic.

The Serbian beat Nadal in last year's final, held on red clay, and he expressed his unhappiness with the new surface even after beating Spanish qualifier Daniel Gimeno-Traver 6-2 3-6 6-2 in his opening match on Tuesday.

"Today I played my first official match on blue clay and I have to admit I was not very happy. Next time I have to bring skates instead of shoes, it was sooo slippery," the 24-year-old said on Facebook.

Likewise, Ukrainian player Sergiy Stakhovsky tweeted: "After playing a match on blueclay court 6 I can say with full responsibility on my shoulders that it is the worst court of @ATPWorldTour."

In the women's draw, world No. 1 Victoria Azarenka also complained about the slide, telling reporters: "The surface is a bit slippery, but it's the same for all of us."

It's not just the texture of the surface raising eyebrows -- on the most basic level it just looks different.

"Ha! Blue clay.. It looks like something Smurfs would play on," tweeted player Ivo Karlovic, in what has become a catchphrase of the tournament.

But it's not all blue. American star Serena Williams didn't see what all the fuss was about.

"I haven't noticed a difference between the blue and the red clay. I think it's the same, it's just you don't get as dirty," she tweeted.

Technically speaking

According to experts the lack of traction has nothing to do with the color but the implementation of the clay -- which has been playing much faster than usually expected on such a surface.

Alistair McCaw, a performance specialist to tennis stars including Jelena Dokic, has been watching the action close-up in Madrid.

"The problem is not the fact that the color is blue, even though the change from the traditional brown is quite a shock. Let's not forget the Australian Open changing court color from the green to that bright blue! The players had a lot to say about that too," he said on his Facebook page.

"It's that the amount of clay covering the surface is lesser than normal. If you dig your foot into the surface and remove some of the clay, you will notice that the underlying surface is a hard rubber-like mat. When water is sprayed on the surface, it become slippery. This, in my opinion, is what's causing the main problems."

Former world No. 3 Ivan Ljubicic tested the blue clay at Madrid last year and admitted it did "look a bit slippery."

But the Croatian, who retired last month, didn't believe it was a safety issue. Part of being a pro tennis player is adapting to different surfaces, he said.

And besides, the biggest challenge at Madrid isn't the clay -- it's the altitude. Balls fly faster through thinner air and Madrid is 650 meters above sea level.

"I would say that grass courts and even the hard courts are a lot more dangerous than clay -- any clay," Ljubicic told CNN.

"Regarding adaptation, tennis players face different surfaces on a weekly basis, every clay court is a bit different. I would say that the altitude in Madrid creates bigger problems to players than the color of the court."

Eyes on the prize ... no, the other prize

The issue isn't just about Madrid, of course. The tournament is seen as an important buildup to the real clay-court crown -- the French Open.

Players have argued it's difficult enough adjusting to the conditions in Madrid, without then having to change their game at Roland Garros at the end of the month.

Perhaps most galling for the top players is that they were never consulted over the controversial changes.

"Players should be agreeing to the change -- there should be some value in what they say," Djokovic told reporters.

"I'm not blaming the tournament, it is fighting for its own interests. But the ATP should have done a better job on player rights in protecting what the players want."

Ljubicic added that even when players did raise objections, they were ignored.

"Players were asked at the council meeting if they would support the idea of having blue clay courts. They clearly refused the idea -- only to see that the decision was made anyhow that the surface will be blue," he said.

The ATP has granted permission for a one-year trial of the tournament, and says it'll be taking into account players' feedback.

Judging by the response so far, Tiriac will have a battle on his hands to keep blue in 2013.

@highlight

Madrid's new blue clay courts have caused an uproar in the tennis world

@highlight

The brainchild of billionaire Ion Tiriac, it was hoped the color would attract TV audiences

@highlight

Players complain about slippery surface, with Nadal's shock exit adding fire to flame

@highlight

After one-year trial, will ATP approve blue clay in 2013?