(CNN) -- Hurricane experts are throwing cold water on an idea backed by billionaire Microsoft founder Bill Gates aimed at controlling the weather.

Bill Gates and scientists have applied for patents aimed at reducing the strength of oncoming hurricanes.

Gates and a dozen other scientists have raised eyebrows by submitting patent applications for a technology to reduce the danger of approaching hurricanes by cooling ocean temperatures.

It's a noble idea, given the horrible memories from Hurricane Katrina, which slammed into the Gulf Coast four years ago this week.

The storm, which rated a frightening Category 3 when it made landfall in Louisiana, was blamed for $81 billion in damaged and destroyed property and the deaths of more than 1,800 men, women and children.

Skeptics applaud the motive of the concept but question its feasibility.

"The enormity of it, in order to do something effective, we'd have to do something at a scale that humans have never really done before," said Gabriel Vecchi, a research scientist with the National Oceanic and Atmospheric Administration.

How exactly would this hurricane-zapping technology work?

Hurricanes are fueled by warm water, and cooling the waters surrounding a storm would slow a storm's momentum.

According to the patents, many tub-like barges would be placed directly in the path of an oncoming storm. Each barge would have two conduits, each 500 feet long.

One conduit would push the warm water from the ocean's surface down. The other would bring up cold water where it lies deep undersea.

World renowned hurricane expert William Gray, who's been studying and predicting the storms for a half-century, also doubts whether the proposal would work.

"The problem is the storms come up so rapidly," said Gray, a professor of atmospheric science at Colorado State University. "You only get two to three days warning. It's very difficult to bring up enough cold water in two to three days to have much effect."

The idea itself isn't groundbreaking, according to Gray, who said it could only be feasible if the barges were put into place at the beginning of hurricane season with the idea that storms will come.

"But you might do all that, and perhaps no storms would come. That's an economic problem," Gray said.

Even if the technology does work, Gray said it won't completely halt a hurricane.

"There is no way to stop it. The storm might weaken in the center, but the outer areas wouldn't be affected much."

And flooding and storm surges are determined by these outer winds, Gray said.

When word of Gates' five patent applications first made headlines in July, alarmed bloggers lit up the Internet, expressing fears that playing with ocean temperatures could lead to catastrophe, possibly forcing a storm in a different direction.

That's not likely, said Kerry Emanuel, a professor in atmospheric sciences at Massachusetts Institute of Technology.

"You're doing something to the ocean that the hurricane would have done anyway," Emanuel said.

Cold water that churns up during a storm slows down a hurricane naturally. But the coldest water is usually at the rear of the storm, so sometimes it's too late to weaken [the storm], Emanuel said.

"The key is doing it a little sooner than the storm itself does it and make [the hurricane] weaker than it would have been," he said. "There are enough experiments to find out whether hurricanes' natural cooling could steer the storm in a different location, and the answer is no, or it's a very small chance."

While Emanuel believes the physics are conceivable, he says the cost of implementing the system shouldn't outweigh the benefit.

"This would only be practical if the amount [of money] you spend doing this would be less than the damage caused by the hurricane," Emanuel said.

Gates and scientist Ken Caldeira, both listed as inventors on the patents, did not respond to CNN's requests to comment about their venture.

The patents, which were only made public last month by the U.S. Patent and Trade Office, were filed in January by Searete LLC. The company is a subsidiary of Intellectual Ventures, an invention firm run by Microsoft's former chief technology officer Nathan Myhrvold.

A spokeswoman for Intellectual Ventures, which holds about 27,000 technology patents, didn't elaborate on the cost associated with the patent.

"At this point, there are no plans for deployment, so there is no talk of funding," she said, adding that it could take up to 18 months for the patent application to be approved.

Regardless, inventors say that this technology is not something they'll be rushing to use anytime soon.

"This type of technology is not something humankind would use as a 'Plan A' or 'Plan B,'" Paul "Pablos" Holman, an inventor in the Intellectual Ventures laboratory, wrote on the company blog.

"These inventions are a 'Plan C,' where humans decide that we've exhausted all our behavior changing and alternative energy options and need to rely on mitigation technologies. If our planet is in this severe situation, then our belief is that we should not be starting from scratch at investigating mitigation options."

Hurricane expert Gray agrees.

"I don't think this is anything that's going to be done in the next few decades in a practical sense, but maybe further down the line," Gray said. "I would love to see Bill Gates, with all his money, use some of it to experiment."

@highlight

Hurricane experts doubt feasibility of Bill Gates-backed weather-control idea

@highlight

Idea is "on a scale that humans have never really done before," says NOAA

@highlight

Renowned Colorado professor William Gray: It won't completely stop hurricanes

@highlight

Theory: Barges would cool ocean surface sapping energy from oncoming storms