Mountain View, California (CNN) -- As Google prepares to add a new category to its arsenal of portable devices with tablets, the company's mobile team is deploying ways to better tie its different systems together.

It might not come as a surprise that the internet giant is using the Web to do that.

Like smartphones, this new breed of tablets will run Android, an operating system developed by Google. This next version of Android, called 3.0 or Honeycomb, is its first designed for tablets but will also run on smartphones. Like Apple does with its closed system, Honeycomb will let users buy applications on computers and synchronize them between their Google gadgets.

Using the Android Market website in a browser, you can browse, buy and download apps, Google announced at a news conference on the company's main campus here on Wednesday.

From the website, users can beam the app to any number of phones or tablets connected to their accounts. The phone begins downloading the app almost instantly. This feature has already been enabled automatically on Android phones.

Previously, you'd have to open the Android app on a smartphone in order to search for and download programs. Synchronizing between other family members' phones, for example, was a hassle.

In Apple's controlled habitat, the iPhone, iPod Touch and iPad share information and apps via a central hub in the iTunes software.

"There are no wires, no syncing to computers, none of that kind of nonsense," Chris Yerga, Android's engineering director for cloud services, said onstage at the Android event. "Everything just works seamlessly, syncing between the two."

The announcement reinforces Google's philosophy of doing everything over the internet, or "cloud" in industry parlance. Android already synchronizes personal information such as e-mail and contact lists through the Web.

"It's the cloud that makes the experience seamless," said Andy Rubin, who leads Android development.

But the synchronization features will mean little if Google can't persuade smartphone customers to purchase upcoming Android tablets. So much of Wednesday's event was focused on a walkthrough of new features that will be available to these devices.

A new app called Music brings the Android system closer in line with Apple's iPod-iPhone-iPad model. Albums and songs are organized in a screen with a heavy emphasis on cover artwork.

Honeycomb also has a live video chat function that will let tablet users talk with other people who are using Gmail on a computer. Apple's portable devices with FaceTime can talk only to Mac computers running a beta program or using Skype's app. Skype does not offer a video-calling app for Android.

The new Android software includes improved multitasking functionality, so you can see a window of what apps you were previously using looked like when you closed out of them. All of this runs thanks to a combination of hardware-acceleration techniques for smooth animations.

These techniques also help drive more powerful games.

Google's partners showed a game called "Monster Madness," which is based on a game originally developed for the PlayStation 3. Developers said they didn't need to make major alterations to get it to work on the tablet. They also showed an action-packed, medieval-themed game that taps into the hardware's multicore processors.

Google also attempted to woo attendees and people watching the event's online video stream with a slew of new apps designed specifically for tablets. CNN  announced onstage it will offer an Android app with iReport functions and live video capabilities.

The tablets also will be able to run all of Android's 130,000 apps designed for smartphone-sized screens. The apps will fill the tablets' larger screens.

"We've spent a significant amount of effort making sure that existing Android apps run well on tablets," Hugo Barra, Android's director of product management, said onstage.

The first tablet to launch with the new version of Android is Motorola's Xoom, which debuts this month. An exact release date and pricing have not been set.

A Honeycomb tablet from LG, called the G-Slate, will come out in March, T-Mobile USA announced Tuesday evening.

In addition to a camera on the front used for video chatting, that device has a pair of cameras on the back for capturing high-definition 3-D photos and video. You'll need 3-D glasses in order to see the video on the tablet's screen.

T-Mobile and AT&T also announced more information on new Android phones this week, none of which will run the Honeycomb software at first.

@highlight

Google launches a website for browsing and downloading apps

@highlight

Apps can be beamed to your tablets or smartphones from that site

@highlight

Google demonstrates many new features packaged with Motorola's Xoom tablet