A federal law requiring that screening machines commonly found at schools, courthouses and other public facilities be able to detect all types of firearms will expire in less than a month.

And that deadline is suddenly very relevant because of the availability of lethal 3-D printable guns that contain virtually no metal, law enforcement authorities say.

Two proposed bills to extend the metal-detection requirement have almost no chance of passing, according to lawmakers. And authorities say that creates a public safety hazard from guns that are homemade from hard plastic materials on printers that cost between $1,000 and $500,000.

The Bureau of Alcohol, Tobacco, Firearms and Explosives this week for the first time made public the tests it has done on a model of handgun called the Liberator, made using 3-D printer technology.

Some performed well while others did not, the ATF tests showed.

Texas company makes metal gun with 3-D printer

One gun made using a plastic called ABS-M30, commonly used in toys and luggage, fired a .380-caliber round without failing all eight times it was tested at an ATF lab in Martinsburg, West Virginia, ATF officials said.

The firearm was made of molded opaque plastic, larger than a common handgun, and it contained one small metal firing pin similar to a roofing nail.

The fired round traveled 8 to 11 inches into a piece of gelatin molded to simulate human soft tissue; by comparison a commercially available .380 pistol fired a round 18 inches in the same simulation.

"The Liberator is a lethal weapon," said Earl Griffith, chief of the ATF Firearms Technology Branch.

The tested model included one with a removable metal block that complies with the expiring metal-detection law when the block is removed. A similar gun could be made with a ceramic firing pin to go undetected.

UK police raise specter of 3-D printer-made guns

Another pistol made from a plastic called Visijet didn't perform as well in ATF tests. Video of the tests in June showed the gun exploding into a dozen plastic shards when fired.

The Liberator guns were made from blueprints uploaded last year by a group led by a Texas law student, Cody Wilson. The group Defense Distributed says it exists "to defend the civil liberty of popular access to arms as guaranteed by the United States Constitution and affirmed by the United States Supreme Court, through facilitating global access to, and the collaborative production of, information and knowledge related to the 3D printing of arms."

Wilson told CNN in an interview earlier this year:  "The assumption is one day the technology will become more ubiquitous and widespread."

The files that can be used to make a 3-D printable gun have been downloaded hundreds of thousands of times, ATF officials said.

For decades, manufacturers have increased the use of plastic in lightweight guns, as in other products.

Many popular models made with plastic parts still must use a certain amount of metal to abide by the detectability law. It's not clear if any commercial gun makers will abandon metal components once the law expires.

The expiration comes amid a spate of mass shootings in the United States, though none of the recent shootings have involved firearms passed through metal detectors.

Attorney General Eric Holder called on Congress to renew the law requiring guns be detectable by metal screening machines

"This is an extremely serious problem. This is an extremely serious threat to law enforcement, to people who fly every day," Holder said in remarks in St. Louis on Thursday.  "Think about this: there is the possibility that (if) this legislation is (not) renewed and it expires in early December ... plastic guns could not be detected by metal detectors (and) could be smuggled into a variety of places. And, it would seem to me that whatever people's feelings are about gun safety legislation, that this is something we could all agree needs to be reauthorized."

Holder added: "I think that there are at least a few things that are so common sense and so logical that even those factions that are warring on other things can come together and decide that we can't have guns that are not detectable by metal detectors."

A handful of lawmakers are backing bills in the House and Senate to try to extend the detectable firearms law but there's no indication they'll get a vote in a Congress that is bitterly divided on many issues, including gun safety laws.

Rep. Steve Israel, D-New York, said that when the law was first passed in 1988, "a 3-D plastic gun was science fiction."

He said it's unfathomable that there's not enough support to extend the law.

"This is the absolute worst and most dangerous time to let this law expire," Israel said.

3-D gun raid in UK may have nabbed printer parts

@highlight

Expiring law could create public safety hazard, law enforcement officials said

@highlight

ATF tests show 3-D printable guns proved to be lethal

@highlight

Removable metal firing pin allows plastic guns to go undetected at screening machines

@highlight

Lawmaker said when law was passed in the 1980s, plastic guns were "science fiction"