Tripoli, Libya (CNN) -- The alleys and archways along Rashid Street in central Tripoli were plunged in darkness this weekend, as the Libyan capital struggled to cope with widespread shortages of electricity.

After sunset, the only light in one corner cafe came from two candles. Their flickering glow barely lit the faces of men seated at a handful of tables, where they were breaking their Ramadan fast.

Nearby, residents trudged down the center of empty streets enveloped in darkness. Some men played music from parked cars. Others sat silently in doorways, their presence only marked by the glow of a cigarette butt.

"It's a disaster. My father's neighborhood hasn't had electricity for five straight days," said one Libyan man who asked not to be named, for fear of attracting the ire of government authorities. He said he evacuated his entire family to Egypt and was staying behind to keep an eye on his property.

The rapid deterioration of power supplies in Tripoli over the past two weeks has come as a shock to many Libyans. Some residents complain pumps have stopped channeling water to their apartment buildings, leaving them without both water and light.

This week, a nightly talk show that fiercely supports Moammar Gadhafi on state television addressed the growing problem of the black-outs.

"The Tripoli power cuts are caused by NATO and rebel attacks on power stations," announced a television presenter on Thursday.

Frustration could be felt at a recent government press conference, when a Libyan man repeatedly pressed Deputy Foreign Minister Khaled Kaim on why some Tripoli neighborhoods had power while others suffered black-outs for days.

"Surely a large country like Libya doesn't depend on one power station," the Libyan man said.

Kaim responded by accusing NATO warplanes and Libyan rebels of attacking power stations, high-voltage lines and pipelines.

In an e-mail to CNN, NATO military spokesman denied accusations that the alliance targeted Libyan electrical power lines.

"There is no evidence to suggest that if the country's power lines have been damaged, such an event could be linked to a NATO strike," the spokesman wrote.

The Gadhafi regime is struggling under an international blockade of its seaports and airports. Shortages of gas have been a fact of daily life for months now, with drivers waiting days in line at gas stations for fuel.

"One liter of petrol, 4 dinars!" a taxi driver yelled on Saturday, as he thumped a plastic jug full of fuel sitting in the back passenger seat of his car. That is roughly the equivalent of 13 dollars for a gallon of gasoline, a huge price surge in a country long accustomed to cheap, heavily subsidized fuel. Until anti-Gadhafi protests first erupted last February, Libya was a major oil-exporting country. Since then, oil exports have slowed to a trickle.

Hopes for a reprieve in the fuel shortages were dashed this week when the regime in Tripoli announced rebels somehow seized control of the fuel tanker ship Cartagena off the coast of Malta.

Kaim denounced the capture of the ship and its cargo of tens of thousands of tons of gasoline, calling it an act of international piracy.

"The tanker was taken with the help of NATO to Benghazi and it arrived at 1:30 in the afternoon to Benghazi seaport," Kaim said on Friday.

"The age of piracy is coming back to the Mediterranean because of NATO," Kaim concluded.

The Reuters news agency has distributed video filmed Thursday of the tanker Cartagena sailing into the Libyan rebel capital of Benghazi.

According to the energy trade publication Petroleum Economist, the Cartagena was the property of the Libyan state-owned shipping company GNMTC.

"The MV Cartagena was outside Maltese territorial waters," an official from the Maltese Foreign Ministry wrote to CNN in an e-mail, after being asked about allegations of the ship's capture by rebels.

A NATO spokesman in Naples, Italy, wrote to CNN, "On the afternoon of 3 August a NATO warship established visual and voice contact with the MT Cartagena and found the crew cooperative. NATO concluded that the ship could proceed to its next port of call Benghazi. Following this decision the NATO warships returned to their patrol duties and did not escort the ship to Benghazi as suggested in some media reports."

Meanwhile, tempers were flaring at the Ghot al-Shaal shopping district in western Tripoli, where almost all the shops were dark and stifling hot due to the lack of electricity and air-conditioning.

"We've had no power all day, how are we going to work like this?" said one angry merchant as he stalked out of his women's clothing shop.

"At a time like this people want air-conditioning," said 26-year old Ridha Abdullah, who runs a children's clothing store. Abdullah said the power outages began within the last two weeks.

"God willing it will be fixed, if NATO would stop and leave us alone to resolve our problems," Abdullah added.

At a nearby fruit and vegetable bazaar, some passersby yelled pro-Gadhafi chants and vowed to stand strong against rebel and NATO attacks. One man carrying a shopping bag stopped to accuse foreign journalists of being the cause of the crisis.

But, as is often the case in public places, other Libyans discreetly approached CNN reporters to whisper messages of dissent against the Gadhafi regime.

"The government is lying and the rebels will be in Tripoli soon," one man said nervously, before quickly walking away.

"Gadhafi not good," said another young man, who smiled at a reporter before he climbed into a car and drove away.

One store owner decided to deal with summer heat and lack of electricity by simply closing shop early.

"I'm going to the beach to cool down," the man said with a smile, as he pulled down the heavy metal shutters that covered his shop windows.

@highlight

Government blames NATO, rebels

@highlight

Some Tripoli residents no longer get water pumped to their apartments

@highlight

Libyan official denounces rebel seizure of oil tanker

@highlight

There is international blockade of Libyan airports, seaports