Washington (CNN) -- The Supreme Court's decision Monday on same-sex marriage brought the issue back into the political mix less than a month before the midterm elections.

Deciding not to weigh in on the debate, the high court refused to hear cases in five states that are trying to maintain their same-sex marriage bans. That move effectively cleared the way for same-sex couples to legally wed in Oklahoma, Utah, Virginia, Wisconsin and Indiana.

Only one of those five states, Virginia, has a contested U.S. Senate race this year.

But the decision Monday also means that six other states who are covered by the same circuit appeals courts could also soon see their bans struck down. Of those states, three -- Colorado, Kansas and North Carolina -- are home to big Senate races.

All told, 30 states could soon start permitting same-sex marriage. That's up from 19 before the Supreme Court decision.

Polls show acceptance

It's instinctual to think that such a vast change on a hot-button issue could throw a wrench in an election year, especially with less than a month before Election Day. But recent polls and the gradual state-by-state legalization of same-sex marriage indicates that it's no longer the wedge issue it once was.

Sure, vulnerable Southern Democrats -- like Sen. Mary Landrieu in Louisiana and Kay Hagan in North Carolina -- may be wary of letting social issues become a prominent force in the midterms, as they tend to galvanize conservative bases.

But those socially conservative, pro-traditional marriage bases are getting smaller. A CBS/New York Times survey last month indicated that 56% of Americans believe same-sex marriage should be legal, representative of a slew of polls in recent years that show growing acceptance of the issue.

"As a general rule, it won't have an effect on these midterms because I think the issue is fading," said Quentin Kidd, director of the Wason Center for Public Policy at Christopher Newport University in Virginia.

"Millennials are becoming an increasingly larger portion of the electorate, and boomers are becoming an increasingly smaller part," he continued. "And millennials feel very different about it than boomers do."

Conservatives: issue will dominate election

Some social conservative leaders, including Ralph Reed of the Faith and Freedom Coalition, vowed that same-sex marriage would dominate the midterms.

"For candidates running in 2014 and those who run for president in 2016, there will be no avoiding this issue," Reed said in a statement, taking issue with what many critics described as judicial activism by the courts.

While Republican National Committee Chairman Reince Priebus said conservatives are right to be outraged by the courts' action on the issue, he doubts same-sex marriage will become a big force in the elections next month.

"People... are right to be concerned about what's happened here, but it doesn't mean it's the issue every single morning that we're dealing with in regards to these midterms," he said on MSNBC.

How it plays in Virginia

Republican Ed Gillespie, who's challenging Democratic Sen. Mark Warner in Virginia, said the Supreme Court's decision has "considerable impact" but did not express overt concern about the issue.

"I've always felt that this is a matter for the states to determine," he told CNN affiliate WSLS. "I don't believe that the federal government should set policy relative to marriage. I think the states should. And, obviously, given the court's ruling, it is the law of the land today."

With half of Virginia voters supporting same-sex marriage, according to a Quinnipiac poll earlier this year, a Republican candidate running for a statewide seat would almost need to take a measured approach on the issue.

Warner, his opponent, endorsed same-sex marriage last year along with several other Senate Democrats. On Monday, his Twitter account was fully supportive of the Supreme Court's move, calling it a "truly historic day."

If a Republican like Gillespie were to utilize the decision as a campaign issue, the candidate would need to micro-target a segment of voters that is highly passionate about it, Kidd said.

"If he can link his passion against same-sex marriage with the right voters, then I think that can help him gain support," Kidd added, but he doubts it can actually push Gillespie over the edge.

Colorado candidates' views

In Colorado, Republican Cory Gardner -- who's angling to oust Democratic Sen. Mark Udall -- has yet to comment on the Supreme Court decision. The candidates were not asked about it in their debate Monday.

And with Colorado voters supporting same-sex marriage, 61%-33%, according to a Quinnipiac poll in April, it's no surprise that Gardner may keep quiet on the issue.

Public opinion, however, makes it easier for Udall, who quickly took to Twitter Monday to blast out his support. "Supreme Court is right to let 10th Circuit Court decision â€” & others across nation â€” for #MarriageEquality stand. #MarriageMomentum," his account read.

No comment in North Carolina

Over in North Carolina, where Republican Thom Tillis is working to unseat Democratic Sen. Kay Hagan in the most expensive race this year, neither candidate has commented on the decision.

Hagan was part of the surge of Senate Democrats who endorsed same-sex marriage last year, but North Carolina passed its same-sex marriage ban as recently as 2012 -- an effort that Tillis, speaker of the North Carolina House, helped push.

According to the Charlotte Observer, Hagan reiterated her position Monday.

"I've made my personal opinion on this clear," she said. "I opposed Amendment One, because I don't think we should tell people who they can love or who they can marry."

Same in Kansas

The issue could also come up in Kansas, another one of the six extra states affected.

Republican Sen. Pat Roberts, who supports a constitutional amendment to define marriage between a man and a woman, is fighting for his political survival against an independent candidate, Greg Orman.

And in a state with large patches of conservative voters, neither of those candidates are commenting either.

CNN's Bill Mears and Ashley Fantz contributed to this report.

@highlight

NEW: RNC chairman says same-sex marriage won't be a top 2014 issue

@highlight

Same-sex marriage was legalized in five states Monday

@highlight

That's because of a Supreme Court decision to avoid the debate