Washington (CNN) -- Abdullah al-Kidd -- a U.S. citizen -- was held in jail by the U.S. government for 16 days as a "material witness" in an ongoing terror investigation. He was never charged, and never called to testify. Now the Supreme Court will decide whether the Kansas native can hold former Bush administration officials -- especially onetime Attorney General John Ashcroft -- personally liable for wrongful arrest and detention.

In oral arguments Wednesday, the justices appeared split along conservative-liberal lines about both the immunity question and the larger issue of when the government can hold in custody citizens it is unable to charge, for fear they may commit future crimes, including terrorism.

Chief Justice John Roberts said allowing such a lawsuit to proceed would impose a "heavy burden" on government officials and police as they do their jobs, for fear "if they guess wrong, it comes out of their pocket."

But Justice Ruth Bader Ginsburg called al-Kidd's experience "obvious mistreatment" that perhaps should leave someone accountable.

The case -- with its issue of the limits of "preventive" detention, especially in the wake of the 9/11 terror attacks -- is the only national security case the high court will address this term.

Material witness laws allow officials to detain those who may have knowledge of crimes committed by others to ensure they would testify in criminal proceedings, including before a grand jury and at trial. American Civil Liberties Union lawyers representing al-Kidd say the government has warped the law to allow open-ended arrests and confinement of citizens, without being later held accountable for those wrongfully held.

Al-Kidd was a college football player at the University of Idaho when he converted to Islam, changing his name from Lavoni Kidd. He eventually began volunteering at an Islamic charity led by a person being investigated for possible terrorism ties.

He was never implicated in wrongdoing, but was interviewed repeatedly and voluntarily by the FBI. He was never told his testimony would be needed in any prosecution, nor was he forbidden to leave the country.

Six months later, in March 2003, al-Kidd was about to board a plane at Dulles International Airport outside Washington, headed for Saudi Arabia study region for his doctorate. But he was arrested by government agents armed with a material warrant. An affidavit submitted to a federal magistrate said al-Kidd had a one-way first class plane ticket, and that he was "crucial" to the prosecution of Sami Omar al-Hussayen.

It was later revealed the ticket was two-way -- indicating he planned to return to the United States -- and he would fly coach class.

In his lawsuit, al-Kidd says he was held in three prisons in Virginia, Oklahoma, and Idaho, under high security with convicted criminals. He says he was routinely shackled, strip-searched, and left naked in a freezing cell while male and female guards watched.

He was freed after more than two weeks, but only after agreeing to surrender his passport and confine his travel, among other conditions. He now teaches in Saudi Arabia and did not attend oral arguments at the high court.

Al-Hussayen, meanwhile, was charged with visa fraud and making false statements. He was acquitted one some of the charges but the jury deadlocked on others. He agreed to be deported to avoid a retrial.

Al-Kidd later sued corrections officials; that suit was settled out of court. But it is his separate suit against Ashcroft, holding him personally accountable as head of the Justice Department, that is the heart of the current legal fight.

A federal appeals court had allowed his civil lawsuit to continue, but Ashcroft argues officials under his supervision obeyed the letter and spirit of the material witness law. An arrest warrant was properly obtained under the law they said, and even if there were improper motives behind this particular detention, Ashcroft would still enjoy "absolute" immunity.

Previous lawsuits by a variety of civil liberty and human rights groups naming Ashcroft and other top Bush officials -- including Vice President Dick Cheney, Secretary of Defense Donald Rumsfeld, and FBI Director Robert Mueller -- have almost unanimously been tossed out by federal courts on immunity grounds.

In oral arguments, the justices debated the immediate intent of al-Kidd's detention: Was it to ensure his assistance in an ongoing prosecution, or was it aimed at unlimited detention and investigation? Al-Kidd claims investigators held him in a desperate attempt to implicate him in the investigation of his friend.

Some members of the bench were clearly uncomfortable with the idea of blanket immunity for the highest government officials, whatever their reasons.

"Prosecutors can out of spite, out of pure investigative reasoning, out of whatever motive they have, just lock people up," said Justice Sonia Sotomayor, while clarifying that may not be what happened in al-Kidd's case.

Justice Ruth Bader Ginsburg was more blunt, calling some of the allegations "very disturbing."

"We are talking about the attorney general and the attorney general's immunity," she told the Justice Department lawyer arguing the case. "But there are allegations here that this man was kept awake, the lights shining in his cell for 24 hours, kept without clothes. Now that doesn't sound like the way one would treat someone whose testimony you want. Is there a remedy that he has for that obvious mistreatment?"

On the other side, Roberts warned making it easier to sue for violations of the law would open the floodgates to endless lawsuits.

"The allegation can so readily be made in every case under the material witness statute ... that this is one of those 'bad intent' cases, and the case has to proceed so that we can prove that."

Roberts wondered what an officer faced with deciding whether to proceed with a terror investigation or similarly serious matter would think.

"If I'm the officer in that situation, I say, 'Well, I'm just not going to run the risk of having to sell the house'" because his decision could be overturned someday by a court.

Justice Elena Kagan is not participating in the case because she helped brief the case for the government last year as solicitor general, just before joining the high court. That leaves the possibility of a 4-4 tie, which would give victory to al-Kidd, allowing his lawsuit to proceed.

Ashcroft has the support of the Obama administration, which argued the case in the high court, as well as several former attorneys general.

"We think the way that one vindicates one's rights is to use the process that is available to those that are arrested to seek their release," said Richard Samp of the Washington Legal Foundation, who filed the supporting brief. "And in fact, Mr. al-Kidd did exactly that. He had a lawyer appointed for him. He went into court on several occasions and within 15 days after the time of his arrest he was released."

But about 30 former federal prosecutors are backing al-Kidd.

Lee Gelernt, the ACLU attorney, told CNN the government should not be allowed to do an "end run" around the law.

"Our client would like vindication for his own rights. He would like to see his reputation cleared. But I think, perhaps most of all in his mind, he would like to see the court say that this cannot be done anymore and so it doesn't happen to people in the future."

The case is Ashcroft v. al-Kidd (10-98). A ruling is due by late June.

@highlight

Abdullah al-Kidd was held for 16 days as a material witness

@highlight

He wants to sue former Bush administration officials for wrongful detention

@highlight

The justices appear split along conservative-liberal lines