(Health.com) -- Will placing a tea bag on a cold sore make it disappear? Can you ease hot flashes with herbs? And does putting yogurt on your nether parts have a prayer of curing a yeast infection?

It used to be that you'd hear about these kinds of home remedies from your mom. These days, they're touted on websites, blogs, and online forums. In fact, 61 percent of American adults turn to the Internet to find help in treating what's ailing them, a 2009 study reveals.

But do these natural moves actually work ... and, just as important, could they do more harm than good? Health asked medical experts to weigh in on the Internet's most popular home cures.

The online claim: Yogurt can stop a yeast infection

Is it true? No

Yeast infections -- and their symptoms, from intense vaginal itchiness to cottage cheese-like discharge -- are caused by an overgrowth of the fungus candida. Because studies show that yogurt can promote the growth of healthier strains of bacteria in the stomach and intestines, people have long assumed it might also keep candida in check. And that rumor keeps circulating, thanks to the Internet.

Unfortunately, "no study shows conclusively that eating yogurt cures or even lessens the severity of yeast infections," says Michele G. Curtis, M.D., professor of obstetrics and gynecology at the University of Texas Medical School at Houston.

Neither will douching with yogurt, or (yikes!) dipping a tampon in the stuff, freezing it, and inserting it -- a remedy suggested on some websites. In fact, douching can cause yeast infections, Curtis says, especially if you're using yogurt; its sugars could actually help yeast grow.

If you're sure you have a yeast infection, based on a past experience, Curtis recommends using an over-the-counter medication, such as Monistat. But, she points out, "everything that itches is not yeast!" So see your gyno when in doubt: That itching might actually be bacterial vaginosis, for instance, which requires treatment with antibiotics.

Health.com: Is vaginal grooming safe?

The online claim: Black cohosh eases hot flashes

Is it true? Yes

Commonly known as bugwort or rattle root, this herb is derived from a plant called Actaea racemosa. While it may sound like something from Harry Potter's wizarding world, this remedy is not all hocus-pocus: Some studies suggest that black cohosh may indeed reduce hot flashes, according to guidelines re-released last year by the American College of Obstetricians and Gynecologists.

"It appears to have an anti-inflammatory effect," says Philip Hagen, M.D., co-editor of the "Mayo Clinic Book of Home Remedies." In fact, the herb is often prescribed in Europe; it's a key ingredient in Remifemin, a popular drug there, which is also available in the United States.

While U.S. studies haven't conclusively proven that black cohosh works, Curtis says it can't hurt to try the herb -- just consult with your doctor about the dosage first, and stick with it for 12 weeks, she says. (Make sure you're getting black cohosh, not blue cohosh, which could potentially be harmful, she adds.)

Health.com: Can supplements ease menopause symptoms?

The online claim: Pop calcium pills to quell PMS cramps

Is it true? Yes

Since there's scientific evidence that PMS sufferers have lower levels of calcium in their blood, it's not a stretch to think that loading up on it would ease the cramps, headaches, and bloating that come at that time of the month. Indeed, research has shown that taking 600 milligrams of calcium twice a day can reduce PMS symptoms.

And getting the nutrient in your food (such as calcium-packed dairy) may keep them at bay altogether: In a recent study conducted at the University of Massachusetts, Amherst, women who consumed four servings a day of skim or low-fat milk reduced their risk of developing PMS by 46%.

Note: Some women's cramps are so severe that only prescription medication can curb them, Curtis says. So if calcium doesn't make a difference with yours, see your doctor.

Health.com: 10 ways to get rid of PMS

The online claim: Tea tree oil can zap your zits

Is it true? Maybe

One brand of tea tree oil sold online is dubbed "Pure Liquid Gold," and it just may be, at least in the case of acne. A study published in the British Journal of Dermatology found that applying the extract to pimples reduced inflammation.

"Tea tree oil is antifungal and antibacterial," says Debra Jaliman, M.D., a New York City-based dermatologist. "It's so effective that many of my patients prefer it to benzoyl peroxide."

Other experts are not so keen. "The oil can cause rashes and even blistering," warns Jerome Z. Litt, M.D., assistant clinical professor of dermatology at Case Western Reserve University School of Medicine in Cleveland and the author of "Your Skin from A to Z." If you're nervous about using tea tree oil, Jaliman says, instead try a face wash for oily skin that contains salicylic or glycolic acid.

Health.com: Get flawless skin naturally

The online claim: Steam clears up sinus headaches

Is it true? Yes

This old-school treatment -- touted in more than 400,000 Google results! -- really works. "Inhaling steam flushes out your nasal passages, relieving sinus pressure," explains Neil Kao, M.D., head of research at the Allergic Disease and Asthma Center in Greenville, South Carolina.

Add a few drops of peppermint or eucalyptus oil to make it more potent. "The minty smell causes a tingling sensation in the nasal membrane, and this has a decongestant effect," says Kao, who also suggests dabbing Vicks VapoRub at the lower rim of your nostrils.

Another natural alternative: Using a neti pot to irrigate the nostrils with saline solution, which can also ease sinus symptoms, according to one study.

Health.com: 10 products to help you find sinus relief

The online claim: Black tea bags help cold sores disappear

Is it true? No

If left alone, cold sores usually clear up in a few weeks -- but who wants to wait?

Online remedies for the blisters range from the absurd (like earwax) to the less silly, like placing a damp black tea bag on the sore. "Black tea leaves have tannins, compounds that may inhibit the growth of viruses and bacteria, but no studies have verified this," Hagen says.

Tea bags may also have an anti-inflammatory effect, he says. But your best bet to shorten healing time is an OTC treatment like Abreva or a prescription med like Valtrex. To prevent sores from popping up, stay out of the sun, and use a high-SPF sunscreen around your lips: "Sun-light can trigger cold sores if you're prone to them," Hagen says.

Health.com: The healing power of tea

The online claim: Drinking cranberry juice prevents UTIs

Is it true? Yes

This popular home cure isn't just an old wives' tale: Major medical institutions, including the National Institutes of Health, agree that drinking cranberry juice can be effective for treating urinary tract infections (UTIs). "The berries contain proanthocyanidins, which keep E. coli from attaching to the bladder wall and causing an infection," Hagen says.

If you're prone to UTIs, drink one to two glasses of cranberry juice daily to help prevent them. Doing so also works when you have symptoms -- like a constant need to pee, or a burning sensation when you do -- to speed recovery. (There's also evidence that peeing immediately after sex can help prevent UTIs by flushing out bacteria.)

Stick to juice that's at least 20% pure cranberry -- or try supplements, taking up to six 400-milligram pills twice a day an hour before or two hours after a meal. If your symptoms don't end within 24 to 48 hours, see your physician -- especially if you have a fever or chills. "That points to something serious," Hagen says, "and means you should not be messing with a home remedy."

Copyright Health Magazine 2011

@highlight

Medical experts weigh in on the Internet's most popular home cures

@highlight

Yogurt doesn't cure yeast infests, nor does black tea bags help cold sores disappear

@highlight

Some oils, herbs and juices can help treat your ailments