(CNN) -- The holiday season is always a win for video gamers, as software makers jockey to one-up each other with slicker graphics, deeper play and more expansive 3-D worlds.

But the larger and more complex modern-day epics like "Fable III" and "Fallout: New Vegas" become, the more it often pays to keep things simple.

Classics such as "Tetris" and "Pac-Man" clearly illustrate this principle. As engaging today as they were when first launched decades back, it's these titles' sheer approachability and user-friendliness that make them timeless.

Even the most sprawling modern-day gaming experiences, such as "World of Warcraft" and "Call of Duty: Black Ops," still bow to the classic game design principle of keeping play easy to learn but hard to master.

The successful games observe two vital rules:

1) Find clever ways to spin the same basic concept (swapping tiles, stomping enemy heads, etc.) multiple times

2) Tip learning curves in the players' favor by slowly introducing added depth at a comfortable pace

There's a reason why social games, including "FarmVille" and "Mafia Wars," and iPhone apps such as "Angry Birds" and "Pocket God" continue to rack up millions of plays.

It's not that these titles are revolutionary in design. It's that although the games are easy to start playing and enjoying, they increase in depth and complexity as the player gains more skill.

This makes it less intimidating for players of all levels to try these games, which slowly entice us into their web. (Admittedly, the games' low price points, on-demand access and ample personality don't hurt either.)

Make no mistake: Hardcore gaming enthusiasts do demand more value and substance from their titles than casual gamers. So designers are creating more robust virtual realms and expanding titles' value and scope through downloadable updates.

Games in role-playing, simulation and strategy genres also thrive by adding greater intricacy, not less. In short, we'd weep for a world without the latest "Civilization" or "Gran Turismo."

Instead of piling on pointless game variants or needlessly complicated controls, the most popular mass-appeal games often focus on executing a few simple features well -- and presenting them in endlessly novel contexts. What is "Torchlight" if not a smartly-placed series of mouse clicks, "Bejeweled" a simple slider puzzle or "Guitar Hero: Warriors of Rock" a more high-tech version of Simon?

No player likes to feel as if their favorite titles have been dumbed down. No designer appreciates admitting that behind all the fancy mission types, play modes and monsters, their basic play concept amounts to "checkers with a twist," or simply tapping the right keys on cue.

Still, why overcomplicate matters? Freeform missions, jaw-dropping graphics and extensive online multiplayer support make excellent window dressing. But even in the era of sprawling odysseys like "Alan Wake" and "Red Dead Redemption," they remain secondary to a fun, engaging and approachable core game experience.

@highlight

Simple games, including such classics as "Tetris," are less intimidating to newcomers

@highlight

The most popular games often focus on executing a few simple features well

@highlight

Hardcore gamers still love complex challenges, and no one likes to feel their favorite titles have been dumbed down