(CNN)It wasn't the screech of cannonballs, the thud of grappling hooks or the crack of muskets that most terrified the sailors of the Spanish Armada in the 16th century, but fire.

The English vice-admiral Sir Francis Drake used fire ships -- aging hulks set ablaze and allowed to float freely into the Armada -- to devastating effect, forcing the Spanish ships to break formation.

More than 400 years later, however, and fire is still one of the gravest threats to shipboard life.

Old threat, new technology

Shipboard procedures such as fire drills, on-board alarms and locking fire doors may have gone a long way to mitigating the danger of fire at sea, but the US Navy is looking at new technology to help it battle the threat.

Its latest solution is to send fire-resistant metal men into the smoky, red-hot holds of its fire-stricken warships, throwing fire retarding grenades and assessing damage with a camera that can see through smoke.

Called the Shipboard Autonomous Firefighting Robot (SAFFiR), the team at the Office of Naval Research (ONR) chose a humanoid-type robot as the best way of negotiating the narrow passageways, ladders and hatches (all designed for human mobility) of a modern ship.

"Every compartment and passageway on a ship is designed for human occupation and mobility," Dr Thomas McKenna, ONR program manager for human-robot interaction and cognitive neuroscience, told CNN.

"There are numerous barriers, like sills, that would block a wheeled robot. In addition, a humanoid robot can use firefighting gear designed for humans, such as protective coats, backpack fire suppressants, hand-held sensors and hose nozzles," he said

"The long-term goal is to keep sailors from the danger of direct exposure to fire."

Shipboard fires, he said, throw up a different and more urgent set of problems than fires on land.

"Shipboard fires must be suppressed, whereas in many civilian fires, a building can be considered a loss and the focus might shift to containing the fire to prevent spread," he told CNN.

"On a ship, fire suppression is critical to the survival of the ship and its personnel; confined spaces, smoke, heat and gases can be a threat to humans."

Developed by researchers at Virginia Tech and sponsored by the ONR, the SAFFiR prototype was tested aboard the decommissioned warship USS Shadwell last year and unveiled at the Naval Future Force Science & Technology EXPO this month.

Super-human range

SAFFiR stands 5 feet 10 inches and weighs 143 pounds. The unique mechanism design on the robot equips it with super-human range of motion to maneuver in complex spaces.

The team equipped the robot with a suite of sensors that include a camera, a gas sensor and a stereo infrared camera that will allow it to find its way through the choking black smoke that would deter human firefighters.

Its upper body has been designed to manipulate fire suppressing equipment and even to throw propelled extinguishing agent (PEAT) grenades. The robot, say developers, can handle a fire hose on its own.

With enough battery power for 30 minutes of firefighting, SAFFiR is capable of walking in all directions, balancing in rough seas, and stepping around obstacles.

"Balancing on any type of terrain that's unstable - especially for bipedal robots - is very difficult," said Brian Lattimer, associate professor for mechanical engineering at Virginia Tech.

"Whole-body momentum control allows for the robot to optimize the locations of all of its joints so that it maintains its center of mass on uncertain and unstable surfaces."

Robot a team player

While the next generation of the robot will be designed with enhanced intelligence, communications capabilities and extended battery life, Lattimer said the robot would likely always take its orders from a human in a console.

Despite this, the algorithms that are being developed would allow mobility and decision making by the robot as a team member.

"The robot has the ability to do autonomous tasks, but we have a human in the loop to allow an operator to intervene in any type of task that the robot's doing," he said."We're working toward human-robot teams. It's what we call the hybrid force: humans and robots working together."

McKenna said that ultimately, SAFFiR could be used for a number of shipboard duties that are difficult or onerous for humans to perform.

"For instance, a bipedal robot could be configured to take shipboard measurements, scan for corrosion and leaks, and identify changes to the shape of the room from its original configuration," he said.

"By taking on these time-consuming tasks, SAFFiR could free up sailors for jobs that more fully take advantage of their training and technical skillsets."

Read more from Make, Create, Innovate:

Will you soon be able to 'swallow the doctor'?

Meet the world's first 1,000 mph car

Out of juice? Try a cardboard battery

@highlight

Researchers have developed a robot that could help the US Navy battle shipboard fires

@highlight

The robot has been designed in a humanoid shape to negotiate complex environments

@highlight

Not only would the robot, called SAFFiR, throw fire retarding grenades but glean information

@highlight

Researchers hope the robot will one day help with other difficult and onerous onboard tasks