Cairo, Egypt (CNN) -- "Freedom!"

That word, yelled out in Arabic, reverberated Friday along the banks of the Nile River in Cairo -- as well as in the port city of Alexandria, near the canal in Suez, and other pockets of Egypt. Many demonstrators voicing their desire for a new government and new political future remained on the streets well into Saturday morning, defying a curfew and revelling in a historic day in a nation whose history dates back millennia.

By early Saturday, police were nowhere to be seen in the capital of Cairo, with military forces deployed on streets all around the nation for the first time in more than three decades. They were ordered out by President Hosni Mubarak, whom many demonstrators were urging to step down or, at least, institute dramatic economic and political reforms.

"We want (Mubarek) to leave," said Ahmed, whose last name was withheld to protect his identity. "His time is over," the 19-year-old law student said early Saturday from Raml Square in central Alexandria.

Mubarak has been in power for 30 years, during which time Egypt has established itself as one of the most important powers in the region and a strong ally of the United States. At the same time, the long-time ruler and his regime had a reputation for restricting freedoms and staunchly holding onto power.

Resistance in the past had often been stifled by either political manuevering or the police, members of which were out in full force this week. But rarely have they met an opposition force as large, or as apparently determined.

"Police have always been violent, but we haven't seen it this way," Sarah Sirgany, a reporter for Daily News Egypt who has been posting regular developments on Twitter, told CNN's Piers Morgan. "We haven't seen this many people on the streets at the same time."

Video footage from Friday showed throngs of protesters charging down a bridge over the Nile River in Cairo, overrunning police trucks that fired off tear gas with minimal effect. Elsewhere, demonstrators torched and ransacked the headquarters of Mubarak's ruling National Democratic Party.

When protesters circled the Ministry of Information in Cairo on Friday, they were greeted by police, who responded with sharp cracks of gunfire.

It's not clear whether police shot at protesters or into the air, whether their bullets were rubber or steel, whether anyone was wounded or killed.

There were many other reports of run-ins, and the U.N. High Commissioner for Human Rights reporting early Friday that the government had arrested more than 1,000 people, including political opposition leader Mohamed ElBaradei.

Mohammed Mansour, a resident of the Shubra neighborhood of Cairo, said that he and fellow demonstrators had been "beaten and assaulted by police" since Monday, when the popular unrest began.

Continuing to fight Friday, he said that his group had beaten back police, who retreated. Later he claimed, protesters set fire to three police stations and about 20 police cars.

"We went out today and we were ready to die, so our children can live in dignity," said Mansour.

Protesters' interactions with Egypt's military -- members of an army that is widely respected in Egypt -- were far more friendly. In Cairo and Alexandria, many protesters greeted troops with embraces and cheers, some even shaking hands with soldiers.

Mansour, the Cairo resident, said he and fellow demonstrators celebrated when they saw troops roll into town, and they were not alone.

"It means we are victorious," he said. "If the army comes out, that means the government ... is no longer in control."

In the wee hours of Saturday, with the curfew ostensibly in effect, people continued to come up to friendly army troops, greeting them and posing for pictures by tanks. Some military personnel were stationed outside burned out police stations, but did little to prevent people from going into them and coming out with chairs, tables and various valuables.

The army wasn't the only side exercising restraint.

The Muslim Brotherhood sent its followers onto the streets after Friday prayers, the first time Egypt's large and venerable -- but illegal -- Islamic opposition called for protest during this round of demonstrations.

And when younger Muslim Brotherhood protesters seemed ready to hurl rocks at the police in Alexandria, Egypt's second-largest city, older men put their arms around their shoulders, calming them down.

Just after midnight Saturday, Mubarak gave a speech defending and explaining the government's response to the protests while saying that he'd soon form a new government mindful of the demonstrators' demands for policy changes.

Still that didn't appease many on the streets, who vowed to continue demonstrating again against what they felt was an unjust ruling government that needed a fresh start -- without Mubarak.

"We are one of the richest Arab countries, and we want to live," said a 20-year-old student named Mohammed, whose last name was withheld to protect his identity, from Alexandria. "Let a new government form, but if we don't get what we ask for, we will go back to the streets again and again."

Another protester in Alexandria, an 18-year-old taxi driver named Yousef, didn't even think the entrenched Egyptian ruler deserved even that much of a chance. He said Egyptians should press on with their protests, following the lead of their fellow African nation Tunisia.

There, President Zine El Abidine Ben Ali left the country after 23 years in power following weeks of demonstrations against his rule. The new government, under Prime Minister Mohamed Ghannouchi, announced new freedoms and promised to institute numerous democratic-minded reforms.

"They kept protesting until he fled the country," Yousef said of Tunisia. "We will do more and more, we will continue our demonstrations, and we will do 3,000 times more of what the Tunisians did."

CNN's Salma Abdelaziz, Saad Abedine, Ben Wedeman in Cairo and Nic Robertson in Alexandria contributed to this report.

@highlight

NEW: A protester in Alexandria says President Mubarak's "time is over"

@highlight

NEW: Video footage shows demonstrators overruning police on a Nile River bridge

@highlight

NEW: A protester in Cairo says: "We'll do 3,000 more than what the Tunisians did"

@highlight

Protesters greet military troops on the streets with hugs and handshakes