It's too easy to let New Mexico off as simply "The Land of Enchantment."

It's true the state has magical desert vistas, Rocky Mountain playgrounds and charming adobe communities that predate Columbus' arrival by a few thousand years. But there's an undeniably eclectic and occasionally dark side to the 47th state as well.

In Roswell, residents see UFOs with frightening regularity. In Santa Fe, they burn Zozobra, or "Old Man Gloom," at the stake every fall. And Trinity Site, near Alamogordo, is the first spot on the planet where humans detonated an atomic bomb.

Considering that New Mexico is essentially a bilingual state, where about one-third of families speak Spanish (some villagers in the northern mountains speak a dialect of 16th-century Spanish), New Mexico often feels like a foreign country. Add the interesting juxtaposition that it's the fifth-largest state (121,589 square miles), but has a population of about 2 million people (about half the population of Los Angeles), making it one of the least densely populated states in the country.

All of which means that there is quite a lot of space to explore. You might be surprised by what you find.

1. Christmas is served 365 days per year. Walk into any New Mexico restaurant, order an enchilada or burrito and the waitress will ask the inevitable: Red, green, or Christmas? That's local parlance for "How do you prefer your chile?" The spicy, capsaicin-rich sauce made from the official state vegetable smothers most everything that comes out of a New Mexico kitchen. Whether you prefer spicy green, mellow red, or "Christmas," a combination of the two, the little-known secret about New Mexico chile is that red and green are one and the same. The difference is how ripe the pepper is when picked.

2. Monks brew beer. Drive about 65 miles northwest of Santa Fe on U.S. 84, past Pedernal, the iconic flat-topped peak painted by Georgia O'Keeffe, and Ghost Ranch, where portions of "The Lone Ranger," "Wyatt Earp" and "No Country for Old Men" were filmed. Then take a left on Forest Service Road 151. At the end of the 13-mile-long road is Monastery of Christ in the Desert's tap room, where you'll find the smooth, cool tang of a classic Belgian ale. The Benedictine monks grow their own hops to brew six of the best beers in the Southwest under the label Abbey Beverage Company. Beware: Tripel Ale has 9.2% alcohol content, and beer is not allowed at vespers. Reserve a free tasting at least 48 hours in advance.

3. The wine industry here is older than California's. It all began in 1629 when Franciscan friar García de Zúñiga and a Capuchín monk named Antonio de Arteaga planted the first wine grapes in the Rio Grande Valley to use for Communion. By 1884 New Mexico was producing almost a million gallons of wine annually. Indian raids in the 19th century and flooding in the early 20th century brought the industry to its knees, until a group of European investors began importing French hybrid vines to New Mexico to grow small boutique wineries.

Today, the state has more than 42 wineries that produce more than 700,000 gallons of wine annually. The Gruet family, established French winemakers who moved to New Mexico to run an experimental vineyard in 1984, grow grapes at 4,300 feet. The altitude must work magic. Gruet's sparkling wines are some of the best in the country. Not likely to stop for a sip in New Mexico? Try a Gruet blanc de noir at the Montage Beverly Hills or Blue Smoke in Manhattan.

4. Route 66 crosses itself. Cruise Albuquerque's Central Avenue today and the buildings might be described as faded retro. Flashback to the 1950s and this blacktop strip was the soul of Route 66, the 2,400-mile scenic highway that passed through eight states along the way from Chicago to Los Angeles. At the height of "The Mother Road's" popularity in 1955, 98 motels lined Central Avenue. Today one of the strangest corners is the intersection of Central Avenue and Fourth Street in downtown Albuquerque. Due to a change in the road's alignment in 1937, this is where historic Route 66 (Fourth Street) intersects with modern Route 66 (Central Avenue).

5. Santa Fe is very high, very old, and contains a miraculous staircase. Quirky and charming, Santa Fe sits at 7,000 feet above sea level, making it the highest state capital in the country. It's also eerily reminiscent of the Old West, especially the downtown plaza's Palace of the Governors, which was built in 1610, more than 300 years before New Mexico became a state. The "City of Faith" is also home to a few miracles, like the Loretto Chapel's circular wooden steps. Built by an unidentified man who is said to have shown up at the chapel in 1879 with a donkey and a toolbox, his staircase has two 360-degree turns, no visible means of support and wooden pegs instead of metal nails. Some faithful at the time believed that the mystery man was St. Joseph.

6. It's still the Wild West. Like many villages west of the Mississippi, Cimarron, in the northeast corner of the state, staked its claim as the "Cowboy Capital of the World." Buffalo Bill Cody once managed a goat ranch just outside of town and Wyatt Earp, Annie Oakley, and Jesse James stayed at the St. James hotel, famous for being haunted by the men who were murdered there. The outlaw Davy Crockett (a relative of the legendary frontiersman) murdered three Buffalo Soldiers in the bar in 1876. More than a century later, New Mexicans are still allowed to openly carry a gun, no permit required, almost anywhere, including state parks and state and national forests, and restaurants that don't serve hard alcohol. So watch your back.

7. White Sands National Monument isn't your typical sand. We may be getting hung up on a technicality, but the "sand" in these 275-square miles of shifting dunes 15 miles west of Alamogordo is actually gypsum crystals. (Most inland sand is made from silica in the form of quartz crystals or coral.) That's not the only reason White Sands is surreal: 93 African oryx were imported from the Kalahari Desert and set free between 1969 and 1977. Today more than 3,000 animals, each weighing up to 450 pounds with horns that average 34 inches, roam the dunes. http://www.nps.gov/whsa/index.htm

8. Archaeologists have identified more than 25,000 Ancestral Pueblo sites in New Mexico. Arrowheads are unearthed almost everywhere in the state, but for the most complete and mind-boggling perspective of these hunter-gatherers who thrived 10,000 years ago, visit Bandelier National Monument near Los Alamos. The park covers 33,677 acres and centers around Frijoles Canyon, where a mile-long hike takes visitors past petroglyphs and masonry walls built into a cliff face. The Ancestral Puebloans cleared out of Frijoles sometime after 1250, possibly because of drought, deforestation, crop failure, or internal conflict. The reasons are still not known.

But to this day their ancestors are scattered across New Mexico in 19 Pueblo communities. One-thousand-year-old Taos Pueblo, a multistory adobe one mile north of Taos, is considered to be the oldest continuously inhabited community in the United States.

9. You don't need lightning to be awed by "The Lightning Field." In daylight the famous outdoor sculpture built in 1977 by Walter De Maria, appears to be little more than 400 stainless steel poles sticking out of the ground. But come sunset on a stormy mid-July summer evening, the poles will provoke pyrotechnics that make hairs stand on end. Even without lightning, the high desert sky at sunrise and sunset here at 7,200 feet on the edge of the Gila National Forest near Quemado is breathtaking. Make a reservation at least six months in advance to stay in the one rustic, three-bedroom cabin adjacent to the field through the Dia Art Foundation (diaart.org).

10. Ojo Caliente's mineral waters have worked wonders for thousands of years. Ancestors of the native Tewa tribes, 16th-century Spanish colonizers, and ailing bodies in search of a miracle cure have all made the pilgrimage to soak in the geothermal water that flows from an ancient volcanic aquifer to the surface at the rate of more than 100,000 gallons per day. Southwest of Taos, Ojo officially became a "spa" 145 years ago, but it still has public Lithia, Iron, Soda, and Arsenic springs. For privacy, rent a brand-new Cliffside Suite with kiva fireplace and a private soaking tub.

@highlight

Christmas is served 365 days a year in New Mexico

@highlight

The state has a longer wine-growing history than California

@highlight

New Mexicans may openly carry a gun, no permit required, almost anywhere