WASHINGTON (CNN) -- Most of the Supreme Court justices piled up a lot frequent flyer miles in 2007, jetting to such exotic locales as Austria, India and Hawaii, according to financial disclosure reports released Friday.

The U.S. Supreme Court justices at a shoot for their 2006 "class photo."

And they generally have a good bit of spending money for their travels, based on reported investment income.

The records, which were released Friday by the Administrative Office of the U.S. Courts, confirm what has been known for some time: that most of the justices are relatively well-off financially.

The eight associate justices make $208,100 in annual wages plus income from a variety of resources. Federal judges are not required to publicly release exact income figures, just a general range.

The wealthiest justice may be David Souter, with a wise investment he made years ago in a Vermont bank paying off handsomely. His assets in Chittenden Corp. are valued from $5 million to $25 million.

Justice Ruth Bader Ginsburg's asset totals are boosted by the fact that her husband, Martin, is a respected private tax attorney in Washington.

Justices Stephen Breyer, John Paul Stevens and Antonin Scalia are also millionaires. Justice Samuel Alito, the newest member of the high court, also reported income ranging from $700,000 to $2 million.

In the area of reported gifts, Alito cited about $500 in "Italian food and wine" given to him by a friend, about whom the justice helpfully noted it "is not likely that he will appear before this court."

The latest financial records continue to show Justices Anthony Kennedy and Clarence Thomas reporting assets under $1 million, not including homes and judicial salaries.

Thomas received a one-time boost to his income when his best-selling memoir was released in October. He received the remaining half of a reported million-dollar book advance and traveled extensively on a book promotion and signing tour.

Scalia also received an advance for his book on how to be a better appellate lawyer. The amount was relatively paltry compared to his colleague's: $33,000.

The annual records show that Breyer, Ginsburg, Kennedy and Scalia were the busiest travelers. Each made multiple visits overseas to teach, give speeches or attend judicial seminars.

Airfare, lodging and meals were generally paid for by the organizations that invited the justices, but under federal law, they must report it.

Europe was a favorite destination for several justices.

Breyer reported 21 out-of-town trips for which he was reimbursed, including to Paris, France; Rome, Italy; New Delhi, India; and Palm Springs, California.

Ginsburg went overseas to France, Belgium, Ireland and Canada and made at least nine other domestic trips.

In the same week in July, Kennedy and Chief Justice Roberts were in France and Austria, respectively.

But the Most Traveled Award goes to Scalia, who made 33 expense-paid trips, including eight overseas, and visited at least 17 states.

Only Souter and Stevens reported no trips for which they were reimbursed by sponsoring groups. Souter also reported no outside teaching gigs, trustee or board memberships, or any gifts received.

The 68-year-old bachelor generally spends his extended time away from the high court at his isolated farm in rural New Hampshire.

Chief Justice John Roberts may have the most diverse investment portfolio. He recorded 63 investments and trusts, including stock in Time Warner (parent company of CNN), Citicorp, Microsoft and Hewlett-Packard.

The estimated value is from about $2.4 million to more than $6 million.

Before becoming a federal judge, Roberts was a high-paid Washington lawyer. His judicial salary is $217,400.

Roberts, 53, continued to sell off small amounts of common stock, including in Cisco and Citigroup. When he took over as chief justice in 2005, he was forced to sell stock in several companies.

A bill passed two years ago in Congress allows federal judges to defer paying capital gains taxes on securities they sell to avoid conflicts of interest. High-level executive branch employees had enjoyed that privilege for years.

The issue of judges holding such diverse investment portfolios has resulted in several conflicts of interest, prompting calls for reform.

The high court last month refused to accept an appeal from a group of South Africans seeking to sue U.S. and foreign firms for allegedly helping keep the white-led apartheid government of their country in power for decades.

Four members of the high court were forced to remove themselves from consideration of the cases. No reason was given for their recusal, but financial disclosure reports showed that Roberts, along with Breyer and Alito, owns stock in several of the companies being sued. Kennedy's son Gregory is a top manager in one, investment bank Credit Suisse.

Under federal rules, at least six justices must hear a case that is accepted for review. With four of the nine recused, the high court had no choice but to uphold the lower court ruling, tossing out the lawsuit.

Some reform advocates say that judges should be allowed to own only mutual funds instead of individual stocks.

Mutual funds involve a range of investments whose identities are disclosed to the fund's shareholders several times each year. Federal law allows judges to own mutual funds without having to recuse themselves from a particular appeal.

@highlight

Reports show David Souter may be the wealthiest member of Supreme Court

@highlight

Samuel Alito, the busiest traveler, made 33 expense-paid trips in 2007

@highlight

Chief Justice John Roberts recorded 63 investments and trusts