(CNN) -- In travels this week -- to Boston, Chicago, New York -- friends and strangers alike have said the same thing: They are turned off and tuned out of the sequestration mess in Washington. To a person, they are sick of the antics of those to whom they have entrusted enormous power.

In times past, a president has usually risen to the demands of leadership when a Congress has stubbornly resisted tough choices, such as the upcoming mandatory budget cuts that are called sequestration.

That's what Lyndon Johnson did in persuading key Republicans to help pass the civil rights bills of 1964 and 1965. And that's what Bill Clinton did in working with a Republican House led by Newt Gingrich. People forget how hostile House Republicans were to Clinton -- hell, they impeached him -- but he nonetheless worked with them to pass four straight balanced budgets and an overhaul of welfare.

Obama signs order activating "dumb" budget cuts

In other times, Congress has displayed serious leadership when a president has lost his way. That's what Congress did to curtail overseas military ventures after two presidents in a row got us into a quagmire in Vietnam. And that's what top congressmen like Sam Ervin and Howard Baker did when Richard Nixon went off the tracks in Watergate.

But today, we have a rare moment when both Congress and the president are retreating from their responsibilities. It's hard to recall a time when we were so leaderless.

One of the foremost duties of Congress is to pass a budget: It has failed for four straight years. Republicans, especially in the House, have continually refused to meet the White House halfway. Meanwhile, a president who promised to be a solution has become part of the problem. Ever since his re-election, Barack Obama has seemed more intent on campaigning than governing.

A new Washington Post/Pew poll gives some measure of how the public is turning away. Only one in four Americans is following news of the sequester. And as Chris Cillizza and Aaron Blake wrote in Tuesday's Post, "Not only are most people paying very little attention to the sequester, they also have only the faintest sense of what it would do. Fewer than one in five, or 18%, in the Post-Pew poll say they understand 'very well' what would happen if the sequester went into effect."

Cillizza and Blake argue that far more people paid attention to the fiscal cliff because their taxes might go up. Fair enough, but in my conversations, people were mostly fed up with the soap opera.

What to do?

Last weekend in Italy, voters were so disgusted with their politicians that an upstart political movement led by a political comedian won the most votes of any single party. Is it time to draft Jon Stewart and Steven Colbert?

Perhaps, but in the meantime, the president and the Congress have one solemn and urgent responsibility: Having created this mess, they must -- stress must -- work together to minimize the disruptions and hardships that they are promising will happen. It is insane that a series of cuts that represent only 2.5% of all federal spending and 5% of the budgets of most federal agencies will be allowed -- according to the administration -- to create havoc with airplane flights, bring grinding slowdowns to meat inspections, force an aircraft carrier to stay in port ... the litany goes on.

To anyone who has been through numerous short shutdowns of government in the past, this sounds suspiciously like the "Washington Monument syndrome": the tendency of federal bureaucrats faced with budget cuts to shut down the most visible services first, causing screams and forcing the cuts to be rescinded.

Administration spokesmen say their hands are tied by the sequestration law because it requires even, across-the-board cuts. But if that is the case, change the law. Everyone knows it is a stupid piece of legislation. Fortunately, some senators on both sides of the aisle -- Republican Jim Inhofe of Oklahoma and Democrat Barbara Mikuski of Maryland among them -- are working on legislation that would give the administration flexibility in making the cuts so that disruptions can be kept as small as possible.

So far, the White House and Majority Leader Harry Reid are saying no. The White House has made the argument that minimizing the effects would make people too complacent about what comes from reducing spending. In reality, what they are trying to do is to make Republicans look so bad that they will cave in. This is a terrible way to govern: Washington politicians should not turn citizens into suffering pawns in order to get their way.

Meanwhile, Republicans like John McCain are objecting that such a correction to the sequestration law would cede too much power to the president. The concern about excessive power is legitimate, but surely a way can be found so that the White House and Congress would share power and any other arrangements be strictly limited in time.

Perhaps, if wisdom once again rears its head, this mess will be so awful the president and Congress will get back to the bargaining table and come up with a long-term solution. But in the meantime, Obama and Congress have a duty to lead -- and that means to pass a bill that will minimize disruption and pain.

By the way, speaking of comedians as politicians, Al Franken has turned out to be a pretty darn good senator.

The opinions expressed in this commentary are solely those of David Gergen.

@highlight

David Gergen says everyone he talks to is turned off by mandatory budget cut mess

@highlight

Gergen: We are leaderless; neither Congress nor president is taking responsibility

@highlight

Most Americans have no idea of what "sequestration" means or what it will do, he says

@highlight

Gergen: All sides are using this as a political scare tactic; they have a duty to pass a bill