(CNN) -- Rail experts Tuesday questioned the effectiveness of one step being taken by New York's Metro-North Railroad to ensure safety one week after the derailment of a speeding commuter train killed four people and injured dozens of others.

The Metropolitan Transportation Authority, which operates the railroad, said late Sunday that "alerter" systems -- which require engineers to respond to alerts, sound an alarm if they are unresponsive and eventually brake the train in an emergency-- will be installed in every operator cab within the next year. Currently, such systems in the engineer's position are present in two-thirds of the railroad's fleet.

The Hudson line train that derailed on December 1 had an alerter system in the engine car at the rear but not in the front cab, where the engineer apparently nodded off at the controls as the train approached a curve at 82 miles per hour. The engineer's lawyer and union representatives said the train's hypnotic motion may have caused him to nod off -- a case of what the lawyer termed "highway hypnosis."

Man vs. machine: Who should be at the wheel?

Steven Harrod, a University of Dayton professor and expert on railway operations, said the effectiveness of "alerter" systems is debatable.

"It's not the cure all for all problems," he told CNN. "Research has been done showing that some crews are adapting to these 'alerters' and they're still sleeping to the 'alerters.' It's that whole highway hypnosis thing."

A 2007 study of "alerter" technology by Massachusetts Institute of Technology said, "Engineers can become inattentive and keep hitting the alerter even when nodding off. 'Alerter naps' has become a commonly used term."

The study cited a 2006 National Transportation Safety Board investigation report on a freight train collision in Macdona, Texas, in which escaping liquified chlorine ultimately killed the conductor and two local residents. The study said the engineer experienced what it called "alerter naps" in which he "apparently drifted in and out of micro-sleep."

"I view the alerter devices as being only partially effective," Steven Ditmeyer, a former Federal Railroad Administration official who teaches at Michigan State University, said in an e-mail. "During my years in the railroad industry, there have been numerous occasions when locomotive engineers have responded to alerter alarms while being in less than a fully conscious state."

While two-thirds of Metro-North's operating fleet is equipped with alerters in the engineer's position, the remaining one-third is equipped with "dead man" controls, another safety measure which theoretically requires the conductor make continuous conscious input to keep the train running.

At the time of the accident, the train was in "push mode," meaning that the locomotive was in the rear of the train pushing it along the tracks, with engineer William Rockefeller in a cabin at the front operating it remotely. His cabin was equipped with a "dead man pedal" that required constant downward pressure with the foot to keep the train moving, the MTA has said. The dead man pedal was working properly, authorities said.

The newer model locomotive in the rear, however, was equipped with an alerter system which sounds a tone every 25 seconds, requiring the engineer to respond with a tap within 15 seconds while the train is in steady motion.

Late Sunday, the MTA said it was taking additional safety measures: Signal crews installed new protections at the bend near the Spuyten Duyvil station in the Bronx -- where the fatal derailment occurred -- to warn engineers of the speed reduction and automatically apply emergency brakes if speed is not lowered to 30 mph.

By Tuesday morning, the MTA said, Metro-North also enhanced communication between engineers and conductors to ensure trains are operated at safe speeds at four other critical curves and five movable bridges. Conductors will stand with engineers at the control cab through the critical curves or they will communicate by radio.

On Monday, the NTSB continued to rule out mechanical causes in a deadly crash while adding to the possibility that human error was involved. The NTSB said it has completed its inspection of the train and found no anomalies.

The board found no problems with speed sensors, the brake control unit or the train's propulsion controller.

At 7:11 a.m. that Sunday -- about 11 minutes before the derailment -- the engineer did not dim the train's headlights as required when it passed another train, the NTSB said Monday.

It also said it believes that positive train control, a costly, high-tech system that targets human error, could have prevented the crash. The safety board has pushed the system for about 20 years. Congress is requiring most major railroads, including Metro-North, to install the costly systems by the end of 2015.

David Rangel, an instructor at the Modoc Railroad Academy in Marion, Illinois, advocates putting another person in the engineer's cab of commuter trains, a practice that is common in freight trains and airplane cockpits.

"It will increase the cost, of course, but the alternative that the railroads are looking at, and the federal government is trying to force on the railroads, positive train control, is certainly much more costly," Rangel told CNN. "We're into the hundreds of millions of dollars right now and we haven't even had the implementation of that system. ... The problem here is that we are dealing with humans in the cabs of those locomotives and we have frailties."

@highlight

Rail experts question a step taken to make trains safer after Metro-North wreck

@highlight

Authorities are requiring "alerters" in every operator cab by end of 2015

@highlight

Expert: "Alerter devices ... only partially effective"