(CNN) -- Its official: Deep cuts in federal spending are under way, $85 billion over the next seven months. The question we should all be asking soon is: Where are the jobs?

The reason given by Republicans and conservatives for the urgent need to drastically reduce federal spending was that mounting federal debt and big government was stifling private investment and economic output. Now, we will see whether that justification for the spending cuts was fact or fig leaf.

The truth is that the reductions in spending that will take place over the next year will, at a minimum, have no positive impact on the economy. In the worst case, the cuts could lead to increased unemployment and slower, if not negative, economic growth. In fact, many experts estimate the cuts are most likely to cost jobs: more than 700,000 according to Macroeconomic Advisers LLC.

In no case are the recently enacted sequester cuts likely to stimulate job creation and increased economic growth.

There will, however, be a good deal of measurable and immediate pain for millions of American households directly affected by the cuts. Many of them will be families that have been teetering on the financial edge since the beginning of the recession, and many more will be those who have fallen permanently into "barely getting by" status.

Already, even the modest recovery that is under way is not equally shared. As the Dow last week pierced the 14,000 level to flirt with an all-time high, fourth quarter GDP for 2012 was reported to have increased at an annual rate of a mere 0.1%. Although that estimate could be revised upward in the months ahead, the fact remains that wealthy investors are largely immune to the pain being experienced by a major share of the U.S. population.

According to University of California, Berkeley professor Emmanuel Saez, fully 93% of the increase in total U.S. family income in 2010, the first full year of recovery, went to the top 1%. Public policies such as stimulative Federal Reserve actions that are helping to inflate the stock market, and tax cuts for the wealthy, have combined to create a level of economic inequality not seen in the United States since the Great Depression.

Further, according to Dean Maki, chief United States economist at Barclays, corporate earnings have risen at an annualized rate of 20% since the end of 2008, while household disposable income has barely moved, averaging an inflation-adjusted 1.4% annually over the same period.

The recently enacted sequestration cuts will further fuel the disparity between corporate America, the wealthy and middle class, and the poor.

The truth is that there is no debt crisis that was necessary to address with these cuts. As our economy grows and people get back to work, the debt and deficit will naturally decrease with a rising tax base, increasing consumer spending and the public investment that comes with greater revenue and improved consumer confidence and business sentiment. The most effective way to promote that result, particularly now, given the economy's current slow growth trajectory, is to invest strategically in the economy in a manner that will provide the incentives for new private investment, business growth and ultimately job creation.

President Obama has repeatedly discussed the need to invest in the nation's infrastructure. Much of our infrastructure is aging and in dire need of repair or replacement. Investing in infrastructure could enhance market efficiencies, promote green jobs, improve the environment and provide needed employment opportunities in urban and rural communities, as well as on Native American Tribal Lands.

Infrastructure investments could include bridge and highway construction and repair, new commuter and high-speed rail lines, upgrading communications systems, renovating or building new schools, community colleges and state-of-the art job training facilities, investing in dams, waterways and water treatment facilities, reclaiming key wetlands, and improving the basic livability of impoverished neighborhoods.

For sure, large and growing federal deficits are a legitimate concern. But with 12 million workers searching for jobs, millions more working part-time but wanting full-time employment with flat or falling wages, nearly 13 million families owing more on their homes than they are worth; with a nearly 40% drop in net worth for the average American family, and GDP barely in positive territory, the economy is in need of a jump start, not a cutback.

Pulling back on federal spending now is equivalent to an unemployed worker refusing to go on job interviews in order to save on gas or bus fare.

Since the latter part of 2012, Washington policymakers have been fixated on federal budget reduction. Yet none of those conversations have led, nor are likely to lead, to the creation of a single job. The American public deserves better.

The opinions expressed in this commentary are solely those of James Carr

@highlight

Jim Carr: Forced spending cuts are now under way. Where will the jobs come from?

@highlight

He says cuts will cause pain in U.S. households; economists say more than 700,000 jobs lost

@highlight

He says at the same time corporate earnings up, widening gap between rich, poor

@highlight

Carr: Cuts don't address any debt crisis; what's needed is investment in job-building