FAIRBURN, Georgia (CNN) -- In a south Atlanta neighborhood lined with palatial homes and manicured lots, the Hicks family was living out its American dream.

Breylan and Terese Hicks play with their sons Bryce, 3, and Jordan, 2.

But like many Americans, that dream was interrupted when they almost lost their home to foreclosure.

Terese, a firefighter, and her husband Breylan, a police sergeant, had always dreamed about owning a spacious house in the suburbs.

When they began their search, the young family was living in a south Atlanta neighborhood. They grew concerned and decided to move when crime in the area started to pick up.

Although they didn't think they could afford their 'dream home,' they started searching in an affluent area just south of the airport and across the street from the 190-room estate owned by famed heavyweight boxer Evander Holyfield.

"I've always been looking in this subdivision, but never thought we could afford a home here," Terese Hicks said.  After discussing their financials with a mortgage broker, the family was presented with a deal and payments they could afford. The interest-only, adjustable rate loan sounded good at the time. And since they were not first-time homebuyers, they thought they knew what they were getting into. Terese Hicks figured they could always refinance before the interest rates were adjusted.

Soon, the family settled in their seven-bedroom, five-bathroom plantation-style home with a pool.

It all seemed like a dream come true, until the couple learned the interest rate on their loan would readjust in just six months, making the loan a short three-year ARM. The mother of two, who handles the family's finances, had wrongly assumed that their loan was a five-year ARM.

The news couldn't have come at a worse time. Breylan was unable to work because of a serious back injury, and the family's income took a hit. They were also paying mortgages on vacant rental properties when they couldn't find tenants because of the housing crisis.  To make matters worse, Terese Hicks, a city employee, had to take a 10-percent pay cut in her salary, and the family was burdened with a mountain of medical bills for numerous surgeries their 6-month-old son Jordan underwent to treat a birth-related medical condition.

Struggling to pay the new adjusted mortgage, Terese Hicks appealed to their mortgage company, Homecomings which is owned by GMAC, for help.

"They said there was nothing they could do about the rate readjusting, so I said let's weather the storm and see what we can do," she said.

She continued to make regular payments for all of their mortgages in order to maintain their good credit. But within a year, they were in the eye of the storm and their savings dropped to around $75.  Desperate, the Hickses asked their mortgage company again for help. But they were told there was nothing they could do because they were current on all their payments.

The Hickses decided they had no other choice but to "play the game" and stop paying their mortgage, even if it meant damaging their hard-earned credit.

Homecomings acknowledges that the guidelines for modification at that time made little sense, but they were caught in the middle of a "symptomatic" relationship between working with third-party investors and homeowners.

"In order for us to have been able to modify the loan we needed to get permission on the investor on whose behalf we are servicing the loan," said Jeanine Bruin of GMAC. "It's a balancing act, what's in the best interest of the customer and the investor."  At the time of the Hickses request for a loan modification, investors backing the loans required some proof of financial difficulty. Things have changed since then, including new government concessions geared towards helping homeowners, explained Bruin.

"The proof was in the pudding," said Bruin, "You had to be late in your payment to prove hardship."

The Hicks family's story is one that Marcia Griffin, founder of HomeFree-USA, has heard all too often.

"We advise homebuyers not to talk to a realtor or lender before we can meet with them for a Mortgage Profile Meeting," said Griffin. "Within 30 minutes the client will know if they can fly, run, walk or crawl."

HomeFree-USA is a nonprofit organization devoted to homeownership development and financial empowerment. It's one of several national nonprofit organizations that offer mortgage assistance and home ownership counseling. The Neighborhood Assistance Corp. of America and the National Urban League offer community advocacy programs geared toward counseling lower- and middle-income families who are purchasing or refinancing their homes.  With offices in Washington and Atlanta, HomeFree-USA's clientele is mostly minority borrowers. During the recent housing crisis, Griffin says people of color have become "easy prey" because they often don't know the right questions to ask about subprime and ARM loans. Some may find her no-nonsense attitude a bit difficult to swallow.

"You cannot buy a house without any money, and you cannot buy a house with poor credit," cautioned Griffin.  As an African-American, Griffin believes she's the right messenger to help financially empower the African-American community.

Griffin believes families like the Hicks could have qualified for a better, less risky loan and should have been better informed about the terms of their loan.  If the Hicks family had known sooner about HomeFree-USA's program they might have been able to save their good credit rating and a lot of aggravation. It was only after receiving notice that their home was going up for auction that Terese Hicks learned about HomeFree-USA.   She contacted the Atlanta office and within a few days there was a resolution. The Hicks family learned that they qualified for President Obama's new homeownership assistance program. The program offered institutionalized loan modifications for people who could prove they were suffering economic hardship.

With a low interest rate locked in for the next five years, the family was able to keep the home and pay an affordable monthly mortgage.

Griffin hopes other homebuyers can learn from the Hickses' situation and seek out an advocate early in the process of refinancing or modifying a loan -- before they are caught in a financial storm.

"People don't know where to go and who to talk to," says Griffin. "They are suffering in silence."

@highlight

The Hicks family purchased a "dream home" just south of Atlanta, Georgia

@highlight

The couple struggled to pay the interest-only mortgage after it adjusted

@highlight

They suffered a series of financial blows from health issues to loss of income

@highlight

HomeFree-USA consulted with their lender to avoid foreclosure