(CNN) -- Coinciding with this season's flu outbreak is an upsurge of another illness that can be dangerous, even deadly, especially for infants: respiratory syncytial virus (RSV).

While most parents are familiar with the flu, many have never heard of RSV. It's the same virus that is the leading cause of the common cold -- and infects almost all children by age 2.

"The vast majority of kids who get RSV just have cold symptoms and get better," says Dr. Robert Wiskind, Georgia president of the American Academy of Pediatrics. "A minority of them develop bronchiolitis (an inflammation of tiny air passages in the lungs specific to babies and young children) -- and a very small percentage have significant problems."

When RSV attacks the lungs, it is particularly dangerous for newborns and babies born prematurely. Pneumonia and other bronchial complications can set in quickly.

RSV and other winter worries

It is an age-old, recurring illness -- most adults have been exposed countless times. Subsequent RSV infections usually are not as severe as the first.

RSV, which generally circulates from late fall into the early spring, is out there with a myriad of other stuff floating around right now: Human metapneumovirus (hMPV), adenovirus and parainfluenza, all common respiratory viruses, and pertussis, the bacterial disease that causes whooping cough. Since patients often are treated without being tested, it's hard to know what's what.

"Just in general, when we look at cough and respiratory symptoms, there's a lot of overlap," said Dr. Susan Gerber, an epidemiologist at the Centers for Disease Control and Prevention (CDC). "A lot of times, unless there is rigorous laboratory testing, you may not know the cause."

Vitamin D in pregnancy may protect infants from virus

With no official reporting of RSV, year-to-year comparisons are difficult to gauge except to say spikes are typical this time of year.

In Boston, a city hit hard by the flu, Massachusetts General Hospital has more than 175 cases of RSV on the record so far this season. At the three pediatric hospitals that make up Children's Heathcare of Atlanta, some 545 youngsters have been treated for RSV since the beginning of December, according to the group's clinical microbiologist, Dr. Robert Jerris.

Katie Dearborn's 2-month-old son, Cooper, recently spent three days in an Atlanta hospital. "I brought him in because he was wheezing and coughing," she says. "He had just learned to smile -- and he stopped smiling. He just looked sad."

Wiskind advises, "You are the best judge of your child -- if it doesn't seem right to you, you should bring them in."

Serious symptoms

Parents should seek immediate medical attention if their children have any of these symptoms:

-- High fever

-- Severe cough

-- Wheezing

-- Difficulty breathing

-- Bluish-colored skin on the lips and nail beds

RSV spreads much like the flu -- exposure from others who are coughing or sneezing and by direct skin-to-skin contact. The virus can live for hours on contaminated surfaces such as toys. It is most contagious during first few days of infection.

Treatment

Milder coldlike symptoms can be alleviated with proper humidity, over-the-counter pain relievers, nasal drops and extra fluids.

Hospital treatment for serious cases may include antibiotics, IV fluids and humidified oxygen. Medications delivered in a fine mist can relieve wheezing.

Cooper Dearborn tested positive for RSV but responded quickly following a procedure to clear his lungs of congestion.

"It was a little scary. I'm grateful to all of the nurses and doctors who kept me calm," his mother says.

Prevention

Parents should take the same precautions for all respiratory illnesses: wash hands, limit contact with others who are sick, don't smoke and keep surfaces clean.

For babies at highest risk -- those born prematurely, with congenital heart or lung disease -- there is one medication to help ward it off: Doctors may administer a series of injections (Palivizumab) as a protective measure. But it's an expensive treatment not indicated for general use.

Preventive actions do pay off, Wiskind says.

"The number of fatalities from RSV has dropped significantly in recent years."

There currently is no vaccine for RSV. But "we are hopeful," Gerber says. "There are multiple candidates for a vaccine in development."

@highlight

RSV is caused by the same virus that's the leading cause of the common cold

@highlight

Most children recover without complications, but some have "significant problems"

@highlight

Serious cases may require hospitalization