Bekaa Valley, Lebanon (CNN) -- In my nine years as a UNICEF ambassador, I've been to camps for people displaced by conflict. Though hardly luxurious, they usually have some kind of structure: a water source, latrines, even schools.

In Lebanon, even the most basic services are hard to come by as the small country staggers from the flow of refugees from its larger neighbor. The places I saw had no toilets, no clean water sources, no places to shower and no areas for cooking. Cases of painful scabies, lice and fleas are on the rise.

I met mothers and children who have witnessed unspeakable acts of violence, including the death of loved ones. Often arriving in Lebanon with no more than the clothes on their backs, moms are trying to hold their families together with no idea how they will feed, clothe or shelter their traumatized kids.

Many of these refugees lived a middle-class life in Syria, where they had homes, jobs, electricity and plumbing.

Visit UNICEF's website to find out how you can help

Now, their savings have dwindled and many of them are dependent on the generosity and hospitality of strangers. They are living in tents constructed from discarded objects such as burlap sacks and plastic sheets. They might rent land from a farmer or squat in an abandoned construction site. These new "homes" leave them exposed to all sorts of dangers, respiratory infections and other diseases. And because there are no official camps, people are scattered, which makes identifying the informal settlement sites extremely challenging.

We traveled to a cement factory, where some Syrian mothers were renting tiny rooms to house their entire families. I noticed one young girl who had dull, patchy skin. Her eyes sparkled and she was quick to smile, but her hair, eyebrows and lashes were sparse. When I asked about what happened, I was told that she became ill after playing in the factory's toxic waste.

Since January, the number of Syrian refugees in Lebanon has increased nearly six-fold. More than a million people are in urgent need of humanitarian aid.

Considering Lebanon has a population of 4 million people, this is a crisis of epic scale that is putting enormous strain on local communities.

According to UNICEF, there are more than 270,000 refugee children who are not in school in the country; by the end of the year, the number could exceed 400,000. Some of them have missed out on more than a year of learning. Syrian children can enroll in public schools in Lebanon as long as there is space, but many schools are already at capacity.

In the United States, much of the discussion about Syria has been focused on politics. But for the kids I met, and millions more like them all across the region, politics is the farthest thing from their minds.

Despite bearing no responsibility for the violence, children are paying the heaviest price for the conflict. They desperately need water, medical attention, sanitation, psychological support and the opportunity to receive an education, but there are simply not enough resources to alleviate suffering.

In spite of the enormity of the crisis, funding for lifesaving aid is in short supply.

UNICEF still needs $172 million this year to assist Syrian refugees across the region, which means programs to support these children are threatened. Clean water, schools, health care and nutrition are all at risk.

I was overwhelmed by the deprivation and trauma the children we met have endured. But they rushed up to us with kisses and hugs, asking only for the chance to go to school. They deserve that chance.

What's at stake is an entire generation of children who are carrying the emotional and physical scars of war. Time is running out for them. They need our help to stay alive, to go to school and to be kids again.

Frustration in Congress with aid to Syrian rebels

@highlight

UNICEF Ambassador Lucy Liu visited Syrian refugees in Lebanon

@highlight

Each day thousands of Syrians flee into the country, half are children

@highlight

UNICEF needs $172 million to provide clean water, schools, health care and nutrition