(CNN) -- Microsoft's Bing search engine will not follow Google out of China. Executives have made that clear. But will they take the high road or the low road in their quest to win a bigger piece of a China's fast-growing Internet market?

On Monday Google stopped censoring its Chinese search engine and moved the service to Hong Kong, where the Internet isn't censored. Before this week Google had a 35 percent share of the Chinese search engine market, a nontrivial number in a country of 400 million Internet users.

It's unlikely that many of those 140 million Google.cn users will stick with the new service at Google.com.hk, because many of its results are now blocked by the Chinese government's own network-level censorship system, known as the "Great Firewall of China."

With the loyalty of millions of Chinese Internet searchers up for grabs, Baidu, the home-grown search engine with dominant market share in China, is expected to be the biggest winner. But Microsoft's chief research and strategy officer, Craig Mundie, confirmed in an interview with the state-controlled China Daily last week that Bing, which now has less than 1 percent of Chinese market share, "is committed to stay." He chided Google for its lack of experience in China compared with Microsoft's 20-year presence, implying that one day it, too, will grow up to the world's realities.

But is Microsoft being ethically responsible? The answer to that question is not simply about whether Bing stays in China. It's also a question of how Bing stays. Will Microsoft manage its legal obligations to the Chinese government in a way that helps legitimize and prolong current censorship practices, or in a way that helps reduce censorship over time -- or at the very least increases transparency and accountability to Chinese citizens?

In January, the Chinese media gave prominent play to comments by Microsoft's founder Bill Gates and CEO Steve Ballmer. Ballmer called Google's move to stop censoring in China an irrational business decision. "You've got to decide," said Gates, "do you want to obey the laws of the countries you're in, or not?"

In a blog post, Ballmer attempted to clarify Microsoft's position. While Microsoft intends to stay engaged in the China market, he said it does try to push back quietly against efforts to restrict peaceful political expression. "We have conversations with governments to make our views known," he wrote. "In every country in which we operate, including China, Microsoft requires proper legal authority before we remove any Internet content; and if we remove content, we give users notice." Needless to say, those words were not quoted in the Chinese media.

As it happens, the way Microsoft handles censorship in China has changed since it launched a Chinese version of its search engine and rolled out a Chinese-language blog-hosting service in 2005.

Chinese Internet companies -- including Baidu -- routinely delete content in response to casual phone calls and instant chat messages made by authorities who don't find it necessary to prove that their request has any legal basis.

When Microsoft started in China, its approach to compliance could best be described as "when in Rome, do as the Romans do." That year, their employees deleted a popular blog in response to a phone call made by a government official to Microsoft's Chinese business partner. Microsoft employees didn't just block the blog, which had called for a boycott of a newspaper after its editor was fired; they took it off the Internet completely. It was no longer visible to anybody in the world.

In February 2006, executives from Cisco, Yahoo, Microsoft and Google were summoned to a congressional hearing in Washington. Google had announced its decision to enter China with a censored search engine, Google.cn. Cisco was under fire for selling technology to China that helped authorities censor the Internet. Yahoo! was in the doghouse for having helped authorities convict pro-democracy journalist Shi Tao and three other activists by handing over the contents of their e-mail to Chinese police. "Your abhorrent activities in China are a disgrace," thundered the late California Democratic Rep. Tom Lantos.

Executives justified their companies' behavior by saying they are bound to abide by the local laws where they do business. Then why, human rights activists and legal experts asked, were they responding to requests made by Chinese authorities using no pretense of legal process?

Microsoft began to change the way it handles censorship. It says it has stopped taking down content every time Chinese authorities object. It claims to have instituted procedures stipulating that only legally binding requests made in writing would be honored. When carrying out requests to censor entries on MSN Spaces (later renamed MSN Live Spaces), Microsoft's blogging and social networking platform, it would block pages from users on the Chinese network, but leave them visible to people viewing the page from all other countries.

Tests I've conducted have shown that MSN Live's Chinese service censors substantially less than its domestic Chinese competitors. Bing seems to censor a bit less than the Chinese Baidu but a bit more than Google.cn did. The criteria the company uses for deciding what to censor and what not to censor, however, are not clear. We have to take it at its word that it's only responding to censorship requests made through a legally binding procedure.

But an effort is under way to hold Microsoft publicly accountable to its promises. In 2008, Microsoft, along with Google and Yahoo, joined the Global Network Initiative (GNI, at globalnetworkinitiative.org), a group that has established a code of conduct for free expression and privacy. The goal of the initiative, whose members include human rights groups, investors and academics (including myself) is to help companies do the right thing under difficult circumstances.

Figuring out the right thing to do can be particularly tough in countries like China, where people have so much to gain from greater access to global Internet platforms and tools, and the government works hard to co-opt companies to serve their purposes

As a member, Microsoft has signed on to a document that states: "The right to freedom of expression should not be restricted by governments, except in narrowly defined circumstances based on internationally recognized laws or standards."

While the initiative does not expect companies to make their local employees conduct civil disobedience or pull out of markets at the first sign of difficulty, the GNI does expect that companies will not comply with arbitrary requests and will seek to protect users from the kinds of surveillance that could lead to human rights violations. Member companies have agreed to submit to an independent evaluation process to determine whether their claims match the reality.

Earlier this month, Chinese Minister of Industry and Information Technology Li Yizhong told the international press that foreign Internet companies must obey Chinese laws.

Now the question is: Will Microsoft take him at his word? Will Bing comply only with those censorship requests that have a clear basis in Chinese law and which are made through a legally binding, documented and accountable process? Will it challenge them?

Will it do everything it can to avoid storing personally identifiable user data that can be shared with local authorities, and will it clearly inform its users about what information is kept about them and with whom it will be shared?

When we know the answers to those questions, we'll know which road Bing has taken in China.

The opinions expressed in this commentary are solely those of Rebecca MacKinnon

@highlight

Rebecca MaKinnon says that with Google.cn out of China, Bing could get more customers

@highlight

She says Microsoft and other firms in China have yielded to extra-legal censorship there

@highlight

But Microsoft set stricter rules recently for how it will comply with censorship, she says

@highlight

Will Bing comply only with requests that have a clear basis in Chinese law? she asks