(CNN)I like to think I'm a pretty optimistic person.

Even at dark moments for this country -- after 9/11 or Hurricane Katrina, for example -- my tendency is always to scout out the sliver of hope for future progress.

But I've got to be honest with you, sometimes that optimism only goes so far. The morning after the 2004 election, when voters in 11 states passed constitutional bans on marriage equality,  I never thought I'd see committed and loving gay and lesbian couples getting married in my lifetime -- in Alabama of all places.

What's more, I certainly never thought that, 50 years after a march for voting rights went from Selma to Montgomery, that the first couple to get married there would be a courageous African-American couple, Tori Sisson and Shanté Wolfe, who camped out overnight on the sidewalk outside the courthouse just to be the first in line.

They slept on that chilly pavement despite the ravings of Chief Justice Roy Moore of the Alabama Supreme Court, who has issued baseless edict after baseless edict urging the state's probate judges to ignore a federal court ruling (which supersedes a state ruling) and to refuse to treat LGBT people equally under the law. Even today, more than half the counties in the state are refusing to issue licenses to gay couples.

In an interview with CNN's Chris Cuomo on Thursday, Chief Justice Moore even compared refusing marriage licenses to gay couples to refusing to enforce the 1857 Dred Scott v. Sandford decision (which upheld the legal status of slaves as property). I'm not a trained lawyer, but the logic seems to be that the refusal to treat people like slaves under the law is similar to the refusal to grant gay and lesbians their equal rights to marry under the law. That logic is not only faulty (restricting rights is not similar to expanding them) but offensive.

The 13 states that still ban same-sex marriage

Many are highlighting the echoes of the past in Alabama right now; of Gov. George Wallace actually blocking two African-American students from entering the auditorium of the University of Alabama as they tried to desegregate the school; of civil rights battles come and gone.

Me? I'm focused on the future.

In just a few months, the U.S. Supreme Court could end this chapter of our history once and for all. Even with Alabama entering the marriage equality column, there are still 13 states that deny these couples their equal rights. That's why this spring, the Supreme Court will hear a case that will determine whether the U.S. Constitution can tolerate that kind of discrimination.

Federal judge: Alabama judges must issue gay marriage licenses

We've all got to raise our voices in support of couples like Tori and Shanté. But, after Bush v. Gore, Citizens United, and Shelby v. Holder, the case gutting the 1965 Voting Rights Act in 2013, sometimes it seems like the voices of the American people don't get heard by those nine Justices.

That's why I'm so inspired and excited about a new idea from the Human Rights Campaign and Robbie Kaplan, the lawyer who represented Edie Windsor in the case that famously struck down the Defense of Marriage Act.

Together, they've launched the People's Brief. The idea behind the People's Brief is an original twist on the legal concept of the "amicus curiae" (Latin for "friend of the court.") The legal system allows those who are not party to a case, but who have interests in the case, or information relevant to it, to submit their opinions, information, or testimony on the matter at hand.

It's a way of guaranteeing that the court is not missing any relevant facts or opinions just because those who hold them are not parties to the litigation.

The People's Brief marks the first time that the American people -- the 58% of Americans who support marriage equality, anyway -- can make their voices heard in an official brief to those justices.

The People's Brief will serve as a poignant reminder to the Court that gay marriage is an issue that impacts the lives of both gay and straight, of those who are the family, friends, and loved ones of gay people, and of those who simply value a society where the rights of all people are treated with equal dignity.

By going to www.thepeoplesbrief.com, you can sign your name, review the brief -- and it'll be bundled up with thousands of others and sent to those nine Justices for review. The number of people who sign the People's Brief will make that point in a way that no legal argument could.

In past civil rights struggles, such as the one that took place half a century ago in Selma, Alabama, well-intentioned people far from the fray had no easy way to express their support. Now modern technology is being harnessed in a creative way to allow people to do just that in the struggle for marriage equality.

I think that's pretty forward-thinking for a Court that still doesn't allow cameras or online case filings. In fact, I think it's long overdue.

I've signed my name to the People's Brief, and I hope Americans from all backgrounds will do the same or just try to learn more about marriage equality. No one said progress is easy, but true social change is worth fighting for.

Today, I'm optimistic that if change can come to Alabama, there is no reason why it can't come to all 50 states. Fair-minded folks shouldn't be silent at this moment. It's time to put your name on the right side of history. Lend your voice to a chorus too large to be ignored.

@highlight

Some judges in Alabama are opposing same-sex marriages

@highlight

Donna Brazile: The U.S. Supreme Court should make a clear ruling in favor of gay marriage