Washington (CNN) -- Forget about baseball, football and the Academy Awards. The hottest new fantasy-league game involves the Supreme Court.

A month-old Web site called FantasySCOTUS.net allows people to predict all of the high court's pending cases.

Josh Blackman, a law clerk for U.S. District Judge Kim Gibson in Johnstown, Pennsylvania, created the game in his spare time.

"In the digital age, everyone has an opinion and is eager to share it," Blackman said. "They know how a case will come out, and this gives them a way to play a justice."

The growing fantasy league has 2,000 members, mostly students, who can sign up for free. Professionals and other individuals can join for $10 or less.

The rules are simple. Thirteen points are up for grabs in each case, and they are awarded as follows:

• One point for correctly predicting the outcome;

• Three points for correctly predicting how the vote is split -- for example, 5-4 or 6-3;

• And one point for every justice's vote correctly predicted.

The court will hear about 80 cases before wrapping up in late June. Blackman said the league's winner will then receive the first "Chief Justice Award."

The court itself is not involved in FantasySCOTUS, and it does not endorse it. Court sources say, however, that several justices are aware of the fantasy league and find it interesting. Blackman said that to his knowledge, no judges -- federal or state -- have signed up to play.

"Most of the participants are students, I'd say about 90 percent," he said. "I've been contacted by high schools and middle schools across the country. Teachers are having their students play. They say it's a great way to get them involved in understanding the Constitution and how laws are interpreted. They can wrap their hands around it. It's an experience you don't get by just reading a text."

The case everyone is now following, Blackman said, deals with a potential overhaul of federal campaign spending. Such an overhaul could give corporations and labor unions more power to spend their own money on political messages.

So far, about two-thirds of FantasySCOTUS players predict the conservative-majority court will undercut the current spending limitations imposed by Congress. A ruling isn't expected until next month at the earliest.

Blackman said the campaign spending case inspired him to create his Web site last month.

"A friend asked me how I thought the case might turn out, and I wondered, 'If [Las] Vegas put odds on it, what would it be?' " Blackman said. "And I thought, why not create a site to do just that?"

Blackman said no money is wagered on his league, which requires serious gamers to do at least some research on current and past cases.

"We'll never know what goes on behind chambers, when the justices decide these very important cases," he said. "But when you get past the grandeur, the mystery of the court, this league is something where anybody can participate. It's not just for the legal nerd. The cases come down to facts, to law. It makes people feel like they are more involved in understanding what goes on up there."

Sotomayor settles in

The high court has begun a four-week recess, but new Justice Sonia Sotomayor will not be sitting still. She heads to Puerto Rico on Wednesday to be honored at a series of events in the island commonwealth where her parents were born.

Since being sworn in as the 111th justice in August, Sotomayor has had a relatively smooth transition in her new chambers. She began hearing cases with her colleagues in September, and last week, she issued the first ruling of the term, a relatively small case dealing with attorney-client privilege.

Court sources say that the 55-year-old justice has found the caseload a bit overwhelming at times and that she has been working long hours and spending many late evenings at the court. They also say that she has been friendly and open to her new co-workers and that her eight benchmates have helped her fit in as the "junior" justice.

Off the bench, Sotomayor has given several interviews and attended several parties and galas, including a black-tie event in September sponsored by the Congressional Hispanic Caucus Institute. There, President Obama praised his high-court selection as "our own royalty."

Friends say privately that Sotomayor has taken her love of exotic cuisine to her new hometown and that she has been seen at a variety of Washington restaurants, often ordering take-out. Asian cuisine is a particular favorite for this "adventurous diner," as one friend called the justice, and the native New Yorker is still looking for a convenient place to get a good bagel.

Late Chief Justice Rehnquist honored

A marble bust of late Chief Justice William Rehnquist was recently unveiled at the Supreme Court's Upper Great Hall.

Designed by sculptor Mark Fondersmith, it was placed in the broad entrance area outside the ornate courtroom.

The nine current justices attended the unveiling ceremony, along with Rehnquist's family. Rehnquist's successor praised him at the ceremony, saying he was well-liked and admired inside the court.

"Despite his modest and unassuming ways, he has left a permanent impression on this institution, both as a great justice and a great chief justice," said Chief Justice John Roberts, who was a law clerk to Rehnquist and counted him as a mentor.

Rehnquist, the 16th chief justice of the United States, died of thyroid cancer in September 2005. He was elevated to chief justice in 1986 after serving as an associate justice for nearly 15 years.

Justice John Paul Stevens, who joined the court four years after Rehnquist, called his friend "a first among equals in every wonderful sense."

@highlight

A new online game allows people to try to predict the outcome of high court cases

@highlight

Students can play the game for free; others can play for $10 or less

@highlight

In other Supreme Court news, Justice Sonia Sotomayor will soon go to Puerto Rico

@highlight

Former Chief Justice William Rehnquist honored with marble bust at court's Upper Great Hall