A five-year-old ban on the use of trans fats in New York City restaurants has sharply reduced the consumption of these unhealthy fats among fast-food customers, a study by city health officials has found.

In 2007, the New York City Board of Health, spurred on by the administration of Mayor Michael Bloomberg, adopted a regulation that forced restaurants to all but eliminate the use of partially hydrogenated vegetable oils and spreads, the main sources of trans fats in the U.S. diet.

The ban appears to have had the intended effect. A new analysis of thousands of lunch receipts, collected at fast-food chains before and after the ban went into effect, estimates that the average trans fat content of customers' meals has dropped by 2.5 grams, from about 3 grams to 0.5 grams.

Additionally, the proportion of meals containing less than 0.5 grams — an amount generally considered negligible — increased from 32% to 59% between 2007 and 2009.

"For consumers, the transition was seamless. Most New Yorkers didn't even notice," says Christine Curtis, a coauthor of the study and the director of the city's Nutrition Strategy Program. "And now we know that it has really made a difference."

Health.com: The 22 worst foods for trans fat

The study is the first to examine the real-world impact of trans fat restrictions in restaurants, Curtis and her colleagues say. And it suggests that health regulations at the local level can have a measurable effect on public consumption — an important finding at a time when another pending citywide ban, this one on large sodas and sugary drinks, is generating headlines and controversy.

The study included fast-food chains such as McDonald's, Burger King, Subway, KFC and Pizza Hut. Although the analysis was limited to New York City, many of those chains have chosen to eliminate trans fats nationwide as a result of the ban, Curtis says.

"It's a big health benefit for New Yorkers, but really we're looking at a much broader impact, as well," she says.

Restaurants and food manufacturers use partially hydrogenated oils and fats in baking, frying and food processing. (Small amounts of trans fats also occur naturally in meat and dairy products.) Trans fats have been shown to raise "bad" LDL cholesterol while lowering "good" HDL cholesterol, and even moderate consumption has been linked to an increased risk of heart disease.

Health.com: High cholesterol? Know the good and bad fats

As of 2006, the Food and Drug Administration (FDA) has required food manufacturers to include trans fats on the nutritional label of packaged foods. But because Americans eat more than one-third of their meals outside the home, this regulation addressed only part of the problem.

The New York City ban, which was phased in between 2007 and 2008, was the first of its kind to target trans fats in restaurants, bakeries and other food-service establishments. The ban prohibits restaurants from serving foods or using ingredients that contain 0.5 grams or more of trans fats per serving. (The 0.5-gram cutoff is a nod to the FDA, which allows foods containing less than that amount to claim "zero" trans fats on their labels.)

The restaurant industry initially opposed the ban, arguing that eliminating trans fats would be expensive and would alter the taste and texture of foods. Despite these early concerns, most restaurants were able to meet the new requirements by reformulating their recipes, reducing portion sizes and introducing new and healthier menu options, Curtis and her colleagues say.

Health.com: Easy food swaps that cut cholesterol, not taste

In the new study, published this week in the Annals of Internal Medicine and funded by the City of New York and the Robert Wood Johnson Foundation, researchers at the city's department of health estimated trans fat intake by comparing nearly 15,000 lunch receipts from 168 fast-food locations with the nutritional info for the corresponding menu items.

At the time the ban went into effect, some health advocates, including the American Heart Association, expressed concern that reducing trans fats would lead to an increase in the use of saturated fat, which also contributes to heart disease. But that doesn't seem to have happened. The average saturated fat content of lunchtime meals showed only a slight increase, 0.55 grams, between 2007 and 2009.

The study provides a partial picture of the ban's effect, however. The researchers looked only at large fast-food chains, which are generally required to publish the nutritional content of their products, so they can't say how the ban has affected trans fat content at non-chain restaurants and other establishments.

Health.com: 10 states that consume too much fast food

The new study comes just weeks after Mayor Bloomberg announced plans to restrict the sale of sugary drinks larger than 16 ounces in New York City. While the two bans address different health issues — fat versus sugar — the soda restriction could have a similar impact, says Alice Lichtenstein, a professor of nutrition science and policy at Tufts University, in Boston.

The trans fat ban worked because it gave consumers a healthier default option and didn't require them to make a conscious change in their eating habits, Lichtenstein says. A ban on large sodas would accomplish much the same thing by eliminating an unhealthy menu item, although it will still address just one aspect of a much larger issue.

"The biggest health threat we face is our total caloric intake within the context of our physical activity levels and sedentary lives," says Lichtenstein, who wrote an editorial accompanying the study. "These changes are just small drops in that bucket, but we have to keep an open mind and try multiple approaches if we want to find more strategies that really work."

@highlight

There is a five-year-old ban on the use of trans fats in New York City's restaurants

@highlight

Health regulations at the local level can have a measurable effect on public consumption

@highlight

Many chains have chosen to eliminate trans fats nationwide as a result of the ban