(CNN) -- Ah, London.

Theater. Art. Fashion. Shopping. Nightlife. Meals you'll never forget (and that can be meant, now, in a good way.)

Is there anything she doesn't do superlatively?

Like every glittering metropolis, however, it can be easy to miss the highlights amid all the noise and haste.

This mini-guide is filled with the information you need to get in and out of London while impressing the clients and co-workers and still having time to eat royally, take jealousy-inducing pictures and pick up the kinds of souvenirs the folks back home will actually keep.

Fastest airport transport

London has several international airports and all are serviced by public transportation into central London in around an hour and a half.

But why struggle on and off trains with luggage if you don't have to?

By far the most comfortable way to get from the airport into the city is by using a car service.

One of the most reliable local services is Addison Lee. The company says it can get you into central London from Heathrow in 45 minutes ($72) and from Gatwick in an hour and 20 minutes ($111).

Good news if you use ride-share service Uber. It works in London.

Addison Lee, +44 (0)20 7387 8888

Great rooms, great views

London has plenty of high-end accommodations, from heritage hotels to glossy futuristic skyscrapers.

For Old World style, Claridge's is a top choice.

Its opulent art deco interiors have played host to stars like Audrey Hepburn and Cary Grant.

Some Deluxe King rooms have views of Brook Street, a Mayfair parade lined with fine restaurants and lavish boutiques.

For quirky design and English eccentric styling, the Ham Yard Hotel in vibrant Soho is a good bet.

Each room is individually designed with bold patterns and luxurious fabrics.

Room 302 offers views over the bohemian party district.

If the diversions of Soho aren't enough, the hotel has its own movie theater and bowling alley.

For London's most breathtaking views, you can't go wrong with the new Shangri-La at The Shard, in London's tallest building.

It's located in the London Bridge area, which gives easy access to The City and is a few steps away from Borough Market, the city's finest open-air food market.

The hotel's Iconic City View Room offers floor-to-ceiling windows that allow you to gaze across the Thames River at St. Paul's Cathedral, Big Ben and The Gherkin.

Claridge's, Brook Street; +44 (0)20 7629 8860

Ham Yard Hotel, 4 Richmond Mews; +44 (0)20 3642 2000

Shangri-La at The Shard, 31 St. Thomas St.; +44 (0)20 7234 8088

Best meals

London is teeming with competitive foodies and the best restaurants are often filled weeks in advance -- it's wise to book ahead.

Michelin-starred Gymkhana is an elegant "Raj-era India" place to sample high-end Anglo-Indian -- a kind of adopted national cuisine in the UK.

For the perfect experience, chef-owner Karam Sethi recommends Muntjac biryani, which combines Indian spices with the best British game produce.

He also suggests kid goat keema -- and opt to add "bheja," brains, for extra richness.

Another London institution that gives international flavors the modern British treatment is Ottolenghi, owned by Jerusalemite chef Yotam Ottolenghi, who's known for his bestselling cookbooks.

The menu changes regularly but Ottolenghi says roasted aubergine is a must -- it's always on the menu and currently with nutty almond yoghurt, pickled chili and paprika toasted almonds.

Night owls who like views as fancy as the food should try Duck and Waffle, on the 40th floor of a skyscraper near London's hip East End. It's open 24/7.

Executive chef Daniel Doherty advises diners to order the signature dish: a fluffy Belgian waffle with a fried duck egg and mustard-infused maple syrup.

For traditional English with a twist there's Dinner by Heston Blumenthal, at the Mandarin Oriental Hotel in Hyde Park.

The celebrated restaurant serves big flavors inspired by recipes from the UK's daddy of molecular gastronomy.

Iconic dishes include Tipsy Cake with spit-roasted pineapple and meat fruit (a tangy layer of fruit jelly, shaped like a mandarin, encasing a silky chicken liver parfait).

Gymkhana, 42 Albemarle St., London; +44 (0)20 3011 5900

Ottolenghi, 287 Upper St., London; +44 (0)20 7288 1454

Duck and Waffle, 110 Bishopsgate, London; +44 (0)20 3640 7310

Dinner by Heston Blumenthal, 66 Knightsbridge, London; +44 (0)20 7201 3833

Unique clothes

All the big international brands are represented in London and there are plenty of high-end department stores, but the best-kept secret is the city's boutiques, which show off the wealth of homegrown fashion.

For immaculate tailoring with eccentric touches, both men and women head to British institution Paul Smith's newest shop in Mayfair to invest in their business wardrobes.

These include this season's Chartreuse Cashmere-Blend Epsom Coat and Slim-Fit Navy Wool Suit, with trademark modish tailoring.

Contemporary British menswear is all about a minimalist, utilitarian look.

You can nail the style with a few pieces from Albam in Soho. There's the New Slim Jean made with Japanese selvedge denim or the Scottish Virgin Wool Shawl Neck Sweater.

But you haven't shopped in London until you've been to Liberty.

A department store with the feel of a boutique, it stocks high-end cosmetics, designer sunglasses, jewelry, vintage handbags and home wares, as well as an impressive selection of items from international and British designers.

Among these are the Oxblood Liberty Print rucksack and the Barbour Olive Hooded Game Parka.

Paul Smith, 9 Albemarle St., London; +44 (0)20 7493 4565

Albam, 23 Beak St., London; +44 (0)20 3157 7000

Liberty, Regent Street, London; +44 (0)20 7734 1234

Best selfie spots

As London was named selfie capital of the world earlier this year, it'd be wrong to leave without getting a few.

The obvious places remain the best.

For the Houses of Parliament and Big Ben, you'll get the best shot by walking halfway across Westminster Bridge, which crosses the Thames.

For a stunning picture of yourself next to St. Paul's Cathedral, go to the Millennium Bridge, which runs between the cathedral and the Tate Modern art gallery.

If you can round up a few friends, there's always the crossing at Abbey Road, where you can recreate the iconic 1969 Beatles album cover and appear on the new Abbey Road Studios Crossing Cam.

Neighborhoods in a nutshell

One of the joys of London is its neighborhoods. Locals talk about each area as a "village" with its own identity and feel.

Here's a brief selection that you won't regret taking time out of your day to explore.

Covent Garden

The charms of this theater, shopping and eating district are hard to beat.

Covent Garden was one of London's first markets and the marketplace still stands in the Piazza, where you'll find street performers and al fresco stalls.

For shopping, you can head for the narrow streets near the tube station or see if you can score a last-minute ticket at the Royal Opera House.

Covent Garden, Bow Street, London; +44 (0)20 7420 5856

Bloomsbury

The heart of London's academic district is a stone's throw from the West End.

Leafy and grand, full of garden squares and Georgian terraces, this is where you'll find The British Museum and The University of London.

It's also culturally significant, giving its name to the Bloomsbury Group of artists, the most famous of whom was Virginia Woolf.

Karl Marx and Charles Darwin worked on their theories here, too.

British Museum, Great Russell Street, London; +44 (0)20 7323 8299

Notting Hill

A few tube stops west of central London, this well-heeled area around Westbourne Grove and Ledbury Road is full of boutiques and cafes, while Portobello Road, lined with charming terraces of pastel-colored houses, has an excellent antiques market.

One of the surprises of the area is the cultural mix, with Afro-Caribbean roots culture and trendy wealth rubbing against each other.

The mix finds its full expression each August at the Notting Hill Carnival, the largest street fair of its kind in Europe.

Decent souvenirs

There's no need to go home with a pair of Union Jack boxer shorts or a gold-edged plate with a picture of Kate and Wills in the middle.

London's many art galleries all have shops attached and are a great source of presents and souvenirs that are tasteful and different.

At the Tate Modern shop, you can pick up a reproduction of a 1950s Matisse exhibition poster ($40) or a tea towel printed with a Turner landscape ($12).

Alternatively, the award-winning Snowden Flood shop specializes in well-designed souvenirs.

Highlights include a beautiful Regent's Park Scented Candle, perfumed with oak, bay and rosemary oils, or a Tower Bridge dinner plate.

Tate Modern, Bankside, London; +44 (0)20 7887 8888

Snowden Flood, Unit 1.01 Oxo Tower, Bargehouse Street; +44 (0)20 7401 8710

Former CNN International producer Mairi Mackay is an award-winning Scottish journalist who splits her time between London, Tel Aviv and Jenin in the West Bank.

@highlight

Using a car service instead of public transport can cut travel time between Heathrow and city center in half

@highlight

Hotels offering top views include Claridge's, Ham Yard Hotel and the new Shangri-La at The Shard

@highlight

Top London neighborhoods to explore include Covent Garden, Bloomsbury and Notting Hill