Secretary of State John Kerry took his case on Wednesday to Capitol Hill, urging Congress not to impose new sanctions on Iran as talks with that country on its nuclear program heat up.

"Our hope is that no new sanctions would be put in place for the simple reason that, if they are, it could be viewed as bad faith by the people we are negotiating with," Kerry said before entering a closed-door briefing with members of the Senate Banking, Housing and Urban Affairs Committee.

"It could destroy the ability to be able to get agreement," he added, "and it could actually wind up setting us back in dialogue that's taken 30 years to achieve."

There's likely to be push-back to the diplomat's move, as several in Congress who still don't trust Iran's leaders have said they want fresh sanctions to keep up the pressure.

Among them is Sen. Lindsey Graham, a South Carolina Republican, who told CNN's "State of the Union" program on Sunday he would not wait for the next round of negotiations.

A member of the Foreign Relations Committee, Graham said he intends to propose a measure that would mandate more sanctions, aimed at forcing Iran to dismantle its nuclear program, a move that runs counter to interim steps sought by multinational negotiators earlier this month in Geneva, Switzerland.

Those three days of intense discussions involving top diplomats concluded early Sunday without an agreement, though numerous key players indicated things were moving forward.

"A lot of concrete progress has been achieved, but some differences remain,"  European Union foreign policy chief Catherine Ashton told reporters in Geneva.

Added  Iranian Foreign Minister Mohammad Javad Zarif: "I think we are all on the same wavelength, and that's important. And that gives us the impetus to go forward."

The next day, Tehran signed a deal with the International Atomic Energy Agency agreeing to give the U.N. nuclear watchdog agency's inspectors access to long-unseen nuclear sites, including a heavy-water reactor in Arak.

Yet more sanctions, not fewer, remain a consideration in Washington. Sanctions have long  been a tool for the United States, in coordination with other nations, to clamp down on Iran and compel it not to move toward developing nuclear weapons.

Kerry noted that, when he was a senator representing Massachusetts, he played a part in putting such "sanctions in place in order to be able to negotiate."

While such measures have managed to hamper Iran's economy and its ability to profit from crude oil exports, they are not the goal, Kerry said. That goal, rather, is to prevent Iran from creating nuclear weapons, something that could continue to happen even if there are no talks and no agreement.

The framework for the current deal "will restrict Iran's ability to grow its program" and set the stage for "six months of negotiations on the real tough part of this," according to Kerry. If Tehran defies any deal, sanctions can be ramped up again, he said.

"The fact is, we didn't put sanctions in place for the sake of sanctions," Kerry said. "We did it to be able to negotiate."

Sen. Tim Johnson, a South Dakota Democrat and chairman of the Senate Banking Committee, won't decide whether he'll go forward with a proposal for more sanctions until after Wednesday's briefing and talks with his colleagues, a committee aide said.

While Johnson's views after the meeting broke weren't immediately known, several Republicans on the committee did speak.

Sen. Mike Johanns of Nebraska left saying he is "willing to be patient" and is somewhat heartened by the fact that as long as "people are talking, there is hope for progress." The GOP's ranking member, Sen. Mike Crapo of Idaho, said he still needs "to hear more, I'm not ready to make a decision."

Sen. Bob Corker of Tennessee described the briefing as "solely an emotional appeal" that was "very unsatisfying."

Sen. Mark Kirk of Illinois accused President Barack Obama's administration of appeasing Iran like Britain did Nazi Germany in the 1930s. Kirk pushed for strong sanctions.

"I think today is the day in which I witnessed a future of nuclear war in the Middle East in the future (that) someday will be part of our children's heritage," Kirk said.

The Banking Committee wasn't Kerry's only stop Wednesday. He -- along with Vice President Joe Biden, chief negotiator Wendy Sherman and David Cohen, under secretary for terrorism and financial Intelligence at the Treasury Department -- also briefed Senate Democratic leaders Wednesday on the Iran nuclear talks.

Sherman and Cohen also attended the Banking Committee briefing, but Biden did not.

After detailing these two meetings, White House spokesman Jay Carney addressed what the United States should do regarding Iran during Wednesday's press briefing. "Punishing" sanctions "forced Iran to the negotiating table," he said. Now that they are there, legislators should be mindful of what they're doing if they are doing things that might undermine those negotiations.

"If not at least testing the hypothesis that Iran is serious about resolving this diplomatically, then what option do we have left?" Carney asked rhetorically. "And those who take that position ought to be clear that they, in essence, are suggesting that war is the only alternative."

@highlight

1 GOP senator will be "patient;" another accuses White House of appeasement

@highlight

Carney: If you won't support talks, then you support war as only option

@highlight

Kerry says new sanctions "could be viewed as bad faith" by Iran

@highlight

Congressman say they may propose new Iran sanctions as nuclear talks continue