It may now be Albania's liveliest neighborhood, but a little over two decades ago it wasn't even on the map.

A tight-knit grid of nightspots and restaurants in the middle of capital city Tirana, the district has become an emblem of Albania's slow lurch away from economic ruin.

New bars appear almost daily and at weekends streets and sidewalks are packed with locals and tourists looking for a big night out.

Few places, if any, have undergone such a dramatic facelift.

At the end of the '80s Albania, under the totalitarian regime of Enver Hoxha, was one of the planet's most isolated states.

No one was allowed to travel outside the country and thousands were held in secret gulags. Beards were banned, as were the religions they were thought to represent.

The Block ('Ish-Blloku' in Albanian) was Hoxha's refuge. Armed guards stood on every street corner and ordinary citizens were kept out.

On most maps the Block was unmarked.

"If you could compare it, Albania was like North Korea is today," says Enno Bozdo, Tirana's deputy mayor.

Rainbow revolution

At the center of it all sat Hoxha's private villa, a squarish, peach-colored mansion surrounded by palm-lined gardens and fountains. The Block was a silent stronghold of Albania's elite.

But when the regime were routed in 1992 elections, the Block sprang into life as Tirana's mayor urged inhabitants to grab the first paint pot they could find and soak the city's gray walls in color.

Around the Block, entire towers now display the bright greens, purples and pinks of this rainbow revolution.

At street level too, the neighborhood is almost unrecognizable.

Dozens of cafes, bars and restaurants have made it Tirana's premier nightspot. Everywhere there are references to the West -- especially the U.S., whose brand of free-market capitalism Albania has adopted with varying degrees of success.

One example is Duff, a diner inspired by Homer Simpson's drink of choice, where Yankees caps and varsity pennants line the walls and skinny-jeaned Tiranans play table football.

After living in Connecticut for three years, owner Ledion Ilo wanted to return to Albania and build something from scratch.

The Block was his perfect opportunity.

"This was all different," he says. "It was all gardens, you couldn't go in. It was Albania's internal border."

Ilo and his brother built everything, from chairs and tables to a giant screen for sports made from dust sheets and wooden pallets. On big nights tables are booked in advance, even for drinks. Duff just ran its first beer pong tournament: 28 teams competed.

Elsewhere there are open-plan outdoor clubs where foreigners dance to thumping house music until the early hours. There are coffee shops where the staff call themselves baristas and care a little too much about coffee beans.

Almost all of The Block's venue's names are in English, a detail that irks some locals.

"English is a way to look trendy," says Rudina Hoxha, a journalist. "Youngsters say phrases like, 'it's nice to be in love' and 'you're sexy' in English. It's a bit stupid. We seem to prefer the Western world more than our own country at times."

Others gripe that The Block's meteoric change has gentrified it beyond the means of most locals. Rents in the city are usually pegged at about $250 per month. In the Block it's twice that.

Drinks are still pretty cheap by Western standards at about $1.50 for a local beer, and dinner in most places costs roughly 600 Albanian lek, or $6.

In a city where the average monthly salary is around $450, however, it's enough to price most out of the neighborhood.

That's partially because Albania's huge diaspora, many of whom fled when communism gave way to rampant crime and corruption in the early '90s, has begun to return.

Kris is an 19-year-old American whose family returned to Tirana from Michigan last year.

Pristine beaches

"I like it here," she says. "People here are used to drinking a bit more so they don't really go over the limit. It's strange that The Block is where all the communist leaders lived -- it's a little ironic."

Foreigners, too, are beginning to erase Albania's well-worn "best-kept-secret" label.

In 2007 a shade more than a million people visited the country. By 2011 that had climbed to more than 2.7 million.

Tourism now accounts for 11% of Albania's GDP thanks partially to its stunning, mountain-studded landscapes and pristine beaches.

The country is also one of Europe's sunniest. "We wanted to see Albania because not many people back home know anything," says Alexei, a French backpacker cycling to Istanbul through the Balkans.

"Here we can still discover. It's great: the people are young and nice."

Bozdo is glad that today's generation, local or not, knows little of The Block's past and its former denizens.

"It's impossible to understand what that regime was like without living in it anyway," he says.

Some aspects of The Block's regeneration give him cause for concern -- notably Hoxha's old villa, which is scheduled to open as a museum this year.

"Unfortunately there has been a surge in the myth of the dictator recently," he adds.

"It could be fancy to have the villa used to tell people what happened here before the '90s, but you run the risk of making it a cult and keeping that myth alive."

Whatever happens to the villa, The Block has undeniably seen an extraordinary transformation, and each night it throngs with partygoers.

There's tons to see but Tirana's best asset, say guidebooks, is its people. If that's true then a trip to The Block should be top of any traveler's list.

Recommendations:

For coffee: Radio Cafe Tirana. A trendy joint filled with old wireless sets and many of the city's young laptop brigade. Good to hang with friends or enjoy the kind of multisyllabic blends that get splashed all over Pinterest.

Radio Cafe Tirana, Rruga Ismail Qemali, P. 29, Ap. 1, Tirana;

For drinks: Duff Bar. Yes, its theme might be cheesier than cheddar sandwich, but Duff is packed most nights and it's a great spot for people-watching in the heart of The Block.

Duff Bar, Rruga Brigada VIII, Tirana, +355 694 03 4376

For dinner: Il Gusto. This Mediterranean location is at the higher end of the pay scale, but the food and extensive wine list are worth it. Good for a romantic meal beside the madness.

Il Gusto, Rruga Donika Kastrioti, pas Kullave Binjake, Tirana; +355 422 780 75

@highlight

Now a nightlife hotspot, the Block was once the refuge of Albanian dictator Enver Hoxha

@highlight

The area in the Albanian capital Tirana is filled with dozens of cafes, bars and restaurants

@highlight

Some complain the area has been gentrified beyond the reach of locals