Washington (CNN)The Obama administration's most significant legislative achievement is now, once again, teetering before the Supreme Court.

The justices aren't weighing the fate of the entire statute this time. In fact, the dispute concerns what Congress meant in just four words in one section of the law. But the impact could be nearly as dramatic.

In 2012, the Affordable Care Act barely survived a constitutional challenge when Chief Justice John Roberts stunned conservatives and voted along with the court's four liberal justices to uphold the law.

Health chief: No plan if Obamacare overruled

On March 4, the justices will gather again to hear a challenge to the law, based on the validity of subsidies in the form of tax breaks, that could affect millions of Americans.

The health care law provides for the establishment of "exchanges" through which individuals can purchase competitively priced health insurance. It also authorizes federal tax credits to low- and middle-income Americans to help offset the cost of the policies.

Currently 16 states plus the District of Columbia have set up their own exchanges; the remaining 34 states rely on exchanges run by the federal government.

Those bringing the case say that the words "established by the State" in a subsection of the law make clear that subsidies are only available to those living in the 16 states that set up their own exchanges.

They say the IRS -- one of the agencies charged with implementing the law -- was wrong to offer tax credits to individuals who live in states that only have federally run exchanges. In their eyes, the only exchanges that comport with the letter of the law are those established by the states themselves.

If the court says the IRS rule is invalid, absent some kind of action by the states or Congress, more than 5 million individuals will no longer be eligible for the subsidies, shaking up the individual market.

The stakes are high. Though a ruling against the government wouldn't nullify the law, it could destabilize it. If millions of Americans were to lose the tax subsidies, and as a result not buy insurance, it would cause premiums to skyrocket in the individual market because there would be less healthy people in the pool.

It would then be up to Congress to fix the law or states to set up their own exchanges. Just Tuesday, Health and Human Services Secretary Sylvia Mathews Burwell warned that if the government loses, it has no plan B to "undo the massive damage."

The challengers say that Congress limited the subsidies in order to encourage the states to set up their own exchanges. But when only a few states acted, the IRS tried to "fix" the law and wrote a rule allowing subsidies for those living in states with state-run exchanges as well as states with federally run exchanges.

"If the rule of law means anything," wrote Michael Carvin, a lawyer for the challengers, in court briefs, "it is that text is not infinitely malleable and that agencies must follow the law as written -- not revise it to 'better' achieve what they assume to have been Congress's purposes."

Carvin stressed that even though the case is "socially consequential" and "politically sensitive," the court must look at what precisely the law says. "Under those principles, it is clear that the IRS rule must fall," he said.

Congressional opponents of the ACA such as Republican Sens. Ted Cruz and John Cornyn agree. In a friend-of-the-court brief, they argued that the executive branch improperly encroached on Congress' lawmaking function and that the IRS interpretation "opens the door to hundreds of billions of dollars of additional government spending."

Solicitor General Donald B. Verrilli Jr. said that the language at issue is a "term of art" and that Congress always intended the subsidies to be available to everyone. Verrilli said it was "abundantly clear" that some states would not establish their own exchanges and that if the challengers win, those living in states with federally facilitated exchanges would "face the very death spirals the Act was structured to avoid."

The legislators who actually crafted the law agree with Verrilli. The challengers' assertion is "inconsistent with the text and history of the statute," they argued.

In addition, 22 states filed a brief saying that if the challengers prevail, insurance markets throughout the country will be disrupted and the law may not be able to operate as a "comprehensive nationwide program."

If the challengers win, individuals living in the 34 states that opted not to establish exchanges would face the loss of their subsidies. In 2014, more than 5.3 million Americans selected an insurance plan through one of the federally facilitated plans. Enrollment for 2015 is still in progress, but in court briefs the government said that nearly 7 million customers have selected or been re-enrolled in a plan through a federally facilitated exchange and "coverage throughout the exchanges is expected to continue to increase substantially in the coming years."

Those living in states with their own exchanges would not be in danger of losing their subsidies as a result of a ruling against the government. But if the system is destabilized elsewhere, all bets are off.

The plaintiffs in the case are residents of Virginia, one of the 34 states that declined to establish its own exchange. David King, Douglas Hurst, Brenda Levy and Rose Luck all signed declarations with the Supreme Court that they didn't want to purchase ACA-compliant health insurance in 2014.

The crux of their argument is that if it were not for the tax credits for premiums, they could not afford health insurance and thus would be exempt from the individual mandate to purchase health insurance.

But in order to bring the challenge, the plaintiffs have to show that they have the "standing" or legal right to be in court. This means that they have to have been harmed by the government action.

Although the lower courts dismissed the government's argument that the plaintiffs didn't have standing, the media and others have uncovered information that could raise new questions. It turns out, for example, that two of the plaintiffs are veterans and could be eligible for health care through the Department of Veterans Affairs, though they signed a declaration swearing that they weren't eligible for government insurance. If they were, they wouldn't have to buy insurance through the exchange.

As things stand now, however, the government has not pressed the issue before the Supreme Court. But the justices themselves might be interested in the issue, which could potentially derail the case.

@highlight

Affordable Care Act finds its future hinging once again on a Supreme Court decision

@highlight

Justices will hear arguments in the case on March 4