(CNN) -- The airline industry's latest tactic to increase revenue -- charging premiums for window and aisle seats -- is making it hard for groups to fly together, say passenger advocates.

George Hobica, founder of travel site AirfareWatchdog, said his organization had received a spate of complaints from Americans who had struck problems being seated together on flights. Complainants included a woman who had been unable to sit next to her husband, who had a medical condition.

He said the problems were arising as airlines set aside more desirable window and aisle seats for passengers who pay a premium, leaving those who do not pay with center-row seats, separated from other members of their party unless they have paid the surcharge.

"The airlines are basically trying to squeeze out more fees in the face of higher costs, and it is inconveniencing a lot of passengers," said Hobica.

The charges for window or aisle seats in the front half of the plane, costing as much as $29 each way on U.S. domestic flights and $59 on international flights, are the latest of a raft of passenger fees introduced in recent years as the airline industry looks to generate new streams of revenue.

See also: In-flight phone calls to become standard

The issue has arisen in the United States, where Delta, American Airlines, and low-cost carriers US Airways, Frontier, Spirit and Allegiant have implemented charges for "preferred seating." Delta spokeswoman Katie Hulme said the move reflected the fact that some seats were more desirable than others, and that it gave passengers greater choice and flexibility in where they were seated.

"Offering preferred seats for sale to all Delta passengers means that we are offering different seat selection options to enable more passengers to travel in their seat of choice," she said.

See also: Airline seat squeeze: It's not you

The notion of paying extra to reserve more desirable seating is catching on more widely across the industry. Across the Atlantic, low-cost Ryanair rolled out reservations for certain seats across all its routes in January, while its rival Easyjet has also been experimenting with the practice.

The implementation of end-of-row seat fees is part of a broader airline trend to charge for amenities previously included in the standard fare, such as movies, water, pillows and blankets.

In response to soaring fuel prices four years ago, airlines also began introducing charges for checked baggage, generating huge sums. But last year the revenue from checked bags for U.S. airlines fell for the first time, suggesting passengers were trying to avoid fees by packing light when they traveled.

Two U.S. airlines, Spirit and Allegiant, also charge passengers for carry-on baggage.

Hobica said part of the airlines' rationale was "to cater to the people that have paid the most for their seats."

See also: Seat-review sites put fliers in prime position

Kate Hanni, of passenger rights organization FlyersRights, said the aisle and window surcharges made air travel an even more daunting prospect for families.

"Families have already been having a hard time, so this is the icing on the cake," she said. "Can you imagine getting on a plane and not being seated next to your three-year-old?"

While gate staff would typically try to seat families together, removing aisle and window seats as options was making this impossible, said Hanni.

"The predictability of air travel has really gone away. This is one more layer where people can't predict what's going to happen -- it's a crap shoot," she said.

"They're holding the aisle and window seats out for higher prices -- and trust me, this is just a revenue grab."

Hobica said while the new price structure was causing problems, he could understand the logic behind it. "When you buy a ticket to a Broadway show, you do pay more for better seating," he said. "If passengers were willing to pay higher fares at the beginning," he said, the problems could be avoided.

Hulme said that the number of rows in which window and aisle seats were set aside as "preferred seating" varied from aircraft to aircraft, but did not extend through the entire plane. Many of those who traveled in groups were leisure travelers who tended to book their fares in advance, and should encounter few difficulties being seated together, she said.

Air rage: Passengers 'quicker to snap'

@highlight

A number of U.S. airlines now charge extra for passengers to reserve a window or aisle seat

@highlight

Passengers reporting difficulties traveling in groups as end-of-row seats are already booked

@highlight

Fees are being introduced as airlines try to generate extra streams of revenue