For a company that hasn't attended CES since 1992, Apple dominates the show.

You can't walk more than a dozen feet here at the Las Vegas Convention Center without seeing an iGadget or iAccessory of some kind. Apple's overwhelming presence by proxy is impressive, and underscores the immense place the company occupies in the consumer electronics sector.

Of the 3,000 or so exhibitors here at CES, nearly 500 reside in the iLounge pavilion, a section dedicated specifically to Apple-related products. And then there are the hundreds of audio, automotive, health, gaming, and accessory companies hawking iOS and Mac peripherals.

There are more iPhone and iPad adaptors, docks and dongles than you could possibly imagine. Vendors are showing off iPad camera rigs, solar-powered Mac batteries and even an iPhone-connected plant sensor. And then there's the sea of bedazzled and bedecked iPhone and iPad cases.

The biggest reason for this is, of course, Apple's dominating presence in the consumer electronic space. It's a lot easier for startups and established players alike to ride Apple's coattails than those of, say, Google or Microsoft.

"We know that Apple is doing well," said Howard Cheng, Just Mobile's director of operations. "We know that it's better to make Apple products than anything else."

Another advantage to going down the iRoute is Apple's tight focus on a few products and form factors. It's far easier to tailor accessories to Apple than anyone else.

"Accessory makers can reach virtually the entire installed base of iPhone, iPad, and iPod touch owners with two products, determined by the connector," the 30 pin or Lightning, said Charles Govin, an industry analyst with Forrester. "Similarly, a case maker must create many SKUs for the Android market, but essentially only three (iPhone 3G, 4, and 5) for the entire iPhone market."

The relative ease with which companies can develop peripherals for Apple is made all the more appealing by the fact Apple customers have proven themselves only too happy to shell out money to accessorize their iDevices.

"Apple owners have a demonstrated willingness to spend for accessories, cases, and other customizations," Govin said. "Essentially, the potential return on investment is more promising for Apple-related products."

CES also shows just how willing people are to build on Apple's iconic "i" branding. There's iLounge, iBattz, iSkin, iConnectivity, iPort and even iCat all within a few feet of each other on the show floor. Spend five minutes walking the floor and it becomes clear there's no need for Apple to be here. Hundreds of companies are only too happy to carry Cupertino's banner.

Apple's presence here has grown rapidly. In the three years since the iLounge Pavilion launched, the space has quadrupled to 120,000 square feet, all but taking over an entire hall and pushing the automotive industry into another space.

But does anyone wish Apple were actually here? Not really.

"I don't care," said Raymond Meng, president of iSmartAlarm. His company is releasing an iPhone-controlled home alarm system, which Meng says was inspired by the burglary of Steve Jobs' house this summer. Meng said that it doesn't matter that Apple isn't at CES with a booth or keynote, because CES is already the most successful and popular show for companies like his.

Cheng, from Just Mobile, agrees. "At this point, I don't think Apple needs to be here," he said. "They have their own events and that works for them."

Just Mobile already has eight products in the Apple Store and uses CES to expand into the international market and meet clients. As for meetings with Apple, "We visit them at their campus," Cheng said.

Of course, CES could be a much hotter destination if it had the hottest tech company involved. With Microsoft dropping out, CES is losing even more of its sizzle. But the CEA, the organization that puts on the show, says that Apple skipping out isn't a big deal.

"Apple is a CEA member. It's just there prerogative to not exhibit and they've found it more cost effective to host their own events," CEA spokeswoman Danielle Cassagnol said. "They've never keynoted or exhibited at CES, so them not being here isn't really a loss for us."

That's not entirely true, since Apple did introduce the Newton at CES in 1992, but perhaps the CEA wants to forget this fact. But the fact remains that Apple and its products are the widely seen, and discussed, at CES. It's here, even if it isn't.

"They have employees that attend the show, so in that way, Apple sort of is here," Cassognal said.

Follow: Wired's live coverage of CES

Follow: CNN Tech's live coverage of CES

@highlight

Absent from Consumer Electronics Show, Apple still is a major presence

@highlight

Five hundred exhibitors are in the "iLounge Pavilion" for Apple accessory makers

@highlight

One reason? Apple customers have shown they're willing to spend for extras

@highlight

Apple hasn't attended since 1992; Microsoft dropped out last year