(CNN) -- What's with this wacky weather?

It's so cold in Florida that farmers joke the oranges are squeezing themselves to stay warm.

But Alaska is so warm that a ski resort's been forced to close.

Add to this curious mix, giant waves in Hawaii, a historic drought in California, and bears coming out of hibernation in Nevada, and you can't help but wonder: What is going on with the weather?

To be sure, the United States is a giant place -- 3,000 miles wide from coast to coast. But even taking that into account, what you have here has to be at least a tad bit out of the norm.

Right?

"It's not actually that unusual," says Roger Edwards, a meteorologist with the Storm Prediction Center at the National Weather Service.

Usually a few times each winter, the temperatures flip-flop where Tallahassee is colder than Anchorage.

"But," he says, "this one is more persistent than we normally see."

Northeast: Super bowled

This whole weather system business is a balancing act.

"When there's extremely cold air in one area, some other part is going to be warm," says Edwards.

Tell that to the folks in the Northeast who are still digging out from more than a foot of snow in some places and shivering with temperatures in the single digits -- a full 15 to 25 degrees below normal.

On Tuesday, 10 inches of snow fell on MetLife Stadium, which hosts the Super Bowl in 10 days.

It gave National Football League officials a chance to test their snow removal plan, affiliate NY1 reported. NFL officials say it will take 1,600 workers about 18 hours to clear the stadium and parking lots.

"The stadium operations staff along with NFL productions staff is running this as a dress rehearsal and we have people watching, and evaluating and grading," said NFL Executive Vice President Eric Grubman.

Dropping the (snow)ball on game day would be bad PR for the league. About 111 million Americans watched last year's game.

The extended forecast isn't providing much to be optimistic about though.

"The way the pattern is set up right now, there will be a series of cold air shots," Edwards said. "The basic pattern is going to stay this way for another week or so."

Alaska: Hit the ski(d)s

Contrast that with Anchorage, Alaska, where Thursday's forecast high will be around 45 degrees. A typical high would be in the low 20s.

The seven-day forecast holds more of the same.

Temperatures like that are bad news for the Alyeska Ski Resort which closed for the third time this winter. Rain fell Wednesday on an empty parking lot.

"Sometimes you get epic storms. If this was 10 degrees cooler, it would be one of those," Eric Helmbrecht, the owner of Powder Hound Ski Shop, told CNN affiliate KTUU, trying to sound hopeful "We will get snow and it will be fine."

Hawaii: Making waves

Waves up to 50 feet high have been pounding the North Shore of Oahu -- the largest Hawaii's seen since 2004.

"It's a spectacle. It's incredible," resident Daniela Power said. "It's so big and massive and powerful and it's really a special thing to watch for sure."

What's causing it?

A large storm with hurricane-force winds that's sending a giant swell toward the island. The surf peaked overnight, the weather service said.

Great news for surfers, right? Not quite.

At first glance, the tall waves would appear to offer a golden opportunity for participants in a big wave surf contest that was scheduled to take place Wednesday on Oahu.

But the organizers have postponed the event. They say that although the waves are expected to be pleasingly large, the wind conditions are no good.

California: No rain on the ranches

Winter is California's wet season. It's the dead of winter now, but there no cloud in sight and nary a raindrop in the forecast.

California's facing perhaps its worst drought since record-keeping began a century ago, California Gov. Jerry Brown proclaimed this month.

It's pushed farmers and ranchers to their financial limits. There's nothing on the ground for animals to eat.

"I borrowed money -- I hate to even say that -- but I recently borrowed money to buy hay," says rancher Harold Kelly.

"Normally, it'd be raining and we'd have grass growing," he says. "The grass is basically all gone."

Nevada: Barely sleeping

An unusual number of black bears are up and about in western Nevada. The winter there has been so abnormally warm and dry winter that the bears are done with their hibernation and headed out for food.

The National Weather Service's forecast for Incline Village, Nevada, for instance, calls for high temperatures heading to or well past 50 degrees for the next week at least, with nary of snow flurry in sight.

It's not just Nevada: Nearby Northern California is also seeing an abnormal number of black bears, with CNN affiliate KXTV showing images taken from Yosemite National Park and Lake Tahoe's Heavenly Ski Resort.

Healy said "a disastrous winter" -- adding "we need the snow" -- and relatively mild temperatures have thrown off some black bears.

"We documented this and, in the past 15 years, it occurs sporadically," the spokesman said.

"A lot of it is dictated by the weather conditions."

And, as we know, this year it's been all kinds of weird.

CNN's Steve Almasy, Greg Botelho, Carma Hassan, Sonya Hamasaki, Michael Martinez and Jethro Mullen contributed to this report.

@highlight

An Alaskan ski resort gets rain instead of snow

@highlight

Large parts of the U.S. are 15 to 25 degrees below normal

@highlight

The National Weather Service says this isn't "that unusual"

@highlight

Frost and freeze advisories stretch to South Florida