Limassol, Cyprus (CNN) -- Cyprus is known for its sunshine, its ancient ruins and its delicious halloumi cheese, but one thing that is less well known is that it is also home to the oldest named wine in the world.

Commandaria is a dessert wine with a flavor as rich as its history. It is originally believed to have been given its name by crusading knights in the 13th century, but to have first been made up to 5,000 years ago.

It is produced in the fertile high-altitude slopes in the south-west of the island that became known as "La Grande Commanderie" during the Crusades. Around this time, the Knights of the Order of Saint John renamed the local wine after their new protectorate.

Throughout the following centuries, stories of the wine abound. According to legend, King Richard the Lionheart of England was so taken with commandaria that at his wedding he pronounced it "the wine of kings and the king of wines." Equally struck by the intoxicating liquor was the French King Philippe Augustus who is said to have declared it to be "the Apostle of wines".

Over time production continued to grow. By 1879 the British explorer Sir Samuel White Baker recorded that Cyprus was annually exporting 155,000 "okes" (a Turkish measurement that translates roughly to 230,000 liters) of commandaria to Austria alone.

All the elements of Cyprus

In the coastal town of Limassol, on the sunny southern coast of Cyprus, the most popular brand of commandaria -- KEO St. John -- is produced to a recipe that is now protected by a legally enforced appellation, the only one held by Cyprus.

Dimitris Antoniou, senior oenologist at KEO, believes the wine they produce is very special. "In it you have all the elements of Cyprus: you have honey, herbs, vanilla, spices, and dried fruits such as plums ... it is very complicated," he says.

One distinguishing feature of commandaria is that after the grapes are picked, they are left in the sun for ten days, which increases the density of their sugars.

The grapes are then pressed, the wine is fortified (usually with a high percentage grape-based alcohol) and then it is aged for at least two years in oak barrels before being bottled. As the years roll by, the amber liquid intensifies in both viscosity and sweetness.

Read more: The island of Aphrodite still has its struggles

Dimitris, together with George Metochis, senior winemaker at KEO, oversee the vast operation where annually over 130,000 liters of wine are produced, largely for market within Cyprus, but also exported to Russia, Scandinavia, France, the United States and Australia.

The cavernous KEO vaults currently house 400,000 liters of commandaria with a range of vintages; the oldest batch dates back over a century.

Ancient heritage, modern interpretation

Archaeological digs, conducted over the past decade, have unearthed evidence that the history of wine in Cyprus stretches back not just hundreds, but thousands of years. Some believe that Cyprus may have been the site of the earliest wine harvests in Europe, stretching back 5,000 years.

Alongside the mainstream labels producing commandaria, a new generation of winemakers is looking to this more distant history to try to get in touch with the country's original viniculture.

One such winemaker is Lefteris Mohianakis who has vineyards in the high hills near the village of Zoopigi. The two grapes he uses -- Mavro a red grape, and Xynisteri a white -- have long been used to produce the island's famous sweet wine. But when Lefteris talks of Cypriot wine, he speaks of "Nama", the more ancient name for what the crusading knights of the 13th century came to call commandaria.

Read more: Cyprus bets on a natural gas-filled future

Lefteris Mohianakis is respectful of commandaria's great history, but says that his "Anama Concept" wine takes inspiration from the past while still very much looking towards towards the future.

"I'm working on the base of tradition, but I'm trying to involve oenology, which is a contemporary science," he says.

Throughout his career, Mohianakis has worked in wineries around the world, and in his view, Cyprus is unique in its ability to grow sweet wine.

"I truly believe that terroir (the geology and climate of a place) is one of the most important things towards producing a high quality wine," he says.

"That is why nobody in the world can produce a Sauvignon Blanc like Marlborough in New Zealand, or a Cabernet Sauvignon like Bordeaux. That is the reason why I strongly believe that Cyprus is one of the rarest terroirs that can produce such high quality sweet wines. It is the sun and the soil. It is unique."

So does Mohianakis believe that his wine tastes the same as the nama that was being enjoyed in Cyprus 5,000 years ago?

"I think that historians can tell stories and can give you an idea about the past, but senses cannot be transmitted through history. So we cannot understand how an ancient nama smelled or tasted," Mohianakis says.

"My mentality is that we are walking on the base of tradition, on the base of the things transported from generation to generation -- the tales, the feelings -- but the best thing we can do is to give the vine the opportunity to choose for itself what kind of product it wants to create. Those vines have been there for 150 years ... I am just trying to give the vines the opportunity to express themselves through my wine."

CNN's On the Road series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Commandaria is recognised as the oldest named wine in the world

@highlight

The sweet wine has been grown in Cyprus for over 5,000 years

@highlight

in 1191, King Richard the Lionheart called it 'the wine of kings and the King of wines'