(EW.com) -- Remaking a landmark film ought to be a perfectly respectable proposition.

After all, we see new versions of Shakespeare or Tennessee Williams all the time (whether on stage or screen). What's wrong with doing an updated version of a beloved Hollywood movie? In theory, nothing, yet in practice, it seldom works out well. There's something about how movies, with their singularity of mood and density of detail, imprint themselves on our imaginations that places the prospect of a remake somewhere between a rock and a hard place. Think about it: If you follow the original too closely, duplicating signature shots or lines of dialogue or acting flourishes, then you're stuck in a mode of mindless imitation — and what's the point of that? People might as well just watch the great version they already know (or, for new generations, have yet to discover). But if you seriously update the movie in question, making a lot of eyebrow-raising changes, then you risk violating the essence of the original — or leaving out too much of what everyone loved about it in the first place. When you get down to it, a ''new'' version of a classic is a contradiction in terms.

Carrie, the rapturous and terrifying 1976 Brian De Palma thriller based on Stephen King's first novel, is a movie that has earned its place as a quirky horror milestone without, perhaps, ever having quite attained the status of a masterpiece. Yet I personally think it's a great film. There's nothing that compares to its glittery fusion of dreaminess and dread — of Cinderella-at-the-prom fantasy and blood-bucket horror, all mixed up with elements of '70s teensploitation comedy and primally entangled mother-daughter tragedy. And what acting! Sissy Spacek, as the squashed-nerd telekinetic high school wallflower Carrie, and Piper Laurie, as her ragingly repressed Evangelical mom, achieved a tremulous power together. And De Palma, a prankish virtuoso, perched the whole thing on the knife's edge between sincerity and satire. Carrie is a timeless movie because it's both one of the most passionate and most scandalously funny horror films ever made.

So what does one do for a remake encore? Kimberly Peirce, the gifted director of the new Carrie, has gone down what seems, on the surface, to be a savvy road. She follows De Palma's version quite faithfully, evoking everything from his camera angles to his lighting to his flying-object F/X to his gleeful staging of mean-girl antics. At the same time, she offers just enough tweaks and updated details to present the material in a new way.

The fabled shower-room scene, in which the naïve, sheltered Carrie White (Chloë Grace Moretz) gets her first period and is shocked into thinking that she's dying, now has an added fillip of cruelty: Chris, the most hateful of the girls, doesn't just pelt Carrie with tampons and shout ''Plug it up!'' She records the whole ordeal on her smartphone and then posts the video. In a neat reversal, Chris and her best friend, the popular but far more empathetic Sue (who feels so guilty about what happened that she gets her boyfriend to take Carrie to the prom), are both portrayed against type: Nice-girl Sue is played by Gabriella Wilde, who looks like a vintage snooty princess, whereas the awful Chris is made into a pensive bohemian punk by Portia Doubleday. And Carrie's mother (Julianne Moore), a fundamentalist fanatic who tries to cut Carrie off from the world, is now herself a cutter who pinpricks her own flesh in secret. Moore makes her fierce, guilt-tripping, and scary — but not, in the way that Laurie did, almost religiously possessed.

Despite being 40 years old now, the Carrie story lives quite comfortably in the 21st century. Here's the problem, though. The original film had King's ingenious plot, with its fusion of innocence and cruelty and that subliminal wink of demonic takeover, but it also had De Palma's voluptuous operatic style, which gave the story the quality of a daydream-turned-nightmare. When you take away that style and serve up the plot fairly straight, as Peirce does here, we seem to be watching a Carrie that's been flattened, robbed of its over-the-top emotional extravagance.

Given the challenge of revamping Spacek's brilliant shivery-nerd-turned-avenger performance, Chloë Grace Moretz does a creditable job. In stiff hair and lumpish clothing, she's very much the geek outsider (though today there's a much greater context for geeks as heroines), and the emotions seem to bleed through her ghostly, lunar-pale skin. Yet the way Peirce has updated Carrie White, without making any overt changes to the character, is to portray her as a little less clueless, a little less pathetic, a little more defiant. She's now a cute, bright, painfully shy girl who sees herself (wrongly) as a loser. Before, she was a total walking blob of misery and dysfunction. That slight tonal shift robs the story of its masochistic edge.

Of course, Carrie isn't merely a fable of adolescent agony. It's all about Carrie's revenge, once she's subjected to the most diabolical practical ''joke'' in movie history. Carrie's telekinetic powers, driven by the rage she represses, allowed De Palma to orchestrate a senior-prom apocalypse that was pure filmmaking mastery. Peirce stages the prom as a prosaic rerun, without a lot of gaudy inspiration. And it's here that the real problem with redoing a classic reveals itself. Sure, a lot of famous movies are timeless, yet they're also rooted in their time. In the original Carrie, Spacek's character seemed to be channeling something creepy and larger-than-life — maybe it was even the underworld. But now we're a lot more accustomed to seeing movie characters mold their destiny through special effects, and since Peirce films the climax in a rather depersonalized, shoot-the-works way, Carrie comes close to seeming like an especially alienated member of the X-Men team. She blows stuff up real good, in a way that would make the devil — or Bruce Willis — proud. Grade: B--

See the original story at EW.com.

CLICK HERE to Try 2 RISK FREE issues of Entertainment Weekly

© 2011 Entertainment Weekly and Time Inc. All rights reserved.

@highlight

The remake stars Chloë Grace Moretz

@highlight

The film has some modern updates

@highlight

EW gives it a grade of B-