(CNN) -- If Super Bowl Sunday is a day you look forward to with great anticipation each year, if it is a day that you equate with excitement and good times, there's something you should know:

You may have a politician to thank for your happy feelings.

On the other hand, if Super Bowl Sunday is a day you dread each year, if you are dismayed by the notion that the day has turned into a lockstep secular holiday during which most of the nation seems hypnotized for hours on end, there's something you should know:

You may have a politician to blame for your grumpy feelings.

In both cases, it's the same politician:

President Theodore Roosevelt.

A persuasive argument can be made that, were it not for what Roosevelt did during a meeting in the White House toward the end of 1905, football as we know it today would not be a part of American life. There never would have been a National Football League -- at least not the wildly popular NFL that has become such a sports, business and cultural institution -- and Americans would almost certainly be spending Super Bowl Sunday in a completely different way.

Here's the short version of what happened:

Early in the 20th century, football, as played on college gridirons, was something close to a street fight. The rules were lax at best, and were routinely ignored. During the 1905 season alone, 18 college and amateur players died. And despite the growing violence (or, who knows, maybe because of the growing violence), fans were flocking to the games -- the sport was gaining followers.

So, if the fans liked what they were seeing, what was the problem?

The problem was that a serious movement was afoot to ban the sport -- to get rid of football.

Remember, the NFL did not exist -- the college game was the top level of the sport. Harvard's president, Charles W. Eliot, was leading the charge to abolish football, and it began to look as if he and his allies had a chance of doing just that. To give you an idea of just how seriously the get-rid-of-football movement was being taken, the New York Times ran an editorial expressing concern over "Two Curable Evils" in American life: lynchings and football.

Enter Theodore Roosevelt.

There is ample historical documentation of what Roosevelt did, but as my guide through the thicket that football entered and from which it eventually emerged and thrived, I sought the assistance of author John J. Miller, whose meticulously researched book, "The Big Scrum: How Teddy Roosevelt Saved Football," is the gold standard.

Roosevelt, Miller told me, loved football, but had never played the game -- by the time he was president, Roosevelt cut a brawny, outdoorsmanlike, Hemingwayesque figure (well, Hemingway hadn't been heard of in those years, but you get the picture), yet as a boy he was small, sickly and wore eyeglasses. When he was serving in the White House and football was under fire, he wanted the game to survive, "but he realized that the critics had a point. ... He loved the sport and thought it was great, but he recognized there was a threat to it. ... He was concerned that we would lose the game."

Thus, Roosevelt convened a meeting in the White House of the most influential men in college football. Present were Walter Camp, the leading figure in the formative years of the game, as well as representatives from Harvard, Princeton and Yale. According to Miller, Roosevelt told them: "Football is on trial. Because I believe in the game, I want to do all I can to save it." He impressed on them that genuine, substantive changes must be instituted.

Miller said that Roosevelt did not use the "big stick"-- he did not threaten and he did not pound the table. "I see nothing but levelheadedness on Roosevelt's part," Miller said. "He was a great politician. He knew how to negotiate and make a point." (Roosevelt, after all, would win the Nobel Peace Prize for negotiating a treaty between Russia and Japan, who went to war in 1904).

With the football men, Miller told me, Roosevelt certainly had "sufficient skills to bring people to the table and bring concessions and agreement."

He got it. There was some resistance during and after the meeting, but eventually football's leaders would agree to get rid of many of the elements that had turned the sport into all-but-unregulated brutality. Rugby-style mass formations, and gang tackling, were outlawed; the distance needed for a first down was changed from five yards to ten, which made it essential to come up with plays that didn't necessarily go straight through the center of the line; a neutral zone was instituted at the line of scrimmage; and -- most important -- a new kind of play was put into the rulebook:

The forward pass.

"It revolutionized the game," Miller said. "It spread out the action. It opened up the field." Football became more thrilling to watch; the college game boomed, the NFL was born.

Speaking of which: With today's new concerns about football violence and long-term injuries, could a president in the 21st century convene a meeting to try to accomplish what Roosevelt did?

John Miller doubts it.

"One reason a president of the United States might not get involved is fear of public failure," he said. There was no Internet when Roosevelt brought the football men to the White House; there was no television; there were no radios in American homes. He had been able to pull the whole thing off relatively quietly. If football leaders were called to the White House today, the whole country would know it in advance, and for any president, "the risk of getting involved at that level is the risk of not succeeding."

So, I asked, on Super Bowl Sunday, what is the proper way to regard Teddy Roosevelt?

It's simple, Miller said: "He was football's indispensable fan."

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says we may have Theodore Roosevelt to thank for football as we know it

@highlight

He says lax rules and high injury in the early 1900's prompted a call to ban the sport

@highlight

He says Roosevelt intervened to persuade teams to formalize rules, hence cutting injury

@highlight

Greene: Expert writer on the subject says not likely a president today could pull this off