For years, China has talked about promoting "green growth." But this probably isn't what they had in mind.

For the seventh year in a row, monstrous quantities of green algae known as enteromorpha prolifera have sprouted in the coastal waters near Qingdao, China. But this year's growth, covering 28,900 square kilometers (11,158 square miles), is the biggest outbreak ever recorded, state-run news agency Xinhua reported. The previous record was 13,000 square kilometers (5019 square miles) in 2008.

Swimmers and beachgoers were pictured frolicking among the stringy piles of slime, while bulldozers attempted to scoop it away.

Chinese officials have blamed past algae outbreaks on unusually warm seas. Dr. Christopher Bolch, an algae expert at the University of Tasmania, says the explanation doesn't hold water.

"You may get faster growth rates with higher temperatures, but you can't get such large amounts of biomass without access to nutrients," he explained.

According to Bolch, massive algae blooms feed off of high levels of nitrites and phosphates in the water, which typically comes from agricultural waste, industrial pollution, or human sewage from highly populated areas.

Enteromorpha is "fairly benign," said Bolch, but can harm marine ecosystems. Algae blocks sunlight from reaching aquatic life, reduces oxygen levels, and emits bacteria when the algae dies and rots.

Similar but more dangerous types of aquatic growths, such as phytobacteria or dinoflagellates, can produce harmful toxins and posion people.  "They should consider themselves quite lucky that it's not one of those," said Bolch.

Chinese state media reported that the seaweed began proliferating on June 5, and that local governments had "taken measures" to minimize the impact to marine ecosystems. Officials reported that they had removed around 7,335 tons of algae.

Bolch said enteromorpha typically does not cause health problems in humans, but "large concentrations of anything can be problematic."

There could be a risk of skin inflammation, said Bolch. "If you were stupid enough to go in, I wouldn't go in naked."

In 2012: Melting Arctic 'blooms' with algae

@highlight

Coastal waters near Qingdao covered with 28,900 sq km of green algae

@highlight

Largest outbreak seen by local officials, doubling previous record in 2008

@highlight

Scientist says algae is caused by pollution and sewage in water

@highlight

Algae 'generally not harmful' to humans, but scientist urges caution