(CNN) -- The photograph was shocking: a hooded detainee, in U.S. custody, standing on a box with electrical wires hooked up to his fingers.

Images of abuse at Abu Ghraib changed the discourse on the war, says Abdul Rahman al-Rashed of Al-Arabiya TV.

That photo, as well as the others depicting detainee abuse inside Abu Ghraib at the hands of U.S. troops, came to symbolize "America in the eyes of the world at that time," said CNN chief international correspondent Christiane Amanpour.

"Those pictures unfortunately became symbolic, emblematic of all the troubles that the U.S. faced in the last four years of the Bush administration, particularly given its war in Iraq," Amanpour said. "Beyond that, it caused a great deal of outrage around the world."

It was against this backdrop that President Obama reversed course last week, telling government lawyers to object to a court-ordered release of additional images showing alleged abuse of detainees. Military commanders urged him to fight the release of the photos, fearing it would endanger the lives of U.S. soldiers.

The photographs first appeared in a report on "60 Minutes 2" in late April 2004, followed by an extensive story on the abuse by award-winning journalist Seymour Hersh in The New Yorker.

"It was a big shock," said Abdul Rahman al-Rashed, the head of the Dubai-based Al-Arabiya television station. "It hurt mostly the ones who were for the fall of the Saddam [Hussein] regime. ... It was a heated debate in the Middle East at the time -- whether [the invasion] was the right decision and whether the Americans had bad intentions or not." iReport.com: Did Obama make the right call on photos last week?

The fallout was immediate, both overseas and at home. A year into the Iraq war, the American public had grown increasingly uneasy about the direction of the war, and the Abu Ghraib photographs gave anti-war protesters the ammunition they needed to rally around their cause and question Bush administration policies.  See Bush administration interrogation tactics »

A CNN/USA Today/Gallup poll immediately after the photos were released showed that nearly three-quarters of Americans said the mistreatment of the detainees was unjustified under any circumstances. Bush's overall performance rating sank to what was then the lowest of his presidency, 46 percent. The poll also showed support for the war at its lowest since before it began, with only 44 percent saying they believed it was worthwhile.  See some of the disturbing photos (discretion advised) »

It was a blow from which the administration, especially then-Defense Secretary Donald Rumsfeld, never fully recovered. Amanpour said Obama's presidential victory and big wins by Democrats in the House and Senate were proof of that.

"The American people said that they wanted their good name, the name of their country, the influence and credibility of their country's standing, to be restored in the rest of the world," she said.

The photos did what a print report could not do. They showed front-and-center what human rights groups had been saying for months: that the Bush administration was abusing prisoners within U.S. custody. Some photos showed naked prisoners piled on top of each other like a pyramid. Another showed a smiling female U.S. soldier giving a thumbs-up next to a naked, hooded prisoner.

As a result of the furor unleashed by the pictures, 11 American soldiers were tried and convicted of Abu Ghraib offenses, and some officers were reprimanded.

Al-Rashed said he had expected violations in war, but nothing like "humiliating individuals in those kinds of scenes." The Middle East has a "bloody, long, bad record about torture of prisoners," he said, but what happened at Abu Ghraib was even more reprehensible because it undercut America's democratic values.

"You talk about democracy, you talk about the respect of individuality, the freedom. ... The prison pictures just really made us speechless."

"It was something completely new -- something that we had not seen before in all the dictionary of prisoners and torture and mistreatment. It just weakened the argument completely about the wisdom of getting rid of a regime like Saddam. It made the argument for the other side stronger."

The photographs had a direct impact within the Iraq insurgency. Just days after the photos became public, American contractor Nicholas Berg was beheaded -- with his executioners saying they were retaliating for Abu Ghraib abuses. The insurgents posted video of the killing on the Internet for all to see.

"The publication of these photos would not add any additional benefit to our understanding of what was carried out in the past by a small number of individuals," Obama said. "In fact, the most direct consequence of releasing them would be to further inflame anti-American opinion, and to put our troops in greater danger."  Watch Obama explain reversing course »

The court had ordered the release in response to a Freedom of Information Act request filed by the American Civil Liberties Union. The ACLU said the Pentagon had agreed to release a "substantial" number of photographs by May 28. Officials at the Pentagon said the photographs are from more than 60 criminal investigations between 2001 and 2006 and show military personnel allegedly abusing detainees.

Obama's decision has sparked a heated debate on what is best for democracy.

Marc Thiessen served in the Bush administration from 2001 to 2009, including time as Bush's chief speechwriter. He has said that the "enhanced interrogations" of detainees worked and has opposed the release of the latest round of prisoner abuse photos.  Watch more on the photo debate »

"If these photos had been released, within two seconds flat, they would have been up on jihadi Web sites, and al Qaeda would be using them to incite violence," he said.

ACLU attorney Amrit Singh disagrees, saying terrorists already have plenty of information "at their disposal to conduct violence."

"They can conduct all the violence they want without the release of these photographs," she said. "So to pick on these photographs as the cause of violence, I think, is a grave mistake. There were people who suffered immensely, the victims of torture depicted in these photographs. It's for their sake and for the sake of future victims of torture that these photographs must be aired."

She added, "It is essential that these photographs be released so that the public can know the full scale and scope of prisoner abuse that took place in its name."

Republican strategist Kevin Madden said Obama sided with national security instead of "the fury of propaganda that would be unleashed against U.S. forces overseas." He said the liberal left is trying to use the photos "as a vendetta against the Bush administration."

"And in that process, what they're doing is essentially smearing the country as a country that condones detainee abuse and condones the torture, when in fact we don't," he said.

To that, Singh shot back, "But what is the limit of that argument? If gross human rights violations have been committed, do you sweep them under the rug because they will cause outrage?"

Al-Rashed of Al-Arabiya said Obama's decision didn't get much play in the Arab world last week, mostly because the alleged abuse isn't as "shocking anymore."

"It's not as big news as it used to be," he said.

CNN senior political analyst David Gergen, a former adviser to several Republican presidents and one Democrat, said Obama made a wise political decision, even if he upset the left.

"I think in these situations, you can't think about who is going to be pleased and who's not. I think you have to think about what's the right decision for the president and assume good policies ultimately make good politics."

@highlight

Head of Al-Arabiya says 2004 Abu Ghraib photos "just really made us speechless"

@highlight

Christiane Amanpour: Photos "symbolic ... of all the troubles that the U.S. faced"

@highlight

Obama's decision to fight the release of new round of photos sparks debate

@highlight

ACLU says if more abuses occurred, "Do you sweep them under the rug?"