Hong Kong (CNN) -- Panasonic halted operations at three factories in China after angry protesters ransacked Japanese businesses over the weekend amid rising tensions over disputed islands in the East China Sea.

Violence against Japanese companies was seen in Xi'an, Dongguan, Changsha and Guangzhou, according to local media reports. A Panasonic factory was set on fire and a Toyota dealership in Qingdao were damaged on Saturday, and a Jusco department store was ransacked. In Guangzhou, demonstrators broke into the Garden Hotel and attacked a Japanese restaurant on the second floor, according to the South China Morning Press.

Panasonic has suspended work at three plants in China until Tuesday, after factories in Qingdao and Suzhou were damaged by protesters, company officials told CNN. Panasonic also halted operations at a factory in Guangdong province until Tuesday as some local employees staged a strike as protest against Japan's claim to the island chain, called Diaoyu by China and Senkaku by Japan.

Background: How remote rock split China, Japan

A Heiwado Co. department store in Changsha was ransacked, as were Japanese supermarkets in several cities, Japan's Kyodo News Service reported.

"The Sino-Japanese economic war has officially begun," Chinese economist Wang Fuzhong wrote on Weibo, a Chinese microblogging site. "I hope it won't end in a situation where everyone loses."

The Japan tourism industry, which has been struggling after the 2011 Tohoku earthquake and tsunami, is being hit by the dispute, after calls in China for tourists to stop visiting Japan. The head of a hotel at the foot of Mount Fuji told CNN that cancellations from Chinese tourists -- which make up "about 30% to 40%" of his business -- are stacking up. "China is a big market for us, it would be very damaging for us to see a decline of the Chinese tourists," said the man, who gave his surname as Watanabe.

A Chinese tour guide on the streets of Ginza shopping district in Tokyo told CNN that in the six years she's worked in Japan this situation "is the worst of her career."

"I do not expect much of the tours (from China) coming back from now. Most of tours were cancelled," said the guide, who asked CNN to use her Japanese name Mitsu Matsumoto for fear of reprisals.

"I want them (China and Japan) to be friendly again. Otherwise tour agents are going to bankrupt and tour guides like us will be affected badly," Matsumoto said. "I wish the issue will be solved soon."

Chinese state media, reporting on the protests, decried the violence. Even hawkish publications, such as Global Times -- which ran an editorial "Discard illusion of friendly ties with Japan" last week -- published an editorial Monday headlined "Violence is never appropriate solution."

Meanwhile, an editorial in the China Daily on Monday called on China to impose economic sanctions against Japan. "Taking a cue from the U.S. practice, China can use the security exception clause to reduce the export of some important materials to Japan," the editorial said.

On Thursday last week a Chinese official warned that Tokyo's move to "buy" a disputed island chain in the East China Sea would hurt trade between Asia's two largest economies. The battle over ownership of the island chain will "inevitably" have a negative impact on Sino-Japan economic ties, Vice Minister of Commerce Jiang Zengwei said Thursday, state-run Xinhua reported.

The islands sit among popular fishing waters and are also believed to be rich in oil resources. Ownership of the chain would allow exclusive commercial rights to the seas surrounding the islands.

Despite booming auto sales in China, sales of Japanese car brands are down 2% in China compared to a year ago, according to the China Association of Automobile Manufacturers. Meanwhile, sales of car brands from other foreign countries, including Germany, the U.S., South Korea and France, are up 25%, 19%, 12% and 4% respectively.

Luo Lei, deputy secretary-general of China Automobile Dealers Association, said earlier this week that Toyota purchases have fallen 15% while Mazda sales are down 6% year over year.

Tensions between China and Japan -- the world's second and third largest economies, respectively -- escalated on Friday as Chinese surveillance vessels entered the disputed area to begin patrols and "law enforcement," according to Chinese state-run media.

China dispatched the ships after the Japanese government bought several of the islands from a private Japanese owner last week.

The Chinese vessels entered Japan's territorial waters despite warnings from the Japanese Coast Guard, said Shinichi Gega, a spokesman for Japan's 11th Regional Coast Guard Headquarters.

Japanese Prime Minister Yoshihiko Noda said Tokyo would "take all possible measures to ensure security" of the islands, located between Okinawa and Taiwan.

China is Japan's largest trading partner. Nearly 20% of Japanese exports last year were sold to mainland China, compared to 15.3% exported to the U.S., according to figures from the Japan External Trade Organization.

Last week, the Japanese government approved the purchase for 2.05 billion yen ($26.2 million) the group of small islands from the Kurihara family, a private Japanese owner, according to Chief Cabinet Secretary Osamu Fujimura.

China says its claim to the islands goes back hundreds of years. Japan formally recognized them as Japanese sovereign territory in 1895.

The islands were administered by the U.S. occupation force after World War II. But in 1972, Washington returned them to Japan as part of its withdrawal from Okinawa.

CNNs Junko Ogura and Yoko Wakatsuki in Tokyo and C.Y. Xu in Beijing contributed to this report

@highlight

Panasonic halted operations at three factories in China after violent protests

@highlight

Protesters ransacked Japanese businesses and damaged Japanese vehicles

@highlight

Panasonic reported two plants were damaged by weekend anti-Japan protesters

@highlight

Chinese economist: "The Sino-Japanese economic war has officially begun"