Blair, West Virginia (CNN) -- We're at the peak of Blair Mountain in the middle of southern West Virginia. It's about 85 degrees, the coolest it has been all week, and there's a slight breeze that carries voices before we can see the singers.

"This land is your land. This land is my land."

More than 600 dusty, sweaty people are singing as they hike through the hardwoods up the mountain. Their protest signs -- "Save Blair Mountain" and "Abolish Mountaintop Removal" -- poke through the leaves.

The song is a Woody Guthrie tune, the one that became a folk anthem of sorts in the 1960s, and it seems very appropriate for this moment.

"As I went walking that ribbon of highway, I saw above me that endless skyway," the marchers continue.

See a preview of "Battle for Blair Mountain: Working in America"

About 150 people in this group have been walking the twisting mountain highways through West Virginia's coal fields for six days. The 50-mile march is re-creating the 1921 March on Blair that led to a bloody battle between thousands of coal miners and coal company supporters. The fight eventually brought unions, along with respectable wages, to the coal mines of West Virginia.

But this time, the march isn't about unions. It's about saving a mountain. It has been organized to oppose "MTR," or mountaintop removal, a highly effective type of mining that involves blasting away slopes to get at the profitable coal seams underneath.

Coal companies own most of the land rights on Blair Mountain now, and they have fought national historic landmark status for the site, which would protect it from being destroyed.

"If you stand for preserving our cultural heritage instead of destroying it, you stand for Blair Mountain," Chuck Keeney said to his followers before he led marchers out of Marmet, West Virginia, last week.

Keeney is a history professor at the local community college, and the great grandson of Frank Keeney, one of the organizers of the original March on Blair.

Chuck believes in replacing mountaintop removal with more traditional underground mining, which he says will employ more people.

"If you stand for more jobs instead of fewer jobs, you stand for Blair Mountain," he says.

But this is coal country, where families and fortunes depend on coal jobs, and most people who live here believe the opposite of what Keeney says.

"Why don't they get a job, instead of taking ours," one young coal miner watching from his porch asks.

Ten miles from their destination, group organizers, and even miners opposed to the march, tell us that the protesters have now entered "the belly of the beast."

"Don't Support Coal?...Sit in the Dark!!" reads one of many homemade signs hung on fences and porches along the route.

Coal is used to generate about half of the electricity consumed in the United States, and West Virginia is the second largest producer of that coal. Wyoming is first.

"I don't want to ruin the entire West Virginia economy, which is based on the coal industry. That is not my goal," a young activist said during the march. "I just don't want to see coal mining that destroys rivers, drives away the biodiversity of such a beautiful place and also drives away other jobs that could be in place of coal mining."

She is surprised when told that her environmental stance against coal is interpreted by local miners as attempt to take away their jobs.

Bob Shultz is a union miner watching the march from his front porch. He lost his job when the coal company near his home was denied a mountaintop removal mining permit by the Environmental Protection Agency.

"Mountaintop removal is what built this house, sends that little girl to school, provides insurance for my wife, bought two cars and that motorcycle I showed you in the garage. I'm not real impressed," he says as the marchers pass.

Joe Stanley is one of a handful of miners who have joined the protest. The retired miner believes more miners would be involved in this march if they weren't afraid.

"This is a tough situation here. This is the only game in town," he tells us. "That is why these people are yelling at us today, because they are brainwashed to think 'Oh, I can't have a job unless it's a mountaintop removal job.'"

"Welcome to Coal Country" says a sign greeting the marchers as they cross the Logan County line. Three generations of protesters gather at the entrance to a public lake where the marchers plan to camp that night.

What toddlers, parents and grandparents scream and shout at the protesters can only be described as hateful.

They seem almost oblivious to our cameraman. One mother utters in earshot, "I wonder if they hate us as much as we hate them?"

A toddler at her feet screams, "Go home, go home," as the long line of marchers file by silently.

We find Diann Kish, the wife of a retired miner, at the counter-protest. She has defended coal for more than a decade and feels strongly that coal has provided for her family and her community.

We have met with Kish before and visited a mountaintop removal site with her. She told us she doesn't cry when she sees a mountain being dismantled because she sees "a job in the making."

"It's been wonderful to talk to the opposition with no violence," Kish said along the marchers' route. "Peace -- it's all we want. From what I'm told, they're not allowed to say anything back. We just told them to go home or leave our state alone. That's what we want and that's from the heart."

The marchers arrive at their destination and host a large rally before climbing Blair Mountain. One of the speakers is Robert Kennedy Jr., an environmental activist and son of the late Sen. Robert Kennedy.

Standing nearby, listening to Kennedy, is Billy Smutko. He remembers when Robert Kennedy's father came through Logan in 1960 campaigning for John F. Kennedy during the presidential election. Smutko is the son of a miner. His grandfather died in a Logan County mine. He lives on the same land where he grew up, just behind where Diann Kish lives now.

But his view of mountaintop removal is completely different from hers. He is touched when he hears Kennedy's speech, and tells us that it shows people beyond Logan County care about an issue so important to him.

"Having all these folks come in here gives me hope we can put an end to this type of mining and save our homelands," he said.

The new "March on Blair Mountain" ends in song and celebration at the top of the mountain. Organizers erect a homemade monument to commemorate the original battle for Blair and congratulate the crowd for their long journey.

In a final act of protest, about 100 marchers break off from the larger group as part of a planned act of civil disobedience. They climb over a gate that blocks a dirt road running along the ridge line. They attempt to walk out to the edge of a mountaintop removal site that has already encroached on the historic battlefield. State police officers pursue the protesters but only arrest one person for trespassing and littering on coal company property.

March organizer Chuck Keeney sums up the march as a success for raising awareness, but wants to do more to make sure there is no mountaintop mining of Blair.

"If you can't save this mountain," he said, "you can't save any mountain."

@highlight

Protesters marched to oppose mountain removal mining on West Virginia's Blair Mountain

@highlight

Supporters say mountaintop removal creates jobs and energy

@highlight

"The Battle for Blair Mountain" airs at 8 p.m. ET/PT Aug. 14