(CNN) -- My grandfather Jacques Cousteau and my father Philippe dedicated their lives to revealing the ocean's wonders and helping us understand our connection to this vast expanse of water. Their work inspired generations and filled people with awe.

Times have changed and so have circumstances and perceptions about the ocean. In recent years, the focus has been on the very serious challenges the ocean faces and the impact these challenges are already having on our daily lives.

The effects of climate change, pollution and overfishing should be making headlines because the ocean and all of us -- and I literally mean all humankind -- who depend on its resources are facing the very real prospect of the catastrophic collapse of ocean ecosystems if we continue on our current course.

Watch: Going Green: Oceans on Friday March 29 at 15:30 GMT

Despite the challenges our ocean faces, I believe it's time to recapture the sense of wonder and inspiration my grandfather and father felt when they gazed on its surface. In fact, the ocean can and should be a source of hope and solutions for a brighter future.

Before you accuse of me of eschewing cold hard reality for a world view through rose-colored glasses, hear me out. What I'm proposing is that we step back and look at the potential a healthy ocean has to provide us with a prosperous and sustainable future.

Just take a moment to think about what the ocean does for us on a daily basis: it produces half of the world's oxygen; it provides more than one billion people with their primary source of protein; its natural eco-systems like coral reefs, mangroves and wetlands provide protection against coastal erosion and natural disasters such as tsunamis; it regulates our climate; and a healthy ocean fuels sustainable businesses and a strong economy in industries such as seafood, tourism, pharmaceuticals and shipping.

Read/Watch: 'The most imaginative person I've ever met'

That's really only the beginning. Check out Ocean Conservancy's "Why the Ocean Matters" feature if you want to be truly amazed. My point is the answers to many of our greatest environmental and social challenges literally surrounds us.

For the ocean to continue to do what's it's done for millions of years and serve the needs of a rapidly expanding human population, it needs to be healthy. Biodiversity, coral reefs, wetlands and trash-free seas aren't just terms on a page they are environmental imperatives that dictate the future of the planet.

We have the know-how and resources to conserve and restore the aquatic and marine systems that keep the ocean and us healthy. As my grandfather once said, "The technology that we use to abuse the planet is the same technology that can help us to heal it."

Big technology like renewable energy, carbon sequestration and advances in aquaculture certainly have a major role in restoring the ocean and the planet to a healthy balance, but in many cases it's a matter of giving nature the space and time to do what it needs to do with a helping hand from all of us.

Regulations that help replenish and protect fish stocks, restoration and conservation projects to protect and nurture natural barriers like reefs and wetlands, and reforestation efforts are all things that can have a huge impact on ocean health with no rocket science necessary.

Take fisheries for example, with two billion people joining us on this planet over the next 40 years, there will be a huge need for more sources of protein. If these needed protein sources were to come primarily from livestock there is the very real potential for catastrophic pollution of water and land, not to mention the exponential increase in carbon emissions.

But, by some estimates, simply managing fisheries better could feed up to one billion of those people and remember, seafood is 7-10 times more efficient as a source of protein than land-based meat sources ... if managed properly.

If you are thinking this all sounds like the future of the ocean is in the hands of policymakers and big industry, please think again. Every hour of every day each of us have the opportunity to make choices with impact, from what we eat and the things we buy to the examples we set for our children and friends.

The good news is technology and future-focused groups are providing us with some great tools and resources to get inspired and make smart decisions. For example: the Monterey Bay Aquarium's Seafood Watch pocket guide and Ocean Conservancy's Rippl app or EarthEcho's Water Planet Challenge.

We can make sure the ocean continues to provide inspiration, wonder and solutions for generations, however, it all comes down to personal and collective will. Ask yourself this question: When you look upon the ocean 10 years from now, do you want to see a sad reminder of what could have been; or do you want to be filled with awe and inspired by a sense of endless possibilities?

The opinions expressed in this article are solely those of Philippe Cousteau

@highlight

It's time to recapture our sense of wonder about the oceans, says Philippe Cousteau

@highlight

Environmental advocate asks people to think hard about all the services it provides humankind

@highlight

Having a healthy ocean is an "environmental imperative" that will "dictate future of planet"

@highlight

Measures to protect fish stocks and eco-systems can have huge impact on ocean health