(CNN) -- The Hole in the Wall experiments, known as HiW, were first implemented in 1999, when a computer with an internet connection was embedded into a wall for children to discover and use unsupervised.

The wall adjoined a slum in India. Only a month later, it was evident that the children had taught themselves to use the computer and also picked up some skills in English and mathematics. This kind of design was then set up in more and more remote areas across the nation with almost identical results. These were computers embedded in walls or kiosks in easily accessible and highly visible public spaces, facilitating peer interaction, discovery and learning in groups of children.

We concluded that groups of children from disadvantaged and remote settings can learn to use computers and access internet resources, on their own, if given appropriate free, public and unsupervised access.

Watch an interview with Sugata Mitra

These earliest experiences also showed that children could develop some skills in English and mathematics. What came through unequivocally in this and further work on self-organizing systems in education was that groups of children -- irrespective of who or where they are, or what language they speak -- given free and public access to computers and the internet can:

1. Become computer-literate on their own -- that is, they can learn to use computers and the internet for most of the tasks done by lay users.

2. Teach themselves enough English to use e-mail, chat and search engines.

3. Learn in a few months to search the internet for answers to questions.

4. Improve their English pronunciation on their own.

5. Improve their mathematics and science scores in school.

6. Be prepared to pass examinations several years ahead of grade level.

7. Change their social interaction skills and value systems.

8. Form independent opinions and detect indoctrination.

We then went on to show that the quality of traditional schooling declines the farther schools are from the urban center of New Delhi. A similar decline is visible in the UK as one goes to more economically disadvantaged areas. This has been attributed to the lack of teachers willing to work in these areas.

TED.com: Bill Gates on mosquitoes, malaria and education

Two landmark events took this work further. The first was a comment by the late Sir Arthur C. Clarke to me: "Teachers that can be replaced by a machine should be".

The second was an experiment in a Tsunami-hit Indian village, where I was trying to prove that Tamil-speaking 12-year-olds cannot teach themselves biotechnology in English.

At the end of the experiment, a little girl told me, "Apart from the fact that improper replication of the DNA molecule causes genetic disease, we have understood nothing else."

Finally, we found that the presence of a friendly, but not knowledgeable, mediator can enable children to reach levels of learning similar to formal schools with trained teachers.

TED.com: Ken Robinson says schools kill creativity

We went on to set up a "cloud" of "eMediators," mostly retired schoolteachers with broadband access from their homes. Schools can access this "cloud" over Skype and children can interact with the mediators over free videoconferencing.

Interestingly, in the hands of good teachers, these methods can be powerful motivators for children, resulting in better performance. What started out as a solution for remote areas turned out to have universal applicability.

Both HiW and the work done later are based on the concept of Minimally Invasive Education, a pedagogic method that motivates groups of children to learn in an environment with little or no intervention from teachers or other adults, and that formed the basis of the design of the 'HiW' computers.

It is now possible to formulate a new approach to learning, using these findings.

The opinions expressed in this commentary are solely those of Sugata Mitra.

@highlight

Sugata Mitra: Experiments show students can teach themselves with computers

@highlight

He says students showed remarkable progress by working in teams

@highlight

Adult mediators can help further this kind of learning even without formal teacher training, he says