(CNN) -- There may still be doubts whether the Syrian regime has used chemical weapons against its own civilian population; but there is however conclusive evidence that it has effectively used the toxic stuff to poison the minds of western policy makers and paralyze the debate over intervention.

This is so much so that it has diverted attention from what is happening on the ground in and focused it on the red line that the U.S. has drawn itself behind and seems unable to enforce. In the meantime, the massacres and destruction continues with impunity and the regime is triumphantly declaring victory over its opponents and gleefully celebrating the impotence of the United States.

It all started in July last year with the Syrian regime itself throwing the cat among the pigeons by leaking information and acknowledging the existence of chemical weapons for the first time.

This was followed by three messages by the Syrian foreign ministry's spokesperson: One was that the chemical weapons would not be used by the regime against its own population; two was an implication that the weapons would be used against an outside force while the third and most important message was that the regime was securing the weapons so that they do not fall into the hands of the rebels.

This was enough in itself to trigger so many reactions in the west, especially in the US. First and foremost, it evoked the WMD debate over the justification of the Iraq invasion, the effect of that was to create for the Syrian regime a host of unwitting allies among those that were opposed to the Iraq invasion and against any further intervention.

U.N. inspectors face enormous obstacles in Syria

The issue of chemical weapons became a debate about intervention which then triggered reassuring statements by the Obama administration that there was no intention of intervening in Syria except if the red line of using chemical weapons on civilians was crossed. These statements, in August 2012, unintentionally also resulted in reassuring the regime that it could carry on its suppression of the revolt with no fear of intervention as long as chemical weapons were not used.

In May 2012, a couple of months before these statements, the deaths of 108 people in one day at Houla, according to the United Nations was considered as a massacre the repetition of which would warrant an intervention.

The regime emerged from the episode with what it considered as a green light to continue with suppressing the revolt and the tolerance level was raised to an average casualty rate of between 100 and 200 every day, equal to or double that of Houla.

If President Barack Obama's huffs and puffs are not convincing anymore, their credibility is further undermined by one of his top military men, General Martin Dempsey, Chairman of the Joint Chiefs of Staff, who recently criticized the president for mentioning the red lines and the possibility of intervention.

At the same time Gen. Dempsey was laying down military options so costly and long term that their net effect would further strengthen the hand of the anti-intervention lobby.

But there was an even better message from the Pentagon for the Assad regime in November 2012: despite its opposition to intervention, the Pentagon indicated that it could lay down plans for intervention in Syria to secure the chemical weapons stockpiles "to prevent them falling into the wrong hands" should the regime lose control with the emerging chaos.

One can imagine the relief in Damascus when this is interpreted as the U.S. and its military only worrying enough to think of intervention if and when the regime weakens and there is a possibility of its fall.

The flipside of this means that the U.S. cannot see beyond the regime and that it would therefore prefer President Bashar al-Assad to stay. Recent comments by Gen. Dempsey about the opposition being incapable of taking over post al-Assad echo similar statements made last October by then-U.S. Secretary of State Hillary Clinton.

Better still, this meant that the green light and the licence to kill its own citizens and regain control of the country was still in effect no matter what public statements say; and now even that red line about the use of chemical weapons has all but lost its significance.

The regime knows full well it can gain endless time by manipulating the mandates and bureaucratic arrangements of U.N. weapons inspectors. It is also further reassured by seeing the issue become part of party political rivalry.

Chemical weapons are not the only tool in the regime's mind games with the West. In the summer of 2011, while teenage female bloggers and peaceful protesters were being arrested by the thousands, the regime released an estimated 1,500 Islamist prisoners from its jails including some connected to al Qaeda that it has a long experience in dealing with to create chaos in both Iraq and Lebanon.

This manoeuver also bore fruit and wreaked havoc both on the ground and in the western debate over Syria, all this while the oil still flows to the regime's port of Tartus through territories held by those very Islamists that give a boost to the regime's narrative of fighting terrorism.

Now that Syria is back on the international agenda, it may also be the time to re-evaluate what is happening there and look beyond the red herrings that the regime throws at us with the aim of diverting attention from its crimes.

The cost of non-intervention is now alas too obvious to elaborate upon. After more than 100,000 dead, refugees and displaced in the millions and much of the country destroyed, the international community can no longer watch a regime killing its people and do nothing about it.

The opinions expressed in this commentary are solely those of Nadim Shehadi.

@highlight

The Syrian regime has poisoned the debate over intervention, writes Nadim Shehadi

@highlight

The U.S. would prefer President Bashar al-Assad to stay, he says

@highlight

The regime manipulates the mandates of U.N. weapons inspectors, writes Shehadi

@highlight

He says, now is the time to look beyond the red herrings thrown at us by the regime