(CNN) -- There's a standard Atlantic City itinerary: arrive at one of the many casinos along the Boardwalk, head straight for the card tables and slot machines, drink some complimentary cocktails and proceed to empty your wallet.

Sometimes it feels like it would be easier to cut out the middleman and simply hand over your money directly to the dealer because, let's face it, the odds are not in your favor.

But don't let this dissuade you from visiting Atlantic City. Even if you're not a gambler, good times can still be had in this iconic Jersey Shore spot, which has largely bounced back from the devastation wrought by Superstorm Sandy.

Atlantic City falls somewhere in between Vegas' glitz and Reno's grime, and you can find a bit of either, depending on your taste.

There are a myriad of eating, drinking, sightseeing and shopping options, both inside and outside the casinos. So venture past the slot machines and try some of the following activities to see what AC truly has to offer beyond gambling.

Belly up to the bar at local watering holes

Sure, Atlantic City's casinos offer a glut of nightclubs and ritzy bars with bottle service and pounding sound systems.

But for a cheaper drinking experience with more character, check out the city's local dive bars and pubs. Many are open 24 hours for those who wish to imbibe until the sun rises.

You might even chat with some regulars at places such as Culmone's (2437 Atlantic Ave.; 609-348-5170), a pleasantly seedy establishment a few blocks off the Boardwalk.

If you're looking for some bar food to wash down your beer, try the Irish Pub (164 St. James Place; 609-344-9064) or Pic-A-Lilli (231 S. Tennessee Ave.; 609-344-1113) -- both offer wings, burgers and more, with a hearty dollop of local flavor on the side.

Pretend you're an extra on 'Boardwalk Empire'

The Knife and Fork Inn (3600 Atlantic Ave.; 609-344-1133) was a Prohibition-era speakeasy and restaurant.

It frequently played host to a gang of colorful characters, including the real-life Nucky Johnson (the inspiration for the HBO show's Nucky Thompson character), before being raided and shut down by the feds.

It soon reopened, and the restaurant is still going strong today, having been fully renovated and restored in 2005. It's an elegant place to enjoy a steak, some seafood, a martini or two and soak in the aura of the Roaring '20s.

Get curious about history

If you're in the mood to do some historical sightseeing in the greater Atlantic City area, there are several interesting landmarks.

Just south of town, in Margate, sits Lucy the Elephant, a six-story high National Historic Landmark. Lucy was originally constructed in 1881. Today, visitors can take guided tours inside the novelty pachyderm. Admission is $8 for adults, $4 for children ages 3 to 12, free for children younger than 3.

Margate is also home to Marven Gardens, a neighborhood of beautifully restored houses from the '20s and '30s. The Monopoly property, Marvin Gardens, is actually a misspelling of the name, an error Parker Brothers acknowledged in 1995.

Absecon Lighthouse juts up prominently from the north side of Atlantic City. Dating back to 1857, this is New Jersey's tallest lighthouse and visitors can climb to the top for a view of the ocean and surrounding landscape. Admission is $7 for adults, $4 for children ages 4 to 12, free for children younger than 4.

The Steel Pier doesn't look much like it did in the early 20th century, but it has entertained visitors for over 100 years and is home to an array of modern rides, games and food vendors. Single tickets can be purchased for $1, or discounted books of 35, 80 or 200 tickets are available.

Take a dip

The gently sloping beach along the Atlantic City Boardwalk is surprisingly appealing and clean. When the weather is nice, you can find swimmers enjoying the warm water and calm surf, as well as surfers and kayakers.

From July 1 through Labor Day, 10 a.m. to 6 p.m., there are lifeguards stationed on the beach from Caspian Avenue to Jackson Avenue. So grab a towel and some sunscreen, and claim your spot early.

Look at the fishes, or catch them

The Atlantic City Aquarium is a great place to take kids (it also hosts birthday parties), with exhibits featuring a bevy of fascinating fish and aquatic mammals. It's located right on the waterfront at historic Gardner's Basin, where you can dine at dockside restaurants and check out the Atlantic City artists' colony.

Charter sightseeing, dolphin watching and fishing boats leave from the marina. Admission to the Aquarium is $8 for adults, $6 for seniors, $5 for children 4 to 12 and free for children 3 and younger.

Get some culture

It turns out Atlantic City is not entirely devoid of high culture. Artlantic is a project curated by Fung Collaboratives that turns vacant green spaces along the Atlantic City Boardwalk into temporary art projects that change from year to year.

The project began in 2012 and will last until 2016. There are two art park locations, both an easy walk from the casinos, one between Martin Luther King Boulevard and Indiana Avenue and another on the Boardwalk at California Avenue.

Indulge

This year's Atlantic City Food and Wine Festival takes place from July 25 to 27 at Caesars and features copious amounts of food, drink, parties and cocktails as well as talks and demonstrations from celebrity chefs. Packages are available to book now, starting at $250.

Learn to gamble

This might seem like a cheat, but technically it's not gambling. Some casinos, such as the Trump Taj Mahal, offer instructional lessons in their poker rooms. According to the casino's FAQ, you can ask the shift manager to set up a free private or group lesson.

Who knows, you might learn a thing or two for when you decide to hit the tables for real. Of course, the house doesn't like to lose, so maybe hold off the high-limit tables for just a little while.

Explore beyond the tables

There is plenty to do inside Atlantic City's casinos besides gambling. Take in a music or comedy show, pamper yourself at an upscale spa, eat at one of the many posh restaurants or budget buffets or embark on an epic shopping spree. If consumerism is your preferred method of relaxation, you've come to the right place.

The Quarter at the Tropicana is an Old Havana-themed cluster of shops, restaurants and nightlife, nostalgically hearkening back to the days of pre-Castro Cuba.

The Pier Shops at Caesars is another area where you can spend a few hours away from the casino floor eating, shopping or watching The Water Show, a Vegas-style water, light and sound extravaganza that pops off once every hour (check with the hotel first, it is occasionally out of service).

Walk the Boardwalk

Finally, take a leisurely stroll down the entire length of the Atlantic City Boardwalk, a tourist attraction that dates back to the late 1800s.

On one side lies the Atlantic Ocean, stretching out behind the dunes and grass, and on the other are countless casinos, stores, novelty shops and fast-food joints.

This summer, free events such as a concert by country singer Blake Shelton (July 31) and AVP pro volleyball (September 5-7) will take place along the Boardwalk.

Settle in for some serious people watching.

A diverse mass of humanity descends every summer, from Indian-American parades to teenage skaters to extended families from Ohio, all enjoying the sea air perfumed by the scent of fried dough and cotton candy.

@highlight

Atlantic City has some of the glitz of Vegas and the grime of Reno

@highlight

It also has oceanfront lounging, a historic boardwalk and public art parks

@highlight

Venture beyond the casinos to discover this Jersey Shore destination