Rason, North Korea (CNN) -- As the sole Western journalist covering a unique bicycle race in North Korea last month, I was provided with a personal guide, a car with a driver and the promise that I was free to take any photographs I wanted. As a journalist, it seemed like an incredible opportunity to document a small snapshot of what North Korea was really like.

However, the promise turned out not to be completely true.

At the border, before going back to China, a group of security guards confiscated my camera and erased all images they thought were inappropriate, or did not portray the country in a favorable light.

The North Korea I wasn't meant to see

But with the help of a computer expert in Hong Kong, I managed to get all the pictures back.

Officially, I only had two restrictions to obey during my trip: No photos of the military or military facilities and all shots of portraits of Kim Il Sung and his son Kim Jong-Il had to show their entire figures. And I was under no circumstances allowed to walk off alone.

My guide, Ko Chang Ho, was surprisingly friendly and talkative. Contrary to the propaganda machine I was expecting, the 42-year-old father of two talked at length about his days as an English student in Pyongyang and his interest in international literature. His favorite author was William Shakespeare; the last book he read was Sir Walter Scott's classic novel, "Ivanhoe."

We also talked about why the outside world has such a negative view of North Korea; something he was very sad about. He loved his country and I chose my words carefully.

Many times I asked Ho if it was okay to take photos of police, guards, power stations, refineries, train tracks and other objects I suspected would be considered sensitive by the secretive regime. "Go right ahead," he would say with a smile. Driving though the countryside, I asked the driver to stop by the small villages. "No problem," said my guide. "Just be polite to the peasants. They are not used to Westerners with big cameras."

Westerners race into North Korea -- by bike

By the finishing line of the cycle race in the city of Rason, I was running around trying to get good shots of the riders coming in as well as of spectators and the city itself. My guide had a hard time keeping up with me, but he never once told me to lower my camera or slow down.

It was all very informal. After the race, I had a chat with the vice mayor of the Rason Special Economic Zone, Hwang Chol Nam -- who to my surprise spoke fluent Swedish after studying in Europe.

And in the evening I sat down with a couple of young women from the local tourist office and had a conversation -- in Mandarin through an interpreter -- about relationships and everyday life in North Korea. They explained that although some North Korean marriages still were staged because of family ties to politics, almost all are today based on love. They said most of their friends and local teenagers are studying Mandarin to do business and network with the growing number of Chinese visiting the region.

The following day, I had my first clash with the authorities. After breakfast I decided to go for a walk alone. While the guides and the other officials were busy, I walked out the hotel to the parking lot by myself. I didn't manage to get more than 10 meters before a uniformed guard saw me and led me back to the hotel lobby and told my guide that I had wandered off.

The real setback happened just minutes before I was to cross the Tumen River and go back to China. At the border, a group of guards called me over and demanded to check my camera.

Despite my objections, one of the guards erased picture after picture. I tried to look over his shoulder to see what he was deleting, but he kept turning his back to me so I couldn't see. Every time he hit the delete button, I felt the frustration build. My guide said they were erasing "inappropriate" pictures, with no further explanation. In total, 90 images were erased from the memory card.

Behind the veil: A rare look at life in North Korea

I was annoyed but not surprised.

Back in Hong Kong I got in contact with a small IT company that specializes in data recovery. After leaving me waiting impatiently for 24 hours, they finally got back to me. All the photos had been saved.

"When they deleted the file on the card, they did not delete the whole file instantly, it just released the space of this file for future use -- the content is still there," Benjamin Wong, owner of Vector Data Recovery explained to me.

Looking at the censored photos, I was surprised about the selection. Some were of angry looking security guards with scruffy barracks in the background, others of government officials going through our passports. I could just about understand that. But others were in my eyes harmless, even scenic. There was an old couple walking alongside the cornfields, a family out in the countryside waving from their house, and a mother cycling with her sleeping baby on a seat on the back of her bike. One photo showed a volleyball pitch next to the customs building by the border crossing.

Why these images are not in line with North Korean image guidelines is for me a mystery. But so are a lot of things about the world's most isolated country.

The North Korea we rarely see

@highlight

Journalist Johan Nylander covered an international bike race from China into North Korea

@highlight

Promised full access while in North Korea, guards later deleted 90 of his photos

@highlight

Nylander recovered the photos deemed offensive by government minders

@highlight

Deleted photos often showed North Korean security guards, peasants in the countryside