(CNN) -- Teachers -- like me -- love "teachable moments," so here's a big one from Monday's sweeping Supreme Court decision on gun rights and the states, McDonald v. Chicago. In it, the court not only validated individual gun rights, but applied them to every state and locality in the country.

Americans know they have rights. Even some of my students who confess to near-total ignorance of American politics know they have free speech, the right to peaceably assemble, and the right to have a lawyer, should they run afoul of the law. But what none of my students know -- and what most Americans also don't know -- is that we can lay claim to these and other sacred Bill of Rights freedoms because of a different constitutional amendment, a cluster of 20th-century court cases, and something called "incorporation."

Early in America's history, court rulings established that the Constitution's Bill of Rights applied only to actions by the federal government, not the states. So, for example, if local police tried to shutter a newspaper for publishing legitimate, if unpopular, news, the newspaper would have to turn to that state's constitution for protection or help, and not to the First Amendment's protection of a free press.

And since every state constitution is different, the actual rights of citizens varied widely from state to state. Moreover, in the nation's first century, citizens rarely had direct dealings with a national government of limited size and reach.

All this changed when the Fourteenth Amendment was added to the Constitution after the Civil War. Several decades later, the court concluded that the Fourteenth Amendment's provision saying that states may not deprive persons of "life, liberty, or property, without due process of law" could now be used to apply or "incorporate" key provisions of the Bill of Rights to the states.

Note, however, that this process occurred selectively, provision by provision, and over seven decades. The first Bill of Rights protection to be applied to the states was in 1897, when the Fifth Amendment's guarantee that private property was not to be taken for public use "without just compensation" was incorporated. Following that, the court incorporated free speech in 1925, press freedom in 1931, free exercise of religion in 1934, and so on until 1969, when it applied the protection against double jeopardy (being tried for the same crime twice) to the states.

By design, this piecemeal process didn't include everything. (No one would argue that the Seventh Amendment's unincorporated right to common law suits "where the value in controversy shall exceed twenty dollars" was the equivalent of free speech.) But most felt that incorporation was at an end, until two years ago.

In its landmark 2008 decision, D.C. v. Heller, the Supreme Court struck down the District of Columbia's decades-old handgun ban as in violation of the Second Amendment's right to bear arms.

This decision was momentous for two reasons. First, it was the first time in history that a gun law was struck down as a violation of the amendment. Second, the court contradicted past rulings that interpreted the amendment as pertaining only to citizen gun possession in connection with the "well regulated militia" mentioned in the first half of the amendment, and instead concluded that it protected an individual or personal right to own a handgun for protection in the home.

Because D.C. is a federal enclave, the Second Amendment could be brought to bear without addressing the fact that it had never been applied to the states (the high court has repeatedly refused to hear Second Amendment-based challenges in the past).

This brings us to McDonald, in which gun rights advocates challenged Chicago's local handgun ban as in violation of Heller -- but they also asked the court to now incorporate the Second Amendment. A five-member majority obliged. In his majority opinion, Justice Samuel Alito concluded that the individual right to bear arms, while subject to the limits outlined in Heller two years earlier that recognized most existing gun laws, was "fundamental to our scheme of ordered liberty" -- the litmus test for judging whether a right was important enough to be applied to the 50 states.

Readers eager to learn more about competing theories of incorporation are invited to plow through the five separate opinions that compose the case's 214 page decision.

But whether one agrees with Justice Alito that the right to own handguns promotes ordered liberty because they are "the most preferred firearm. . .for protection of one's home and family," or with Justice John Paul Stevens, who wrote in his dissent that guns in society "destabilize ordered liberty" by taking the lives of 30,000 Americans annually, Americans should at least know better today that the path to American rights runs through the Fourteenth Amendment.

The opinions expressed in this commentary are solely those of Robert J. Spitzer

@highlight

Spitzer: Court validated individual gun rights and applied them to every state, locality

@highlight

Court's 2008 decision in D.C. v. Heller was momentous, Spitzer says

@highlight

The path to American rights runs through the Fourteenth Amendment, Spitzer says