(CNN) -- Syrian opposition voices spoke out Monday against a proposed law that would allow for new political parties, calling it little more than a publicity stunt.

If enacted, the bill would add to a long list long list of reform promises going back at least five years.

"The Syrian regime is just easing international pressure to implement political and social reforms in Syria. The regime is simply constitutionalizing dictatorship through this new law that lacks basic elements for political parties to be formed freely," said Hassan Chalabi, a member of the Syrian National Salvage Congress.

Chalabi said the proposal "does not fulfill the aspirations of the opposition and the people of Syria." Others say the prerequisites required to form a new party make it nearly impossible to do so.

"The law stipulates that any political party needs to have at least 2,000 members representing at least seven Syrian provinces before being active," said Damascus lawyer Anwar Al Bounni, who heads the Syrian Center for Legal Studies and Research.

He added that the parties cannot be active until they are legalized by a committee formed by the minister of interior, a judge and three other members appointed by the president. This stipulation, Al Bounni said, makes it impossible for opposition parties to establish a presence, despite the new law.

"The law issued by the Syrian government is just for the media consumption and to delude the international community that the Syrian regime is implementing reforms. The reality is that it is not," Al Bounni said.

Anti-regime demonstrators took to the streets Sunday night, chanting for the fall of the regime into the early hours of Monday, according to activists and protest videos posted on the Internet.

State media also reported the sacking of two regional governors as a move to appease Syrian citizens. The governors replacing those sacked were to do more "to meet the citizens' demands and interests," according to the SANA state news agency.

More than 12,000 demonstrators participated in two towns alone, dissident organization Local Coordination Committees of Syria said. Videos posted on YouTube showed public squares of at least five cities packed with nighttime protesters.

Pro-democracy activists renewed their claim of a government "detention campaign" and reported 15 arrests in a Damascus suburb during a demonstration in support of the city of Homs, which is under a military crackdown.

CNN cannot independently confirm the demonstrations or detentions.

Syria's Cabinet approved the bill Sunday to provide for the formation of new political parties, according to SANA, "as part of the directives of the political reform program."

It would require that new parties adhere to principles similar to those of Western democracies, SANA reported. But new parties would not be allowed to have members "convicted of an offense or felony."

Past announcements of reform have done little to quell protests. Online videos posted Monday morning showed protesters reaffirming demands of regime change, chanting: "The people want the fall of the regime."

President Bashir al-Assad had introduced economic and, to a lesser extent, political reforms in Syria as early as 2006, according to a July 2006 report by the Carnegie Endowment.

Those reforms were "more cosmetic than consequential," the report concluded.

Human Rights Watch says Syrian security forces have intensified their campaign of mass arrests in cities that have had anti-government protests.

The cities include Hama, Homs and suburbs around Damascus, the group said.

Citing "reliable activists and witnesses," it estimated that security forces have arrested more than 2,000 anti-government protesters, medical professionals caring for wounded protesters and people alleged to have given information to international news media and human rights organizations.

Local Coordination Committees of Syria estimates that more than 15,000 people arrested since the beginning of the protests remain in detention, Human Rights Watch said.

The organization said it had "already documented widespread torture from the accounts of people who have been released, causing concern that many detainees still in detention are being tortured."

The unrest in Syria began in mid-March after teens were arrested for writing anti-government graffiti in the southern city of Daraa, according to Amnesty International.

As the clashes intensified, demonstrators changed their demands, from calls for freedom and an end to abuses by the security forces to calls for the regime's overthrow.

CNN's Rima Maktabi contributed to this report.

@highlight

The opposition says the proposed law is "constitutionalizing dictatorship"

@highlight

Sunday protests fell on the heels of Cabinet approval of a reform bill

@highlight

Videos posted online showed public squares filled with anti-regime protesters

@highlight

Activists renewed claims of arrest campaigns by President Bashir al-Assad's regime