(CNN) -- Public executions, death by starvation and torture are common in North Korean political prisoner camps, according to testimony given to human rights group Amnesty International.

Fifteen former inmates and prison guards told Amnesty about their daily experiences in the camps, describing the lack of food, hard labor and cramped conditions.

The camps -- which hold an estimated 200,000 people according to Amnesty -- also appear to be growing in size according to new satellite images obtained by the group.

A satellite image taken of a camp in April was analyzed by the American Association for the Advancement of Science (AAAS) against a satellite image taken in 2001, says Amnesty.

Analysis shows an expansion of the number of buildings in the camp, according to the report.

Amnesty says the facilities occupy vast wilderness sites in the provinces of South Pyongan, South Hamkyung and North Hamkyung and house prisoners accused of criticizing the leadership, those believed to be part of anti-government groups and even those caught listening to South Korean broadcasts.

"North Korea can no longer deny the undeniable. For decades the authorities have refused to admit to the existence of mass political prison camps," said Sam Zarifi, Amnesty International Asia Pacific Director.

"As North Korea seems to be moving towards a new leader in Kim Jong-un and a period of political instability, the big worry is that the prison camps appear to be growing in size."

The report says tens of thousands are believed to be held at one camp simply because one of their relatives has been sent to a camp.

According to testimony, every former inmate at one camp had witnessed a public execution, one child was held for eight months in a cube-like cell so small he couldn't move his body and an estimated 40% of inmates die from malnutrition.

Tortures included placing a plastic bag over the head of a victim and submerging them in water, sleep deprivation, bamboo slivers under the fingernails, and suspending prisoners whose feet and hands have been bound behind them, witnesses said.

One former inmate told Amnesty how he and his father were forced to witness the public execution of his mother and brother, while a former prison guard detailed how inmates would eat snakes, rats and pig feed. One former inmate told how she had picked, cleaned and eaten corn kernels from cow dung.

Other testimony outlined how children at the camps were given minimal education and were often forced into heavy labor, sometimes working until they collapsed.

"If you fell sick, there were no meals because you did not produce any output," the report quoted one witness as saying.

Aidan Foster-Carter, Honorary Senior Research Fellow in Sociology and Modern Korea at Leeds University in England, said: "It is difficult to get hard data (on North Korea) for obvious reasons, and it could be that the numbers of people in the camps are growing. What may be happening is that as part of the changing political situation the government has conducted a purge of people opposed to the succession (of leader Kim Jong ll by his son Kim Jong-un).

"Entire families have ended up in these concentration camps for political offences. A young boy ended up in one of these camps because his grandfather had expressed political dissent. They are endemic, they are part of the system."

The North Korean government -- which has denied the existence of mass political prison camps -- has not publicly commented on the report's findings.

In its most recent human rights report on North Korea, the U.S. State Department describes the country's human rights record as "deplorable."

The report cites testimony from NGOs and refugees that claimed camps covered areas as large as 200 square miles and contained mass graves, barracks, worksites and other prison facilities.

"An NGO reported that one reeducation center was so crowded that prisoners were forced to sleep on top of each other or sitting up," the report, updated in March, 2010, said. "The same NGO reported that guards at a labor camp stole food brought for inmates by their family members."

Journalists Peter Shadbolt and Thair Shaikh contributed to this story.

@highlight

Testimony reveals realities of daily life in N Korean political prisoner camps

@highlight

Amnesty says the camps could contain as many as 200,000 inmates

@highlight

There are fears of a crackdown as the country heads towards a change of leadership