(CNN)Locked inside the gemstone there appears to be a human face.

As the jewel is turned it fragments, appearing to be looking in several different directions at once.

How the disembodied head, which seems to have a life of its own, was spirited into the gem seems to be something of a mystery.

"It is a sacred thing to create a face," says Wallace Chan, 58, the Chinese artisan jeweler that produced the piece.

"It's like a ghost appearing in the gem as you work. The dialogue of gemstone, color and light gives it life.

"There is a Buddhist saying that every person has many selves, and that inspired me spiritually as I created this work."

The work, Now and Always, is a depiction of Horae, the Greek goddess of the seasons. Her dancing was said to move the year from through winter to fall, spring and summer.

Such a multifaceted figure from mythology seemed the perfect inspiration for the jeweler.

Chan's exceptional artistry has caught the eye of a number of high-profile buyers, including Francois Curiel, chairman of Christie's in Asia, and Prince Henrik of Denmark.

Carving out his own identity

It's not the first time that Chan has "created" a human face in a jewel. But Now and Always is certainly the finest demonstration of the "Wallace cut", a technique that Chan invented and perfected over decades.

Rather than cutting into the surface of the jewel, shaping it into a geometric form, Chan cuts into it from the back, carving out complex images from inside the gem.

"Every stroke and cut has to consider movement of the light," he says. "It took a lot of practice because I had to learn how to carve in reverse.

"When you work from the back of the jewel, right is left, top is bottom and deep becomes shallow. It is like having to drive a car backwards and forwards at the same time."

Chan uses a dentist's drill with a specially adapted blade, which rotates 36,000 times a minute.

When he started using the tool, he quickly realized that the heat generated would damage the gemstone -- a major problem with material that is this expensive.

So he developed a technique of working under cold water.

"It means I can't see clearly when I'm cutting," he says. "It becomes a very repetitive process. I make one cut, take it out of the water to check it, dry the stone, check it again, and if it's fine I put it back in the water and make another cut."

This is a painstaking process, but for Chan it is also a meditative one.

He puts his "soul and consciousness into the creation", he says, and becomes so absorbed that he "forgets [his] own existence".

"My mind is one with the work, and my physical self is removed from the gemstone," he explains.

"It's quite emotional, because I'm within in the inner world of gemstone, focused on how the light enters and interacts with the colors."

From rags to riches

Chan's technique is the culmination of many years of development.

He was born in a poor part of Fuzhou in 1958, and left school at the age of 13. In order to support his family, he became an apprentice to a sculptor making Chinese religious iconography.

He went on to study Western sculpture, and in 1974 set up his own workshop. After being commissioned by a Taiwanese art collector to make a jeweled "stupa", or Buddhist reliquary, Chan's focus shifted from sculpture to jewelery and he began to explore innovative techniques.

He began setting jewels in titanium instead of gold, which allowed him to create "jewelery sculptures" that were still light enough to wear. He also experimented with using gems to fix each other in place, rather than metal settings, as well as new methods of cutting jade.

But his dream was to find an entirely new way of working with gemstones. Gradually, he refined his ideas until he arrived at the concept of reverse cutting.

In the Eighties he began to practice, using cheap crystals. But after a year-and-a-half, he realized that the tools he had been using were not equal to the task.

So he visited  factories that produced medical instruments, and after six months of research, came up with the idea of modifying a dentist's drill.

The rest is history. "It was the only way to satisfy the standard I wanted to achieve," he says.

The height of exclusivity

Chan was the first Asian artist to exhibit his work at the prestigious Bienalle des Antiquaires in Paris. In 2012, he showed "Great Wall", a necklace made of diamond maple leaves with a central jade stone. It sold for $73.5 million.

This year, he showed "Vividity", a brooch featuring a deep pink, 64-carat Elbaite tourmaline surrounded by rubies and colored diamonds.

These pieces of jewelry carry such an aura of exclusivity that it is rare to find a Chan piece on the open market. Most of his work is sold directly to collectors, who are loath to sell them on.

When they are put up for sale, they carry hefty price tags. Two years ago, a small pair of Chan earrings sold in Hong Kong for $555,000.

"Each piece can take me thousands of hours," he says.

"It is like going on a journey each time."

The future Underground: London's new spaceship-style tube trains

Did artists eerily predict the Ukraine crisis?

Would you eat Fukushima soup?

The lost art of the American pin-up

@highlight

Chinese jewelry designer Wallace Chan places human faces inside precious stones

@highlight

He has developed an innovative carving technique over 13 years

@highlight

Chan's pieces have sold for as much as $73.5 million