Tehran, Iran (CNN) -- Nearly 90 professors at Iran's oldest and largest university signed a letter to Supreme Leader Ayatollah Ali Khamenei, criticizing the government's violent handling of student protesters.

"The issue that has left a bitter taste in the mouths of the devout Muslim and patriots of this land is the violent and above the law [illegal] encounters, particularly with University students and faculty members of this land," says the letter, which was posted on the reformist Web site "Rahesabz," or "Green Path."

"In fact, the nightly attacks on the dormitories and living quarters of innocent students and daily assaults on them ... are not testaments to the power of the system, just as the violent beatings and imprisonments are not testament to its faith and piety."

The professors ask Khamenei to order revolutionary guards, government-sanctioned militiamen and others who have engaged in campus violence to vacate the university. The letter also calls for official apologies for beatings of university members and the unconditional release of detained students and faculty.

There was no immediate government response to the letter.

The 88 professors -- all of whom are considered employees of the Islamic republic -- who signed the letter are "risking their jobs and God knows what else," said Ali Alfoneh, a research fellow at the Washington-based American Enterprise Institute who has researched the relationship between Iranian civilians and the Islamic Revolutionary Guard.

"Some of them may end up arrested," he added.

The letter, posted on a reformist Web site Monday, is a rare and significant showing of discontent among Tehran University's academics. Student unrest has only increased since thousands of protesters turned out on the streets of Iran to oppose the country's disputed presidential election, in which hardline incumbent President Mahmoud Ahmadinejad was declared the overwhelming winner.

"Unfortunately and sadly; all of this takes place under the veil of safeguarding Islam and the representation of the supreme leadership and, even more sadly, no institution or organization accepts responsibility for this savagery!"

The anti-government demonstrations began following the disputed June 12 presidential vote, which re-elected hardline President Mahmoud Ahmadinejad over main opposition candidate Mir Hossein Moussavi. Last month marked the deadliest clashes since the initial protests broke out this summer. At least seven people were killed and hundreds arrested as they took to the streets on Ashura, a Shiite Muslim holy day.

One university researcher told CNN he was one of many beaten by police, struck with a baton 11 times. Iranian Interior Minister Mostafa-Mohammad Najjar warned Saturday that the government will not show leniency to protesters in the future.

"It doesn't surprise me that professors wrote this letter, because universities have been one of the first victims of increased government pressure," Alfoneh said.

In the aftermath of the election, Tehran University and other institutions quickly became hotbeds of violence, with members of the government's Basij militia attacking young protesters on campus, including dormitories.

In August, Khamenei addressed a group of university professors from all over, noting that academics would be held to a higher standard of accountability -- especially after the elections.

"Naturally, the expectations that we have of the professors and faculty is much greater than what we expect from the students," Khamenei was quoted by Iranian media as saying on August 30. "The students are the young officers on the front lines of this war and the professors are the commanders [against] this 'soft war' -- the professors who can fulfill this role will be worthy of the Islamic republic."

The Iranian government has denied that its security forces killed anyone and has blamed reformists for the violence. At times, video has shown protesters apparently turning on security forces.

Still, the letter serves as another blow to Iran's Islamic leadership, which reformists say has lost credibility in its handling of the post-election unrest. Several critics, including cleric and former presidential candidate Mehdi Karrubi have compared the tactics of the current government to those of the Shah of Iran, who was overthrown by the same fervent followers of Islam more than 30 years ago.

Alfoneh noted that numerous petitions were drafted and published in the days leading up to the overthrow of the Shah, who was also slammed with allegations of injustice and human rights violations under his watch. He said it's no surprise that academics today are taking a similar approach as it becomes increasingly harder to teach amid the violence.

"The opposition and even ordinary citizen are trying to duplicate the events of 30 years ago -- they're trying to play to the memory of the public," Alfoneh said.

CNN's Samira Simone contributed to this report.

@highlight

Nearly 90 Tehran professors sign letter to Supreme Leader Ayatollah Ali Khamenei

@highlight

Letter criticizes government's violent handling of student protesters

@highlight

Letter seeks apologies for beatings of university members and release of students, faculty

@highlight

Anti-government demonstrations began following the disputed June 12 presidential vote