MADRID, Spain (CNN)  -- Human rights groups from the United States and Spain filed a lawsuit in a Spanish court Thursday, charging El Salvador's former president, Alfredo Cristiani, with covering up crimes against humanity.

Alfredo Cristiani in 1994 shortly after he voted during the country's second round presidential runoff.

The case involves the killing of six Jesuit priests, their housekeeper and her teenaged daughter nearly two decades ago during El Salvador's civil war.

In addition, 14 former Salvadoran military officers are accused of war crimes, murders and state terrorism in connection with the massacre dating back to November 1989.

Most of the slain Jesuits were born in Spain. They were killed at their residence at the prestigious Central American University, in El Salvador's capital, San Salvador. Reports at the time said they were tortured and then shot.

It has become one of the most notorious episodes of El Salvador's 12-year civil war that pitted leftist guerrillas against the U.S.-backed conservative government. Some 75,000 people died.

The case filed by two human rights groups in Madrid argues that justice was never done in El Salvador. Two military officers were convicted of murder in 1991 in the deaths of the Jesuits, but were pardoned in 1993 under an amnesty law approved by the national assembly.

The case was taken to Spain's National Court, because of its involvement in other high-profile human rights cases.

The same Spanish court issued an arrest warrant for former Chilean dictator Augusto Pinochet in 1998, while he was in a London hospital. For the rest of his life he fought legal battles -- first in England and later in Chile -- to avoid convictions.

The Spanish court has also taken on human rights cases from other countries, including Argentina and Guatemala, testing a relatively new international legal principle known as Universal Jurisdiction.

It contends that if justice for human rights abuses is not served in the country where the crime occurred, then a court in another country can intervene.

The groups filing suits are the San Francisco-based Center for Justice and Accountability and the Spanish Association for Human Rights.

Family members from at least two of the slain Jesuits will join the lawsuit later, the groups said.

It could take the National Court weeks or even months to determine if it will accept the case.

Spain and El Salvador have an extradition treaty. But a lawyer for the Center for Justice and Accountability told CNN that the most immediate practical effect of the case might be an effective ban on Cristiani and the 14 former officers from leaving El Salvador, for fear of arrest.

If they were ever tried before a Spanish court and convicted on the charges, they could serve up to 30 years in prison.

In an interview with CNN a few months before he was killed, university rector Ignacio Ellecuria praised then-president Cristiani, whom the human rights groups now accuse of covering up the crime.

"We have to recognize that Cristiani is a man of his word, who keeps his promises," Ellecuria told CNN. "Personally I consider Cristiani an ethical, responsible person who will not offer to do what he can't or doesn't wish to do."

Ignacio Martin-Baro, another slain Jesuit, spoke at the time about the chilling effect of the long-running Salvadoran civil war.

"We have become used to violence," Martin-Baro said. "We have become used to living in a very dangerous world. We have learned to live, accepting death, extraordinary abnormal death into our lives."

For years, the extreme right in El Salvador had accused the Jesuits of siding with the leftist guerrillas, according to a CNN report shortly after the killings.

Uniformed troops were seen searching the living quarters of the priests at Central American University two days before they were killed, CNN reported.

@highlight

Case involves killing of 6 Jesuit priests, their housekeeper and her daughter

@highlight

14 former Salvadoran military officers also accused of war crimes

@highlight

Most of the slain Jesuits were born in Spain

@highlight

One of the most notorious episodes of El Salvador's 12-year civil war