(CNN) -- Efforts to remove cats from Macquarie Island, a sub-Antarctic island and World Heritage Site, have indirectly led to environmental devastation, according to a report published in the Journal of Applied Ecology.

Finch Creek on Macquarie Island in 2007 shows lack of vegetation on the island compared to 2001...

The removal of cats has led to a boom in the island's rabbit population -- another species introduced by humans -- causing widespread devastation to the island's vegetation.

According to the study's lead author, Dr. Dana Bergstrom of the Australian Antarctic Division: "Satellite images show substantial island-wide rabbit-induced vegetation change. By 2007, impacts on some protected valleys and slopes had become acute. We estimate that nearly 40 percent of the whole island area had changed, with almost 20 percent having moderate to severe change."

The removal of the invasive species from Macquarie Island, situated halfway between Australia and Antarctica, also serves as a wider warning about human interference in ecosystems and how good intentions can go awry.

It is a case from which important lessons must be learned, according to the report's authors.

The scientists behind the study claim that the Macquarie Island is a rare example of so-called "trophic cascades" -- the knock-on effects of changes in one species' abundance across several links in the food chain. As well as species extinction, in extreme cases it can even lead to an ecosystem "meltdown".

"This study is one of only a handful which demonstrate that theoretically plausible trophic cascades associated with invasive species removal not only do take place, but can also result in rapid and detrimental changes to ecosystems, so negating the direct benefits of the removal of the target species," says Bergstrom.

Macquarie Island was discovered in 1810 with the remote island's seal and penguin population targeted for the fur trade. Cats were introduced to the island soon after to eat rats and mice that threatened to eat the sailors' grain stores. It was sealing gangs who then brought rabbits to the island in 1878 to give sailors something to eat.

The rabbits provided easy prey for the island's cats, helping their number to grow, but the rabbit population was also causing catastrophic damage to the island's vegetation.

Myxomatosis, a disease fatal to rabbits was introduced to the island in 1968 to try and curb their number. It worked at first as rabbit numbers fell from a peak of 130,000 in 1978 to less than 20,000 ten years later and vegetation recovered.

However, with fewer rabbits as food, the cats began to eat the island's native burrowing birds, so a cat eradication program began in 1985.

The last cat on the island was killed in 2000, and Myxomatosis had failed to keep rabbit numbers in check; their numbers bounced back and in little over six years rabbits substantially altered large areas of the island.

According to Bergstrom: "Increased rabbit herbivory has caused substantial damage at both local and landscape scales including changes from complex vegetation communities, to short, grazed lawns or bare ground."

Bergstrom hopes that the problems facing Macquarie Island are a cautionary tale for conservation agencies: "Interventions should be comprehensive, and include risk assessments to explicitly consider and plan for indirect effects, or face substantial subsequent cost," says Bergstrom.

The cost to remedy the problems of Macquarie Island is estimated at $16 million.

@highlight

Absence of cats left rabbit population to devastate Macquarie Island's vegetation

@highlight

Cats and rabbits are invasive species introduced to the island in 19th century

@highlight

Sub-Antarctic Macquarie Island provides cautionary tale of interventions and risks