Washington (CNN) -- President Barack Obama will deliver his fourth State of the Union address on Tuesday, marking his seventh address to a joint session of Congress.

Here are some highlights from past State of the Union addresses:

2012: Obama calls for lower corporate taxes and incentives to U.S. manufacturers to bring overseas jobs back to the U.S. He challenges Congress to act on comprehensive immigration reform and passage of the DREAM Act. He announces he would open up 75% of potential offshore oil and gas resources. He repeated his longstanding call for the wealthy to pay more in taxes, including a specific proposal for millionaires to have a tax rate of 30%. The speech was attended by Rep. Gabrielle Giffords, who was recovering from a gunshot wound.

2011: Obama calls for unity in his first State of the Union after Democrats lost control of the House in the previous year's midterm elections. Although Rep. Paul Ryan gives the official Republican response, Rep. Michele Bachmann delivers a tea party response.

2010: Obama criticizes the Supreme Court for a recent campaign finance ruling that he said "will open the floodgates for special interests, including foreign corporations, to spend without limit in our elections." Justice Samuel Alito is seen on camera shaking his head at the comment and saying, "Not true."

By the numbers: State of the Union

2009: Obama says he aims to halve the deficit by the end of his first term. He focuses on energy, health care and education. In a lighter moment, Obama announces that Vice President Joe Biden would head a "tough, unprecedented oversight effort" over the fiscal stimulus plan, "because nobody messes with Joe."

2008: President George W. Bush uses his final State of the Union address to call for a quick shot in the arm for the economy in "a period of uncertainty" and touts progress in the war in Iraq. The speech is in large part overshadowed by the presidential race, coming just eight days before the Super Tuesday primaries. Democratic presidential hopefuls Obama and Hillary Clinton attend the speech; Republican candidate John McCain does not. Bush's approval rating is in the low 30s.

2007: Bush addresses a joint session of Congress for the first time in which Democrats control both chambers, having won them in the previous year's midterm elections. Bush begins his speech by congratulating the first "Madam Speaker" of the House, Nancy Pelosi. He calls on Congress to "work together" on a variety of fronts -- including balancing the budget and reforming Social Security, Medicare and Medicaid. He also appeals for patience with his recently announced plan to increase troop levels in Iraq, despite opposition from many Democrats and some members of his own party. Bush also puts forth a wish list to extend health insurance coverage, reduce gasoline consumption by 20% over 10 years, limit greenhouse gas emissions and create a temporary worker program to address illegal immigration.

The president addresses Iraq largely in the framework of a "broader struggle" against terrorism, evoking the September 11, 2001, terrorist attacks several times.

8 memorable State of the Union moments

2006: Bush declares that "America is addicted to oil" and proposes increased funding and research for alternative energy sources. On the Iraq War, he says that the U.S. is "on the offensive in Iraq, with a clear plan for victory" and rejects calls for withdrawing troops. He also renews his call for a guest worker program for immigrants, defends the NSA warrantless surveillance program, urges Congress to make his first-term tax cut laws permanent and asks for line-item veto power.

Bush also pays tribute to Coretta Scott King, who had died the night before.

Two women are ejected from the chamber before the speech begins. Anti-war activist Cindy Sheehan is removed -- and subsequently arrested -- for wearing a T-shirt that reads "2,245 Dead. How many more?" The wife of Rep. Bill Young, R-Florida, is ejected for wearing a shirt that reads, "Support the Troops." The Capitol Police later say the two women should not have been removed from the chamber and issues apologies to both.

2005: Bush lays out his second-term agenda and calls for the creation of "voluntary personal retirement accounts" as part of his Social Security plan. He ticks through a number of proposals including some proposed by Democrats, saying "all these ideas are on the table." He also hails the successful Iraqi elections. Many members of Congress have their fingers dipped in ink in support of Iraqi voters who went to the polls despite the threat of violence.

The president also introduces Safia Taleb al-Suhail, an Iraqi human rights advocate who had voted in the recent Iraqi elections. As lawmakers stand and cheer, al-Suhail, holding back tears, flashes a victory sign and shows her voting finger.

Bush later introduces Janet and Bill Norwood, whose son Byron, a Marine sergeant, was killed in Iraq. Janet Norwood and al-Suhail embrace, an emotional scene that draws a long round of applause from the audience.

2004: Bush makes what many call a veiled reference to the 2004 presidential race the day after Democratic Sen. John Kerry's victory in the Iowa caucuses: "We have faced serious challenges together, and now we face a choice: We can go forward with confidence and resolve, or we can turn back to the dangerous illusion that terrorists are not plotting and outlaw regimes are no threat to us. We can press on with economic growth, and reforms in education and Medicare, or we can turn back to old policies and old divisions."

2003: Bush utters the so-called "16 words" to help justify military action against Iraq: "The British government has learned that Saddam Hussein recently sought significant quantities of uranium from Africa." The White House eventually admits that the claim was based on faulty data but maintains that the president was unaware of this at the time the speech is delivered.

Who was invited: Past presidential guests at State of the Union

2002: Bush calls Iran, Iraq and North Korea the "axis of evil."

1999: President Bill Clinton delivers his penultimate State of the Union shortly after having been impeached by the House of Representatives and while on trial in the Senate over the Monica Lewinsky scandal.

1998: Clinton delivers the State of the Union days after the Lewinsky scandal breaks. After wide speculation, Clinton chooses not to address the matter.

1997: The O.J. Simpson civil trial verdict is announced the same night as the State of the Union. Many broadcasts use a split screen to show both the announcement of the verdicts and the Republican response by Rep. J.C. Watts.

1996: Clinton declares that "the era of big government is over."

1992: By the time of the January State of the Union, President George H. W. Bush's approval rating has fallen to 46% from its Gulf War high of 89%, the lowest approval rating of his presidency at that point. It would eventually dip into the low 30s before his term ends.

1991: Bush delivers his State of the Union just 13 days after attacks on Iraq begin on January 16. Security is especially tight as Bush lays out the rationale for military action. He says Americans had a "unique responsibility to do the hard work of freedom." He goes on to say, "What is at stake is more than one small country; it is a big idea: a new world order. Our cause is just. Our cause is moral. Our cause is right."

He draws the longest standing ovation when he says of U.S. service men and women in the Persian Gulf, "There is no one more devoted, more committed to the hard work of freedom."

A Gallup poll taken shortly after the speech has Bush's approval rating at 82%.

1988: President Ronald Reagan criticizes Congress for passing last-minute, catch-all spending bills, and as a visual aid, hoists 3,296 pages of budget legislation documents weighing 43 pounds onto his podium.

1986: Reagan had planned to mention teacher-in-space Christa McAuliffe during his address, but the speech is postponed when the Space Shuttle Challenger explodes after launch that morning, killing McAuliffe and six others.

State of the Union firsts

1974: President Richard Nixon calls for an end to the Watergate investigation, saying, "One year of Watergate is enough." He also declares he will not resign from office, saying, "I have no intention whatever of ever walking away from the job that the people elected me to do."

He resigns six months later.

1965: President Lyndon Johnson announces his Great Society programs. He also calls for a Voting Rights Act as well as air and water purification. The audience applauds 80 times during the address.

This is the first State of the Union address to be broadcast on prime-time TV.

1964: Johnson pledges to continue much of the work begun by President John F. Kennedy, who had been assassinated two months before. Johnson warns the Soviet Union that the U.S. remains a worthy adversary.

"We intend to bury no one, and we do not intend to be buried," he says, referring to a statement by Soviet Premier Nikita Khrushchev. Although Johnson's speech is relatively brief (3,059 words), it took 24 writers six weeks and 10 to 16 major revisions to craft the final version.

1944: Ill after an overseas trip, President Franklin Roosevelt delivers his State of the Union as a "fireside chat" on the radio instead of before a joint session of Congress.

1941: Roosevelt speaks about the "Four Freedoms": Freedom of speech, freedom of worship, freedom from want and freedom from fear.

He warns of a "foreign peril" in Europe and urges support for England against Germany.

1862: With the Civil War not yet a year old, President Abraham Lincoln calls for the emancipation of the slaves.

1823: President James Monroe discusses the centerpiece of his foreign policy, now known as the Monroe Doctrine, which calls on European countries to end Western colonization.

@highlight

Obama called for unity in 2011 after Democrats lost the House the year before

@highlight

George W. Bush coined the term "axis of evil" in his 2002 address

@highlight

Clinton declared that "the era of big government is over" in 1996 State of the Union

@highlight

Franklin Roosevelt delivered his annual address as a "fireside chat" on the radio in 1944