(CNN) -- In the dystopian future imagined within the popular Terminator franchise, robots learn to think, self-replicate and eventually kill their human masters.

While this bleak vision assumes a number of seemingly distant technological and political developments, some ideas currently driving robotics research may, for some, bear an uncomfortable resemblance to those of the 80s sci-fi smash.

In particular, one area where life seems to be imitating art is the fledgling field of 'swarm robotics', in which scientists are creating teams of robots that can work together toward a single goal -- from mending a leak to clearing mines -- with minimal or no input from humans.

Much of the research is based on the observed behavior of 'eusocial' insects -- such as ants, bees and termites -- who work collectively on complex tasks without central management or higher order intelligence.

Consider for a moment a typical termite nest -- with its labyrinth of chambers and intersecting corridors. It's built entirely by vast teams of micro-sized, speck-brained creatures (no disrespect) -- without so much as a blueprint to work from. So, the question for researchers is: how can we emulate this type of behavior in robots to help us solve problems and generally make our lives easier?

Recently, researchers at Massachusetts Institute of Technology (MIT) unveiled 'M-blocks' - robots that can assemble themselves into different shapes to perform a range of basic tasks, without input from a human controller.

While M-Blocks may not look particularly inspiring, the way they reshape is the first step toward a future where robots rebuild themselves to solve new problems. An M-Blocks-based robot working underwater might make itself narrow to fit through a deep sea crevasse, or a tiny team of medical robots could spread themselves flat to plug a gap in the human heart -- all without having been pre-programmed to do so.

At the moment researchers are still working to make teams of robots complete more basic tasks. Sheffield University researchers, for example, are using swarms of robots to fetch, carry and push objects in unison.

Dr Roderich Gross, head of the Natural Robotics Lab at the University of Sheffield, says: "We are developing artificial intelligence to control robots in a variety of ways. The key is to work out what is the minimum amount of information needed by the robot to accomplish its task. That's important because it means the robot may not need any memory, and possibly not even a processing unit, so this technology could work for nanoscale robots -- for example in medical applications."

Some of the most interesting applications for swarm robotics exist where robots go beyond the realm of easy human reach, say into space or under the sea, or -- as Gross says -- inside the human body to perform medical tasks at a microscopic or 'nano' scale.

Aaron Becker, a postdoctoral researcher at Rice University has been working on an experiment (that you can join in here) to test different ways swarm robots can be deployed, with a view to seeing 'nano-robots' eventually used in medical operations.

The project seeks to demonstrate how teams of robots could be utilized with minimal input from the outside world, possibly beneath the surface of the skin in a bid to tackle disease.

But how might this be done?

Researchers at the Nanorobotics Laboratory in Montreal are looking at using swarms of miniature drones to fight pathogens within the human body. Sylvain Martel, the laboratory's Research Chair, believes that preliminary research conducted in his lab could lead to future treatments where small magnetic robots are inserted into the body to fight cancer. Other researchers are investigating ways to use swarming robots in diagnosis, so that problems are detected before they become life threatening.

Becker believes that in future, swarms of nano-robots might even come to be used in surgery: "If we can shrink the surgeon and their tools while maintaining their effectiveness, non-invasive surgery could revolutionize health care. I want to be a part of that dream," Becker says.

Jan Carlo Barca, a member of the Swarm Robotics Laboratory at Monash University in Melbourne, Australia says that there are plenty of worthy applications for swarm robots, but some scientists working in the field worry that their research may end up being used for military purposes:

"Some potential application areas for swarms of robots are: cooperative search in disaster sites to support rescue efforts, pollution detection and monitoring, mine clearing, exploration, mapping and dynamic motion capture for the film industry," he says.

"However, all this comes at a cost as this technology also will be exploited by defense agencies all over the world. (For example) the U.S. Defense Force has investigated how the hunting strategies of wolf packs, coyotes and killer whales can be used in military contexts. The Israeli Defense Force is also investigating how one can use miniature robotic mosquitoes in the same context."

And while the apocalyptic events of James Cameron's Terminator 2: Judgment Day are relatively unlikely, it is reassuring that many within the swarm robotics community are determined that their work will be applied to the right ends:

"The big challenge," Barca says, "is not only to formulate technologies that can be used in the real world, but also to ensure that swarm robotics technology will be used for the betterment of mankind."

@highlight

Scientists are building robots that can work in teams

@highlight

'Swarm robots' operate like hive insects such as ants, termites or bees

@highlight

MIT's M-blocks robot can self-assemble to solve different problems

@highlight

Swarm robots could be used in search and rescue, medicine and space exploration