(CNN) -- The University of North Dakota is one step closer to retiring its nickname and mascot, but changing the school's 90-year-old Native American moniker -- the Fighting Sioux -- has not been without complications.

The school faces a Monday deadline to comply with the NCAA's policy on mascots "deemed hostile or abusive toward Native Americans."

School officials were in the process of coming up with a new name and mascot this year until North Dakota legislators passed a law ordering them to stop, according to UND spokesman Peter Johnson.

The rock and the hard place the school finds itself between marks the last gasp of a decades-long fight not just in North Dakota, but in all of college sports -- the climax (or nadir, depending on some people's perspective) of a nostalgia-imbued resistance to political correctness on the playing field.

The kerfuffle at hand dates to 2007, when the North Dakota Board of Higher Education agreed to retire the Fighting Sioux nickname by August 15, 2011, in accordance with the NCAA's then-2-year-old policy on Native American mascots. If they ultimately chose not to do so, costly NCAA sanctions were promised, including the inability to host any championships and a ban on the use of the school's logo or nickname at any championship events.

After Gov. Jack Dalrymple signed House Bill 1263 into law this year, the school was left with the dilemma of having to either disobey the government that controls its purse-strings or to flout the rules of the NCAA, the entity that controls the arguably mightier purse-strings of college football.

The nickname controversy appeared to be closer to a resolution Friday when Dalrymple and other state officials traveled to Indianapolis to meet with NCAA officials in a last-ditch effort to resolve the matter.

"It's our understanding coming out of this meeting that the Fighting Sioux nickname and logo will be dropped," the NCAA quoted its Vice President for Communications Bob Williams as saying Friday. "The contingent from North Dakota made it clear that they were committed to changing the legislative action that would require retention of the Fighting Sioux nickname and logo. However, our settlement agreement remains in effect, and, as a result, the University of North Dakota will be subject to the policy effective Aug. 15."

Doug Fullerton will be paying close attention to what happens Monday. As commissioner of the Big Sky Conference, he is overseeing North Dakota's ascent from Division II obscurity to the far more lucrative stage of Division I football.

"When we invited (North Dakota's football team) into the (Big Sky) conference this was not an issue," he said. Citing the conference's "close, close ties to Native American tribes" and the promise of boycotts from other Division I schools if the name goes unchanged, he says the school's membership in the conference "could be in jeopardy."

The school is set to join the conference July 1, 2012.

According to an NCAA press release, Dalrymple said at the Friday meeting that he would appeal to the state legislature "to allow legislation to be introduced during a special session on Nov. 7 that will transfer the responsibility for the logo and nickname from the legislature back to the Board of Higher Education."

"I have come to the conclusion that the cost of retaining the Sioux logo is too great," the NCAA press release quoted Dalrymple as saying. "There's no question that the settlement agreement will stand according to the NCAA, and there will be no further negotiations."

The usage of Native American imagery in college athletics has been a long-simmering controversy. Such schools as Stanford University and New York's St. John's University, elected to drop their nicknames (the Stanford Indians became the Cardinals in 1972, then the Cardinal in 1981; the St. John's Red Men became the Red Storm in the mid-'90s), while others, like the University of North Dakota, balked.

In 2000, for example, then-UND president Charles Kupchella tried to retire the Fighting Sioux until a wealthy alum threatened to withhold a $100 million donation for a new hockey arena, an episode chronicled by author Deni Elliot in her book "The Kindness of Strangers: Philanthropy and Higher Education." Today, the school's state-of-the-art rink not only bears that donor's name, it's decorated with more than 2,000 Fighting Sioux logos.

In 2005, the NCAA sought to end the controversy surrounding Native American mascots once and for all by ordering nearly 20 schools whose nicknames and mascots they deemed "abusive in terms of race, ethnicity or national origin" to either get Native American permission to use their name and likeness, or to come up with a new one.

The resulting actions among the targeted schools were varied. The Arkansas State Indians became the Red Wolves; the Indiana University of Pennsylvania Indians became the Crimson Hawks.

Other schools satisfied the mandate by tweaking their name, like Southeastern Oklahoma State, where the Savages are now known as the Savage Storm. Others, like the Bradley University Braves, whose name does not affiliate with a specific tribe, were allowed to keep their name so long as Native American logos and imagery were eschewed.

Schools with higher-profile athletic programs fared better. The Florida State Seminoles, University of Utah Utes and the Central Michigan University Chippewas each obtained permission from their respective namesake tribes to stay the course.

But the Fighting Sioux of the University of North Dakota -- winners of seven national championships in men's ice hockey -- was denied such an endorsement from the Tribal Council of the Standing Rock Sioux.

@highlight

University of North Dakota faces a Monday deadline to change its Fighting Sioux nickname

@highlight

The state legislature passed a law this year ordering the school to continue using the name

@highlight

The school faces NCAA sanctions if it continues to use the Native American mascot

@highlight

Governor has indicated he will comply with NCAA, ask legislature to change law