Lausanne, Switzerland (CNN)A roller-coaster series of talks wrapped up Thursday in Lausanne as a group of world powers known as the P5+1 reached a framework agreement with Iran over the country's nuclear program.

The success of that agreement remains to be seen. The parties have until the end to June to work out the details and put the plan to paper. But the talks this week were, nevertheless, historic, particularly for the otherwise frozen U.S.-Iranian relationship.

But that's not to say they were glamorous. In fact, the negotiations this week provided a modern demonstration of diplomacy at its best, but also at its most hectic.

Tucked amid the Swiss Alps on the shores of Lake Geneva, Lausanne is certainly one of the more scenic places to be trapped for talks -- a sort of Camp David for the rich and famous.

But make no mistake: The site of these negotiations is also a gilded cage.

Over the course of the eight-day round of talks, negotiators, their delegations, their security details and reporters were confined primarily to the immediate area around the five-star Beau-Rivage Palace Hotel, which played host to the negotiations.

This isn't the first time the hotel has provided a backdrop to a major diplomatic event. In 1923, the Treaty of Lausanne was signed there, breaking up the Ottoman Empire and defining the borders of modern-day Turkey.

More recently, the hotel has been a getaway for wealthy tourists and the occasional celebrity.

Coco Chanel famously lived there in the late 1940s and early 1950s, and even had her dog buried on the hotel grounds, some reports say.

'It was tough, very intense at times'

The setting is idyllic, and the grounds are beautifully maintained. The first-floor terrace even features a large-scale chess board, which served this week as an artful analogy for the game of nuclear chess going on just inside.

For the negotiators, the past week was marked by a marathon run of meetings, sometimes lasting throughout the night.

In an interview with CNN shortly after the framework agreement was announced, Secretary of State John Kerry said, "I think there was a seriousness of purpose" in meetings with the Iranians.

"People negotiated hard," he added. "It was tough, very intense at times, sometimes emotional and confrontational."

That sentiment was echoed by Iranian Foreign Minister Mohammad Javad Zarif even as the talks were still going on.

Over the past 18 months since talks began, Zarif said, negotiators have "developed personal respect" for one another, even though serious mistrust still exists between Iran and the Western powers.

"We have a very serious problem of confidence -- mutual lack of confidence we need to address -- and we hope that this process will remedy some of that," he added.

Media give-and-take

Zarif made these comments to reporters who swarmed him during an afternoon walk along the lake Thursday. Such ambushes were a frequent occurrence during the talks as reporters tried to supplement what little information was being circulated through official channels.

Kerry was seen riding a bike on at least one occasion and dining at a nearby crepery on another, with both occasions prompting a cacophony of camera flashes.

Reporters briefly followed Chinese Foreign Minister Wang Yi as he took a morning jog shortly after his arrival in Lausanne on Sunday.

And Zarif took several lakeside walks with advisers and security personnel, perhaps just hoping to take in the view, but certainly not making any effort to bypass the area where television cameras were staked out around the clock.

The officials sometimes bemoaned the media circus, but they also used the attention to bolster their demands during negotiations, making statements to reporters that they hoped strengthened their footing in talks with their foreign counterparts.

"People often use you guys to deliver messages to the negotiation," a senior administration official who asked not to be named told reporters on the flight back to Lausanne, "as do the Iranians."

"I think they're quite skilled, actually, at using the media to deliver messages and to try to shape the frame of the negotiation," the official said.

Different orbits

More than 600 reporters were credentialed to cover the talks this week. Many of these were based in a large workspace at the nearby Olympic Museum.

Meanwhile, the traveling press corps covering the foreign ministers were given coveted red badges, allowing them access to the hotel, where the talks took place.

While these journalists had a bit more access to officials, they were usually cordoned off inside a couple of claustrophobic media rooms and barred access to most of the building, including the hotel's reception desk, the first-floor restrooms and the two-Michelin-star restaurant's entrees, costing 200 francs or more.

Many journalists found refuge in the more comfortable downstairs bar, a shorter walk from the cameras and satellite trucks used around the clock by television reporters on a rolling deadline.

For meals, the crowd dispersed to a dozen or so nearby restaurants, where they could enjoy 25-franc pizzas and 60-franc hamburgers, washed down with 8-franc bottles of water, of course.

Also popular: a Thai place around the corner that offered quick takeout -- a plus for reporters on a deadline.

'We'd all take deep breaths and try again'

In the closed-off wings of the Beau-Rivage, the pace of meetings was frantic as different subsets of delegates gathered in ornate conference rooms.

There was a sense of urgency, both before and after the initial March 31 deadline passed, to reach a final understanding so the foreign ministers could leave Switzerland ahead of other time commitments, not to mention the Easter holiday.

The process was further complicated by restrictions on the flight crew for Kerry's plane, which could stay on standby at the airport for only a limited number of hours in a given time period.

"We'd get close, we kept on changing the plane schedule," a senior administration official told reporters. "It would go, it wouldn't go; we had to reset the clock."

On the evening the understanding was finally announced, the window had already lapsed, requiring Kerry and his team to depart at 3 a.m. Friday.

There were "many moments (throughout the negotiations) when we thought we'd call it a day, call it a night, decide we'd gone as far as we could go," said the official, who briefed reporters on Kerry's plane. "Then we'd all take deep breaths and try again."

But perhaps the most difficult night for negotiators was between Wednesday and Thursday, just before the final sticking points were resolved for a deal.

"It was a very, very intense," said the official. "It went from 9 -- about 9 in the evening until 6 in the morning when we all decided we'd reached a couple of roadblocks, didn't know whether we'd be able to get past them, and we were all utterly, utterly exhausted."

"So we all went to sleep by maybe 7, got up again and started again about 9:30, and engaged on what we thought were the really final issues," the official added.

Rushing to report the agreement

That morning, the deal began to solidify, and plans for the announcement were set into motion.

The announcement that an agreement had been reached sparked some chaos.

It was first sent out by the European delegation, which spread the word to its traveling press corps even as negotiators were still meeting.

As news began to get out, one European reporter ran frantically into the media area at the hotel, urging everyone to listen.

His message: There's going to be an announcement. There are buses waiting to take you to the auditorium of a nearby university where it will take place.

And with that, the room devolved into chaos as journalists ran for the doors. The eight-day-long diplomatic event had hit its crescendo before finally subsiding.

By midday Friday, the delegations had left Lausanne, along with most of the media, returning the scenic Swiss city to its more tranquil pace.

@highlight

This week's talks on an Iranian nuclear deal framework are historic

@highlight

The negotiations demonstrated diplomacy at its best, but also at its most hectic

@highlight

Reporters resorted to ambushes to talk to officials; negotiations were "sometimes emotional and confrontational"