(CNN) -- A copyright dispute over royalties from an acclaimed film, "Raging Bull," can go the distance after the Supreme Court on Monday allowed a lawsuit to move ahead.

The appeal deals with a 1963 book and screenplay on the life of former middleweight boxing champion Jake LaMotta, who wrote it with his childhood friend and business partner, Frank "Peter" Petrella. LaMotta's story was made into the 1980 movie, starring Robert De Niro.

The justices, by a 6-3 vote, concluded Petrella's daughter did not wait too long to make her claims against Metro-Goldwyn Mayer, which made and distributed the Academy Award-winning drama. The case on the merits will now be heard in lower federal courts.

Entertainment companies will likely be affected financially by the ruling. Earlier courts had limited similar lawsuits, often filed many years after movies, plays, and television shows first premiered, by the estates of actors, writers, and producers.

With new electronic outlets emerging for a range of entertainment and literary properties, those companies may have to rethink their strategy when negotiating not only rights to the original creative property, but such retooled content as merchandising, spinoffs, and video games.

The underlying issue was a lot more dry and technical than the film itself: equitable defense and tolling for remedies in civil copyright claims.

That was apparently enough to temper the court's creative streak in Justice Ruth Bader Ginsburg's majority opinion -- no pop culture references to showbiz or sports; no clever rhetoric about this being a "knockout" legal fight; and no justice who would admit ever seeing the acclaimed film.

At issue is whether rolling time limits in filing copyright infringement lawsuits applied in this case. She claimed ownership over the original screenplay and the subsequent rights to the story. Her father died a year after the movie's release.

Federal copyright law gave Paula Petrella the sole right to renew the copyrights before the term expired, which she did in 1991.

But her lawsuit was not filed until 2009. MGM Studios and 20th Century Fox -- the movie's distributor -- say that violates the established legal principle of "laches," which bars most claims that are unreasonably delayed, on the theory it would unfairly burden the adverse party.

Both sides also dispute what ownership rights the studio retained after the elder Petrella's death, and which were subsequently returned to his daughter. Paula Petrella claims she is the sole owner of the book and the original screenplay, and that the subsequent film infringes on those copyrights.

She seeks damages dating back three years from the filing of the lawsuit, and an injunction on further distribution of the work without compensation. Her lawyers claim the delay over years was caused by fear of retaliation, lack of money to file the suit, and being told by the studio that "Raging Bull" was no longer making money.

The federal government backed her, at least in part.

MGM and Fox say they have invested heavily to convert the film to formats such as DVD for home viewing, and for overseas distribution. The companies say having an open-ended period to file copyright claims makes it hard to make future business decisions.

But Ginsburg, writing for the court, concluded the studio had the weaker argument.

"If the rule were, as MGM urges, 'sue soon, or forever hold your peace,' copyright owners would have to mount a federal case fast to stop seemingly innocuous infringements, lest those infringements eventually grow in magnitude," she said.

The three-year limitations period "allows a copyright owner to defer suit until she can estimate whether litigation is worth the candle. She will miss out on damages for periods prior to the three-year look-back, but her right to prospective injunctive relief should, in most cases, remain unaltered."

Ginsburg added, "Allowing Petrella's suit to go forward will put at risk only a fraction of the income MGM has earned during that period and will work no unjust hardship on innocent third parties, such as consumers who have purchased copies of 'Raging Bull.'"

Justices Stephen Breyer and Anthony Kennedy, along with Chief Justice John Roberts dissented.

Copyright experts say the high court's ruling will make it easier to press decades-old copyright claims.

"Hollywood has an insatiable appetite for recycling old film content," said William Kane, an attorney with BakerHostetler. "Increasingly copyright ownership for much of this older content has now been passed down to the families and heirs of the original creators. And if the current owners did not sign over all their copyrights to the industry, you end up with potentially multi-billion dollar clashes of interest."

"Raging Bull" won two Oscars, including best actor for De Niro, who portrayed the boxer.

LaMotta is 92 and not a party in the appeal. The fighter also known as the "Bronx Bull" held the middleweight title from 1949-51.

The case is Petrella v. MGM, Inc. (12-1315).

@highlight

The Supreme Court permits lawsuit to move ahead years after being filed

@highlight

The justices say daughter of book co-author didn't wait too long to make her claims

@highlight

She claimed ownership of the original screenplay and subsequent rights

@highlight

Entertainment companies are likely to be impacted by the ruling