(CNN) -- It's a revolutionary decree. In the midst of the fight against Islamist rebels seeking to turn the clock back to the 7th century, a Kurdish region in Syria has just approved a new law ordering equality for women. Take that, ISIS!

The status of women has become one of the ideological battlegrounds in the fierce war between the self-described Islamic State and the Kurdish defenders, who have received air support from the United States. With the defiant decree by the small canton, the Kurds are doubling down, staking out a position as the stalwarts of modernity, not intimidated by opponents whose brutality has caused other armies to flee.

The change is not just symbolic. It is a real transformation in the legal status of women.

The timing of the decree is not accidental, and it is certainly brazen. It is a shot across the ideological bow of Islamists who have made a concerted push to spread their so-called caliphate's views throughout the Muslim world. And it is also a message to the West.

The Kurds are tacitly saying "Look at us. We are the ones who share your ideas about human rights and equality. We are the ones in this many-sided conflict that deserves your support."

The decree was issued by the Jazira district of Syria's Hasakeh province, about 100 miles from the now-legendary town of Kobani, where armed Kurdish men and women are holding their positions, battling to prevent the ultra-radical Islamic State, also known as ISIS, from overrunning their territory.

Kurdish-majority provinces in northern Syria declared self-rule in 2013 as the rest of Syria exploded into civil war. The Kurds, an ethnic Muslim minority spread mostly across Iraq, Syria, Turkey and Iran, have faced repression and have fought for independence.

Although women have been a part of Kurdish fighting forces since long before ISIS swept across Syria and Iraq, women have fought for full equality. In remote, rural areas, conservative practices have remained the norm.

But the new rules in the Jazira district call for equal pay and equal inheritance rights. Until now, women were not allowed to inherit. They also declare the testimony of a woman in court equally valuable as that of a man.

In addition, the rule establishes maternity leave for women and, importantly, it mandates that no woman be married without her own consent, and never under the age of 18.

The contrast could not be sharper.

ISIS has engaged in the systematic rape of women, and even young girls have been handed off as "wives" as a reward for militants. The Islamic State has published online articles declares that capturing and selling women as slaves is an acceptable, even beneficial practice.

And while ISIS labels anyone who doesn't share its radical religious interpretation as an infidel or an apostate, subject to execution, the Kurds of Jazira says their rules on full equality will apply to everyone in their ethnically-mixed district.

ISIS already occupies about one-third of Hasakeh, according to the Syrian Observatory for Human Rights. In areas under ISIS rule, women are required to cover completely and may not leave their homes without a male relative.

Still, ISIS, too, claims it empowers women. Like the Kurds, ISIS has also established all-women brigades, complete with weapons. But their role is diametrically different from that of Kurdish women.

The ISIS female brigades serve many purposes. They help undercut the notion that women are less free under their Islamist rule and they help encourage new recruits. They also serve important practical functions. The women's battalions also help in body searches, preventing men dressed as women from moving through checkpoints.

Then there is the more disturbing aspect of the ISIS all-women brigades. They act as the enforcers of the rules that oppress women. They check adherence to the dress code, for example. They are the morality police, and their principal job is to implement the day to day oppression of women. There are reports of armed women stopping girls in the street, quizzing them on their knowledge of Islam and of ISIS rules.

It's a long way from the role of female Kurds fighters, who are an integral part of the military force. In Kobani, about a third of the warriors are women. One of the top commanders is a woman. Their job is to do battle, to defend the city.

To be sure, the Kurds don't have a perfect record on the treatment of women. Honor killings, female genital mutilation and domestic violence have plagued their communities. In the autonomous Kurdish region of northern Iraq, the government has outlawed the practices, but they have proven difficult to eradicate.

Still, the Kurds are comparatively more modern than many of their neighbors. And the pressure from ISIS may just be moving them even farther along the road to equality. For women defending their territory, it is a delightful irony.

@highlight

Frida Ghitis: Kurdish region in Syria approved new law ordering equality for women

@highlight

Move shows ideological battleground between ISIS, which enslaves women, and Kurds

@highlight

Ghitis says it's message to West on human rights and equality, to encourage West's support

@highlight

Ghitis: Battle against ISIS helping Kurdish women achieve equality