(CNN)The nurse in Texas seemed to have taken all the precautions needed to protect herself from Ebola.

She wore a mask, gown, shield and gloves. Her patient, a man who contracted the virus in Africa, was in isolation at the Dallas hospital where she worked.

And yet the woman -- whose name has not been released -- still contracted Ebola, marking the first known transmission ever in the United States.  A nurse in Spain who also treated an Ebola patient also caught the virus.  She is in critical condition and being treated by 50 health care workers, Spanish authorities said Monday.

The Centers for Disease Control and Prevention said Sunday there was a breach in protocol in Texas, but officials haven't elaborated on what that breach was. Instead, they said the protocols laid out for American hospitals work.

So what happened? How could a nurse at an American hospital contract the virus? Is the situation a one-off, an instance of human error, something that probably wouldn't occur again? Or could there be more to it?

How it happened

On Monday morning, an official with direct knowledge of the Texas nurse's case told CNN that CDC disease detectives have several times interviewed the Texas nurse and think there are "inconsistencies" in the type of personal protective gear that she wore and with the process used to put the gear on and remove it.

The nurse who tested positive for the virus worked at Texas Health Presbyterian Hospital in Dallas.

CDC Director Dr. Tom Frieden has said the agency is considering several possibilities as to how that breach may have happened, including whether the infection was spread when the protective equipment was removed or when the patient, Liberian national Thomas Eric Duncan, received kidney dialysis or respiratory intubation.

Those measures were "a desperate measure to try to save his life," Frieden said. "Both of those procedures may spread contaminated materials and are considered high-risk procedures."

"When you have potentially soiled or contaminated gloves or masks or other things, to remove those without any risk of any contaminated material ... touching you and being then on your clothes or face or skin ... is not easy to do right."

Or the problem could have been something else entirely.

CNN Senior Medical Correspondent Elizabeth Cohen said precautions among health care workers can actually go overboard sometimes. The workers are supposed to double their gloves in some situations, she said. Triple gloving is a violation of CDC protocol and could make things worse.

"Then you need to take off three pairs of gloves ... gloves with infectious stuff on them," she said.

How troubling it is

The CDC concedes the transmission is worrisome.

"It is possible in the coming days that we will see additional cases of Ebola," Frieden said.

That's because others who provided care to Duncan could have had the same kind of breach as the infected nurse.

The official who has direct knowledge of the Texas case told CNN that health authorities will make daily visits to dozens of Dallas health care workers who treated Duncan between September 28 and October 8 at Texas Health Presbyterian Hospital.

The workers have been monitoring their own health, including taking their own temperature. They were previously not considered high risk because they were wearing protective gear, the official said. The CDC is still compiling a list of health care workers who came into contact with Duncan, the official said.

The public areas of the nurse's apartment complex have been decontaminated and her neighbors have been notified. And the city of Dallas made a reverse-911 call to residents, notifying them of the city's second Ebola case.

"I think it needs to be put into context that ... you can't make an extrapolation that this is now a danger more so to the American people," said Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases.

But the fear is spreading.

When a passenger on a flight from New York to Los Angeles fell ill Sunday, the biggest concern was Ebola. The plane was taken to a remote gate at Los Angeles International Airport. After a few hours, officials determined the woman did not appear to have Ebola, and other passengers were allowed to leave.

And in Louisiana, Attorney General Buddy Caldwell is seeking a temporary restraining order to block the disposal of incinerated waste from Duncan's personal items at a Louisiana landfill.

"There are too many unknowns at this point, and it is absurd to transport potentially hazardous Ebola waste across state lines," Caldwell said Sunday.

What is being done

President Barack Obama wants federal authorities to immediately take further measures to ensure health care workers are able to follow protocols for treating Ebola patients.

Of the thousands of hospitals in the United States, only four have been training for years to deal with highly infectious diseases like Ebola: Emory University Hospital in Atlanta, The Nebraska Medical Center, the National Institutes of Health in Maryland, and Rocky Mountain Laboratories in Montana.

"They have the management, the processes, the implementation in place that if an Ebola patient comes in, just right away they know what to do," said Gavin MacGregor-Skinner, who teaches public health preparedness at Penn State University.

But if someone with symptoms of Ebola shows up at any other hospital, as Duncan did, the hospital might not be ready.

"It may not be that every single hospital is in fact prepared for this," said David Sanders, associate professor of biology at Purdue University.

"We may have to think about regional centers that are best prepared to deal with Ebola patients."

Another step in the battle: screening.

On Saturday, passengers arriving from the three countries hardest hit by Ebola started getting special screening, including having their temperature taken, at New York's JFK airport.

Washington's Dulles, Newark, Chicago's O'Hare and Atlanta international airports will begin screening Thursday.

'The time to act is long overdue'

The country's largest nursing organization, National Nurses United, surveyed 2,000 members. Of them, 76% said their hospital hasn't communicated any policy about how to admit Ebola-infected patients. And 85% said their hospital hasn't provided education on Ebola where the nurses can interact and ask questions.

Nurses "are alarmed at the inadequate preparation they see at their hospitals," said the group's executive director, RoseAnn DeMoro.

"The time to act is long overdue," she said.

@highlight

Official: "Inconsistencies" seen in protective gear and the way it was put on and taken off

@highlight

A Texas nurse contracts Ebola from a patient

@highlight

It's the first known transmission of Ebola ever in the United States

@highlight

Hundreds of nurses say they're unprepared to handle Ebola