Americans love beef; we eat nearly 63 pounds per person each year. Although that's a lot, the amount is down from our 1976 high of 89 pounds. When buying beef, we tend to stick to what we know, which may be why almost 60 percent of our beef dollars go for ground beef. Even as an experienced chef, I often brought home familiar cuts. But researching my book, "Field Guide to Meat," led me to expand my repertoire to tasty, if less familiar, cuts like hanger steak and tri-tip. Soon you can do the same, knowing which cuts to choose for maximum flavor and nutrition.

A 3½-ounce serving provides 27g to 30g of protein and is an excellent source of iron, zinc, and phosphorus.

Beef Background

Humans began domesticating cattle, Bos taurus, about 8,500 years ago. Columbus first brought cattle to the New World, and by 1690, descendants of Columbus' cattle ranging in Mexico were driven north and became known as Texas Longhorns. Others arrived later with the colonists. America's top five cattle breeds are Angus from Scotland, Hereford from England, Limousin from France, Simmenthal from Switzerland, and Charolais from France.

More than 90 percent of the beef we buy originates in America, while most of the rest is Canadian bred. The beef we eat comes mostly from 18- to 24-month-old steers, averaging about 1,000 pounds, and yielding about 450 pounds of meat. Each is divided for wholesale into eight primals (major portions): the chuck (shoulder and upper ribs), the rib, the loin, the sirloin (hip), the round (upper leg), the brisket (breast), the plate (belly), and the small flank. Organs like liver and kidneys are called variety meats.

When evaluating your choices at the grocery store, here are a few key terms and facts to know:

• Grain-finished: Nearly 75 percent of U.S. beef comes from cattle fattened on grain (usually corn) for three to six months in feedlots. Since corn is not a natural part of a cow's diet, cattle fed on it may experience stress and other ailments, so they are routinely treated with antibiotics. They also receive growth hormones to increase their size (and value, as beef is sold by weight). Until recently, inexpensive corn has helped keep down the price of beef.

• Grass-finished: Grass- or pasture-finished beef comes from cattle that forage on grasses and legumes. Their meat is lower in saturated fat, cholesterol, and calories than grain-finished. (Because it is quite lean, cook rare to medium-rare for juiciness.) Grass-fed beef has a distinct flavor, often described as bold, complex, and gamy. Many people believe that grass-fed cattle are a more sustainable choice. However, raising grass-fed cattle is time-consuming and requires large open spaces, variables that raise its price. Most is imported from Canada, followed by Australia, New Zealand, Argentina, and Brazil.

• Aging: Dry-aging is the traditional process preferred by many steak lovers. The concentrated, intense flavor of dry-aged beef develops as it hangs in special temperature- and humidity-controlled rooms from 10 days to six weeks. The longer the aging, the better the flavor and tenderness, but also the more the shrinkage as water evaporates and a dark crust develops, which must be cut away. About 90 percent of American beef is sold as large vacuum-packed cuts. During the average seven-day period the beef spends "in the bag," it ages in a process called "wet-aging."

• Processing and packaging: Until the 1960s butcher shops bought beef as half- or quarter-carcasses. Packers then began selling vacuum-packed beef, the same large cuts sold at warehouse club stores. Retailers refrigerated the boxes until needed, then opened the package and cut the meat into portions for sale. Next came case-ready meat, which precluded the need for skilled butchers on-site in markets. Leak-proof and easily stackable, case-ready packages are produced in USDA-inspected plants and have a longer shelf life. Packages covered with a sealed layer of clear plastic are modified-atmosphere packages, which have a gas-filled space inside to help preserve freshness and color.

Nutrition

• Fat content: The USDA defines "lean beef" as having less than 10 grams (g) of total fat, 4.5g or less of saturated fat, and less than 95 milligrams of cholesterol per 3½-ounce serving (100g) of cooked beef. Half of the fat is saturated and half is heart-healthy monounsaturated. There are 29 naturally lean cuts of beef, including many familiar to Cooking Light readers, such as tenderloin, flank steak, and sirloin, as well as five lesser-known cuts. Others, such as ribeye or chuck roast, naturally contain more fat, although it is similarly divided between saturated and monounsaturated.

Because lean beef contains less fat, it's best cooked to medium-rare (145°F) or medium (160°F) to optimize tenderness. If using fattier cuts, slice away the outer rim of fat and cut or pull out any pockets of fat before cooking. For larger cuts, allow the fat to baste the meat while cooking, then trim away before eating, or skim it from the surface of braised dishes or stews.

• Other nutrients: A 3½-ounce serving provides 27g to 30g of protein -- more than half of the 50g recommended daily in a 2,000-calorie-per-day diet. All beef is an excellent source of iron, zinc, and phosphorus. In general, the redder the meat, the more iron it contains (beef liver has the most). Beef also contains thiamin, riboflavin, and niacin and is a rich source of B12, found naturally only in animal foods. CookingLight.com: Fat and Ground Beef

At the Market

• Inspection and grading: USDA inspectors examine all live animals and beef shipped out of state, which encompasses most of today's supermarket beef. Grading is voluntary and done by the same inspectors. The more marbling -- the small white flecks of fat within the muscles -- the higher the grade. Three grades of beef are sold to consumers. Only three percent is highly marbled Prime, sought after by top steak houses and butcher shops. About 57 percent is moderately marbled Choice, the most common supermarket grade. The remaining 40 percent is lean Select.

• Private labels: Supermarket chains and large food distributors also have developed private brands with their own specifications. The first such program began in 1978 with Certified Angus Beef, which must come from Angus cattle. Niman Ranch Natural Beef and Certified Hereford Beef are two others.

• Natural and Organic: Beef labeled "natural" must not contain any artificial ingredients and cannot be more than minimally processed, such as ground beef. "Organic" beef must come from cattle raised and certified according to the USDA's National Organic Program. Organic cattle must be fed 100-percent organically and without antibiotics or hormones. Both natural and organic beef can be either grass- or grain-finished.

Ways to Save

• Buy lean cuts. Often, leaner cuts are cheaper than fatty ones. And when the fat cooks away, lean cuts provide more meat for your dollar.

• Buy in bulk. Large or family-sized packages cost less per pound than smaller packages. Divide into portions, and freeze the surplus.

• Be your own butcher. Beef that has been presliced into steaks or made into patties costs more than less processed meat. Buy bigger cuts, and do some of the preparation work yourself. CookingLight.com: Beef on a Budget

• But don't go overboard. Advice to buy a side or quarter of beef may seem sensible, but you'll likely have more meat than you can store. Such a purchase may yield what one buyer describes as "cheap steak and expensive hamburger."

For more tips on making healthy taste great, try Cooking Light - CLICK HERE

Copyright 2009 Cooking Light magazine. All rights reserved.

@highlight

Humans began domesticating cattle, Bos taurus, about 8,500 years ago

@highlight

Americans today consume nearly 63 pounds of beef per person each year

@highlight

Most of us tend to stick with beef cuts we know