NEW DELHI, India (CNN) -- "I was a walking time bomb. I knew I had to get on that plane if I wanted to be around to see my grandkids."

Sandra Giustina is rolled into surgery to correct her atrial fibrillation at Max Hospital in New Dehli, India.

Sandra Giustina is a 61-year-old uninsured American. For three years she saved her money in hopes of affording heart surgery to correct her atrial fibrillation. "They [U.S. hospitals] told me it would be about $175,000, and there was just no way could I come up with that," Giustina said.

So, with a little digging online, she found several high quality hospitals vying for her business, at a fraction of the U.S. cost. Within a month, she was on a plane from her home in Las Vegas, Nevada, to New Delhi, India. Surgeons at Max Hospital fixed her heart for "under $10,000 total, including travel."

Giustina is just one of millions around the world journeying outside their native land for medical treatment, a phenomenon known as "medical tourism." Experts say the trend in global health care has just begun. Next year alone, an estimated 6 million Americans will travel abroad for surgery, according to a 2008 Deloitte study. "Medical care in countries such as India, Thailand and Singapore can cost as little as 10 percent of the cost of comparable care in the United States," the report found.

Companies such as Los Angeles-based Planet Hospital are creating a niche in the service industry as medical travel planners. One guidebook says that more than 200 have sprung up in the last few years. "We find the best possible surgeons and deliver their service to patients safely, affordably and immediately," said Rudy Rupak, president of Planet Hospital. "No one should have to choose between an operation to save their life or going bankrupt."

Planet Hospital, which works with international clients as well as Americans, books patients' travel and arranges phone interviews with potential surgeons. Patients are greeted by a company representative at the airport in the country where they've chosen to be treated; a 24-hour personal "patient concierge" is also provided, a level of service that's standard among many of the top medical travel planning companies.  Watch Dr. Sanjay Gupta meet some medical tourists »

"Our patient concierge was amazing," said Giustina. "He came to the hospital every day, gave us his personal [telephone] number and after my operation, he arranged private tours of India." Just two days post-op, Giustina and her husband, Dino, toured local markets and landmarks including the Presidential Palace and the Taj Mahal.

"I was able to fix my heart and tour India, which is something I thought I'd never do."

Walk through a patient wing at Max Hospital in New Delhi on any given day and you're likely to see people from around the world. In one visit, CNN met patients from the United Kingdom, Nigeria, Jordan, Afghanistan and the United States. They're alike in choosing surgery abroad, but their reasons differ.

Many South Asians and Africans said they travel abroad because they do not have access to care in their homeland.

Some Canadians and Europeans said they chose to travel aboard, despite having national health plans, because they are tired of waiting -- sometimes years -- for treatment.

Patients from the Middle East said they come to India because the technology as well as the staff is more advanced.

For most Americans CNN spoke to, it came down to finding the best value. "If I could have afforded my procedure in the United States, I would have taken it, but that was not my option," Giustina said. "I had to get online and look for a Plan B." Read about hot destinations for medical tourism

The private hospitals in India market themselves as having upscale accommodations, Western-trained surgeons and state-of-the-art medical equipment.

CNN spent time at Max Healthcare in New Delhi and saw operating rooms similar to those in many U.S. hospitals. If fact, Max's neurosurgery room had an inter-operative MRI scanner, which is technology hardly seen at hospitals in the United States.

The lobby had marble floors, a book café, coffee station and a Subway sandwich shop. The patient suites were equipped with flat screen TVs, DVD players and Wi-Fi. This hospital also catered to families traveling together. The suites had adjoining rooms with a kitchenette, coffee maker and a sofa bed.

Max neurosurgeon Dr. Ajaya Jha said the hospital can provide high-quality care at low prices because the staff work hard to cut waste.  Watch Dr. Gupta visit an Indian spice market »

"I've seen hospitals in the U.S. where they open up something costing $10,000 and say, 'Oh it's not working. OK, give me another one.' We would never do that here. Even for 100 rupees (about $2) -- we would say, "Do we need to open this suture? Do we need to open this gauze?' We are very conscious of cost."

Hospital officials negotiate hard to keep costs low for high-tech medical machinery and other supplies, Jha said. "In the U.S. people are making careers out of carrying laptops and documenting things that are not really useful in the long term for the patient."

The salary of a U.S. surgeon is five times that of a surgeon in India. "We [surgeons in India] want to make a profit, but we don't want to profiteer. We don't want squeeze people and I think American industries should also think that way," Jha said.

Critics of medical tourism warn patients to be diligent when researching treatment aboard. "I've found that industry voices tend to crowd out those of us who are more cautious about the legal risks," said Nathan Cortez, assistant law professor at Southern Methodist University, who is conducting a case study investigating what legal recourse patients have outside America.

Patients don't think about their legal vulnerabilities, Cortez said. "Some countries limit patient access to medical records so they can't really learn what happened during the surgery. And a lot of practitioners in other countries just refuse to give you your medical records. So people have to weigh the risk versus benefits."

While most tourism patients from America are uninsured, major U.S. insurance companies are considering providing "medical tourism" coverage to their customers. Several have already launched pilot programs.

"I think what's really important about medical tourism is that you make the choice for what's right for you and what's important to them," said a spokesman for U.S. health insurer WellPoint Inc.

Experts say that every patient considering traveling abroad for surgery should inquire about postoperative care, legal rights and the safety standards and certifications of the hospital. Foreign health care providers should be willing to discuss the procedure and answer question ahead of time.

"What really helped me feel good about the process was that my doctor in the U.S. spoke to the cardiologist in India prior to my trip," said Giustina. "They were so open about everything; I knew I'd be in good hands."

Just weeks from returning from abroad, Giustina says she has only one regret, "I shouldn't have waited so long! I feel like a new person again, no more pain."

@highlight

Study: More than 6 million from U.S. will travel abroad for treatment in the next year

@highlight

Companies creating a niche in the service industry as medical travel planners

@highlight

Hospitals market upscale accommodations, Western-trained surgeons