Editor's note: Peter Bergen is a fellow at the New America Foundation, a Washington-based think tank that promotes innovative thought from across the ideological spectrum and at New York University's Center on Law and Security. He's the author of "The Osama bin Laden I Know: An Oral History of al Qaeda's Leader."

Peter Bergen says deals with the Taliban could further destabilize the situation in Afghanistan.

(CNN) -- It is a longstanding cliché that there is no military solution in Afghanistan, only a political one.

Linked to this is the newer, related notion, rapidly becoming a cliché, that the United States should start making deals with elements of the "reconcilable" Taliban.

As with many clichés, there is some truth to both these notions, but neither of these comforting ideas are a substitute for a strategy that is connected to what is happening on the ground in Afghanistan and Pakistan.

Sunday's New York Times ran an interview with President Obama in which he said that, just as the U.S. had made peace agreements with Sunni militias in Iraq, "There may be some comparable opportunities in Afghanistan and in the Pakistani region." He also cautioned that this could be "more complex" than was the case in Iraq.

It's not only going to be more complex, but doing deals with the Taliban today could further destabilize Afghanistan.

Before getting to why that is the case, let's stipulate first that there are always going to be some local commanders of the Taliban who can be bribed, coerced or otherwise persuaded to lay down their arms.

In fact, the Afghan government already has had an amnesty program in place for Taliban fighters for four years. Thousands of the Taliban already have taken advantage of the amnesty, a fact that tends to be glossed over in most of the recent discussions of the issue.

That being said, there are nine reasons why doing deals with most of the various factions of the insurgencies in Afghanistan and Pakistan that are labeled "the Taliban" are more in the realm of fantasy than a sustainable policy.

First, the Afghan government is a sovereign entity and any agreements with the Taliban must be made by it. Right now the weak and ineffectual Afghan government is in no position to negotiate with the Taliban, other than to make significant concessions of either territory or principle, or both.

Second, while Obama didn't talk about dealing with Taliban leader Mullah Mohammed Omar, it is worth pointing out the Taliban leadership, including Mullah Omar, has in the past several months taken every opportunity to say that it has no interest in a deal with the Afghan government. And just last week, Mullah Omar urged the Pakistani Taliban to refocus their efforts on attacking U.S. and NATO forces in Afghanistan. Those statements should be taken at face value.

Third, Mullah Omar's intransigence is utterly predictable. He was prepared to sacrifice his regime on the point of principle that he would not hand over Osama bin Laden after 9/11. And he did. This does not suggest a Kissingerian realism about negotiations, but rather a fanatical devotion to his cause.

Fourth, the Taliban believe they may be winning in Afghanistan, and they also are confident that they are not losing, which for an insurgent movement amounts to the same thing. They see no need to negotiate today when they can get a better deal down the road.

Fifth, the Taliban leadership is largely in Pakistan. Side deals done with the Afghan Taliban will have little or no effect on the fact that the command and control of the insurgency is in another country.

Sixth, when Pakistan's government has done "peace" deals with the Taliban in the Pakistani tribal regions in 2005 and 2006 and in the northern region of Swat earlier this year, they were made following military setbacks by Pakistan's army. Those deals then allowed the militants to regroup and extend their control over greater swaths of Pakistani territory. Why would new agreements with the Taliban on either side of the Afghan-Pakistan border yield different results?

Seventh, "reconcilable" Afghan Taliban leaders have already reconciled to the government. Wakil Ahmed Muttawakil, the former foreign minister who met with Afghan government officials in Saudi Arabia in September, to discuss some kind of agreement with the Harmid Karzai administration, was a foe of bin Laden's long before 9/11 and was never a hard-liner. Muttawakil has no standing today with Taliban leaders, who have been waging war now for 7½ years against Karzai, and who quickly denied they were in any negotiations with his government.

Eighth, while the Taliban was never a monolithic movement, it is much closer to al Qaeda today than it was before 9/11. Yes, there are local groups of the Taliban operating for purely local reasons, but the upper levels of the Taliban have morphed together ideologically and tactically with al Qaeda.

Baitullah Mehsud, for instance, the leader of the Pakistani Taliban, sent suicide attackers to Spain in January 2008, according to Spanish counterterrorism officials, and sees himself as part of the global jihad. The Haqqani family, arguably the most important component of the insurgency on both sides of the Afghan-Pakistan border, has ties with bin Laden that date back to at least 1985, according to the Palestinian journalist Jamal Ismail, who has known the al Qaeda leader for more than two decades.

Gulbuddin Hekmatyar, a commander allied to the Taliban, has been close to bin Laden since at least 1989, according to militants who know both men.

Al Qaeda was founded in Pakistan two decades ago, and bin Laden has been fighting alongside Afghan mujahedeen groups since the mid-1980s. Al Qaeda Central on the Afghan/Pakistan border is much less of a "foreign" group with far deeper and older roots in the region than Al Qaeda ever was in Iraq.

The Taliban's rhetoric is now filled with references to Iraq and Palestine in a manner that mirrors bin Laden's public statements. The use of suicide attacks, improvised explosive devices and the beheadings of hostages -- all techniques that al Qaeda perfected in Iraq -- are methods that the Taliban have increasingly adopted in Afghanistan and have grown exponentially there since 2005. iReport.com: Should there be a deal with the Taliban?

One could go on listing examples of the Taliban's ideological and tactical collaboration with al Qaeda, but the larger point is that separating al Qaeda and the Taliban is not going to be as relatively simple as splintering Iraqi insurgent groups from al Qaeda in Iraq.

And ninth, unlike Al Qaeda in Iraq, which was a foreign-led group that sought to impose, unpopular Taliban-style rule on Sunni areas of Iraq, the Taliban in Pashtun areas of Afghanistan and Pakistan are not outsiders, but are often neighborhood people whose views about religion and society are rooted in the values of the Pashtun countryside.

While, of course, the U.S. should be splintering, buying off and co-opting as many elements of the Taliban as possible, American officials also need to be realistic about how much closer Al Qaeda and the Taliban have grown together in recent years, and the fact that the insurgency has mushroomed in size on both sides of the Afghan-Pakistan border.

Winston Churchill once observed that "it's better to jaw-jaw than to war-war." True enough. But "jaw-jaw" with the Taliban won't work if they think they are winning as they do right now.

The Obama administration has ordered 17,000 additional American soldiers to go to Afghanistan this year. As a result, two Marine brigades and a mobile, well-armored Stryker brigade will deploy into the heart of the Taliban insurgency in southern Afghanistan. Marine and Stryker brigades are not the kind of units you send in to play nice.

Those deployments strongly suggest that for all the public discussion of negotiations with the Taliban the decision already has been made that any such negotiations should precede from a position of strength rather than weakness.

These comments are, in part, based on Peter Bergen's testimonybefore the U.S. House of Representatives, Committee on Oversight and Government Reform, Subcommittee on National Security and Foreign Affairs on March 4. The opinions expressed in this commentary are solely those of Peter Bergen.

@highlight

Peter Bergen: Idea of dealing with moderate Taliban is gaining more support

@highlight

Bergen says it's not likely to be a strategy for success in the Aghanistan war

@highlight

Taliban leadership thinks it's winning the war and won't cut a deal, he says

@highlight

Bergen: Afghan government too weak to engage in meaningful talks