(CNN) -- Two years ago, Egyptians toppled a longtime dictator and reveled in the hope of a new future. But frustration over the new leadership and controversial court verdicts have ignited clashes regularly.

Here's what's behind the most recent unrest, which flared up on the two-year anniversary of the revolution.

What sparked this latest rash of violence?

Two seemingly unrelated developments.

Friday was the two-year anniversary of the 2011 Egyptian revolution. Protesters who have been angry with the slow pace of change and with some of the steps President Mohamed Morsy has taken clashed with his supporters and police in the cities such as Suez and Ismailia.

At least seven people were killed in those clashes, including several by gunfire. It was not immediately clear who was responsible.

Then on Saturday, a judge issued death sentences for 21 people from Port Said for their roles in a football game riot last year.

The court rulings sparked deadly clashes between security forces and relatives of the convicted. Over the course of two days, at least 38 people -- including civilians and soldiers -- were killed in Port Said. `

Dubbed the "massacre at Port Said" by Egyptian media, the riot broke out on February 1, 2012, after Port Said-based Al-Masry defeated Cairo's Al-Ahly, 3-1. The riot left 74 people dead and 1,000 injured.

Fans from both sides bashed each other with rocks and chairs. It was unclear whether intense sports rivalries or political strife sparked the melee.

What's the back story of tensions between Port Said and Cairo?

Port Said residents say they have grievances that date back six decades.

Over the past 60 years, residents of Port Said have felt betrayed by Egyptian security forces during a series of wars with Israel.

Thousands of residents were displaced several times because of the Suez War, the Six-Day War of 1967, the War of Attrition with Israel, and the 1973 Arab-Israeli War.

Residents of Port Said, in northeastern Egypt, believed security forces did not adequately defend their city.

In addition, some say Cairo has not invested enough in Port Said's infrastructure, and that their city doesn't reap enough tax benefits from trade with international ships that pass though Port Said via the critical Suez Canal.

Some also say Port Said is still getting the cold shoulder from Cairo after a 1999 assassination attempt of then-President Hosni Mubarak, who was visiting the city.

Why are some Egyptians angry with Morsy?

Morsy, Egypt's first democratically elected president, came to power last June following Mubarak's ouster a year earlier.

But accusations of power hoarding soon followed.

Morsy issued a sweeping presidential decree in November, which prevented any court from overturning his decisions until a new, post-Mubarak constitution was passed. The ruling essentially gave him unchecked power, protecting from judicial review any decisions he has made since assuming office.

Protesters decried the "birth of a new pharaoh" and "Morsy the dictator."

But Morsy defended his move, saying it was only temporary until a new constitution is put in place. He said it was intended to safeguard the revolution, in part by preventing courts from interfering with the work of Egypt's Constituent Assembly, the body charged with drafting a new constitution.

The judges, many of whom were holdover loyalists from the government of Mubarak, are widely viewed as hostile to the Islamists who now dominate the assembly that has been charged with framing a new constitution.

The constitution eventually passed with a nearly two-thirds majority.

What happens now?

During a speech Sunday night, Morsy declared a limited state of emergency for violent hot spots and announced a 30-day nighttime curfew for the provinces of Port Said, Ismailia and Suez.

Morsy said some protesters' violent behavior "does not have anything to do with the Egyptian revolution. ... In fact, it is against the revolution."

But he acknowledged the legitimate dissent in Egypt, saying "dialogue is the only way to bring about stability and security."

To this end, he invited representatives from 11 political parties to a meeting Monday.

The meeting "is meant to address problems in Egypt, as opposed to express anger," Morsy's spokesman told state-run TV.

But for a country that has seen rounds of change, dissent, celebration and violence, it's unclear what the next chapter will be.

CNN's Reza Sayah and Tim Hume contributed to this report.

@highlight

Protests on the two-year anniversary of the revolution left seven people dead Friday

@highlight

Chaos erupted after 21 people were sentenced to death after a football riot in Port Said

@highlight

Critics have accused Morsy of becoming a new dictator

@highlight

Morsy announces a temporary curfew in three places and a meeting among different parties