TUSKEGEE, Alabama (CNN) -- A trip through sweltering Alabama to experience some of the civil rights movement's most important sites brought history books to life for my family and me.

A marker shows the 54-mile route from Selma to Montgomery, Alabama, that voting rights marchers took.

The road trip, with my wife and 14-year-old son, was an extraordinary experience, and not only because I'm African-American. As an American, it was inspiring to experience the places where people fought and died for equality and the right to vote.

Many of the places we visited are maintained by the National Park Service, which has made an extraordinary effort to preserve pivotal places related to the movement. When you think of national parks, great natural attractions like Yellowstone or the Grand Canyon come to mind. But the National Park System has also preserved and restored many living history sites from the civil rights movement.

We started our road trip at Moton Field in Tuskegee, the site of one of the early battles in the civil rights movement. In the 1940s, the U.S. government trained the nation's first black military aviators at Moton in what it labeled a military experiment. Before that time, African-Americans "were believed to be incapable of flying complex combat aircraft," Park Ranger John Whitfield said.  Watch more on Moton Field »

The aviators were trained in every aspect of their combat aircraft, from flight to maintenance. They made their mark during World War II by not losing a single bomber to enemy fire in more than 200 combat missions -- a record unmatched by any other fighter group.

Moton Field was declared a historical site in 1998, and the National Park Service has gone through painstaking efforts to restore and rebuild its hangars and outbuildings, which were used by more than 15,000 men and women from 1942 to 1946.  iReport.com: Share your meaningful road trips

The site now offers only a small visitor's center in a temporary trailer as construction and restoration are completed.

The "Tuskegee experience," as park rangers call it, will officially open in October, when Hangar One, and eventually Hangar Two, will be retrofitted to look as they did when the facility was in full operation in the 1940s.

Moton field is a little over three miles from Tuskegee University, the only college campus in the country with a national park. The park includes The Oaks, home of university founder Booker T. Washington, and a museum that houses the work of the renowned slave-turned-scientist George Washington Carver.

We browsed the various artifacts and exhibits that outline the life and scientific work of Carver, who is well known for the hundreds of uses he found for the peanut. My family and I learned that Carver was an accomplished painter who made his own paints from red Alabama clay.

We grabbed lunch at Taliaferro's, just off Tuskegee's main square, which takes its moniker from the middle name of Tuskegee University's founder.

The restaurant offers a buffet of Southern favorites like okra, macaroni and cheese, banana pudding and peach cobbler at low prices. The fried chicken and "mean greens" are listed in "Alabama's 100 meals you should eat before you die" brochure. The chicken certainly lived up to the brochure's claim.

It's a 38-mile ride to Montgomery, where we visited Dexter Avenue King Memorial Baptist Church, which is the only church where the Rev. Martin Luther King Jr. served as senior pastor.

Amazingly, the church literally lies in the shadow of the Alabama State Capitol, the very building where lawmakers passed segregation laws.

Entering the church basement, we could visualize protest strategy meetings for the Montgomery bus boycott or the voting rights march that King presided over in this very room. The church is still home to a congregation of about 300 and is very active in Montgomery's community.

Driving down U.S. Highway 80, now the historic National Voting Rights Trail, we thought about the 15,000 people who walked the same 54-mile route in 1965 from Selma to Montgomery, protesting Alabama laws that prohibited African-Americans from registering to vote.

In between Selma and Montgomery, we discovered the Lowndes County Interpretive Center, which stands where a "tent city" once stood to support the marchers in 1965.  Watch more on the center »

A 20-minute film about the march, told by people who took the journey, moved us to tears. We toured the interactive exhibits to learn more about the protest, the challenges and the hurdles African-Americans had to conquer for their constitutional right to vote.

At the center, and at several museums during our trip, we met volunteers who were participants in the voting rights movement who gave us first-hand accounts of their experiences.  See photos from the trip »

Joe Glover, a volunteer at the center, said he was a resident of the tent city as a 15-year-old. He said that in retaliation for participating in the voting rights march, his family was kicked off a plantation where they share-cropped.

"I love sharing my experience with young people by letting them know how important it is to get an education and what their foreparents and other people shed their lives and blood for in order for them to have a right to vote," Glover said.

We ended our road trip in Selma by crossing the infamous Edmund Pettus Bridge. There, on March 7, 1965,  protesters demanding their right to vote met a wall of state police armed with bully clubs and cattle prods. The protest was the first of three attempts to march to Montgomery and came to be known as Bloody Sunday.

We are thankful for the sacrifices of those who crossed the bridge in 1965 and regretful for those who don't take advantage of their right to vote.

@highlight

First stop provided early peek at Tuskegee Airmen site, which will open in October

@highlight

Tuskegee University museum houses work of scientist George Washington Carver

@highlight

In Tuskegee, Taliaferro's offers tasty, reasonably priced buffet of Southern favorites

@highlight

During trip, those who experienced civil rights movement gave first-person accounts