(CNN) -- Federal terrorism charges against Boston Marathon bombings suspect Dzhokar Tsarnaev could be filed soon, even as he remains hospitalized, a Justice Department official told CNN on Saturday. The 19-year-old could also face murder charges at the state level.

At the Beth Israel Deaconess Medical Center, where Tsarnaev was in serious condition while being held in federal custody, federal prosecutors were formulating the charges.

The development came amid questions as to what's next for the suspect in the Boston Marathon bombings.

President Barack Obama said he's keenly interested in answers.

"There are still many unanswered questions," Obama said Friday night. "Why did these young men who grew up and studied here as part of our communities and our country resort to such violence? How did they plan and carry out these attacks? And did they receive any help? The families of those killed so senselessly deserve answers."

Tsarnaev and his older brother, Tamerlan Tsarnaev, are accused of setting off bombs at the marathon Monday, killing three people and wounding more than 170.

On Thursday night, they allegedly killed a Massachusetts Institute of Technology police officer before the older brother was killed during a shootout with police.

Dzhokar Tsarnaev was captured Friday night after he was found hiding in a boat in a backyard in Watertown, Massachusetts.

When will the suspect be in court?

Tsarnaev could be in a courtroom for an arraignment soon.

Ordinarily at an arraignment, the suspect is provided a lawyer, and the defense and prosecution try to make a case for whether he should be released on bail.

"He will not get bail obviously," said senior legal analyst Jeffrey Toobin.

"They will set a preliminary hearing that could happen in the next 30 days. He will be indicted with the grand jury. And that's when the case will begin."

After the charges are filed, the Federal Public Defender Office in Boston will be appointed to represent Tsarnaev, according to Miriam Conrad, the federal public defender for the Massachusetts district.

Should bomber suspect be questioned without a lawyer?

For now, the government is invoking the public safety exception, a designation that allows investigators to question Tsarnaev without reading him his Miranda rights, a Justice Department official told CNN on condition of anonymity.

In ordinary cases, a suspect is told by police he has the right to remain silent and he has the right to a lawyer.

But this is not an ordinary case, say U.S. Sens. John McCain and Lindsey Graham.

They urged that Tsarnaev be held as an "enemy combatant," a designation that allows a suspect to be questioned without a lawyer and without being informed of his Miranda rights.

"Now that the suspect is in custody, the last thing we should want is for him to remain silent. It is absolutely vital the suspect be questioned for intelligence gathering purposes," the senators said. "Under the law of war we can hold this suspect as a potential enemy combatant not entitled to Miranda warnings or the appointment of counsel."

But Sen. Carl Levin, D-Michigan, chairman of the Senate Armed Services Committee, said Saturday that the suspect should not be held as an enemy combatant.

"I am not aware of any evidence so far that the Boston suspect is part of any organized group, let alone al Qaeda, the Taliban, or one of their affiliates -- the only organizations whose members are subject to detention under the Authorization for Use of Military Force, as it has been consistently interpreted by all three branches of our government," he said.

"In the absence of such evidence I know of no legal basis for his detention as an enemy combatant. To hold the suspect as an enemy combatant under these circumstances would be contrary to our laws and may even jeopardize our efforts to prosecute him for his crimes."

Alan Dershowitz, a prominent defense attorney and Harvard law professor, scoffed at the Republican senators' statement.

"Impossible. There's no way an American citizen committing a domestic crime in the city of Boston could be tried as an enemy combatant," he told CNN's Piers Morgan. "It could never happen. And that shows absolute ignorance of the law."

Dershowitz also said statements made by police in Boston seems to contradict the government's reasons for invoking the public safety exception.

"The police have said there's no public safety issue; it's solved, it's over," Dershowitz said. "There are no further threats. But the FBI is saying there's enough further threats to justify an exception."

Former New York Mayor Rudy Giuliani said the federal government may have known about international threats about which state officials were not aware.

"You would have to know the internals of what they have before you can assess whether there is a sensible invocation or not," Giuliani said.

If the government had prior knowledge of Tsarnaev's activities, it hasn't disclosed it. It did say that Tamerlan Tsarnaev had been on the FBI's radar in the past.

FBI agents interviewed Tamerlan two years ago and also looked at his travel history, checked databases for derogatory information and searched for Web postings. The agency found no connection with terror groups, an FBI official told CNN.

Two key Republicans on the House Homeland Security Committee -- Rep. Mike McCaul of Texas, the panel's chairman; and Rep. Peter King of New York -- will press the Obama administration for details about the FBI's questioning of Tamerlan Tsarnaev, according to a GOP congressional source.

Tamerlan Tsarnaev, who was not a U.S. citizen, traveled to Sheremetyevo, Russia, in January 2012, according to travel records provided by a U.S. official. He returned six months later.

Federal or state trial?

Dershowitz said there are many arguments that can be made to try the case in state court. It may be hard for a prosecutor to prove which crimes were committed by Tsarnaev or his older brother, Dershowitz said.

"If he says my intent was to please my brother, they could raise the question of federal jurisdiction," Dershowitz said.

This fight over federal or state jurisdiction could mean life or death.

Massachusetts does not have the death penalty.

There's another big question: The National Defense Authorization Act of 2012 requires temporary military custody of certain terrorist suspects, but Dzhokar Tsarnaev is a U.S. citizen, and the act doesn't apply to Americans.

What is the reaction in the suspects' homeland?

Tsarnaev's family lives in the Russian republic of Dagestan, which is next to the suspects' homeland of Chechnya, located in the North Caucasus region of southern Russia.

Russia's investigative committee in Dagestan said it will not engage with the Tsarnaev family unless there is "an order from above" to do so, spokesman Rasul Temerbekov told Russian state news agency RIA Novosti on Saturday.

A spokesman for Russian President Vladimir Putin said Saturday that Russia wants to get official information from the United States about the bombing suspects, and he wants there to be contact between investigators in both countries.

CNN's Lorenzo Ferrigno and Dana Bash contributed to this report.

@highlight

NEW: Federal Public Defender Office in Boston to represent Dzhokar Tsarnaev after charges are filed

@highlight

Russian President Vladimir Putin wants details from U.S. on bombing suspects

@highlight

If physically able, suspect could be in court this weekend, expert says

@highlight

Two U.S. senators say Dzhokar Tsarnaev should be questioned without a lawyer