(CNN) -- Mad cow disease, SARS and now swine flu: Some diseases grab the headlines. But thousands of people worldwide suffer from very rare conditions, many of which few people have ever heard of.

England's King George III may have suffered from porphyria, a disorder that affects the nervous system.

From the Alice in Wonderland syndrome that might have inspired Lewis Carroll, to the disease that may have sent an English King mad, we take a look at some of these obscure illnesses.

Morgellons

According to the Morgellons Research Foundation, crawling, biting and stinging sensations and the emergence of strange blue, black or red fibers from the skin characterize a disease that nearly 14,000 people suffer from, according to the Foundation.

This is often accompanied by exhaustion, short-term memory loss, joint pain and changes in vision. The condition was named Morgellons in 2002 by a mother who believed her two-year-old son was suffering from the disease. The name comes from a 17th century skin condition found in France, in which children died after the emergence of 'dark hair.'

However, there is much debate over whether the condition actually exists.

In March 2008, the Journal of Dermatologic Therapy reported that most doctors believe it to be form of delusion, in which sufferers falsely believe they are infected with parasites. Consequently, the fibers in the skin are thought to be textile-based, picked up by oozing scabs resulting from more common conditions such as eczema or scabies.

The U.S. based Center For Disease Control and Prevention recently announced it would investigate the disease after an increased number of inquiries from the public.

See photos of people living with rare diseases »

Progeria

Progeria is congenital, meaning a defect or damage to a fetus. Sufferers of this fatal illness have a striking appearance resembling premature ageing, but die at an average age of 13.

Profound growth delays begin at between nine and 24 months, leading to abnormal facial developments such as a disproportionately small face, bulging, prominent eyes and an underdeveloped jaw. By the age of two, hair from the scalp, eyebrows and eyelashes is lost.

The U.S. National Organization of Rare Disorders (NORD)says sufferers eventually lose the layer of fat beneath the skin and, in time, elasticity is lost in artery walls, leading to fatality via heart attack or stroke in 90 percent of sufferers.

Water allergy

Known to have ever affected only 30 people, water allergy or "aquagenic urticaria" is extremely rare, but its existence has been confirmed by the Medical Review Board. Sufferers appear to be allergic to water. It usually occurs late in life and often as a consequence of a hormonal imbalance brought about by giving birth.

A case emerged in the UK in April this year, leaving a 21-year-old mother unable to drink water or get caught in the rain because her skin develops a painful burning rash. She can shower for a maximum of 10 seconds per week and can drink only Diet Coke. It is not strictly an allergy but a hypersensitivity to the ions found in non-distilled water.

Foreign accent syndrome

Sufferers of foreign accent syndrome inexplicably find themselves talking in an unrecognizable dialect. Only 60 cases have ever been recorded.

Doctors initially dismissed it as a psychiatric problem, but in 2002, scientists at Oxford University, England, observed that sufferers shared the same brain abnormalities, which led to changes in speech pitch, lengthening of vowel sounds and other irregularities.

According to the Journal of Neurolinguistics, sufferers don't necessarily have to have been exposed to the accent they adopt: their new voice is not, strictly speaking, a foreign accent, but the changes in speech often bear a striking resemblance to other world accents.

The first case concerned a Norwegian woman in 1941, who developed a strong German accent and was ostracized from her community.

Laughing Death

Laughing Death, more commonly known as Kuru, was exclusive to the tribal Fore people of New Guinea. The disease, which was characterized by sudden bursts of maniacal laughter, hit the headlines in the 1950s and drew in doctors from around the world.

U.S. and Australian physicians observed men and women with shaking limbs, which subsided with rest, but a month to three months later sufferers would begin to sway and stumble, lose the ability to stand, become cross-eyed and lose the power of coherent speech before eventually dying.

The National Institute of Neurological Disorders and Stroke reported that tests on the deceased showed death had been caused by the emergence of holes in the brain, known as "swiss-cheesing."

Eventually the U.S. physician Carleton Gajdusek worked out that the infection was being passed on through the village custom of eating family members after death. When cannibalism was eliminated, the epidemic came to an end. In 1976, Gajdusek was awarded the Nobel Prize for his work.

Fibrodysplasia ossificans progressiva (FOP)

In 1938, when American Harry Eastlack was five-years-old, he broke his leg. The fracture didn't set properly, his hip and knee stiffened up and, bizarrely, bone growths developed on the muscles of his thigh. By his mid 20s, the vertebrae of his back had begun to fuse together. When he died aged 39 in 1973, he was able to move only his lips.

He suffered from fibrodysplasia ossificans progressiva (FOP), a rare disease affecting some 1 in 2 million people, in which the body's tendons and ligaments undergo a strange metamorphosis, essentially a transformation into bone.

The condition is congenital and characterized by a malformation of the big toe that is present at birth. Eastlack donated his skeleton to research of the disease, and it is on display at the Mutter Museum in Philadelphia. The International FOP Association continues to research this extremely rare condition.

Alice in Wonderland syndrome

According to the Oxford Handbook of Clinical Medicine, sufferers of Alice in Wonderland syndrome perceive objects as being far smaller than they are. The condition, also known as micropsia or Lillliput sight, can also affect the sense of hearing, touch and perceptions of one's own body image.  Learn more about rare disorders »

The syndrome is associated with migraine headaches and named after Lewis Carroll's Alice's Adventures in Wonderland, in which Alice goes through many bizarre experiences similar to those which might be experienced by a micropsia sufferer. The fact that Carroll suffered from migraines is well documented, and some speculate that his suffering may have prompted many passages in the work.

Porphyria

Purple urine and feces make porphyria infamous, as does the fact that the "mad" 18th century English King George III may have suffered from it. Porphyria leads to complications in the production of 'heme,' a protein vital to red blood cells, and affects the skin and nervous system. Attacks lead to abdominal pain, stomach cramps, nausea, vomiting and constipation.

NORD lists other symptoms including increasing sensitivity to the sun, itching and swelling. Increased hair growth on the forehead may also occur.

Toxins resulting from the failed heme production can affect the coloring of other areas, especially after exposure to sunlight. Sometimes the teeth and fingernails can adopt a reddish appearance. It is these toxins that lead to the dark urine and feces.

Mary Queen of Scots, Vincent Van Gogh, and King Nebuchadnezzar of Babylon may have suffered from this disease.

Pica

The magpie, Latin name pica, will eat anything, and so will sufferers of pica syndrome. Almost always pregnant women or children, sufferers develop an appetite for non-nutritive substances, such as paint, clay, plaster or dirt, or alternatively items that are more commonly considered to be food ingredients, such as raw rice, flour or salt.

It can only be considered pica if the appetite persists for over a month and the sufferer is of an age where eating these objects is considered developmentally inappropriate. Medical researchers have tenuously linked pica with a mineral deficiency, but according to the National Organization for Rare Disorders, experts have yet to nail down a real, firm cause or cure for this strange disorder.

Moebius syndrome

Moebius is extremely rare, genetic and characterized by complete facial paralysis. Sufferers cannot close their eyes, look from side to side, or form facial expressions. Limb abnormalities such as clubbed feet and missing fingers are often also present.

According to the Moebius Syndrome Foundation, most cases are isolated, with no notable family history, and sufferers go on to lead long and healthy lives.

Family members often learn to recognize body language, posture and vocal tone as communicators of emotion, and sometimes claim they forget the person has facial paralysis altogether.

@highlight

A look at some of the rarest diseases in the world

@highlight

Morgellons sufferers say strange fibers emerge from their bodies

@highlight

Others like Progeria sees the aging process accelerate much faster than usual