Omaha, Nebraska (the Heartland Project)When Ryan Sallans, an activist in the Nebraska transgender community, first went to the doctor in 2005 to talk about what he medically needed to do for his gender transition, his doctor wanted to offer medical help. That was the good news.

The disconcerting news was the doctor had to Google the issue first to figure out the best medical advice.

"My provider just did a Web search to figure out what dose of hormones I should be on, and put me on the highest dose," Sallans said.  That could have been a dangerous choice. "Starting too high of a dose too quickly can cause a lot of health problems, particularly to cardiovascular health."

Fortunately, Sallans didn't have any health complications.

But his experience left him with a mission. He volunteers to speak with medical institutions, as well as with businesses and colleges, to urge them to be more LGBT inclusive.

While a growing number of medical schools are teaching future doctors how to address health concerns that can be specific to the lesbian, gay, bisexual and transgender communities, studies show current doctors only get about five hours of training, if they get any at all.

The transgender life: What to know, say and understand

For members of the LGBT community who live in more rural and conservative areas like Nebraska, the struggle to get good, or at least up-to-date, medical care may be even more difficult.

In general, legal protections and institutional supports for LGBT Nebraskans are already thin, spotty or nonexistent.

On March 2, the United States District Court struck down Nebraska's ban on marriage for same-sex couples, but that ruling is on appeal.

Then there were 12: Nebraska ordered to end same-sex marriage ban

Without the legal institution of marriage, LGBT Nebraskans typically lack family health benefits, unless their employers provide them to same-sex partners.

A 2014 study from the Williams Institute at the University of California Los Angeles found that states without LGBT legal protections in place see lower rates of health insurance coverage for LGBT residents than states with protections.

That plays out in Nebraska.

A 2014 study from researchers at the University of Nebraska Omaha found that LGBT residents in the rural parts of the state have lower rates of health insurance coverage than their counterparts in urban areas.

Time to close HIV's racial disparities

Even when LGBT Nebraskans have health insurance, they struggle to find providers versed in lesbian, gay, bisexual and transgender heath care needs.

Research shows that LGBT individuals often experience health issues linked to being regular targets of discrimination or social stigma. Discrimination has been linked to higher rates of substance abuse, suicide and stress-related illnesses, which can include heart problems, obesity, eating disorders and cancer.

If the available doctors are not familiar with the increased rates of these issues, they may provide inadequate care.

Patients who find their doctors do not understand their issues may also delay treatment, often with bad health outcomes, said Jay Irwin, an assistant professor of sociology at the University of Nebraska-Omaha and a researcher in LGBT health.

Sometimes patients are turned away by providers who don't want to treat LGBT patients, particularly if there are no laws to prohibit such discrimination.

Irwin has completed studies that focus on the health care challenges of lesbians in rural areas and found that many people feel isolated and are afraid to come out -- or risk discrimination in the medical office.

Supreme Court same sex marriage decision could impact election

Nebraska's sheer size doesn't help. Sixteenth largest in the nation by geography, members of its LGBT community often live far from large cities with significant LGBT populations and with teaching hospitals with staff members who have experience working with members of that community.

The Human Rights Campaign's 2014 Healthcare Equality Index named four Nebraska health care facilities, all in Omaha, as leaders in LGBT health care equality.

Omaha is on the state's eastern border with Iowa. LGBT residents in western Nebraska -- for instance, places like North Platte -- have to travel 270 miles in either direction, to Omaha or Denver, Colorado, to reach facilities designated as leaders by the Human Rights Campaign.

People who work within the health care system have seen some improvement when it comes to treating members of the LGBT community.

Jill Young is the client services manager at Nebraska AIDS Project's Scottsbluff, Nebraska, office in the western part of the state.

She recalled when she started working there in the late 1990s she saw medical staff refuse care to LGBT people with HIV/AIDS.

HIV deaths among African-Americans drop 18%, CDC says

"We had nurses, for example, who said they wouldn't serve patients with HIV/AIDS," Young said. "But we've come a long way since then."

Young has seen more hospitals in the region adopting policies that are supportive of LGBT residents, including one that just started recognizing same-sex partners' wills as legal documents that will allow them access to their partners when they are being cared for in areas restricted to immediate family only.

But she said she still sees too many LGBT residents traveling great distances to get care and she still sees too many patients who don't seek medical care until it is too late.

"We still go to the hospital," she said, "and see people who are days away from dying."

Eric Yarwood, 44, has more experience than he would like with Nebraska's health care facilities.

He spent over 100 days last year at hospitals in Omaha for complications related to germ cell cancer.

He had nine rounds of chemotherapy, three stem cell transplants, his third surgery two weeks ago and five more days for followup last week.

For all but four of the days he was in the hospital, his partner, Aaron Persen, 36, was at his side every evening. "Aaron and I are a unit," Yarwood said. "I can count on my fingers the number of times he didn't come."

While the couple has found the overwhelming majority of physicians and medical staff to be "genuinely supportive" of their relationship,  there still were a few instances when they felt uncomfortable and unaccepted, once with a physician and another time with a nurse.

"I'm not sure how often the medical staff works with gay couples or receives training on how to work with gay couples," Yarwood said.

Same-sex marriage fast facts

Yarwood's prognosis is good, and the couple looks with optimism to a future of having more access to LGBT-inclusive health care facilities and a more inclusive state overall.

"Hopefully, by the time we get through the cancer and save a little money," Persen said, "Nebraska will follow most other states and allow our relationship to be legally recognized."

@highlight

A 2014 study finds LGBT residents in rural parts of Nebraska have lower rates of health insurance coverage

@highlight

People who wait to seek care, worried they won't find an LGBT-friendly doctor, can face serious medical consequences