Washington (CNN) -- On a typical Monday morning, lines of travelers heading toward the security checkpoint at Washington's Reagan National Airport snake past a sign that reads: "Not much longer. 25 min. approximately from this point."

But wait times could lengthen if millions of dollars in mandated spending cuts force the Transportation Security Administration to trim the number of agents that screen passengers and cargo for bombs, guns and other prohibited items.

From military training to educational grants to border patrols to hurricane relief, federal agencies face $85 billion in automatic, government-wide spending cuts this year. It was part of a $1.2 trillion deal struck by Congress and signed by President Barack Obama in 2011 to extend U.S. borrowing authority and cut the deficit.

By the Numbers: Automatic spending cuts

That budget measure -- a kind of fiscal doomsday device called sequestration -- was extended for two months this year already. Unless Congress and the president reach a deal to avert them, those spending cuts come due on March 1. Federal agencies are busy trying to find ways to minimize the impact and delay immediate reductions.

Lawmakers are wringing their hands with forecasts of doom and gloom, all the while playing a game of political chicken. Democrats, who offered their own plan Thursday, want to replace the automatic cuts with a mix of tax increases and more gradual spending cuts. Republicans want to replace it solely with other spending cuts.

Then there are those who may be willing to bring the hammer down and let the cuts occur, hinting that a dramatic curtailment in spending is exactly what the government needs to ease its multi-trillion-dollar debt.

"Tea party people are saying the sequester is a pittance," Sen. Rand Paul, a leader of the tea party faction of the Republican party, told CNN's Candy Crowley. "It's just very much the beginning. $1 trillion? We're going to increase spending by $9 trillion. So even with the sequester, spending goes up by $7-or-$8 trillion over the next several years. We're not even getting close to scratching the surface of the problem."

Still, caught in the middle are thousands of U.S. military members, teachers and federal workers who are at the backbone of government's basic ability to function.

Military pay in play in game of political poker

Cuts could hit education, the IRS, border patrols

In education, those cuts could mean $725 million less for a program that allocates funding to districts and schools with high percentages of lower income students, Education Secretary Arne Duncan told lawmakers Thursday.

It also could mean cutting funding to 70,000 low-income children who rely on Head Start for early childhood education programs. It might mean fewer teachers and staff, larger class sizes, less tutoring and higher unemployment, Duncan said, adding that he considered such cuts "morally indefensible."

"The most vulnerable students will be hurt the most," Duncan said.

Duncan, along with Office of Management and Budget Federal Controller Daniel Werfel, Housing and Urban Development Secretary Shaun Donovan and Deputy Defense Secretary Ashton Carter testified before the Senate Appropriations Committee on the impact of the proposed cuts.

Earlier this week, Homeland Security Secretary Janet Napolitano sent a letter to lawmakers saying sequester cuts could mean a potential cut in border patrol agents; difficulties for Immigration and Customs Enforcement in sustaining current detention and removal operations; increased passenger wait times at airports; reduced Federal Emergency Management Agency funding: furloughs, and more.

Spending cuts to hurt homeland security

Donovan testified that Hurricane Sandy recovery efforts, the Federal Housing Administration's ability to process loans and tens of thousands of jobs could all be affected.

Air Force bases cancel air shows

Officials at Langley Air Force Base in Virginia and Luke Air Force Base in Arizona on Friday canceled their upcoming air shows, citing both budgetary pressures and the expected consequences of sequestration.

"I cannot in good conscience spend some of our limited resources to host an open house while the Defense Department considers potential civilian furloughs," said Brig. Gen. Michael Rothstein, 56th Fighter Wing commander at Luke. The open house and air show was scheduled for March 16 and 17.

A statement from the base said officials were taking other money-saving steps, such as deferring non-mission-critical repairs and supply purchases and significantly reducing flying not directly related to pilot training.

"The Air Force has to consider the fiscal challenges affecting the Department of Defense and the nation," said Col. Korvin Auch, 633rd Air Base Wing commander at Langley. "We're taking prudent steps now in order to be good stewards of taxpayer resources while focusing on maintaining readiness."

Senate Democrats offer plan to avert mandatory cuts

Sequester may be inevitable

Despite varying efforts to come up with a solution to avert sequester, some leaders are acknowledging the cuts may be inevitable.

"It is pretty clear to me that the sequester is going to go into effect," Senate Minority Leader Mitch McConnell told reporters Tuesday.

In the last Congress, the GOP-led House passed the same measure twice to replace the across-the-board cuts with another set of federal reductions. But that bill went nowhere in the Democratic controlled Senate.

The $110 billion measure proposed Thursday by Senate Democrats calls for replacing the sequester with a combination of increased tax revenue from millionaires, ending agriculture subsidies and reducing defense spending after the war in Afghanistan ends.

By the numbers: Recent defense spending

But congressional Republicans have made clear any tax increases to avoid the sequester are a non-starter.

House Speaker John Boehner criticized the cuts, even though they were part of the 2011 debt-ceiling proposal he brokered. He has worked to pin the blame for them on Democrats.

"The sequester is bad policy. It's taking a meat ax approach to cutting government spending. That's why the president ought to be forthcoming with a plan to replace his own sequester," Boehner said.

Defense Secretary Leon Panetta put it a bit more bluntly.

"For those of you who have ever seen (the movie) 'Blazing Saddles,' it is the scene of the sheriff putting the gun to his head in order to establish law and order," Panetta said in a speech at Georgetown University. "That is sequestration."

CNN's Jim Acosta, Ted Barrett, Tom Cohen, Jeanne Sahadi, Matt Snith and Deirdre Walsh contributed to this report

@highlight

NEW: Two Air Force bases cancel air shows, citing budget cuts and sequestration

@highlight

Looming cuts in spending could reduce services, impact the military, teachers, border patrols

@highlight

Some Republicans feel even more cuts are needed, while Democrats offer a plan of their own

@highlight

Lawmakers blame each other for yet another congressional showdown