Palo Alto, CA (CNN) -- It does not make for pleasant dinner conversation. But we have a global sanitation crisis. More than 40% of the world's population does not have access to a toilet. These 2.6 billion people, most living in low- and middle-income countries in Asia and Africa, face the daily challenge of finding a bush, train track or empty lot where they can urinate and defecate in relative privacy.

Between 1990 and 2008, the share of the world's population that had access to basic sanitation increased only 7%, to 61% of the world's citizens. In many developing countries, mobile phone penetration is expanding at a faster rate than sanitation. In Tanzania, for example, half the country's citizens have mobile phones, but only 24% use an improved sanitation facility.

Saturday marks the 10th anniversary of World Toilet Day, a day set aside not simply as a celebration of this most venerable and useful of technologies, but as a way to draw attention to the crisis and some possible solutions.

This sanitation crisis is not only an affront to dignity. It results in the release of hundreds of tons of feces and urine each day directly into rivers, lakes, landfills and oceans, creating an immense human and environmental health hazard. Every day more than 4,000 young children die from sanitation-related illness. Fully half of the hospital beds in the developing world are occupied by people whose ailments can be traced to poor sanitation.

A small but dedicated community that includes governments, NGOs, donors and research institutions is working to expand access to basic sanitation services in developing countries. They employ a range of innovative strategies, including "naming and shaming" community members who defecate in the open, constructing public toilets operated by entrepreneurs, and providing subsidies to help households build their own facilities.

In most cases these sanitation champions promote or deliver "on-site" services such as a pit latrine or a toilet with septic tank. These facilities capture feces and urine in a chamber under or next to the users' dwelling. When adopted on a wide scale and maintained properly, these solutions can dramatically improve household and environmental sanitation.

On-site solutions are also popular because they cost less to build, and require much lower volumes of water than a conventional sewer system. In addition, some on-site sanitation facilities allow for the possibility of generating biogas for cooking and lighting, and for re-using composted excreta as fertilizer for agriculture.

Given all these benefits from improved sanitation, why has it proven so difficult to expand access to this essential service?

One answer may be that the kinds of sanitation facilities offered to developing country households are not terribly appealing. As sanitation guru Professor Sandy Cairncross of the London School of Hygiene & Tropical Medicine noted two decades ago, "For those accustomed to a contemplative squat in the open air in the cool of the early morning, who among them would choose a dark, damp, smelly and possibly precarious cubicle?"

Efforts to keep sanitation as low-cost as possible may also be part of the problem, at least for some consumers. Researchers from the University of North Carolina-Chapel Hill working recently in Southeast Asia found that households prefer and are willing to pay for higher quality toilets, particularly when they are marketed as a symbol of prestige and modernity, rather than just a preventive health measure.

This shift toward aspirational marketing is one important step toward generating greater household demand for improved sanitation services. In order to turn the tide on the global sanitation crisis, however, efforts are also needed to develop models for low- and no-water sanitation systems at scale, models to which municipal and national governments themselves can aspire.

In cities across the United States, the transition from outhouses and privies to sanitary sewers occurred more than a century ago, when metropolitan populations numbered in the tens or hundreds of thousands. Today there are more than a dozen cities in developing countries that have at least 5 million inhabitants, most of whom rely on latrines or toilets with septic tanks.

Municipalities with limited resources struggle to regulate, much less manage, the emptying and safe disposal of sludge from these facilities. It is estimated that only 15% of domestic waste in developing countries undergoes any form of treatment before being discharged to the environment.

In the United States, our prevailing urban sanitation model has changed little in the past century, with the typical American flushing more than 12,000 liters of potable water down the sewer every year. Despite declining per capita fresh water availability, increasing frequency of municipal water rationing and the need to replace a large share of the country's aging wastewater infrastructure, there is little discussion as to how domestically we might transition to a sustainable sanitation future that reduces freshwater requirements and lowers energy costs.

Waterless and composting toilets are niche technologies, marketed to "ultra-green" consumers and those living in remote locations. Indeed, the recycling of grey water, even for nonpotable uses such as watering landscapes, is still controversial in many places.

Certainly, most people don't want to talk about poop, much less debate whether and how it might be recycled in their communities. But it is precisely this debate that is needed. We need to trigger sanitation innovations that can benefit citizens of wealthy and poor countries, and also instigate systems that help protect the resource base they depend on for development.

Wouldn't that be something to celebrate?

The opinions expressed in this commentary are solely those of Jenna Davis.

@highlight

Jenna Davis: 2.6 billion people do not have access to toilets, a global sanitation crisis

@highlight

Every day more than 4,000 children die from sanitation-related illness, she says

@highlight

Davis: A dedicated community is working to expand access to basic sanitation services

@highlight

In the U.S., the prevailing urban sanitation model has changed little in 100 years, she says