(CNN) -- Iran's centrist president-elect expressed a willingness to open dialogue with the United States, which it hasn't had diplomatic relations with in decades, but only if the United States recognizes Iran's right to a nuclear program.

Hassan Rouhani, who won the presidency over the weekend, said in his first news conference Monday, however, that the Islamic republic has no intention of ending its uranium-enrichment program. The program is a major impetus for the international sanctions against Iran.

Calling relations between the U.S. and Iran an "old wound" and "complicated," Rouhani said that before there are talks, the U.S. must first promise to never interfere with Iranian domestic affairs and scrap its "unilateral" and "bullying policies."

"Wisdom tells us both countries, both nations need to think more about the future and try to sit down and find solutions to past issues and rectify things," he said. "The rights of the Iranian nation, including nuclear rights, need to be recognized."

"We are prepared to see tensions alleviated," he added, noting that any talks "should be based on mutual respect and interest and equal footing."

In opening his news conference, Rouhani, 65, said repairing Iran's economy and engaging in more dialogue -- both at home and abroad -- will be his administration's top priorities.

Dialogue and the economy are related, as Iran faces sharp international sanctions over its nuclear program, but Rouhani said he foresees a "fresh opportunity for interaction at the global level."

Mutual trust and transparency are key to the international community lifting sanctions, which he called "brutal, and the people of Iran have done nothing wrong to deserve sanctions."

"Making use of the lever of sanctions, this is not the right time for that. ... Even in the West, they are facing economic problems and dilemmas, and they themselves know the sanctions are to the detriment of the West," Rouhani said, adding that Israel was the only country benefiting from them. "We can make it clear to the whole world that the measures and activities of the Islamic republic are totally within international regulations and mechanisms."

Rouhani did not elaborate on how he would make the country's nuclear program more transparent, but he insisted that the Iranian nuclear program was lawful. He also voiced opposition to international "meddling" in domestic affairs.

While Rouhani encouraged Iran to act with "unity and solidarity" as it transitions to his promised moderate rule in coming weeks, he said his primary goals will be "acting in line with salvaging the country's economy, reviving morality and constructive interaction with the world."

He said he could not yet provide time lines but said he would first like to ensure that Iranians had basic commodities before his government pursues "the tranquility and stability of the economy."

This will require embracing "moderation and justice, and not extremism and egoism," he said. "Electoral promises, I will not forget them, so I beseech the almighty God to give me the opportunity to materialize all those promises."

Rouhani said he would convene groups to discuss the best ways to improve the country's social, cultural and economic affairs. "As far as practice, that job will be delegated to the people themselves," he said.

After his victory was announced over the weekend, Rouhani spoke of reforms without threatening Iran's supreme leader, Ayatollah Ali Khamenei, or the country's institutions -- of which he is a product. The former national security council chief promised greater personal freedoms and said he would free political prisoners and jailed journalists.

Israeli Prime Minister Benjamin Netanyahu has already cautioned the world against easing such sanctions in the face of Rouhani's promises.

"Regarding the results of the elections in Iran, let us not delude ourselves. The international community must not become caught up in wishes and be tempted to relax the pressure on Iran to stop its nuclear program," Netanyahu said at a weekly Cabinet meeting.

The prime minister also said Iran's supreme leader "disqualified candidates who did not fit his extremist outlook."

In his campaigning, Rouhani pledged to improve the economy and unemployment. As a former nuclear negotiator, he said, he would reduce the high tension between Iran and the outside world by addressing the sanctions.

In a message through the semiofficial Fars News Agency, Rouhani said the win "is the victory of wisdom, moderation, growth and awareness, the victory of commitment and religiosity over extremism and ill tempers."

Reaction from the West -- including that of Britain, the United States and United Nations -- revolved around calls for Rouhani to keep his promises to steer Iran in a new direction.

The United States "remains ready to engage the Iranian government directly in order to reach a diplomatic solution that will fully address the international community's concerns about Iran's nuclear program," the White House said.

While the White House respected the vote, it said the election occurred "against the backdrop of a lack of transparency, censorship of the media, Internet, and text messages, and an intimidating security environment that limited freedom of expression and assembly."

Rouhani succeeds outgoing President Mahmoud Ahmadinejad, who was term-limited and could not run in the election.

But Rouhani won't be Iran's most powerful man. That distinction belongs to Khamenei, who has been Iran's supreme leader since 1989. He's got plenty of backing, from conservative citizens to loyalist militia groups to, most notably, the Revolutionary Guard.

On his website, the supreme leader said Rouhani is the president of all Iranians and told supporters of various candidates to set aside their differences and unify.

Rouhani has all-round credentials in Iran's institutions, including as a senior cleric and former commander of Iranian air defenses, and he is an intellectual with three law degrees, including from a university in Scotland.

He has a reputation for shunning extreme positions and bridging differences.

While he has represented Khamenei on Iran's security council since 1989, he has avoided being perceived as a pushover and has taken exception with the supreme leader on being too rigid toward the international community, according to an Iranian scholar at Stanford University. He has also accused state-run media of censorship and publishing lies.

Prior to Rouhani's election, Iran's Guardian Council, an unelected body made up of six clerics and six lawyers operating under the oversight of the supreme leader, drew up the restricted list of candidates from the 680 who initially registered.

Eight candidates were approved, two of whom subsequently dropped out. The final six contenders didn't include any women. Nor did they include Ahmadinejad's aide and protege Esfandiar Rahim Mashaei, who was among those excluded by the Guardian Council.

CNN's Shirzad Bozorgmehr, Michael Martinez, Holly Yan, Michael Schwartz, Laura Smith-Spark, Reza Sayah, Azadeh Ansari and Sara Mazloumsaki contributed to this report.

@highlight

NEW: U.S. must respect Iran's nuclear rights before talks can begin, Hassan Rouhani says

@highlight

The West knows sanctions don't work, he says; they benefit only Israel

@highlight

Iran's president-elect: Nuclear program lawful, but more transparency needed

@highlight

Government will pursue policies of "moderation and justice, and not extremism and egoism"