(CNN) -- When video of Justin Bieber's deposition surfaced this week and went viral, most of us were amusedâ€”especially lawyers. (You can watch some of it here). As he answers questions for a battery case involving his bodyguard and a photographer, Bieber is glib and tries to parry the deposing attorney's questions. If we could see off camera, we might see Bieber's attorney subtly shaking his head in frustration. Counsel would know what Justin may not want to "beliebe": You only hurt yourself at a deposition when you bicker with the questioning attorney.

To those luckily unfamiliar with depositions, it may have looked simply like Bieber was being a defiant celebrity in an interview. But a deposition is no interview, and treating it that way is to invite catastrophe. Bieber made a number of missteps typical for beginners. Here's what he should have known:

What is a deposition? Testifying at a deposition looks a little like testifying at a trial. There are lawyers, a stenographer, questions and answers. But a deposition is not a trial. At trial, you can tell your story and convince a jury of your position. A deposition, on the other hand, is the other side's only opportunity to find out what's in your mind, lock your story in writing, and have it ready to bash you over the head with if you testify inconsistently at trial. Generally, the more your opponent gets you to talk at a deposition, the more information he or she has to use against you at trial. An argumentative witness like Bieber is a dream come true for his opponent.

Smile, you're on camera: Most depositions are not videotaped. It's expensive and the costs don't always justify the benefits. But Justin Bieber's opponents want him on camera, preferably preening and pugnacious. Watch, for example, when he answers: "Guess what? Guess what? I don't recall." Had the deposition only been recorded in a transcript, on paper that looks pretty innocent. But watch the oozing hostility on the video, and his dramatic "I don't recall" might play to a jury as "I am conveniently forgetting negative evidence." His opponent scored points deposing him on camera.

You can't answer if you don't know the question:  Bieber can be seen interrupting questions to answer. A witness should always wait until the question has been completely asked. First, someone is typing the questions and answers into a transcript, and interruptions end up looking like someone spilled Scrabble letters onto a piece of paper: Unintelligible. A witness should only answer the question asked, lest he volunteer information to help the other side. And, if a question hasn't even been finished yet, a witness can't possibly limit the answer to the question asked -- he doesn't know what the question is yet! Best practice? Wait until the question is complete; pause and ask yourself if you understand the question; if you do, ask yourself if you know the answer to the question; if you do, only answer the question asked.

Depositions are not soapboxes:  At a deposition, you will never "show up" the other side's lawyers. You are not there to show them the error of their ways and win them over. They will not turn to colleagues and announce: "You know what? After hearing this story, I think we're on the wrong side of justice here. We should pack up and go home. Thanks for your time, Mr. Bieber."

Objection to the objection: Bieber can be heard warning the lawyer not to ask about sensitive subjects, like his possible relationship with other celebrities. Elsewhere, he actually (and hilariously) interposes his own "objection." At a deposition, the lawyer asks the questions, not the witness.

The witness doesn't decide what's relevant. At a deposition, "relevant" subject matter is any question "reasonably calculated to lead to the discovery of admissible evidence." It doesn't have to be admissible evidence, just calculated to possibly lead to admissible evidence.

Therefore, virtually any question is arguably proper. That's why grizzled veterans of "deps" routinely acknowledge that, practically, they can feel like a fishing expedition. Bieber may not like the questions, but he takes his chances with the judge if he refuses to answer.

Arguing requires additional words:  Don't argue with the lawyer, Justin. The rules of evidence are always skewed in favor of the attorney, and against the witness. Witnesses are often smarter than the lawyer, but the rules simply give the lawyer an overwhelming advantage. Moreover, arguing takes more words than simply answering yes or no.

Bieber's opponent benefits from each additional word Bieber says, because that's part of another sentence the singer needs to testify consistently with at trial. We all know it's nearly impossible to tell the same story twice, but a good cross-examiner will make minor inconsistencies from an earlier deposition look like a flawed memory, or worse, paint the witness as a liar.

In text form, sarcasm doesn't read like sarcasm:  Sarcasm is using words to indicate (sarcastically) the opposite of what you really want to say. Sarcasm really comes out in the way you say something.

Q: Did you shoot the sheriff?

A: Oh yeah, sure. I shot the sheriff.

See? Without the benefit of the voice and visual elements of sarcasm, on paper someone just admitted to shooting the sheriff, when maybe they wanted to be sarcastic. Devastating.

For the most part, you're on your own: Bieber's lawyer actively objected to protect his client, but deponents often feel like their lawyers aren't getting involved enough. For the most part, lawyers cannot. The rules of discovery seriously limit how much Bieber's attorney can object. He can object "for the record," which means the judge can later decide if the answer is ultimately admissible at trial. Of course, some questions are so outside the realm of relevance or civility that the attorney has to intervene. The questions about Bieber's personal relationships could potentially fall into this category, because they appear to stretch the boundaries.

It wasn't all terrible: In fairness to Bieber, he did some things right. He made it clear when he did not understand a question. That's critical, because if he answers a question without fully understanding it, the court will later on assume he understood it when he answered it. Bieber appears on the video to really think about the meaning of the questions and his answers. If he could carve out his other behavior, in some respects, he's not half-bad as a deponent.

The opinions expressed in this commentary are solely those of Danny Cevallos.

@highlight

Danny Cevallos: Justin Bieber is petulant and sarcastic in a videotaped deposition

@highlight

Cevallos: Bieber should know this is not an interview: Interruptions just hurt his side

@highlight

Cevallos: Depositions are not soapboxes; you aren't there to match wits and bicker

@highlight

Cevallos says all you say in a deposition is fodder for lawyers, so the less you say the better