(CNN) -- The latest in a series of beleaguered Carnival cruises made its way back to port early Sunday, capping a harrowing week for passengers aboard several troubled ships.

The Carnival Legend arrived in Tampa, Florida, hours ahead of schedule Sunday morning after propulsion system problems hampered its sailing speed.

The company had to cancel a scheduled stop on Grand Cayman because of the technical difficulty.

But Carnival Cruise Lines said the Legend is still scheduled to head out for its next voyage on time Sunday afternoon while technicians continue working on the repairs.

"The ship is expected to operate its normal itinerary with the exception of one port -- Grand Cayman -- which is being replaced by Costa Maya," Carnival said in a statement. "Any guests wishing not to proceed based on the change to one port of call have been given the option of canceling and receiving a full refund."

The company stressed that all safety systems, steering and hotel services were functioning normally.

But dismayed vacationers from the Legend's previous voyage vented their frustration.

"Passengers are now really pissed off," passenger Rob Bonenfant said via e-mail before the ship's arrival. "Mood on the ship is getting worse among passengers, captain is giving limited information."

Senator proposes cruise 'bill of rights'

The Legend's malfunction is the latest in a growing list of woes for the travel company. In the past month, three other Carnival cruise ships have reported problems.

One U.S. lawmaker said Sunday that the recent cruise incidents prompted him to propose a "Cruise Ship Passenger Bill of Rights."

Sen. Charles Schumer, D-New York, said he was asking the cruise industry to voluntarily sign on to a list of guidelines, including the right to backup power if generators fail and the right to disembark a docked ship "if basic provisions cannot adequately be provided on board."

He also called on the International Maritime Organization to investigate whether cruise lines are following existing guidelines, and whether existing standards are being enforced by countries where cruise ships that serve U.S. passengers are based.

"Cruise ships, in large part operating outside the bounds of United States enforcement, have become the wild west of the travel industry, and it's time to rein them in before anyone else gets hurt," Schumer said in a statement. "This bill of rights, based on work we've done with the airline industry, will ensure that passengers aren't forced to live in third world conditions or put their lives at risk when they go on vacation."

Carnival Dream: Stuck in the Caribbean

The Carnival Dream lost power and some toilets stopped working temporarily last week, and for a while no one was allowed to get off the vessel docked at Philipsburg, St. Maarten, in the eastern Caribbean.

Gregg Stark, who was traveling with his wife and two young children on the Dream, said conditions on the ship were deplorable.

"There's human waste all over the floor in some of the bathrooms and they're overflowing -- and in the state rooms," he said last week. "The elevators have not been working."

Another passenger, Jonathan Evans, said passengers were kept on the ship "despite the fact that we have no way to use the restrooms on board."

But Carnival told CNN that based on conversations with the ship's management, a look at service logs "and extensive physical monitoring of all public areas, including restrooms, throughout the night, we can confirm that only one public restroom was taken offline for cleaning based on toilet overflow and there was a total of one request for cleaning of a guest cabin bathroom."

Carnival said the ship's emergency diesel generator failed, but the cruise line disputed notions of a widespread system failure.

"The ship's power plant, propulsion and hotel systems are fully operational. Aside from some periodic interruptions to restroom and elevator service for a few hours Tuesday night, at no time have any of the ship's systems and services not been functional," Carnival said in its statement.

The company said it was flying the more than 4,000 passengers and will give them discounts. By late Saturday, most of the passengers had left St. Maarten by air.

Once all passengers leave the ship, the Dream's crew will sail back to Port Canaveral on Sunday, the company said. The ship's next voyage has been canceled.

Passenger David Howard said he thought conditions were fine aboard the Dream, but said he was frustrated with how his family and other passengers were treated and by the "lack of communication."

Howard said he and his family weren't told until 1:45 a.m. Friday they had to get off the ship by 7:30 a.m., so they had to rush to pack in the middle of the night.

A message from the captain

Dream passengers received a letter from the captain, according to a passenger who e-mailed a photo of the correspondence to CNN.

Capt. Massimo Marino told passengers they would be booked on flights to Orlando or another destination. Passengers with cars at Port Canaveral would be bused from Orlando to the facility about an hour away.

"We sincerely apologize for the disappointment this unexpected change has caused and regret we were unable to provide you with the fun and memorable cruise vacation we had in store for you," he wrote.

The letter also offers passengers a three-day refund and a half-price cruise in the future.

Crisis communication expert Tom Donahue said Carnival may be making the right operational decisions. But the frequency and effectiveness of communications to passengers -- who have no other information source -- are what influences the passengers' perspective.

Carnival Elation

Like the Carnival Legend, the Carnival Elation suffered problems with its Azipod, a crucial part for steering and propelling a vessel.

A tug boat trailing the ship as it travels on the Mississippi River is "purely a precautionary measure," the company said.

Memories of the defeated Triumph

In the most publicized case, an engine room fire last month left the Carnival Triumph crippled and adrift in the Gulf of Mexico with more than 4,200 people aboard.

That scheduled four-day cruise stretched into eight days as tugs pulled the vessel into port in Alabama. Food was scarce, passengers sweltered in the heat with no air conditioning, toilets overflowed, and human waste ran down the walls in some parts of the ship, passengers reported.

A class-action lawsuit against Carnival Corp. followed.

The Triumph is still being repaired at a shipyard in Mobile, Alabama, Carnival spokeswoman Joyce Oliva said.

Last week, Carnival announced it was conducting "a comprehensive review" of all 23 of its ships after the fire that crippled Triumph.

Carnival President and CEO Gerry Cahill said the investigation will focus on the prevention, detection and suppression of fires, engine room redundancies and what additional hotel facilities might be provided and might run off the emergency generators.

"We are now focused on the lessons we can learn from the incident and also what additional operational redundancies might be available," Cahill said last week.

Another ship, the Carnival Splendor, had a fire in 2010 due to "a catastrophic failure of a diesel generator," he said.

Not doomed

Despite all the recent problems, Donahue doesn't see any long-term negative effects for Carnival or its competitors.

"I don't necessarily see (last) week's events, or even combined with the Triumph event, as casting a pall on the cruise industry," he said, noting that several colleagues and friends who have recently gone on cruises, including on Carnival, enjoyed their vacations.

"People generally accept that complex pieces of equipment can encounter challenges. That's not the hurdle. I don't think anybody considering the cruise would be unforgiving of an unforeseen event, because those types of events occur with complex systems. People are far less forgiving (when) communications around the events seem to be lacking."

CNN's Mark Morgenstein, Dave Alsup, Chuck Johnston, Tina Burnside, Marlena Baldacci and Catherine E. Shoichet contributed to this report.

@highlight

NEW: Sen. Charles Schumer proposes a cruise ship passenger "bill of rights"

@highlight

Carnival Legend arrives in Tampa after technical difficulties that affected sailing speed

@highlight

Most Carnival Dream passengers have flown home after on-board problems

@highlight

A tug boat is trailing the Carnival Elation as a precautionary measure, the company says