(CNN) -- The publication of a report into child abuse in the northern town of Rotherham, England has shocked Britain to the core.

The report, by Professor Alexis Jay, gives a "conservative estimate" of 1,400 children being sexually assaulted over a 16-year period. They were beaten, kidnapped, raped and trafficked. Some victims were as young as 11.

How could it happen here, in a modern country that professes to care for the vulnerable? The horrors in Rotherham first came to light in 2010, when five men were jailed for sexual offenses against underage girls. A journalist's investigation into the wider scale of abuse prompted the local council to conduct its own report -- and it's the staggering numbers revealed in Jay's findings that have caught the public's attention.

Many of the headlines have focused on the racial makeup of the culprits, who were overwhelmingly Asian males. The report concludes that elected council officials were reluctant to talk directly to the Pakistani community about the problem and that some staff were frightened of being labeled "racist" for doing so.

All of which confirms the assertion from the British right wing that a climate of "political correctness" permitted the abuse to go on. It's impossible not to infer that children could have been rescued had quaint notions of "racial sensitivity" been put aside. The inquiry heard that influential elected Pakistani councilors acted as "barriers of communication."

But a focus on political correctness should not distract from the wider, institutional betrayal of children by police, social services and local politicians. The scale of which was staggering and the neglect sometimes willful. Professor Jay states that "nobody could say 'we didn't know' "

The crimes were committed in the open. The report explained how the grooming of victims (from all racial backgrounds) occurred: "Schools raised the alert over the years about children as young as 11, 12 and 13 being picked up outside schools by cars and taxis, given presents and mobile phones and taken to meet large numbers of unknown males in Rotherham, other local towns and cities, and further afield." The girls often believed their rapists were boyfriends, men of relative wealth and sophistication, who gave them gifts and introduced them to others.

These crimes were often reported. Some police officers, according to Jay, treated the accusers with "contempt." This was likely because they were children being held in care by the local authority, meaning that they were separated from their parents and typically living in homes provided by the taxpayers. Their claims were either disbelieved or the encounters possibly dismissed as typical behavior for someone of their social status.

On one occasion, a police officer said that a 12-year-old having sex with five adults shouldn't be categorized as sexual abuse because it was "100% consensual in every incident" (this advice was overruled). I don't need to spell out that British law sees things very differently.

When crimes were reported, cases were gathered and reports filed to the council's staff and elected officials. The scale was such that they were often greeted with disbelief. Three summaries were written in total by justice officials. All three were largely ignored by the police and the council.

When the scandal first went public in 2010, the leader of Rotherham's children's services resigned. Just two years later, the opposition Labour Party endorsed him for its candidate to be elected Police and Crime Commissioner for South Yorkshire. The leader of the party, Ed Miliband, posed with him in an election photo. He won the election and there are now demands -- including from Labour -- for him to resign. Thus far, he has refused.

It's impossible to make sense of this story.

The barbarity is so enormous, so terrible. There is also the frightening possibility that those responsible for failing to defend the children will not see justice. The report does not name names and it's likely that the social workers and council staff who were so obviously negligent have moved on to jobs in other areas, spreading their incompetence across the country.

While some observers wish to pin the problem on political correctness and others on under-funding, a more simple truth emerges. Individuals did not do their jobs. In some cases they looked the other way. And it's just possible that they will get away with it. They are shielded by political self-delusion.

Rotherham council announced the report's findings with the following assertion: "Services to protect young people at risk from child sexual exploitation in Rotherham are stronger and better co-ordinated across agencies today than ever before, an independent review has found."

This is a stretch, to say the least. Professor Jay did indicate that services have improved at the council but added that it remains understaffed and the long-term victim support inadequate. Importantly, criminal convictions are still woefully low -- a continuing failure by the police.

Britain has a number of problems to face up to. One is a hidden history of child abuse, most dramatically brought to light by the revelations that the late children's entertainer and radio host Jimmy Savile (a friend to the rich and powerful) used his position to exploit the vulnerable.

Another problem is that our public services can operate poorly and by their own standards. Our welfare state is generous and -- including in Rotherham -- boasts excellent staffs doing fantastic work. But it also employs, even provides cover for, individuals who are negligent.

A full public inquiry must be held into what happened in Rotherham, a scandal that repeats much of what has also happened in Rochdale, Derby and Oxford and which is almost certainly taking place today. That is the only effective way to expose those responsible, and to shed light on the Dickensian nightmare playing out in modern Britain.

@highlight

Tim Stanley: Report about sex abuse of 1,400 children shocked Britain. How could it happen?

@highlight

He says some blame authorities' PC reluctance to intervene; offenders were Pakistani

@highlight

But he says blame, too, an institutional betrayal by police, social services and politicians

@highlight

Stanley: Britain must face hidden sex abuse, unpunished negligence. Inquiry must bring justice