It's graduation day and professor Jonathan Jansen strolls around the campus of the University of the Free State. Every now and then he stops to greet his gown-clad students, standing out amid a crowd of beaming parents and proudly grinning teachers.

As rector of the formerly all-white educational institution in Bloemfontein, South Africa, Jansen is about to use his graduation ceremony speech to teach his students one last lesson.

"I urge you, in a country where there's still a lot of rage, never respond by rage, respond through reason and you will have gotten not just a degree, but an education," says Jansen, looking into the eyes of his students.

Jansen, the first black dean of education at the University of the Free State, is one of South Africa's leading academics and intellectuals.

Throughout his long and esteemed educational career, which has taken him from teaching biology in high school classrooms to leading one of South Africa's premier learning institutions, Jansen has been doing everything he can to keep education uppermost in the minds of his students.

"The way out of poverty is through learning and those basic values I have carried with me throughout my leadership," says Jansen, who is not only an academic but has a wider audience as author, newspaper columnist and the president of the South African Institute of Race Relations.

Read more: Oprah a 'proud momma' as first Academy students graduate

The son of a preacher, Jansen was born in Cape Flats, a violent, gang-infested area on the fringes of Cape Town. Life was tough for the future educator, coming of age in a country plagued by apartheid -- he says that growing up as a black boy in Cape Flats, there was a "greater chance" of going to prison than going to university.

But despite the disadvantages of his surroundings, Jansen believes he thrived, thanks largely to the example set by his parents -- he described them as "Old Testament figures -- my father being Abraham, my mother being Sarah."

"Here you had parents that raised you in a bubble of decency, of this is what you do and don't do, this is the direction out of poverty," he says.

Even though his parents' families were both materially dispossessed under Apartheid, Jansen says his father and mother raised their children with a strong sense of not being bitter, of being generous to those who are poor and of living a life "without respect for color."

"That helped us enormously," he says, "so as I looked outside I could see people killing each other, I witnessed the rape of women, I saw horrible things happening around me, but it was as if it did not happen because in this bubble that Abraham and Sarah raised us, there was an understanding of yourself that was unshakeable -- central to that was education."

Passionate about the transformative power of knowledge, Jansen holds strong opinions about the state of education in South Africa.

He argues that years of maladministration left the country with a failing state education system. He is also regularly heard lambasting the country's low teaching standards, which allow students in some cases to pass exams with as little as 30%.

"It's odd for me because it's like we don't get it that in a modern interconnected economy you better be up there playing with the best," he says. "I take this to be another symptom of how we've succumbed to the apartheid message that we can't, that we're inferior, that we need to beg for participation and that does much more damage than any politician can imagine."

Read more: Elite boarding school aims to create Africa's future leaders

A firm believer of the society's responsibility to insist on a qualitative education system, Jansen,  a Fulbright scholar, assumed his current role at the University of the Free State in 2009 after the institution faced controversy over racism and racial integration.

In 2008, a video surfaced of four white students at the university urging at least five black housekeepers to eat what appeared to be urine-tainted beef stew. The incident sparked national outcry and shed light over South Africa's racial integration problems.

Citing reconciliation "on a deeply divided campus," Jansen decided to invite the students to return to the university and resume their studies, regardless of their legal consequences.

"We decided ... to offer to the boys an institutional message of forgiveness and acceptance, that they could come back in and participate in a process of reconciliation with the people that they had hurt."

The students were fined after pleading guilty to deliberately injuring another person's dignity, but they rebuffed Jansen's invitation to return to the university.

Jansen was roundly criticized for that gesture, which only served to contribute to his reputation for being outspoken.

"If in the process of forgiving and reconciling, we enable other transformations to take place, which is exactly what happened, then that is a better way to go than the thirst -- the understandable thirst let me say -- for vengeance," he says.

Back at the graduation ceremony, Jansen's moral code of reconciliation over retribution returns once again.

"I don't care what else you've learned at the University of the Free State," he tells the graduates, "but you know this is a university that in the world is regarded as a place that chooses reconciliation over revenge, that chooses compassion over striking back, that chooses mercy over retaliation."

@highlight

Professor Jonathan Jansen is one of South Africa's top academics

@highlight

He is the rector of the University of the Free State in Bloemfontein

@highlight

Jansen is passionate about teaching his moral code: reconciliation over retribution

@highlight

He is also an author, columnist and the president of the South African Institute of Race Relations