Istanbul, Turkey (CNN)The questions Turks asked on Tuesday were tinged with fear.

"What's going on? What happened? Why can't I get into the subway?" asked an elderly woman in a white headscarf with several shopping bags as she stood outside the barricaded entrance to one of Istanbul's busiest subway stations.

She was one of millions of Turks left confused and concerned by the worst power outage to grip the country in more than a decade.

Dozens of cities across Turkey lost power for hours on Tuesday.

Millions of people were affected, including passengers stranded on paralyzed trains and subways. Municipal workers were forced to evacuate Istanbul's Marmaray Tunnel, where the black-out left commuters trapped deep beneath the rushing waters of the Bosphorus Strait.

More than 24 hours later, Turkish officials were still at pains to explain the power outage.

The energy minister suggested a possible failure in transmission lines. The prime minister did not rule out the possibility of a terror attack.

The mysterious collapse of much of the country's energy grid triggered a burst of wild conspiracy theories across social media.

Some Twitter users went so far as to suggest the black-outs were a warm up for elections scheduled to take place in June.

There is fertile ground for rumor-mongering in Turkey.

Over the last five years, security forces have arrested hundreds of army generals, journalists, prosecutors, civil society activists and police commanders and accused them of being members of assorted plots aimed at toppling the government.

The government's increasingly heavy-handed repression of public dissent, combined with overt censorship of the media and the internet, have also contributed to a hyper-polarized and deeply mistrustful political atmosphere.

Even Turkey's veteran deputy prime minister, Bulent Arinc, recently observed that opposition supporters now look at him "with hatred" rather than the grudging respect he enjoyed when his political party first swept to power in elections in 2002.

Meanwhile, mysterious black-outs are a sore spot for some Turks, after a surreal 2014 incident on election night -- allegedly involving a feline saboteur. That is -- a cat that allegedly wandered into a power transformer.

That was almost exactly a year ago, a smaller series of power outages affected some polling stations during nationwide municipal elections, prompting unsubstantiated accusations of vote rigging.

The ruling Justice and Development Party ended up winning by a comfortable margin, but few Turks were reassured by the energy minister's explanation that the voting day black-outs were caused by a cat getting lost.

As electricity was just starting to come back on in Istanbul on Tuesday, a second crisis erupted.

Websites linked to an extremist leftist militant group known as the DHKP-C began publishing chilling photos of a masked man holding a pistol to the head of a hostage in front of communist flags.

Two gunmen had somehow infiltrated the Palace of Justice, the monolithic court house in the center of Istanbul. There they took hostage Mehmet Selim Kiraz, the prosecutor in charge of one of the most politically sensitive trials in the country.

The gunmen demanded the confessions of police officers accused of shooting a tear gas canister at Berkin Elvan, a 15-year-old boy who was critically wounded during anti-government protests that raged across Istanbul in 2013.

The boy's death after months in a medically-induced coma triggered a fresh burst of protests and riots against the government.

On Tuesday, in the midst of the hostage crisis at the court house, the Turkish government imposed a gag order banning broadcasters from reporting on the Palace of Justice siege.

The broadcast ban is a measure that the Turkish government has repeatedly used in recent years to stifle reporting on deadly terrorist attacks.

The government also famously shut down Twitter and YouTube in an effort to kill highly embarrassing political scandals involving corruption.

Ultimately, Tuesday's court house siege ended in a deadly hail of bullets that left both gunmen dead and the prosecutor mortally wounded. Turkish officials say special forces raided the court house only after the militants began shooting.

Online and in the streets, some Turks began linking the massive electricity blackouts to the hostage-taking inside one of Turkey's best-protected buildings, even though there is little to suggest the two incidents are connected.

Just hours after the shooting, tensions exploded yet again at the court house.

Istanbul's police chief had called for a press conference. As journalists jostled their way through security at the entrance to the largely deserted courthouse, some bystanders began chanting "government thieves." Just hours after a devastating lapse of security at the Palace of Justice, police began detaining the demonstrators hurling abuse at their elected government.

The reactions to Tuesday's bewildering series of events revealed several truths about contemporary Turkey.

The country is tense and confused after years of back-to-back political crises.

Heavy-handed censorship has left the mainstream media widely distrusted and discredited by broad segments of society. And the absence of a common, credible space for sharing information has pushed critics of the government to the fringes of social media.

Amid the burst of optimism and civil society activism in the early heady days of the Arab Spring in 2011, Turkey was often cited as a possible democratic model for countries in the Middle East.  Many of those Arab countries have since descended into conflict, repression and instability.

In the meantime, Turkey feels increasingly vulnerable to demons of its own making.

@highlight

This week, Turkey was gripped by a massive power outage and a deadly hostage crisis

@highlight

Reactions reveal contemporary Turkey is tense and confused after years of political crises

@highlight

Censorship has pushed critics to fringes in country cited as democratic model for Mideast