MOSCOW, Russia (CNN) -- Two sentences inscribed above the refurbished entrance hall of Moscow's Kurskaya metro station are causing great agitation for survivors of Russian labor camps.Yuri Fidelgoldsh, who had five ribs removed after imprisonment six decades ago, is one of the offended survivors.

This slogan at a Moscow metro station has stirred controversy: "Stalin reared us on loyalty to the people."

"Stalin reared us on loyalty to the people," says the inscription above the pristine marble floors of the metro station. "He inspired us to labor and to heroism."

Fidelgoldsh, now 82, doesn't use the metro station much, but he has been there to see the restoration. When he invokes the name "Stalin," he gets angry. "For people who were imprisoned, punished and whose parents were killed, this is still in their hearts," Fidelgoldsh says.

Kremlin critics are outraged by the restored motto at the station. They say it's the latest attempt by the government to rehabilitate the image of Joseph Stalin, the late Soviet leader largely responsible for the division of Europe, the deaths of nearly 20 million people and the creator of the Eastern Bloc.

"I have no positive emotions towards Stalin," Fidelgoldsh adds. "He's a college dropout who went into politics and became a leader of a party which fit his needs. He didn't exactly impress me with his 'great' mind." Watch report on the rehabilitation of Stalin's image »

The phrase at the metro station came from the original Soviet national anthem, written in 1944 by Sergey Mikhalkov. During the de-Stalinization process that began under Nikita Khrushchev after Stalin's death in 1953, statues and other vestiges of his immense cult of personality were removed. In 1977, Mikhalkov rewrote the anthem to delete references to Stalin, and the metro station removed the original inscription of his words.

The entrance hall to the station underwent extensive renovation over the past year, complete with new columns and polished marble floors. It's located on the main metro line around the city's center, through which tens of thousands of commuters pass every day.

On a recent day, a woman named Nadia said she had no problem with the slogan honoring Stalin. She grew up after the fall of the Soviet Union and during the prosperous Putin years. "I think we shouldn't be ashamed because this is a part of our history. We have to somehow accept the history," said Nadia, who didn't want to give her last name.

The Kremlin declined comment for this story. Pavel Suharnikov, the press director for Moscow Metro, said, "We do not wish to discuss this matter anymore, but I will say that I don't see any political motivation behind the restoration of Kurskaya."

Travelers at the metro station first saw the words hailing Stalin at the start of 1950, when the station opened as one of the grand post-World War II constructions. It was contracted by Stalin himself.

"This metro station was built by prisoners of gulags who were in there for no reason, just because. They were the ones building this station. I think all of this is simply wrong," says Valeri M. Shevchenko, a musician, whose father suffered at the hands of Stalin's regime.

"They came in the morning, Stalin's police, took everyone outside and shot my grandfather in front of his family. My grandmother and her eight children, including my father who was 8 at the time, were sent to work camps. Only three children survived."

As Shevchenko looks around the metro station today, he shakes his head.

Irina Sherbakova, Moscow director of the Russian-based International Memorial Society, says this new "re-Stalinization" is a step back for democracy in Russia. "It's clear that our nation has declined to accept democracy and individual freedoms, as a principle."

The Memorial Society is a community of dozens of human rights organizations in different regions of Russia, Ukraine, Kazakhstan, Latvia and Georgia that formed in 1990. It is responsible for preservation of the societal memory of the severe political persecution of the Soviet Union.

The return of the anthem line at Kurskaya may prove to be culturally dividing. According to the Memorial Society, more than 40 percent of citizens favor Stalin's rehabilitation. "That means people don't care about what was happening to their ancestors. There are no plaques on our buildings and in our schools. It's not at all about restoration and preserving the memory," says Sherbakova.

Fidelgoldsh, the gulag survivor, was arrested by Stalin's militia on the streets of Moscow in 1948. A friend of his had admitted under questioning -- with a promise to be released -- that they had privately criticized Stalin's regime. The two, along with another friend, were charged with anti-Soviet agitations and forming an anti-Soviet group.

They were sent to a labor camp near Magadan, in eastern Russia. Fidelgoldsh was imprisoned for eight years. The friend who turned him in spent the next 30 years in various camps and prisons, where he eventually died.

Fidelgoldsh shows a picture of himself at the time of his illness, which was taken by camp authorities and sent to his mother to show that her son was alive and well. He looks weak and pale.

"I nearly starved a few times. They gave me a small loaf of bread daily, but I couldn't survive on that, and quickly became too thin and weak to perform," Fidelgoldsh says. "Eventually, I became sick with tuberculoses and spat blood."

Sherbakova, the Kremlin critic, says it's a slippery slope when a nation like Russia appears to be rewriting history.

"No matter what our politicians may say and do, unless they are willing to accept the past for what it was and treat it properly, the current generations, who are growing up with World War II as a thing of the past, are under threat of repeating the same tragic mistakes," Sherbakova says.

Joseph Stalin became the general secretary of the Communist Party in 1922. When Vladimir Lenin died in 1924, Stalin essentially installed himself as the Soviet heir.

Stalin purged the party of "enemies" in what was known as the Great Terror of the 1930s. Tens of thousands of people were executed and millions were forced into the gulag labor system.

CNN's Wayne Drash contributed to this report.

@highlight

Newly restored slogan at Moscow metro station hails Stalin, draws criticism

@highlight

Gulag survivor: "For people ... whose parents were killed, this is still in their hearts"

@highlight

Group says 40 percent of Russians are in favor of rehabilitation of Stalin's image

@highlight

"That means people don't care about what was happening to their ancestors"