Washington (CNN) -- President Barack Obama's decision to seek congressional authorization of a military attack against the Syrian government is in part his way of trying to fix a legal problem.

The president's decision to launch military strikes that would be "limited in duration and scope" is illegal under international law, legal experts say. The United Nations charter generally doesn't allow nations to attack other nations unless the attack is in self-defense or has the approval of the U.N. Security Council, neither of which is the case in Syria.

That's a problem for a president, who has tried to distinguish his administration from that of President George W. Bush on the idea that he is bringing the United States back into compliance with international law.

CNN has learned that the Justice Departments' Office of Legal Counsel provided the president with a preliminary legal opinion on carrying out the Syrian attack. OLC lawyers are the ones who advise the president on whether he is acting lawfully under federal statutes and the Constitution.

The opinion was provided verbally to the White House and is expected to be followed with a formal written opinion in coming weeks. The exact legal reasoning in the opinion could not be learned but sources familiar with the matter said the president's legal team believes he is acting lawfully.

Is it 'High Noon' for Obama on Syria?

To help bolster the president's legal case, the Obama administration over the weekend asked Congress to authorize the use of military force.

It's a departure for the president, who didn't seek similar approval when the United States joined a United Nations-sanctioned bombing campaign in Libya. But it is more in line with the view that Obama expressed as a senator and presidential candidate, that presidents need congressional approval to wage war.

Congressional approval wouldn't solve the problem with international law, a senior administration official said, but it would enhance the legitimacy of military action.

Obama, in a Rose Garden statement Saturday, spoke of the humanitarian and moral reasons to respond to what the United States says is clear proof that Syrian President Bashar al-Assad's forces have used chemical weapons against civilians. Obama called the most recent alleged chemical weapons attack near Damascus "an assault on human dignity."

A senior administration official acknowledged the international legal constraints but said the president is authorized to take action with or without Congress, in part for U.S. national security reasons.

The president in his Saturday statement said the use of chemical weapons against civilians poses "a serious danger to our national security."

The administration uses similar language in the Authorization for Use of Military Force proposal it is presenting to Congress, citing the need to protect the United States and its allies and partners from the threat of chemical weapons.

A second senior administration official said the United States is acting on humanitarian as well as security grounds.

"We are not trying to address all of the humanitarian aspects of the crisis, but the security and humanitarian elements of the situation are inextricably linked and it would be artificial to separate them," the official said. "The security situation endangers the welfare of the populations in the region, and the humanitarian situation -- including the flows of refugees and displaced persons -- endangers the security and stability of countries in the region.

"Left unanswered, there is serious danger that the August 21 use of chemical weapons would lead to further use in this and future conflicts, posing a humanitarian threat both to those victims who would suffer these weapons' scourge and a security threat to neighbors, others in the region, and the international community as a whole."

The thorny political and legal problems the president faces were on display over the weekend as some lawmakers returned to Washington early to receive intelligence briefings and to prepare to vote on the authorization. The administration's proposed authorization for action in Syria is broad and open-ended, and many lawmakers emerged from briefings with deep misgivings.

Republican Sen. Roy Blunt of Missouri said that among about 100 members present, the biggest single concern was the "very broad request for authority" that is at odds with the narrow scope of the mission the president outlined.

Syria vote could have consequences for 2016

Democratic Sen. Pat Leahy of Vermont, chairman of the Senate Judiciary Committee, on Sunday told reporters he would propose a more narrowly tailored authorization.

Fears grew over the weekend that the administration's broad proposal could lead to a wider conflict and perhaps U.S. military strikes in Iran or Lebanon, because Iran's Lebanon-based Hezbollah allies are providing support to the Assad regime.

The administration official said the military authorization was written narrowly to address Syria but asserted it also has to take contingencies into account. If the United States found chemical weapons were being transferred to Iran, and the only way to stop such a move was by striking in Iran, then the proposed authorization wouldn't prevent Obama from ordering such strikes.

John Bellinger, former legal adviser to the State Department and the National Security Council under President George W. Bush, said Obama's international law problem is of his own making.

"This particular president has boxed himself into a corner to distinguish himself from his predecessor," he said.

Of Obama's planned Syria military strikes, Bellinger said, "even if it's with the purest of motives, it makes him look hypocritical."

Robert Chesney, a University of Texas law professor, drew parallels to the Clinton administration's bombing against Serbian forces to protect Kosovo. In that case, President Bill Clinton ignored the fact that a proposed military force authorization was voted down in Congress.

Chesney said the problem is that international law doesn't necessarily take into account events like those in Syria or Kosovo. In these cases the argument becomes, Chesney said, that "it was legitimate, but illegal (under international law). It was the good thing to do because of the moral reasons."

Some human rights groups have long pushed for international law to allow outside intervention to stop atrocities. The United States and other nations have been reluctant to accept such a broad change, Bellinger said.

The administration's lawyers have been careful to guide the choice of words used by top officials. Obama and Secretary of State John Kerry, who made a forceful case for military action on Friday, have carefully portrayed al Assad's actions as violating "international norms."

That's in part because Syria isn't among the 188 countries, including the United States, that signed the Chemical Weapons Convention, the treaty that prohibits the production and use of such weapons.

Obama has long grappled with the issue of how to deal with civil war atrocities when international law doesn't offer a way to stop them. In his December 2009 speech to accept the Nobel Peace Prize, Obama endorsed a call for an "evolution of human institutions."

On one hand, he said, it is important for the United States and other nations to respect international rules, saying "when we don't, our actions appear arbitrary and undercut the legitimacy of future interventions, no matter how justified."

But then he also noted the need to "prevent the slaughter of civilians by their own government, or to stop a civil war whose violence and suffering can engulf an entire region."

Obama added: "I believe that force can be justified on humanitarian grounds, as it was in the Balkans, or in other places that have been scarred by war. Inaction tears at our conscience and can lead to more costly intervention later. That's why all responsible nations must embrace the role that militaries with a clear mandate can play to keep the peace."

Military has concerns about Syria mission

@highlight

NEW: The Justice Departments' Office of Legal Counsel provides the president with a preliminary legal opinion

@highlight

Obama's plan to strike Syria is not legal under international law, experts say

@highlight

Congressional approval would lend it some legitimacy, an administration official says

@highlight

Lawmakers briefed on the administration's proposal say it is too broad