(CNN)There can be no March without the madness.

When it comes to college basketball, the first month of spring ushers in a frantic slew of games to determine seedings for one of the most fervently watched sporting events in the U.S., known simply as the NCAA Tournament, or more often, March Madness.

Like English soccer's FA Cup, much of the 68-team tournament's appeal is its egalitarian system of pitting traditional powerhouse programs like Duke, UCLA and Kentucky against relative minnows like Saint Mary's, Butler and Davidson.

And both competitions offer the carrot of being able to impress scouts from top pro teams -- a first-round NBA pick can expect to earn anywhere from $755,000 to $5.75 million. Not bad for a graduate.

Last year's tournament reached 102 million viewers, while almost 740,000 fans attended the 36 sessions.

"When you go to college, maybe your number one goal before you graduate is you want to be able to play in the NCAA tournament," says Bryce Drew, head coach and former player at Valparaiso University in Indiana (28-5, Horizon League champions). "It's the biggest stage for college basketball, and it's one of the biggest national events in all of America."

Drew knows just how big an impact that high-profile stage can have on aspiring professionals from beyond the major college ranks. His last-second shot for Valparaiso to beat the University of Mississippi in the first round of the 1998 tournament is one of the most replayed moments in March Madness history.

How it works:

Selection Sunday (March 15)

A 10-member panel determines seedings for the 68 teams that make the knockout  tournament

First Four  (March 17-18)

A format started in 2011, 8 teams compete to qualify in the main draw

Second round (March 19-20)

64 teams split into 4 regions: Midwest, West, South and East

#1 plays #16 in each group

Third round (March 21-22)

Down to 32 teams

Regional semifinals (March 26-27)

Known as the "Sweet Sixteen"

Regional finals (March 28-29)

The "Elite Eight"

National semifinals (April 4)

The "Final Four" is played at Lucas Oil Stadium in Indianapolis; minimum capacity 70,000

Championship Game (April 6)

One of the most-watched events in U.S. sport

"I had always dreamed of winning the game in the NCAA tournament (and) always dreamed of making the last-second shot. For God to bless (me) with both of things at one time is something that I'll always cherish and remember," Drew says.

His father, Homer Drew, was Valparaiso's coach at the time, and his brother Scott (now men's basketball coach at Baylor University) was an assistant, completing the Hollywood scenario.

"I don't think any of us realized that they would show that replay the next year, and even the next year, and the next year. We were just so happy in the moment and never thought that we'd be able to talk about it over a decade later," he says.

Showing the highlight is virtually a prerequisite whenever Drew coaches a nationally televised game, and is sure to come up next week when his Crusaders play in the "Big Dance" (one more nickname for the tournament.)

Drew was a senior nearing graduation at the time. Although he had heard about professional scouts attending his games, being drafted by an NBA team was still considered a longshot.  After all, the last time a Valparaiso graduate dribbled a basketball in the NBA was in 1956.

But that was before "The Shot."

Although Drew says private workouts for pro teams solidified his spot as the first Valparaiso player to be drafted in the NBA's first round (as the 16th pick,) he confesses that tournament attention is likely what got his foot in the door.

"It helped me get my name out there, because they got to see me play against a different type of athlete in the NCAA tournament on a different stage," he says.

Observing athletes during March Madness -- when competition is at its highest level -- is the best way to gauge if they will succeed as pros, according to one player representative.

"It definitely helps an agent to learn how a player will perform under a national stage," says Jared Karnes, co-founder of A3 Athletics agency in Knoxville, Tennessee. "If they want to play in the NBA, they are going to be expected to play under a tremendous amount of pressure and attention."

Michael Beasley, the second overall selection in the 2008 NBA draft, is one of Karnes' clients who has failed to live up to that pressure so far. Now 26, he recently found his way back to the NBA with the Miami Heat after a spell in China.

Karnes, a former player himself at little-known Belmont University who "had the unfortunate assignment of having to guard Bryce Drew," says he enjoys recruiting clients from smaller programs because they lack the air of entitlement that can weigh on household names.

"A lot of times they've had to work their way into the spotlight, and so they develop a hard work ethic," he says. "They really have an appreciation about what's happened to them; the more you can identify a talent with a level of high character, as an agent you've just found a terrific prospect."

Among the most successful small-program players in the NBA is former Davidson standout Stephen Curry -- the current MVP frontrunner with the Golden State Warriors. Norris Cole, who played at Cleveland State and won two championships with the Miami Heat, and Gordon Hayward, a starting forward for the Utah Jazz, have also made their mark.

Cole strikes a particular chord with Drew since they both came out of the unheralded Horizon League, a Division One conference made up of nine Midwestern schools. It was the less glamorous side of the game that set Cole apart from other prospects.

"His defense is what helped him get drafted from our league," says Drew, who suited up for four NBA teams in six seasons before playing in Italy and Spain. "A lot of guys can score and shoot, but when you get to the NBA, really being able to defend someone separates you."

Hayward led Butler -- a so-called "mid-major" program that exited the Horizon League two years ago -- all the way to the 2010 National Championship Game against Duke, only to watch his desperation half-court shot narrowly miss at the buzzer.

Although Hayward turned pro after the two-point loss, Butler's exposure to potential recruits allowed the Bulldogs to return to the championship game the next year, and to the third round in 2013. With an enrollment of only 4,500 students, it is the smallest school to play in the final for over 30 years.

In 2013, Butler's 36-year-old Brad Stevens became the youngest head coach in the NBA when he signed a $22 million contract with the Boston Celtics.

"Even though they are so wildly successful as a team (now,) Butler right before that wasn't well known," says Karnes, adding that it was Hayward who first put it on the map. "You can find diamonds in these smaller schools."

Drew hopes to emulate Butler's past success this postseason. He's already led Valparaiso to its highest victory total and winning percentage in school history.

Led by 6-foot-10-inch Jamaican senior Vashil Fernandez (five blocked shots against Green Bay in the Horizon League tournament final) and 6' 9" sophomore Alec Peters, the Crusaders are hoping for a high seed when a 10-member committee meets this "Selection Sunday" to rank the tournament's 68 participants.

Valparaiso's nightmare scenario would be an early-round pairing with last year's runner-up Kentucky. The Wildcats (31-0) aim to become the first team to go undefeated and win the national championship since the Indiana Hoosiers in 1976.

Drew calls coach John Calipari's team -- powered by a front line of 7-footers Willie Cauley-Stein and Dakari Johnson, along with 6' 11" Karl-Anthony Towns -- as the deepest he's ever seen in college basketball. Six of Kentucky's players are considered worthy of June's NBA draft.

While Karnes remains guarded about which college basketball players he's scouting, inking deals with Kentucky players after the tournament is probably a longshot.

"You talk about these smaller schools that are out there, we're that way as a boutique agency," he says.

@highlight

Field of 68 gives small colleges a chance to shine

@highlight

Bryce Drew turned tournament fame into lasting pro career

@highlight

Pro scouts look for diamonds in the rough