(CNN) -- A NATO delegation arrived Tuesday in southeastern Turkey to survey the Turkish-Syrian border for the possible deployment of Patriot anti-aircraft missile batteries, the semi-official Anadolu news agency reported.

Turkey has turned against its former ally, asking fellow NATO members last week for the missiles to bolster its air defenses because of several Turkish deaths blamed on Syrian forces.

A delegation of Turkish and NATO officials was scheduled to do a site survey to determine where to deploy the batteries, the Turkish military said.

"The deployment of the Air and Missile Defense System is a precaution for defensive purposes for possible air and missile threats from Syria, and is not for the establishment of a 'no-fly' zone or for offensive maneuvers," according to a Turkish military statement.

Strike from Syrian plane reported near border with Turkey

"The area of deployment for the Air and Missile Defense System, the quantity of the system, the number of foreign personnel that will come into our country and the time of the deployment will be determined after the site survey."

The fact that Syrian warplanes and helicopters have bombed targets within a few hundred meters of Turkey at least three times in the past month raises the question of whether the NATO military alliance could be sucked into the grinding Syrian civil war.

Tensions exploded between Syria and Turkey last summer, when Syrian anti-aircraft fire brought down a Turkish military reconnaissance jet, killing its two crew members.

Turkey announced it was changing its rules of engagement with Syria. In October, the Turkish government won authorization in parliament for possible cross-border military incursions into Syria after Syrian mortar fire killed five civilians in the Turkish border town of Akcakale.

Turkish and Syrian military forces have also engaged in cross-border artillery duels since the Akcakale incident.

The Syrian government has lambasted Turkey, saying it "supports the armed terrorist groups in cooperation with some Gulf countries to threaten Syria's stability and security."

Meanwhile, a Russian diplomat reportedly expressed concern over the possibility of deploying the missile system. Russia is a long-standing ally of Syria.

"We don't like this idea because we see hidden threats in it," said Russian First Deputy Foreign Minister Andrei Denisov, according to the state-run Itar-Tass news agency.

"All the answers we have been receiving are reduced to soothing statements," he said. "But as far as military political problems are concerned, we want clear and exhaustive explanations: where (a threat comes from), for what purposes, for what term and why."

Summing up, Denisov reportedly said: "We believe that the decision (to deploy missiles) is creating more problems than it might solve."

Opposition says shelling kills 10 children in Syria

Syrian opposition: Barrel bombs rain from the sky

Back on the ground in Syria, "fierce aerial shelling" bombarded areas in the northwestern part of the country Tuesday, dissidents said.

Government forces dropped more than 10 barrel bombs on the Aleppo province city of Deir Hafer, the opposition Local Coordination Committees of Syria said. Over the past several months, dissidents have reported aircraft dropping barrels full of explosives, nails and fuel onto civilian areas.

At least 131 people were killed across Syria on Tuesday, including 48 in Damascus and its suburbs, the LCC said. Nationwide, the group said five women and 12 children were among the dead.

Syrian state-run TV reported the destruction of a "terrorist training camp" in Kafr Takharim, Idlib.

In a separate incident in the province, it said government forces "clashed with al Qaeda terrorists after they attempted to attack a regime checkpoint in the vicinity of Maaret Al-Nouman, killing a large number of these terrorists."

The government also said it destroyed a hideout used by the al Qaeda-linked al-Nusra Front, which has claimed responsibility for suicide attacks in Syria.

Rights group: Evidence shows cluster bombs killed children

An attack that killed at least 10 children at a playground this week was the result of a cluster bomb strike, Human Rights Watch said Tuesday, citing witnesses and video footage.

The group called for "all governments" to condemn Syria's use of cluster bombs, which are particularly vicious because they explode in the air and send dozens or hundreds of smaller bombs over an area the size of a football field, according to Human Rights Watch.

More than 70 countries have signed a treaty banning the use of cluster bombs, but Syria is not among them. In October, the Syrian government said it had not used cluster bombs during the current conflict.

"It's going to new lows that these banned weapons are being used and civilians and children are being killed," said Kimberly Brown, a conflict adviser with Save the Children.

The organization is working with refugees in countries around Syria, including Iraq, Jordan and Lebanon.

How did the Syrian crisis begin?

What started as security forces cracking down on mostly nonviolent protesters has spiraled into a civil war between pro-government forces and the rebels, including the Free Syrian Army.

About 40,000 civilians have been killed since the first protests 20 months ago against President Bashar al-Assad's government, according to the opposition Center for Documentation of Violations in Syria. And more than 380,000 Syrian refugees have fled to neighboring countries, creating humanitarian challenges abroad.

The Syrian government routinely refers to its battle against "terrorists," the term it uses for rebel fighters and extremist elements in the country.

CNN cannot confirm claims by the government or the opposition because of government restrictions that prevent journalists from reporting freely within Syria.

CNN's Ivan Watson, Arwa Damon, Holly Yan, Saad Abedine, Christine Theodorou, Hamdi Alkhshali and Gul Tuysuz contributed to this report.

@highlight

NEW: Russian official blasts idea, saying it's "creating more problems than it might solve"

@highlight

At least 131 people are killed across Syria on Tuesday, an opposition group says

@highlight

Turkey says a missile system would be used only defensively against Syrian threats

@highlight

The Syrian government says it killed a large number of al Qaeda terrorists