(CNN)A pair of dramatic raids Friday in France led to the killing of three terrorists -- one suspected in the fatal shooting of a policewoman and four hostages, the other two in the massacre at the offices of Charlie Hebdo magazine -- and to the freeing of more than a dozen people being held hostage.

The French government's work is not over. There's still a lot of healing to do, a lot of questions to answer about how to prevent future attacks, and the pursuit of a woman wanted in the policewoman's shooting.

Still, as Interior Minister Bernard Cazeneuve said, "The nation is relieved tonight."

Latest updates at 8 p.m. ET

•The wife of suspect Cherif Kouachi and the girlfriend of hostage taker Amedy Coulibaly-- Hayat Boumedienne -- exchanged 500 phone calls in 2014, according to Paris prosecutor Francois Molin. The wife told investigators that Cherif and Coulibaly knew each well.

• Cherif Kouachi, a suspect in the Charlie Hebdo slaughter, visited Yemen in 2011 and French authorities were aware of his contacts with terrorist organizations in Yemen and Syria, Molins said at a press conference.

• The government of Yemen has launched an investigation into a possible al Qaeda in the Arabian Peninsula link to the Charlie Hebdo magazine attack, Mohammed Albasha, Yemen's spokesman in Washington, tweeted Friday.

• Al Qaeda in the Arabian Peninsula has claimed responsibility for orchestrating the deadly terrorist attack on the Paris offices of Charlie Hebdo, the founder of the magazine The Intercept, Jeremy Scahill, told CNN. CNN has not independently confirmed this claim.

• Four hostages were killed and 15 survived in the standoff between an armed terrorist and police at a Paris kosher grocery store on Friday, according to Israeli government sources who characterized a phone conversation between Israeli Prime Minister Benjamin Netanyahu and French President François Hollande.

• U.S. President Barack Obama said he wants the people of France to know that the United States "stands with you today, stands with you tomorrow" after this week's terror. He told a crowd in Tennessee that "we stand for freedom and hope and dignity of all human beings, (and) that's what Paris stands for."

• The FBI and U.S. Department of Homeland Security issued a bulletin to law enforcement across the United States discussing the Paris terrorist attack this week and the sophistication of the tactics, a U.S. law enforcement source told CNN. The bulletin says the attacks demonstrated "a degree of sophistication and training traditionally not seen in recent small armed attacks," the official said.

• A man claiming to be Amedy Coulibaly, the suspected hostage-taker at the Paris grocery store, told CNN affiliate BFMTV that he belonged to the Islamist militant group ISIS. CNN cannot independently confirm the authenticity of the recording.

Charlie Hebdo attackers holed up in print shop

The day's drama began in Dammartin-en-Goele, where brothers Cherif and Said Kouachi ended up in a print shop in an industrial area.

A salesman, who identified himself only as Didier, told France Info radio that he shook one of the gunman's hands at about 8:30 a.m. as they arrived at the business. Didier said he first thought the man, who was dressed in black and heavily armed, was a police officer.

As he left, the armed man said, "Go, we don't kill civilians." Didier said, "It wasn't normal. I did not know what was going on."

The gunmen told police that they wanted to die as martyrs, Yves Albarello, who is in France's Parliament, said on channel iTele. The area, meanwhile, was locked down -- with children stuck in schools, roads closed and shops shuttered.

Shortly before 5 p.m., gunshots and at least three large explosions pierced the relative silence. .

Soon after, men could be seen on the roof of the building where the brothers had holed up. Four helicopters landed nearby.

Word came that the brothers were dead and that a man who had been hiding in the building was safe, said Bernard Corneille, the mayor of nearby Othis.

Hostages at kosher grocery store

At the same time, in a different setting near Paris's Porte de Vincennes about 40 kilometers (25 miles) away, a similar crisis played out at a kosher store.

Amedy Coulibaly -- the same man who, authorities said, is suspected with Hayat Boumeddiene of killing a policewoman Thursday south of Paris -- on Friday took a number of hostages there. Boumeddiene remains at large.

Like Cherif Kouachi, a man claiming to be Coulibaly called BFMTV on Friday. At the scene, witnesses heard Coulibaly demand freedom for the Kouachi brothers, according to police union spokesman Pascal Disand.

Law enforcement swarmed the area. Dozens of schools went on lockdown.

A resolution came a few minutes after the Dammartin-en-Goele climax, in the form of explosions and gunfire. Up to 20 heavily armed police officers moved into the store. They came out with a number of civilians.

Not everyone made it. Hollande said four people were killed. Israeli government sources told CNN that Hollande told Netanyahu that four hostages were killed and 15 were rescued. Molins said four hostages were killed by the gunman before police stormed the market.

Father: 'It's like a war'

In a speech Friday night, Hollande called the Porte de Vincennes deaths an "anti-Semitic" act.

He urged his countrymen not to respond with violence against Muslims, saying, "Those who committed these acts have nothing to do with the Muslim religion."

"Unity" he said, "is our best weapon."

That kind of military language is apt when you're talking about two deadly attacks and violent standoffs in a few days.

It's something that a man, who asked to be called simply Teddy, understands. He was outside Henri Dunant elementary school in Dammartin-en-Goele on Friday, hoping to pick up his young son.

And, eventually, the students did leave the school -- accompanied by police officers who held their hands and, in some cases, lifted them onto an awaiting bus that would take them to safety.

"It's like a war," Teddy said. "I don't know how I will explain this to my 5-year-old son."

Parts of France on high alert

This "war" erupted two days ago, when a pair of heavily armed men -- hooded and dressed in black -- entered the Paris offices of Charlie Hebdo, the satirical magazine known for its provocative, often profane, take on religion, politics and most anything else.

Satirical magazine is no stranger to controversy

They burst into a meeting, called out individuals, and then executed them. The dead included editor and cartoonist Stephane Charbonnier and four other well-known cartoonists known by the pen names: Cabu, Wolinski, Honore and Tignous.

Authorities followed a lead Thursday morning from a gas station attendant near Villers-Cotterets, about 40 kilometers (25 miles) from Dammartin-en-Goele, whom Cherif Kouachi, 32, and Said Kouachi, 34, reportedly threatened as they stole food and gas. Police think the brothers may have later fled on foot into nearby woods.

Ties to Islamist extremists

As the suspects moved, the French government -- including more than 80,000 police deployed across the country -- also didn't stand still.

Some of them tried to prevent more bloodshed, which might have something to do with nine people detained after the Charlie Hebdo attacks. Investigators also dug to learn about the attackers.

Who are the suspects?

Both men had ties to Islamist extremists.

Said, the elder of the Kouachi brothers, spent several months in Yemen in 2011, receiving weapons training and working with al Qaeda in the Arabian Peninsula, according to U.S. officials.

His younger brother, Cherif, has a long history of jihad and anti-Semitism, according to documents obtained by CNN. In a 400-page court record, he is described as wanting to go to Iraq through Syria "to go and combat the Americans."

"I was ready to go and die in battle," he said in a deposition. "... I got this idea when I saw the injustices shown by television. ... I am speaking about the torture that the Americans have inflicted on the Iraqis."

Cherif was a close associate of Coulibaly, a Western intelligence source told CNN.

A man claiming to be Cherif told CNN affiliate BFMTV in a phone call before he was shot and killed Friday that he was sent to carry out the massacre by al Qaeda in Yemen and that the late Anwar al-Awlaki financed his trip. CNN cannot independently confirm the authenticity of the recording.

Al-Awlaki, an American-born Muslim scholar and cleric who acted as a spokesperson for al Qaeda in the Arabian Peninsula, was killed in 2011 by a CIA drone strike.

Cherif  and Coulibaly were involved in a 2010 attempt to free an Algerian incarcerated for a 1995 subway bombing. Coulibaly was arrested with 240 rounds of ammunition for a Kalashnikov rifle and a photo of Djamel Beghal, a French Algerian once known as al Qaeda's premier European recruiter.

The Western intelligence source said that Coulibaly lived with Boumeddiene, his alleged accomplice in the police shooting, and that the two traveled to Malaysia together.

Charlie Hebdo columnist: 'They didn't want us to be quiet'

A unity rally will be held Sunday "celebrating the values behind" Charlie Hebdo, said British Prime Minister David Cameron, who will travel to Paris to attend.

And the magazine itself -- whose former offices were firebombed in 2011, on the day it was to publish an issue poking fun at Islamic law and after it published a cartoon of the Muslim Prophet Mohammed -- will go on as well, even without its leader and most talented staffers. It's set to publish thousands of copies of its latest edition next Wednesday.

Patrick Pelloux, a columnist for the magazine, told CNN that "I don't know if I'm afraid anymore, because I've seen fear. I was scared for my friends, and they are dead."

He and many others are defiant.

"I know that they didn't want us to be quiet," Pelloux said of the slain Charlie Hebdo staffers."They would be assassinated twice, if we remained silent."

CNN's Jim Sciutto, Ben Brumfield, Atika Shubert, Laura Smith-Spark, Richard Greene, Fred Pleitgen, Christiane Amanpour, Jim Bittermann and Bryony Jones contributed to this report.

@highlight

Four hostages killed, prosecutor says

@highlight

Forces kill the 2 brothers suspected in the Charlie Hebdo attack

@highlight

A terror suspect who took over a kosher market and killed four hostages was also killed