(CNN) -- You can't escape tango in Buenos Aires. It is danced on the trains and in the streets. Restaurants in the bohemian neighborhoods of San Telmo and La Boca try to lure tourists inside with exhibition dancing outside their doors. Taxi drivers play tango music on their radios, and giant billboards promote choreographed tango shows.

Tango grew from the working class port neighborhoods of Buenos Aires to become a global dance and music phenomenon that in 2009 was inscribed on UNESCO's Intangible Cultural Heritage list. But for those visiting the Argentinean capital for the first time, the sheer number of opportunities to experience tango can be overwhelming, and many of the best venues are off the beaten track.

Expat-New Yorker Migdalia Romero is here to help. Here, the author of the "Tango Lover's Guide to Buenos Aires" offers her insights for all aspiring "tangueros" traveling the city:

History

Tango was especially important in Buenos Aires at the turn of the century when immigrants -- especially men without partners -- were looking for a worthwhile diversion. The men would practice together to perfect their dance -- and hopefully impress the women. But tango moved from the brothels to higher society very soon after it became fashionable in Paris.

The music has always been an integral part of growing up in Buenos Aires. Generations have been nursed on it. The older generation of women dancers remember when they danced resting on the feet of their fathers. Boys would sneak out to the dance halls to see the older men (brothers and fathers) dancing.

While tango skipped a generation of men and women who preferred rock in the 60s, it is now very much in vogue among the youth. Dance halls fill with young and old alike -- there are strictly no age restrictions.

Read related: Musician's passionate journey through Buenos Aires

Embrace the passion

There's a saying in Spanish that captures the importance of the embrace in tango: "El abrazo es mas important que el paso" (The embrace is more important than the step)

The prelude to tango begins at the moment that two people stand face to face and listen silently to a few notes of the music, before settling in on the embrace and beginning to dance.

Tango is a dance that stresses elegant walking and close attention to the music. More than anything, if you are new to it, just enjoy the scene. Notice the subtle movements of the dancers, the ways in which they negotiate small spaces and crowded dance floors, and the delicate way they accomplish the seductive invitation to dance.

Where to watch

There are classy dinner shows that feature full stage productions for tourists, and then there are intimate tango venues that provide more authentic shows for enthusiasts and local patrons. Be aware that dinner shows can be expensive, and some of the more hidden and intimate clubs offer a less expensive alternative -- many charging only for what is consumed.

On Sunday afternoons at Plaza Dorrego in the San Telmo Antiques flea market, a local legend and resident, El Indio, does a demonstration of tango accompanied by a bit of history (in Spanish). Even if you don't understand the language, the demonstration is worth your time and, best of all, it's free.

A number of "milongas" (dance halls dedicated to tango) offer late night shows with either live music and/or authentic exhibition dancing. Generally these milongas open at 11 pm, but Buenos Aires is a nocturnal city and the shows themselves don't normally start until after one in the morning.

Two noteworthy examples are the milonga at Confiteria La Ideal on Thursday nights and that at Salon Canning on Tuesday and Friday nights after 11 pm.

At both places you will see locals, as well as tourists who are completely hooked on tango, dancing socially while making sure to respect all the dance floor etiquette ("codigos") that make this a cultural experience.

You will notice men signaling silently for a dance across a crowded room with the nod of their head, a wink, or a raised eyebrow. Men and women are never seated together, even if they are in close proximity. The most traditional milongas place men on one side of the room and women on the other.

If you're more interested in choreographed shows, then head straight to the Piazzolla Tango, which offers a flamboyant dinner show, preceded by a lesson. The space has been restored beautifully with a real air of art-deco elegance.

Meanwhile, those concerned with the history and culture of tango should stroll to the former fruit and vegetable market area of Abasto in the Balvanera neighborhood, which is very much connected to Carlos Gardel -- the definitive tango icon. Gardel wrote many tango classics and was famed for his extraordinary baritone voice. He lived his whole life in Abasto and within a two block radius you will see signs of this famous tango figure on buildings, in stores, and even in the museum that was once his home.

Where to learn

Tango is a dance that takes years to master. However, a good teacher can get you on the dance floor, walking simply and in time to the music, within a few lessons. The two studios that teach tango seriously and cater in large part to tourists from around the world are the Studio DNI and the Escuela Argentina de Tango at Galerias Pacifico -- inside a beautiful upscale mall. Both schools offer lessons to beginners as well as to experienced dancers.

Some milongas also provide lessons right before the official dance begins. One of my favorites is Nuevo Chique at La Casa de Galicia. The class is held on Tuesdays and Thursdays in the late afternoons. Nothing builds the appetite more than a day of tango and, conveniently, there is a lovely Spanish restaurant on the second floor where hungry bellies are quickly satisfied.

@highlight

Buenos Aires is the birthplace of tango, and the city still buzzes with its music and culture

@highlight

Local tango expert provides her travel tips for dance lovers traveling to the Argentinean capital

@highlight

Traditional "milongas" and elaborately choreographed shows among highlights