(CNN)Despite a shared passion for food, we come from very different backgrounds. To look at us, you might not think we have much in common; one of us is a veteran Marine from New Orleans, the other a tattooed New Yorker with Mexican roots. But together these different perspectives strengthen our shared work both as chefs and as advocates.

That's why last summer, when we were offered a chance to join the international relief and development organization Oxfam on a trip to Haiti as part of its GROW campaign, we jumped at the opportunity.

GROW is Oxfam's global campaign to shift how our food is grown, sold and distributed by promoting smarter investment in sustainable agriculture models that will ensure everyone has enough to eat now and in the future.

Oxfam invited us to Haiti to meet some of the Haitian farmers and chefs who are planting seeds of hope in a country that has faced more obstacles than any community should rightly be expected to overcome. Oxfam hoped we could  learn about the inspiring work being done in Haiti and share our own experience with sustainable food systems.

You don't often hear stories of hope from Haiti. In the rare moments when news from the country makes its way to the United States, it's almost always about crisis. The challenges Haiti faces were obvious when we visited one of the largest remaining camps for people who are still -- five years later -- displaced as a result of earthquakes that devastated the country in 2010. Extreme levels of poverty and hunger and a lack of economic opportunity are all ongoing and serious issues.

But during our short visit, we saw a different Haiti. Almost everywhere we went, we met problem-solvers who were innovative, creative and full of hope. They are working to build a stronger Haiti that can prosper and thrive.

Oxfam is working in Haiti to empower farmers with tools and sustainable models of production that will help them build thriving farms and businesses that feed their communities. It also advocates for changes to policies that make it more difficult for Haitian farmers to thrive.

We saw the inspiration in the eyes of women farmers who were beginning to chart their own course for the first time, reaping the benefits from the System of Rice Intensification, a groundbreaking way to grow rice that improves the quality of harvests and yields more rice while using less water, fertilizer, and other expensive inputs.

We felt the ingenuity of the lush urban gardens that seemed to have sprouted up from nowhere in places previously destroyed by the earthquake. We cooked jambalaya with produce bought from those gritty urban farmers, most of whom had lost spouses, siblings or parents in the earthquake. The gardens offer the prospect of a new way to earn a living -- growing fresh, healthy food for their community.

We tasted the hope in the delicious meals we shared with young chefs who had just graduated from Haiti's Ecole Hoteliere -- their ambition and optimism the same as any chef you'd meet in New York or New Orleans or Paris. We cooked for them and ate the local dishes they prepared. Their food showcased a rich culinary tradition comparable to any food capital in the world.

We danced and sang late into the night at the Carnaval des Fleurs until our ears rang and our throats were hoarse.

The innovation, ingenuity and hope we saw can create the foundations of a Haiti known for its food, culture and beauty rather than its poverty.  This was the constant theme we heard throughout our trip. Together, Haitian people can lift themselves up and build a better future for their country.

(Find out more at www.oxfamamerica.org/grow.)

@highlight

Chefs John Besh and Aaron Sanchez traveled to Haiti as part of Oxfam's GROW campaign

@highlight

GROW is working to create sustainable agriculture models to ensure quality and quantity of future food supplies

@highlight

Besh and Sanchez were able to experience some of Haiti's rich culinary traditions