Seoul, South Korea (CNN) -- The unflinching account from a defector revealed how he picked corn kernels out of cow manure to eat as he competed with his family for food at one of North Korea's notorious prison camps.

He was also forced to watch his mother's hanging and his brother's execution. He was born in a "total control zone" where prison authorities wield complete power, where guards beat children to death with no hesitation.

A memoir detailing Shin Dong-hyuk's life, "Escape from Camp 14" hit the bookshelves in South Korea this month. The original English version published in March last year.

Shin, 30, is the only man known to have been born and to escape from a North Korean prison known as Camp 14.

His account put a human face on the abuses in North Korean prison camps, a brutal system which has survived twice as long as Stalin's Soviet gulags and much longer than the Nazi concentration camps.

"The existence of prison camps in the North should be known to the people around the world," Shin said. "There are some people born and raised as an animal in North Korea. I have to explain that to everyone."

Defectors describe horror, heartbreak in North Korea's labor camps

The hope in writing the book was to raise awareness about conditions inside North Korea, said Blaine Harden, the author of "Escape from Camp 14: One Man's Remarkable Odyssey from North Korea to Freedom in the West."

Its impact was unanticipated, said Harden, when the pair spoke at the Asan Institute last week in Seoul.

In March, the United Nations Human Rights Council in Geneva agreed to examine what it called "grave, widespread and systematic" violations of human rights in North Korea, including the use of prison camps. While the book was not the sole reason, U.N. High Commissioner for Human Rights Navi Pillay met with Shin and another North Korean prison camp survivor in December

The members of the commission were appointed this week. The three members will look into issues including disappearances, abductions, the control of food and use of torture in the isolated nation. The commission will give an update on its findings in September followed by a final report by March.

North Korea has denied human right abuses, saying that its citizens are "happy with pride and honor" and that the nation has "one of the best systems for promotion and protection of human rights in the world."

The book's impact

"Escape from Camp 14" has been translated into 24 languages and there are plans to adopt the book into a film.

Shin has bared the scars from his 23 years in captivity North Korea -- such as burn marks on his back and his missing finger tip -- in several interviews with journalists. His story has been carried by media outlets worldwide.

"I'm grateful for people who are paying attention to the North Korean human rights situation," Shin said. "It seems like they're more interested in my personal situation. I do not want that."

Shin, a slim man with wide plastic-rimmed glasses, appeared accustomed to the various questions from the audience members and journalists.

"I think the most challenging thing still today is the past heartbroken story should be explained over and over again," Shin said. "And personally, I want to escape my past. I physically escaped North Korea, but still my mind, my memories live there.

"But I know there is serious cause behind my doing this kind of these sessions and explaining these things."

He spoke of a 2008 visit to the Holocaust Museum in Washington, D.C. where he saw a photograph of the Auschwitz prison camp in 1944. The single photo resonated with him as "an outcry from the prison camp" that pressed the world for help.

The world "didn't pay attention to this single photograph. Six million people had to suffer. It was shocking to me," he said. It inspired him to speak about the North Korean camps.

The evidence of the North Korean prisons are overwhelming as more than 60 people have given detailed, consistent accounts, Harden said.

"Shin's story, these heartbreaking narratives, are a kind of abuse that Europe said, 'Never again,' to. Yet, it's going on this morning, not 250 miles from where we sit," Harden said from the auditorium in Seoul.

Shin's testimony has brought new insights into the secretive camps, he added.

For example, the concept of "reward marriages" was unknown until Shin told his story. These are the rewards dispensed by prison guards, who allow a male and female prisoner to have sex. Shin was a product of a reward marriage in the prison camp.

The reward marriage works as an incentive for prisoners, Shin said.

Shin's testimony has encouraged the world to "grapple with the suffering," rather than just lampoon North Korea as a punchline, Harden said.

@highlight

Shin Dong-hyuk's "Escape from Camp 14" released in Korean this month

@highlight

Shin is only man known to have been born and escape from a North Korean prison

@highlight

Awareness raised on North Korean human rights, says author