London (CNN) -- It may not have been the most dramatic of moments, but it was certainly an important one: Two women, modestly dressed and veiled, walked proudly alongside the flag of their nation Saudi Arabia into London's Olympic stadium at the Games' spectacular opening ceremony.

This understated entrance marked an extraordinary moment for the kingdom and for the Olympics itself, as the first occasion in the history of the Games when all countries participating have had women athletes in their teams.

The achievement was welcomed by those at the highest echelons of sport, with Jacques Rogge, head of the International Olympic Committee, noting with pride in his speech at the opening ceremony that it was "a major boost for gender equality."

Women have been the center of attention throughout much of the Olympics, both within and without Games venues, as they broke records, sparked drama, impressed with immense skill and poise and won medal after medal. Indeed, for many, London 2012 has truly been "the women's Games."

For hosts Great Britain, the undoubted superstar was Jessica Ennis, a heptathlete of remarkable talent and composure who snatched gold despite immense pressure and the unforgiving lens of modern celebrity. Her comfortable win in the toughest of contests, and her vow to "keep exactly the same and the way I am", sparked national praise and a call from women's activists for more positive role models like her.

Scores of other, lesser-known women athletes marked firsts for their countries.

Tunisia's Habiba Ghribi became her country's first woman to win a medal in the games, saying afterward her medal was "for all the Tunisian people, for Tunisian women, for the new Tunisia".

Games leave London with a golden glow

Women boxers made history by being included in the games for the first time, and the U.S.'s gymnastics team won a brace of medals for their remarkable performance.

On the drama side, South Korean fencer Shin A-lam found herself at the center of one of the most extraordinary moments of the games after the dying second of one match granted her rival the gold. The sight of her in floods of tears, refusing to leave the venue moved many, even if Olympic authorities were unimpressed.

But this is not to say there has not been controversy, in terms of sport, and plain, old fashioned sexism.

Eight women badminton players from China, Indonesia and South Korea were disqualified for trying deliberately to lose matches in order to secure easier games.

Controversy over the disparate treatment of male and female athletes arose when it was revealed that both Japan and Australia had made their women's football teams fly coach while their male colleagues enjoyed the luxury -- and extra leg room -- of business class. The incident prompted the embarrassed Australian authorities to announce they were reviewing their policies but led to accusations of inequality.

U.S. coverage of their "Fierce Five" gymnastics team's heroine, Gabby Douglas, turned into a discussion of the African-American's hair, angering many who felt it denigrated her stunning achievement by playing into racial stereotypes.

Golden girl Ennis: I'd do it for nothing

And the age-old double standard of looks versus talent came into play when British weightlifter Zoe Smith was forced to endure cruel taunts on Twitter and other social media about her appearance. Her response was to handle it with aplomb, writing on her blog: "We don't lift weights in order to look hot, especially for the likes of men like that." But the comments -- and the ease with which they were made on online platforms -- gave pause for thought.

Despite such media storms, overall many sensed a shift in the right direction, a sea change in attitudes towards women in competitive sports.

In women's football, Team GB's victory over Brazil at Wembley Stadium in front of 70,000 screaming fans, many of them young children who will provide the next generation of Olympians, was a zeitgeist moment for women's football. After the game, the sight of buggies piled up outside the arena, patiently awaiting their tiny cargo, was a small, but potent sign of change.

The U.S. and Canadian women's football teams fought a remarkable battle to reach the semi finals, with the U.S. eventually prevailing 4-3 thanks to a goal in the dying seconds of the game and prompting praise from pundits as one of the most thrilling matches played by either gender in the Olympics.

As for those Saudi Arabian women athletes, they failed, as expected, to win an Olympic medal, but perhaps winning just wasn't the point.

Judo player Wojdan Shaherkani finally competed after a row over her headscarf ended in compromise with Olympic authorities. Despite the furor, she, too, sensed that a breakthrough had been made.

"Unfortunately, we did not win a medal, but in the future we will and I will be a star for women's participation," she said. "It was the opportunity of a lifetime."

@highlight

London 2012 is the first Olympics to feature women in every national team

@highlight

IOC chief Jacques Rogge hails "major boost for gender equality"

@highlight

Saudi Judoka Wojdan Shaherkani says taking part "opportunity of lifetime"

@highlight

Women's boxing included as an Olympic discipline for the first time at London Games