(CNN) -- Poachers have decimated elephant populations across Africa and parts of Asia, killing thousands of animals for their revered ivory.

Yet in Sri Lanka, home to some 7,000 wild Asian elephants, a different, more hopeful story is playing out.

It's a story that's attracting truckloads of tourists from around the world to witness a stunning wildlife spectacle, simultaneously raising concerns among conservationists about how increasing numbers of visitors may be impacting the large mammals.

In north-central Sri Lanka's Minneriya National Park, hundreds of elephants travel each year to the shores of an ancient reservoir built by a king more than 1,700 years ago. They've made the trip for centuries, coming from across the region to bathe, mate, socialize and, most importantly, to feed as part of an annual event known as "The Gathering."

During the dry season (July through early November), the water in the reservoir recedes. In its place, lush green grasses grow, providing a veritable feast for the hungry pachyderms.

Between meals, the elephants head into the reservoir, spraying themselves with the shallow, muddy waters to create one of the world's biggest pool parties.

"Where else you can get so close to so many wild elephants at once?" asks James Thomas, a lawyer visiting The Gathering from Melbourne.

"Watching massive herds of elephants bathe as the sun sets over the nearby mountains is an experience I'll never forget."

Would you pay US$50 for a cup of elephant dung coffee?

Conservation concerns

If you haven't heard of The Gathering or ever seriously considered visiting Sri Lanka, you're not alone.

The island nation's prolonged civil war, which ended in May 2009, kept the country off most people's itineraries.

Since then, however, word of Sri Lanka's diverse wildlife, spectacular beaches and myriad cultural activities has spread: in 2012, tourist arrivals grew 17.5 percent over 2011, hitting 1,055,605, according to government officials.

While the growth has boosted tourism-related revenue, the volume of visitors to Minneriya -- and the 4WDs required to transport them through the park -- has caught the attention of wildlife conservationists.

They worry added traffic is negatively impacting not only the fragile reserve, but also the health and behavior of the animals the visitors are traveling to see.

"The increasing number of vehicles in the park and the unruly behavior of most are cause for much concern," says Ravi Corea, president of the Sri Lankan Wildlife Conservation Society (SLWCS).

"Vehicles approach elephants too closely and disrupt them from feeding, mating, nursing and socializing. In addition, they are habituating elephants to charge vehicles, which they will continue to do once they leave the national park with the beginning of the rains."

On a safari I joined earlier this year, I experienced these issues firsthand.

During our trip, the tour driver inadvertently parked in the path of a mother and baby elephant, obstructing their way to a watering hole. When a nearby bull elephant took notice, he quickly moved in to protect them, charging our vehicle in the process.

Our driver reacted quickly and moved us to safety.

Corea and others fear it's only a matter of time before someone's luck runs out and an elephant or tourists are seriously injured.

Conservationists are pushing government and park officials to ensure animals, humans and the local environment are better protected.

Recommendations include implementing stringent policies to govern how visitors and guides behave in the park, as well as providing training for rangers and drivers on how to conduct themselves while in the presence of wild elephants. Drivers would need certification to take visitors to the park, and they could face fines if caught violating park regulations.

Tracking the elephants

Additional proposals include documenting the movement of the elephants beyond Minneriya's unfenced borders. Environmental organizations also hope to map the entire ecological cycle of the animals as part of efforts to ensure the slaughters occurring in places like Africa and Vietnam don't happen in Sri Lanka.

Meanwhile, the Sri Lankan Tourism Development Authority is pinning its hopes on the continued success of The Gathering, even building specific marketing activities around the annual event in an effort to attract more visitors to Minneriya.

In 2011, officials christened September "Wildlife Month," distributing full-color brochures that proclaimed The Gathering "one of the most unforgettable and fantastic events in the international wildlife calendar."

As word about Minneriya's main attraction spreads, the hope is that massive herds of elephants will continue migrating to the park each dry season, as they have for hundreds of years.

As long as they do, it's a safe bet that more and more tourists will travel to Sri Lanka to experience what truly is one of the world's greatest wildlife events.

Minneriya National Park is about 180 kilometers from Colombo International Airport, a four-hour drive. The best time to see The Gathering is during the dry season, from June to September.

A number of local operators offer day trips to the area, which can be arranged from your hotel.

Accommodation options include resorts and bungalows just a few kilometers outside the national park. At the high end of the price stick is luxury tented camp Mahoora.

For those who would rather have the whole trip arranged for them, tour companies like Asialuxe offer multi-day packages including airfare.
Residents of Canada, the United States and the United Kingdom are required to apply for a tourist visa before arrival in Sri Lanka. Applications can be made online.

@highlight

Each year, hundreds of elephants travel to an ancient reservoir

@highlight

Wildlife conservationists worry about impact of tourism

@highlight

In 2012, Sri Lanka tourist arrivals grew 17.5 percent