(AOL Autos) -- The main "ups" of buying a used car are the lower initial purchase price, as well as lower property taxes (where applicable) and insurance costs. The main "downs" of buying a used car are that it's a used car, not new -- so there's no new car warranty and you are more vulnerable to used car problems that could cost you money, as well as aggravation.

To reduce your risk of exposure when you buy a used car, there are a number of precautionary steps you can take when shopping for a used vehicle.

These tips to buy a used car include:

Shop for newer used cars that still have at least a portion of their original manufacturer's warranty remaining: Most late model used cars have at least three-year/36,000 mile basic warranty coverage (and often longer "powertrain" coverage on the engine and transmission). This means you'll get at least a year or so of peace of mind if you buy a used car that is less than three years old. (Important: Be sure to confirm the used car warranty is fully transferable.)

Check into Certified, Pre-Owned (CPO) vehicles: These are late model used cars and trucks that typically have less than 50,000 miles and have been given multipoint inspections -- with any needed service or upkeep taken care of before the used car is put on the lot. CPO programs are backed by the automakers (Ford, GM, Volvo, etc.) and the vehicles often include a no-cost extended warranty on major parts such as the engine and transmission. CPO used cars are usually clean and well-maintained -- the "cream puffs" of the used car market.

Do a "background check" for indications that the particular used car make/model you are considering might be a problem car: One with an unusual record of either recalls or consumer complaints. You can find information about recalls and safety-related defects at the National Highway Traffic Safety Administration's Web site (www.nhtsa.dot.gov), and information about consumer satisfaction at JD Power & Associates (see www.jdpower.com/cc/index.jsp ). Consumer Reports is another good place to poke around (go to www.consumerreports.org/main/home.jsp and click on "autos"). It's also a very good idea to do a simple Google or Yahoo! Web search; just type in the make and model of the vehicle and "lemon." You can bet if the car has a history of problems, there will be complaints all over the Internet.

Screen your candidate -- the specific used car you are looking at: Even if the make/model has a great reputation for quality and reliability, that particular used car may not have been well-maintained -- even abused. Have a third-party mechanic (not one working for the dealer) look the used car over as a condition of sale. If the dealer refuses to permit this, you should consider yourself well warned -- and walk away.

Ask to see the used cars' service records: If these are available, it's usually a good sign the car was well cared-for, and perhaps more importantly, proof (if the records are complete) that there weren't any unusual repairs or problems. If the used car records are not available, you should be suspicious. It doesn't necessarily mean the used car is a bad car, but you have to wonder why the seller would not have kept such a strong selling point as evidence of proper upkeep and maintenance. In such a case, it is doubly important to have a mechanic you trust give the used car a thorough once-over before you commit to buy.

Be sure it will pass both state safety and emissions tests (where applicable): In most states, this is a legal requirement, but don't assume it is. It can cost hundred of dollars (or more) to repair a used car that fails either state safety or vehicle emissions testing -- and in many cases, you can't legally register or drive that used car until it does pass.

Lastly, jot down the Vehicle Identification Number (VIN): Located on a stamped plate on the top of the used cars dashboard, and run a CARFAX Vehicle History report to check for used car deal-killers such as evidence of a prior accident, odometer fraud, manufacturer "buy back" (a lemon) and so on. A CARFAX report costs less than $25, and is well worth the expense.

As far as specific recommendations, here's a short list of some historically "good bets" when it comes to buying used cars or trucks:

I. Economy Cars:

Toyota Corolla -- The gold standard of new economy cars is also, predictably, an excellent choice in a used car. In addition to a well-earned reputation for high quality and durability, Corollas are among the safest cars in this class -- and offer features such as antilock brakes and side-impact air bags (on newer models). Corollas also hold their value exceptionally well -- to such an extent that a used Corolla you buy today for $6,000 will very likely still be worth four or five thousand dollars two to three years down the road.

II. Luxury Sedans:

Lexus LS400/LS430 -- New, these large rear-drive, V-8 powered luxury sedans cost tens of thousands less than an equivalent Mercedes-Benz, BMW or Jaguar. As used cars, they continue to perform flawlessly -- without giving their owners high blood pressure years after other luxury makes become expensive money pits. The LS series sedans are considered bulletproof -- and also have one of the lowest depreciation rates in the business.

Acura RL -- A conservatively elegant large luxury car that, like the Lexus LS, enjoys a reputation for absolutely superb engineering and quality. Unlike the Lexus LS, however, the Acura RL is a front-wheel-drive luxury sedan -- so it offers better grip in the winter, if that's a concern where you live. And it is powered by a V-6 engine rather than a large V-8, so its appetite for gas is more agreeable.

III. Large Family Cars:

Ford Crown Victoria/Mercury Marquis -- These six-passenger sedans are hugely roomy and immensely rugged (one reason they're favored as police cars/taxis/limos) and very safe -- consistent 5 Star performers in government/insurance industry crash testing. These are also the only late model sedans that offer standard V-8 power and rear-wheel-drive in a full-size chassis for the price of a V-6 powered, front-drive, midsize sedan.

IV. Pickups:

Nissan Frontier -- Tough, capable and exceptionally trouble-free small pickups, the Frontier offers both economical but tough 4-cylinder engines and more powerful V-6 engines. Look for used 4x4 models with manual locking hubs. Though it requires the driver to stop the vehicle, get out and manually engage the front hubs by rotating a knob in the center of each front wheel, these 4x4 systems tend to be more durable and problem-free in the long haul than the electronic/automatic hubs used on most new pickups.

V. SUVs:

Toyota 4Runner -- Considered by serious off-road drivers to be one of the best vehicles for this job (due to its agility, suspension and comparatively narrow body), the 4Runner consistently scores well when it comes to long-term durability and used car resale value, too.

VI. Minivans:

Honda Odyssey -- Though pricey relative to other vans, the Odyssey is considered the benchmark vehicle in this class -- for features as well as overall design. Excellent used car resale value and top of its class occupant protection are additional reasons to consider an Odyssey.

Toyota Sienna -- Another Toyota product that's got an established track record for high quality and a low incidence of significant problems, defect or recalls. Siennas are offered in a variety of configurations, including models with full-time all-wheel-drive (AWD).

@highlight

Buy used cars with original manufacturer's warranty remaining

@highlight

Look into Certified, Pre-Owned (CPO) vehicles with less than 50,000 miles

@highlight

Have a third-party mechanic look the used car

@highlight

Be sure the used car will pass state safety and emissions tests