(CNN) -- The White House confirms that Syria has crossed a "red line" by using chemical weapons in its war with rebel forces, prompting the United States to boost the "scale and scope" of its support for the opposition.

The determination, disputed by Syria, comes as forces loyal to Syrian President Bashar al-Assad have made gains in the past few weeks. Also, the militant group Hezbollah has become more active in the fighting on behalf of the regime.

The opposition has warned it could face crippling losses without immediate support.

What's next?

The Obama administration was resisting calls to arm the rebels, worried in part about the influence of radical groups and that weaponry might wind up in the wrong hands.

But it has now changed course.

It is going to provide military support including small arms, ammunition and potentially anti-tank weapons to the rebels, according to two officials familiar with the matter. The weapons will be provided by the CIA, the officials said.

The White House said earlier said no decision had been made on whether to impose a "no-fly" zone. That is something rebels have said is needed to halt air attacks on their strongholds.

The United States has also ruled out sending troops, or putting "boots on the ground" in Syria.

What's been the U.S. response?

The Obama administration had previously authorized non-lethal assistance, including communications equipment, medical supplies and food. The first direct U.S. support arrived in March.

Obama signed off on a new package of non-lethal aid April. That assistance was expected to include body armor, night-vision goggles and other military equipment.

Defense Secretary Chuck Hagel also ordered the deployment of up to 200 additional U.S. troops to Jordan in April as the violence spreads from adjacent Syria.

Those forces included communications and intelligence specialists aimed at assisting the Jordanians and "be ready for military action" if Obama were to order it, a Defense Department official said.

A number of U.S. special forces troops have been in Jordan for the past year assisting that nation's the Jordanians.

Jordan is a crucial U.S. ally in the Middle East and has experienced an influx of hundreds of thousands of refugees from the fighting in Syria.

The United States is also deploying a Patriot anti-missile battery and F-16 aircraft to Jordan as part of military exercises taking place this month.

It is not clear whether any of those assets will remain in Jordan once the regional exercises are complete. The Syrians possess Scud missiles.

The United States also has deployed Patriot missiles to Turkey, which also borders Syria. Officials say those missiles are defensive in nature. Syria employs SCUD rockets.

Would NATO join the U.S.?

Questions still remain about whether NATO would assist the U.S. militarily, similar to its help in enforcing a "no-fly" zone over Libya during that country's period of civil unrest.

In the past, NATO has flatly ruled out military intervention and the United States has no plans to put boots on the ground.

But on Friday, NATO Secretary General Anders Fogh Rasmussen said the international community had made clear that any use of chemical weapons is "completely unacceptable and a clear breach of international law."

Speaking in Brussels, he said he welcomed "the clear U.S. statement" on Syria's alleged chemical weapons use and that it was a matter of great concern.

"As for NATO, the Patriot deployment will ensure effective protection for Turkey against any missile attack, whether the missiles carry chemical weapons or not," he said.

Additional military options?

â€¢ Targeting Syria's air defenses with Patriot missile batteries in Turkey as part of a "no-fly" response, NATO has said. But Turkey only allowed the missiles there for defensive purposes and NATO nations would have to agree before they could be used otherwise.

â€¢ Airstrikes: The U.S. military has enough air power in the region to take action against Syria, according to officials. That includes fighter jets and bombers spread out across air bases in the Middle East and nearby aircraft carriers. The Navy also has warships equipped with Tomahawk missiles, which could be used to hit chemical weapons supplies.

But such strikes pose a danger of releasing chemical agents into the air around civilian populations in Syria, U.S. officials told CNN in March.

Complicating military involvement

What complicates any U.S. military support for the opposition is that many of the rebel fighters are militants with pro-al Qaeda sympathies, the same stripe of militants America has battled in Iraq and Afghanistan.

In April, Hagel cautioned lawmakers on the Senate Armed Services Committee about the difficulties surrounding any direct U.S. military action in Syria.

"It could embroil the United States in a significant, lengthy and uncertain military commitment," he said.

He called military intervention "an option but an option of last resort."

Joint Chiefs Chairman Gen. Martin Dempsey said the United States could send troops to Syria if al-Assad's government fell, if needed, to secure chemical weapons.

CNN's Jessica Yellin, Barbara Starr, Chris Lawrence, Tom Cohen and Elise Labott contributed to this report.

@highlight

NEW: U.S. through CIA to provide small arms, ammunition, sources say

@highlight

Opposition warns it could face crippling losses without support now

@highlight

NEW: No American "boots on the ground"; No word on any "no-fly" option

@highlight

Rebel fighters include militants with pro-al Qaeda sympathies