(Health.com) -- Some children and teens are more likely than their peers to become addicted to the Internet, and a new study suggests it's more likely to happen if kids are depressed, hostile, or have attention deficit hyperactivity disorder or social phobia.

Teenagers who use the Internet so much that it interferes with everyday life and decision-making may be addicted.

Although an Internet addiction is not an official diagnosis, signs of a potential problem include using the Internet so much for game playing or other purposes that it interferes with everyday life and decision-making ability. (The diagnosis is being considered for the 2012 edition of the Diagnostic and Statistical Manual of Mental Disorders, the "bible" of mental ailments published by the American Psychiatric Association).

Past research suggests that 1.4 percent to 17.9 percent of adolescents are addicted to the Internet, with percentages higher in Eastern nations than in Western nations, according to the study published Monday in the Archives of Pediatrics & Adolescent Medicine.

The Internet as therapy

In the survey of 2,293 seventh-grade students in Taiwan, 10.8 percent developed an Internet addiction, which was determined by a high score on an Internet addiction scale. Definitions vary, but an Internet addiction usually includes symptoms such as spending a lot of time on the Internet (especially more time than intended), an inability to cut back on usage, a preoccupation with online activities, and symptoms of withdrawal such as anxiety, boredom, or irritability after a few days of not going online.

The researchers from Kaohsiung Medical University Hospital, in Taiwan, followed the youngsters for two years and found that ADHD and hostility were linked to Internet addiction in children in general. In girls -- but not boys -- depression and social phobia also predicted problems. Health.com: Therapy that can help depression

Boys were at a higher risk of Internet addiction than girls, and those who used the Internet for more than 20 hours a week, every day, or for online gaming, were at higher risk as well.

Michael Gilbert, a senior fellow at the Center for the Digital Future at the University of Southern California's Annenberg School for Communication, says the findings were no surprise.

"The study's indication that children who are hyperactive or diagnosed ADHD are finding an outlet on the Web makes such perfect sense," he says, because those children crave the constant stimulation of fast-paced video games and interactive social networks. Health.com: What your teen needs to know about sex

Kids with depression, anger issues, or social problems also turn to the Internet as therapy, adds Gilbert, who was not involved in the study. "They can take on an avatar or a different identity, and can contact other kids with the same problems and social inadequacies; they don't have to function in conventional social ways."

And while Gilbert is not surprised by the research -- he regularly studies the impact of the Internet and cell phone usage on family relationships -- he says it's important that it is given the attention it deserves.

"I don't get the feeling when I talk to therapists that they really understand the concept of addiction to the Internet," he says. "They think more in terms of pornography sites or gambling sites specifically, but Internet addiction itself is not fully understood yet by the therapeutic community."

What parents, doctors, and teachers can do

Internet addiction may be not as widespread in the U.S. -- or at least not as well recognized -- as in Asian countries. In 2008, for example, a Chinese survey showed that more than four million teenagers spend more than six hours a day online. Health.com: How to care for someone who is suicidal

But if at-risk children -- such as those identified in the Taiwanese study -- are given sufficient time and exposure without careful monitoring, Internet addiction could easily become one of the most chronic childhood diseases in America, says Dr. Dimitri A. Christakis of the Center for Child Health, Behavior, and Development, in Seattle.

Our culture practically mandates time online, he says, with Wi-Fi connections in coffee shops and BlackBerries and iPhones that allow Internet access almost anywhere. "It would be as if we mandated that everyone drink two beers every day or everyone gamble for an hour every day," says Christakis.

Internet addiction among younger generations may often go unnoticed, however, because parents and pediatricians themselves are using the Web more than they'd like. Health.com: Health hazards hidden in college dorms

Since adolescents cannot easily avoid computers, treatment for addiction cannot simply involve abstaining from the Internet, says Christakis. Parents, educators, and medical professionals need to identify high-risk children early on and monitor their Internet usage to prevent problem behavior from forming.

Time on the Internet needs to be monitored as well, especially for children who may be at high risk for addiction because of depression, ADHD, or social problems, says Christakis.

"You can't tell a kid never to use the Internet the way you'd tell an alcoholic never to have a drink again," he adds. "But parents need to be thinking about what types of Internet or online gaming are particularly addictive. Ones that allow for continuous, real-time feedback are particularly risky."

Gilbert says that families should strive to make the Internet a healthy part of their home life. "Putting the computer in a very public place, like the hallway, can integrate the Internet into normal life, rather than it becoming something you go off and do in secret," he says. Health.com: I'm bipolar and struggle with addiction

Teachers and health-care professionals should also take the potential for Internet addiction seriously, according to Christakis, who cowrote an editorial published with the study. "Our intention in raising this concern is not to be alarmist but rather to alert pediatricians to what might become a major public health problem for the United States in the 21st century," he writes.

The National Science Council of Taiwan funded the study.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Study found boys were at a higher risk of Internet addiction than girls

@highlight

Doctor: Treatment for addiction cannot involve simply abstaining from the Internet

@highlight

Internet addiction may be not as widespread in the U.S. as in Asian countries

@highlight

It could become one of the most chronic childhood diseases in America, doctor says