(CNN) -- It's become a go-to tool for journalists, a digital man-on-the-street interview when big news breaks: see what they're saying on Twitter.

There's just one problem with that, says the Pew Research Center. Opinions expressed in the rapid-fire Twitter echo chamber, particularly in response to political news, are often at odds with the general public's.

The differences? Sometimes Twitter is more liberal. At other times, it's more conservative. And it's very nearly always more negative.

"Overall, the reaction to political events on Twitter reflects a combination of the unique profile of active Twitter users and the extent to which events engage different communities and draw the comments of active users," the report reads. "While this provides an interesting look into how communities of interest respond to different circumstances, it does not reliably correlate with the overall reaction of adults nationwide."

In the yearlong study, Pew focused on political events such as the result of the 2012 presidential election, the first presidential debate between President Barack Obama and challenger Mitt Romney and several speeches given by Obama.

Some examples: When Obama won re-election, public opinion polls suggested 52% of the public was pleased and 45% unhappy. On Twitter, a full 77% of tweets about his win were positive and only 23% negative.

Similarly, only 20% of the public told pollsters they thought Obama did a better job than Romney in their first debate (the one in which Obama was criticized for looking tired and unfocused). But 59% of tweets favored him.

Part of that might be explained by looking at who uses Twitter.

Pew's research shows that Twitter users are considerably younger than the general public and more likely to lean Democratic. In a 2012 survey, half of adults who said they posted news on Twitter were younger than 30, compared with 23% of all adults.

And 57% of those who posted news on Twitter were either Democrats or leaned Democratic, compared with 46% of the general public.

But Twitter pundits don't always lean to the left.

Nearly half of the U.S. public (48%) thought Obama did a good job on his second inaugural address. But only 13% of the tweets about it echoed that opinion.

Opinions about Sen. John Kerry being nominated as Obama's secretary of state split the general public: 39% approved, 36% disapproved and 26% had no opinion. On Twitter, a measly 6% expressed support, while 32% were negative and a clear majority, 62%, expressed no opinion.

The reason for such a swing, Pew said, is that on Twitter, unlike in opinion polls, users decide what they think is important enough to mention publicly. A generally popular event might not be portrayed that way if an angry minority is more inspired to post about it.

For example, nearly 14 million wrote on Twitter about Obama's re-election while a mere 70,000 remarked on Kerry's nomination.

Politics also reflect a truth that anyone who's followed the Oscars, Super Bowl, debate nights or, really, any public event can attest to -- the Twitter universe is never happier than when it's being snarky, or downright nasty, to someone.

"The overall negativity on Twitter over the course of the campaign stood out," Pew writes. "For both candidates, negative comments exceeded positive comments by a wide margin throughout the fall campaign season."

There were more negative than positive comments about Obama and Romney on Twitter. The negative comments about Obama bounced back and forth between 40% to 50% throughout the campaign, while positives went up to about 30% and down into the teens. (Remember, lots of comments can be neutral).

Romney's negatives were higher. Usually, between 50% to 60% of talk about him was not nice, while positives only broke above 20% during the campaign's final days.

Another thing to keep in mind when monitoring the conversation on Twitter: While it seems to be omnipresent among the digitally connected (yes, like we journalists tend to be), its overall reach is modest compared to other media.

In the Pew's 2012 news consumption survey, just 13% of adults said they ever use Twitter or read Twitter messages. Only 3% said they regularly or sometimes tweet or retweet news or news headlines on Twitter.

@highlight

Study: Twitter opinions rarely reflect those of the general public

@highlight

Pew Research says the most significant difference is that Twitter's more negative

@highlight

Twitter users are younger than the public and more identify as politically liberal

@highlight

But during some events, the site skewed too conservative vis-a-vis opinion polls