When Emperor Qin Shi Huang, the first emperor of China, anticipated his death more than 2,000 years ago, he wanted an army of warriors to guard his mausoleum forever and protect him in the afterlife.

So he ordered the creation of some 8,000 terra-cotta soldiers, along with hundreds of terra-cotta horses and chariots, to be buried with him in his tomb. Historians speculate the soldiers were modeled after eight individuals. When the statues were discovered by workers digging a well in Xi'an, Shaanxi Province, in 1974, the world was stunned by the spectacular funerary art and the legacy of the powerful emperor. Since then, it's become a major tourist attraction and a World Heritage site.

Now, these soldiers have a counterpart: female terra-cotta warriors.

Prune Nourry, a Paris-born artist based in New York City, has created a small army of them. In "Terracotta Daughters," 116 are featured in an exhibition at the China Institute from September 10 through October 4. The show's U.S. premiere is presented by the French Institute Alliance Francaise and China Institute as part of FIAF's Crossing the Line festival.

The difference is these female terra-cotta warriors are not out to protect any emperor, but were created to bring attention to the plight of girls in China.

"In China, there is a huge imbalance between boys and girls. I wanted to highlight the issue of gender preference," said Nourry. "I needed a strong cultural symbol to base this project on, and a universal one that would speak both to Chinese villagers in the countryside and to citizens abroad."

And, in a striking parallel to the terra-cotta soldiers, the terra-cotta girls will also become an archaeological project. After the exhibition, they will be buried in China until 2030, the year that, according to Chinese sociologists, men will have the hardest time finding a wife because of the skewed gender ratio.

The imbalance of the sexes is a serious problem for the Chinese. A 2010 census indicates there are at least 34 million more men than women. Due to the one-child policy and traditional preference for boys, as well as sex-selective technologies, China will have a huge surplus of men, which presents daunting demographic challenges for the world's most populous country.

Perhaps for those reasons, Nourry didn't encounter difficulties with the Chinese government in pursuing this project in China. She started working on the terra-cotta statues two years ago after finishing an installation in India that also explored gender bias.

In deciding on the size of the female army, Nourry chose the number eight because of its auspiciousness in Chinese culture. She created the first eight statues modeled after eight girls whom she met through an orphan charity in China.

Then, working with local craftsmen in Xi'an, 108 permutations of statues were made based Nourry's original eight statues by combining the different heads, torsos and legs. "For Xian Feng, the main craftsman I worked with in China, my project seemed at first impossible since women 'can't be soldiers.' But after we began the project, he changed his view and even turned one of the 108 combinations into a portrait of his own daughter," said Nourry.

The local craftsmen of Xi'an are used to making copies of the terra-cotta warriors which are sold primarily to tourists. When Nourry asked them to give their artistic interpretation in sculpting the female statues, they were initially tentative. Over time, they lost their hesitancy and gave each statue unique faces. No two statues have the same features.

Each terra-cotta warrior girl stands nearly 5 feet tall and weighs about 260 pounds. Their hairstyles are contemporary, as are their uniform, which is modeled after the orphan girls' school attire. Unlike the male warriors, they look approachable, friendly and even charming.

"It was a very enriching collaboration, based on exchange and mutual respect," said Nourry.

Her favorite moment was when the eight girls saw the terra-cotta statues of themselves and were delighted. Part of the proceeds from the sale of the eight original statues will pay for the cost of the eight girls' education for three years.

"Terracotta Daughters" is impressive in its artistic craftsmanship and social statement. It's a refreshing reinterpretation of one of China's national symbols. With these modern female warriors, Prune raises the pressing issue of gender discrimination without pointing fingers at anyone or anything. One looks at these amazing terra-cotta statues and feel compelled to ask -- why aren't there more of them? And why aren't there more girls in China?

@highlight

Artist Prune Nourry's show, "Terracotta Daughters," opens in New York on Wednesday

@highlight

Creating female terra-cotta warriors is a way to address the issue of gender imbalance

@highlight

Due to cultural preference for boys, China will have a big surplus of men, which is a problem

@highlight

Nourry worked with local craftsmen in China to make each female terra-cotta statue unique