(CNN) -- Here's the reality of the situation: A diplomatic solution to Syria's use of chemical weapons will include "boots on the ground." The threat of a military solution will not.

It should come as no surprise that anything other than doing nothing in Syria will be costly and threatens the deployment of soldiers to Syria to ensure compliance. But why does diplomacy seem so enticing?

Let's assume Bashar al-Assad agrees to surrender his chemical stockpiles to an international body for control or destruction. What next?

Minimally, there has to be a cease-fire in Syria's civil war. There can be no inspection regime until all parties involved in the fighting in Syria agree to stop fighting and to an intrusive cease-fire verification regime.

Having led the initial weapons of mass destruction hunt in Iraq in 2003, I can tell you that there is no possibility that inspectors should volunteer to race into harm's way to inspect a possible chemical site without a phalanx of soldiers protecting them.

Is a cease-fire likely? No side is incentivized to stop fighting. The minority Alawites are running Syria as well as for their lives.

Iran has stoked this war by proxy; it has no interest in a cessation of hostilities. Hezbollah is guided and funded by Iran so it won't stop the killing. Russia has supported al-Assad and his family for decades. It is unlikely that Russia will cut off its aid, especially in light of President Vladimir Putin's lecture to America in the form of an op-ed in Thursday's New York Times.

As a starting point, Syria has to declare what chemical weapons it has and where they're located before any inspectors secured by soldiers step onto Syrian soil.

Al-Assad will surrender that data on his chemical stockpiles, but it may well be wrong, full of intentional inaccuracies. Every vault behind every door within every site must be verified.

The amount of time to accomplish that task will be years. Let's not forget, a cease-fire must remain in place and be resilient enough to withstand the inevitable score-settling of this bloody civil war. The killing will continue. Only the bravest of the brave inspectors will agree to this mission.

Will the chemical weapons, or the other possible weapons of mass destruction that inspectors discover, be destroyed in place, or will they be taken out of country for destruction or safeguarding?

The answer seems quite simple -- destroy them in place. The logistics just to arrive at the point of finding the munitions are staggering. To upload arguably unstable munitions from multiple disparate locations throughout Syria and transport them along poorly maintained roads to locations within Syria to be secured or destroyed in a nonpermissive environment when hostilities are likely to flare up any time is a monumental task. Let's hope decisions about "rendering safe" are made by weapons experts, not suits.

Finally, every party involved in Syria's civil war wants al-Assad's chemical stockpile. Chemical weapons are strategic leverage. Hezbollah and al Qaeda insurgents are already deciding how to threaten their regional enemies and each other with the use of chemicals.

Diplomacy is hard. Be careful what you ask for.

The opinions expressed in this commentary are solely those of the author.

@highlight

Military analyst says people should not underestimate the demands of a diplomatic solution

@highlight

He says inspecting, destroying Syria's chemical weapons would require "boots on the ground"

@highlight

Inserting troops and inspectors into the middle of a raging civil war is a daunting task, he says