London (CNN) -- U.S. President Barack Obama failed to keep his 2008 election promise to close the Guantanamo Bay prison camp at a U.S. naval base in Cuba because the world had stopped watching. Europeans, delighted at his election and pledge to abandon Bush-era torture practices that had sullied the U.S. reputation worldwide, assumed that he would do what he said was going to do. It has taken three years to realise that he missed his self-imposed deadline.

For many that realization has been brought about by the Guantanamo detainees themselves, who unable to voice their despair in any other way are now on hunger strike in large numbers. Even the U.S. military now admits that more than 50 of the 166 detainees in the camp are now involved. In reality, the number is much higher: Reprieve understands, through unclassified phone calls with our clients, that more than 130 are now on hunger strike.

These include men with close ties to Europe: Shaker Aamer is a Londoner, a UK resident with a British wife and four British kids living in the capital. He has been cleared for release twice -- by both the Bush and Obama administrations. Successive British governments have called for him to be returned home. Yet he is still in Guantanamo, more than a decade on from being taken into U.S. custody. A fortnight ago, he told his lawyer, Reprieve's Clive Stafford Smith, that he had joined the hunger strike and had already lost over 30 pounds in weight. "I can't read. I am dizzy and I fall down all the time," he said, adding "My back and my neck are getting worse day by day. I don't want the end of this torture here to be paralyzed. I want to carry my kids when I get home."

Nabil Hadjarab's father and grandfather both fought for the French army. He longs to return to his family in France -- his uncle, Ahmad Hadjarab, has said: "I am asking America for humanity, and asking France for gratitude." But so far Nabil has had neither -- he has now lost so much weight that he is being force-fed by Guantanamo personnel, strapped to a chair while a tube is pushed up his nose and down his throat -- an intensely painful process that has been described by the World Medical Association as inhuman and degrading treatment. Nabil has been cleared for release since 2007 -- yet over five years on from U.S. authorities deciding that he is no threat to anyone, he still languishes in Guantanamo. On Wednesday night on an unclassified call with his lawyer he told her he had "lost all hope of ever being released."

Another detainee, Younus Chekkouri hopes one day to be reunited with his family in Germany. He too has joined the hunger strike. On a recent unclassified call, he told Reprieve: "The nightmare has started again. For some time, things had got a bit better here ...but now it has changed again ... really, now it is just pain everywhere. I don't want to die in Guantanamo." Like Shaker and Nabil, Younus has never been given a trial or charged with any crime, and has been cleared for release by the U.S. authorities.

There are many more in Guantanamo like these men -- stuck in a limbo with no apparent end, adrift from even the most basic principles of the rule of law. The hope which rose on the election of President Obama, who promised to close Guantanamo, now seems like a cruel joke. It is easy to understand the desperation they must feel: as Shaker himself put it recently, "a little over 50% of the prisoners have been told they can go home -- or go somewhere -- but [they] are still here."

On Thursday the European Parliament tabled an urgent hearing on the hunger strike in Guantanamo. The debate is welcome. It is crucial that Europe realises that this is not just a U.S. issue -- it is our problem as well. European intelligence services worked closely with the U.S. in implementing the misguided policies of the so-called "War on Terror" that saw so many innocent men swept up, "rendered" and tortured, simply for being in the wrong place at the wrong time. Europe has tolerated for too long the U.S. departure from the rule of law with regard to people who deserve the support of European governments.

It must be hoped that this debate is a first step towards remedying this. There is much to welcome in the motion: a call for Europe to re-engage, to demand the closure of Guantanamo, and, crucially, to offer to resettle the dozen or so prisoners who have been cleared for release but cannot go home because of the risk of torture. If Europe follows through on this, there will still be hope that one day soon, men like Shaker, Nabil and Younous will be reunited with their families.

The opinions expressed in this commentary are solely those of Polly Rossdale.

@highlight

U.S. President Barack Obama promised in 2008 to close Guantanamo Bay

@highlight

Reprieve: It has taken three years to realize he missed his self-imposed deadline

@highlight

U.S. admits more than 50 of 166 detainees in camp are on hunger strike - media reports

@highlight

European parliament is debating the hunger strikes at the camp