(CNN) -- A frog that eats birds and a gecko with leopard stripes are among the 163 new species discovered last year in the Greater Mekong region of southeast Asia, according to a report by the World Wildlife Fund.

The Cat Ba leopard gecko is found exclusively in Cat Ba Island National Park in northern Vietnam.

The discovery of 100 new plants, 28 fish, 18 reptiles, 14 amphibians, two mammals and one bird species highlights the extent of the biodiversity in the region, said Barney Long, head of the WWF's Asian Species Conservation program.

"It's a melting pot of diverse habitats. It has some of the wettest forests on the planet, high mountains, and a diverse array of terrestrial and marine habitats, including the Mekong River," he said.

"We continue to find new species of fish, primates and mammals, and nowhere else compares to the amount of large mammals that have been discovered in the region. It shows how little we know about species in the region," he said. "From a biodiversity perspective, there are still huge amounts to discover about region."

The Greater Mekong consists of the countries through which the Mekong River flows: Cambodia, Laos, Myanmar, Thailand, Vietnam and Yunnan Province of China.

With 16 global ecoregions -- areas defined by their shared ecological features and animal communities -- the Greater Mekong has more protected spaces than anywhere else on mainland Asia, according to the WWF.

The colorful Cat Ba leopard gecko of northern Vietnam has large, orange-brown "catlike eyes" and a body of leopard stripes, according to a report released Friday.

Its name refers to its place of origin, Cat Ba Island, the largest of 366 islands in Cat Ba Archipelago and home to many rare species that can only be found on the island. Scientists believe the high number of species unique to the island might be due to the long separation of the island from continental Vietnam, the report says.

Limnonectes megastomias -- a fanged frog with an appetite for other frogs, insects and birds -- has only been found in three remote areas of medium-to-high altitudes in eastern Thailand.

Globally, new species of mammals are rare finds, but in 2008 alone, new species of the mouselike musk shrew and a tube-nosed bat emerged from the region.  See photos of newly discovered species »

War and political unrest have kept large parts of the region, particularly Vietnam, Laos and Myanmar, off-limits to scientific exploration up until the past two decades, Long said.

Since 1997, nearly 1,200 new species have been discovered, many that cannot be found anywhere else, said Dekila Chungyalpa, director of WWF's Greater Mekong Program.

But the rapid pace of development in the Mekong region, coupled with the effects of climate change, are threatening to drive the species into extinction, Chungyalpa said.

"As we become familiar with more species in the region, our understanding of climate change and how it impacts these new species is changing," she said.

Chungyalpa said conservative estimates by the WWF project a 1-meter rise in sea level on the delta's coastline over the next decade, which will affect not only marine life, but also people who rely on the delta as a source of sustenance and employment, she said.

In 2007, the United Nations Intergovernmental Panel on Climate Change released its Fourth Assessment Report, which projected that global sea levels could rise from 18 to 59 centimeters (7 to 23 inches) over the next century based on six possible scenarios.

Already, Chungyalpa said, the area has been affected by an increase in tropical storms off the coast, which brings in more seawater and changes the flooding patterns in the delta. Some researchers, however, have questioned the link between climate change and more intense tropical storms. Apart from climate change, construction of dams and hydropower plants along the delta could further disrupt its waters, potentially displacing millions, destroying sources of drinkable water and disrupting the production of rice, Chungyalpa said.

"The delta is the rice bowl of the region. What will happen to people who depend on it if it's no longer there?" she said.

The WWF says it supports the idea of an agreement among the Mekong countries on how to respond to infrastructure development and climate change in terms of protecting its natural resources and people.

"Climate change is making it obvious that we can't treat development like it's a separate issue," she said. "We need to be addressing this issue now. It's such an immediate issue for us and it's going to change everything in this region if we don't address it."

@highlight

Discoveries highlight extent of region's biodiversity, World Wildlife Fund says

@highlight

100 plants, 28 fish, 18 reptiles, 14 amphibians, two mammals, 1 bird species found

@highlight

WWF: Pace of development in region, climate change threaten species to extinction

@highlight

Since 1997, nearly 1,200 new species have been discovered in Greater Mekong