(CNN) -- As nearly 600 days under siege sap the life and dignity out of the Old District in the Syrian city of Homs -- leaving malnourished men with legs like noodles and soot-stained children to dig through homes turned into rubble for bits of firewood -- diplomats in a picturesque Swiss city bicker over aid.

"The situation is unbearable and inhuman. Food, there is none. Medical supplies, there is none. Milk for children, there is none. It is beyond words." Mohammed Abu Yahay tells CNN through a crackly Skype connection.

Diplomats at the Geneva II peace negotiations in the Swiss city reached a yet to be executed deal to evacuate some women and children, according to United Nations mediator Lakhdar Brahimi, but for those affected, the meek agreement is little more than a consolation prize.

''We will fill our stomach with stones. We don't want to eat. We do not want your food or your aid supplies. We want to break the siege. There is nothing here anymore!'' an angry resident yells in one of several social media videos posted online this week by activists hoping to draw attention to their plight.

The Geneva peace talks seemed to matter little to residents living on perpetually empty bellies who demanded all parties put aside their differences to break the almost two-year siege of Homs rather than agree to a temporary solution from a reluctant regime.

''We ask Geneva to break the siege and make us safe roads and get us out of here. I need an urgent operation on my leg. ... We have been around one year and eight months under the siege, and also we don't want Ban Ki-moon ... to be worried about us anymore. They have been worrying for more than a year and seven months. Poor them,'' an elderly man with crutches sarcastically says in a video posted on social media websites.

The International Committee of the Red Cross also urged more action, saying that while the aid organization welcomes the agreement to evacuate women and children from the Old City, "a one-shot evacuation will not solve all the problems on the ground," adding that "it is very crucial to allow impartial humanitarian aid into Homs," Dibeh Fakhr, an ICRC spokesman, told CNN Monday.

The appeals appeared to fall on deaf ears, as the opposition Syrian National Coalition and the Syrian government delegation complained to the media Monday about the failures of the other party.

Inside Syria's most dangerous city

The United States blamed the Syrian government for the dire situation, accusing it of waging a "kneel or starve campaign."

"The regime is blocking all convoys of aid to Homs, and has been doing so for months. The U.N. with the Red Cross has been trying to get aid these aid convoys through to the city of Homs; the regime is blocking it. The situation is extremely urgent. Anything the regime says to the contrary is wrong," a senior U.S. official told CNN.

As the bitter winter cold retains its hold on the restive city, activists and residents say starvation and the lack of basic medical care claim lives regularly as Syrian troops and some opposition forces prevent the delivery of aid, according to a report from Human Rights Watch last month.

"Protein, all types of vitamins, vegetables, fruits -- all this is has been extremely scarce over the past eight to 10 months. So for children above the age of 2 and the elderly above 60, they are most vulnerable to the symptoms of malnutrition, and this is where we see the highest rates of mortality." Dr. Mashwan Abo Abdu a neurologist residing in the Old City told CNN.

Tree leaves, grass, olives and stale grain are all that's on the menu at many homes in the old districts of Homs, where many residents say they struggle to get just one meal a day on the table while loved ones with preventable diseases languish in a makeshift medical clinic with "medieval health care."

"The world must help us; they can't watch us drown in a sea of suffering, pain and death and do nothing after more than one and a half years of being under siege" the Rev. Frans, a Dutch Jesuit and longtime Syrian resident, said in broken Arabic on social media.

Months after the start of an uprising against the government of President Bashar al-Assad, the western city and once-thriving industrial center gave birth to an armed rebellion. That triggered a brutal Syrian troop bombardment in what human rights groups called an act of collective punishment on the city.

Over the course of several months, Syrian forces, backed by Hezbollah militants, moved in on the so-called capital of the revolution. They pushed insurgents out of one neighborhood after another until troops established a chokehold around the neighborhoods of Old Homs, separating the district from the Khalidiya area and wresting control of the strategic border city of al-Qusayr.

The approximately 3,000 people left behind suffered in silence for months without a single international aid convoy or international observer breaching the siege as food and medical stores dwindled along with the calcium in children's bones, the milk in mothers' breasts, and the protein in fathers' muscles.

"I have personally seen so many infants die due to lack of adequate treatment or professional care because we have no pediatricians, incubators, or obstetricians. So from the moment a child is conceived, they suffer under this siege," said Dr. Abo Ramez, who along with colleagues, issued a list of needed medical supplies to the international community, including powdered milk for infants and vials of electrolytes.

In the gray ruins of the Old City, a simple fall may shatter a child's thin, malnourished bones, and stunted toddlers smile with teeth blackened by decay as they play hide-and-seek. Doctors tell CNN that without intervention from the international community, "more people will die."

"I think that there is a lack of pressure from the international community on the barbaric regime. It is inhuman that they are fighting us over a loaf of bread. Cutting of water, electricity, and preventing any aid organization from entering. This situation reflects poorly on the international community to help these besieged areas," Ramez said.

Palestinian refugees starving to death in Syrian camp, human rights groups say

@highlight

The Old City of Homs in Syria has been under siege for nearly two years

@highlight

Food and medical supplies have been cut off, leaving hungry, angry residents behind

@highlight

The Geneva peace talks produced a small deal to evacuate women and children

@highlight

"We do not want your food or your aid supplies. We want to break the siege," resident says