(CNN) -- On Friday, Pope Francis announced the canonization of two of his predecessors: Pope John Paul II (pope from 1978 to 2005) and Pope John XXIII (1958-1963). That John-Paul II, whose pontificate dominated the late 20th century, is on a fast-track to sainthood should not come as a surprise.

At his death in 2005, the crowds chanted, "Santo subito!" (sainthood now!). The Vatican verified his first miracle, the curing of a French nun of Parkinson's, from which he also suffered, just two months after his death. He was beatified in 2011 and his second miracle, the healing of a Costa Rican woman with an aneurism after her family prayed at one of his shrines, was ratified that same year.

John XXIII's canonization, however, was not on the radar, but it makes sense. John presided over the Second Vatican Council, the great midcentury meeting that completely transformed modern Catholicism, and which is now celebrating its 50th anniversary. Pope Francis has emphasized the divine nature of this council's work frequently over the last few months and has waived the requirement that two miracles be credited to his intervention.

A Vatican spokesman emphasized that because "no one doubts" John's holiness, Pope Francis has decided to move forward with the dual canonization. (Early Italian reports suggest December 8, a Sunday this year, and the Feast of the Immaculate Conception, as the most likely date.)

Why does a pope become a saint? At its most basic, Catholics believe, a saint is a holy person through whom God intervenes after his or her death to aid the living. Over the first 1,500 years of Catholic history, people generally became saints through popular acclamation rather than through a formal papal process. While there were some saints who were celebrated across the Christian world, the vast majority received only local or regional veneration.

As with so many other Catholic procedures, the reform movements in the medieval papacy gradually asserted control of the process of canonization. In 1588, Pope Sixtus V instituted the "Sacred Congregation of Rites," a body intended to take complete charge of all processes of beatification and canonization.

However, local communities and religious leaders have always sought to promote their local holy men and women as saints, and often started venerating people regardless of official Vatican sanction. Pope John Paul II, in fact, oversaw the canonization of more people (483) than had been canonized in the previous 500 years, in part to lend the weight of Vatican authority to saints that had emerged throughout the global Catholic world.

Seventy-eight of the 265 popes have been saints, which may seem like a large number, but this includes 52 out of the first 54 popes. After the sixth century, the rate of papal canonization rapidly decreased. By the time of the great medieval reform movements, most popes did not become saints and were not expected to do so, as sanctity became reserved for those not so deeply involved in worldly affairs.

For example, Pope Celestine V may have become a saint, but he was recognized for his quiet life as a hermit, rather than for his brief life as pope (he was also an inspiration for Pope Benedict XIV's retirement). Over the modern era, pious leaders in local communities, people like Mother Teresa, and others of great piety outside the elite hierarchy were most likely to be recognized as saints. Thus, the incipient canonization of these two popes does stand out as unusual.

So what's going on in Rome? I turn back to the lessons of the history: Decisions about sanctity almost always involve considerations about local contexts and contemporary needs. John Paul II's sainthood has been promoted by many of the more conservative elements within the Catholic world. John XXIII, however, is something of a hero to more liberal groups because of his sponsorship of Vatican II.

Perhaps in linking these two pontiffs, Pope Francis is performing yet another act that emphasizes the continuity and the connections among Catholics of all kinds, a theme that has dominated his papacy so far.

The opinions expressed in this commentary are solely those of David M. Perry.

@highlight

David Perry: Pope Francis announced the canonization of two predecessors

@highlight

He says John XXIII's Vatican II was "divine" work, so Francis required only one miracle

@highlight

People used to become saints by popular acclamation. Papacy controlled process later, he says

@highlight

Perry: In canonizing one conservative, one liberal pope, Francis sends unifying message