(CNN) -- A thin girl with caramel skin and a yellow silk blouse walks alone through a barren landscape of rubble.

Nway prepares for her new job, selling vegetables from her aunt's garden.

Her legs are marked by cuts. Her face is smeared with white streaks of powder. And her eyes are blank as she sifts through the debris of what used to be her home before Cyclone Nargis slammed into Myanmar one night and swept her parents away.

Her name is Nway, and that's how she looked when aid workers found her after Nargis destroyed her isolated village. She refused to talk about the cyclone, pretending it never took place. She became, according to a CNN story, the "girl who refuses to remember."

A year later, an aid worker returned to the village to see how Nway was doing. She found Nway living in a tidy, bamboo house flanked by palm trees. The 8-year-old greeted her visitor with a big smile. Then she asked whether she could play with her visitor's hair.

Pam Sitko, the aid worker, said Nway -- like thousands of people in Myanmar -- is slowly recovering one year after Nargis demolished their country.

"After all of her pain and loss, she really is a spunky girl," said Sitko, who works with World Vision International, a humanitarian group. "She wasn't shy about reaching out to touch my blonde hair."

The night everything changed

Nway's resilience is shared by many in Myanmar, aid workers say.

Last year's cyclone was catastrophic. It killed at least 140,000 people and left at least 2 million people without homes, according to the United Nations World Food Programme.

The brunt of the storm hit Myanmar's delta region, the country's bread basket. It wiped out crops, shrimp farms and fish ponds. A year later, many fields remain unplanted; supplies are short, and the lack of drinking water complicates recovery efforts, World Food Programme officials say.

Yet some sense of normal life is returning, said Mia Marina, a program support manager for World Vision's Nargis response efforts. World Vision is building cyclone-resistant schools and providing supplies to cyclone survivors.

"Most of the people are going back to their livelihoods," Marina said. "Kids are going to school. The markets are open."

The people of Myanmar are also buying planting tools and seed in preparation for the monsoon rains that typically come in May, Sitko said.

"Everyone is hoping that this is the moment that it turns around," Sitko said. "It's an exciting time, a time of hope."

That hope appears to have spread to Nway.

She is fortunate to be alive. The cyclone killed her mother and father. The winds were so powerful that they blew away the village buffalo. In Nway's village, 120 people out of a population of 430 people lost their lives.

Nway survived because she was staying with her aunt. The pair joined a group squeezed in to the village headman's house to survive, Sitko said.

Nway wouldn't talk about the cyclone after aid workers found her a month later. She would walk away whenever she was asked about that night. Now, according to Sitko, who wrote about her meeting for World Vision, Nway can talk a little about her loss.

Sitko said Nway shared one memory from the morning after the cyclone while sitting in her aunt's house:

"When I walked to my aunt's house that day, my legs were scratched, and I passed lots of dead bodies," Nway said. "I wanted to help, because everyone was working, but I was too scared, so I only helped clean up my auntie's yard."

Nway dreams of her future

Nway prefers to talk about other subjects. One is her new job. She helps her aunt sell vegetables from their garden. On most mornings, she smears white powder made from tree bark on her cheeks (it's used as a skin beautifier by women and children in Myanmar). Then she balances a tray of vegetables on her head and walks to a village road to call out to potential customers.

Nway told Sitko that she's made "four new best friends." They like to memorize new words and play hide and seek after school.

"I'm always the fastest runner," she told Sitko.

Nway is starting to become aware of life outside her village.

"She was very proud," Sitko said. "She explained that she had recently taken a trip to another village with her aunties, and she wasn't afraid."

Nway doesn't know, though, where she would attend school as she gets older, Sitko said. She'll have to pay to attend school away from her village one day, but her aunt and uncle can't afford the costs.

"She wanted to study and said that she was smart," Sitko said. "She said she would be willing to travel to a school outside of her village if she had to."

Nway has already taken a more difficult journey.

The shocked girl who aid workers met a year ago has changed, Sitko said. Now Nway can remember -- and smile again.

"I was expecting a very different girl," Sitko said. "The little girl I met was very confident. I think she's been really transformed by our experience."

@highlight

Girl who survives Myanmar cyclone pretends it never happened

@highlight

Cyclone survivor becomes known as 'the girl who refuses to remember'

@highlight

Aid worker returns to Myanmar a year later to see the girl

@highlight

"I was expecting a very different girl," worker says