(CNN) -- Ebola, ISIS and Ferguson grabbed the headlines in 2014, but there is another huge story that should not be overlooked. Historians could look back on this year as the beginning of feminism's third wave.

The year was momentous for feminism. For the first time, rape victims and their supporters emerged from the shadows in significant numbers and started naming names -- to significant effect. Women, their voices amplified by social media and with the support of a small but growing cohort of men, have been exposing and shaming venerable American institutions such as the NFL, Ivy League and non-Ivy League colleges, and the entertainment icon Bill Cosby.

First wave feminists won the right to vote. The second wave got us the right to work. But even with those advances, women have remained fundamentally restricted by the threat and terrible secret of sexual assault.

This year, emboldened and connected by social media, college women formed a powerful grassroots movement that led to universities such as Harvard being publicly named and shamed for not addressing women's rape reports. They brought the issue of campus sexual assault into the White House, where Barack Obama became the first President to use the words "sexual violence." The Department of Education released a list of universities under investigation for mishandling sexual violence cases, often letting even repeat predators off with barely a slap on the wrist.

These young women had been silent until social media enabled them to come together, even though thousands of miles apart, share debilitating secrets and then act with the confidence that safety in numbers provided.

Last week's back-pedaling on the Rolling Stone article about an alleged gang rape at a University of Virginia fraternity house is an unfortunate example of reporting gone wrong. But it is also a teachable moment about why feminism's third wave is so important: We must make it easier for more women to put their names and faces on their accusations and eradicate the stigma and fear that silences victims. Only when these stories come fully out of the shadows can we assess their validity and see justice done.

Cosby's accusers, with their remarkably similar stories of being drugged and assaulted, were also "heard" for the first time in 2014, even though many had individually come forward in the pages of national media years ago. Barbara Bowman, a Phoenix artist and mother who was one of Cosby's early accusers, told me that being a rape victim "is the most shameful, scary, intimidating, filthy place to live. It is a place of darkness and fear."

The bravery of the Cosby accusers and the college women alone is not the only encouraging sign.

The public revelations of domestic violence rocking the National Football League, amplified by an elevator video of Ray Rice cold-cocking his fiancee, are another. The NFL dropped the ball on punishing Rice but now is being shamed into paying attention to behavior that it used to ignore and enable.

Men are starting to get it. In an article after the latest Cosby scandal, the essayist Ta-Nehisi Coates wrote that he regretted not having paid attention to the women in 2008, when he penned a seminal piece on Cosby.

"I have never been raped," Coates wrote. "But I have, several times as a child, been punched/stomped/kicked/bum-rushed while walking home from school, and thus lost my body. The worst part for me was not the experience, but the humiliation of being unable to protect my body, which is all I am, from predators."

Every alleged image or videotape of a rape and beating that goes viral, every woman coming forward with a Cosby story and every college freshman reporting her rapist form a collective alarm bell waking up the silent majority of Americans who would never call themselves "feminist" and yet who abhor sexual violence against women.

Rape culture holds all women down, whether soldiers or CEOs or college freshmen or high school girls who drank too much out in blue-collar Ohio or backcountry Oklahoma.

My generation of women, who came of age in the 1980s, did not really carry forward the banner of feminism. We took advantage of the gains of the 1970s, getting good jobs and having children and then got so busy having it all that we had no time left over. And it was terribly important to fit in, to be one of the guys, to fly under the radar as women. The last thing we wanted was to be labeled as victims, to wear the humiliation of being prey.

I'm in awe of the young women on campuses who have stood up and made it OK to tell the world what happened to them, in their dark places, in the dark of night. Thanks to their courage, more and more Americans are understanding every day that the shame of sexual assault is a burden that belongs on the predators, not the prey.

@highlight

Nina Burleigh: 2014 marked start of feminism's third wave -- rape victims speaking out

@highlight

She says social media, support of men, including President, brought campus rape to fore

@highlight

She says Cosby, NFL, UVA cases show need to erase stigma of women naming attacker

@highlight

Burleigh: Women in '80s sat out feminism; new wave emboldened to shame predators