(Health.com) -- I'm not one of those women who scrutinizes every new wrinkle in the mirror or tries to hide them with oversize sunglasses, but who likes seeing those tiny lines adding up?

Well, un-furrow that brow because there's a lot that can be done to outsmart your skin. "About 50 percent of aging is genetic, and 50 percent is due to lifestyle choices," says Francesca Fusco, M.D., an assistant clinical professor of dermatology at Mount Sinai School of Medicine.

In fact, researchers at the University Hospitals in Cleveland and Case Western Reserve University studied 186 pairs of identical twins and found that everyday factors such as sun exposure and smoking significantly accelerated the aging process. By the age of 40, getting more than 30 hours a week of sun exposure added the equivalent of two years to the face, and every 10 years of smoking tacked on another 2.5 years.

It's true that, alas, there's no fountain of youth (if there were, you can be sure the Real Housewives would be filling their infinity pools with its waters). But with some healthy-living tweaks, plus helpful products and treatments, you can slow down the clock and keep your skin looking better than you ever imagined.

Health.com: 7 ways you're aging your skin

Your age-proofing arsenal
Moisturizers! Creams! Cleansers! Serums! All of these products have a place in your routine, but here are a few of the most essential:

Cleanser
A small-grain exfoliating cleanser will work for most skin types. "It cleans your skin and exfoliates at the same time," Dr. Fusco says, which zaps dullness that occurs as cell turnover slows down.

Anti-aging serum
Serums contain higher concentrations of therapeutic ingredients than creams—that means faster results. Look for retinol (a vitamin A derivative), vitamin C, or vitamin E—these vitamins stimulate collagen production, strengthening skin.

Eye cream
"Choose an eye cream that contains retinol (to stimulate collagen production) or caffeine (it constricts blood vessels to reduce puffiness and dark circles)," advises Fredric Brandt, M.D., a dermatologist in New York City and Coral Gables, Florida.

Moisturizer
The key ingredients to look for are glycerin or hyaluronic acid, according to Dr. Brandt, because they help your skin hang on to moisture.

Sunscreen
If you're outside a lot during the day, you need a broad-spectrum sunscreen with an SPF of at least 30 in addition to your moisturizer.

Health.com: The best anti-aging secrets

Cheating time—with needles
Women who look young for their age may be getting injected with muscle-relaxing drugs or fillers (or both). A few things you should know before giving these a shot:

Botox and fillers are used in different areas
Botox is a form of botulinum toxin that is typically injected into crow's feet, forehead lines, the lines between your brows, and the "bunny lines" at the top of the nose. It relaxes muscles, which inhibits lines from forming when you move your face. Fillers like Restylane are commonly used to add volume to cheeks, smile lines, lips, temples, and the jawline. Both start at about $550 per area.

Explore your options
Botox and Restylane are still the most popular brands, but there are other choices. Many of Dr. Fusco's patients claim that Dysport kicks in faster and lasts longer than Botox. Lisa Airan, M.D., an aesthetic dermatologist in New York City, says Xeomin is the newest botulinum toxin on the block. As for fillers, Dr. Brandt loves Belotero, which he says is great for filling in lines.

Botox can prevent wrinkle
Injections in your 20s or early 30s may sound insane, but if you see signs of wrinkles when you're at rest, Botox can actually help you avoid or tone down new ones. "Getting Botox can prevent future damage by softening facial movement," says Doris Day, M.D., a clinical assistant professor of dermatology at New York University Medical Center.

Less is more
Some derms, like Dr. Fusco, recommend so-called "baby Botox" for patients who are nervous about looking frozen. This involves injecting smaller amounts more frequently (every three months, as opposed to every four to six months) for a more natural look.

Health.com: Have firmer skin forever

A wrinkle in time
See lines? Here's what's happening to your skin.

20s UVA rays (the ones responsible for aging) can start to break down collagen, the protein that lends skin its firmness, leading to tiny lines on the skin's surface — usually starting around the eyes.
30s During this decade, the ability of collagen to repair itself starts to slow, causing lines around the eyes to deepen into crow's feet. Forehead lines and lines between the eyebrows start.
40s Thanks to the stepped-up loss of collagen and elastin (the protein that helps skin snap back), even thicker-skinned areas will fall prey to fine lines, causing creases and little wrinkles around the mouth.
50s By now, you will have lost some fat from just below the skin's surface, causing it to sag a bit. Lines deepen and new ones are created. But those few extra pounds you've been fighting can help plump up wrinkles.

Copyright Health Magazine 2011

@highlight

Sun exposure and smoking accelerate skin's aging process by years

@highlight

Retinol is a rejuvenating ingredient in anti-aging serums and eye creams

@highlight

Less is more when it comes to needles, but Botox can prevent wrinkles