(CNN) -- It has now been certified officially: Germany is special, at least in the eyes of ratings agency Standard & Poor's.

According to Standard & Poor's, Germany is the only country in the eurozone which still deserves the prized AAA rating with a stable outlook. Nine other countries, together accounting for more than half the euro area's GDP, were downgraded at least one notch. Given that these countries also provide more than half of the financing of the eurozone bail out fund (the European Financial Stability Facility) it was only logical that this institution also lost its AAA rating.

One could be tempted, following the downgrades, to conclude that most euro countries just cannot get their fiscal houses in order. But the opposite is closer to reality.

The average fiscal deficit for the euro area was only about 4% of GDP in 2011. This is projected to fall to about 3% in 2012. This is much lower than the double digit figures for the U.S. and UK fiscal deficits for 2011, which are expected to persist through this year.

Italy -- hit with a two-notch downgrade -- is actually expected to structurally balance its 2012 budget. "Excessive" deficits are thus unlikely to be the root cause of the problem (at least apart from Greece). The motivation for the downgrades given by Standard & Poor's actually cites the excessive attention given to fiscal austerity as one principal reason for the downgrading of a whole swath of euroland.

Greek debt talks to resume

So why the downgrade? Is there really such a lack of capital that the remaining deficits, which look modest in comparison to other developed countries, cannot be financed?

The answer is surely no. There are enough savings within the monetary union area to finance all public deficits of the eurozone's members. This is because euro area savers are usually loath to invest in foreign currency; and most regulated intermediaries such as investment fund have little choice but to invest in government securities in euro.

Further, Europe's investment funds and insurance companies cannot all put their money in a bank account where yields are close to nothing. This is a key reason why reaction in the markets was so muted after the downgrades.

So what is Standard & Poor's afraid of? One major problem is Europe's regional split of savings habits.

Those in the north -- Germany and the Netherlands, for example -- have an excess of savings. But the area's investors dare not cross the Alps to spend their money in the southern countries such as Italy, Spain and Greece (and maybe soon France).

This is why Italian funding costs have gone up so dramatically while the same time, the German government can collect money from investors when it issues short term paper.

The collection of savings within national pools means the capital markets have ceased to function in the euro area. The European Central Bank is the only institution able to recycle northern European savings through the euro area. The ECB has thus become the "central counterparty" to most north-south lending in Europe. By doing so it has prevented a collapse of the banking system. But the ECB has its limits too.

The ECB cannot single-handedly substitute for all private cross border lending. The downwards spiral will continue until these markets begin to function again. This should be the main priority of Europe's leaders. The fiscal compact might be useful to prevent the next crisis a generation down the road, but this will not be very useful if the euro does not survive the present one.

The opinions expressed in this commentary are solely those of Daniel Gros

@highlight

Daniel Gros thinks the eurozone's public finances are still in shape despite downgrades

@highlight

Gros regards Europe's regional split of savings habits as one of the key problems in the crisis

@highlight

The European Central Bank has prevented a collapse of the banking system, but it has its limits