Tokyo (CNN) -- Japanese Prime Minister Shinzo Abe has waded deep into the effort to deal with the aftermath of the world's worst nuclear accident in a quarter century.

His government said Tuesday it would spend the equivalent of $470 million to try to tackle the alarming toxic water crisis at the country's tsunami-crippled nuclear power plant.

National authorities are stepping in as Tokyo Electric Power Company struggles to cope with an array of daunting problems at its stricken Fukushima Daiichi plant.

The move is a gamble for Abe, who comfortably won elections last year and has so far remained popular.

Why Fukushima is worse than you think

"Today, instead of the previous stopgap countermeasures, we have put together a basic policy for countering the contaminated water issue," Abe said after a ministerial meeting Tuesday.

TEPCO has accumulated a huge volume of tainted water at the site since a massive earthquake and tsunami in 2011 set off meltdowns at three of the plant's reactors.

A litany of leaks

Last month, it said one of roughly 1,000 huge storage tanks at the site had leaked 300 tons of toxic water, prompting Japan's nuclear regulator to declare the situation a Level 3 serious incident, its gravest assessment since the meltdowns at the plant in 2011.

TEPCO looks for outside help to stabilize Fukushima

Now, the regulator says it suspects more leaks from other containers after the company detected high radiation levels in some parts of the water storage system over the weekend.

TEPCO is also having difficulty managing the large quantities of groundwater that flow into and out of the area around the plant each day. In July, it admitted that radioactive groundwater was leaking into the Pacific Ocean from the site, bypassing an underground barrier built to seal in the water.

Michael Friedlander, a former nuclear plant operator and engineer, described the groundwater problem as one of the biggest long-term issues at the plant.

"It's like having a leak in your basement," he told CNN Tuesday.

Government measures

Amid mounting concerns about the crisis and TEPCO's ability to deal with it, Abe said last month his government would step in.

Fukishima tuna study finds miniscule health risks

In the plan outlined Tuesday, the government said it intends to spend roughly $320 million on a technologically challenging project to freeze the ground around the reactors to prevent groundwater from leaking into the plant and carrying radioactive particles with it as it seeps out.

Japan ponders freezing ground

The plan to freeze the ground had already been proposed by TEPCO, but the government says it is trying to speed up measures to get a grip on the water crisis.

It earmarked a further $150 million for a new, more effective processing system for the tainted water at the plant.

Authorities will also replace water storage tanks that are held together by bolts with welded tanks, which have a lower risk of leaking.

The three main elements of the government's plan are to decrease the amount of contaminated water in and underneath the reactor buildings and surrounding trenches, keep groundwater away from already toxic water and prevent tainted water from seeping into the ocean.

Frozen ground

The plan to freeze the ground around the reactors is particularly ambitious. The Japanese government has previously described the task as "unprecedented."

The technology has been used before in the construction of tunnels, but never on the massive scale that the Fukushima plant would require. It also has never been used for the years or decades that experts think will be needed at the plant.

It is likely to involve plunging tubes carrying a powerful coolant liquid deep into the ground. The liquid would freeze the ground solid so that no groundwater could pass through it.

Friedlander said that the ground freezing is "a good solution as an interim fix" until the leaks underneath the reactors are permanently sealed.

TEPCO has been grappling with water issues ever since the plant was hit by the natural disasters in 2011. The resulting meltdowns constituted the second-worst nuclear accident in history, trailing only the 1986 disaster at Chernobyl, in the former Soviet Union.

CNN's Yoko Wakatsuki reported from Tokyo and Jethro Mullen wrote from Hong Kong. CNN's Junko Ogura contributed to this report.

@highlight

The prime minister vows to move on from TEPCO's "stopgap countermeasures"

@highlight

The government says it will spend about $320 million on a plan to freeze the ground

@highlight

An expert describes that measure as a good "interim fix"

@highlight

It is intended to stop groundwater from entering the site and mixing with toxic water