(CNN) -- We arrived in Mali's capital city, Bamako, on January 22, a four-person emergency assessment team rapidly deployed by International Medical Corps. With violence raging throughout the country as French and Malian forces fought to take back control of areas seized by Islamist rebels earlier this month, we had no time to waste.

Fighting had already displaced more than 10,000 people by the time we arrived (an estimated 25,000 to date), adding to the more than 460,000 Malians who fled their homes because of violence in 2012. Even before January 10, more than 2 million Malians were at risk of food insecurity and an estimated 1.5 million at risk of epidemics, according to the U.N. Office for the Coordination of Humanitarian Affairs.

In this dire humanitarian and volatile security context, we immediately began advancing north to reach areas affected by the latest conflict and assess the most urgent humanitarian needs on the ground.

Mali, particularly the northern part of the country, poses enormous challenges for organizations seeking to help those who need it. Humanitarian access is extremely limited, making the presence of relief and aid agencies very sparse, despite vast need. We have faced tremendous challenges traveling through conflict-affected areas: strict military checkpoints, impassable roads and rivers, unpredictable security dynamics, and, worst of all, the ever-present possibility of scattered Islamist rebels along the route. But we're working together with local authorities, U.N. agencies and nongovernmental organization partners to gain access to previously unreachable areas and ensure that critical health and nutrition needs are being met.

On January 28, local authorities granted our team access to the town of Konna to conduct the first humanitarian assessment there. We had only four hours to get in and out. Konna was the first town captured when armed Islamist rebels who control northern Mali began aggressively moving south on January 10, triggering French military intervention. Beginning with airstrikes on January 11, French and Malian military forces fought intensely against the Islamist rebels in Konna for more than a week, forcing many of the town's residents to flee their homes.

French and Malian forces retook Konna from the rebels on January 18. Most of the town's residents had returned by the time we were allowed in to assess critical needs, and life was beginning to return to normal. But there were still many signs of the conflict. The road leading into the town was littered with burned-out pickup trucks and shrapnel. We even found an unexploded bomb in one home we visited, quickly warning the family of 17 to stay clear before reporting the bomb to the French military to be rendered safe. Similar threats of unexploded ordinances and remnants of Islamist rebels will persist throughout Mali, even as military operations begin to wind down.

We met with community leaders to discuss Konna's most urgent needs, involving all sectors of the community, including the mayor, women's groups, local health associations and youth groups. We also visited homes to see firsthand the household-level impact of the conflict. Hunger and food insecurity are major concerns in Konna and throughout Mali. Konna's market was closed for a month because of instability in the region, cutting off access to food and compromising many people's livelihoods. The town's school remains closed, but health and nutrition services have started reopening with the support of local NGOs.

We're now on our way to Timbuktu, which was just retaken by French and Malian troops. Timbuktu is one of the three northern regions controlled by Islamist rebel groups since an April 2012 coup that effectively split Mali into two. Thousands of displaced families are expected to be returning home in the coming days, likely overwhelming critical services that have been weakened since being cut off from the world 10 months ago. We've heard reports that the rebels looted health clinics, damaging and even destroying some. Many doctors and nurses have fled south or across the border to Mauritania, leaving limited support for the local population.

As soon as we gain access to Timbuktu, we'll conduct rapid assessments of its health facilities to determine the most pressing needs before initiating emergency response activities to provide staff, equipment and medication. We'll also assess the town's nutrition and water needs, sharing our findings with U.N. agencies and NGO partners to facilitate a coordinated humanitarian response.

After Timbuktu, we'll continue north, heading deep into formerly rebel-held territoryâ€”areas NGOs have been cut off from for monthsâ€”to reach those most in need. To help us help the estimated 4.2 million people in need of humanitarian assistance in Mali, donate to our emergency response fund. Stay updated on our Mali emergency assessments and responses by visiting our Mali page.

@highlight

Violence has displaced hundreds of thousands Malians

@highlight

Mat Jacob is a member of an International Medical Corps team providing aid to the region

@highlight

Conflict in the region has made it difficult for relief groups reach those in need

@highlight

Many doctors and nurses have fled Timbuktu leaving critical health services weakened