(CNN) -- Mitt Romney and Paul Ryan hit the campaign trail Thursday to pitch energy policy and defense spending, as new polls showed President Barack Obama maintaining a slight lead in three key swing states after Romney named the conservative House Budget Committee chairman as his running mate.

Four days ahead of the Republican National Convention, certain presidential nominee Romney sought to build momentum with a continued focus on his economic policies mixed with attacks on Obama's handling of a stalling recovery.

However, the controversy this week over Republican Rep. Todd Akin's incendiary remarks on "legitimate" rape and pregnancy has dominated the political chatter and raised questions about whether the conservative Christian from suburban St. Louis can unseat vulnerable Democratic Sen. Claire McCaskill in Missouri.

Threat against Akin being investigated

Seeking to regain control of the campaign message, Romney traveled to New Mexico to discuss a plan that he says will make America energy independent by 2020 -- which would coincide with the conclusion of his second presidential term, if he gets elected twice.

Touting the country's newly accessible oil and gas reserves, Romney repeated familiar themes -- fewer federal regulations, more oil drilling -- that he said would wean the country off imported oil and spark an economic boom at home.

Democrats: Our convention will stall Romney

He called for states to have control over drilling on federal land within their borders; opening new offshore areas to energy development; starting a fast-track approval process for energy projects including nuclear power, and limiting the ability of environmental groups to file lawsuits.

Acknowledging that conventional sources of oil were dwindling, Romney said the new production would come from places like the deepwater Gulf of Mexico, Canada's oil sands and shale formations.

CNN electoral map: Do the math

In a position paper on the issue, Romney listed benefits from achieving energy independence as 3 million new jobs, $1 trillion in government revenues, a stronger dollar and lower energy prices.

However, a recent report by the nonpartisan Congressional Budget Office was less sanguine.

The CBO report, which was requested by Ryan, said 70% of the nation's oil and gas reserves already were available for drilling. Opening the rest, it said, would increase government receipts from an estimated $150 billion under current policy to $175 billion to $200 billion over the next 10 years.

Strippers count on GOP spending

When asked to explain the difference, a Romney staffer said the campaign's projections were more inclusive and stretched out over a longer time period.

Obama has touted increased oil production in recent years, and also opened up new areas for drilling in the Gulf of Mexico and indicated he'll issue permits to drill in the Arctic.

Obama's troubled solar 'poster boy'

At the same time, the administration has increased environmental and safety standards for offshore drilling and tightened emissions rules on power plants. The current administration has also issued fewer permits for drilling than George W. Bush, largely due to the moratorium imposed after the BP spill in 2010.

On Thursday, Romney criticized Obama's support for renewable energy subsidies and highlighted companies that have received government funding and then gone bankrupt, such as Solyndra and Ener1.

Wal-Mart moms not tipping their hand

The administration has repeatedly defended its decision to invest in renewable energy companies, noting that energy from wind and solar projects have doubled since Obama took office.

"The Republican approach is essentially one that is written by or dictated by big oil and it focuses almost entirely on oil and fossil fuels," White House Press Secretary Jay Carney said Thursday.

Romney has said he would not support extending the federal subsidy for wind power, which expires at the end of the year. He called Thursday for the government to support advanced energy development at the basic research level, not at the commercialization phase.

Ryan, meanwhile, spoke about about military spending at a defense industry roundtable in Fayetteville, North Carolina.

The event came a day after a new CBO report outlined the potentially dismal impact of the impending "fiscal cliff" that includes the expiration of the Bush tax cuts and mandatory reductions in government spending, including defense outlays.

Ron Paul, supporters change strategy

The scheduled automatic cuts -- known as sequestration -- came about as a result of a compromise budget measure passed into law after congressional negotiations failed to agree on a deficit-reduction plan last year.

Ryan voted for the compromise, saying at the time that it represented "a victory for those committed to controlling government spending and growing our economy."

Show us your budget, Ryan demands

Now, he and Romney call the looming "fiscal cliff" an example of Obama's failed leadership. Democrats, however, blame what they call Republican intransigence in opposing Obama's push to extend the Bush tax cuts only for income over $250,000 a year for families and $200,000 a year for individuals.

"Under a Mitt Romney administration, this will not happen," Ryan said of the automatic cuts to military spending. "We will reverse these reckless, devastating defense cuts that the president is bringing us toward."

At the White House, Carney said a quick solution to the issue would come if Republicans ease their rigid opposition to ending tax cuts for wealthy Americans.

Rick Warren cancels presidential forum

The new Quinnipiac University/CBS News/New York Times polls showed Obama leading Romney by 49%-46% in Florida and 49%-47% in Wisconsin, which is Ryan's home state. Both results were within the margin of error, meaning the races are statistically even in those states.

In Ohio, the poll showed Obama with a 50%-44% lead, just outside the sampling margin of error.

Peter A. Brown, assistant director of Quinnipiac University Polling Institute, wrote in a statement accompanying the polls' release that Romney's choice of Ryan has made "small difference" so far in the race.

Will money be the difference maker?

In Florida, support for Romney ticked up 1 percentage point from a poll taken before Ryan was added to the ticket. In Wisconsin, Romney inched up 2 percentage points. The Ohio numbers remained identical to a Quinnipiac University survey taken prior to the Ryan announcement.

With a potential hurricane possibly heading toward Tampa, Florida, the site of the Republican convention scheduled to begin Monday, GOP officials made clear Thursday that Romney would be nominated as the party's presidential candidate next week regardless of whether the storm disrupts proceedings.

"We do have contingency plans to deal with weather related and other circumstances that may occur to ensure that the business can go on at the RNC and Mitt Romney and Paul Ryan will become our nominees," RNC communications director Sean Spicer told CNN.

Isaac gains strength by the mile

"While the safety of delegates and others attending next week's Republican National Convention was paramount, the actual business of nominating Romney would not be delayed by bad weather," Spicer said, adding: "There are contingency plans in place and rules of the RNC in place that ensure that will always be able to occur."

The storm's path is uncertain, though some computer models show it could move up through Florida, including Tampa. Other models send it farther west, into the Gulf of Mexico.

According to the latest forecast map from the National Hurricane Center in Miami, the storm -- named Isaac -- will pass near the Florida Keys early Monday as a Category 1 hurricane and northwest of Tampa by Monday evening.

The convention is scheduled to run through Thursday evening when Romney will officially accept the nomination and deliver his acceptance speech. The speech is considered a crucial moment for any presidential nominee because many voters are just beginning to tune in to the presidential election.

Arrest made after threat to Obama

Neither Obama nor Vice President Joe Biden have any campaign events scheduled Thursday. A new Obama campaign ad released Thursday features former President Bill Clinton -- in increasingly visible surrogate for Obama.

In the ad, Clinton attempts to draw a contrast between Republicans and Democrats as the November election approaches.

Whither Sarah Palin?

"This is a clear choice. The Republican plan is to cut more taxes on upper income people and go back to deregulation. That's what got us in trouble in the first place," Clinton says in the ad. "President Obama has a plan to rebuild America from the ground up, investing in innovation, education, and job training. It only works if there is a strong middle class."

He later adds: "That's what happened when I was president. We need to keep going with his plan."

In his stump speeches, Obama frequently credits Clinton-era policies for the strong economy in the 1990s.

CNN's Tom Cohen, Paul Steinhauser, Dana Davidsen, Kevin Liptak, Gregory Wallace, Ashley Killough and CNNMoney's Jeanne Sahadi contributed to this report.

@highlight

NEW: Romney calls for more oil drilling, less regulation

@highlight

Mitt Romney and Paul Ryan hit the campaign trail on Thursday

@highlight

New polls show President Obama maintaining a slight edge in three key states

@highlight

GOP officials say a possible hurricane won't derail Romney's nomination next week in Tampa