Hargeisa, Somaliland (CNN) -- In 1856, British explorer Richard Burton described Somalia as a nation of poets. It may seem an unlikely moniker for a country that has since become defined by piracy, state collapse, and the many horrors unleashed by Al-Shabaab -- the Islamic extremists who control much of the country.

But, much has changed since then. Despite appearances, the country used to be one of East Africa's most dynamic artistic enclaves, and much of the region's cultural activity took place in Hargeisa, the capital of Somaliland, the internationally unrecognized state that broke away from Somalia in 1991.

"Hargeisa used to be the cultural hub for the Somali republic. There was a beautiful Chinese-built theater; also the main public library, at one time the biggest in Somalia," recalls Jama Muse Jama, who six years ago founded the Hargeisa Book Fair.

The theater and library, like much of Hargeisa, was flattened during the civil war that preceded Somalia's collapse and Somaliland's declaration of independence. Now, Jama is hoping to restore some of what his country lost.

"If at the end of the fair, we have one more reader, we have succeeded," he says.

The fair, which takes place during a week in August (this year's ended August 13), has become one of the most anticipated literary events in East Africa. Part book expo, part cultural festival (poets, musicians and dancers are as popular as the author panels), the fair attracts a variety of local literary legends like Hadraawi, widely considered the most famous living Somali poet.

Outside, the hundreds in attendance throng around stalls selling new books published by the likes of the Redsea Online Publishing/Ponte Invisible -- a publishing company run by Jama -- and second-hand tomes, all to meet demand in this literature-hungry city.

The city's dedication to the written word is particularly poignant, given that the Somali language didn't even have its own written alphabet until 1972. That year, Somali President Mohammed Siad Barre introduced a standard written version of the Somali language using Latin script.

The Barre regime's move -- driven by a 5% literacy rate (according to the United Nations) -- represented a new approach beyond the oral poetic tradition.

"Government workers were given three months to learn. Anyone who failed was fired," recalls Said Salah Ahmed, an author, playwright and teacher of Somali at the University of Minnesota, who was a school principal at the time.

As the campaign stretched from the cities to the towns to the smallest villages, he says teaching took place "wherever -- under trees, under walls, wherever there was shade."

Jama also considers that period fondly.

"It was one of the best things that happened in Somali society," he says.

While the first books to be published in the new language were mostly textbooks, there was also a smattering of European classics, with "Animal Farm," "Gulliver's Travels," and even Dale Carnegie's "How To Win Friends And Influence People" appearing on book shelves, according to Liban Ahmad, a Somali writer and teacher based in London.

The period also brought on new forms of Somali literature, alongside poetry.

"Modern trends started to emerge, including original fiction works," recalls Mohamoud Shiekh Dalmar, who was working with the Somali Broadcasting Service.

According to the UN, the Somali literacy rates climbed to 55% by the mid-1970s. Such progress wasn't sustainable though, as civil war and drought ultimately split the country. By 1990, literacy rates fell to 24%. Jama recalls books being burned at his school library. The official excuse given, he says, was that they fostered colonial sentiment, but he reasons that it was because they underlined Somaliland's separateness.

"It had been a flowering. But everything was killed," he says.

Still, in the Somali diaspora aboad, a handful of authors, like Saleh and Dalmar, did their best to uphold the literary traditions. Now, with the help of writing and photography workshops held at the book fair, a new generation of young Somali writers will hopefully pick up the tradition.

Saleh points out that new books are again being translated into Somali.

Jama himself remains dedicated to his path: using the occasion of the 2014 fair to launch a new, permanent, European Union-funded cultural centre in Hargeisa. Somaliland's capital may yet reclaim its cultural-hub status. All it takes is a little imagination, which Jama has in spades.

@highlight

Somaliland hosts one of the most anticipated book fair in East Africa

@highlight

The literary tradition is new. Somililand didn't have a standard alphabet until 1972

@highlight

Now, Somali authors are hoping to nurture a new generation of authors