London (CNN) -- Despite Turkey's shelling of Syria, Middle East expert Fawaz Gerges says neither side wants an escalation of a conflict that has the potential to spill over into a regional war that would be extremely difficult to end.

It is important to stress at the outset that we do not know if the shells that landed on Turkish border towns, killing at least five people, were ordered by Bashar al-Assad's government; all we know is the shelling came from the area where Syrian positions had been firing at rebels.

Syria has admitted its shelling killed Turkish civilians, has apologized, and has promised that the incident will not be repeated, Turkey's deputy prime minister says. Syria's information minister has pledged an investigation into how and why the shell came to be fired at Turkey.

The big point is that the Assad regime is desperately trying to prevent outside military intervention in its war-torn country, and does not want to provide a pretext for Turkey to do so, knowing that it would be disastrous.

News: Turkey strikes targets in retaliation for shelling deaths

Similarly, I believe the Turkish government has no interest in military escalation against its neighbor. According to surveys, public opinion in Turkey is strongly against all-out war with Syria.

Equally important is the fact that, although NATO and the United States have expressed solidarity with Turkey, a NATO member, they are urging restraint. Western powers, particularly the United States, do not have the desire or political will to intervene militarily in Syria. Without the full backing of NATO and the US, Turkish Prime Minister Erdogan would be reluctant to embark on any large-scale military venture against Syria.

So while we have seen a lot of escalation in the last 48 hours we need to put it into context: Neither side has an interest in turning this low-intensity war into something more serious, a full-blown confrontation.

What the incident tells us is that Syria has now descended into all-out war. It tells us that Syria's neighbors are deeply embroiled in its internal armed struggle. It also tells us that the civil war has become a proxy war between other regional players such as Iran and Saudi Arabia. The Syrian conflict has also been internationalized along Cold War lines, with the US and Russia backing rival camps.

The spillover of the Syrian war has reached not just Turkey but also Jordan, Lebanon, and Iraq, with frequent armed clashes and casualties. If these skirmishes intensify and escalate, the potential of a region-wide war cannot be overlooked.

World: Syrian refugees in Turkey -- police are forcing us from homes

This is why Western powers, particularly the United States, are reluctant to intervene militarily in the Syrian civil war, lest they exacerbate an already dangerous situation: They want the civil war to remain an internal conflict where it can be contained.

Al-Assad's strategy has succeeded: He has forced the opposition to militarize the political uprising. Syria is in the grip of a bloody and costly armed struggle, a struggle that does not show signs of an early resolution, but of turning into a long, drawn-out conflict. No one knows how that would end, but it would ensure he has local and regional support to survive for quite a long time.

The Syrian authorities have little control over all military engagements. The fire has spread across the whole country: Assad's forces are over-extended and thinly spread. Despite assurances given by the Syrian government that the shelling that killed the Turkish civilians won't be repeated, it is doubtful whether that pledge can be honored as Syria descends into all-out war.

Turkey has been extremely angry in the last few weeks. For the first time Prime Minister Recep Tayip Reccip Erdogan has criticized the Western powers for paying lip service to the opposition cause, implying that his patience is running thin.

Regardless of how the Turkish leadership feels though, I don't think it will act independently without a security umbrella commitment by NATO and a green light from the Americans. They have made it very clear they will not act on their own against Syria. NATO has gone out of its way to impress gently on the Turkish leadership not to escalate the situation beyond what it has done so far.

News: Turkey vows 'no interest in war'

@highlight

Syrian shells hit towns across the border in Turkey, killing at least five

@highlight

Syria apologizes for incident, says it will not be repeated

@highlight

Fawaz Gerges says neither side wants Syria's civil war to spread across region