Beirut, Lebanon (CNN) -- Inside a half-empty lecture hall at the American University of Beirut, Maryam Alkhawaja explains her cause.

"The thing about Bahrain is that nobody really knows what's going on there because there's not much media coverage," Alkhawaja said during a recent visit. "But the protests never stopped."

At just 26, the young woman is already one of her country's most outspoken rights activists, and she's on a mission: to make sure "that people across the world, not just the Arab world, across the world, are hearing about what's going on the ground."

To carry out that mission, Alkhawaja -- who has dual Bahraini and Danish citizenship, and is the acting president of the Bahrain Center for Human Rights -- lives in exile and travels the world explaining how her people are oppressed.

Back in the auditorium, her audience is small, but extremely attentive.

"Every single day," Alkhawaja says, "between 15 to 25 different areas come out to protest in Bahrain. Every single day."

Those demonstrations began in February 2011, at the height of the Arab Spring. Bahraini citizens, spurred by successful uprisings in Tunisia and Egypt, demanded democratic reforms and other changes in the way the country was run.

Anger from the majority Shiite population was directed at the ruling Sunni minority.

But Bahrain's uprising failed to gain the traction of other regional revolutions after a crackdown by authorities in the tiny island state, backed by troops from nearby Saudi Arabia and the United Arab Emirates.

Demonstrators say authorities killed dozens of people and arrested, tortured and imprisoned hundreds of others. Opposition leaders have tried to keep the protest movement alive.

For Alkhawaja, the cause continues. She says her countrymen and women will not be silenced, despite the odds they face.

"When you're talking about human rights, it's black and white," she says. "There's no excuse for committing human rights violations."

Alkhawaja accuses Bahrain's government of committing violations on a daily basis, and says her organization exists in part to document those abuses.

The government denies the claims, saying it has implemented tough penalties for those who incite what it calls "terrorism."

In a statement, the Bahraini government says it has implemented reforms and set up independent bodies to address grievances.

"We would also like to make it very clear that Ms. Al-Khawaja's personal misguided view that 'Bahraini citizens are oppressed' is not representative of the broad consensus, nor of the opposition front," the statement said.

The government also acknowledged the country's "challenging past" and said remedies are under way.

"Since the release of the Bahrain Independent Commission of Inquiry (BICI) report in 2011, Bahrain has made a commitment to address all grievances, as well as well reform the institutional landscape to ensure historical errors are not repeated. In regards to grievances pertaining to any accusation of mistreatment, independent bodies have been established to investigate and address any incident of misconduct that may undermine public confidence in the Ministry of Interior (MOI), even if no formal complaint is filed."

Read full government statement

This kind of sparring is nothing new to Alkhawaja, who was literally born into this line of work.

She comes from a well-known family of dissidents. Her father, Abdulhadi Alkhawaja, was sentenced to life in prison for his role in anti-government demonstrations and plotting to overthrow the country's royal family. Many rights groups have called him a prisoner of conscience.

Her sister, Zainab Alkhawaja, is also a very prominent rights activist, and also currently locked up -- having been sentenced to prison for, among other things, insulting the police.

It can all get to be too much, which is why Alkhawaja says she has to detach.

"Part of doing this work is teaching yourself to depersonalize all of the cases that you deal with," she explains. "When I talk about Abdulhadi Alkhawaja the political prisoner and the torture victim, or the torture survivor, I don't talk about Abdulhadi Alkhawaja, my father, who I shared my childhood with -- I talk about Abdulhadi Alkhawaja, the person who is known to Bahrain and is known to the cause."

"When I talk about Zainab Alkhawaja, you know, being separated from her three-year-old child, I'm not talking about my sister and my niece," adds Alkhawaja. "I'm talking about Zainab Alkhawaja the Bahraini citizen."

Over the past two years, Alkhawaja has become somewhat of a celebrity in the world of human rights activism, and not just in Bahrain.

Regularly invited to conferences around the world, she finds her platform growing every day -- with more than 94,000 Twitter followers. She was even named one of Foreign Policy Magazine's Top 100 Global Thinkers in 2012.

She seems happy to address anyone willing to listen. Still, she says, it's never easy.

"The thing with being a human rights defender is that it's always accompanied with guilt because no matter what you do, you feel you're not doing enough."

Which is why Alkhawaja is always connected -- either online or on her phone, no matter where she goes -- reviewing claims, making cases, tweeting updates.

She was in Lebanon for only a few days, but never stopped addressing audiences both digital and physical, large and small, urging the world to listen to the stories of the oppressed, one voice at a time.

@highlight

Maryam Alkhawaja was born into a family of activists

@highlight

She travels the world to tell stories of Bahraini oppression

@highlight

The Bahrain government says it addresses grievances, investigates abuse