(CNN) -- The world is seeing sobering signs of climate change's accelerating impacts, from longer, more intense droughts to stronger storms and rising seas. Yet in contrast to the slow pace of international negotiations to combat climate change, national legislation is advancing at a startling rate, a surprise to those who ascribe to the conventional wisdom that progress has waned.

Remarkably, since 1997, almost 500 climate-related laws have been passed in 66 countries covering around 88% of global greenhouse gases released by human activities. This surprising legislative momentum is happening across all continents. Encouragingly, this progress is being led by the big emerging and developing countries, such as China and Mexico, that together will represent 8 billion of the projected 9 billion people on Earth in 2050.

These are the key findings of the 4th edition of the GLOBE Climate Legislation Study, released on Thursday 27 February, the only compendium of climate legislative action created by legislators from around the world, and the most comprehensive audit yet of the extent and breadth of the emerging legislative response to climate change.

Our message is that we believe national legislation should be at the heart of a new international agreement to tackle climate change, and this study is proof it can be achieved in every country.

While optimistic, we must also be honest. These laws are not yet enough to limit global average temperature rise to 2 degrees Celsius (3.6 degrees Fahrenheit) above pre-industrial levels, the level scientists say we must not breach if we are to avoid the worst risks of climate change. Yet these actions are putting into place the legal frameworks necessary to measure, report, verify and manage greenhouse gas emissions -- the cause of man-made climate change.

Part of the reason for this spectacular wave of progress is changing attitudes. Previously, the debate on climate change was framed by a narrative about sharing a global burden -- with governments naturally trying to minimize their share. Now, however, countries are seeing mitigating climate change -- through clean energy and energy efficiency solutions -- and strengthening resilience to its impacts, as being firmly in the national interest.

For example, 61 of the 66 countries in the GLOBE study have passed laws to promote domestic, clean sources of energy and 54 have legislated to increase energy efficiency. The former reduces reliance on imported fossil fuels, thereby mitigating exposure to volatile fossil fuel prices, increasing energy security and reducing energy poverty. The latter reduces costs and increases competitiveness. That's why the first bill U.S. Senator Markey introduced was to do both.

And it's no surprise, too, that 52 out of the 66 countries covered by the study have developed legislation to improve their resilience to the impacts of climate change, some of which we are already experiencing.

Opinion: Why are we still debating climate change?

As the formal U.N. negotiations move towards Paris in 2015, the scheduled conclusion of negotiations on a post-2020 framework, this legislation is creating a strong foundation on which a post-2020 global agreement can be built.

Moreover, it is increasingly clear that not only is the agreement in Paris dependent on national legislation in place in advance, implementation of the Paris agreement will only be effective through national laws, overseen by well-informed legislators from all sides of the political spectrum.

A national "commitment" or "contribution" put forward at the U.N. will only be credible -- and durable beyond the next election -- if it is backed up by national legislation, supported by cross-party legislators, that puts in place a credible set of policies and measures to ensure effective implementation.

That is why legislators must be at the center of international negotiations and policy processes, not just on climate change, but also on the full range of sustainable development issues. And it is why, on climate change, governments must immediately prioritize supporting the implementation of national legislation between now and 2015.

GLOBE members recognize this and have been at the forefront of developing the legislative response to climate change. In 2008 UK members shaped and strengthened the Climate Change Act. In 2009, South Korean members passed "Green Growth" legislation. In 2013, members in Micronesia were instrumental in the passage of climate-related legislation showing the power of island voices.

A comprehensive climate change law is expected to pass in Costa Rica this year, and members in China, Colombia, Democratic Republic of Congo, Nigeria and Peru, amongst others, are developing legislation now.

However, we need to do much more. And that is why, in collaboration with the World Bank and the United Nations, GLOBE is launching the "Partnership for Climate Legislation" to promote the advance of climate-related laws.

Of course, the role of legislators does not end when legislation is passed. It is one thing to pass legislation and another to implement it. That is why GLOBE is equipping legislators to be as effective as possible in holding their governments to account. This is crucial if the agreement made in Paris in 2015 is to deliver.

Legislators -- with their formal responsibilities on legislation and oversight - are a fundamental part of an effective strategy to tackle the world's environmental and sustainable development challenges. To maximize the chances of success, they must be at the center of all international processes and negotiations. Success in Paris to create a climate agreement, the follow-through to implement the accord, and the fate of our planet depend on our actions.

@highlight

World seeing sobering signs of climate change's accelerating impacts, say politicians

@highlight

But they argue that national legislation to limit emissions is advancing

@highlight

U.N. action on climate change will only be credible if backed up by national legislation, they say

@highlight

"The fate of our planet depend on our actions," they write