(CNN) -- Sweden's chase for what is widely suspected to be a submerged Russian submarine operating within its territorial waters can't help but remind older Swedes of the fact that, during the Cold War, Swedish waters were thought to be regularly covertly probed by submarines belonging to the Soviet Union.

Indeed, back in 1981, the "Whiskey on the Rocks" incident saw a Soviet attack submarine carrying nuclear-tipped torpedoes run aground on the shoals not far from the Swedish naval base at Karlskrona.

Fast forward more than three decades, and Vladimir Putin's Russia is by no means the threat -- materially or ideologically -- that the Soviet Union was during the Cold War. But the fact that the Russian leader has made it clear that he does not accept the advance of democratic regimes onto Russia's doorstep -- whether they be tied either to the European Union or NATO -- is bound to mean that this latest incident will have echoes of times past for many Swedes.

And Putin has been willing to match words with action.

With a plan under way to modernize Russia's military over the next decade, Moscow has increasingly been willing to flex its armed muscle not only in Ukraine, but against other neighbors as well. In the case of Sweden, this has included Russian simulated air attacks against Stockholm, the buzzing of Swedish ships and planes by Russian aircraft and, as recent as this September, the alleged violation of Swedish airspace by two Russian Su-24s, a supersonic attack aircraft.

Putin's jabs at Sweden are undoubtedly also tied to the fact that the government of Sweden has, in reaction to Putin's revanchist policies, increased its operational ties to NATO and neighboring NATO states even while remaining formally outside the alliance.

In fact, the submarine chase that is now occurring comes on the heels of Sweden's participation in a Baltic Sea military exercise that included vessels and aircraft from Denmark, Poland and the Netherlands.

Such cooperation is needed precisely because Sweden has, like the rest of Europe, spent much of the post-Cold War era cutting its defense budget and the size of its armed forces. For example, Sweden's navy today has fewer than 10 surface combatants, no operational anti-submarine warfare helicopters and only five submarines. It was only two years ago that Sweden's top military officer admitted that his forces could only defend a small segment of the country for about a week without outside help.

All this suggests that the hard reality is that Sweden is in Moscow's sights -- and not just because Stockholm leans toward the West in its policies.

The region's geography means that any conflict in the Baltic region would almost certainly involve Sweden. Kaliningrad, Russia's major military enclave on the Baltic Sea, is hemmed in by Poland and Lithuania on its borders and Sweden by the sea, and control of the latter's airspace and seas could be decisive if a major conflict should occur.

In mid-September, Swedes went to the polls and rejected a third term for the center-right coalition that had governed Sweden since 2006. The new government is an alliance of left-leaning parties led by the Social Democratic Party and has pledged to increase defense spending.

No doubt, news of a possible Russian sub trolling in Swedish waters will bolster public support for the government's decision to up Swedish military capabilities.

The question Stockholm will face is whether the planned increase -- less than $1 billion over 10 years -- will be sufficient to make up for the two decades of decline and adequate to deal with Russian plans to expand its military strength.

For decades, the Swedish government has avoided taking explicit sides between Brussels and Moscow. But the Swedes will find sitting on the fence to be increasingly uncomfortable when Putin is your next-door neighbor.

@highlight

Vladimir Putin's Russia is by no means the threat the Soviet Union was during the Cold War

@highlight

But Moscow has increasingly been willing to flex muscles with neighbors, says Gary Schmitt

@highlight

Sweden has expanded operational ties with Russia, Schmitt says