Before we jump into a debate about the environmental costs of eating meat, here are three things you should know:

1. I've experimented with vegetarianism twice, but it's never really stuck. Round one ended when I had a dream about a spicy chicken sandwich from Wendy's, and then woke up to march zombie-style to that fast-food restaurant to order it. Round two may or may not have ended with the brunch I had Sunday, I'm still not sure.

2. I ate chicken chilaquiles for brunch on Sunday. It was delicious.

Therefore, 3. This is not an anti-meat polemic.

But I have been thinking in recent weeks about our relationships with animals and what our diets mean for the health of the environment. It started while I was doing research for a story on illegal animal trafficking, and I was reading books, including Dana Goodyear's "Anything that Moves" -- about how the American foodie scene is trending toward the bizarre and endangered (witness the 2010 bust of a California restaurant serving whale) -- and Jonathan Safran Foer's "Eating Animals," which argues, in part, that one cannot eat meat and also earnestly claim to be an environmentalist.

"(S)omeone who regularly eats factory-farmed animal products cannot call himself an environmentalist without divorcing that word from its meaning," he wrote in that book.

Since it's Earth Day, I thought that last point might merit some dissection. Is it possible to eat meat in modern-day America, consider yourself an environmentalist and sleep soundly without being a hypocrite? Or, as Foer argues, are those terms increasingly incongruous?

Eatocracy: Tips for eating green on Earth Day

I called up a few experts and asked your advice on this topic. As one of my Facebook friends was smart to point out, it's probably not a good idea to be in the business of telling people "what they are or are not." Environmentalism takes many forms and encompasses a range of issues. I'm not willing to say a person cannot be an environmentalist and also an omnivore. (If you ride a bike and eat steak, is that better or worse than being a vegetarian who drives a Hummer?) But I would hope that person has thought through the very real environmental consequences of meat consumption.

Animal rights aside, there are plenty to consider. Here are a few:

1. Raising animals for meat is much less efficient than growing vegetables: Think back to those food chain diagrams from elementary school. Animals are higher on the food chain than plants, and therefore they take more land, food and water to grow for our consumption. The difference in efficiency isn't negligible: Raising a kilogram of beef requires 15,500 liters of water, according to waterfootprint.org. An equivalent amount of bread requires only 1,300 liters of water; bananas use 860; and tomatoes consume just 180 liters, or about 1% of the water required for beef. (Chocolate, by the way, is actually worse than all of these, requiring 24,000 liters; but it's clear that a vegetarian diet is far more water- and energy-efficient than one that includes meat.)

At a time when rivers in the American Southwest are running dry because of drought and climate change, it's worth considering the impact our eating habits have on water use.

The same is true for land. Because growing vegetables is more land-efficient than growing meat, we would need to eat far less meat in order to avoid taking over more forests for farms, said Robert Howarth, a professor of ecology and environmental biology at Cornell University. To be sustainable, America needs to eat about half the meat it does today, he said. That would return us to about 1940s consumption levels. Per capita meat consumption in the United States appears to have peaked around the year 2000 at more than 180 pounds of meat per person per year, or about half a pound each day, according to the Earth Policy Institute.

It's fallen slightly since then, which is good news.

2. Animal agriculture pollutes the water: Last summer, like pretty much every summer, there was a "dead zone" in the Gulf of Mexico the size of Connecticut. Blame agriculture, including animal agriculture, for that disturbing phenomenon, which is caused when phosphorus and nitrogen from chemical fertilizer and manure run down the Mississippi River and into the gulf. Much of the fertilizer that ends up in that watershed is used to grow corn, 80% of which is being produced to feed livestock and fish, according to National Corn Growers Association figures cited by EPA. The amount of manure that animal farms create is also staggering -- U.S. federal agencies estimate livestock and poultry "generate" about 500 million tons of manure per year -- and has serious consequences for the health of rivers and groundwater.

3. Eating meat adds to your greenhouse gas footprint: Finally, eating animals, like doing almost anything, contributes to a person's greenhouse gas footprint. The United Nations estimates animal agriculture accounts for 14.5% of human greenhouse gas emissions, with the main source of those emissions -- 45% of the total -- being the fossil fuels used while growing and fertilizing crops to feed the animals. There's some debate about how much animal agriculture contributes to climate change overall. But there's no doubt it has a sizable impact, and more so than plant agriculture. According to the Natural Resources Defense Council, eating a half-pound of beef creates more than 7 pounds of carbon-dioxide-equivalent gases. Pork and chicken are better, creating about 2 pounds and half a  pound, respectively. Potatoes, apples and asparagus are better still, creating a tiny fraction of a pound of greenhouse gases.

So: Knowing all that, I would encourage you to consider giving up meat -- or even just one of the most resource-intensive meats, like beef -- for Earth Day. See how it goes, and maybe you can make it a habit. There are many other worthy efforts you could make to protect the environment, of course. You could ride a bike, take a train, turn off the heat or AC. But giving up meat for a day is an easy and meaningful one. "If all Americans eliminated just one quarter-pound serving of beef per week, the reduction in global warming pollution would be equal to taking 4 to 6 million cars off the road," according to the Natural Resources Defense Council.

You might find it's awful and decide to focus your future efforts elsewhere. Or, like me, you might find it's not so bad. I'm not going to make any bold pronouncements about my eating habits besides the fact that I'm going to try to eat less meat. (I like TreeHugger founder Graham Hill's idea of eating meat only on the weekends; and singer Paul McCartney's idea of Meat Free Mondays.)

I travel frequently, and value flexibility, so I've never really wanted to be too strict about my diet in the long term. But one day? One week? One month? It's not that hard.

To the minority of vegans and vegetarians who like to proselytize about their eating habits, I'm sure that seems like an annoying cop-out. But there are plenty of environmentalists who advocate a middle-road approach to meat consumption.

"Certainly there are modest steps we can all take that can really have a significant benefit if a lot of people did them," said Erik Olson, a health and food expert at NRDC, the environmental group. "We often fall into this mistaken all-or-nothing mentality."

I like that approach. It's one more people are likely to stomach.

And it's one that -- even for a day -- can have real impact.

@highlight

A growing body of evidence shows eating meat has environmental consequences

@highlight

John Sutter says readers should consider giving up meat on Earth Day

@highlight

He writes that meat production pollutes water and contributes to climate change

@highlight

Expert: Eating less meat helps; it doesn't have to be 'all or nothing'