(CNN) -- While Spain wallows in the doldrums of economic despondency and political turmoil, with youth unemployment at eye-watering levels and Catalan separatists threatening to tear away at the country's seams, there is one place where its stock has never been higher.

On the motorcycling track, 2013's calendar is a parade of Iberian supremacy, with Spaniards dominating every race class to the almost complete exclusion of other nations.

At the forefront of this is MotoGP's newly-crowned champion: a 20-year-old whose debut season in the elite division has delighted even the most jaded observers of this most daring of motorsports.

Marc Marquez has exploded onto the scene like a grinning Catherine wheel, redefining the expectations of rookie riders and cocking a gleeful snook at the establishment, leaving dazed rivals scratching their heads in disbelief.

After a bizarre disqualification at the Australian Grand Prix threatened his commanding lead in the championship, Marquez kept his head with two remarkably mature displays of disciplined riding -- first in Japan and then during a frenzied final race at Spain's Valencia circuit, to take a richly deserved title.

As the youngest champion in the history of top-level motorcycling, known by his Catalan fans as "the Thunder from Cervera," he has a vividly bright future.

Someone who knows all about the challenges of being a MotoGP rookie is James Toseland, who spent two tough seasons riding for the satellite Yamaha Team after making the step up from Superbikes, where he was a double world champion.

Now touring with his rock band and preparing for an attempt at the world two-wheeled land speed record, Toseland is a big admirer of Marquez and believes his youth is actually an advantage.

"It just happens as a 20-year-old," said Toseland, who returned to Superbikes before a wrist injury ended his racing career in 2011.

"All you're seeing is a young kid; he doesn't understand the mechanics of the bike so well yet, or the people he's racing against -- all he's doing is putting his helmet on, putting his leathers on, cocking his leg over that bike and absolutely wringing its neck, with the confidence of what he's achieved previously in Moto2 and the old 125 cc class."

'Nobody can do something like that'

Herve Poncharal, principal of the Monster Yamaha Tech 3 team and leader of the IRTA group that represents MotoGP's teams, told CNN that Marquez served early notice of his special talent.

"I remember one of his last races in the old 125 class, in Portugal," he said. "The race was shortened to something like five or seven laps. He crashed on the warmup and he had to start from the pit lane because he pitted to have his bike fixed, so he started dead last, and quite a lot after the last row, but he won that race.

"He won the championship that year, and from that moment we thought, 'Nobody can do something like that.' "

Carmelo Ezpeleta, CEO of Dorna -- the organization that runs MotoGP -- was struck by the way Marquez immediately looked at home in the top class.

"His personality is really important," Ezpeleta told CNN. "He's somebody who arrived to the championship as a hero, kind of saying, 'I'm here, I want to be here.'

"Immediately when he arrived in the top class he started coming to the MotoGP executive commission with the other riders, and immediately he wanted to hear and give his opinions; he's a great talent but also a great personality."

Fresh attitude

This vibrant personality is one of the key reasons many see Marquez as the natural successor to Italy's charismatic seven-time world champion Valentino Rossi.

The Spaniard's smiling demeanor has not only won him fans off the track, it also appears to have helped guide him through the stresses of the MotoGP season.

"He brings so much energy, such a fresh way of behaving, a fresh mind, enthusiasm," Poncharal told CNN.

"In Australia (after Marquez was controversially disqualified) Jorge Lorenzo, Dani Pedrosa or Valentino Rossi would have left the track and been very long faced. Marc was on a crate, while everyone was packing, eating some crisps, and laughing with his crew.

"He's always in the paddock. Although the other guys are walking to and from their motorhome and the box, in between the two they have their sunglasses and their headphones on and are not talking to anybody. Marc is always there, anything that is happening in the paddock he's there.

"The attitude of this guy is a big bonus for our championship and it's so good to see a top guy who is still going out and playing with the Moto3 guys, and being available for anyone."

The almost universal affection for Marquez has also given last season's champion Lorenzo -- who missed out by four points this time despite winning Sunday's final race -- pause for thought.

"Mother nature didn't gift Lorenzo the way she gifted Marquez," Poncharal said. "On the riding he can compete with Marquez and he's showing that every weekend, but Marc is so much more appreciated by everyone because of his nature, and Marc instantly makes you feel at home with him; he inspires sympathy, and not everybody has got that.

"And I think Jorge is trying very hard to change his image, which is not as likeable as Marc's, but this is something that is not easy to change."

Personality with great talent

Ezpeleta recognizes the importance of Marquez's personality, but says it is important not to overlook his talent.

"The most important thing is to be a very good rider," he said. "Rossi, (Casey) Stoner, Lorenzo, Pedrosa and other riders have put the championship at an incredible level, and I think one of the assets of Marc is that he has been beating people like Lorenzo and Pedrosa, who are really great, great riders.

"Of course the personality is important, but just the personality is not enough -- it needs to be the personality together with a great, great rider."

Toseland believes the crew in Marquez's Repsol Honda garage deserve credit for their approach to blooding the young star.

"They've employed a young kid and nurtured him," he said. "They will have put the settings on the bike to where they will see the data and the electronics -- on how he's opening the throttle up and how he's riding -- and they will have given him a bit of a safety net at first, because there's a massive power difference between Moto2 and MotoGP.

"Then they would have gradually opened up the power, decreased the traction control, the anti-wheelie control, all the settings you can change on a bike, to build his confidence."

Marquez was allowed to go straight into a factory MotoGP team -- Repsol Honda -- at an age that was previously prohibited by the sport's so-called "rookie rule." It was scrapped last year, having been introduced in 2010 to spread riding talent around the satellite teams.

Toseland believes this has been significant, and that other stars have also helpfully aligned to smooth Marquez's path to success.

"To join one of the best teams, with what looks like the best bike this year -- and with Lorenzo and Pedrosa both injuring themselves and missing a race early in the year -- for him to then get the confidence of actually learning how to win, and getting a couple of wins under his belt, all those factors put into the pot have just made him so confident in what he's doing," he said.

"You can see when he's on track that he's not fazed by anything or anyone, from the confidence he's got from having that little bit of breathing space earlier in the year."

The next big chapter?

Poncharal believes that Marquez would have achieved success even without a factory bike.

"At the moment he has the lot, he's on what feels like the best bike, which is for sure a bonus, although Lorenzo is showing us that the Yamaha is not so bad," he said.

"But, and this is just my opinion, I'm not so sure that (on a satellite Honda) he would have done a lot less."

As well as winning friends with his smiling demeanor and openness off the track, Marquez has also caught the eye with his audacious riding style, which sees his elbow as well as his knee pressing down on the track through corners.

This enables him to better gauge what both the front and the rear of the bike are doing, providing a "fourth wheel" to help him get around faster. Other riders have begun to mimic this spectacular and effective technique.

Toseland is among many startled by this evolution, and puts it partly down to advances in racing tires.

"I used to get my elbow down with qualifying tires, and that's what it's all about really -- it's the tire technology, Bridgestone have obviously developed a tire with the edge grip now that enables the bike to lean over that far, and also enable you to lean off the bike that much with the confidence that the grip is there," he said.

"It's not just Marquez now, you see others like Stefan Bradl and Jorge Lorenzo with their elbows down. It's not so much that they've changed their style, it's the tire is allowing the bike to lean over that far."

They might be able to follow him, but can anyone can catch Marquez next year?

"It's always difficult to say, 'He's going to be the greatest of all time,' " Poncharal said.

"But clearly if you remember the last 40 years you have Kenny Roberts, then you have the Mick Doohan era, you have the Valentino Rossi era, and I think Marc is ready, if nothing bad happens to him, to write another big chapter of MotoGP history."

@highlight

Marc Marquez has impressed with his demeanor as well as his success on the track

@highlight

Spaniard is the youngest rider to win motorcycling's top title, and first rookie since 1978

@highlight

Head of MotoGP says Marquez has beaten "really great, great riders" in his debut season

@highlight

Principal of a rival team says Marquez "brings so much energy, such a fresh way of behaving"