(CNN) -- Israel's attack Monday on a boat traveling in international waters and carrying humanitarian supplies for Gaza killed at least nine people and sparked a series of recriminations around the world.

Riyad Mansour, Palestinian ambassador to the United Nations, condemned the attack and called for an independent investigation "to know who gave the orders from the Israeli side to open fire against civilians and to bring those people to face justice."

But Israeli officials described the boat's passengers as the aggressors and said the soldiers from the Israel Defense Forces were simply defending themselves.

"They are not peace activists. They were not messengers of goodwill," Daniel Carmon, Israel's deputy ambassador to the United Nations, told reporters in New York. "They cynically used the guise of humanitarian aid to send a message of hate and to implement violence."

Independent information was scant. The death toll and the account of what happened came from the Israelis, who did not release the names of any of the casualties. "Free Gaza," one of the group's sponsors, said there were more casualties from the incident, though it didn't have an exact number.

The surviving passengers were being held incommunicado by the Israelis, who detained them after escorting the six boats that had participated in the flotilla to the Israeli port city of Ashdod.

Q&A on Israel's Gaza blockade

Three sailors who took part in the flotilla said Israeli troops stormed the Mavi Marmara, the largest ship, well into international waters.

"The commandos were coming down from the helicopter. No one on the ships had any weapons," one of the sailors told CNN Turk after being flown back to Istanbul.

The Free Gaza organization, one of the organizers of the protest, posted on its Twitter page that the incident unfolded about 4:30 a.m., when Israeli commandos boarded the Mavi Marmara by helicopter. The troops "immediately opened fire on unarmed civilians," the group said.

Video from the Israeli military showed soldiers rappelling onto the deck of the ship from a helicopter. The boarding of the ships took place in international waters more than 70 nautical miles (130 km) outside Israeli territorial waters, according to IHH, a humanitarian relief foundation and a sponsor of the flotilla. IHH is affiliated with the Muslim Brotherhood, a hard-line Islamic political movement.

Get the latest developments

But the Israel Defense Forces said its troops "were met with premeditated violence, evident by the activists' use of clubs, metal rods, and knives, as well as the firing of two weapons stolen from the soldiers." It said troops responded with "defensive action on behalf of the forces who felt their lives were endangered," and seven were wounded.

The IDF released a video shot from above the ship that it said showed soldiers being attacked, though the distance from which it was shot precluded immediate confirmation. A senior Israeli military official, speaking on condition of anonymity in an account cleared by military censors, displayed a box containing switchblade knives, slingshots and metal balls and bats he said had been confiscated from one of the boats.

"This was not spontaneous," he said. "This was planned."

Israeli military gives version of flotilla incident

A senior Israeli military official, speaking on condition of anonymity in an account cleared by military censors, displayed a box containing switchblade knives, slingshots and metal balls and bats he said had been confiscated from one of the boats.

"This was not spontaneous," he said. "This was planned."

Jonathan Peled, minister-counselor for the Israeli Embassy in Washington, said the soldiers were carrying paintball pistols when they boarded the flotilla, but switched to bullets when a naval commander was stabbed and others were attacked with knives and metal bars.

Most of the dead were Turks, the Israeli senior military official said. Twenty other people were wounded.

As many as nine Americans may have been aboard the boats, including Edward Peck, a former U.S. ambassador to Mauritania, according to Jonathan Slevin, a spokesman for the activist group Free Palestine Movement.

One American who was being treated for minor injuries after the attack, a senior State Department official said late Monday.

Israeli forces boarded the other ships in the flotilla without incident. The Turkish sailors said they were continuously shadowed by commandos aboard their own vessel, "even when we needed to go to bathroom," one said.

The flotilla had left European ports in a protest organized by two pro-Palestinian groups to deliver 10,000 tons of food, medicine, construction materials, wheelchairs and other aid to Gaza to break a blockade imposed by Israel in 2007.

Israeli Prime Minister Benjamin Netanyahu, who canceled his trip to Washington to return to Israel to manage the crisis, said Gaza has become a base for Hamas terrorists who have fired "thousands of rockets" into Israel.

"What we want to prevent coming into Gaza are rockets, missiles, explosives and war material that could be used to attack our civilians," he told reporters in Ottawa, Canada, with his Canadian counterpart.

The attack sparked protests in several countries; caused a diplomatic row between Israel and Turkey, its closest Muslim ally; and brought condemnation worldwide. A number of nations recalled their ambassadors from Israel, while others called for a full investigation.

The Palestinian Authority said in a statement its cabinet "strongly condemned the Israeli crime against international supporters on board of the Freedom Flotilla."

Read more about world reaction

Turkey, Israel's closest Muslim ally in the region, recalled its ambassador, while Deputy Prime Minister Bulent Arinc said the operation "will leave a bloody stain on the history of humanity."

Israel said Sunday that Western and Turkish authorities have accused IHH of having "working relations" with terrorist organizations.

Of the hundreds of activists who were detained aboard the ships after they were escorted to the Israeli port of Ashdod, 15 were sent to Beer Sheva Prison, according to a spokesman for the Israeli prison authority. Another 25 were slated for deportation and 50 others who refused to identify themselves were being held separately.

None was allowed to speak to the news media.

A team from the Turkish Red Crescent will fly Tuesday to Tel Aviv to help coordinate the return of the dead and wounded, the organization said in a statement.

Israel issued a "serious travel warning" for Israelis visiting Turkey. Those planning to travel to Turkey were asked to postpone their trips, while those already in Turkey were advised to stay indoors. A Turkish travel agent said more than 15,000 Israelis had canceled plans to visit Turkey.

In Gaza, Hamas spokesman Sami Abu Zuhri called for global support of the Palestinian cause. Palestinian Authority President Mahmoud Abbas called for three days of mourning in the Palestinian territories to honor the lives lost.

"We have consistently advised against attempting to access Gaza in this way, because of the risks involved," said British Foreign Secretary William Hague. "But at the same time, there is a clear need for Israel to act with restraint and in line with international obligations."

In Washington, White House spokesman Bill Burton said, "The United States deeply regrets the loss of life and injuries sustained and is currently working to understand the circumstances surrounding this tragedy."

Israel instituted a blockade on Gaza in January 2006, when Hamas won democratic elections in the Palestinian territories. It tightened that blockade in June 2007, when Hamas took over Gaza, but allows about 15,000 tons of humanitarian aid into the territories each week, Israeli government spokesman Mark Regev said.

Since then, Israel has controlled entry of all manner of goods into Gaza, including instant coffee, chocolate and construction materials. Israel has said the latter could be used by Hamas to build bunkers.

Since the summer of 2008, five flotillas have gotten through the blockade to deliver humanitarian goods to Gaza. Monday's flotilla was the largest such mission.

CNN's Ben Wedeman in Cairo, Egypt; Ivan Watson in Istanbul, Turkey; Charley Keyes in Washington; and Niki Cook in Paris, France, contributed to this report.

@highlight

NEW: As many as nine Americans may have been aboard ship, activist says

@highlight

9 dead in flotilla clash between activists, Israeli military

@highlight

Israel insists troops were defending themselves

@highlight

Netanyahu cuts Canadian trip short, cancels Obama meeting