Hong Kong (CNN) -- The screech of clear, heavy-duty duct tape scratches on the ear even before the mass of mainland Chinese visitors comes into view.

This is the daily soundtrack from thousands of people packing up brown cardboard boxes outside Sheung Shui train station, the last rail stop in Hong Kong before mainland China.

Every day these mainlanders make a Hong Kong entrance, picking up goods on behalf of China-based agents.

Every evening, they make an exodus back across the border, taking with them sundry items that include Hong Kong-made baby formula and Huggies diapers to beauty masks and bottled Starbucks frappucinos.

Some call these people "grey traders." Others call them "mainland mules."

Local residents call them a nuisance.

Steven So, chairman of Hong Kong's North District Council for the past five years, says the daily horde makes his constituents angry.

"They're mad because these visitors make a big mess. They litter. They throw their used lunchboxes everywhere. They spit. They block the walkways. They even injure people when they bump into them with their trolleys," he says.

So says it has as much to do with trust as it does with tariffs over the past few years.

Food scandals in mainland China, including the 2008 tainted baby formula scare in which more than 53,000 infants were reported ill, have pushed many consumers to buy products made elsewhere. Hong Kong goods are considered to adhere to stricter quality guidelines.

Many products in Hong Kong have also become cheaper than the same ones found in mainland China. Since 2005, China's currency, the yuan, has strengthened 25% against the U.S. dollar, to which the Hong Kong dollar is pegged.

And if goods are ferried over in a piecemeal fashion by mainland day traders -- box-by-box versus traditional cargo containers -- importers can avoid commercial tariffs that average 50%. Taxes on electronic goods can reach as high as 70%, adds So.

That kind of savings keeps the cross-border grey trade very much alive.

"These mainland Chinese visitors buy anything and everything -- as long as it's not 'made in China,'" says So.

About a 20-minute walk from the train station, at a non-descript but well-known warehouse for this industry, hundreds of mainlanders swarm the building as they pick up their goods bound for China.

Sweaty workers wheel out pallets of boxes that advertise instant noodles and diapers made in Japan. Grey traders -- men, women, young and old -- then put them on small handcarts and walk to the train station.

While no one would give their full name, one worker revealed he earns HK$100, or about U.S. $12, per round trip. He admitted it is not much money but it is enough to take care of his family. His wife, a Hong Kong citizen, just gave birth to their first baby.

One lady who only identified herself by her surname of Lau said that they all face pressure at customs as well. "If our goods get turned away at the mainland border, we just have to dump them. So there's risk in this business," she says.

There is also risk -- and reward -- for regular border area businesses.

Pharmacies, convenience stores and jewelry shops have welcomed the rise in demand.

Shop worker salaries have doubled in the past two years to cater to the surge of shoppers. But rents for retail space have tripled in the past three years and inflation is a chronic concern, according to various neighborhood shop owners.

Aside from the economic woes, residents cite other issues that include hygiene, environmental and crowd complaints.

In recognition of rising anti-China animosity from Hong Kong, Beijing shelved a controversial plan earlier this month that would have opened the door to millions more mainland visitors to the city.

Four million people from Shenzhen alone - right across the border - would have been eligible under the proposed program.

Many Hong Kong citizens are upfront with their emotions about their mainland cousins.

"Angry. Annoyed," said local resident Gabi Liu. "(There are) too many people around us disturbing our country. Most of them are being bad-mannered."

Steven So, the district chairman, is more nuanced.

Hong Kong is an "open" city that does welcome conventional tourists who stay at hotels, eat at restaurants and visit the city's theme parks like Disneyland, he says.

But he also holds a caveat for non-conventional tourists -- those grey traders who hold multi-entry visa holders that crisscross the border each day.

"We need to weigh the pros and cons. To us in this district, the cons outweigh the pros. We don't have room for more people."

Still, he may be talking against a tide that cannot be turned.

In 2011, Hong Kong, a city of 7 million people, saw 28 million mainland visitors -- two thirds of the city's total visitors, according to the Hong Kong Tourism Board.

That is expected to grow even more, further reinforcing the reality that Hong Kong's economy is wedded more to mainland China as the years pass for this former British colony.

Vivian Kam contributed to this report.

@highlight

Every day thousands of mainland Chinese go to Hong Kong to buy goods

@highlight

They're paid by agents to meet demand for non-Chinese, cheaper products

@highlight

Residents near the border complain that they're a nuisance