London (CNN) -- Reports coming from Russia suggest that hundreds of people have been injured by a meteor falling from space. The force of the fireball, which seems to have crashed into a lake near the town of Chebarkul in the Ural Mountains, roared through the sky early on Friday morning local time, blowing out windows and damaging buildings. This comes on the same day that astronomers and news reporters alike were turning their attention to a 40 meter asteroid -- known as 2012 DA14 -- which is due for a close approach with Earth on Friday evening. The asteroid will skirt around our planet, however, missing by some 27,000 kilometers (16,777 miles). Based on early reports, there is no reason to believe the two events are connected.

Read more: Russian meteor injures hundreds

And yet it just goes to show how much space debris exists up there above our heads. It is easy to think of a serene solar system, with the eight planets quietly orbiting around the Sun and only a few moons for company. The reality is that we also share our cosmic neighborhood with millions of other, much smaller bodies: asteroids. Made of rock and metal, they range in size from a few meters across, up to the largest -- Ceres -- which is 1000 kilometers wide. They are left over rubble from the chaotic birth of our solar system around 5000 million years ago and, for the most part, are found in a "belt" between the orbits of Mars and Jupiter. But some are known to move away from this region, either due to collisions with other asteroids or the gravitational pull of a planet. And that can bring them into close proximity to the Earth.

Read more: Saving Earth from asteroids

Once a piece of space-rock enters our atmosphere, it becomes known as a meteor. Traveling through the sky at a few kilometers per second, friction with the air can cause the meteor to break up into several pieces. Eyewitnesses have described seeing a burst of light and hearing loud, thunderous noises. This, too, is due to the object tearing through the gases above our heads. If any of the fragments make it to the ground, only then are they called meteorites.

Such events are rare, but not unprecedented. An object entered Earth's atmosphere in 1908 before breaking up over Siberia. The force of the explosion laid waste to a dense area of forest covering more than 2000 square kilometers. It is not hard to imagine the devastation of such an event over a more highly populated region. The Earth is sprinkled with around 170 craters also caused by debris falling from space. The largest is found near the town of Vredefort in South Africa. The impact of a much larger asteroid -- perhaps as big as 15 kilometers across -- is famously thought to have finished off the dinosaurs 65 million years ago.

Opinion: Don't count 'doomsday asteroid' out yet

It is easy to see why, then, that astronomers are keen to discover the position and trajectory of as many asteroids as possible. That way they can work out where they are heading and when, if at all, they might pose a threat to us on Earth. It is precisely this sort of work that led to the discovery of asteroid 2012 DA14 last February by a team of Spanish astronomers. However, today's meteor strike shows that it is not currently possible to pick up everything.

A non-profit foundation, led by former NASA astronaut Ed Lu, wants to send a dedicated asteroid-hunting telescope into space that can scan the solar system for any potential threats. For now, astronomers will use Friday's fly-by to bounce radar beams off 2012 DA14's surface, hoping to learn more about its motion and structure. One day this information could be used to help move an asteroid out of an Earth-impacting orbit. This latest meteor over Russia just goes to show how important such work is and how crucial it is that we keep our eye on the sky.

Read more: NASA estimates 4,700 'potentially hazardous' asteroids

The opinions expressed in this commentary are solely those of Colin Stuart.

@highlight

Meteor explosion above Russia left hundreds of people injured

@highlight

Meteor came on day asteroid expected to pass 27,000 kilometers from Earth

@highlight

Earth is sprinkled with around 170 craters also caused by debris falling from space

@highlight

Stuart says unexpected meteor shows importance of monitoring space for potential threats