Boston (CNN)After weeks of dramatic testimony, jurors are set to begin deliberations Tuesday in the trial of Dzhokhar Tsarnaev, who faces life in prison or  the death penalty for working with his brother to explode bombs at the 2013 Boston Marathon.

The defense and prosecution made closing arguments in the case on Monday.

"The defendant brought terrorism into the backyards and main streets," Assistant U.S. Attorney Aloke Chakravarty said. "The defendant thought that his values were more important than the people around him. He wanted to awake the mujahideen, the holy warriors, so he chose Patriots Day, Marathon Monday," a time for families to gather and watch the marathon.

Bomb survivors and victims' family members wiped away tears and comforted each other in court. Tsarnaev fidgeted at the defense table as he has done throughout the trial.

Bill Richard, father of 8-year-old bomb victim Martin Richard, craned his neck to watch Tsarnaev as the prosecutor spoke.

Dzhokhar Tsarnaev "chose a day when the eyes of the world would be on Boston," Chakravarty said. "He chose a day when there would be civilians on the sidewalks and he targeted those civilians: men, women and children."

The lawyer waited a beat.

"He wanted to terrorize this country. He wanted to punish America for what it was doing to his people."

The prosecutor showed a picture of Dzhokhar Tsarnaev and his brother Tamerlan in the marathon crowd.

The day of the bombings, Chakravarty said, "they felt they were soldiers. They were the mujahideen and they were bringing their battle to Boston."

Tsarnaev, 21 years old, stands accused of 30 counts, including setting off weapons of mass destruction at a public event as an act of terrorism. Seventeen of those counts carry a sentence of death or life imprisonment.

If Tsarnaev is found guilty of at least one of the 17 capital counts, the trial will proceed to a second phase, the so-called penalty phase.

That part of the trial will include evidence of aggravating and mitigating factors, and the jury will be asked to weigh elements that make this crime especially heinous against details from Tsarnaev's background and mental health history that would weigh in his favor.

Since testimony began on March 4, federal prosecutors have called 92 witnesses, and the defense just four. It seemed a mismatch from the start. "He was there," defense attorney Judy Clarke conceded as the trial opened, but the defense strategy always had been to focus on persuading the jury to spare Tsarnaev's life.

The prosecution on Monday played a graphic video of the scene of the bombing that showed a chaotic, bloody scene with injured people everywhere. A child's piercing cries are heard.

It's the son of Rebekah Gregory, who lost her leg.

Then, another photo is displayed. This time jurors see Tsarnaev standing by a tree behind the family of little Martin Richard.

"These children weren't innocent to him," the prosecutor said. "They were American. He knew what that bag was designed to do."

Chakravarty quoted Bill Richard, Martin's father, who earlier testified, "I guess we were just unlucky that day."

But luck had nothing to do with the Boston bombings, the prosecutor said.

"This was a cold, intentional, terrorist act," he said. The brothers' acts that day were intended, he said, "to make a point. To tell America, 'We won't be terrorized by you anymore. We will terrorize you.' "

The defense has maintained that Tsarnaev, who was 19 and flunking out of college at the University of Massachusetts, Dartmouth, fell under the sway of his older, more radicalized brother.

"It was Tamerlan," defense attorney Clarke repeated during her closing argument Monday.

"In the past few weeks we have come face to face with tragedy, suffering and grief in dimensions none of us could imagine," she said. "We've heard words, we've heard screams and we've heard cries. For this suffering and pain there is no excuse."

She acknowledged her client participated in a "senseless act."

But he was only following his brother, she insisted.

"If not for Tamerlan, it would not have happened," Clarke argued.

The older brother, a 26-year-old former Golden Gloves boxer, had hoped to wage jihad and his slacker younger brother was just along for the ride, the defense has said.

During the 15-minute rebuttal period, prosecutor William Weinreb told jurors not to be distracted by the defense's "attempt to point the finger at somebody else."

"There should be no doubt in your mind that the defendant and his brother are equally guilty," he said. They were "partners in crime."

Weinreb pointed out that after the bombing Tsarnaev went to the grocery store.

"Tamerlan Tsarnaev didn't turn his brother into a murderer. To shred the bodies of women and children with a homemade type of bomb, you have to be different from other people," the prosecutor said. If you are capable of such hate, such callousness that you can murder and maim 20 people and then drive to Whole Foods and buy some milk, can you really blame it on your brother?"

From the start, prosecutors presented a compelling case in which the horrors of April 15 to 19, 2013, were vividly brought to life once again.

They began with the stories of bombing survivors and first responders, who described acts of courage and compassion amid madness and chaos.

The final moments of the three Boston Marathon spectators who died were recounted by the people who were by their sides.

According to testimony, Tamerlan Tsarnaev set off a bomb made from a 6-quart pressure cooker, explosive powder from fireworks, duct tape, nails and BBs on Boylston Street near the finish line. That bomb, which exploded near Marathon Sports, claimed the life of Krystle Campbell, a 29-yeaer-old restaurant manager.

Twelve seconds later, Dzhokhar Tsarnaev allegedly detonated a second, similar bomb outside the Forum restaurant, slightly more than a block away. That blast killed the boy, Martin Richard, and Lingzi Lu, 23, a graduate student from China.

Chakravarty's voice grew soft Monday as he recalled the victims:

Richard's 69-pound body "was shattered, broken, eviscerated, burned. There wasn't a part of this boy's body that wasn't destroyed."

Lu "received blast injuries all over her body. Her leg was torn open and she bled out."

Krystle Campbell died in less than a minute from "massive blast injuries to her lower extremities. Parts of her body were shredded."

Sean Collier, the MIT campus police officer killed three days after the bombings, "never had a chance." He was shot between the eyes. "They assassinated him."

The brothers allegedly killed the 26-year-old officier for his service weapon but couldn't pry it loose from a safety holster.

Dun Meng told the jury about his frightening 90 minutes with two carjackers, one who admitted being involved in the marathon bombing. He identified that person as Tamerlan Tsarnaev.

Police fired 210 rounds at the brothers when they tracked a GPS device in Meng's stolen Mercedes and cornered them in Watertown, Massachusetts. Dzhokhar Tsarnaev struck Tamerlan, who was wounded, when he charged police in the car. Tamerlan died of his injuries.

"Tamerlan wanted suicide by cop," the prosecutor said Monday. "He was ready for heaven. But the defendant had other plans."

Dzhokhar ditched the stolen car and sought shelter in a dry-docked boat parked in a trailer in a backyard in Watertown. As he hid, he used a pencil to scrawl what prosecutors called a "manifesto," in which he said he was jealous of his brother for dying as a martyr and reaching paradise. He also lashed out at the United States for policies he said killed Muslims, writing, "I can't stand to see such evil go unpunished. We Muslims are one body, you hurt one you hurt us all."

Federal prosecutors also presented evidence gleaned from searches of the brothers' computers, including militant literature written by top al Qaeda leaders. And they traced the purchase of the pressure cookers, ammunition and BBs, which appeared to have been made by Tamerlan.

Boston Marathon Terror Attack Fast Facts

@highlight

Jurors are scheduled to begin deliberations Tuesday morning

@highlight

If Tsarnaev is found guilty of at least one capital count, the trial will go to the penalty phase

@highlight

Prosecutor during closing argument: Tsarnaev "wanted to awake the mujahideen, the holy warriors"