(CNN) -- At the 2008 NATO summit in Bucharest, Romania, Vladimir Putin told a surprised George W. Bush, "You have to understand, George, that Ukraine is not even a country. Part of its territory is in Eastern Europe and the greater part was given to us."

Six years later, the Kremlin appears to be making sure that Putin's opinion becomes a reality.

For Moscow, the drama that has been unfolding in Ukraine for the past three months is a domestic and an international issue. After all, if a revolution can unseat an unpopular, corrupt government in Kiev, why not in Moscow?

Follow the latest developments in Ukraine

That was Moscow's nightmare scenario during the 2004 Ukrainian Orange Revolution, and it remains a major concern even though Putin's popularity rating in Russia runs at a healthy 60% today.

Beyond that, Ukraine is closely linked to Russia's return to the world stage as a great power that should be entitled to a "sphere of privileged interests" in its backyard. Putin has said that the collapse of the Soviet Union was the "greatest geopolitical tragedy" of the 20th century.

His project for his third term as President is to gather in as many of his neighbors as he can to form a new Eurasian Union. Ukraine is the key to that project. And Crimea is the key to Ukraine.

Sixty years ago, Soviet leader Nikita Khrushchev "gave" the Crimean Peninsula -- for the previous 300 years part of the Russian empire and the U.S.S.R. -- to the Ukrainian Soviet Republic because they were all part of the Soviet Union and it was meant as a symbolic gesture.

After the Soviet collapse, Crimea suddenly became part of an independent Ukraine to Moscow's shock. Moscow and Kiev worked out a deal to divide the Soviet Black Sea Fleet between Russia and Ukraine. In 2010, Ukraine extended the Russian lease until 2042.

When Ukraine President Viktor Yanukovych was ousted last week and fled to Russia, the Kremlin worried it might lose its lease and have to withdraw its fleet from this strategic area.

The initial Russia move to occupy Crimea was designed to protect Russian naval equities on the Peninsula. Some 60% of Crimea's population is Russian and appears to support the current Russian occupation. But Russian interests and troops reach beyond that.

Opinion: The two Putins

A key Putin goal since he came to power in 2000 has been to prevent either NATO or the European Union from encroaching in the post-Soviet space. That's why Russia offered Yanukovych a $15 billion loan to counter the EU's more modest offer in December.

By occupying Crimea, Russia wants to ensure that only a rump Ukraine could negotiate with the EU in the future.

If the current conflict does not spread to other parts of eastern Ukraine -- where there is a sizable population that is demanding closer ties to Russia -- then Crimea could join the ranks of other "frozen conflicts" in the post-Soviet space.

These entities with substantial Russian-speaking populations exist in de facto ministates with Russian military protection within the borders of a larger state whose jurisdiction they do not recognize, such as the Transnistria region in Moldova.

Russian support for these breakaway regions ensures that Moldova, Georgia and now Ukraine will not enjoy full sovereignty over their territory and that Russia will always have a role to play there.

Occupying Crimea and raising tensions in eastern Ukraine to prevent Ukraine from moving toward more Western influence is a top priority for the Kremlin. The Ukrainian stakes are far higher for Moscow than they are for either Brussels or Washington.

The United States can threaten economic sanctions, expel Russia from the G-8 and consider a range of other measures, but the Kremlin must have already discounted these possible countermeasures well before it executed its carefully planned takeover of Crimea.

If maintaining a good relationship with the United States were a top priority for Putin, he would not have granted U.S. intel leaker Edward Snowden asylum in August. Guaranteeing and expanding the Russian presence in Crimea is much more important.

Opinion: How Putin carries out power grab

Given Russia's determination not to back down from Crimea, the United States and its allies will have to focus on containing the advance of Russian troops beyond Crimea and trying to ensure that an unanticipated local conflict between groups under the control neither of Moscow nor Kiev could not precipitate a broader armed struggle in Ukraine.

The fragile interim government in Kiev will need substantial economic support and must be encouraged not to let itself be provoked into a war with Russia as Georgia was in 2008.

Because if there were an armed conflict, neither the United States nor NATO would get militarily involved, and the result could be the dismemberment of Ukraine and its division into two states on either side of a new East-West divide.

Join us on Facebook.com/CNNOpinion.

The opinions expressed in this commentary are solely those of Angela Stent.

@highlight

Angela Stent: Vladimir Putin's move into Crimea is central to his view of Russia's interests

@highlight

Key to those interests is the Russian Black Sea Fleet based in Crimea

@highlight

Stent says that beyond sanctions and containment, Western reaction may be limited