(CNN) -- Before super yachts, luxury sailboats and passenger ferries, the preferred method of water travel was by steamboat.

Until the first steamboat was built in the late 1700s, boats were powered by wind and sail. Since steamboats didn't depend as much on wind direction and currents, they offered more control.

Steam engines function similarly to a tea kettle on a stove, says Matthew Schulte, executive director of the Steamship Historical Society of America. Water is heated to a boil, creating steam that's controlled under pressure. The steam is then released, mechanically powering the vessel and getting the engine moving.

By the mid-19th century, steamboats became a popular mode of transportation in America, Schulte said.

"The rivers, lakes and oceans could serve as a network of transportation long before trails, railroads and highways could accommodate the masses," said Schulte.

While steam and sail boats operated simultaneously into the early 1900s, steamboats remained dominant into the mid-20th century, when ships powered by diesel engines started to become mainstream. Because of their immense size and weight, and the large crew necessary to operate them, steamboats were much more expensive to operate than ships powered by smaller, lighter, modern diesel engines.

With steamboats, "You can see, smell and hear what's happening, and then understand why they work just from going on one," Schulte said. "The Belle of Louisville turns 100 this year, which offers a great opportunity for people to participate."

Here are seven steamboats -- including the Belle -- that visitors can still enjoy in the United States. Some are old, some are new and one offers more fun beyond sightseeing.

31 can't-miss U.S. beaches

Belle of Louisville, Kentucky

Celebrating its 100th birthday in October, Kentucky's Belle of Louisville,located in the town for which it was named, is one of the oldest operating steamboats in the world. The boat still has its original steam engines, and no modern navigation equipment. It's propelled by paddle wheel, operating as it did 100 years ago.

When the boat was built in Pittsburgh, it was designed as a ferry and freight vessel but outfitted for passengers for its later use as an excursion boat.

During its lifetime, seven million people have traveled on the 200-foot-long Belle. It was designated as a National Historic Landmark in 1989.

Celebrate at the Centennial Festival of Riverboats in Louisville from October 14-19. The festival will include six days of festivities on the water and on land, with a showcase of food and beverages, children's educational areas, concerts and fireworks.

Katahdin, Maine

In the 1800s, steamboats were abundant on Moosehead Lake in Greenville, Maine. But by the 1930's, the Katahdin was the only one left on the lake. Built in 1914, Katahdin is another steamboat celebrating its 100th birthday this year.

In the 1920s, Northern Maine was a popular vacation spot for visitors from Philadelphia, New York and Boston desperate to escape the summer heat and pollution. With the stock market crash in 1929, the leisure travel industry declined, as did lake transportation on Moosehead. A decade later, Katahdin's new purpose was hauling logs along the river. It was used that way until 1975, when it participated in the nation's last log drive. It was added to the National Register of Historic Places three years later.

The Moosehead Marine Museum acquired Katahdin several years after the museum's founding in 1976. In 2010, the museum raised more than $1 million to restore the Katahdin and rebuild its wharf. In the summer and fall of 2013, more than 7,000 passengers cruised the lake on the Katahdin, enjoying a ride on a piece of maritime history.

50 states, 50 spots: natural wonders

Minnehaha, Minnesota

The steamboat Minnehaha was launched in 1906 to ferry residents from across Lake Minnetonka to the town of the same name, where streetcars sat waiting as land transportation. The Minnehaha was also used by people wanting a tour of the lake, and it remained a popular means of transportation for both groups until the late 1920s, when steamboats began to fade away.

Although it cruises the same water today, the Minnehaha spent decades on the bottom of the lake. The steamboat sank in 1926 and wasn't raised until 1980. Ten years after Minnehaha was brought to the surface, the restoration began and was completed in 1996. The wood hull was rebuilt because of damage caused by spending a decade on land, and the original boiler that burned coal was converted to a model that burns fuel. While the ship's engine isn't the original one, it dates back to the late 1930s.

African Queen, Florida

Perhaps the most famous steamboat still in operation, Florida's African Queen starred alongside Humphrey Bogart and Katharine Hepburn in the 1951 film of the same name. The boat was built in 1912 in Lytham, England, for use by the East Africa British Railways Company. It originally carried cargo, hunting parties and missionaries along the Victoria Nile and Lake Albert, on the border of Congo and Uganda.

The boat continued to operate in Africa until 1968 when it was brought to the United States, working in San Francisco, Oregon and finally in Florida. The African Queen has been in Key Largo since 1982, providing cruises for visitors wanting a ride on the famous boat.

Sabino, Connecticut

Mystic, Connecticut's Sabino is believed to be the oldest wooden, coal-fired steamboat still operating in the United States. Built in 1908 in East Boothbay, Maine, the Sabino was originally named the Tourist, carrying freight and passengers in Maine's waters.

After a private restoration, the Sabino was purchased in 1974 for use as a working exhibit at the Mystic Seaport museum.

The Sabino still has the two-cylinder steam engine that was installed in 1908, carrying passengers on daily cruises along the Mystic River. The Sabino is a "bell boat," with control of the engine handled directly by the engineer who receives orders from the captain via bell. One ring means forward, two mean reverse.

10 stunning waterfalls across the U.S.

American Empress, Washington

The youngest steamboat on the list, Washington's American Empress was launched this past April. The ship was actually built in 2003, cruising Alaska as the Empress of the North for five years. The boat remained out of service until it was purchased and renamed by the American Queen Steamboat Company in 2013.

Ports and excursions on the multi-day cruises along the Columbia and Snake Rivers include Sacajawea State Park, the Walla Walla wine trail, Mount St. Helens and numerous stops in Oregon. Cruises often feature a "riverlorian" to share the history and culture of the region with curious visitors.

Miss Belterra Riverboat Casino, Indiana

If it's a roll of the dice or slots you seek rather than just sightseeing, Florence, Indiana's Miss Belterra  might be the boat for you. Opened in 2000, Las Vegas casino-inspired and design and dÃ©cor elements grace the interior, with the exterior resembling classic riverboats of the 1800s.

Miss Belterra is 370 feet long and features 38,000 square feet of game tables and slots on two of its decks. The boat holds about 3,000 people and offers the sounds and atmosphere of a land-locked casino. Although gambling laws no longer require Miss Belterra to leave port, guests can still enjoy the historic feel and thrill of gambling on the water.

10 wilderness spots turning 50

@highlight

Once a popular form of transportation, few steamboats cruise the waters today

@highlight

Kentucky's Belle of Louisville and Maine's Katahdin celebrate big birthdays this year

@highlight

There are newer steamboats, including the American Empress and Miss Belterra