(CNN) -- Earl Lane, 35, used to have a bad habit he thinks too many American men share: He never went to the doctor.

Lane made decent money working at the popcorn plant near Marion, Indiana, but his job didn't come with health benefits. A doctor's visit was way out of his price range -- or so he thought.

A family member was on the board of the Indiana Health Centers. She told him he should at least get a physical there. The center charges patients on a sliding scale based on a patient's income. Eventually, Lane gave into family pressure.

"And it's a good thing I did. Going to the center saved my life. It was truly a blessing," Lane said. "The doctor tested my triglycerides, and then he tested them again because he just couldn't believe the number. He kept asking 'Are you sure you feel OK?' "

The test registered Lane's triglycerides in the 2,000 range. A healthy person's numbers are supposed to be around 150 mg/dl. An extremely high triglyceride number like Lane's can be a sign of type 2 diabetes. Further tests showed Lane was diabetic -- dangerously so.

"I praise God that He keeps His Hand on me and in this case His Hand came through the Indiana Health Centers," Lane said.

Community health centers that qualify for federal funding could help some 22 million Americans, many of whom are uninsured. The centers often provide medical, mental health and dental services. For many it's the only access to medical care they have outside of an expensive emergency room visit. And now these centers are going to play an even bigger role in helping people get access to care.

U.S. manages disease, not health

The Obama administration announced Wednesday its first big push to help educate uninsured people about the health coverage they'll qualify for under Obamacare. The health care law expands who is eligible for Medicaid and makes insurance available to people who wouldn't have qualified before because of pre-existing conditions.

Starting next January, all Americans must have health insurance or face a financial penalty. Open enrollment for state-based health exchanges that will provide this more affordable coverage will start in October.

The Obama administration's education effort comes in the form of $150 million. Grants will go to 1,159 community health centers that are spread out through all 50 states.

Doctors working in fast-food restaurants

Health centers will use these new federal grants to create bilingual education materials about changes in the law. Money will go to training so that medical staff knows how to sign patients up for insurance. Funding will also pay to hire some 2,900 additional workers who will do specific community outreach. Polls show a large percentage of Americans don't know about the law or how it works. The Obama administration thinks these health centers can make a huge impact in spreading the word.

Federally qualified health centers "are the trusted resources not only of good care but of information in some of the neighborhoods that stand to benefit the most from the expansion of our health coverage," Health and Human Services Secretary Kathleen Sebelius said.

"The next few months represent an unprecedented opportunity for millions of Americans to get connected to the security, quality, and affordability health coverage provides -- in some cases for the first time ever."

Angela Curran knows a number of her clients at the Community Nurse Health Center will need help understanding Obamacare. The CEO's health center in La Grange, Illinois, provides medical services to people concentrated in the Western suburbs of Chicago. She estimates more than 36,000 people in her area will qualify for insurance through the new state exchanges and the expanded Medicaid benefits. Community Nurse Health Association received a $74,586 grant through the new HHS initiative.

Finalized rules let religious groups opt out of contraception

"There is a lot of work to be done to let people know that they will qualify and to even help them understand at a basic level what health insurance is," Curran said. "These are things many of us who have health insurance take for granted that people understand, how it works, but that's just not the case if you have always grown up in an environment without it.

"We'll explain the essentials like 'What does insurance mean for me?' We'll tell them that preventative care will now be covered. We'll explain how to maximize their benefits and how to look for a doctor in network. This will be a real learning curve for people."

Curran said her center will use the grant to train staff how to help people sign up for insurance. It will also help the center hire an additional staffer who will do a kind of Obamacare education blitz. "If there is a library event, a park district gathering or a school registration meeting, we will be there letting people know," she said.

Myths about Obamacare

President and CEO Elvin Plank said Indiana Health Centers have contacted all the hospitals in their coverage areas in preparation for their grant's arrival.

"Since a lot of uninsured folks use emergency rooms for their primary care, we thought we'd target patients there. Our staffers handling outreach will let people there know that they will no longer have to use the expensive emergency room any more to treat their chronic conditions."

Earl Lane, who continues to have help managing his diabetes from the Indiana Health Center in Marion, believes so much in the good that these centers can do, he's joined their board.

"I know many men will forgo their own good health if it means they can have more money to feed their families," Lane said. "But now so many more people will be able to get access to primary care services because of this law, and now because of this grant, more people will know about it. The good Lord is clearly keeping an eye on all of us."

States saying 'no' to Medicaid expansion, but low-income

@highlight

$150 million in grants will help medical centers spread the word about Obamacare

@highlight

22 million Americans use community health centers for medical treatment

@highlight

For millions, Obamacare will be the first time they've ever had health insurance