(CNN) -- By distance, the running of the bulls course in Pamplona is pretty short: just 850 meters, or half a mile.

But with six, half-ton raging bulls and their menacing horns closing fast, the run can strangely seem like an eternity.

An eternity of thrills, of bravery and bragging rights, and sometimes, of tragedy.

The tradition of running bulls in this northern Spanish city dates back 400 years, and became known worldwide after author Ernest Hemingway wrote about it in his 1920s novel, "The Sun Also Rises," also published under the title "Fiesta."

Nowadays the annual San Fermin festival is so popular that Pamplona's population of 200,000 can triple during the eight consecutive days of running, held from July 7 to 14, at 8 a.m. daily.

Hordes of international travelers, many of them young, crowd in for a chance to watch from the barricades and balconies.

Many even try their luck with the bulls.

Some years ago, I was one of them.

I made my only run with the bulls and like most who take part, I didn't run very far.

The bulls are faster, and the runners -- now more than a thousand most days, and even more on weekends -- are densely packed.

No escape

I started close to the beginning of the course, near the top of the Cuesta de Santo Domingo, the hill leading up from the bull corrals, and then dashed across city hall plaza.

By the time I took cover, I couldn't even get close to the supposed safety of the wooden barricade on my right, because there were already clumps of runners packed against it.

Luckily, the bulls kept going straight and didn't turn right, toward me, I kept thinking afterward.

Others went further that day, among them my Spanish friend Chema. Perhaps because he's from a farming village and knows more about bulls.

But for novices and others who don't know enough, there's fresh help.

Just days ago, a group of American, British and Spanish bull running veterans published an e-book: "Fiesta: How to Survive the Bulls of Pamplona."

Contributors include John Hemingway, grandson of the novelist and himself an author; Jim Hollander, a Israel-based photographer for the European Pressphoto Agency who's captured images of the running for years; and Alexander Fiske-Harrison, a Briton who's fought bulls.

Their collective advice goes well beyond the most important mantra -- that if you fall to the street while running -- stay down and don't move, and the bulls will likely step over you.

I didn't know that rule when I ran.

It's possible some others who in the past have been gored or even killed may not have known it, or heeded it. Because the instinct to get up from the street can come at the worst moment -- just as the bulls' horns arrive.

There've been 15 deaths since records began in 1924, most recently in 2009 when a 27-year-old Spanish man was fatally gored in the neck.

Thousands more have been injured, often hurt when falling or being pushed to the ground by frantic runners.

On the first three days of running this year, 13 people have been taken to hospital, three for goring-related injuries and the rest having being hurt in falls or collisions.

Of these, three were non-Spanish, including a 32-year-old man from Chicago who was gored in the right thigh, a 23-year-old from Japan and a 23-year-old man from Nottingham.

Ambulances and medical teams now line the course, and the injured are usually transported quickly to hospitals staffed with surgeons experienced in operating on bull goring wounds.

Seeing red

Police typically try to make the running safer by limiting the crowds inside the course, and prohibiting those who are clearly drunk or carrying objects, like cameras.

Yet some see red at this spectacle.

This year, animal rights groups again plan demonstrations decrying the bull running and subsequent bullfights where the animals are killed, in the afternoon.

Campaigners have had success in Barcelona, where the Catalan regional parliament voted in 2010 to ban bullfights in that region, but their criticism does not seem to have dented Pamplona's event.

The fiesta is an unrivaled source of revenue for the town, an intense week of tourism worth millions of dollars, and the bull running is just a small, albeit renowned, part.

Pamplona's city hall says nearly 1.5 million people attended the hundreds of concerts, parades, children's activities and religious events organized around last year's celebration of the city's patron saint.

Yet those eight days included just 17,813 bull runners, some of them repeat participants over several days.

Since my own, short run, I've returned various times as a correspondent to cover Pamplona's big event.

And one of my questions has brought an intriguing answer: some international revelers say they've never read anything by Hemingway.

Not a single book, much less his novel that brought fame to this town.

They've said it repeatedly, over the years, even in the shadow of the statue of Hemingway, which the town proudly erected outside the bullring.

For some, the details of his passionate writing are lost.

But they've picked up the gist: Pamplona, they will tell me, is a must see: this wild fiesta and this dangerous bull running.

@highlight

Running of the Bulls begins this year on July 7 and is expected to attract thousands of participants

@highlight

The annual event usually results in scores of injuries and occasionally fatalities

@highlight

The Spanish fiesta was immortalized in print by Ernest Hemingway in his novel "The Sun Also Rises."

@highlight

Hemingway's grandson is among those who have produced an e-book on how to survive the bull runs