The same elite Navy SEAL unit that killed Osama bin Laden took part in a daring nighttime rescue in Somalia of two American and Danish foreign aid workers, a U.S. official said Wednesday.

The personnel attached to Naval Special Warfare Development Group, also known as DEVGRU, were part of the joint Special Operations force that rescued the hostages, CNN has confirmed. DEVGRU, formally known as SEAL Team Six, is one of several units that make up the storied fighting force.

The SEALs parachuted into Somalia on Tuesday from fixed-wing aircraft and advanced by foot to the compound where the hostages were held, U.S. officials said.

Nine gunmen were killed in the strike, the U.S. military said. There were conflicting reports of the number of wounded.

The SEALs and the freed hostages left the compound on helicopters, said a U.S. official not authorized to speak to the media and who asked not to be named.

The hostages, Jessica Buchanan and Poul Thisted, were abducted in October after they visited humanitarian projects in the northern part of Somalia, according to a Danish Refugee Council who employed them.

Buchanan and Thisted were unharmed, the aid group said.

"It just takes your breath away, their capacity and their bravery and their incredible timing," Vice President Joe Biden said Wednesday morning, referring to the unit's capabilities.

The Navy SEALs evolved from several specialized Navy commando teams that came into being during World War II when the United States realized that to invade enemy-held territory in North Africa, Europe and the Pacific, it needed savvy, quick-thinking fighters who could perform reconnaissance at sea.

Beyond tactical expertise, the SEALs -- short for Sea, Air and Land teams -- needed to have extraordinary physical strength.

The force became known for their jack-of-all-trade skills, able to survey China's Yangtze River disguised as Chinese nationals in 1945 or conduct demolition raids on railroad tunnels and bridges along the Korean coast during the Korean War.

The SEAL moniker came after President John F. Kennedy spoke about his admiration for special forces troops and his hope that the U.S. military would better enhance its ability to engage in unconventional warfare, countering guerrilla and clandestine operations.

There was a new and pressing need for more advanced military techniques during the time. Among other missions, the SEALs were deployed to act as advisers and train South Vietnamese commandos.

U.S. special forces rescue Somalia aid workers

Vietnam was the first American war to be broadcast widely on television and other media, and woven into popular culture for mainstream consumption. It solidified the image of the SEAL as the ultimate tough guy, a reputation burnished by reports of SEALs' ability to do face-to-face combat with Vietcong and stories of their work with the CIA.

The relationship between America's spy agency and its elite troops was crucial to gaining real-time intelligence for missions sometimes carried out at the last minute -- perhaps an asset more important now than ever, experts have said. The war against al Qaeda is just as much about obtaining reliable intelligence as it is winning on the battlefield.

SEAL victories have been many. During the Vietnam War, they performed a covert operation called the Phoenix Program which captured Vietcong sympathizers.

In the Iran-Iraq war, SEAL teams conducted missions to counter Iranian mine-laying boats. The first military flag officer to set foot in Afghanistan after September 11, 2001, was a SEAL in charge of all special operations for Central Command, according to the SEALs history page on its web site.

The site says SEALs commanded Task Force K-BAR, which oversaw the Navy, Air Force and Coalition Special Operations Forces at the beginning of Operation Enduring Freedom. They carried out more than 75 special reconnaissance and direct action missions, destroyed more than 500,000 pounds of explosives and weapons, identified enemy personnel and conducted operations that searched for terrorists trying to flee the country by sea.

The largest deployment of SEALs in the group's history came during the Iraq War, with SEALs directing missions that included securing all of the southern oil infrastructures of the Al-Faw peninsula and the offshore gas and oil terminals, clearing critical waterways so that aid could flow into the country. Several high-value terrorist targets were captured by the SEALs, including Ahmed Hashim Abed, the alleged mastermind of the murder and mutilation of four Blackwater guards in Fallujah in 2004.

Another high-profile mission came in 2009 when a SEAL team rescued the American captain of the cargo ship Maersk Alabama, which had been hijacked by Somali pirates off Somalia's coast. SEAL snipers were on the deck of a ship and fired simultaneously three times, hitting three pirates who were holding the captain.

Of course, the killing of bin Laden during the 2011 Abbottabad, Pakistan, raid was a golden moment for the SEALs.

But not long after that victory, the SEALs suffered the loss of 17 members when their helicopter was shot down in Wardak province in Afghanistan during a mission intended to take out a known Taliban leader directly responsible for attacks against American troops, two U.S. military officials told CNN shortly after the August incident. The forces were called in to assist another unit on the ground pinned down in a firefight. In total, 38 people died in the incident.

SEAL training is "the ultimate test for a guy," said Chris Heben, a former SEAL with 10 years of experience carrying out missions in Africa, the Middle East and Afghanistan.

It pushes a soldier mentally, physical and psychologically, testing how well they can work with others given intense pressure and pain.

SEALs train between 18 and 24 months, with the pinnacle of training coming during Hell Week, five days in which trainees are constantly cold, hungry, sleep deprived and wet. Instructors deprive the participants of sleep, then let them hit the rack just long enough for REM sleep to begin, said Brandon Tyler Webb, a former SEAL who ran the sniper program at the Navy Special Warfare Command and was part of combat missions in Iraq and Afghanistan.

Instructors are constantly yelling, "Go ahead, quit if you like!"

Many do. The attrition rate for SEAL training is about 90%, Heben and Webb said.

Most recruits drop out long before Hell Week because they can't take the training, which involves running 15 miles, topped with a 2-mile open water swim and other intense physical conditioning, Webb said.

"Every day is like climbing Mount Everest," Heben said. "You just keep doing what's in front of you. You don't look up."

Training instructors make you feel like "you're part of an Indian tribe," Heben said.

"There's a lot of back patting and verbal reinforcement. You feel like you're part of something, and you're doing great things. But they definitely let you know when you're not doing something right."

The discipline from SEAL training was intensely satisfying to Heben in his early 20s. He had gone to college, and though he was very bright he was spending more time working out than on his classwork. He was restless.

Four walls and books just weren't his thing. Despite unimpressive grades, at 23 he got a job working in home mortgages making $63,000 a year.

Then one day he read an article about the SEALs in Popular Mechanics.

"I enlisted in the Navy immediately," Heben said. "I asked the recruiter, 'What is the fastest track to becoming a SEAL? I'll take that.'"

Though he won't discuss specific areas of countries where he's carried out missions, he said that he normally trained for missions on exact mock-ups of a targeted location.

@highlight

Same SEAL unit involved in Osama bin Laden raid did Somalia rescue

@highlight

Somalia operation was latest in long storied SEAL history

@highlight

Navy SEALs have their origins in World War II

@highlight

Force known for being jack-of-all trades capable