(CNN) -- After President Obama announced his support for same-sex marriage, a group organizing a fundraiser on his behalf suddenly had to find a bigger venue. The event, featuring the pop singer Pink, is one of two LGBT-organized fundraisers Obama is expected to attend on the West Coast on Wednesday.

A CNN analysis of President Obama's biggest fundraisers, known as bundlers, shows that at least 33 -- or about one in every 16 bundlers -- is openly gay. Together, they have raised at least $8 million for the campaign between January and the end of March.

CNN poll: Majority of Americans say they have gay friends, family members

By contrast, in the same period, bundlers from the television, movie and music industry, some of whom attended a recent high-profile fundraiser hosted by actor George Clooney, raised $6.8 million, according to the Center for Responsive Politics.

Interactive: Celebrities back candidates for president

While campaign finance laws require donors to disclose their full names, addresses, occupations and employers, there is no box to check for sexual orientation. Nor does the law require candidates to release information about their bundlers. Under prodding from watchdog groups, presidential campaigns have released bundler data in past elections. Obama's campaign has released its list. Republican candidate Mitt Romney's campaign has not.

In CNN's analysis, only bundlers who have disclosed their orientation in past CNN reporting or in trusted LGBT publications were counted as gay. The Washington Post has reported that as many as one in six bundlers supporting Obama are gay. The Advocate Magazine estimates one in five.

Glancing down the names on the bundlers list released by the Obama campaign for the first quarter, it is easy to find people known for their work on behalf of the LGBT community.

Tim Gill, a software entrepreneur who runs a large Colorado-based foundation that backs gay rights projects, has already contributed $672,800 with his partner Scott Miller to the Obama for America campaign. Fred Eychaner, who owns the Chicago-based Newsweb Corp., has donated $1,220,550 so far.

He co-hosted a $35,800-per-person LGBT organized fundraiser for Obama in February. Kathy Levinson, the former president and CEO of the Menlo Park, California-based Etrade, gave $202,150. The LA Gay and Lesbian Center Women's Night named Levinson a "Community Role Model" in 2000. She was instrumental in raising money to stop the anti-same-sex marriage law in California.

Donations made after Obama announced his support for same-sex marriage May 9 won't be released until mid-June, when the campaign files its second-quarter reports with the Federal Election Commission.

Many LGBT bundlers have maintained a close relationship with the president throughout his first term. A state dinner in March was attended by bundlers Gill; Eychaner; Barry Karas, a former Human Rights Campaign board member; James (Wally) Brewster, senior vice president of General Growth Properties, a real estate investment trust that owns and operates shopping malls; Dana Perlman, a corporate lawyer who has served as co-chair of the Obama/DNC LGBT Leadership Council; Joseph Falk, a Miami mortgage broker and others.

Support for Obama from the LGBT community was challenged after the initial excitement of his first campaign, largely because of what was perceived as his lukewarm support on same-sex marriage. Some say a low point came during the election in 2008, when evangelist pastor Rick Warren asked Obama how he defined marriage and he called it "a union between a man and a woman." He added: "For me as a Christian, it is a sacred union. God's in the mix." He further angered the community by picking Warren to deliver his invocation at the presidential inauguration.

Actor Alan Cumming wrote in 2010, "We keep hearing that Obama is an ally, that DADT [the 'don't ask, don't tell' policy that kept LGBT people from openly serving in the military] will end under his watch, but what do we actually get? Diddly squat."

Dustin Lance Black, who won a best screenplay Oscar for "Milk," a movie biography of the gay San Francisco politician Harvey Milk who was gunned down because of his sexual orientation, said last year that he had been an Obama supporter before but might sit out the upcoming election. When President Obama finally signed the repeal of "don't ask, don't tell" and "evolved" in his position on marriage by saying he was in favor of it for the LGBT community, both Black and Cumming did more than just say they supported the president. They donated money. They also encouraged others to do the same.

David Mixner, who started one of the first LGBT-themed PACs in the late 1970s, said the community has come a long way in being accepted in electoral politics. "We had some candidates who wouldn't take our money back then because they didn't want to be associated with anyone who was gay," Mixner said. He said he believes that changed with the Clinton administration, which the PAC raised $4 million to support. "Now the community knows how to raise money and contribute on their own and we are more than welcome at the table."

The LGBT community is such an important part of this president's re-election effort that the Obama for America campaign hosts a special section for it on its website. It includes a video discussing the president's support for LGBT issues narrated by actress Jane Lynch, who is openly gay. It also offers Obama merchandise like T-shirts and drink koozies to bring to Gay Pride events this summer.

The president has already attended several LGBT-organized fundraisers, including one in New York hosted by openly gay singer Ricky Martin, the Futuro Fund, and Obama for America LGBT Leadership Council.

Another event in Washington, hosted by Karen K. Dixon and her partner, Dr. Nan Schaffer, was rumored to have raised more than a million dollars for the campaign, although the Obama team won't comment on the record about fundraising. Tickets for one of the California events were selling so well the campaign had to find a larger venue. There also is great interest in a Chicago fundraiser co-hosted by LGBT bundlers Brewster and Bob Satawake. The couple has already raised $288,663, according to the CNN analysis.

"I think there has always been a strong base of support from LGBT people for the president," said Michael Cole-Schwartz, spokesperson for the Human Rights Campaign, whose incoming president Chad Griffin is a bundler. "He earned even more respect from the community -- from repealing 'don't ask, don't tell,' to signing the hate crimes law giving the first civil rights protection for us in federal law, to coming out against DOMA," the Defense of Marriage Act that defines marriage for federal purposes as unions exclusively between a man and a woman. "Now, with his saying he believes in full marriage equality, we have another reason for people in our community to be generous with their time and money."

It is difficult to know if there are any openly gay bundlers for the Republicans, because Romney has not disclosed his bundler list.

The Republican candidate has, however, voiced his opposition to civil unions and supports a federal amendment to the U.S. Constitution to deny same-sex couples the right to marry.

But some gay Republicans say Romney is not totally close minded on LGBT issues. "On gay issues, where Romney stands is not as black and white as it seems," said R. Clarke Cooper, executive director of the Log Cabin Republicans, an organization for gay and lesbian Republicans. "One thing he has been consistent on, as governor and as a candidate for president, is he has spoken in broad terms about ending discrimination in the workplace. He has said there is no room for it."

Cooper said the Log Cabin Republicans haven't decided yet if they will endorse Romney. That announcement will come sometime this fall. He does believe, though, that there are gay donors to Romney's campaign. They just might not be as outspoken.

"We joke that at Pride (festivals), the question we most often ask other Republicans we see there is, 'Are you out?' Meaning 'out' about your politics yet."

@highlight

A CNN analysis of Obama's biggest fundraisers shows about one in every 16 is openly gay

@highlight

Gay fundraisers have raised more than $8 million for the Obama campaign

@highlight

Similar figures are not available for the Romney campaign