(CNN) -- A lone saxophonist plays in the shadow of an overpass while a horde of cyclists looks down at a set of tangled train tracks.

This outwardly gloomy spot is as good a place as any to begin a cycling tour of the "Berlin Wall Trail," a 160-kilometer (99-mile) path developed to commemorate and transform one of the darkest chapters of the city's past.

Once a popular location for defectors because East German trains cut through a corner of the Western zone, it was here on November 9, 1989, that tens of thousands of people overwhelmed an official checkpoint after a bureaucratic error led to the opening of the border.

Divided by mapmakers into 14 sections that vary from seven to 21 miles in length, the Wall Trail, or "Mauerweg," traces the entire path of the Wall.

Built in 1961, the Wall divided the city by surrounding West Berlin, for decades following the partitioning of Germany after World War II an island of freedom behind the Iron Curtain.

'Culture, politics and nature'

The Wall Trail is a unique combination of tourist attraction and recreational zone, says Michael Cramer, the Green Party politician and cycling enthusiast who conceived the plan in the early 1990s and is now working on a Europe-spanning Iron Curtain Trail, inspired by the Wall route's success.

"It's a ride through history, culture, politics and nature," he says.

That feeling hits home as I pedal across the Mauerpark to the Wall memorial on Bernauer Strasse, where a watchtower and a section of the barren "death strip" have been preserved unchanged.

While Cramer's scheme might seem an obvious venture now, it wasn't easy in the beginning.

Berliners hated the Wall so much that many people wanted every trace of it obliterated.

In 1989 and 1990, souvenir hunters were carting it away so fast that the government had to shift from demolition to conservation practically overnight.

With experts forecasting an unprecedented population boom, real estate developers were eying the former "death strip" as keenly as East Germany's notorious Stasi security agents ever had.

"At that time, all the politicians and the media said, 'No, no, we want to erase the Wall,'" Cramer says. "But 10 years later, in 2000, we were successful."

Completed in 2009 at a cost of some 10 million euros ($13.4 million), today the trail appeals to all types of cyclists.

Bike-friendly public transport

Every section is accessible by Berlin's bike-friendly public transportation system, so cyclists can pick and choose from various sights and terrain.

It's flat and paved, so it doesn't take an athlete's fitness to hack it, and an ordinary city bike or single-gear, hipster's "fixie" serves as well as something fancier.

Better still, even though it attracts thousands of visitors every year, it never gets crowded, says Martin "Wollo" Wollenberg, who heads a tour company called Berlin-on-Bike.

"As you experience the Wall zig-zagging through the city, you get a feeling for the separation," Wollenberg says. "In a lot of places, the difference between East and West is still quite vivid."

For tourists new to Berlin, about 25 miles of the trail runs through the heart of the city.

Passing not only the Bernauer Strasse documentation center but also the Reichstag, Brandenburger Gate, Checkpoint Charlie and many other important historical sites, it makes an excellent route for a leisurely four-hour guided tour.

Meanwhile, for more committed cyclists, in former western districts such as Kladow and Wannsee, the path doubles as a nature trail, cutting through forests.

Regular rows of plantation pines make the former death strip easy to identify.

At 29 different sites along the path, memorial placards tell the stories of some of the nearly 250 "victims of the Wall," such as Peter Bohme, a 19-year-old cadet in East Germany's National People's Army who was shot trying to escape to West Berlin in 1962.

Signposts at regular intervals make it well nigh impossible to get lost, and every section has something to spark the traveler's interest -- the bridge where captured spies were exchanged, a former watchtower now used by the forest brigade or the famous Church of Our Savior whose walls once formed part of the fortifications.

Riders are never more than a mile or two from the nearest beer garden.

How to ride the wall

For do-it-yourselfers, bicycle rental runs about €10 per day, with outlets ubiquitous throughout the city.

Visit Berlin offers free pamphlets with complete maps of the 14 sections of the trail and brief descriptions -- though only the German version was available when I visited. The same material is available online.

Cramer's "Berlin Wall Trail: Cycling Guide" can be picked up for about $10 online or at the souvenir shop at the Berlin Wall Documentation Centre on Bernauer Strasse.

Berlin on Bike's "Wall Tour" covers 15 kilometers of the Wall Trail in about four hours. The company's English- and German-speaking guides provide information about the building and destruction of the Wall and life in East Germany.

At €14 plus €5 for bicycle rental, it's worth considering even for those planning to do the rest of trail solo.

An award-winning journalist and travel writer, Jason Overdorf's byline has appeared in The Washington Post and The Atlantic. He's also the Berlin correspondent for GlobalPost.

CNN Travel series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

The Berlin Wall Trail runs for 99 miles along the frontier that once divided the city

@highlight

Completed in 2009 at a cost of $13.4 million dollars, the trail attracts all types of cyclists

@highlight

All 14 sections of the trail are connected by public transportation

@highlight

Numerous beer gardens lie close to the route