(CNN) -- When looking at the world's lowest unemployment rates, one of the first things you might notice is that many of the countries are in Southeast Asia.

Thailand, Singapore, Malaysia and Vietnam all have unemployment rates at or below 3%, ranking them in the top six overall, according to tradingeconomics.com.

"One reason why the unemployment rates in those countries are low is because they're starting to get a lot of investment that used to go to China and would have gone to China," said George T. Haley, a professor of marketing and international business at the University of New Haven and co-author of "New Asian Emperors: The Business Strategies of the Overseas Chinese."

Haley said high wage inflation in China has prompted companies to start outsourcing to other countries instead. But investing in Southeast Asia is far from a new thing in the corporate world.

"The U.S., in its policies back during the Vietnam War, encouraged and gave actual subsidies to companies that would source from Southeast Asia because they wanted to use the investment to combat the spread of communism," Haley said. "And over time, it just became a good place to invest. You had relatively low cost of labor ... you had investment support from the U.S. government, and you had the growing economy, which just fed on itself."

Speaking of the U.S., its unemployment rate is 9.2%, which ranks it close to the bottom among the countries on our table of 67 countries.

While business is definitely booming in Southeast Asia, take its unemployment numbers with a grain of salt. Many countries define unemployment differently, so it's sometimes difficult to accurately compare rates from different regions.

It's also important to note that the table above shows only unemployment rates that have been released since December 2010. Many countries are not on this list because they haven't released their rates in years, if at all.

So while the table shows that Angola and South Africa are last on the list at 25%, they are likely far from the world's worst. The latest CIA World Factbook has estimated unemployment rates for most of these missing countries, and eight of them are above 50%. Zimbabwe might have a jobless rate as high as 95%.

Other notable countries on the table:

*** America's unemployment rate is well behind its nearest neighbors, Mexico (5.2%) and Canada (7.4%).

*** One of the roots of the so-called Arab Spring has been the lack of jobs, especially for young people in the Mideast and North Africa.

Tunisia, the first government to fall, had an unemployment rate of 13% one month before its revolution.

Egypt's rate was just under 12% in March. Morocco, another country in North Africa experiencing unrest, reported a rate of 9.1%.  *** Some of the highest rates on the list come from three countries that have recently received bailouts from the European Union.

Ireland and Greece are both above 14%, while Portugal is just a few points behind at 12.4%.

But it's Spain, at 21.3%, that has the highest unemployment rate in the EU.

@highlight

Jobs appear to be plentiful in many Southeast Asian countries

@highlight

One of the reasons, an expert says, is that China -- not just the West -- is outsourcing there

@highlight

The United States' jobless rate is higher than the rates in Canada and Mexico