(CNN) -- For Thomas Tugend, there was no doubt which side he was fighting for as a young infantryman in Europe in World War II. Actually, the choice was made for him in 1933, when he was just a child.

Born in Germany, Tugend lived a comfortable, upper-middle class life in Berlin. His father, Gustav, was a loyal and patriotic German who had fought in World War I and was a decorated officer in the German army.

He was also a successful doctor, leaving Thomas with few worries during his childhood in Berlin. Like many of his schoolmates, Thomas was an avid soccer player who gave little thought to the political storm brewing around him.

Everything changed in 1933 when Adolf Hitler and the Nazi party came to power. That the Tugend family was successful, educated and loyal Germans no longer meant anything. To the new German government, the Tugends were Jews -- and that was all that mattered.

Still, the family remained in a state on denial about the danger they faced because, as Thomas Tugend later said, "for us, the oppression came gradually, not all at once."

The Tugend's longtime nanny, a mother figure to young Thomas, was forced to leave because of a government edict prohibiting non-Jewish Germans from working in Jewish homes.

Then, Thomas' father was told he could no longer treat non-Jewish patients. Shortly thereafter, the elder Tugend was summarily fired from his job in the pediatrics department of a prominent Berlin hospital.

As a result, the Tugend family was forced to move from their comfortable home to a poorer part of the city.

"It was little things at first, and people would say, 'Well, we can live with that,' and then another more stringent law would pass and people would say, 'This isn't ideal, but things will get better,'" Tugend said.

By 1937, Tugend's father had no illusions about what was happening. He left Germany for the United States via England with the help of old friends from an American Quaker group. The elder Tugend had worked with them on health issues related to childhood poverty in Germany after World War I. As soon as he was able, Thomas' father sent for his family.

"He told my mother to forget the furniture and pack up what she could and get out," Tugend said.

In May 1939, Tugend, his sister and their mother entered the United States as refugees. Four months later, the Germans invaded Poland.

"The reason so many German Jews didn't leave when they had the chance was because they couldn't believe what was happening," Tugend said. "They thought Hitler would get what he wanted and there would be no war and things would get back to normal. The Holocaust was unimaginable at the time."

Despite their escape, Tugend said his father was never the same. The whole experience "broke him, spiritually and physically," he said.

By 1944, the war was raging in Europe and 18-year-old Thomas was attending high school in the United States. He was raring to join the fight. And he admits his family's tragic experience was only part of the motivation.

"I couldn't wait to get away from home," he said.

An adventurous spirit mixed with a touch of wanderlust led him to enlist in the U.S. Army.

"Even then I knew the historical significance of the war and I wanted to be a part of it," he said. "I had a personal reason to fight the Nazis that most Americans didn't."

Tugend was assigned to the Army's 63rd Infantry Division. He was worried he might be shipped off to the Pacific, but fate was on his side -- Pvt. Thomas Tugend was sent to France, where he faced his former countrymen in battle.

Tugend said he tried not to dwell on the fact that he was fighting his former friends.

"As long as I was just an infantryman, they were shooting at us, we were shooting at them, that's all you think about," he said.

Once the Army found out Tugend spoke fluent German, his commanders created a new job for him. At the end of the war, Tugend was tasked with finding members of the Nazi party who were thought to be cooking up a post-war insurgency.

"Every town and village I went to," Tugend said, "I would be told, 'No, I'm not a Nazi. But my neighbor, he's a Nazi,' and then the neighbor would say, 'No, no, no. I'm not a Nazi.' There wasn't a Nazi left in Germany."

After some villagers led Tugend to an elderly blind man who was proud to admit his affiliation with the Nazi Party, Tugend returned to his headquarters and proclaimed, "I found the only Nazi in Germany!"

Tugend may have harbored resentment toward the people who betrayed his family and allowed the murder of 6 million Jews, but on a personal, face-to-face level, he found it difficult to hate them.

"You have to understand, the average German may have known what the Nazis were up to, but I think most of them were just trying to survive," he said.

"You would go to some of these bombed-out villages and they had suffered so much, I couldn't hate them. It wasn't like they were the Goebbels or the Goerings. ... We had no pity for the SS. Those were the real bastards."

Tugend left the Army soon after the war's end, but he wasn't finished fighting. He joined the Israeli Army and led an anti-tank crew during the 1948 War of Independence.

He was later recalled by the U.S. Army to serve in the Korean War. Instead of going to the front lines, however, he was assigned to run an Army newspaper out of the Presidio in San Francisco.

Upon leaving the Army, he became a career journalist working for the San Francisco Chronicle and The Los Angeles Times, and as a science writer and a communications director at UCLA.

And age hasn't stopped Tugend from pounding away at the keyboard. He still writes for several different publications, including The Jerusalem Post and The Jewish Journal of Greater Los Angeles.

After all these years, Tugend is philosophical about his family's escape from certain death at the hands of the Nazis, and his time as an infantryman at war.

"There were a number of instances in my life where by all the odds I should have been killed," he said. "It just gives me a sense of the utter random chance of life."

@highlight

Thomas Tugend fled Nazi Germany with his family for America

@highlight

At 18, he enlisted in the U.S. Army to fight against his homeland

@highlight

After the war, he joined the Israeli Army and led an anti-tank crew

@highlight

He was later recalled by the U.S. Army to serve in the Korean War