(CNN) -- With a star-studded client list that includes Catherine Zeta-Jones, Lindsay Lohan, Julia Roberts and Michelle Pfeiffer, Trelise Cooper is an internationally known fashion designer.

Starting out with a boutique store in Auckland, New Zealand, during the mid-1980s, Cooper's ascent onto the fashion stage -- and the front covers of Vogue and Marie Claire -- is made more remarkable by the fact that she never received any formal training as either a designer or seamstress.

Instead, Cooper relied on her self-confessed "obsession" for detail, as well as a natural eye for fashion. "I was born a fashion designer" she says, and soon after she set up shop, her clothes acquired a reputation for their bold use of pattern and intricate stitching.

Cooper took up the "Fusion Journey" challenge to travel from New Zealand to New Delhi, India's capital. Although it's a city she had been to on business many times before, she says that she'd never allowed herself the time to study its traditional dress in earnest.

See more Fusion Journeys

There she was tasked with creating a new fashion line that would combine her own sophisticated modern style with the vibrant, brightly colored traditions of Indian dress-making.

In her own words, Cooper retraces the footsteps of her Fusion Journey.

Trelise Cooper: I absolutely adore the historical aspect of clothing. My ranges are full of influences from 19th-century French, English, even American vintage styles. So it's no surprise I have always enjoyed combing through flea markets in small towns and finding rare antique gems to steal some inspiration.

I'm also obsessed with detail, so when I find a Victorian gown or a 50s bridal slip that I like, then it's important for me to be able to emulate the exact stitching, embroidery or beading used at the time. In the West, unfortunately, most of our expert hand-stitching traditions have been lost -- the skills have not been passed on and the seamstress geniuses from the couture houses of Europe have not been replaced.

That is why I'm often traveling to India. It's one of the very best places in the world to find that expertise still thriving. From one village to the next you find whole families, generations, that have their own specialties of stitch work.

Honestly, I can give them any old historical piece that I've found and they will either take it away and recreate it almost perfectly, or they'll say "hmmm ... I don't know this stitching, but I know a place nearby that does." It's a fashion designer's dream!

So in one sense, I've been fusing my clothes with Indian influences for a while. However, I think this was the first time I've traveled to India with a conscious intention to create a fusion of styles: their own traditional dress with my more modern, western creations.

I just love the color and the vibrancy that is India. New Delhi is exciting and chaotic and noisy and dusty and smoky and hot. Everything is so full of intense color and I realized that, on a subconscious level at least, I've been influenced by Indian style ... In fact, when it comes to bold use of colors and the use of these rich, deep dyes, how can anyone deny the huge influence of India on fashion around the world?

Read related: Dancing to the music of love in Buenos Aires

Walking through the streets, you see color combinations that you'd never imagine would work. I recall a beautiful woman wearing a sari in bright, radiant pink mixed with a lime green print. I mean, lime and pink! It sounds garish, but on her, with the quality of the dye and the way the colors had been combined it looked absolutely stunning.

We made our way to a shop that I can only describe as a treasure trove of fabrics and other goodies. This was the place to find all the accessories, textiles, ribbons, bows, buttons, and beads that I could take back to my studio in Auckland to use as inspiration for the final creations.

There were ideas there, old and new, that I'd never thought about. Already I could envisage opportunities to use all sorts of different laces and braids, detailed examples of hand stitching, with some other antique dresses we'd picked up from a local supplier.

Much as I love them personally, I don't sell things like saris -- and I never would -- it's not a style that would appeal to the tastes of my particular customers. However, what I took back to New Zealand, was their techniques, their intense celebratory colors, their detailed embellishments, their expert use of beads and sequins.

I worked on the new line for many months, and these are the elements I hope I managed to incorporate into them. I think they've added an opulence, a romance. But I'll only know I have finished the creative process when someone comes in and says that, no matter what, they have to have it.

The garment takes them on a journey, and so my journey with the garment has finished.

@highlight

New Zealand fashion designer Trelise Cooper flew to New Delhi seeking new styles

@highlight

Cooper was drawn to the city's tradition of flamboyantly colored clothes

@highlight

She says that the journey helped her create a line of clothing fused with opulence and romance