London (CNN) -- Police in London were on Friday questioning a suspected rogue trader arrested after Swiss banking giant UBS discovered an estimated $2 billion worth of unauthorised deals.

The man -- named by British media as UBS trader Kweku Adoboli -- was held on suspicion of fraud in an early-morning operation in London's banking district hours before the loss was announced on Thursday, officers said.

CNN has not independently confirmed his identity, but was told when calling his desk at UBS that he was not available. The bank declined to comment on the arrest.

A $2 billion rogue trading loss would be all but unprecedented, market analyst Ralph Silva told CNN.

"We have only had three or four other situations... in the billions, and that is exactly what happened," he said.

The bank is large enough to take a $2 billion hit, experts said. Shares in UBS rose slightly in early trading in Europe Friday after falling around 10% the day before.

Brokers tell CNN the unauthorized trade in question at UBS was likely on an exchange traded fund (ETF) -- a structured instrument based on one or more underlying assets -- that is sold as a fund but trades like a stock.

The ETF in question was one which tracked the volatile silver futures market and was priced in Swiss francs, they say. Adoboli's job would have been to hedge, or reduce, the bank's risk on the silver and franc positions by buying and selling each.

It is thought that he may accidentally have left the Swiss franc vs U.S. dollar side of the equation uncovered and got stung when the Swiss national bank intervened to defend the franc in early September.

Credit rating agency Moody's has said it is looking at UBS for a possible downgrade.

Its review of UBS will focus on "ongoing weaknesses in the group's risk management and controls" as revealed by the reported loss, Moody's said in a statement.

Moody's downgraded two French banks earlier this week amid questions over their exposure to debt.

News of the alleged rogue trader comes amid pronounced economic anxiety in Europe. Markets there have been in turmoil in recent weeks as concern has mounted that Greece might default on its huge debt, sending shock waves through the 17-nation eurozone and further afield.

Rogue trader's impact on UBS

U.S. Treasury Secretary Timothy Geithner is attending a meeting of Europe's Economic and Financial Affairs Council in Wroclaw, Poland, on Friday, at which questions around Greek debt and financial stability in the eurozone are bound to be discussed.

Finance ministers for the European Union member states, central bank presidents and representatives of other major financial bodies are also present. The conference comes ahead of G20 and IMF meetings later this month.

On Thursday -- even as news was circulating of the incident at UBS -- came word that the Federal Reserve and four other powerful central banks announced they were throwing a lifeline to Europe's struggling banks.

The European Central Bank, along with the Fed, the Bank of England, the Bank of Japan and the Swiss National Bank, said three U.S. dollar auctions would be held to help out European banks that need the currency to fund loans and repay debt.

European banks have seen U.S. dollars flow out as U.S. financial institutions and money market accounts scale back exposure to European banks, amid fears over those institutions' exposure to debt held by Greece and other European nations.

U.S. Treasury Secretary Timothy Geithner is to attend a meeting of Europe's Economic and Financial Affairs Council in Wroclaw, Poland, on Friday, at which questions around Greek debt and financial stability in the eurozone are bound to be discussed.

Finance ministers for the European Union member states, central bank presidents and representatives of other major financial bodies will also be present. The conference comes ahead of G20 and IMF meetings later this month.

As to the epidosde at UBS, Silva, the analyst, outlined three possible ways a loss that big could take place: intentional fraud, "basic stupidity" in trading strategy, or what the banking industry calls "fat fingers," which means typing the wrong number by accident.

Perhaps the trader "put in an extra zero so instead of buying a million he or she bought ten million -- could be a problem," Silva said.

Lex van Dam, a former trader who is now a partner at Hampstead Capital in London, said chaos in the markets could have put more pressure on a trader desperate to hang onto his job.

"Trading has been incredibly difficult over the last year," said van Dam. "With the volatility in banking stocks, commodities and currencies, things can go wrong really, really easily. If you're worried about your job and you try to hide (a mistake or loss), you can see how these situations arise."

A bank's risk management division is supposed to examine a trader's activities, he said.

"He must have done something that he wasn't supposed to do, obviously," van Dam said.

UBS said no client positions were affected by the loss, which is still being investigated.

But the "unauthorized trading by a trader in its investment bank" could cause UBS to post a loss in the third quarter of this year, it said.

The loss would potentially be among the largest costs ever to a bank in unauthorized trading.

Rogue trader Jerome Kerviel cost his French bank, Societe Generale, almost $6 billion, and was sentenced to three years in prison last year.

Yasuo Hamanaka cost Sumitomo Corporation $2.6 billion in the global copper market, and was sent to prison for eight years over fraud and forgery in 1997.

Nick Leeson, the subject of the Ewan McGregor movie "Rogue Trader," lost about $1.3 billion for his bank, Barings, in 1995, forcing it to close.

UBS is not likely to collapse, but the scandal could prompt the bank to split its investment bank into a separate company, van Dam said.

There is a "much higher chance that this bank will now be broken up" into a wealth managament firm and an investment bank to reduce clients' exposure to investment banking losses, he said.

He favors that alternative, he said.

"The banks are too large," van Dam said. "The products are so complicated, and the management doesn't understand it."

UBS made a pre-tax profit of about $1.9 billion in the second quarter of this year, it announced in July, down from about $2.5 billion the quarter before that.

CNN's Nina dos Santos, Irene Chapple, Ben Rooney, Alex Mohacs, James Partington, Laura Perez Maestro, Kendra Petersen, Nick Thompson and Christine Theodorou contributed to this report.

@highlight

UK police question a suspected rogue trader at Swiss bank UBS for a second day

@highlight

Credit rating agency Moody's says it is reviewing UBS for a possible downgrade

@highlight

UBS itself reported the rogue trader to police, officers say

@highlight

British media name the arrested man as Kweku Adoboli