(CNN) -- Egypt's revolution has made life tougher still for Cairo's 80,000 taxi drivers, struggling to make a living on the city's chaotic, congested and potholed streets, says the author who has written a best-selling book about them.

Khaled AlKhamissi's novel "Taxi," first published in 2006, has been translated into 10 languages. It features 58 fictional monologues with taxi drivers recreated from his own experience. A new post-revolution English edition has just been published.

Despite the optimism that swept Egypt after president Hosni Mubarak was toppled in February, AlKhamissi said taxi drivers, and the rest of the country's poor, have in fact suffered more since then.

"My taxi drivers are among the 55% of the population living under the poverty line of $2 a day," said AlKhamissi. "Those 55% were not on the streets during the revolution and are without a real voice now.

"They are wise, they are watching, they are analyzing, but they are not acting."

He added: "Life has changed for them in the wrong direction. It's worse for them because we have no security and living on the streets without security is dangerous.

"There is less tourism and more chaos on the streets."

AlKhamissi said it was too early to tell if life was improving for the middle classes who took to the streets during the revolution.

"We are in the middle of a battle, and during the battle we can't see whether life is improving or not," he said.

AlKhamissi, whose second novel "Noah's Ark" -- also a bestseller -- was published in 2009, said he stopped writing his third novel at the start of the uprising on January 25 this year and has been unable to concentrate on writing since.

"It's impossible to write because my mind is taken with what is happening day after day, hour after hour," he said.

Since January, AlKhamissi has filled his time with a weekly newspaper column, lectures and speaking events. But the author wants to get back to writing fiction.

"Every night I want to write because it is my only job, my only happiness," he said. "I have to find a solution soon or I will die."

"Taxi" was credited with single-handedly reviving an interest in reading in Egypt, according to its publisher Bloomsbury Qatar Foundation, but AlKhamissi denies his book is responsible.

He said: "Some journalists have said that about my book, but it's nonsense to say that one book or 10 books can change reading habits.

"Reading has increased in the last six years, but it has taken many social factors. We have had a cultural revolution in the last six years in all matters: Theater, music, fiction and publishing.

"This cultural revolution is related to youth searching for a dream."

AlKhamissi said he dreams of an Egypt where taxi drivers could have the time and education to read his -- or any other -- book.

"They don't have time to read because they are struggling to survive," he said. "When we can increase the quality of education and decrease poverty, then they will be able to read. I'm not interested in whether they read my book, I just hope they will read anything."

Another novelist credited with changing reading habits in Egypt is Ahmed Khaled Towfik, a 49-year-old medical professor described by Bloomsbury Qatar Foundation as the Arab world's most prominent bestselling author of fantasy and horror. He has written more than 200 books, selling millions of copies.

He said he was among the first Egyptian authors to write for young people.

"Twenty years ago there was nothing for 16, 17, 18-year-olds to read," said Towfik. "We invented popular literature. I think I made the youth fond of reading.

"I think most of my readers were in Tahrir Square. I changed a part of their thinking, although you can't compare that to their economic disappointment or the scourge of the police system."

Towfik's book "Utopia," which has just been published in English, is a grim futuristic account of Egyptian society in the year 2023 with wealthy gated communities insulated from the poverty outside.

Towfik said that despite Egypt's revolution, he still fears the scenes in his book, first published in Arabic in 2009, could come true.

"The first uprising came from the middle class, but I think another bloodier one could come from the lower classes, like described in my book 'Utopia'.

"I still think there's a danger my book could come true."

He added: "After nine months, nothing has been accomplished except getting rid of Mubarak. We got rid of the head of the snake, but the body of the snake is still ruling everything."

@highlight

Life has got harder for taxi drivers since the revolution, says Khaled AlKhamissi

@highlight

Author has been unable to concentrate on writing since January

@highlight

My grim futuristic novel could come true, says author Ahmed Khaled Towfik