(CNN) -- North Korea has confirmed to Swedish diplomats that it is holding an American citizen, the U.S. State Department said Friday.

The State Department has declined to confirm the identity of the citizen, citing privacy issues. But the family of 85-year-old Merrill Newman of Palo Alto, California, has said he has been detained in North Korea since October 26.

Washington does not have diplomatic relations with Pyongyang, and it has been working through Sweden -- the U.S. protecting power in North Korea -- to obtain information about the American.

"We are working in close coordination with representatives of the Embassy of Sweden to resolve this issue, and they also have requested on a daily basis consular access," State Department spokeswoman Jennifer Psaki told reporters.

The revelation came the same day that Newman's wife, Lee, pleaded for his release.

"The family feels there has been some dreadful misunderstanding leading to his detention and asks that (North Korea) work to settle this issue quickly and to return this 85-year-old grandfather to his anxious, concerned family," she said in a statement.

Newman, a Korean War veteran and retired financial consultant, was last seen aboard a flight from Pyongyang to Beijing. Just minutes before the plane was to depart, he was removed from the flight by North Korean authorities, the family has said.

"He has been detained somewhere in North Korea since that time," Newman's wife said in the statement.

According to the family, Newman and a traveling companion, Bill Hamrdla, had been on a 10-day organized private tour of North Korea.

The family has said Newman suffers from a heart condition and only had enough medication for the trip.

"We have had no word on the state of his health, whether or not the medications sent to him through the Swedish Embassy in North Korea have been delivered or why he was detained," the statement said.

The day before Newman was to leave North Korea, he and his tour guide met with "one or two Korean authorities," his son said.

During that meeting, Newman's service record was discussed, Jeff Newman said.

"I understand my dad was a bit bothered," Newman told CNN. But neither he nor his traveling companion believed there was an issue.

The United States this week issued a warning to American citizens against all travel to North Korea, which has become a magnet for adventure travelers after Pyongyang lifted some of its travel restrictions.

Newman was a customer of Juche Travel Services of London, company spokesman David Thompson said in a written statement.

"The tour arrangements were handled by the Korea International Travel Company," Thompson said. "Mr. Newman had in place all necessary and valid travel documents to take his tour. We have no information concerning what has occurred to result in the current situation."

The 10-day private tour, which included the use of a tour guide, was the culmination of months of planning, Newman's wife said.

"The postcards sent to friends while on that trip describe good times, good weather and knowledgeable guides," she said in the statement.

The family's statement came a day after U.S. Secretary of State John Kerry called on North Korea to release Americans being held, calling the detentions "very, very disturbing choices by the North Koreans."

Newman is one of two American citizens being held in North Korea.

The other one, Kenneth Bae, was arrested in November 2012 and sentenced in May to 15 years of hard labor. The North Korean government has said he was found guilty of "hostile acts" and attempts to topple the government.

North Korea has not publicly said why it is holding Newman.

Is American man detained in North Korea a bargaining chip?

Among the possibilities is his military service. He served as an Army infantry officer during the Korean War, which saw North Korea fight South Korea, the United States and the United Nations between 1950 and 1953.

An armistice signed in 1953 ended the three-year war between North Korea and South Korea. The two sides technically remain at war.

It is also possible North Korean authorities mistook him for another Merrill Newman, a Korean War veteran awarded the Silver Star for valor in combat.

North Korean authorities are known to routinely run background checks on foreigners, travel agencies warn potential visitors.

The first the decorated combat veteran heard about Newman's detention was in a telephone call from the San Jose Mercury News, which first reported the news of the American's detention.

"I thought it was a coincidence. I didn't think much about it," Merrill Newman of Beaverton, Oregon, told CNN.

Of his service during the war, he only said: "I went there, did what I was told and went home, went to college and started a family. ...That's what you did in those days."

How you travel to North Korea

News of the apparent detention came as talks were under way between the United States and China, North Korea's closest ally, about reviving negotiations to dismantle Pyongyang's nuclear program.

The timing raises questions about whether North Korea plans to use Newman as a bargaining chip in the negotiations, a move the West has previously accused it of doing to try to gain concessions with negotiations.

Newman's detentions bring to at least seven the number of American citizens who have been detained by North Korea, including four who allegedly entered the country illegally, according to the State Department.

Two other U.S. citizens who entered the country on valid visas were arrested for other reasons, and U.S. officials have received reports of other Americans being arbitrarily detained, according to the State Department.

Previous Americans detained in North Korea have been released when high-profile visitors have traveled to the country to plead their case. Most notably, former Presidents Bill Clinton and Jimmy Carter went on two separate occasions in 2010.

Former New Mexico Gov. Bill Richardson, a former ambassador to the United Nations, has visited North Korea a number of times over the years, most recently this year to discuss the release of Bae.

Richardson's spokeswoman, Caitlin Kelleher, said he has been "in touch with his North Korean contacts" regarding Newman's detention.

The photos North Korea doesn't want you to see

CNN's Augie Martin, Christopher Laible, Sarah Baker and Elise Labott contributed to this report.

@highlight

Detained man's wife: "The family feels there has been dreadful misunderstanding"

@highlight

"The postcards sent to friends ... describe good times, good weather," she said

@highlight

State Department has declined to identify the American, citing privacy issues

@highlight

But family of Merrill Newman, 85, says he's been held by North Korea since October