(CNN) -- Memorial Day weekend has, over the years, turned in large part into something it was not originally intended to be:

Seventy-two hours of barbecues and ballgames, of swimming-pool openings, of high-decibel sales pitches by merchandisers hoping to cash in on the unofficial start of summer.

Which, to a degree, is understandable. The weather is turning warm, there's a holiday feel to the break from work, and the solemnity and grieving for those who gave their lives in the pursuit of peace seems to sometimes get pushed aside.

But it is that pursuit of peace, with all its contradictions and all its sacrifices, that remains the centerpiece of Memorial Day.

And this weekend it might be worth pausing, if only for a moment, to reflect upon a quotation that has variously been attributed to Winston Churchill and to George Orwell:

"We sleep soundly in our beds because rough men stand ready in the night to visit violence on those who would do us harm."

Through history, peace in the world has often, of necessity, been attained by the most brutal means available during military conflict. There is a dichotomy intrinsic to wars waged in pursuit of peace -- an uneasy divide between lightness and shadows. Tranquility born of bloodshed; happiness the end result of horror. We don't like to think too much about that, and no wonder. The truth behind it goes against our better nature.

What is the most beloved image celebrating the joyous end of World War II?

It's the Alfred Eisenstaedt photo of the sailor and the nurse embracing in Times Square. Even now, more than 60 years later, that photo makes people weep with glad emotion, makes them grin with across-the-generations exultation. That photo, it is often declared, says it all.

But there would be no photo of the sailor and the nurse were it not for scenes no one likes to see in photographs: the atomic bombing of Hiroshima and Nagasaki that brought the awful years of war to a close. It is perfectly explicable that we much prefer bathing ourselves in exuberant images of the first hours of peace, rather than the gruesome images of the last hours of war.

One person who was in fact present during those last hours of World War II was Paul Tibbets. During the many days and evenings I spent with him during the final years of his life, there were occasions when the conversation would turn to that photo of the sailor and the nurse. Sometimes, when we were traveling together and he would be attending a military reunion, someone would approach him with a copy of the photo.

Paul would never say anything. He'd look over at me and merely raise his eyebrows, almost imperceptibly. He wasn't the photographer, but Eisenstaedt would have had nothing to photograph were it not for him.

He was the man -- the military aviator -- assigned by the United States government to put together, in utter secrecy, the unit that would carry out the atomic raids on Japan. When the day came, he didn't delegate; he flew the B-29 named Enola Gay -- his mother's name -- to Hiroshima with one goal in mind: to make the war stop. To let the soldiers, sailors, aviators and Marines go home at last, to rejoin their families or start new families, to somehow, after all the suffering and all the heartbreak, find peace.

Of course the sailor and the nurse are the preferred visual representation of victory. What Paul Tibbets, navigator Dutch Van Kirk, bombardier Tom Ferebee and their crew were asked to do over the skies of Japan is something that is difficult for many people to think about; it's much more pleasant to smile at the sight of the kiss in New York.

Peace is the sun-dappled result, but getting there can be a path of darkness upon darkness. Which is why, on Memorial Day weekend, it is probably reasonable that some people reflexively turn away from thoughts of battlefields and death. The people who turn away are generally not the ones whose family members have in wartime trod that dark and lonely path.

On the occasions through the centuries when long wars have come to an end, many newspapers have chosen to go with the most glorious single-word, all-capital-letters headline of all:

PEACE!

Is there a word in the English language that is more welcome, more highly cherished? That is more likely to be greeted with exhilaration and prayerful relief by all who see it? Nearly every desire a person, or a nation, can have is embodied in that single syllable.

All the lightness and all the shadows, all the wars waged at terrible costs, all in pursuit of peace. To get to such a state of harmony has never been a peaceful journey.

Which is why the word is so beautiful, so yearned for:

Because it sounds so simple while remaining so rare.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Memorial Day a holiday for barbecues, fun; but better to reflect on peace

@highlight

He says day raises dichotomy: brutality, which we shun, to bring peace, which we embrace

@highlight

His friend dropped Hiroshima bomb from Enola Gay. His purpose to end war, bring peace

@highlight

Greene: We prefer to think of war's end in famous V-J day kiss photo