The December gang-rape and murder of a young woman in New Delhi has stirred consciences in India in a way I have never before experienced: It has forced Indians to confront a terrible truth that for our girls and women, violence and discrimination are facts of daily life, an epidemic that, researchers say, claims nearly 2 million lives in India each year.

But now the real work begins for each of us who took to the streets in protest. How do we channel the energy of those demonstrations into real solutions for our communities?

I got a taste of the challenge earlier this month, when officials from the Barabanki district in Uttar Pradesh, a state adjoining New Delhi, asked if I would lead a workshop promoting teen safety and gender sensitivity for the government schools.

I was disappointed to see they had invited only the heads of girls' schools. And so I accepted under one condition: that the principals of the district's boys' schools attend as well. Because if there's one thing I'm certain of it's that all the candlelight vigils, passion and protests will be in vain if we don't figure out how to make men and boys part of this growing movement to transform gender relations in my country.

For more than a decade I've worked for the poverty-fighting group CARE as a community educator on health and gender issues. I've seen how the deep inequalities between women and men trap millions of Indian families in cycle of poverty. But along the way, I've also met countless men who, given an opportunity, were willing to examine and improve their behavior towards the girls and women in their lives.

The fact is most people want what is best for their loved ones. Aggressive behavior toward women isn't innate. It's learned and can be unlearned. When prompted to reflect on their attitudes towards women's education, sharing domestic tasks, having girl children, and even violence, the boys and men I work with every day can and do change.

Opinion: Misogyny in India: We are all guilty

Often it starts with something simple, like the laundry.

I think of Ram, a man I worked with in the village of Pavaiya Viran. A husband and father with a macho job -- he drills underground pumps -- Ram attended sessions where he was given a chance to analyze gender roles in his life. He understood that men and boys are under pressure to express power and that when they feel weak or frustrated, their gut reaction is often to demonstrate power, even if that means violent or abusive behavior.

Ram eventually adopted a new outlook; that truly strong men don't show power, they show care. "Let the other men laugh at me for cooking and washing clothes," he told me. "Why should my wife alone do all things?"

Now I'm not saying men doing laundry is the solution. But each time he folds the linens, Ram shows his children he respects his wife and treats her as an equal, not someone subservient.

And so I kept thinking of Ram as I gathered with the group of 53 principals from boys and girls schools earlier this month. We addressed the importance of installing security cameras at school gates, assuring a woman driver or conductor is on every school bus, and having clean, working toilets at schools so girls and boys are not forced to go outside to relieve themselves. This was all necessary. But it felt like we were playing defense. Only when the educators were forced to hold a mirror up to their own lives did it feel like we were playing offense, too.

Opinion: End global rape culture

Many acknowledged that it's their duty as parents and community leaders to lead the next generation by example. One principal realized he'd never even considered doing household chores, not as a boy or, now, as a husband and a father. Another vowed to make gender equity a required part of parent-teacher conferences. By the end of the session, every man and woman in the room was thinking about changing not only others but also him or herself.

We have a long way to go, and not just in India. A World Health Organization global survey found that 59% of women in rural Ethiopia report being subjected to sexual violence from their intimate partner, 62% of women in Peru report physical violence at the hands of their partners and 30% of women in rural Bangladesh say their first sexual experience was forced.  The problem is not confined to the developing world either. Nearly one in five women in the United States has been raped or has experienced attempted rape.

Even so, I'm confident that the Indian people can demonstrate to the world that we're not powerless in the face of some global epidemic. We can change. That starts by treating this moment not as some global airing of our dirty laundry but rather a national awakening to the reality that all of us -- girls and boys, women and men -- must do our part in cleaning it.

@highlight

Suniti Neogy: Gang-rape, murder in New Delhi has forced many Indians to confront truth

@highlight

She says she was asked to lead workshop promoting gender sensitivity in an Indian district

@highlight

She said adult male teachers said they had not considered helping wives around house

@highlight

Neogy: For kids to learn respect for women, they must see it modeled by adults they respect