Long Beach, California (CNN) -- It was after the robotic hummingbird flew around the auditorium -- and after a speaker talked about the hypersonic plane that could fly from New York to the West Coast in 11 minutes -- that things got really edgy.

Vijay Kumar, an engineering professor at the University of Pennsylvania, showed the more than 1,300 attendees at last week's TED conference several videos in which fleets of tiny flying robots performed a series of intricate manuevers, working together on tasks without colliding or interfering with each others' flightworthiness.

It seemed that, at least for some in the audience, a bridge had been crossed into a new era of technology, one that could change the way we think about robots and their application to such fields as construction, shipping and responding to emergencies.

Kumar's devices (he calls them "Autonomous Agile Aerial Robots") cooperated on building simple structures and showed they were capable of entering a building for the first time and quickly constructing a map that would allow for assessment and response to a structural collapse or fire.

He held up one robot, designed by his students Daniel Mellinger and Alex Kushleyev, which weighs a little more than a tenth of a pound and is about 8 inches in diameter. The device has four rotors; when they spin at the same speed, the robot hovers. If you increase the speed, Kumar explained, the robot flies up. Spinning one rotor faster than the one opposite it causes the robot to tilt. It also can flip over multiple times without losing its ability to fly and can recover its stability when thrown into the air.

The robots are capable of learning trajectories and manueuvers that can enable them to literally fly through hoops -- and other confined spaces.

When the robots are formed into a flotilla, they calculate (a hundred times a second) and maintain a safe distance between them. He showed a video of 20 robots flying in a variety of formations -- and moving through obstacles -- inches from each other without interfering with the stability of their neighbors.

To cap his presentation, he showed a video, created by his students in three days, of nine flying robots playing the James Bond theme on musical instruments.

TED began in the 1980s with the intention of focusing on "Technology, entertainment and design," and its conferences typically are sold out, attracting an audience of high achievers willing to pay $7,500 to attend. TED, a nonprofit, makes many of the talks freely available on its site. (CNN has a partnership with TED in which it regularly publishes selected TED Talks).

TED aims to feature cutting-edge technology at its conferences, and this year's event, labeled "Full Spectrum," was no exception. Yet the uneasy balance between technology and the social issues it spawns seemed to be highlighted more than ever as speakers took the stage to give their talks (and be filmed by eight high-def cameras for eventual viewing on the web).

In the first session Tuesday, a sharp contrast was drawn between the unbounding optimism that a technological solution could be found for every one of the Earth's problems and a vision of a planet headed for doom due to mankind's inability to control its inventions and its consumption.

Paul Gilding, former head of Greenpeace, declared "the Earth is full, full of us, full of our stuff, full of our waste and full of our demands," and warned of harsh and potentially violent disruption ahead as the reckoning comes for a planet living beyond its means. The idea that the planet can sustain 9 billion people without making disruptive changes is wrong, he said.

Peter Diamandis, founder of the X Prize, countered with a catalogue of the ways technology has radically improved our lives -- it has lengthened the human lifespan, conquered many killer diseases, expanded economic opportunity and made possible a worldwide web of communication, already connecting 2 billion people, with 3 billion more on the way to logging in this decade.

"Technology is a resource-liberating force," he said, maintaining that a planet bathed in solar energy and covered with water won't lack the ingredients for a productive life.

For every tech evangelist, though, there was a cautionary note sounded by other speakers.

NASA scientist James Hansen, one of the leading voices warning of global climate change due to carbon emissions, presented an urgent case for taking action to deal with the effects of economic activity before ice caps melt and cities get inundated by dramatic rises in sea level.

But an MIT professor, Donald Sadoway, offered reason to hope that the use of non-carbon-emitting solar and wind power could become much more widespread through a new battery technology he and his students are developing to store power for use at times when the wind stops and the sun sets. Sadoway, whose work has attracted an investment from Bill Gates, said successful use of his "liquid metal battery" could reduce the need for new fossil-fuel burning power plants.

Regina Dugan, who demonstrated the robotic hummingbird and directs the Defense Advanced Research Projects Agency, talked of research on a prosthetic arm controlled by thoughts alone, of sturdy cars built with metals lighter than Styrofoam and of a robot that can run like a cheetah.

TED.com: Susan Cain on the power of introverts

And yet technology didn't seem to have a solution for the problems highlighted by Bryan Stevenson, director of the Equal Justice Initiative. He talked of the rise in the number of imprisoned Americans from 300,000 40 years ago to 2.3 million today, the large number of black Americans who have been permanently deprived of their ability to vote due to prosecution on low-level drug offenses and the question he said is posed by the death penalty -- not whether criminals deserve to die, but whether America as a society, deserves to kill.

Stevenson's talk drew a standing ovation -- and the following day, after TED curator Chris Anderson appealed for funds, Anderson said $1.12 million had been raised for Stevenson's nonprofit on the spot.

A longtime enthusiast for digital technology, MIT professor Sherry Turkle, spoke of being on the cover of Wired magazine when her book "Life on the Screen" was published in the 1990s. In her new and darker book, "Alone Together," she writes of everyday family and social relationships put at risk by the compulsion to interact constantly with mobile devices as a substitute for face-to-face interaction.

People text during board meetings, shop and text during class, and even text during funerals, she said. Technology gives us the illusion of being constantly in touch with people, yet we shirk the real demands of friendship. And Turkle pointed out that Japanese researchers are developing robots to provide care to the elderly and to children.

As if to emphasize her point, a day after her talk, Danish scientist Henrik Scharfe demo'ed Geminoid-DK, a shockingly realistic robot version of himself. While its movement and speech is limited, the robot's technology is likely to evolve quickly.

And so it seemed that it wasn't only in jest that Scharfe said, "Ten years from now, I'll be at home having a beer in Denmark and the robot will come to TED to give a talk."

Scharfe said after his talk that he recognized the dangers Turkle talked about, but he thought developing the robot was well worth doing.

"This can never be about replacing the human being," he said in his talk, "but about using technology to understand the full spectrum of being human."

@highlight

Vijay Kumar demonstrated fleets of flying robots that could revolutionize industries

@highlight

Kumar spoke at the TED2012 conference, "Full Spectrum," in California

@highlight

Talks highlighted the contrast between technological progress and social issues

@highlight

Technology has improved health, lifespan, productivity, yet it poses challenges, speakers said