(CNN) -- Brazilian public notary Claudia do Nascimento Domingues set off a firestorm by granting Brazil's first civil union to a trio, an act so unprecedented that there isn't a word for it in Portuguese.

Uniao poliafetiva is the label she created. "Polyfidelitous union" is her best guess in English.

The relationship involves three professionals in their 30s -- one man and two women -- who, she says, live together, love one another as equals and are like any other non-married cohabiting couple -- except they are three.

What Domingues did was legally register the trio as a "stable union," a civil union that extends all of the benefits of marriage, though there is debate about what rights the threesome will actually enjoy. In short, it recognizes the trio as a family entity for public legal purposes.

Domingues has not released the identities of the three.

But not all are embracing the unique alliance.

"This union is void of any legality," said Regina Beatriz Tavares da Silva, head of the family law committee of a lawyers' association in Sao Paulo.

Brazilian law defines marriage as a union between two people, so it is impossible for a civil union of three to be granted the rights of a marriage of two.

"It goes directly against the constitution," da Silva said. "Monogamy is defined as relations between two, not three or four or five."

The first-of-its-kind civil union has led to an outcry from religious groups, too. Those who fear the "slipperly slope" feel the ground moving underneath their feet.

"The institution of family cannot be defended with the approval of actions that seek to distort its definition," the religious, conservative Plinio Correa de Oliveira Institute said in a statement. "The purpose of this (union) is not to build families, but to destroy them."

The controversial civil union "is proof that there is a plurality of familiar relations, though not all deserve judicial or legal standing," Rolf Madaleno, director of the Brazilian Institute for Family Law, said in a statement. "The action carried out does not provide protections and does not confer rights."

In his opinion, the legal action in question does nothing more than reaffirm that the trio in question believes that they are a trio.

Domingues, 39, argues that they deserve some benefits. They live together in Rio de Janeiro, they share a bank account, and they want protection in case of separation or death, she said.

Brazil is known for its progressive social policies and openness, as reflected in the status conferred to the trio, though the country is stereotyped, too. While Brazil appears to be a permissive place, it is also a a country where more than 86% of the population identifies as Catholic or evangelical.

There was a similar outcry when "stable unions" between same-sex couples were allowed for the first time. The country's supreme court ruled that a gay couple in a civil union had the same rights as a married heterosexual couple, but there is debate about whether such rights can be extended to a trio.

But to Domingues, a public notary in the city of Tupa in Sao Paulo state, there is nothing preventing nontraditional relationships from being granted "stable union" status.

The trio considers themselves a family and is entitled to be seen as such in the public record, Domingues said.

"By registering them, I only confirmed that they recognize themselves as a family," she said. "I don't confer rights to them. That is up to a judge to decide."

The civil union was actually granted three months ago, but news of it only spread this week.

Da Silva called the civil union "deceitful," a runaround to grant status to a polygamous relationship.

Such relationships aren't new; they just haven't been recognized, Domingues said.

She says that she simply put her stamp of approval on a relationship that was surfing on a wave of cultural currents, but it was no coincidence that the request landed on her desk.

The trio from Rio, having been rejected by other public notaries, found their way rural Sao Paulo state and to Domingues because she is a student of polyfidelitous relationships -- ones involving more than two partners, but where there is fidelity between the members.

Formerly an IT manager, Domingues now is a doctoral student at the University of Sao Paulo, studying family law.

Her dissertation, she said, is about "how you can love more than one person at the same time." Her research looks at cultures, places, sociology, anthropology, religion and the history of family and intimate relationships in Brazil.

Through mutual friends, the trio found Domingues and traveled more than 600 miles from Rio, into the interior of Sao Paulo state, to Tupa.

Domingues doesn't hesitate to call herself married, though she and her husband are bound by a "stable union" and not a civil marriage. Her husband works with her as a deputy public notary.

"We have had all the reactions you can imagine," she said.

Other polyfidelitous groups have reached out to her seeking the same civil union status.

Domingues is studying the cases of a quintet (two men and three women) and another trio (one woman and two men).

@highlight

In Brazil, a notary has granted a civil union to unite a man and two women

@highlight

The public notary who approved the status says they have the right to be a family

@highlight

Others say it is a violation of the constitution and destroys families

@highlight

The notary is now studying unions for another trio and for a quintet