In 2012, photographer Matika Wilbur sold everything in her Seattle apartment and hit the road on a cross-country journey.

Her goal? To photograph individuals from each of the 562 federally recognized Native American tribes in the United States and memorialize their stories.

Since then, the number of federally recognized tribes has risen to 566, and Wilbur is still crisscrossing the country, immersing herself in the worlds of Native Americans from Brooklyn to the far reaches of Alaska for her ongoing photo series, Project 562.

"Stereotypes in the media reduce Indian country to the Plains Indian in a headdress," said scholar Adrienne Keene, a member of the Cherokee Nation of Oklahoma whom Wilbur photographed for the series. "(Project 562) gives people an opportunity to see the diversity in Indian country and reframe what they think of when they think of Native Americans."

A selection of photos from Project 562 is on display at the Tacoma Art Museum in Washington through October 5, with audio from Wilbur's conversations with her subjects.

Fans of the series say its timing could not be better. With mainstream America showing more support for efforts to end appropriation of Native American imagery in sports and fashion, they say Project 562 provides positive examples to fill the void.

"Having these counter-narratives and counter-representations to the stereotypes and negative portrayals we see in the media every day is really important for helping people understand contemporary Native Americans," said Keene.

The project is also building relationships in Indian country, cultivating bonds among Wilbur, the participants and also connecting them to elite institutions like the Tacoma Art Museum, Keene said.

"What she's doing is not just photographing. She's building relationships and bonds that are going to last far beyond the physical photographs."

Native American designers fight cultural caricatures

'The project is for the people'

Wilbur, whose first name means "the messenger," said the images allow Americans to see a diverse representation of a group they rarely see and hear from. They also highlight positive role models in Indian country for the next generation.

"The project is for the people, not just native people but everyone," Wilbur said. "I think that there are truths that remain untold and we can really learn a lot from one another. Hopefully it can inspire the next generation to seek that authenticity."

Questions around Native American identity are central to Project 562. Wilbur asks each person 15 questions about their family history, self-determination, sovereignty and the future. Then she asks her subjects how and where they would like to be photographed and takes their portrait. Some wear traditional regalia and pose in sites relevant to their tribe's history. Others stand on their porches in T-shirts and jeans, or on the roofs of buildings. Letting them decide is central to the project, Wilbur said.

Participating in Project 562 was an opportunity for Keene to reflect on what being a "contemporary Native American" meant to her.

Wilbur and Keene knew each other before Project 562 through their efforts in a larger movement in Indian country to change negative perceptions of Native Americans. Keene, a Harvard-educated post-doctoral researcher at Brown University focusing on Native access to higher education, deconstructs stereotypes of Native Americans on her blog, Native Appropriations. Like Keene, Wilbur left Indian country to pursue higher education and spent part of her career in fashion photography before turning her camera on indigenous communities in South America and the United States.

Taking Native American fashion 'Beyond Buckskin'

The two met in Keene's apartment in downtown Phoenix in January, when Keene was writing her dissertation as a predoctoral fellow at Arizona State University. Keene told Wilbur about how her Cherokee ancestors were forced from their ancestral lands in western North Carolina to Oklahoma. They lived in Oklahoma until they were displaced by the construction of a river.

It was not until Keene was working on her dissertation at Harvard that she visited her ancestral land in North Carolina for the first time.  She said it was a powerful experience she'll never forget.

"We talked about how to me, being a real Cherokee means I can go to those places and feel a connection with the land and know my ancestors stood there thousands of years ago," she said. "This is something that runs through me, and that connection makes me a real Cherokee person, being able to say that with full authority and full knowledge. I hadn't felt it until I was there."

Creating a legacy for Native youth

The concept of identity is fluid from person to person and generation to generation, Wilbur said. Some Native Americans lost their language and traditions through assimilation in American Indian boarding schools. Others are fighting for federal recognition of their tribes under the vast regulatory criteria of the U.S. Department of the Interior's Bureau of Indian Affairs. The project has  prompted her to ponder what being a Native American will mean for future generations.

Code talker Chester Nez and the tragic history of native language

"I've recently come to recognize that it really is about the actions, the way we choose to live our lives on a daily basis, is (what's) really going to control the outcome of what happens to our people," Wilbur explained.

She has high hopes for Project 562's legacy. This year, a second Kickstarter campaign surpassed her $54,000 goal, to raise more than $213,000. She's using the money to continue traveling and plan the next iteration of Project 562 as books, websites, maybe even educational materials.

"The life we live is for the people," Wilbur said. "That's what I was raised for, to find my gift and share it with the community."

@highlight

Matika Wilbur began touring the country in 2012 to photograph Native Americans

@highlight

Those images, Project 562, show the diversity of  Native American identity

@highlight

Project 562 is on display at the Tacoma Art Museum until October 2014

@highlight

Wilbur hopes to turn the images into books and websites that share native culture