(CNN) -- The gruesome images are clear. There's little doubt Syrians suffered a chemical attack last month.

But videos of the aftermath -- including 13 shown to Congress -- do nothing to show who was responsible.

President Barack Obama says he has "high confidence" that the regime is to blame -- the strongest position short of confirmation. But his administration has not released hard evidence.

Secretary of State John Kerry says declassifying any more information could endanger "sources and methods" of U.S. intelligence gathering.

Britain, France and NATO also blame Syrian President Bashar al-Assad for the horror in a Damascus suburb last month.

Still, as Obama engages in a full-court press to build U.S. support for strikes, some Americans hear echoes of a different basketball analogy: "slam dunk."

That's how then-CIA Director George Tenet described what turned out to be flawed intelligence that Iraq had weapons of mass destruction in the run-up to the war 10 years ago.

Kerry and Defense Secretary Chuck Hagel were senators at the time.

"We are especially sensitive, Chuck and I, to never again asking any member of Congress to take a vote on faulty intelligence. And that is why our intelligence community has scrubbed and re-scrubbed the evidence," Kerry told Congress.

Some lawmakers remain skeptical.

"The administration is asking us to go to war on the basis of a four-page document and a 12-page document and none of the underlying evidence," Rep. Alan Grayson, D-Florida, complained on CNN's New Day Saturday.

"They have evidence showing the regime has probably the responsibility for the attacks. They haven't linked it directly to Assad, in my estimation," Rep. Buck McKeon, R-California, told CNN's State of the Union Sunday.

Beyond a reasonable doubt or no? U.S. says both

White House Chief of Staff Denis McDonough said the intelligence passes a "common sense test."

"Now, do we have a picture or do we have irrefutable, beyond a reasonable doubt evidence? This is not a court of law. And intelligence does not work that way," he told CNN's State of the Union.

But Kerry said last week, "We can tell you beyond any reasonable doubt that our evidence proves the Assad regime prepared for this attack, issued instructions to prepare for this attack, warned its own forces to use gas masks."

Kerry says the amount of information that's been declassified is "unprecedented."

That information boils down to summaries of what the evidence is.

'Concrete' evidence: Described, not declassified

Physical, "concrete" evidence shows where the rockets came from, when they were fired, and that not one landed in regime-controlled territory, Kerry said.

"Satellite detections corroborate that attacks from a regime-controlled area struck neighborhoods where the chemical attacks reportedly occurred," a declassified White House report says. "... The lack of flight activity or missile launches also leads us to conclude that the regime used rockets in the attack."

The White House released a map, but no satellite images.

The report also cites "multiple streams of intelligence," without giving specifics.

'Intercepted communications'

"In the three days prior to the attack, we collected streams of human, signals and geospatial intelligence that reveal regime activities that we assess were associated with preparations for a chemical weapons attack," the U.S. report says.

"Syrian chemical weapons personnel were operating in the Damascus suburb of 'Adra... near an area that the regime uses to mix chemical weapons, including sarin. On August 21, a Syrian regime element prepared for a chemical weapons attack in the Damascus area, including through the utilization of gas masks."

"We have a body of information, including past Syrian practice, that leads us to conclude that regime officials were witting of and directed the attack," the report says. "... We intercepted communications involving a senior official intimately familiar with the offensive who confirmed that chemical weapons were used by the regime on August 21 and was concerned with the U.N. inspectors obtaining evidence."

Intelligence shows Syrian chemical weapons personnel were told to cease operations in the afternoon of August 21 and that the regime then "intensified the artillery barrage" in the area, the report says.

The material remains classified.

U.S.: Opposition doesn't have 'the capacity'

U.S., British, and French intelligence reports all agree that the opposition couldn't have pulled off such an attack.

"We are certain that none of the opposition has the weapons or capacity to effect a strike of this scale, particularly from the heart of regime territory," Kerry told lawmakers.

The White House report points to Syria's known stockpiles of chemical agents. And it says the United States assesses "with high confidence that the Syrian regime has used chemical weapons on a small scale against the opposition multiple times in the last year, including in the Damascus suburbs. This assessment is based on multiple streams of information including reporting of Syrian officials planning and executing chemical weapons attacks and laboratory analysis of physiological samples obtained from a number of individuals, which revealed exposure to sarin.

"We assess that the opposition has not used chemical weapons."

In May, a U.N. official said there were strong suspicions that Syrian rebel forces had used sarin gas. But the findings were not conclusive, the U.N. Independent International Commission of Inquiry for Syria said at the time, and the opposition Syrian Coalition condemned any use of chemical weapons. The U.S. State Department said at the time it had no evidence suggesting rebels had used chemical weapons.

Russia, a Syrian ally, says its investigation of a March attack in Aleppo, which apparently involved chemical weaopns, found that the charge used was homemade and similar to projectiles produced by the group Bashaar al-Nasr, part of the opposition Syrian Islamic Liberation Front. Sarin was discovered in samples from the scene, the foreign ministry said.

Assad's motive unclear

Some experts on the region question why al-Assad would have ordered the attack.

"Al Assad has no credible motivation to use these weapons at this stage, and in this phase of the conflict. He is not losing," writes Ed Husain of the Council on Foreign Relations in a CNN Opinion column. He pointed out that some suggest the al Qaeda-affiliated al-Nusra Front or other opposition elements may have carried out the attack to bait America into the conflict.

William Polk, who served U.S. administrations during the Cuban Missile Crisis and and 1967 Middle East War, writes in The Atlantic, "I do not see what Assad could have gained from this gas attack."

Analyst: 'No way in hell' U.S. can back up death toll

Questions about the purported death toll in last month's attack also raises questions about the solidity of the information the U.S. is using.

A preliminary assessment "determined that 1,429 people were killed in the chemical weapons attack, including at least 426 children," the U.S. report says.

"Secretary Kerry seems to have been sandbagged into using an absurdly over-precise number," says Anthony Cordesman, former director of intelligence assessment at the U.S. Defense Department.

Now with the Center for Strategic and International Studies, Cordesman writes on the CSIS website, "Put simply, there is no way in hell the U.S. intelligence community could credibly have made an estimate this exact."

The methodology used to come up with the toll remains classified.

Rebel leaders have said more than 1,300 people were killed. Britain's Joint Intelligence Organization says at least 350 people were killed. A French report says several sources estimated at least 355 deaths, while others estimate 1,500.

U.N. won't place blame

The United Nations is calling on world leaders not to take action until the results of the U.N. probe are in. But it's unclear how soon that may be.

And the U.N. team's mandate was only to determine whether chemical weapons were used -- not by whom.

And Obama says that cat's out of the bag.

"Frankly, nobody is really disputing that chemical weapons were used," he said.

So, short of a shocking finding that chemical weapons were not used, it's unclear how much of an effect the U.N. results will ultimately have.

Meanwhile, the Syrian regime continues to insist rebels were behind any chemical attack. But it offers no proof to back that up.

After word broke Sunday that al-Assad had done an interview with Charlie Rose of CBS and PBS denying any involvement in chemical weaopns attacks, Kerry was asked for a response.

"The evidence speaks for itself," he said.

@highlight

Americans have not seen the evidence the Obama administration describes

@highlight

Two U.S. officials differ on "reasonable doubt"

@highlight

Obama has "high confidence," the strongest position short of confirmation

@highlight

"No way in hell" the U.S. knows such a specific death toll, a former defense official says