(CNN) -- The deadly attack in Kabul on Shi'ite worshippers celebrating the feast of Ashura adds one more layer to the country's overlapping security crises. And they evoke violent sectarian rivalries in Iraq and Pakistan, where animosity between Sunni and Shia runs deep. Afghanistan has its own cultural rifts -- between ethnic Pashtun and Tajik, for example -- but it's rare to see such an explosion of religiously motivated violence.

Kate Clark, with the Afghan Analysts Network in Kabul, described the attack as "a real shock."

"Whatever else has happened in the past 30 years we haven't had this sort of sectarian attack aimed at killing lots of people," she told CNN by phone from the Afghan capital.

The first claim of responsibility for the bombing in the Afghan capital has come from a militant Sunni group in Pakistan with a history of sectarian attacks against Shia. A man identifying himself as a spokesman for Lashkar-e-Janghvi al Almi, a group with links to al Qaeda and the Pakistan Taliban, claimed responsibility for the attack in a call to Radio Mashaal, a Pashto-language station in Pakistan sponsored by the United States government. A similar call was reportedly made to the BBC's Urdu-language service.

The group is an offshoot of the powerful Lashkar-e-Janghvi (LeJ), which has a record of high-profile suicide bombings in Pakistan, including the attack on the Marriott Hotel in Islamabad in 2008. Al-Almi's most destructive attack to date was a double suicide bombing in northwest Pakistan last year. The bombers -- wearing burkas -- killed 42 people belonging to tribes that opposed the Pakistan Taliban, also known for its antipathy toward Shia.

If the claim by Al-Almi proves valid, it would not surprise some Afghan Shia, who were quick to point the finger at some form of Pakistani involvement in the attacks Tuesday.

LeJ has a long history of targeting the Hazara Shia community in Pakistan. The Hazara are numerous in both Pakistan and Afghanistan, and make up much of Afghanistan's Shia minority. They have endured decades of persecution in both countries, and Sunni militants have frequently painted then as collaborators with occupying powers.

This year, apparently in retaliation for the killing of Osama bin Laden, LeJ gunned down several Hazara in Quetta, capital of Balochistan province and also home to the Afghan Taliban's political leadership. In a subsequent open letter, the LeJ warned: "We will rid Pakistan of [this] unclean people. Pakistan means land of the pure, and the Shias have no right to be here."

In October, Sunni militants killed dozens more Hazara. In one instance, they stopped a bus of Shia pilgrims on their way to Iran from Pakistani Balochistan and shot dead 26 male passengers in front of their families.

Lashkar-e-Jhangvi has not been obviously active in Afghanistan since it maintained training camps there during Taliban rule in the 1990s. But other Sunni militants -- especially factions among the Pakistani Taliban -- have established a presence in some Afghan border provinces. And regional analysts perceive fluid links, contacts and cross-fertilization between the myriad groups operating in the Afghan-Pakistan border region.

The Taliban were quick to disown and condemn the attacks. Kate Clark says that while she is circumspect about the Taliban's denial, such an attack would be at odds with the Taliban leadership's claim to be a national movement -- and is not part of a pattern of such attacks by the group.

Clark also points out that Mullah Omar in his Eid message last month urged Taliban fighters to "protect the lives, wealth and honor of ordinary people." That being said, 80 percent of all civilian deaths in Afghanistan are attributed to the armed opposition; and orders from the Quetta Shura, as the leadership is known, are only patchily enforced by field commanders. The Taliban are not a monolith, as one Afghan observer puts it, and it is possible that at local level there may have been collaboration between a Taliban operative and LeJ.

The Taliban have not played the sectarian card since becoming an insurgency. But when in power in the 1990s they brutally persecuted Afghanistan's Hazara community. Human Rights Watch documented two massacres of Hazara in 2000 and 2001 by Taliban forces. And after capturing Mazar e Sharif in 1998, Taliban fighters killed hundreds of Hazara in retaliation for the mass execution of its own soldiers the previous year.

Since the overthrow of the Taliban, Afghanistan's Hazara have prospered -- in higher education, the government and the military and they have embraced new democratic processes. The annual Ashura celebration in Kabul has become more elaborate. That may have been temptation enough for the Hazaras' enemies.

If the bombings on Tuesday were an attempt to sow sectarian strife in Afghanistan, they most obviously imitate al Qaeda in Iraq, which when led by Abu Musab al Zarqawi tried to ignite a sectarian war between Sunnis and the country's Shi'ite majority in a series of attacks aimed at holy Shi'ite occasions and shrines.

Read the latest on the attacks and the cancellation of Karzai's trip

Kate Clark of the Afghan Analysts Network believes that in Afghanistan restraint will prevail. Hazara leaders have already called on their community to remain calm and not to take the bait offered by these attacks. On all sides, Clark says, there is a realization that sectarian conflict is a no-win situation in which tit-for-tat attacks would claim hundreds of lives.

@highlight

Shi'ite worshippers were attacked as they celebrated Ashura

@highlight

The attack harkens violent sectarian rivalries in Iraq, Pakistan

@highlight

This kind of sectarian aggression is rare in Afghanistan