(CNN) -- It's getting difficult, even for a defense attorney, to keep track of the allegations against Bill Cosby. Recently, the embattled comedian's attorneys filed a motion to dismiss a lawsuit accusing the actor-comedian of sexually assaulting plaintiff Judith Huth in 1974 at the Playboy Mansion when she was 15.

Huth claims she and a 16-year-old friend met Cosby at a Los Angeles-area film shoot. A week later Cosby allegedly plied them with drinks at a tennis club, after which the lawsuit states that Cosby took her to the Playboy Mansion. At the mansion, Cosby allegedly forced her to perform a sex act on him.

Cosby and his attorneys are not going quietly into the good night. They have filed a "demurrer", which challenges the legal sufficiency of the claims or the complaint itself. A demurrer essentially says the complaint is so defective as written, that it should be dismissed His attorneys have also gone on the offensive, asking the court to impose sanctions against the attorneys who filed this lawsuit.

In the court of public opinion, many have already concluded that there is something to these mounting accusations. On the other hand, perhaps the jury of public sentiment will be swayed by Camille Cosby's retort today that media coverage of her husband is comparable to the Rolling Stone UVA alleged gang rape article. Verdicts in the court of public opinion are mercurial and rarely restrained by the same strictures applied by the actual judiciary.

In real court, however, the rules are different. Huth's attorneys should have complied with these rules. If they knew it was impossible to comply with the rules, then the attorneys knew when they filed the complaint that it was fatally defective. Irrespective of the breakdown in communication between lawyer and client, this complaint should probably be dismissed.

Cosby breaks his silence

Huth filed her complaint long after the time permitted by the statute of limitations. Statutes of limitations are laws that set the maximum period during which one can wait before filing a lawsuit, and they vary depending on the state and type of case. By definition, they deny access to a substantive claim for a purely procedural reason.

While limitations periods are arbitrary, the public policy is not: defendants deserve protection of the law too. It makes sense that you should not have to be hauled into court tomorrow for a fender bender you got into with your 1977 AMC Gremlin...in 1977.

But there's a big difference between a minor traffic accident and sexual assault cases. Limitations periods are more controversial in sexual assault cases because complainants -- sometimes children -- will repress memories, or fear coming forward. Indeed, the abject terror or trauma caused by an assailant may be why the victim lets the limitations period run.

Accordingly, some jurisdictions have special rules extending the time to file in cases of childhood sexual abuse. Under California law, the only way that an alleged victim of childhood sexual abuse is able to bring an otherwise time-barred claim is to allege that the psychological injury was repressed and was only discovered within the last three years.

Since this constitutes a potentially limitless limitations period, the rule has two major safeguards built into it to avoid meritless claims and protect the rights of would-be defendants.

First, when asserting claims based on alleged "childhood sexual abuse," a plaintiff over the age of 26 has to file Certificates of Merit, documents executed by a licensed mental health practitioner attesting that the allegations have merit. Cosby's attorneys correctly point out that Huth failed to file the requisite certificates, which exposes the complaint itself to attack. The public policy behind this rule is sound: taking a plaintiff's word that they repressed a memory that caused them to miss the statute of limitations invites uncertainty and fraud.

Huth was 15 years old in 1974 when the alleged abuse took place, and at least 55 years old when she filed this lawsuit. However, Cosby's lawyers point out she attempted to sell this story to the tabloids more than nine years ago. Even if Huth is allowed to file these certificates, what medical professional will certify her lost memory until three years ago of an event ... that she tried to profit from by selling word of it some years before that?

Second, the rule provides some protection to would-be defendants and their privacy. After all, requiring some initial scientific proof of a repressed memory and injury is a good idea, but a medical provider cannot really provide any assurances about the identity of an assailant -- other than relying upon the patient's words.

That's why a plaintiff is prohibited under the rules from identifying the defendant by name until the court gives permission. Huth could have complied with this rule by naming Cosby as "John Doe," or some anonymous designation. She didn't. Her attorneys filed her Complaint naming Cosby.

You might think this is just a clerical gaffe that could be remedied, as many are, by filing an amended complaint (as she eventually did). Cosby's attorneys point out that this is no mere mistake that can be fixed. Plaintiff already identified Cosby in the complaint prior to obtaining court permission.

Even if Huth amended her complaint, Cosby's name is out there. As Jennifer Lawrence, Kate Upton, and many at Sony have learned, you can't un-ring the privacy bell -- once your name (or image) is out there, it's out there.

Childhood sexual abuse is a detestable crime, and the injuries last a lifetime. Recognizing this, modern jurisdictions have amended the normally inflexible statutes of limitations to allow victims their day in court, while seeking to protect would-be defendants from meritless claims. Huth's case illustrates that these rules are not merely procedural. Violating these protective rules threatens the public perception of other legitimate victims who want their day in court.

The court of public opinion will likely ignore these violations as technicalities, and continue to judge, and condemn Cosby. That's how that "court" operates -- unfettered by the nuisances of the rules of procedure or evidence. But, under the rules of the Superior Court of California, this complaint should be dismissed.

@highlight

Bill Cosby was target of an abuse claim going back 40 years

@highlight

Danny Cevallos: Complaint failed to meet requirements of California law

@highlight

Under the law, licensed professional has to certify that decades-old case is a repressed memory, he says

@highlight

Cevallos: Law requires that identity of the person accused must be shielded in such cases