(CNN) -- Syria's embattled government will get at least 10 fighter jets from Russia -- and they want more, Russian state media reports -- moves that come amid rocky diplomatic efforts to peacefully end the Middle East nation's bloody civil war.

A source involved in Russia's defense complex told the official Itar-Tass news agency Friday that Russia will sell Syrian President Bashar al-Assad's government MiG-29 fighter jets to fulfill a "contract ... concluded long ago."

A Syrian delegation in Moscow is pressing for even more jets, with MiG executive Sergei Korotkov telling Russia's state-run RIA Novosti's news that his company and these Syrian authorities are talking about the "details and time frame of a possible contact."

Such discussions come on the heels of the European Union's decision to end its Syrian arms embargo. That move was seen as opening the door for European nations to help rebel fighters militarily, though it may give Russia more wiggle room to back its longtime ally, Assad.

It's not clear how weapons, fighter jets and ammunition flowing into Syria will affect the fighting there, much less the heretofore unsuccessful attempts to forge a negotiated settlement.

About 80,000 people have been killed since the start of hostilities more than two years ago, U.N. General Assembly President Vuk Jeremic said earlier this month. Another 1.5 million or more people have fled the country.

In addition to the fighter jets, Russia reportedly sold six S-300 air defense systems to Syria under a 2010 contract.

Asked Thursday about these and other arms sales, al-Assad said it is "not our policy to talk publicly about military issues in terms of what we possess or what we receive."

Blast in Damascus neighborhood kills 8

"As far as Russia is concerned, the contracts have nothing to do with the crisis," he told Hezbollah's Al-Manar TV, according to a transcript from Syria's official SANA news service. "We have negotiated with them on different kinds of weapons for years, and Russia is committed to honoring these contracts."

Moscow, however, has said such deliveries would conform with international law and has denied supplying Syria with weapons that can be used against civilians.

U.S. Secretary of State John Kerry described any transfer of S-300s to the region as "not helpful."

"Whether it's an old contract or not, it has a profoundly negative impact on the balance of interests and the stability of the region, and it does put Israel at risk," he said.

Kerry added that halting the bloodshed peacefully should be everyone's first priority.

"The best chance to save Syria (and) for a future Syria that represents all Syrian people and moves beyond this massacre, devastation, killing, sectarian violence ... is through a peaceful resolution that comes about in an organized way," he said Friday at a joint news conference in Washington with German Foreign Minister Guido Westerwelle.

"In Geneva, we will test who is serious. Are the Russians serious pushing to that? I believe they are. (But) it is not helpful to have a lot of other ammunition, other supplies overtly going in."

Syrian arms embargo: Why more weapons to Syria is a mistake

Conference on crisis planned for Switzerland

He was referring to an international conference on the crisis slated for Switzerland. The plans are being worked out, but al-Assad predicted it will take place in June.

"We have announced a couple of days ago that we agree in principle to attend," he said.

But the Syrian leader made clear that his position may change, and Damascus' delegation may withdraw, if certain conditions are imposed.

"So the idea of the conference, of a meeting, in principle is a good one," he told Al-Manar TV. "We will have to wait and see."

The National Coalition, the main rebel umbrella group, has demanded al-Assad step aside in order for it to take part in the talks, which were originally scheduled for this month.

"It is difficult to continue when Syrians are constantly being hammered by the Assad regime with the help of outside forces," George Sabra, acting chairman of the National Coalition, said in a statement.

He cited the siege of Qusayr and attacks on Eastern Gouta, a suburb of Damascus, as well as what he said was an "invasion" by Iranian militia members in support of al-Assad.

Al-Assad said it's too early to discuss whether or not he'll run again for president in the 2014 election. He'd do so if "there is a need and public desire" for him to stay on, but won't "if I feel that the Syrian people do not want me to lead them."

The Syrian president his only condition is that anything agreed to address the crisis should not be binding until Syrians approve it through a popular referendum.

"Either side can propose anything, but nothing can be implemented without the approval of the Syrian people. And as long as we are the legitimate representatives of the people, we have nothing to fear," the Syrian leader said.

'Open-ended' Syrian conflict draws in region

Opposition group: 50 prisoners executed

All the deals and the talk have done little to change the situation on the ground in Syria.

The killing continued Friday, with the opposition Local Coordination Committees reporting 189 deaths, including six women, five children and 19 who died after being tortured.

There were 74 people killed in Aleppo province, including 50 prisoners who the group said were executed by government forces in Aleppo's Central Prison, the group said.

In addition, Syrian state-run television have reported that forces loyal to al-Assad killed three Westerners -- an American woman, a Briton and a person whose nationality was not revealed.

The news outlet said Thursday the three had been fighting alongside the rebels and were found with weapons. The report said they were ambushed in their car in the flashpoint province of Idlib in northwestern Syria, where government forces have been battling rebels for control.

TV video showed a bullet-riddled car and three bodies laid out on the ground. It also showed weapons, a computer, a hand-drawn map of a government military facility and a flag belonging to the al Qaeda-affiliated al-Nusra Front.

The United States is aware of the report of the reported killing of the American and is working through the Czech Republic mission in Syria to obtain more information, a State Department official, speaking on condition of anonymity, told CNN.

Citing privacy concerns, the official said, "We are unable to comment further."

Pictures circulating on the Internet show the body of Nicole Lynn Mansfield, 33, of Flint, Michigan, her father and daughter told CNN on Friday.

The UK Foreign Office confirmed that a British national was among the dead. "Their family has been informed and we are providing consular assistance," it said.

Kerry, the top U.S. diplomat, said that some 1,500 to 2,000 American fighters may be in Syria.

"It's hard to get a peg on the exact number," he said.

American's family: She went to Syria to help

@highlight

NEW: Russia will send 10 MiG-29 fighter jets, Russian state media reports

@highlight

NEW: A Syrian delegation in Moscow is pressing for more fighter jets

@highlight

NEW: 189 are reported dead nationwide, an opposition group says

@highlight

Syrian president says the balance of power favors his armed forces