(CNN) -- Miami is well known for its tropical weather, retiree community and Cuban-American population, but not so much as an international art hub. Luckily for downtown Miami, billionaire real-estate developer Jorge Pérez wants to change that.

The real estate developer and art lover donated $40 million, half made up from his private art collection, to the Pérez Art Museum Miami, known as PAMM, one of the few major institutions in the United States with a Hispanic name.

That's certainly one way to put Miami on the map.

Ancient village found in Miami

Downtown Miami is in the midst of a major revitalization: David Beckham is hoping to build a stadium there for his recently announced Miami soccer team. Within the art world, the international art and fashion extravaganza Art Basel, which has taken place in Miami Beach for more than a decade, is considered to be the country's leading art fair with 130 international museum and institutions attracting tens of thousands of people to the five-day event.

Jorge Pérez hopes his museum will help take Miami to the next level.

"Cultural institutions have played a critical role in the growth of Miami, with this museum as a leading example," Pérez said in an interview with CNN.

Before Pérez was known as the "Condo King of South Florida," he started as an urban planner, focusing on low-income housing developments.

Then, he co-founded a real estate development firm, The Related Group of Florida, working in high-end condo construction in the 1980s.

In 2005, TIME magazine named him one of the top 25 most influential Hispanics in the United States.

The 64-year-old billionaire also made Forbes list of 400 richest Americans several times, the only Latino immigrant to do so.

Born in Argentina to Cuban parents, Pérez grew up in Colombia before migrating to Miami as a teen. His lifelong passion for Latin American art stems from his upbringing.

In his early 20s, he started collecting paintings by Roberto Matta, Diego Rivera, Wifredo Lam, and Joaquin Torres-Garcia. Now, 110 works selected by the museum from Pérez's private collection are available for everyone to see inside the three-story, 200,000-square-foot museum, designed by the Pritzker Prize-winning Swiss architects Herzog & de Meuron.

Walk inside the $220 million building and you will be surrounded by tall glass windows that are said to be the largest hurricane impact resistant in the world. Hanging from every side of the museum are 70 self-watering hydroponic gardens, designed by French landscape artist Patrick Blanc.

The museum focuses on international art of the 20th and 21st centuries, and is currently showing Chinese artist-activist Ai Weiwei's "According to What?" collection.

PAMM is one of the main attractions in what was known as Bicentennial Park, now Museum Park -- which will also house the Patricia and Phillip Frost Museum of Science, set to open in 2015.

The Pérez Art Museum had a smooth opening last year except for one slight hiccup: naming it.

While the majority of board members voted in favor of naming the museum after Pérez, four resigned in protest. It seems they had their heart set on the "Miami Art Museum."

That's because $100 million of the $167 million raised was city and county taxpayer money and the city of Miami donated the waterfront land where PAMM sits. Some of the board members argued the name of the museum should represent the city's central art museum.

"I cannot speak for others. However, the great majority of the board was supportive. On a board of 47, 43 voted in favor of the renaming," Pérez said.

Pérez has been involved with the museum since well before the building project began and he said he is honored the board chose to recognize him in that way.

"I think most people want to be remembered with the causes they feel worthwhile and helped promote," Pérez said.

It seemed odd that PAMM received its share of strife for naming it after donor when just a few years ago the Miami Science Museum's name was changed to the Patricia and Phillip Frost Museum of Science after a generous donor who gave $35 million to construct the new museum in Museum Park.

"The name change has been extremely well received by the community. Patricia and Phillip Frost are very well-liked people and they symbolize what we're about," said Gillian Thomas, president and CEO of Patricia and Phillip Frost Museum of Science.

When it comes to naming rights, perhaps Miami takes its art more seriously than science.

"People have opinions about art, whereas science is a bit more concrete, so there wouldn't be backlash for naming a building after a donor," Thomas said.

But, she points out, naming Miami's art museum after Pérez carries "a sense of pride" for the Hispanic community, even though his art donation "doesn't represent a collection."

"Jorge Pérez is the first major donor from the Hispanic community," Thomas said.

Other American art museums have been named after donors, like The J. Paul Getty Museum in Los Angeles, and haven't stirred any controversy.

"While people may not agree on a name," Thomas said, "everyone can see that downtown Miami is quickly becoming a hub for science and art, which means donations are needed."

So far that doesn't seem to be a problem for the Pérez Art Museum; it has reached the 90% mark in its $220 million capital campaign.

@highlight

The new Pérez Art Museum Miami was named after billionaire donor Jorge Pérez

@highlight

It's part of a bigger revitalization of downtown Miami

@highlight

Pérez: Museum is "a leading example" of cultural institutions helping revitalize Miami

@highlight

The $220M art museum is part of downtown Miami's goal to become an international art hub