WASHINGTON (CNN)  -- Angelina Jolie was on a stage Thursday but wasn't performing. Instead, she paid tribute to the millions of uprooted people across the globe made homeless by war.

Angelina Jolie said that sheltering countries can learn from the way refugees survive their difficulties.

A U.N. goodwill ambassador, Jolie was in Washington to observe World Refugee Day, an annual event that falls on Saturday this year. The poignant ceremony was sponsored by the United Nations refugee agency.

Tears flowed as refugees and displaced people shared their harrowing experiences and advocates related what they'd seen in refugee camps.

"I believe we must persuade the world that refugees must not be simply viewed as a burden," she said. "They are the survivors. And they can bring those qualities to the service of their communities and the countries that shelter them."

Jolie spoke of her visits to refugee camps in Tanzania and Pakistan.

She met a boy about 15 years old in a Tanzanian refugee camp who, without a wheelchair, had to crawl since a shot in the back paralyzed him. His family was killed, leaving him as an orphan. Yet when he spoke with her, he did it with a smile.

"He had this really remarkable, unbreakable spirit," she told CNN's Anderson Cooper after the event at the National Geographic Museum.

"I think of him and I can't complain about anything ... he was grateful and he had nothing and suffered everything."

The boy died a few months after she met him, Jolie said.

According to a U.N. High Commissioner for Refugees survey of displacement trends in 2008, there are 42 million uprooted people -- 15.2 million were refugees, 26 million were internally displaced people and 827,000 were asylum seekers.

Afghans and Iraqis constituted almost half of all refugees worldwide. One out of four refugees was from Afghanistan, and 69 countries accepted Afghan refugees for asylum, agency officials found.

Jolie recounted her meeting with a pregnant Afghan refugee.

She lived in a small, roofless dirt house in an abandoned refugee camp in Pakistan and could not leave with the others because she was too far along in her pregnancy.

Pakistan struggles with the largest refugee population in the world, about 1.8 million, according to the United Nations. The country also has more than 2 million internally displaced citizens, largely because of the fighting between the Pakistani military and the Taliban since April.

Antonio Guterres, head of the U.N.'s refugee agency, elaborated on the plight of displaced people at the event.

He said internally displaced people "face the same plight [as refugees]. They have lost the same as refugees. They don't have the same international protections granted to refugees."

Conflicts like those in Pakistan, Sri Lanka and Somalia have caused more people to flee their homes, though the number of displaced people declined by about 700,000 in 2008, the report said.

Recent fighting in the eastern Democratic Republic of the Congo and in Somalia last year brought total displacement in each to 1.5 million and 1.3 million, respectively. More than 2 million internally displaced people were in Sudan's Darfur region, according to the report.

When a genocide targeting Tutsis in Rwanda in 1994 later spilled over into the Democratic Republic of the Congo, Rose Mapendo, a Tutsi, was caught in the middle. She spoke at the event and described her ordeal.

Mapendo, her husband and seven children were thrown into a death camp, where her husband was executed and her children starved, she said through tears.

While at the prison, she learned that she was pregnant. She gave birth in silence, on a concrete floor, Mapendo said. To her surprise, she had twins, and to her captors' surprise, she named her newborns after them. Soon after her gesture toward the prison commanders, her family was freed after their 16-month ordeal.

Mapendo, named a CNN Hero in October, created Mapendo International, a nonprofit dedicated to identifying, saving and resettling endangered refugees. She was named humanitarian of the year at the event by the U.N. agency.

"I want to encourage the refugees don't give up," she said. Giving up "is not an option."

CNN's Khadijah Rentas, Shalina Wadhwani and Paul Courson contributed to this report

@highlight

Actress, U.N. goodwill ambassador spoke of visits to Tanzania, Pakistan camps

@highlight

Chief of U.N. refugee agency elaborated on the plight of displaced people

@highlight

Conflicts in Pakistan, Sri Lanka, Somalia have caused people to flee their homes

@highlight

Tutsi described her ordeal amid slaughter in Democratic Republic of Congo