(CNN) -- Debbie Benzine lost her first husband to heart disease when he was 44. His death left her to raise a young child alone. For 16 years, she stayed single because, "going through it once was enough for me."

When she met Dale Benzine, he weighed around 300 pounds but was in pretty good physical shape. Yet over time, she watched as the former football player started taking pills for his high cholesterol and high blood pressure, more for anxiety and gout, and insulin shots for his Type 2 diabetes.

"His girth got bigger, as did his neck, which caused sleep apnea," she remembers. After the Atlanta couple got married, she found herself buying him bigger and bigger clothes.

When her insurance company announced that bariatric surgery, or weight-loss surgery, would be covered under the couple's plan, she told her husband about it. "I knew he had to do something, but I wasn't sure he was ready for something so drastic," she says.

He was.

The doctor had flat-out told Benzine: "Lose weight or die." He was tired of taking so many medications and not having enough energy to simply live life.

"One day ... you find out that you're 56 years old and if you want to see 66 you better do something about it," he says.

There are several types of bariatric surgery. With gastric bypass, a new stomach about the size of a golf ball is created by cutting across the top of the stomach and connecting the smaller pouch with the intestines.

Another type involves placing an adjustable band around the upper portion of the stomach. The device can be tightened or loosened at subsequent doctor's visits. It can help patients feel fuller faster and eat less. Unlike gastric bypass, adjustable gastric band procedures can be easily reversed.

Benzine decided to do the gastric bypass surgery. Although doctors aren't sure why, studies have shown gastric bypass puts Type 2 diabetes into remission in most obese patients. Dale also didn't want to have the option of reversing the surgery.

"In the back of your mind you can always take the band off," he says of the lap-band procedure. "I didn't want to be able to go back."

Getting approved for the surgery was more difficult than he expected. Many people who have bariatric surgery gain the weight back, so insurance companies are often wary of paying for the procedure. Benzine saw his primary care physician, a nutritionist, a cardiologist, a pulmonologist, a gastroenterologist and a psychiatrist -- all of whom had to sign off.

The psychiatrist told Benzine he rejected upward of half his patients because they weren't prepared to make the necessary life changes after the surgery. Benzine admitted that 10 years ago he wouldn't have been ready either.

"I'm from Wisconsin," he says. "I enjoyed my beer, brats and cheese too much." But kids and grandkids "changes things." He was ready.

He eventually got the go-ahead. The day of his surgery, his wife recalls she was an emotional wreck. "I tried to dissuade (him) from having it. What if they made a wrong cut? What if he didn't wake up? What if he had a heart attack on the table?"

The surgery was a success, but he was far from the ideal patient. Shortly after surgery he ate a popsicle too fast and starting throwing up. When he got home, he continued his trial-and-error period, getting sick as he learned his limits.

"Imagine after you eat your big Thanksgiving dinner -- times 10," he says of overeating with his smaller stomach. "And you can't do anything about it. You're just so miserable and it's either got to come up or go out."

He started out on a liquid diet, then pureed his food. Slowly he introduced solids.

"We didn't go to happy hour or dinner with friends because he was uncomfortable," Debbie Benzine says. "I started hiding out to eat because I felt guilty."

It was like being a baby and learning to eat all over again, Benzine says. He realized that meat -- steak, chicken, turkey -- was too tough for his stomach to handle. But popcorn went down easily. He developed 10 rules for himself, and other bariatric patients, and the weight began to fall off.

In six months, he had lost more than 125 pounds.

The hardest thing for him was filling time. He had to learn to reward himself with activities instead of food. He now smokes a cigar instead of eating a bag of chips, or plans a big weekend getaway to celebrate a work success. He orders an appetizer instead of an entree when he goes out to play cards with friends during the week.

His daily diet routinely consists of Greek yogurt, protein bars, soup, popcorn, cheese and crackers. He doesn't eat large meals, just smaller portions whenever he's hungry.

In some ways, his wife has had to alter her lifestyle to fit his. It hasn't been easy, the couple says, but it has been worth it.

"I'm 57 going on 37," Benzine says with a laugh. "No pun intended -- I'm like a kid in a candy store." He plans to attend his 40th high school reunion in June with pride: "I know I'll be one of the only people who can say they weigh less at that reunion than they did in high school."

More importantly, "I will have my husband and best friend around for a long time," his wife says.

Follow Dale's '10 Commandments' of bariatric surgery

1) Set your goals early, both in pounds to lose and the date by which you want to achieve this loss. Keep a daily log or scorecard of your weight loss.

2) Trial and error of foods and liquids will be necessary, but painful. Blueberries were terrible for me, but butter-free popcorn worked. Go figure. Hint: Keep your anti-nausea pills close by -- you will definitely need them in the beginning.

3) Find a high-protein breakfast and lunch that you can live with each day. (Mine was Greek yogurt for breakfast and smoothies with strawberry, banana and chocolate protein.) Also, stay true to your vitamin regimen, especially vitamin B12, vitamin D and calcium.

4) Concentrate on changing your daily eating habits from three large meals per day, plus snacks, to five to six small meals.

5) Stay hydrated! It's very important that you avoid getting dehydrated, so avoid intake of caffeine, carbonated sodas, beer and alcohol.

6) Move more while you are eating less. Start out walking 30 minutes, four to five days a week. Build up to walking farther and faster, and more often, while adding weight lifting two to three days per week. You will be amazed how fast the weight will start dropping once you get into this routine, plus your dog will love it even more than you!

7) Start rewarding your new body with activities instead of food. Reward yourself by going to see a favorite performer if you hit a weight loss goal. Join a card club, start reading again, or make a movie date with your significant other each week. Replacing your "going out to eat" time with activities will arguably be the best move you will make during this whole journey.

8) It's OK to leave food on your plate! Regardless of what your mother said growing up, children in Africa, India or China aren't going to be affected if you leave food on your plate when eating at home or away. People will ask why, but trust me, you won't be hurting their feelings if you just say you're full.

9) Order an appetizer as your main meal when eating out. You will be amazed how full you will be after eating the smaller servings and your pocketbook will also thank you.

10) And last, but definitely not least, welcome and embrace your support network, be it a wife, friend, business colleague, etc. You will have good days and a few bad ones and the unconditional love and support these people will show you will help you push through the bad and be there to help celebrate the good!

Have you lost weight? Share your story on iReport

@highlight

Dale Benzine loses more than 130 pounds after bariatric surgery

@highlight

Surgery puts his Type 2 diabetes into remission and lowers his BP, cholesterol

@highlight

"I'm 57 going on 37," Benzine says with a laugh