(CNN) -- There is nothing terribly surprising in Apple's refreshed line of tablets, but that's OK.

We spent some time testing and touching the new iPad Mini and iPad Air after Tuesday's press conference. As promised by Apple executives, the new devices were lighter, thinner and seemingly faster -- just like many incremental product upgrades from the past.

iPad Air

There were no major new features, such as the fingerprint scanner or camera upgrade that came with the iPhone 5S.

The most unexpected news of the day was a new name for the $499 fifth-generation iPad, which is now the iPad Air. The iPad line has been a bit wishy-washy with names.

It began by counting each version, but then dropped the number and asked only to be know as "iPad," like Cher. The iPad 2 kept its number and a spot in stores, where its slightly lower price tag (now $399) might appeal to someone considering a cheaper Android or Windows tablet.

Physically, the iPad Air is indeed lighter and thinner than its predecessor. It's 20% thinner than the third generation iPad, measuring in at a slight .29-inch. An ad shown at the press conference showed an iPad Air lying flat on a tablet, hiding discretely behind a No. 2 pencil. It has also dropped a bit of weight and the Wi-Fi version is now exactly 1 pound (the cellular version is 1.05 pounds).

Unfortunately, I didn't have an older iPad on hand to do a weight comparison, and I'd picked up an iPad Mini first. Nothing makes a regular iPad feel hefty like holding an iPad Mini. You can't unfeel a Mini; it's just so delightfully wee.

The iPad Air has a 64-bit A7 processor, the same chip recently introduced in the iPhone 5S. The A7 should benefit graphics heavy programs such as iMovie and iPhoto, and Phil Schiller claimed it would double the performance of the previous chip.

It is difficult to judge speed increases during a few minutes in a crowded room without proper tests and an equally empty previous generation device to use for comparison.

Fresh Apple products always feel zippier than previous generations. Part of that is the steadily improving processors inside, but its also the benefit of working on a new device that hasn't been gradually slowed down by pages of apps, hundreds of cat videos and the latest operating system upgrade.

iPad Mini with Retina Display

The iPad Mini got its first upgrade since it was first launched one year ago.

Physically, the device is a dead ringer for the original. Fire it up, and you'll see that it addresses one of the biggest complaints about the first version by upgrading the screen to a 2048-by-1536 display that packs in 326 pixels per inch, a big jump from the previous 163 pixels per inch. A number of Apple products already have the Retina Display: the iPhone 4S and up, the fourth generation iPod Touch, the 10-inch iPad and some MacBook Pros. (Apple says Retina Display is so good that the human eye can't spot out individual pixels on the device).

Like the iPad Air, the iPad Mini with Retina has the A7 chip inside. Previously the Mini was a generation behind its larger iPad sibling in processor speed. But this upgrade and the new display put the devices on the same level, so picking a smaller screen no longer means opting for the inferior product.

The smaller tablet size is a competitive market, and the iPad Mini with Retina Display is finally Apple's premium offering for the 7.9-inch size. The $399 tablet is now in a better position to take on products such as Google's Nexus 7, Samsung's Galaxy tablets and Amazon's Kindle HDX. Though other products can usually be had for much less, any hands-on time with Apple products remind you that one of their greatest selling points is solid, high-quality construction.

The missing upgrade

Shaving off excess bulk and swapping out faster processors is de rigueur for any product update these days. Other companies might throw in price drops, but Apple is comfortable in its spot at the high-end of the consumer market. It won't start slashing devices for its flagship devices. Instead, the company keeps older models available, though even those are priced somewhat high.

Unfortunately, there is one key feature where all the tablet makers seem to have stalled: battery life.

Faster processors gobble up more battery power, so maintaining 10 hours of battery life from an old tablet to a new tablet probably requires battery improvements. Both new iPads have the same M7 motion co-processor that handles sensors, such as the accelerometer and gyroscope, saving battery power by not using the main processor.

Other than an hour here or there, mobile devices makers seem stuck at the half-day mark, a frustrating limitation for people who have adapted by carting around chargers and scrambling to re-up anytime they spot an empty outlet at a cafe, airport or friend's house.

For now, Apple is comfortable enough with the competition to just iterate on its well-designed, popular products, making the usual round of improvements and throwing in the occasional flashy feature to grab attention, such as fingerprints on the iPhone 5S.

It may not be as much fun for tech fans who were used to splashy new products and well-kept secrets, but it's probably a solid business decision.

According to Forrester analyst Sarah Rotman Epps, replacement tablet sales are growing faster than new new tablet sales worldwide. Manufacturers need to compete to keep the customers they already have who are considering upgrading from an old model.

All the tablet makers are competing with what are essentially the same minor tweaks.

The competition will stay close until the first company breaks out of the usual faster, thinner, faster upgrade cycle and solves the battery problem.

@highlight

The new iPads from Apple don't hold a lot of surprises, but the regular improvements are solid

@highlight

The renamed iPad Air is thinner, faster and lighter than the previous generation

@highlight

With a new processor and better screen, iPad Mini catches up to the full-size iPad