Bogota, Colombia (CNN) -- It's the largest producer of cocaine in the world and a key supplier of heroin to the United States.

According to the CIA, Colombia produces 535 metric tons of cocaine a year, most of it for the U.S. market. The South American country has retained its status as key cocaine producer in spite of an ambitious anti-drug agreement launched a decade ago with the financial support of the United States.

The agreement is called "Plan Colombia."

Since 2000, the plan has cost the United States $7 billion, according to the Inter-American Dialogue, a Washington think tank that has closely monitored the implementation of Plan Colombia.

The money has been mostly used to help Colombia strengthen its police and military. Before the implementation of Plan Colombia, 50% of the Colombian territory didn't have a government security presence.

Marta Lucia Ramirez, a former Colombian minister of defense and one of the architects of Plan Colombia, says the agreement has helped her country to strengthen democracy and government institutions. It has also increased the Colombian government's ability to fight what she calls "narco-terrorism."

But Ramirez also says that the high drug demand in the U.S. makes it difficult to eradicate production at home.

"I really believe that the American strategy against drugs is not enough. It's probably a failure. It's [a policy] that they have to review," says Ramirez.

Colombia welcomes U.S. drug czar Gil Kerlikowske this week. Kerlikowske, in his role as director of the White House's Office of National Drug Control Policy, will do a progress evaluation of plan Colombia as part of his trip.

Ahead of his visit, Kerlikowske told the Colombian newspaper El Tiempo that he sees a commitment on the part of the government of President Juan Manuel Santos, who took office in August.

"We're going to talk about the continuation of the relationship between both countries, not only in terms of reduction but also in terms of prevention and demand," said Kerlikowske.

Security experts, including Colombian Aurelio Suarez, say Plan Colombia has improved security, but it has fallen short on its original goal of reducing drug production in the region. In what is known as the balloon effect, increased army attacks against drug traffickers in Colombia has moved coca and poppy crops elsewhere.

"And the quantity of the drug production from the Andean countries like Bolivia, Peru and Colombia is the same as 10 years ago," says Suarez.

Salud Hernandez, a journalist who has traveled extensively in areas where coca is grown, has witnessed the balloon effect. She says drug traffickers just move to other countries, but also relocate within Colombia.

"There are still drug dealers [in Colombia]. There's still a lot of drug trafficking, and there are still a lot of crops in many regions of the country," says Hernandez.

What's even more troublesome, the Washington-based Inter-American Dialogue says that roughly 90% of cocaine sold in the United States still comes from Colombia.

Michael Shifter, the organization's president, says that "Plan Colombia's many critics rightly point to the policy's failure to meet the fundamental purpose for which the program was developed: To reduce the availability of drugs, particularly cocaine in U.S. communities," says Shifter.

In Colombia there's a new push to refocus government efforts on improving socioeconomic conditions for the population as a means of making organized crime and guerrillas associated with drug traffickers less appealing to peasants who live in marginalized areas. Colombia's problems go well beyond drug trafficking and security.

About 50% of Colombians live in poverty, and 60% have no regular employment. Now that security has improved, many Colombians such as security analyst Suarez say it's time for the Colombian government to address issues such as social inequality and long-term development as a way to slow down the seemingly never-ending production of illicit drugs in Colombia.

@highlight

Since 2000, U.S. has funded anti-drug initiative "Plan Colombia" at cost of $7 billion

@highlight

One of the architects of plan points out democracy has been strengthened in Colombia

@highlight

Critics point out that 90% of cocaine sold in U.S. comes from Colombia

@highlight

U.S. drug czar Gil Kerlikowske will visit this week to check on progress of anti-drug effort