(CNN) -- As we mark the 25th observance of World AIDS Day on December 1, we have a golden opportunity to begin to end the HIV/AIDS pandemic.

To start with, this has been an extraordinary year for HIV/AIDS research, with headline-grabbing breakthroughs that stand as undeniable evidence of progress toward a cure.

The first documented case of a child cured of HIV, reported in March, was followed in July by a report of two adult HIV patients no longer showing any signs of virus after undergoing stem-cell transplants and stopping antiretroviral treatment.

Much work lies ahead before these and other scientific advances can be parlayed into a broadly applicable cure that can be made available to the 35 million people living with HIV/AIDS worldwide.

But it is an irony bordering on tragedy that just as a cure for HIV/AIDS is beginning to seem like a realistic proposition, the belt-tightening measures of the age of austerity could halt our momentum, cripple our progress and dash our hopes for ending AIDS in our lifetime.

As a result of U.S. budget sequestration, the National Institutes of Health -- the engine of progress on AIDS research for 30 years -- will lose $229 million in AIDS research funding in the coming year.

This caps a dismal decade for AIDS and other biomedical research support: From 2003 to 2012, the NIH lost 22 of its purchasing power as a result of stagnant levels of funding.

This hammer blow to AIDS research funding will be accompanied by cuts to a range of other HIV/AIDS programs -- cuts that will have negligible effect on the federal deficit but will have real consequences for people living with HIV/AIDS in the United States and around the world.

Alicia Keys: Get loud about fighting HIV

Based on the latest available data, amfAR, The Foundation for AIDS Research, has estimated that reduced funding for the President's Emergency Plan for AIDS Relief (PEPFAR) alone could result in 228,000 fewer people receiving treatment for HIV. This could lead to as many as 52,000 AIDS-related deaths and could leave more than 100,000 children orphaned.

The Institute of Medicine has said that PEPFAR has been "globally transformative" and has "had major positive effects on the health and well-being of individual beneficiaries, on institutions and systems in partner countries, and the overall global response to AIDS."

Interactive: World AIDS Day and what it means

Why, then, are we shortchanging a program that enjoys broad bipartisan and popular support, has done more than any other foreign policy initiative in recent years to burnish America's image abroad, and has already altered -- though not irreversibly -- the trajectory of the HIV/AIDS pandemic?

Nor will people living with HIV here in the United States be spared. amfAR also estimates that the sequester could cause about 15,000 Americans who need help paying for their medications to lose support from the AIDS Drug Assistance Program.

And more than 4,000 households could lose housing assistance as a result of cuts in the federally funded Housing Opportunities for People with AIDS program. All of these cuts will fall disproportionately on people of color.

Just a few years ago, the notion of a cure for HIV was considered by many to be heretical. It was creating false hope. It wasn't technically feasible. It couldn't be done. That all changed with the first reports, in 2008, of Timothy Brown, the "Berlin patient."

While on treatment for HIV, Brown was diagnosed with leukemia. To treat the leukemia, he received a stem-cell transplant -- with a twist. His savvy German doctor deliberately sought, and found, a stem-cell donor from among a very small group of people born with a genetic mutation that renders them highly resistant to HIV infection. After the transplant, Brown was able to stop HIV treatment without experiencing a return of the disease.

Zero new HIV infections among children can be a reality

Similarly, the idea of an "AIDS-free generation" today is tossed around with abandon. It wasn't always thus. But over 30 years, we have developed a raft of tools that enable us to effectively prevent and treat HIV infection. What's more, research has shown us conclusively that treatment is prevention. Putting people on antiretroviral drugs makes them less infectious and less likely to transmit the virus to others.

Combine a broader deployment of these tools with an expansion of programs such as PEPFAR and a sustained investment in research, and you have a trifecta: a winning combination that could achieve the conquest of the AIDS pandemic in the foreseeable future.

Backpedal on AIDS, and you'll pretty much guarantee that we'll be dealing with it for generations to come.

Bill Gates: Where to put the smart money to end AIDS

The opinions expressed are solely those of Kevin Robert Frost and Sharon Stone.

@highlight

It's been a year of breakthroughs in HIV/AIDS research

@highlight

But sequestration and cutbacks will affect those living with the disease

@highlight

Backpedaling on AIDS may mean we continue grappling with it for generations