During the height of the 2009 financial crisis, when there was a real and present danger of banks seizing up due to a lack of liquidity, the then-British Prime Minister Gordon Brown altered the geopolitical architecture.

Brown moved with a sense of urgency to formalize the Group of 20 nations.

The strategy was sound. He wanted to bring countries representing 80% of GDP under one umbrella, bridge the gap between the developed and the developing world and, most importantly, tap the $4 trillion of surplus funds that still exist within the BRICS economies.

In the context of a financial crisis, the strategy worked. Four years later, however, geopolitics is trumping economics. The G20 has become an unwieldy group of countries with different priorities, and without political backing from Washington.

According to Brown, who I interviewed earlier this year, America "should actually be more alert to the possibilities of international cooperation in both trade and agreements for growth."

Read more: Threat of military action sends ripples through global oil

A global trade agreement, the much-talked about pivot to Asia, and even serious concerns around capital flight out of emerging markets and their currencies will be overshadowed at this G20. Syria will be top of the agenda when the leaders convene in Russia's western outpost of St. Petersburg.

Focus is on the tensions between host Vladimir Putin and his U.S. counterpart Barack Obama. Their verbal jousting could further divide the G20, strategists suggest. The BRICS are, as a rule, not in favor of the military intervention being trumpeted by Washington and Paris.

"Business has taken a back seat and it should move to the front seat," Mustafa Abdel-Wadood, chairman of the executive committee at the private equity group Abraaj told me. "Politics tops the agenda."

Read more: Egypt slides into economic despair

The business agenda is headed by the near-panic reaction to a planned tapering of bond purchases by the U.S. Federal Reserve. Since Federal Reserve Chairman Ben Bernanke uttered word of that change in strategy back in May, money has been flooding out of emerging markets.

Ahead of this week's summit senior Chinese finance officials went out of their way to suggest, during a news conference in Beijing, the Federal Reserve should be more cautious with its approach.

China's Vice Finance Minister Zhu Guangyao welcomed signs of the U.S. recovery but said Washington "must consider the spill-over effect of its monetary policy, especially the opportunity and rhythm of its exit from the ultra-loose monetary policy."

The end of easy money or loose monetary policy in the U.S. is exposing the cracks in the emerging markets, which rode a decade-long, powerful wave of commodity-driven growth.

Read more: Snowden's cat and mouse game leaves media in transit

Without that export demand for grains, gold, palm oil, rubber, minerals and even manufactured goods, economies such as Brazil, India, South Africa, Turkey and Indonesia have seen their current account deficits balloon and their currencies plummet.

The India rupee is down more than 20% this year, most of that loss in the past quarter alone, as the country posted the worst growth in four years. Brazil and Indonesia have seen their currencies tumble 10%, requiring central banks to use currency reserves and in some cases interest rate hikes to stop the bleeding.

The tendency is for investors to make comparisons to the 1998/1999 Asian financial crisis, when those economies had wide current account deficits and a mountain of foreign currency government debt.

Read more: Style and substance of two leaders

"Most of Asia learned a lesson," Marios Maratheftis, global head of macro research at Standard Chartered Bank told me. The bulk of emerging market debt is now issued in local currencies.

Maratheftis said the "sudden stop" of capital flows to the emerging markets will create problems for those with widening current account deficits, but that this should not develop into a crisis provided there is a greater coordination of policies.

He is not holding out great hope for the discussions in St. Petersburg. "They talk global when they meet," he said of the G20. "But act local when they go home."

@highlight

The G20 is being held in St Petersburg, but focus will be on tensions between  Vladimir Putin and Barack Obama

@highlight

Discussions are meant to be around economics, but will be overshadowed by Syria

@highlight

Emerging markets have been suffering as demand for commodities drop, and currencies have collapsed

@highlight

John Defterios writes the G20 has become an unwieldy group of countries with different priorities