Evangelical leaders are taking a step back from their decades-long fight against gay marriage, softening their tone and recalibrating their goals.

In recent interviews with about a half-dozen prominent evangelicals, no one listed opposition to gay marriage as their top priority. The leaders said they're more focused on protecting religious liberties as same-sex marriage becomes legal in a growing number of states.

"Is it time to differentiate between religious ceremony and civil ceremony?" Jim Daly, the president of Focus on the Family, said in an interview with CNN. "Civil ceremony to the Christian community is no different than getting your car registered."

The shifting attitude comes as the Supreme Court could take up gay marriage as early as next year. Meanwhile, Republicans, who will take full control of Congress in January, are largely ignoring the issue -- just like most of the leading potential GOP contenders for the 2016 presidential nomination.

"There is a recognition that while the fight should not be given up on upholding the several thousand-year-old definition of marriage, the courts are probably very quickly going to undo that," said Erick Erickson, a conservative pundit and editor of RedState.com. "Behind the scenes, a lot of evangelical leaders inside and outside of politics are laying the groundwork for religious liberty and conscience protections."

Implications for GOP

The new stance could have big implications for Republicans heading into the 2016 presidential election. Evangelicals are an influential bloc of the party and if the community eases its opposition to same-sex marriage, that could make it easier for candidates to do the same. The party is under pressure to expand its appeal to young people and minorities and an openness to gay marriage could help that effort.

Hambycast: Rand Paul's campus challenge

Of course, there's still plenty of opposition to same-sex marriage among Republicans. And the issue is a big fundraising motivator for the party and its allies.

Vincent Harris, a 26-year-old digital strategist who's worked for evangelical favorites like Ted Cruz and Mike Huckabee said social issues including gay marriage "remain very potent to the Republican electorate."

'Joke notion'

Brian Brown, president of the National Organization for Marriage, dismissed talk of an evangelical shift as a "joke notion."

"People are still charged up about this," Brown said. "There's not been enough standing up for marriage especially in the wake of what is essentially a constitutional crisis."

Daly, whose daily Focus on the Family radio broadcast reach more than 2.9 million listeners weekly, is nowhere close to endorsing same-sex unions and insists that the legalization of gay marriage in the U.S. isn't a "fait accompli." But his vision for the evangelical movement is focused on reaching out to, rather than attacking or rejecting, other segments of society—what he calls taking a "gracious attitude."

He frequently mentioned his "friends in the gay rights community."

One of those friends is Ted Trimpa, a prominent gay activist and Democratic strategist. The two struck up an unlikely friendship after Daly reached out to Trimpa's office about two years ago to team up and fight child trafficking in their home state of Colorado.

They see their bond as an example of where the dialogue is heading, through Trimpa said "people faint when they see us together."

'Common ground'

"With Jim, it's a new day," Trimpa said. "The reality of it is gays aren't going away and evangelicals aren't going away so we're figuring out common ground."

Russell Moore, the president of the Southern Baptist Convention's Ethics and Religious Liberty Commission, is also advocating for a more open approach and has called for Christians to "love your gay and lesbian neighbors."

"If we don't recognize (the culture shift), we're clueless as to what is happening," Moore said in an interview.

How Supreme Court's non-decision helps gay marriage

Matthew Vines, meanwhile, is an openly gay evangelical who recently published a book attempting to debunk Biblical interpretations that define homosexuality as a sin. He went to a conference sponsored by Moore's group in October and was surprised that even his staunchest critics constructively interacted with him. He said he would have been "completely ignored" at the convention five years ago.

"There's definitely a coming divide between evangelicals, but it's not public yet," Vines said. "Over the next year in particular, people will start to show their true colors."

Generational divide

About 43% of white evangelical millennials support same-sex marriage, according to a 2014 Public Religion Research Institute poll, while 7 in 10 white evangelicals overall oppose same-sex marriage. The generational split is even more pronounced among the GOP: nearly two-thirds of Republicans under 30 favor same sex marriage compared to 39% of all Republicans, according to the Pew Research Center survey.

GOP leaders are eyeing those polls closely and in the last two years, four Republican senators have announced their support for same-sex marriage. This year, the GOP fielded two openly gay Republican candidates for Congress -- though neither won.

Some, like Republican strategist and LGBT activist Margaret Hoover, say the party is changing too slowly and needs to put its opposition to gay marriage to rest.

"I think the fact that the majority of Republicans don't support same sex marriage or LGBT freedom is detrimental to reaching out and connecting to a new generation of voters," said Hoover, who is also a CNN political commentator.

Hoover runs the American Unity PAC, which spent more than $4 million in the 2014 cycle to support pro-gay marriage and LGBT rights Republican candidates, according to the group's pre-election Federal Elections Commission filing.

The GOP could see at least one pro-gay marriage presidential candidate in the 2016 elections if Sen. Rob Portman -- who has a gay son and endorsed same-sex marriage in 2013 --  decides to seek the party's nomination.

"When Mitt Romney was the nominee of the party, could you have imagined that there could be a Republican nominee the next time around who is in favor of same-sex marriage? Even I couldn't have imagined that," Hoover said.

Same-sex marriage: Fast facts

What's next in the fight over same-sex marriage?

@highlight

Evangelical leaders aren't listing opposition to gay marriage as their top priority

@highlight

They're instead more focused on protecting religious liberties

@highlight

GOP is largely ignoring the issue