(CNN) -- In less than a week, Turkey will hold its first direct presidential election, yet the mood about the country can hardly be described as electric.

This is strange given the usual excitement around elections in Turkey, the historic importance of this poll, and the exceptionally high level of socio-political tensions in recent years.

Besides the summer heat and the Muslim fasting month of Ramadan, the relative lull might be explained by the widespread anticipation that Prime Minister Recep Tayyip Erdogan, candidate of the ruling AKP, will emerge triumphant from the ballot box, in either the first or the second round.

Erdogan understands power and pursues it like no other politician in Turkey's modern history.

He has a tightening grip over all key state institutions, save perhaps the Constitutional Court. He also has a deeply emotional relationship with his followers, who rally around their leader more passionately as he faces stiffer opposition to his increasingly personal rule.

This is how he has survived massive anti-government protests, a damaging feud with former Islamist allies and a high profile corruption scandal, an appallingly mismanaged industrial disaster and successive foreign policy debacles -- latest being the abduction of 49 Turkish diplomats and consulate workers in Mosul by ISIS militants, whose rise some critics attribute in part to the AKP government's open border policy for jihadis fighting in Syria -- all in the space of a year.

This might also explain the somber mood around many of his opponents, who seem to believe that having come so close to realizing his long standing ambition of becoming Turkey's first popularly elected president, Erdogan will not let the opportunity slip.

But the lull should not overshadow the critical importance of the election.

To be sure, an Erdogan victory would amount to no less than regime change for Turkey.

It would mark the most crucial step yet in its decade-long transformation from an imperfect parliamentary democracy under military tutelage towards a "plebiscitarian democracy" -- characterized by a powerful executive, a weak or compliant legislative, and a charismatic leader-follower relationship that is periodically reaffirmed in general elections and referenda.

One would be mistaken to think of the presidency, under Turkey's existing parliamentary system, as a ceremonial post that would deprive its occupant of the executive powers of a prime minister. Turkey has had ambitious presidents, such as Turgut Ozal (1989 -- 1993) and Ahmet Necdet Sezer (2000 -- 2007), whose influence was checked by hostile lawmakers or meddlesome generals. A President Erdogan wouldn't face these obstacles: his party controls the parliament and the military has been tamed through EU-backed reforms and two highly politicized court cases.

The current constitution, drawn up by the military junta in 1982, gives the head of state significant authorities, which Erdogan would push to the limit by invoking the "national will" he claims to embody; a claim that would be further reinforced and personalized in the event of his election.

Where would this scenario leave those who feel increasingly alienated, stifled and marginalized in Erdogan's new Turkey? Another electoral loss would be sure to further dispirit those who hoped to see some change to the political status quo after the Gezi protests of last summer.

But in defeat, there might be a valuable and necessary lesson. The two main opposition parties -- the secular republican CHP and the nationalist MHP -- have formed an informal coalition for the sole purpose of posing a numerical challenge to the AKP's relative majority, with anti-Erdoganism being their chief unifying cause.

Party leaders have handpicked candidates and determined election strategies with minimum public consultation. Only a handful of people were involved in the selection of Ekmeleddin Ihsanoglu, the former secretary-general of the Organization for Islamic Cooperation, as the two parties' joint candidate for presidency.

Predictably, this uninspiring, ultra-pragmatic, top-down tactic came short in the local elections (even when one takes into account the allegations of voting fraud, the AKP remains the clear overall winner) and risks failing in the presidential one. More importantly, this style of politics is inimical to the grassroots, democratic and pluralistic vision that the "Gezi spirit" has aspired to capture.

Whatever the outcome of the presidential election, those who wish to see this vision transformed into reality would be better served by focusing on the long term process rather than short term gains, and on building organizational capacity at the level of local politics instead of obsessing over the control of state institutions in Ankara.

Success in local politics paves the way for success in national politics, as Turkey's political Islamists have shown time and again over the past two decades. But a true democratic transformation also requires devolution of political authority.

Since its foundation as a republic 91 years ago, Turkey's excessively centralized political architecture has allowed those who attain control of the state to force their will on the entire population.

The machinery that repressed ethnic minorities and pious Muslims in the past is now alienating non-practicing Muslims, Alevis, LGBTI members and other social and political minority groups who do not fit in with Erdogan's vision of an overtly religious neo-liberal Turkey.

Only a well-organized movement that takes its strength from local politics and stands for pluralism, decentralization and democratic rights and liberties of all citizens can break this vicious cycle of suppression and alienation.

Read more: Soma disaster threatens Turkey's fragile social contract
Read more: Opinion: Striving for 'sameness' Turkey stifles progress

@highlight

Karabekir Akkoyunlu says Turkey has excessively centralized political architecture

@highlight

That has allowed those who attain control of the state to force their will on the entire population, he writes

@highlight

He says Erdogan understands power and pursues it like no other politician in Turkey's modern history