(CNN) -- The U.S. Supreme Court ruled in favor of marriage equality this week. Marriage is an institution intended for two people who love one another, who want to commit to lifetime bonding as mates, and to form a family, whether it's only the two of them, or also includes children.

The traditional concept of marriage has evolved over time. In recent history, it has been defined by most religions, and the states, as one man and a woman. Yet there are millions of humans whose makeup is such that they are attracted to the same gender and share the universal human desire to bond with a lifetime mate. They're gays.

In 2013, the vast majority of Americans have moved beyond prejudice toward gays and lesbians. Gay couples and their families have lived openly in our communities for more than 30 years, and we know them now as neighbors, family members and friends. In the course of living their daily lives, raising families and contributing to society, we've come to see that gay and lesbian Americans share the same hopes and dreams as everyone else.

Yet for decades, we've had a political debate about opposite-gender vs. same-gender marriages that has created a constant undercurrent of unrest. What many public figures have known to be true about gay people in their personal lives has been -- until recently -- unacceptable to acknowledge openly in the political realm. Over the last several years, however, public opinion has pushed our political conversation forward dramatically. Four out of five young voters, of all faiths and political parties, support marriage equality, and even those who continue to oppose marriage rights for same-sex couples can see that it is inevitable.

The problem is that even while public opinion has reached an all-time high on marriage equality, old laws discriminating against gay and lesbian Americans have stayed on the books, hurting gay couples and their families. Congress passed a law -- the Defense of Marriage Act or DOMA -- that forbade the federal government from recognizing same-sex marriage, although this is a matter, constitutionally, that most agree belongs to the states to decide. And that is the wrong that the Supreme Court set right this week.

The court found DOMA to be unconstitutional -- and it also allowed marriage rights for same-sex couples to return to California.

Writing for the majority, Justice Anthony Kennedy ruled that restricting marriage to opposite-gender couples "forces same-sex couples to live as married for the purpose of state law but unmarried for the purpose of federal law, thus diminishing the stability and predictability of basic personal relations the state has found it proper to acknowledge and protect."

Kennedy also said the law unfairly treated the 220,000 children of same-sex couples in American differently from the children of opposite-sex parents -- which we should all be able to agree is harsh, unnecessary and unjust. Ensuring that all children can grow up with the same federal benefits and protections afforded by their parents' marriage and legal status is crucial, and Kennedy rightly saw the impact of not only making marriages equal for federal purposes -- but making their families equal.

Marriage is an institution that provides stability for society and for the family. By striking down DOMA and dismissing the appeal on California's Proposition 8, the Supreme Court has forged a bipartisan consensus that marriage is an important enough institution that it should apply to humans equally, regardless of gender. Importantly, the court also strengthened the foundation upon which advocates and officials will one day achieve marriage equality nationwide.

That wasn't so hard now, was it?

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Vast majority of young Americans support same-sex marriage

@highlight

Brazile: Public figures who support gays have been hesitant to make beliefs public

@highlight

Brazile: Justice Kennedy rules federal ban unfairly treats children of same-sex couples

@highlight

Court ruling shows marriage important enough to apply to all equally, she says