(CNN) -- Recently, investors celebrated the birthday of the current bull market, which turned five years old. On this anniversary, it's worth reflecting on how valuations, particularly of technology companies, are being calculated.

On Thursday, the Wall Street Journal reported that Airbnb, a travel rental company, which has not released information about its revenue or profitability, may be approaching a valuation of $10 billion. Other startups in the IPO pipeline include a number of unprofitable companies like Box and Square, with rumored valuations in the billions.

Have billion-dollar or multibillion-dollar valuations become the norm? Is it all about hype and greed nowadays? Whatever happened to the wisdom of investors like Warren Buffet who evaluated companies based on their profits and fundamental performances?

The value of any company is a function of the cash flow it will generate in the future. A healthy cash flow allows a company to repay its shareholders and initial investors who, understandably, expect their investment to be eventually reimbursed.

Ordinary investors who rely on the hype surrounding a company rather than the company's fundamentals may make decisions that they regret later on. Just ask anyone who invested in the Pets.com IPO about the danger of falling for overvalued companies.

Granted, everyone in the tech industry -- from startup founders to venture capitalists -- is eager to find and bet on the next big thing. Still, the money being thrown around is mind-boggling.

Even a decent business model and the potential for growth do not justify a multibillion-dollar valuation. Yet, Facebook recently offered an astounding $19 billion to buy WhatsApp, a popular messaging service. Though WhatsApp has reportedly been able to turn a small profit, this overblown acquisition price is higher than the market cap of 275 companies in the S&P 500.

Some market watchers have argued, as Michael Wolf did on CNN.com, that the WhatsApp acquisition is indicative of a fundamental shift, and that traditional "old world" methods of determining valuation have been replaced by "new world" metrics.

For example, Wolf cited Facebook's acquisition of WhatsApp at $42 per user, which is in line with price-per-user acquisitions of companies like YouTube, Tumblr and Instagram. This is one way of looking at things, but it's severely flawed.

The value of a customer is in the revenue the customer provides, not in his or her mere existence.

If we look at the price-per-user metric without evaluating revenue per customer, the analysis becomes eerily similar to the late 1990s, during the dotcom boom when, for example, number of "eyeballs" was a metric used to evaluate technology companies.

Counting "eyeballs" or "user base" or "potential" only works in a bull market when market momentum can make poor decisions seem wise. Perhaps we remember the NASDAQ's high of 5048.62, during the height of the tech boom, and not when it fell to 1114.11 in 2002 when the tech bubble burst.

But bull markets do not last forever, and it's important to make sure we're evaluating companies based on their long-term value, regardless of market cycle.

Of course, not all overvalued companies are "bad" companies. Twitter, for example, has a sizable user base, solid revenue growth and an undeniably disruptive and innovative technology. It's safe to say that Twitter has a lot of potential. However, the company's valuation is simply not justified by its fundamental performance. Twitter's stock is trading at nearly 45 times its 2013 revenue, and its profit multiple (a company's market value expressed in terms of its earnings) is nonexistent, given that it has yet to establish a profitable business model.

Sure, there are some companies, like Amazon, that don't meet traditional metrics of financial strength that end up performing incredibly well in the stock market. But they are the exception, not the rule.

Consider the example of Vonage, one of the hottest IPOs of 2006. Despite losing 97 cents of every dollar in sales, the company had a $2.6 billion valuation. The company's fundamentals did not match its valuation. The results speak for themselves, with Vonage shares currently trading at $4.53, down from their $17.00 IPO price.

We are forced to accede to the most logical and rational valuation methods; otherwise, there is no structure to making investment decisions. For every Amazon, there are several Vonages.

Despite what some market watchers say, the "old world" method of valuing companies is still the best way of valuing companies.

I suppose it's true that Christopher Columbus made a great discovery by sailing the wrong way around the earth trying to find India. Here is a case where somebody happened upon great success based on incorrect data and methods. However, investors placing their bets on tech companies without basic fundamentals are more likely to resemble Ponce de Leon: map-less and looking hopelessly for the Fountain of Youth.

The opinions expressed in this commentary are solely those of Brian Hamilton.

@highlight

Brian Hamilton: Have billion-dollar valuations of companies become the norm?

@highlight

Hamilton: Even a decent business model does not justify such high numbers

@highlight

WhatsApp's acquisition price is above market cap of 275 companies in S&P 500

@highlight

Hamilton: Investors should value companies based on fundamentals, like profitability