(CNN) -- Cameron Russell aims to open up the media landscape to divergent voices a little bit at a time. In March, she helped launch Interrupt magazine, initially a webzine, so these other perspectives can join in the media conversation. Its first issue is devoted to body image.

Russell is familiar with how women are portrayed in the media. She has been a model for brands such as Victoria's Secret, Calvin Klein, Ralph Lauren and Benetton and has appeared in the pages of Vogue, Harper's Bazaar and W.

She is also known for her TEDx talk, "Looks Aren't Everything," about those who win the genetic lottery and how society rewards the conventionally beautiful.

To celebrate Interrupt magazine's launch, she's inviting the public to an art lab called "You Are a Genius" on New York's Lower East Side through Monday. It's at 215 Bowery St.

CNN spoke recently with Russell about her new project.

CNN: How did the idea come about?

Cameron Russell: I had been thinking about an online participatory magazine for a while. After the amazing response to my TEDx talk, my Brooklyn-based art lab decided it was time to make this a reality. At the Big Bad Lab, we build participatory art and media platforms for causes, communities and organizations we care about. I run the magazine with Hannah Assebe and Allison Bland as well as hundreds of collaborators who provide writing, photos, editing help and moral support.

CNN: Why Interrupt?

Russell: Statistics show that diversity in the media is pretty dismal. Critical voices from women and people of color are missing from many important conversations. Ever watch a panel about immigration without any immigrants? Abortion without any women? Marriage rights without any LGBTQ people? We knew it's crazy to start another media platform, but we came across many authentic voices online and offline that we felt we can bring together and showcase. Sometimes you just need to interrupt!

CNN: What are highlights in the first issue?

Russell: It's all about body image. We found out that about 50% of 8-year-old girls don't like their bodies. But it's not just girls. Many women said they couldn't remember a time when they liked their bodies -- they couldn't remember what that felt like.

We collaborated with Interrupt photographer Marie C. who interviewed girls under the age of 8 asking what they liked about their bodies. Their answers illuminated a perspective that was missing from mass-media conversations. These girls liked their bodies because they functioned well! Instead of the usual negative views -- I'm too fat or I don't like my nose -- these girls appreciated the fact that they can draw with their hands and run fast with their legs. It's refreshing. Their story was a huge success and got over 5,000 shares.

Then there's Teagan Widmer, a transgender woman who wrote about trying to find the right bra. Her story is not exactly something the mainstream press would cover. But when we posted her advice to our Tumblr site it became one of the most popular stories.

The lesson here is that when we value a narrow range of experiences and perspectives, we don't just have a media that lack diversity, we actually underestimate our audiences. There aren't just a few types of experiences that matter -- there are countless.

CNN: With so many publications going digital only, what made you decide to put out a magazine?

Russell: Our first print issue is a mock tabloid. Starting this week, it is appearing for free in nail salons, newsstands, dentist offices and other not-so-hidden places around NYC. Improving access to media means not just focusing on early adopters. We are spending our resources on building a community of collaborators who can share unique and critical views.

CNN: What's been the most interesting experience in launching Interrupt?

Russell: Actually, I think working on the offline Genius Lab. We wanted to build a space where people felt comfortable and genius in their identity. We have two selfie walls because taking a selfie is an innate and obvious way that draws in a lot of young people. We have a "You Are a Genius' bar, where people can explore online resources for social services, civic engagement, health and well-being, and creative production.

Having a physical offline space where children, teenagers and random passers-by can come in and get involved is amazing. Check them out on our Tumblr feed. Many of these people spent over an hour here, took pictures, wrote pieces for the next issue and hung out. Sometimes, great collaboration is hard to nurture online so doing so offline is the way to go. We hope to run another one this fall. Stay tuned.

CNN: How do you get the word out?

Russell: The first several hundred submissions came from people who found out about the project online, mostly through Twitter. Now that we're deeper into the project, we've cultivated many more collaborations. For example, (check out) a cool piece we did with teens at South End Technology Center in Boston. We've found artists like Ernest English, who made a piece that is drawing the most attention in the Genius Lab.

CNN: What's the biggest difference between your webzine and say Buzzfeed?

Russell: There are a ton of new media startups heavily focused on getting huge traffic and high growth, but that's not our central goal. We want to build something that disrupts the way we think media can be made.

Can Interrupt make an impact?

Russell: Every time someone who isn't a "media maker" creates something that goes viral, every time someone whose perspective is left out of mainstream media proves to make an impact, every time a contributor collaborates with someone new to make better work, we improve the media landscape a little bit.

CNN: What did you want to be when you grow up?

Russell: I always wanted to become president! When I was a kid, I was obsessed with politics. The first long book I remember reading was (Richard) Neustadt's "Presidential Power" in fourth grade. But as I learned more about our democracy, I realized that who participates, who votes and who gets elected is not as simple as it seems. That got me interested in how to bring people together and ignite alternative networks of power, and that's why I started the Big Bad Lab.

CNN: Who are your heroes?

Russell: I'm inspired by the people I work with. At the Genius Lab, we have three incredible artists. Ernest English makes enormous participatory public art pieces. Adalky Capellan is a young woman who creates very large-scale work. When I saw her photos, I knew she was perfect to do our dream selfie wall background. And then there's the graffiti artist and muralist known as miss163. She is a joy to work with, and her piece is all about love, which is great for us since one of our upcoming issues is about LGBT.

CNN: If you can give one piece of advice to young women, what would it be?

Russell: When boys at school told me I couldn't play their game, my mom told me to ask: "Why, do you need a penis to play?"

@highlight

Cameron Russell, a model known for her TEDx talk about beauty, helps launch magazine

@highlight

Initially a webzine, Interrupt magazine invites diverse voices to join the media

@highlight

Russell invites public to visit art lab called "You Are a Genius" to explore more

@highlight

Russell: Critical voices from women, people of color missing from important conversations