(CNN) -- It was rush hour on a Tuesday, and Dorothy Otto was sitting in traffic in her Pontiac Bonneville on the lower level of the Cypress Freeway, in Oakland, California, when the voice on the radio said, "We're having an earthquake."

Suddenly, the concrete around her began to ripple.

There was a giant crash, and a large, heavy beam dropped on the front of her car, crushing the engine, barely missing her face. The car dropped 20 feet, and when it settled, Otto's left foot was trapped.

The double-decker freeway had collapsed, pinning motorists in their cars.

Otto found a pen and decided to write a note to her husband, just in case.

"Jack, earthquake hit while I was under concrete, worst happened," she wrote. "It collapsed on car. I'm alive, just my left foot is stuck under the car. Hope they don't kill me getting me out. Love you lots, good luck to us both."

Firefighter Lorenzo Frediani was running out of time as he struggled to free Otto's foot and get her to safety. Each aftershock lowered the upper deck, bringing it closer to crushing Otto and Frediani. Then, Frediani was able to nudge the crushed dashboard just enough. Otto was free.

Her section of the Cypress collapsed 20 minutes later.

That was October 17, 1989. The magnitude 6.9 earthquake, now called Loma Prieta, killed 63 people, 42 of them on the Cypress freeway. The quake caused $10 billion in damage, ultimately inspiring California and the rest of the region to re-examine their safety measures for earthquakes.

Nearby Oregon sits on a huge fault line that separates two of the Earth's tectonic plates. One plate lies beneath the Pacific Ocean, off Oregon's coast, and it is being shoved beneath the North American continent, according to Ian Madin, a geologist and chief scientist at Oregon Department of Geology and Mineral Industries.

Are earthquakes on the rise?

The fault line, known as the Cascadia Subduction Zone, could one day cause an even larger quake.

"As the two plates collide," Madin says, "the fault gets stuck, eventually slipping when enough stress builds up to produce a great earthquake."

With ultra-accurate GPS, Madin says scientists know that the collision is still going on because they can measure the movement. Oregon actually moves about 1Â½ inches every year, typical for a region near a subduction zone.

These megaquakes can cause strong shaking over large areas for several minutes. They can also lead to landslides, tsunamis and widespread liquefaction, turning soil to soup.

After the deadly 9.0-magnitude quake and tsunami that struck Japan in March 2011, Oregon legislators commissioned a study on the impact a comparable quake could have on the state. Madin was one of the authors of the Oregon Resilience Plan, which is aimed at reducing risk and improving recovery for the next Cascadia earthquake and tsunami.

Oregon is not prepared for a megaquake, and few areas are, Madin says. He says Japan is the most prepared, "and look at the results of their megaquake." The 2011 earthquake and tsunami resulted in more than 15,000 deaths.

Before 1974, there were no specific building requirements in Oregon to make sure structures were built to withstand major quakes, and design codes have only been adequate for the megaquake since 1993, so many structures are not designed to resist such a large earthquake, Madin says.

Earthquake fast facts

"On top of that, we have a lot of mountainous terrain that is highly susceptible to landslides, large areas that are susceptible to liquefaction, and 300 miles of coast that will be inundated by tsunamis that will arrive within 15 to 20 minutes of the earthquake and may locally reach elevations of 100 feet above sea level," he says.

It is these factors that led the Oregon Resilience Plan to conclude that in a worst-case scenario, 10,000 people could be killed, and large areas of Oregon could be without transportation, electricity, water and sewer for several months to several years. The damage could result in $30 billion in economic losses. Madin says $30 billion is almost certainly an underestimate, and death estimates could also be off.

Based on the study of geologic features that record prehistoric earthquakes, scientists generally agree that there have been 42 megaquakes along the Cascadia fault in the last 10,000 years, with the most recent in January 1700.

Using historic data, scientists like Dr. Chris Goldfinger, a marine geologist and professor at Oregon State University, can forecast the probability of another great quake.

The Cascadia Subduction Zone is actually made up of different clusters, according to Goldfinger. On the south end of the fault, the data shows that an earthquake with a magnitude between the high sevens and low eights occurs every 250 years.

"We're 300 years into a 240 year cycle," says Goldfinger.

On the other hand, the north end, with the great population centers, sees a big event closer to every 500 years.

But before Oregonians panic, consider Goldfinger's assessment of the statistics. For the south end of the Cascadia, there is roughly a 35-40% probability of having a major quake in the next 50 years. On the north end, there is only a 10-15% probability.

Even if there is still plenty of time before the next big quake, much work has to be done to make sure Oregon is ready.

"The most important thing is to strengthen or replace infrastructure to make sure that our lifeline systems like power and water will not be so severely damaged that they require years to repair. We also need to strengthen or replace critical facilities like hospitals, fire and police facilities and schools," says Madin.

Following on the release of the Oregon Resilience Plan, the Oregon Legislature established a task force to come up with specific recommendations for action for the 2015 legislative session.

Oregon has already turned a corner because institutions are no longer asking,"Why should I do anything to prepare" and are now asking,"How do I pay for the preparation I know I need?"

@highlight

25 years ago, a 6.7-magnitude earthquake hit San Francisco

@highlight

Since then, West coast communities have assessed their earthquake readiness

@highlight

A huge fault line runs through Oregon

@highlight

Oregon, like much of the world, is not prepared for a megaquake