In a dry and dusty soccer field the boys shrieked and screamed as kids in the midst of a highly competitive soccer game often do.

A neighborhood resident pointed towards another three boys on their bikes off to the side watching.

"See where they are? That is where the cars would pull up," he told me. "They would drag a man out and execute him.  Some days it was more than one."

Just a few years ago, this same soccer field was an Al Qaeda killing ground where, like clockwork every day right before evening prayers, executions would take place, and young boys -- the same ages as those now playing soccer in front of us -- would gather to watch the macabre event, seemingly immune to the horrors they were witnessing.

That was in February, when we were in Iraq filming stories for the 10-year anniversary of the start of the Iraq War. In April I found out that a couple of the boys we filmed were killed in a bombing down the road.  The bomb -- containing 2 kilograms of highly explosive material -- was hidden in a plastic bag, placed outside of a three-story building that had a popular ice cream parlor on the first floor.  The boys were there.

This is the tragic norm of Iraq that people are forced to live with.  Violence few understand, fear that permeates every aspect of life, where even a simple action like taking children to eat ice cream can result in death.

This past year has seen a marked increase in attacks, especially coordinated simultaneous strikes, a trademark of ISI -- the Islamic State of Iraq -- an umbrella organization that includes al Qaeda in Iraq.

Baghdad is a maze of blast walls and checkpoints, with Iraqi security forces "beefing up" security but hardly accomplishing anything more than creating ever-more frustrating traffic jams.  The government touts instances when it has managed to diffuse bombs, but the harsh reality is that they simply cannot stem the violence.

July was the deadliest month in Iraq in the last five years since the peak of sectarian violence in 2006 and 2007. According to the U.N., 1,057 Iraqis were killed and another 2,326 were wounded in acts of terrorism and violence last month.

And on Saturday bombings spanning from Nassiriya in the south, to Baghdad, to Mosul in the north claimed dozens of lives and wounded nearly two hundred more.  It was Eid, the three day holiday that marks the end of the holy month of Ramadan.

The explosions mostly went off in predominantly Shiite areas -- at coffee shops, markets and bus stops.

"Where are the security forces?" a man at one of the bomb sites asked angrily. "If you -- Prime Minister Maliki -- cannot deal with security, let someone else!"

Anger and frustration among Iraqis is heartbreakingly palpable.

The Islamic State of Iraq claimed responsibility in a statement, saying that the violence was intended to be a message to the "animals of Rawafdh 'Shiite' and their government."

Al Qaeda in Iraq (AQI) was once described by the U.S. military before it withdrew from Iraq in 2011 as being "on the run."  But that clearly is no longer the case.

To start with, Iraq security forces were never capable of containing the "security gains" of the U.S.-military era.

AQI and other Sunni extremist groups have capitalized on the predominantly Shiite-led government's failure to bring Sunnis into the political fold.  Iraq's Sunni population maintains that it is being systematically targeted by government forces and grows more alienated and disenfranchised by the day.  And Iraq remains a nation where violence and politics go hand in hand.

AQI has also expanded its operations into Syria under the umbrella of "Al Qaeda in Iraq and the Levant (Syria)." Its head, who goes by the pseudonym Abu Bakr al-Baghdadi or Abu Dua'a, among others, is believed to be mostly operating out of Syria.

But al Qaeda's resurgence and its operations are just one part of the messy and vicious patchwork of forces that govern this part of the world at the expense of the civilian population sucked into an existential battle that started millennia ago.

Those forces include the ongoing regional struggle pitting Shiite Iran against Sunni Saudi Arabia and Qatar -- regional powerhouse who have found proxy battlefields in Syria and Iraq -- along with Russia and America.

The fates of Iraq and Syria are growing more intertwined by the day, and it is the civilians always who continue to be victims of this lethal web of dynamics over which they have little control.

Iraq: 10 years on

Why the war in Iraq was fought for Big Oil

What Iraq could teach us about Syria

@highlight

The past year has seen a marked increase in attacks in Iraq, writes Arwa Damon

@highlight

Despite occasionally diffusing bombs, the government cannot stem the violence, she says

@highlight

July was the deadliest month in Iraq in the last five years

@highlight

According to the U.N., 1,057 Iraqis were killed and 2,326 wounded last month