(CNN) -- We each spend an average of three years of our lives sitting on them, King George II of Great Britain died while on his in 1760 and 2.5 billion people still do not have access to one.

The humble lavatory is the unlikely subject of global celebration on Monday, as one of the world's most essential inventions but one that too many people still struggle without.

Although many of us tend to take ours for granted, campaigners hope that World Toilet Day 2012 will draw attention to what they're calling the "global sanitation crisis," with over a third of people worldwide living without a clean and private place to go.

This means that one in three people still have to defecate in the open, using fields or bushes, rivers, railway lines or roadsides, or simply a plastic bag. Others use unsanitary latrines or disease-ridden and foul-smelling buckets.

The majority of those without access to a toilet live in sub-Saharan Africa or Asia, with over half of people in Asia not having proper sanitation, according to the UK-based charity, WaterAid.

Ajara lives in a slum in the city of Gwalior in the Madhya Pradesh province of India. She told WaterAid how people in her community have to defecate on a nearby hilltop.

"There are no trees and privacy at the moment and so we have to wait until night to go there. It's difficult for old people to go and it's hard to go at night. It's also hard for grown-up girls because of the risk of sexual attack," Ajara said.

This World Toilet Day, international aid agencies are highlighting the particular risks to women of poor access to toilets. WaterAid says women are most vulnerable because they're not only exposed to disease, but also have additional shame, harassment and risk of attack when they go out in the open.

Sandimhia Renato in Mozambique described to WaterAid how she has to cross a very dangerous bridge every time she goes to the bush to defecate.

"I think it takes 15 minutes to get to the bridge," Renato says. "I come here once a day, between 4 and 5 pm. At night it is very dangerous. People get killed. A woman and a boy were killed with knives. One woman I know of has been raped."

But it's not just the shame and inconvenience of having no private place to go to the toilet, but a huge public health issue.

When you consider that one gram of faeces can contain 10 million viruses, one million bacteria, one thousand parasite cysts and one hundred worm eggs (according to UNICEF) you can see why open defecation is so harmful to a community's health. Without a sewerage system to remove human waste and make it safe, cholera, typhoid and other infectious diseases spread quickly.

The United Nations says more than 2.7 million people die each year due to lack of sanitation. With diarrhoeal diseases killing more young children in developing countries than HIV/AIDS, malaria and measles put together, it's the second biggest cause of death in under fives, according to the World Health Organization.

Tackling it, says the World Bank's Water and Sanitation Program, is extremely cost effective. It estimates that poor sanitation costs African countries around $5.5 billion a year and $53.8 billion in India is lost through associated economic impacts.

The program's study of 18 African countries found that even the time it takes people to find a discrete location to use the toilet accounted for almost $500 million in economic losses. That's before you examine the cost of healthcare, premature deaths and lost workdays due to illness.

In fact, according to the World Toilet Day organization, every dollar invested in sanitation yields a return of five dollars. Its message is that the solution to the global sanitation crisis lies not in any miraculous technological breakthroughs but in stronger political leadership and a commitment to invest in sanitation infrastructure and education.

Mahatma Gandhi for one seemed to recognized the value of the toilet to humanity when he said "Sanitation is more important than independence." Campaigners for World Toilet Day will be hoping that these words resonate with today's leaders.

@highlight

World Toilet Day highlights plight of 2.5 billion people who don't have access to basic sanitation

@highlight

Charity focusing on dangers for women who must defecate on open ground

@highlight

The situation causes shame for millions and also leaves them open to attack

@highlight

Lack of basic sanitation costs Africa $5.3 billion and India $53.8 billion according to World Bank