London (CNN) -- More than six decades ago, the European Movement's founder Jean Monnet shared his vision for the region's nascent union, prescribing money as a means to heal the wounds left by two world wars.

"The fusion" of Europe's economic ties, he said, would compel its nations "to fuse their sovereignty" as well "into that of a single European state."

To the Frenchman, a federal Europe was the natural progression of the bloc's newfound stability.

A collection of like-minded countries whose shared goals were so clear they would willingly surrender their own governments for the group's greater good.

That was 1952. A time when the future held great promise after the horrors of the past and anything seemed possible -- even creating a new pseudo country. A place now known as the European Union.

Fast forward to the present day and, though the EU does have some shared organs of government, like a commission and parliament, it certainly isn't the set of "united states" Monnet hoped for. Ones with the same deep-seated convictions and beliefs.

The glue holding their common ideologies together came unstuck with the fall of the Berlin Wall.

Since then, a crisis among countries sharing the euro has reopened old wounds. Ironically, instead of bringing nations together, their finances have threatened to tear them apart.

This leaves us with one fundamental question: if the EU's main task is no longer to provide peace, and it can't guarantee prosperity either, then what should its role be?

Born from the ashes of Europe's turbulent past, the EU has accomplished much for its members.

It has taught its citizens value of compromise over violence, providing protection and strength in numbers.

It has boosted prosperity, thanks to the free flow of goods and labor brought about by the single market, while consumer and workers' rights have been reinforced and their health improved thanks to bans on smoking.

But the EU has also drifted far from its original concept, its ranks swollen by a massive Brussels-based bureaucratic machine which, critics say, is stifling industry and is pushing members like the UK towards the exit door.

The bloc's borders have doubled with its endless absorption of former communist countries, stretching the definition of Europe to its limits, making membership to this formerly elite club appear more like a handy foreign policy tool rather than a cherished vision.

The EU faces a constant challenge living up to the expectations of its citizens and without two-tier policies it has no hope of serving both the bloc's strong and weak economies alike.

The EU needs a new vision a new project its people can feel passionate about.

And where better to start then this week's pivotal parliamentary elections.

Read more: Boss puts stamp on family business

Read more: How to rebuild trans-Atlantic ties

@highlight

The European Movement's founder Jean Monnet laid out his vision for the bloc more than six decades ago

@highlight

It was a time when the future held great promise after the horrors of two world wars

@highlight

But fast forward to now, and the EU is struggling to identify its vision after financial crisis

@highlight

The European elections are key, and Nina dos Santos says the union needs a new vision