(CNN) -- It's not over in Steubenville, Ohio.

Although a judge has found two Steubenville teenagers guilty of raping a 16-year-old girl in a case that showcased jaw-dropping examples of teenage alcohol use and tawdry text messaging -- all wrapped in allegations of a cover-up -- Ohio's attorney general said Monday it's now time for a grand jury to look at whether anyone else should be charged.

"I think the Steubenville community needs really two things. One is to get this over with," Attorney General Mike DeWine said in a nod to frustration the continued investigation is likely to cause in the city -- a small, down-on-its-luck Ohio River mill town that's been the focus of intense criticism and media coverage for months.

"But the other is to believe that justice has been done, that we have left no stone unturned and that anyone who is criminally liable has been brought to justice," he said.

Healing process after rape never ends

The victim's mother told CNN that the verdicts are "the start of a new beginning for my daughter." But she added, "We need to stress the importance of helping those in need and to stand up for what is right."

"We hope that from this something good can arise," she said. "I feel I have an opportunity to bring an awareness to others, possibly change the mentality of a youth or help a parent to have more of an awareness to where their children are and what they are doing. The adults need to take responsibility and guide these children."

But the emotions inflamed by the case echoed past Sunday's verdict, with sheriff's deputies and state investigators arresting two teenage girls Monday for threatening the victim over Twitter. The girls -- one 15, one 16, both from Steubenville -- were in a juvenile lockup Monday night, awaiting an appearance before a judge Tuesday morning, Jefferson County Sheriff Fred Abdalla said.

Grand jury

DeWine said state investigators have examined tens of thousands of text messages, images and videos and talked to 56 witnesses -- from teenagers who attended the parties to assistant football coaches and the high school principal.

But 16 people who may know something about what happened that August night have refused to talk, he said.

"I have reached the conclusion that this investigation cannot be completed -- that we cannot bring finality to this matter -- without the convening of a grand jury," he said in a statement Sunday.

Opinion: Steubenville case shows how the rules have changed

The grand jury will begin meeting around April 15 and could take "a number of days" to complete its work, DeWine said.

"And I should point out that the convening of a grand jury, of course, does not necessarily mean that indictments will be returned or that charges will be filed," he said.

"A grand jury is an investigative tool that is uniquely suited to ensure fairness and to complete this investigation," DeWine said in the Sunday statement. "And this community needs assurance that no stone has been left unturned in our search for the truth."

Guilty verdicts

DeWine's announcement of the grand jury came shortly after Judge Thomas Lipps found Trent Mays, 17, and Ma'lik Richmond, 16, guilty of rape. Lipps, who was hearing the case without a jury, also found Mays guilty of disseminating a nude photo of a minor.

Authorities accused Mays and Richmond of putting their fingers in the girl's vagina while she was too drunk to consent, an act that constitutes rape under Ohio law. The incident took place during a series of alcohol-fueled end-of-summer parties in August.

Some of the abuse was documented in photographs shown in court and in texts read aloud during testimony, including one text in which a state forensics investigator testified Mays wrote, "I should have raped since everyone thinks I did."

Trial focuses on text messages

Lipps sentenced Mays to a minimum of two years in a juvenile correctional facility. Richmond received a minimum of one year. Juvenile authorities could decide to keep both in custody until they turn 21.

Richmond's father, Nathaniel Richmond, said he still believed his son was innocent "even though he apologized in the courtroom."

"The evidence they had against Ma'lik was minimal," he told CNN's "Piers Morgan Tonight." "Ma'lik was just at the wrong place at the wrong time. I know my son is not a rapist, even though he has been convicted of rape."

Both Mays and Richmond must undergo treatment and will have to register as sex offenders, Lipps ruled. Richmond's attorney, Walter Madison, said his client would appeal in an attempt to avoid that designation.

Meanwhile, the victim and her family remain under guard after the threats were posted online, Abdalla told CNN.

"She continues to be a victim and be victimized ... over and over," he said. "And that's what's sad."

One of the tweets that led to Monday's arrests warned that if the poster saw the victim, "it's gone be a homicide." Another threatened a beating.

The girl accused of tweeting the death threat turned herself in after learning that investigators were looking for her, the sheriff said. Nevertheless, "They're going to have to answer to it," he said.

"We're dealing with kids, again," Abdalla said. "But the attorney general had just left the building -- the judge was still in the building -- when I received messages that there's death threats already against the victim."

No charges had been announced against the suspects Monday night, but "There's no question they're going to prosecute."

"I hope this sends a warning," he said. "And I can assure you, we've been monitoring Twitter for 24 hours and continue to. If there's anybody else there crosses a line and makes a death threat, they're going to have to face the consequences."

Internet outrage

The case received widespread attention after a blogger who once lived in Steubenville uncovered some of the materials posted to social media sites.

The blogger, Alexandria Goddard, wrote pointedly about the possibility that the teenagers had been given preferential treatment because they played on the town's highly regarded football team. Police have denied that claim.

Later, the loosely organized hacker group Anonymous got involved, posting a lengthy video in which another teenager -- who has not been charged -- made joking references to the rape.

The ensuing ire over the case brought national attention and criticism to the city from around the country, leaving city officials struggling to defend the community and residents weary of the media spotlight.

Teen rape trial shines unwelcome spotlight on Ohio town

Broader problem

Acknowledging the town's frustration, DeWine said Monday that it would be a mistake to focus on one small Ohio community, to think something unique in its culture is behind the incident.

"I'm afraid people are going to walk away and say this was all about Steubenville," DeWine said. "It's not. It's a cultural problem."

"I'll guarantee that there are crimes very similar to this that occur every Friday night and every Saturday night in communities across this country where you have people, particularly young people, who are drinking too much and a girl is taken advantage of, and a girl is raped," he said.

Such incidents stem from a larger social problem -- a rampant lack of respect and human decency, he said.

"One of the lessons of life is we have to take care of each other, and we have to try to help people and we have to do what's right." DeWine said. "And there were precious few people that night that were doing what was right."

Teens treated girl 'like a toy,' prosecutor says

CNN's Poppy Harlow, Brian Vitagliano, Yon Pomrenze, Matt Smith, Steve Almasy and Chelsea J. Carter contributed to this report.

@highlight

"Adults need to take responsibility and guide these children," victim's mother says

@highlight

Two Steubenville teens arrested after Twitter threats to victim, sheriff says

@highlight

Prosecutors will ask a grand jury to investigate the possibility of additional charges

@highlight

AG Mike DeWine says it would be wrong to blame Steubenville alone