Editor's note: Daria Roithmayr is a law professor at the University of Southern California, Gould School of Law, where she teaches on race and law. She worked for Sen. Edward Kennedy as special counsel on the Clarence Thomas and David Souter confirmation hearings. Guy-Uriel Charles is a law professor at Duke Law School where he is the founding director of the Center on Law, Race, and Politics.

Daria Roithmayr says Sotomayor would add broader life experiences to the background of Supreme Court justices.

No one was surprised when the subject of race dominated the public conversation during Sonia Sotomayor's confirmation hearings. What was surprising was how unwilling both sides of the aisle were to talk about race openly.

Republicans tried to argue that race should be completely separated from judicial decision-making.

For their part, Democrats tried to minimize the importance of her race to her decision-making by focusing on her record, to show that her race had played no role in her decisions.

Judge Sotomayor herself suggested that life experiences are an important part of the process of judging, but then sought to minimize the difference that those experiences might have made to a particular result.

Most people understand that life experiences and racial identity do affect the decision-making process. But is this something to be lamented or celebrated? We think the latter.

In this, the not quite post-racial era of Obama, scholars are developing new understandings of the connection between race, life experience and decisions. Researchers such as Scott Page and James Surowiecki are telling us that varied life experiences and ethnicity can improve the result when a group makes decisions together.

At the University of Michigan, Page uses mathematical models to show not only that people's backgrounds make a difference in how they think, but far more importantly, that these differences are essential for good collective decision-making.

As Page acknowledges, the relationship between life experience and decision-making is an empirical question -- a question of fact to be determined based on research. In some domains -- making decisions about the scope of anti-discrimination law or deciding on a health care policy -- we likely will see that broader life experience makes for better decisions.

Surowiecki, who wrote "The Wisdom of Crowds," points out that a group will more often than not come to a better decision than the average individual, so long as the group includes a  range of people with different life experiences and ways of looking at and solving problems.

As Surowiecki notes, if the group has enough variation in the information that they bring to the table, their thought processes and their approach to solving problems, the group is more likely to come up with the right answer before an individual, even in some instances when the individual is an expert.

The Constitution itself recognizes the importance of life experiences to legal decision-making. Defendants in the criminal process are entitled to a jury of their peers precisely because jurors bring to the process a collection of life experiences that will shape their understanding of the facts and the law.

All-white juries are problematic in large part because we believe that the life experiences of jurors are an integral part of their collective judgment of innocence or guilt.

We also are coming to understand that race is just one of several structural factors that affect a person's life experiences and life chances, together with economic security, gender, class and geography.

These days, the best thinking on race focuses less on racial symbolism and more on understanding how race affects a person's life experiences and life chances -- her access to education, health care, economic and physical security, her experience with the criminal justice system, whether she grew up wealthy or in a public housing project.

Thus, we understand that the arrest of Harvard professor Henry Louis Gates Jr. for disorderly conduct after he opened his jammed front door might be a signal of existing racism in law enforcement. But the better way to understand his arrest might be to acknowledge that whether one thinks this is the symbol of continued racism in law enforcement or an officer trying to do his job, in general, Gates' race affects his life chances and life experiences.

As an African-American, Gates runs a much greater chance of being arrested during his lifetime than does his white counterpart. We should also acknowledge the role that class plays in life chances -- Gates was able to summon with a simple phone call one of the best criminal lawyers in the country, an opportunity not available to most African Americans.

Although we have not yet figured out the meaning of race in this supposedly post-racial era, we know that race still matters, even as we know that it does not matter in the same way that it used to.

Democrats and Republicans should acknowledge that having a Latina on the bench will make a difference because it will improve the court's collective decision-making.

Wise men and women with different life experiences are more likely to reach a result that is better, that is wiser and that is more just. In that vein, Sotomayor's life story -- in which a Puerto Rican girl from Bronxdale Houses grows up to attend Yale Law School and become a Supreme Court justice -- is a story that should matter to us all.

The opinions expressed in this commentary are solely those of Daria Roithmayr and Guy-Uriel Charles.

@highlight

Roithmayr, Charles: Race dominated the Senate hearing on Sotomayor

@highlight

They say research shows groups of diverse people make better decisions

@highlight

Having Sotomayor on court will widen life experiences of the justices, they say

@highlight

Roithmayr, Charles: We should strive for diversity of class, gender, geography