(CNN) -- From the single, centrally-positioned seat to the crash-proof frame, this Formula One-like car is an alluring piece of kit. It would make any driver stand out in a traffic jam, and it's completely road legal.

But the truly ground-breaking feature of BAC's ultra-sleek design is still under wraps. The company are developing an autonomous rear wing that self-transforms according to the conditions. In rainy weather it curves to increase downforce for a safer drive, and straightens out when the downpour clears. This process is powered by the rain itself.

The startling concept is the result of collaboration with MIT's pioneering Self-Assembly Lab, which seeks to programme materials to build themselves, and transform how we make things.

"Any place that uses robotics today, you could use materials and have the same capabilities," says Skylar Tibbits, a computational architect who leads the Lab and the movement. "With planes, we have done a great job of making articulated wings to have lift, to change aerodynamics and make the plane functional. But the weight, energy and control mechanisms involved are pretty excessive at this point. Trying to find more elegant solutions seems an obvious target, and what we're proposing is a single material with the same actuation capability, the same sensing, the same range of movement, if not more."

The self-assembly process has been described as 4D printing. Tibbits' team produce composite materials that react in predictable ways when exposed to external stimulus such as water. The materials are 3D-printed into specific shapes and then autonomously transform into another, with wide-ranging implications for industry from automotive to medical to military.

But the dream for a new paradigm of component-free, labor-sparing robotics requires further breakthroughs. "More materials, more energy sources," Tibbits says are the current priorities. Wood and carbon fibers are responding well, but "can we do it with everyday materials, with repeatability? Can we fuel it with heat and light?"

If he can, the results would not merely match existing capabilities. "We can develop material compositions that respond to many different triggers, or find solutions that haven't been programmed but fall within an acceptable range. They could self-optimize based on logic and sensing."

Tibbits acknowledges that "not every industry likes surprises," but the Lab's client list indicates a huge appetite for self-assembly. In addition to BAC, the team are collaborating with Airbus to develop the wing design.

They are working with engineering giants Geosyntec to deliver autonomous pipes that expand, narrow and regulate the flow, taking on the function of pump and valve. Fashion and furniture are also targets -- making the self-lacing sneakers of 'Back to the Future' a possibility at last.

The field is expanding. Harvard's Dr. Jennifer Lewis is leading a wide-ranging exploration of 4D printing, which recently received a grant from the US military, along with two other research institutions. Morphing camouflage is among the mooted targets.

Demand for 4D is reaching a fever pitch, says Dr. Junus Kahn, founder of Carbitex, which produces the materials used by the Self-Assembly Lab, as well as supplying them to major business clients.

"Our clients are looking for the next big idea, they are actively seeking innovation and believe this could transform manufacturing," says Kahn. "If you have products that know how to mould and assemble based on energy, it takes out the menial labor that has forced manufacturers to relocate abroad where it's cheaper."

Kahn believes transport is the fastest-progressing sector for the concept, and expects automotive examples to be on the market as early as 2016.

Once self-assembly is proven, it could spread as rapidly as its precursor 3D printing, along with concerns about the implications.

"Everyone is always scared that technology will take our jobs," says Tibbits, rolling his eyes. "But it has always created jobs rather than destroyed them. Another fear is it will get out of control, or be abused. But we should be afraid of people not technology, we shouldn't stop inventing."

If the full scale of his vision is realized, we might need to do little else.

Read more from Make, Create, Innovate:

Beyond Pistorius: rise of the 'Cyberathletes'

Turn your kitchen into an orchestra with this magic device

An end to all airport security lines?

@highlight

Self-assembling vehicles ready to hit the market

@highlight

Almost any material could be programmed to build itself, a process known as 4D printing

@highlight

MIT's Self-Assembly lab have partnership in industries from fashion to aviation

@highlight

The process will transform manufacturing and labor