Hong Kong (CNN) -- The fragile relationship between China and Japan came under fresh strain Tuesday as ships from both sides crowded into the waters around a disputed group of islands and nearly 170 Japanese lawmakers visited a controversial war memorial.

The Japanese Coast Guard said eight Chinese government ships had entered waters near the contested islands in the East China Sea on Tuesday morning, the largest number to do so at any one time since tensions surrounding the territorial dispute escalated last year. China said its ships were there to monitor the movements of Japanese vessels in the area after a Japanese nationalist group chartered a flotilla of fishing boats to take dozens of activists there.

The Japanese foreign ministry responded by summoning the Chinese ambassador in Tokyo to lodge a strong protest about the Chinese ships' presence near the uninhabited islands that lie between Okinawa and Taiwan and are known as Senkaku in Japanese and Diaoyu in Chinese. The Chinese ambassador, Cheng Yonghua, retorted that it was the Japanese vessels that were intruding in Chinese territory.

Will radar-rattling turn to conflict?

A day earlier, Beijing had protested to Tokyo about a visit at the weekend by three Japanese cabinet ministers to the Yasukuni Shrine in Tokyo, which honors Japanese people killed while fighting for their country, including convicted war criminals.

Countries that suffered heavily at the hands of the Japanese military before and during World War II, such as China and South Korea, consider the shrine as an emblem of that aggressive period in Japanese history.

But China's representations failed to deter 168 Japanese members of parliament from visiting the shrine on Tuesday to pay their respects to the war dead, the most to do so in recent years.

How a remote rock split China and Japan

New men in charge

New leaders have taken office in both countries in the past few months: Prime Minister Shinzo Abe in Japan and President Xi Jinping in China. They inherited a highly delicate situation concerning the disputed islands that analysts have warned could spiral out of control -- a concern for the United States, which has a mutual security treaty with Japan.

"Despite expressions by both governments that they wish to avoid a war, potential for escalation has increased and there is deepening pessimism on both sides over the prospects of a peaceful settlement," the International Crisis Group said in a report this month on the tensions between Japan and China.

"Tokyo and Beijing urgently need to work toward establishing communication mechanisms and strengthening crisis mitigation in order to avoid a larger conflict," the report said.

In an indication of the strong stances both sides are taking on the matter, Abe said Tuesday in parliament that any attempt to land on the islands by China would be repelled "by force."

Games of cat and mouse

The relationship between the two nations deteriorated severely in September, when the Japanese government bought several of the islands from a private owner, angering Chinese authorities and provoking a spate of sometimes violent anti-Japanese demonstrations in many Chinese cities.

Since then, the situation has calmed somewhat, but Chinese government ships have continued to frequently sail near the islands, engaging in maritime games of cat and mouse with Japanese Coast Guard vessels. Chinese planes have also flown through the area, prompting Japan to scramble fighter jets.

Both countries claim sovereignty over the remote, rocky islands, which are near important shipping lanes, rich fishing grounds and possible mineral deposits.

Japan currently administers the area, but since September, China has mounted a concerted campaign to try to change the situation.

It says its ships that enter the waters around the islands are conducting routine patrols of Chinese territory. But Japan says they are intruding in its territorial waters.

In the repeated standoffs that result, both sides broadcast warnings to each other's vessels, ordering them to leave the area that they both claim.

Nationalists' publicity stunt

The Japanese nationalist group known as Ganbare Nippon this week sent 10 fishing boats carrying dozens of its members to the area around the islands.

A representative for the group, Yasushi Watanabe, said the voyage -- the third by Ganbare Nippon this year -- was aimed at publicizing Japan's territorial claim to the area, not at landing on the islands.

China's State Oceanic Administration (SOA) said Tuesday that three marine surveillance ships on "regular patrol duty" in the area noticed several Japanese ships near the islands, according to the state-run news agency Xinhua.

The SOA said that it dispatched five more ships to join its three vessels near the islands. Together, the eight Chinese ships "monitored the Japanese ships from different angles," it said.

The Japanese Coast Guard said that its vessels had told the Chinese surveillance ships to leave the area, but that they had responded by saying that they were patrolling Chinese territory.

Ganbare Nippon later said its ships had all left the area around the islands.

The weight of history

The competing claims to the islands are intertwined with the region's complex history.

"Due to the brutal Japanese occupation of China in the 1930s, sentiments over the status of the Diaoyu/Senkaku Islands run deeper in the Chinese psyche than any other territorial dispute in modern Chinese history, with the exception of Taiwan," the International Crisis Group said in its report this month.

China says its sovereignty over the area extends back hundreds of years. Japan says it saw no trace of Chinese control of the islands in an 1885 survey, so formally recognized them as Japanese sovereign territory in 1895. Japan then sold the islands in 1932 to descendants of the original settlers. The Japanese surrender at the end of World War II in 1945 only served to cloud the issue further.

The islands were administered by the U.S. occupation force after the war. But in 1972, Washington returned them to Japan as part of its withdrawal from Okinawa.

INTERACTIVE: Asia's disputed islands -- who claims what?

CNN's Jethro Mullen reported and wrote from Hong Kong, and Yoko Wakatsuki reported from Iwaki, Japan. CNN's Aliza Kassim in Atlanta contributed to this report.

@highlight

NEW: A group of boats carrying Japanese nationalists has since left the area

@highlight

The number of Chinese ships near the disputed islands is the largest yet, Japan says

@highlight

The "potential for escalation has increased," a recent analysis says

@highlight

Nearly 170 Japanese lawmakers visit a controversial war memorial