Washington (CNN) -- The Virginia couple accused of crashing President Obama's first White House state dinner on Tuesday are named in at least 16 different civil suits in Fauquier County, sometimes as plaintiffs, sometimes as defendants.

A trawl through court records on Thursday revealed a more complete picture of Tareq and Michaele Salahi, who have left an extensive paper trail in federal bankruptcy and state court filings.

The couple was spotted rubbing elbows with the likes of Vice President Joe Biden and Chief of Staff Rahm Emanuel at Tuesday's dinner, but the Secret Service says they were not invited.

A Secret Service checkpoint "did not follow proper procedures" to determine if the two were on the guest list, said Edwin M. Donovan, a Secret Service special agent, in a statement.

The incident represents a security breach for the White House at the Obama administration's biggest social event to date. More than 300 guests, including Cabinet members, diplomats and Hollywood celebrities, attended the dinner in honor of visiting Indian Prime Minister Manmohan Singh.

The couple did not respond to CNN requests for comment Thursday.

"At this time the Salahis will not make any formal comments regarding the rumors and media speculation surrounding the White House state dinner," their publicist, Mahogany Jones, said in a statement. "Their counsel, Paul W. Gardner Esq., states emphatically that the Salahis' did not 'crash' this event. We look forward to setting the record straight very soon."

Asked for comment on the Salahi's legal difficulties, Jones said in an e-mail, "We will begin doing press and media next week providing exclusive interviews and press junkets. If you would like to be considered in our media circuit we request that you hold your proposed published profile until then."

A page on Facebook, apparently maintained jointly by the Salahis, paints them as high rollers, listing their interests as polo, wine, and diplomatic relations, among others.

A separate Facebook fan page dedicated to Michaele that appears to be run by her says, "I was honored to be invited to attend the First State Dinner hosted by President Obama & the First Lady to honor India."

The page in her name is full of pictures showing her at social events around Washington.

But the two also spend quite a bit of time in court, records show.

One of the lawsuits against the Salahis was filed by Robb Levin of Fairfax, Virginia, who held his wedding at the Oasis Winery in August 2005.

"I have a judgment against them," he said by phone on Thursday. "The settlement was for $15,000, plus interest from June 2008. They haven't paid a penny."

Levin contracted with the winery to provide vendors, such as florists and catering, for the event. But, he said, he discovered the winery was adding a "significant profit" to what the vendors were charging them. "Vendors told me what they were charging. They were charging me two or three times as much," he said. When he tried to use his own vendors, he said, he was fined $1,000.

After he signed a contract to hold his wedding there, "They were very, very, very hard to get a hold of," he said.

"I remember [the contract] being very short and it just said to hold the date. When I went back, I found it said they could charge my credit card at will. At the time I signed it I don't remember all those pages being there. I don't remember a whole 8- or 12-page document," Levin said. "There were thousands of dollars charged to my card with no explanation."

He fought with the Salahis, dealing mostly with Michaele, throughout the run-up to his nuptials, he said.

"They wanted more money and I wasn't releasing it," he said. "They threatened me with lawyers. They threatened to cancel the wedding."

In the end, Levin said, he paid up to make sure the wedding went ahead, then sued the Salahis afterward to get his money back.

Tareq and Michaele, meanwhile, were engaged in a long court battle with his parents over the winery.

Court records show Tareq sued his mother, Corinne, and the case was dismissed.

Corinne sued Tareq and the case went to trial. The outcome is not clear from a Virginia courts Web site.

Tareq and Michaele won control of the winery in 2007, but it has run into debt since then.

Oasis Winery filed for Chapter 7 bankruptcy in February, according to U.S. Bankruptcy Court records in the Eastern District of Virginia. Tareq Salahi is listed as company president in the filing. Creditors listed include the IRS, Fauquier County, the state of Virginia, several banks and American Express Corp., among others. The company claims about $335,000 in assets and $965,000 in liabilities.

Among the debts listed are more than $60,000 in credit card debt and an "unknown" amount in federal back taxes.

"Debtor has not filed corporate taxes since tax year 2006," the filing says. "Has always previously had business loss, with refund flowing to shareholders."

Also listed is a $65 parking ticket in Montgomery County, Maryland, nearly $3,000 in gasoline purchases to Exxon-Mobil and more than $95,000 in legal fees.

According to the February filing, Oasis made $1.7 million in 2007 but only $35,000 in 2008. The filing lists two pending lawsuits against Oasis, one for more than $300,000 for "catering services"  and one judgment against the company.

Under "repossessions," the filing lists a 2004 Aston Martin, which it estimates was worth $150,000 when it was repossessed in October 2008. Some $85,000 was still owed, according to the filing. In addition, a boat valued at $90,000 was repossessed in June 2008, with $56,000 still owed, according to court documents.

The company also had closed a checking account, $3,800 in the red, about a year before the filing.

Oasis owes $224,000 "for rental of FedEx Redskins Suite and related hospitality services," according to court documents.

The Chapter 7 filing, under which a debtor's assets are sold to pay creditors, followed an apparent effort to save the winery earlier.

The business had filed for Chapter 11 bankruptcy in December 2008, with Salahi's mother, Corinne, listing herself as president.

A Chapter 11 bankruptcy is referred to as a "reorganization" bankruptcy, according to the federal judiciary's Web site.

In addition to federal bankruptcy, Tareq and Michaele may now face criminal charges.

The incident represents a security breach for the White House at the Obama administration's biggest social event to date. More than 300 guests, including Cabinet members, diplomats and Hollywood celebrities, attended the dinner.

If they lied to federal agents in order to get into the White House dinner, that is a federal crime, said Fran Townsend , CNN national security contributor.

The agents tasked with protecting the president "did not follow proper procedures," Secret Service agent Edwin Donovan said in a statement, but said the gatecrashers went through metal detectors "and other levels of security."

The Salahis are aspiring reality-TV stars who hoped to land roles in the forthcoming show, "The Real Housewives of D.C.," by the Bravo cable network, The Washington Post reported.

In a statement Thursday, Bravo said, "Michaele Salahi is under consideration as a cast member, as such [series producer] Half Yard Productions were filming the Salahis on that day. Half Yard was only aware that per the Salahis they had been invited [to the state dinner] as guests."

Video of the dinner showed the couple walking past journalists into the event.

The couple also appears to have posted pictures on Facebook purportedly showing them gaining access to high profile events during inauguration week, according to The Washington Post's Reliable Sources gossip column.

Pictures on the couple's joint Facebook account appear to show them in the first family's glass-enclosed viewing area after a concert at the Lincoln Memorial, according to the Post.

"Tareq & Michaele were honored to be invited to President Obama's private viewing box at the Lincoln Memorial," the Facebook posting from inauguration weekend reportedly reads. "Naturally this picture was taken after his departure."

Other pictures purportedly show them mingling with celebrities during inauguration weekend, including talk show host Oprah Winfrey at the Kennedy Center, according to the Post.

CNN's Richard Allen Greene, Shannan Butler and Ashley Hayes contributed to this report.

@highlight

NEW: Tareq and Michaele Salahi named in at least 16 lawsuits, filed for Chapter 7 in February

@highlight

Couple posts Facebook photos purportedly showing them at inauguration events

@highlight

Secret Service admits it "did not follow proper procedures"

@highlight

Service said Salahis went through metal detectors, other levels of security