(CNN)Americans will spend about $550 million on self-help books this year and more than $1 billion on motivational speakers. Obviously, many of us are on a quest for happiness.

I get it. We all want, and deserve, that sense of well-being. But save your money. Achieving happiness is easier than you may think.

We all experience emotional highs throughout our lives -- with a job promotion, on our wedding day, with the birth of a child. But these moments only yield temporary feelings of elation, and experts say that they alone are not enough to achieve true happiness.

Happiness isn't just an emotional state. Decades of research proves it goes much deeper. In fact, science shows people who are happy live longer and healthier lives. The good news is that generating better bliss is something we can all do regardless of our environment or genetics.

Here are seven ways to boost your life satisfaction:

Start by changing your attitude.

That's right -- I'm talking to you, pessimists.

A Harvard University study found that optimists are not only happier but are 50% less likely to have heart disease, a heart attack or a stroke. It turns out that keeping a positive outlook actually offers protection against cardiovascular disease.

The science doesn't fare as well for pessimists. They have lower levels of happiness compared with optimists and are three times as likely to develop health problems as they age, researchers say.

Learn from people who are already happy.

Denmark has earned the top spot on the European Commission's "Eurobarometer" for well-being and happiness every year since 1973. And when the United Nations went on the hunt for the happiest nation in the world, it ranked Denmark No. 1.

So what makes Danes more satisfied with their lives? Sure, things like life expectancy, gross domestic product and a low-corruption rate help. But the overall level of happiness in Denmark has more to do with the generosity that's common among citizens, their freedom to make life choices and a strong social support system, according to the U.N. World Happiness Report.

Copenhagen: The world's happiest city

Work less.

The Danes seem to strike a great work-life balance, which ups their happiness level. Simply put: They don't overwork. In fact, the average workweek in Denmark is 33 hours -- only 2% of Danes work more than 40 hours a week.

Almost 80% of mothers in Denmark return to work after having a child, but they balance their free time between families, weekly happy hour with their girlfriends and participating in community club programs.

Focus on experiences.

Danes also pay less attention to gadgets and things and more attention to building memories. Studies show that people who focus on experiences over "things" have higher levels of satisfaction, long after the moment of the experience has passed.

Too much stuff tends often leads to debt, not to mention the time and stress associated with keeping up all those gadgets, cars, properties, clothes, etc.

Researchers say when people focus on experiences, they feel a greater sense of vitality or "being alive" during the experience and afterward. It also brings you mentally closer to the people around you, which may contribute to your happiness boost.

Build up your social network.

By simply being social, you could slow down your biological age. Research shows that a strong social support system can lengthen our telomeres.

Telomeres are the tiny caps on our DNA chromosomes that indicate our cellular age. According to experts, no friends can equal shorter telomeres and, in turn, a shorter life.

Other studies have showed that loneliness leads to higher rates of depression, health problems and stress. Solution: Have at least one close friend to boost your happiness level and health.

Volunteer.

People who volunteer are happier with their lives than those who don't, according to dozens of studies. The United Nations even credits volunteerism as one of the reasons Denmark is the happiest nation in the world -- 43% of Danes regularly give back to their community, compared with 25% of Americans.

The joy of helping others starts early. A 2012 study found children prefer to give than to receive. Researchers gave two groups of toddlers snacks and then asked one group to give their treats away. The children who gave away their treats showed greater happiness about sharing their possessions, suggesting that the act of personal sacrifice was emotionally rewarding, researchers say.

The sacrifice doesn't have to be big -- previous research has found that donating or spending as little as $5 on others has emotional benefits.

Experts say we are all inherently compassionate. Performing acts of kindness, volunteering time and donating money increases happiness by improving your sense of community, purpose and self-image.

Just start laughing.

Research shows that laughing doesn't just signal happiness, it produces it. When we laugh, our stress hormones decrease and our endorphins rise. Endorphins are the same brain chemicals associated with the "runner's high" you get from exercise.

Live to 100: Laugh more

Laughing is also good for your heart. A study found that only 8% of heart patients who were made to laugh daily had a second heart attack within a year, compared with 42% of the non-laughers.

Studies show our bodies can't differentiate between fake and real laughter; you'll get the health boost either way. So you can even fake it until you make it. Laugh in your car, in the shower -- force yourself to start laughing a few minutes every day.

@highlight

Science shows happy people live longer and healthier lives

@highlight

Change your attitude -- optimists have a lower risk for cardiovascular disease

@highlight

Denmark has been ranked the happiest nation in the world