Washington (CNN) -- President Barack Obama took his case for attacking Syria overseas and gained some momentum in the Senate, but his deputies faced another line of tough questioning from lawmakers about military involvement and Russia cautioned about unilateral U.S. action and sought to influence the political process in Washington.

Here are five things we learned from Wednesday's developments on Syria:

1) 'The world set a red line'

Obama headed for the G-20 summit by first stopping in Sweden where he directed his pitch for military action against Syria to the world leaders he will soon meet in Russia.

The president challenged other nations to join him in upholding global treaties banning the use of chemical weapons, saying the red line he drew on that issue more than a year ago should be recognized globally, not just by him.

Inaction on Syria, he said, "becomes more dangerous not only for those people who are subjected to these horrible crimes, but to all of humanity."

Secretary of State John Kerry said there are a number of countries that have indicated they would support some action against Syria if they believe the allegations are true.

Senate panel backs strike plan

2) No escalation of conflict

On Tuesday, members of the Senate Foreign Relations Committee made it clear they wanted no ground forces to be part of any military action in Syria.

On Wednesday, their House counterparts grilled Kerry, Defense Secretary Chuck Hagel and Joint Chiefs Chairman Martin Dempsey at a hearing on the potential for any U.S. military strike to escalate the Syrian conflict and require additional American involvement.

Kerry stressed the limited nature of the proposed mission to degrade Bashar al-Assad's ability to deliver chemical agents.

But Dempsey, on multiple occasions, had to say there were no guarantees. "I can never drive the risk of escalation to zero," Dempsey said, though adding that the limited scope of the strike and the U.S. partnerships in the region "limit that risk."

3) Momentum for military action

The Senate Foreign Relations Committee gave Obama some momentum on proposed military action in Syria, but not before rewriting his plan. The panel voted 10-7 to move ahead with a punitive strike with Ed Markey -- Kerry's replacement in the Senate from Massachusetts -- not taking a position.

The committee set a 60-day deadline for use of force, with an option for an additional 30 days. An amendment accepted by the panel from Republican Sen. John McCain of Arizona and Democratic Sen. Christopher Coons of Delaware added language to say the military response was intended to reverse al-Assad's battlefield momentum, a stronger objective than the one being pushed by the administration.

The White House commended senators for swift action with polls showing that a majority of Americans oppose a U.S. military strike.

Kerry told one House lawmaker that he expects Obama to address the nation on military action. Many members of Congress have been calling on Obama to make his case directly to the public.

4) Putin weighs in, Russia to lobby Congress

Russian President Vladimir Putin said on Wednesday in an interview that he "doesn't exclude" backing a U.N. resolution for military action, though only if there is irrefutable proof Syria's government is behind the latest attack.

Samples taken by U.N. inspectors at that site were due at the world body's laboratories this week and will be tested "strictly according to internationally recognized standards," U.N. Secretary-General Ban Ki-moon said.

Putin also said, in the same interview with Russia's state Channel 1 television and The Associated Press, that it would be "absurd" for al-Assad's forces to use chemical weapons when they have the upper hand over rebel fighters.

The Syrian government not only has denied waging chemical weapon attacks, it has accused opposition fighters -- whom it routinely refers to as "terrorists" -- of using them.

A new wrinkle in the lobbying equation is Russia, which said it sent an official request to meet with congressional leaders to discuss Syria. A spokesman for House Speaker John Boehner told CNN that he would not meet with the Russian delegation.

What's the evidence?

5) The political calculation

So far, the politics of seeking congressional approval have favored bipartisanship even though it's far from certain whether Obama's wish for military action will be approved.

The Senate Foreign Relations Committee plan was put together and approved across party lines, and in the House, the reception for Obama lieutenants at a hearing on Wednesday was respectful. The only sharp exchange centered around last year's Benghazi terror attack -- not Syria.

A White House statement on the Senate committee action said America is stronger when "the president and Congress work together" and promised to "build on this bipartisan support" for limited military action.

This follows statements on Tuesday by top leaders of the Republican-dominated House in support of Obama's drive for military action. Of the congressional leadership, Senate Minority Leader Mitch McConnell is alone in not supporting Obama's call for military strikes. He says he's still undecided.

Most criticism or concern from Capitol Hill has so far centered around the wisdom of the mission or aspects of how it would be carried out.

There was, however, one pointed criticism of Obama on Wednesday by House Foreign Relations Committee Chairman Ed Royce, who said the president's policy on Syria has been adrift for two years. Though, he followed up by saying there were "no easy answers" on Syria.

How will Senate vote?

How will House vote?

Ashley Killough, Tom Cohen, John King, and Lisa Desjardins contributed to this report.

@highlight

Obama says the "red line" on Syria should reflect a global commitment to deter chemical weapons

@highlight

House members grill Obama deputies on risk military action will escalate Syrian conflict

@highlight

Senate committee gives Obama momentum by rewriting and approving plan for military strike

@highlight

Putin says U.N. should decide, but Russia plans to lobby Congress