Cambridge, Massachusetts (CNN) -- When trouble strikes in our personal lives and we are searching for a source, it usually makes sense to take a look in a familiar place -- the mirror. And so it should be in our troubled politics today.

Many of us are deeply angry at politicians in Washington and the broken government they have created. We tend to look down upon them as jackasses and ideologues who are incapable of organizing a two-car funeral. We blame special interests for capturing them, a 24/7 media for encouraging them, and power for corrupting them. Indeed, a list of reasons for broken government could -- and will -- fill a week of columns.

But perhaps we give too little attention to the basic notion that our politicians are also a reflection of the public they represent. As the old saying goes, we get the president we deserve -- and usually the Congress, too. In truth, our fractured politics are due in no small part to a fractured country -- one in which consensus and moderation are disappearing. With apologies to President Truman: the buck stops here.

Those of us who are older -- born somewhere close to midcentury -- grew up in an America where there was a general consensus that the United States was a great nation, that you could be a success if you worked hard and played by the rules, that government had a positive role to play when trouble hit, and that politics must stop at the water's edge as we united against dangerous enemies. But with Vietnam, the tumult of the '60s and '70s, Watergate and more, our sense of common purpose began collapsing.

Listen for a moment to three of the smartest observers in the country who have weighed in this week on the collapse. In this week's New York Magazine, columnist Frank Rich argues that by the late 1960s, "the bipartisan national consensus over the central role of government -- which had held firm through the Roosevelt, Truman, Eisenhower, Kennedy and Johnson administrations -- was kaput. The Reagan revolution was in the wings."

We also began to lose faith in ourselves and our values. In an interview with the Financial Times early this week, Professor Michael Porter of the Harvard Business School chimed in with pained observations about what is happening to American competitiveness: "This is shocking for the U.S. If you go back 100 years, you find that the U.S. was a huge pioneer in public education. ... The U.S. was a real pioneer in creating a national, very deep university system. ... The U.S. was a pioneer in the interstate highway system. ... We stepped to the plate in the past and made very, very bold investments in the fundamental environment for competitiveness. But right now, we can't seem to agree on any of these things."

Or listen to William Galston, who was instrumental in helping President Clinton bridge the divides in politics. In the New Republic, he argues that the middle is shrinking in politics. In 1992, he points out, Gallup found that 43% of respondents identified themselves as moderates, 37% as conservatives, and 17% as liberals. In 2009, conservatives and liberals were each up 4% and moderates were down by 7%.

Similarly, a study of national election data by Alan Abramovitz found that in 1984, some 41% identified themselves at the midpoint of an ideological scale versus 10% who placed themselves at liberal or conservative extremes. By 2005, the number who identified themselves at the center had dropped to only 28%, while the number at the endpoints had risen to 23%.

We continue to hear that even so, independents have the whip hand in electoral politics and we tend to assume that they are middling in their views, open to argument, and rather homogeneous. But even these assumptions seem doubtful. Frank Rich, for example, highlights a recent Pew survey that suggests that nearly half of independents are actually Democrats (21%) or Republicans (26%) who just shy away from the label, while another 20% are more populist, skeptical Democrats ("Doubting Dems"), 16% are "disaffected" voters with a highly negative view of government, and 17% are "disengaged" altogether. Not exactly a portrait of moderate unity.

Surely there are many sources of the fractures in today's electorate, just as there are many social scientists more qualified to take a crack at explaining them. But one potential contributing factor comes from a fascinating piece in National Affairs by Marc Dunkelman, who fears the winnowing out of so-called "middle-tier relationships" for the American citizen.

These relationships have long been, as Dunkelman puts it, "at the root of American community life," and encompass such different-minded acquaintances as "bridge partners, brothers in the Elks club, fellow members of the PTA." But these connections have withered in recent years, even as we stay close to those like-minded folks who inhabit our inner circles of friends and family, and are connected on an unprecedented scale by technology and social media to those farther away. Without these vibrant, heterogeneous "middle-tier" relationships, Dunkelman argues, it may simply be much harder to build the sense of public trust and unity that allows people to stand up to big challenges together.

The good news is that, as with any self-inflicted wound, the power is in our hands to change course. And indeed there is a growing sense in the country that people are finally getting tired of this particularly rancid level of divisiveness. There is a generation rising -- singled out in a recent TIME Magazine cover story as "The Next Greatest Generation" -- that, led by its young military veterans, is eager to put aside partisan squabbles to get things done.

The bipartisan group No Labels recently convened a conference call with Starbucks CEO Howard Schultz that they reported drew more than 100,000 participants. And even in Washington itself, Lamar Alexander, a senior Republican senator, recently quit his leadership post so he could devote more time to forging consensus and working across the aisle.

So there is cause for hope. In the meantime, it is up to us to continue to hold those in the halls of power accountable for results and not just party orthodoxy, and to expose ourselves to people outside our handpicked inner sanctums, ideas and opinions outside our own ideologies, and even news sources different from our favorites (unless you're a regular CNN viewer, of course).

Politics in this country has always been rough-and-tumble, and so it should be. But as no less a patriot than former Secretary Bob Gates reminded us last Thursday while accepting the Liberty Medal at the National Constitution Center, "The warning given a long time ago by Benjamin Franklin still applies: 'Either we hang together or we will surely all hang separately." That advice likewise applies as much to our representatives in government as it does to those to whom the founders truly entrusted the reins of power -- us.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Authors: Americans bear responsibility for broken government

@highlight

Studies show that the moderate center is being hollowed out, they say

@highlight

Ties that bound communities together are eroding, authors say

@highlight

Gergen, Zuckerman: There's hope that a new generation could reverse the trend