(CNN) -- Sporting an all-black racing suit, Bubacarr Jallow kneels next to his bright red motorcycle to check its oil levels and make sure the nuts and bolts are tightened properly. Satisfied, he hops on his Yamaha AG100 and hits the bumpy dirt road, weaving his way through rugged tracks and treacherous terrain.

Being able to ride along narrow trails and carry out maintenance checks on a motorbike are not talents most health workers in the world need to possess, but for Jallow these skills are crucial.

As a community health nurse, he relies on his two-wheeled companion to reach the isolated villages dotting the Combo Central region in The Gambia, West Africa.

In an area where lack of roads and unreliable transport would typically force patients to spend several hours reaching the nearest clinic on foot or by bicycle, Jallow's durable bike allows him to navigate through the bush to deliver life-saving treatment and health advice to rural communities.

Armed with a medical kit, his routine motorbike round includes visits to at-risk pregnant women and malnourished children. He checks them for any warning signs and, if needed, refers them to the nearest health center. He also distributes mosquito bed nets and food supplements and educates locals about life-threatening diseases such as malaria and HIV/AIDS.

Jallow says all this wouldn't be possible without Riders for Health (RFH), a social enterprise working to transform healthcare delivery across rural Africa and provide outreach health workers with the transport they need.

The UK-based group says it manages a fleet of more than 1,400 motorcycles, ambulances and other trekking vehicles in seven African countries, reaching about 12 million people.

It trains African health workers to drive safely on difficult terrain and teaches them how to carry out simple maintenance checks on their vehicles on a daily basis. In addition, it ensures that there is a reliable supply chain of spare parts, while a network of local RFH-employed technicians services all bikes and cars monthly to make sure they don't break down.

"I received this motorcycle four years ago when it was brand new and I have ridden until now over 50,000 kilometers," says Jallow, whose work covers more than 10,000 people in 13 villages.

"Since I got my motorcycle I have been getting my regular supply of fuel and my motorcycle is being serviced regularly," he adds. "All of this is towards my services within my community within the past four years, so actually it [RFH] has contributed immensely towards the successful implementation of my activities within my circuit."

Millions of lives are lost needlessly every year from easily preventable and treatable diseases across sub-Saharan Africa, according to the World Health Organization. It estimates that some 12,000 children in the continent die daily from illnesses and conditions such as pneumonia, diarrhea, measles, malaria and malnutrition.

In many cases, the vaccines and medicines required for treatment are available but fail to reach the millions of people in need due to unreliable transport.

That's what prompted British racing journalist Barry Coleman and his wife Andrea to put RFH together. It all began after Barry visited Somalia in the late 1980s, where he observed scores of new-looking motorbikes and other vehicles lying broken because of poor maintenance. At the same time, he saw first hand the risks posed to mothers and children due to failed healthcare delivery.

"Barry came back and said there are children in rural communities who really need to be reached because they need immunizations; women are dying in childbirth and then 30, 20, 10 miles away in ministry of health car parks there are motorcycles and ambulances that are simply broken because nobody has been trained to repair them, there's no supply chain of parts, there's no knowledge of transport maintenance," remembers Andrea, a mother of three and former motorcycle racer.

"We said, well, we've got a young family, we've got a mortgage but we really believe in this," she adds. "It made us angry, actually, that women and children are dying in rural Africa simply because an old technology like a motorcycle or an ambulance with this internal combustion engine can't be managed -- well, that's ridiculous, that is crazy."

The two life-long motorcycle enthusiasts made several more trips to Africa and eventually founded RFH in 1996. The award-winning group, which today has some 300 staff across Africa, raises funds at bike events and auctions as well as from charging the governments, agencies and NGOs it works with a not-for-profit fee for its services.

RFH says its work has enabled outreach health professionals to see nearly six times more people and spend double the time with their patients. They can also hold about 3,500 extra health-education meetings a month across the continent.

Moreover, the group has introduced a motorcycle courier service that speeds up the diagnosis and monitoring of patients suffering from TB or HIV and enables them to start treatment early. In one year, RFH says, mobilized health workers have transported more than 400,000 medical samples and test results between rural health centers and labs.

Andrea says the wellbeing of rural communities changes dramatically once they get regular access to health services.

"We have shown that the maintenance of vehicles is absolutely critical if you are going to be able to solve the health issues of rural Africa," says Andrea. "And also we've shown how transport can be run cost-effectively and how local people really benefit when they are trained to a high standard to be technicians because it provides employment in the communities."

In their mid-60s now, the Colemans are still as passionate about improving access to healthcare as they were when they first started RFH.

"What gets me up in the morning is the idea that health workers who are very highly trained -- women and men living across Africa -- really want to get out to their rural communities and make sure that they are healthy," says Andrea. "They can't do that by walking and it makes me really angry that there isn't more emphasis on making sure that transport runs properly."

@highlight

Riders for Health provides motorbikes to improve health care in rural Africa

@highlight

The group manages over 1,400 motorcycles and other vehicles in seven African countries

@highlight

Local technicians maintain the vehicles so they don't break down

@highlight

RFH bikers transport medical samples and test results between rural clinics and labs