When Apple unveiled not one but two new iPhones last month, it was the dawning of a new strategy for the company, which for six years had championed its single iconic smartphone even as competitors rolled out an array of shapes, sizes and features.

But a month later, there are questions about how effective this strategy has been, particularly in regards to the iPhone 5C, the cheaper, colorful plastic counterpart to Apple's higher-end iPhone 5S.

Though some observers see a long game in which the "fun" version of the iPhone will still prove popular, others are skeptical, based on some early signs.

Apple has not released figures breaking down sales of the 5C versus the 5S (An earnings report on October 28 may change that). But independent analysts estimate that the fancier 5S is outselling its candy-colored cousin by 3 to 1 or, in some cases, even more.

Localytics, an analytics and marketing platform creators say samples apps on 1 billion devices, says the 5S is winning 3-to-1 in the United States and a whopping 5-to-1 (72% to 28%) worldwide.

Reports from generally reliable sources in China say Apple has cut production of the phone there, less than a month after it went on sale. C Tech, a Chinese site that ran accurate photos of the iPhone 5C and 5S before they were released, quotes insiders who say daily production of the 5C has been cut in half -- from 300,000 to 150,000.

Part of the problem, some analysts say, is the price.

Although the iPhone 5C starts at $99 with a mobile data plan, many had predicted that it would need to be even cheaper to appeal to buyers in emerging markets like China and India.

In China, where phones aren't subsidized by mobile carriers, the 5C is selling for 3,500 yuan, or about $560.

And though its style is all new, the 5C doesn't sport features significantly upgraded from the iPhone 5, which can be  had for as low as $199. The two-year-old iPhone 4S can be had for free with a data plan.

Sarah Rotman Epps, an analyst with Forrester Research, says that selling the more expensive 5S, which starts at $199, is good for Apple's bottom line in the short term.

"But in the longer term," she said, "it's bad news.

"Apple needs new customers to keep growing, and the 5C was supposed to appeal to a new, more price-conscious consumer," she said. "Turns out that acquisition is a lot harder than retention."

Some retailers have responded by slashing prices on the 5C. This month, Best Buy ran a promotion offering the phone for $50. Walmart has discounted it to $45 through the holidays, and Radio Shack is giving customers who buy one $50 gift cards through early next month.

But some say it's not quite time to write the phone's obituary.

"Rumours on order cuts (or increases) from parts of Apple's supply chain tell us absolutely nothing either way," Benedict Evans, an independent analyst, wrote recently on Twitter. "Too many moving parts."

In another post, he made light of people comparing iPhone 5S and iPhone 5C sales as an indicator of Apple's success.

"iPhone 5S outselling 5C? Apple's growth strategy a failure. Sell!" he wrote. "iPhone 5C outselling 5S? Cannibalisation and (revenue per user) collapse. Sell!"

This year, Apple CEO Tim Cook himself downplayed the amount of weight observers should place in supply-chain rumors.

"I suggest it's good to question the accuracy of any kind of rumor about build plans," Cook said during an earnings call. "The supply chain is very complex, and we have multiple sources for things. ... There is an inordinate long list of things that can make any single data point not a great proxy for what is going on."

And there is something to be said for your top-end phone leading the way. The iPhone 5S has hit the streets to almost universally high marks from both reviewers and users. Apple announced last month that first-weekend sales of both phones combined topped 9 million, a record for the company.

Still, Apple does nothing accidentally. The iPhone 5C clearly was released to appeal to customers in a way that the iPhone 5S couldn't. Only time will tell whether Apple will succeed, but it will need to see improvements before it does.

"Apple has more work to do to attract the next generation of iPhone customers," Epps said. "The 5C isn't resonating as Apple hoped it would."

@highlight

Analysts expected the iPhone 5C to appeal to customers with its low price

@highlight

But, especially in emerging markets, it hasn't been significantly discounted

@highlight

Reports say production has slowed, and retailers are slashing its price

@highlight

But some observers say it's way too early to predict success or failure