Tianjin, China (CNN) -- In a gleaming classroom at Chong Hua High School in the northern Chinese city of Tianjin, students peer at onion slices under microscopes. Their biology teacher calls on Abdurrahman Mamat to explain what he sees.

"Plasmolysis," he replies in perfect Mandarin.

Mamat is Uyghur, a mostly Muslim minority from China's far-west Xinjiang region, and he is thousands of miles from home.

How he ended up in this mostly Han Chinese school is the largely untold story of a grand Communist Party experiment.

For more than a decade, the Chinese government has selected tens of thousands of top minority students from Xinjiang and placed them in high schools in eastern China -- the heartland of the Han, the country's biggest ethnic group. They call it the "Xinjiang Class."

"Eastern China is more developed than Xinjiang and we get to enjoy better educational resources here," says Mamat, closely watched by government minders.

Mamat's journey to Chong Hua High took a well-traveled route.

He was born in the ancient city of Kashgar in southern Xinjiang. Mamat showed academic promise and was shipped to Xinjiang's capital Urumqi for middle school. After passing a strict entrance exam Mamat joined the Xinjiang class.

First time away from home

But he had to look up Tianjin on the Internet to find out where he was going. It was his first time out of Xinjiang.

"At first I wasn't used to the weather, the schedule and eating habits, but the teachers helped us adapt," he says.

Uyghurs' religion, culture and Turkic language separate them from the millions of Han Chinese who have been encouraged by the state to migrate to Xinjiang, helping to exacerbate ethnic tensions in this restive region.

In 2009, that tension boiled over with deadly ethnic riots between Han Chinese and Uyghurs that spilled out onto the streets of Urumqi.

And in recent months, China has been rocked by a series of attacks that the government in Beijing blames on Uyghur separatists. For a Party touting a "harmonious society," this is deeply embarrassing.

The dean of Chong Hua's minority students claims that their program has nothing to do with those "thugs."

"We are just building future talent," says Li Zhenchong.

Political purpose?

But from its inception, the Xinjiang class had an overtly political purpose. Education Ministry documents repeatedly call on the program to educate minority students to "defend the unity of China" and "safeguard national security."

"We are not just educating them, we are cultivating their love for the country," Li admits.

The same could be said for any classroom in Communist China, but for the Xinjiang class, the political indoctrination appears to take on a special urgency.

"The political goal is to try and create a patriotic ethnic minority cadre pool that will hopefully go back to Xinjiang and serve the Party state," says Professor James Leibold, a political scientist at Australia's Latrobe University.

He says the Party could be failing.

"On the ideological front it hasn't succeeded. What we've seen is actually students who participate and graduate at these programs tend to feel more Uyghur than they do Chinese when they come out."

Long-term studies, like those conducted by Timothy Grose, a specialist in Uyghur studies at the Indiana-based Rose-Hulman Institute of Technology seem to back that up.

Grose followed graduates from the Xinjiang class for years and found that they didn't internalize Communist Party ideals. In particular, they appeared to become more religious, not less, despite or perhaps because of the ban on prayer in the program.

At Chong Hua, minority students live together in dorm rooms, they eat in separate Halal cafeterias and often end up forming their own soccer teams.

The school insists there is no division amongst the students.

For Mamat, the Xinjiang Class is the only opportunity to get a strong education and he says he wants to go to college and then back to his home to develop the region.

"This is a really good policy provided by the Party, I am honored to be a part of it," he says.

Q&A: Xinjiang and tensions in China's far west

CNN's Serena Dong contributed to this report.

@highlight

Mamat is Uyghur, just one of many from China's ethnic minorities studying far from home

@highlight

Many have been placed by the government in eastern China, the heartland of the majority Han

@highlight

At the same time, many Han have been encouraged to moved to Xinjiang, where Uyghurs are from

@highlight

This has created tensions that have frequently erupted into violent clashes