To veto or not to veto: It's up to Arizona Gov. Jan Brewer.

She must decide if she is going to sign into law legislation that would allow business owners, as long as they assert their religious beliefs, to deny service to gay and lesbian customers.

If she approves it, the state could face litigation and a boycott, potentially harming Arizona's economy and tourism industry as well as next year's Super Bowl.

Arizona lawmakers pass controversial anti-gay bill

In an exclusive interview with CNN's Dana Bash on Monday, Brewer addressed the aspects she must consider.

"I have a history of deliberating and having an open dialogue on bills that are controversial, to listen to both sides of those issues, and I welcome the input and information that they can provide to me. And certainly I am pro-business, and that is what's turning our economy around, so I appreciate their input, as I appreciate the other side," she said.

Earlier, Brewer told CNN that her decision will come after she returns this week to Arizona from Washington, where she has been attending National Governors Association meetings.

"I have to look at what it says and what the law says and take that information and do the right thing," she said.

The bill was sent to Brewer on Monday and she has five days to sign it, veto it, or do nothing and it would become law.

She has been a conservative champion for much of her five years in office. And if that's any indication, the measure could very well become law. But it's not that straightforward.

Her conservative creds

As secretary of state, Brewer landed the gubernatorial gig in 2009 after previous Gov. Janet Napolitano left her job to head the Department of Homeland Security.

Just over a year into her tenure, Brewer rose to national prominence after signing SB1070 into law, a strict immigration measure also known as the "show me your papers" law that allows law enforcement to ask people for legal documents, which critics say leads to racial profiling of Latinos.

She made national headlines again for wagging her finger at President Barack Obama on a Phoenix tarmac after he stepped off of Air Force One over immigration.

In her bid for re-election in 2012, she won the endorsement of the National Rifle Association, even though her primary opponent sat on the organization's board of directors.

The endorsement was well-earned, as was her A+ rating. Under her, Arizona became one of three states to allow people to carry concealed weapons without a permit. And people can take concealed weapons into restaurants or bars with a permit if no alcohol is consumed.

But her conservative credentials took a bit of a beating last year when she said Arizona would participate in the controversial expansion of Medicaid under the Affordable Care Act.

Many conservative governors chose to opt out, but Brewer called it a "moral" obligation to provide health care for the poor and uninsured.

LGBT record

While social and religious conservatives hope her conservative principles continue to guide her action regarding the LGBT measure, her record on lesbian and gay issues is thin.

Nathan Rhoton, vice president of Equality Arizona, said that Brewer's record on related issues is "largely unproven."

While she vetoed a similar measure last year, it had nothing to do with the content of the bill, but political power plays inside the Arizona state Capitol.

The one substantive time she acted was not on the side of gay rights. She ended domestic partner benefits for state employees, which was a measure her predecessor implemented.

Brewer said the state couldn't afford it, and she defended her decision in court.

"She's been mostly silent on the issue of marriage equality and those types of things," Rhoton said.

LGBT rights: The patchwork states of America

Some insight

Where Brewer has a proven record is in the area of Arizona businesses, cutting regulations and taxes.

And that could provide the clearest signal on what Brewer might do this week.

Some influential business groups in Arizona oppose SB1062, the "religious freedom bill." A letter that numerous business leaders sent Brewer on Monday encouraged her to oppose it.

"After analyzing the bill, we are very concerned about the effect it could have on Arizona's economy," said the letter, signed by the Arizona Chamber of Commerce and Industry, among others. "We cannot support measures that could expose our businesses to litigation, nor do we want to send a message that our state is anything but an open and attractive place for visitors and the top talent that will be the cornerstone of our continued economic growth."

And Brewer is well liked in the business community.

"We believe she's done more than any governor nationwide to improve the economic competitiveness in her state," said Garrick Taylor, a spokesman for the Arizona Chamber. "We know this governor always does what she believes is in the best interest of the state."

And LGBT rights groups hope that her close ties with the business community is enough to persuade her to oppose it.

"This is where we hope her pro-business stance will prevail," Rhoton said.

Growing support

Brewer is also facing growing support for a veto.

Is same-sex marriage no longer a political issue?

Public pressure is mounting. Another major protest took place Monday evening outside the state Capitol. Businesses are hanging signs in their windows that read "open for business to everyone!"

Both Arizona senators, Republicans John McCain and Jeff Flake, have publicly urged Brewer to veto.

And according to the local newspaper in Prescott, state Sen. Steve Pierce, who voted for the measure, is now urging Brewer to pick up her veto pen.

While the measure is not about same-sex marriage, a likely indicator of where Arizonans stand on the SB1062 is a Behavior Research Center's Rocky Mountain Poll from last year. It found that a majority of Arizonans support same-sex marriage.

Kim Fridkin, an Arizona State University professor of political science, noted that "it's an extreme measure even for (conservative) Arizona."

"She'll be viewed more reasonable than liberal" if she vetoes it, Fridkin said.

A spokesman for the NFL, which will host Super Bowl XLIX, in Glendale next February, said the league is watching developments in Arizona.

"Our policies emphasize tolerance and inclusiveness, and prohibit discrimination based on age, gender, race, religion, sexual orientation, or any other improper standard," Brian McCarthy said.

@highlight

The fate of SB1062 rests with Brewer, who says she will "do the right thing" for Arizona

@highlight

She cites her "open dialogue on bills that are controversial"

@highlight

Conservative record might show what she'll do; LGBT advocates pin hopes on business ties

@highlight

NFL, which will host Super Bowl in Arizona next year, says it is monitoring situation But