(CNN)Thanks to the resilience of U.S. workers and businesses of all sizes, "Made in America" is making a comeback.

According to data released last week by the Department of Commerce, American businesses exported $2.35 trillion in goods and services in 2014, hitting a record high for the fifth straight year. The United States sold more to our 20 free trade partners than ever before and logged record exports to more than 50 overseas markets.

This is good news all around -- for our economy, workers and wages. After all, U.S. exports have been one of the primary drivers of America's economic resurgence, contributing one-third of our economic growth since 2009 and supporting 11.3 million jobs in 2013. With those jobs paying up to 18% more, on average, than jobs not related to exports, trade promotion has an important role to play in boosting the incomes of middle class Americans.

Yet America's recovery remains incomplete, and unfair foreign practices are threatening our progress. Today, many of our workers are competing against counterparts in countries that lack basic labor rights. Meanwhile, some foreign governments are further skewing the playing field by providing subsidies and encouraging competition without concern for the environment.

At stake is not merely America's status as a place that makes real things, but more fundamentally, the strength of our middle class and the sanctity of our values. When worker rights aren't respected abroad, the human toll is measured both in American jobs and in a deficit of dignity for workers around the world. Likewise, the absence of environmental protections beyond our borders puts workers and businesses at a competitive disadvantage here at home while jeopardizing the health of our waters, wildlife, air and other treasures that span national boundaries.

In the face of these challenges, trade agreements are among our best tools for defending American interests and values.

Just look at the Trans-Pacific Partnership, an agreement that the United States is negotiating with 11 other countries in the Asia-Pacific and which includes nearly 40% of the global economy. If agreement can be reached, the deal would grow U.S. exports by more than $120 billion a year, one study estimates, and support more well-paying jobs.

Most importantly, the TPP will allow the United States to level the playing field for our workers and businesses in the world's fastest-growing region.  At present, American autoworkers are handicapped by tariffs that can reach 30% in rapidly growing markets such as Malaysia. For their part, American farmers are forced to contend with tariffs as high as 40% on poultry in Vietnam.  In these industries and others, TPP will eliminate or significantly reduce barriers to U.S. exports.

Additionally, TPP will contain the toughest environmental and labor protections of any trade agreement in history, including the first provisions to combat the trade in illegal wildlife and the products of illegal fishing, among other advances.

The benefits of TPP are clear, while the alternative to leading on trade is alarming. In recent years, countries in the Asia-Pacific have struck over 200 trade agreements, while U.S. companies and workers have largely missed out. China has been extremely active, and we cannot afford to sit on the sidelines.

While passing TPP will start a race to the top, ceding leadership to others could result in a race to the bottom. Not leading on trade would undercut our capacity to safeguard labor rights, environmental protections, a free and open Internet, a level playing field between state-owned companies and our private businesses, and a host of provisions which unite America's interests and values.

Getting this done will require unity of effort.  In calling for bipartisan Trade Promotion Authority, President Barack Obama has invited Congress to assert its role on trade and provide guidance to the executive branch, including on issues that have emerged since that authority was last updated in 2002, such as the role of state-owned companies and the digital economy.

As the President said during his State of the Union address, 95% of the world's customers live outside the United States. No savvy entrepreneur would leave that much of the market untapped. Passing a bipartisan trade promotion bill is an important step toward opening those markets, unlocking opportunity for all Americans and advancing the first trade agenda that's as progressive as it is pro-growth.

@highlight

American businesses exported $2.35 trillion in goods and services in 2014

@highlight

Penny Pritzker and Mike Froman: Unfair foreign practices threaten U.S. progress