(CNN) -- Rivalry, dislike, even hatred are common emotions in the workplace. Add testosterone and adrenaline to the pot, stir and you have a potentially combustible concoction -- just ask Boris Becker and Michael Stich.

In August 1992, Becker and Stich had much to celebrate as the duo became the first German tennis team to win Olympic gold -- beating South Africa to claim the men's doubles title in Spain.

The Spanish night was young and Becker had arranged a dinner that night for Stich and a couple of other German athletes, but Becker says his partner preferred to take the first plane out of Barcelona rather than toast their success.

Twenty years on, two of Germany's most celebrated tennis players -- whose personal relationship was limited by an intense rivalry -- have still to raise a glass to their historic win.

"When we won, all I remember was just hugging each other, like we were brothers, but believe me -- that would have been impossible a week prior to the tournament," Becker told CNN.

"Hopefully, one day we will be mature enough to sit down, have a bottle of red wine and just talk (about it).

"You know, I won it because of him and he won it because of me. It's never going to go away so hopefully, we'll be able to celebrate this great achievement one of these years."

The Olympics had come at the height of the duo's rivalry, says Becker, with the pair not just the best tennis players in Germany but also the world, as they vied with one another for major honors.

Only a year earlier, Stich had beaten Becker in the first all-German men's final at Wimbledon.

Yet although the partnership's strength was tested on repeated occasions in Spain, with their last three matches all going to five sets, Stich and Becker came through -- a result of single-minded ambition in their two-man team, says a British sports psychologist.

"Research has shown that their rivalry would not necessarily have affected the outcome because they would still have wanted to win for themselves," says Dan Abrahams.

"There may have been hostility on a social level but it was only what happened on court -- and coming together to achieve their task -- that mattered."

Becker says it was during the quarterfinal against Spain's Sergio Casal and Emilio Sanchez, who were both higher-ranked and playing at home, that the German team finally put their egos aside, once they realized that only teamwork could pull them through.

"When I'm working with teams as a psychologist, I reinforce the concept that if we are going to set team goals then everyone needs to be working together," says Abrahams, who is currently working for Premier League football club Queens Park Rangers.

"It is not the end of the world if players are not friends. Research in sports psychology suggests that players do not have to like each other for a team to be successful."

Down the rabbit hole: Depression in the Premier League

There can be fewer finer examples of that across any discipline than the on-field relationship between former Manchester United strikers Andy Cole and Teddy Sheringham.

During their four years at United, the pair formed a fluid forward partnership that contributed to three league titles, one FA Cup and a European Champions League crown.

All of this was achieved despite the fact that they never talked to one another, with Cole having taken grave offense to a perceived slight from Sheringham during the former's England debut in 1995.

Cole, who is still the Premier League's second highest scorer of all time, said in 2010 that he would rather socialize with a player who broke his leg in two places than "with Teddy Sheringham, who I've pretty much detested for the past 15 years.

"We played together for years. We scored a lot of goals. I never spoke a single word to him.'"

One reason why Sheringham and Cole could channel their enmity for the good of the team was the influence of Sir Alex Ferguson.

The Manchester United manager has handled countless dressing room rows during his time -- and he is not afraid to drop players in a bid to promote competition, as he did last month when benching Wayne Rooney in favor of new signing Robin van Persie.

"Team sports can often be individual sports because each individual is trying to be chosen for the team and garner the manager's attentions, so team sports lend towards some rivalry within the team," says Abraham.

"That can be a good thing for management because if you have two players vying for a place, that brings out the best of them in training, their focus and in matches.

"However, it can be detrimental to their performance on the pitch if they are not working cohesively so it can be a double-edged sword."

Football's most poisonous rivalry? Liverpool and Manchester United's tempestuous past

There are a host of examples of teams that have suffered when protagonists have clashed -- with Dutch footballers regularly falling out before suffering premature exits at major international competitions, their French counterparts doing their best to emulate them in recent tournaments while teams in golf's Ryder Cup and Formula 1 have been undone by feuding stars down the years.

The 2004 Ryder Cup was a case in point as U.S. captain Hal Sutton made an enormous gamble as he paired two very contrasting figures together, in the hope that Tiger Woods and Phil Mickelson could set aside their differences to create a "Dream Team".

A pairing described as making "oil and water look like a perfect match" duly lost both their matches as they helped the Europeans retain the trophy in comprehensive fashion.

Meanwhile, intra-team rivalries have ruined partnerships in F1, with Ayrton Senna and Alain Prost repeatedly at loggerheads during their time together at McLaren in the late 1980s.

Although their two years together resulted in a championship apiece, their frequent clashes -- some of which came on the track -- prompted the Frenchman to leave McLaren, no doubt regretting his decision to persuade the stable to sign Senna as he did so.

Earlier that decade, when one feuding F1 driver (Argentina's Carlos Reutemann) had suggested to a team colleague (Alan Jones) that they bury the hatchet, the Australian's reply -- "yeah, in your back" -- typified the emotions when rivalries run deep.

They have of course spilled over into premeditated physical violence before, most notably when American figure skaters Nancy Kerrigan and Tonya Harding clashed in 1994.

Three years on from winning medals as teammates at the world championships, Harding's bodyguard and ex-husband hired an assailant to break one of Kerrigan's legs ahead of the 1994 U.S. Figure Skating Championships -- a feat Shane Stant failed to achieve, even if he did inflict enough damage to ensure Kerrigan withdrew from a tournament that Harding went on to win.

Despite denying any involvement, Harding was later stripped of her title and banned for life from participating in any further figure-skating events in the United States.

Amid all this dressing room tension as players try to be the main man and with enmity between teammates potentially sinking any team, Abrahams warns that strong friendships between players can also bring complications.

"An element of closeness between players can become a problem for a manager in that they won't demand more from each other. You need to be very robust to be best mates with someone but give them a rollicking from time to time.

"My experience suggests that players who are good mates will give each other a grilling, but they need to be better at their style of communication as this can create trouble."

The "Secret Footballer", a current player who writes anonymously about life at the top of the English game, is in agreement, saying how he has played "in teams where it could be argued that some players were too close to each other and so were unable to really deliver a bollocking when the situation called for it."

Behind the scenes with Graf and Agassi

Abrahams believes the individual nature of tennis, where players are so accustomed to winning and losing by themselves, enables them to deal with any hostility when playing doubles better than those who take part in team sports.

But he does not discount the players' strength of mind.

"Strong characters like Becker and Stich can deal with an intense rivalry but the less robust cannot," says Abrahams.

Indeed, the German duo -- who had a grudging respect for one another -- were admirably successful in temporarily shelving their differences as they united to win gold for their nation.

"Because of our rivalry, we were not that close on a private level," admits Stich.

"But the good thing was we both had one goal. We wanted to win that medal.

"After we both lost in the singles, that was the only chance we had -- as a team. We wanted to win the medal so we had to do well in doubles and we were professional enough to just go on that path."

15-love: Top tennis romances

@highlight

Boris Becker says he has still to celebrate his 1992 Olympic gold medal with doubles partner Michael Stich

@highlight

German duo managed to win gold despite an intense tennis rivalry at the time

@highlight

Top-flight sport is inundated with examples of teams that have suffered when protagonists have clashed