London (CNN) -- During the 1970s, Britain's car industry was the sick man of Europe: many models were poorly designed and built, politicians and the nationalized company management lacked strategic vision while workers were often on strike.

Four decades on, that perception has been turned on its head. Despite the closure of the last British-owned volume car maker, Rover, in 2005, the country is now building near-record numbers of vehicles while the proportion of cars exported is the highest ever.

Belying the moribund state of the global economy, sales of luxury models are now leading the charge. On Monday Rolls-Royce posted its best results in its 107-year-history with 3,538 cars -- which cost upwards of £200,000 ($308,000) -- sold in 2011, a 31% rise over the previous year's figure. This growth is powered by surging demand in Asia: China now joins the United States as the BMW-owned marque's most significant markets.

Look at high-res images of historic Rolls-Royce

"We had an outstanding year in 2011 and we should take a moment to reflect on this Great British success story," said the company's CEO Torsten Muller-Otvos. Rolls-Royce spokesman Andrew Ball told CNN the company was profitable but declined to detail any figures.

The booming Rolls-Royce sales figures come days after its former sister company, Bentley, posted a 37% rise in global sales, also on the back of rising sales to China and the U.S. The Volkswagen-owned company, based in Crewe, in northern England, in 2011 sold more than 7,000 cars, the prices of which start at £133,000 ($208,000).

The rise in output comes on the back of a huge rise in productivity. In the 1970s, 545,000 people were employed in Britain's car factories, making 15 million cars during that decade. Between 2001 and 2011 there were only 133,000 workers in the industry, but they produced 16.1 million cars.

Toyota has recently created 1,500 jobs at its plant in Derbyshire in a £100 million investment while Jaguar Land Rover said it would double the size of its factory on Merseyside providing 1,000 new jobs.

The success of British car makers is echoed by U.S. car makers which are expected to report their first profits since 2004. Most analysts are forecasting better industrywide sales in 2012 and beyond. They see sales rising from 12.8 million in 2011 to between 13.5 million to 14 million this year and close to 15 million by 2014 or 2015.

Detroit automakers are finally making profits

Rolls-Royce's sales figures are the best since 1978 when the company sold 3,347 cars, mainly of the Silver Shadow II model. The latest Rolls-Royce models share many components with BMW models, such as the 7-series, but cost more than twice as much.

Motoring journalist Iain Reid of What Car? magazine said part of the reason behind R-R's success lay in its product range. "If you make the right models people will buy them. The Ghost car is proving successful because it is a bit more affordable and less ostentatious than the Phantom."

The Rolls-Royce brand was doing well, he said, because it married British heritage with BMW's sales and marketing expertise. Reid added that companies such as Nissan, BMW Mini and Honda had good plants in the UK that were building desirable cars. "You can't go wrong with that mix," Reid told CNN.

Industry analyst Paul Nieuwenhuis said that while many customers bought luxury cars "by the meter" -- that is to say they care more about the image than the machine -- modern Rolls-Royce cars were exceptional vehicles. "They are surprisingly agile, and don't feel nearly as big as they actually are. And their attention to detail is unrivaled."

Nieuwenhuis, director of the Centre for Automotive Industry Research at Cardiff Business School, said Britain had a global reputation for building luxury cars. "This is something that we are doing well, despite our own car market doing badly." He added that the Rolls-Royce sales figures showed that "rich people still have money" especially in China.

The rights to use the Rolls-Royce name have been owned by BMW since 1998 when Vickers sold off Rolls-Royce Motors, which also made Bentley cars. Volkswagen paid £430 million for the existing factory in Crewe but did not secure the rights to use the Rolls-Royce name on their vehicles. This was bought from Rolls-Royce plc, which continues to make aero engines, for £40 million by BMW, which built a new plant in Goodwood, West Sussex, in southern England.

@highlight

Rolls-Royce posts best results in 107-year-history with 3,538 cars sold in 2011

@highlight

Bentley posts 37% rise in global sales, on back of rising sales to China and U.S

@highlight

Rise in output from UK car factories comes on back of rise in productivity

@highlight

U.S. car makers which are expected to report their first profits since 2004