(CNN) -- Yes, Americans are stressed over the economy.

A new poll finds that Americans are sleeping less because of economic stress and demands of modern life.

Our day seems shorter, schedules are crammed and precious sleep hours are sacrificed -- tossing, turning or working.

Adding onto that is Daylight Saving Time, which begins Sunday at 2 a.m. when Americans will have to set their clocks ahead by an hour.

Released this week, the National Sleep Foundation's annual poll estimated that Americans get an average of about 6.7 hours of sleep during a weekday.

The annual Sleep in America poll estimated the hours of sleep have gradually decreased.

Over the last decade, the poll indicates that a growing percentage of Americans is getting less than six hours of sleep and the number of people who get eight or more hours is dwindling.

The poll had a margin of error of 3.1 percentage points. National Sleep Foundation is a nonprofit organization of researchers, patients and health care facilities. It said it does not solicit or accept funding for its annual Sleep in America polls.

"In the last few years, we've seen the economy take a nose dive, and more people are affected by that," said Dr. Raj Kakar, a medical director at the Dallas Center for Sleep Disorders. "More people are stressed. Stress is associated with sleep deprivation, anxiety, depression and sleeplessness. The economy is a major factor why people are losing sleep."

The findings echo a survey conducted by the American Psychological Association, which reported last year that 52 percent of 7,000 respondents were losing sleep at night from stress.

Aside from financial anxieties, in just a decade society has become more around-the clock and more complex.

"This has been more insidious over two decades," Kakar said. "With the advent of the Internet, cell phone, Blackberries, we're seeing our society is increasingly 24-7.  People are able to be active at any time from anywhere, and it causes people to be more active around the clock. This increased activity is essentially giving sleep less importance."

The mean hours of sleep on a weeknight dwindled from an average of 7 hours in 2001 to 6.7 hours this year, according to the Sleep Foundation's poll.

It could be that life in 2009 has more distractions, said Dr. David Schulman, the medical director of the Emory Clinic Sleep Disorders laboratory in Atlanta, Georgia.

So what's taking time away from sleep?

"It's been entertainment, Internet, playing games or TV. People have all sorts of distractions they didn't have back then (in previous years)," Schulman said.

Centuries ago, people routinely slept eight to nine hours a day, he said.  But now, only about a quarter in the survey reported getting eight or more hours of sleep.

Doctors warn about the effects of sleep deprivation, such as car accidents, depression, anxiety and cardiovascular problems. Doctors recommend seven to eight hours a day. Schulman likened sleep deprivation to chronic alcoholism.

"When you're chronically drunk, you can't tell when you're drunk," he said  "If you're chronically sleep deprived, you can't tell when you're sleepy. You lose the ability to detect how tired you are. It's not unusual to fall asleep behind the wheel."

But there is contradicting research on how much sleep Americans are getting. John Robinson, a sociology professor at the University of Maryland, challenged the notion that people are sleeping less in the 24-7 treadmill of modern life.

"There has been no decline in sleep. It's been sustained," he said, according to time-use surveys that date back to 1965.

Robinson, a past director of the Americans' Use of Time Project, monitored time-use diaries to track how people spend their day. Since 2003, the Bureau of Labor Statistics and the U.S. Census Bureau have gathered time-use information that has consistently reported that Americans sleep 8.6 hours a day.

Dr. Neil Kavey, director of the Sleep Disorder Center at New York-Presbyterian at Columbia University Medical Center, said the statistic is difficult to believe, especially from his New York City practice.

"I can't believe that people get that much sleep in this busy world of ours," Kavey said.  "I think a lot of people need 8.6 hours of sleep, but I think very few people get it."

The huge disparities in the results from the Sleep Foundation's poll and the government's time diaries could be attributed to different methodologies, experts on each side said.

The Sleep Foundation's annual findings are based on a telephone survey of 1,000 people in which the participants are asked to estimate the number of hours they usually sleep.

Meanwhile, the government's time use surveys ask people to detail hour-by-hour how they spent the previous day. Between 2003 and 2005, about 37,000 people were surveyed.

The time use surveys may overestimate sleep, because sleeplessness such as insomnia, tossing and turning and lying awake are categorized as sleep, said Dr. Chris Drake, clinical psychologist at Henry Ford Hospital Sleep Disorders and Research Center in Detroit, Michigan.

"You may actually sleep four hours, but you're in bed for eight hours," said Drake, who is a board member with the National Sleep Foundation. "They're counting that as eight hours of sleep."

Despite differences in the average hours, researchers and experts agree that stress and work rob a person of  sleep.

During tough economic times, people might work longer hours to avoid the risk of running behind on their workload and the possibility of a layoff.

If a person is working more, he or she borrows that time from sleep.

"That's a bad loan," Kavey said.  "There's a lot of bad loans going around. Borrowing from sleep is a bad way to go."

And modern society gets some of the blame.

"Our society has valued people who brag about being able to function on very little sleep as a mark of someone who is aggressive, dynamic, successful," Kavey said. "Well, forget that. Admire someone who puts focus on sleep and is not making mistakes (from sleep deprivation)."

@highlight

Annual sleep poll estimates Americans get less sleep, averaging 6.7 hours a day

@highlight

Experts: Society has become 24-7, more complex

@highlight

Government research, private polling differ on sleep findings