(CNN) -- Is the much-loved Piaggio Vespa more iconic than the floppy disk? Is the iPod more of a design classic than the Airbus A380?

These are the questions we put to some of the world's greatest designers when we asked them to nominate what they believe to be the most iconic industrial design from the last 100 years.

This Saturday, the international design community will celebrate World Industrial Design Day. To mark the event, CNN spoke to Gianfranco Zaccai, CEO of global design and innovation consultancy Continuum. Zaccai and his team have been behind some of the most well-known products of the last three decades -- including the iconic Reebok Pump -- and have worked with brands including American Express, PepsiCo and Samsung.

CNN asked the celebrated innovator about his views on what constitutes good design at the turn of the millennium. What do you think are the most iconic designs from the last 100 years? Let us know in the comments section below.

CNN: What are the three most important principles of good product design?

Gianfranco Zaccai (GZ): I think these three principles apply to not just product design, but good design in general:

1. Empathy: empathy is a realization that you are not designing for yourself but for others. You have to get into the lives of the people who will use it.

2. Pragmatism: realize there are some things you have to deal with to fulfill this type of product or service. It has to fulfill the performance requirement, it has to be cost effective and it has to be producible -- all things you can quantify.

3. Passion: if you just stop at what you can quantify and measure you haven't gone far enough. Think about a great meal you have had. It's not just the ingredients that make it great, but the creativity and sensitivity of cook that makes it special.

CNN: How do you keep the spirit of innovation in your company alive?

GZ: First and foremost it's about hiring really good, talented people who think holistically about understanding people's lives and then solving problems in a rational and emotional way. It's about surrounding yourself with people with different skill sets and sensibilities where they stimulate and inform each other. The best outcomes come from bringing two or more sensibilities together and the end result is more than the sum of the two people.

CNN: What's the best way for an amateur designer to turn a great idea into a reality?

GZ: In my mind, there are no amateur designers. They love what they do, they just may not be getting paid for it yet. There are lots of different people who didn't study engineering or design who come up with great ideas. The important thing is for them to step outside of themselves and understand what they are sensing may be reflective of a broader need. They should see what they can perceive about a certain context and come back and re-look at their idea.

Then it is time to take it further. Don't be afraid to share it with others who can help make it stronger. The most difficult thing about vetting new ideas is knowing which idea is truly great and which one of those are truly deployable, and then making it real by addressing all of the functional, emotional and cost issues.

And lastly, having the perseverance to overcome the organizational obstacles in getting that innovation into a socioeconomic system where it can be disseminated and revenue generating. You have to be able to see the opportunity, develop it, support it and promote it and, almost always, you need creative partners to do all of it. To be the innovator and champion of the original vision is where the passion of an amateur comes in.

CNN: How does the environment you work in affect creativity?

GZ: An environment is important but it's not just one environment or office that fosters creativity. We allow people to work in different ways. Some space allows our team to work where they can be introspective and concentrate deeply and others that are more collaborative and allows them to interact with others both physically and virtually.

CNN: Is product design a science or an art?

GZ: It's neither science nor art but some of both. Design tries to leverage scientific and technological opportunities and limitations with an understanding of human beings and their psychological, social, and cultural context. Design is about identifying real needs and desires; solving problems while connecting with people emotionally. Design is about making a positive difference in people lives, which they embrace because of the holistic value it provides. It's functional, fun, enjoyable, uplifting and sustainable.

CNN: What are the most common mistakes people make when designing a new product?

GZ: I think the most common mistake that people make when designing something new is not really understanding the true issues and thinking that design is all about aesthetics.

CNN: What's the best piece of advice anyone has ever given you?

GZ: "You don't know what you don't know." A young engineer said that to me once and it's really true. The idea of not starting off anything as "the expert", even if you happen to know a lot about it, is a good way to create new paradigms and not just repeat the past.

@highlight

Top designers nominate most iconic industrial design from the last hundred years

@highlight

Escalator, floppy disk, iPod and Airbus A380 among the nominees

@highlight

Gianfranco Zaccai, CEO of design consultancy Continuum, nominates the Piaggio Vespa