(CNN) -- Superstorm Sandy has taken a tragic toll on the residents of the mid-Atlantic's barrier islands. All along the coast, hundreds of homes were lost, and thousands of people still have no power after Sandy wreaked havoc. The impact is not unlike many other destructive recent storms in the United States, such as Ivan, Katrina and Ike. So what can be done?

In their natural state, the barrier islands that line about half of the U.S. coast, including most of the region affected by Sandy, are mobile and change constantly in response to wind, waves, tides and sea level. In fact, these islands owe their very existence to storms and the long-term rise in sea level of the past several thousand years.

But much of today's coastline is a complex hybrid of a natural, dynamic landform overprinted with decades of immobile human development. Taking the dynamic nature of these barrier islands into account as we rebuild after major storms can help reduce the vulnerability of the local infrastructure to the inevitable next big storm.

Beaches and dunes are the first line defense from ocean waves and storm surge, protecting the island's interior. When dunes erode and fail, much of the sand is carried up onto the island as overwash. While a failed dune in a coastal community makes it more exposed to the next storm, dune failure can make an undeveloped barrier island stronger by adding elevation to its core. This is how the barrier islands were built in the first place.

During Superstorm Sandy, broad swaths of the coastline from North Carolina to Massachusetts experienced dune failure and massive overwash. The sand washed onto and across the barrier islands, filling roads, yards and living rooms. This overwash sand instantly added several feet of elevation to the islands. On a natural barrier island, this new elevation reduces the chance of inundation from the next storm. And as New Yorkers learned, a couple of feet can make all the difference between inconvenience and catastrophe.

As the army of bulldozers and other earth-moving equipment deployed along the coast suggests, current efforts appear headed to restore the islands to their pre-storm state. Pushing the sand off the streets and back onto the beach removes the elevation that would have added freeboard above future floods. On a developed shore, this excavation of the roads is absolutely necessary to regain the dunes that are the first line of defense. But, everyone must understand that by resetting the island back to pre-storm conditions, the long-term risks are increased.

Then there is the issue of rising seas. Sea level has risen 6 to 9 inches along the New Jersey coast since the last big storm in 1962 (the Ash Wednesday storm). Some residents say the 1962 storm barely reached their doorstep, while this time Superstorm Sandy flooded them by a foot. Although Sandy and the 1962 storm differ in their details, 50 years of sea-level rise certainly allowed water to reach areas that would not have been reached otherwise.

What we know about storms, sea-level rise and barrier island response can be applied to redevelopment of the New Jersey coast.

We can either try to thwart the natural response -- requiring increasing investment in construction and maintenance of storm protection structures -- or adapt by relocating farther away from the beachfront and upward as the barrier islands move.

There is historical precedent for adaptation by moving. In New Jersey, some pre-WWII beachfront communities had moveable houses. In 1888, the Brighton Beach Hotel on Coney Island was moved several hundred feet back from the ocean by six steam locomotives.

There are difficult choices to be made in our response to Superstorm Sandy. Doing nothing other than rebuilding is an easy choice and least expensive in the near-term, unless the next "superstorm" comes next year, or even this winter. Hundreds of miles of the East Coast where dunes were eroded or no longer exist are now more vulnerable than ever.

Protecting the entire coast with coastal structures like sea walls is not feasible or even desirable; there are aspects of coastal armoring that have negative consequences.

A practical response will be a blend of all the realistic options. This requires identifying which areas can adapt best, prioritizing which will receive the most protection and which will receive the least, or even none. This will be a challenging process.

But, if undertaken jointly by citizens, policymakers and scientists, it could be a refreshing response and yield a coastal environment that is more resilient and economically and environmentally sound.

The opinions expressed in this commentary are solely those of E. Robert Thieler, Nathaniel G. Plant and Hilary F. Stockdon.

@highlight

E. Robert Thieler, Nathaniel Plant, Hilary Stockdon: We need a solution after Sandy

@highlight

They say during Superstorm Sandy, coastlines experienced massive overwash

@highlight

Restoring the barrier islands to their pre-storm state increase long-term risks, they say

@highlight

Thieler, Plant, Stockdon: It's better to move up and away from the beachfront