(CNN) -- President Obama on Tuesday outlined an ambitious agenda that requires "significant resources," even as he aims to halve the deficit by the end of his first term.

President Obama says the United States will overcome 
its current economic struggles.

In his first speech to a joint session of Congress, Obama said it's time to act boldly not just to revive the economy, but "to build a new foundation for lasting prosperity."

"While the cost of action will be great, I can assure you that the cost of inaction will be far greater," he said.

The president struck an optimistic tone, asserting that "we will rebuild, we will recover, and the United States of America will emerge stronger than before."

Obama focused on the three priorities of the budget he will present to Congress later this week: energy, health care and education.

The president said he sees his budget as a "vision for America -- as a blueprint for our future," but not something that will solve every problem or address every issue.  Watch Obama lay out his plan to "save our children from debt" »

"It reflects the stark reality of what we've inherited -- a trillion dollar deficit, a financial crisis, and a costly recession," he said.

Obama said his administration already has identified $2 trillion in government spending cuts that can be made over the next decade.  See video highlights of the speech, issue by issue »

The president touted the $787 billion stimulus plan he signed into law last week, saying it will invest in areas critical to the country's economic recovery. He also made bold promises for what these investments will achieve.

Obama predicted that because of the recovery plan, the United States will double its supply of renewable energy in the next three years.

He also said the country will invest $15 billion a year to develop technology for green energy.  Grade Obama's speech »

Obama also pledged a "historic commitment" to health care and said the recovery plan could lead to a cure for cancer. He also promised the "largest investment ever" in preventive care.

On education, Obama set a goal of having the highest college graduation rate in the world by 2020.

He pointed to the billions for education -- from early childhood education expansion to college-loan programs -- in the economic stimulus package to ensure that every child has access to education "from the day they are born to the day they begin a career."

Obama also said his budget will pay for more soldiers and Marines, increase their pay and expand veterans health care and benefits. iReport.com: Did Obama really deliver?

Obama said the recovery plans already in the works are immediate steps to revive the economy in the short-term, "but the only way to fully restore America's economic strength is to make the long-term investments that will lead to new jobs, new industries, and a renewed ability to compete with the rest of the world."

"Slowly, but surely, confidence will return, and our economy will recover," he said, asking Congress to join him in "doing whatever proves necessary because we cannot consign our nation to an open-ended recession."

Obama promised to reform the regulatory system to "ensure that a crisis of this magnitude never happens again."

The president also signaled that he was willing to take on entitlements, saying that Congress must take on the growing costs of Medicare and Social Security.

Obama described the nation's financial woes as a "reckoning" for poor decisions made by both government and individuals.  Watch what Obama says about the "day of reckoning" »

"A surplus became an excuse to transfer wealth to the wealthy instead of an opportunity to invest in our future," Obama said.

"Regulations were gutted for the sake of a quick profit at the expense of a healthy market. People bought homes they knew they couldn't afford from banks and lenders who pushed those bad loans anyway. And all the while, critical debates and difficult decisions were put off for some other time on some other day."

Noting that is easy to "become cynical and doubtful," Obama said he has learned that "hope is found in unlikely places."

Obama avoided lofty rhetoric and instead used examples of specific people to personalize his points.

Abess is a bank president from Miami, Florida, who reportedly cashed out of his company, took a $60 million bonus and distributed it among people who had worked for him.

Bethea is an eighth-grade girl from South Carolina who, in a letter to lawmakers, asked for help for her school and said, "We are not quitters."  Watch Obama talk about Bethea saying "We are not quitters" »

While the economy was the focus of the speech, Obama also touched on foreign policy.

The president said he'll soon be laying out specifics on how to win the war in Afghanistan and end the one in Iraq.

"We are now carefully reviewing our policies in both wars, and I will soon announce a way forward in Iraq that leaves Iraq to its people and responsibly ends this war," he said.  Watch the entire speech »

Meanwhile, he said, both Afghanistan and its border with Pakistan will remain a key focus.

Because Obama's presidency is just a month old, the speech is not technically considered a State of the Union address. The annual State of the Union speech is delivered in the House of Representatives before members of both the House and the Senate as well as the justices of the Supreme Court, the president's Cabinet and international dignitaries.

CNN's Kristi Keck contributed to this report.

@highlight

"We will rebuild, we will recover," Obama says

@highlight

Obama's budget priorities are energy, health care and education

@highlight

Obama says budget will pay for more soldiers and Marines

@highlight

Gov. Jindal calls stimulus bill "irresponsible" in GOP response