(CNN) -- Media magnate Rupert Murdoch will meet journalists at his News International subsidiary in London Friday, to take charge of the crisis surrounding the embattled Sun newspaper, with some speculating whether he will "sacrifice" UK staff to prevent the controversy from spilling across the Atlantic.

"At the moment it appears he is ready to sacrifice the journalists and journalism in London to do whatever it takes to be seen to be cleaning up his act there so that it will play better in the United States," Andrew Neil, a former editor of Murdoch paper The Sunday Times, told CNN. "The consequence of that is quite amazing -- The Sun, which is the most loyal newspaper Murdoch has ever owned -- now believes it is being hung out to dry and the Sun journalists are turning against them."

Murdoch issued a personal assurance to one of his executives that he'll continue to own and publish The Sun newspaper, according to an internal staff memo sent by News International Chief Executive Tom Mockridge.

Allegations of pay-offs to public officials by Sun employees -- five of whom were arrested Saturday -- threatens to bring the UK crisis across the shores to the U.S., where the Foreign Corrupt Practices Act prevents companies from paying bribes overseas.

"This is for Rupert Murdoch no longer about journalism. This is about defending News Corp., his American based parent company, from judicial action and investigation in the United States," Neil said.

Such actions could put broadcast operations, the most profitable part of the News Corp. operations, in jeopardy, said Porter Bibb of Mediatech Capital Partners in New York.

"If it can be proven that anybody working for News Corp. bribed or gave money to an official of a foreign government -- i.e. the UK -- that's a clear violation and the Justice Department will start the wheels in motion, and I think that's what Rupert Murdoch has been gearing up for in the past few months," Bibb said.

All of the Sun employees were released on bail, and none so far have been charged.

A wave of scandals

This latest controversy surrounding Murdoch newspapers in the UK also raises a larger issue of journalists protecting confidential sources and paying to get information.

If the case moves to the U.S., it raises the specter of anti-bribery laws in a showdown with the First Amendment, which protects freedom of the press.

"It's really ironic that the greatest threat to freedom of the press in Great Britain today, and around the world today perhaps, has come from Rupert Murdoch because of his excesses," said Carl Bernstein, the Pulitzer-Prize winning journalist who, along with Bob Woodward, broke the Watergate series of stories that eventually led to the resignation of U.S. President Richard Nixon.

The arrests of the Sun employees comes after Murdoch-owned newspaper News of the World was found to have hacked into private voice mails of a widespread range of public officials, celebrities and victims of crime. The phone-hacking scandal prompted Murdoch's son, News Corp. executive James Murdoch, to shut down News of the World in July. The best-selling British newspaper was 168 years old.

So far, News Corp. and its subsidiary companies have paid more than $200 million in legal fees and settling of 59 of 60 lawsuits that have been filed in the phone hacking case.

Phone hacking: How the scandal unfolded

James Murdoch is now facing new e-mail evidence that would have made him aware of widespread phone-hacking at the newspaper. The younger Murdoch has appeared twice before a UK investigatory committee and said he has no knowledge of the practice.

While Murdoch started in newspapers, the UK division of his News Corp. empire -- which includes movie studio 20th Century Fox, the Fox Broadcasting Company and Harper Collins Publishers -- is only a $1.6 billion slice of the $32 billion empire.

Dark side of the Sun

"I can't imagine a corporate crisis that is larger than this," said Michael Wolff, a contributing editor to Vanity Fair and author of "The Man Who Owns the News: Inside the Secret World of Rupert Murdoch."

"There are essentially two parts of the company: There's the American company which comprises most of the assets and earnings, and then there is the British company that is composed mostly of newspapers," Wolff told CNN. "That's kind of a legacy company. It's one of the places where Murdoch got his start and one of the places where his heart is.

"Most of the News Corp. executives in America have been saying for a long time, `why do we have newspapers?'" Wolff said. "The legal jeopardy of his son and heir, James Murdoch, gets more and more dire every day. I think they need to do something big and final, and I think it's going to be getting rid of his UK business."

The Sun's editor, Dominic Mohan, has said the paper has a readership of more than 7.7 million.

Paying for stories

The arrests of journalists have spread alarm, and prompted an editorial by the Sun that police dawn raids against its journalists were part of a "witch-hunt" that had left Britain behind former Soviet states on press freedom. But there is a sense that the practices that helped Murdoch build his media empire are now threatening to bring it down.

"This is a system that Rupert Murdoch set up, these are his values that the Sun has practiced, let's not kid ourselves about it any more than the atmosphere in the Nixon White House was about his aids and underlings," Bernstein said. "It's both a tragic story and story of real corruption -- institutional corruption, moral corruption of a journalistic institution, but at the same time we need to protect the principal of protecting sources."

"Rupert Murdoch had tabloid view of journalism, probably still does, that you do whatever it takes to get the story. The end will justify the means. You've got to destroy the competition," said Neil, who worked with Murdoch for 11 years.

Bernstein said there are circumstances where paying for information is permissible. "Such as if you are in Bosnia and you say to somebody, 'take me to a mass graves, I want to see the mass graves site'. (But) is it permissible while following the royals around to say, 'here's 100 pounds, tell me what the royal family was doing last night'? No. But at the same time, these bums ought to be protected along with those who practice real journalism.

CNN's Peter Wilkinson, Dan Rivers, Atika Shubert, Max Foster, Richard Quest, Felicia Taylor and Soledad O'Brien contributed to this story

@highlight

Rupert Murdoch expected Friday to meet with employees of the Sun newspaper

@highlight

Five Sun employees were arrested Saturday on allegations of bribery

@highlight

Law prevents U.S. firms like News Corp to bribe officials in foreign governments

@highlight

Wolff: Pressure growing inside New Corp to shed its UK newspaper business