(CNN) -- A severely disfigured woman received the nose, cheeks, upper jaw and facial tissue from a female cadaver in the first near-total face transplant in the United States, the woman's surgeon said Wednesday.

Cleveland Clinic doctors replaced 80 percent of a woman's face two weeks ago in the first such U.S. surgery.

The 22-hour face surgery was completed two weeks ago by a team of eight surgeons at the Cleveland Clinic.

The patient had severe deformity in the middle of her face and was missing her right eye and upper jaw, the Cleveland Clinic doctors said. She could not taste or smell, and she had trouble speaking.

Dr. Maria Siemionow, the head of plastic surgery research at the Cleveland, Ohio, hospital, said many people are "hiding from society because they're afraid to walk to the grocery stores; they're afraid to go to streets because they're called names and humiliated."

"Our patient was called names, and our patient was humiliated," she said. "We very much hope for this special group of patients, there is hope, and one day they will be able to go comfortably from their houses and enjoy the things which we take for granted."

The patient is doing well, the doctors said.  Interactive: More details of the surgery »

Details about the recipient, including her name and age, were withheld at her request.

In the surgery, 80 percent of the woman's face was transplanted. The forehead and chin were left intact.

In this transplant, tissue from the donor's face was shaped and fitted into position. Multiple layers of tissue, bone, muscles and blood vessels, nerve grafts and each artery and vein were connected.  Watch an explanation about face transplants »

"Our hope is she should be able to smile again," said Dr. Frank A. Papay, chairman of the Dermatology and Plastic Surgery Institute at the Cleveland Clinic.

With physical therapy, surgeons hope the patient will regain her ability to smell and blink and will have other facial functions.

Siemionow said the patient never saw a photo of the donor and said, "the donor never looks like the recipient. The recipient never looks like the donor."

Siemionow had medical and ethical clearance for a full facial transplant since 2004. She said it has taken 20 years of research and four years to find the right patient who understood the risks involved.

The doctors' approach from the beginning was to consider "only patients who are the most disfigured" and had "exhausted all existing procedures," Siemionow said.

"This patient exhausted all conventional means of reconstruction and is the right patient," she said.  Watch Dr. Siemionow in the news conference. »

Dr. Eric Kodish, the professor and chairman of the Cleveland Clinic's Department of Bioethics, said doctors thought she would adhere to medications after the surgery.

"This patient had very robust decision-making capacity," he said.

Like with all transplants, there is a risk that the recipient's body could reject the graft. The doctors say they haven't seen any such signs.

The transplant recipient has to take immune-suppressing drugs for the rest of his or her life to prevent rejection of the donated tissue.

In the past three years, facial transplants have been completed in France and China, but these cases have raised medical and ethical questions. Read about the first facial transplant

Some candidates for a face transplant are survivors of trauma, such as burn or accident victims, who have exhausted all other reconstructive possibilities.

The recipient in France, Isabelle Dinoire, had been mauled by a dog, and the Chinese man, Li Guoxing, was attacked by a bear. Both received major facial disfigurements.

In 2007, a French team performed the third partial facial transplant on a man who was disfigured by a genetic disorder that created large tumors on his face. Watch a 2006 report about China's first face transplant

Guo Shuzhong, the face transplant doctor who handled Li's case, confirmed to CNN that he died in July of unknown causes. Li last visited the hospital in summer 2007, and he stayed in his hometown in Yunnan province.

The doctor told CNN that Li had a checkup in a small hospital in his hometown three weeks before his death but that no health problems had been found. Watch an ITN report about the Li's case

The facial transplants in France and China generated much controversy as questions arose about whether the patients were adequately vetted and informed about the risks. Those procedures have been "under an ethical cloud," said David Young, a professor of plastic surgery at the University of California, San Francisco.

The current face transplant patient understood the risk of rejection and of immunosuppressants, doctors said.

Criticism of facial transplants

Critics such as Peter A. Clark, director of the Institute of Catholic Bioethics at St. Joseph's University in Philadelphia, Pennsylvania, said a facial transplant introduces unnecessary risks for a procedure that is not a matter of life and death.

"With something like a liver or kidney transplant, it's a life or death transplant," Clark said. "Even with a kidney or liver [transplant], you have to be put on immunosuppressants with serious side effects."

Bioethicist Dr. Arthur Caplan, chairman of the University of Pennsylvania's Medical Ethics Department, said Wednesday on CNN's "American Morning" that he initially had similar qualms about the facial transplant, which improves the quality of a life rather than saving it, but was gradually convinced.

People with major facial disfigurements "don't come out and basically stay at home and have a huge suicide rate," Caplan said. "They're really up against it."

At the news conference Wednesday, Kodish said the transplant had "abundant moral justification": the face as a personal embodiment as self.

He added that people with disfigurements are often isolated and suffer tremendously and that this case was "not cosmetic surgery in any sense."

Patient's reaction

Doctors at the Cleveland Clinic said that because the patient has limited vision after the surgery, she has yet to see herself.

"At this point she can't see herself but can feel her face," Siemionow said. "She was happy when she could go over her face" and could feel that "she has a nose, she has jaws and has a full face."

After the surgery, the patient was heavily sedated from being on the breathing machine.

As she was slowly awakening, medical staff members asked her how she was feeling and whether she was comfortable.

"She gave a thumbs up, first indication she was comfortable," said Dr. Chad Gordon, a fellow at the clinic's department of plastic surgery. "She has been speaking to us very slightly. Most of communication has been through writing."

Siemionow said the patient will need re-educate her facial motion and need three to six months of nerve regeneration.

CNN's Miriam Falco and Judy Kwon contributed to this report.

@highlight

Reconstructive surgeon Dr. Maria Siemionow led face transplant team

@highlight

Eighty percent of trauma patient's face reportedly transplanted

@highlight

Siemionow has had clearance to perform full facial transplant since 2004

@highlight

Previous transplants have come under ethical cloud, professor says