(CNN) -- For years, Alfonso Torress-Cook followed the rules in his quest to eliminate hospital-acquired infections. Patients at his hospital received large doses of antibiotics and were scrubbed down with alcohol-based soaps, as he and his colleagues aimed to kill every bacterium possible. Search and destroy was the mantra.

By upending conventional wisdom, Alfonso Torress-Cook was able to slash hospital-acquired infection rates.

Still, patients became sick with bacterial infections after checking in. Some died.

"I never saw anything change. I saw things getting worse," Torress-Cook said.

Torress-Cook eventually joined Pacific Hospital of Long Beach, in California, where as director of epidemiology and patient safety, he changed the rules and slashed the number of patients who become infected.

Torress-Cook is part of a growing movement in medicine that no longer accepts hospital-acquired infections as inevitable complications. Every year, such infections sicken 1.7 million and kill 99,000 people in the United States.

At Pacific Hospital, Torress-Cook doesn't go after all bacteria, just the dangerous ones.

The staff members at the 184-bed hospital use antibiotics sparingly, feed patients yogurt to replenish healthy bacteria in the gut and bathe patients daily, using a soap that maintains the natural pH of the patient's skin, killing only bacteria that don't belong there. Meet some of the people fighting hospital-acquired infections »

Torress-Cook is also obsessive about hygiene: Nurses clean under patients' fingernails and brush their teeth daily. He also enlisted the hospital's cleaning crew as part of the infection-fighting team. Rooms receive a thorough cleaning every day -- more than simply emptying the trash and mopping the floor, he says.

Under Torress-Cook, Pacific Hospital's infection rate for the so-called superbug MRSA is down to 0.01 per 1,000 discharges, 430 times better than the national average.

Approximately one out of every 22 patients who checks into a U.S. hospital acquires a bacterial infection, adding more than $28 billion to health care costs, according to a 2009 report from the Centers for Disease Control and Prevention.

But there are signs of improvement. Pennsylvania, which requires the most extensive reporting of hospital-acquired infections, saw the annual rate for all infections drop 8 percent, according to the most recent figures available from the Pennsylvania Health Care Cost Containment Council.

And there are other signs of progress. The development and use of a simple checklist for a common procedure that threads a so-called central line to supply medicine directly to the bloodstream has been extraordinarily effective.

The checklist made central line infections almost nonexistent at the 108 intensive care units in Michigan that adopted it. More than 1,700 lives -- and $246 million -- were saved in the first three years the checklist was adopted, according to the state hospital association.

The checklist is now being adopted in all 50 states and three countries: the United Kingdom, Spain and Peru, says checklist designer Dr. Peter Pronovost, from Johns Hopkins University and Hospitals.

At hospitals large and small, raising the head of the bed for patients on ventilators, brushing patients' teeth and taking other precautions have dramatically reduced ventilator-associated pneumonia, another common and costly infection.

Mercy Hospital in Coon Rapids, Minnesota, has used these techniques to cut its ventilator-associated pneumonia rate by more than half, to 2.7 cases per 1,000 ventilator days.

"Our goal is zero," says Michelle Farber, a registered nurse who is Mercy's senior infection preventionist.

Simply requiring hospitals to report their infections has forced them to be more accountable to their patients, says Lisa McGiffert, who heads Consumers Union's Stop Hospital Infections campaign, which among other things has pushed for more transparency.

Twenty-six states now have laws requiring hospitals to report rates for urinary tract and other infections.

Paul Levy, CEO of Beth Israel Deaconess Medical Center in Boston, Massachusetts, is a big fan of publishing infection rates. He puts the hospital's rates on its Web site and on his blog. Simply putting the spotlight on hospital-acquired infections keeps the staff focused, he says.

Hospitals also have a new financial incentive to cut infections.

As of October 1, 2008, Medicare no longer pays hospitals for the added costs incurred by patients who develop catheter-related urinary tract infections and other catheter- or surgery-related infections.

McGiffert says there's been a cultural shift in the past five years.

"I think it's moving us toward eradication of infection or at least where infections are rare and will not be accepted," she says.

@highlight

Every year, hospital-acquired infections sicken 1.7 million, kill 99,000 in U.S.

@highlight

They add more than $28 billion to health care costs annually

@highlight

Small changes -- using a checklist and brushing patients' teeth -- can lower rates

@highlight

Expert: Attitude is slowly shifting away from accepting infections as inevitable