Dozens of armed men seized the regional government administration buildings in Ukraine's southern Crimean region Thursday and raised the Russian flag in a challenge to the Eastern European country's new leaders.

Crimea, a Black Sea peninsula with an ethnic Russian majority, is the last big bastion of opposition to the new political leadership in the capital, Kiev, after President Viktor Yanukovych's ouster Saturday.

The seizure, coming a day after Russia ordered surprise military exercises on Ukraine's doorstep, has raised fears about the push and pull of opposing allegiances in a country sandwiched between Russia and the European Union.

There's a broad divide between those who support developments in Kiev -- where parliament was voting on an interim West-leaning, national unity government Thursday -- and those who back Russia's continued influence in Crimea and across Ukraine.

Yanukovych issued a defiant statement to Russian news agencies condemning the interim government in Kiev and calling everything happening now in the Ukrainian parliament illegitimate, Russian state news agency RIA Novosti reported Thursday.

According to RIA Novosti, anonymous government sources said Thursday that Yanukovych was in Russia and that Russian authorities have accepted his request for security. A warrant has been issued for his arrest in Ukraine.

Yanukovych will give a news conference Friday in the southern Russian city of Rostov-on-Don, Russian state media reported. If so, it would be the first time he's been seen in public since fleeing Kiev. CNN has not independently confirmed Yanukovych's whereabouts.

Secession fears about Crimea

Concerns are building that the tensions in the autonomous Crimean region might escalate into a bid for separation by its Russian majority.

Pro-Russian members of the Crimean parliament dismissed the government of Crimean Premier Anatolii Mohyliov in a vote of no confidence Thursday, his spokesman Andrey Demartino told CNN. He said Mohyliov would respect the parliament's decision, despite many procedural irregularities.

The lawmakers also voted for a referendum on May 25 on greater autonomy for the region within Ukrainian territory, he said.

Only pro-Russian lawmakers were present in the parliament building, still occupied by apparently pro-Russian gunmen.

Demartino quoted Mohyliov as saying the responsibility for Crimea's future stability rests with parliament.

Crimea was handed to Ukraine by the Soviet Union in 1954. Just over half its population is ethnic Russian, while about a quarter are Ukrainians and a little more than 10% are Crimean Tatars, a group oppressed under former Soviet leader Josef Stalin.

Many are struggling to come to grips with the rapid political upheaval, and scuffles have broken out between rival groups -- one pro-Russian and the other supporting the new authorities in Kiev -- in the Crimean capital of Simferopol.

New Ukraine Prime Minister's appointment

Back in Kiev, lawmakers approved opposition leader Arseniy Yatsenyuk of the Batkivshchyna, or Fatherland, party as Prime Minister.

Yatsenyuk, who has been both economic and foreign minister in past governments, told reporters that Yanukovych "is no longer the President, he is the person under investigation and accused of crimes against humanity," state news agency Ukrinform reported.

The new Prime Minister told parliament that he cannot promise to turn things around quickly and that there is likely to be pain in the short term as the cash-strapped country seeks to get back on track.

He also made clear that he believes the country's future rests in closer ties to Europe, not Russia. "The key task for the Ukrainian government is European integration," he said.

"It means a visa-free regime for the Ukrainian citizens, and it means an agreement with the European Union on political and economic integration; agreement on a fully fledged free trade zone. The future of Ukraine is in Europe, and Ukraine will become a member of the European Union."

Yanukovych's decision to scrap a European Union trade deal in favor of one with Russia prompted the protests, which began in November. Those protests devolved last week into bloody street clashes between demonstrators and security forces that left more than 80 people dead.

International Monetary Fund chief Christine Lagarde said Thursday her organization was ready to respond to a request for assistance from Ukrainian authorities and would send a fact-finding team to Ukraine to assess the situation and discuss potential reforms. "We are also discussing with all our international partners -- bilateral and multilateral -- how best to help Ukraine at this critical moment in its history," she said.

Ukrainian authorities anticipate the country will need about $35 billion in foreign assistance by the end of 2015.

U.S. concerns about Russian military exercises

As Ukraine's interim leaders work to restore stability, U.S. Defense Secretary Chuck Hagel, speaking at a meeting of NATO defense ministers in Brussels, Belgium, urged all parties to avoid "provocative actions" in Ukraine.

And he warned that the United States was keeping a sharp eye on Russia in light of its recent moves.

"I'm closely watching Russia's military exercises along the Ukrainian border," he said. "I expect Russia to be transparent about these activities, and I urge them not to take any steps that could be misinterpreted or lead to miscalculations."

This, he said, "is a time for very calm, wise leadership on the Russian side, on everyone's side here."

U.S. officials earlier told CNN that the Russian military exercises were making U.S. military and intelligence agencies concerned that Russia may be positioning ground forces to be able to move across the border into Ukraine if Moscow issued such orders.

Russian Defense Minister Sergey Shoigu has said the exercises are being conducted to check "combat readiness."

U.S. Secretary of State John Kerry said his Russian counterpart, Foreign Minister Sergey Lavrov, offered reassurances Thursday that military exercises were previously scheduled and not related to Ukraine.

"We believe that everybody now needs to step back and avoid any kind of provocations, and we want to see in the next days ahead obviously that the choices Russia makes conform to this affirmation that we received today," he said after a phone conversation with Lavrov.

"We are also making the same point about reducing tensions in the Crimea to the Ukrainians.  It is very important that the process continue in a thoughtful and respectful way."

Opinion: Will Ukraine's Crimean region be Europe's next 'frozen' conflict?

No negotiations

In Simferopol, it was not immediately known who was occupying the government buildings. Mohyliov, the Crimean Prime Minister, told CNN earlier Thursday that the gunmen had refused to speak with him, telling him he had no authority.

The men, who stormed the building early Thursday, had made no demands, and it was not clear what they wanted, he said.

He added that government security forces, which were outside the buildings, would not use force or weapons to take over the buildings.

"All police in Ukraine have been ordered to be prepared," acting Interior Minister Arsen Avakov wrote on his Facebook page. "Orders have been issued to create a cordon around the Parliament in Crimea and to avoid shooting and violence."

A witness, who gave his name only as Maxim, said he saw the armed men run into the building and kick out police. "Nobody knows what is going on inside at the moment. We only saw the building being taken over," he said. He said the men took bags containing antitank weapons, sniper rifles, assault rifles and handguns from buses into the building.

Anders Fogh Rasmussen, NATO's secretary general, described the seizure of the regional government administration building and parliament as "dangerous and irresponsible."

5 things you need to know about Ukraine's Crimean region

@highlight

Kerry says Russia reaffirms that the military exercises are not related to Ukraine

@highlight

U.S. defense chief says he's watching Russia closely, warns against provocation

@highlight

Pro-Russian members of Crimea's parliament dismiss region's Prime Minister

@highlight

Ousted Ukraine leader set to give news conference Friday in Russia, state media report