Istanbul, Turkey (CNN) -- A series of recent fires in at least five detention centers around the country has raised questions about living conditions in Turkey's prison system.

Late Saturday night a fire broke out in the dormitory of a prison in the southeastern province of Sanliurfa. The fire claimed the lives of 13 prisoners and injured five others before authorities successfully extinguished the blaze.

Prisoners reportedly set fire to their mattresses to protest cramped and unsuitable living conditions.

A day after the first protest blaze was put out, prisoners in the same prison once again set fires in the dormitories, this time injuring 42, according to the semi-official Anatolian Agency.

The latest prison fire occurred Tuesday in the southern province of Karaman. There were no casualties but inmates had to be evacuated to the prison yard. On Monday, similar fires were reported at other detention facilities, including prisons in Gaziantep, Adana and Osmaniye.

"Overcrowding is the primary problem," said Ozturk Turkdogan, president of the Human Rights Foundation in Turkey, or IHD, pointing out that the Sanliurfa prison is equipped to house 375 prisoners but currently houses nearly 1,200. The cell where the fire started was furnished with six beds but housed 18 prisoners, according to an IHD report.

"When I was in the prison, at first we were six people in a six-person room, which was fine. But then, two by two they put more people in. Ultimately, we were 14 people living in the room," said Cemal Babaoglu, who spent three months in the prison last year awaiting trial.

Such overcrowding is not a new problem in Turkey, according to officials.

"This is a problem that evolves from the past (but is) getting smaller as (we) head into the future. The steps that we have taken in order to minimize and eventually eliminate the problem are evident," said Justice Minister Sadullah Ergin at a press conference on Tuesday.

Turkey is in the process of upgrading its prison system and will increase its capacity nearly twofold by 2017, according to officials.

The primary reason for overcrowding in Turkish prisons is a judicial system that errs on the side of detention rather than releasing the accused on bail before and during legal proceedings, and a new penal code that has lengthened prison sentences. According to the justice ministry, 27.5% of prisoners are detainees awaiting the outcome of their trials.

But Turkdogan maintains that 41% of all prisoners in Turkey are either awaiting trial or a decision from an appellate court, a situation made more problematic, he says, by the fact that over half of appealed convictions are eventually overturned.

According to Human Rights Watch researcher Emma Sinclair-Webb, it is not only the problem of overcrowding, which is present in many of the world's penal systems, but also the lack of transparency that prevents prison conditions in Turkey from conforming to accepted international standards.

"Human rights groups and (nongovernmental organizations) cannot visit prisons easily without lengthy procedures," said Sinclair-Webb. "Turkey lacks a regular system of independent monitors."

Experts who are in the best position to identify and prevent hazardous conditions are thus unable to make firsthand observations, reducing pressure that might otherwise accelerate improvements to basic necessities such as medical care and infrastructure.

"The capacity to respond to these complaints, to take measures to prevent the kind of tragedy that happened at the (Sanliurfa) prison, we are not seeing at the moment," said Sinclair-Webb.

Sanliurfa prison has been in the headlines before. After his requests for a transfer were denied, an inmate who lit himself on fire in protest of living conditions died in July 2010.

@highlight

A weekend fire at one prison in Turkey killed 13 inmates

@highlight

Prisoners reportedly set fire to their mattresses to protest living conditions

@highlight

An activist says the prison is nearly four times over its intended capacity

@highlight

Government officials say Turkey is upgrading its prison system