The conflict raging in Gaza is different this time.

While Hamas' rocket attacks and Israel's military actions may look familiar, they're taking place against a whole new backdrop.

"This is unprecedented in the history of the Arab-Israeli conflict," says CNN's Ali Younes, an analyst who has covered the region for decades. "Most Arab states are actively supporting Israel against the Palestinians -- and not even shy about it or doing it discreetly."

It's a "joint Arab-Israeli war consisting of Egypt, Jordan, Saudi Arabia against other Arabs -- the Palestinians as represented by Hamas."

As the New York Times put it, "Arab leaders, viewing Hamas as worse than Israel, stay silent."

One of the outcomes of the fighting will likely be "the end of the old Arab alliance system that has, even nominally, supported the Palestinians and their goal of establishing a Palestinian state," Younes says.

"The Israel-Hamas conflict has laid bare the new divides of the Middle East," says Danielle Pletka, vice president of foreign and defense policy studies at the American Enterprise Institute. "It's no longer the Muslims against the Jews. Now it's the extremists -- the Muslim Brotherhood, Hamas, Hezbollah, and their backers Iran, Qatar and Turkey -- against Israel and the more moderate Muslims including Jordan, Egypt, and Saudi Arabia."

"It's a proxy war for control or dominance in the Middle East," says CNN's Fareed Zakaria.

To understand why and what all this means, we need to begin with understanding of Hamas.

Hamas and the Muslim Brotherhood

Hamas, which has controlled the Palestinian government in Gaza for years, is an extension of the Muslim Brotherhood. To many Americans, the brotherhood is familiar for its central role in the power struggle for Egypt. But it's much larger than that.

"The Muslim Brotherhood is international, with affiliated groups in more than 70 countries, including Saudi Arabia and the UAE," says Eric Trager of the Washington Institute for Near East Policy.

The Arab Spring showed the region that uprisings can lead to the Brotherhood gaining power. So it's a threat to the governments it opposes.

"Israel's ongoing battle against Hamas is part of a wider regional war on the Muslim Brotherhood," says the Soufan Group, which tracks global security. "Most Arab states share Israel's determination to finish the movement off once and for all, but they are unlikely to be successful."

"From the perspective of Egypt, Saudi Arabia, Jordan, the UAE and some other Arab states, what the Israeli Prime Minister is doing is fighting this war against Hamas on their behalf so they can finish the last stronghold of the Muslim Brotherhood," Younes says.

"Arab governments and official Arab media have all but adopted the Israeli view of who is a terrorist and who is not. Egyptian and Saudi-owned media are liberal in labeling the Muslim Brotherhood as 'terrorists' and describing Hamas as a 'terrorist organization.' It's a complete turnabout from the past, when Arab states fought Israel and the U.S. in the international organizations on the definition of terrorism, and who is a terrorist or a 'freedom fighter.'"

Egypt

Egypt's new President vowed during his campaign that he would finish off the Muslim Brotherhood. Abdel Fattah el-Sisi, the former military chief, deposed Egypt's first freely elected leader, President Mohamed Morsy of the Muslim Brotherhood, last year following mass protests against Morsy's rule.

El-Sisi was elected officially in June.

"In Egypt you have a regime that came to power by toppling a Muslim Brotherhood government," says Trager. "It's therefore in an existential conflict with the Brotherhood. So it doesn't want to see Hamas, the Palestinian Muslim Brotherhood, emerge stronger in a neighboring territory."

Egypt also has another reason to stand against Hamas: rising violence and instability in Sinai, the northern part of Egypt that borders Israel and Gaza.  Hamas' network of tunnels includes some in and out of Egypt used to smuggle goods include weapons for attackson Israeli civilians.

The new Egyptian government has been "cracking down aggressively since it removed the brotherhood from power," Trager says.

El-Sisi closed the border crossings between Egypt and Gaza, which has helped block Hamas militants from escaping or smuggling in more weapons during Israel's onslaught. But it also has contributed to the humanitarian crisis of people trapped in Gaza.

Egypt proposed a cease-fire, and Israel quickly accepted it -- indicating that it contained the terms Israel was looking for, analysts say. Hamas rejected it. While Egypt has worked furiously to try to broker a truce in the past, Cairo this time shows little rush to change its proposal to one much more favorable to Hamas, analysts say.

Saudi Arabia, UAE, Jordan

The monarchies of Saudi Arabia, the United Arab Emirates and Jordan have called on Hamas to accept the cease-fire proposal as is.

"We condemn the Israeli aggression and we support the Egyptian cease-fire proposal," Jordan's King Abdullah said last week.

Countries such as Saudi Arabia and the UAE are "challenged by Islamists who come to power via the ballot box rather than through royal succession," says Trager.

"So these countries have been directly supportive of the coup in Egypt because it removed elected Islamists and therefore discredited that model."

Saudi Arabia is "leading the charge," partly through backing the coup and financing state media reports that attacked the brotherhood, says Younes.

"Egypt, Jordan, Saudi Arabia and the UAE all see the destruction of Hamas as of benefit to their internal security as well as to regional stability."

"The Saudis and the Egyptians are now more scared of Islamic fundamentalism than they are of Israel," says Zakaria.

"The Saudi monarchy is more worried about the prospects of Hamas winning, which would embolden Islamists in other parts of the Middle East, and therefore potentially an Islamist opposition in Saudi Arabia."

But Hamas is not alone.

Turkey and Qatar

Turkey and Qatar remain supportive of Hamas.

Qatar supported Egypt's Muslim Brotherhood government, and built "an Egypt-centric Al Jazeera network that became known for its strongly pro-Muslim Brotherhood line," says Trager.

Qatar also funds many Muslim Brotherhood figures in exile, including Hamas political leader Khaled Mashaal, who is believed to have orchestrated numerous Hamas terrorist attacks.

"I think this is a case of a country with a lot of money to burn making a certain calculation in 2011 that made a lot of sense at the time: that the Brotherhood was the next big thing that was going to dominate many of the countries of the region," says Trager. "Realistically, it made sense to bet on it."

Turkey has "more of an ideological sympathy with the Brotherhood," he says.

Last week, Turkish Prime Minister Recep Tayyip Erdogan spoke with CNN, accusing Israel of "genocide."

"Erdogan has tried to use the cause of the Brotherhood to bolster his own Islamist credentials at home," says Trager. Last year, Erdogan cracked down on mass demonstrations in his country.

Iran and Syria

Iran has long supported Hamas, supplying it with weapons. And Meshaal used to be based in Syria.

But that changed. In 2012, Meshaal left Syria as the country's civil war deepened -- a decision believed to have caused a breakdown in his relationship with Iran as well, says Firas Abi Ali, head of Middle East and North Africa Country Risk and Forecasting at the global information company IHS.  Tehran is aligned with Syrian President Bashar al-Assad's regime.

Now, Syria -- Israel's neighbor to the north -- is locked in a brutal, multiparty civil war, with Islamist extremists hoisting severed heads onto poles. The war, believed to have killed more than 115,000 people, is just one of the many developments emphasizing how many "fault lines" there are in the region, Richard Haass, president of Council on Foreign Relations, told "CNN Tonight."

"There's fault lines within the Palestinians between Hamas and the other part of the Palestinian Authority. You have Sunnis vs. Shia. You have Iran vs. Saudi Arabia and the Arabs. You have secularists vs. people who embrace religion in the political space."

The Palestinian Authority

Paying a price for all this is another key player: Fatah, the Palestinian faction that controls the West Bank. Fatah and Hamas have long fought each other, but earlier this year made another effort at a unity government.

Palestinian leader Mahmoud Abbas, who is in charge of the government in the West Bank, "seems politically exhausted by all the twists and turns he has made in search of a durable solution," the Soufan Gruop says. "And the one chance of reasserting his authority through a unity government that would have forced Hamas into a subordinate and less militant role has now disappeared. He must now watch helplessly as protests in the West Bank undo whatever progress he had made towards a two-state solution."

Gaza conflict by the numbers

@highlight

The Gaza conflict is a proxy war for the Middle East, analysts say

@highlight

Egypt, Jordan, and Saudi Arabia are seen as supporting Israel's crackdown on Hamas

@highlight

Turkey and Qatar support Hamas

@highlight

Hamas is an extension of the Muslim Brotherhood, which threatens some governments