(CNN) -- The United States is vacating an air base in Pakistan at Islamabad's request following a NATO attack that killed two dozen Pakistani soldiers.

U.S. Ambassador to Pakistan Cameron Munter told Pakistan's Waqt TV on Monday that the United States is leaving Shamsi Air Base in Balochistan Province southwest of Quetta. U.S. drones have taken off from the base and refueled there for operations against Islamic militants, according to sources familiar with U.S. drone operations in Pakistan.

The order to clear out of the base comes in the aftermath of a November 26 incident in which a NATO airstrike killed 24 Pakistani troops.

According to two U.S. officials familiar with an initial assessment of the incident, U.S. commandos were working alongside Afghan troops when they came under fire. The troops did not tell Pakistani authorities about the mission ahead of time because they had thought it would take place entirely within Afghanistan, the officials said.

U.S. and Pakistani officials said Friday there were conversations between the sides before the strike, but they differed on the content of those conversations. A Pakistani military spokesman said the attack hit the wrong target.

A probe, headed by U.S. Air Force Brig. Gen. Stephen Clark, is under way.

The loss of the base is unlikely to have any major impact on operations in Pakistan, experts said. A U.S. official said Sunday that the "loss of access to this base would not lessen capabilities, as it has served primarily as a back-up capability for quite a while now."

The United States flies drones out of Kandahar in nearby Afghanistan, so the impact should not be enormous, said CNN National Security Analyst Peter Bergen.

Still, there would be an impact, said Anthony Cordesman, who holds the Arleigh A. Burke Chair in Strategy at the Center for Strategic and International Studies. "You're talking potentially 40 to 60 minutes' added reaction time," he said.

But the issue is broader than simply closing an airbase, Cordesman said.

"It's what Pakistan intends to do about its airspace," he said. "If it's saying, in addition to the base closing, that it will no longer cooperate to allow the United States to use Pakistani airspace and there will be no cooperation on targeting and no quid pro quo where we would use systems to hit at insurgents or extremists which were threats to Pakistan as well as Afghanistan, then it goes much further," he said.

"It also basically means that, if you're going to do this, you're clearly violating Pakistani airspace and, if you're going to do it, you may have to rely much more on stealth."

International law is clear, he noted. "You can't, in theory, send an intelligence aircraft over somebody's airspace. Period. The fact that people do it all the time doesn't make it legal. If you go beyond that, and the vehicle or airplane shoots something, that's an act of war."

Former CIA covert operations officer Mike Baker said that, from a logistical point of view, closing the airbase is "irritating, inconvenient, concerning." But, he added, "It won't impact our ability to strike at a target."

Baker, who is president of Diligence LLC, a global intelligence and security firm, described the base closure as "one more step down this dysfunctional road with the Pakistanis," but predicted that "cooperation between CIA and other intelligence portions of our military and the Pakistanis" will continue.

"Regardless of what happens in the headlines, there is an operational level of activity that continues to move forward because, ultimately, it is in the Pakistanis' best interest to continue to try to counter some of the extremists' activity."

High-level Pakistani officials have supported, quietly, the U.S. drone campaign for years, he said. "They've been playing the same game that any other nation will play -- they want a little bit of plausible deniability."

In other words, when public opinion turns against the drone attacks, the officials will turn against them, too, Baker said. "Once they feel threatened from their own population because of their support and cooperation from the United States, that's when they'll turn on us," he said.

"Will they decide a drone strike in Pakistani airspace without permission is an act of war? Doubtful."

U.S. officials have long prepared for Plan B in Pakistan, he said. "If you have facilities in any country where you have a somewhat occasional volatile relationship, you're always looking for alternatives," he said.

The issue of U.S. and other NATO forces entering Pakistan has been a sensitive topic in that country since May, when U.S. commandos killed al Qaeda founder Osama bin Laden in Abbottabad without Pakistani leaders' consent.

NATO has called last month's casualties "tragic." U.S. Secretary of State Hillary Clinton and Defense Secretary Leon Panetta called the incident a "tragedy" and offered condolences. President Barack Obama called Pakistan's president Sunday to express condolences over the airstrike. He said the incident was not a deliberate attack on Pakistan, the White House said.

The incident exacerbated already strained relations with Pakistan.

"Such attacks ... demonstrate complete disregard for international law and human life," Pakistani Foreign Minister Hina Rabbani Khar said the day after the attack.

Khar asked the United States to vacate the Shamsi Air Base within 15 days.

The U.S. Embassy in Pakistan confirmed Monday that Munter said the United States is complying with the request.

On Monday, Prime Minister Syed Yusuf Raza Gilani said Pakistan wants to have good relations with the United States based on mutual respect and clearly defined parameters. "I think that is doable," he told state-run Associated Press of Pakistan. "I think that it won't take long."

He said that new ties being negotiated with the United States would ensure that the two countries "respected each other's red lines" regarding sovereignty and rules of engagement along the border. "I think we have evolved some mechanisms, and we are ready to cooperate" on peace efforts in Afghanistan, he said.

In Washington, deputy State Department spokesman Mike Toner, referring to the cross-border incident in which two dozen Pakistani soldiers were killed, said he welcomed Gilani's remarks.

"From the very moments after this tragedy, we've been clear that this relationship is vital to U.S. national security interests, it is vital to Pakistan's national security interests, it is vital to the region's interests that we work together productively. And we are committed to addressing the issues between us and moving forward," he told reporters.

CNN's Pam Benson, Nasir Habib, Nick Paton Walsh and Barbara Starr and journalist Shaan Khan contributed to this report.

@highlight

NEW: Pakistan's prime minister says he wants good relations with the United States

@highlight

The U.S. is vacating Shamsi Air Base, which is used by unmanned combat vehicles

@highlight

The impact of vacating the air base is likely to be minimal, experts say

@highlight

Pakistan told the U.S. to leave the base after an airstrike killed 24 Pakistani troops