Washington (CNN) -- Lawyers within the Obama administration disagreed with the president's decision that U.S. participation in the NATO-led Libyan military mission doesn't come under the War Powers Resolution, White House spokesman Jay Carney said Monday.

President Barack Obama is in a stand-off with House Speaker John Boehner over the issue, and Congress might vote on measures to restrict funding for the mission this week to protest what Boehner says is Obama's violation of the war powers law.

The president disagrees, based on a legal analysis of the situation backed by his general counsel, the State Department and Defense Secretary Robert Gates, Carney said.

"This is not a unanimous legal decision within the administration, and it would be shocking if it were," Carney said in reference to what he called constant debate over the war powers measure since it was passed in 1973. "... But the president makes the decision. Obviously, his White House (and) State Department lawyer also agree with his assessment, and we feel very confident that the legal reasoning is sound."

Carney also noted that Justice Department lawyers took part in the discussion, but he didn't include them among those he listed as supporting Obama.

"As the Justice Department has stated publicly, its views were heard," Carney told reporters.

House Republican sources told CNN on Monday that several options are under consideration for votes this week -- probably Thursday -- to exert some congressional control over the Libya mission. No decision will be made on how to proceed until GOP legislators return Tuesday from a long weekend in their districts.

Cafferty: Should Congress cut off funding?

One idea is a vote to prohibit funding for any ground troops in Libya. Obama has pledged no ground forces will be sent to the mission, and the House Republican sources said the proposal would be intended to prevent any possible escalation in the mission and give legislators a chance to express their disapproval.

"Ultimately (the legislation) needs to have enough teeth for it to be to worth it," said one senior House GOP aide.

The House already was planning to take up the 2012 defense spending bill this week, and legislators including liberal Democratic Rep. Dennis Kucinich of Ohio intend to propose an amendment to cut off funding for the Libya mission.

According to the House GOP sources, separate votes on the Libya mission are likely before the defense bill comes up in order to allow legislators to signal their displeasure through legislation that doesn't go as far as the proposal by Kucinich.

In addition, House members were further angered by news of strong disagreement within the Obama administration over the president's analysis of whether the Libya mission came under the War Powers Resolution.

GPS: Debate over War Powers Resolution

The New York Times reported Saturday that a lead attorney for the Justice Department's Office of Legal Counsel as well as counsel at the Pentagon argued internally that the president needs congressional authorization for the Libya mission, and the president overruled them.

Carney's comments Monday acknowledged the disagreements, but portrayed them as part of the normal discourse on the war powers legislation.

"For me to get up and tell you that by some miracle, every lawyer in this administration was in agreement on that issue, you wouldn't believe me, because it's simply been too contentious for now 38 years," Carney said.

Even if the House passes measures intended to limit funding for the Libya mission, it is unlikely the Senate would do the same. On Sunday, two influential Republican senators said Congress should support the military campaign to send the proper message to allies and foes.

"The president's done a lousy job of communicating and managing our involvement in Libya, but I will be no part of an effort to defund Libya or to try to cut off our efforts to bring (Libyan leader Moammar) Gadhafi down," conservative Sen. Lindsey Graham of South Carolina told NBC's "Meet the Press," later adding that Obama "needs to step up his game with Libya but Congress should sort of shut up and not empower Gadhafi."

Gates also backed the Libyan mission, saying Obama was right to limit the scope of U.S. involvement and that he believes the president has complied with the War Powers Resolution.

"What was going on in Libya was considered vital interest by some of our closest allies. Those are the same allies that have come to our support and assistance in Afghanistan," Gates told CNN's "State of the Union." "And so it seems to me the kind of limited measured role that the president decided on, in support of our allies who did consider it a vital interest, is a legitimate way to look at this problem."

One of the GOP sources noted that the Republican leadership is facing the same dilemma it did earlier this month, when Kucinich was pushing a resolution that would have withdrawn all U.S. forces from the Libya mission.

To prevent that from passing, Boehner was forced to counter with a watered-down version that gave the president two weeks to send Congress information justifying the U.S. strategy in Libya.

Obama responded with a report to Congress last week that argued the limited role of U.S. forces in the NATO-led Libya mission failed to constitute engaging in hostilities as defined by the War Power Resolution.

On Friday, Boehner said he specifically asked if the Justice Department's Office of Legal Counsel agreed with the administration's legal analysis, and that the White House's failure to answer that question made cutting funds for the mission a possibility.

"The House of Representatives will not allow the White House to continue skirting its obligations to the American people, this Congress, and the laws of this nation," Boehner said in a statement. "Over the coming week, our members will review all options available to hold the administration to account."

Passed in 1973, the War Powers Resolution gives the president 60 days to get congressional approval for sending U.S. forces to war, followed by a 30-day extension to end the hostilities. That 90-day period ended Sunday.

In the Senate, Republican Sen. John McCain of Arizona and Democratic Sen. John Kerry of Massachusetts have drafted a resolution that supports the Libyan mission. If adopted by Congress, the resolution would serve as congressional authorization under the War Powers Resolution, they say.

Congressional opponents of the Libya mission include liberals such as Kucinich who generally oppose any war effort, as well as some Republicans who complain its objective of civilian protection fails to match the stated U.S. goal of Gadhafi's ouster. The opponents also say the Libya situation could become a stalemate that drains resources at a time of mounting federal deficits that must be addressed.

The White House, however, says incremental progress is occurring through increasing diplomatic, political and military pressure on Gadhafi to step down. Carney has repeatedly emphasized that Obama had kept his word to the American people that the initial U.S. leadership role in the mission would get reduced to a supporting role, and no U.S. ground troops would take part.

Even though the Senate in March unanimously passed a nonbinding resolution supporting a no-fly zone over Libya, some Republicans now express total opposition to the U.S. support for that effort.

In its report on the mission, titled "United States Activities in Libya," the administration said the cost of military and humanitarian operations through June 3 was about $800 million. It estimated the total cost through September 30 would be $1.1 billion.

CNN's Dana Bash, Deirdre Walsh, Dan Lothian and Tom Cohen contributed to this report.

@highlight

The dispute involves the U.S. role in the NATO-led Libya military mission

@highlight

President Obama decided he didn't need war powers authorization from Congress

@highlight

House Speaker Boehner warns Congress may try to cut mission funding over the issue