Manila, the Philippines (CNN) -- After four countries, three formal state dinners, two speeches to American troops and one encounter with a menacing humanoid robot, President Barack Obama flies home Tuesday having completed his long-awaited trip to Asia.

The goals for the visit were ambitious: reassure allies the United States remains committed to a "pivot to Asia," secure new deals to expand trade, and send a message to China that the United States has its allies' backs in territorial disputes.

Some of those goals were met; others less so. Here are five takeaways from Obama's trip to Asia:

1. China, China, China

Obama came to Asia to bolster ties with Japan, South Korea, Malaysia and the Philippines. But his stops in all four countries all seemed designed, in part, to send a message to China: "We're on their side."

While Obama and his aides have been quick to dispel the notion this week's trip amounted to a "containment tour," the President's announcements throughout his visit — mostly military in nature — made clear the White House knew Beijing was watching closely.

Before Obama even landed in Tokyo he'd taken Japan's side in its bitter spat with China over a set of uninhabited islands in the East China Sea — suggesting the United States would lend support to Japan should the squabble escalate militarily.

Obama begins Asia tour with reassurance to Japan

A week later, the White House announced the United States and the Philippines would enter into a new defense pact that allows for more American troops in Southeast Asia — interpreted by China as an attempt to balance its own presence in a region where land and water are in constant dispute.

Obama denied that was the intention of the agreement. "Our goal is not to counter China, our goal is not to contain China," he said in Manila. But more troops in the region will undoubtedly be some deterrent against any Chinese incursion into contested waters.

For the first time since the 1990s, when American bases were closed in the Philippines, the United States will have a substantial military footprint there. And that's no accident, say experts who predict the next major world crisis will unfold off of China's coast.

"This is a region that's going to be on the boil for years and years to come," said Robert Kaplan, the chief geopolitical analyst for Stradfor, on CNN this week. "Seas crowded with warships, submarines, merchant shipping, fifth generation fighter jets — that can easily create incidents that in turn could enable a crisis."

That's exactly the kind of crisis Obama wants to prevent through greater U.S. attention to China's neighbors. In Seoul the President said China "has to abide by certain norms" when it comes to its quarrels with neighbors.

2. Trade a tougher sell

Obama's promise of greater U.S. military cooperation in Asia was largely welcomed in the countries he visited. Less so was his pitch for new trade agreements, which sputtered in Japan in the midst of domestic political challenges for Prime Minister Shinzo Abe.

CNNMoney: Obama fails to secure breakthrough in Japan trade talks

The Trans Pacific Partnership would ease business ties between the United States and Asian partners — a goal Obama claims would create jobs for both sides while opening up new markets for U.S. firms.

After several rounds of negotiations, Obama had hoped to be able to announce an agreement with Japan during his stop in Tokyo. That proved impossible as talks stalled amid Japanese concerns over agricultural protections for beef and rice.

The two sides scrambled to produce evidence of progress, working right up until Obama was about to depart Japan to provide a positive update on the talks. Even then, the White House was only able to say the two sides had "identified a path forward" in the negotiations — without specifying where the two sides were coming into agreement.

"There are still negotiations to be had. There are details to be worked out," said a senior administration official, adding the two sides had agreed only on "parameters" for the deal.

It was a disappointing result for the first stop of Obama's Asia trip, though his own domestic politics — including resistance to new trade deals from Democrats in Congress — would have made any new deal a tough sell.

That political opposition makes it all but impossible for Obama to see a new trade deal through Congress before the 2014 midterm elections.

3. Did Obama get his pivot?

It would be hard to argue Obama wasn't making good on his vow to refocus his foreign policy toward Asia this week — after a canceled trip and crises in other parts of the world, at least he made it to the continent.

But the question remains whether the focus can be sustained. Even as he toured Asian capitals and touted cooperation between nations, another international crises — in this case, Ukraine — ended up producing the biggest headlines this week when Obama announced more sanctions on Russia on Monday.

Putin's inner circle hit by new U.S. sanctions

In the coming months, the administration hopes to hammer out a final agreement on Iran's nuclear program, rid Syria of its chemical weapons, and revive Mideast peace talks — all issues that have overshadowed the Asia pivot in the past.

Is the U.S. losing its ability to sway allies?

Netanyahu: No peace talks if Abbas is backed by Hamas

The administration has bristled at the notion it can only focus on one issue at a time — as Evan Medeiros, Obama's senior director for Asian Affairs, said before this week's trip, "We can walk and chew gum at the same time."

But as Obama has discovered, distractions at home and abroad can gum up even the best laid foreign policy platform.

Political chatter: Sanctions, Netanyahu's red line

His lack of action in Syria, for example, ended up causing heartburn for Asian allies worried the United States wouldn't back them if China crossed a so-called "red line." The unfolding situation in Ukraine — which Obama has explicitly said won't involve a U.S. military solution — has Asian allies similarly wary.

During his final stop in Asia, Obama fiercely defended his foreign policy choices, arguing that his decisions to avoid military force shouldn't be viewed by Americans — or allies — as weak.

"Why is it that everybody is so eager to use military force after we've just gone through a decade of war at enormous costs to our troops and to our budget?" he asked in the Philippines. "And what is it exactly that these critics think would have been accomplished?"

"We hit singles, we hit doubles, every once in a while we may be able to hit a home run," he added later. "But we steadily advance the interests of the American people and our partnerships with folks around the world."

4. 'Consoler-in-chief' travels

Obama's short stays in South Korea and Malaysia came at dark times for both nations, still reeling from major transportation disasters that have many questioning each government's response.

As he often does at home, Obama acted as "consoler-in-chief," offering support to victims' families during pauses from policy and diplomatic demands. But he avoided taking a stance on how each nation was responding to its crisis — even as shakeups in leadership ranks were brewing.

In South Korea, Obama presented the country's president with a framed American flag that was flown over the White House the same day of the tragic ferry accident that left — at latest count — nearly 200 dead. The accident has prompted widespread grief in the country, as well as anger at the government's response.

At his next stop, in Malaysia, Obama confronted yet another disaster, this time the mysterious disappearance of Malaysia Airlines Flight 370. Like in Seoul, Obama expressed his condolences to victims' family members — but avoided wading into the controversy surrounding the government's response.

Officials have come under withering criticism from China, where a majority of the passengers hailed, accused of botching the search and keeping family members in the dark.

5. People to people

In Asia, Obama's chief success on paper was the military agreement with the Philippines — a pact carefully hammered out by legions of government negotiators over months. But Obama's calibrated attempts to reach out to people at a personal level also play into his long-term goal of more closely aligning the United States and Asia.

As he does in nearly every foreign country he visits, Obama stopped at schools and youth centers to meet people going about their lives — and offer them at least a small glimpse at the man whose job is leader of the free world.

Nowhere was that more evident than Malaysia, a country the United States hopes will become a firm ally in Southeast Asia. His stop there, the first by a U.S. president in decades, comes after an economic growth spurt and renewed — though still cautious — desire for ties with the United States.

With that in mind, Obama took questions for more than an hour from a diverse group of students at the University of Malaya, fielding queries on his younger self, his family, his successes, and his failings.

When asked about his biggest regret, Obama didn't offer political misgivings or wishes for foreign policy do-overs. He told the crowd he wished he had spent more time with his mom before her death.

"I realized that I didn't -- every single day, or at least more often -- just spend time with her and find out what she was thinking and what she was doing, because she had been such an important part of my life," he said.

It was a rare look into Obama's inner workings, offered not at home but abroad. And if Malaysians walked into the forum regarding Obama only as a foreign leader, they left with a sense of someone struggling with the same human conundrums as anyone else — perhaps making the gap between nations somehow smaller.

"Our strategy is more than just security alliances or trade agreements," Obama said at the forum. "It's also about building genuine relationships between the peoples of Asia and the peoples of the United States."

5 takeaways from Obama's Philippines news conference

5 takeaways from Obama's Seoul news conference

Obama leaves Japan after defending foreign policy

Obama begins Asia trip with 'the best sushi I've ever had'

@highlight

His stops all seemed designed, in part, to send a message to China

@highlight

Trade was a tough well for him

@highlight

Other issues have overshadowed the Asia pivot