(CNN) -- In the last decade of the 20th century, the Turkish lira fell in value 1,000 times against the U.S. dollar, meaning that tourists returning to that country after several years found that any old money they still possessed since their last visit had become almost worthless.

Now as fears grow about whether Greece will stay in the euro, and the possible domino effect this could cause, many prospective holidaymakers appear to be having second thoughts about visiting that country and other economically troubled members of the 17-nation eurozone, such as Spain or Portugal.

And while tourists may be bulking up their cash reserves in the case of a euro exit, others may be concerned about safety if violent street protests resume against austerity cuts.

What is the financial situation now?

Political deadlock is leading to fears that Greece will not have a government in place when it needs to make critical debt payments, which could in turn jeopardize its place in the eurozone.

On Monday, Greeks withdrew up to €800 million from Greek banks, and the threat of a banking panic heightened concern of a default. Fears of contagion spilled over into bond markets in Spain and Italy.

The idea that has investors around the globe worried is the so-called "Grexit" -- or Greek exit from the eurozone -- a tricky scenario that is now looking like a real possibility.

English bookmakers Ladbrokes stopped taking bets after gamblers lined up to put money on it last week. Other betting companies are giving odds on Greece leaving the euro as low as 1/10, while the odds on Spain leaving are about 6/1.

What effect is uncertainty having on tourism within the eurozone?

Many in the travel industry admit bookings to Greece are lower than in previous years, with other countries benefiting.

Hotel reservations on popular holiday destinations such as Corfu and Crete are down by up to 50% compared to the same period before last month's indecisive election, according to the Hellenic Hotel Federation.

Sean Tipton of the Association of British Travel Agents blames some inaccurate coverage of concerns about Greece's financial problems as a factor. "This is having a positive effect on Spanish travel, for example, with bookings higher than normal," he told CNN.

"Travelers are advised to take spending money in cash, as in the event of Greece leaving the euro there may be questions about whether you could still pay by credit or debit cards."

Despite tourism contributing about $10,5 billion, or about 16% of Greece's gross domestic product, officials brushed off concerns. "There was also a financial crisis in Greece last year as well and we had a record year with a 10% increase in the number of visitors," said Konstantinos Zikos, president of the Greek National Tourism Organization.

"Because of the crisis, early booking are down around Europe at the moment. However, Greece is a beautiful and safe country so we are optimistic that tourism won't be strongly affected."

In the longer term, if Greece does leave the euro, it could mean it becomes a much cheaper country to visit, as Britain's biggest travel company Thomas Cook pointed out. "We believe there are positives and negatives for the travel industry in the event that Greece were to leave the euro," the firm said.

Should tourists be worried about buying euros for foreign travel?

On the face of it, tourists haven't had it so good for a long time: The euro is at a three-year low against the British pound and is as weak against the U.S. dollar as it has been since 2010. This should mean the cost of hotels and restaurants is lower than it has been for a few years.

Travel experts say that whatever happens with Greece and the euro this summer, tourists visiting economically troubled European countries, such as Greece, Italy, Spain and Portugal -- all major tourist destinations -- are unlikely to lose out.

If Greek does leave the euro this could lead to contagion, and other countries joining them, but few analysts believe the whole euro project is likely to collapse in the next year or so. In other words, it's safe to buy euros, but keep an eye on the exchange rate, which is continuing to strengthen in favor of world currencies.

How can travelers ensure they don't lose out?

Travel writer Simon Calder said he planned to visit Greece this summer, and was taking two precautions.

"The first was to add an extra €100 to my estimated spending," Calder wrote on his blog. "Normally I rely on plastic for emergencies, but were Greece to leave the euro, electronic banking could freeze for up to a week and prevent debit and credit card transactions.

"Next, I insisted on €5, €10 and €20 notes. If Greece leaves the euro, the most likely interim currency is the existing euro overprinted with a Greek delta symbol (for "drachma"), or possibly with a corner clipped.

"The value of the Greek euro would fall by perhaps 40 per cent. While traders sort themselves out, and before a market in the Greek currency begins, tourists are likely to pay in euros but be given change in new money. Pay for a €15 round of drinks with a €50 note, and you could get back change in Greek currency worth only €20. That is why low-denomination notes are so useful."

Do street protests against austerity cuts mean Greece or another country is unsafe?

No. There have been occasional protests in big cities, such as Athens and Thessaloniki, but most say Greece remains safe. Posts on online forums were scathing about what they said was the media blowing the unrest out of proportion, although there are some warnings that strikes could disrupt travel into and around the country.

ABTA's Sean Tipton said "There's an element of concern about personal safety with sporadic unrest in Athens, but most places where tourists visit are safe.

"In reality this is one of the best times to visit Greece, as prices should come down, thanks to supply and demand."

UK travel firm Thomas Cook said it was "closely monitoring the evolving situation in Athens. Most of our holidaymakers are on the country's islands where you'd never know anything was going on."

@highlight

Some holidaymakers appear to be having second thoughts about visiting Greece

@highlight

Others concerned about safety if violent street protests resume against austerity cuts

@highlight

Idea that has investors worried is the so-called "Grexit" -- or Greek exit from the eurozone

@highlight

Travel experts say tourists visiting economically troubled countries unlikely to lose out