He's broken every record in the book and won a glut of Olympic and world titles, but even at the age of 40, Haile Gebrselassie has no intention of resting on his laurels.

"A day without running is not a good day," the Ethiopian athletics legend told CNN's Human to Hero Series.

"Running, you continue until you die."

Which spells bad news for his fellow competitors, although Gebrselassie does acknowledge he will have to call it quits at some stage.

"Competition stops somewhere, but when I don't know," he says.

"What I'm thinking now, is that I want to break all the Masters records -- over 40, over 50, over 60.

"I don't know how long I'm going to live after this, but I hope the next 100 years!" he adds, breaking into his trademark grin.

"The smiling assassin" -- as he was once famously dubbed -- has been dispatching his opponents with  ruthless efficiency for over two decades and is hugely popular wherever he runs, not least among his  dedicated following of Ethiopian fans bedecked in their country's green, yellow and red.

"Haile, Haile" will be the chant as their hero winds up the pace before unleashing his trademark blistering finish to leave rivals trailing.

His longtime Dutch manager Jos Hermens summed it up perfectly: "His smile makes athletics smile."

Throughout his glittering career stretching over two decades, Gebrselassie has proved an impeccable ambassador for track and field.

Despite increasing business commitments, he is finding time to pass on that experience to pass on to the next generation -- acting as a mentor for 14 young athletes from disadvantaged backgrounds for the G4S 4teen program ahead of the London 2012 Olympics.

Those youngsters, who came from around the world, would do well to heed his renowned sportsmanship, because win or lose it was always with that smile on his face.

"Of course there is disappointment when you lose a race," he told CNN.

"For me, it's in my character, maybe I can say good character. I am always joyful."

Glittering career

Disappointments have proved few and far between since his first competitive race at the age of 14 and while still in his teens he captured a 5,000/10,000 meters double at the world junior championships in Seoul.

The next year in 1993 saw Gebrselassie's senior breakthrough as he claimed the first of four straight 10,000m world championship titles after a battle royal with Kenyan Moses Tanui in Stuttgart.

His world-record-breaking spree started in 1994,  covering distances from 2,000m on an indoor track to the full 42 km of the marathon.

Watch: The best long distance runner ever?

Gebrselassie rates his 5,000m performance at the Weltklasse meeting in Zurich in 1995 as his "most memorable achievement" -- he smashed the record of Kenya's Moses Kiptanui by nearly 11 seconds with a time of 12 minutes 44.39 seconds. "That was amazing," he said.

Metronomically lapping the 400m track at just over four-minute mile pace for over three miles, he says that as he ran the beat of the 1995 hit song "Scatman (Ski-Ba-Bop-Ba-Dop-Bop)" kept ringing around his head.

"It's nice music, if's fast written, that's why I could break a world record, by that music," he recalls.

"I'm a Scatman! Dum dum and then you know the timing and at the same time your style changes immediately."

Olympic gold

Gebrselassie won his first Olympic gold at Atlanta '96 over his favored 10,000m distance, just edging out his arch-rival Paul Tergat.

Four years later, in Sydney, he became only the third man in history to retain that title -- the Kenyan again the victim.

"I won that race nine-hundredths of a second from Paul Tergat. That was really the one still I love to watch. It was a very special moment."

By the time the 2004 Olympics came around, the balance of power had shifted to his compatriot Kenenisa Bekele, and Gebreselassie came fifth as he missed out on a hat-trick, but by then he had already turned to road running and marathons.

Olympic gold over the classic distance has eluded him; he decided against competing in the marathon in Beijing in 2008 because of the air quality, and was controversially left out of the Ethiopian team for the London Games last year.

But over distances from 10 km through half-marathon and the full marathon, the records have tumbled.

Successive wins in the Berlin marathon in 2007 and 2008 each came with world bests, the second of two hours three minutes and 59 seconds -- the first man under the two hours four minute mark.

Scatman rhythm

For the longer distances, he says the Scatman John tune is replaced by the need to set the perfect pace and to keep a close eye on the opposition, often years younger.

"You are just thinking about your race. Who is next to you, who is behind you, who's in the race, how fast does he run, what is the way breathes," he reveals.

"When you run a marathon especially, the first 15k they're perfect, but the things happen after 20k. You can look and see, 'Oh this guy, now he's getting tired,' so it's easy to beat him."

Years of disciplined training, getting up at 5 a.m. each morning, have left Gebrselassie a battle-hardened veteran and have helped him in his life outside of track and field.

Watch: Gebrselassie dominates Dubai marathon

Two grueling training sessions are interspersed by a day spent in his office -- he employs over 500 people in range of enterprises based right across Ethiopia.

He is usually in bed by 10 p.m. after spending time with his wife and family -- he has a son and three daughters.

Gebrselassie certainly knew the value of hard work from his formative years, growing up in humble surroundings in the town of Asella in Arsi Province, living nearly 2,500m above sea level.

One of 10 children, he used to run several kilometers each day to school and back to his family's small farm.

Early inspiration

Inspired from an early age by the 5,000/10,000 Olympic double of great Ethiopian runner Miruts "The Shifter" Yifter in the 1980 Moscow Games -- "I was dreaming to be like him" -- Gebrselassie acknowledges that his environment was the perfect platform.

"We live at altitude, we were born in altitude," he says.

"Going to school, helping our parents, fetching water from the river. My training started when I was two. It was part of my life."

But Gebrselassie is concerned that the neverending trail of talent from his country, characterized by the likes of Bekele and women's champion Tirunesh Dibaba, could be under threat from increased affluence -- welcome though that is in a country which has suffered so much.

"Life is changing a little bit. That's why it's very difficult to produce more long-distance runners from Ethiopia," he says.

"The more good things you have, the less athletes you have. You don't see so much athletes from Addis Ababa (the capital). You don't see so much athletes from the city, most of our athletes they come from the countryside."

With his ambassadorial work, Gebrselassie is doing his best to make sure the conveyor belt of champions continues for a while yet.

Role model

"It's important to inspire people. Without a role model it's not an easy job," he says.

"I'm teaching everybody how they become successful. One is to be disciplined. Second, commitment or a goal, and third is hard work."

He has one key message to his youngsters and the wider public: "Win for yourself."

"What is that?  Sometimes you know people promise to stop smoking, to stop drinking, to stop taking drugs. But they, after one day or after two days, they cannot, which means they've lost for themselves.

"I ask people win themselves first, which means you can win anything that you dream, that you plan, what you want. This really is my tip for everyone."

Allied to his incredible talent and will to win, Gebrselassie has certainly "won for himself" in bundles down the years -- dominating distance running and becoming one of the most recognizable sportsman on the planet.

Judging by his recent performances -- winner of April's Vienna half-marathon, third in a world-class Manchester 10 km last month and smashing the best for a 40-year-old at the distance -- Gebrselassie will be delighting his fans for a few more years to come as he sticks to his endearing philosophy for life.

@highlight

Running superstar Haile Gebrselassie has broken 27 world records

@highlight

The 40-year-old Ethiopian is still competing in long-distance events

@highlight

Gebrselassie won two Olympic 10,000m golds before turning to marathons

@highlight

He acts as a mentor for young athletes and has a burgeoning business empire