Savannah, Georgia (CNN) -- This old Southern city is still waking up when the first members drift into the church basement. They turn on the lights, pull metal chairs across the wooden floor and settle in with paper cups of coffee and the weight of the week.

There's work or not enough work. Diabetes. Tonight's dinner and tomorrow's, too. Parents in prison, neighbors just getting out. Kids who want some faraway, high-cost college and kids who don't want to get out of bed on Sundays. Then there's money -- always, forever money -- to think about. They've heard weekly sermons about how to plan, overcome and grow, but the lessons really start to apply in Bible study, like today, when they'll pore over a line and relate it back to the messy, wonderful business of living.

Worry is nothing new for the congregation at First African Baptist Church, which is well into its third century and one of the oldest black congregations in the United States. But this is a loving congregation, they say, and always the type to take action when times are hard. Of course they will feed the hungry, clothe the naked and teach the young, but they also want to preserve their space. Members say it was the first brick structure in Georgia that was built, used and owned by black people, that it's their own living history of slavery, civil rights and freedom.

It's just so much.

"This is not new for us," says Gladys Cohen, a lifetime member and 7 a.m. Bible study regular. "There's just more needs."

So, with darkness pouring in the windows and a long day still ahead, the Rev. Thurmond N. Tillman sits in his folding chair and reminds his followers of the Bible passage he repeats most, from the book of Matthew: "But seek first the kingdom of God and His righteousness, and all these things shall be added to you."

As they all know, it has worked for this congregation before.

Faith first, then freedom

More than 150 years ago, slaves built this church by fire and moonlight. They raised the walls with clay and sand blocks known as Savannah Gray Brick, and a white ceiling patterned after a nine-patch quilt, a symbol of safety from slavery.

After the first Bible study of the day, Johnny McDonald explains this to a small tour group seated in the church's curved oak pews. He was baptized in First African's chilly pool at age 7 and began giving tours as a teen. He's 22 now, one semester shy of graduation from Savannah State University. He learned the church's history through a thousand sermons and older members' memories. Several times a week, he leads tours of each level, and shares everything he knows.

He talks about the earliest church leaders, who were whipped and harassed by white residents who balked at the idea of a black preacher. He tells of schisms that divided the flourishing black congregation.

He explains that in the 1830s, a white congregation planned to move to a new location, and offered its land and an aging wooden building to First African Baptist Church. The price was $1,500.

Most of the church members were slaves, whose labor fueled Savannah's agriculture and shipping economy. But many could earn money of their own by working after-hours or taking odd jobs. Some could save enough to buy freedom for themselves and their families.

So, they faced a choice, McDonald says: Use money saved to free themselves, or pool their funds to purchase a church for all.

He imagines that they read the line from Matthew, about seeking God's kingdom first; he knows that within a few months, they came up with the money, and the church was theirs.

But the building was already deteriorating when First African moved in. By the 1850s, Savannah was a growing city of 14,000 free residents and 7,000 slaves. The pastor championed a new structure, one made of brick, one made to last.

This very building, McDonald says.

He points out the handiwork of members who toiled through the night from 1855 to 1859. They designed a tall sanctuary, balcony seating and pews with ancient African languages carved into the sides.

Perhaps their best plan was mostly out of view, McDonald explains as he leads visitors down stairs and into the basement. Beneath the wooden floor, builders left a space four feet tall, large enough to hide hundreds of slaves following the Savannah River to freedom. They punctured holes in the floor in the cross-and-diamond shape of an African prayer symbol, the Kongo Cosmogram, and publicly worshipped its ancient meaning. Quietly, underneath, runaways worshipped the light and air the symbols allowed.

"You're talking about working 12 to 16 hours, then turning around to come build a church at nighttime and going back to work on fields after that," he tells the tour group. "If I can say so, that's a lot of hard work, and a lot of dedication to the task at hand."

Most of the builders were still enslaved after the church doors opened, but freedom came to them a few years later, anyway, through the Emancipation Proclamation.

McDonald repeats the passage from Matthew again, "All things shall be added."

"That was no coincidence," he tells the crowd.

The pastor interrupts the tour to invite the guests to stay. There's another Bible study at noon, and everyone is welcome here.

Rebuilding the church

"Do we see ourselves as programmers, or do we see ourselves as builders?" the pastor asks.

It's time for the evening Bible study, and the crowd has outgrown the basement. They're sitting in pews in business suits and blue jeans; Tillman is in the same suit he started the day in 12 hours before. They murmur the question, wondering what trick he has thrown at them. He asks again: Programmers, doing service as a thoughtless habit? Or builders, serving to edify their church and its mission in the community?

Since Tillman took over in 1982, he has simplified how people worship. He encouraged members to decentralize ministries and take the lessons from church into their everyday lives. He wants them to consider the community's needs and use their talents to serve the church, whether they're passing out water at football games, teaching a seminar about financial planning or leading a church tour. This will never be a church that has to look far for service projects, Tillman says.

He needs only look at their building. It needs a kitchen; the old one was removed to make wheelchair-accessible bathrooms. They want to replace the steeple with a 100-foot replica of the original, which was knocked down by a hurricane about a century ago. They want to rip the stucco off the exterior and preserve those old gray bricks, then build a museum out back to teach thousands of visitors who take their tour every year. It will cost millions, and nobody wants to spend a dime till they can do it without debt.

In Savannah, a city where history now drives much of the economy, they're likely to get community support. Still, African-American spaces have long fallen behind others. Where there are well-preserved plantation mansions, slave quarters are often long gone. Aging churches all over the country are at risk, too -- there will always be other worries and other causes that need to be funded first.

But there's no ignoring history, and especially faith, the pastor believes.

"Just the fact that we're in this building is a constant reminder of where God has blessed us," Tillman says. "Those who were enslaved were able to build a sanctuary, an edifice like this, that's built four-brick deep, that's meant to stand for the ages -- surely we can keep it up. Surely, we can do other great and wonderful things in this day and time, regardless of how the economic times are."

We are builders, he tells the congregation, and builders must have plans.

@highlight

Savannah's First African Baptist Church is one of the oldest black churches in the United States

@highlight

Early members, mostly slaves, built the church from 1855 to 1859

@highlight

Current members consider history when facing trouble