(CNN) -- America's longest war is expected to conclude by the end of next year, when the United States plans to withdraw all its combat troops from Afghanistan.

But many challenges remain.

Insurgents are still a "resilient and determined" threat, according to a Pentagon report released this week. Afghan security forces must be fully trained to take over for U.S. troops. And the two countries have to come to an agreement over what kind of troop presence the U.S. will have in 2014.

"How this war winds down is very important to Afghanistan, to the United States and so many other countries," said CNN's Erin Burnett, who has been in Afghanistan this week talking to U.S. officials, troops and Afghan civilians. "People paid for this with their lives. People have died, people have spent a decade of their lives fighting this war away from home. And of course, the U.S. has spent about $650 billion on the war alone."

Read more: Taliban claim bombing killing American, Afghans

Burnett talked to CNN.com on Thursday about her trip and what she's been hearing from various people about the transition and their hopes for Afghanistan's future. Here is an edited version of the conversation:

CNN.com: You talked with Defense Secretary Leon Panetta on Thursday. What's he saying about the war effort? Has the U.S. accomplished its mission?

Erin Burnett: Panetta points out the success in bringing down key members of core al Qaeda, and he believes he has made real progress on fighting al Qaeda and terrorism in Afghanistan. But he acknowledges that insurgents are still a problem, and he acknowledges that al Qaeda and terrorists have now spread and they're in other places. He specifically mentioned to me Yemen, Somalia and Mali. And he still thinks that al Qaeda is the single biggest threat to the American homeland.

CNN.com: What does that mean for U.S. troops in Afghanistan after the 2014 drawdown?

Burnett: Both Panetta and (Army Maj. Gen. Robert) Abrams, the regional commander in Kandahar, are very wary of discussing troop count. ... Some of it's going to come down to the treatment of U.S. troops' indemnity, which Panetta told me he's sure won't be a problem but the deputy foreign minister here in Afghanistan said was a serious issue that is on the table.

We're a long way away from having the details set in an agreement that the United States would actually sign. I got the sense that the overall agreement is something that's going to take a significant amount of time.

CNN.com: Are Afghan forces going to be prepared by 2014?

Burnett: In Kabul, traffic is a really huge problem, and they now have Afghan National Police doing the traffic control. Traffic control is something we in America take for granted, but you can see there's still a long way to go for them in terms of learning basic protocols.

And that kind of fits in with the recent Pentagon report that said only one in 23 brigades of the Afghan National Security Forces are actually ready to do their job from A to Z -- from dealing with things like electricity to (medical evacuations), whatever it is to operate a war.

The deputy foreign minister I talked to said, "Look that's not really fair, we're trying to train brigades on one thing at a time." But you had issues like that.

I talked to a U.S. sergeant in Kandahar who works at a forward operating base and his job has now become training Afghans. I asked him what his relationship was with them. And he said he had to trust them completely and they were like his brothers. This is a guy who's served four tours, missed three Christmases, put a lot of time in. And he really was loyal to them.

When I asked him explicitly, saying, "A lot of the coverage is pretty negative on how this training's coming, what have you seen?" he was very positive and he gave some examples on the communication they have with each other and their units and what significant progress he feels they have made. He really felt a sense of accomplishment and achievement, and you have to hope that his version of things ends up being the real version.

Read more: Navy SEAL killed in Afghanistan was smart, in superb shape

CNN.com: What's the general feeling among the Afghan people? Are they glad the U.S. is making plans to leave?

Burnett: I'm hearing two totally different stories.

Some people we've spoken to here sort of take it for granted that there's going to be a civil war when the United States leaves. It happened before when the Soviet Union left. One female member of parliament I talked to, she wasn't totally in that camp, but she was extremely afraid of it, saying: "I hope that it won't and I have to have confidence that we're going to be able to overcome it. But yes, I have that fear."

And then there are others who really try to be more optimistic. We were at a bazaar today, and we asked a whole bunch of people whether they thought it was a good thing that the United States was leaving. Many said they were glad, and they basically said we're glad because it's time we take this on ourselves. There was a real sense of pride that they could do it. These weren't people in the military. These were regular people on the street.

CNN.com: What else has stood out to you during your trip?

Burnett: During the Taliban, basically there were thousands of girls going to school in Afghanistan. Now you have millions of girls going to school. So there's been real progress on women's rights. Obviously, there remain a lot of problems -- honor killings, forced marriages, domestic violence -- but there has been real progress.

There are women's rights activists who are really afraid that when the U.S. leaves, a lot of the progress will be rolled back.

The female member of parliament I talked to, she is worried but hopeful. She has two daughters, 13 and 14. They really want to stay in their country, and they say, in their own experience, that there's been such a change in what girls can do. One of them wants to be president. One of them wants to be a space engineer. It was a pretty cool and inspiring thing to see, but it sort of brought home the risks and what's at stake here. ...

This was the most meaningful to me: the hopes that they have and the fact that they want to stay in their country and they want to fight for its future. If you have that going for you, then I think that's probably the best sign of hope that there is.

Read more: U.S. citizen rescued from the Taliban in Afghanistan

Watch Erin Burnett weekdays 7pm ET. For the latest from Erin Burnett click here.

@highlight

The United States plans to pull all combat troops from Afghanistan by 2014

@highlight

CNN's Erin Burnett is in Afghanistan to get a sense of how the transition is going

@highlight

There is still much work to be done, she said, with regards to training and a post-2014 plan

@highlight

Some Afghans are optimistic about the change; others are fearful of civil war