(CNN) -- For the residents of Christchurch, New Zealand, time stopped at 12.51pm on February 22, 2011, when a massive earthquake ripped through the city, destroying homes, lives and businesses.

One year on, reminders are never too far away, from the broken buildings to frequent aftershocks that rattle the city every day. Some are too minor to feel; others cause a sharp intake of breath.

"February, 22, 2011... is a date permanently etched into all of our minds, a date that will go down in the history of New Zealand as one of our darkest days," Prime Minister John Key told crowds gathered for a civic memorial service in the city Wednesday.

The magnitude 6.3 quake shook the city for a matter of seconds, but it was long enough to kill 185 people from 14 countries. Many more were injured.

The tremor brought down buildings in the city center in the middle of the working day, trapping workers and triggering a national state of emergency as rescuers scrambled to save lives. Most of the victims -- 115 -- were buried in the rubble of the Canterbury Television (CTV) building, which was later found by a government report to have been poorly constructed.

One survivor, Anne Vos, spoke to the media by cellphone as she lay trapped under her desk in the rubble of the five-story Pyne Gould Corporation building. After being pulled out, 24 hours later, she told CNN, "I was finding it hard to breathe, and I really thought that was it for me. I thought 'this is it - I'm not coming out of here.'"

Anne Vos: A survivor's story

One year later, Christchurch remains locked in recovery mode, a city carved into zones labeled by color to indicate the severity of the earthquake damage to homes and land.

For residents in the red zone, there is no future there. Around 6,800 homes, many clustered along the Avon River, have been designated for destruction.

The government says around 46% of residents in the red zone have accepted its offer to buy their land. Some have cut their ties with the area; others are still wading through insurance claims on homes waiting to be destroyed.

Before the quake, 22-year-old desktop publisher Sarah Boyd lived with her partner in Avonside, a small suburb that has now been condemned.

"It was a tiny wee suburb and nearly every house there has gone," she said. "They said that our house was sinking towards the river. They reckon all land would travel towards the river."

They moved out of the red zone in November, but Boyd said their new home suffered damage during the February quake and subsequent aftershocks, and may also need to be demolished.

Boyd works at the office at the Catholic Diocese of Christchurch, which suffered a blow during the quake with the near collapse of the Cathedral of the Blessed Sacrament. It is currently being propped up with shipping containers while work continues to determine exactly how much of the building can be saved.

The brightly-colored containers can been seen dotted through the city, at the makeshift "Re:Start" mall in the city center and along roads below unstable cliffs considered to be at risk of landslide.

"It's a city of two parts really," said Matt O'Connell, the earthquake recovery coordinator for the Catholic Diocese, who works in the same office as Boyd. Last week he took part in an Ecumenical door-knocking team made up of representatives from varying faiths in the city.

"Even just on one street we met a family there who are struggling for food who had eight to ten people living in a two-bedroom house," he said. "A lot of people are tired, stressed and frustrated. The rebuild seems to be going relatively slowly. There are lots of issues."

Recovery efforts are being hampered by frequent aftershocks. The February 22 quake was one itself, after a larger, magnitude 7.1 quake the previous September. That one ran deeper so caused less damage. The government said there have been 10,000 quakes since last September, including 39 of a magnitude of five or greater.

"We had a really good run from June until December the 23rd, then we got hit with a magnitude six quake, two days before Christmas. It really, really set people back. There was further damage, no one was injured, but it was a psychological blow for many people," O'Connell said.

While people struggle to recover, work continues to rebuild shattered buildings and infrastructure.

Prime Minister Key has said the recovery plan is making "good progress." Construction has started on 26 "significant" commercial buildings in the city center. Work on 80% of the 1,406 buildings marked for partial or full demolition has been completed. And 200 infrastructure repair projects are now underway, he said.

"Long term Christchurch will look much different but it will be vibrant, new and a great place to live," Key added.

Thousands have not stayed around to find out. Population figures released in October, the first numbers made public since the quake, showed more than 10,000 people had left the city in the year to June 2011.

On the eve of the anniversary, the city buried the unidentified remains of four people who were killed in the quake in a new cemetery. It will be one of the more somber reminders of that day.

The city came to a halt for two minutes at 12.51 local time, as residents paid their respects to those who were killed. Tomorrow they'll get back to the long, drawn-out task of rebuilding their lives and moving forward.

@highlight

Magnitude 6.3 quake shook city on February 22, 2011

@highlight

185 people died, thousands of buildings destroyed

@highlight

Recovery progressing slowly, many residents frustrated

@highlight

Key: New Christchurch will be "vibrant, great place to live"