Roswell, New Mexico (CNN) -- A skydiver's historic free-fall from the stratosphere was called off Tuesday due to wind gusts that ruined the helium balloon set to hoist him to high altitude for the record-breaking attempt.

Another attempt is not expected before Thursday due to weather conditions.

Felix Baumgartner is aiming to jump from a higher altitude than anyone ever has -- 120,000 feet (about 23 miles), more than three times the cruising altitude of the average airliner -- with nothing but a space suit, helmet and parachute.

He also hopes to be the first person to break the sound barrier in such a dive. At that altitude, the thin air provides so little resistance that after just 40 seconds, he is expected to be free-falling faster than 690 miles an hour.

Organizers initially delayed the balloon launch Tuesday morning because of gusting winds, then tried to make it happen a few hours later at the Roswell launch site.

However, as Baumgartner waited in the capsule to be carried up to high altitude, another wind gust whipped the more than 500-foot-tall white balloon and ruined it for the mission.

Art Thompson, the technical project director for the mission, said only one back-up balloon is now available to carry out the attempt.

"There's a lot riding on that, so the main thing for us is making sure the probability is very high," Thompson said.

Asked how he felt about having to call off the attempt, Thompson replied: "Deflated. No pun intended."

"For Felix, it's a lot of frustration," Thompson added. "A lot of anticipation getting to this point, and then feeling that he's going to have to wait -- it's a lot of anxiety on his part, I'm sure."

'Human helicopter' breaks record for world's longest flight

Years of preparation and untold costs to the primary sponsor, Red Bull, led to Tuesday's scheduled attempt.

When the launch occurs, Baumgartner expects to spend two or three hours on the ascent in a capsule hanging from the helium balloon. Then he will climb out of the capsule, jump off the step with a bunny hop and form a crouched "delta" position to maximize his speed.

He plans to fall 115,000 feet in less than five minutes, then deploy a parachute for the final 5,000 feet to Earth.

The attempt has serious risks. He and his team have practiced how he can avoid getting trapped in a dangerous "horizontal spin." At temperatures that could hit 70 degrees below zero Fahrenheit or lower, and an atmosphere so thin that his blood would vaporize if he were unprotected, his life will depend on the integrity of his pressure suit.

If he loses consciousness during the five-minute plunge, he will survive only if his parachute deploys automatically.

Another unknown: the effects on the body of breaking the sound barrier. While reaching such speeds can cause stress on an aircraft, planners for this jump believe there will be little effect on Baumgartner because he will be at an altitude at which there is so little air that shock waves are barely transmitted.

"I'm not nuts," Baumgartner said when CNN first interviewed him about the project in 2010. "You know, our records are meant to be broken, and I'm a very competitive person. I like the challenge."

On a more serious note, he added, "Of course I'm afraid of dying, because I worked so hard to reach this level. You know, I'm living a good life. I think the most important thing I'm doing is to come back alive."

Baumgartner is an Austrian helicopter pilot and former soldier who has BASE jumped from such landmarks as the Petronas Towers in Malaysia and the Christ the Redeemer statue in Rio de Janeiro. BASE is an acronym for buildings, antennas, spans and Earth -- the four things from which you can jump.

He has been preparing for his latest feat for five years -- both physically and mentally.

"You have to remember all the procedures," he said in an interview during testing for the jump. "You know you're in a really hostile environment. And you cannot think about anything else. You have to be focused. Otherwise, you're gonna die."

The balloon being used is light and translucent. The material is only .0008 of an inch thick, and it will change shape and size as it rises.

The pressurized helmet and suit, which restrict Baumgartner's mobility and together weigh 100 pounds, have been equipped with sensors and recorders to measure everything from his speed to his heart rate. Cameras on the ground and on the capsule will transmit live images of his attempt.

Baumgartner was not doing interviews leading up to the jump, but his performance coach, Andy Walshe, described him as mentally well-prepared.

"He knows that he's rehearsed it and knows what to do," Walshe said Sunday. "We want him in the right state of mind. We ask him to reflect on what he's done, what he's been through and what he's achieving for himself personally, so he can relax and focus."

The record for such a jump is currently held by Col. Joe Kittinger, who in 1960 jumped from 102,800 feet as part of a U.S. Air Force mission. More than 50 years later, Kittinger is a consultant and mentor for Baumgartner's effort.

Kittinger has also been giving Baumgartner advice on what to expect. For example, he described what it feels like to fall through space when there is so little air: "There's no way you can tell how fast you're going, because there's no visual cues."

Kittinger rejects any suggestion that he is jealous that Baumgartner is poised to beat his record.

"Oh no. I'm delighted," he told CNN recently. "He's advancing science, and he'll do a great job."

@highlight

NEW: Another attempt could happen this week, perhaps Thursday

@highlight

Felix Baumgartner hopes to be the first person to break the sound barrier without a vehicle

@highlight

Risks include low temperatures, thin atmosphere and a possible loss of consciousness

@highlight

Baumgartner will have only a space suit, helmet and chute for the 120,000-foot jump