(CNN) -- A Texas court granted a stay of execution for convicted murderer Henry "Hank" Skinner on Monday, giving Skinner time to pursue DNA testing his lawyers say could prove his innocence.

Skinner had been scheduled to die by lethal injection Wednesday evening for the New Year's Eve 1993 killings of his live-in girlfriend, Twila Busby, and her two adult sons in the Texas Panhandle town of Pampa. But the state Court of Criminal Appeals halted the proceeding Monday afternoon, ruling that it needed time to review the state's revised law on DNA testing.

In a written statement, Skinner's lawyer, Rob Owen, said the decision "has ensured that Mr. Skinner's request for DNA testing will receive the thorough and serious consideration it deserves."

Skinner, now 49, has strongly denied any involvement in the crime and claims that the DNA analysis of untested evidence will not only show him innocent but help determine the real killer. He came within 45 minutes of execution in March 2010 before the U.S. Supreme Court stepped in and handed him a legal reprieve.

As another execution date loomed, his supporters ratcheted up the pressure on Texas officials to grant his request for DNA testing.

"Executing Mr. Skinner without testing all the relevant evidence would suggest official indifference to the possibility of error in this case and needlessly undermine public confidence in Texas's criminal justice system," former Texas Gov. Mark White and 16 other current and former Texas lawmakers, prosecutors and judges wrote in an October 27 letter to Gov. Rick Perry, Texas Attorney General Greg Abbott and Gray County District Attorney Lynn Switzer.

Owen requested a 30-day reprieve from Perry's office Monday afternoon, shortly before the appeals court issued its ruling, arguing that "substantial new evidence" has come to light since his trial to support Skinner's claim of innocence.

"Physical evidence from the crime scene, witness accounts and expert testimony all demonstrate that Mr. Skinner was so severely impaired at the time of the murders as a result of his extreme intoxication from drugs and alcohol that he would have lacked the physical and mental coordination to perform even simple tasks, let alone commit these three murders," Owen wrote. DNA tests "could resolve once and for all longstanding and troubling questions about the reliability of the verdict in his case," he added.

And in a letter to the Dallas Morning News published Sunday, the foreman of the jury that sentenced Skinner to death urged his execution be stayed "until all of the uncertainty is resolved."

"Since the trial, I and many of my fellow jurors have grown increasingly concerned that key pieces of DNA evidence from the crime scene remain untested," the foreman, Danny Stewart, wrote. "Either the tests confirm Skinner's guilt or prove his innocence and prevent the state from making an irreversible mistake. There is simply no downside."

Skinner admits being at the crime scene when Busby and her sons died but said he was passed out on the couch from a combination of vodka and codeine and was too intoxicated to have committed the murders.

Monday's decision comes four days after the trial court denied Skinner's latest request for DNA testing on a variety of items collected by police, including vaginal swabs from Busby contained in a rape kit; clippings from her fingernails; two knives, one found on Busby's front porch and the second found in a plastic bag in the living room; a dish towel; and blood and hairs from a jacket found next to Busby's body.

"All the district attorney has got to do is turn over the evidence and test it, and let the chips fall where they may," Skinner told CNN's Kate Bolduan in 2009 in an interview from death row at the Polunsky Correctional Institution in Livingston, Texas. "If I'm innocent, I go home. If I'm guilty, I die. What's so hard about that?"

A federal case in which Skinner is also seeking the testing has been put on hold pending the outcome of the state court proceedings.

Texas state attorneys argued at a recent court hearing that the testing should not be conducted because there was not a reasonable probability the trial jury would have found Skinner not guilty if the testing had been done for his trial, Owen said.

Switzer's office has refused comment on the case, while Perry's office referred questions last week to the attorney general's office, which also denied comment.

In May 2010, two months after halting Skinner's execution, the Supreme Court ruled 6-3 that Skinner has a basic civil right to press for DNA analysis. But Texas prosecutors have fought the testing, claiming that Skinner is not entitled to testing of evidence not analyzed before his 1995 trial. Forensic evidence gathered at the scene, as well as witness statements, points to Skinner as the killer, they maintain.

A female friend of Skinner's who lived four blocks away testified at his trial that he walked to her mobile home and told her that he may have kicked Twila Busby to death, although evidence did not show she had been kicked. The neighbor has since recanted parts of her testimony.

Authorities followed a blood trail from the crime scene to the female friend's home and found Skinner in the closet, authorities said. He was "wearing heavily blood-stained jeans and socks and bearing a gash on the palm of his right hand," according to the Texas attorney general's summary of the case.

Authorities said cuts on Skinner's hand came from the knife used to stab the men. Skinner claimed he cut it on glass. Some DNA testing was done, which implicated Skinner, but not on the items he now wants tested.

In addition to Twila Busby, also found stabbed to death were her sons Elwin "Scooter" Caler, 22, and Randy Busby, 20, both of whom were developmentally disabled.

Busby's family, including Busby's surviving daughter, believes Skinner is guilty. But they also have pressed state officials to do the forensic testing, saying it would end the years-long delay while Skinner has pressed his legal claims.

@highlight

Henry "Hank" Skinner was scheduled for execution Wednesday in Texas

@highlight

A state appeals court granted a stay of execution

@highlight

Skinner's lawyers say DNA testing could prove his innocence

@highlight

He was convicted of killing his girlfriend and her two adult sons in 1993