(CNN) -- In BBC America's new prime time drama, "Copper," Irish-immigrant detective Kevin Corcoran roams from the filthy slums of Five Points to the glimmering sidewalks of Fifth Avenue -- all with a set of brass knuckles snugly resting on his fingers.

The year is 1864, and the tattered remnants of an ongoing Civil War remain in New York City. Blood is regularly spilled on the cobblestones and in dirty back alleyways. No one gives a man carrying the body of a young dead girl through the streets a second glance, but they balk at the idea of women wanting to vote.

It seems oddly fitting that "Copper," premiering on Sunday at 10 p.m. ET, takes place in America, and is the channel's first original scripted series. The U.S. branch of the well-known British network wanted to explore a part of American history that has only been seen in "Gangs of New York."

Historically accurate details, woven into the backbone of "Copper," transform it from period drama to believable reality.

For Anastasia Griffith, the world of "Copper" came to life as she was laced tightly into her corset, learning to breathe as her character, socialite Elizabeth Haverford, would breathe.

For Ato Essandoh, it was leafing through the worn leather journal of his character, Dr. Matthew Freeman, to discover ornate, accurate sketches of medicinal roots from 1864.

And for Tom Weston-Jones, it was opening a keepsake box of letters, only to find actual letters that gave him more insight into his character, detective Kevin Corcoran.

Kevin Ryan became so immersed in his character, detective Francis Maguire, that he consistently ate with his prop knife.

"It's about honoring the details," Griffith said. "And it's an added bonus if you have something to dig into, and take you away from yourself.

Although the series carries certain devices of other crime dramas, they are covered in the grit and deceit of a point in New York's history that is rarely portrayed. The actors sport hand-sewn satin gowns and rugged leather coats against a realistic backdrop of swampy, methane stench-ridden Five Points and the clean-swept cream-colored sidewalks of Fifth Avenue on a 212,500 square-foot studio lot.

Treachery, deceit and intrigue are rampant in Five Points, and disguised little better behind the facades of the Fifth Avenue brownstone.

"There is something very underdog-ish about all of the characters played by Kyle Schmid, Anastasia, Ato and I," Weston-Jones said. "We've all come up from below for very different reasons."

His character, Corcoran, embodies a blend of backstreet tenacity and well-honed honor as he doggedly pursues the truth amidst his own crookedly led Sixth Precinct.

The 10-part series, created by Tom Fontana (best known for "Homicide: Life on the Street" and other dramas) and produced by Barry Levinson (the acclaimed director of films like "Diner"), unfurls with Corcoran investigating a girl's death while trying to find his missing wife and solve his daughter's murder.

Meanwhile, he reconnects with two men, aristocrat Robert Morehouse, played by Schmid, and physician Matthew Freeman, who Corcoran fought alongside during the Civil War. The series explores the mysterious events that forged their bond during their time served in the Union Army.

While the plot may be full of dark twists and turns, there are also unexpected moments of humor.

"To find humor in the darkness is a very Barry [Levinson] thing," Griffith said. "Barry always sees the humor in every moment. That's life -- however dark things get, the reality of the moment is actually kind of funny, and that's something Tom [Fontana] and Barry do very well, this balance of light and dark."

Moral ambiguity is what connects most of the characters to one another, although societal differences try to keep them apart.

For Griffith, playing a woman in 1864 gave the added challenge of balancing an old-fashioned constraint with her own mettle.

"It was really about marrying two aspects: being tightly bound physically but at the same time, being very spirited and free inside," she said.

Essandoh faced the same challenge as another intelligent "underdog" of the time.

"Kind of the way Anastasia is bound by her clothes, station and by being a woman, I am bound by being a black man in 1864, where racism is rampant and pretty much the norm of society," Essandoh said.

"He is a fantastically gifted physician and scientist so there is that want, especially as a man, to say 'look at all the stuff I am doing,' but not being able to express his own pride in his work and display it because of the unfortunate nature of racism."

The scenes are juxtapositions of brothels to drawing rooms, and ripped rags to tiered silk dresses. "Copper" layers these settings, between Five Points and Fifth Avenue, with Carmansville, a developing African-American community that later becomes part of Harlem, while weaving in societal tensions of immigration and race.

Amidst the turbulence, "Copper" hopes to illustrate where America, and New York, came from by showing such a pivotal point in the city's history.

"We're really watching the birthplace of Manhattan happen and I think that is a pretty dynamic environment," Griffith said.

But you may have to wait until the DVD releases to see an extra when Griffith and Schmid drop it like it's hot to Sir Mix-A-Lot's "Baby Got Back" in period costume during a ballroom scene.

"Sex, drugs, violence and Sir Mix-A Lot," Schmid and Weston-Jones joked. "What's not to like?"

Watch the trailer for "Copper"

@highlight

BBC America's new show "Copper" focuses on New York's turbulence in 1864

@highlight

It is the channel's first original scripted series

@highlight

"Copper" explores both the slums of Five Points and the glamor of Fifth Avenue