(CNN) -- Like misery, failure loves company. Look at the immigration debate and how both liberals and conservatives -- and elected officials in both parties -- bungle it.

President Barack Obama has failed on immigration policy. But now that he appears to be poised to take executive action to fix some of what's broken with the country's immigration system, Republicans in Congress sound like they're about to overreact and join him in that failure.

Conservatives love to stir their flock by pushing the narrative that Obama is a staunch supporter of "amnesty" and that the President has always been in lockstep with immigration reform advocates.

That's fiction. It's been a rocky relationship. That's because Obama belongs to that wing of the Democratic Party that hasn't been interested in legalizing the undocumented and creating more competition in the job market for U.S. workers.

Obama broke his campaign promise to make reform a top issue and eroded trust between immigrant communities and law enforcement by expanding 100-fold the program known as Secure Communities, which ropes local police into enforcing federal immigration law. He tried to fend off critics who wanted him to slow deportations by claiming that he didn't have the power to act "as a king," only to later flip-flop and do just that during his 2012 re-election campaign when he unveiled Deferred Action for Childhood Arrivals (DACA).

Obama deported a record 2 million people in five years, divided hundreds of thousands of families, failed to deal effectively with thousands of child refugees who streamed across the U.S.-Mexico border last summer and then broke another promise when he said he would take executive action on immigration before the midterm elections but blinked.

Now, according to news reports that look like a trial balloon from the White House, Obama might, as early as this week, take unilateral action to offer several million illegal immigrants a temporary reprieve from deportation and perhaps even give some of them work permits.

If it materializes, I'll be proved wrong. A few months ago, I said this would never happen and now it looks like it might.

Options include some common sense items: Eliminating Secure Communities; broadening DACA by eliminating restrictions on how old applicants can be and when they had to have arrived; restating that the enforcement priority should be to remove violent criminals and not housekeepers and students; and expanding visa programs for immigrant spouses of U.S. citizens.

But it's the final item on the list that could really upset the apple cart: deferred action for parents of U.S. citizens and legal permanent residents, which could result in as many as 4 million to 5 million people getting a temporary reprieve from deportation. When those undocumented college students known as DREAMers first argued for special treatment, the claim was based on the simple idea that they were brought here as children and thus didn't intentionally choose to break the law.

Fair enough. But the same thing can't be said of their parents, who did intentionally break the law. Now what? Is there a new argument?

Besides, if Obama offers deferred action to parents, it will validate what conservatives have always insisted about how the U.S.-born children of illegal immigrants can be used to keep their parents from being deported.

That has never been the case. Parents get deported all the time, and their U.S.-citizen kids either go with them or stay on this side of the border and get put in foster care. Republicans have been wrong all along. Now, if he goes too far, Obama could prove them right.

If the President follows through on the proposed course of action, both sides will need to calm down.

Those on the left should hold their applause. By ending the deportation juggernaut, the President would merely be putting out a fire that he started. Besides, this is just a temporary reprieve that would require the undocumented to surrender to law enforcement officials, get fingerprinted and all the rest. And it could all be revoked by the next president.

Finally, this is not what Obama promised way back when -- that he would work aggressively with Congress to pass legislation that would permanently improve the lives of millions. This isn't reform. It's "reform lite."

Yet at the same time, those on the right need to rein in their scorn. In the post 9/11 era, conservatives shouldn't need a reminder of something they've been telling us for years: how sweeping can be the executive power of the president. As head of the executive branch, Obama naturally has the power to set priorities for the enforcement of immigration law.

Republicans have no trouble deflecting criticism by reminding Latino voters that Obama is in charge of deportations. So, instead of threatening the suicidal tantrums of a government shutdown or impeachment, conservatives should pipe down and let him be in charge of deportations. That doesn't just mean deciding who goes but also who stays.

Besides, Republicans like to talk tough about illegal immigration and the need to uphold the "rule of law" but that slogan would mean more coming from them if they didn't always run away from enforcing those laws that target the root of illegal immigration: U.S. employers who hire the undocumented, many of whom contribute to the re-election campaigns of Republican lawmakers.

What Obama has in mind isn't some kindhearted miracle or the coming of the apocalypse. It's just a legitimate exercise of the power that any president would have under the Constitution and our system of government.

I know that isn't sexy, or inspiring, or inflammatory. It won't help the parties fundraise. But it does have the advantage of being true.

@highlight

Ruben Navarrette says executive action on immigration would be legal, warranted

@highlight

Republicans err by claiming it would be an "impeachable offense," he says

@highlight

If President Obama can set rules for deportation, he can also relax them, he says

@highlight

Navarrette: The action wouldn't amount to full-fledged immigration reform