Cambridge, Massachusetts (CNN) -- Millions of Iranians poured into the streets Saturday to celebrate the victory of presidential candidate Hassan Rouhani. Huge crowds snarled traffic in the capital, Tehran, demanding the release of hundreds of political prisoners arrested during protests over sham elections four years ago. "My dead brother and sister, I got your vote back," people chanted, a reference to more than 100 demonstrators killed by the regime.

The surprise was not so much that 18 million votes were cast for Rouhani, slightly more than half the ballots, but the fact that the regime had endorsed his victory, triggering hope that international pressure over Iran's nuclear program and growing internal rifts at home might have forced the leadership to restore some of its lost legitimacy.

Rouhani is not a reformist, even according to Iranian standards. He had backed the violent crackdown against the pro-democracy student movement in 1999 and never formally aligned himself with the reformist camp. A cleric and a veteran politician since 1979, he was in the circle close to the founder of the revolution, Ayatollah Khomeini. He served five terms as a member of Parliament and 16 years as the head of the National Security Council.

During the campaign, he presented himself as a moderate, a platform that appeals to Iran's young electorate, and called for drawing Iran out of its international isolation. "It is important for the centrifuges to spin, but people's lives should run too," he said in a televised address, referring to uranium enrichment. He gained momentum only a few days before the election when two former presidents, both aligned with the reformers, Mohammad Khatami and Akbar Hashemi Rafsanjani, threw their support behind him. Then voters decided to give the polls, as a window to exercise their democratic rights, another try.

Ironically, Rouhani, the only cleric among the eight candidates, favors more political and social freedoms at home. During one of his talks, his supporters chanted slogans demanding the release of opposition leaders, Mehdi Karroubi and Mir Hossein Moussavi, the two presidential candidates in 2009 who have been under house arrest for two years.

Opinion: Will Rouhani alter Iran's policy on Syria?

The Supreme Leader Ayatollah Ali Khamenei, along with his military loyalists, the Revolutionary Guards and its militia wing Basij -- the alliance that many believe stole the election in favor of the incumbent Mahmoud Ahmadinejad -- still remain in ultimate power. Many had suspected that the regime would go to extraordinary lengths, as it did in 2009, to manage the vote from start to finish.

The Guards and the Basij campaigned vigorously for Saeed Jalili, a Khamenei loyalist and Iran's hard-line nuclear negotiator. His loss with less than 15% of the vote was an embarrassing rebuke of Khamenei's policies. Last month, demonstrators chanted "Death to Dictator," meaning Khamenei, at the funeral of a dissident cleric in the city of Isfahan. So by giving in to Rouhani's victory, many believe Khamenei is trying fix his tattered image.

Rouhani is Iran's next president

Although the election was far from democratic, it provided an opportunity for many Iranians, especially the young, to break the deadly atmosphere of fear the government has imposed for the past four years. The watchdog Guardian Council had already helped Khamenei sideline his rivals, barring a prominent politician and a former president, Rafsanjani, from running in the race. Government forces arrested activists and campaigners in the months before the election.

Economic issues were paramount on the minds of voters as U.S.-led sanctions have reduced Iran's oil revenue by half and shot the inflation rate up to more than 30%. Voters recalled Rouhani as the county's pragmatist nuclear envoy who deterred threats in 2003 by signing the Additional Protocol, allowing inspectors from the International Atomic Energy Agency to visit Iran's nuclear facilities.

Further, Iran suspended its sensitive uranium enrichment activities, a process that can be used to make nuclear fuel or a nuclear bomb if uranium is enriched to high levels. Those measures built trust around Iran's nuclear program until Ahmadinejad reversed them in 2005.

It is not clear if Khamenei's hard-line allies will allow Rouhani to introduce real change. The president sets the tone for domestic and foreign policy and can make room for more moderate voices in politics. But he holds little power compared with the authority that the constitution gives Khamenei. If Khamenei is willing to end international pressure over Iran's nuclear program, Rouhani provides the perfect opportunity.

Rouhani's victory has already bolstered a sense of optimism. Iranian currency, the rial, strengthened slightly against the U.S. dollar for the first time on Saturday after its steady downward spiral since 2011. In his first message after his election, Rouhani declared that "a new chapter" has begun and hoped the international community would use a more respectful rhetoric toward Iran.

The opinions expressed in this commentary are solely those of Nazila Fathi.

@highlight

Nazila Fathi: Half the votes were for Rouhani, but government's support is surprising

@highlight

Fathi: He supports enrichment of uranium: "It is important for the centrifuges to spin"

@highlight

Rouhani was the only cleric to run, she says, but he favors political and social freedoms

@highlight

Fathi: Victory sparked optimism, hopes for respect from international community