Everett, Washington (CNN) -- Sprawled out before us sits the exterior of the world's biggest building by volume. They make airliners here. Big ones.

"Let's go see some airplanes!" says our Boeing VIP tour guide.

I remind myself: This doesn't happen very often.

Yeah yeah yeah, Boeing offers public tours of this 98.3-acre airliner factory north of Seattle every day. This ain't that. This is special.

As part of a convention of aviation fans called Aviation Geek Fest, we're gaining ultra-exclusive access to the factory FLOOR. The public tour is limited to the balcony. We're about to walk knee-deep where Boeing gives birth to some of the world's biggest and most advanced airliners, including the 747-8 Intercontinental, the 777 Worldliner and the 787 Dreamliner.

Hot damn.

But not so fast -- before we go inside, Boeing has laid down some rules: no photos, no video, for our eyes only.

Here's a painful development: Our smartphones have been confiscated. Gulp. I'm already suffering from phantom phone pangs.

We enter through a small, inconspicuous door marked S-1. Suddenly, we're surrounded by partly assembled airliners in a room so big it takes on the feeling of an entire world. In some spots, we gaze across an unobstructed view measuring a quarter-mile.

This building is so flippin' big that -- years ago -- it created its own inside weather patterns, including vapor clouds. They eliminated that by installing a special ventilation system. Today's factory forecast: avgeeking, with continued avgeeking and a favorable chance of avgeeking later in the day.

Here are a few cool tidbits:

Jaw-dropping perspective

The thrill of being so close to the planes literally stops you in your tracks. Seemingly everywhere you look there's another five- or six-story-tall airplane towering over you. Some are covered with a green, protective temporary coating. One Dreamliner tail is painted with the familiar British Airways red, white and blue. Another sports New Zealand Air's cool black-and-white.

Boeing paints the tails before they're attached to the planes. Then they carefully adjust the tails for balance. Paint adds hundreds of pounds of weight, which would ruin the plane's balance if the tails were painted after being attached.

Soon these behemoths will jet across vast oceans as they carry travelers to far-flung destinations.

'You've gotta have secret clearance'

The planes' huge fuselages are joined together with the help of a giant piece of equipment called a "saddle." This U-shaped metal cage straddles the top of the planes during the body-joining process.

The "Wing Build" area -- where workers attach wings to the planes -- is the loudest part of the entire facility. The staccato of rivet guns pierces the heavy air. Whooshing vacuums suck up any dust that may be created when workers drill into the planes' lightweight carbon composite material.

Security concerns in the plant are real. "Conversation-restricted area," says one sign.

As we walk past a fenced-off zone, our guide quips, "You've gotta have secret clearance. I can't even go in there!"

The rock star engine

Then, like a holy relic brought back from the Crusades -- Boeing lets us touch "it."

By "it" we mean the GE90-115B. Guinness calls it the most powerful commercially produced jet engine in the world.

We gather around this rock star engine like thirsty travelers at a desert oasis, each taking turns running our hands across its silver exterior. The lip of the engine's mouth feels rough, like it has countless scratches etched into it. That design, engineers discovered, helps reduce noise.

This 19,000-pound monster hangs from the wing of a giant 777, but the engine still looks humongous -- measuring more than 11 feet in diameter. In fact, Boeing says it's so big you could fit the body of a 737 airliner inside it.

"There's no way to sense the sheer size of an airplane without being right there underneath it," says NYCAviation.com contributor Ben Granucci, enjoying his first Aviation Geek Fest. Engines like this make it possible for wide-body planes to fly long-distance routes nonstop with only two engines instead of three or four. In fact, the 777 flies many of the world's longest nonstop routes. In 2005 it set the world distance record for a nonstop commercial airline flight, jetting 13,423 miles from Hong Kong eastbound to London in 22 hours, 22 minutes.

The world's top flying hauler

Just a few hours earlier, a handful of aviation geeks were hanging out at a hotel next to Paine Field, the airport Boeing uses to test and deliver the factory's planes.

Then, Granucci tweeted out that the plane that hauls the most cargo by volume in the world just happened to be passing through.

Count me in.

Soon, a dozen camera-wielding geeks are lined up outside the hotel to welcome the Dreamlifter -- a modified 747 -- as it lumbers in for a landing. "We're gonna be late for breakfast," says avgeek Steve Dillo as he snaps photo after photo. "But this is worth it."

The thing roars like a lion, but it looks like a whale as it slows for touchdown. In the entire world, there are only four of these giant planes. Boeing uses them to ferry big sections of the 787 for final assembly here in Everett. Last year, when a Dreamlifter landed at the wrong airport in Kansas, it wasn't exactly a stellar moment.

The Avgeek News Network

This is the fifth avgeek fest, co-sponsored by AirlineReporter.com and Everett's Future of Flight Museum. The February convention drew a record 300-plus participants from 18 different states and three countries. Former GM and Toyota engineer Philip McKenzie, flew 8,000 miles from Melbourne, Australia, to see how "things are laid out" in the factory. Vancouver Airport official Trevor Batstone traveled 100 miles from Canada. Who are these people -- these avgeeks? What defines them?

"It's someone who always looks up in the sky when they hear a jet roar," says Ryan Ewing, 14, who runs airlinegeeks.com out of his Bethesda, Maryland, home. Ewing was right there in the thick of the geeks with his camera when the Dreamlifter came calling.

The event was born from an aviation-obsessed online community that uses social media to organize and share information. Aviation news sites like Airchive, AirlineReporter, NYCAviation and AirlineGuys all share common friends, connections and interests. When news breaks, their informal social network sometimes challenges traditional news media. This month AirlineReporter and a few other aviation sites broke news about the hijacking of an Ethiopian Airlines 767 in Rome about 30 minutes before many "legacy" news organizations, says AirlineReporter founder and editor-in-chief David Parker Brown.

Boeing's desire to connect with fans and fliers combined with the emerging power of the avgeek nation opened the doors to the exclusive Boeing tours, Brown says. "Boeing has increasingly realized how smart and educated about aviation avgeeks are."

Baby Boeings

The following day southeast of Seattle, Boeing opens up yet another factory for us to tour. This one is the birthplace of what Guinness calls the "most produced large commercial jet in aviation history" -- the 737.

No public tours here. This is a tour for avgeeks and VIPs. "Avgeeks love getting access to places that are off limits," says Brown. "It's all about exclusivity."

Here's some 737 tour trivia:

—This place creates 38 of the planes every month on a moving assembly line. And they're pushing to increase that rate. "Even though we joke that the 737 is the 'Baby Boeing,' it's still a large and complex machine," says Granucci. "It requires precision to put it together. The fact that you can perform such precise work on a moving target -- I find that to be incredible."

— The facility receives pre-assembled fuselages by train from a factory in Wichita, Kansas.

— Workers attach wings to the fuselages. It takes about nine hours to put wings on a 737.

—The planes also get "winglets" — the tiny, upward pointing wings you see on the wingtips of 737s and other airliners. These doodads reduce drag on the plane and make it more fuel efficient — by about 4%.

—Workers install seats on the planes by using a loading machine they call a "hay baler."

— In an operation called "high blow," Boeing tests each plane's passenger cabin for possible leaks during pressurization. The procedure includes putting people inside the planes to listen for leaks.

— Each 737 is made up of 42 miles of wire and 394,000 separate parts

— If there's a problem on the assembly line, workers activate a purple flashing light -- alerting others that they need help. "Blinking purple is bad for us here," says Christian Ofsthus, a Boeing senior manager. "If there's something wrong, something doesn't fit, we need to do something about that."

As the tour ends, we wind through an employee diner named for the World War II symbol Rosie the Riveter, and file back onto our bus. Driving off the property, we spot a train loaded with brand new wingless 737 fuselages headed to the factory behind us.

That triggers spontaneous applause and scattered whoops throughout the bus. Well, you just can't get any geekier than that.

"That is so cool," I hear someone say.

"Yeah," said someone else, "baby planes!"

@highlight

Boeing allowed aviation fans unique factory access during a February convention

@highlight

"Avgeeks" toured factories for 737, 747, 777 and 787 Dreamliner

@highlight

Growing avgeek community challenges legacy news media