(CNN) -- Serving as a timely reminder to delegates convening for the Rio +20 Earth Summit, the International Union for Conservation of Nature (IUCN) has published its latest Red List detailing the ongoing threats to biodiversity on the planet.

The IUCN assessed a total of 63,837 plant and animal species around the globe which revealed 19,817 of that number are currently threatened with extinction, with 3,947 described as "critically endangered" -- the final classification prior to extinction.

A further 5,766 are "endangered," while more than 10,000 species are listed as "vulnerable."

"Sustainability is a matter of life and death for people on the planet. A sustainable future cannot be achieved without conserving biological diversity ... not only for nature itself but also for all seven billion people who depend on it," Julia Marton-Lefevre, IUCN director general, said in a statement.

"(The latest report) is a clarion call to world leaders gathering in Rio to secure the web of life," Marton-Lefevre added.

See Also: Can Rio +20 solve world's environmental problems?

Amphibious creatures like frogs, toads and newts are the most endangered group with 41% facing extinction. A quarter of all mammals and 13% of bird species are heading towards a similar fate.

Ocean biodiversity is continuing its decline with a third of all reef-building corals threatened by extinction which could cause potentially catastrophic consequences for humans.

More than 275 million people are dependent on coral reefs for food, coastal protection and their livelihoods, according to the IUCN.

The reef fishing industry is worth $6.8 billion annually but overfishing is now affecting more than half the world's reefs.

"The services and economic value that species provide are irreplaceable and essential to our well being," Jon Paul RodrÃ­guez, deputy chair, IUCN Species Survival Commission, said in a statement.

"Unless we live within the limits set by nature, and manage our natural resources sustainably, more and more species will be driven towards extinction. If we ignore our responsibility we will compromise our own survival," he added.

Plants also continue to face severe threats. Two species (Acalypha dikuluwensis and Basananthe cupricola) were officially declared extinct in 2012 and 30% of conifers are under threat.

"Recent work on plant assessments suggests that around one in five plants are threatened with extinction," says professor Stephen Hopper, director (CEO and chief scientist), Royal Botanic Gardens, Kew, England.

"Three quarters of the world's population depends directly on plants for their primary health care. Eighty percent of our calorie intake comes from 12 plant species. If we care about the food we eat, and the medicines we use, we must act to conserve our medicinal plants and our crop wild relatives," he added.

Paul Smith, Head of the Millennium Seed Bank at the Royal Botanic Gardens says that every plant extinction makes it more challenging for humans to adapt to change.

"You look at all the big environmental problems -- food security, water scarcity, energy, climate change mitigation and adaptation -- the fact is we need to adapt and innovate," Smith said.

"We have always adapted and innovated -- 10,000 years ago we innovated with agriculture. But we can only innovate if we have access to a full range of plant diversity," he added.

The seed bank at Kew, the largest of its kind in the world, currently stores 11% (around 31,000 specimens) of the world's plant species.

Smith says the plant extinctions that have occurred since the first Earth Summit in 1992 have all been entirely avoidable.

"There is no technological reason why a plant species should become extinct. To collect and preserve an entire species which we can keep in the seed bank here for 200 years costs about Â£2,000," he said.

Smith says the failures to forge ahead with environmental action in recent years have been down to lack of political will.

"I think because people are incapable of thinking in the long term -- particularly politicians and our leaders. There hasn't been either priority or resource given to these tasks," he said.

But he remains upbeat about Rio +20.

"You've always got to be optimistic," Smith said. "The problem with any consensual approach is that it takes a very long time. It has become highly politicized and dominated by lawyers. That's the problem with any multilateral consensual system."

But others, like Jim Leape, director general of WWF is deeply concerned that Rio +20 talks will stall.

In a statement released by WWF on Tuesday, Leape said the summit is "doomed to ridicule" unless world leaders "get serious about sustainable development."

Leape laments the revisions to the Rio +20 negotiating text made by diplomats over recent days which have swapped "weak words for toothless language," he argues.

"They've added some positive actions around oceans protection. But the text has lots of words that 'commit' parties to nothing -- such as 'commit to promote' and 'commit to systematically consider,'" Leape said.

"World leaders 'recognized' problems 20 years ago, and they've done little about them since. How long are we going to accept 'we'll look into it' as a solution?" he added.

@highlight

Latest snapshot of threats to animal and plant species published by international conservation group

@highlight

Nearly 20,000 species now face threat of extinction including 41% of amphibians and 33% of reef building corals

@highlight

Report is "clarion call to world leaders gathering in Rio," says IUCN director general Julia Marton-Lefevre

@highlight

WWF director general warns Rio "doomed to ridicule" if world leaders don't act decisively