George W. Bush is a proud new grandfather and fascinated by his unlikely new hobby: painting.

But some things haven't changed a bit: the trademark smirk when he is amused, a squinty glare when he doesn't appreciate the question -- and a quick turn to humor when the conversation turns to "legacy," including the scars of Iraq or the cloud of Katrina.

"History will ultimately judge  the decisions that were made  for Iraq and  I'm just not going to be around to see the final verdict," the two-term president told CNN in a wide-ranging interview.

"In other words, I'll be dead."

On Thursday, every living president will be on hand for the dedication of the George W. Bush Presidential Center in Dallas. One, of course, will be his father, George Herbert Walker Bush; the other three, Democrats -- Presidents Jimmy Carter, Bill Clinton and Barack Obama.

By the Numbers: Presidential libraries

The 43rd president said he has learned lessons from his predecessors about how to make a mark after leaving the White House.

"You learn that life doesn't end after you're president," Bush said. "In other words, you're going a hundred miles an hour and, and, in my case, we woke up in Crawford and now it's going zero. And so the challenge is how to live life to its fullest.

"In my case, I've chosen to do so outside the limelight. On the other hand, I am confident that when this chapter of our life is finished, that we'll both be able to say that we've advanced  the cause of peace and freedom and -- and the human -- and helped improve the human condition."

Remembering 43: 'Bush tended to... follow strong people'

In July, Bush visited Zambia and Botswana to promote a health initiative that focuses on cervical and breast cancer prevention and treatment. He also helped create the Clinton Bush Haiti Fund, which focuses on long-term economic reconstruction projects that create jobs and promote economic opportunity.

Laura Bush said her husband rarely itches to add his voice to the daily political debate. The former president said he knows the library dedication will re-stir the debate about his presidency, and he conceded the library is in part an effort by him and supporters to influence history's verdict.

But he predicted visitors would find it "more objective" than they might have imagined and he showed little interest in revisiting flash points like Iraq, Hurricane Katrina or the 2008 financial crisis. Or the scorn with which many look back at the Bush presidency.

A glimpse at a White House before everything changed

"You know, I'm  really not that concerned about  why people did what during my presidency." Bush said. "I'm more concerned about  being an effective person for the rest of my life.

"I know this, that  Laura and I gave  the presidency eight years of our life. We gave it our all. Made the best judgment calls I could. I didn't compromise my principles. And I'm a content man. And  I am excited about  what we're going to do here."

The library path is a quick reminder of how everything changed on a crisp September morning. One early exhibit is filled with children's books -- education reform was to be a major first term priority.

Brazile: Bush came through on Katrina

Then, the dress Laura Bush wore to a state dinner on September 6, 2001, for then-Mexican President Vicente Fox.  Candidate Bush had promised a humble foreign policy, with a heavy focus on the Western Hemisphere.

One step past images of that festive dinner takes you into the horror and carnage of September 11, including a twisted beam from the second tower of the World Trade Center and the bullhorn the president used during his now iconic visit to the rubble at ground zero a few days after the attacks.

Given his heavy focus on terrorism as president, we began the conversation with his thoughts when he heard the news of the explosions at the Boston Marathon finish line.

"I was reminded that evil exists," Bush said. "And that there are people in the world who are willing to kill innocent people to advance  a cause."

History's jury is still out on George W. Bush

The Decision Points Theater is a centerpiece of the library tour. Visitors can relive big Bush administration policy debates, and read and listen to some of the advice given to the president at the time. Then they can pick a course of action.

Never known as one to second-guess himself, the former president conceded problems in administering the Iraq war but was adamant he believed history would embrace the decision to go to war.

A Bush White House before everything changed

Asked if he is now convinced he launched the war with too small a U.S. military force, Bush said, "There are some -- you know, tactics that  need to be revisited. On the other hand, the removal of Saddam Hussein  was the right decision. America is more secure. The Iraqi people have a chance to live in a free society."

He said he will take no offense if museum visitors come to a different conclusion.

"The museum  is a -- it does give people the opportunity to hear  the different points of view that  I got on these particular issues," he said. "The purpose of which is not to try to defend the policy. The purpose of which is to try to show people what it's like to be the president. And how you make decisions."

Another exhibit includes former Secretary of State Condoleezza Rice explaining enhanced interrogation tactics used against some suspected al Qaeda terrorists taken into U.S. custody.

Stand back: Bush is 'busting stereotypes'

Veterans of Bush administration policy battles might wonder why former Vice President Dick Cheney does not have that role in the library, given his strong support for the tougher interrogations, including waterboarding in a few cases.

Cheney is attending the ceremonies, and while he has written and talked openly about differences with his former boss late in their White House years, President Bush brushed aside any talk of bad blood.

"No, it was never strained," Bush said. "I think that's the mythology that we've escaped. In other words, there's a mythology in Washington."

Reminded of Cheney's recollections in his book, especially over the president's refusal to pardon longtime Cheney aide and friend Lewis "Scooter" Libby, the former president added this to the talk of tensions:

"Not really. They were on Scooter Libby. Yeah, he didn't agree with that decision.  But I don't -- you know -- people ought to look at the total picture.  And we're friends then and friends now."

By the numbers: The Bush family

Other highlights of the interview:

On his debate just before Katrina hit about whether to overrule Louisiana's governor and send in federal troops:

CNN: People were telling you, "Mr. President, maybe you need to declare an insurrection."

George Bush: Insurrection. Which would have been pretty difficult. Not pretty di -- very difficult.  Yeah, so I -- it just points out the dilemma. ...

CNN: Do you wish in hindsight you had done it?

George Bush: No, not really.  I'm -- you know, I get -- there's no telling how history would have recorded the situation had I declared an insurrection.  I can tell you the decibel level would have risen even louder than it was.

Hopefully people will go to the Decision Points Theater and say, "Wow, I didn't understand that."  Or, "I now understand it better."

On whether he feels personal redemption now that many Republican leaders are pushing immigration policies that mirror his failed proposals:

George Bush: No, I don't. I don't really view it as  redemption, I view it as smart.

And logical. And I was real proud of my little brother being out there, you know -- pushing the issue. Because he understands the issue well. Eventually these problems will get solved.  And a  president just has to understand that not every issue  gets solved  during his presidency. But he can contribute  to the ultimate solution.

On whether that brother, former Florida Gov. Jeb Bush, should seek the 2016 GOP nomination:

George Bush: Well, big Jeb, you know, he's got a decision to make.  And if I could make it for him, it'd be, "run," but I can't.  And I don't know what he's going to do. He'd be a great candidate and a great president.

On plans for a third trip to Africa this summer:

George Bush: I think it's important to set priorities in life.  I always said that  one of the principles that was important to me was human life. We went to Africa and saw  people dying, needlessly dying. And there's nothing more important, I think, and Laura thinks as well, to help somebody live.

And so  during my presidency I convinced Congress to spend taxpayers' money to save lives not only  from HIV but as well from malaria. And it worked. And we want to continue that type of work with cervical cancer.

Finally, on his post-presidential hobby of painting:

Laura Bush: Who would have thunk it? George was looking for a pastime, actually, when he gave up smoking cigars.  So he read Churchill's book, "Painting As a Pastime" and he's actually very good.  He's a very good painter.

George Bush: I relax.  I see colors differently.  I am, I guess, tapping a part of the brain that, you know, certainly never used when I was a teenager. And I get the satisfaction out of completing a project.  And  I paint people's pets.  And I love to give them their pet as a gift.

And I readily concede the signature is more valuable than the painting.

@highlight

CNN's John King gets a private interview with George and Laura Bush

@highlight

A sense of legacy is in the air on eve of Bush presidential library's opening

@highlight

Bush talks about milestones of his presidency, relationships with his staff