Seoul (CNN)In the first few days after the Sewol disappeared beneath the Yellow Sea, divers pulled body after body from the watery wreckage, bringing the dead home.

And throughout the following days, weeks and months, Park Eun-mi waited to see if one of them was her 16-year-old daughter, Huh Da-yun.

The divers stopped searching months ago because of the winter and water conditions, and the South Korean ferry remains on the bottom of the sea floor.

The Sewol sank on April 16, killing 304 people, mostly high school students who were on their way to a field trip to Jeju island, off South Korea's southern coast.

"We kept waiting with belief in finding our daughter. I thought once, 'Somebody will be the last person and what if it's Da-yun?'" Park said.

A year later, Park's life remains at a standstill. Nine have yet to be found.

"We, the families of the missing victims, are still living the day --  April 16, 2014," said Park, who is in poor health, but refusing treatment. "I cannot think about anything except to find my daughter and other missing people."

Park's case is an unsettling one -- emblematic of what remains unresolved a year after the Sewol ferry sank. Dozens associated with the ferry disaster have been sent to jail on criminal charges. But families say the underlying problems that led to the sinking of the Sewol are far from resolved.

On April 16, the Sewol ferry, carrying hundreds of high school students, began sinking after taking a sharp turn.

Passengers were told repeatedly by the crew members to stay where they were as rescuers would arrive soon. Many of them listened to the instructions and remained in place. As the ferry tilted sideways, water seeped in and objects in the ship toppled over, injuring people and blocking their way out.

Anger over how the crew failed to evacuate the passengers intensified when video surfaced of the ferry's captain in his underwear leaping into the arms of the Korean Coast Guard while hundreds remained trapped in the vessel.

Divers had to pluck the bodies from the water one-by-one, bringing the youngsters back to land in black body bags where they were met with the gut-wrenching cries of their families.

On Thursday, the one year anniversary of the disaster, South Korea's President Park Geun-hye called for the salvage of the Sewol's wreck "as soon as possible."

"Recently, there was an announcement that it is technically possible to salvage Sewol ferry. I believe that it is now time to earnestly prepare to salvage," she said.

A government study on raising the ferry released last week identified a crane and floating dock as the safest way to look for the missing. The Sewol ferry is over 20 years old and there are fears it could fall apart during the extraction, according to the South Korean Ministry of Oceans and Fisheries.

The agency anticipates a complicated technical operation to remove the ferry, which would weigh about 10,200 tons above water. The process could take over a year and a half, and that it would cost the South Korean government anywhere from $91 million to $182 million.

The victims' families have demanded that the ship be recovered in order to thoroughly investigate the accident.

Since the days immediately after the disaster, families have criticized the government over its response. Communication over the rescue efforts were jumbled, paving way for rumors and hoaxes. Criticism swirled over the South Korean Coast Guard's effectiveness in carrying out the rescue operation.

The captain of the first coast guard ship sent to rescue the Sewol passengers was found guilty of negligence and making false reports.

The recovery efforts have also taken a deadly toll with a total of six deaths -- a diver searching the Sewol died in May, and in July, five people died after a helicopter carrying emergency workers involved in the operation crashed.

Park, the South Korean president, pledged major reforms, dismantled the coast guard and vowed an investigation into what went wrong. That promised investigation has been hampered by politics and disagreements between the families and the government over who should participate in the investigation.

Earlier this month, several dozens of family members marched to Seoul from Ansan, the suburb where most of the students had resided. Some of the families shaved their heads to demand political action.

Several laws have been passed to inspect cargo weight and increase oversight in the industry.

In the case of Sewol, the ferry was found to be loaded with double its capacity. Its cargo wasn't secured properly, which threw the ship off balance as the containers tumbled and knocked the vessel off balance. An inexperienced crew and redesigns of the ship to handle more passengers and cargo were also cited as factors in the disaster.

The sinking spurred a debate about the shortcomings of the government and what preventive measures should have been taken.

"The tragedy of Sewol was also virtually caused by accumulation of corruption, irregularity and going blind eyes," Park said on Thursday. "Corruption and deep-rooted evil are issues that can lead to taking away people's lives. We take this very seriously."

In the immediate aftermath, South Korean prosecutors arrested the captain, crew members and business associates.

Sewol's captain, Lee Joon-seok, who was widely derided for jumping to safety, was sentenced to 36 years in prison for abandonment causing death and injury, and violating sea laws.

In July, the body of a billionaire Yoo Byung Eun, who was believed to have connections to the company that owned the ferry, was found decomposing in a plum field.

But some families say that wider, systematic problems that allowed the disaster to occur haven't been addressed.  Whether the ferry will be raised and an independent investigation will be held remains to be seen.

CNN's KJ Kwon and journalist Jungeun Kim contributed to this report in Seoul.

@highlight

Sewol ferry sank a year ago off the coast of South Korea, killing 304 people

@highlight

Families hold protests, vigils, say not much has been resolved since sinking

@highlight

Government has yet to decide whether to raise the ferry