From Gaza City to Tel Aviv, rockets kept flying, people kept dying and fear and anger on both sides kept growing.

For all the bloodshed thus far -- including at least 30 killed in Gaza since Wednesday, according to a Palestinian government website, and Israel reporting three deaths in Kiryat Malachi -- there has been little indication the situation will calm any time soon.

In fact, fears are rising that the opposite will hold true. Israel's Cabinet on Friday approved the activation of up to 75,000 reservists, prime minister's spokesman Mark Regev said. Also, the Israel Defense Forces reported earlier in the day that it is "mobilizing forces" in preparation for a "possible ground invasion of the Gaza Strip."

Q&A: Gaza strikes could be beginning of ground attack

The violence "seems that it's beyond control," said Daniel Ben Simon, a Knesset member not aligned with Prime Minister Benjamin Netanyahu's coalition.

The violence continued Saturday morning, with several loud explosions from apparent Israeli strikes rattling Gaza City. The Cabinet headquarters for Hamas, the same building where Egypt's prime minister met with Hamas' officials the previous day, was among the sites destroyed, according to Hamas TV.

From northern Gaza, Mohammed Sulaiman said he could hear bombs intermittently falling from Israeli warplanes as well as, from the other side, rockets periodically whistling toward Israel.

"The situation is totally dangerous here, and it is not safe to be out in the street," Sulaiman said.

Meanwhile, the Israel Defense Forces, which has accused Hamas of turning Gaza into "a frontal base for Iran," said 97 rockets launched from Gaza had hit Israel since midweek, while another 99 were intercepted by a missile defense system.

The former category included rockets that landed near Israel's two most populous cities Friday. No damage was reported, but Israelis consider the attacks on its major population centers to be an escalation, said Israel's ambassador to the United States, Michael Oren.

Two struck an open area south of Jerusalem, with Hamas militants confirming they had fired rockets toward that city.

iReporter captures wailing sirens warning of rockets in Jerusalem

Alarms went off, too, in Tel Aviv, prompting people to scurry off beaches and into safe locales, witnesses said.

From a seaside restaurant, Elian Karen said the rocket went into the ocean about 10 to 15 meters deep, caused water to rise briefly before black smoke began rising from the water. Within 10 minutes, people were back on the beach -- sitting, eating, playing and seemingly determined not to let the conflict disrupt their lives.

Photos: Deadly attacks in Gaza, Israel

"Everyone is on the beach right now, very normal (and) no stress," Karen said Friday. "We want to have a normal life and enjoy life."

Rejecting the idea of a temporary cease-fire Israel had requested because of the Egyptian prime minister's Gaza visit,  the militant group al-Qassam -- the military arm of Hamas -- reported on its Twitter feed that it had fired a Grad missile  Friday on the southern Israeli city of Beer Sheva.

Israeli: 'How would you feel if your children were constantly scared?'

In Ashkelon, about 17 kilometers (10 miles) north of Gaza, local officials said rocket strikes had increased dramatically in recent days. Such attacks are nothing new for residents accustomed to hunkering down in bunker rooms, but the emptiness of the town's marina and streets suggested the uptick had left people on edge.

"It is really frightening," Shiraz Wieselhof said. "I cannot sleep at night."

This violent back-and-forth comes after the Israeli military's start Wednesday of an operation it calls Pillar of Defense, which it launched to target those behind the high number of rockets fired at Israel over the past year.

Israel: 'All options on the table in Gaza'

Israeli authorities said the military campaign has hit more than 600 targets for what it calls terror activity and stifled rocket launches out of Gaza, a claim denied by al-Qassam.

Photos from Friday showed fiery rubble of where Hamas' Interior Ministry building once stood.

Hamas field commander Ahmad Abu Galala was killed Friday, according to Hamas officials, and Israel's military reported that fellow senior Hamas operative Kahlid Shahyer was also targeted.

Watch: Senior Hamas member on strikes in Gaza

But despite what Oren describes as great pains by Israel not to hurt innocents -- including warning Gaza residents in phone calls and leaflets -- scores of civilian casualties have been reported.

In Gaza City, for example, a neighbor at al-Shifa Hospital held the body Friday of 4-year-old Mahmoud Sadalah, who his father described as "very sweet" and intelligent. The boy is among eight children killed in the recent violence, medical sources in Gaza said.

Fear, mourning, celebration in Gaza City

At least 101 children and 96 women have been injured in Israeli strikes, a figure that does not include carnage from new attacks late Friday night, said Dr. Mufeed Mkhallalati, the Palestinian health minister.

"As a doctor, as a human, I am crying," a doctor at al-Shifa Hospital said. "I can't do anything for him, because I know he's died. ... And you can't imagine if it's your baby, how do you feel he's a terrorist? Why?"

Egypt vows 'not to leave Gaza alone'

With its attacks, Israel is denying Palestinians their rights and efforts to establish an independent state, Palestinian Authority President Mahmoud Abbas said Friday.

"This is an aggression against all Palestinian people," he said.

He cited the deaths of two babies as a result of Israeli airstrikes. One was the 11-month-old son of a BBC journalist in Gaza, BBC Foreign Editor Jon Williams said.

Egyptian Prime Minister Hesham Kandil got a firsthand look Friday at destruction while on a tour with Hamas Prime Minister Ismail Haniyeh.

His rhetoric toward Israel was diplomatic, though his voice was halting as he struggled to get his words out after seeing a dead year-old boy.

"No one can remain still and watch this tragedy unfold in this fashion," Kandil said. "This is impossible. The whole world must intervene, and Israel must abide by the agreements and stop the aggression."

Watch: Egypt condemns Gaza violence

The armed conflict is likely to further erode Israel's fragile relationship with Egypt, which recalled its ambassador to Israel on Wednesday in protest over the ongoing strikes. It also delivered a formal protest to the Israeli government.

"Egypt will not leave Gaza alone, and what is happening there is a blatant aggression against humanity," said Egyptian President Mohammed Morsy.

His Cabinet chief noted, however, that Egypt's peace treaty with Israel is safe.

"But respecting a peace treaty does not mean to stay idle or indifferent to what is going on along our borders," said Mohamed Refa'a al-Tahtawi, who promised "medical, logistical and humanitarian" support for Palestinians.

Will Twitter war become the new norm?

@highlight

Hamas' Cabinet headquarters is destroyed, Hamas TV reports

@highlight

Israel's Cabinet OKs activating up to 75,000 reservists, a spokesman says

@highlight

Israeli strikes have killed 30 in Gaza, a Gaza government website says

@highlight

"It seems that it's beyond control," an Israeli Knesset member says