(CNN) -- TV's newest crime thriller, "The Bridge," is taking viewers to a volatile place most have only seen on the news: The U.S.-Mexican border.

FX goes beyond the headlines with a series that aims to give a new twist to the serial killer storyline by setting it against the backdrop of a tumultuous border town.

Named after the Bridge of the Americas that connects El Paso, Texas, and Ciudad Juarez, Mexico, the show explores the real-world tensions along the border through the story of two detective agents -- one from the United States and one from Mexico -- who must work together to hunt down a serial killer who is terrorizing citizens on both sides.

The series is an adaptation of a Scandinavian drama called "Bron," and is brought to life for the American audience by creators Meredith Stiehm ("ER," and "Cold Case") and Elwood Reid ("Cold Case" and "Hawaii 5-0").

Like "Bron," "The Bridge's" pilot episode opens with a gruesome murder and a body splayed in the middle of the bridge joining both nations. This time, however, the murder involves an American judge with anti-immigrant ties.

El Paso detective Sonya Cross (Diane Kruger) and Chihuahua state police detective Marco Ruiz (Demian Bichir) form an unlikely pair of agents whose investigation and relationship examines the hot topic of immigration while shedding light on the varying cultural experiences of both border towns.

The series also addresses the powerful drug cartels and rampant corruption plaguing Mexican police.

Filmmaker Gerardo Naranjo, known for his critically-acclaimed drug trafficking film "Miss Bala," directed the pilot episode and told CNN the drama's authentic take on the U.S.-Mexican border is what sets it apart from other productions.

For example, the series embraces dialect as an important component of the story.

Much like the real-life fluidity of language alongside the border, "The Bridge" incorporates Spanish when set in Ciudad Juarez and adds English subtitles. There is even the occasional use of a mix of both languages (aka Spanglish).

Aside from being a Mexican national, Naranjo brought a wealth of border knowledge to the director's chair. He spent close to three years interviewing criminals and researching the conflict in preparation for 2011's "Miss Bala."

"We tried to be as honest as possible," Naranjo said. "It is not about making Mexico look good or bad, it is about what is the truth. Many people who are ignorant of Mexican issues are going to learn about certain realities through our show."

At the New Generation Latino Consortium Media, Marketing and Entertainment Conference (NGLC) in early June, Bichir echoed the sentiment. "I had a conversation with my producers and writers and that was the first thing that got me hooked on it -- the promise of it being real," he said.

The show's premiere coincides with a real event currently brewing in Washington. With the passage of a bill in the U.S. Senate earlier in the month that aims to overhaul immigration laws for the first time since 1986, the immigration debate re-entered the public discourse.

Crucial to the passage of the bill was an amendment to strengthen border security by adding 20,000 more border agents and 700 miles of fence along the boundary with Mexico.

"The Bridge's" setting alongside the El Paso-Ciudad Juarez border allows the show to seamlessly navigate between both the entertainment and political world.

Given this political relevancy and the Latino undertones of the drama, FX took the opportunity to launch a hyper-targeted campaign in an effort to cater to the 48 million TV viewers Nielsen says identify as Latinos.

"When we first starting thinking about the show, we knew we had a huge potential opportunity with the Hispanic audience," Sally Daws, FX's senior vice president of marketing, told CNN. "We understand that the Hispanic market is huge, represented by many cultures and nations of origin. We did our best to utilize materials that spoke in a relevant way to that audience."

Naranjo hopes that "The Bridge's" ability to cross multiple borders of language and culture will help spark a national debate about not only the U.S.-Mexican border, but the commonalities shared between the characters -- regardless of their cultural background.

'The Bridge' is a great bet," Naranjo said to CNN. "I hope that this show can begin a good type of controversy and a good conversation."

"The Bridge" premieres July 10 PM ET on FX.

@highlight

"The Bridge" is a new crime thriller set on the U.S.-Mexican border

@highlight

Show will explore real-world tensions and immigration issues

@highlight

Director of the pilot says people will "learn about certain realities" through the show