(CNN) -- Former Pakistani President Pervez Musharraf came to power in a bloodless military coup in 1999 when he was chief of Pakistan's army. He held power until the 2008 elections after which he resigned. Since then he has lived in self-imposed exile in London. In late 2010 he launched the All Pakistan Muslim League party with a view to running for office in 2013. Musharraf now says he plans to return to his home country sometime at the end of January.

How did Musharraf establish himself as a player in Pakistani politics?

Like most Muslims, Musharraf's family moved to Pakistan when British India was divided into India and Pakistan, and settled in Karachi. Musharraf's father was a career diplomat, which saw him spend his early childhood in Turkey due to his father's assignment in Ankara. But despite early family life in civil service, Musharraf decided on a different career path -- in 1964 he was commissioned second lieutenant in an artillery regiment in the Pakistani Army.

His rise through the military would help cement his political power in Pakistan by gaining the backing of the country's armed forces. He was promoted to major general in 1991, appointed chief of army staff with rank of general in 1998, and then made chairman of the joint chiefs of staff the following year.

How did Musharraf gain power in Pakistan?

It was during his stint as the country's military chief that there was an opening for Musharraf's political ascendancy, when in 1999 the then-Prime Minister Nawaz Sharif dismissed him after the army's failed invasion in Kargil, in Indian-administered Kashmir. As Musharraf was returning from an overseas visit in October 1999, Sharif refused to allow the commercial airliner with 200 passengers on board to land. Within hours the army had deposed Sharif in a bloodless coup, and the plane was allowed to touch down with only 10 minutes of fuel left. In 2001 Musharraf appointed himself president of Pakistan while remaining the head of the army.

Musharraf's rule: Strengthening his grip on power

In April 2002 a referendum allowed Musharraf to hold office for a further five years. Four months later, Musharraf implemented 29 amendments to the constitution, granting himself the power to dissolve parliament and remove the prime minister. In a televised address in December 2004, Musharraf announced that he would not step down as top military leader, even though he had previously agreed to give up the position of the head of the army at the end of 2004. He said that he needed to maintain his position in order to watch over anti-terrorist operations.

During his rule, Pakistan attained respectable growth rates and established a generally favorable investment climate. Along with that came a growing middle class, a more aggressive media, and a more assertive judiciary.

"He brought parliamentary reforms. He brought women into the parliament," said Ahmed Bilal Mehboob, director of the Pakistan Institute of Legislative Development and Transparency.

But, analysts say, Musharraf never lost his military mindset. "He in a way, always believed in a unity of command, a very centralized command, which means his command, in fact," said Lt. Gen. Talat Masood, a political analyst.

Why did things turn sour for Musharraf?

Musharraf's popularity began plummeting in 2007 after he suspended Supreme Court Chief Justice Iftikhar Chaudhry for "misuse of authority." The move triggered protests and accusations that he was trying to influence the court's ruling on whether he could run for another five-year term. Chaudhry was reinstated but the damage was done.

In October of that year, Musharraf was re-elected president by a parliament critics said was stacked with his supporters. Opposition parties filed a challenge. The next month, he declared a state of emergency, suspended Pakistan's constitution, replaced the chief judge again and blacked out independent TV outlets.

Under pressure from the West, Musharraf later lifted the emergency and promised elections in January 2008. He allowed Sharif, the prime minister he deposed, to return from exile. He also let in another political foe, former Prime Minister Benazir Bhutto who led the Pakistan People's Party.

However, in December 2007, the country was plunged into further turmoil when Bhutto was assassinated. Bhutto had returned from a self-imposed, eight-year exile to run in the country's general elections two months before her assassination and already had escaped one attempt on her life. She was killed by a 15-year-old suicide bomber while campaigning in the Pakistani city of Rawalpindi, the seat of the country's military.

Musharraf's government and the CIA contend the killing was orchestrated by a group with ties to al Qaeda, but polls found that a majority of Pakistanis believe Musharraf's government was complicit.

In 2010, further criticism of Musharraf emerged after the United Nations ruled that Bhutto's death could have been prevented had Musharraf's government taken adequate measures to protect her. Musharraf rejected the findings, saying that Bhutto had police protection and took unnecessary risks.

Meanwhile, several other factors compounded Musharraf's declining popularity: a shortage of essential food items, power cuts, and skyrocketing inflation.

In February 2008 Musharraf's party admitted defeat in parliamentary elections and he was succeeded by Asif Zardari, Bhutto's widower. The leaders of Pakistan's two main opposition parties formed a coalition and vowed to restore deposed judges. Six months later, the coalition moved to impeach Musharraf, who then resigned as president, though he said the allegations of misconduct were false. He went into self-imposed exile in London. In August 2009, Pakistan's supreme court found that Musharraf had violated the constitution in 2007 when he imposed a national state of emergency. Government officials said that if he returned, he'd be arrested.

What now for Pakistan's former president?

In May 2010 Musharraf announced on CNN that he planned to re-enter Pakistan politics and launched a new political party in October of that year. But a Pakistani court later issued an arrest warrant for him in connection to the assassination of Bhutto. Musharraf's legal adviser told CNN that the accusations were baseless.

Musharraf now says he'll return to his country between January 27 and 30, despite word from authorities that he will be arrested when he does so. Chaudhry Zulfiqar Ali, a special public prosecutor in the assassination case, said a Rawalpindi court has already issued an arrest warrant for Musharraf.

"They are bound to execute the order unless a higher court sets aside the orders," Ali said, adding that Musharraf is accused of conspiring in the assassination.

Musharraf announces he will return to Pakistan late this month

Musharraf's attorney, Chaudry Faisal, said the threat of arrest is politically motivated and has no legal bearing. The warrant is being challenged in court, the attorney said. He described the claim that Musharraf could be arrested at any time upon return as "absurd."

Musharraf said that he will return even at the risk of his life. Speaking to CNN, the former president said he had declined to provide a specific date because of security concerns. He spoke about the possibility of arrest, but said he expects he will be fine, so long as "the judiciary plays its just role, and there are no interruptions."

He described his support as scattered, and said he needs to build it again from the ground up. "This is a do-or-die moment for me and my party. I need to muster all the support I can," he said.

Musharraf pens exclusive op-ed for CNN.com

CNN's Reza Sayah and Saeed Ahmed contributed to this story.

@highlight

Musharraf's rise through the military helped him cement his political power in Pakistan

@highlight

He deposed Prime Minister Nawaz Sharif in a bloodless coup in 1999

@highlight

Musharraf's popularity plummeted in 2007 after he suspended a senior judge

@highlight

He now says he'll return to his country between January 27 and 30, 2012