Beijing (CNN) -- A Chinese musician famous for playing a two-stringed fiddle, a 1994 Hollywood drama about two prison inmates, a United Airlines flight bound for Washington and CNN -- what do they have in common?

If you try to search "Abing," "the Shawshank Redemption," "UA898" and "CNN" on Sina Weibo, China's equivalent of Twitter, you receive this terse message: "According to relevant laws and policies, results are not displayed."

These terms have joined a fast-growing list of keywords blocked by Chinese censors as they try to prevent the public from obtaining news on a prominent human rights activist who recently escaped his more than 18 months of house arrest in eastern China.

Chen Guangcheng is now in the U.S. embassy in Beijing, and American and Chinese officials are scrambling to resolve his situation, his friends and supporters have said. In a video posted online Friday, the blind activist recounted the brutal treatment he and his family received during confinement.

While Chen's plight and dramatic escape have made top headlines around the world, news outlets in China, all of which are state-controlled, have mostly ignored the story.

Clinton traveling to China amid tensions over Chen

Major web portals and social networking sites, though not state-owned, have to comply with strict government censorship rules -- or risk being shut down. After launching a campaign to clean up "rampant online rumors," Chinese authorities in late March ordered the country's leading micro-blogging sites -- including Sina Weibo -- to disable their comment function for three days.

Outside a busy Beijing subway station Monday, CNN randomly asked more than three dozen people about Chen -- only two had heard of him and his escape. One of the two, a young man who declined to give his name, said: "It was all over Weibo for a while before the topic was censored."

"It's a typical response by officials and quite a successful strategy in making it extremely difficult to spread information beyond some small circles of activists," explained Jeremy Goldkorn, a leading commentator on China's social media. "But people interested in such things will still manage to find out."

They also get creative in Chinese cyberspace to evade censors, especially on the popular Sina Weibo site, where a third of China's more than 500 million internet users share news and information.

With Chen Guangcheng's name long-since banned, netizens have come up with various code words. The obvious ones, like his initials "CGC" or "blind man," were caught by censors quickly and added to the search blacklist.

Then people tried Abing, the famous early 20th Century Chinese musician who was also blind.

"The Shawshank Redemption" was used to tell Chen's saga as some see the parallel in the storyline of inmates -- Chen was a prisoner in his own home -- enduring great suffering before eventually breaking free.

The United flight number went viral online Friday as Chen was rumored to be on that plane en route the United States. It turned out to be a false alarm.

CNN, like most other international news media, has followed Chen's story for years and provided extensive coverage on his situation since his escape.

Other newly banned keywords include Chen's home village "Dongshigu," "U.S. embassy" and "pearl" -- nickname of Chen's friend He Peirong, who drove him to Beijing and was taken into custody after the news broke.

Despite the official blackout, some Chinese journalists have tried to spread the word in covert ways.

On Netease, one the country's biggest web portals, editors Monday morning posted a clip of a TV news story on the "sudden early arrival" of a senior U.S. official ahead of a scheduled visit by Secretary of State Hillary Clinton later this week. One of the tags for the video was "Chen Guangcheng."

Within a few hours, the 25-second clip has attracted some 25,000 comments. One of the top comments reads: "I know why he came but I can't say it -- or I'd be revealing state secrets."

I took a screenshot of the webpage showing Chen's name and posted it on my Sina Weibo account. It was reposted several hundred times before censors removed it. Chen's name disappeared from the video tags on the Netease page shortly after that.

Since Friday, eight of my last ten Weibo posts have fallen victim to the site's censors. Most of them are related to Chen, including reaction from supporter and Hollywood actor Christian Bale as well as links to my CNN stories.

By Monday afternoon, "StevenCNN" -- my Weibo name -- has become a banned search term.

@highlight

Chinese censors block a growing number of keywords related to blind activist Chen

@highlight

Internet users in China often get around the censors by using codewords online

@highlight

Chen Guangcheng is now in the U.S. embassy in Beijing after fleeing house arrest

@highlight

Codewords such as "Abing," "the Shawshank Redemption," "UA898" and "CNN" blocked on web