Rodney King, whose beating by Los Angeles police in 1991 was caught on camera and sparked riots after the acquittal of the four officers involved, was found dead in his swimming pool Sunday, authorities and his fiancee said. He was 47.

Police in Rialto, California, received a 911 call from King's fiancee, Cynthia Kelly, about 5:25 a.m., said Capt. Randy De Anda. Responding officers found King at the bottom of the pool, removed him and performed cardiopulmonary resuscitation until paramedics arrived. He was pronounced dead at a local hospital, police said.

There were no preliminary signs of foul play, De Anda said, and no obvious injuries on King's body. Police are conducting a drowning investigation, he said, and King's body would be autopsied.

Rodney King: What happened in 1991

Kelly -- who was a juror in King's lawsuit against the city of Los Angeles in 1994 -- told police King was an "avid swimmer," but that she was not, De Anda said. She reported the two had just had a conversation and she went inside, but came back out after hearing a splash and saw him at the bottom of the pool.

De Anda said he did not see any drug paraphernalia "or anything that would indicate that Mr. King was intoxicated" at the scene, but a toxicology screen would be performed.

King's beating after a high-speed car chase and its aftermath forever changed Los Angeles, its police department and the dialogue on race in America.

"I am saddened by the death of Rodney King," said Bernard Parks, a Los Angeles city councilman who served as LAPD chief from 1997 to 2002. "Although his beating will forever be thought of as one of the ugliest moments in the history of the city of Los Angeles and its police department, the victimization of Mr. King and the circumstances that followed created an atmosphere that allowed LAPD and the city to make historic disciplinary and community-based reforms that have made for a better police department and a better city as a whole."

"Rodney King was a symbol of civil rights and he represented the anti-police brutality and anti-racial profiling movement of our time," the Rev. Al Sharpton said in a statement. "It was his beating that made America focus on the presence of profiling and police misconduct."

King was 25 and on parole after a robbery conviction in March 1991. In an interview in 2011, he recalled he had been drinking and was headed home from a friend's house when he saw a police car following him and panicked, thinking he would be sent back to prison. So he attempted to flee.

"I had a job to go to that Monday, and I knew I was on parole, and I knew I wasn't supposed to be drinking, and I'm like 'Oh, my God,'" he told CNN.

Related: Rodney King looks back without anger

He realized he couldn't outrun the police, but looked for a public place to stop. "I saw all those apartments over there, so I said, 'I'm gonna stop right there,'" he said. "'If it goes down, somebody will see it.'"

An amateur cameraman caught the scene as four white police officers struck King more than 50 times with their wooden batons and used a stun gun on him.

King said as the officers beat him, they yelled, "We are going to kill you, n***er," although the officers denied using racial slurs.

The video shows King cowering on the ground and attempting to crawl away as he is surrounded by a crowd of police officers. Four of them used their nightsticks to strike him.

King was beaten nearly to death. Three surgeons operated on him for five hours.

The video of the beating appeared on national television two days later, focusing attention on the issue of racially-motivated police brutality.

"We finally caught the Loch Ness Monster with a camcorder," King attorney Milton Grimes said.

Four LAPD officers -- Theodore Briseno, Laurence Powell, Timothy Wind and Sgt. Stacey Koon -- were indicted on charges of assault with a deadly weapon and excessive use of force by a police officer.

But following a three-month trial in the predominantly white Los Angeles suburb of Simi Valley, three of the officers were acquitted of all charges. The jury, which had no black members, deadlocked on one charge of excessive force against Powell, and a mistrial was declared on that charge.

Powell's attorney, Michael Stone, said last year the unedited video worked against King and helped prove the officers' case.

"Most of the nation only saw a few snippets where it's the most violent," Stone said. "They didn't see (King) get up and run at Powell."

But African-Americans in Los Angeles exploded in outrage. Rioters ran through the streets -- looting businesses, torching buildings and attacking those who were in the wrong place at the wrong time. The violence was responsible for more than 50 deaths and $1 billion in property damage.

On the third day of rioting, King emerged from seclusion to make a plea: "People, I just want to say, can we all get along? Can we get along?"

The violence ceased, but the debate did not.

Nearly a year later, the four officers stood trial in federal court on civil rights charges. Two African-Americans were picked for the jury, and King testified. He hedged, however, on whether police used racial slurs during the beating. He told CNN in 2011 that slurs were used, but said he vacillated on the stand because his mother had told him to avoid talking about race.

Koon and Powell were found guilty and sentenced to 30 months in prison. Briseno and Wind were acquitted.

"It was like ... I just hope we just get one," King said. "I hope we just get one on that. If we get one, we're good. So to get the two, I was really happy."

King also sued the city of Los Angeles.

"Half of them had no sympathy whatsoever," Kelly, his fiancee, told CNN in 2011 about her fellow jurors. "... They just didn't care. Like, 'He broke the law. He deserved what he got.' I told them they were crazy. It was about justice for what happened to him. No one deserves to get beat like that."

The other jurors came around, and King was awarded $3.8 million in damages.

In later years, King had several more run-ins with the law, including a 90-day jail stint in 1996 for a hit-and-run involving his wife at the time. On the 20th anniversary of the beating in 2011, he was pulled over and ticketed for a minor traffic violation.

"The trouble that (people) see me in is a part of my life that I'm working on," he said in 2011. "I'll always have an issue when it comes to alcohol. My dad was an alcoholic. The addiction part is in my blood. What I've learned to do is arrest my addiction -- arrest it myself, so I don't get arrested."

In 2008, King appeared on the VH1 reality show "Celebrity Rehab." He also released a memoir, "The Riot Within," in which he describes his difficult upbringing and his reflections on the beating and its aftermath.

"He was a wonderful, sweet man," said Bob Forrest, a Los Angeles-based musician and drug counselor who worked with King on "Celebrity Rehab."

He said King struggled with his sobriety. "He and I would talk off and on. Sometimes he was doing great, sometimes not. He was always gracious, an honest and gentle soul."

"He was a wonderful, kind and gentle man," said Dr. Drew Pinsky of "Celebrity Rehab," who also appears on CNN sister network HLN. "He was at the center of a maelstrom and was able to maintain dignity and really keep his head high in a way that was an example for all of us."

The ranks of Los Angeles police are much more diverse than they were at the time of King's beating. Changes have also been made -- some compelled by the courts -- in the way certain neighborhoods are patrolled and how complaints are handled.

Sharpton said in his statement Sunday that he had recently spent time with King discussing the release of his book.

"Through all that he had gone through with his beating and personal demons, he was never one to not call for reconciliation and for his people to overcome and forgive," Sharpton said.

King said last year on the 20th anniversary of his beating that he has forgiven the officers who beat him.

"Yes, I've forgiven them, because I've been forgiven many times," he said. "My country's been good to me ... This country is my house, it's the only home I know, so I have to be able to forgive -- for the future, for the younger generation coming behind me, so ... they can understand it and if a situation like that happened again, they could deal with it a lot easier."

Overheard on CNN.com: Rodney King 'had demons. But called them his own'

A timeline of events in Rodney King's life

@highlight

Rodney King is found dead in his swimming pool

@highlight

Riots broke out in 1992 after the officers were acquitted in his beating

@highlight

King had said he had forgiven the officers who beat him nearly to death