(Tokyo, Japan) (CNN) -- A Korean TV show about an alien who arrived on Earth 400 years ago and falls in love with a modern actress becomes one of the top series watched in Hebrew and Arabic. A Thai drama about a sharp-tongued woman who ends up being the maid of a Hong Kong mafia member strikes a chord with Spanish speakers.

Viki, a site where dramas, telenovelas, comedies and movies from the globe are translated by fans, gives a glimpse into the cross section of the world's entertainment interests. It's where its 22 million monthly users find TV shows that have never made it on their local television sets.

Described as the Hulu for the rest of the world, Viki has seen unexpected trends on the site: Turkish dramas perform well in Croatia. And Viki's largest market for South Korean movies is Saudi Arabia. Southeast Asian viewers love "Battlestar Galactica." Colombian telenovelas are a big hit in the Philippines.

"Really good story lines are universal," said Viki's CEO, Razmig Hovaghimian. "There's a reason why Colombian drama travels well to the Philippines."

"When it travels, it travels with its nuances, its culture and its beauty. I think it creates a wave that's really good for the content owner and it's really good for the culture it comes with."

Crowdsourcing the world's entertainment

The most popular shows on Viki -- many of which are Korean because of more flexible licensing agreements -- have been translated into nearly 70 languages including Cherokee and Greenlandic. The translations are crowdsourced by fans, who devote hours of their brainpower to make shows accessible in different languages.

Of nearly 200 language subtitles that appear on the site, about 50 of them are vulnerable, endangered or severely-endangered languages, says Hovaghimian.

The translators do not get paid.

It's not about money says Nathalia Vela, one of Viki's translators who lives in Colombia. "I get to practice my languages, learn others and experience other cultures while working with people around the world.

"I really enjoy so much subtitling and knowing that someone will be very happy because their favorite drama is subbed, so that is enough."

Vela estimates she has subtitled nearly 52 hours of content on Viki, usually between English and Spanish. Her favorite shows include "Master's Sun," a Korean drama about a woman who develops the ability to see ghosts after emerging from a three-year coma and "Nodame Cantabile" a Japanese drama about two students who meet at a demanding music college.

Each series has a designated channel manager like Vela, who is in charge of making sure that the community-submitted subtitles are accurate. After the quality check, the subtitles are locked.

Vela says she's been inspired her to take classes in Japanese and French, and she's also learning Korean on Rosetta Stone in Colombia.

"The treasured thing we learned from Viki is that we saw a world where it is run not by money, but run by passion," said Viki's co-founder Jiwon Moon.

Challenging the language barrier

The Singapore-based Viki, gets its name from the words video and wiki.

In 2008, Moon, her husband, Changseong Ho, and Hovaghimian were business school students at Harvard and Stanford when they mulled over language learning challenges.

Hovaghimian, who is of Armenian descent, grew up in Egypt watching shows and movies he couldn't understand.

"I was spending Saturdays with my dad, watching Bollywood movies in Egypt and Oshin (morning drama series) from Japan. We wouldn't understand what they were saying," he said.

The business students wanted to build a way to subtitle content and get shows, film and content to travel beyond the native country.

"There is unmet need for such content distribution," Moon said.

For years, U.S. movies and TV shows would air in other countries, but it was rare to see for example, a Japanese show in South Africa. And exposure to foreign shows and movies on U.S. stations or cinemas were also limited.

"The diversity of content exposed to U.S. audience is very limited," said Ho, who is Korean. "We believed Korean and foreign content may work -- even for mainstream Americans."

They sought to license content from other countries and use crowd sourced translations to help them spread into different languages.

"Fan subbing has been around a long time," Hovaghimian said. "The way it was done was not really legal or legit."

Viki struck its first content deal on a 2008 Korean show called "Boys Over Flowers" about four over-privileged boys at an elite school and a delivery girl who changes their lives.

"That was the right show to start at the right time," Hovaghimian said. "We got worldwide rights for it. And at that point, we knew it was working."

That show has now been translated into 69 languages on Viki such as Magyar, Esperanto and Hmong.

Viki had to convince broadcasters that fan-powered subtitles could be trusted and also that there were new foreign markets hungry for their content.

"If we tell people that there are a million people in Egypt that watch a certain anime, they can take that and sell that to a broadcaster or they can try to sell DVDs there," Hovaghimian said.

They also realized that subtitling on Viki was happening so quickly that they were faster than pirates.

"We realized there is a 72-hour window that if you don't have translations on the content, typically pirate sites create translations," he said. "If we get the translations within 72 hours, we're getting SEO traffic so it was eating into piracy."

Moon and Ho left the company in 2012 to start another company, Vingle. Rakuten, a Japanese company, purchased Viki in 2013.

What translates

Viki's most watched show is a Korean drama called "Playful Kiss," a show that bombed when it aired in South Korea in 2010. The show was translated into 40 languages within a few hours of its release on Viki that year.

"If we only licensed popular shows, that would've been a miss," Hovaghimian said. "'Playful Kiss' is our No. 1 show -- something that bombed in the home country. But we listen to the fans, so fans create the channels and they make the requests."

When a certain number of fans request the shows, Viki looks into acquiring rights.

The site allows users to watch the shows for free -- bearing in mind they have to endure the commercial breaks or pay a monthly fee to skip the ads. It also distributes the most popular shows with the fan-powered subtitles to Netflix and Hulu in Portuguese and Spanish.

Fans on the site can add real-time comments that pops up throughout the show. Hovagmian observed that shows have soared cross-culturally in unexpected places.

"There's something that's resonating," he said.

@highlight

Singapore-based Viki provides TV series and films from around the world

@highlight

Fans subtitle the shows into their languages of choice through crowdsourcing

@highlight

Site started out as business school project and has won several tech awards