(CNN) -- For a preview of the next big thing in video gaming, look no further than the Electronic Entertainment Expo, the splashy industry showcase that kicks off Monday in Los Angeles.

Will it be the oddly named Wii U, Nintendo's attempt to update its aging Wii console for a new wave of gamers? Or "Halo 4," the next chapter in the massively popular sci-fi action series? Or maybe a surprise device or game that comes out of nowhere to captivate attendees?

This year's E3, as the annual trade show is better known, arrives during a time of upheaval for the multibillion-dollar gaming industry, which is scrambling to adapt to changing consumer habits. While home console gaming remains huge, more and more people are playing casual or social games on touchscreen phones and tablets.

"I think we may be seeing the last generation of dedicated handheld gaming systems with the PS Vita and Nintendo 3DS," said Blair Herter, co-host G4TV's "X-Play." "What we've seen is the mobile gaming space really take over what used to be considered the handheld gaming market."

Many analysts, including Herter, think this year's E3 won't have as much bang as previous shows. Herter said he thinks this is because of expectations for next-generation consoles being developed by Sony and Microsoft for release in 2013, and game developers' hesitation to make something that might have a short shelf life.

As an industry-only event, E3 is geared toward gaming media, developers and insiders. But in an effort to reach out to the public, many companies will be streaming events and shows throughout the four days of the conference to give fans early glimpses at new games and let them hear from developers directly.

The E3 show floor doesn't open until Tuesday, although festivities begin Monday with press announcements by Microsoft, Sony and several game developers. Here's a roundup of what to look for:

The Wii U, ready for its closeup

Most companies at E3 will be showing off what their existing hardware can do or emphasizing new video game titles.

Nintendo is the only one of the Big Three console makers -- a trio that includes Microsoft and Sony -- that will be demonstrating a new gaming system this year -- the Wii U. While the Wii U was previewed in more primitive form at last year's E3, there have reportedly been some changes in how the console looks and what it can do.

Official word has been hush hush, which is typical for Nintendo before a big announcement. However, some images and news have leaked out suggesting the touchscreen controller for the Wii U will be different from what was shown last year.

There has been some confusion about whether the Wii U is just a new controller or a more powerful console. Nintendo hopes to clear that up next week by demonstrating a "final" version of the system with games designed specifically for the Wii U. At last year's E3, Nintendo showed a Wii U video demo featuring gameplay from Xbox 360 and PlayStation games.

Pricing remains a mystery for the Wii U, which is expected to go on sale in fall 2012. In April, Nintendo chief executive Satoru Iwata said a price for the new console would not be announced at E3, but that the company would reveal its initial lineup of games. Some industry analysts think Nintendo needs to announce a price at E3 to generate buzz for the console.

New offerings for Vita and Kinect

Some observers think the current lineup of consoles -- the Wii, Sony PlayStation 3 and Microsoft Xbox 360 -- will all be replaced by newer systems by late 2013.

"I think it is safe to assume this will be the last E3 where the current generation of consoles are talked about," said G4TV's Herter.

At E3, both Sony and Microsoft will be focusing on new software for their current systems.

Sony is expected to make a big push for games for its PS Vita handheld console. The new gaming platform, released in February, has been suffering from a lack of new content after its initial launch. Critics have praised the Vita as technologically impressive but agree the device needs major game franchises to make it more popular.

Help may be on the way in the form of new Vita titles. "Little Big Planet Karting," a racing game featuring Sackboy, and "PlayStation All Stars Battle Royale," a fighting game with some of Sony's top characters, are likely to be announced next week as part of cross-platform gameplay with the PlayStation 3.

There also have been strong rumors of a "Monster Hunter" game for the Vita to increase support for the console in Japan.

Microsoft will concentrate its E3 efforts on development for the popular Kinect motion controller and additional games for the venerable Xbox 360. There also are rumors flying around that Microsoft will unveil a more refined recognition system for Kinect, including the sensor's ability to read individual finger movements.

Microsoft also may announce new partnerships with TV broadcasters and programs in an effort to further transform the gaming console into a home entertainment center. Currently, HBO, ESPN, Hulu Plus, Netflix and others are part of the television lineup for the Xbox 360.

Big game titles

On the software front for the Xbox 360, "Halo 4" will be showcased in a four-hour event with its new developer, 343 Industries, and the return of Master Chief as the main character. The game is due out in November. Other exclusive, unannounced titles for the Microsoft console and Kinect are also expected -- although some franchises may be holding out for a next-generation console in a year or so.

While "Halo 4" is one of the biggest titles at E3, it is far from the only hotly anticipated game. We hope to see more from "Assassin's Creed III" (made by UbiSoft) and its setting in the American colonies, more from "Dishonored" (Bethesda) and its steampunk action, and more about "Resident Evil 6" (Capcom) and that game's multiplayer/co-op modes.

"There are a lot of great [big-name] games that are going to be there and be talked about," Herter said. "But even the software is going to be a little less than what people expect because of the potential for next-gen consoles next year."

On the other end of the gaming spectrum, there are also plans for several new massive multiplayer online games. One, "Defiance" (Trion Worlds), features a unique tie-in with a new sci-fi TV series, where what happens on the show can affect what happens in the game.

What we won't see at E3

For all the hype and excitement about E3 announcements, there are some notable titles and companies that are choosing to bypass this year's event. The makers of "BioShock Infinite," one of the most highly anticipated games for 2012, were originally scheduled to show off new gameplay and features. But the game's release was pushed back to February 2013, and creative director Ken Levine said the next time people will see the game is when it's ready to go in the box for delivery.

"Grand Theft Auto V," the latest in the blockbuster urban action series, also may skip E3. Rockstar, developer for the game, said it has no plans for the show, although some watchers speculate that could change at the last minute.

Despite persistent rumors, Valve Software has said it doesn't expect to reveal any new hardware -- or popular games such as "Half-Life 3" or "Portal 3" -- next week. But Valve does plan to attend E3, and misdirection from gaming companies has been known to occur before the show.

By next week at this time, we'll know much more about the best gaming has to offer for the next 12 months. Gamers, what are you hoping to see at E3? And what are you most looking forward to later this year?

@highlight

The annual Electronic Entertainment Expo kicks off Monday in Los Angeles

@highlight

Nintendo will demonstrate its forthcoming Wii U gaming system

@highlight

On the software front for the Xbox 360, "Halo 4" will be showcased in a four-hour event