(CNN) -- The first time, it happened almost by accident.

Just hours after delivery, a baby born with HIV in Mississippi was given high doses of three antiretroviral drugs. More than three years later, doctors say the little girl has no evidence of the life-threatening disease in her blood, despite being off medication for nearly two years.

Now doctors say another child born with the virus appears to be free of HIV after receiving similar treatment. The case report was presented at the annual Conference on Retroviruses and Opportunistic Infections in Boston this week.

The girl was delivered at Miller Children's Hospital in Long Beach, California, last summer to a mother with HIV who had not received antiretroviral drugs during pregnancy. Doctors gave the baby high doses of three drugs -- AZT, 3TC and Nevirapine -- four hours after birth. Eleven days later, the virus was undetectable in her body and remained undetectable eight months later.

The California baby is still on antiretroviral treatment, so it's too soon to tell if the child is actually in remission.

"Taking kids off antiretroviral therapy intentionally is not standard of care," said Dr. Deborah Persaud, a virologist with Johns Hopkins Children's Center who has been involved in both cases. "At this time, there is no plan to stop treatment."

While doctors around the world are trying to duplicate the Mississippi case, more research needs to be done before new standards are implemented for treating babies born with HIV.

"This has to be done in a clinical trial setting, because really the only way we can prove that we've accomplished remission in these cases is by taking them off treatment, and that's not without risks," Persaud said during her presentation at the conference.

A clinical trial designed to test the effectiveness of early treatment on infants born to HIV-positive mothers is set to begin in the next couple of months, she said. Infants will be started on a combination of antiretroviral therapy within 48 hours of birth and followed "for an extended period of time to determine if the virus can be eradicated from their bodies," according to the National Institutes of Health.

The results could be a game changer in the fight against AIDS.

Timeline: AIDS moments to remember

The Mississippi baby

The child in Mississippi was born to a mother who received no prenatal care and was not diagnosed as HIV-positive herself until just before delivery, according to a case report published in October in the New England Journal of Medicine.

Researchers: Toddler cured of HIV

"We didn't have the opportunity to treat the mom during the pregnancy as we would like to be able to do, to prevent transmission to the baby," said Dr. Hannah Gay, a pediatric HIV specialist at the University of Mississippi Medical Center.

Doctors administered the antiretroviral drugs 30 hours after the girl was born in hopes of controlling the virus. Within a couple of days, Gay confirmed the child was HIV-positive. She said the baby had probably been infected in the womb. The child remained on antiretroviral drugs for approximately 15 months. Her mother then stopped administering the drug for some reason, Gay said.

In March 2013, researchers announced that the girl was the first child to be "functionally cured" of HIV. A "functional cure" is when the presence of the virus is so small, lifelong treatment is not necessary and standard clinical tests cannot detect the virus in the blood.

Gay told CNN the timing of intervention -- before the baby's HIV diagnosis -- may deserve "more emphasis than the particular drugs or number of drugs used."

The researchers believe "the very early therapy is blocking the spread of HIV into viral reservoirs that hold the virus for a lifetime," Persaud explained.

High-risk exposure

Researchers have long known that treating HIV-positive mothers early on is important, because they pass antibodies on to their babies.

All HIV-positive moms will pass on those antibodies, but only 30% will transmit the actual virus, said Dr. Katherine Luzuriaga, an immunologist at the University of Massachusetts who worked closely with Gay. And HIV-positive mothers who are given appropriate treatment pass on the virus in less than 2% of cases.

"So all babies are born antibody-positive, but only a fraction of babies born to HIV-positive women will actually get the virus, and that fraction depends on whether the mom and baby are getting antiviral prophylaxis (preventive treatment) or not."

Newborns are considered high-risk if their mothers' HIV infections are not under control or if the mothers are found to be HIV-positive when they're close to delivering.

Usually, these infants would get antiviral drugs at preventive doses for six weeks to prevent infection, then start antiretroviral therapy, or ART, if HIV is diagnosed.

ART is a combination of at least three drugs used to suppress the virus and stop the progression of the disease.

But they do not kill the virus. Tests showed the virus in the Mississippi baby's blood continued to decrease and reached undetectable levels within 29 days of the initial treatment.

HIV may be 'functionally cured' in some

The 'Berlin patient'

Researchers say the only other documented case of an HIV cure is that of Timothy Brown, known as the "Berlin patient." In 2007, Brown, an HIV-positive American living in Germany, was battling both leukemia and HIV when he underwent a bone marrow transplant that cured not only his cancer but his HIV.

In an interview last year, Brown told Dr. Sanjay Gupta, CNN's chief medical correspondent, that he was still HIV-free.

"I've been tested everywhere possible," said Brown, who now lives in San Francisco. "My blood's been tested by many, many agencies. I've had two colonoscopies to test to see if they could find HIV in my colon, and they haven't been able to find any."

But Brown's case is apparently unique.

And the procedure, which is extremely dangerous, won't work in most patients because the bone marrow he received had a special genetic mutation that made the stem cells in it naturally resistant to the virus.

Researchers tell CNN only 1% of Caucasians -- mostly Northern Europeans -- and no African-Americans or Asians have this particular mutation.

In June, five years after he was "cured," reports surfaced that "traces" of the virus had been found in Brown's blood.

Even then, some HIV experts said that doesn't matter, that he's been cured. In fact, many AIDS experts said they believe Brown has experienced what's called a "sterilizing" cure, meaning the virus has been eliminated from the body entirely.

In July, Boston researchers said two HIV patients showed no sign of the virus in their blood following bone marrow transplants. However, researcher Dr. Timothy Henrich said in December that the virus had returned.

@highlight

Baby born with HIV in California appears to be free of the virus

@highlight

She was given high doses of three antiretroviral drugs shortly after birth

@highlight

Case is similar to Mississippi baby "functionally cured" of HIV

@highlight

A clinical trial designed to test effectiveness of this treatment is starting soon