LOS ANGELES, California (CNN) -- Smoking in youth-rated movies has not declined despite a pledge two years ago by Hollywood studios to encourage producers to show less "gratuitous smoking," according to an anti-smoking group.

The American Medical Association Alliance has been trying to get movie studios to make smoking-free films.

The American Medical Association Alliance, pointing to research that big-screen smoking leads teens to pick up the tobacco habit, called for an R rating for any movie with smoking scenes.

The head of the group that gives U.S. movies their ratings, however, said the smoke has been clearing from youth-rated movies, a result of the film industry's sensitivity to the issue.

The alliance, the medical association's advocacy arm, launched a summer campaign this week aimed at publicly shaming studios into making smoke-free films.

"Research has shown that one-third to one-half of all young smokers in the United States can be attributed to smoking these youth see in movies," said Dr. Jonathan Fielding, head of the Los Angeles County Public Health Department.

Fielding cited another study that he said "found that adolescents whose favorite movie stars smoked on screen are significantly more likely to be smokers themselves and to have a more accepting attitude toward smoking."

The Motion Picture Association of America, the industry group that issues ratings and parental guidance for U.S. films, added smoking scenes as a factor in ratings two years ago, but Fielding said it has not made a difference.

"In all, 56 percent of the top box office movies with smoking released between May 2007 and May 2009 were youth-rated films -- G, PG or PG-13," he said.

Joan Graves, who chairs the Motion Picture Association's movie rating committee, offered her own statistics, based on all of the 900 films rated each year, not just the top movies included in Fielding's numbers.

The association has given no G ratings in the past two years to a movie with smoking, Graves said.

Overall, 55 percent of the  movies rated in the past two years showed some smoking, but 75 percent of those with smoking scenes were given R ratings, Graves said. Twenty-one percent were rated PG-13 and the remaining 5 percent were PG, she said.

A G movie is deemed suitable for all audiences, while a PG rating is a signal to parents that a film may include some material they might consider inappropriate for children. PG-13 indicates a stronger warning that some material may be inappropriate for children under 13.

No one under 17 can be admitted to see an R movie without a parent or guardian.

American Medical Association Alliance President Sandi Frost used as her chief example of a movie with "gratuitous smoking" this month's blockbuster "X-Men Origins: Wolverine," which was rated PG-13 "for intense sequences of action and violence, and some partial nudity."

"Millions of children have been exposed to the main star of the film, Hugh Jackman, with a cigar in his mouth in various scenes," Frost said. "I'm willing to bet that not one child would have enjoyed that movie or Mr. Jackman's performance any less if he hadn't been smoking."

A spokesman for Twentieth Century Fox, the studio responsible for the Wolverine movie series, said Jackman's cigar was never lit and it was limited to just two scenes.

In one scene, the cigar is shot out of his mouth, prompting Jackman's Wolverine character to suggest its loss would lead to clean living -- an anti-smoking statement -- the studio spokesman said.

He said that while the Wolverine character has a cigar in his mouth in almost every panel of the comic book series, producers made "a conscious decision" to limit the cigar in the movie.

The American Medical Association Alliance, hoping to draw studio executives' attention, hired a mobile billboard to drive around the major studios this week.

"The billboard shows a teenage girl asking the question, 'Which movie studios will cause me to smoke this summer?' " Frost said.

The alliance will keep an online scorecard throughout the summer to count "how many tobacco impressions each studio delivers to G, PG and PG-13 audiences," she said.

"At the end of the summer, whichever studio has delivered the most tobacco impressions to youth audiences will be named in a billboard that will run outside of their headquarters," she said.

Motion Picture Association of America spokeswoman Angela Martinez said the group "is very sensitive to the concerns of parents about the purpose of the rating systems."

"It's reflective of society," Martinez said. "It's really a tool for parents to help determine what their kids see."

They began factoring smoking scenes into the ratings two years ago as "a reflection of changes in society and health concerns," she said.

"Smoking is rated like all the other factors, including violence and sex," she said.

Fielding said it should be absolute -- and not just a factor.

"Any movie with smoking should be rated R," he said. "And if they worry about an R rating hurting their profits, then they should work with studios to remove smoking from films that hurt youth."

Graves, whose committee makes the decisions, indicated such a zero-tolerance policy would not be accepted.

@highlight

American Medical Association Alliance wants films with smoking to be rated R

@highlight

AMAA says that kids who watch smoking often turn to habit

@highlight

Hollywood rating organization says smoking in movies has declined