(CNN) -- Deep inside the South African Bushveld, a thunderous lion roar pierces the air as a parade of elephants ambles quietly through the flat terrain. Somewhere in the distance, a herd of leopards lurk in a dense riverine flora, while a group of giraffes stretch their long necks to munch on tree leaves.

In the middle of it all, Renias Mhlongo feels at home.

"That's where I was born, right under that tree," says Mhlongo, as he points out to a large ebony tree amidst the wildlife haven of South Africa's Kruger National Park.

Mhlongo, 49, is one of South Africa's very few senior trackers, honing the traditional skills of trailing animals in the Londolozi game reserve.

He works with fellow South African tracker and game ranger Alex van den Heever, trying to preserve the ancient tracking skills before being lost to modernity.

Read more: South African comic duo stir up stereotypes

Over the years, the two men -- one black, one white -- have forged a strong friendship and working relationship that's taking them from tracking Londolozi's wildlife to traveling the world as international spokesmen for South Africa's bushveld.

"It's the connection to nature, to wilderness," says van den Heever of the deep bond he's created with Mhlongo.

"That's the first thing people relate to but then I think people know South Africa's history -- they know the troubles we've come through and when they see two guys, one black, one white, that have connected on such a deep level, they like that and that shows South Africa has a lot to offer," he adds.

Armed with uncanny intuition, Mhlongo spent all his childhood in the bush, herding and protecting his family's cattle from the lions, often on his own.

Growing up there, he got to listen to, read and understand the signs of the bush in a way that few can.

"When I grew up here, I sit quietly, listening to the different sound of animals, the sound of grasshoppers, the sound of the lion -- all that is part of my growing in nature because here, we don't have cell phones here, which makes me connect to the nature," says Mhlongo.

"If you come from a town, it's very difficult to spot things ... but I was born here and I use my passion to listen to everything, to try to spot something," he adds.

See more: 'Green Nobel' winner fights to save Africa's rainforests

Today, Mhlongo and van den Heever use their vast knowledge and experience to pass on their Bushveld wisdom to younger generations. Together, they have started a tracker academy offering a year-long course in the skills Mhlongo learned as a youngster.

"It seeks to restore the indigenous knowledge that was once a part of our landscape," says van den Heever.

"There's only four or five authentic, genuine Bushman trackers left, so it (tracking) is dying and if you consider the formal qualifications, there are only 19 senior trackers in South Africa -- of which there are only five senior tracker evaluators and only three master trackers left," he adds. "So the bottom line is we're losing them and within 10 years if nothing is done we could have seen the last of the traditional trackers."

Read more: The Africans giving aid to the world

The two men also hold training workshops and travel the world to give talks and coach people on what they can learn from the South African bushveld, as well as encouraging conservation.

Mhlongo says he is passionate about teaching his valuable skills to aspiring trackers.

"It is very important to share the knowledge with other people, to give them the same skills like we have," says Mhlongo. "The tracking skill is something dying because no one wrote books on how to track animals, so we try to bring it up again."

@highlight

Renias Mhlongo and Alex van den Heever are South African game rangers and trackers

@highlight

They teach new generations the tracking skills being lost to modernity

@highlight

The two men have formed a strong friendship that cuts across cultures