(CNN) -- News of Angelina Jolie's decision to undergo a prophylactic double mastectomy has instantly increased awareness of hereditary forms of cancer caused by mutations in the BRCA1 and BRCA2 genes.

While the BRCA1 and BRCA2 genes were discovered in the mid-1990s, genetic testing for the genes is increasingly available. Jolie's case highlights the importance of knowing one's family history and learning one's cancer risks in order to address them proactively.

Everyone has the BRCA1 and BRCA2 genes. We have two copies of each gene and get one each from our mother and father. They play a role in protecting the body against the development of cancer.

Individuals with mutations in either of these genes have increased cancer risks, most notably for breast and ovarian cancer. Individuals with mutations in BRCA1 and BRCA2 benefit from tailored management aimed at reducing cancer risks and detecting cancers early when they are most treatable.

Genetic counselors and other health care providers can help determine if testing is appropriate and who in the family should undergo testing first. In addition, it is important to provide educational and anticipatory guidance on the impact and implications of genetic test results.

Five reasons we love Angelina Jolie

Here are some common questions that our team is asked regarding genetic testing for breast and ovarian cancer:

What is BRCA testing?

BRCA testing is a genetic test that looks at the sequence or code of the BRCA1 and/or BRCA2 genes. Changes or mutations in the genetic code indicate increased cancer risks. The test can be performed on a blood or saliva sample. It takes about three weeks to get results.

What does a positive result mean?

A positive test result in BRCA1 or BRCA2 means that the person has a genetic mutation that increases cancer risk. A positive BRCA1 result gives a woman a 60% to 80% lifetime risk of breast cancer and a 30% to 45% lifetime risk of ovarian cancer. A positive BRCA2 result gives a woman a 50% to 70% lifetime risk of breast cancer and a 10% to 20% lifetime risk of ovarian cancer.

Opinion: When removing breast is not the answer

BRCA1 and BRCA2 are also associated with other moderately increased cancer risks that vary, depending on which gene has a mutation. For example, BRCA2 mutations are also associated with an increased risk of prostate cancer, pancreatic cancer and male breast cancer.

Does everyone need to be tested? If not, who should be?

Only about 5% of breast cancers and 10% to 15% of ovarian cancers are caused by mutations in BRCA1 and BRCA2. Therefore, not everyone needs to undergo genetic testing.

Genetic counselors and other health care providers can help determine whether genetic testing is appropriate by exploring one's personal and family history of cancer and other factors such as ethnicity, as BRCA1 and BRCA2 mutations are more common in certain populations.

How much is BRCA testing, and does insurance cover it?

BRCA testing is usually covered by insurance if certain criteria are met. There are different types of BRCA testing, ranging in cost from $475 to about $4,000. Genetic counselors are helpful in determining what type of testing is indicated. Testing is less expensive once a mutation has been identified within a family.

Who should get genetic counseling?

Individuals with a personal or family history of breast cancer appearing before age 50, ovarian cancer at any age, breast cancer in both breasts, male breast cancer, multiple cases of breast cancer within a family, and breast cancer in individuals of Ashkenazi Jewish ancestry should get genetic counseling to determine whether they should be tested.

When should I be tested?

In addition to determining if BRCA testing is appropriate for you or your family, your health care providers can help you consider when to undergo genetic testing.

Why more women are choosing double mastectomies

It is important to consider when medical management might be changed for individuals with BRCA1 or BRCA2 mutations, as this can guide the decision of when to test. For example, breast cancer screening typically starts at age 25 for women with mutations. Since BRCA mutations are not associated with pediatric cancer risks, testing for children is not recommended.

What factors should I weigh in deciding whether to have a preventive mastectomy or oophorectomy (ovary removal)?

Detailed discussions with genetics experts, surgical oncologists, plastic surgeons and genetic counselors are important steps in considering whether and when a prophylactic mastectomy or oophorectomy is right for you.

While the lifetime risk for breast and ovarian cancers in BRCA carriers are high, the risks increase with age. Considering the risk of breast or ovarian cancer based on age can be helpful in timing these interventions.

Since breast cancer screening is good at picking up breast cancers early, when they are most treatable, screening is a reasonable option for carriers. Since ovarian cancer screening has not been proven reliably to catch ovarian cancers early, risk-reducing oophorectomy is recommended for BRCA1 and BRCA2 carriers, ideally between the ages of 35 and 40.

Should I test my breasts?

@highlight

Everyone has BRCA1 and BRCA2 genes; a mutation can show increased cancer risk

@highlight

Not everyone needs to be tested for the gene mutation

@highlight

Genetic counselors and other providers can help determine whether to test and when