Nowshera, Pakistan (CNN) -- The start of the Muslim holy month of Ramadan coincided in Pakistan on Wednesday with the nation's worst natural disaster, the staggering scope of human suffering revealing itself in wretched ways.

From the Swat Valley in the north to Sindh province in the south, as many as 15 million Pakistanis have been affected by torrential monsoon rains that have washed away villages and bloated rivers, authorities said Wednesday.

Pakistan's representative to the United Nations said many people have not yet grasped the massive scale of Pakistan's suffering and warned it could still get worse because of ongoing rain.

"It is horrendous," said Abdullah Hussain Haroon. "It is going to put us back so many years that we're not even starting on the infrastructure."

The Pakistan Disaster Authority confirmed 1,313 deaths Wednesday. It said 1,588 people have been injured and 352,291 people have been rescued. More than 722,000 houses have been damaged.

Many Pakistanis now face severe food shortages, and aid agencies stepped up appeals for global assistance. The United Nations launched a flash appeal for $460 million in humanitarian assistance, and the United States pledged another $20 million on top of the $35 million already pledged.

The Pakistani military has 55 helicopters and 621 boats taking part in aid and rescue efforts.

For many parts of southern Pakistan, the worst is yet to come. The Indus River is expected to crest Thursday in parts of Sindh, according to the Pakistani Meteorological Department.

And Pakistanis will be forced to endure the consequences of damaged infrastructure and crops lost to flooding for months.

Nowshera's Khushal Pur market, once a vibrant place of 250 food stalls, stood covered in thick, foul-smelling sludge as tractors worked to remove the mud and debris. Among the muck were tons of rotting produce that shop keepers abandoned when they fled the flooding.

Juma Gul surveyed the damage. His vegetable stall has been a family business for two decades. He said he has lost more than $1,000 in business, a huge amount in this town in northwestern Pakistan, where the CIA World Factbook estimated the average annual income at $2,600.

Gul, who set up a temporary stall on the road, said prices of fresh produce, including tomatoes and cucumbers, have doubled.

That made customer Niaz Ali anxious. He has already lost work and money is tight, but with the cost of food soaring, he said he and his family will simply have to eat less.

Market manager Ikram Ullah said it would be particularly difficult during the month of Ramadan, when Muslims abstain from food and water during the day and break their fast with a feast at sunset. The back-breaking clean-up tasks will be hard, too, because of Ramadan fasting.

The economic impact of the disaster is sure to be felt for a long time with crops sitting in soggy fields.

"The crop has been lost and it is a race against time to ensure the next sowing season can be met," said United Nations special envoy Jean-Maurice Ripert.

John Holmes, U.N. under-secretary-general for humanitarian affairs, said the disaster is "one of the most challenging that any country has faced in recent years."

Although the death toll is lower, the 14 million people affected are more than those affected in the 2005 Pakistan earthquakes, the 2004 Indonesia tsunami and the January earthquake in Haiti combined.

"The death toll has so far been relatively low compared to other major natural disasters, but the numbers affected are extraordinarily high," Holmes said. "If we don't act fast enough, many more people could die of diseases and food shortages."

Holmes said thousands of villages and at least 288,000 homes have been destroyed.

"Six thousand villages wiped out the face of the earth," Haroon said. "From 5,000 to 50,000 per village, we have no way of counting. We have nothing operational as to how many of those have died and how many are alive."

Huge swaths of Pakistan remain without power, clean water or communication. Bridges and roads have been destroyed, and many regions are accessible only by air or water transport. Millions of hectares of crops have been washed away in Khyber Pakhtunkhwa Province (KPK), Punjab and Sindh, and seed stocks have been destroyed, "severely compromising the possibility to plant staple food crops in September for hundreds of thousands of farmers," Holmes said.

The floods, which started in Pakistan's northern regions, are traveling through the southern province of Sindh.

"Millions more are expected to suffer from the combined impact of continuing torrential rains and unprecedented water levels in the rivers," Holmes said. "The monsoon could last for at least another month, worsening the flooding we have seen so far."

The money will enable U.N. organizations, international partners and NGOs to partner with the Pakistani government to address emergency needs of flood-affected families, Holmes says. The agencies will provide food, drinking water, tents and supplies in the seven hardest-hit areas: Balochistan, Punjab, the Federally Administered Tribal Area, Gilgit Baltistan, KPK, Pakistan-Administered Kashmir and Sindh.

The U.N. reports $99.5 million has been pledged, and donors have committed or contributed $47.8 million to the U.N. emergency response in Pakistan, but $300 million more is needed.

Individual countries have also gotten involved.

U.S. Secretary of Defense Robert Gates on Wednesday authorized 19 Marine and Navy heavy-lift helicopters to Pakistan to relieve six U.S. Army helicopters that have been taking part in flood relief since Saturday.

The new group of helicopters will come from units on board the USS Peleliu which has been off the coast of western Pakistan in recent days in anticipation of orders to assist.

Gates said the USS Kearsarge -- another helicopter landing ship -- is headed to Pakistan to relieve the Peleliu.

Gates said the Pakistanis will decide the speed of distribution. "We want to be as helpful as we can be," he said. "We don't want to overstretch the capacity of the Pakistanis to absorb the help."

Also Wednesday, Germany said it was increasing aid for flood victims to about $12.8 million.

In total, about $600 million in aid is heading to Pakistan -- the equivalent of about $40 for each of the nation's 15 million residents.

Islamic militants, however, called on the Pakistani government to reject any aid provided by the United States for flood relief.

"For the sake of God, don't accept donations from the U.S. because they are our enemies," said Azem Tariq, spokesman for the Taliban in Pakistan.  "Whatever amount the U.S. will give as donation, we will give the government of Pakistan more."

Many Pakistanis have not been happy with the government's response to the floods, calling it slow and ineffective.  The Taliban's offer of aid may be an attempt to win the hearts and minds of flood victims.

Pakistani President Asif Ali Zardari has taken much of the heat. He was in England for talks with British Prime Minister David Cameron during the worst of the crisis.

CNN's Reza Sayah, Dan Rivers, Samson Desta, Brooke Elliott and journalist Nasir Habib contributed to this report.

@highlight

The death toll now tops 1,313, Pakistani authorities say

@highlight

The U.N. launches a flash appeal for $460 million in aid

@highlight

Pakistanis face soaring food costs and long-term shortages

@highlight

The Taliban tell people to reject U.S. aid