(CNN) -- As a child, Ranjan Avasthi was once bitten by the family's German shepherd. His parents responded quickly by separating the two, bandaging his wounds and gradually reintroducing healthy interaction with the dog. Fast-forward a few decades. Avasthi, now a doctor, has a wife, child and his very own German shepherd mix.

His toddler may be a bit young for cautionary tales, but Avasthi fully understands the risks and rewards of kids and pets sharing a household. As a doctor who specializes in child and adolescent psychiatry, he has seen kids transform in the presence of pets. He also knows that kids will be kids.

They love to grab ears, pull tails and simply rub pets the wrong way. While cats and dogs reside in roughly 84 million U.S. households without incident, accidents happen. The Centers for Disease Control and Prevention estimates that nearly half of the 800,000 medically treated dog bites each year involve children, mostly between the ages of 5 and 9 years old. Even with the most well-behaved fur kids, it's best to avoid leaving children and pets unsupervised.

"Kids naturally do things that upset cats and dogs — hugging, staring, petting on the head," says animal behaviorist Kristen Collins of the American Society for the Prevention of Cruelty to Animals (ASPCA.org). "These can stress animals, and any stressed animal is more dangerous."

MNN: Rescue dogs sniff out endangered species

We all know that kids and pets can peacefully coexist. But it also helps to have an action plan, just in case your child is bitten by a pet (yes, cats bite, too). Take measures to help prevent emotional scars after a pet bites or scratches your child. Collins and Avasthi offer expert advice:

Take swift action: Remove the pet immediately, then discuss why pets may have reacted negatively. "A lot of it is talking about what happened and asking, 'Why do you think this happened?'" Avasthi says. "Allow children to discuss what can be done to prevent the situation from recurring."

Teach kids to read a pet's body language: Collins strongly encourages parents to discuss body language while watching pets. ASPCA.org provides guidelines, photos and safety tips to help kids and parents recognize signs — such as flattened ears or wrinkled forehead — that indicate distress.

Reinforce healthy interaction: Help kids understand how to safely approach a cat or dog. Start by asking human handlers if you can approach, then extend a closed hand for the cat or dog to smell. "It's best if you let the pet come to you," Collins says. "It can prevent a lot of bad situations."

She also recommends that kids and parents practice the proper way to pet a cat or dog using stuffed animals. Focus on areas where animals like to be petted, such as their chest or side. "We sit with kids and talk about things dogs don't like and cats don't like," Collins says. "It's equally important to explain what they do like."

MNN: Why do cats purr?

Reintroduce pets slowly: Each situation differs, but psychiatrists often use exposure therapy to help patients deal with phobias, Avasthi says. The process resembles slow and deliberate steps that his parents took many years ago. Therapy may begin with kids seeing photos of puppies, then pint-sized pups and, eventually, larger dogs. During subsequent sessions, kids watch videos of pets and gradually interact with an adult cat or dog. The goal is to help kids overcome a fearful response when they think about the pet.

Try a training class: Avasthi and Collins recommend training to build confidence — for kids and pets. Many dog trainers encourage kids to participate in group classes, setting the foundation for safe interaction at an early age. "Then the child is not afraid and doesn't learn the wrong behaviors," Avasthi says.

Collins also encourages games such as fetch, along with obedience and teaching trick training. These activities help kids learn positive interaction, and dogs learn that kids are great treat dispensers, she says.

Encourage a healthy respect for Mother Nature: "Educate kids that our house pets — even though domesticated and pets — they are animals," Avasthi says. "Sometimes they may not mean to hurt us; they may be playing, irritated or even frightened."

Respecting pets also means giving them space when they show signs of being distressed, overstimulated or tired.

Continue the conversation @Soulpup on Twitter.

© Copyright 2011 Mother Nature Network

@highlight

Kids love to grab pets' ears, tails or simply rub them the wrong way

@highlight

CDC: Nearly half of medically treated dog bites involve children

@highlight

Training builds confidence for kids and for pets