(CNN) -- When 48-year-old Erin Peiffer, of Eldersburg, Maryland, learned that she had high cholesterol in her 20s, she never thought it would pose a problem.

When she was 39, Erin Peiffer, now 48, had open-heart surgery to unblock her left main artery.

Although her overall cholesterol number lingered in the low to mid-200s, she figured her medication would keep it under control.

But she figured wrong, and heart disease slowly started clogging her arteries.

Dr. Elizabeth Nabel, director of the National Heart, Lung and Blood Institute at the National Institutes of Health in Bethesda, Maryland, says that over the years, it's become clear to most American women that heart disease is nothing to ignore. It's the leading cause of death of women in the United States, says Nabel, a prominent advocate for women's heart health.

But Nabel says many women still don't know all the risk factors for heart disease, especially when it comes to cholesterol.

"For middle-aged women, 40 to 60, high cholesterol is the single most important risk factor for heart disease and heart attacks," she said. The Heart Truth: How to lower your risk for heart disease

Peiffer didn't think much about her cholesterol until nine years ago, when, at age 39, she began to feel ill during a water aerobics class.

"I started coughing," she recalled. "I was coughing a lot!"

It got so bad she decided to drive home. The cough, she says, grew worse. "The coughing continued, but then I was coughing up this pink, frothy stuff, and I knew that wasn't right."

Alarmed, Peiffer left her kids with her husband and drove herself to the hospital. But because of her age, doctors never considered that she might be having heart problems; they figured she had a virus and sent her home. But later tests showed that she had something wrong with her heart. After performing an angiogram, her doctors told her the bad news.  Watch more on women and high cholesterol »

"They told me I had a 99 percent blockage in my left main artery," she said. "I needed open-heart surgery."

Millions of Americans get a diagnosis of high cholesterol every year. Cholesterol comes from two sources: your body and your food. Your liver (and to a smaller degree, your cells) makes about 75 percent of blood cholesterol. The remaining 25 percent comes from the foods you eat.

Cholesterol is divided into two main types. HDL, or high-density lipoprotein, is the "good" cholesterol because it helps to clear excess fats from the arteries. LDL, or low-density lipoprotein, is the bad cholesterol because it clogs the arteries, increasing a person's risk for heart attack and stroke.

The American Heart Association says that in premenopausal women, estrogen tends to raise HDL (good) cholesterol. But as estrogen drops during menopause, HDL levels drop too, and LDL levels rise. That's why women need to know their numbers.

For years, physicians believed that hormone-replacement therapy was a good way to protect a woman's heart. However, the heart association recommends that hormone replacement not be used for cardiovascular protection, because recent studies have shown that postmenopausal women using it received no real heart benefit.

In some people, improving diet and adding exercise can lower the overall number, but when lifestyle changes don't work and for people who have a genetic predisposition for high cholesterol, medication is usually prescribed.

But cardiologists say many people think that because they are taking medication, they're protected and don't need to worry about their numbers. That's just not the case.

So what are good cholesterol levels? Your overall cholesterol number should be under 200. If you have other risk factors -- like smoking, high blood pressure or a family history of heart disease -- your doctor may want it lower.

A good HDL level of 60 mg or greater is considered protective. LDL should be under 100 mg for those with no risk factors for heart disease and 70 mg for those at higher risk. But again, depending on your health and family history, your doctor may want different readings.

The first step in fighting high cholesterol is simple: "Get a blood test," Nabel said.

The National Cholesterol Education Program guidelines recommend that everyone age 20 and older get a fasting "lipoprotein profile" every five years. It gives your doctor information about total cholesterol, LDL, HDL and triglycerides, which are the main type of fat in blood.

If your numbers are unhealthy, your doctor can advise you on treatment. If you want to avoid medication and try to achieve healthy cholesterol numbers naturally, the American Heart Association has these recommendations:

• Keep your weight down, and cut down on calories, especially from saturated and trans fats, carbohydrates and alcohol. Even small amounts of alcohol can lead to large changes in triglyceride levels (although red wine may slightly bump up good cholesterol).

• Eat plenty of fruits, vegetables and nonfat or low-fat dairy products. And add fish to your diet. Fish oil helps reduce cholesterol.

• Get off the couch and get active. Even 30 minutes of moderate exercise, five days a week or more, can make a difference.

After her surgery, Peiffer had her family members' cholesterol levels checked. She found that two of her three children had high numbers, and they are now on medication.

Today, Peiffer too takes her medication, eats right and exercises to keep her heart healthy. And most important, she knows her numbers: Her cholesterol is well below 200.

She said, "I tell anyone, anyone who will listen -- my family, friends -- 'Know your cholesterol numbers.' It could save your life."

@highlight

Heart disease is leading cause of death of women in the United States

@highlight

Expert: For middle-aged women, high cholesterol is the most important risk factor

@highlight

Millions of Americans get a diagnosis of high cholesterol every year

@highlight

Cholesterol comes from two sources: your body and your food