(CNN) -- R. Sargent Shriver, who was responsible for launching the U.S. Peace Corps after marrying into the Kennedy family and joining John F. Kennedy's White House, has died, according to his family.

Shriver, whose full name was Robert Sargent Shriver Jr., was 95. He had suffered for years from Alzheimer's disease.

The family released a statement, saying Shriver died Tuesday "surrounded by his five children, five children in-law, and his 19 grandchildren."

"He lived to make the world a more joyful, faithful, and compassionate place," the family's statement said. "He worked on stages both large and small but in the end, he will be best known for his love of others. No one ever came into his presence without feeling his passion and his enthusiasm for them."

President Barack Obama said he was "deeply saddened" over the death of Shriver, whom he called "one of the brightest lights of the greatest generation."

"Of his many enduring contributions, he will perhaps best be remembered as the founding director of the Peace Corps, helping make it possible for generations of Americans to serve as ambassadors of goodwill abroad," Obama said. "His loss will be felt in all of the communities around the world that have been touched by Peace Corps volunteers over the past half century and all of the lives that have been made better by his efforts to address inequality and injustice here at home."

After overseeing the Peace Corps launch in the early 1960s, Shriver went on to serve subsequent presidential administrations and kept up his activism throughout his life, becoming a chief architect of President Lyndon B. Johnson's war on poverty and later heading the Special Olympics, which was founded by his wife, Eunice Kennedy Shriver.

Shriver's entree into the Kennedy family was Joseph P. Kennedy, the family patriarch, who hired him to run a business venture in Chicago. According to the Scribner Encyclopedia of American Lives, the work led to an introduction to Eunice Kennedy, whose siblings included JFK, Robert F. Kennedy and Ted Kennedy.

Shriver and Eunice Kennedy married in 1953.

Shriver served as JFK's Midwest campaign manager for his 1960 presidential bid before heading the Peace Corps' launch, which was seen as part of a new approach to the Cold War between the United States and the Soviet Union.

"He told me that everyone in Washington seemed to think that the Peace Corps was going to be the biggest fiasco in history," Shriver told Time magazine in 1963 of Kennedy's request that he head the program, "and it would be much easier to fire a relative than a friend."

In 2011, the Peace Corps is celebrating its 50th anniversary. More than 200,000 volunteers have served in 139 counties on issues ranging from education to public health to environmental preservation through the program, according to the Peace Corps' website.

The Peace Corps Tuesday mourned the loss "of our founder, friend and guiding light."

The Special Olympics, in a statement, said Shriver was an "advocate for the poor and powerless, and he compiled an unparalleled record of public service at every tier, from the local level to the world community."

After John F. Kennedy, his brother-in-law, was assassinated in 1963, Shriver was tapped by Johnson to launch the White House Office of Economic Opportunity, which comprised a handful of anti-poverty programs.

In a series of maneuvers that spoke to Shriver's penchant for working across the political aisle, he served as Republican President Richard Nixon's ambassador to France before becoming Democrat George McGovern's running mate in 1972, as the two unsuccessfully tried to unseat Nixon.

McGovern named Shriver as his running mate after his first choice, Sen. Thomas Eagleton of Missouri, stepped down after revealing he'd had psychiatric treatment that included electroshock therapy.

In the 1980s and 1990s, Shriver served as chairman of the board of Special Olympics International, which Eunice Kennedy Shriver founded in 1968. The organization sponsors sports training and events around the world for people with intellectual disabilities.

Shriver, who was born in Westminster, Maryland, in 1915 and who graduated from Yale, also was long active in the Roman Catholic Church.

President Bill Clinton awarded him the Presidential Medal of Freedom in 1994.

"We are greatly saddened by the passing of Sargent Shriver. He leaves behind an astonishing legacy of people helped, lives transformed, and communities improved," the former president and his wife, Secretary of State Hillary Clinton, said in a statement.  "Through his work and his passion, he helped build a better America and a more humane world. And he did it with boundless enthusiasm, infectious joy, and the deepest love for his family, his nation, and his work."

Eunice Kennedy Shriver died in 2009.

The Shrivers had five children including Maria Shriver, the media personality and former first lady of California; and Timothy P. Shriver, who now heads Special Olympics International.

Maria Shriver's husband, former California Gov. Arnold Schwarzenegger, said his father-in-law's life "is a blueprint for those of us who aspire to place the needs of others above our own."

CNN's Ed Henry contributed to this report.

@highlight

Shriver oversaw launch of the Peace Corps for President Kennedy

@highlight

Shriver married into the Kennedy dynasty, a brother-in-law to JFK

@highlight

He was the Democratic nominee for vice president in 1972

@highlight

In the 1980s and 1990s, he led the Special Olympics