Sudan's foreign ministry denied published reports that a woman sentenced to death for refusing to renounce her Christian faith is expected to be released.

Foreign ministry spokesman Abubakar Al-Sidiq said that he is not aware of any plans to release Mariam Yahya Ibrahim before a ruling from an appeals court.

Ibrahim was condemned to die by hanging after she declined to profess she is a Muslim, the religion of her father. Sharia law considers her a Muslim and does not recognize her marriage to a Christian. She is unlikely to change her mind despite giving birth in prison, says her husband Daniel Wani, who also is a Christian.

Some Western media outlets have reported that Ibrahim would be released in a few days, but her husband said that only the appeals court could free his wife.

"I'm not aware that any release is imminent," Wani told CNN.

Technically, the president of Sudan cannot pardon her, so the judiciary might be the only way out for the government, which is coming under increased international pressure to release Ibrahim.

The court convicted her of apostasy and adultery two weeks ago. At the time, she was eight months pregnant. She gave birth to a baby girl this week at a Khartoum prison, where she's detained with Martin, her 20-month-old son.

Despite languishing in prison with two infants, she's holding firm to her beliefs, according to her husband.

"There is pressure on her from Muslim religious leaders that she should return to the faith," Wani told CNN in a TV exclusive. "She said, 'How can I return when I never was a Muslim? Yes, my father was a Muslim, but I was brought up by my mother.' "

Wani said his wife is a practicing Christian, more so than him, and even had their son baptized.

"I know my wife. She's committed," he said. "Even last week, they brought in sheikhs and she told them, 'I'm pretty sure I'm not going to change my mind.' "

Wani, who is a U.S. citizen, said he is thrilled about his new daughter but hopes her birth doesn't hasten his wife's death sentence.

In past cases involving pregnant or nursing women, Sudan waited until the mother had weaned her child before executing any sentence. Sharia law as practiced in Sudan prohibits carrying out the death sentence on an expectant woman until two years after she gives birth.

CNN sought comment from the Sudanese government and was directed to the justice ministry. A CNN request for an interview was denied, and the justice minister said they don't comment on such matters because a final judgment has not yet been issued. An attempt to contact Sudan's foreign affairs minister for comment was unsuccessful.

Woman raised as Christian, husband says

Ibrahim, 27, was arrested after Muslim relatives accused her of renouncing her religion.

Their complaint alleged that she went missing for years, and her family was shocked to find out she married a Christian, according to her attorney, Mohamed Jar Elnabi.

Wani said he'd never met the relatives who made the accusations. His wife, he said, was raised a Christian by her mother, an Ethiopian Orthodox, after her Muslim father deserted the family when Ibrahim was 6.

"These people filed charges claiming that she was their sister and filed a police report saying that she had disappeared," he said.

At first, Ibrahim was charged with adultery for marrying a Christian. The apostasy accusation was added after she maintained she was a Christian, according to her husband.

"The police originally called for the case to be dismissed, but these people went back and added another charge ... which is adultery, by saying she was their sister and a Muslim. It is illegal for a Muslim woman to marry a Christian man, therefore we were brought before the court."

She's been detained since January 17, he said. In addition to the emotional turmoil resulting from the conviction, the couple also have to worry about their children, Wani said.

"An illegitimate marriage does not result in legally recognized offspring, which means that my son and the new baby are no longer mine," he said.

Wani's physical condition makes the ordeal even harder. He uses a wheelchair and "totally depends" on Ibrahim, according to her lawyer.

"He cannot live without her," he said.

Wani said he's not been allowed to visit his detained family as much since the apostasy charge was added.

"She's in a bad mood," he said of his wife. "She's frustrated."

More punishment

In addition to the death sentence, the court sentenced Ibrahim to 100 lashes for the adultery conviction.

The court had warned her to renounce her Christianity by May 15, but she has steadfastly maintained she is a Christian and will remain so.

Sudanese Parliament speaker Fatih Izz Al-Deen said claims that she was raised as a non-Muslim were untrue.

She was raised in an Islamic environment, and her brother, a Muslim, filed the complaint against her, according to Al-Deen.

'I'll stand by her'

Wani said he was optimistic the appeal their lawyers have filed would lead to the court's ruling being overturned.

"I'm hoping that, given the way people have come together around the world -- which I want to thank them for," he said.

"All the rights groups, all the broadcasters ... It's looking like it had an effect. Perhaps it will result in the judgment being overturned."

But until it's done, the mother of his children has his support.

"I'm standing by her to end. Whatever she wants, I'll stand by her," he said.

Worldwide condemnation

Rights groups and foreign embassies worldwide have condemned the verdict. The ruling also created shock waves in Sudan, where activists are defying the government and criticizing what they consider an overly harsh implementation and interpretation of Islam

"The fact that a woman could be sentenced to death for her religious choice, and to flogging for being married to a man of an allegedly different religion, is abhorrent and should never be even considered," said Manar Idriss, Amnesty International's Sudan researcher.

Foreign embassies in Khartoum, including those of the United States, United Kingdom and Canada, urged the Sudanese government to reverse course.

There's no timetable on when the judicial process will be over, but the couple isn't giving up. The appeals court's ruling could come within the next week, their attorney says.

Until then, they're grasping at small signs of hope. The last time Sudan executed someone for apostasy was in 1985 when a man criticized Sharia law.

@highlight

Foreign ministry denies reports that Meriam Yehya Abrahim would be released

@highlight

She has been condemned to die by hanging and gave birth to a baby girl this week at a Sudanese prison

@highlight

A Sudanese court issued the sentence after she refused to renounce her Christian faith

@highlight

Her husband says she's holding firm to her beliefs regardless of circumstances