Los Angeles (CNN) -- Michael Jackson died while preparing to set a world record for the most successful concert run, but he unknowingly set another record that led to his death.

Jackson may be the only human ever to go two months without REM -- rapid eye movement -- sleep, which is vital to keep the brain and body alive. The 60 nights of propofol infusions Dr. Conrad Murray said he gave Jackson to treat his insomnia is something a sleep expert says no one had ever undergone.

"The symptoms that Mr. Jackson was exhibiting were consistent with what someone might expect to see of someone suffering from total sleep deprivation over a chronic period," Dr. Charles Czeisler, a Harvard Medical School sleep expert, testified Friday at the wrongful-death trial of concert promoter AEG LIve.

The symptoms documented by e-mails among show producers and testimony from his chef, hairstylist and choreographers included his inability to do standard dances or remember words to songs he sang for decades, paranoia, talking to himself and hearing voices, and severe weight loss, Czeisler said.

"I believe that that constellation of symptoms was more probably than not induced by total sleep deprivation over a chronic period," he testified.

Propofol disrupts the normal sleep cycle and offers no REM sleep, yet it leaves a patient feeling refreshed as if they had experienced genuine sleep, according to Czeisler.

If the singer had not died on June 25, 2009, of an overdose of the surgical anesthetic, the lack of REM sleep may have taken his life within days anyway, according Czeisler's testimony Friday.

Lab rats die after five weeks of getting no REM sleep, he said. It was never tried on a human until Murray gave Jackson nightly propofol infusions for two months.

Translating that to a human, Czeisler estimated, Jackson would have died before his 80th day of propofol infusions. Murray told police he had given it to him for 60 nights before trying to wean him off it on June 22, 2009 -- three days before his death.

Czeisler -- who serves as a sleep consultant to NASA, the CIA and the Rolling Stones -- testified Thursday that the "drug-induced coma" induced by propofol leaves a patient with the same refreshed feeling of a good sleep but without the benefits that genuine sleep delivers in repairing brain cells and the body.

"It would be like eating some sort of cellulose pellets instead of dinner," he said. "Your stomach would be full, and you would not be hungry, but it would be zero calories and not fulfill any of your nutrition needs."

Depriving someone of REM sleep for a long period of time makes them paranoid, anxiety-filled, depressed, unable to learn, distracted and sloppy, Czeisler testified. They lose their balance and appetite while their physical reflexes get 10 times slower and their emotional responses 10 times stronger, he said.

Those symptoms are strikingly similar to descriptions of Jackson in his last weeks, as described in e-mails from show producers and testimony by witnesses in the trial.

Jackson's mother and children are suing AEG Live, contending that the company is liable in his death because it hired, retained or supervised Murray, who was convicted of involuntary manslaughter. They argue that the promoter pressured Murray to get Jackson to rehearsals while failing to get Jackson help despite numerous red flags warning that he was in trouble.

Paris, Prince Jackson testimonies shown in Jackson death trial

AEG Live lawyers contend that it was Jackson who chose, hired and supervised Murray, and their executives had no way of knowing about the dangerous propofol treatments administered in the privacy of Jackson's rented mansion.

A very long question

Czeisler was back on the witness stand Friday to answer a question that was asked just as court ended Thursday. Jackson lawyer Michael Koskoff asked his expert what may also be a record-breaker in a trial: a 15-minute-long hypothetical question.

He was asked to render an opinion based on a long list of circumstances presented so far in the trial about Jackson's condition and behavior, including:

• That Murray administered propofol to Jackson 60 consecutive nights before June 22, 2009.

• That Murray began to wean Jackson from propofol on June 22, 2009, and gave him none of the drug on June 23.

• That a paramedic who tried to revive him the day he died initially assumed he was a hospice patient.

• That show producers reported Jackson became progressively thinner and paranoid and was talking to himself in his final weeks.

• That the production manager warned that Jackson had deteriorated over eight weeks, was "a basket case" who he feared might hurt himself on stage and could not do the multiple 360-degree spins that he was known for.

• That show director Kenny Ortega wrote that Jackson was having trouble "grasping the work" at rehearsals and needed psychiatric help.

• That Jackson needed a teleprompter to remember the words to songs he had sung many times before over several decades.

• That show workers reported the singer was talking to himself and repeatedly saying that "God is talking to me."

• That Jackson was suffering severe chills on a summer day in Los Angeles and his skin was cold as ice to the touch.

Lawsuit evidence: Michael Jackson lost dance moves in last days

Jackson lawyers revised the question Friday morning after AEG Live lawyers objected to the information about Murray's nightly propofol treatments, since it was derived only from the doctor's statement to police after Jackson's death. The judge previously ruled that statement inadmissible.

Instead, they brought up evidence that Murray ordered more than four gallons of propofol between April and June, which Czeisler said equaled 155,000 milliliters of the drug. An anesthesiologist uses between 20 and 30 milliliters to induce a coma for surgery, he said.

The expert testified that his review of Jackson's medical records convinced him that the singer suffered a chronic sleep disorder that "was greatly exaggerated" while he was on tour or preparing for a tour.

Jackson died just two weeks before he would have traveled to London for the premiere of his "This Is It" comeback concerts, produced and promoted by AEG Live.

A lecture on sleep

Jurors appeared quite interested as Czeisler lectured them Thursday on his sleep research, including an explanation of circadian rhythm: the internal clock in the brain that controls the timing of when we sleep and wake and the timing of the release of hormones

"That's why we sleep at night and are awake in the day," he said.

Your brain needs sleep to repair and maintain its neurons every night, he said.

Blood cells cycle out every few weeks, but brain cells are for a lifetime, he said.

"Like a computer, the brain has to go offline to maintain cells that we keep for life, since we don't make more," he said. "Sleep is the repair and maintenance of the brain cells."

CNN Health: Sleep

An adult should get seven to eight hours of sleep each night to allow for enough sleep cycles, he said.

You "prune out" unimportant neuron connections and consolidate important ones during your "slow-eyed sleep" each night, he said. Those connections -- which is the information you have acquired during the day -- are consolidated by the REM sleep cycle. Your eyes actually dart back and forth rapidly during REM sleep.

"In REM, we are integrating the memories that we have stored during slow-eyed sleep, integrating memories with previous life experiences," he said. "We are able to make sense of things that we may not have understood while awake."

Learning and memory happen when you are asleep, he said. A laboratory mouse rehearses a path through a maze to get to a piece of cheese while asleep.

The area of a basketball player's brain that is used to shoot a ball will have much greater slow-eyed sleep period since there is more for it to store, he said. Players shoot better after sleep.

The Portland Trailblazers consulted with him after they lost a series of East Coast basketball games, he said. He was able to give their players strategies for being sharper when traveling across time zones.

He's worked with the Rolling Stones on their sleep problems, he said. Musicians are vulnerable since they are often traveling across time zones and usually "all keyed up" to perform at night, he said.

Czeisler developed a program for NASA to help astronauts deal with sleep issues in orbit, where they have a sunrise and sunset every 90 minutes.

Other clients include major industries that are concerned about night shift workers falling asleep on the job, the CIA, the Secret Service and the U.S. Air Force, he said.

Jackson lawyers argue that AEG Live should have consulted a sleep expert like Czeisler for Jackson instead of hiring Murray -- a cardiologist -- for $150,000 to treat the artist.

The trial ends its eighth week in a Los Angeles courtroom Friday. Lawyers estimate that the case will conclude in early August.

@highlight

NEW: Expert says Jackson could've died within days even without overdose

@highlight

Jackson may be the only human ever to go two months without REM sleep, expert says

@highlight

Lab rats die after five weeks of no REM sleep, expert says

@highlight

Propofol deprives patient of vital REM sleep, Dr. Charles Czeisler testifies