(CNN) -- Former NFL lineman Shane Dronett's transformation from an affable prankster, quick to flash a wry smile, to a person who was often frightened -- and frightening -- was subtle at first.

It began in 2006, with a bad dream.

"He woke up in the middle of the night and started screaming and told everyone to run out of the house," said Chris Dronett, Shane Dronett's wife. "He thought that someone was blowing up our house. It was very frightening."

Chris tried to dismiss the incident as isolated, except that two weeks later, there was another outburst, then another, until they were an almost-nightly occurrence. And as Shane's fear and paranoia began overwhelming him, so did episodes of confusion and rage that sometimes turned violent.

Only three years after retiring from the NFL in 2006, Shane was suffering. The tragic culmination of his pain came when he committed suicide in 2009 at 38.

Scientists at the Boston University School of Medicine's Center for the Study of Traumatic Encephalopathy tested Shane's brain tissue and confirmed that  before he died he was suffering with a brain disease -- chronic traumatic encephalopathy -- that seems to afflict football players.

"There is evidence of CTE in his brain making him yet another former NFL player who had definite CTE," said Chris Nowinski, co-director of the traumatic encephalopathy center. Nowinski said the center has found evidence of CTE in the brains of 13 of 14 former NFL players, including Dronett.

Usually found in much older dementia patients, CTE is an accumulation of an abnormal protein in the brain called tau, which is associated with repeated head traumas -- concussions or subconcussive hits -- that are not allowed to heal. CTE can also diminish brain tissue and is associated with memory loss, depression, impulsive behavior and rage.

Outrage comes out of nowhere

The Dronetts' daughter recalled an incident at a local burger joint: "He was ordering, and he got mad at (an employee) and just punched him in the face," said 16-year-old Hayley Dronett.

"He thought the guy was shaking the ice weird or something, and he took him down in the restaurant," added Chris.

It was all uncharacteristic for a man whom Chris described as "someone who would light up the room," outgoing, affable, funny. It was incongruous behavior for a father who had been involved and close with his two daughters -- taking them four-wheeling, volunteering at school, even painting their fingernails.

"He was just the best dad in the world," said Hayley.

Researchers believe that the battering Shane Dronett took as an NFL lineman -- and the hits he accumulated over two decades of playing -- might explain his brain's deterioration.

"What we know is that by definition, a lineman will have their head hit almost every play of every game and every practice," said Dr. Robert Stern, co-director of the BU CSTE. "The estimates are around 1,000 or more hits for a lineman every season."

It might have been the accumulation of tens of thousands of subconcussive hits -- which might not result in overt concussion symptoms such as  dizziness, short-term memory loss and confusion but could still cause brain damage -- that finally took a toll on Shane.

"I think the issue is that the brain was not meant to be hit even subconcussively 1,000 times a year," said Stern.

The NFL would not comment about Shane's case specifically, but it emphasized that the league supports the BU center's work and that it continues to take steps limit contact to the head and to ensure that concussions, when they occur, are properly treated.

10 hard seasons of hard hits

Shane played for 10 seasons, first with the Denver Broncos and then the Atlanta Falcons. He played defense on the 1998 Falcons team that had a storybook Super Bowl run.

Chris said her husband never let a concussion deter him.

"Shane didn't come out of games because he always said NFL players are so expendable," said Chris. "And if you're not out there, the next guy will be."

Kurt Warner: Playing with concussion "part of the game"

Shane played through dizzying hits.

"There were times when he'd be slow getting up and kind of try to shake it off and get back in there," said Chris. "He would have headaches and he would say 'I wish someone would split my head open with an ax and relieve the pressure,' but it wasn't even an option to come out (of the game)."

Could a tumor explain his behavior?

When Shane was found to have a brain tumor in 2007, at the height of his unorthodox behavior, it was actually a glimmer of hope for his wife.

"I was almost relieved because I was thinking, 'OK, here is the answer to why he's acting like this, because he had a tumor,' " said Chris. "And then after he recovered from the tumor being removed, he was back to the same symptoms of paranoia."

Shane's neurosurgeon said that he most likely had the tumor all his life and that the benign growth could not explain his behavior, Chris said.

Researchers at BU CSTE call the brain tumor potentially confounding, but most likely not a factor in Shane's behavior.

"There's no way we would ever know what was specifically caused by the tumor or the surgery for the tumor or CTE," said Stern. "But more than likely at least some of his behavior and symptoms were associated with the worsening of the CTE."

The reasons for Shane's behavioral changes soon became secondary to a bubbling fear for his wife and daughters. It came to a head during a ski trip that Chris took with her daughter Hayley in January of 2009.

"He called us 100 times a day, wondering where we were and we'd tell him we're in Utah ... and he just didn't believe it," said Chris. "He thought people were driving around the house and he was wondering who had been following him that day. It was just very scary."

Shane was supposed to pick up his family at the airport but never showed up. The next morning, Chris encountered her husband in the hallway of their home, brandishing a gun.

"I saw the gun, and I ran out the front door," said Chris. "He had gone into the kitchen, and as soon as I put my hand on the front door, I heard it."

What Chris had heard was the firing of the gun that killed Shane when he turned the gun on himself.

In a moment, months of consternation and abject fear ended, giving way to profound sadness for a family that, even as they waded through the mire of Shane's condition, could not have foreseen this end.

"He was always so full of life," said Chris. "Even his darkest moments, I just still never imagined that he would do that."

Two years removed from the terrible events of that January morning, Chris finds some solace knowing that a brain disease that could explain why she and her daughters lost Shane.

"I had nowhere to turn. I didn't know anything about (CTE). I didn't know other players were going through this type of stuff," said Chris. "I think if Shane knew at the time how serious (playing through concussion) could be down the road, he would have backed off."

Chris is heartened by rules changes and progress at the NFL level, but chafes when she hears about players who oppose those changes.

"I know a lot of the players are against that, but they're young and they haven't seen what I've seen," said Chris.

Chris says that if she could speak directly to players, "I would tell them what I went through, what Shane went through and what other people I know have gone through and then let them make that decision. Because I feel like they're making their statements without being educated."

@highlight

Scientists confirmed that ex-Falcons lineman had  a brain disease linked to concussion

@highlight

Researchers believe the battering Shane Dronett took may explain his brain's deterioration

@highlight

His family reported troubling personality changes before his suicide