(CNN) -- As Walter Thomas knows, it's hard to look for a job when your stomach is rumbling.

Samirah, 2, asked her mom to take this photo to show that hungry people "are like everyone else."

The 52-year-old from Washington, D.C.,  started skipping meals in early January when his savings account was running dry and his kitchen cabinets were almost empty.

Thomas at first didn't want to turn to the United States' food safety net, the food stamp program, for help.

But after being laid off in July from what seemed like a steady job in sales at a furniture store, Thomas swallowed his pride and applied for the monthly food aid.

"It lets me think, 'OK, well, tomorrow I'll be able to eat. If nothing else, I'll be able to eat,' " he said.

With the national economy in meltdown, more Americans than ever are relying on the federal aid program to keep from going hungry. In October, more than one in 10 people -- about 31 million -- were using the food stamp program to get by, according to the U.S. Department of Agriculture.

More recent numbers are not available, but advocates for the poor say the number of those in need of aid probably has increased since then.

Stereotypes associated with food stamps abound, and recipients are often seen as prone to taking handouts, sometimes when they may not be needed.

But the profile of hunger in America is multifaceted, as diverse as the nation itself, especially in these times of economic hardship.

To get a better idea of what it's like to live on a food stamp budget, CNN correspondent Sean Callebs has decided to eat for a month on $176 and blog about the experience on CNN.com.  Watch reporter's struggle to buy food with food stamps »

That's a situation many people, Thomas included, can relate to. Thomas, who said he had been working steadily since he was 13 years old, now receives $175 per month for food. That's about $5.83 per day -- less than $2 per meal.  See what people on food stamps can buy »

Not that Thomas is complaining. After getting his first payment, which is added to an inconspicuous debit card to reduce the stigma associated with the program, Thomas went straight to the grocery store. He was hungry and grateful.

"It's definitely been a blessing to me," he said of the food stamp program, which, since October, has gone by the name Supplemental Nutrition Assistance Program, or SNAP.

Advocates for the poor, as well as those on federal assistance, hope President Obama's economic stimulus plan will increase food stamp payments. The average family on food stamps would receive $79 more per month if the stimulus bill passes in the U.S. Senate this week, according to The New York Times. iReport.com: How are you doing in this tough economy?

There is some debate about whether giving people money to spend on groceries is a valid form of economic stimulus.

Few are more hopeful the measure will pass than Crystal Sears, a 30-year-old mother in Germantown, Pennsylvania, who said she has been on food stamps for more than three years.

Sears said she sometimes skips meals so her three children can eat. Even with federal assistance, she said, she sometimes has to make a meal for herself out of crackers or food scraps.

She said she has been out of work for several years because all three of her children have medical conditions: Her 8-year-old son has a seizure disorder that requires frequent hospital visits and constant attention; her 2-year-old daughter was born with heart problems; and her 12-year-old daughter has scoliosis, a back condition that recently required two surgeries, she said.

Without much money, she's forced to make tough choices.

"If the kids needed sneakers and their sneakers are getting too small, or if my water bill is past due, I'd opt not to pay it and risk them sending me a shut-off notice just so my children can eat," she said.

Sometimes she chooses to buy more food instead of paying her gas bill to heat her home. When she does, the family sleeps huddled around their stove or an electric heater, she said.

Her monthly food stamp payment is $489, she said. That's sometimes sufficient. But some months, she said, she doesn't receive full payments because of mix-ups with paperwork. Until recently, she said, she received about $250 per month, which she said was far from enough to feed her family of four.

The SNAP program is meant to supplement a person's food budget, not cover all food expenses, said Jean Daniel, a spokesperson for the USDA, which administers the program.

Taking on part-time work would further complicate the application process, she said. Sears said she worked for seven years at a Salvation Army shelter before becoming unemployed.

"For me, I've always been a helper. And my thing is I don't like to help people to enable them. I like to help people so they can help themselves in the long run," she said.

Sears stretches her food budget by buying cheap and sometimes fatty meals. She said she doesn't like doing that but can't avoid it. With food prices high, she said, grocery shopping is stressful.

"We get like the mac and cheese, which is dehydrated cheese -- basically food that's no good for you health wise," she said. "Everything is high in sodium and trans fats ... and that's all we basically can afford. There's not enough assistance to eat healthy and maintain a healthy weight."

Advocates for the hungry say many people on the food stamp program opt to buy less-healthy foods because they can't afford fresh fruits and vegetables on such a tight budget.

Food stamp "benefits aren't really enough for a healthy diet," said Jim Weill, president of the nonprofit Food Research and Action Center.

Sears said she is grateful for the help she does get.

Maribel Diaz, a 36-year-old mother of three boys in Los Angeles, California, said her $319-per-month payment isn't always enough.

But she said she would starve herself before letting her boys go hungry.

"You're bringing home less bags [of food] now, because the milk is almost $5 a gallon and the bread is $3 a loaf. ... A chicken is, like, now $8," Diaz said. "If you're really breaking it down, you're not bringing a lot of groceries home."

All SNAP recipients are eligible for free nutritional counseling to help people stretch their food budgets, said Daniel, of the USDA.

Advocates for the hungry find flaws in the way the program is set up, but they praise it for being a safety net the government can't take away during tough times.

Unlike aid to soup kitchens, the food stamp program receives federal funding in times thick and thin, and has a $6 billion backup fund, Daniel said.

"The money will be found so people are not turned away," Daniel said.

All of the benefits paid to participants come from the federal government. States split the program's administrative costs.

Advocates see some flaws in SNAP but generally give it praise.

"I say about food stamps what Winston Churchill said about democracy: 'It's the worst possible system except all the others,' " said Joel Berg, executive director of the New York Coalition Against Hunger.

Berg said the program's benefits are too small and too difficult for people to obtain.

But the food stamp program is somewhat successful, he said.

"The main purpose of the program is to wipe out Third World starvation in America, and it's worked," he said, adding that he's optimistic about improvements that could come as part of the economic stimulus plan.

Thomas, the laid-off furniture worker in Washington, said he doesn't want people to feel sorry for him.

After being let go from his store, he stopped at an employment center before going anywhere else. He said he faxed about 20 résumés to similar companies on that very day.

None has resulted in a job yet, but Thomas said he has been to interviews for other types of work and hopes employment will come soon.

For now, he's just happy to continue the job search without the pain of hunger nagging at his stomach.

@highlight

More than 1 in 10 Americans are part of the federal food assistance program

@highlight

Some people say it is hard or impossible to make ends meet, even with help

@highlight

President Obama's economic stimulus plan could increase food-stamp funding

@highlight

CNN's Sean Callebs will live on $176 this month to learn about life on food stamps