Washington (CNN)A year after ISIS became a household name in America, using brutality and savvy propaganda to challenge al Qaeda and its affiliates for jihadist adherents, U.S. prosecutions of would-be recruits have exploded.

The flurry of arrests -- at least 25 people have been detained since January -- is a sign that complicated, manpower-intensive investigations begun when ISIS started seizing swaths of territory a year ago are finally being completed.

But they also highlight the unique challenges that ISIS poses in comparison with al Qaeda, which has attracted fewer U.S.-based recruits.

Like a new rock band storming the music charts, ISIS has benefited from a media environment that amplifies its propaganda, law enforcement officials said. The group quickly reached early recruits through videos that showcased the fear its adherents instilled in nonbelievers.

At first, most of the recruits were self-starters -- people radicalized on their own from consuming ISIS propaganda from YouTube videos and other social media. Much of the propaganda comes in the form of slick movie trailer-style videos, some glorifying brutal practices such as the beheading of anyone who ISIS leaders decide doesn't comport with their medieval brand of Islam.

But once those initial Western recruits arrived, living in the self-declared ISIS caliphate spanning parts of Syria and Iraq, they started to directly entice friends and other contacts back home to join them.

In Minnesota, nine men have been charged as part of an alleged cell of recruits linked to American Abdi Nur, who turned up fighting with ISIS in Syria in 2014 and began to appeal to his friends to come to the Middle East.

"Each one of those folks who makes it over there has the capability to reach out back to their contacts back here," a senior U.S. counterterrorism official said.

It's a phenomenon observed in Norway and other European nations, where clusters of young people have been lured to ISIS.

And the ISIS recruiters have an easier path to drawing supporters than al Qaeda has had. A decade ago, that group's recruits faced formidable obstacles trying to get to training camps deep in hard-to-reach areas of Afghanistan and Pakistan's tribal region. Few Westerners went through the trouble.

Minneapolis men allegedly trying to join ISIS highlight role of American recruiter

Today, ISIS occupies much more accessible territory, mostly reachable through Turkey. Istanbul's airport has easy connections to Western Europe and much of the rest of the world. From there, Turkey's modern infrastructure offers quick access to the border regions where smugglers can help jihadis get across to Syria.

The informal recruitment networks and ease of travel have presented a difficult puzzle to intelligence and counterterrorism officials, who are used to tracking networks of facilitators and fundraisers that funnel recruits eastward.

"It's harder for us to pick up on," the U.S. counterterrorism official said of the peer-to-peer recruitment, which is well below the radar.

How ISIS is luring Westerners

Before ISIS, investigators could often focus on radicalizing mosques and clerics to figure out those networks.

Al Qaeda recruitment focused on attracting radicals who were motivated to join the fight to protect Islamic holy lands. Much of the recruitment occurred in countries with strong conservative Islamic histories, including Saudi Arabia and Yemen, U.S. officials said.

In contrast, ISIS takes a somewhat secular approach, portraying how much better life purportedly is in the caliphate as compared to the corrupt West. And people attracted to ISIS' marketing run the gamut from rich to poor, educated to dropout, male to female, teenaged to middle-aged.

There are signs Western recruits have risen to high levels in the ISIS organization, with their influence reflected in the latest propaganda, counterterrorism and intelligence officials said. The English is proper, with fewer grammatical and spelling mistakes.

And while the large number of arrests show that law enforcement officials are succeeding in their disruption efforts, it also means that U.S. authorities don't see the lure of ISIS receding any time soon.

"We are opening cases quicker than we are closing them," the U.S. counterterrorism official said.

Who has been recruited to ISIS from the West?

@highlight

The recruiting tactics used by ISIS differ from those traditionally employed by al Qaeda

@highlight

ISIS benefits from a media environment that amplifies its propaganda, officials say