(CNN) -- Two years ago, the Supreme Court upended the rules for campaign finance, unleashing a tsunami of unregulated, unrestricted and undisclosed spending that has, in effect, allowed donors to buy elections. The full impact of this decision is just now becoming clear, and it's bad both for America's businesses and for our democracy.

By a 5-4 majority, the Supreme Court affirmed that money is essentially speech -- a notion first addressed in Buckley v. Valeo in 1976 -- and it outlawed nearly all restrictions on independent spending by corporations or other groups, including unions, to influence elections. Such restrictions are unconstitutional violations of free speech, the court said, and are prohibited by the First Amendment.

You might expect business owners to welcome the elimination of these restrictions, but if so, you're about to be surprised. A recent poll conducted by Lake Research found that 66% of a random sample of 500 small-business owners believe the Citizens United decision was "mostly bad" or "somewhat bad" for small business. Since small businesses create 70% of new jobs in the private sector, according to the Small Business Administration, their view should matter a lot.

The poll was commissioned by the American Sustainable Business Council, the Main Street Alliance, and Small Business Majority -- three groups that represent the views of small business and which have a combined membership of more than 100,000 small businesses nationwide. The poll tapped the views of 500 small-business owners nationwide, most of whom are not members of the organizations conducting the survey.

In addition to taking a dim view of Citizens United, 88% of the small-business owners in the poll had a negative view of the role money plays in politics. (The margin of error in the poll is plus or minus 4.4 percentage points.)

Do small donations still matter in politics? Tell us what you think.

Small-business owners believe in our market-based, capitalist system, which depends on open and robust competition.

Unlimited campaign spending undermines this competition, in three crucial ways.

First, allowing unlimited money into politics allows the past to hold the future hostage. Companies (and individuals who own them) with sufficient resources to sway elections often represent the industries and companies of the past, rather than the industries and companies that are creating the future.

The evidence on this is indirect, because since Citizens United was announced less than a year before the last federal election, its impact has not yet been fully felt or measured. However, we can gauge its future impact by looking at lobbying expenditures, for which multiyear data is widely available. For the period 2008-2011, the computer and Internet industry -- a wellspring of innovation -- spent $458 million on lobbying, according to the Center for Responsive Politics, while the energy and natural resources industry spent more than three times as much: $1.55 billion. The ratio for election-related spending, post Citizens United, will likely be similar.

Second, allowing unlimited money in politics allows the big to achieve an unfair advantage over the small. This is ironic in light of the huge role small business plays in creating private sector jobs in America, even as some large corporations act as net destroyers of American jobs, when outsourcing and offshoring are factored in.

For example, this kind of money in politics gives power to the push by big companies to repatriate offshore profits, giving some big and profitable multinational corporations lower effective tax rates than the grocer on Main Street.

Moreover, unlimited contributions give major Wall Street firms the edge over community banks, because the big banks can win loan guarantees, taxpayer bailouts and deeply discounted borrowing rates that smaller banks can't touch.

Third, allowing unlimited money in politics allows companies to collect IOUs for special favors from presidential candidates -- particularly as a result of contributions made early in the election season, when a few million dollars can swing the result in a small state like New Hampshire.

America's small-business owners embrace competition -- but they demand the competition be open, robust and vigorous. They don't want to be whipped by big corporations that bought an unfair advantage from senators, congressional representatives and other elected officials. When that happens, it's bad for business and America. Many solutions have been proposed, ranging from the Supreme Court reversing its decision, to legislation, to a constitutional amendment.

Momentum for change is growing, as candidates from both political parties learn what it's like to have a campaign with broad public support crushed by a single individual with deep pockets who steps in to help the other side.

Citizens United is an assault on our economy, which is supposed to be based on vigorous, free and open competition. It's time for us to reinvigorate our economy by getting government out of the protection racket, and preventing industries and companies from buying special favors. We must undo the damage wrought by Citizens United.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of David Brodwin.

@highlight

David Brodwin says Citizens United ruling is bad for small businesses

@highlight

He says poll found that most small businesses don't like role of money in politics

@highlight

He says that role favors old, moneyed industries, not new ones that drive innovation

@highlight

Brodwin: Campaign spending has un-American effect of stifling competition