(CNN) -- It's the battle of the tech titans. No, not Apple versus Samsung. Sony has gone head-to-head with Microsoft after releasing their next-generation gaming platforms for the holiday shopping season.

And according to a recent sales report, Sony's PlayStation4 seems to have won the first round of the battle.

The PS4 sold 1.25 million units in the United States during November, while the Xbox One sold 750,000, said Michael Pachter, an analyst at Wedbush Morgan, in a recent note to investors.

As for global sales, the Japanese manufacturer announced they had sold more than 2.1 million PS4 units worldwide at the beginning of December. Microsoft say they sold over 2 million systems.

With the XBox One starting at $499, and the PS4 at $399, Pachter says the the $100 price difference is responsible for Sony's success: "The reason Sony beats Microsoft is solely the price. Microsoft loses the next generation unless they cut price."

In at the starting line

From the start, it was far from clear which console would reign over the world of gaming.

"These are two systems that are well-balanced to keep the furious battle between Xbox and PlayStation going for the next decade ... which can only be good for gamers everywhere," says David Hutchinson, chief video games writer for The Times of London.

The tech landscape has transformed drastically since the last time these two electronics giants went head to head with the Xbox 360 in 2005 and the PlayStation 3 in 2007. Back then, smartphones and tablet devices didn't even exist.

While PS4 is being touted as the perfect machine for social media lovers -- offering games that players can share easily with friends -- Xbox One is said to be ideal for those after a multimedia machine that can multitask and switch between games, movies, music and applications quickly and seamlessly.

"The PlayStation 4 has been set as more of a games machine versus the Xbox One's aim to be the multimedia entertainment center at the heart of your living room ... Both systems are essentially PCs in a console shell," explains Hutchinson.

The two systems have everything from motion tracking and facial recognition to cameras and redesigned controllers.

What's more, the Xbox One can not only be plugged into your cable box for on-demand TV and movies, but can also be personalized to a user's interests running a series of apps and programs, including Skype, NetFlix and LoveFilm.

Smart strategies

Seven years ago, Microsoft pushed development on the Xbox 360 so that they could put their console on the market a year ahead of the PlayStation 3. Hutchinson says this move gave Microsoft plenty of time "to gain an audience within a gaming community where the PlayStation had previously ruled supreme."

"They gained a huge market share in that unchallenged year," he explains.

"Sony are obviously aware how this has affected their market dominance, so in this cycle of consoles they have made sure to release the PS4 slightly ahead of their rival in the U.S. to make sure they aren't left behind again."

At the industry's E3 conference in June, not long after Sony went public with their early release date, Microsoft announced they'd priced their console $100 more than Sony's PS4. Though the news didn't sit well with gaming enthusiasts, Microsoft refused to budge on the price.

A gamer backlash ensued when fans found out the Xbox One was not going to allow offline gameplay or secondhand games to be used on the device. In turn, resistance from fans forced Microsoft to reverse its decision, explains Hutchinson.

"Xbox were wise to backtrack on their initial idea that you wouldn't be able to easily resell secondhand games or pass old games onto friends more than once," says Hutchinson.

"It showed a lack of understanding of the importance of selling on games for younger gamers, but also showed Microsoft's maturity in knowing when to backtrack if mistakes have been made."

The death of consoles?

In recent years, the video game industry has seen users develop a growing appetite for mobile devices. This has led some to question the future of the console industry.

"Rumors of gaming console death are a bit premature," says Eric Smith, a consumer electronics expert from Strategy Analytics.

"It's been a down year in 2013 [for consoles], but going forward, this next generation is going to boost sales for several years to come."

Industry analysts attribute few top game releases and the tail end of the last generation of consoles as contributing factors for this year's downturn.

Meanwhile mobile play continues to grow at a significant rate. Research firm Gartner forecast in their latest report that revenue from mobile gaming alone is predicted to "nearly double between 2013 and 2015 from $13.2 billion to $22 billion."

"Casual gamers I think have moved on most likely to mobile platforms. Tablets and phones are cheaper [and] more easily accessible," says Smith.

"These are impressive machines that have been released, they are enjoying great sales and beforehand, they were enjoying great pre-orders ... But the audience has shrunk and I don't think those casual gamers are going to return."

So with casual gamers moving over to their smartphones, hardcore gamers have been left to save the console for future generations.

Smith says: "[Xbox One] does gaming as well, but it is targeted towards a much broader audience and I think there is a risk in that gamers look at it and say: 'This is not for me, this is not built for gamers first' ... But at the same time, if these functions do catch up, [Microsoft] stands to gain sales down the road."

Meanwhile, Hutchinson hopes that neither electronics giant will reign supreme as it means a better and more competitive experience for the fans themselves.

"The joint dominance of the Xbox 360 and the PS3 marked a great era for the gaming public," he says. "With no monopoly, gamers get better deals on games and hardware after the initial round of console launches are out of the way. Long may this continue."

@highlight

Microsoft and Sony release their next-gen gaming consoles

@highlight

Xbox One focuses on inclusive entertainment experience, PlayStation focuses on gamers

@highlight

Mobile gaming becomes fastest-growing area of gaming industry, say researchers