Images from the Jewish Museum of Belgium show the gunman behind Saturday's deadly attack approaching the building, opening fire, and walking away.

He used an AK-47 assault rifle to carry out the shooting, which killed at least three people, police said Sunday.

Photographs and video released by Belgian police show the man wearing a cap and blue shirt, carrying two bags over his shoulder. The images do not show his face clearly.

The shooter left on foot after the attack and headed toward a different part of downtown Brussels before he disappeared, according to police.

Authorities are hunting the suspect, believed to have acted alone, deputy public prosecutor Ine Van Wymersch said. Investigators hope the public will help to identify the suspect.

Two of those killed in Saturday's attack are Israeli and the third is French, Van Wymersch said.

The Israelis were a couple in their 50s from Tel Aviv, Israel's Foreign Ministry said.

French Foreign Minister Laurent Fabius said the French victim was a woman and offered his condolences Sunday to the families of all those killed, his ministry said.

A fourth person, a Belgian national who works at the museum, remains in critical condition, Van Wymersch said Monday. That contradicted museum spokeswoman Chouna Lomponda, who said Sunday that the fourth person had died.

Terrorism has not been ruled out, Van Wymersch said Monday. No arrests have been made, she said.

A person who was detained Saturday soon after the shooting is considered a witness and not a suspect, Van Wymersch added. That witness was not seen in surveillance video recorded during the attack, she said.

The circumstances of the shooting have raised suspicions that it may have been an anti-Semitic attack, but no motive has been determined.  Van Wymersch said it was too early to determine whether the attack was an act of terrorism or motivated by anti-Semitism.

Could the killer attack again?

A senior Belgian law enforcement official told CNN that Belgian police do not yet have any leads on the killer.

It's been challenging to identify the killer because he was wearing a baseball cap.

The official told CNN that authorities have no information yet on the specific motivation or ideological background of the killer.

They do not know whether they are dealing with Islamist terrorism, some sort of neo-Nazi type of attack or another category altogether.

But there is concern that the killer could strike again, the official said, and that authorities could be dealing with a "Mohammed Merah" type of killer.

Merah, a French-Algerian Islamist radical who received terror training with al Qaeda-linked militants in Pakistan, shot and killed three French paratroopers in two attacks in March 2012 before killing three schoolchildren and their teacher at a Jewish school in Toulouse, France, during a 10-day shooting rampage which he filmed with a camera attached to his torso.

But the official stressed that no evidence has emerged in Saturday's attack pointing to any link to Islamist terrorism.

The official told CNN that authorities cannot say with certainty whether the Brussels gunman was carrying a video camera to film the attacks. Some investigators who viewed the surveillance footage believed this was the case and some did not. The quality of the surveillance footage was not good enough to make a conclusive determination.

The official said the killer shot the Israeli couple first in the museum entryway with one of his weapons. The couple had been consulting the wall display. He then pulled out a Kalashnikov assault rifle and shot the others inside the museum.

Surveillance cameras picked up the killer walking on two or three streets before he disappeared.

The official said the killer appeared to be skilled in using weapons and likely planned the attack meticulously.

The official stressed Belgian authorities are investigating all possible angles, including Islamist terrorism, neo-Nazi attack, and other categories. With regard to the threat from Islamist terrorism, he noted there has been longstanding concern over the 100 or so Belgian Islamist extremists who received training in the Afghanistan-Pakistan region over the years, and high current concern over several hundred who have more recently traveled to fight in Syria. The concern is they might be able to use skills acquired there to launch attacks back home.

Heightened security

Belgium's Interior Ministry raised its terror alert level in the wake of the attack.

Belgian Interior Minister Joelle Milquet told a news conference Saturday that the security threat level was at its highest at locations frequented by the Jewish community across the country. This measure is precautionary, she added.

She met with the police, Belgian Jewish community leaders and the president of the European Jewish Congress, Moshe Kantor, on Sunday to discuss the security arrangements, an Interior Ministry statement said.

The Jewish community is determined to continue its activities in schools, synagogues and cultural centers, but under heightened security with a permanent police presence, the statement said.

Kantor is also to hold urgent talks with Belgian Prime Minister Elio Di Rupo, his group said in a statement.

Kantor described the attack as "horrific but not surprising" and urged action by European governments to tackle extremism and hate speech.

"Attacks on Jewish targets in Europe do not exist in a vacuum, but are part and parcel of an overall climate of hate and incitement against Jewish communities," he said, according to the statement.

"Anti-Semitism begins in the public domain, it gains international legitimacy and becomes normative even in our national parliaments but it always ends in killing Jews."

Pope Francis, who was in Israel on Sunday, told reporters that he had a "heavy heart" after the "atrocious" attack.

"While reiterating my condemnation for this criminal act of anti-Semitic hatred, I entrust the victims of this crime to the God of mercy and invoke upon the wounded his gift of healing," the pope said in Tel Aviv before departing for Jerusalem.

Jewish men targeted in France

In neighboring France, two Jewish men were assaulted late Saturday as they were leaving a synagogue in Creteil, outside Paris, the French Interior Ministry said Sunday.

Two men were involved in the aggression against the two Jewish men, who are bruised, Interior Ministry spokesman Pierre-Henry Brandet said in an interview with CNN affiliate BFMTV.

Interior Minister Bernard Cazeneuve instructed police and other authorities to strengthen security at Jewish sites while looking for the perpetrators of Saturday's incident, which he strongly condemned, according to the ministry.

In the wake of the attack in Brussels, Cazeneuve reaffirmed his determination to fight those who commit murderous acts and spread racism as well as well as anti-Semitism, the ministry said.

Anti-Semitism worldwide

A global survey released in May by the Anti-Defamation League reported on the levels of anti-Semitism found in 102 nations.

Belgium received a 27% index score in the survey. The index score represents the percentage of adults in a country who answered "probably true" to a majority of the anti-Semitic stereotypes tested. Belgium has an adult population of about 8.7 million.

The ADL said one-fourth of adults worldwide are "deeply infected with anti-Semitic attitudes," according to a CNN.com report on the survey.

France had the second highest index score in Europe, with 37%, although that was well below Greece, with 67%. Germany had a score of 27%, Spain 29%, Sweden 4% and the United Kingdom 8%. The United States was given an index score of 9%.

More on rampage killings

@highlight

Senior Belgian law enforcement official says police have no leads

@highlight

The public prosecutor says the death toll stands at three, not four

@highlight

A museum spokeswoman said Sunday a fourth victim had died

@highlight

Two Jewish men were targeted in an attack outside synagogue, French Interior Ministry says