(CNN) -- Today's hotel bathrooms are more than the sum of their sinks and shower heads. They serve as ultimate sanctuaries, providing the comforts of home or transporting guests to another realm.

"We're seeing more attention to details," says Kathleen Dauber, a partner at Hirsch Bedner Associates, the world's largest hotel-design company.

In addition to technological innovations, such as TV screens that turn into mirrors when you approach them, Dauber sees a trend of pulling back on furnishings to make way for open areas. "Space is luxury," she says.

Fresh air and natural light are prized commodities, as are stunning views of skylines or natural landscapes. Fragmentation of areas within the room according to function is popular, such as separating the salle de bain from the toilet. And curating regional aesthetics and incorporating interesting materials is also top of mind; local supplies and recycled construction resources are layered with classically opulent stone, glass, wood and other substances.

Here are ten hotel bathrooms that cohesively balance utility and beauty.

Song Saa, Cambodia

Song Saa, on a private island in southern Cambodia, has generous terrazzo composite-stone bathtubs placed strategically to afford views of each room's individual infinity pool and the Gulf of Thailand. Playing to its natural setting, the property created its rustic-chic vanities from driftwood and recycled timbers and incorporated sustainable materials like bamboo into items such as the towel rails. The wooden statues from the hill tribes of the Ratanakiri province in northern Cambodia provide a local touch that counterbalances the Australian Aesop body products. Rooms start at $1,117 (all-inclusive).

Park Hyatt Vienna

Opened in June, Park Hyatt Vienna has a Presidential Suite that comes with a grand marble bathroom containing a striking lapis lazuli wall and a walk-in rain shower. But the real showstopper is the gilded bath, reminiscent of the sensual paintings of hometown artist Gustav Klimt. Illuminated by a tiered chandelier, the golden vessel turns the everyday act of bathing into an artistic ritual. Rooms start at $510.

Departures: Hotels with gorgeous views

21c Cincinnati

As the name suggests, 21c Museum Hotels mixes boutique accommodations with stupendous collections of contemporary art under one roof. Its 156-room Cincinnati property married designs by starchitect Deborah Berke with local craftsmanship: It commissioned Rookwood Pottery, the city's heritage ceramic producer whose roots date back to 1880, to manufacture Berke's whimsical bathroom tiles that mimic ears, lips, breasts and other body parts. The result is an elegantly simple bathroom with bright white interiors that, upon closer inspection, surprises with cheeky twists. Rooms start at $300.

Andaz Peninsula Papagayo Resort, Costa Rica

Designed by local talent Ronald Zurcher, this Costa Rican retreat engages with its natural surroundings and local traditions. The bathroom's spacious walk-in rain shower opens to the balcony, effortlessly bringing in the pristine Costa Rican outdoors. The floors feature rocks and pebbles from the area and textiles and artifacts from local artisans, paying homage to the folk traditions of the Guanacaste province. Rooms start at $450.

Departures: Signature hotel desserts

Four Seasons Resort Langkawi

Situated inside a UNESCO geopark of rainforests and dramatic cliffs, the 91 pavilions and villas of Four Seasons Resort Langkawi blend Malay, Arabic and South Asian architectural stylesâ€”and nowhere is the beautiful mÃ©lange more evident than in its guest bathrooms. Featuring soaring arches, bright skylights and outdoor soaking tubs in private gardens, the little personal spas incorporate Arabic flourishes, Malay artifacts, ornate wooden screens and handcrafted hanging mirrors finished with antique patinas. Rooms start at $540.

The Viceroy, New York

In Suite 57, the penthouse crown jewel of New York's Viceroy hotel, Paonazzo marble is used so generously that even the oversized soaking tub is made of the classic material that was favored among designers in the early 20th century. Drawing from the luxurious design elements of the hotel lobby and the suite itself, the master bathroom features an original collection of lighting fixtures and hand-perforated brass hardware. A highlight? The sweeping views of Central Park from the sprawling dual shower. $5,500 a night.

Departures: Lush hotel patios and gardens

The Ritz-Carlton, Bahrain Hotel & Spa

At the Ritz-Carlton, Bahrain Hotel & Spa, you may be drawn to the walk-in power showers by Jacob Delafon of Paris or the overflow infinity-style Jacuzzi from Kohler or the glass walls overlooking a sun-soaked garden. But it's the subtle touches that really delight, such as the discreet palm-leaf motif that is embossed in a gypsum frieze around the room and is visible when illuminated at night. Rooms start at $280.

Point Yamu by COMO, Phuket, Thailand

Paola Navone designed Point Yamu by COMO, which is slated to open in September. The bathrooms in the Bay Suites combine deep-blue tiles, clean lines, hanging light fixtures and varied textures to create a vibrant atmosphere. Made with 95 percent local resources, including natural wood, the ceramic-intense rooms make a bold, clean statement with touches of nature. Bay Suites start at $280.

Departures: The hotel suites to book in New York

The Oberoi, Dubai

The executive chairman of the Oberoi Group was directly involved in designing every detail of its Dubai outpost. Employing uncluttered lines and classic marble, the guest bathrooms demonstrate sophisticated restraint. The most notable features is the floor-to-ceiling windows that display breathtaking uninterrupted views of the Dubai skyline, including the Old City and the iconic Burj Khalifa. Rooms start at $790.

Hoshino Resorts KAI Aso, Japan

Bathing in hot-spring water is an essential part of staying at a ryokan, a Japanese inn, and Hoshino Resorts KAI Aso, at the foothills of an active volcano, updates the cleansing ritual to new heights. Every villa on the six-and-a-half-acre property is equipped with a private outdoor tub on a terrace that juts into the surrounding verdant forest, allowing guests to poach mineral-rich volcanic water from the mountains. Unspoiled air, natural light, infinite space and breathtaking views: Some traditions deserve to be trendy. Rooms start at $770 (including breakfast and kaiseki dinner).

Departures: Airport spas

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

Hotel bathrooms are getting a fashion upgrade with elegant design and amazing views

@highlight

Song Saa island in Cambodia offers stone bathtubs with a view of the Gulf of Thailand

@highlight

The Viceroy's bathroom offers sweeping views of Central Park from the sprawling dual shower

@highlight

Park Hyatt Vienna has a show-stopping gilded bath