Washington (CNN) -- In rural southern Virginia, 14-term Democratic Rep. Rick Boucher says he's never had an election enemy quite like the ones he's facing this year.

Its not his opponent, but instead it's what he calls a "shadowy" group that is funding television ads against him.

"Rick Boucher is trying to deceive you ... Boucher has failed to protect our jobs. Now it's time Rick Boucher loses his," the ad's narrator says.

The 30-second commercial was paid for by Americans for Job Security, a conservative-leaning group which, according to the nonpartisan watchdog group OpenSecrets.org, has spent nearly $8 million against Democratic candidates nationwide.

On its website, Americans for Jobs Security states that its members are "businesses, business leaders and entrepreneurs from around the country," but blatantly states it will not disclose the names of its individual members or donors.

Boucher, who says he's spent $300,000 of his campaign funds to counter the ad, rails against the secretive nature of the organization.

"We have no idea who these individuals are," Boucher said. "It could be someone who has a corporate identity in the United States. It could be a very wealthy individual who has some grudge against me and is putting this advertisement on the air as a consequence."

Americans for Job Security identifies itself on its website as a 501(c)(6) business league. That's a tax status for a nonprofit operation that can be involved in politics but not as its primary purpose. This particular tax status also means it does not have to disclose its donors.

Read IRS regulations on 501(c)(6) business leagues

Groups such as Americans for Job Security are outside the Democratic and Republican parties and are likely benefiting from a Supreme Court decision earlier this year. That ruling, made on free speech grounds, allows corporations and unions to spend unlimited money to help defeat or promote candidates.

That means even watchdog groups that track money flowing through elections can't find out who funds the groups.

"When you're just trying to figure out who is truly behind that television message that you're seeing on TV, you don't know who's behind it, and that makes it more difficult as a voter to actually have the requisite information to go into the voting booth and make an informed choice," said Dave Levinthal of OpenSecrets.org.

Republican sources have told CNN that Americans for Job Security has only one full-time employee, Steve DeMaura. His office is in Alexandria, Virginia, across the Potomac River from Washington. CNN left multiple phone messages for DeMaura, but he did not return the calls.

Conservative-leaning outside groups have already spent $121.6 million this election season compared with $79.1 million spent by liberal-leaning outside groups, according to OpenSecrets.org.

Another conservative group, Americans for Prosperity, expects to raise and spend about $35 million this election.

"We simply educate the public," said Tim Phillips, the group's president.

Part of that money is funding a television ad running in Colorado targeting first-term Democratic Rep. Betsy Markey, which says, "To small businesses, Betsy Markey is the same as Nancy Pelosi."

Who are Americans for Prosperity's donors? The Texas billionaire Koch brothers are the group's founders and give significant dollars. But besides them, it's unclear.

Phillips also makes no apologies for not revealing donors.

"Most of it is private individuals, but we're glad to have their support and we do tell them, 'Look we're going to protect your privacy as the law allows us to do.' "

President Obama has made it a regular practice lately to call out Americans for Prosperity by name in his effort to attack outside groups for spending tens of millions against Democrats without disclosing donors.

"They are now allowed to spend as much as they want, unlimited amounts of money, and they don't have to reveal who is paying for these ads," Obama said at a recent Democratic fundraiser. "Millions of dollars being spent by groups with harmless-sounding names, Americans for Prosperity, the Committee for Truth in Politics, or Moms for Motherhood."

Phillips said the president's attacks have actually helped Americans for Prosperity raise more money.

"If the president wants to use us as a punching bag, let him," he said. "It does help funding, and it helps generate new grassroots support."

Despite tough talk from Obama targeting Republican-backed outside groups, it's a mutual election-year undertaking.

Democrats have their own groups supporting them, such as Defenders of Wildlife Action Fund and Citizens for Strength and Security Action Fund, which are not disclosing their donors.

In New Mexico, where former Rep. Steve Pearce is running for his old seat, Defenders of Wildlife Action Fund is running an ad against him.

As eerie music plays in the background the narrator says, "Congressman Steve Pearce, named one of the most corrupt members of Congress."

In Washington state, Citizens for Strength and Security Action Fund is running an ad promoting Democratic Sen. Patty Murray.

And Democrats have smaller outside groups aimed at getting Democratic voters to the polls.

Our Community Votes was originally started by veteran union strategist Steve Rosenthal. This year, according to an official familiar with the organization, it is running programs in Missouri, Maryland and Pennsylvania  to encourage Democratic voters to go the polls. They're targeting African-American voters and "drop-off voters," those who went to the polls for Obama in 2008 but may not be likely to return for this year's midterm election.

Our Community Votes is yet another Democratic group that does not disclose its donors.

Democrats are also using a new weapon in the big money game of politics: the super PAC.

Super PACs work independently of candidates. Unlike regular political action committees, they can raise and spend unlimited money to try to defeat or promote candidates. But super PACs must disclose their donors.

Patriot Majority is one of the biggest of these new groups, and it is concentrating its efforts in Nevada, spending at least $5 million so far on ads against Senate Majority Leader Harry Reid's opponent, Republican Sharron Angle.

The television ad's narrator begins, "For a victim of rape or incest, Sharron Angle would force her to have the baby."

The ad then plays audio of Angle. "Two wrongs don't make a right."

Craig Varoga, a longtime Democratic strategist who runs Patriot Majority, told CNN his group will significantly step up spending in the final three weeks before the election. Varoga expects to raise and spend as much as $10 million on the Reid race and other key Democratic races around the country.

Varoga says his group is funded mostly by labor unions, in-state individual supporters and nonunion progressive groups, but he did not provide the names of these groups. Watchdog organizations say transparency is still a problem with these groups.

"They don't have to do it [reveal donors] in real time," said Levinthal of OpenSecrets.org. "If they put a television ad up, there's no disclaimer at the end of the advertisement saying that this ad was paid for by these different corporations or these different unions.

"In fact, since Patriot Majority raised most of its money in the past few months, recent Federal Election Commission filings don't reveal the majority of its donors. Patriot Majority's third quarter FEC filing is due this week -- three weeks before the election -- and will list the more recent donors."

Varoga laments that Democrats are lagging behind Republican efforts to use these new political identities to raise large sums of money.

"They are Goliath, and we are David," he said. "We are fighting back, and we're going to use the slingshot that we have in order to fight this fight."

Another super PAC is American Families First Action Fund. It's an outside group organized primarily by a Democratic insider, who once headed up Democratic Party efforts to elect members to Congress. He helped start the group five weeks ago to compete with Republicans.

And although American Families First Action Fund is required to disclose who funds it, CNN is told that the group itself was one of the secret donors to the Defenders of Wildlife Action Fund in its ad against Pearce. It is a hard trail to follow, which underscores the point that Democrats, too, are trying to play carefully in what the president calls a shadowy world.

In fact, while American Families First Action Fund may be a super PAC that must disclose its donors, it has a sister organization, Americans Families Fund Inc., which does not.

Multiple Democratic sources tell CNN there is great frustration in some Democratic circles with the president's attacks on Republican groups.

These sources say the president has made it harder to persuade Democratic donors to contribute to their outside groups, which for better or worse, are emerging as significant players in this year's election.

@highlight

Political groups operate outside parties and do not have to reveal members or donors

@highlight

It's difficult for voters to figure out who is behind messaging, watchdog group says

@highlight

President Obama has attacked groups for spending millions without disclosing donors

@highlight

Democratic-leaning groups are also cloaking their funding sources, however