(CNN) -- Day after day, men and women from Soweto, a township near Johannesburg, wake up at the crack of dawn to battle bumper-to-bumper traffic and cramped public transport to show up at work in time.

For Mxolishi Colossa, who works at a Johannesburg home furniture store, it's no different. Every morning, he quietly slips out of his house at 6 a.m. and heads to the nearest main street. There, standing by a dusty road, he waits patiently for a minibus taxi to pass by and carry him to the local train station.

But it's not just the waiting that tests Colossa's early start to the day -- the high cost of the ride and the dangerous driving can be equally distressing.

"All of them, same style," says Colossa, referring to the perilous way in which many of the taxi drivers navigate the area's roads.

As the dawn fades away, Colossa jumps off the taxi to catch a train to Johannesburg. Fourteen stops later he pulls into the city but he still has to get another taxi to take him to the other side of Johannesburg, to Melrose Arch, the plush shopping area where he works.

He finally arrives at the store at 8.30 a.m. -- a full two-and-a-half hours after leaving his home.

"It's not acceptable for people to have to take multiple legs of a journey to get to work," says Rehana Moosajee of the Mayoral Committee for Transport in Johannesburg.

See more: Concerns over 'insanity' of Shell South Africa fracking plans

Despite some of the best roads on the continent and a number of high-profile infrastructure projects, including a high-speed train and a bus service built for the 2010 football World Cup, commuting in Johannesburg is often an arduous task for millions of people.

The slick new services often don't connect with each other and older public transport systems, leaving poor and working-class people struggling to get to work. Last year, in IBM's Commuter Pain Survey, Johannesburg was ranked fifth worst in terms of the amount of pain commuters suffer getting to and from work.

Moosajee admits that the current transit situation doesn't cater well to the economic needs of Johannesburg, adding that the city is working to better integrate its transport system.

"We are now trying to transform our cityscape to bring communities together, and the impact of the number of transfers that people have to do means that people are spending less quality time with their family, that they're spending more and more time in transit, affecting productivity, affecting the economy," she says.

For Colossa, the grind of commuting means he has to dedicate five hours a day to travel to and from work. The fragmented journey also means that he has to spend a third of his salary on public transport, with the remainder spent on food, bills and rent.

Colossa's story is echoed not only around Johannesburg but in many other economic hubs across Africa.

In Nairobi, home to three million people, citizens face the fourth most painful commute, according to IBM's survey. Two out of three people in Kenya's capital say that congestion has a negative impact on their work, family and health, IBM reports.

Read more: Can Kenya avoid Africa's resource curse?

But besides nerves and frustration, traffic jams in Nairobi cost the economy over 50 million Kenyan shillings ($600,000) per day in lost productivity, fuel consumption and pollution, according to official figures.

Andre Dzikus, of U.N. Habitat, says the organization is helping Kenya to tackle some of the challenges brought about by population growth, urbanization and a rapid increase in motor-vehicle ownership. Its "Promoting Sustainable Transport Solutions for East African Cities" project aims to reduce growth in private motor vehicles, thus reducing traffic congestion and greenhouse-gas emissions.

In Lagos, one of the world's megacities, getting to work often requires strong nerves. Snail-paced traffic and high costs test commuters' endurance as millions of people cram the streets of Nigeria's economic nerve center on a daily basis.

Commuters often depend on a ragtag array of service providers, such as minibus operators, who can charge whatever prices they want.

"They might charge $1 in the morning for one trip one way and by afternoon they can go to $3," says Dayo Mobereola, managing director of the Lagos Metropolitan Area Transport Authority, noting that commuters spend on average 40% of their income on transportation.

Mobereola says that in recent years the city has taken a series of steps to improve its public transportation offering, including the launch of a regulated bus rapid-transit system in 2008.

Read more: Underwater cables bring faster internet to West Africa

More recently, it has begun work to develop a reliable and affordable urban rail system. Two railway lines are already under development as the ambitious project, which will eventually consist of seven lines, aims to relieve Lagos of chronic gridlock and unregulated services.

"The people of Lagos are yearning for regulated means of transportation," says Mobereola.

Back in Johannesburg, Colossa is about to begin his journey back to Soweto. Two and a half hours later he'll be home -- before doing it all again in the morning.

Do you live in one of Africa's economic hubs? Use the comments section below to tell us how you commute to work in your city.

@highlight

Commuting in Africa's economic hubs is often an arduous task

@highlight

From Johannesburg to Lagos and Nairobi, getting to work is slow and often expensive

@highlight

Long queues and cramped commutes are some of the problems