(CNN)Most airline pilots have an above average ability to compartmentalize personal problems. The cockpit is our "safe" place. The flight deck is a structured world of black and white. Checklists. Procedures. Standardization.

Stress from the job is an accepted part of our career. However, sometimes during the course of an airline pilot's career, or anyone's career for that matter, stress issues may manifest as depression. Depression is treatable. And for airline pilots, it is no longer debilitating to our livelihood. The Federal Aviation Administration now approves certain prescribed medication, allowing us to continue flying until depression is no longer a factor.

As the world learns more about Andreas Lubitz, the co-pilot on Germanwings Flight 9525, it is readily apparent that this young man had psychiatric issues far beyond clinical depression. He reportedly was administered a series of injections to mitigate his problems, an absolute reflection on the serious nature of his illness. But Lubitz's illness didn't just appear out of thin air.  Its effects had to be apparent to others. Lubitz's girlfriend made her concerns public knowledge -- unfortunately after events took their course.

Considering the hoops Lubitz had to jump through to have established himself as a Germanwings co-pilot, it's curious to me how the red flags of his illness were missed. To what hoops am I referring?

First, let's start with his passion for gliders. Glider flying is one of the purest forms of aviation. Although it is mostly an individualistic endeavor, the sport involves teamwork. Interaction among fellow enthusiasts is paramount to both enjoyment and safety. I'm a glider pilot. Participation among the members of my club uncovers the personalities and idiosyncrasies of each pilot. Behaviors not quite conducive to the activity are readily apparent.

Second, Lubitz had to compete successfully in a selection process just to have the opportunity to train through Lufthansa's flight program, a requirement of Germanwings employment. The selection process is most likely highly competitive, requiring above-average aptitude. Is the selection process flawed to the extent that a serious mental disorder would go unnoticed? Regardless, the process had to be a stressful experience.

Opinion: Germanwings and the stigma of mental illness

Once accepted into the flight program, a rigorous training period began. For primary training, Lufthansa utilizes an ab initio (from the beginning) program based at a facility the airline owns in Goodyear, Arizona, near Phoenix. The training is geared toward a multi-crew pilot license, or MPL, recognized by the International Civil Aviation Organization. The purpose of an MPL is to funnel airline pilot candidates having little or no flight time into the right seat as first officers. Countries that don't have the luxury of selecting from a large pool of experienced pilots use this license.

Airline pilots in the United States are not licensed in this manner, requiring as much as 1,500 hours to qualify as a co-pilot. This is a fairly recent change in FAA regulations, initiated as a result of the 2009 Colgan Airlines crash in Buffalo, New York. Lubitz had barely over 600 hours of flight time when he committed his act of horror. As a 21-year-old flight instructor, I had that much flight time; it hardly qualified as a lot of experience.

As with all of the MPL programs, the training involves an intense period of airline-specific instruction. And to add insult to injury, candidates are not paid during the training until such time as they pass a final check ride. Regardless, the cost is borne by the student to the tune of about $76,000.

Using both actual flight experience in a single-engine airplane and simulator time, the student receives about 250 hours of training. It is a period of almost constant supervision. Aside from observing and checking performance criteria, wouldn't at least one instructor have noticed behavioral issues in such an intense environment? And wouldn't a fellow trainee have noticed also?

According to reports, Lubitz took a leave from his training -- a very untypical behavior. Was that not in and of itself a red flag?  Wouldn't a manager in Lufthansa's flight department consider it prudent to reconsider a candidate with an indication of potential issues? After all, the selection process was most likely highly competitive, with other qualified candidates readily available.

Once the primary training in Arizona was complete, Lubitz would have returned to Germany and completed more specific schooling on the Airbus A320 he was about to fly. Again, no one observed issues. But even more curious, according to reports, Lubitz disclosed a diagnosis of previous depression to Lufthansa.

Over the course of a career, an airline pilot spends thousands of hours sharing the confined space of the cockpit with colleagues. Even if we have never flown with a particular individual, experience allows us the intuition to know when something isn't quite right. That determination can be made through performance observation of typical routines, or perhaps through a simple conversation. In that regard, I find it difficult to believe that none of Lubitz's colleagues made a less than positive assessment at some point in time.

As supplemental background, Germanwings had been established as the low-cost, alter ego carrier of Lufthansa. Depending upon a pilot's monthly flight time, salary for pilots can be as much as 20% lower than the mainline carrier. In addition, more days on duty were part of a Germanwings crew member's schedule. Apparently as late as March 20, Lufthansa pilots had been on strike, one of the main disputes being an early retirement option and less desirable working conditions for new hires. Perhaps enough of a disparity existed for Germanwings pilots such that medical leave benefits would not have covered Lubitz's absence.

Regardless, all of these factors combined to add a perfect storm of stress to one sick 27-year-old man. The world knows the end result. It just seems to me that this was an accident waiting to happen. Could it have been prevented? Well, this is the primary purpose of accident investigation: Never allow the same tragedy to occur again.

@highlight

Les Abend: There were likely warning signs during the co-pilot's training

@highlight

He says Andreas Lubitz had to go through many challenges to qualify to be a co-pilot