(CNN) -- Kim Jong Un, successor to his father's dictatorship over North Korea, will have to find ways to balance political factions and generate revenue -- or he may not remain in power for long, analysts said Tuesday.

Shrouded in mystery and believed to be only in his late 20s, Kim marks the third generation in his family to officially reign over the so-called Hermit Kingdom.

"It's unprecedented in modern times," said John Park, an expert on the region with the Harvard Kennedy School's Belfer Center for Science and International Affairs.

A popular expression, Park said, summarizes one central reason that third-generation dynasties don't occur. "The first generation makes the wealth; the second generation manages the wealth; the third generation squanders the wealth," he said.

Kim Jong Il inherited power from his father, a military leader who built a new North Korean economy. Kim Jong Il maintained a fierce grip, partly through building his country's nuclear arsenal.

It is unknown whether Kim Jong Un has the skills, knowledge or training to lead his country through the next era.

North Korea does not function as a "normal nation state" through imports, exports and taxes, Park said. "Kim Jong Il ran a system that was based on competition among senior officials" who controlled economic institutions such as trading companies.

"The way to view Kim Jong Un is almost as a CEO of North Korea Inc.," Park said. "He either makes money on a recurring basis or he's out. The fact that he's the youngest son won't matter if he can't produce the cash."

Christian Caryl, an editor of foreignpolicy.com, said the younger Kim's lack of experience does not bode well.

"I personally put the odds fairly low" that he will succeed in power, he said.

North Koreans "know much more about the world than they did" when Kim Jong Il came to power, said Caryl, who last visited a few years ago. "They've watched DVDs of South Korean soap operas. People know about China -- and China is light years ahead of North Korea."

"You can no longer expect people to believe in the Kim name the way they used to," he said.

The government still deprives its citizens of basic rights and freedoms, and there is little risk of any popular protest against a leader, Park said. If something were to end Kim Jong Un's time in power, it would be battling forces within the North Korean power structure.

"There are different factions and interest groups," Caryl said. "I wouldn't say organized power blocs, but groups that have big business interests now because they've also been trading with China."

"These things begin to get complicated very quickly" for a new leader at the helm, Caryl said.

Jayshree Bajoria of the Council on Foreign Relations writes that "even with a successor, North Korean observers have for some time feared a behind-the-scenes power struggle or nuclear instability after Kim Jong-Il's death." Still, "some experts doubt that Kim's death will lead to chaos," Bajoria writes, noting that the country has shown resilience in the past.

In the region, analysts and government leaders are looking at early indications in an effort to read the tea leaves.

"Over the span of some 50 hours, North Korea was very effectively able to conceal the death of Kim Jong Il, successfully make the announcement of his death. Seeing that it has gone smoothly so far without any bumps, we can relatively carefully speculate that the leadership is relatively well-grounded," South Korean intelligence committee chairman Kwon Young-se said Tuesday in an interview with CNN.

"But at the same time, Kim Jong Un is still very young and has only gone through a short period of time for grooming as an heir. Also, Kim Jong Il died all of a sudden without having been able to fully accelerate the process of the succession. Depending on the balance between the new people that support Kim Jong Un and the older generation that upheld Kim Jong Il, things may not necessarily go smoothly within the leadership," he said.

@highlight

A third-generation dynasty has not happened in modern times, analysts say

@highlight

Kim Jong Un can be viewed "almost as a CEO of North Korea Inc.," an analyst says

@highlight

Different factions and interest groups could end the younger Kim's reign, an analyst says

@highlight

S. Korean official: A "relatively well-grounded" government seems to be in place