Damascus, Syria (CNN) -- Saying "there is no doubt who is responsible for this heinous use of chemical weapons attack in Syria: the Syrian regime," Vice President Joe Biden signaled Tuesday that the United States -- with its allies -- was ready to act.

"Those who use chemical weapons against defenseless men, women and children should and must be held accountable," Biden said in a speech to the American Legion.

The vice president's remarks echo those made by other U.S. officials in recent days, as well as many of the nation's foremost allies.

French President Francois Hollande said his administration was "ready to punish those who made the decision to gas these innocent people," adding that "everything leads us to believe" that Syrian President Bashar al-Assad's forces are responsible.

British Prime Minister David Cameron -- who talked Tuesday with U.S. President Barack Obama -- called lawmakers back from their summer vacations to consider a response to Syria, as the UK military prepares contingency plans.

And U.S. Defense Secretary Chuck Hagel told the BBC on Tuesday that U.S. forces are "ready to go" if ordered to strike Syria by President Barack Obama.

"The options are there. The United States Department of Defense is ready to carry out those options," Hagel said.

Western leaders were reacting to a growing consensus that the Syrian regime was responsible for an August 21 attack that killed more than 1,300 people, most of them dying from exposure to toxic gases, according to rebel officials. The opposition -- which has said it's been targeted by chemical weapons attacks in the past as well -- backed up its latest allegations with gruesome video of rows of dead bodies, including women and children, with no visible wounds.

Opinion: For U.S., Syria is truly a problem from hell

Syrian officials, though, have steadfastly denied using chemical weapons in this or other cases.

Foreign Minister Walid Moallem said Tuesday that his government would never use such munitions against its own people, daring those who disagree to present evidence publicly.

He said rebel forces were to blame for security concerns near the suspected chemical sites, arguing that Western leaders are using the claims as an excuse to go after al-Assad's regime.

"We all hear the drums of war," Moallem said. "They want to attack Syria. I believe to use chemical weapons as a pretext is not a right."

And if foreign powers do strike the Middle Eastern nation, its foreign minister said the government and its forces will fight back.

"Syria is not easy to swallow," said Moallem. "We have the materials to defend ourselves. We will surprise others."

U.N. inspectors in Syria, but what will they find?

The United Nations has sent inspectors to Syria to try to get to the bottom of the wildly conflicting accounts of chemical warfare.

The opposition says chemical payloads were among the ordnance fired into the rebel stronghold of Ghouta. The government, via state TV reports, claims that its forces came into contact with toxic gas Saturday in Jobar, on the edge of Damascus -- blaming this on "terrorists," the term it commonly uses for rebel fighters.

CNN could not independently confirm either account, including videos purported to show the aftermath of each.

Missile strikes on Syria likely response to chemical attack

On Monday, U.N. inspectors visited the town of Moadamiyet al-Sham, despite a close call with snipers that left one of their vehicles damaged and an explosion nearby.

The inspectors had been expected Tuesday to head to Ghouta, but that trip was pushed back a day "in order to improve preparedness and safety for the team."

Moallem blamed rebel forces for failing to guarantee the U.N. group's safety and denying that its forces have delayed inspections by continually shelling Ghouta.

Video posted Tuesday to YouTube purported to show the area being shelled, though CNN could not verify this video's authenticity.

Yet Biden reiterated the claim that Syrian forces were shelling the suspected chemical attack site. And U.S. State Department spokeswoman Marie Harf said it may be too late for a valid inspection of what happened -- saying "too much time has passed" and accusing al-Assad's government of using the U.N. investigation "as a stalling tactic or a charade to hide behind."

The United States, meanwhile, is conducting its own investigation: An intelligence report detailing evidence of the alleged attack could be released as early as Tuesday, a U.S. official told CNN. The report will include forensic evidence and intercepted communications among Syrian military commanders, according to the official.

The vice president said that beyond whatever inspectors do or do not find, common sense and the recent past point to one culprit.

"The Syrian regime are the only ones who have the weapons, have used chemical weapons multiple times in the past, have the means of delivering those weapons, have been determined to wipe out exactly the places that were attacked by chemical weapons," he said Tuesday.

Russia leads international charge against strikes

The calls for a military response were not without opposition.

Russia is leading the charge internationally, with Foreign Minister Sergey Lavrov having said there is no proof yet Syria's government is behind last week's chemical attack. His office compares the Western allegations against Syria to claims Iraq was hoarding weapons of mass destruction before the U.S. invasion in 2003 -- allegations that fell apart once American troops began searching for them.

Intervening in Middle East turmoil: Mission impossible?

And Tuesday, Russia's foreign ministry accused Washington of trying to "create artificial groundless excuses for military intervention."

Moscow bemoaned the U.S. postponement of a meeting that was scheduled for Wednesday in The Hague, where top diplomats from both countries had planned to discuss the war in Syria.

And Russia criticized the United States for, in its view, trying to bypass the U.N. Security Council to take action on the reported chemical attack.

Should anything be moved through the U.N. council, Russia -- which has a permanent seat on it -- could block it.

Still, that's what former British Foreign Secretary David Owen urged world leaders to do before unleashing missiles or warplanes on Syrian targets.

Omran al-Zoubi, Syria's information minister, on Tuesday challenged the United States to "present this proof to the rest of the world" -- claiming that they are asking for trouble if they do not.

"If they don't have proof or evidence, then how are they going to stand up to the American public opinion and to the world public opinion and explain why they are attacking Syria?" al-Zoubi told CNN from Damascus.

Some worldwide have expressed concern that intervening in Syria may provoke broader conflict in the Middle East or ensnare Western powers in another bloody conflict after years of warfare in Iraq and Afghanistan.

Cameron said that he understands those concerns, vowing that any action would have to be "proportionate, ... legal (and) would have to be specifically about deterring the use of chemical weapons."

Still, he said it's critically important that action be taken to show the international taboo against chemical weapons will not be tolerated.

"This is not about wars in the Middle East; this is not even about the Syrian conflict," he said. "It's about use of chemical weapons and making sure, as a world, we deter their use and we deter the appalling scenes we've all seen on our television screens.

Syria diplomacy: Why Jordan wants military meeting to be hush-hush

CNN's Fred Pleitgen reported from Syria. CNN's Hamdi Alkhshali reported from Atlanta and Jomana Karadsheh from Jordan. Michael Pearson wrote and reported from Atlanta. CNN's Greg Botelho, Ben Brumfield, Boriana Milanova, Chris Lawrence, Jim Acosta, Josh Levs, Joe Sterling, Elise Labott, Jill Dougherty and Saskya Vandoorne also contributed to this report.

@highlight

NEW: U.S. president, British prime minister talk about the situation in Syria

@highlight

NEW: Syria's info minister challenges U.S. to present proof, or risk losing public opinion

@highlight

"The Syrian regime are the only ones who have the weapons," VP Biden says

@highlight

U.S. and British militaries, at least, preparing plans for possible strike in Syria