(CNN) -- It was supposed to be a couple's little getaway, on a little plane, from upstate New York to the Florida coast.

It turned into a tragedy.

The saga of the single-engine TBM-700 aircraft also turned into an international incident, spurring both the United States and Cuba to dispatch fighter jets to trail the plane after it went radio silent.

So what happened? Why might a plane's crew go unresponsive for over four hours, drifting southward over the U.S. mainland, the Atlantic and eventually into the Caribbean as it did? The North American Aerospace Defense Command, or NORAD, tweeted it might have been a case of hypoxia, a condition that sets in when a person doesn't get enough oxygen -- as can happen if there's an airflow problem high in the sky.

What is hypoxia?

The best clues, so far, lie in what U.S. fighter jet pilots saw as they looked into the aircraft: the pilot slumped over and the windows frosted over.

Then there was the radio communication, which the Federal Aviation Administration says ended around 10 a.m. ET. At that time, the plane was somewhere above Statesville, North Carolina, about 600 miles south of the Rochester, New York, airport it left from around 8:45 a.m. destined for Naples, Florida.

The pilot asks to descend to 18,000 feet because "we have an indication that is not correct in the plane," according to a stream of that transmission posted on LiveATC.net.

The air traffic controller told the pilot to "stand by," then to proceed to 25,000 feet as he works on clearing the plane to go lower. The conversation continues off-and-on for over four minutes, though it's largely one-sided: The pilot isn't clear in his remarks, nor does he ever declare any sort of emergency.

At one point, he simply repeats his call sign twice when the controller asks if he heard the request to drop down to 20,000 feet.

Data indicates the plane didn't drop. It cruised for hours some 25,000-feet above the ground.

Until sometime before 2:15 p.m., that is, by which point estimates suggested the fuel would have run out.

The aircraft, by then, had slowed considerably -- down to 176 knots (200 mph), from a consistent 308 knots for most of its flight.

And it stopped altogether after crashing 14 miles off Jamaica's northeast coast.

Larry, Jane Glazers' children 'devastated'

The watery crash spurred Jamaica and the United States to swiftly dispatch government aircraft to the scene. By early evening, Jamaican authorities had found an oil slick in the prime search area that -- at that point -- was the only possible sign of the downed aircraft, according to Maj. Basil Jarrett of the Jamaica Defense Force. This differs from earlier reports that a "wreckage field" had been spotted.

"(The search) is fairly unpredictable given the size of the area and given the conditions out there," said Jarrett, who said the operation would stop at nightfall before resuming Saturday morning with assistance from a U.S. Coast Guard cutter. "It's very difficult to say what we will be able to recover and when."

As they searched, the Glazer family of Rochester, New York, mourned.

The U.S. Coast Guard issued a statement indicating there were "three people reportedly aboard" the plane. Yet Scott Fybush, the family spokesman and also the Glazers' nephew, said he believed the couple were the only people on the plane, with Larry Glazer flying the couple toward their vacation home in Florida.

While there was no official announcement immediately on the fate of those on the plane, the Glazers' children said in a statement they were "devastated by the tragic and sudden loss of our parents."

Politicians in New York hailed the couple for their business and charitable endeavors, with Gov. Andrew Cuomo calling them "innovative and generous people who were committed to revitalizing downtown Rochester and making the city they loved a better place for all."

Larry Glazer co-founded Buckingham Properties in 1970, a year after graduating from Columbia University. According to his official bio, the company owns and manages more than 50 properties totaling over 9 million square feet in the Greater Rochester area.

Jane Glazer founded QCI Direct, a 100-employee company that has an outlet store and makes "two national retail catalogs mailed to 35 million people annually," according to its website.

A post on Women Entrepreneurs Blog, which is produced in conjunction with the University of Rochester's business school, notes that she ran the New York City Marathon, did whitewater rafting and learned how to fly a plane -- all in addition to raising three children and building her business.

The Glazers' children acknowledged late Friday afternoon that they "too are waiting for answers." As they do, they took the chance to remember their parents and to express appreciation to those who were quick to offer condolences.

"They loved and appreciated the opportunity to help build the community of Rochester, and we thank everyone in the community for their expressions of support," the children said.

U.S., Cuban fighter jets trail aircraft

While authorities don't know everything that went on inside the plane, including what caused it to crash, they have spoken about what they did in response.

The government response started with those air traffic control communications -- and the alarming lack thereof.

The unresponsiveness spurred NORAD to dispatch two F-16 fighter jets set from McEntire Joint National Guard Base in Richland County, South Carolina, to investigate. NORAD said another pair of fighter jets out of Homestead, Florida -- F-15s -- took over around 11:30 a.m. and escorted the plane as it continued south past the U.S. mainland.

The American fighter jets broke off their pursuit 12 miles off Cuba, at which point the TBM-700 plane was still cruising at about 25,000 feet.

A Cuban fighter jet took over trailing the aircraft as it flew near that Caribbean island, according to NORAD.

Their longstanding public enmity notwithstanding, Cuba was cooperating fully with the United States on the matter and did not consider the plane's movement a violation of its airspace, according to a Cuban source involved in conversations between the two nations. The Cuban government even let the U.S. Coast Guard's C-130 aircraft go through its airspace and also gave permission for American "military aircraft, if necessary," according to an official statement.

But none of these efforts, from either of these countries, could do anything about the doomed TBM-700 aircraft before it dropped off radar -- according to the flight tracking site, FlightAware.com -- at 2:11 p.m.

Both Glazers knew how to fly, although Fybush said Jane Glazer's ability to fly legally may have lapsed.

The plane itself was owned by Larry Glazer's company, Buckingham Properties. It was built by the French manufacturer Daher-Socata and powered by one Pratt and Whitney engine.

1999: Evidence Payne Stewart's plane lost pressure before crash

2012: Small plane with unresponsive pilot crashes into Gulf of Mexico

CNN's Chelsea J. Carter, Aaron Cooper, John Newsome, Margot Haddad, Mike M. Ahlers, Patrick Oppmann, Ray Sanchez, Rande Iaboni and Deanna Hackney contributed to this report.

@highlight

NEW: Cuba: U.S. -- including "military aircraft, if necessary" -- had OK to use its airspace

@highlight

Pilot told air traffic control something was "not correct," but didn't declare an emergency

@highlight

U.S. and Cuban aircraft tried to track the small aircraft, but neither could alter its course

@highlight

The plane crashed about 14 miles off the coast of Jamaica, authorities say