The Supreme Court unanimously ruled on Thursday that human genes cannot be patented.

But in something of a compromise, all nine justices said while the naturally occurring isolated biological material itself is not patentable, a synthetic version of the gene material may be patented.

Legal and medical experts believe the decision will have a lasting impact on genetic testing, likely making varieties more widely available and more affordable.

The overriding legal question addressed was whether "products of nature" can be treated the same as "human-made" inventions, allowing them to be held as the exclusive intellectual property of individuals and companies.

The broader issue involved 21st century conflicts over cutting-edge medical science, the power of business and individual legal rights, and how their convergence might influcence decisionmaking over how people and medicine manage the prospect and reality of certain diseases, like cancer.

The issue has deeply divided the scientific and business communities. But it was a blockbuster celebrity, actress Angelina Jolie who brought it to the public in announcing last month that she underwent a double mastectomy following a genetic test.

The Supreme Court case involves Myriad Genetics, a Utah-based company that was sued over its claim of patents relating to two types of biological material that it identified -- BRCA1 and BRCA2, whose mutations are linked to increased hereditary risk for breast and ovarian cancer.

Since Myriad owns the patent on breast cancer genes, it was the only company that could perform tests for potential abnormalities.

It says 1 million patients have benefited from its "BRAC Analysis" technology, and that about 250,000 such tests are performed yearly.

An initial test catches most problems, but the company also offers a second called BART to detect the rest, a diagnostic that can cost several thousand dollars.

Jolie had Myriad's breast cancer test.

Plaintiffs and testing

Among those challenging the Myriad patents were sisters Eileen Kelly and Kathleen Maxian. Kelly was diagnosed with breast cancer at age 40.

The initial BRCA test proved negative, meaning her family members were not likely at risk. But Maxian later developed ovarian cancer. The second BART testing proved positive, meaning the siblings carried the cancer-causing mutation all along.

Money was not an issue for them, but Kelly and Maxian, along with a coalition of physician groups and genetic counselors say Myriad has not made the BART tests widely available for patients without a strong family history of these kinds of cancers.

Breast cancer survivor Lisbeth Ceriani was another plaintiff. She faced having to pay thousands for Myriad's test to see if she had a mutation for ovarian cancer. Because of cost, she waited 18 months before she could afford it, learning she carried a mutation, according to the American Civil Liberties Union, which represented plaintiffs.

All sides agree the science of isolating the building blocks of life is no easy task. Myriad has said it has spent several years and hundreds of millions of dollars in its research. But the issue of patenting has divided the scientific and business communities.

A history of patent protection

In the past 31 years, 20 percent of the human genome has been protected under U.S. patents.

On one side of the Myriad case, scientists and companies argued patents encourage medical innovation and investment that saves lives.

On the other, patient rights groups and civil libertarians countered the patent holders were "holding hostage" the diagnostic care and access of information available to high-risk patients.

Outside the court during oral arguments in April, several protesters held signs, such as "Your corporate greed is killing my friends" and "My genes are not property."

The patent system was created more than two centuries ago with a dual purpose. One is to offer temporary financial incentives for those at the ground floor of innovative products like the combustible engine and the X-ray machine.

The second is to ensure one company does not hold a lifetime monopoly that might discourage competition and consumer affordability.

All patent submissions rely on a complex reading of applicable laws, distinguishing between abstract ideas and principles, and more tangible scientific discoveries and principles.

The Supreme Court ruling

The Supreme Court has long allowed patent protection for the creation of a new process or use for natural products. Whether "isolating" or "extracting" genes themselves qualifies for such protection became the central argument.

The justices took the position offered by the Obama administration -- DNA itself is not patentable but so-called "cDNA" can be.

Complementary DNA is artificially synthesized from the genetic template, and engineered to produce gene clones.

Use of this protein-isolating procedure, known as "tagging," is especially important in mapping and cataloguing the vast human genome.

"Genes and the information they encode are not patent-eligible under [federal law] simply because they have been isolated from the surrounding genetic material," said Justice Clarence Thomas, who wrote the 9-0 court opinion.

"Myriad did not create anything," said Thomas. "To be sure, it found an important and useful gene, but separating that gene from its surrounding genetic material is not an act of invention."

But Thomas said, "cDNA does not present the same obstacles to patentability as naturally occurring, isolated DNA segments."

See also: Supreme Court backs DNA swab after arrest

Reaction to the decision

The American Civil Liberties Union said the decision represents a major shift in patent law and overturns established policy.

"Today, the court struck down a major barrier to patient care and medical innovation," said Sandra Park, senior staff attorney with the ACLU Women's Rights Project. "Myriad did not invent the BRCA genes and should not control them. Because of this ruling, patients will have greater access to genetic testing and scientists can engage in research on these genes without fear of being sued."

Dr. Harry Ostrer, a professor at Albert Einstein College of Medicine and director of genetic and genomic testing at Montefiore Medical Center in New York, said the decision will not undermine the genetically engineered drug industry and expects the costs of tests to fall.

"I'm thrilled. We can offer BRCA 1 and 2 testing to low-income women without concerns about how it will be paid for," he said.

Jolie also hoped for a meaningful impact.

"I hope that this ruling will lead to more women at risk of breast cancer being able to get access to gene testing and to take control of their lives, not just in the U.S. but around the world -- whatever their means and whatever their background," she said.

Peter D. Meldrum, president and chief executive officer of Myriad, said in a statement  the company believed the court "appropriately upheld our claims on cDNA"

The ruling, he added "underscored the patent eligibility of our method claims, ensuring strong intellectual property protection for our BRACAnalysis test moving forward."

Investors in Myriad were pleased with the ruling with the stock soaring as much as 9% before settling back but still higher.

The case is Association for Molecular Pathology v. Myriad Genetics (12-398).

2009: How human genes became patented

2009: ACLU sues over patents on breast cancer genes

@highlight

Unanimous ruling a compromise; court says synthetic material, cDNA, can be patented

@highlight

Actress Angelina Jolie drove attention to the issue involving breast cancer

@highlight

Issue was whether "products of nature" could be treated similarly to human inventions

@highlight

Company at center of case says decision upheld a key claim on synthetic DNA