TRIPOLI, Libya (CNN) -- Secretary of State Condoleezza Rice met Friday with Libyan leader Moammar Gadhafi, who asked for the latest news on the hurricanes plaguing U.S. coasts in recent weeks.

Condoleezza Rice and Libyan leader Moammar Gadhafi discussed the weather Friday at their initial meeting.

"The first one was not as bad as feared, but there are two more coming," Rice told the man dubbed by President Reagan "the mad dog in the Middle East."

Rice's visit is the first time in more than half a century that a U.S. secretary of state has visited the former pariah nation.

Upon her arrival, Rice met with the Libyan foreign minister and then toured the new U.S. Embassy.

"We are working on a trade and investment agreement, a framework, which will allow the improvement of the climate for investment, which I know very many American firms wish to do," Rice said after her meeting with Minister Abdel-Rahman Shalgam.

She called the meeting a "good start" toward establishing a "positive relationship" with Libya.

Rice and Gadhafi met in a reception room at the Libyan's Bab el-Azizia compound. Gadhafi, wearing a white robe and a black fez but not his trademark dark sunglasses, shook the hands of the male members of Rice's staff but not Rice, instead offering the traditional greeting of his hand over his heart for her.  Watch excitement in Libya at Rice's trip »

Muslim men are prohibited from shaking hands with women to whom they are not related.

After their meeting, Rice joined Gadhafi, who once called Rice "Leeza ... my darling black African woman," in a traditional Muslim evening meal breaking the fast during the holy month of Ramadan.

Last year in an interview with Al-Jazeera, Gadhafi suggested Rice ran the Arab world with which he has sometimes had stark differences.

"I admire and am very proud of the way she leans back and gives orders to the Arab leaders," he said. "I love her very much ... because she's a black woman of African origin."

The two are expected to meet in the leader's Bedouin tent he favors for high-profile meetings

Rice's visit marks a 180-degree turn in relations between Washington and Tripoli, which for more than three decades have been marked by personal animosity and insults, Libyan terror attacks and U.S. airstrikes.

Libya's rehabilitation from being dubbed a "state sponsor of terrorism" to a member of the U.N. Security Council represents a rare foreign policy success for the Bush administration in its last months in office.

In Lisbon, before flying to Tripoli, Rice called her trip "a historic moment and it is one that has come after a lot of difficulty, the suffering of many people that will never be forgotten or assuaged, a lot of Americans in particular."

Libya, she acknowledged, "is a place that is changing and I want to discuss how that change is taking place."

"I am very much looking forward to it," she told reporters

The United States restored relations with Tripoli in 2005, after Gadhafi's decision to abandon his pursuit of weapons of mass destruction, renounce terrorism and compensate victims of the 1986 La Belle disco bombing in Berlin and the 1988 Pan Am 103 bombing over Lockerbie, Scotland. It also dropped Libya from its State Sponsors of Terrorism list, the only country except for Iraq to have been removed.

Since then, several U.S. officials have visited Tripoli and Rice has met several times with her Libyan counterpart. The United States opened its embassy in Tripoli in 2006.

The United States has praised Libya's cooperation in fighting terrorism in North Africa, where al Qaeda has been gaining a foothold. U.S. officials also say Gadhafi has prevented Libyan and other foreign fighters from traveling to Iraq to join insurgent movements.

At the United Nations, Libya has also voted with the United States to crack down on Iran's nuclear program and has sought to play a helpful role in the crisis in Darfur.

Yet relations between the two countries face strains over Libya's poor human rights record and final settlement of claims from the La Belle and Lockerbie bombings.

In her meetings with Libyan officials, Rice is expected to raise the issue of political prisoners, especially Fathi al-Jahami, a leading Libyan reformer held in detention since 2002.

Last month the United States and Libya reached a deal to resolve outstanding claims for the bombings, but Libya has yet to contribute hundreds of millions of dollars to a fund set up to compensate the bombing victims' families.

Many of the Lockerbie victims' families have criticized Rice's decision to meet with Gadhafi, whom they say remains unrepentant for the explosion, which killed 280 people, 180 of them Americans.

In a recent interview with the BBC, Gadhafi's son, Saif al-Islam al-Gadhafi, called the Lockerbie families "very greedy" and "trading with the blood of their sons and daughters" for money.

The Bush administration has expressed sympathy with the Lockerbie families but says it is time to move forward with a new relationship with Libya.

The deal paves the way for greater access by American companies to Libya's booming economy, in particular its vast oil reserves, the ninth largest in the world.

European companies have had much greater access to Libya's energy sector, but Libyan officials say the improved relations with the United States will result in more deals with American oil companies, including exploring vast areas of the country that remain untapped.

The country's growing banking, infrastructure and telecommunications sectors also offer enormous opportunities for American investors.

Rice will travel throughout North Africa after leaving Tripoli, stopping in Morocco, Algeria and Tunisia. But it is the visit to Libya that the State Department recognizes will be the most talked about.

@highlight

Condoleezza Rice meets with Moammar Gadhafi in Libya

@highlight

First trip to Libya by a U.S. secretary of state in more than 50 years

@highlight

Libya's journey from pariah nation has taken several years

@highlight

U.S. companies hoping to take advantage on new friendlier relations