A promising way to stop a deadly disease, or an uncomfortable step toward what one leading ethicist called eugenics?

U.S. health officials are weighing whether to approve trials of a pioneering in vitro fertilization technique using DNA from three people in an attempt to prevent illnesses like muscular dystrophy and respiratory problems. The proposed treatment would allow a woman to have a baby without passing on diseases of the mitochondria, the "powerhouses" that drive cells.

The procedure is "not without its risks, but it's treating a disease," medical ethicist Art Caplan told CNN's "New Day" on Wednesday. Preventing a disease that can be passed down for generations would be ethical "as long as it proves to be safe," he said.

"These little embryos, these are people born with a disease, they can't make power. You're giving them a new battery. That's a therapy. I think that's a humane ethical thing to do," said Caplan, the director of medical ethics at New York University's Langone Medical Center.

"Where we get into the sticky part is, what if you get past transplanting batteries and start to say, 'While we're at it, why don't we make you taller, stronger, faster or smarter?' "

But Susan Solomon, the director of the New York Stem Cell Foundation, said there are no changes to existing genes involved.

"There is no genetic engineering. It isn't a slippery slope. It's a way to allow these families to have healthy children," said Solomon, whose organization developed the technique along with Columbia University researchers.

"What we're doing is, without at all changing the DNA of the mother, just allowing it to grow in an environment that isn't sick," she added.

A Food and Drug Administration advisory panel concluded two days of hearings into the procedure Wednesday. The panel discussed what controls might be used in trials, how a developing embryo might be monitored during those tests and who should oversee the trials, but no decisions were made at the end of the session.

Mitochondrial disorders are inherited from the mother. In the procedure under discussion in Washington, genetic material from the nucleus of a mother's egg or an embryo gets transferred to a donor egg or embryo that's had its nuclear DNA removed.

The real reason behind the multiples baby boom

The new embryo will contain nuclear DNA from the intended father and mother, as well as healthy mitochondrial DNA from the donor embryo -- effectively creating a "three-parent" baby.

In June, Britain took a step toward becoming the first country to allow the technique. One in 6,500 babies in the United Kingdom is born with a mitochondrial disorder, which can lead to serious health issues such as heart and liver disease.

Caplan said the same technology could be used to modify an embryo to "making super babies," a practice he said amounted to "eugenics."

"The big issue over the next 5 to 10 years is going to become how far do we go in pursuit of the perfect baby," said Caplan. "Do I think we're going down that road? Yes. Does it creep me out? Yes. Are you going to be able to draw a clear line? I don't think so."

But Solomon said the procedure is closer to an expansion of in vitro fertilization, which has been available for nearly 40 years.

"It's a complicated science, so people need to understand the particulars of the biology and not jump to calling it something it isn't," she said. The last thing she would want, she said, "is for the New York Stem Cell Foundation to be involved in anything like designer babies."

"I have children and grandchildren, and I can't imagine anything worse."

Record number of women using IVF to get pregnant

@highlight

A 3-person embryo could circumvent mitochondrial diseases

@highlight

The procedure is "not without its risks," says ethicist Art Caplan

@highlight

Genes aren't altered in the technique, says a stem cell expert