Myitkyina, Myanmar  (CNN)On the surface, this riverfront town looks prosperous, peaceful and green; a trading hub that profits from lucrative gemstone mines located in the hinterland of Myanmar's northern Kachin State.

Dig deeper, though, and a dark undercurrent exists -- what community leaders say is a major heroin epidemic.

Even on the campus of Myitkyina University, used syringes spill out of metal garbage bins marked with signs urging users to properly dispose of drug paraphernalia to avoid the spread of infections like HIV.

More needles litter the rocky banks of the Irrawaddy River, near the terminal where boatmen ship fuel, vegetables and the occasional foreign tourist up and down the waterway.

Community leaders offer shockingly high estimates for drug use among young people in this part of Myanmar.

"Every family has this drug problem... I think 65% or 70% of young people use drugs," says Reverend Samson Hkalam, the head of the Kachin Baptist Convention, the largest group of churches in the state.

"The drug is the first enemy of the Kachin people," he adds.

How heroin kills you

Conflict zone

The Kachin are an ethnic and predominantly Christian religious minority in Myanmar, which is a majority Buddhist country.  For much of the last half century, Kachin State has also been a battleground in a conflict between Myanmar's military and an insurgency led by militants from the Kachin Independence Army.

Some Kachin community leaders argue drug abuse now claims more lives than the decades-long conflict, which is estimated to have forced more than 100,000 people to flee their homes in the last three years.

But this claim is challenged by the top counter narcotics police commander in Myitkyina. In a phone conversation with CNN, Sai Thein Zaw downplays the sight of used heroin syringes on the town's streets.

"Drug problems are not unique to Kachin state or Myanmar for that matter," he says, before claiming that government efforts to combat the region's drug problem have been successful.

But a recent United Nations report suggests otherwise.

The United Nations' Office on Drugs and Crime says poppy production in Myanmar more than doubled between 2006 and 2013, while opium production jumped 26% from 2012 to 2013.  Myanmar ranks as the world's second largest producer of opium after Afghanistan.

Desperate measures

In Myitkyina, desperate times call for desperate measures.

Community leaders send out volunteers to clean used needles off the streets, while church groups organize raids against suspected drug dealers, sharing photos and videos of what they say are confiscated narcotics that they subsequently burn.

In one unusual video filmed and released by the group Ram Hkye (or "Save Youth"), a pastor wearing a motorcycle helmet preaches through a megaphone at more than a dozen men squatted on a dirt road with syringes bulging from their biceps and hands. The pastor, backed up by a man playing guitar, distributes religious pamphlets to the heroin users, one of whom claps listlessly along with a hymn as a needle protrudes from one of his veins.

Community groups have also gotten into the business of addiction treatment.  At least a half dozen faith-based rehabilitation centers have sprung up in areas around Myitkyina in the last two years.

One of them, the Light of the World camp, is a compound on the banks of the Irrawaddy surrounded by 10-foot high aluminum walls as well as a guard tower. The main gate to the compound locks from the outside. There is no handle on the inside of the gate.

"We need to have the walls," says Zau Tu, a pastor leading the team who was treating at least 18 patients at the camp.

"If they (the patients) can't see anything around them, it calms them down."

For those patients who can't control their urges, there are more drastic measures available, including a cage next to the camp's bamboo chapel.

"If they commit crimes, if they fight each other, they go in the penalty box," says Zau Tu.

'Jesus not methadone'

At faith-based rehabilitation camps like Light of the World, counselors don't administer methadone -- the synthetic opioid often used to treat heroin addicts.

"We use the words of Jesus instead of methadone," explains Nding Ahga, a recovered heroin addict and former rock star who runs the Youth for Christ Center, about a mile up the river from Light of the World.

Ahga's camp is not walled. But patients spend their first week in rehabilitation overcoming drug withdrawal symptoms while locked in a prison-like room that Ahga called the "prayer room."

All 12 of Ahga's patients are laborers who said they had come from the jade mines of Hpakant, located several hours' drive northwest of Myitkyina.

No San, 29, showed the track marks and scars left in his arms and veins after years of heroin abuse.

"I was hot, I was burning," he recalls, describing his first agonizing week of heroin withdrawal.

He and the other patients say heroin and other drugs are bought and sold in the open in an outdoor market near the jade mines.

"We can get drugs easily everywhere in Hpakant," No San adds. "All of the miners take drugs. It's not strange for us. You can buy drugs at the store easily."

Nding Ahga shares footage he filmed secretly during a recent visit to one of the heroin bazaars in Hpakant.  The video shows a row of crude shops and stalls that also served as a "shooting gallery," an area where drug users could inject heroin in the open without fear from law enforcement officers.

Asked why counter narcotics officers do not intervene in Hpakant, Sai Thein Zaw of the Central Committee for Drug Abuse Control in Myitkyina blames the Kachin insurgency.

"It is difficult to work in places like Hpakant because peace has not been achieved between the government and Kachin State," he says.  "So it is hard to implement programs that work toward eliminating drugs in the region."

Worst yet to come

Despite state and community-led efforts to battle the drug trade, many community leaders predicted the worst was yet to come in Kachin.

Due in part to high unemployment in the region, Reverend Hkalam says many recovering addicts quickly relapse after rehabilitation treatment.

"We see that the main problem is follow-up and vocational training," he says. "Because if they go back home, jobless, it's very easy to return to the drugs again."

The scene at an overgrown cemetery near a camp for families displaced by the conflict underscores the scale of the heroin epidemic.

Hundreds -- if not thousands -- of empty syringe wrappers litter the ground around crypts and tombs that had been nearly swallowed by vegetation. Used syringes and glass vials lay amid the graves.

Against this macabre backdrop of death and drug abuse, our team encounters a couple of men injecting heroin at sunset.

Surprised by foreign visitors, the men hastily hide their needles.

One of the men, who identifies himself only as a 30-year-old farmer, uses leaves from a bush to wipe away blood dripping down his arm as he speaks.

He says he can buy a dose of heroin for as little as 4,000 kyat, which is roughly equivalent to four U.S. dollars.

"If I have more money, I will use more [heroin]," the man says. "There are no limits if I have money."

After a 10-minute conversation, both drug users climb onto a motorcycle and ride away along the syringe-strewn path between the tombstones.

Their used needles lie discarded in the grass.

@highlight

CNN team encounters problem with heroin addiction in Myanmar's northern Kachin State

@highlight

Region has been unstable for decades due to conflict between government forces and rebels

@highlight

Community leaders estimate 65% to  70% of young people use drugs here

@highlight

Church and community groups battling to help addicts rehabilitate