(CNN) -- New York's Staten Island was broiling under a life-threatening heat wave and borough President James Molinaro was seriously concerned about the area's Little League baseball players.   It was last July's Eastern heat wave and Consolidated Edison was responding to scattered power outages as electricity usage neared record highs.

So, authorities followed Molinaro's suggestion to cancel that night's Little League games, which were to be played under electricity-sucking stadium lights.

"Number one, it was a danger to the children that were playing out there in that heat, and secondly it would save electricity that people would need for air conditioning in their homes," said Molinaro, who'd been forced to sleep at his office that night because of a blackout in his own neighborhood.

Throughout New York City, about 52,000 of ConEd's 3.2 million customers lost power during the heat wave. Triple-digit temperatures forced residents like 77 year-old Rui Zhi Chen, to seek shelter at one of the city's 400 emergency cooling centers. "It felt like an oven in my home and on the street," Chen said.

Should Americans view these kinds of scenarios as extraordinary circumstances -- or a warning sign of a darker future?

Experts on the nation's electricity system point to a frighteningly steep increase in non-disaster-related outages affecting at least 50,000 consumers.

During the past two decades, such blackouts have increased 124 percent -- up from 41 blackouts between 1991 and 1995, to 92 between 2001 and 2005, according to research at the University of Minnesota.  In the most recently analyzed data available, utilities reported 36 such outages in 2006 alone.

"It's hard to imagine how anyone could believe that -- in the United States -- we should learn to cope with blackouts," said University of Minnesota Professor Massoud Amin, a leading expert on the U.S. electricity grid.

Amin supports construction of a nationwide "smart grid" that would avert blackouts and save billions of dollars in wasted electricity.

In a nutshell, a smart grid is an automated electricity system that improves the reliability, security and efficiency of electric power. It more easily connects with new energy sources, such as wind and solar, and is designed to charge electric vehicles and control home appliances via a so-called "smart" devices.  Summer of '77

You might say Amin's connection with electricity began in New York City with a bolt of lightning.  In July 1977, Amin was a 16-year-old high school student visiting from his native Iran when lightning triggered a 24-hour blackout that cut power to nine million.

As he and his father walked near their Midtown Manhattan hotel, they were shocked to see looters smash their way into an electronics store less than 20 yards down the street.

Amin recalls feeling violated by the ugly scene -- and wondering if the nation's infrastructure was in danger of collapse. "... not just the electric grid that underpins our lives," he said, "but also the human condition."

More than 30 years later, the United States is still "operating the most advanced economy in the world with 1960s and 70s technology," said Amin. Failing to modernize the grid, he said, will threaten the U.S. position as an economic super power.

Millions remember the historic August 2003 blackout, when overgrown trees on powerlines triggered an outage that cascaded across an overloaded regional grid. An estimated 50 million people lost power in Canada and eight northeastern states. Smart grid technology, experts say, would have immediately detected the potential crisis, diverted power and likely saved $6 billion in estimated business losses.

By April of 2013 ConEd hopes to install a "smart" automated self-healing system aimed at preventing the burnout of large feeder cables during peak demand periods -- such as heat waves.   The new technology would anticipate possible equipment failure in specific neighborhoods and reroute electricity to compensate. For example, a project to help Queens' Flushing neighborhood will "give us the capability to remotely control up to 26 underground switches," said Con Ed smart grid manager Thomas Magee.

Had systems like this been in place, said ConEd's Aseem Kapur, it might have prevented or reduced New York's scattered outages last July.

Who's got the juice?  Some of the most reliable utilities are in the heartland states of Iowa, Minnesota, Missouri, the Dakotas, Nebraska and Kansas.   In those states, the power is out an average of only 92 minutes per year, according to a 2008 Lawrence Berkeley National Laboratory study. On the other end of the spectrum, utilities in New York Pennsylvania and New Jersey averaged 214 minutes of total interruptions each year. These figures don't include power outages blamed on tornadoes or other disasters.

Map: How often do the lights go out where you live?

But compare the U.S. data to Japan which averages only four minutes of total interrupted service each year. "As you can see, we have a long way to go," said Andres Carvallo, who played a key role in planning the smart grid in Austin, Texas.  Experts point to the northeastern and southeastern U.S. as regions where outages pose the most threat -- mainly due to aging wires, pole transformers and other lagging infrastructure.

"They know where they have tight spots," said Mark Lauby, of the North American Electric Reliability Corporation, which enforces reliability standards. Without mentioning specific regions, Lauby said utilities are "making sure the generation and the transmission are available to help support those consumers."

Building a national smart grid "won't be cheap and it wont be easy," acknowledged Amin. Much of it could be completed as soon as 2030 at a cost of up to $1.5 trillion, according to the Department of Energy. It's unclear who would foot the entire bill, but the Obama administration has committed about $4 billion in investment grants.

The 'Easy Button'  Carvallo jokes about the so-called "Easy Button" at Austin Energy. It's not really a big red button on the wall, but it is a mechanism that allows an operator to control tens of thousands of home thermostats.    "Austin is two to three years ahead of everybody else," said Carvallo, now chief strategy officer for the smart grid software firm Grid Net.

He points to a volunteer program that offers free thermostats to customers who allow the utility to remotely control their air conditioners during specific months and hours. This way, thousands of power-gulping air conditioners can be cycled off for a short time when electricity was needed elsewhere.   By summer's end, Austin expects to begin enabling its 700,000 streetlights to be turned "on and off with a flip of a switch," saving $340,000 in electricity each year, and eliminating 200 tons of carbon dioxide air pollution.  Replacing old-style electric meters with "smart meters" is often described as the first step in creating a smart grid. All 400,000 of Austin's meters are smart meters.   Nationwide, 26 utilities in 15 states have installed some 16 million smart meters in homes and businesses.

Soon, when power goes out in a neighborhood with smart meters, utilities won't have to wait for customers to report outages -- the smart meters will alert utilities automatically. Utilities will then e-mail or text message each affected customer information about when the lights will be back on.

Critics question smart meter accuracy and whether the devices will really save energy in the long run.   "It feels a bit like the utilities are jumping the gun and they're trying to put these meters in before the rest of the pieces of the so-called smart grid are in place and before we even know that the smart meters are going to have advantages commensurate with the cost," said electricity consumer advocate Mindy Spatt of The Utility Reform Network.

One advantage of smart grid technology may be jobs.  High-tech manufacturers want to locate their factories in places where electricity is most reliable, said Carvallo. "That's where the manufacturing facilities move to. That's where you get your high-paying jobs."

@highlight

Non-disaster U.S. power outages up 124 percent since early '90s

@highlight

U.S. electricity reliability low compared to some nations

@highlight

Experts: "Smart grid" would avert blackouts, save billions

@highlight

Austin "Easy Button" controls tens of thousands of Texas thermostats