(CNN) -- TIME magazine's cover story, which hit the newsstand Thursday, argues that Latino voters will cast the deciding vote in the upcoming election.

After watching the Republican candidates lock the kryptonite that is the immigration issue around their necks during the Arizona debate, my bet is that President Barack Obama could win another term -- even if he loses key swing states such as Florida, Iowa, New Hampshire, Ohio, Pennsylvania, Virginia and Wisconsin -- but he must make sure he accomplishes one thing first: Connect with Latinos.

Republicans have not connected with Hispanics; the candidates' approaches to immigration are not compelling and lack substance, from talk of double 30-foot electrified fences to anchor babies and self-deportation. In fact, it could very well be that the 20 Arizona Latino voters on the cover of TIME and half a million more will turn out to vote in Arizona and flip the state to Obama.

Obama comes into the election with 196 electoral votes from safe Democratic states. If he takes Arizona and if Hispanic voters help him flip Missouri, which McCain won by fewer than 4,000 votes, and help him retain Colorado, Indiana, Michigan, Nevada, New Mexico and North Carolina, then Obama wins with 279 electoral votes, nine more than the 270 needed. If he can retain Ohio, Pennsylvania, Virginia or Wisconsin, also populated with many Latino swing voters, then he could win in a landslide.

It is clear, then, that connecting with Latino voters could very well be a tipping point for the president; the question is how to make that connection.

In his book "The Political Brain: The Role of Emotion in Deciding the Fate of the Nation," Drew Westen convincingly argues that "people vote for the candidate who elicits the right feelings, not the candidate who presents the best arguments."

Beyond the shared concern for economic growth, jobs, education and health care, Latinos are focused on immigration because the majority of the undocumented workers living here are from Latin America. This is an issue that resonates at a deeply emotional level with Latinos, whether they are descendants of Spanish colonists or a recently arrived Mexican sleeping on a cousin's couch.

Thus to really, deeply connect with Hispanic voters, any candidate needs to address the immigration issue by supporting comprehensive immigration reform and the Dream Act, which would provide a path to citizenship for those who earn a college degree or serve two years in the military.

This is a vital first step to earning the trust of Hispanic voters, who understand that the country needs strong border security but also know that we need a fair way to deal with the nearly 10 million economic refugees who are working in this country and contributing to our society. It's a matter of respect.

So how does Obama -- who has a dubious record himself on immigration -- win the Latino vote?

First he wins the ground war in the battleground states, which is door-to-door combat.

Next he outspends Republicans in Spanish-language media, just like he did John McCain in 2008, by five to one. It's no coincidence that on Tuesday, Obama did an interview with L.A.-based "Piolin," the most influential Spanish-language radio personality in the country. The president reassured Latinos that he is strongly committed to passing comprehensive immigration reform and lambasted the Republican Party for its extreme views and intransigence on the issue.

Hispanics want to feel they are voting for an authentic leader. Hispanics don't have to agree with every position Obama takes, but they must believe in and identify with his worldview.

He needs to explain that the Democratic Party is a welcoming place for Hispanics, that his world view of America is that of a caring, responsible, family and that his political ideals are based on empathy and fairness. Getting these ideas across to Latinos is vital to securing their votes.

Once Obama has established a deep emotional connection with Latinos, he can connect directly to the heart of Latino voters with three simple messages:

1. The economy and jobs.

Under Obama's leadership, an economy that was losing 500,000 jobs a month in the final months of 2008 is now gaining more than 200,000 jobs per month. His policies are working; they just need more time.

2. Health care.

Despite unanimous opposition from Republicans, Obama fulfilled his promise of making health care available to all Americans. Now 32 million more Americans -- including Hispanics -- will be able to afford insurance for the first time.

3. Education.

The president doubled the government's investment in scholarships and financial aid, making college more affordable to millions of Americans. Now students from working-class Hispanic families can go to college and get good jobs.

On the contrary, Republicans may blow hard about their understanding and affection for Hispanics, munching on burritos in the barrio on the campaign trail, but the evidence of authenticity of leadership and the strong record crucial to the Latino vote are just not there.

The refusal of all the GOP candidates to really look at immigration and offer a plan -- despite the glad-handing and tepid avowals of commitment -- makes it clear that the GOP just doesn't have the deep connection with Latinos necessary to pull off a win in November.

Join the conversation at Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Charles Garcia.

@highlight

Charles Garcia: Republicans' stance on immigration gives Obama opportunity

@highlight

He says the president needs to establish an emotional connection with Latinos

@highlight

Obama can point to health care, improving economy, greater scholarship money, he says

@highlight

Garcia: If Latinos go strongly for Obama, he could win in a landslide