Tokyo (CNN) -- The light bulb above our dining room table begins to swing. The windows rattle. The table shakes.

Then the whole room shudders, the walls vibrating violently.

A vase of flowers wobbles on a top shelf. Glasses clink. There's a loud rumble and a roar.

Then the bookshelf tears loose from the wall, scattering books everywhere, before we hear a shattering crash.

Then comes silence.

But not for long.

A few seconds later the floor begins to buck. The walls bulge. The room jumps up and down and moves from side to side. Crockery starts flying through the air.

I dive under the table, hold a cushion over my head, shut my eyes and start laughing.

When I open them I see Tokyo collapse in front of my eyes.

Then a buzzer sounds and an instructor comes into the room.

My disaster preparedness instructor bends down and looks at me cowering under the table.

She's pleased with my performance.

"Well done, you survived your first earthquake," she says with a smile. "Not bad for a beginner."

More: The best sushi restaurants in Tokyo

Preparing Tokyo residents for disaster

Tokyo has a number of unusual and relatively unknown attractions -- the world's only tapeworm museum and a noodle museum housing the world's largest collection of pot noodle cartons come to mind.

But only one tourist site has been declared an official disaster zone.

The Tokyo Earthquake Simulation Center is located on the fourth floor of the city's Ikebukuro Bosai-kan fire station.

It's open to the public and there's no charge to experience two minutes of terrifying tremors.

"Residents of Tokyo are required to attend courses to enhance their disaster preparedness awareness," says my instructor.

"Children and salarymen all come to learn what to do in the event of an earthquake."

The computer-controlled earthquake mimics a quake measuring 6.2 on the Richter scale.

There are 50,000 reported earthquakes in the world every year.

They vary in seismic intensity. No area of the earth is entirely free from the threat, although some areas are more active than others.

Japan has had more than 60 major quakes, with the first recorded in 684.

The 2011 Tohoku quake registered a 9.0 magnitude and claimed nearly 16,000 lives.

The world's biggest earthquake is believed to have been the 1960 Valdiva Quake in Chile, which was a 9.5.

The quake that hit California in 1906 and ruptured a 70-mile length of the San Andreas fault was an 8. Other big ones have hit in Lisbon in 1755, New Madrid, Missouri in 1811 and Alaska in 1899.

The Lisbon quake -- which killed at least 60,000 people -- was so powerful that the water in Loch Lomond in Scotland oscillated for two minutes.

A serious earthquake with accompanying aftershocks is simulated every half hour every day except weekends and Tuesdays at Tokyo's Life Safety Learning center.

There are similar centers in Tachikawa and Honjo.

"The Great Hanshin-Awaji earthquake brought about catastrophic devastation," my disaster preparedness tutor tells me.

"We must all learn safety measures so we know what to do in such an emergency. It might save our own life and the lives of others. Here we learn how to behave during a catastrophe. How to keep a cool head and a calm body. Our programs improve all-round earthquake skills."

The center has a permanent exhibition to the 1923 Tokyo earthquake.

On September 1, 74,000 people died in seven seconds. Fifty-four percent of the brick buildings and 10% of all reinforced-concrete structures collapsed.

One percent of the city's houses were destroyed and 700,000 homes were burned down. The shock started a tsunami tidal wave that reached a height of 36 feet at Atami on Sagama Bay, where it destroyed a further 150 houses and killed 60 more people.

More: Insider Guide: What to do in Tokyo

'The real ones are no fun at all'

Earthquake-skills students are shown video highlights of the 1995 Kobe earthquake.

We watch motorways buckle and skyscrapers cave in. It could be make believe. But there are no special effects.

Courses at the center include basic fire extinguisher training.

There's a special room where you're given a canister and told to spray foam over anything and everything.

"It's very popular with the adults, as well as the children," says my instructor. "But there's a serious side. Students learn how to protect themselves and prevent fires from spreading after an earthquake. We also use a smoke maze and a tunnel to help people get used to being in smoke and learning how to get out of smoke-filled buildings in an orderly manner.

"We teach emergency first aid. And how to resuscitate injured people and administer cardiac massage. This is all to minimize the casualties when and if a quake strikes. We also have escape shoot drills.

"We have a lot of people coming back. Not because they want to learn more. They just enjoy being in an artificial earthquake scenario. Would you like to enjoy another one yourself?"

She smiles.

"I can arrange it. I can cause earthquakes!"

So once again I sit at the table in a mock-up of a typical small Japanese apartment, complete with kitchenette.

The young woman asks me if I'm ready, then presses a button. The room begins to shake again.

Following instructions, I run to the stove to turn off the gas supply and then open the door. Grabbing a cushion I find safety under the kitchen table.

The walls tremble and then the floor. The bookcase sways.

Through the window I can see video footage of falling masonry and giant dust clouds.

One moment a building is there and another it's gone.

The Tokyo area experiences minor tremors every day. My second one of the afternoon is over.

I pass with flying colors and am equipped to deal with an earthquake if I ever find myself in one's epicenter.

"But it won't be so much fun," my earthquake examiner says. "The real ones are no fun at all."

Tokyo Earthquake Simulation Center: Ikebukuro Bosai-kan, (5 minue walk from the west exit of Ikebukuro station); closed Tuesdays and every 3rd Monday of the month; Open 9 a.m.-5 p.m.; +81 (0)9 3590 6565. Admission is free.

Other Tokyo museums and disaster training centers open to visitors include: Tokyo Rinkai Disaster Prevention Park, at Honjo Bosai-Kan, Tachikawa Bosai-kan; and the Science of Museum of Earthquake North Tokyo (Nishigahara Metro station)

@highlight

There are 50,000 reported earthquakes in the world each year

@highlight

World's biggest believed to have been the 1960 Valdiva Quake in Chile, measuring 9.5 on Richter scale

@highlight

Japan has had more than 60 major quakes. Earthquake Simulator Center teaches people how to react