(CNN) -- Fifty-two years ago, the survivors of the Springhill Mine Disaster in Nova Scotia revealed a few things to the world about the brutality of survival in the depths.

Without food or water, cut off in every way from life on the surface, in a world lighted only by the head-lamps on their helmets until the batteries died and left them in profound darkness, the men struggled to escape and then prepared to die.

Psychologists, academics and journalists swamped the 18 men upon their miraculous rescue to hear their tales, take down their personal histories, and administer IQ and personality tests. These intensive examinations, repeated at yearly intervals, allowed experts to sketch a few conclusions about the psychology of group survival when hope, like light, is gone.

The rescue of the Chilean miners -- which ended this week in jubilation as every one of them ascended, healthy and sound, to the surface -- represents a triumph of space-age ingenuity and technology. It would have been unthinkable half a century ago.

Here is what happened then.

At 8:06 p.m. October 23, 1958, in Springhill, Nova Scotia, one of the deepest coal mines on Earth collapsed, with 174 men underground. Eighty-one men struggled to the surface, battered but alive and speaking of horrors below. Ninety-three were missing.

Fallen rock blocked access to the depths; the mine had sealed up as if it had never existed. The world was watching: The Springhill Mine Disaster was the world's first live-television-broadcast news event. Hundreds of people -- families, reporters, cameramen, officials and onlookers -- mobbed the mouth of the mine.

In Springhill, each rescuer crawled on his belly into the collapsed mine with a hand-ax, chipped away at the rock, filled a bucket, passed it back to the man lying behind him, who passed it to the next man in line, and in that painstaking way, a single bucket of rocks reached the surface. Those workers encountered only the crushed bodies of their comrades. Families buried their loved ones; those without recovered bodies planned memorial services.

But the mine had collapsed in such a way as to create two air pockets, two caves not much bigger than closed freight elevators. In one cave a mile below the surface, seven men awoke from the crash in rock prisons; at a deeper elevation, 12 men found themselves walled in together. Neither group heard the other.

On Wednesday in Chile, the rescued mine foreman spoke of the worst moment underground: When the dust settled, the men were able to look around and see their predicament. The same was true in Springhill. Coming to consciousness after the double earthquake of the collapse, lighting their head lamps, the men in each cave were staggered by the extent of the destruction.

These men had known the underground walkways and tunnels as well as their own neighborhoods; now, all was twisted beyond recognition. Immediately, they began to search for an exit: they pried into every cranny and felt their way along jagged walls. In each group, a natural leader emerged.

Each of the leaders (the researchers later concluded) was a man short on words and poorly educated, handy with equipment, with a good navigational sense but poor interpersonal skills, confident that he would find or chop a way out. Following his lead, the other miners jury-rigged tools from broken pieces, chipped at the walls, hungrily ate leftover dinners and drank from canteens.

Other men privately wondered whether the food and water ought to be preserved and rationed in case escape was more than a few hours away, but they said nothing. The energy and optimism of the dexterous leaders lasted for about three days and gave out along with the food, water and lamp batteries.

In Chile, love moves the sun and stars

On the third day, even the crumbs were gone, canteens were dry, and head lamps blinked off. This was the deepest darkness on Earth. The handyman leaders sat down and gave up.

In the darkness, with no projects and work to distract them, the men could no longer avoid sad thoughts. They missed their families terribly and feared that the mine owners wouldn't take care of their widows and children. One man was heartened because it was Monday morning, so his daughter must be in school. Then he realized that the mine disaster probably caused the schools to close, and he felt lonely again, not knowing where his daughter was.

Men longed to take back words spoken in anger. One realized he'd taken a couple of little things from a friend's shop with the intention of paying a few days later. Now, he'd never be able to pay; now, it was as if he'd stolen from his friend.

One man quietly wondered whether the other fellows knew that he had been born out of wedlock; he'd spent his life protecting the secret that he was a "bastard." Then thirst came on and blotted out almost everything else on their minds: It seemed to turn their tongues to wood and cracked their lips and scraped their throats raw. The men pooled their urine in a bucket and used bits of cloth to moisten their lips.

Now, in both groups, new leaders arose. These (the researchers later determined) were more educated, had higher IQs and better interpersonal skills. They offered no escape plans and were not equipment experts. In the gassy pitch-black pits, their quiet voices sounded fatherly and moderate (one was the father of 12). They were not panicking; they still had hope.

Their peaceful voices -- they spoke a little bit about God, a little bit about their certainty that rescuers were looking for them -- calmed the other men. Just being in the company of these thoughtful and kind men comforted the rest.

Another remarkable thing happened underground, and it was that conventional social barriers fell. In one of the groups, the second leader, the sharer of hope, was Afro-Canadian. Aboveground, others worked beside him cheerfully enough -- this was not the American South -- but he'd always felt himself held at bay.

His family never socialized with any of theirs; their wives were not friends. He, almost alone among the miners, couldn't be said to have a best buddy on the crew. But now, in the dark, when only his deep and calm voice stood among them, race was a non-issue. He was more than equal. They looked to him as a leader.

The rescue of the trapped miners after five days for the group of 12 and seven days for the group of six (a lone man was found alive elsewhere) was celebrated worldwide with breaking news reports, live footage and jubilation. A few miners accepted an invitation to appear on "the Ed Sullivan Show" in New York. All of them traveled with their families to Jekyll Island, Georgia, at the state of Georgia's expense, to relax and recuperate.

How will Chilean miners fare psychologically?

But there, the realities of life on the Earth's surface returned with a vengeance. Georgia was segregated; only one motel, solely for whites, existed on Jekyll Island. Though the miners flew together to Jacksonville, Florida, Georgia authorities transported them to Jekyll in a white-only bus and a black-only bus, the latter exclusively for the Afro-Canadian miner and his family.

His fellow miners protested, but the black miner, Maurice Ruddick, insisted that he and his family would have a fine vacation (though they were housed in a trailer far from the hotel), and he urged everyone to relax and enjoy.

The white vacationers enjoyed fishing trips, restaurants and a football game, while the Afro-Canadian family was entertained privately in the homes of black residents.

Thus was the fellowship that existed underground -- between black and white, educated and uneducated, those of legitimate birth and those born "out of wedlock" -- gradually dissolved by the bright light of day.

The opinions expressed in this commentary are solely those of Melissa Fay Greene.

@highlight

Melissa Fay Greene writes about Canada mine collapse that captured world's attention

@highlight

20 men were trapped in darkness with no high-tech gear to free them, unlike Chile miners

@highlight

Social structure formed; soon, a black man took lead, in contrast with his aboveground status

@highlight

Greene: Miners rescued, racial division resurfaced too; fellowship dissolved in daylight