(CNN) -- An unprecedented global crime wave threatens the most important natural places on Earth and we are failing in our efforts to stop it.

Look past the drug wars, the counterfeiting industry and human trafficking and you'll find one of the next biggest criminal enterprises in the world: the trade in illicit wildlife.

Trafficking in wildlife and its body parts is exploding in popularity among global crime syndicates. Unlike other illicit trades, killing and selling parts from rhinos, tigers and elephants holds advantages for criminals: The product is poorly protected at its source, its trade is poorly regulated and wildlife crime is poorly investigated and lightly punished. For a hardcore criminal, illicit wildlife trafficking is a low-risk, high-reward bonanza.

News: Rhino poaching hits record numbers in South Africa

An analysis released Tuesday and commissioned by the World Wildlife Fund -- based on interviews with governments, military and civil society leaders -- underscores that illicit wildlife trafficking is not just an environmental problem, but a transnational crime issue.

It compromises the security of countries and destroys natural wealth. INTERPOL and other law enforcement groups agree that the involvement of organized crime syndicates and rebel militias in wildlife crime to fund their activities and purchase weapons has increased. It also highlights that black market wildlife trade hinders sustainable, social and economic development. The violent nature of poaching reduces the effectiveness of governments, erodes the rule of law and affects the growth of local communities.

Authorities estimate the illegal wildlife trade to be worth up to $10 billion annually -- or almost $20 billion if you count the illegal trade in timber and fisheries products. That puts it among the top illegal trades in the world. As a direct consequence of these profits, the killings are way up: Africa loses tens of thousands of elephants each year for their ivory, wild tiger populations have plummeted to as few as 3,200 and rhino poaching in Africa is exploding.

News: Booming illegal ivory trade taking severe toll on Africa's elephants

For years South Africa boasted low rates of rhino poaching, with approximately 20 rhinos killed annually. In the past five years, the number has soared exponentially; 618 rhinos have been poached in 2012. Vietnam, China and Thailand drive much of the illegal wildlife demand but we shouldn't forget that Americans are complicit in this trade. After China, the United States may be the second largest market for wildlife products in the world, a significant percentage of which is illegal, including illicit ivory trinkets being sold in Manhattan and international rhino horn trafficking rings operating out of Los Angeles.

We're going to lose this fight if we don't up our game. We need solutions as sophisticated as the criminals we face. Crime syndicates employ helicopters, night vision equipment and high capacity automatic weapons. Park rangers are vastly outgunned and often outmanned.

There is a way forward that offers some hope. Secretary of State Hillary Clinton has made this a strategic imperative for U.S. interests around the world, emphasizing it as a major national security issue, and we are beginning to engage other governments in this discussion. It goes far beyond the loss of animals. Poaching decreases food security for rural communities, and evidence points to the sale of ivory as a means of funding rebel militias in places like Central Africa.

News: Thousands of crocodiles rescued from smugglers in China

The private sector is taking notice. Google just announced a signature charity giving initiative, funding WWF in the development of cutting-edge technologies to help us detect and track both animals and poachers on the ground. This project will develop a new surveillance approach to greatly increase enforcement effectiveness by intercepting the poachers before they can do harm.

This is a step in the right direction, but we'll need governments to build not just the capacity but also the resolve to apply the technology and enforcement at a much greater scale. Across the world, we need to strengthen criminal investigation, prosecution and sentencing on wildlife crime. That means more money and resources for law enforcement to support, for example, specialized investigative and forensic methodologies. Simultaneously, we need awareness-raising campaigns to reduce demand, especially among consumers in Asia, and to use the best available market research to guide social media campaigns.

We need governments on both the supply and demand side of this trade to work together and bring serious commitments to the table in March, when representatives for some 170 nations will come together in Thailand -- itself a major market for illegal ivory -- for the Convention on International Trade in Endangered Species. Here they will aim to make good on the promises to get a handle on this epidemic. A major litmus test of the convention will be the nations' ability to make convincing commitments to address all aspects of the crisis.

News: Photographer documents trafficking of endangered animals in Asia

We can roll back this wave of crime, but we're far from making that happen. There are promising signs but we will need a sustained tenfold increase in efforts from consumers, communities, the private sector, and most importantly, from governments to stop the slaughter before it's too late.

The opinions expressed in this commentary are solely those of Carter Roberts.

@highlight

Carter Roberts: Wildlife trade a growing global criminal enterprise poorly addressed

@highlight

It's an environmental problem and world crime issue, destroys nations' natural wealth

@highlight

He says rebel militias, organized crime use funds from illicit wildlife trade; rangers outgunned

@highlight

Roberts: Governments must use technology, enforcement to stem supply and demand