(CNN)  -- Despite reports this week of a return to normalcy on the Egyptian street, the situation on the ground is anything but: Protests continue while statements from the nation's leaders have served only to maintain or even stoke the tinderbox status of negotiations.

Demonstrations, which Human Rights Watch says have killed more than 300 people, continued for a 16th day in Cairo's Tahrir Square.

"Nothing will make this regime go unless we keep on coming and keep on coming," said Dalia, a protester there who did not give her last name.

Another group of protesters tried to prevent the army from breaking up a demonstration at the parliament building in Cairo, and in the northern city of Port Said, state-run TV reported that Egyptians upset over the distribution of land and houses attacked a governor's building.

What the protesters want is simple: the end of a regime that has ruled them sternly for three decades.

President Hosni Mubarak has refused to step down but has reshuffled his Cabinet and promised he would not run for re-election. Vice President Omar Suleiman has said the government will address press freedoms and the release of detainees.

Also, he said on state TV, a committee has been authorized to hammer out constitutional amendments that will permit free, fair and competitive elections.

The Muslim Brotherhood, Egypt's largest opposition group, responded that the concessions fell short and that the government was attempting to divide the opposition with its announcements.

Watch what might be the 'new normal' in Egypt

"That's not good enough," Mohammed Habib, a leader of the Muslim Brotherhood, said of Suleiman's announcement. "The first thing that the regime should do is for the president to leave."

The group, which is officially banned in Egypt because of its religious agenda, has rejected the notion of a religious state, saying it wants to participate in forming a democratic government.

"We are not seeking power," said Mohammed Morsi of the Brotherhood's media office.

Observers say that while Mubarak's ouster is one of the protesters' key demands, the constitution would need a massive overhaul -- not a few tweaks -- because it is seen as a tool for keeping Mubarak's National Democratic Party in power. Parliament would also need to be dissolved because the 2010 elections were widely viewed as illegitimate, analysts say.

Anti-government protesters do not trust the process, said Sherief Gaber, an Egyptian-American protester who feels that Suleiman and Mubarak's promises are "a false act of contrition on behalf of what's effectively the same government it was two weeks ago."

Watch another Egyptian-American's take on the crisis

Police who had largely stood down when the military hit the streets last week are again arresting and harassing protesters, creating a climate of fear, Gaber said.

"I think that this is simply a change of tactics on behalf of the regime, to move from just violence toward the everyday repression that's been going on for years and years and years, and they're hoping to just asphyxiate the protests that way," he said.

Disappointment with Suleiman and Mubarak was also evident in Washington.

Vice President Joe Biden has told his Egyptian counterpart that he wanted to see "immediate, irreversible progress" and said the government should quit beating and harassing journalists, lift the country's emergency law and bring a wide range of opposition groups into the national dialogue.

Watch why the U.S. is growing frustrated

White House Press Secretary Robert Gibbs also expressed concern that Suleiman would not rescind the martial law that has given Mubarak sweeping powers for years. Gibbs took particular issue with Suleiman's claim that Egypt was not ready for democracy.

"I don't think that in any way squares with what those seeking greater opportunity and freedom think is a timetable for progress," he said.

Sameh Shoukry, Egypt's ambassador to the U.S., said the emergency decree would be lifted "when it was possible in terms of the security dangers that exist."

Watch how the reports from media, government don't always jibe

There are now growing concerns that Suleiman is not on the same page as the White House, said Michele Dunne, a Middle East expert at the Carnegie Endowment for International Peace.

"Up till now, the Obama administration was saying that this had to be a negotiated transition that the Egyptian government had to deal with the opposition and that the opposition had to be a partner, so to speak, in this transition," she said. "What Suleiman is offering now is not that at all."

As the Muslim Brotherhood has alleged, there are signs that the opposition groups are splintering. Most notably, Amre Moussa, the Arab League secretary general, who stood with the protesters last week, now says Mubarak should be allowed to stay until his term ends in September.

Read how the Brotherhood sees itself participating in democracy

"The danger at the moment is that this opposition, which a few days ago seemed to unite, is now being divided," said Cairo-based analyst Issandr El Amrani. "The regime is using its tried-and-true tactic of divide and conquer."

If nothing else, this week brought the matter of who might lead the opposition into better focus. The question was continually raised when the protests first erupted. And despite heavy media focus on Mohamed ElBaradei, it's unclear whether the former International Atomic Energy Agency chief wields the necessary influence.

Now, not only is the Muslim Brotherhood, which held 88 seats in parliament before boycotting runoff elections last year, saying it wants to participate, but Google executive Wael Ghonim has emerged as a face of the revolution.

Read what Ghonim demanded of 'heroic Egyptians'

Snatched off the streets of Cairo by security forces last month and freed this week, the Dubai-based marketing executive administered a Facebook page in honor of slain activist Khaled Said, which is credited with kicking off the demonstrations.

Ghonim has said he doesn't agree with the Brotherhood's ideologies but described them as "good Egyptians" and said the group is "not as bad and evil" as it has been made out to be.

Ghonim has shunned assertions that he is a hero and has said he is "ready to die" for change. Though he has called for Mubarak to be treated with dignity, he has also demanded the dissolution of the president's party.

From a makeshift stage in Tahrir Square on Tuesday, his words inspired protesters to began chanting his mantra.

"This country is our country, and everyone has a right to this country," he told the crowd. "You have a voice in this country. This is not the time for conflicting ideas or factions or ideologies. This is the time for us to say one thing only: 'Egypt is above all else.' "

CNN's Eliott C. McLaughlin, Caroline Faraj, Barbara Starr, Frederik Pleitgen, Ivan Watson, Candy Crowley, Moni Basu and Eliot Spitzer contributed to this report.

@highlight

Announcement that Hosni Mubarak will not step down renews rage on the street

@highlight

Observers, protesters say government concessions aimed at dividing protesters

@highlight

Washington expresses frustration, demands "immediate, irreversible progress" in situation

@highlight

Perceived leadership void being filled by Muslim Brotherhood, jailed Google executive