(CNN) -- George H.W. Bush turns 90 today (June 12), only the fourth American president to reach that age. He's the last of the World War II presidents, the last American leader to preside over the Cold War, the last of a generation of elected leaders who saw themselves as old-fashioned public servants rather than cutthroat campaigners.

Today, there are college graduates who weren't even born when he left office. So the question is, what can 20-somethings learn from an old man like Bush?

It starts with what Bush said to a group of young people in one of the last speeches he gave as President: "What all of us seek in our life is meaning and adventure. It's through service that all of us can find both."

He certainly has had 90 years of "meaning and adventure" â€” flying as one of the youngest Navy pilots in World War II; serving in Congress during the 1960s; as US liaison to China in the days of Mao; as chair of the Republican Party during Watergate; as head of the CIA after the Church Commission; as Ambassador to the United Nations during the Cold War; as Vice President during the Reagan Revolution; as President during the collapse of the Soviet Union.

And as a post-presidential humanitarian, he has raised millions for cancer research and disaster relief alongside the man who was his most bitter political rival.

Bush had a front-row seat to most of the major events of the second half of the 20th century, and he did it by dedicating his life to service to others.

"Public service is a noble calling," something he's said so often that it's engraved on a bust at his Bush School of Government and Public Service at Texas A&M University. (The students rub its brass nose for good luck; he once quipped, "Thank God it was only a bust!")

I asked about Bush's formula for meaning and adventure when I interviewed 41 extraordinary people for our new documentary about our 41st president, "41ON41." Many of the 41 spoke of Bush's lifelong commitment to public service, whether in uniform, in appointed positions, through elected office or in community service.

"This man has affected this country and served this country in so many ways," said sports commentator Jim Nantz, "and he's done it every step of the way with a kind heart, with good intentions, with real concern that he's doing the right thing to help people."

"I do believe, if there were more people like him, the world would be a better place," President Bill Clinton told me. "If your primary motivation is to serve, then, in an imperfect world, you're likely to make the right rather than the wrong compromises.

"His primary motivation was to serve. You don't get to pick the time you serve, and you can't control the circumstances in which you govern. There's always some good and some bad in it. But he made the most of a hand that was not the easiest hand to play. And he did it because, at heart, he's a servant."

Pierce Bush is G.H.W.'s grandson, and the two have talked about the day his grandfather decided to make the first step in a lifetime of service.

"He remembers sitting in an Andover [High School] auditorium right after Pearl Harbor was attacked," Pierce said. "There was this spirit that he wanted to be a part of. He wanted to go and defend America, he wanted to be a part of something bigger than himself."

Pierce sees the parallels with his generation -- in the same longing millennials have to be a part of something larger than oneself. His Twitter homepage quotes his grandfather: "Any definition of a successful life must include service to others."

Pierce works for Big Brothers Big Sisters in Houston and would tell you that his life is full of both meaning and adventure.

Condoleezza Rice is concerned that young people have only seen the worst of elected officials in a gridlocked Washington that seems to feed on character assassination. She knows how hard it is to decide to go into public service in such a poisonous environment.

"I would say to young people: Never forget that democracy depends on its citizens to care about it, to promote it, to work for it," Rice said. "Democracies don't survive if citizens simply leave it to others to do the hard work of governing, and so if you get a chance to be in public service, do it. The greatest thing that you can do in your life is to serve your country. You could have no better role model than George H. W. Bush."

Bush's life is full of lessons for young people. I hope you'll tune in to CNN on Father's Day at 9 p.m. ET to hear more about this remarkable American life. You'll be surprised how much you'll learn.

@highlight

Mary Kate Cary: George H.W. Bush, turning 90, is recognized for his service

@highlight

She says he sought to have a life of "meaning and adventure" and succeeded

@highlight

Cary: 41st President has much to teach millennials looking to make a difference in life

@highlight

She a produced film, airing on CNN, with interviews of 41 who know Bush best