SAN FRANCISCO, California (CNET) -- Sony, Microsoft, and Nintendo, look out. Your traditional video game console business model may be in danger.

Popular video games like the "Grand Theft Auto" series may soon be available on a new system.

It's too early to tell how much danger, of course, but a start-up called OnLive announced a brand-new game distribution system Monday night that, if it works as planned, could change the games game forever.

OnLive, which was started by WebTV founder Steve Perlman and former Eidos CEO Mike McGarvey, is aiming to launch a system -- seven years in the works -- that will digitally distribute first-run, AAA games from publishers like Electronic Arts, Take-Two, Ubisoft, Atari, and others, all at the same time as those titles are released into retail channels.

The system is designed to allow players to stream on-demand games at the highest quality onto any Intel-based Mac or PC running XP or Vista, regardless of how powerful the computer.

The system will also stream games directly to a TV via a small plug-in device, and players can use a custom wireless controller as well as VoIP headsets in conjunction with it.

Based here in San Francisco, OnLive timed its formal unveiling to this week's Game Developers Conference, where it will be showcasing the technology and 16 initial games it will launch with.

The service is currently in a closed beta, but is expected to go into a public beta this summer, and to launch this winter.

According to Perlman, OnLive's technology will make it possible to stream the games in such a manner--high quality, no matter what kind of system the user has--by virtue of a series of patented and patent-pending compression technologies. And instead of requiring users to download the games, OnLive will host them all and stream them from a series of the highest-end servers. Users will have only to download a 1MB plug-in to get the service up and running.

OnLive is hoping to capture a significant portion of the video game market share. In February, the industry posted one of its strongest months ever, with total sales of $1.47 billion, up 10 percent from a year ago. And in February, the Xbox, PS3 and Wii accounted for total sales of 1.42 million units.

An intended benefit of this infrastructure, Perlman and McGarvey explained, is that users will be able to play streamed games via OnLive with no lag, so long as their Internet connections meet minimum thresholds. For standard-definition play, that would mean a minimum 1.5 Mbps connection, and for high-def, 5 Mbps.

That's obviously an essential feature, as it's hard to imagine anyone paying for a service like OnLive, no matter what games are on offer, if the user experience is inadequate. But the company promises that as long as users have the requisite minimum hardware, operating systems, and Internet connections, they should be able to have seamless play.

The upshot of this infrastructure model, Perlman said, is that OnLive is somewhat future-proof, meaning that players won't have to upgrade anything to keep on playing games on the system years into the future. Instead, the upgrades will happen on the back-end, with the company regularly boosting the power of the servers it uses to host and stream the games.

And while demos always have to be taken with a grain of salt, CNET News did see a real-time presentation of OnLive on at least two different computers and on a HD TV. Game play was as smooth and lag-free as advertised

So far, OnLive has yet to make its business model public, but what seems likely is some form of subscription service, where players will pay a monthly access fee and then pay additional costs, depending on whether they want to play games once, or buy them for permanent play.

The company also said that it will probably offer free trials of some or all of the games it offers, allowing consumers to decide whether they want to buy. OnLive recognizes that some players may use those trials as a way of deciding whether to buy such games from traditional retail stores, but Perlman and McGarvey suggested that as long as people are interacting with the OnLive system, they'll be happy.

It's clear that OnLive is modeling its system at least somewhat after Microsoft's hit Xbox Live service. So fans of multiplayer games won't be on their own. Rather, they'll have full access to multiplayer features of games built for them. And another interesting social feature is one that will allow users to digitally watch others play games in real time. The company thinks that users will find it exciting to watch the best players in action, even if they themselves are only kibitzing.

Perlman said that the concept of spectating in online game systems is, in and of itself, not new, but that OnLive presents the first time players will be able to look in on what others are playing without owning the games themselves.

Another social feature in the Xbox Live mold is what are called "brag clips." These are essentially 15-second replays of game action that players can share with friends if they want to show off their prowess. This is possible, Perlman said, because OnLive is continually recording the last 15 seconds of action.

All told, McGarvey said, OnLive offers a full suite of standard social features including friends, clans, rankings, leader boards, tournaments and more.

From the outset, OnLive isn't partnering with any of the first-party publishers--Microsoft, Sony, and Nintendo, meaning that franchises like "Halo" or "Zelda" won't be available. And that makes sense, since those companies are hardly likely to want to sign up with a company whose very technology may obviate their longstanding business models.

That means, Perlman and McGarvey acknowledged, that many players who sign up for OnLive's service will still maintain their consoles, and continue to buy games for them. At least for the rest of the current generation of machines, they said. But come the next generation, all bets are off, they said.

And for the nine--to date--third-party publishers who have committed to being involved, McGarvey said, OnLive presents a much more efficient and profitable distribution model than the standard retail structure. That's because the system is all digital, cutting down on physical distribution costs, and because it is designed to eradicate piracy and second-hand sales, both of which are banes of the publishers' existence.

Indeed, McGarvey said that OnLive has gotten strong commitments of titles from the nine publishers. That means, added Perlman, that the planned launch this winter could be accompanied by the most titles of any new gaming system launch in history.

In addition, McGarvey said publishers are eager for the kind of raw data that OnLive can provide about players' usage of the games, including whether they like or dislike games, how much they play, how they play and so on. That data is hard for publishers to collect with traditional consoles, he argued.

Clearly, OnLive has set an ambitious goal: dethroning the console makers as the game industry's kings. And as is always the case with brand-new and publicly unavailable technology, it is far too early to know whether the company or the service can live up to that goal. But if its demo is any indication, OnLive is definitely onto something, and given that the company has been in stealth mode for so many years, it's possible that the console makers will be caught off guard.

© 2009 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

A start-up called OnLive announced a new video game distribution system

@highlight

System will digitally distribute first-run games from major publishers like EA

@highlight

Games will be streamed to TVs at the same time they hit stores

@highlight

Service expected to go into a public beta this summer, and to launch this winter