(CNN) -- Two 5-year-old boys, one with autism, were having some friendly playtime when they had a communication breakdown. One boy didn't respond to the other and walked away. The ignored kid got frustrated and pushed over a small staircase, causing the first boy to fall.

Their speech therapist, Jordan Sadler, decided to address the issue by recreating it in an iPad app called Puppet Pals. She restaged the scenario as a movie, even taking photos of the room for the background and of the kids for the characters. Using the app to show an instant replay of the scuffle, Sadler and the kids identified what went wrong and then recreated the scene, this time making better decisions.

Creating custom stories to help kids learn communication skills or understand complex situations is just one of the ways parents, therapists and educators have taken advantage of tablets to work with kids with autism.

How do you communicate with a loved one with autism?

Tablets as tools, not miracles

When the iPad made its debut in 2010, it was hailed as something of a miracle device and there was a rush among parents of kids with autism to get the $499 gadget.

"They were throwing them at their kids expecting miracles, but it didn't happen. The reason is they are tools, not miracles," said Shannon Rosa, an author and former educational software producer who has written about using tablets with her own son, Leo, who has autism. "I think a lot of parents now are more realistic about the level of support that is needed to help kids use them."

Four years later, tablets still play a big role in the autism community. But the expectations for the technology have come down to earth a bit. Now app creators, autism educators and parents are exploring new ways of using tablets and apps to work with the 1 in 68 kids in the U.S. with autism.

They've had time to discover what works best for kids with autism when it comes to tablets. The uses vary from child to child, and often the best apps aren't even created with kids with autism in mind.

Rosa said it allows her son, now 13, to think visually, to interact with content directly without the cognitive hurdle of a mouse, and it breaks complex concepts up into more easily understandable chunks. Siri is even helping him with articulation.

The tablet has also given him more independence. Leo used to have a really hard time figuring out what to do with himself when someone didn't structure his day for him. Now he can use the iPad on his own and have a good time independently. Rosa, though, like many parents, is careful about letting her son have too much screen time.

Sadler gives iPad workshops all over the country, teaching people about the most effective ways to use the device. She tries to move parents away from using mobile devices as a reward, letting children just play games or watch YouTube videos. She encourages parents to seek out dynamic apps that can help with the core challenges of autism while also being fun.

"It's really important to learn and improve social communication skills," said Sadler. "But it has to be something that grabs them."

Mixing laughter and lessons

Flummox and Friends is a hybrid of an app and a TV show for kids on the autism spectrum that seeks to be more than just educational or just entertaining. Released on the iPad in April, it's a live-action comedy show that aims to educate children by being entertaining, not condescending.

The main characters are inventors and their friends, and they're written so children with autism can relate to them. They find themselves in tricky situations that they need to invent their way out of. The idea is to teach social and emotional skills through funny plots.

Using pop-up prompts, the app sets up situations that kids with autism may have trouble with, such as anticipating someone else's perspective, managing someone else's emotions, and being flexible instead of being rigid. A scene might show some of the ways communications can break down, then walk the viewer through ways to fix the problem.

"Typically, how this stuff has been taught is giving kids scripts saying, 'Say this when you meet someone,'" said the show's creator, Christa Dahlstrom. "It's kind of suggesting (they) aren't doing this right and need to be normal."

Flummox and Friends is geared more toward acceptance, and Dahlstrom is interested in working with the kids whose minds are wired differently, not correcting them. The app reflects a larger shift in the community away from "fixing" autism to accepting and embracing it.

"(Technology) can make a profound difference to the kids with autism, but it's not like it's a cure for it," Dahlstrom said. "You've got to stop thinking of this as a parental problem."

Dahlstrom, who has worked in learning design her whole career, has observed firsthand how her own 10-year-old son with autism learns and what he struggles with. She noticed that he tends to open up when people are laughing, having fun and quoting TV shows. After realizing comedy could be a great tool for reaching children with autism, she started a Kickstarter campaign to raise money for the first Flummox and Friends episode.

The show is meant to appeal to 6- to 12-year-olds, which is a slightly older audience than most autism apps.

"In terms of apps for kids with autism and special needs, there's a lot of stuff for preschoolers. There's not as much when you start going up to an older audience, especially when it comes to social skills," she said.

The multi-purpose rectangle

Tablets have replaced a number of other tools for parents and educators, including handmade visual aids, expensive communication devices and, increasingly, TVs.

The gadgets are a more affordable alternative to the dedicated augmented-communication devices some nonverbal kids use to communicate. Those can cost between $6,000 and $8,000, but with a tablet, kids who aren't speaking can use voice-output apps instead.

Teachers and therapists no longer have to slog through the mundane task of making visual tools. Making cue cards is a common technique when working with nonverbal children, but it requires taking photos, uploading them to computers, printing them out, laminating them, adding some velcro and sticking them on boards. The addition of a camera in the second version made the process even easier.

"It really sort of took us out of the dark ages in terms of how quickly we could make visual supports for the kids and how quickly kids could access what they wanted," said Sadler.

One thing that makes Flummox and Friends unusual is that it is a fully scripted TV show delivered as an app.

Tablets give kids much more control than they have with a TV. They can hold a tablet in their hands and have a more intimate experience with a story or game. Watching clips and shows repeatedly is common among children with autism, and with tablets they can rewatch favorite segments over and over.

"We've really started to see children's media migrate from the TV screen to the iPad," said Dahlstrom.

@highlight

Four years after iPad debuted, the autism community is still exploring how to use tablets

@highlight

The new Flummox and Friends app is a comedy show that helps kids with social skills

@highlight

Tablets are popular with parents and educators, but not being used to full potential yet

@highlight

April is national Autism Awareness Month