(CNN) -- Hewing to Obama administration desires, Senate Banking Committee Chairman Tim Johnson forcefully repeated Thursday what he had already said in as many words -- his committee won't seek new sanctions on Iran for the time being, and no one else should either.

Administration officials have publicly tried to talk lawmakers down from acting on legislation that would impose even delayed sanctions on Iran during the first phase of a November agreement to curb the Middle Eastern nation's nuclear program in exchange for relaxed sanctions.

Johnson, D-South Dakota, said Thursday he supports strong sanctions against Iran and has legislation adding new sanctions ready to move should Iran fail to meet its obligations under the deal, which is meant to prevent it from acquiring a nuclear weapon.

"In the meantime, we should not do anything counterproductive that might shatter Western unity on this issue -- we should make sure that if the talks fail, it was Iran that caused their failure," Johnson said in remarks prepared for a Banking Committee hearing on the issue Thursday.

Despite Johnson's insistence, other lawmakers haven't given up on the idea of sanctions.

A bipartisan group of senators is close to an agreement on tougher sanctions, CNN reported Tuesday, but it is not clear whether the Democratic majority would bring such a deal up for a vote.

That deal, if it comes together, would include a new round of sanctions to begin in six months and would bar the enrichment of uranium. It would permit commercial nuclear power as long as the international community monitored it.

The bipartisan group includes Democrats Chuck Schumer of New York and Robert Menendez of New Jersey and Republicans Lindsey Graham of South Carolina and Mark Kirk of Illinois -- all strong supporters of Israel, whose government has panned the deal as a historic mistake.

"We see today that that the Iranians are launching a rocket next week, and though this was supposedly made as their space program, it's well known that this is just a cover for military ballistic weapons program," Menendez said at Thursday's hearing. "I think that a provocative action in the midst of such negotiations should be interpreted as a sign of bad faith, and only reaffirms in our mind why we need to proceed with some efforts here."

But Wendy Sherman, undersecretary of state for political affairs, testified at Thursday's hearing that while there's good reason to be skeptical of Iran, it's important to hold fast with other nations who helped negotiate the deal.

"Now that we have this first step agreed to, and are about to begin negotiations on the comprehensive agreement that we all want, if we indeed say, 'Well, we didn't really mean it, we're going to now impose additional sanctions that you all will have to live with around the world,' our partners are likely to say, 'Well, wait a minute here, you're changing the rules; we agreed to harm our own economies in service to diplomacy, and you're not giving diplomacy a chance.' "

'Lack of faith'

Sherman's comments echoed those of her boss, Secretary of State John Kerry, who told lawmakers Tuesday that U.S. legislation imposing sanctions could give the administration's international partners in the Iranian nuclear deal -- Russia, China, the United Kingdom, France and Germany -- the wrong idea, even if the bill includes a six-month waiting period to see if the interim agreement succeeds.

"Even if the sanctions are not imposed, it implies a lack of faith in the process and an unwillingness to play by the rules that our partners are playing by," Kerry said.

"You can design them, we can sit here and be ready to go. We're just saying to you please give us the opportunity to negotiate along the contours of what we have agreed upon."

In his statement Thursday, Johnson agreed to do just that, and suggested that other lawmakers should follow suit.

"Ultimately, while some of us might differ on tactics, it is clear we all share the same goal: to ensure that Iran does not achieve a nuclear weapon, and to do that diplomatically if possible, while recognizing that other alternatives remain on the table," he said.

"Now that Iran has come to the table and entered into this first step agreement, I believe this may well be the last best chance to resolve this crisis by diplomacy, and so the President is absolutely right to fully test Iran's leaders," Johnson said.

Iranian Foreign Minister Javad Zarif said Monday the deal is off if new sanctions are imposed.

About the deal

Among other things, the deal requires Iran to limit how much it enriches uranium, a step that boosts the concentration in raw ore of a specific kind of uranium isotope that is best suited to maintaining nuclear reactions.

Fuel for nuclear power requires 5% enrichment, but Iran has stockpiles of uranium enriched to 20%. That's not enough for a nuclear weapon but still worrying to international experts who have cast doubt on Iran's previous assertions that its nuclear program is for purely peaceful purposes.

The initial agreement limits enrichment to the 5% level and requires Iran to dilute half of its stockpile of 20% enriched uranium to at least 5% and convert the rest to a form that can't be further enriched by the end of the six-month deal.

The country is also forbidden from turning on additional machines used in enrichment, and must submit to what Kerry has described as "unprecedented international monitoring" of its nuclear program.

New designations issued

On Thursday, amid the debate about imposing new sanctions, the administration listed a dozen companies and individuals for helping Iran evade existing sanctions and for providing support for its nuclear program.

They include companies and individuals involved in prohibited Iranian crude oil transactions as well as firms and people who helped Iran acquire parts and technology for its nuclear program.

The designations show the administration's resolve to enforce sanctions during the six-month interim agreement with Iran, Undersecretary for Terrorism and FInancial Intelligence David Cohen said in a statement.

"Today's actions should be a stark reminder to businesses, banks and brokers everywhere that we will continue relentlessly to enforce our sanctions, even as we explore the possibility of a long-term, comprehensive resolution of our concerns with Iran's nuclear program," he said.

In a briefing with reporters, a senior administration official put it more succinctly.

"We haven't let up; we won't let up," the official said.

CNN's Tom Cohen contributed to this report.

@highlight

NEW: Sen. Robert Menendez cites Iranian missile launch plan in calling for new sanctions

@highlight

NEW: Administration officials testify that now's not the time

@highlight

Administration worries sanctions bill could derail historic Iran nuclear deal

@highlight

Secretary of State John Kerry has pleaded for time to work through the deal