(CNN) -- Blasting off from Earth and hurtling through space at thousands of miles an hour, it takes astronauts three days to reach the moon -- a tiny distance in a universe measured in light years, but a fantastic voyage on a human scale.

Buzz Aldrin walks on the moon on July 20, 1969. NASA is preparing to send astronauts back and build a lunar base.

Now plans are under way to go back, even as the future of U.S. human space exploration is under close scrutiny and pressure is growing on NASA to aim for another alien world.

It's a crossroads Neil Armstrong could have hardly imagined on July 20, 1969, when he became the first human to set foot on the moon and uttered his now famous phrase: "That's one small step for man, one giant leap for mankind."

Today, NASA is working to return astronauts to the moon by 2020 and establish a lunar base that would allow them to stay on the desolate surface for up to six months by 2025.

The goal this time is for the explorers to make themselves at home, study the terrain and learn how to work in a harsh environment to prepare for trips beyond the moon.

"The next giant leap has begun," NASA promises on the logo of its Constellation Program, the new fleet of space exploration vehicles that the agency's former administrator, Michael Griffin, once famously called "Apollo on steroids."

Set to replace the space shuttles, Constellation builds on the legacy of Apollo -- the program that landed humans on the moon six times in the late 1960s and early '70s -- but incorporates modern technologies and influences.

Will it fly?

Constellation grew of out the Vision for Space Exploration, outlined by President George Bush in 2004, but its future now lies in the hands of the U.S. Human Space Flight Plans Committee.

The independent panel is reviewing NASA's plans, including Constellation's estimated $100 billion cost by 2020, and taking a look at "potential alternatives" this summer at the request of the Obama administration. It is expected to present its results in August.  Watch why there is a new space race »

If Constellation goes forward, it would take astronauts beyond low-Earth orbit for the first time in decades.

It may also surprise a generation accustomed to watching the shuttles carry both humans and heavy cargo, like the Hubble Space Telescope, into space.

The new program splits up those tasks among two new rockets, as recommended by the board that investigated the 2003 space shuttle Columbia disaster.

The Ares I would launch the Orion crew capsule carrying up to six astronauts, while the much beefier Ares V would carry cargo, such as the new moon-landing craft.

"It's like having your sports car that's super safe and your large SUV," said John Olson, director of the NASA office that plans and integrates programs including Constellation.

Orion's first manned flight -- scheduled for 2015 -- will take it to the international space station. NASA.gov: Watch how Constellation is designed to work

For a future trip to the moon, Orion's crew would dock with the Altair lunar module already in Earth's orbit and escape the planet's gravity by firing the powerful engine of an Earth departure stage.

Arriving at their destination, the astronauts could land anywhere on the moon, including the far side and the poles -- a big improvement over Apollo, which limited landing sites mostly to the equator on the near side of the moon.

The search for prime real estate has already begun. Last month, NASA launched the Lunar Reconnaissance Orbiter, an unmanned spacecraft tasked with finding landing sites and resources. At this point, NASA is favoring the heavily cratered south pole because of its scientific interest and the possible presence of water ice, Olson said. NASA.gov: Watch what it might look like to land on the lunar south pole

The lunar water could be used for drinking, or as a source of oxygen and hydrogen for air and rocket fuel, NASA says on its Web site.

When humans are ready to go, the agency envisions seven-day missions at first, followed by 180-day stays once a lunar outpost is in place.

"We're not doing flags and footsteps," Olson said. "We're going for a long-term sustained human presence that's affordable and safe and built so that we can use the moon as a stepping stone to Mars and near-Earth asteroids and other exciting locations in the solar system."

A potential manned mission to the Red Planet wouldn't take place until at least 2030, Olson added.

The allure of Mars

Is it the right way to go? Critics say NASA should skip the moon and set its sights directly on Mars. They argue such a mission would open new frontiers for humans, answer key questions about life in the universe and reignite excitement about the space program.  See the past, present and future of moon and Mars exploration »

Buzz Aldrin, the second man on the moon, has been an especially outspoken supporter of following "Star Trek's" motto: To boldly go where no man has gone before.

"We won the moon race; now it's time for us to live and work on Mars," Aldrin wrote in a commentary for CNN.  Watch Aldrin make his case for Mars »

He went even further in an article in Popular Mechanics, warning that NASA's current plan will waste time and money, and calling the return to the moon a "glorified rehash of what we did 40 years ago."

Aldrin instead suggests a course of action that would have humans landing on Mars' moon Phobos around 2025 and ultimately living permanently on the Red Planet as "Martian homesteaders." Aldrin plans to present his vision to the U.S. Human Space Flight Plans Committee, Popular Mechanics reported. Blog: Meet the strange moons of Mars

Olson counters that NASA is looking to go to Mars, but must first tackle the enormous challenges of safely sending humans to the Red Planet -- a journey that would take 6 months and span more than 30 million miles. Earth's moon would be a great test bed to try out technologies and infrastructure necessary for more ambitious space travel, Olson said.

But Mars exploration advocates say the country is now much closer to being able to send humans to Mars than it was to sending them to the moon in 1961, when President Kennedy called for a lunar mission by the end of that decade.

"This idea that you have to know how to do it before you can commit yourself to the program is completely false," said Robert Zubrin, president of the Mars Society.

"We didn't know that we could do Lewis and Clark successfully before we set them out" to explore the American West in the 1800s, he added.

Zubrin, who plans to testify before the U.S. Human Space Flight Plans Committee next month, said that if President Obama were to commit the nation to a mission to Mars this year, astronauts could be there by the end of his potential second term in office.

"NASA was not created to do nostalgia acts. It was created to storm heaven," Zubrin added. "For NASA to make as its central goal repeating technical accomplishments it did 50 years before is a complete abandonment of its purpose."

A problematic gap

NASA's plans are controversial for another reason. The agency is preparing to retire the space shuttle fleet in 2010, leaving a five-year gap until Orion is scheduled to be ready to launch.

In the meantime, U.S. astronauts will have to hitch rides to the International Space Station aboard Russian Soyuz spacecraft.

"Relying on the Russians between when we're retiring the shuttle and having the Constellation program flying is something that I'm not very proud of," said former Kennedy Space Center Director Bob Crippen, who piloted the first space shuttle mission in 1981.

"It's OK to work with them as partners, but to be totally dependent on them is a mistake in my opinion."

The space shuttles could continue to fly safely until NASA has another vehicle ready to go, Crippen argued.

NASA's Olson called the gap a "significant challenge," but said there are no plans to keep the space shuttles flying beyond their current manifest.

"We as much as anyone wish we did not have a gap. However, that is the fiscal reality that we're in and we're doing our absolute best to mitigate it," Olson said.

That reality, 40 years after America's first fantastic voyage to the moon, isn't taking away from the allure of exploring the final frontier.

"This is the beginning of the next space age," Olson said, "and it's truly an exciting time."

CNN's Kim Segal contributed to this report.

@highlight

NASA plans to return astronauts to the moon by 2020, build outpost by 2025

@highlight

Constellation Program's new fleet of space vehicles will replace the space shuttles

@highlight

Critics say NASA should skip the moon and set its sights directly on Mars

@highlight

Independent panel is reviewing plans and looking at "potential alternatives"