LONDON, England (CNN)  -- Treating flu-stricken children with anti-viral medication including Tamiflu and Relenza could do more harm than good, a new report has warned.

Researchers say not enough study has been done into the long-term effects of anti-virals on children.

Researchers from the University of Oxford found that while the anti-virals reduced the duration of illness by up to one day and a half, they had "little or no effect" on the likelihood of the children developing complications.

The researchers conceded that they didn't know the extent to which their report applied to the current swine flu pandemic, but said, "based on current evidence, the effects of anti-virals on reducing the course of illness or preventing complications might be limited."

In compiling their report, published in the British Medical Journal, the Oxford University researchers searched the world for trials of Tamiflu and Relenza on children under 12. They found seven in total; four relating to flu treatment, and three to prevention.

They say none offered a big enough study to determine whether anti-virals have any effect on the chances of children developing serious flu-related complications.

"We've got very little data to go on. These drugs have been used on tens of thousands, in fact millions of children worldwide, and we've found only four trials of treatments involving less than two thousand children," said the report's author, Dr Matthew Thompson, a senior clinical scientist at the Department of Primary Health Care, the University of Oxford.

"We didn't find any trials of children under one. And none of the trials was big enough to show if there's any effect on serious complications like pneumonia or being hospitalized," he said.

The report found that while anti-virals reduced the duration of flu in children, they had little or no impact on the likelihood of the child developing ear infections or any other condition that may require antibiotics.

A review of one study into the effect of anti-virals on asthmatic children, who are considered to have a higher risk of developing complications from the flu virus, found that they did not reduce the risk of the asthma attacks.

The report said that one in 20 children who take Tamiflu suffer nausea and vomiting, as indicated in warnings from the drug's manufacturer. "That obviously can be a particular problem in young children and infants where getting dehydrated is a complication of influenza," Thompson said.

The three studies that focused on the use of anti-virals to prevent influenza taking hold, showed that their potential to stop the spread of flu was "fairly small."

"We'd need to treat 13 children with the preventive course of one of these drugs to prevent one of them from getting flu," Thompson said.

The report's authors suggested governments were too quick to recommend anti-virals as the first defense against the spread of swine flu. In the United Kingdom, people who suspect they have the virus are urged to phone a government helpline. If enough symptoms match the operator's list, they're given an online voucher so a "flu friend" can collect a course of Tamiflu.

"We're not criticizing the current Department of Health policy, but we hope they'll inform perhaps a slight shift in policy in terms of use of these drugs," Thompson told CNN.

The British Department of Health said the report was right to suggest bed rest and over the counter remedies for people with mild cases of flu, but added that it was potentially dangerous to deter people with severe cases of flu from taking Tamiflu, including children.

In a statement, a spokesman said: "Whilst there is doubt about how swine flu affects children, we believe a safety-first approach of offering anti-virals to everyone remains a sensible and responsible way forward. However, we will keep this policy under review as we learn more about the virus and its effects."

The British Medical Association (BMA) also adopted a cautious stance. The chairman of the BMA's general practitioner's committee, Dr Laurence Buckman, said doctors always have to balance the risk of major complications from swine flu with the potential side-effects of anti-virals.

"While we know they are safe, we do know that vomiting and diarrhea can occur in some children and adults who take them," he said, adding "The more we learn about these drugs the more we will know how to treat patients with the most up-to-date clinical evidence."

@highlight

Researchers examined studies into effects of anti-virals on children

@highlight

Found "little or no effect" when used on children suffering influenza

@highlight

Anti-virals were found to shorten duration of flu-like symptoms

@highlight

British Department of Health said it had "a safety-first approach"