(CNN) -- Travel to Shekou, a port city in Shenzhen, and you will find the stirrings of something unexpected: entrepreneurial capitalism.

This part of China, home to many mega-factories like those of Foxconn (which makes Apple's iPads) is known as the world's workshop. But if you visit Microport, a startup firm funded by venture capital, you will find a group of tech entrepreneurs with a global mindset trying to disrupt an overpriced, legacy-ridden industry (in their case, the one for medical diagnostics equipment). In the staff canteen hangs a portrait of the late Steve Jobs uttering his motto, "Stay hungry, stay foolish." Microport's dynamic founder says his dream is for China to become an innovation powerhouse that produces its own homegrown Apple.

Much has been made about Chinese sweatshops sucking away American jobs, of currency manipulation and unfair trade practices. In fact, there's a bigger threat to American competitiveness.

Cheap China is fading fast, and innovative China is emerging. The Chinese government is investing tens of billions of dollars into science and engineering research and education, and lavishing tax breaks and subsidies on technology firms and clusters, in an effort to leapfrog the country to the cutting edge of innovation.

How should America and other developed economies respond and stay on top in the 21st century's ideas economy? For a start, do no harm. Politicians should remember that global innovation is not a zero-sum game: China's rise does not have to come at America's expense. Three decades ago, many Cassandras wailed that Japan, with its centrally planned innovation investments and its superior cultural values, would crush the West. In fact, Japan's peaceful rise went hand in hand with America's entrepreneurs forging the new industries of the digital age.

That is why bashing China and using it as an excuse for industrial policies that subsidize uncompetitive domestic companies is a folly. This applies as much to Solyndra, a bankrupt American solar firm that got taxpayer subsidies, as it does to the lagging French toymaking industry, which has been declared "strategic."

An even more dangerous prospect is a trade war, something that might happen as a result of Western governments ganging up on China at the World Trade Organization over its policies on rare Earth minerals. Top-down efforts to pick technology winners are bound to waste taxpayers' money. And forcing a trade war would actually hurt America, since its economy benefits the most from an open global flow of goods, people and ideas.

America's leaders should see China's inexorable surge as a rising tide that can lift all boatsâ€”providing, of course, that you patch the holes in your vessel first. That means shoring up the things that made America the world's innovation powerhouse in the first place.

First, America needs to reverse its policies that, since 9/11, have turned hostile toward talented immigrants. For decades, the American economy benefited from the gift of the world's brightest and most enterprising. Studies have shown that more than a third of the start-ups in Silicon Valley have at least one founder born in India or China.

Bill Gates points out the absurdity of today's immigration policies. Brilliant Chinese students make up much of the graduate program in computer science at the University of California at Berkeley, benefiting from a subsidized education. When they graduate and want to start companies that would hire many Americans, they are refused visas. So, as Gates notes, they go home and start companies there that compete with America instead.

Another hole that needs to be patched is in research funding. America's funding for research, measured as a percent of national output, has stagnated even as the rising giants of the developing world are investing heavily. It is wise to invest during economic recessions in those few thingsâ€”like education, smart infrastructure and researchâ€”that are the essential enablers of longer term innovation, productivity and higher economic growth.

Finally, America can make it easier for young firms, which have created almost all the net new jobs the last few decades, to find capital. Banks usually refuse to fund start-ups, and even many venture capitalists have turned risk averse. Typically, entrepreneurs rely on friends, family and fools. But an important bill in Congress now that has support from both parties and the White House would make it easier to tap wider networks through "crowdfunding." Congress should pass this bill quickly, and help entrepreneurial energy to kick-start growth.

The surest path from stagnation to rejuvenation lies in innovation. If America wants to stay at the top, it needs to gear up on innovation.

The opinions expressed in this commentary are solely those of Vijay V. Vaitheeswaran.

@highlight

Vijay Vaitheeswaran: Cheap China is fading fast, and innovative China is emerging

@highlight

Vaitheeswaran: If America wants to stay on top, it needs to spur innovation

@highlight

He says America needs better immigration policies to retain talents

@highlight

He says Congress should pass a bill to make it easier to fund entrepreneurs