Cairo (CNN) -- Hundreds of demonstrators extended their sit-in outside Egypt's defense ministry to a sixth day Thursday, as organizers called for mass protests following violence that killed at least 11 people.

The coalition of political and civil groups -- known as the Board of Trustees of the Revolution -- condemned the clashes in Cairo's Abaseya area Wednesday and demanded the resignation of the government.

The protests come against a backdrop of frustration over the pace of reform since Hosni Mubarak was ousted as president last year and amid concern that Egypt's military leadership is delaying the transition to civilian rule.

Many of the protesters taking part in the sit-in are voicing their anger over the disqualification of Islamist candidate Hazem Abu Ismael from the May 23 presidential election. They also want to disband the presidential election commission.

Abu Ismael was disqualified because of evidence that his late mother had U.S. citizenship, an assertion he has denied, prompting his followers to protest the decision by the election commission.

The election commission has disqualified some 10 of the 23 presidential contenders, its chief has said.

Meanwhile, three of Egypt's presidential candidates were referred to the general prosecutor for alleged violations of election campaign law Thursday.

The presidential election commission said it had referred leading independent candidate Abdel Monein Aboul Fettouh, Mohamed Mursi, of the Islamist Freedom and Justice Party, and Amr Moussa to the prosecutor for breaking the law by holding meetings on college campuses.

"These infringements by the presidential candidates will be taken very seriously and they will be questioned as soon as possible. They could be fined," Adel Saeed, the official spokesman for the general prosecutor, told CNN.

Egypt's Supreme Council of the Armed Forces said on its Facebook page Thursday that the clashes in Abaseya were aimed at delaying the presidential elections and stalling the formation of a constituent assembly.

The Supreme Council also said certain "unnamed" groups have used verses from the Quran calling for jihad, or holy war, to try to draw the military into an armed conflict.

The military had tried to convince the protesters to move from their position near the Ministry of Defense to Tahrir Square, the heart of Egypt's protest movement, but they refused, the Facebook statement said.

"Investigations into the clashes of Abseya Square have begun and some people have been arrested," Saeed said.

Two of the presidential candidates referred to the general prosecutor for investigation, Mursi and Fettouh, had announced Wednesday that they were temporarily suspending campaign activities because of the violence.

Amr Moussa said in a televised statement that he had canceled some of his campaign events out of respect for those killed.

Mursi said Wednesday he would suspend his campaign for two days to "mourn the souls of the martyrs" in the clashes, and blamed the military government for what he called a "massacre."

Fettouh said on his Twitter account that lawmakers must push the interior minister to investigate.

A "revolutionary march" toward the Ministry of Defense has been called for Friday by the April 6 Movement, which wants accountability from the Supreme Council for the Armed Forces over the deaths of protesters in the Abaseya clashes.

Western powers have been watching developments in Egypt closely.

Alistair Burt, UK Foreign Office Minister for the Middle East and North Africa, said Thursday he was deeply concerned by the recent bloodshed and called on all sides to show restraint.

"The right to peaceful freedom of expression and assembly is integral to Egypt's transition to democracy, and it is crucial at this stage of the presidential election process that it is not threatened by the return of such violence," he said in a statement.

"Such unrest reinforces the need to make progress on the transition to civilian rule, through a transparent and inclusive process which allows all voices to be heard, to the timetable already agreed by the Egyptian authorities."

"We're very concerned about the outbreak of violence," said U.S. Ambassador to the U.N. Susan Rice. The United States considers it "important for elections to go forward as planned," she added.

Assailants targeted the protesters in Cairo early Wednesday, medical sources said. At least 150 people were injured, Dr. Ahmed Thabet, a physician working in a field hospital near where the clashes took place, said Thursday.

It was unclear who the attackers were, but they were not wearing uniforms, witnesses said.

The mood in the city's Abaseya district appeared calm but tense, state media reported Thursday. Some shops closed their doors and some residents left their homes, fearing more clashes, according to Egypt's MENA news agency.

Protesters hurled rocks at the assailants, who responded with a steady barrage of rocks and Molotov cocktails.

"Down with military rule!" the protesters chanted.

Alaa Younis, who took part in the sit-in with some friends, said "dozens of military men dressed in plain clothes started pelting" them "with stones, cement blocks, and fired tear gas from rifles, so they were obviously security officers under cover."

The military dispatched a unit to attempt to restore calm.

A day before the clashes, state TV broadcast videos showing protesters chanting against the Supreme Council of the Armed Forces, which has ruled Egypt since Mubarak was forced from power last year.

The Freedom and Justice Party, the political arm of the Muslim Brotherhood, issued a statement Thursday blaming the Supreme Council for the death and injuries in the Abaseya clashes, saying it wanted to delay the transition of power.

A government official earlier denied reports that the military was involved in Wednesday's violence.

"There were no riot police or military that tried to evict the sit-in by force," said Gen. Marwan Mustapha, a spokesman for the Interior Ministry.

"We are not sure of the identities of the thugs that attacked the peaceful protesters. The military only protects the vicinity of the ministry and blocked some roads leading to it."

The epicenter of the violence was around a mosque in Cairo, but clashes continued in several streets.

Residents formed neighborhood watches to protect their streets as gunfire crackled for hours, according to witnesses. The military blocked some highways leading to the ministry and did not interfere in the fighting between protesters and the unidentified attackers.

Clashes have erupted in Egypt since an uprising led to the toppling of Mubarak in February of last year, with protesters demanding the military leaders who took over hand over power to a civilian administration.

CNN's Amir Ahmed contributed to this report.

@highlight

NEW: Military leaders accuse unnamed groups of trying to use the Quran to provoke conflict

@highlight

NEW: UK Foreign Office minister concerned by bloodshed, urges restraint on all sides

@highlight

Street protests continue, a day after violent clashes left at least 11 dead

@highlight

Many protesters are concerned by the slow transition of power from Egypt's military to civilian rule