Richmond, Virginia (CNN) -- "I'm a big history buff," President Obama said in an interview with ABC News" George Stephanopoulos. "And I think that understanding the history of the Confederacy and understanding the history of the Civil War is something that every American and every young American should be part of."

I am sometimes asked the same question that Mr. Stephanopoulos put to President Obama: Why study Confederate history? And I agree with the president's response.

As we approach the 150th anniversary of the Civil War, we look back to its centennial in the 1960s. A lot has happened in this country since then, and our appreciation of the lessons of history has changed with the times.

One constant has been the importance of the Civil War. It remains as the most important era of American history, a time when America withstood its biggest challenges to a constitutional democracy which then was still viewed as an experiment in a new form of government. The crucible of war defined the nation as we know it today, as we became "indivisible" and "with liberty and justice for all" for the first time.

During the 1960s, we Americans looked at the war as it occurred on the battlefields, because the conduct and course of the war dominated every single moment of every day. And the Confederate soldiers have historically captured our fascination even more than the Union soldiers.

Perhaps it is the gallantry and dash of leaders like Robert E. Lee or Stonewall Jackson or J.E.B. Stuart. Or perhaps it was the common enlisted men in the Confederate ranks, whose valor and courage -- in the face of tremendous privation and against overwhelming odds -- makes them stand out in world history as one of the best bodies of soldiers ever known.

Another perspective on the Confederacy and history

If the fascination with soldiers continues from the 1960s to today, what has changed? Today, the study of Confederate history is much more "inclusive" -- to use the word of choice for many state's 150th anniversary commissions -- as we look more deeply into the past. Today we ask different questions of history and I think we get better answers. Let me list just a few of those questions.

What about slavery? We did not talk much about it in the 1960s. Today, we cannot study the Confederacy without studying 40 percent of its population. So now we look long and hard at this aspect of American history, including its existence and importance in the North. We see so clearly today that it was a wrong, so we need to ask why so many people 150 years ago did not see it as wrong and why several of the important Christian denominations split apart over this issue before the country itself split.

What about the slaves themselves? Why did many take advantage of the first opportunity to escape to freedom while others remained "loyal" to the South? And what about the 400,000 African-Americans in the South who were free long before Abraham Lincoln came on the scene?

iReporter: Civil War history could have been "teachable moment"

What about the Southerners who remained loyal to the Union and chose to fight in blue, rather than gray? What about the thousands of immigrants who "escaped" the wars of Europe yet enlisted in both armies to demonstrate their loyalty to their new country?

At the opposite end of the spectrum, what about the Native Americans who had been here long before any Europeans, yet allied with the Confederacy? The last Confederate brigade to surrender was composed entirely of Native Americans and commanded by Brigadier General Stand Watie, a full-blooded Cherokee.

What about the very important Jewish community in the South? Many served in the ranks while others saw civilian service, such as Judah Benjamin, who had three different Cabinet posts, or Phoebe Pember, who became the head nurse at Chimborazo, the biggest hospital in the world.

And what about the women of the South? The war thrust them into new positions of responsibility and many continued after the war to lead public enterprises that engendered self-esteem and respect.

We Americans -- from native Americans to those who have ancestors who wore the blue or gray to those who are descended from slaves to those who have recently come to our shores -- want to know ourselves. We want to understand why our country is different from the others around the world.

This is why millions of Americans read so many books about the Civil War or visit the battlefields or come to museums like The Museum of the Confederacy so that they can see first hand the ingredients that formed us. And this is why so many foreigners come to America to visit those same sites in order to understand why we are who we are.

The fact is that we must know the Civil War if we are to know America. And to know the Civil War, we must know and understand the Confederacy -- in all of its diversity.

The opinions expressed in this commentary are solely those of S. Waite Rawls III.

@highlight

S. Waite Rawls: Understanding the Confederacy key to knowing how the U.S. has evolved

@highlight

Today's Confederate studies cover slavery and many other questions, he says

@highlight

Millions want to learn more about the Confederacy, he says