Arsenic in apple juice. It's a scary statement -- one that's received a lot of attention in recent years, although some say the concern is unwarranted.

After prodding from consumer groups, the U.S. Food and Drug Administration has conducted their own investigation and is proposing a maximum limit for arsenic levels in apple juice. The FDA plans to limit the amount of inorganic arsenic to 10 parts per billion -- the same amount the Environmental Protection Agency allows in drinking water.

This is the first time the FDA has set limits for arsenic levels in food or drink products. The move comes two years after an episode of "The Dr. Oz Show" raised public concern about the amount of arsenic in children's apple juice. The show tested three dozen samples of five brands of juice and found some contained arsenic levels between 11 and 36 parts per billion. Shortly after, Consumer Reports released a study that analyzed 88 samples of apple and grape juice. The researchers found about 10% of the samples had arsenic levels higher than 10 parts per billion.

There are two types of arsenic: inorganic and organic. Inorganic arsenic has been classified as a human carcinogen by the EPA. The FDA describes organic, or naturally-occurring arsenic as "essentially harmless."

"This chemical element is found in the Earth's crust," Michael Taylor, the FDA's deputy commissioner for foods and veterinary medicine, wrote on the government agency's blog. "It's everywhere in the environment and can be found in water, air and soil, in both organic and inorganic forms. Human activities also can introduce arsenic into the environment."

Although the FDA's new rules are not yet in effect, the agency says parents shouldn't be worried. Last year they analyzed the arsenic levels in 94 samples of apple juice. The analysis showed that 95% of the samples tested were below 10 parts per billion for both organic and inorganic arsenic; 100% of the samples were below 10 parts per billion for inorganic arsenic.

"Apple juice producers, as well as the FDA, want people to know they can be confident that apple juice is safe," Rick Cristol, president of the Juice Products Association, said in a statement, noting that juice companies routinely test their products.

"Arsenic is a naturally occurring element in the environment and may be found in the air, soil and water. It is commonly found in harmless, trace amounts in many crops and naturally sourced foods. Humans have been exposed to it for thousands of years."

Long-term exposure to arsenic, which is odorless and tasteless, has been linked to cancer of the bladder, skin, kidney, nasal passages, liver and prostate, according to the EPA. Scientists also know that arsenic can affect the nervous system, causing headaches, numbness and tremors, and can damage your blood vessels. There is also some evidence that frequent exposure could lower children's IQ levels, the CDC says.

The association also notes in the statement that holding apple juice to the same arsenic guidelines as drinking water isn't appropriate because people consume more water on a regular basis.

In 2011, Consumer Reports released a study that analyzed 88 samples of apple and grape juice. The researchers found about 10% of the samples --including ones from well-known brands -- had arsenic levels higher than 10 parts per billion. Consumers Union, the publisher of Consumer Reports, has advocated since then for a 3 parts per billion limit but said in a statement that it is happy with the FDA's "reasonable first step."

The American Academy of Pediatrics recommends babies under 6 months of age not drink any type of juice, and that children 1 to 6 years old should have no more than 4 to 6 ounces a day.

The FDA has to accept public comments on their proposal for 60 days before these recommendations can be implemented.

@highlight

The FDA proposes new limits for amounts of inorganic arsenic allowed in apple juice

@highlight

This is the first time the FDA has set limits for arsenic levels in food or drink products

@highlight

Long-term exposure to arsenic has been linked to various forms of cancer