Louis and Bonnie Waterer are spending their retirement filling up their passports, one stamp at a time.

"There are a bunch of people who are trying to visit 100 countries before they die," Louis explained. "This is number 92 for us."

Country No. 92 for the Waterers is Cuba.

But up until a few years ago, even for intrepid travelers like the Waterers, visiting Cuba would have been close to impossible.

After Fidel Castro took power in 1959, Cuba went from being a favorite getaway for Americans to a forbidden destination. Diplomatic relations and direct travel between the United States and Cuba were cut off. U.S. citizens spending money on the island faced hefty fines for "trading with the enemy."

But after decades of false starts, the Obama administration has reinstituted legal travel to Cuba as a way to reach out to the Cuban people.

It's called "people-to-people" travel, and like nearly everything involving Cuba, controversy and politics are involved.

"Each traveler must have a full-time schedule of educational exchange activities that will result in meaningful interaction between the travelers and individuals in Cuba," U.S. Treasury Department guidelines for people-to-people travel read.

And while the policy has kicked off a debate over what is a "meaningful" exchange, a flood of tour operators has entered the still uncertain world of travel to Cuba.

Americans interested in visiting Cuba are offered free CDs of Cuban music and itineraries that include welcome parties thrown by Committees for the Defense of the Revolution, neighborhood watch groups that were created with the original intention of thwarting a U.S. invasion.

U.S. visitors coming via people-to-people trips shouldn't plan on too much beach time.

Under the Treasury guidelines, tour operators have to plan nearly every moment of the trip, and "people-to-people" travel, at least in theory, excludes relaxing by the pool with umbrella-topped beverages.

Most Americans heading to Cuba go there with the desire to make a connection with a people they have been prevented from having any contact with  for generations, according to Tom Popper, president of tour operator Insight Cuba.

"The fact that we are bringing Americans and Cubans together is an incredible thing," Popper said.  "It's a travel experience for the Americans, it's an incredible thing for Cubans. Some people in parts of Cuba that we go to, they have never met an American before."

People-to-people travel isn't cheap or easy, though.

A four-night "Weekend in Havana" trip from Insight Cuba, without airfare, sells for about $2,000 per person.

Popper said the high cost of the trips is due to the fact that operators need to send guides with their groups to make sure they comply with the travel regulations, and that renewing the yearly U.S. licenses can take months of navigating a complicated bureaucracy.

This summer, many tour operators wondered if people-to-people travel was ending altogether, after the Treasury Department started denying licenses to operators or simply not responding to renewal requests.

Several tour operators contacted by CNN said that the process may have gotten bogged down by the fact that the renewal application is now close to 200 pages and requires that the operators explain how each stop on the itinerary fosters greater friendship between Americans and Cubans.

"You are doing what you are supposed to be doing and they are changing the rules as we go. The guidelines are so vague," said Michael Sykes, who ran the now-defunct Cuba Cultural Tours.

Sykes laid off four employees after his license expired in July and he was denied a renewal.

"The language is so cryptic and so bureaucratic," he said. "Your average Joe isn't able to do this -- you have to understand the secret language."

Sykes has now hired what he calls a "bloody expensive" lawyer to guide him through the process, and he is hopeful that he will be back to planning trips to Cuba by the end of the year.

Some of the tour operators said they thought the logjam of licenses was caused by political pressure, particularly from Sen. Marco Rubio, R-Florida, who is Cuban-American and a fierce critic of the trips

"What these trips are all about is tourism -- it's tourism," Rubio said on the Senate floor last year. "The reason why this is problematic is it gives money to the Castro government."

Jeff Braunger, a Treasury Department official in charge of the Cuba licensing program, said in an e-mail that the department has approved licenses for 180 tour operators while making sure they are complying with the law.

"We revised the license application criteria to stress to applicants the seriousness of the requirements of the people-to-people licensing program, in part because of reports we received concerning travel under the licenses," Braunger wrote.

But some tour operators said travel to Cuba has become more cumbersome and expensive but is not policed any better. One tour organizer mentioned a recent licensed trip offered by a competitor that included a day of scuba diving.

"It's supposed to be people-to-people, not people-to-fish," the operator said.

And there are also complications on the Cuban side, tour operators said. Last month, the Cuban government abruptly canceled the landing rights for two of the U.S. charter companies operating flights to the island, reportedly over a payment dispute.

But most of the tour operators said the headaches are worth the opportunity to get in early on American tourism to Cuba, which is sure to explode when the embargo is eventually lifted.

"We are back in operations and hope to stay that way," Insight Cuba president Tom Popper said. Popper had to lay off 22 people as he waited several months for the company's license renewal, but he has since added 17 back to his staff.

On a trip organized by Insight Cuba last month, 12 Americans spent their morning speaking with Cubans at a neighborhood art project.

Michael Pettit, a lawyer from Charleston, South Carolina, said he was struck by Cuba's many contrasts during his first people-to-people trip in May.

"I love Cuba," he said. "The history, music, people, photography -- it's all beautiful."

The politics and uncertainty over continued travel between Cuba and the United States persuaded Pettit to book another trip right away, he said.

"One of the reasons I came again is because you never know when you might be able to come legally."

@highlight

Legal travel to Cuba has been off limits to Americans for decades

@highlight

"Person-to-person" trips have been greenlighted by the Obama administration

@highlight

Visitors are required to engage in continuous educational exchange with Cubans

@highlight

Some operators have had difficulty renewing licenses to offer tours