Dresden, Germany (CNN) -- To understand the full beauty of the ancient Mediterranean city of Rome you have to come to wintry, cold Germany.

In the east German city of Dresden, artist Yadegar Asisi has designed a panoramic scene of epic proportions, breathing life into a long-forgotten view of the Italian capital.

Using a detailed and much-praised painting by Alexander von Wagner and Josef BÃ¼hlmann from 1886 as his inspiration, Asisi painted a first draft of Rome's cityscape in 1994.

Nearly 17 years later, an even more impressive version has gone on display; it will remain in Dresden only until September -- a deliberate decision by the artist.

"To me art is a constant process. I always want to improve my panoramic scenes," Asisi told CNN.

His 360 degree view of Rome in 312 AD is 27 meters high, 107 meters long and weighs 750 kilograms -- making it one of the world's largest panoramic scenes.

Visitors overlook the city from a 15 meter high metallic tower located in the center of the perfectly circular museum: Standing on top of the tower, viewers feel they are part of Rome -- though sadly unable to wander down the stairs and walk to the Colosseum.

Asisi chose as his subject a historical moment, the influence of which is still felt in Europe and around the world today: The triumphal procession of the Emperor Constantine the Great on October 29, 312.

Constantine's brutal success over his rivals marked the beginning of the Christian West. At that time Rome was vital to Europe, and the days when many of its magnificent buildings would lie in ruins were a long way off.

"Moments that have shaped our world have a huge impact on my art", said Asisi, sitting in his large Berlin studio, its walls filled with his paintings and photographs of ancient buildings or old reliefs.

"But this panoramic scene is not really about showing a cityscape, it is more about the stories hidden within the city," Asisi said.

The panorama is a museum that needs no words to tell its stories. An art form dating back to 19th century Europe, panoramas fell out of fashion with the coming of the cinema.

But why are people so fascinated?

"It seems Asisi's artistically and archaeologically-underpinned reconstruction of an ancient cityscape fills a large audience with enthusiasm for panoramic scenes and classical antiquity even today," said Andreas Scholl, director of Berlin's antiquities collection.

Asisi has created a second historic panorama showing the ancient Greek city of Pergamon (today located in Turkey), which is currently on show at Scholl's Pergamonmuseum, on the Museum Island in Berlin.

Asisi has been working on super-sized 360 degree panoramas since 1994. It takes him at least a year to design a single work, with previous subjects including Mount Everest and rainforests.

"Over the years the way panoramas were made has changed dramatically. I love to design on the computer as well as painting in the traditional way", Asisi said.

Today music samples, lighting and special effects are used to increase the impact of the panoramas, which change throughout the day, allowing visitors to see them by daylight or night.

Asisi has formed a symbiotic relationship between science and art: To him research is as important as artistic know-how.

"I don't know whether my work is art or science. Probably it is both: Art starts where science stops," he said.

His passion for details has taken him to Rome countless times -- and visitors' reactions suggest all that study has been worth the effort.

"This panorama is fascinating," said Rene Gust, 32, from Berlin. "I have read about the beautiful Roman buildings lots of times before. But only now I understand why."

"It is amazing to see how they go out of the museum," Asisi said. "Lots of them are touched by the painting.

"I hope that the emotional connection between the panorama and the visitor will change their relationship with their environment."

Having grown up in the former German Democratic Republic (GDR) some of his art focuses on social issues. He is planning a panorama of the Berlin Wall, but says that rather than examining the cruelties of the GDR regime, it will instead focus on a normal day in the once-split Berlin.

"To me it is extremely interesting why so many people in the former GDR did accept to live in such a country," he said. "Many people - including me."

Meanwhile his panoramas are exciting more and more interest overseas.

In 2003, Asisi drew a panorama for Daniel Libeskind which showed the architect's plans for the Ground Zero site in New York. Libeskind won the tendering process, and his design is currently under construction.

It was Asisi's first panorama to not only fake reality - but create it.

"And there is much more to come," Asisi said.

Yadegar Asisi's Rome 312: Experience the Ancient Metropolis is on display in Dresden until September 2, 2012. Pergamon: Panorama of the Ancient Metropolis is on view in Berlin until September 30, 2012.

@highlight

German artist Yadegar Asisi specializes in super-sized panorama paintings

@highlight

360 degree views of the ancient cities of Rome and Pergamon on display in Dresden and Berlin

@highlight

The Rome panorama is 27 meters high, 107 meters long and weighs 750 kilograms

@highlight

Each work takes at least a year to create, and is enhanced with lighting effects and music