(CNN) -- He founded modern South Africa.

The boy who grew up herding cattle in the hills of the rural Transkei area and attended a Methodist missionary school where he was given the name "Nelson" has dedicated his adult life to opposing the racist and segregationist policy of apartheid.

Nelson Rolihlahla Mandela at first advocated peaceful opposition to white rule in early work with the African National Congress, a liberation movement. But the stubbornness of the apartheid regime increasingly frustrated him, until he turned to armed struggle shortly after the Sharpeville Massacre in 1960 in which police killed some 69 black protesters, shooting many of them in the back. Shortly after the protest the regime banned the African National Congress and another liberation movement, the Pan Africanist Congress.

In 1964, Mandela was sentenced to life imprisonment for carrying out acts of sabotage. In prison he became an international symbol of opposition to apartheid. Over the decades that followed, as the movement against white rule in South Africa began to grow and unrest inside the country became increasingly violent, it became clear to the white government that they could no longer continue to govern without consulting the African National Congress and, in particular, Nelson Mandela.

In the 1980s, Mandela worked from prison to facilitate talks between the apartheid government and the ANC. He was unconditionally released from prison in 1990, just days after the ban on the African National Congress and the Pan Africanist Congress was lifted.

After spending 27 years in prison, on his release Mandela pursued a policy of reconciliation between black and white in South Africa. Many of the apartheid laws were repealed in the early '90s, but a few of the apartheid era laws are controversially still on the books.

Mandela became president of South Africa in 1994, but he stood for only one term before stepping down and continuing to foster national reconciliation. Some have criticized Mandela for placing too much emphasis on reconciliation and not transforming the country enough, but the vast majority of South Africans revere his legacy and its meaning in the society they inhabit today.

Visitors to the stunning nation at the tip of the continent can retrace many of Mandela's most significant moments, among them his release from prison 23 years ago, on February 11, 1990.

CAPE TOWN AND SURROUNDS

Robben Island

Robben Island is one of South Africa's premier tourist destinations The ferry ride from the Cape Town waterfront alone is worth doing for the beautiful view of the city and Table Mountain from the sea. But "the Island," as it was known during the days of apartheid, gives the visitor an eerie sense of desolation.

To really understand Nelson Mandela's struggle and the sacrifices he made for the freedom of his people, you need to take a tour of the prison where he was held. Walking through the now silent empty jail cells, you bear witness to the loneliness and suffering he overcame to become a world icon of reconciliation.

Groot Drakenstein Prison (Victor Verster Prison)

Set incongruously in beautiful vineyards near Paarl, the Drakenstein Prison is where Mandela spent the last 14 months of his imprisonment. Here he was treated with greater respect by the authorities and eventually was moved into the warden's rather comfortable suburban house.

Shortly after his release, Mandela built a house at Qunu, his birthplace in the Transkei, based on the layout of his prison lodgings. It has been said that the one thing he missed from his prison experience was the solitude and the chance to reflect, and the house reminds him of that feeling.

Mandela was released from Drakenstein on February 11, 1990, and images were broadcast around the world of him and Winnie Madikizela-Mandela walking hand-in-hand toward the crowds, their fists clenched. Today, outside the main gate, there is a dramatic bronze statue of Mandela that commemorates that event.

Stand on the road on the way to the prison gates and stop to imagine the excitement that erupted among the crowd in 1990 as Mandela finally emerged after 27 years.

JOHANNESBURG AREA

Soweto

Now a fascinating small museum, Mandela's old house in Vilakazi Street in Orlando West in Soweto shows just how black people lived under apartheid. Even relatively well-to-do people like the young Nelson Mandela, who was a lawyer, lived with their families in small four-room brick "matchbox" houses.

Mandela returned to this house a few days after he was released from prison, and many journalists interviewed him in the tiny garden, but after his release he never really lived there again.

Archbishop Desmond Tutu lived here, too, just down the road, so it is the only street in the world where two Nobel Prize winners have lived in separate houses.

Up the hill from Mandela's house is the Hector Pieterson memorial and museum. This is the point where the famous Soweto Riots began on June 16, 1976, and where the iconic picture was taken of a dying Hector Pieterson being carried while his sister ran crying alongside. The museum is excellent and well worth a visit.

Apartheid Museum

While not only about Nelson Mandela, this fascinating museum recreates what life was like for both black and white South Africans under apartheid.

It gives an excellent idea of what Mandela and other activists were fighting against and of their ideals for the future. Walking into the museum is an eerie experience as the entranceway is divided -- a gateway for blacks and a gateway for whites. It seems hard today to believe that such a system existed, but this museum lays it all out.

Constitution Hill

Constitution Hill is the site today of South Africa's Constitutional Court, which is regarded as a post-modernist architectural icon. If you're lucky, you might be able to listen in briefly on a constitutional hearing in the main chamber, and the court has a celebrated art collection.

The older buildings have a more ominous history. Built in 1892 under the old Boer Zuid-Afrikaansche Republiek, many of South Africa's most famous political prisoners, including Boer war leaders, Nelson Mandela and Mahatma Gandhi, spent time in the Old Fort Prison Complex. A tour through the old prison gives you a sense of South Africa's layered and complex past.

Liliesleaf Farm

Out in the northern suburbs of Johannesburg is the famous Liliesleaf Farm. It was some 12 miles outside the city in the 1960s and was purchased by the South African Communist Party with secret funds smuggled in from the Soviet Union. Arthur Goldreich, a white communist, fronted as the owner of the farm while Nelson Mandela, Walter Sisulu and other prominent ANC activists hid from the police in the outbuildings.

Many political discussions were held in the main house and by 1963, it was becoming clear to the ANC that they were putting themselves under too much risk. It was too late, on July 11 of that year, the police swooped in and arrested a number of top ANC leaders. Mandela was already on Robben Island for a previous conviction when the raid happened, but many still say today that his gun was buried on the farm and lies somewhere hidden in the earth.

NATAL AREA

Howick
If you are driving down to Durban from Johannesburg, you might want to make a short visit to the site at Howick where Nelson Mandela was arrested. Set in the beautiful Natal Midlands, the spot is only a few minutes off the main highway, the N3.

Though there's not a great deal to see, a sculpture recently has been erected to mark the spot. An ongoing mystery is tied to the place, though, as some activists have said the CIA tipped off the South African security forces, pinpointing Mandela at this spot. No one has proved the claim, and it remains uncertain.

EASTERN CAPE

Qunu

Qunu, on the Eastern Cape, is Nelson Mandela's hometown. His house -- which you cannot visit -- is right on the N2 between Durban and East London. If you're on the highway, the small museum at Qunu is certainly worth a stop.

If you find the right people at the museum, they will grab a small piece of plastic chair and you can slide down the vast curved rock that Nelson Mandela slid down when he was a young boy playing hooky from his duties as a cattle herder.

If you're lucky and have the time, you may be able to sit with a group of elders and sip the local sorghum beer known as Umqombothi. There is a tiny, reasonably priced bed and breakfast called Lili's where you can sleep in a typical Xhosa hut and try Xhosa food. The surrounding area is extremely poor but there are interesting things to see and do.

Nelson Mandela's life and legacy are layered into the life and landscape of South Africa, and as the years go by, his stature grows.

@highlight

Nelson Mandela was released from prison after 27 years on February 11, 1990

@highlight

His struggle against apartheid in South Africa is marked by many historic sites

@highlight

Robben Island, where Mandela was imprisoned, is one of South Africa's top tourist destinations