Long Beach, California (CNN) -- Taylor Wilson is going to create a safer source of nuclear energy, help reduce the world's stockpile of nuclear weapons, screen container ships for weapons and power manned missions to other planets. But first ... he has to graduate high school in May.

Jack Andraka is going to bring his 3-cent screening test for pancreatic, ovarian and lung cancer to market -- an alternative to a standard $800 test. But Jack, 16, hasn't been to high school much lately and isn't even sure he'll graduate.

The two teenagers with Justin Bieber style haircuts wowed the 1,400 people who attended TED2013 this week, fitting the conference's theme: "The Young. The Wise. The Undiscovered." They were among a number of youthful speakers who Time magazine's Ruth Davis Konigsberg called "some of the biggest showstoppers at the annual event."

By contrast, some of the older voices onstage struck notes that were far less hopeful. Northwestern University economist Robert Gordon declared that the era of strong economic growth in the United States is over -- as America faces the headwinds of an aging population, debt, inequality and educational weaknesses; he argued that it's hard to foresee innovations that could have the transformative effect electricity, indoor plumbing and the internal combustion engine had in powering growth in the past century.

Former Michigan Gov. Jennifer Granholm, calling for a private sector-funded "race to the top" among states, lamented the inability of Washington politicians to develop a national energy strategy. She got laughs when she noted that Congress' approval rating is worse than lice, root canals and Donald Trump (although better than that of gonorrhea and meth labs).

TED.com: Granholm's clean energy proposal

And Lawrence Lessig, an author and professor at Harvard Law School, sketched an even starker picture of political dysfunction, a "pathological, democracy-destroying corruption" in which a tiny minority of Americans representing powerful interests use their campaign donations to determine which candidates survive the primaries. Even against long odds, Lessig said the problem is fixable if enough Americans organize to bring about change.

There were other speakers whose inventiveness and ambition were unambiguously upbeat.

Jane Chen spoke about developing a lower-tech method to save the lives of premature and low birthweight babies in regions where access to incubators isn't readily available. Her social enterprise Embrace distributes a specially engineered and heated sleeping bag that provides babies the heat they can't generate on their own until they're developed enough to survive.

Google CEO Sergey Brin demonstrated Google Glass, a smartphone-like piece of headgear that enables access to your contacts, your e-mail, your searches and your photos. His pitch for the device -- now being tested by a select few for $1,500 apiece and due on the market later this year -- is partly that it frees people up from the "nervous habit" of constantly checking their smartphone as they walk: "Is this what you're meant to do with your body?"

TED.com: Amanda Palmer -- the art of asking

David Lang, talked of his Open ROV project, which markets an $800 kit -- using off-the-shelf parts -- for a remotely operated underwater vehicle that gives its makers the ability to explore underwater worlds in James Cameron fashion.

PayPal co-founder Elon Musk didn't mention his recent dispute with a New York Times reporter over the battery range of the all-electric Tesla Model S, but made a case for the car's virtues before describing his effort to market solar panels to homeowners and businesses and his SpaceX commercial venture to the heavens. He screened a video of a reusable 12-story-tall rocket launching, hovering and then returning to a launchpad ready for another flight.

SpaceX capsule reaches International Space Station

Keller Rinaudo demoed Romo, a $150 iPhone-powered robot that recently launched. It uses the brains of the phone's computer chip, its camera and a plastic chassis with tank-style treads to zip around a room, express emotions, interact with owners, kids and pets, and function as "Skype on wheels" for grandparents dropping in for a virtual visit.

Edith Widder, part of the three-person team that developed the device that lured a giant squid to an underwater camera, explained how it was able to get the first-ever video displaying the enormous size and intricacy of the animal in the deep ocean.

13-year old invents system to protect family livestock from lions

Ron Finley, an activist in South Central Los Angeles, is leading an effort to counter the neighborhood's "food desert," by growing fruits and vegetables on city owned and private land. "If kids grow kale, they'll eat kale," he said. "If kids grow tomatoes, they'll eat tomatoes."

Renowned photographer SebastiÃ£o Salgado showed finely etched works from his forthcoming book "Genesis," a 50-pound, $3,000 behemoth (there's a less elegant and smaller version for under $70) that does justice to the detail of his exquisitely composed black and white photos shot around the world.

TED.com: Sugata Mitra -- build a school in the cloud

Stewart Brand, the 78-year-old technologist who came to fame as editor of "The Whole Earth Catalog," introduced an ambitious plan to recreate extinct species, using DNA from museum specimens. The effort, echoing "Jurassic Park", won't bring back dinosaurs -- their DNA didn't survive the tens of millions of years since they disappeared -- but aims to "de-extinct" such species as the passenger pigeon, declared extinct in 1914.

TED normally attracts an audience of the elite of Silicon Valley, Hollywood and venture capital, along with foundation and corporate CEOs, who pay $7,500 for the five-day event, which is moving next year from Long Beach to Vancouver. (CNN has a partnership with TED in which it publishes selected TED Talks along with text pieces by speakers).

TED stands for "technology, entertainment and design," although its subject matter has branched out widely since its founding nearly 30 years ago.

The ingenuity of this year's youthful speakers was remarkable, and so was the confident way they expressed their ideas. Wilson, 18, is finishing high school while also attending the University of Nevada at Reno. He first attracted attention for creating a nuclear fusion reactor at 14.

In his TED Talk, he argued for an alternative to the most widely used nuclear power technologies.

Rather than create electricity by heating water and turning a turbine, Wilson's new reactor would use nuclear fission to produce energy from molten salt. His plan would be to centrally manufacture small fission reactors and distribute them widely for burial underground. He said they could last for 30 years without refueling, compared with 18 months for larger commercial reactors.

Since the reactors would not be pressurized, radioactivity would not be expelled as widely into the environment as in an accident like the Fukushima disaster, Wilson said. Costs would be lower since reactors would not have to be built onsite. Nuclear weapons could be recycled in the reactor, he said. And most exciting to the young space geek, such a reactor could power a spaceship to a distant planet and then be the power source for a human base at the destination, he said.

Andraka, who's 16 and a high school sophomore, won the top prize in the Intel Science Fair competition for his cancer screening test, which relies in part on carbon nanotubes to detect a protein that is present in the blood and urine in the early stages of the three deadly cancers, providing hope that they can be detected in time for a successful cure.

He told CNN in an interview that he doesn't go to high school much anymore but is busy with other projects -- including inventing an MRI the size of a credit card and leading a team of high school students competing for the $10 million Tricorder X Prize to design a handheld device people could use to monitor their health.

Andraka and Wilson probably don't have to worry about it but another speaker added a sobering element to the celebration of youth at TED. Meg Jay, a psychologist and author, argued against the idea that the 20s are a period of extended adolescence where people can postpone key life choices. By the time people reach 30, they may have missed out on some key chances to take their life in the directions they hope to pursue. "Thirty is not the new twenty," she said, urging people to "claim your adulthood" and start making choices.

Spoken word poet Shane Koyczan, a 36-year-old whose new video "To This Day" has attracted 5.5 million views, offered a reminder that for all that young people can achieve, many still carry a heavy burden. He told of being bullied as a child to the point that, without realizing it, he turned into a bully himself. He spoke of kids being called names, making them feel like "oddities juggling depression and loneliness" and challenged them:

"if you can't see anything beautiful about yourself

get a better mirror

look a little closer

stare a little longer

because there's something inside you

that made you keep trying

despite everyone who told you to quit"

@highlight

TED2013 conference theme was "The Young. The Wise. The Undiscovered"

@highlight

Speakers included a mix of young and older voices, many with ambitious ideas

@highlight

One 18-year-old with nuclear reactor experience proposed a different power plant design

@highlight

Older voices expressed concern about economic and political challenges facing America