(CNN) -- As debt-ridden Greece braces for strikes while its prime minister attempts to reassure Europe that his country will pay its bills, the 17 eurozone countries are in various stages of deciding whether to approve the expansion of Europe's bailout fund.

The proposed enhancements to the European Financial Stability Facility would allow the fund to increase its lending capacity from â‚¬250 billion to â‚¬440 billion and buy sovereign bonds in capital markets -- a strategy designed to prop up debt prices and help struggling eurozone countries fund themselves.

Europe's leaders originally hoped that the EFSF would never have to be used; now they are hoping the fund's new powers will be enough to prevent the collapse of the eurozone.

First they will have to pass the measures. Here's a rundown of where the countries stand and the dates their governments approved (or are expected to approve) EFSF expansion.

YET TO APPROVE

Estonia -- September 29

The Estonian parliament passed one of two necessary resolutions to ratify EFSF expansion earlier this week, despite attempts by the country's main opposition party to block the changes on the grounds that one of the eurozone's poorer states simply cannot afford to help bailout failing eurozone economies. Final approval is expected on Thursday.

Malta -- October 3-7

Malta joined Finland in its demand that Greece put up collateral in exchange for any additional bailout money that Malta would pay into the EFSF. But it is unclear whether Malta will join the Finns in dropping that requirement before passing EFSF enhancement. Either way, approval and ratification of any proposed plan cannot happen until lawmakers return from recess on October 3.

Netherlands -- October 3-7

Once opposed to expanding the rescue fund, the Dutch are now expected to approve enhanced EFSF measures with a parliamentary vote by the end of the first week of October -- although hardliners in the government continue to call for the private sector to take on more of the debt burden.

Cyprus -- October 3-7

The Cypriot cabinet has approved the measures and parliament is expected to ratify the EFSF expansion sometime during the first week of October.

Slovakia -- Mid to late October

One of the eurozone's poorest countries is also the biggest obstacle to enhancing the EFSF -- and members of the governing coalition's refusal to approve the plan means a parliamentary vote may not happen until mid-October.

Portugal -- End of October

While Portugal hasn't officially approved EFSF expansion, it is expected to within weeks -- the cash-strapped country is, after all, receiving financial assistance from the bailout fund.

ALREADY APPROVED

Germany -- September 29

The German Bundestag approved the expansion of the EFSF by a vote of 523-85 -- a huge majority and an important victory for Chancellor Angela Merkel, who has led calls for the bailout fund to be enhanced. Approval of EFSF expansion measures by Europe's largest economy -- and largest holder of Greek debt -- was seen as necessary for the bailout fund's future success.

Finland -- September 28

One of the most vocal opponents of EFSF enhancement in the early going, Finland has now dropped its demand that Greece put up some cash collateral in return for its approval -- a requirement that threatened to derail the bailout fund expansion and further destabilize global markets. By a vote of 103-66, the Finnish Parliament approved the measures Wednesday, despite the absence of any agreement over its demand for collateral.

Slovenia -- September 27

Despite a no-confidence vote that brought down Slovenia's government last week, the parliament approved the expansion of the bailout fund on Tuesday.

Greece -- September 27

Easily the least surprising 'yes' vote on this list, Greece officially ratified EFSF expansion yesterday -- a vital step towards the bankrupt nation receiving a second bailout worth over 100 billion euros out of the bailout fund in the coming months and years.

Austria -- September 27

Just weeks after opposition parties blocked the government's attempt to fast-track the EFSF bill, lawmakers approved EFSF enhancements that are expected to be officially ratified on September 30.

Ireland -- September 22

Another of the obvious 'yes' votes on the list, Ireland -- which received an 85 billion euro bailout last year -- was never going to object to EFSF expansion.

Italy -- September 15

Ratification of the expansion of EFSF powers was included in Italy's passage of highly contentious austerity measures aimed at balancing Europe's third largest economy by 2013.

Spain -- September 15

Spain, known along with Italy as the two at-risk eurozone countries that are "too big to bail out," passed EFSF expansion several weeks ago.

Luxembourg -- September 15

As expected, Luxembourg approved EFSF enhancement, but Prime Minister Jean-Claude Juncker reportedly ruled out any proposed increases to the amount of money at the fund's disposal.

Belgium -- September 14

The Belgian parliament approved the EFSF expansion by a large majority.

France -- September 8

Europe's second largest economy was the first country to approve EFSF enhancement. French banks are among the most exposed to risk due to a potential Greek default.

@highlight

Germany's approval of EFSF expansion is seen as necessary for the fund's success

@highlight

Once opposed to EFSF enhancement, the Netherlands are expected to approve in early October

@highlight

Members of Slovakia's coalition government steadfastly refuse to approve EFSF expansion