(CNN) -- New York Yankees future Hall of Fame third baseman Alex Rodriguez is returning to the lineup he was forced from on July 24 when a bone in his left hand was fractured by a pitch from Seattle Mariners ace Felix Hernandez.

Rodriguez, who had to leave the game, was awarded first base after being hit, but there were no other penalties to Hernandez, who, on a night when his control was off, hit two other Yankees (three of the last five batters he faced) before giving way to a relief pitcher in a game that ended with a 4-2 Seattle victory. (Rodriguez is expected to be back in the lineup for the Yankees' Monday night game in Tampa, Florida.)
               

Rodriguez was lucky his injury wasn't more serious. He did not get hit in the head, but under Major League Baseball's current rules, a serious injury to Rodriguez would have been treated the same as a minor injury.

There is no meaningful penalty in baseball for a pitcher hitting a batter with the ball. Yet what the helmet-to-helmet hit is to football, the bean ball and its cousin, the brushback pitch, are to baseball -- a tactic that is potentially life-threatening.

The National Football League, stung by lawsuits and a series of cases in which autopsies done on players in their 40s and 50s have revealed brain damage, has stiffened penalties for hits to the head and shortened the distance on kickoffs to reduce the violent collisions they produce.

By contrast, Major League Baseball appears to have learned nothing from history when it comes to rules for protecting batters. Little has changed from 1920, when Ray Chapman, a shortstop for the Cleveland Indians, was killed by a high fastball thrown by Carl Mays of the New York Yankees. 

Yet over the years there have been numerous, highly publicized cases of beanings that could easily have been fatal. In 1967 Boston Red Sox outfielder Tony Conigliaro, the youngest home run champion in American League history, sustained permanent eye damage and missed the rest of the season when he was hit by a pitch from Jack Hamilton of the California Angels.

In 2000, New York Mets catcher Mike Piazza was forced to miss the All-Star game as a result of the concussion and headaches that followed a beaning by the New York Yankees Roger Clemens, a notorious brushback pitcher, whom Piazza had tagged for a grand-slam home run a month earlier.

How many serious injuries have resulted over the years from batters being hit by pitches is impossible to say. Major League Baseball has never kept systematic records on this issue and the dark side of the game that it reflects. Pitchers who like to intimidate batters and pitchers who don't have good command of their pitches have been free to go about their business without fear of penalty. 

Major League Baseball's substitute for rules that penalize a pitcher for hitting batters has been equipment, namely the plastic helmet. The helmet became mandatory in 1971 and with the addition of earflaps, helmets have improved over the years. But mandatory helmets should be a last, not a first, resort when it comes to player safety. Helmets minimize the damage that occurs after a beaning. They fail to give pitchers incentive to avoid throwing brushback pitches in the first place.

What is needed to make pitchers avoid brushback pitches along with the beanings that come with them are a series of rules with penalties that send a clear message: Major League Baseball is serious about protecting its players.               

Rule 1: Distinguish between a pitch that is dangerous and a pitch that is life-threatening. The head and face are the most vulnerable areas for a player, and a pitch that hits a player anywhere above his chest should be treated with special harshness. Instead, of being awarded first base, a batter struck above the chest should be given second base and thus put in a position to score on a single.  

Rule 2: Treat a pitcher who hits more than one batter differently from a pitcher who hits a single batter. A pitcher who hits a second batter in a game should face automatic ejection and a fine of $10,000, no matter where his pitch lands. The severity of this penalty would mean any pitcher who thrives on intimidation would be put on a short leash, but it would also recognize that a pitcher who has poor control is a menace. 

Rule 3: Make a team, not just an individual pitcher, accountable for hit batters. Under this rule a team would be able to get away with hitting only one batter per game. Any time a second batter was hit, the pitcher who threw the ball would be treated as if he had already struck a batter. A team could not, as a result, game the penalty system for hitting batters.

Rule 4: Increase pitcher liability for a hit batsman. Rodriguez has been lost to the Yankees for a good part of the season, while Hernandez, who now has a 13-6 record, has enjoyed a stellar year. The result is unfair to Rodriguez and the Yankees. The only way to equalize the situation partially is make any pitcher who forces an opponent out of the lineup remain out of his own team's lineup for the same number of games as the injured opponent. 

Traditionalists will complain about such reforms, but throughout its history Major League Baseball has done much to alter its original product. It has made the ball livelier, allowed individual teams to alter their outfields to give themselves an advantage and even banned the spitball.

What is different about these hit-batter rule changes is that their aim is safety rather than entertainment. A few batters might take advantage of them and try to get hit, but given the dangers that come from a pitch traveling upward of 90 mph, most batters are not likely to risk their careers just to get on base.

These reforms don't turn baseball into a game for softies or cheats. Instead, they preserve the national pastime we know by making sure those who play it don't risk life and limb any more than they need to.

The opinions expressed in this commentary are solely those of Nicolaus Mills.  

@highlight

Alex Rodriguez is returning to New York Yankees' lineup six weeks after a pitch hit him

@highlight

Nicolaus Mills: Baseball doesn't do enough to protect batters from pitchers

@highlight

He says penalties should be increased against pitchers, teams that hit batters

@highlight

Mills: Players could suffer permanent or even fatal injuries from pitches