(CNN) -- For several months now, Filipinos have been treated to the spectacle of yet another impeachment trial aired on national television.

Renato Corona, chief justice of the Supreme Court is in the dock, accused of illegally amassing cash and real estate as well as of "partiality and subservience" to the previous president, Gloria Macapagal-Arroyo.

In a country where politics has always been about scandal and spectacle, it's showtime once again. In the past weeks, prosecutors at the trial have submitted evidence of posh apartments allegedly purchased by the chief justice as well as substantial amounts in his bank accounts. These, they said, weren't listed on his financial disclosures and their total value far exceed his legitimate earnings.

If this sounds like an old script, it's because it is. In 2001, then president Joseph Estrada was impeached -- and later overthrown in a popular uprising -- for much the same reasons. And it all happened on national television.

Cheered on by Manila's rambunctious media and chattering classes, coalitions of both reform-minded and opportunistic politicians have since then attempted to restage the triumph by launching impeachment suits against a succession of high officials.

These high-profile political dramas capture the public's attention and raise awareness about malfeasance in high places. But are they the best way to fight corruption? Is the "sturm und drang" of political trials the most effective way of cleansing government?

The current president, Benigno Aquino III, seems to think so. As a legislator, he had backed Estrada's impeachment and also the failed impeachment of Arroyo, whose family was hounded by accusations of corruption. As president, he vowed to bring Arroyo to trial. He has also supported the impeachment of the anti-corruption ombudsman. Now it's the chief justice's turn.

Aquino came to office on an anti-corruption platform. His election slogan was "daang matuwid" -- the straight path -- and his allies believe that powerful officials who obstruct that path must be forced out. In particular, they see the ombudsman and the chief justice, both Arroyo loyalists, as obstacles to the prosecution not only of the former president but of others they want to hold to account.

But this strategy is not without political costs. If the chief justice is not impeached, then Aquino will have a sworn enemy in the country's highest court. The Philippine Supreme Court is a powerful institution: it can block the implementation of laws and also obstruct legal action against corrupt officials.

The long, drawn-out trial has already taken its toll. Legislation has been stalled as Congress focuses on the impeachment. And the bizarre, and sometimes comic, twists and turns of the chief justice's trial has sucked up the public attention and shifted it away from the systemic reforms that are urgently needed.

Meanwhile, largely away from the public gaze, some of Aquino's Cabinet have been cleaning up. The Philippine Center for Investigative Journalism recently reported that the secretary of public works had overhauled the bidding procedures for road projects and had cut down the costs of some projects by over 30%.

In 2009, the World Bank complained about "systemic corruption and bid rigging" in Philippine public works projects. Now it seems that under-the-radar reforms are gaining ground; there are signs that the collusive system that begot the legendary corruption in the country's road projects is being dismantled.

Tax revenues are also at a record high, thanks to two reform-minded officials who head the Bureau of Internal Revenue and the Bureau of Customs, which have traditionally been impregnable fortresses of graft. Tax collection has risen nearly 30%, even without new taxes, the largest ever increase in 20 years.

These developments provide reason for hope. They have also largely taken place outside the cockfighting arena of congressional or judicial politics.

Political trials can be cathartic. They bring wrongdoers to justice. They also provide opportunities for civic education. But they have proven to be a riskier and less effective path for anti-corruption reform. After all, the ouster of the womanizing and boozing Estrada -- who built palatial mansions for his mistresses and received briefcases stashed with cash from illegal gambling operators -- paved the way for the rise to the presidency of Arroyo, who now stands charged with rigging her election and squandering public funds so she can stay in office.

By casting the spotlight on the wrongdoing committed by individuals and focusing on the moral failures of one man or one woman, political trials blind citizens to the terrible truth: corruption is a cancer. Taking out a nasty tumor will not necessarily bring about a cure.

Will the Supreme Court, for example, be transformed into an institution that is above reproach once it is purged of its unsympathetic and fallible chief justice?

Nearly 10 years ago, I wrote about how the weakness of check-and-balance mechanisms within the high tribunal and the porousness of the structures and procedures that govern the court allowed illicit approaches to justices. I found a network of brokers composed of well-connected individuals who act as intermediaries to some justices and offer to fix cases for a price. I don't know that such porousness has since been plugged or that there will be a radical change if the current chief goes. But there will certainly be a court that's friendlier to the president.

Like cancer, corruption thrives on a system's vulnerabilities. For too long, Filipinos have been complicit in corruption because that was the only way to get contracts and other benefits from government. Politicians were allowed to dip their snouts in the public trough as long as they granted favors to their constituents.

Aquino was elected to office on the hope that he can change all that. His government is taking two paths to reform. The first is public trials. The second is the less trodden, less showy and less glamorous path of changing systems and procedures and depoliticizing the reform process. In the end, this path will be the more enduring.

The opinions expressed in this commentary are solely those of Sheila S. Coronel

@highlight

The Philippines is currently gripped by public trial of chief justice of Supreme Court

@highlight

Country has long been used to scandal and spectacle in political sphere

@highlight

President Benigno Acquino was elected on an anti-corruption platform

@highlight

Changing political and legal system and procedures could be most effective way to reform