Perhaps you've come across a recipe or two on Pinterest for perfect skin. We've seen them too: banana and orange facials, spicy acne masks, olive oil cleansers and more.

But whether you're holistically-minded, frustrated with drugstore finds or having a beauty emergency, it's not always wise to experiment on your face with that thing you saw on the Internet.

We wondered, should you ever put your skin and hair at the mercy of your kitchen pantry?

"For the most part I prefer drug store or department store or cosmeceutical products from your dermatologist because they're actually tested on the skin and they go through certain quality control measures," said New York dermatologist Dr. Doris Day. "But in a pinch, there are things you can use at home."

You just have to pick carefully and learn a little bit from the past. People have been using substances like olive oil, yogurt, vinegar, honey and aloe for skin care for ages, Day said, and now there are scientific studies that explain why they work.

We asked Day, who has a few DIY recipes of her own in her book, "Forget the Facelift,"  to guide us through the "dos and don'ts" of homemade beauty treatments.

Think different

Here are some of Day's favorite pantry beauty ingredients.

HoneyOne of Day's go-to products is honey. "Honey is published widely in medical literature for its use on wounds and diabetic sores," she said. It is antiseptic and creates a barrier on wounds that's breathable, like skin, she said. Honey also helps preserve homemade salves, so you can use them for more than one application. She includes honey in her recipes for acne treatment, eye de-puffing and exfoliating scrubs. It's excellent for treating eczema, she said.

AloeAloe, like honey, is great for treating wounds, Day said, and other skin irritations. It is anti-inflammatory, she said, so it's great for the pain associated with burns and poison ivy. Just pop off a piece of an aloe house plant and rub it directly on your irritated skin, she said.

"But it can sting when you first put it on the skin, so you have to be a little patient that way," she said.

OilsOlive oil and coconut oil are Day's favorites for home hydration. They are gentle on the skin, she said, and good for treating irritation. A little bit of these oils massaged gently around the eyes can help hydrate wrinkly skin under the eyes, but take care not to get it in your eyes, she said. Olive oil can even be used to effectively clean oily skin -- and is often used as a binder for sugar or salt scrubs.

For silky, shiny, smooth hair, Day recommends putting coconut oil in your hair, letting it soak in for a bit, then massaging in some shampoo before rinsing. If you shampoo after you've got water on your oil-soaked hair, it will be greasy for days, she said.

ExfoliantsSalt and sugar are excellent exfoliants, Day said. Baking soda, as well, can be used as a fine-grained exfoliant, and may have antiseptic and brightening qualities as well, Day said. It's simple to add salt, sugar or baking soda to any cleanser you already have and make it a scrub.

Dissolved epsom salts can also exfoliate the skin when used in high concentration. "Epsom salts are an all-purpose type of thing," she said. "Depending on the concentration, you can use it for everything from cleaning your furniture to get the calluses off your feet to help soothe your skin." It can help dry out a poison ivy rash if you use a small amount of Epsom salt in a bath, she said.

TeaIf you want to get antioxidants on your skin, use tea, rather than the often-suggested berries, Day said.

"You can put blueberries on your face, but that will just stain your skin and probably you won't get enough of the blueberry's antioxidant effect to make a difference," she said.

Steeped tea bags can effectively de-puff your eyes by themselves or strongly brewed tea can add antioxidant treatment to cucumber slices.

"White tea has the highest levels of antioxidants and caffeine, so that would be my preferred one for the face," she said.

YogurtSome DIY facial treatment recipes use milk for wrinkle-banishing properties, but Day said it's silly. Milk can actually spoil on your skin, and it's not strong enough to deliver any lactic acid, she said.

"It won't work," she said, "and it's expensive."

Instead, Day said, reach for the yogurt. In a mask, yogurt can deliver enough lactic acid to actually treat certain skin conditions.

Think twice

Here are some ingredients Days says to approach with caution, or consider other options.

VinegarPlain old white vinegar has historically been used as a deodorant, and it does stop body odor, Day said. But it has a major drawback: It stinks. "It's killing the yeast and certain bacteria," that can make you smell bad, she said, "but then you smell like vinegar." Adding essential oil to vinegar helps, but does not eliminate the salad smell entirely, she said.

As for making your hair shiny -- another often-suggested use --  "it might have an effect on the hair cuticle, closing it," she said, "but I don't know that I would use it in the hair." After all, coconut oil works better, she said.

Egg whitesEgg whites can provide a temporary tightening effect, a little relief for oily skin, Day said. But they come with a risk.

"You have to be careful with the egg white mask because egg whites sometimes have salmonella, and if you end up ingesting it by accident, you can actually get salmonella," she said. "So these days, unless you know the source of the eggs, I would be very careful with that one."

SpicesIf a DIY facial scrub recipe calls for cinnamon, use it at your own risk, Day said. "I think that would be irritating. You wouldn't get enough of a concentration of cinnamon and you can probably even get blisters," she said. "It's a spice. If you put pepper on your skin, you can burn your skin."

But your skin can benefit from spices in your food, she said. Turmeric is anti-inflammatory, she said, and she often suggests adding it to meals.

"But it will stain your skin orange and you won't get enough absorption from using it on your skin to get the benefit," she said. "Over-the-counter products that contain turmeric use turmeric extract, and those are better on the skin."

CitrusCitrus fruits, like lemons, can irritate skin, Day said. So if you're looking at a beauty recipe that calls for rubbing orange juice on your face or lemon wedges on your lips, stop reading. (Lips don't have oil glands, so they're especially sensitive," Day said.)

"Lemons have a chemical called psoralen, and the psoralen makes you exquisitely sensitive to light. It activates in about 10 to 15 minutes, and it takes about 24 hours to wear off. So if you do that, and go out in the sun, you can actually blister," Day said. "I see it on people at the beach if they're having a Corona or a margarita," she said. "Because they squeeze the lemon and get a rash on the back of their hand. It's the splatter pattern of how they squeezed the lemon, and the sunburn effect."

Hydrogen peroxideLike lemons, peroxide is often suggested as a home remedy for lightening hair color. But Day warns against it.

"It can bleach, but it can irritate," she said. "Peroxide is toxic to skin cells. So if you have a wound and you keep putting hydrogen peroxide on it, it won't heal." Only use it on the first day of your injury to clean a cut or a wound, she advised.

@highlight

Honey, olive oil and tea are great pantry products for your skin, dermatologist Doris Day says

@highlight

Citrus and spices can irritate skin, the "Forget the Facelift" author says

@highlight

Salt, sugar and baking soda are effective exfoliants, Day says