Washington (CNN) -- "I am not a member of any organized political party," Will Rogers once joked. "I am a Democrat."

Plenty has been written on the current fight for the soul of the Republican Party. But as President Barack Obama unofficially rings in the sixth year of his administration with Tuesday's State of the Union address, another intriguing struggle may be emerging -- between moderates and progressives on the Democratic side.

It's not a divide on a par with the cavernous pre-New Deal divisions of Rogers' day. Not even close. But it is taking on growing importance as Democrats, frustrated with unyielding Washington gridlock on virtually every major issue, start to look past the current administration.

More specifically, as Democrats look toward the future, there's sharp disagreement over whether to stick with a Bill Clinton-style centrist agenda or embrace the unabashed left-wing populism most notably personified by Sen. Elizabeth Warren of Massachusetts and New York Mayor Bill de Blasio.

"We are seeing a split in the Democratic Party between self-described progressives and the old guard," Brown University political scientist Wendy Schiller told CNN. "If you dig deep, you see that these are old dividing lines based on economics, region, and culture."

Policy ramifications aside, more liberal Democrats worry that a return to Clinton-era centrism will deflate the party's base. More moderate Democrats fear a full embrace of Warren- and de Blasio-style liberalism will herald a return to the party's McGovern-Mondale-Dukakis era political wilderness.

Whichever side wins this fight, one thing is already clear: Six years after flocking to the banner of Obama's "hope and change" candidacy, a lot of progressives are disappointed in the current Democratic administration.

"It's a mixed legacy," said Adam Green, head of the Progressive Change Campaign Committee, a Washington-based liberal group. "In some areas, like ending two wars, (Obama's) presidency has represented a return to some sanity. But on the core issue of corporate power and a government that fights for the little guy, this administration so far has had a lot of missed opportunities."

Hillary Clinton's Iowa problem

Among other things, Green criticized Obama for going along with "watered down Wall Street reform" and "a Republican version of health care reform."

Susan Schorin, a 68-year-old political activist from Virginia, told CNN she is particularly disappointed with Obama's willingness to consider changes to Social Security that could lead to a reduction in future benefits.

"I feel betrayed," said Schorin, a member of Green's organization and a volunteer for the Obama campaign group Organizing For America. Obama "was so enthusiastic and identified with saving these programs for people who really need them. He was extremely verbal about it."

Obama's a "great man," Schorin insisted. But he "turned his back on me and on all of the people that voted for him on that promise."

On the other side, the president and vice president of the centrist think tank Third Way published an op-ed in The Wall Street Journal in December warning that de Blasio- and Warren-style liberalism would be "disastrous for Democrats."

5 things about New York's new mayor

"While New Yorkers think of their city as the center of the universe, the last time its mayor won a race for governor or senator -- let alone president -- was 1869," they wrote.

And "what works in midnight-blue Massachusetts ... hasn't sold on a national level since (JFK's election in) 1960."

Warren: End 'Too big to fail'

In another dig at Warren, they argued that plans to boost Social Security benefits are "exhibit A of this populist political and economic fantasy."

One week later, Warren fired off a letter to the heads of six major banks, pushing them to disclose any contributions the banks may have made to think tanks.

"Shareholders have a right to know how corporate resources are spent, and, even more importantly, policymakers and the public should be aware of your contributions and evaluate the work of the think tanks accordingly," she wrote.

Meanwhile, with Obama's last campaign now well behind him, several left-leaning groups that had previously kept quiet for the sake of the President's re-election are now echoing Green's criticism and bucking the administration on a number of issues.

Earlier this month, a coalition of 18 environmental organizations sent the White House a letter warning that Obama's "all of the above" energy strategy -- one that embraces so-called "green energy" and more domestic extraction of traditional fossil fuels -- is unacceptable for those sounding the alarm about climate change.

"An 'all of the above' strategy is a compromise that future generations can't afford," the letter declared. "It increases environmental injustice while it locks in the extraction of fossil fuels that will inevitably lead to a catastrophic climate future."

Liberal groups made their displeasure clear last year when Obama considered Larry Summers -- a key member of Bill Clinton's economic team -- to head the Federal Reserve. Obama ultimately went with Janet Yellen.

A number of progressive leaders also pushed back against Obama's proposed airstrikes in Syria, and made clear their unhappiness with the recent budget deal that froze spending on key liberal domestic priorities.

Obama, who originally emerged from the more liberal wing of the Democratic Party, appears sympathetic at least to the economic populism arguments. In a speech in December to the left-leaning Center for American Progress, the President made clear that America's growing wealth disparity would be a focus of his remaining time in office.

"Increasing inequality is most pronounced in our country and it challenges the very essence of who we are as a people," he declared.

Obama says income gap eroding American dream

While divided Democrats will soon begin their search for a new standard-bearer, political observers warn not to make too much of the differences now bubbling to the surface.

"Both parties have a far greater degree of programmatic consensus than they did 40 or 50 years ago. This is one reason why the parties have polarized and why it is often difficult to achieve bipartisan compromises," noted George Washington University political scientist John Sides.

"The differences between Obama, Hillary Clinton, Warren (and others) are mostly at the margins," he argued. "There is far more agreement than disagreement on the fundamental issues."

De Blasio and the Clintons: The ties that bind?

"By their nature, political parties are coalitions of mostly like-minded voters and groups," Johns Hopkins University political scientist Adam Sheingate added.

"It's not uncommon for there to be differences on policy issues within the coalition, or a range of opinions on issues that span part of the political spectrum."

Regardless, Schiller argued that the financial demands of modern presidential campaigns may ultimately spell defeat for de Blasio- and Warren-style economic populism.

The political war over poverty

"There is a strong voice within the Democratic Party that believes Barack Obama has not done enough to protect the average working voter," she said.

"For now Elizabeth Warren personifies that voice, but when the pressure to raise really big money for 2016 rears its ugly head (and) the Democrats need to be competitive for Wall Street money, her voice may very well get drowned out by the pragmatic wing of the party."

Schiller also noted that around the dawn of the last century, the Republican Party wrestled with a similar split on economic issues. The outcome of that struggle eventually helped fuel decades of dominance for Franklin Roosevelt's New Deal coalition.

"History tells us that danger lurks for both the Democrats and the Republicans if they fail to heal their internal divisions," she warned.

@highlight

Dems disagree over whether to stick with centrist agenda or embrace left-wing populism

@highlight

Obama "so far has had a lot of missed opportunities," progressive leader says

@highlight

When 2016 rolls around, pragmatists might drown out progessives, expert says