(CNN) --   Connie and Donald McCracken were watching CNN one evening last week when they learned of the tragic death of actress Natasha Richardson from a head injury. Immediately, their minds turned to their 7-year-old daughter, Morgan, who was upstairs getting ready for bed.

An injured Morgan McCracken has benefited from awareness after Natasha Richardson's death.

Two days earlier, Morgan, her father, and brother had been playing baseball in the yard of their Mentor, Ohio, home when her father hit a line drive that landed just above Morgan's left temple. A lump formed, but the McCrackens iced it down and the swelling subsided within an hour.

"For the next two days, she was perfectly fine," Donald McCracken says. "She had no symptoms. She went to school both days and got an A on her spelling test as usual. There were no issues whatsoever."

But after hearing about Richardson's death, the McCrackens wondered if Morgan was really as OK as she seemed. After all, Richardson had been talking and lucid immediately after her fatal injury.

When they went upstairs to kiss Morgan good night, she complained of a headache. "Because of Natasha, we called the pediatrician immediately. And by the time I got off the phone with him, Morgan was sobbing, her head hurt so much," McCracken says.

The McCrackens took Morgan to the emergency room at LakeWest Hospital in neighboring Willoughby, where doctors ordered a CT scan and immediately put Morgan on a helicopter to Rainbow Babies and Children's Hospital in Cleveland, with her father by her side.

"I knew it was bad when she had to get there by helicopter in six minutes, instead of the 30 minutes it would have taken to get to Cleveland in an ambulance," McCracken said.

When the helicopter arrived at Rainbow, the McCrackens were greeted by Dr. Alan Cohen, the hospital's chief of pediatric neurosurgery. He whisked Morgan into the operating room, pausing for a moment to tell McCracken that his daughter had the same injury as Richardson: an epidural hematoma.

McCracken remembers standing in the emergency room, feeling like the life had just been sucked out of him. "My heart sank," he says. "It just sank."

Unlike Richardson's, Morgan's story has a happy ending. After surgery and five days in the hospital, she's at home and doing fine. "Dr. Cohen told us that if we hadn't brought her in Thursday night, she never would have woken up," McCracken says.

Now the McCrackens sometimes wonder if they waited too long to get Morgan to a doctor. After hearing about Richardson's death, many people are asking themselves the same question: Do all head injuries need attention, even ones that seem minor?

"Sometimes there's a gray zone, and there's no right answer," Cohen says.  Watch for tips on when to go to the ER »

In most cases, it's pretty clear when someone needs medical attention after a head injury, says Greg Ayotte, a spokesperson for the Brain Injury Association of America and a cognitive rehabilitation therapist. "They're confused, they're agitated, or they might be dizzy or unresponsive," he says.

But then there's what doctors call the "talk and die" scenario, where someone seems fine, only to die hours, or sometimes even days later.

"Talk and die" can happen with several different kinds of brain injuries. In the case of epidural hematomas, the injury Richardson and Morgan had, blood pools in the area between the lining of the brain and the skull. "Fluid is building up in a contained space, creating pressure. Something's got to give, and that something is the brain," Ayotte says. If you don't get to the hospital to have surgery to drain the fluid, "the deterioration can happen very quickly."

Here, from Ayotte and other experts, is a list of what to do after someone has suffered a head injury.

1. Be vigilant

Keep an eye on someone who has hit his head, even if the person never lost consciousness. "A lot of folks are still under the assumption that as long as you're not knocked out, you're OK, and that's not true," Ayotte says.

2. Look for dizziness, vomiting, headache and confusion

If the injured person has these signs, take him or her to an emergency room, says Dr. Jam Ghajar, clinical professor of neurological surgery at Weill Cornell Medical College in New York, and president of the Brain Trauma Foundation.

3. Look for changes in symptoms and behavior

Any sudden change, such as Morgan's headache going from mild to severe in minutes, means the person needs medical attention. For example, Ghajar says, if a person gets suddenly sleepy in the first 12 hours after a hit, it may mean the parts of the brain responsible for staying awake are experiencing pressure from a bleed.

4. Be especially wary if someone a) has been drinking alcohol, b) is on blood thinners, c) is elderly or d) is a young athlete

It's tough to distinguish brain-injured behavior from drunken behavior, so when in doubt, take the person to the hospital, Ghajar says. Also, blood thinners can turn a mild bleed into a major bleed, so be especially vigilant if the injured person is taking blood thinners such as warfarin.

He also warns people to be extra vigilant when an elderly person hits his or her head. The Centers for Disease Control and Prevention has information on traumatic brain injury and senior citizens. The CDC also has information on concussions in young athletes.

5. Go to a certified trauma center if you can

The American College of Surgeons has a list of certified trauma facilities; a hospital that's not a trauma center may not have a neurosurgeon on call. You can also look on this map from the American Trauma Society. Find your state, select trauma centers, update the map, and you can find information about trauma centers in your area.

The McCrackens say they look back and still can't believe Morgan suffered such a severe injury and didn't show any signs for 48 hours. "She didn't black out, her speech wasn't slurred, she wasn't dizzy, she wasn't any of the things you'd expect," McCracken says. "And you don't want to be one of those panicky parents who takes their child to the emergency room all the time."

Cohen's advice after a head injury: When in doubt, go. "It's always better to err on the side of being conservative," he says.

CNN Medical Producer Sabriya Rice contributed to this report.

@highlight

Richardson's death raises question: When should you go to ER after head injury?

@highlight

Dizziness, vomiting, headache and confusion are all red flags

@highlight

Take special care if person is on blood thinners or is elderly

@highlight

Doc: "Sometimes there's a gray zone, and there's no right answer."