Casablanca, Morocco (CNN) -- Morocco's Facebook youth movement Fevrier 20 has called on civil society groups the length of the country to participate in a nationwide demonstration Sunday.

The youth group's main aim is to draw massive attention to the subject of corruption in this North African country, which was recently ranked at the 89th most corrupt in the world by Transparency International.

Despite a government initiative to crack down on corruption with a two-year plan -- rolled out in October -- and a recent law to protects whistle-blowers, most Moroccans believe that graft is a key issue that needs to be tackled head-on. Government initiatives are widely regarded as ineffective.

Corruption accounts for a loss of about 2% of Morocco's GDP, officials have said. More important, it deters vital foreign direct investment from flowing into Morocco, they say.

The 45,000-strong movement is said to be supported by most of Morocco's non-governmental organizations, according to press reports.

"We call to demonstrate peacefully in all the towns to put an end to corruption, to injustice and for a real democracy in our country," explained one youth on a video posted on the movement's Facebook page.

The movement, which is often criticized as having been infiltrated by mainstream politicians from various parties, is expected to put as much pressure as possible on King Mohammed VI. He recently pledged a considerable overhaul of the country's political setup, including the election of a prime minister, rather than appointment, and the shift of power from the capital to the regions.

The king is widely revered in Morocco, yet many Moroccans are skeptical about whether real reforms will be implemented in a new political landscape he hopes to unveil in mid-June, after a special constitutional commission finalizes its work on the blueprint. Many world leaders, such as U.S. Secretary of State Hillary Clinton and French President Nicolas Sarkozy, see the plan as a bold example for other Arab countries to follow.

Clinton recently said that the move represented a "model for others in the region" that holds "great promise first and foremost for the Moroccan people."

Yet few Moroccans are so upbeat about the new constitution, as there seems to be little in it to give hope to many who want concrete initiatives to reduce corruption.

"The main areas of concern when we talk about corruption in Morocco are the judiciary, police and hospitals," Transparency International's local chief Rachid Filali Meknassi said. "We need a real followup to a lot of initiatives which were taken in previous years so that political corruption can no longer infiltrate the justice system."

Judges in Morocco are appointed by the justice minister and the king in theory but in reality are installed by their own political parties, which in turn advise them on how to conclude cases.

"To give you an idea how bad it is in the judiciary," Filali Meknassi said, "we conducted a survey in 2005 and found that the majority of judges and lawyers in Morocco have no faith in the system being free of corruption. We also know through our own call center that in some cases, judges can be individually persuaded with incentives."

Despite numerous reports commissioned by the government on corruption in the judiciary, along with the establishment of an anti-fraud body and a special "accountability" court, not one prosecution has been processed against a judge.

In 2008, the Ministry of Justice processed about 6,000 corruption cases across all government departments, although there were few obvious results. In the same year, the accountability court conducted 245 audits of national governmental offices and 198 of local authorities. The court's report focused on graft in the Health Ministry, the National Investment and Development Fund and several local mayors. There were also no prosecutions by the year's end.

Fevrier 20 hopes that Sunday's demonstrations will attract more than 300,000 people in all major Moroccan cities and present an unprecedented stand against the present rhetoric attached to the new constitution. But the group doesn't specifically want to target corruption in government ministries.

"We want a new constitution, which will define exactly what the new rules and regulations are in place to stop corruption," explained Said Benjebli, one of the movement's architects who edits the main Facebook page.

"All we have at the moment is speeches, and the laws are not working," he said. "There are people in Morocco who have become millionaires due to being given public contracts just through their contact with the king. This has to stop. But then even smaller-scale corruption, like those who can't get a job despite having the qualifications, is also important."

@highlight

The group Fevrier 20 calls for nationwide demonstrations Sunday

@highlight

Most Moroccans believe graft is a key issue

@highlight

King's plan for political overhaul applauded by world leaders

@highlight

But many citizens are skeptical about real reforms