Oxford, England (CNN) -- The first coffeehouse to open in England, a still-operating café on High Street in Oxford, is more than a place to get a beef and horseradish sandwich, according to author and blogger Steven Berlin Johnson. It represents a turning point in Western culture that helped usher in nearly 500 years of scientific and cultural progress.

The reason: Until coffee and tea became popular, "alcohol was the daytime drink of choice," he told the TED Global conference in Oxford on Tuesday. Water wasn't safe to drink, so wine, beer or gin was a better choice for breakfast, lunch and dinner.

"Until the rise of the coffeehouse, the entire population was effectively drunk all day," Johnson said in a talk aimed at explaining how ideas get started. "If you switched from a depressant to a stimulant in your life, you would have better ideas."

Moreover, the setting of a coffeehouse, which encourages the mixing of people from different backgrounds, is perfect for sharing and crafting innovative thoughts.

"An astonishing number of innovations have a coffeehouse somewhere in their story," he said.

Great ideas often don't result from a single "eureka" moment, but instead come from what Johnson called "the slow hunch," as they evolve and interact with other ideas.

He traced the development of GPS technology, starting in the 1950s with efforts by Western scientists to track the Russian Sputnik spacecraft. And that same GPS technology now can help you find a nearby coffeehouse that will serve you a soy latte, Johnson joked.

Mixing and sharing ideas was one of the themes of the opening speakers at TED Global, where the theme is "And Now the Good News."

Matt Ridley, author of "The Rational Optimist," says the sharing of ideas -- or in his phrase, "ideas having sex with each other" -- is a tremendously powerful force driving human progress.

Watch Matt Ridley's talk at TED.com

Exchanging ideas allows tremendous specialization of labor, to the point where no single person can fully understand what it takes to create an object as complex as a computer mouse, which relies on the efforts of millions in industries as diverse as the oil industry that creates the plastics to the coffeehouse that supplies a drink to the product's designer.

"We've created something called the collective brain," Ridley said. "We're just the nodes, the neurons in the brain ... "

"As we go forward, we will of course experience terrible things. There will be wars, there will be natural disasters ... but because of the connections people are making and the ability of ideas to meet and mate as never before, I'm also sure that living standards will advance ... we are surely accelerating the rate of innovation."

A tripling of the productivity of agricultural land in past decades has saved some of the tropical rainforest and Ridley predicted that rainforests could start increasing in the second half of the century as the human population peaks and starts to decline.

Other ideas were mixing and mating in Oxford at the first day of TED Global, which is a product of the nonprofit TED, dedicated to "ideas worth spreading."

It holds conferences and makes videos of its speakers available at http://www.ted.com/. [CNN partners with TED to present a TEDTalk every week, with added content, on CNN.com]

Among the ideas were these:

China's rise not a cause for fear

Joseph Nye of Harvard University, the influential thinker and former assistant defense secretary, cautioned against equating the rise of China and Asia with the decline of America and the West.

He pointed to recurrent and groundless fears of U.S. decline over the past 50 years and noted that in the larger story of history, Asia is regaining influence that it had 200 years ago, before the Industrial Revolution.

China's gain doesn't have to be the West's loss: "If China develops greater energy security and greater capacity to deal with carbon emissions, that's good for us," Nye said.

Cause of the 21st century: Ending oppression of women

Sheryl WuDunn, the author of "Half the Sky" with her husband, Nicholas Kristof, said the 19th century's central moral challenge was ending slavery, the 20th century's was ending totalitarianism and this century must be about freeing and empowering women.

"More girls have been discriminated to death" in past decades, she said, than people killed on the battlefields of the 20th century.

Educating girls and bringing them into the work force limits population growth, since educated women tend to have significantly fewer children.

She told the story of an aid worker who saw horrible things happen in Darfur without breaking down. In the backyard of the woman's grandmother, back in the U.S., she saw a bird feeder and broke down in tears.

"We have the great fortune to be born in a country where we take security for granted," she said, and we can feed and house ourselves and even put out food so wild birds won't starve in the winter. Americans and those in other Western countries "have all won the lottery of life," and have an obligation to help people throughout the world.

Strength of a nation isn't how much it can produce

Nic Marks, founder of the Center for Well-being at the New Economics Foundation in London, said all the daily measures people hear in the news relating to stock prices, exchange rates and gross domestic product emphasize greed without tapping into human happiness.

"Our national accounting system became fixated on what we can produce," Marks said, quoting Robert Kennedy's famous statement that "the gross national product measures everything except that which makes life worthwhile."

"How crazy is that?" Marks said. Surveys show people want happiness, love and health more than they want wealth.

"These are natural human aspirations, why are statisticians not measuring that, instead of being fixated on how much stuff we have?"

The liberating power of cartoons

Patrick Chappatte, an editorial cartoonist based in Switzerland, picked up on the theme of questionable consumerism by showing a cartoon of Steve Jobs making a pitch for the iPhone: "It'll simplify a lot of tasks you never had to do before."

A man sees a newspaper vendor's poster: "Print media is dying," and says "I already read that on the internet yesterday."

The punchline of another cartoon: "The internet has changed music. Before we had to go to the store to steal it.

And yet another, showing a confessional as someone behind a curtain says "Father, I've sinned," and the priest, Googling the parishioner on a computer screen says, "I know."

Cartoons are in the middle of a clash of civilizations, Chappatte said, as free expression collides with those who want to enforce religious orthodoxy around the world.

For dictators around the world, he said, "good news is when cartoonists, activists and journalists shut up."

And when their ideas stop having sex.

@highlight

Speakers at TED Global conference in Oxford stress connections between ideas

@highlight

Matt Ridley: Ideas "have sex," multiplying their value and driving up living standards

@highlight

Steven Berlin Johnson: Great ideas aren't born overnight but evolve over time

@highlight

Human happiness is not about producing and acquiring more things, they say