Editor's note: CNN.com has a business partnership with CareerBuilder.com, which serves as the exclusive provider of job listings and services to CNN.com.

If you've rolled up your sleeves and gotten experience, tell potential employers when applying for a job.

Talk to a dozen students on any college campus and you're likely to hear a dozen different perspectives on what they hope to get out of college. Some want high GPAs; some want to get into the work force and earn a lot of money.

Ask their parents and you'll get just as many different answers. Some parents hope that their children earn their degree and have an easy time finding a job. Others want them to be at the top of the class so they can get into the best graduate school possible. And some just want their children to stop partying long enough to attend class once in a while.

Ask employers what they want from graduates and the answers are equally diverse. Depending on the job, you might need a degree and an internship, a degree and work experience, or the right connections to even land an interview.

According to the U.S. Census Bureau, nearly 39 million Americans over the age of 18 have a bachelor's degree. Considering that 281 million people live in the country, college graduates are still a small percentage of the population.

Still, with a number in the millions, you are competing with a lot of job seekers who also have the same educational background as you. Relying only on your bachelor's to land a job is not the safest route to employment. As with most things, it's all in the presentation.

Degree or not, presentation matters

Sue Chehrenegar studied biology as an undergraduate and biomedical research as a graduate student. During her job search, she found herself losing out on job opportunities because she lacked the proper experience, despite her education. Or so she thought.

"At the end of the 1980s, I spent more than one year looking for a job," she remembers. "I kept getting this question: 'Have you done anything in the area of molecular biology?'" She would tell employers that she didn't have the proper experience because she wasn't specifically trained for that.

"I did not mention the fact that I once assisted a graduate student who was putting DNA and RNA into cultured cells."

What does that mean in layman's terms? Because her specialization and the bulk of her experience was not in this particular field, she didn't consider the limited work with the graduate student worth mentioning. She later realized employers weren't looking for someone to be the ultimate authority on the subject; they wanted someone who had a broad range of knowledge.

"I realized my mistake more than two years after I got a job," Chehrenegar remembers.

"My first year I worked in an infectious disease lab. Later, they put me in a molecular biology lab. When I helped with one of the projects in that lab, I realized that my old, unmentioned experience related to what I was doing at that time."

A degree isn't useless

Sure, if you're applying for a job with bio- as a prefix, you know a degree is a requirement. But for less research-intensive jobs, you might think a degree can always be supplanted by enough experience. Depending on your occupation, that could be true but isn't a hard and fast rule for all positions.

For example, you might be able to find work at a museum, but you the odds of you transitioning into a curator can be extremely difficult without extensive education in art history and related courses. You could find that you hit a ceiling in an organization.

Although this bodes well for graduates who come armed with one or more degrees, it also means that workers in this industry have the opportunity to earn an education while they ascend the corporate ladder. In some cases, the combination of their experience and a recently awarded degree could be more impressive if you've relied on your degree and haven't diversified your experience.

How to present yourself

Here are some tips to keep in mind when presenting yourself to employers:

• Even though you know education isn't the single factor in getting hired, it is often a prerequisite to land an interview. Don't hide your degree just because you have a lot of experience -- you don't want to lose out on an interview because your education was overlooked.

• Use all of your education to your advantage. Connect the job requirements to any courses you took, whether as an elective or part of your minor. You might not have loved that statistics course, but if it's relevant to the job, mention it.

• Treat work experience and internships as proof that you're a professional, not just a student. If you speak as if you see yourself as a student who doesn't consider himself or herself as part of the working world, the employer might not either.

Copyright CareerBuilder.com 2009. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority

@highlight

Presentation of your experience can be just as important as your degree

@highlight

Some 39 million Americans have a bachelor's degree

@highlight

Present any of your internships or work experience that employer may appreciate