(CNN) -- It's called a document dump.

In this case, 175 pages of contractors' internal updates on the beleaguered HealthCare.gov website were blasted out Wednesday night by Rep. Darryl Issa's Republican-led House Oversight and Government Reform Committee.

You can read it all online. But we read it so you don't have to, poring through the jargony, technical documents ("Pre Prod is now IMP1A"), to give you another option -- the five things you need to know:

Related: Obamacare launch may have been worse than first reported

1. Low-tech options failed too

In the first weeks of the Obamacare sign-up, the two low-tech options for Americans -- the call center and paper applications -- struggled and sometimes froze. An October 8 entry about the number of paper forms turned in at that point simply said "500 applications ... but can't process any because of log-in and other issues." By October 16, some 3,000 paper applications were in the processing center but only "81 have been successfully entered."

A tough decision emerged: Should navigators -- those who help people sign up -- recommend that folks leave the slow website and send in a paper form? Or would that matter? Contractors wrote they were waiting on the Department of Health and Human Services to decide. By October 15, contractors were recommending the paper applications, documents show.

Meanwhile, the call center was getting high marks for low wait times and professional operators, but an October 3 note reads: "50% of call center calls have issues." The problem was with a technical interface to check people's identities. Four days later, a more basic issue: "Our call center reps can't see their screens," wrote an unnamed consultant.

In response, the Department of Health and Human Services told CNN that these are contractor notes that only depict the state of the website in its first days. "We have made significant progress," said HHS spokeswoman Joanne Peters.

Related: 4 Obamacare myths: Both sides get it wrong

2. It's all about the 834s

In a document full of figures and consultant-speak, one number stands out: 834. That's the code for the final step in the HealthCare.gov process, when all the data entered is sent to the insurance company a user has chosen. It sets up the actual insurance policy and hands off responsibility to the company or organization running that plan.

But from the start, that data was not transferring correctly. "834 issue - Raised here as well - issuers not receiving 834s that they should be getting," a contractor wrote on October 3. At one point no one could track whether the final 834 data entered by individuals was actually the same as the 834 data going out to insurers.

Related: GOP focuses on overall Obamacare troubles, not just website

3. A small group of contractors was key

Reading these pages feels almost voyeuristic. It's a bit like hovering in the back of the main conference room for HealthCare.gov. Problems are listed, tasks to respond to are handed out crisply and clearly.

And from the back of the room, you notice something. Those tasks go to a small core group of top coordinators, representing different companies and pieces of the process. The documents refer to those generally on a first-name basis, but not that many names appear. Two dozen or so people -- Carlos, Abigail, Joy, Beth, Milan, Sandeep, John, Meg at CGI, Devon, Lourdes, Gina and others -- had a lot of work on their plates.

Related: In Dallas, Obama will hit Republicans for resisting Obamacare

4. The initial technical issues were many and massive

On the first day, there was a big problem that we hadn't heard about before. "There was a fix regarding residency for Medicaid and CHIP that was not fixed correctly and is denying ... 90% of people based on residency," the war room notes from the day read.

As the documents move on and issues are tackled one by one, sweeping problems continue to appear.

October 9: "A new problem in the system has been identified: for about 30% of the 70,000 applicants, the system has skipped applicants through 'events' that are required to complete the application." In other words, nearly a third of applicants couldn't fill out the form, because the website was skipping "events" or entries they needed to make.

Related: Obama 'can't go back' and change Obamacare vow

5. The devil was really in the details

While big-picture problems erupted with HealthCare.gov, hundreds of smaller but still urgent issues were flying from the volcano as well.

A few examples:

• At one point, a software problem hit every application from a married couple. The program recorded each spouse as "unmarried," not just an identity issue but a major data issue for insurers.

• For weeks, programmers fought a problem that initially blocked and later snagged naturalized citizens who needed verification from the Department of Homeland Security.

• Contractors spent almost two weeks sorting out how to handle weight loss surgery and whether insurance companies need to include that in all policies.

• In mid-October, the tool to estimate potential premiums was misreading ages, recording each person as having an age range, rather than a definite age. That was affecting the tool and its results, potentially for almost everyone.

Related: 6 things presidents regret they said

CNN's Z. Byron Wolf and Tom Cohen contributed to this story.

@highlight

175 pages of internal documents show troubleshooting problems with HealthCare.gov website

@highlight

A core group of contractors was tasked to quickly identify and fix problems

@highlight

Issues range from problems passing data to insurance companies to confusion over married couples