(CNN) -- The birthday girl every Fourth of July is the Statue of Liberty, the image on party napkins, on parade floats and the backdrop for fireworks displays in New York Harbor. She is the ultimate American symbol, a gift from France to the United States, it is said, implying that she was a gift given government to government. The truth is, she could more correctly be called a gift from one artist to the world.

In an era when we have given up the desire to astound each other simply to please or provoke wonder, this an important distinction.

Frédéric Auguste Bartholdi dreamed up this colossus back in the late 1800s. A middle-tier statue maker, he took his plan to Egypt and pitched a colossal robed slave holding up a torch to stand at the mouth of the Suez Canal. When that deal failed, Bartholdi brushed off the design and brought it to America, all on his own dime. He went door to door, office to office, presenting the vision and meeting with rejection.

But with the well wishes of a few staunch supporters, he kept driving onward, winning other commissions to pay the bills and building Liberty piece by piece in Paris, paying for each section as soon as he could drum up donations. He sought out all of his engineering collaborators on his own. He dreamed up entertainments to raise monies through ticket sales.

And it was he who yanked the massive French flag from her face at her unveiling in 1886. He threw himself into the arms of a friend and wept.

Liberty remains. Bartholdi is essentially unknown. You say the name Bartholdi, and even savvy New Yorkers look blank.

Bartholdi could foresee that future. When he visited Liberty just before leaving America that year, he acknowledged, "She is going away from me." He had lost the sense that she was his, a feeling he had possessed when climbing over her copper structure in Paris. She would be given to future generations.

Bartholdi created one of the most powerful trademarks in history and is largely unknown. I suppose few people know the name Jim Schindler either, the man who designed McDonald's Golden Arches -- and that was pretty powerful, too. But still it seems a bit amazing Bartholdi should go largely unrecognized for his work of art.

We might not feel constantly awestruck that a work 305 feet tall -- taller than the ancient Colossus of Rhodes, whose legend lasted millennia -- mingles with us. But Liberty, barring emergency closures for events such as Superstorm Sandy, attracts about 3.8 million tourists a year. Every year, she flutters the hearts of people hiking to her head, as surely as she fluttered the hearts of immigrants arriving in the New World. Her power remains.

She is an echo of an era when people sought to produce wonder and ecstasy in their fellow citizens purely for the sake of creating a fabulous artifact of human possibility, even if their personal fame might vanish before the work did.

Astounding and delighting one another was the vogue. Eiffel made his tower, just after he designed the scaffold for Liberty's interior. Thomas Edison proposed a colossal phonograph inside Liberty to make her "talk." Inventors brought their products of genius to kaleidoscopic World's Fairs to enchant viewers as much as serve merchant interests.

"When I discover a subject grand enough, I will honor that subject by building the tallest statue in the world," Bartholdi said in his 20s, 30 years before he unveiled his statue.

It is hard to imagine anyone nowadays either demonstrating the patience to wait for an idea to strike or pursuing the goal of honoring a subject ... a concept. Ideas are now considered important only if they are flypaper for money, not precious, heaven-sent gifts. Good ones are catchy or addictive. Few people try to invent something that will make the consumer say, "Look what humankind has achieved!" Our popular entertainments titillate or intoxicate.

I worry we have lost our sense of the importance of sharing our talents for the common good, partly because there is so much economic pressure put on the middle class, with stagnating wages and rising costs for housing, food and more . The middle class, in my historical research, seems the group from which big ideas have long sprung. And we compound the pressure by stealing the work of our inventors and artists, leaving them no means to actually survive.

We weigh down our potential visionaries and inventors with college debt. When they begin to produce, say, music, we take it from them and pay fractions of pennies to listen to it, even as we pay stockbrokers at the lowest end $7 to $10 to make a trade.

We underpay or don't pay for a journalist's writing. We require so little public art or decorative art that those artists of ours who don't rise into the filament-thin clique of superstars only survive by working at many other jobs. Anyone not connected to a company is required to double pay Social Security taxes as well as burdensome health insurance premiums (even with Obamacare).

So there is no time for tinkering or deep pondering unless you work for Google or Tesla or SpaceX. Putting our geniuses under the corporate umbrella means we craft amazing inventions, but before we can gloat that mankind has achieved something great for mankind, we monetize the hell out of the invention, putting it out of reach for most or, in the case of, say, medical inventions actually turning those great discoveries into financial burdens

Now I know that Bartholdi created his work for more than altruistic purposes. His ego fueled him.

Showing his own anxiety, he got the Statue of Liberty copyrighted with the hope that he could earn income from the commercial use he knew was coming (he was savvy to what he considered the less appealing part of America). When he could never collect, he groused at his financially tight existence.

But because he had received cheerleading in his youth from his mother, who encouraged his pursuit of grander visions, he could at least rest easy that he got to see the work complete and knew it would survive him.

Nowadays, if we love our kids, dare we encourage them to create something vast and important that might last centuries?

Unless their creation was a money magnet, encouraging such an undertaking would almost be like condemning them to potential extinction. In Bartholdi's day, you could try something big and if it didn't work out, you would have your disappointment, but you could still pay the doctor in barter. You could suffer setbacks and failures and know that you would at least get by.

It's interesting to me that in my neighborhood in Brooklyn, the artist Kara Walker has installed a giant sugar Sphinx in an abandoned sugar factory that is soon to be turned into pricey condominiums. I'm sure the real estate agents love it as a lure for those future condo sales. Regardless, the lines stretch down the block every day, every hour, for weeks now and visitors speak to reporters who ask about their intense emotional and intellectual reactions to this massive otherworldly sculpture.

People flock to see this colossal Sphinx. They come because it's a happening but they also come, I believe, because they are so starved for the work of a person trying to impress them and to amaze them without a corporate entity intervening to make a bundle on it.

They wait on noisy Kent Avenue for a fleeting taste of this rarity, for a sign we might still have space for human invention ... that we can all share in what humanity can achieve.

@highlight

Elizabeth Mitchell: Statue of Liberty birthday girl of July 4; few recall her creator

@highlight

Frédéric Auguste Bartholdi built Liberty, a labor of love, piece by piece with donations

@highlight

She says creating art just to reflect a concept, wow later generations a lost notion

@highlight

Mitchell: People starved for creations made just to amaze them, not to draw money