(CNN) -- Spending 24 hours in Le Mans is not for the faint-hearted. The legendary French motor race is for the fearless, the global players, the 24-hour party people.

It's a feat of endurance for drivers, engineers, car manufacturers, media and fans alike. But, if you can muster the strength, the rewards are great; the experience exhilarating.

In the equivalent of 16 Formula One races completed back to back, the professional drivers take on treacherous night conditions and the risk of an accident with one of the amateur entries -- one ex-Formula One star ended last weekend's race in hospital after a spectacular spill.

But the racing is only half of the story. Car corporations spend millions showcasing innovative technology, while off the track fans parade in all manner of costumes.

On Sunday Audi continued its recent dominance of an event that dates back to 1923, as German driver Andre Lotterer took the checkered flag for the second successive year

The La Sarthe circuit in the heart of the French countryside is a Mecca for motorsport fans, and the race provides a unique challenge for competitors that ranks alongside F1's Monaco Grand Prix and the United States' Indianapolis 500 as the sport's blue riband events.

Asked to sum up what makes Le Mans so special, the reliably succinct television commentator Martin Brundle resorted to reeling off a list.

"The track, the ambiance, the crowd, the titanic challenge of the phases of the race, you versus the track, you versus the elements, 30 scheduled pit-stops..." began the 53-year-old, an ex-F1 driver and a winner at Le Mans in 1990.

He finished 15th overall on Sunday in his first Le Mans race since 2001, competing alongside his son Alex on Father's Day.

"It's just an incredibly complex challenge. We do the equivalent of 16 F1 races in a day if we get to the end of the race -- that's how tough it is," Brundle said.

The drivers of the 35 cars that finished last weekend's race certainly earned a rest -- and a shoulder-rub or two -- in the days that follow Le Mans.

Each car had a rotating three-man team of drivers assigned blocks of 45-minute slots behind the wheel, although it was normal for them to stay out on track, pushing on for more than two hours.

For many, the biggest challenge is "the graveyard shift" when the sun sinks, leaving unblinking headlights and the neon streaks of passing cars to guide the drivers round pitch-black corners.

"At night it feels like a video game," said former F1 driver Karun Chandhok, after becoming the first Indian to race at Le Mans.

"It's so surreal because you're through the forest and all you've got are the headlights, the LED dashboard and lights coming towards you."

Driving through the night is just one hazardous allure of Le Mans. The race is also fraught with potential dangers because it invites four classes of cars of variable speeds as well as professional and amateur drivers to compete together.

Britain's Anthony Davidson, another former F1 driver, is recovering after breaking his back when his front-running Toyota was tipped upside-down and into the air in a collision with a Ferrari sportscar driven by a 52-year-old amateur.

Davidson, who cheerily tweeted he was "happy to be alive," knows, just like any racer, that rewards in this sport come with the caveat of great risk.

The potential rewards for car manufacturers at Le Mans are no less significant. Audi's entries put on an ultimate show of strength for their brand, powering to all three overall podium places and the manufacturer's 11th Le Mans win in 12 years.

But rumors in the Le Mans paddock suggested the German car company spends at least $125 million a year on research and development alone for its Le Mans on-track project.

The American Starworks Motorsport team won the junior LMP2 category, while the Italian Ferrari AF Corse team won the professional race for sportscars.

Race organizers, the Automobile Club de l'Ouest, also encourage car manufacturers to invest in testing and showcasing new technologies -- especially those with relevance to future road cars -- during the race weekend.

Audi made history by winning the classic race in a diesel-hybrid car for the first time. A hybrid car uses two types of technology for energy; Audi also adopted an electric flywheel system devised by the Williams F1 team to help power the car.

Toyota, whose two cars were unfortunate non-finishers, had returned to Le Mans for the first time in 13 years to showcase the Japanese firm's petrol-electric hybrid technology.

But the car that set pulses racing was the sleek, black American-built Nissan DeltaWing, cherished because it dared to be different -- and because of its resemblance to "the Batmobile."

Highlighting "downsized technology," the car -- invited to race as a guest entry -- was half the weight of a typical Le Mans prototype and designed to consume half the usual fuel and tires.

The demise of the DeltaWing, after it was cruelly thumped into the barriers by a Toyota in the first half of the race, seemed only to further fan the flames of fervor.

Race organizers plan to invite a hydrogen-fueled prototype to take part in 2013.

While the asphalt hummed with this year's race cars, the service roads thronged with shuttles and golf buggies chauffeuring corporate guests to hospitality, helicopters and product launches in a 24-hour marketing assault.

"Motor shows are irrelevant for fans, we need to get to our customers and be close to the fans on and off the track at events like this," said the general manager of Nissan Europe, Darren Cox.

With 55 assorted cars starting the race -- from Audi juggernauts to the racy Corvettes and Porsches -- there was plenty to quench the 250,000 car-thirsty fans who flocked to France.

There will also be plenty of pilgrims returning with less fragrant memories of a few days spent in a French field.

Memories perhaps of men dressed as Pamela Anderson, complete with lifeguards, swaying mounds of glass beer bottles, $18 pizzas, a motorized wheelbarrow with a perilous pace and the whiff of rubber from an improvised burnout drag strip along the service roads.

Le Mans is a brilliant event to "endure" with relish -- but perhaps it's a relief that it comes but once a year.

@highlight

Le Mans 24-hour race is an endurance test for fans, as well as drivers

@highlight

Classic race first staged in 1923 and regarded as one of motorsport's blue riband events

@highlight

Finishing teams complete the equivalent of 16 Formula One races

@highlight

Audi's victory on Sunday was the manufacturer's 11th Le Mans win in 12 years.