(CNN) -- Mitt Romney has won the New Hampshire primary. That much was clear as soon as the polls closed Tuesday night. It took a little while longer to sort out exactly where the other candidates finished behind him, but that barely matters. Regardless of the other candidates' performances in New Hampshire or even what happens in the South Carolina primary next week, Mitt Romney is extremely likely to be the Republican nominee.

How can we know this so early, after only one primary election and the Iowa caucus? The dominant political science explanation of the presidential nominating process is contained in the book, "The Party Decides" by Marty Cohen, David Karol, Hans Noel, and John Zaller. They point out that candidates need support from their party's politicians and activists across the country.

From 1980 to the present, no candidate who significantly trailed in party endorsements has won the nomination. A few candidates have been nominated in years when no candidate took an early endorsement lead. These include Mike Dukakis in 1988 and Barack Obama in 2008. But no candidate has succeeded when significantly trailing by that measure.

There are reasons to believe that this pattern is not a coincidence. Your party's politicians and activists can help you organize and raise money as you hopscotch to primaries and caucuses across the country. On top of this is the effect of national media figures on TV, radio and the Internet closing ranks around the candidate most leaders in their party support.

We got an excellent example of this in December when Newt Gingrich opened up a fairly large lead in Iowa and national polls. Romney's supporters used his fundraising advantage to pummel (through a sympathetic super-PAC) Gingrich with negative ads. On top of this, Republican pundits almost universally condemned Gingrich.

As Ben Smith of Politico noticed, on December 14, just about all columnists on the Washington Post op-ed page, regardless of their ideologies, criticized Gingrich.

On his morning show on MSNBC, former Republican congressman Joe Scarborough, who served with Gingrich in the 1990s, called him a "bad person" who "will destroy our party." This would continue if someone like Gingrich had initial success in the primaries and caucuses.

As chronicled by Nate Silver, Mitt Romney now has a big lead in Republican Party endorsements, giving him a huge advantage moving forward. Through the end of November, Romney had 55% of all Republican endorsements and his share has only increased in December and after his slim victory over Santorum in Iowa. The only other person with a non-trivial number of endorsements is Texas Gov. Rick Perry. Consequently, Perry remains the only candidate who could somewhat plausibly challenge Romney in a drawn out fight for the nomination.

How did this happen? How did a candidate who relatively recently supported abortion and gay rights, and who as governor passed a health reform bill remarkably similar to the president's, manage to lock up the Republican establishment's support? It wasn't inevitable. The most plausible alternatives were former Minnesota Gov. Tim Pawlenty and Perry.

Pawlenty likely miscalculated by dropping out after weak performances in debates and in the Iowa straw poll. Pawlenty's campaign was low on cash. But many Republican endorsers were late in deciding to go with Romney. If Pawlenty had laid off campaign staff but stayed in the race, he might have benefited from a late surge in endorsements and in the polls. (Pawlenty's mediocre debating performances would have evoked Cicero in comparison to Perry.)

Which brings us to the second candidate who could have won support from Republican elites: Perry. Right after he announced, it appeared that he might be able to match or even surpass Romney in establishment backing. But he has been hurt by his extremely weak campaign skills, including disastrous performances in debates and on the stump.

In Republican eyes, he may be a reliable conservative, but he appears to be someone incapable of running a competent campaign against Barack Obama. Still, Perry remains the only candidate besides Romney with nontrivial support from Republican elites. If he could somehow manage to run a respectable campaign and win a substantial number of votes in South Carolina, he would be Romney's only halfway plausible threat.

The opinions expressed in this commentary are solely those of Jonathan Ladd.

@highlight

Jonathan Ladd: It's a good bet that Mitt Romney will win the GOP nomination

@highlight

He says we can make that judgment based on his support among party insiders

@highlight

Candidates with the endorsement of party elites have typically won the nomination

@highlight

Ladd: The only candidate who even approaches Romney's party endorsements is Perry