European leaders Saturday held telephone talks with Russian President Vladimir Putin and his Ukrainian counterpart after a Ukrainian military plane was shot down by separatists, killing all 49 people on board, officials said.

The Ilyushin-76 military transport plane went down early Saturday while approaching an airport in the eastern Ukrainian city of Luhansk, said military spokesman Vladislav Seleznyov from the anti-terror operation unit.

Ukraine's defense ministry said the plane, which was transporting military personnel, was shot down by insurgents using anti-aircraft machine guns.

The attack, which represents one of the bloodiest single events in that nation's current period of turmoil, spurred a diplomatic flurry to limit further escalation of the crisis.

On Saturday, French President Francois Hollande and German Chancellor Angela Merkel held a telephone discussion with Putin on the crisis in Ukraine, according to the Elysee Palace and the Kremlin.

Hollande and Merkel expressed their deep concern about the ongoing fighting in eastern Ukraine, particularly Saturday's attack, the Elysee Palace said. The French and German leaders stressed the importance of reaching a cease-fire in Ukraine and avoiding the transfer of fighters and weapons across the Ukrainian-Russian border, according to Hollande's office.

The Kremlin said the three leaders also talked about the drafting of a United Nations Security Council resolution aimed at promoting a settlement. The European leaders stressed the need for an agreement on continuing Russian natural gas deliveries to Ukraine, according to the Elysee.

"Situation is dangerous, but I hope will remain under control," Ukrainian Deputy Foreign Minister Danylo Lubkivsky told CNN Saturday. "With no doubt, more pressure on Russia is needed."

In a phone conversation with Hollande, Ukrainian President Petro Poroshenko urged the European Union to immediately consider sanctions against Russia, including the termination of "military-technical cooperation," Poroshenko's office said.

Ukrainian Prime Minister Arseniy Yatsenyuk spoke by phone with U.S. Secretary of State John Kerry, who expressed condolences for the loss of life and "strong concern" about the flow of heavy weapons and militants across the border from Russia, a senior State Department official said.

Kerry also talked with Russian Foreign Minister Sergey Lavrov, voicing his concern over the downing of the Ukrainian transport plane and pressing Lavrov to "make clear" Russia's commitment to peace, a cease-fire and political dialogue, the state department official said.

In a statement, Poroshenko said the army and state border service had closed 248 kilometers of Ukraine's border.

"The goal us to take back control of Ukraine over the state border and provide adequate response to terrorists," he said.

A U.S. National Security Council spokeswoman Saturday condemned that attack, saying officials were "deeply concerned about the situation in eastern Ukraine, including by the fact that militant and separatist groups have received heavy weapons from Russia, including tanks, which is a significant escalation."

"Regarding sanctions, we have said that we want to give Russia the opportunity to pursue de-escalation," NSC spokeswoman Laura Lucas Magnuson said in the statement. "President Obama made clear that de-escalation depends upon Russia ceasing support for separatists in eastern Ukraine and stopping the provision of arms and materiel across the border, and we urge Russia to do so."

Video posted to YouTube claimed to show the plane being shot down. Small flashes can be seen climbing skyward, followed by large flashes on the ground on the distant horizon.

The plane was also carrying military machinery and supplies, the ministry said.  Officials originally had said the incident occurred late Friday but later updated the time.

Poroshenko announced a day of mourning Sunday to honor those killed and said Ukrainians are grieving.

"It is a great loss not only for the families of the deceased ones, but for the whole country," he said. "Everyone involved in this cynical, large-scale terrorist act will be punished."

In an indication of the continued opposition from some quarters to the Kiev government, the state security office said in a statement Saturday that a homemade bomb was found overnight outside a gate to Poroshenko's office.

The device was made of grenades and a kilogram of other material, such as metal screws, and had a threatening note attached that demanded that the President stop military action against the separatists, the statement said. The person who left it was spotted but fled without detonating it.

The Kiev-based government is carrying out what it calls an anti-terrorist operation, centered in the Donetsk and Luhansk regions, to try to regain control from pro-Russia separatists.

Russia and Ukraine have been engaged in a tense standoff since March, when Russia annexed Crimea and massed troops along its border with Ukraine. Moscow has since begun to withdraw those forces.

NATO: Tank images raise questions

NATO released images Saturday that it said raised "significant questions concerning Russia's ... involvement in the movement of military equipment from Russian territory into Ukraine."

Ukraine's acting Interior Minister Arsen Avakov claimed Thursday that three Russian tanks had crossed the border into Ukraine as part of a larger armored column, prompting a skirmish between Ukrainian and Russian forces. The vehicles entered at a checkpoint controlled by separatists in Ukraine's eastern Luhansk region, Avakov said, citing Ukrainian intelligence.

The Russian Foreign Ministry told the BBC on Thursday that the claim its tanks had crossed the border was "another fake piece of information."

But the United States also believes tanks and heavy weapons have crossed into Ukraine from Russia after moving from a deployment site in southwest Russia, State Department spokeswoman Marie Harf said Friday.

The images released by NATO show the movements of Russian forces at a site near Russia's southwestern city of Rostov-on-Don, about 75 kilometers from a border crossing the body says is controlled by Luhansk separatists.

No tanks were at the site on May 30, according to NATO. An image from June 6 shows the departure of the Russian military unit but the arrival of 8 main battle tanks. On June 11, 10 main battle tanks can be seen at the site, NATO said. Of these, three have been loaded onto the kind of low trucks "normally used to move tanks, likely indicating imminent movement by road."

NATO also cites video posted online showing tanks on the move in Makiivka and Snizhne in eastern Ukraine, in one instance accompanied by a vehicle flying a Russian flag.

"The tanks do not bear markings or camouflage paint like those used by the Ukrainian military.  In fact, they do not have markings at all, which is reminiscent of tactics used by Russian elements that were involved in destabilizing Crimea," the NATO statement said.

It also accused Russian officials of having been "repeatedly misleading and evasive regarding their roles in both Crimea and eastern Ukraine."

If the latest reports are confirmed, the statement added, "this would mark a grave escalation of the crisis in eastern Ukraine in violation of Russia's Geneva commitments."

U.S. and EU leaders have warned that additional economic sanctions could be imposed on Russia if it further escalates its incursion into Ukraine.

Russian leaders in turn say Ukraine has failed to move to implement the framework for peace worked out in Geneva, Switzerland, in April. They say Ukrainian leaders have carried out a campaign of violence against people living in the largely pro-Russian east.

Mariupol operation

On Friday, the Kiev government announced that an operation targeting pro-Russian separatists in the city of southeastern port city of Mariupol had been successful.

Anton Geraschenko, adviser to Avakov, said more than 30 "terrorists" had been detained and their base destroyed. Other separatists are hiding in homes and basements for safety, he said.

Four Ukrainian soldiers were injured in the operation, he said.

Residents of the city may in the past have blocked Ukraine's security forces, he said, but "today, not one resident of Mariupol protected terrorists."

According to the Interior Ministry, the yellow-and-blue Ukrainian flag is flying once again over the main municipal building in Mariupol. The city has changed hands several times in the course of hostilities over the past several months.

But the unrest hasn't ended.

Pro-Russian separatists wielding automatic weapons and grenades attacked Ukraine border service vehicles Saturday near the city, Ukraine's State Border Service said. Five people were killed and seven others were wounded, the service said. The self-proclaimed Republic of Lugansk took credit for the attack, service spokesman Oleg Slobodyan said Saturday.

Diplomatic moves

Western leaders have accused Moscow of fomenting instability in eastern Ukraine and have urged Moscow to engage with the new leadership in Kiev.

On Thursday, Poroshenko and Putin "held a substantial and long phone conversation," the Ukrainian President's media office said. The leaders discussed Poroshenko's peace plan to resolve the situation in the east of Ukraine, it said.

Poroshenko has called on the rebels to lay down their arms and engage in talks.

Also Thursday, Vitaly Churkin, Russia's U.N. ambassador, said he would introduce a resolution on Ukraine at the U.N. Security Council in light of what he said was a deteriorating situation in the country.

@highlight

NATO releases images showing tank presence near Russia's border with Ukraine

@highlight

Security service says a homemade bomb was left outside gate of President's offices

@highlight

Three Ukrainian soldiers killed in attack by separatists

@highlight

Ukraine's President vows punishment for plane shootdown