President Barack Obama gave Pope Francis a box of seeds as a gift, a fitting token as their first-ever meeting provided a fresh start of sorts between the administration and Catholic leadership after years of strained relations.

"These, I think, are carrots," Obama told the Pontiff, showing him a pouch from the box, which was made from timber from the first cathedral to open in the United States, in Baltimore.

The Pope gave the President two medallions -- one symbolizing the need for peace and solidarity between the two hemispheres -- and a copy of "Evangelii Gaudium," or "The Joy of the Gospel."  The book was penned by the Pope and calls for a new era of evangelization and a renewed focus on the poor.

The tokens of goodwill underscored the goal of the meeting: Focus on areas where two of the world's most influential men agree, and gently tread ground where they differ.

The two men greeted each other with a smile and a handshake and posed for pictures before sitting down across a table from each other. They spoke privately for nearly an hour.

When they emerged from the meeting, the President and the Vatican had slightly different takes on the tenor of their discussions, especially when it came to issues that have frayed the relationship between the Obama administration and American Catholic leaders.

"... (I)t was hoped that, in areas of conflict, there would be respect for humanitarian and international law and a negotiated solution between the parties involved," the Vatican said in a statement. "In the context of bilateral relations and cooperation between Church and State, there was a discussion on questions of particular relevance for the Church in that country, such as the exercise of the rights to religious freedom, life and conscientious objection. ..."

Obama, in a news conference that followed, told reporters that such issues were "not a topic of conversation" with the Pope and instead were discussed with Vatican Secretary of State Pietro Parolin.

According to the Vatican, the two men also discussed the issue of immigration reform and "stated their common commitment to the eradication of human trafficking throughout the world."

On this point, the President and the Pope were simpatico.

"I was grateful to have the opportunity to speak with him about the responsibilities that we all share to care for the least of these, the poor, the excluded," Obama told reporters after the meeting. "And I was extremely moved by his insights about the importance of us all having a moral perspective on world problems and not simply thinking in terms of our own narrow self-interests."

The meeting took place two days after the U.S. Supreme Court heard arguments on a contraception mandate included in the President's signature health care reform law.

The law exempts churches and houses of worship from the requirement, but nonprofit, religiously affiliated groups are required either to provide contraception coverage to their employees directly or through a third-party insurer.

The U.S. Conference of Catholic Bishops has been vocal in its opposition to the provision, said Sister Mary Ann Walsh, a spokeswoman for the organization.

"Religious liberties and right-to-life issues are a concern," she said of the tension between American Catholic leadership and the administration. However, "the U.S. bishops have appreciated the administration's cooperation on issues of mutual concern."

5 things you didn't know about popes and presidents

Those areas of "mutual concern" include immigration and poverty -- issues on which the President and the Pope could find common ground.

In an interview with the Italian newspaper Corriere della Sera, Obama pointed to the Pope's concern for income inequality, saying, "Given his great moral authority, when the Pope speaks it carries enormous weight."

Continuing to focus on income inequality, Obama said, "And it isn't just an economic issue, it's a moral issue. I think the Pope was speaking to the danger that over time we grow accustomed to this kind of inequality and accept it as normal. But we can't."

The President said he admires the Pope's courage to speak out on economic and social issues.

"It doesn't mean we agree on every issue, but his voice is one that I think the world needs to hear. He challenges us," Obama told the newspaper. "He implores us to remember the people, especially the poor, who are affected by the economic decisions we make."

Immigration issues

Francis underscored his commitment to the plight of immigrants during a trip last year to the Italian island of Lampedusa, a place where thousands of African migrants desperately fleeing political upheaval and poverty pour onto European shores. Many die in the attempt to cross.

Next month, a group of American Catholic leaders, including Cardinal Sean O'Malley, the archbishop of Boston, will follow suit and travel to the U.S.-Mexico border to highlight immigration concerns.

On Wednesday, the administration renewed its public call for immigration reform by backing an effort by House Democrats to force a vote on the matter.

"Immigration reform is the right thing to do for our economy, our security, and our future," the White House said in a statement.

Barack Obama and Pope Francis: Unlikely comrades?

Tensions between the administration and many leaders in the American Catholic community began early in the President's tenure over his support for abortion rights.

A number of bishops criticized the University of Notre Dame's decision in 2009 to award Obama an honorary law degree and invite him to give the commencement address.

Relations frayed further over the contraception coverage requirement in Obamacare, leading the U.S. Conference of Catholic Bishops to pan the law.

"It was a very tough year," said Christopher Hale, a senior fellow with Catholics in Alliance for the Common Good who helped lead national Catholic outreach for Obama's 2012 re-election campaign. "It was hard to find any reasonable Catholic who thought the Health and Human Services mandate was handled well."

Differences over same sex-marriage only added to the strained relationship.

Seeking unity, approval

Religious experts said Francis would not have been likely to wade into politically charged conversations during the meeting.

"The Vatican has to be very careful to not create a gap between what they're saying and the bishops are saying," said Steve Schneck, director of the Institute for Policy Research and Catholic Studies at the Catholic University of America. "They will be very careful not to undercut the American bishops in that regard."

Pope accepts resignation of German 'Bling Bishop'

The meeting with Francis, whose approval ratings are in the high 80s, might also boost Obama in that regard. His standing with the public has hovered in the low 40s.

After all, the Pope's name and quotes have been invoked in everything from discussions over unemployment insurance, the minimum wage and the bigger issue of income inequality.

"If I was advising President Obama, I would say the No. 1 spokesperson on American immigration reform should be Pope Francis," Hale said. "He has so much capital in this city. You have Catholics, Jews and atheists on the Hill quoting him."

House Speaker John Boehner, an Ohio Republican and a Catholic, recently invited the Pope to address a joint session of Congress.

"Everybody on the planet would like to have their picture taken with the Pope these days," Schneck said. "One of the things that would delight Obama is if some of that popularity would rub off. Given the President's current low numbers, he is hoping for a bit of a boost."

@highlight

The meeting is called a step toward smoothing tensions with Catholics

@highlight

Abortion and Obamacare mandates on contraception are areas of disagreement

@highlight

One place for common ground: the plight of immigrants and the poor

@highlight

Pope Francis' popularity could give President Obama a small bump in the polls