(CNN) -- Rwanda held solemn commemorations Monday to mark the 20th anniversary of the genocide in Rwanda, with many survivors overcome with emotion as they relived the trauma of the killings that left 800,000 people dead.

Official mourning, which began three months ago with a flame of remembrance touring towns and villages across the small central African nation, culminated Monday with the arrival of the torch at the national genocide memorial.

Wreaths were also laid in Kigali's soccer stadium, where U.N. Secretary General Ban Ki-moon, heads of state and European and U.S. diplomats gathered.

President Paul Kagame lit a flame that will burn for 100 days, the length of time the killings lasted.

At a ceremony at the national stadium, survivors of the genocide recounted their memories of the killings and of their survival. Some, sobbing and overcome with emotion, were carried outside.

"This should never happen in human history," Ban said of the massacre.

Diplomatic dispute

The events also bore reminders of festering anger as a diplomatic dispute broke out over renewed allegations from Kigali of French complicity in the genocide.

France said Monday that its ambassador to Rwanda had been barred from attending the events marking the anniversary.

In a written statement, a spokesman for the French Foreign Ministry said Ambassador Michel Flesch, who was to represent France during the commemorative events in the Rwandan capital, had been informed Sunday night "of the decision of the Rwandan authorities not to authorize him to take part in the ceremonies."

"We regret this decision. However our embassies will take part today in the several ceremonies held across the world to pay tribute to the memory of the victims of the genocide," the spokesman added.

France said over the weekend that it had canceled plans to attend the ceremony after Kagame's accusations of French involvement in the massacre.

The weekly Jeune Afrique quoted Kagame as saying in an interview that both France and Belgium had played a "direct role ... in the political preparation of genocide and participation in its execution."

The French Foreign Ministry said that France was "surprised by the recent accusations made by the Rwandan president" and that Justice Minister Christiane Taubira, who had been due to travel to Kigali on Monday, would no longer attend the commemoration.

"These accusations are in contradiction with the process of dialogue and reconciliation that has gone on for several years between our two countries," the ministry's statement said.

Search for closure

As the 20 years are marked, many in Rwanda still are in search of closure.

Niyonsenga Erick Rafiki, 24, says he can't remember the night his father was killed. But he searched for answers over the years and eventually found his father's killer.

The killer, Sekamana Musa, served 10 years in prison for that murder and other crimes during the genocide. Musa said he was released after confessing.

"When I came out, I found the people we had committed crimes against, be it the mother of this boy (Rafiki) or this boy himself," Musa said.

Musa has promised to help Rafiki find his father's body. Recently, the two men and others went to a spot where Musa believes Rafiki's father was buried. As Rafiki watched, Musa and other men dug, hoping to find the remains so that Rafiki can give him a proper burial.

"I never had a chance to bury my parent, as his child, in a decent way," Rafiki said.

The body wasn't immediately found, but they said they would continue looking.

Three-month killing spree

In 1994, Hutu extremists in Rwanda targeted minority ethnic Tutsis and moderate Hutus in a three-month killing spree that left an estimated 800,000 people dead.

Hutu attackers burned down churches with hundreds or thousands of Tutsis inside. In some cases, wielding machetes, they entered homes and slaughtered children and grandparents.

The violence was triggered by the death of President Juvenal Habyarimana, an ethnic Hutu, in a plane crash April 6, 1994.

The armed forces of Kagame's Rwandan Patriotic Front eventually defeated the troops, stopping the wave of bloodletting.

France, an ally of the Hutu nationalist government before the 1994 killings, has repeatedly denied any complicity in the genocide. Rwanda broke off diplomatic ties with France in 2006, and relations were restored only three years later. Rwanda was a Belgian colony until 1962.

Last month, a Paris court sentenced former Rwandan spy chief Pascal Simbikangwa to 25 years in jail for his role in the genocide, the first such conviction in France.

U.N. chief warns against repeat of Rwanda in Central African Republic

Remembering -- and trying to forget -- Rwanda's genocide, 20 years on

Orphaned siblings torn apart by war reunite to create Rwanda's Craigslist

CNN's Nima Elbagir, Laura Akhoun and Nana Karikari-apau contributed to this report.

@highlight

Solemn commemorations mark 20 years since genocide began

@highlight

France canceled plans over weekend to send minister to Kigali on Monday

@highlight

This followed accusations of French involvement in the massacre by Rwanda president

@highlight

In 1994, a three-month killing spree left an estimated 800,000 people dead