St. John, Indiana (CNN) -- With just his dream, determination and hard work, Bill Keith started a solar fan business nearly a decade ago out of his garage in northwest Indiana. The one-time roofer simply wanted to make enough money to care for his family and to create a ripple effect for other workers, particularly in this economically depressed area outside Chicago.

Keith vowed to create his solar attic fans entirely out of parts made in the United States.

Using only the sun's energy, the fan pumps hot air out of the attic -- lowering cooling bills -- and doesn't have to be in direct sunlight to work. His first year, Keith said he barely made enough to scrape by -- about $39,000 in sales.

"It wasn't enough to cover expenses," Keith recalled.

But he stuck with it and his promise to buy American parts. Keith's company, SunRise Solar, steadily grew to the point that he couldn't keep up with the influx of orders. He looked around for companies that could help him manufacture the fans, concentrating his search in his own backyard. He eventually found a company that could help and needed the extra work about 90 miles away in Warsaw, Indiana.

He bought molded plastic in Indiana as well as fasteners, nuts, bolts and steel. Wire for the fans came from workers in New Jersey, while the motors were from Pennsylvania and Chicago. Even his cardboard boxes were manufactured in nearby South Bend.

Keith had achieved his own small part of the American dream: He became a self-made small-business owner. And in 2008, his success attracted the attention of the soon-to-be next president of the United States, Barack Obama. That year, he got an unexpected call from a representative of the new administration.

"He said he was with the Obama transition team looking for small companies," Keith recalled. He later met with the man who told Keith, "we want to interview you, vet you."

"Guy sat right there talking with me, said 'I really love your story and I'm going to push it up the rank,'" Keith said.

And that's exactly what happened. Shortly after he was inaugurated, Obama held a town hall meeting in the economically devastated city of Elkhart, Indiana. Keith and his wife were asked to come and -- prodded by his wife -- he stood up and told the president about his solar business. He asked Obama what he planned to do to encourage small business owners like himself.

The question turned Keith into a White House solar superstar. ABC, CNBC and other media came calling to tell the story of the roofer who built a solar company out of his garage -- and he did so without a government handout.

"Move over Joe the Plumber," one blog headline declared after his Elkhart appearance. "There's a new poster child for hard-working Americans -- and he's green."

Keith's success story provided good publicity for the White House which called again and again, using Keith to underscore the Obama administration's goal of pushing America towards new sources of clean energy.

"'Can you come to Washington? Can you come to Philly? Biden doing this,'" Keith said of the numerous requests he received from the administration.

There's the photo of him with the president and Vice President Joe Biden in Kokomo, another Indiana city hard hit by the recession, as well as an appearance with Sen. Sherrod Brown of Ohio and many others.

Keith's story resonated with groups of all political stripes. Republicans got in on the act when Indiana Sen. Richard Lugar named him "an energy patriot" and the GOP-leaning U.S. Chamber of Commerce cited his work. Environmentalists also contacted him, and featured him in one appearance after another.

Strange bedfellows, perhaps, but it was a feelgood story of what one American could do in a time when the recession was strangling so many.

"They were continually inviting me to these things called 'advocacy days' where they wanted me to meet with senators and congressmen," Keith said, noting that he attended many with his wife.

At these events, lawmakers talked about "how I created a solar product, how it's good for the environment, for business," he said.

"(I) won't say they were putting words in my mouth but they had a lot of talking points," Keith said. "I was happy to do it from that point of view. It is friendly to the environment; it is creating jobs."

It also was good advertising for Keith, who could never have afforded the publicity these appearances offered. Orders for the fans, which retail at about $500, came pouring in from places as far away as Hawaii.

"It grew to where our peak was $2 million (in revenues)," he said, referring to sales in 2009.

SunRise Solar started exporting fans all over the world. While his home-based business employs only about 21 direct and indirect employees, it brought a much-needed economic boost to an area of the country hard hit by the recession.

Today, Keith's solar star appears to be on a collision course with another Obama policy that may put him out of business. The irony is not lost on Keith: A man whose profile and company soared because of the administration's energy policy is now falling apart because of a new Obama anti-dumping policy involving China.

While 95 percent of Keith's fans are American-made, he has yet to find a U.S. company that can make the small customized solar panels that make his fans run. It's not that he hasn't tried. He initially used a company in Michigan but they stopped manufacturing the kind of panels he needed. Then Keith turned to a New York company but the quality was so bad that he was replacing the defective parts faster than he could sell the fans.

Over the years he begged environmental groups as well as the Commerce Department for help in finding an American company that could make the key solar component. Reluctantly, he agreed to purchase them from a major company in the United States, which bought their panels from another country and then had them customized in Hong Kong. Eventually that manufacturer told Keith to deal with the Hong Kong customizer directly.

Keith said the U.S. Customs Department has accused him of using Chinese-made solar panels, in violation of a tough import policy adopted in May at the behest of major U.S. solar companies. The policy is intended to thwart China from undercutting prices and flooding the U.S. market with cheaper solar panels. The U.S. Department of Commerce is currently reviewing the policy, and is scheduled to make a determination in the fall.

Keith denies that any of part of his solar fans are produced in China, but he admits he can't totally prove it. According to Keith, the owner of the Hong Kong company that customizes his solar cells has stated in an affadavit that it buys the cells from the United States, Taiwan and Germany. But Keith worries that testimony won't be good enough.

"The solar panel tariff is a broad-reaching tariff. In my estimation it shouldn't be geared toward small niche markets like mine," Keith said.

Unless he can show specific manufacturing documentation by August 29, Keith said he could be fined as much as 250 percent on his solar panels -- an effective rate of $270,000.

If that anti-dumping fine is levied, Keith said he will have to shutter his business.

"These guys are going to put me out of business," Keith said. "I don't have any help. I've been trying to get help, no one can help me."

Keith said he has never received government financial assistance and is taxed in the 40 percent bracket. He said he has sat by and watched companies like the now bankrupt Solyndra run through taxpayers' money and not return on the government's investment.

He said he doesn't want a handout -- just a helping hand. So he went back to the well one more time, pleading with Greg Nelson, deputy director of the White House Office of Public Engagement who Keith said had been his contact with the Obama administration.

Under the subject line his e-mail to Nelson, Keith wrote, "Hanging on for life here."

"Can you help me before I have to close my doors and let everyone go?" Keith asked in the e-mail. "Please ... I'm pleading with you."

Nelson responded, "Thanks for bringing it to my attention. I don't know what is possible, but let me talk to a few folks asap. Will circle back soon."

That was nearly a month ago and Keith is still waiting. CNN sent three e-mails to the White House asking about Keith's situation, and received a reply from a spokesman late Wednesday afternoon. The spokesman stated that the tariff "highlights the degree to which solar panel manufacturers have faced unfair competition from countries like China" and the president's move to impose a tax on Chinese-made goods is a way to establish "a level playing field with China for American businesses and workers." The reply did not address Keith's situation.

"When Obama came in office, there were a lot of small business owners who said, 'Hey maybe he'll help break barriers and help owners' or he says he will, but it never trickles down that far to help us," Keith said. "Maybe it's because we don't have big budgets to donate to campaigns. I don't know. I'm just trying to run my company."

Romney sets goal of energy independence by 2020

CNN's Sara Anwar contributed to this story.

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

Roofer Bill Keith started a solar fan business nearly a decade ago

@highlight

He aimed to make the fans using all American parts and labor

@highlight

His success attracted the attention of the Obama administration

@highlight

Now, a new trade policy could put him out of business