Daniel Bradshaw, a young barber at Platinum Kutz in central Des Moines, hovers over a customer's half-trimmed head, clippers in hand, talking about the good old days of 2008.

"Yeah, I was all for Obama. He was the man!" proclaimed Bradshaw, 32, whose friends call him "Mr. Puerto Rico" and whose colleagues sometimes refer to him as "Mr. Steal-Your-Client."  As he brushed the hair clippings off his apron, he goes on: "I even got to meet him, once. He was all that."

Or so he thought.

Bradshaw, like many of his fellow Democrats, feels let down. The promise, the hope, the dream of the first black president has stalled in the reality of a stubborn economy, two wars and a Congress engaged in full-contact politics.

So this time around, come Election Day 2012, a frustrated Bradshaw says he might not vote at all. He's done with all of it.

"After all this, I just don't trust the government anymore. They're just playin' with people. What have they really done? Nothing, as far as I can see. I'm not going to vote at all this year. My wife, either, I've convinced her not to vote," lamented Bradshaw as he edged the hairline of his customer.

"I'm just disappointed. It's not even Obama. It's all of them. I've come to realize they're all the same. It doesn't matter if you're a Republican, it doesn't matter if you're Democrat, tea party, independent, whatever, it doesn't mater. They are all the same."

The feeling, though certainly not universal, is more and more echoed by frustrated and disengaged Democrats at gas stations and gyms, diners and coffee houses throughout Iowa.

Disappointment and loyalty

While President Barack Obama's approval rating has rebounded recently, jumping back up 5 percentage points to 49% in the latest CNN/ORC International poll, the approval ratings for Congress are at all-time lows. In the same poll, only 16% say they approve of the job Congress is doing, with 83% giving lawmakers from both parties the thumbs down.

Across Iowa, the state where then-U.S. Sen. Obama surprised the nation and swept the 2008 Democratic caucuses, igniting early momentum and propelling him to win his party's nomination over U.S. Sen. Hillary Clinton, other Democrats are standing tall with the president, ready to fight to give him another term.

"He doesn't care about all that mess. They just haven't let him do his job. I have never seen so many politicians fighting so hard to take one man down. But he's fighting for all of us," said Robert "Big Rob" Presswood, co-owner of the barber shop that caters to judges, local politicians, police officers and downtown professionals. "I think if they give him another shot, then he'll have enough time to change some things around."

"He's our first black president. He did the unthinkable. And he's been amazing. Have you really looked at all that he has gotten done, despite those fools? And, on top of that, he's got swag!"

Meanwhile, the Obama campaign is upbeat, quietly marshaling hundreds of volunteers from Dubuque to Cedar Rapids, Davenport to Waterloo, to stoke the fires for the incumbent president at a time when all the attention is on the Republican contest.

According to two senior Obama campaign aides, the president's 2012 re-election efforts began in Iowa as early as April. Since then, they say they've: • Hired 20 paid staffers.• Opened eight field offices. • Held more than 1,280 training and planning sessions, house parties and phone banks. • Made more than 350,000 calls to supporters. • Held more than 4,400 one-on-one meetings.

Covering all 99 counties of Iowa

They are tasking volunteers to avoid relying solely on blanket phone calls right now, and instead create sit-down face-to-face meetings with people to build relationships and gather information: what is happening in their community, what people are hearing, who they are, what they care about, how they can be leaders for the campaign in their community.  They argue that no presidential field campaign has ever done this on a big scale.

"We're in 1,774 precincts, in all 99 Iowa counties," said Sue Dvorsky, chairwoman of the Iowa Democratic Party.

She added that even though Obama will be unopposed this year, her party still plans on caucusing Tuesday night. And the president, she said, will even make an appearance, "by the magic of the Interwebs."

When they're not beating up on each other, Republican presidential candidates have spent much of the past few months beating up on Obama.

"We've seen the median income for Americans drop by 10%," said presumed Republican front-runner and former Massachusetts Gov. Mitt Romney, blaming the economy's woes on Obama. "By the end of his first term -- his only term -- he's on track to amass almost as much public debt as all the prior presidents combined. This has been a failed presidency."

They have hit him on the economy, they've hit him on foreign policy, health care and the size of government. Some even continue to suggest, albeit jokingly, that he is not a legitimate American citizen, as hinted in an offhand comment by Romney's son Matt last week. The younger Romney quickly walked back his comments in a tweet after being confronted by the media.

"I remember, after he got inaugurated ... and he said, 'Look, if I can't get this economy turned around in three years, I'll be looking at a one-term proposition,' " reminded Mitt Romney during a stump speech Monday in Marion, Iowa. "Well, I'm here to collect."

But through the attacks, the president has largely remained quiet. Only occasionally has he wandered into the fray, suggesting that he may engage the other side when the dust settles.

"I'm going to wait until everybody is voted off the island," he told Jay Leno on "The Tonight Show."

Iowa has historically been the proving grounds for underdog candidates. In 2008 it was Obama. This year, it could be former U.S. Sen. Rick Santorum, who has been surging since the recent CNN/Time/ORC International poll put him in a strong third place behind Romney and U.S. Rep. Ron Paul, but moving up.

For Obama, his Iowa test comes in November

Nevertheless, Obama's task in Iowa, considered a pivotal swing state when the general election comes in November, is still grand. He must retain the Democratic support he had in 2008 -- when he camped out in the state for months before the caucuses and visited Iowa more than three dozen times -- while convincing the third of the voters who call themselves independent not to drift back over to the Republican side, and the other third who are Democrats not to stay home.

And all this goes on while Republicans continue to grab the spotlight and hammer him throughout 2012. Meanwhile, the base is restless.

"It seems very hopeless ... hope, change ... but nothing changes," said Bradshaw, the young barber who is fed up with Obama and the process.

When asked what she'd say to Bradshaw, the Iowa Democratic chair's words got pointed.

"Yes, there is frustration, there is angst. But I would say to that person -- and I'd say it directly to his face -- that there has been a remarkable record of achievement in the past four years," Dvorsky said, her passion growing.

"I'd point to the record of achievement, in the face of two things happening simultaneously: The near-collapse of the entire economy, an economy that was bleeding 750,000 jobs. And now he has presided over 23 consecutive months of private sector job growth. I'd point to everything he did to pass the Affordable Health Care Act. I'd point to what he did to partner with the Big Three automakers to save the American automotive industry, or bringing combat troops from Iraq home with their families at Christmas, instead of on their fifth or sixth deployment."

"And he did this in the face of massive opposition from a party who saw as its role to take down a sitting president, not to compromise, not to work with him, but to take him down," Dvorsky said. "This is a group of people, not all of them, who say 'No, heck no, never!' "

"The real story for the Republicans is going to be not on the night of January 3, but on the morning of January 4," she said confidently. "He'll be on the way back to The White House, and they'll be left sweeping up the floor of the empty rooms, and not much else."

@highlight

Obama won Iowa's caucuses in 2008; now he's seeing some frustration from his base

@highlight

Says one dismayed citizen: "I'm not going to vote at all this year."

@highlight

Iowa Democrats are mounting an aggressive effort to energize voters for Tuesday night

@highlight

Republican candidates continue to pummel the president on the economy, health care