(CNN) -- The world wants to like America. The guiding values that Thomas Jefferson articulated so eloquently -- life, liberty, and the pursuit of happiness -- resonate strongly around the world, transcending countless superficial and cultural differences, not because these are American values, but because they are universal values, embedded in the human heart.

Americans must outgrow the unbecoming arrogance that leads us to assert that America somehow owns a monopoly on goodness and truth -- a belief that leads some to view the world as but a stage on which to play out the great historical drama: the United States of America versus the Powers of Evil.

The language of good versus evil is precisely the language of the fundamentalists whose worldview we oppose. Once we define as evil those who counter us, we lose the moral high ground and begin to descend an exceedingly slippery ethical slope.

Sufis teach that we first must battle and destroy the evil within ourselves by shining upon it the good within, and then we learn to battle the evil in others by helping their higher selves gain control of their lower selves.

TED.com: Robert Wright explains where compassion comes from

To battle the evil of others by responding in kind and exhibiting equally violent aggressive behavior is to flout the very ethic of our religious traditions; it is also to violate the Geneva conventions, international law, the United Nations, world opinion, and even our own Bill of Rights. If we truly believe that God is on our side, rather than making sure that we are on God's side, we slip into the illusion that sees no measure as too extreme -- a delusion that captivates every extremist heart.

We have two powerful tools with which to bridge the chasm separating the United States from the Muslim world: faith in the basic goodness of humanity and trust in the power of sincerity and dialogue to overcome differences with our fellow human beings.

This faith and this trust are taught by all the Abrahamic traditions. They define the Abrahamic ethic, which lies at the core of our American Declaration of Independence, and America needs to rely more heavily on them, as do our fellow actors on the stage of history.

TED.com: Rev. James Forbes on learning compassion at the dinner table

What's right with America and what's right with Islam have a lot in common. At their highest levels, both worldviews reflect an enlightened recognition that all of humankind shares a common Creator -- that we are, indeed, brothers and sisters.

In 1883, when Emma Lazarus wrote the words that celebrate the beautiful lady who stands so resolutely in New York's harbor, she was not imagining an isolationist empire-nation bent only on pursuing its own unilateral vision for the world.

Rather, she had in mind a nation resting securely on its foundations of democracy, freedom, and human rights, of which Jefferson, Adams, Franklin, and the other great fathers and mothers of this nation dreamed.

It is humanity's dream -- rich with hope and idealism for a troubled world -- that the great lady in the harbor symbolizes. To hold high the lamp of freedom, hope, and friendship is America's greatest gift to the world -- and its sacred responsibility.

As I sailed into New York on the cold wintry morning of Wednesday, December 22, 1965, on the Italian SS Michelangelo, I beheld the Statue of Liberty and wondered what America had in store for me.

Little did I realize then that I was to discover the riches of my faith tradition in this land. Like many immigrants from Muslim lands, I discovered my Islam in America.

I therefore entertain a wish, shared by my reading of my noble scripture, the Quran, regarding all religions, including Judaism and Christianity -- the very same wish entertained by all who have taken part in interfaith dialogue across the ages.

TED.com: Karen Armstrong's wish to revive the Golden Rule

I wish for humankind to drink deeply from that rich, nourishing current of spiritual traditions -- those immutable principles of divine origin that have been given form in so many ways in human societies. Religion must be more than mere custom or habit, more than the transient styles and cultural fashions of passing ages.

Religion, which speaks to the eternal in us, must be the foundation of a robust, harmonious society and the animating principle of the whole life of a people.

To read more from "What's Right With Islam," please click here

The opinions expressed in this commentary are solely those of Imam Feisal Abdul Rauf.

@highlight

Imam Feisal Abdul Rauf says Islam and America have much in common

@highlight

He says both have faith in goodness of humanity and in unity of people

@highlight

He says viewing the world as a struggle between good and evil leads to extremism, arrogance

@highlight

America's values are its greatest gift to the world, he says