Port-au-Prince, Haiti (CNN) -- In the week since a 7.0-magnitude earthquake shattered this capital and jolted observers around the world, authorities have buried 70,000 bodies, about a third of the estimated final toll, officials said Tuesday.

Prime Minister Jean-Max Bellerive told CNN's Christiane Amanpour that at least 72,000 bodies had been recovered, a figure that did not include the unknown number of bodies buried by families or collected by the U.N. peacekeeping mission here.

It was unclear how many of the dead had been identified prior to burial and how many of those burials occurred in mass graves. "We know that bodies have been buried, we feel inappropriately," said Dr. Jon Andrus, deputy director of the Pan American Health Organization. He cited lack of refrigeration as a complicating factor.

"Despite all our efforts, situations, circumstances are such that we are disappointed in many cases on how this has been managed, beyond everybody's control," he said.  iReport: Search list of the missing and the found

PAHO, which is coordinating the health-sector response, offered a preliminary estimate of 200,000 dead.

At least 28 of them are Americans, the U.S. State Department announced Tuesday.

Despite the growing death toll, aid workers focused Tuesday on the living. The United Nations estimated that 3 million people were in need of food, water, shelter and medical assistance.

Some needed more than that -- they needed rescue. In all, 43 international rescue teams composed of 1,700 people have carried out some 90 rescues, U.N. Secretary General Ban Ki-moon told reporters.

On Tuesday night, a team of New York City Fire Department and Police Department rescuers pulled two children alive from the rubble of a two-story building in the capital. The 8-year-old boy and 10-year-old girl were taken to an Israeli tent hospital.

On Tuesday afternoon, Ena Zizi was rescued from rubble near the national cathedral, CNN's Anderson Cooper reported.

Her son, Maxime Janvier, told CNN that he never gave up hope that she'd be found.

"We were praying a lot for that to happen," he told CNN on Tuesday afternoon, about 15 minutes after he learned she'd been rescued.

Rescue crews said earlier two other survivors may be under the same pile.

PAHO's Andrus said the need for blood donors was urgent, with the lack of refrigeration complicating medical workers' ability to store it safely.

The world's generosity continued to overwhelm the ability of the airport in Port-au-Prince to process it. The result: some badly needed aid was left sitting on the tarmac.

U.S. Army Maj. Daniel Allyn, the deputy commander of the Joint Task Force Unified Response, said flights would be diverted to two alternate ports of entry within the next day or two to relieve the pressure. On an average day before the earthquake, the airport was handling 13 commercial aircraft; in the days since, it was handling more than 200, he said.

Some flights were diverting to Santo Domingo, causing congestion issues there, too, Andrus said.

Nevertheless, advances were being made. Many roads that were impassable in the initial aftermath of the quake had been cleared so that supplies could be trucked to those in need, he said.         Full coverage    l     Twitter updates

And some hospitals appeared in better shape -- surgeries resumed Tuesday at University Hospital, the country's largest, Andrus said.  In Washington, U.S. Agency for International Development Administrator Dr. Rajiv Shah told reporters Tuesday night that the U.S. response has been "swift, aggressive and coordinated."

He cited the U.S. donations of 18 water production units providing nearly 2 million liters of drinking water per day and nearly 17 million meals as examples.

The goal of the efforts, he said, "is to make sure that the things we do collectively as an international community to support the relief effort are as sustainable as possible."

At the capital's general hospital, doctors were working under stressful conditions in buildings located away from the main building, which has been deemed unsafe.

"We have run out of IVs and IV needles and IV fluids," said Dr. Mark Hyman of Partners in Health. "We've run out of surgical supplies. We have to wash with vodka and we have to operate with hacksaws because we don't have enough operating tools."

The military is going to help with organization and with supplies, Hyman said. "They're going to help us get electricity, they're going to help us get food, they're going to help us get tents, they're going to help us get all the operating supplies in," he said.

The United Nations Security Council approved sending an additional 2,000 soldiers and 1,500 police officers to the country and the port is expected to reopen next week, U.N. Secretary Ban said.  Fixing the port is a priority, since it is where fuel enters the country. Venezuela's President Hugo Chavez announced Sunday he will send 225,000 barrels of gasoline and diesel with arrival Thursday at a refinery in the Dominican Republic for use in Haiti.

That represents nearly three weeks worth of fuel if Haiti were to continue the 11,000 barrel-per-day consumption that was typical before the earthquake.

About 2,000 U.S. troops were in Haiti, and more than 5,000 were off-shore on ships, said Maj. Gen. Daniel Allyn, the deputy commander of Joint Task Force Unified Response.

He said the U.S. military anticipated eventually having 10,000 troops in Haiti.  "Our primary purpose is in getting to the population, whether it be the distribution of water, food, or, in this case, where they've got medical treatment going on and they're overwhelmed," Lt. Gen. P.K. Keen, head of U.S. Southern Command, told CNN.  In an interview with CNN's Amanpour, President Rene Preval applauded the progress aid workers made over the past week in restoring electricity and communication, clearing roads, erecting shelters, distributing food and re-establishing hospitals.

He credited the international community for the aid.

"Without their help, it would be impossible for us to cope with the situation," he said.  High-resolution images of damage

Some Haitians welcomed the arrival of U.S. forces. But one man said Haitians needed more relief supplies, not troops or guns.

The United States was conducting medical operations on board a vessel off the coast, the aircraft carrier USS Carl Vinson. And the USS Comfort, a hospital ship, was due to arrive Wednesday, Allyn said.

Outside Haiti, people have contributed more than $220 million to major U.S. relief groups, according to The Chronicle of Philanthropy, a newspaper covering nonprofit organizations.

Dozens of Haitian children rescued from an orphanage arrived Tuesday in Pennsylvania to be placed with foster families until adoptions are finalized. Most of the children's adoption cases were at the end of the bureaucratic process before the earthquake struck.

Occasionally, frustration in Haiti has erupted into violence, as occurred Monday when hundreds of Haitians broke into a damaged store in downtown Port-au-Prince, stripping it clean.

But such incidents have so far been isolated, said Alain Le Roy, the United Nations peacekeeping director.

But such incidents were isolated, Defense Secretary Robert Gates told reporters aboard a plane to India.

"I saw one reference to that for the last 24 or 48 hours or so. There has been a lot less violence in Port-au-Prince than there was before the earthquake," he said.

CNN's Karl Penhaul, Alec Miran, Gary Tuchman and Justine Redman contributed to this report.

@highlight

Woman rescued from rubble Tuesday in Port-au-Prince, seven days after quake

@highlight

Haitian authorities record 72,000 deaths so far

@highlight

U.S. troops to help get hospital operational, transport people to other hospitals

@highlight

People have contributed $220 million to charity groups for Haiti relief