(CNN) -- Hey Mars! We're back! Hope you don't mind if we cruise around in our scientific SUV to grab some historic data and snap some breathtaking images. Oh, and we might do some Martian doughnuts in your front yard.

Now that the Mars rover Curiosity is safely parked, NASA's unmanned planet crawler appears ready to roll. A car salesman would have a ball selling this beauty. It's loaded with an array of sophisticated cameras, a "rocker bogie" suspension, a robotic arm, 2 gigs of flash memory, a rock-vaporizing laser (!!!!) and a plutonium-fueled power system. It operates by remote control from millions of miles away and has a blazing top speed of 1.5 inches per second.

Sticker price (including delivery): $2.6 billion.

During its expected lifespan of 23 months, all this cool hardware could help solve big mysteries: Has life ever existed on Mars? What can Mars tell us about our own planet? Can we benefit from Martian resources?

But there are less romantic questions swirling around the fourth rock from the sun: Is the price tag really worth it? Who will pay for the first manned mission to Mars? Could manned space missions be replaced by robotic exploration?

The answers may be hard to see amid all the rover revelry. And this isn't the first time rovers have churned up this kind of excitement.

In 1997, a smaller NASA robot on Mars -- Sojourner -- lit up the Web.

"Back when the Internet was young, it was the largest Internet event in the history of that medium," Curiosity team member James Bell told CNN on Monday. The little rover found clues suggesting that Mars once had a thicker atmosphere and liquid water. Sojourner and its parent spacecraft Pathfinder cost $265 million (PDF).

"Later, in 2004, when the Spirit and Opportunity rovers landed, it became one of the largest worldwide Internet sensations," said Bell, who also worked on that mission. "It slammed NASA's website." The rovers scored several discoveries including evidence of an ancient wet environment on Mars. Price tag for Spirit and Opportunity: $800 million (PDF).

Nowadays -- at least for some space travel fans -- Martian robots aren't so cool anymore. Curiosity "is just another box with wheels on Mars," says CNN commenter It_could_always_be_worse. "Develop useful technology -- not this shooting of boxes with wheels all over the place. SEND PEOPLE, and I will be proud."

CNN commenter Max Lewes disagrees. "This really was a HUGE leap from previous missions."

Related story: Curiosity's wild ride

After the initial excitement of Monday's landing, even the Curiosity team jokingly acknowledged the first dusty black and white photos from the rover have already lost their luster.

"It's not such a great picture anymore," a smiling Mike Watkins told reporters. He promised color and panorama photos in the coming days.

Seriously, no matter how successful unmanned missions might be, robots will never replace the need for human space exploration, says Bell.

In a sense, Curiosity is performing a scouting mission for a manned U.S. mission to Mars that President Barack Obama predicts will happen in his lifetime.

NASA administrator Charles Bolden gets even more specific: Manned missions to Mars are at least 18 years away -- sometime in the 2030s.

But first, mission planners need more information about the Martian surface so they can choose the best landing sites.

"We don't want astronauts to be surprised," says Bell. Robot missions, such as Surveyor, preceded the Apollo moon landings, and these Martian probes are performing similar tasks.

Putting a monetary value on space exploration is impossible, experts say, because there are too many unanswered questions, such as whether Mars, the moon or asteroids hold precious minerals, water and cheap energy resources that could be mined and brought back to Earth.

"The reason to send humans will be because we have to," Bell says. "If some things can be done by robots, they should be done by robots. But sending a drill rig to Mars or Jupiter's moon Europa to tap into an aquifer that may have living organisms in it -- those kinds of things will require people."

Then there's the unknown value of newly discovered knowledge. Scientists want to know what Mars can tell us about our own planet's climate and geology. That knowledge, experts say, could help solve difficult environmental problems on Earth.

"It's human nature to explore," says Bell. "By going to difficult or dangerous places, we carry the rest of our species along with us. These stories become part of part of our culture, part of our heritage, part of our shared need to explore the worlds around us. it's a human endeavor that is part science, part inspiration."

Related story: Earth loves Mars -- why we're crushing on the red planet

By the way, Curiosity has fostered jobs, says NASA; more than 7,000 people have worked on the project across 31 states.

What's next? NASA plans test flights for Orion -- a spacecraft designed to carry astronauts outside low Earth orbit -- as soon as 2014. In 2017, NASA plans to launch Orion with a new heavy-lift rocket NASA calls the Space Launch System.

But big questions remain: How would NASA pay for development of a landing vehicle? Or a vehicle for astronauts to travel on the Martian or lunar surface? Or how would it develop an astronaut habitat suitable for the months it would take to travel to Mars or to asteroids?

NASA's proposed budget for 2013 is $17.7 billion -- $59 million less than 2012 (PDF). It includes a "lower cost program" for unmanned missions to Mars (PDF). For perspective, the Mars rover's $2.6 billion price tag equals about 14.7% of NASA's proposed 2013 budget.

However, the budget also calls for more money for manned deep space programs, including almost $3 billion for Orion and the Space Launch System.

In May, something happened right above our heads that gave us a glimpse into the future of Mars exploration. That's when the private firm SpaceX successfully docked its Dragon spacecraft with the orbiting international space station.

NASA is studying a proposal -- referred to as Red Dragon -- that would use a SpaceX rocket for less-expensive unmanned missions to Mars.

But robot missions are just stepping stones to what many experts say is a foregone conclusion.

"Humans are going to live on Mars in the president's expected lifetime," says commercial space consultant Charles Miller, a former NASA executive. "It will happen as a partnership between U.S. entrepreneurs and private industry and NASA."

Complete coverage of Mars

So what do you think? Are billion-dollar, planet-crawling robots worth the money? Do you think astronauts will set foot on Mars within your lifetime? Share your opinion in the comments section below.

@highlight

Mars robot Curiosity "just another box with wheels," says commenter

@highlight

Expert: Manned Mars missions and Martian robots both important

@highlight

NASA will partner with private industry for manned missions, says consultant

@highlight

Obama, NASA predict manned Mars landing as soon as 18 years