(CNN) -- For Dr. Lisa Newman, a 16-hour trip over two days from Michigan to Ghana in Africa is just part of the journey in uncovering clues about a rare form of breast cancer.

Dr. Lisa Newman hopes to uncover clues in Ghana about an aggressive and rare form of breast cancer.

Newman, a surgical oncologist specializing in breast cancer at the University of Michigan, collaborates with doctors in Kumasi, Ghana, in hopes of discovering the origins of an aggressive and difficult to treat form of breast cancer that disproportionately affects black women. It is called triple negative breast cancer or TNBC.

"The women that are most likely to be afflicted with the triple negative breast cancers are younger aged women, women in the pre-menopausal age range, and women with African ancestry," says Newman.

According to the American Cancer Society, 192,370 new cases of invasive breast cancer will be diagnosed among women in the United States in 2009. Triple negative breast cancer represents approximately 15 percent of breast cancer cases in the United States.

As an African-American female surgeon, Lisa Newman is a rarity in the United States. African-Americans make up less than 5 percent of physicians in this country, according to the American Medical Association. Newman, who is also the director of the Breast Care Center for the University of Michigan, recalls her early days during the '90's as a general surgeon in Brooklyn, New York.

"It was just heartbreaking every day in the clinic to continuously be seeing African-American women that seemed to be disproportionately afflicted with breast cancers at younger ages, and more advanced stages of disease."

Little is known about what causes TNBC. But statistics show that black women are twice as likely as white women to get it.

When diagnosing breast cancer, doctors look for three markers: estrogen receptors, progesterone receptors and the HER2/neu receptor. These markers show where the cancer is most vulnerable and help determine how best to treat it. The most successful treatments for breast cancer are drugs that specifically target these markers.  Doctor travels to Ghana for cancer clues »

However, triple negative breast cancer is negative for all three markers, hence the name, making it very difficult to treat and more likely to recur. With the devastating statistics and grim reality of this disease, Newman began her journey about five years ago to learn more about it. Triple negative breast cancer survivor finds life's purpose

"We are very interested in looking at whether or not African ancestry in and of itself might actually predispose women to a biologically more aggressive form of breast cancer, such as the triple negative breast cancer."

Sixty percent of Ghanaian women who have breast cancer have triple negative breast cancer, according to Newman.

"Western sub-Saharan Africa is an important geographic location to focus on because that's where many of the slave colonies were located several hundred years ago," says Newman.

To test her theory, Newman sets off for Ghana. Three flights and two days later, she arrives at the Komfo Anokye Teaching Hospital in the city of Kumasi. Newman is convinced there's a profound link between Ghanaian women and African-American women afflicted with TNBC. She hopes her trips each year to the African country could lead to clues about the origins of TNBC or perhaps pave the way to finding a cure.

On each trip Newman gathers genetic evidence and tissue samples for her study. But she also believes there's a cultural and educational benefit for herself and her colleagues through this exchange.

"We bring medical students and trainees with us to Ghana and they get to see what the health care system is like in a medically underserved part of the world," she says. "And our colleagues from Ghana have opportunities to visit with us at the University of Michigan, and to learn more about westernized practices in terms of multidisciplinary care of breast cancer patients. So, it allows trainees and cancer specialists on both sides of the ocean to learn more about each other and about what's available in different parts of the world."

Working with her Ghanaian colleagues, Newman sees a wide range of patients. Some women need biopsies on undiagnosed breast abnormalities, while others have diagnosed tumors that have gone untreated for some time. In addition, Newman and her Ghanaian counterparts discuss the day's cases, a critical step to establishing individualized courses of treatment.  Dr. Newman has her own scare with breast cancer »

"It's heartbreaking that we see many advanced stage of cancers in the women of Ghana, but it's a tremendous opportunity to make a difference and to be able to share what we have in the United States with the women here, with our family, our extended family," says Newman.

Back in the United States, Newman gathers samples at a local Detroit, Michigan, hospital and at events held by the Sisters Network, an organization for black breast cancer survivors. She runs DNA comparisons to the samples gathered in Ghana and one day hopes to correlate African ancestry with the risk of being diagnosed with triple negative breast cancer in African-Americans. If this happens, according to Newman, it will open doors to new treatments.

@highlight

Dr. Lisa Newman travels 16 hours from Michigan to Ghana in search of cancer clues

@highlight

She collaborates with doctors to find origins of triple negative breast cancer

@highlight

Newman: Women most affected are younger, pre-menopausal with African ancestry

@highlight

She believes there's a link between Ghanaian, African-American women with TNBC