A true revolution doesn't come every day.  The word "revolution" appears all around us, in commercial advertisements and political propaganda, until it seems to have lost all meaning.

The most minor tumult, the smallest change, and immediately we pronounce the word.  And so when the real thing arrives, with tyranny and blood, with masses striving for freedom, with an ancient regime destroyed and a new one born, we might just fail to see its significance.

The spark that began the revolution was something called Europe: a trade agreement with the European Union that many Ukrainians saw as a chance to enter a world of free trade rather than government syndicates, and the rule of law rather than overwhelming corruption.  When President Viktor Yanukovych, after months of promised, rejected the deal in November, Ukrainians protested.

The students were the first to reach the "Maidan," the main square of Kiev.  They are the ones who already considered themselves Europeans, and took a European future for granted.  After the riot police were sent to beat them, they were joined by the "Afghans," the veterans of the Soviet war in Afghanistan.

Then came the businessmen, the professionals, the people who had hoped to make an honest living, but found themselves thwarted by unpredictable taxes and corruption.  In December, hundreds of thousands of people, from all parts of the country and all walks of life, were on the streets.

Then Russian President Vladimir Putin appeared with a proposal.  Why not take 15 billion euros from Russia instead of playing around with Europe? Although the Russian side promised that the loan was without conditions, Russian leaders then explained that disbursements could only follow when political stability had been established.

In January, President Yanukovych formally did away with basic freedoms.  A package of legislation introduced by a pro-Russian legislator and rushed illegally through parliament introduced a number of laws that closely resembled Russian models. Ukrainians reacted as Americans would if the Bill of Rights one day disappeared.

After weeks of peacefully tolerating beatings, torture and disappearances, some of the protesters took the fight to the police.  Once again Moscow made clear that the next tranche of the loan would depend upon political stability.  Last week a truce was declared, and a day of mourning announced for the protesters who died.  On the day of mourning, the Ukrainian government mounted snipers on rooftops.  They shot dozens more protesters dead.

The Ukrainian protesters did not do what most of us would have done.  They did not run away.  Instead they came in ever greater numbers.  They did not react with a bloody counterattack, as well they might have.  They simply, and amazingly, built their barricades, stood their ground and said they would give their lives for their freedom.  At this point, the world began to react -- finally.  The Polish and German foreign ministers arrived to negotiate the transition that many people had wanted for weeks: a weakening of the Yanukovych's power and accelerated elections.

'We were trapped': Eyewitness to the massacre in Kiev

This was far more than protesters could have expected before the mass killing, but far less than they wanted afterward.  The compromise agreement specified that both sides would cease violence.

Yanukovych's police seemed to understand what he did not: that this meant the end of his rule.  They disappeared from the fight, and ceased to protect him. Yanukovych disappeared.  Parliament convened, and in these last few days began a very thorough reform of the entire political system.

On Saturday the protesters gathered again in the hundreds of thousands to mourn their dead and to celebrate what they had achieved.  Ukraine is now once again a parliamentary democracy, with presidential elections scheduled for May, and an alert population preserving the peace and watchful of its own newfound rights.

What happened in Ukraine had little to do with the outside world.  Yet what happens next will.

Ukraine's previous authorities were among the most corrupt imaginable.  Yanukovych's son, a dentist, earned at least $200 million in the last two years.  Yanukovych sat on a toilet of gold (or two, actually) in the extraordinary mansion he has had to abandon.

The state, unsurprisingly, is close to bankruptcy.  Russia has exercised influence in Ukraine by promising cash: The promise of 15 billion euros preceded the dictatorship laws, the promise of the release of a 2 billion tranche preceded the mass shootings.  This sort of conditionality is what caused the revolution.  Something else is called for now.

The Ukrainian revolution took place without outside help.  Indeed, the men and women of the Maidan, although they want their country inside the West, were extremely disappointed with Western inaction during their revolution.

Now Western financial aid will be needed to transform that revolution into stability. The International Monetary Fund has promised loans, but this is not enough.  People who risked death for the values we all claim to treasure, people who have brought a major nation back from dictatorship and to democracy deserve more than loans that will require immediate economic austerity.

They need very significant European and American financial support.  This could include loans, quick free trade negotiations, financial institutions that offer microcredits, and visa-free travel for normal Ukrainians -- not just the billionaires.

Ukrainian oligarchs have parked hundreds of millions, if not billions, of dollars in Western banks: some of it, just possibly, illegally.  Such accounts could be investigated promptly.  Direct financial assistance would have to be conditional upon further reforms that ensure the restoration and the preservation of the rule of law.

This is not some idle choice.  The Ukrainian revolution, like any revolution, can fail.  There are plenty of Ukrainians who are confused by the revolution or oppose it, and are waiting to see what the new government will bring. Although the European Union, the United States, and China have recognized Ukraine's new authorities, Russia has not.

Russian propaganda characterizes Ukrainian activists (depending on its purpose and intended audience) as fascists, terrorists, or gays. Prime Minister Dmitry Medvedev has claimed, without any evidence, that Russian citizens in Ukraine are under threat.  That is the classical justification for intervention. Russian parliamentarians are now in Crimea, promising Russian citizenship to ethnic Russians there and suggesting that Russia will support a referendum on the detachment of Crimea from Ukraine and its attachment to Russia.

On the other side, among the revolutionaries are radicals who may not be satisfied by the compromises that end any revolution.  Their main motivation was the end of Moscow's influence in Ukraine, and so they can be provoked.  Compromise will be possible in a state that is financially stable.  In one that is not, Russian policy might provoke nationalists, and conflict can begin again.

The cause of the Ukrainian protesters was not to change the world, but only to change their world.  What they wanted was normality, predictability, the ability to live their lives the way they chose.

They wanted, in other words, the things that most of us take for granted.  But now that their revolution has come, the world faces certain important choices.  If we don't understand the revolution in Ukraine, then we miss something special and unusual: a chance to support democracy.

@highlight

Timothy Snyder: We're witnessing an extraordinary event, a revolution in Ukraine

@highlight

He says Ukraine's population did not run away from regime's violence, but stood firm

@highlight

Ukrainians don't want to accept a Russian-style regime in return for Russian money, he says

@highlight

Snyder: The West now must provide financial and other support for Ukraine's democracy