(CNN)Last month's so-so jobs numbers confirm the challenges our economy still faces. Despite recent gains, only 126,000 jobs were added, the lowest since December 2013. Wages remain sluggish. And unemployment may still be at 5.5%, but there is wide concern among labor experts and economists that too much job growth is in part-time low-income work.

Low-wage workers have been the hardest hit since the onset of the financial crisis, and low-wage jobs remain a fixture of the new economy. Nearly 60% of the people in America's workforce are paid hourly and work part-time.

Most part-time employees are doing low-wage work. Tackling this growing trend is complex. But there is a simple step we can take to improve the conditions of low-wage workers today. Congress should help low-wage workers gain access to predictable work schedules.

Here is how this issue works:

America's major fast-food chains, retailers and department stores use "just-in-time" scheduling to maximize profit, which in turn creates unstable and stressful work environments for low-wage workers. This type of scheduling has increased dramatically because of sophisticated software that ties staffing to expected customer traffic. Algorithms, built on sales and economic data, provide real-time information for managers to make personnel adjustments.

Not surprisingly, such haphazard scheduling wreaks havoc with low-wage workers.

Hourly low-income workers endure significantly greater fluctuations in their hours and less predictability in how much they earn than full-time employees.  Many don't even know their weekly schedules until the last moment. A University of Chicago study found that 41% of early career hourly workers and 47% who work part-time received a week or less of notice of their work schedules.

Imagine dealing with this as you are trying to earn a basic living, find reliable child care, get new vocational skills, or attend to medical needs.

Women and workers of color most acutely struggle with this practice. Women comprise over two-thirds of the nearly 20 million workers in low-wage jobs like home health care, fast food work, and cash services.

Similarly, a large proportion of minorities work low-wage jobs. Nearly 50% of African-Americans and Latinos receive their hours with a week or less notice. By comparison, almost 40%  of whites receive weekly notice. Minorities also have much less of an ability to control their hours. Only 10% of Latinos and 12% of black workers reported being able to set their hours within certain limits or freely. Within this same context, 18% of whites said they could.

Child care is the primary casualty of just-in-time scheduling. Because of erratic shifts, child care centers often can't accommodate a working mother's schedule. Many must attend to informal arrangements, which by nature are unstable and unreliable.

Traditional economic safeguards have offered little help to these workers. Unions, for example, have provided little protection against just-in-time scheduling because of their nascent role in the service economy.

Real solutions exist. States and cities are enacting laws to address scheduling abuses. New York, Minnesota and Michigan previously introduced promising legislation. And in December, San Francisco became the first jurisdiction to pass a "retail worker bill of rights." This ordinance limits how chain stores can alter their employees' schedules.

Still, there is no substitute for federal action. Too many people work in states with little protection. Washington ignores the problem because congressional Republicans have shown little interest in the plight of low-wage workers.

Last summer, The Schedules that Work Act was introduced in Congress. According to the National Women's Law Center, the bill would provide workers the right to request and receive predictable work schedules, receive compensation for sudden scheduling changes, and not fear retaliation if they request scheduling accommodations from their boss. Although the bill expired last session it will likely be reintroduced.

And yet the bill will most likely not pass. Congressional Republicans have demonstrated they are more interested in unraveling worker protections under the guise of supporting economic growth.

Conservatives should embrace this work-schedule legislation. The bill protects families and allows them to attend to their many obligations, not just work. Protecting shift workers is likewise good for business. Studies show that workers who exercise greater control over their hours are happier and more efficient. Conversely, just-in-time scheduling increases worker turnover and hurts worker satisfaction.

While Washington stalls, it's everyday Americans who are hurt. It's the single mom in Chattanooga working as a Walmart cashier who's juggling work and childcare for her kids. It's the Arby's line cook in Fort Worth who needs reliable shifts to make her dialysis treatments. It's the stock man at an Amazon fulfillment center in Lehigh Valley who can't get his son to pre-algebra tutoring because of his erratic shifts.

Our leaders have the unique responsibility to protect America and attend to the critical economic challenges of our time. Even with the weaker-than-expected jobs report we know our overall economy is improving, yet income-inequality is deepening. Congress must endorse a recovery that's inclusive, livable, and one that enables every family to balance competing obligations. They can start by passing legislation that better protects shift workers from arbitrary and unpredictable scheduling practices.

@highlight

Vijay Das: So-so jobs numbers contain truth that worries labor experts: Too much American job growth is in part-time low-income work.

@highlight

He says erratic work schedules tied to customer traffic wreaks havoc with low-wage workers' lives. Congress can fix this