(CNN) -- When I teach psychiatry to medical residents, the first thing I tell them is that patients' stories always make sense. No matter how bizarre a person's symptoms might be, our lives follow a human logic, and they follow a medical logic. When a story doesn't make sense, it means you don't know the real story.

Medical stories that don't make sense are often big news makers, precisely because they don't make sense. Sometimes, they titillate our hunger for the unexplained. Sometimes, they capture our attention because the medical uncertainty frightens us.

A current and highly publicized example of this phenomenon can be seen in the case of a group of teenagers attending a single school in Le Roy, New York, who have developed strange movement disorders in rapid succession. Out of the blue, previously normal young people have had their lives devastated by uncontrollable tics, gesticulations and embarrassing verbal outbursts. And no one can find a medical explanation for this horrible state of affairs.

N.Y. town still baffled by teens' mysterious tics

If ever there were a story that doesn't make sense, this is it.

So what should a psychiatrist -- or any other type of doctor for that matter -- do if a story doesn't make sense? Continue to gather information until the real story emerges. How do you know that the real story has finally emerged? Because it makes sense.

Let's apply that logic to the situation of the afflicted young people of Le Roy. Their symptoms most closely resemble a neurological condition called Tourette 's syndrome. Patients suffering with Tourette's are bedeviled by a wide variety of nonsensical movements or speech acts that occur involuntarily, and that are called tics. Tics are involuntary but can usually be briefly controlled if a patient concentrates. If you ask a someone with Tourette's why he or she engages in such odd behavior, you will be told about an intense sense of internal discomfort that is only relieved by doing the tic, and then only briefly.

At first glance, Tourette's syndrome is an attractive explanation for the Le Roy tic epidemic. It occurs in young people. It causes very similar symptoms. And despite its often catastrophic effect on people's lives, it is not associated with any easily identifiable abnormalities in the brain or body that provide an easy diagnostic test for doctors. It can be diagnosed only by its symptoms.

But I can assure you that the young people of Le Roy do not have Tourette's for one simple reason: It is a rare condition and it is a solitary disorder. Genetic risks for the disorder exist, including a vulnerability to develop a subtle autoimmune condition of the brain following a streptococcal infection in childhood. But Tourette's is not contagious. It never occurs in an epidemic form such as the mystery illness in New York state.

So if the young people of Le Roy don't have Tourette's what do they have?

To answer this, we have to ask a follow-up question: What are the most frequent causes of illnesses that occur in groups of people, especially in groups of people in close physical contact?

The answer is clear. Disease epidemics are usually caused by infectious agents, such as viruses or bacteria. If all the people afflicted with an illness live in the same environment, the other possibility is that something in that environment is making them sick. So whenever a doctor hears about a group of people living close to each other in the same location who develop the same disease, his or her first thought should be that the illness has either an infectious or environmental cause.

Could toxic chemical be source of tics in NY town?

This fact explains a good deal of why people are so worried about the current tic outbreak. If it has an environmental cause, then other people in the area are at risk. If it has an infectious cause, then we could all be at risk.

So why is it almost certainly impossible for the Tourette's-like outbreak among the young people of Le Roy to be the result of either an infection or the local environment?

Let's consider the infectious possibility first. Even if you didn't know that all blood tests in the affected young people have been normal, you could effectively rule out infection for one very simple reason: All but one of the people who have developed tics are female, and all but one are teenagers. Have you ever heard of a virus, bacteria or parasite that, in essence, infects only teenage girls? (Or more exactly, that only causes illness in teenage girls.)

Why is an environmental cause also not likely? The school district has conducted fairly rigorous tests of the school environment and found nothing abnormal. That doesn't overly impress me, however, because it is always possible to miss a poison that is currently not well understood. Moreover, as the environmental activist Erin Brockovich has made public knowledge, a toxic chemical spill occurred in the area surrounding the school many years ago.

But the problem with an environmental explanation is similar to the problem with an infectious one. Why would a poison in the environment almost exclusively target female teenagers? And unless the poison was brand new in the environment, why would so many people get so terribly sick so quickly? Why would a toxic spill that occurred years ago only now cause illness, and do it so quickly in such a select population?

When the mystery illness is examined in this way, it becomes apparent why doctors have ascribed it to a psychological condition called conversion disorder. But does this explanation hold up better than infectious or environmental ones?

Surprisingly, the answer is yes. Although we don't understand what causes conversion disorders, the fact that they exist is indisputable. I've seen hundreds of them over the years.

Taking the 'mystery' out of conversion disorder

The essence of a conversion disorder is the development of a neurological symptom -- such as the tics seen in the young people of Le Roy -- for which no neural abnormality can be found. Typically, a simple neurological exam will confirm that the symptom doesn't result from any type of brain or nerve damage. And yet patients with conversion disorder have no conscious sense that the symptom is a production of their brains. That is, they are not manufacturing the problem. They are truly afflicted, and it can be horrible.

Only someone who has hypnotized people paralyzed for months and had them hop out of bed and run around the hospital room, or who has conducted "truth serum" interviews of people unable to speak, only to have them erupt into King's English, would believe that such bizarre conditions exist. But having conducted these interventions, and more, I can assure you that people can be completely incapacitated by symptoms with no obvious medical cause.

There is another reason why conversion disorder is a plausible explanation for the tics of Le Roy. People can catch these conditions from each other. While uncommon, it has been documented many times in history. If this seems strange, consider the fact that we are affected by each other's thoughts and emotions all the time. Ever had your day ruined by the bad mood of your spouse or your child? The type of psychogenic contagion that most likely underlies the tic epidemic is far more extreme than these commonplace examples, but falls along the same spectrum.

No one likes conversion disorder as an explanation for the tic epidemic. Patients feel insulted, stigmatized and dismissed. Their parents feel dismissed and terrified that something medical has been missed. Everyone involved feels that they are being blamed for the problem. And what doctor worth his or her salt would be truly satisfied with an explanation that tells us nothing about the cause of the disease or how to specifically treat it?

I don't think anyone has good answers for these questions. Certainly, I don't.

The opinions expressed in this commentary are solely those of Charles Raison.

@highlight

Charles Raison: To untangle the mystery of teenagers' tics, try to make the symptoms make sense

@highlight

Tourette's syndrome can be ruled out, since it's a rare and solitary disorder, he says

@highlight

He says environmental poisons, infection aren't causes because tics affected well-defined group

@highlight

Raison: That leaves psychological cause as most reasonable explanation