Washington (CNN) -- As President Obama is set to take stock of the nation during his State of the Union address Tuesday, a civil engineers group gives the U.S. transportation system low grades.

For example, the nation's bridges. Most of us don't think much about bridges until one we need is closed or is damaged or collapses, as the I-35W one did in Minneapolis in 2007, killing 13 people.

Yet engineers all over the country who really know about such things say we ought to be thinking about bridges a lot more.

And here is something we should consider: One in four of our bridges is either in need of repair or obsolete in terms of handling modern traffic and loads.

That startling fact comes from the American Society of Civil Engineers, which every few years consults with dozens of the nation's experts on all sorts of infrastructure matters. The society gives U.S. bridges a grade of C.

And bridges aren't the only problem in what we could call the State of the Union's Infrastructure. Roads, airports, water supplies, railways, dams, schools and on and on it goes; all are, according to the engineers' latest report in 2009, in pretty dire shape.

The amount of air travel in the U.S. increased by 7% last year, but an overhaul of the air travel infrastructure is long overdue, according to the American Society of Civil Engineers. The group gave the nation's aviation system a grade of D.  Compared with trucks, railways are much more efficient for moving goods: using about 20% less energy per mile if used properly. But comparatively little has been invested in expanding U.S. railroad capacity. Rail gets a C minus.   What is the state of your community? Tell us

Consider this: Although a steady drinking water supply is crucial to even the most basic success, water systems nationwide are so old and decrepit that the American Society of Civil Engineers estimates 7 billion gallons of drinking water are being lost through leaky pipes every day.

How can America save crumbling water delivery systems?

Inland shipping along canals and rivers keeps millions of American homes warm with coal and families fed with grains such as wheat and corn. But locks on canals and rivers, which were made to last only 50 years, are now on average 60 years old. Navigable waterways get a D minus from the civil engineers.   See details of the ASCE report card

Public transit use grew 25 percent in the past 10 years, and yet fully half of all Americans have no access to commuter buses or trains; many more have sketchy access at best.  You get the picture. However, it may be a little harder to see the multiplying effect.

Experts at the American Society of Civil Engineers point out that for each year that these infrastructure problems are not addressed, they grow exponentially worse.

It's kind of like a leak in the roof. It may be painful to pay for new shingles when the leak is small, but if you wait until it expands and soaks the walls and floors below, the damage and cost will be much, much harder to bear.

In recent years, many politicians have started talking much more seriously about infrastructure problems, but when faced with a stumbling economy, they are finding it harder than ever before to lean into big-ticket repairs.   After all, until the day comes that a bridge falls down, it often looks just fine.

The problem is, no one really knows which day that will be.

@highlight

Society of civil engineers gives U.S. low grades for transportation infrastructure

@highlight

Air travel infrastructure overhaul is long overdue, while traffic increased by 7% last year

@highlight

Half of all Americans have no access to commuter buses or trains

@highlight

The longer these problems go unaddressed, the worse they grow