(CNN) -- From the sweeping coastlines of Kalamata to the sun-scorched island of Crete, Greece's olive groves have been thriving in the Mediterranean heat for thousands of years.

The tiny green fruits are harvested before autumn sets in, and cold pressed to deliver extra virgin olive oil, regarded as an elixir of life. The Greeks believe this oil is the world's best.

But the world, Greek brothers Thomas and George Douzis realized, did not.

So, in 2007, the Douzis brothers developed a plan to take Greek produce to the global stage. It was an idea that would also, inadvertently, make the Douzis brothers early examples of the country's grass-roots survival strategy.

The Douzis, now aged 27 and 30, grew up in coastal town of Thessaloniki, where their grandfather Thomas owned a grocery store, selling everyday products such as olive oil or honey to locals.

Their father, Thodoris, was also in the food business, working for Kellogg's before setting up his own food distribution company.

The brothers were raised on Greek delicacies, but as they grew older they realized the food they loved had a global image problem.

Take Greek olive oil's reputation around the world. According to market research, shoppers preferred Italian and Spanish oils, despite 80% of Greek olive oil being extra virgin, compared to 45% in Italy.

The Douzis had found their mission.

"The perception abroad is that Greek oil is the cheap one. Bottom of the shelves," Thomas Douzis says.

As a marketing graduate, he had a plan to change that image -- and a lot more. The brothers would find the best independent producers in the country and take their products global, with a guarantee of quality. Greek olive oil, honey and other delicacies were in their sights.

The brothers chose the brand Ergon -- the Greek word for project -- and set out to find the country's best produce.

In the tiny Kolymvary region of Western Crete, they found the olive oil they wanted to promote. It came from olives whose history on the island dated back to the Venetian occupation, 800 years ago.

The caliber was so high the area had been granted special status from the European Union. Pressed in low temperatures and strictly by mechanical means, the region's oil was among the purest in the world. It got the Ergon approval.

The brothers were also spending hours in labs testing Greek's best honey for purity and sugar content -- choosing a blend which they called "Bee's project" to finally launch Ergon.

The brand was in the market. But it was headed straight into an economic storm.

Ergon launches, Greece stumbles

As the Douzis brothers developed their business plans, the country's finances were beginning to unravel. Greece had hosted the Summer Olympics in 2004 which had left the country on a high -- but blown its budget.

By 2008, Greece was in recession. By 2010, it had taken its first bailout from the European Union and International Monetary Fund, and was forced to introduce austerity measures. It slashed through people's pensions, incomes and jobs, and fed soaring unemployment.

But by 2010, Ergon was an established brand, selling five lines of traditional products including spreads, canned fish, beans, mushrooms and wild truffles. The crisis, for the Douzis, fed a "nothing to lose" attitude that ultimately boosted their success.

As Greece recovers from its financial meltdown, other young entrepreneurs have emerged as flag-bearers for a new audacity and style. And many are doing so as expats, after being forced out of the country by the crisis.

Greek diaspora lift those left behind

In London, Reload Greece is typical of this change. Set up in 2012 to create a hub for Greek entrepreneurs, it promotes the idea expats can help their troubled homeland from afar.

It reflects the exodus of Greek youth who went searching for better career prospects, and have since proved a surprising force for the country's recovery.

Reload's general manager, Markos Kiosseoglou, left Greece for an education in England and the U.S., working in start-ups and multinationals. Like many of his compatriots, his Greek bloodlines run strong and he set up Reload, in his words, to "let people do whatever they do, and find ways to connect them to Greece and help Greek communities."

Thomas Douzis is one of Reload's supporters. He has assisted with events and mentored potential "reloaders" about his own experiences of doing business with small-scale Greek operators.

"Greece used to be a country with lots of entertainment, tourist sector, big summers... now it is much more stressed environment," Douzis says. "This generates more passion to perform."

Manos Sifakis is another example of the Greek renaissance. He started his multimedia marketing company Customedialabs as a part-time, one-man operation during compulsory Greek army service in 2000.

Working for clients based around the world, Sifakis had a network of customers by the time he finished his service, and started working full-time.

Since then, it has become an international agency with offices on two continents and high-profile clients including Johnson & Johnson, ING and Exxon Mobile.

Sifakis is now based in Philadelphia, after following his American wife Maria to the U.S. He runs the agency from Pennsylvania, although most of his 60 employees in the Greek city of Larissa, where he is originally from.

"Truthfully, if I didn't have Greece, I wouldn't be in business," Sifakis says. And it's not cost which keeps him tapping his homeland. "There are many places around the world with talented workforce that would be more cost-effective.

"The number one advantage is the loyalty. My most loyal talent is in Greece. I have people there who have been working for me for many years."

He hopes to hire as many young Greeks as possible. "Greece can be successful if you find people who can inspire and lead the change," Sifakis says.

'Winners in a crisis'

The Douzis are of this ilk. Ergon, born as Greece's economy collapsed, now has a network of 150 producers who support seven stores and delis in Greece, one in London and another being prepped for Brussels.

The brothers' ambitions reach beyond Europe -- by 2017, they want to be in the U.S., where demand for fresh Greek products has grown rapidly since Americans discovered, and fell in love with, the country's traditional thick yoghurt.

According to Thomas Douzis, looking back at Ergon's beginnings, "we started in a very, very bad situation and proved that we can be winners in crisis."

Douzis recalls trying to convince the producers to join Ergon when it was in its infancy. "Greece was wealthy back then, so we had to convince them that these two young brothers from Thessaloniki can do that job, that we can help them sell their products," he says.

Back then, many producers didn't have barcodes or an English language list of their ingredients. Now, thanks to Ergon and despite the country's devastating crisis, their products are being enjoyed at a trendy restaurant just off Oxford Street, the main shopping hub in the heart of London.

There, in Ergon's flagship London restaurant, Greece's traditional salad is created out of coarsely cut tomatoes, chunks of colorful peppers, a samphire garnish and feta cheese cream.

But the key ingredient is the basil-infused olive oil that pulls the disparate flavors together. It is the oil made by small-scale farmers, under the sun of the Kolymvary region, in Western Crete.

Read more: Voices from Greece: Europe may be recovering, but crisis not over for us

@highlight

Greek brothers Thomas and George Douzis started a business at the height of the financial crisis

@highlight

The lack of employment opportunities has sparked a wave of new Greek entrepreneurs

@highlight

Thomas Douzis says the economic downturn forced the nation to change its mentality