(OPRAH.com) -- One of the small sorrows of my adult life is being married to a man who won't eat tongue. "It's delicious," I tell him, but he won't budge. "If you tasted it and didn't know what it was, you'd love it," I say. "The problem is all in your head!"

"So?" he says, perfectly content with his head and its problems. "I'm still not eating it."

Undeterred, I describe the excitement I felt as a kid when I'd lift the lid on my mom's big frying pan and spy a beef tongue cooking there. "It was curled -- you know, like that Rolling Stones logo," I say, "only brownish gray, and covered in cream of mushroom soup, and, um...." I realize I'm not making headway. Tongue is a hard sell to someone who has already placed it firmly outside his own personal sphere of comfort.

We all have versions of these spheres, into which we segregate the edible from the inedible. Culture and ethnicity play a huge part in what winds up inside them (we do not eat monkey; the Penan of Borneo do), as do our parents and friends, advertising, politics, religion, our anxieties, and life experiences. It's no wonder each person in the Western world (where we have so much choice about what to eat) probably defines "edible" in a slightly different way. Our individual menus are as unique as our fingerprints.

Oprah.com: One woman explores the virtues of eating everything

Take my friend Maria Ricapito. She is an adventuresome cook who is utterly incapable of eating an egg if the white and yellow aren't combined. She can eat omelets and scrambled eggs. But fried eggs? Deviled eggs? Hard-boiled eggs chopped up in potato salad? "I can't even choke them down," she says, her voice taking on a tinge of hysteria. "Something about the texture -- you know how the yolks are kind of crumbly and the whites sort of rubbery and solid? It just doesn't work for me at all."

No one starts out life with an aversion to eggs or tongue-- or, for that matter, to liver, okra, lima beans, or any of the dozens of other foods many people come to revile as adults. Indeed, according to Paul Rozin, Ph.D., professor of psychology at the University of Pennsylvania and an expert in disgust and food choice, there are only a handful of flavors our brains are hardwired to reject, and all are typical of foods that historically had a high likelihood of making us sick -- spoiled things like moldy bread and sour milk, and bitter things like caffeine. "A lot of natural plant toxins are bitter," he says. In addition to this self-protective mechanism, there are two other universal, built-in predilections: First, a suspicion of (yet interest in) unfamiliar foods. And second, the ability to connect something new we ate to certain consequences, such as nausea.

Oprah.com: What happens when anxiety controls your diet

That's it. "Everything else is acquired," according to Elizabeth Capaldi, PhD, provost of Arizona State University and a longtime professor of the psychology of eating. "There's no inborn dislike for any other taste or smell, even of vomit or feces." In other words, you can't blame genes when you pick the anchovies off your pizza. So where do we acquire our vast range of idiosyncratic dislikes?

"Their origin is obscure," says Rozin. He admits that we generally grow to dislike foods that remind us of our bodily functions, guts, or mortality -- which might explain why liver (and other mealy, pasty foods) and oysters (and other squishy, slimy foods) put off so many people.

Oprah.com: What you need to know about the meat you buy

It might even account for Maria's egg issue. She half-recalls overhearing as a child that eggs were chicken embryos, a thought that disturbed her in a way she still can't quite explain without turning green. Says Capaldi, "Sometimes an idea produces an emotional reaction, and the emotion produces a physiological reaction" -- namely, nausea. This isn't hardwired self-protective "disgust," but it may have somehow piggybacked on the same apparatus. As Capaldi says, "The disgust mechanism is a very, very powerful thing. Putting something in your body is an intimate act." Any revulsion you feel toward a food is magnified by the thought that it will become part of you.

This apparatus occasionally goes haywire. In 2007 BBC Television chronicled the struggle of David Nunley, a strapping 28-year-old father of two, to overcome a lifelong inability to eat anything but cheese, chips, and white bread. After four weeks of therapy and nutritional counseling, he managed to add salad to his diet; hot food still made him gag.

Oprah.com: How to eat in your 20s, 30s, 40s, 50s and beyond

You don't have to be as compulsive as Nunley to feel similar dread. History is full of stories of ordinary people who refused to eat unfamiliar food. The first colonists to America faced this predicament, myths of the first Thanksgiving to the contrary. They "had come upon a land of plenty," according to Eating in America, by Waverley Root and Richard de Rochemont. "They nearly starved in it." Why? Because among other things, they "could not or would not adapt themselves to the foods available locally...and elected instead to depend on supplies from England." Close to death, many awaited shipments of English beef rather than swallow a morsel of lobster or a clam. The few among them who trusted the natives eventually provided a bridge to these strange new forms of sustenance.

It sounds perverse, until you consider what you would do if you washed up on the shores of Cheju island and were offered a meal of sautéed silkworm pupae. You, too, might bide your time, hoping for a box of Cap'n Crunch to float in on the waves.

Oprah.com: The innovative spirit of vegan cooking

Yet, clearly, diets aren't set in stone. We constantly add new things -- goji berries, lemongrass, Splenda -- and reject others -- chicken nuggets, say, after seeing Food, Inc. "You can think yourself into an aversion," says Capaldi. And most of the time, you can think yourself out of one.

Fuchsia Dunlop did. The English author of two Chinese cookbooks and a memoir, Shark's Fin and Sichuan Pepper, she went to great pains to get past her revulsion to some of the foods she was fed in China -- including goose intestines, pig brain, scorpions, bee larvae, and tendons from cows' throats, which she describes as "just like rubber bands." Because the Chinese truly relish these foods, she wanted to learn to like them, too. It helped to realize that Chinese cuisine, which has been evolving for thousands of years, celebrates variety in textures -- slimy, chewy, gelatinous, crunchy -- the way French cuisine champions complexity in flavor. "In China, the sensation of a thing in your mouth is part of the pleasure of eating it," says Fuchsia. "In the West, if you get a bit of cartilage in your mouth, it's the rubbish, but in China it's the good part. It's fun to try negotiating your way through a chicken wing with your teeth and tongue."

Oprah.com: What's the right diet for you? Take the quiz!

Still, she admits that overcoming certain aversions required an iron will. Take "thousand-year-old eggs," made by submerging raw duck eggs for three months in a brew of ash, lime, tea, and salt. "The white turns into brownish jelly, and the yolk is a dark creamy thing edged in moldy green-gray." At first Fuchsia found them revolting, but now she eats them with abandon, having decided to "think of them as the egg equivalent of blue cheese."

I can't say how I'd react if served a thousand-year-old-egg, but, like Fuchsia, I see aversions as obstacles worth fighting to overcome. I've been this way since I was a kid and vowed to taste an olive and an oyster every year until I grew to like them -- an outcome I had utter faith in.

But I must confess that my tolerance for odd foods sometimes makes me intolerant of other people's aversions to them, and that's not fair. Much as I'd like to coerce my husband into eating delicious, slow-cooked beef tongue, I have to accept that only he can decide what to him is delicious, and what remains banished forever to the land of utter yuck.

Oprah.com: 25 superfoods to incorporate into your diet now

By Celia Barbour from O, The Oprah Magazine © 2010 Harpo Productions, Inc. All Rights Reserved.

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

There are only a handful of flavors the brain rejects, says Paul Rozin, Ph.D., professor of psychology

@highlight

"Revulsion you feel toward a food is magnified by the thought that it will become part of you," says one expert

@highlight

One woman loves beef tongue while her husband refuses to eat it

@highlight

Overcoming fear of foods can require "iron will," says one woman who will try almost anything