(CNN) -- You know things in Chicago are bad when 70 murders in the first quarter can be seen as a good thing. But context is everything: Last year at this time there had been more than 120 murders, so I guess we should thank God for small favors.

It seems inconceivable that the city President Barack Obama calls home is also the city where his family may be least safe. Just this Monday a 15-year-old boy was found shot dead in a backyard only four blocks from the president's house.

What's responsible for the bloodshed? Gang violence, as usual. Police estimate that of the 532 murders in 2012 -- nearly 1.5 a day -- about 80 percent were gang related. And yet, despite that rather staggering statistic, the national outcry is muted at best -- nothing, to say the least, like the kind we saw last week in Boston. What is it about the word "gang" that brings out the apathy in us? Would we view Chicago differently if we called the perpetrators something else?

In Chicago, nurses dodge bullets to provide care

I'm not saying the people of Boston do not deserve our sympathy; they do. Nor am I suggesting the apprehension of Boston terror suspect Dzhokhar Tsarnaev was not essential. But how do we explain our habit of greeting terrorists with 24-hour news coverage and relentless wrath while overlooking the gangs that terrorize our streets daily -- as if terrorism were only an enemy state and not a concept.

The murder numbers may be slightly better in Chicago, but they do not fully communicate the city's state of siege. In February CNN reported that some children living in gang-ridden parts of the city carry guns because, to them, getting caught and serving time for possession of a gun is better than getting caught without one and dying.

Last month, city officials announced the closure of 54 "under-resourced" schools, which will force some kids to walk across warring gang territory to get to school. For example, in the seven blocks between George Manierre Elementary and Jenner Elementary there are three gangs fighting over territory: Black P Stones, Conservative Vice Lords and Gangster Disciples.

Kids and guns: 'These are not isolated tragedies'

If it all sounds scary, it's only because it is.

And if the name attached to all of this violence were al-Qaeda instead of Gangster Disciples; or if instead of "gang violence" the bloodshed were called "terrorism;" or if instead of calling the people spreading fear and mayhem gangs we were to call them what they really are -- terrorists -- the nation would demand more be done.

After all, if children are afraid to walk to school because they might get killed or if residents are afraid to identify perpetrators for fear of retaliation, I think it's safe to say they are being terrorized.

What seems like a linguistic shell game is really an exercise in empathy. The thought of elementary school kids walking across areas of a city controlled by three terrorist groups becomes unacceptable to everyone, not just their parents. Hearing that 25 Chicagoans were shot in one weekend becomes a threat to national security, and not just the mayor's problem.

The story of 15-year-old Hadiya Pendleton, who was caught in the crossfire of a turf war days after performing during the presidential inauguration, was of interest briefly but her story has since faded. She, too, died just a few blocks from the Obama's home. Jonylah Watkins, a 6-month-old girl, was shot in March while sitting on the lap of her father, Jonathan, the intended target and a gang member.

Opinion: Chicago's violence took my dad, friends

Last week, millions watched as an entire city was shut down to look for one guy. Every major news station was covering the pursuit of one guy. We all know the face and relatives of this one guy. And it's all because he is an alleged terrorist. But more American were murdered in the south and west sides of Chicago than there were U.S. servicemen killed in Afghanistan last year, and yet for some reason we don't view those neighborhoods as terrorized.

Last week, Abdella Ahmad Tounisi was arrested at O'Hare Airport because the FBI believed he was on his way to Syria to join a terrorist organization. Tounisi reportedly thought he was in contact with a recruiter for a jihadist militant group, but it was actually an FBI agent. I would love to see the FBI's anti-terrorism resources used in that matter to stop would-be gang members from flooding the streets of the country's third-largest city. Maybe Cornelius German, the boy found dead down the street from Obama's house, would still be alive.

Maybe Pendleton, who was playing in a park with her friends, would still be alive. Maybe Watkins, who was sitting on her father's lap, would have had a chance to live.

Their deaths wouldn't be considered "Chicago's problem" if authorities suspected terrorists were involved. But it's "gang-related," so...

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson: First quarter of 2013 saw 70 murders in Chicago

@highlight

He asks why aren't gangs treated like terrorists? They do damage like terrorists in Boston

@highlight

He says children are unsafe, in terror because they must cross gang territory for school

@highlight

Granderson: Where is the urgency to fight such violence?