(CNN) -- The U.S. economy exceeded forecasters' expectations in February, adding 175,000 new positions. This is a welcome jump from the paltry 75,000 jobs gained in December and 113,000 in January -- which had constituted the weakest back-to-back monthly figures in three years -- but the unemployment rate edged up to 6.7%. And we are still far off pace for the recovery federal officials would like to see as they scale back a massive bond-buying program.

The fact is there is a fundamental shift underway that we must address to get the economy humming again: the steady substitution of human labor with computers. More companies are mechanizing positions traditionally reserved for flesh-and-blood workers. Low-cost software is replacing blue- and white-collar jobs alike.

A recent study by Oxford University researchers projected that up to 45% of U.S. jobs could be replaced by computers within the next two decades.

America needs to adapt to this shift, or these lackluster job gains are going to become the new normal. And there is no better place to start than our schools.

The fact is American teens are falling behind in key subjects that will prepare them for the new age of computing. In the most recent global education assessment, America's 15-year-olds scored below the international average in math and about average in science and reading. Furthermore, many of the specific skills our kids are learning in school today won't prepare them at all for the professional world they'll enter.

Our schools need to change. And there is a clear strategy for how to do it.

But first, the essence of the challenge. The first wave of professional technologies replaced physical laborers -- car production lines, for instance, evolved from a series of Bobs and Joes with specific technical proficiencies to just a handful of hyper-efficient assembly bots.

Today, processors and software have grown so sophisticated that they can replicate core cognitive functions once thought to be the exclusive domain of humans. You can now hire computers to do your taxes and trade stocks. And these replacement technologies usually operate at much lower cost and higher reliability than their brain-ware competitors.

MIT scholars Erik Brynjolfsson and Andrew McAfee have been particularly perceptive in formulating strategies for how Americans can adapt to this seismic shift in the labor market. They note it's futile to try to outcompete; the flip side of the John Henry legend is that humans will eventually lose any direct competition with machines.

Instead, they point to a teamwork model exemplified in competitive chess.

About a decade ago, programs like Deep Blue started beating the top grandmasters on a regular basis. In response, there emerged what's called "freestyle" chess, which pairs a human and computer together -- the machine crunches the numbers and the person consults on broader strategy.

It turns out that freestyle teams -- even when they include a mediocre human player -- can beat the top computers and grandmasters. This pairing synthesizes what each partner does best for a more complete chess strategy.

The key lesson here is that American workers need to be trained to complement the raw processing and networking power of computers with uniquely human facilities, like evaluating subtle social cues and crafting macro strategies. Workers should use their wetware to amplify the software.

This insight has clear implications for how to reform our schools so they can better prepare students for the new age of computing.

First, classroom learning needs to shift focus from the accumulation of particular facts and figures -- How many countries are in Europe? When did Columbus arrive in America? -- to a broader emphasis on flexible analytical thinking and strategizing. After all, most Americans already have instant access to the sum total of human knowledge in the phone in their pocket. What will distinguish the workers of the future is an ability to harness, filter and synthesize all that data.

Second, computers need to play a more central role in all learning. Young people need to feel comfortable using machines to meet a wide variety of educational ends.

Third, schools need to teach entrepreneurship. Seeing business opportunities and then executing on them is a skill. It can be learned like geology and history. Young people need to be encouraged to take a critical eye to the world around them, find the inefficiencies and then problem-solve their way to potential solutions.

Don't get me wrong: personality will be a key differentiator between machines and people for the foreseeable future. There will always be a role for the best-in-class customer service-orientated people with great personalities who can instantly establish an emotional connection to their customers.

But the new age of computing is deeply disrupting the American labor market. By training the next generation of American workers how to complement -- not compete with -- these fabulous new technologies, our schools can ensure this country will flourish for decades to come.

The opinions expressed in this commentary are solely those of Adam Lewis.

@highlight

Adam Lewis: Jobs up last month; but this conceals reality about changing job picture

@highlight

He says U.S. must adapt to major ongoing shift of replacing human jobs with computers

@highlight

He says U.S.'s lagging schools must focus on flexible thinking, computers, entrepreneurship

@highlight

Lewis: Next generation should learn how to complement, not compete with, new technologies