(CNN) -- U.S. Secretary of State John Kerry's claim that terrorists "can run but they can't hide"  following two operations in Africa over the weekend is a reminder that America's military is increasingly active on the continent.

It also raises questions about the international legality of such operations, and their long-term impact, especially in weak African states. In some cases U.S. military engagements in Africa have already caused further instability rather than reducing the risks for international peace and security?

Read more: Should U.S. fear Boko Haram?

The U.S. Army's Delta force seizure of alleged al Qaeda leader Abu Anas al Libi, who was born Nazih Abd al Hamid al Ruqhay, in Libya is significant for U.S. counter-terrorism efforts. A few months ago, President Barack Obama and former President George W. Bush attended a memorial service in Dar es Salaam on the anniversary of the 1998 bombings of the U.S. embassies in Kenya and Tanzania that killed more than 220 people.

Al-Libi was allegedly the mastermind behind these bombings and has been one of the U.S.'s wanted men for the last 15 years.

A second U.S. military operation by Navy Seals in Somalia was aimed at capturing Islamist militant leader said to be Mukhtar Abu Zubayr, who also goes by Ahmed Abdi Godane, the leader of Al-Shabaab, the group that claimed responsibility for last month's attack on the Westgate shopping mall in Kenya. The operation was aborted under heavy armed fire during their amphibious assault.

Analysis: Al-Shabaab breaks new ground

The Somalia operation is a reminder of how technically difficult such operations are and how accurate U.S. intelligence needs to be. Such operations though fit into a bigger picture of U.S. and Western counter-terrorism strategy in Africa, and how these poorly governed, fragile states provide havens and laboratories for terrorism franchises.

Listening to the difficulties that the U.S. Navy Seals encountered in Somalia, reminded me that October 3, marked 20 years since 18 U.S. soldiers and hundreds of Somalis died in a battle that saw two Black Hawk helicopters shot down over Mogadishu. This was seen at the time as one of the worst disasters in American military history.

The result in 1993 was that U.S. and international community left Somalia to its own fate -- which over two decades has brought it back into the front-line of international counter-terrorism efforts.

While the outcome in 1993 was disengagement, U.S. engagement policy under President George W. Bush in Somalia to remove the Islamic Courts Union in late 2006 resulted in deepened radicalization and the rise of Al-Shabaab.

Similarly Western policy toward Libya in 2011, interpreting a narrow civilian protection U.N. mandate for pushing for regime change resulted in the instability of Libya today, and the knock-on effects in the Sahel, including the radical Islamists capturing northern Mali until a French intervention loosened their hold on power earlier in 2013.

Counter-terrorism policies live on the edge of international law: extrajudicial killings by drones or proxy hit squads are clearly contentious and extraordinary renditions -- suspect-grabbing operations -- are unlawful. Known extraordinary renditions in Africa have occurred in many African countries, including Algeria, Djibouti, Egypt, Ethiopia, the Gambia, Kenya, Libya, Malawi, Morocco, Mauritania, Tanzania, Somalia, South Africa and Zimbabwe. The Obama administration has not publically stated if such operations continue.

Today the U.S. military brief congress with maps showing an arc of instability by Islamist terrorists from Somalia and the Gulf of Aden across the Sahel and Sahara to the Atlantic Ocean and Mauritania.

Analysis: What's behind Nigeria's wave of violence?

The mistake would be to regard this as a homogeneous threat. Boko Haram in Nigeria is very different from Al-Shabaab, which is different from AQIM.

What is similar is that all these groups thrive in weakened and poorly governed states but the solutions are much more costly and long term: institution building, good governance and job creation.

Building up professional and accountable African militaries is only part of the solution and Western efforts in Somalia in support of the continental body the African Union have had success in combatting Al-Shabaab and significantly weakening them, despite the Westgate attack in Kenya.

It is though also pursuing policies that do not cause greater harm and radicalize further, as U.S. strategy toward Somalia in 2006 did and arguably US, French and British policy did toward Libya in 2011. If we are to advocate good governance, and rule of law as the ultimate remedies, we should more assiduously find ways of ensuring our policies are values-led, rather than by interests.

Not forgetting the lessons learned from Somalia and Libya about the unintended consequences of non-intervention and intervention is important if international efforts to counter terrorism in Africa in the long term are to be successful.

The opinions expressed in this commentary are solely those of Alex Vines.

@highlight

Counter-terrorism policies live on the edge of international law, Alex Vines writes

@highlight

U.S. raids in Africa show that America's military is increasingly active on the continent

@highlight

Building up professional, accountable militaries is only part of the solution, Vines says