(CNN) -- Every American community has its borders.

Manhattan, for example, has East 96th Street. It divides, in a squishy and always-changing sort of way, East Harlem, the poorest neighborhood on the island, from the Upper East Side, which is among the wealthiest. Stand on the street and you'll see people crossing from one world to the other in both directions. But the boundary does have real meaning for some.

This summer, I met Giovanni Classen, a young father and college student who was living in one of the public housing projects in East Harlem. He told me he once took a girlfriend on a date on the Upper East Side. The questioning stares of richer New Yorkers tainted the experience. His date's interest in window shopping didn't help either.

Across 96th, he felt different. Or was made to feel that way.

The river, the highway, the tracks.

All of these unspoken lines have shaped American consciousness. This is increasingly true in the age of income inequality.

As the gap between rich and poor continues to grow, so does the gulf in understanding between the classes.

We're not helped by the fact that, as Harvard's Michael Norton put it to me, the ends of the income spectrum are mostly invisible. We don't see billionaires picking up their morning papers. The extremely poor are among the most stigmatized groups in the United States. We see past them, as one man who works in Chelsea, the ritzy-poor Manhattan neighborhood, told me recently. We pretend they're not there, that these divisions don't exist in the richest country in the world.

Maybe one way to help shrink the gap between rich and poor, then, is simply to stare these divisions right in the face -- to remind ourselves that these boundaries were created and can be erased.

To that end, I'd like to invite you to participate in a collaborative storytelling experiment called "Cross the Gap."

Here's how to participate:

1. Take a photo of something that divides your community.

2. Upload the image to CNN iReport or to an online social network.

3. Include the hashtag #crossthegap with your submission.

4. In the caption, write why this particular thing -- it could be a highway, a sign, a language barrier, a park, a building, whatever -- divides your community. Say a little bit about yourself or your hometown. Which side of the gap do you inhabit? And what could you do to help make that barrier less formal or significant?

I'll give a few examples to help clear things up. In Oklahoma City, where I used to live, the Oklahoma River and Interstate 40 broadly split the community in two. Everyone asks whether you're from the north side or the south. The social circles are pretty different.

In Lake Providence, Louisiana, where I traveled recently to report a story on income inequality, a beautiful, cypress-lined lake largely separates rich from poor.

And New York is a maze of shifting and unspoken dividers. Go to Chelsea and you'll find blocks where the rich and poor stare at each other out of their windows.

I'm excited to see what you come up with for this assignment. As you take the photos, I'd ask you to think about the economic and cultural forces that keep us apart -- and what each of us could do to bring everyone, regardless of income, closer together.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

The rich-poor gap in the United States has been widening since the 1970s

@highlight

John Sutter asks readers to help narrow the gap

@highlight

Sutter: Take a photo of something that divides your community

@highlight

Upload the images to CNN iReport or to social networks with the hashtag #crossthegap