Washington (CNN) -- Baseball all-time home run champion Barry Bonds won a big legal victory Friday when a federal appeals court ruled that evidence the government says would prove he lied about using steroids is inadmissible in court.

The San Francisco-based 9th Circuit U.S. Court of Appeals, in a divided opinion, said the government cannot use urine samples and other evidence in its perjury case against the former San Francisco Giants star.

Bonds was indicted in federal court in December 2008 on 10 counts of making false statements to a grand jury -- specifically, denying that he knowingly took steroids and other performance-enhancing drugs.

His criminal trial has been delayed while the legal issues are being worked out. It was unclear whether the Justice Department will now appeal to the Supreme Court in an effort to allow the evidence to be used in court.

The Appeals Court ruling upholds a February 2009 ruling from U.S. District Judge Susan Illston that there was no proof that positive steroid tests from 2000 and 2001 were Bonds' and that out-of-court statements from his former trainer, Greg Anderson, are hearsay.

The appeals court majority said the repeated refusal of Anderson to testify against Bonds means evidence allegedly gathered by him is considered "inadmissible, since he would be unable to vouch for its authenticity."

Robert Talbot, a professor at the University of San Francisco School of Law said the ruling essentially torpedoes the prosecution's case, which was heavily dependent on evidence and information from Bonds' former trainer.

"There was a link missing here, that the only way to get down to the nitty-gritty that this was from Barry Bonds was using hearsay testimony," Talbot said.

Anderson, he said, "had possession of the evidence and he had that knowledge, and you can't use that knowledge unless he actually testifies under oath."

"To try and prove the case beyond a reasonable doubt, particularly in San Francisco where there are going to be many, many people chosen for a jury who would be behind Barry Bonds -- it should be the death knell," Talbot said.

"Practically speaking they should say, 'We gave it our best shot, and it's just not there,'" he said.

Anderson allegedly took urine samples and delivered them to a Bay-area lab known as BALCO. At issue in the appeal was whether the tested samples actually came from Bonds, and Anderson's employment status at the time.

The appeals court concluded Anderson was an "independent contractor" -- not directly hired by Bonds. Because Bonds also did not control the samples, the court reasoned, Anderson would need to testify in person on the material and the chain of possession.

The government said it would instead bring BALCO executive James Valente to the stand to testify Anderson told him the samples indeed came from Bonds.

The court ultimately agreed with the arguments presented by Bonds' lawyers. "Because the government was attempting to use Anderson's out-of-court statements to prove the truth of what they contained, Bonds argued that Anderson's statements were inadmissible hearsay and that the lab results could not be authenticated as Bonds' in that manner."

Bonds hit a record-setting 73 homers in the 2001 season. That same year, as well as before and after, the FBI said BALCO Laboratories recorded urine and blood tests, under the name "Barry Bonds," showing "positive" results for steroids and performance-enchancing drugs.

The government had the burden of showing the samples came from Bonds, then went to Anderson and then to BALCO. Anderson has refused to testify and has been jailed for contempt of court on several occasions.

"There must be at least some manifestation of assent to the principal's right to control," said the court of Bonds. "Here, the testing was performed on Anderson's own initiative and not at the request of Bonds. The dissent incorrectly assumes otherwise. Thus, the district court did not abuse its discretion in finding that Anderson was not an agent for the limited purpose of the drug testing."

The government alleges BALCO helped supply Bonds with steroids and drug-masking substances. BALCO was accused of covertly marketing tetrahydrogestrinone -- known as "the Clear" -- a then-undetectable performance-enhancing steroid.

Company founder Victor Conte and associates such as Anderson allegedly supplied other top athletes with the Clear and human growth hormone, assuring the competitors they would not be caught cheating. The lab performed repeated tests on athletes, said the government, to check whether the drugs were detectable. Top professional football and track stars were caught up in the scandal, prosecutors say.

Steroid use was banned by Major League Baseball in 2003.

Neither the government nor Bonds had an immediate reaction to the ruling. In light of the decision, it remains unclear whether the criminal trail will proceed.

The case is U.S. v. Bonds (09-10079).

CNN's Augie Martin and Matt Cherry contributed to this report.

@highlight

NEW: Law professor: "It should be the death knell" for prosecution

@highlight

Appeals Court says there is no proof that the steroid tests were from Bonds

@highlight

Former trainer, who reportedly said samples came from Bonds, refuses to testify

@highlight

No word yet on further appeal