UNITED NATIONS (CNN)  -- World leaders, many reeling from a year marked by global economic freefall and a growing threat from global warming and nuclear proliferation, exhorted one another Wednesday to work together to meet those challenges.

Libyan leader Moammar Gadhafi addresses the U.N. General Assembly on Wednesday.

In his first remarks to the U.N. General Assembly, President Obama noted that he took office last January "at a time when many around the world had come to view America with skepticism and distrust."

He then sought to distance himself from the policies of his predecessor, noting that he had prohibited the use of torture, ordered the prison at Guantanamo Bay to be closed and has been working to create a framework to combat terrorism "within the rule of law."

Obama called on world leaders to work together to effect the change needed. "No longer do we have the luxury of indulging our differences to the exclusion of the work that we must do together," he said.

He vowed to pursue an agreement with Russia to reduce the number of nuclear weapons, to combat nuclear smuggling and theft and to support the non-proliferation treaty.  Watch President Obama speak to the United Nations »

He identified North Korea and Iran as countries whose governments "threaten to take us down this dangerous slope" and said he is committed to diplomacy in persuading them to live up to their obligations.

Obama called for "more progress" in the Middle East. "We continue to call on Palestinians to end incitement against Israel and we continue to emphasize that America does not accept the legitimacy of continued Israeli settlements," he said to applause.

Obama left no doubt that he believes the danger posed by global warming is a real one. "Our responsibility to meet it must not be deferred. If we continue down our current course, every member of this assembly will see irreversible changes within their borders," he said.

Libyan leader Moammar Gadhafi also called for world unity in confronting crises -- such as climate change and food shortages -- but he expressed ire at the world body and the United States.  Watch Gadhafi's rant at the U.N. »

In a 96-minute, rambling address in his first appearance before the United Nations, Gadhafi broached conspiracy theories, urged probes into U.S. military activities and took aim at the structure and the actions of the Security Council itself.

Dressed in a traditional Libyan cap and robe, he elaborated on what he said is the unfairness of the structure of the U.N. Security Council, which has five permanent members -- the United States, Russia, China, France and Britain, each with veto power.

"Are we equal in permanent seats?" Gadhafi asked. "No, we're not equals."

He said the Security Council has provided not security, but "terror and sanctions." No one should accept the resolutions of the Security Council, he said, adding that the body should be called the "terror council."  Watch Gadhafi demand equality »

He also slammed U.S. military actions in places such as Panama, Vietnam and Grenada and called the invasion of Iraq "the mother of all evils."

On the Middle East, he said the solution for Israelis and Palestinians "is a democratic state without religious fanaticism" and said people on both sides want to live in one state.

Still, Gadhafi referred to Obama as "my son," and congratulated him on his first U.N. General Assembly speech.  Watch demonstrators for and against Gadhafi »

Iranian President Mahmoud Ahmadinejad announced he is ready to work with other nations.

"Our nation is prepared to warmly shake all those hands that are honestly extended to us," he told the assembly. "We welcome real and human exchanges and stand ready to actively engage in fundamental global reforms."

He called for a "return to monotheism and justice," calling it "the greatest hope and opportunity in all ages and generations."

Ahmadinejad blamed the world economic crisis on capitalism, saying, "It is no longer possible to inject thousands of billions of dollars of unreal wealth into the world economy simply by printing worthless paper."

He added, "The engine of unbridled capitalism, with its unfair system of thought, has reached the end of the road and is unable to move."

He added that the time has passed for those people who outwardly espouse democracy and freedom yet who are simultaneously "violating the very principles to which they aspire."

Ahmadinejad then cited the United States, one of several countries critical of his country's nuclear ambitions, despite Iran's insistence that its program is intended solely for peaceful purposes.

He was critical of the situations in Gaza as well as in Iraq and Afghanistan, where "thousands of innocent people have been killed, injured or displaced, infrastructures have been destroyed and regional security has been seriously jeopardized."

By this time, the U.S. and Israeli representatives had left their seats.  Watch representatives leave their seats »

Before his talk, and blocks away from the United Nations, more than 400 protesters toted anti-Ahmadinejad banners and demonstrated in front of the Iranian U.N. Mission.

"I am very angry," said Anna Amiri, an Iranian emigre who traveled from Dallas, Texas, to attend the rally. "We voted for Moussavi to have a change," she said, referring to Mir Hossein Moussavi, Ahmadinejad's main opponent in the election.

The results released by Iran said Ahmadinejad won by a wide margin, a conclusion that sparked street protests and violence.  Watch Iranian student tell Ahmadinejad "Be afraid" »

At the U.N., French President Nicolas Sarkozy referred to Iran's leaders in his address, saying, "If they rely on a passive response from the international community in order to pursue their military nuclear program, they will be making a tragic mistake."

Addressing global warming and the economic crisis, Sarkozy said the world is on the threshold of an ecological disaster and called on its leaders to "invent a new world where the follies of yesterday" cannot be repeated.

Sarkozy said the world has already waited too long for globalization to be regulated, global warming to be fought and nuclear proliferation to be curbed.

He called for the Security Council to be expanded to include an African nation, a South American nation, India, Japan and Germany as permanent members.

"The legitimacy of the United Nations depends on this reform," he said.

He further called for reform of the International Monetary Fund and the World Bank and urged that their mission be redefined in the wake of the world economic crisis.

In his address, British Prime Minister Gordon Brown listed climate change, terrorism, nuclear proliferation, shared prosperity and the need to eradicate poverty as key issues that must be addressed.

"We must grasp this next set of challenges immediately," he said.

Russian President Dmitry Medvedev, noting that 2010 marks the 65th anniversary of the end of World War II, took aim at those who deny the Holocaust happened and called for "firm and joint resistance to manifestations of neofascism."

He described Russia as prepared to "follow the path of reductions of nuclear weapons."

In the annual session's opening address, U.N. Secretary-General Ban Ki-moon urged global leaders to work together to face many of the world's challenges: "Now is our time. A time to put the 'united' back into the United Nations. United in purpose. United in action."

He called for tackling "the threat of catastrophic climate change" and expressed hope that nations will succeed in dealing with the problem if they work together.

He touched on nuclear disarmament, too, saying, "Let us make this the year we agreed to banish the bomb."

@highlight

NEW: Leaders from Obama to Gadhafi discuss climate change, disarmament

@highlight

U.S., Israeli representatives leave seats during Iranian president's address

@highlight

Libyan leader Moammar Gadhafi says U.N. Security Council brings terror, not security

@highlight

Global challenges require unified action, U.N. secretary-general says