MAE SOT, Thailand (CNN) -- A Myanmar rebel leader killed in February said that his group is fighting for the preservation of the ethnic Karen minority, and for greater freedom throughout the southeast Asian nation.

Mahn Sha is seen at his home in Thailand shortly before his slaying in February.

Pa Doh Mahn Sha, the secretary-general of the Karen National Union (KNU), spoke in an interview three weeks before his death. He talked about his group's battle against Myanmar's military government.

"Our struggle is to protect ourselves from the military regime," he said. "They always attack our villages, burn down our villages, burn our food supplies. We want to stop fighting but we have no choice."

The government of Myanmar has blamed the KNU for waging attacks to destabilize the military junta.

Mahn Sha was shot and killed at his home in Thailand on February 14, a KNU official said. During one of the last interviews Mahn Sha granted to international journalists, he posed in front of the Karen national flag hanging in his living room, and talked about the future of the Karen people and the KNU's fight for autonomy.

He said the KNU's fighters would continue to battle the military junta in self-defense. "Our struggle is the same struggle as the monks who protested in September, the same struggle as [pro-democracy activist] Aung San Suu Kyi," he said. "Only in a different form, ours is a violent struggle, and we cannot give up until we have won."

The 64-year-old Mahn Sha was shot and killed in Mae Sot, Thailand, just across the border from Myanmar, a KNU official said. As Thai police investigate his killing, speculation has varied on how the Karen leader was killed.

There have been suggestions the killing may have been the result of internal differences within the rebel group. But some Karen blame Myanmar's military junta. The government has not commented.

The killing came just days after Myanmar announced plans for a referendum on a new constitution, to be followed by a general election in 2010 as part of its "road map to democracy." The plan has been denounced by pro-democracy opposition leaders.

A charismatic leader mourned

Mahn Sha was the KNU's third in command, but widely respected as the group's acting leader, said KNU Foreign Affairs spokesperson David Taw. His death is viewed by many as a major setback for the already struggling resistance movement.

"Mahn Sha [was] the strong guiding light," said Oscar Baaye, an ethnic Karen from the United States who was living with Mahn Sha prior to the rebel leader's death.

Mahn Sha had been described as a skilled mediator between different Karen factions, as well as other ethnic groups in the region and those working for democracy in Myanmar.

"Mahn Sha's assassination was a blow to the entire democracy process," said Aung Zaw, editor of the Irrawaddy magazine. "A lot of people saw him as a potential figure to work on national reconciliation. He was able to connect the Karen struggle to the bigger picture," he said.

"He built bridges between all groups, that was one of his strengths," said Phil Thornton, author of Restless Souls, who has been reporting on the Karen for seven years and lives in Mae Sot.

Young Karen, in particular, said they felt inspired by Mahn Sha's approach to the democracy movement in Myanmar. "He had a very clear vision of our struggle," said Nicky Zaw, who attended Mahn Sha's funeral.

Dwindling numbers

The KNU's military, a ragtag group of soldiers who often wield World War II weaponry, has come under criticism, accused of recruiting child soldiers and carrying on what many have called an unwinnable war in civilian-occupied territory. The KNU has denied using child soldiers.

In his interview, Mahn Sha said that the KNU had the support and backing of the villagers who are caught in the middle of this conflict.

"The military regime might have big numbers, but they don't have the support of the people," he said, claiming that for every KNU soldier there are at least 25 government soldiers. "We can protect them because we have their support," he said.

Still, humanitarian groups such as the Free Burma Rangers regularly report attacks in Karen villages by the military regime carrying out counterinsurgency operations. Thousands have fled the fighting.

Prior to his death, Mahn Sha had just returned from a Karen Unity Seminar, in which Karen from around the world gathered at a secret headquarters in Myanmar to discuss the future of their movement and their people.

The KNU has been fighting the government of Myanmar for about 60 years, since shortly after the departure of the British from the country then known as Burma in 1948. It is one of the world's longest-running insurgencies.

But during the past decade, their troop numbers have dwindled from 20,000 to a mere 4,000, said David Taw. The KNU has suffered huge losses as members tire of war and resettle in places such as Europe and the United States, he said.

The group also still suffers from crippling infighting and another splinter group, a faction commonly called the Karen National Union Peace Council, recently broke ranks to sign a peace agreement with the government of Myanmar-- like many other groups.

While KNU leaders have been clear that they will continue their battle against Myanmar's military regime, they say the loss of Mahn Sha was a huge blow for the movement.

At Mahn Sha's funeral, more than 1,000 mourners gathered in the jungle inside Myanmar, including representatives from nearly every regional ethnic group and Aung San Suu Kyi's National League for Democracy party. E-mail to a friend

Journalist Jonathan Jones contributed to this report.

@highlight

Slain Myanmar rebel leader gave interview out days before assassination

@highlight

Mahn Sha said rebel fighters are fighting same struggle as democracy activists

@highlight

Speculation has ranged widely on cause of Karen leader's slaying

@highlight

Myanmar ruling junta has not commented on Mahn Sha's death