HONG KONG, China (CNN) -- It's small, affluent, tech-savvy and it has a very obvious pollution problem -- Hong Kong is arguably an ideal destination for electric cars.

MyCar, the electric vehicle developed in Hong Kong, would be perfect for the city, but faces big obstacles.

And despite the absence of a car-making industry, the city can now boast a home-made electric car all of its own. MyCar, a two-seater micro car, will roll of the production line for the very first time in October and will be available for purchase.

But you won't find it on sale in Hong Kong.

Hong Kong still hasn't got its act together when it comes to electric vehicles (EVs), according to the chief executive of MyCar's manufacturer, EuAuto Technology, Chung Sin-ling.

She says the city lacks the necessary framework and policies that would make it viable for her company to sell MyCar here. So they are heading to Europe instead.

"In London they have government incentives to get people to switch from gasoline to electric vehicles," explains Chung, citing the waiver of the congestion charge and free parking for EVs in London as an example.

"But that has to be driven by the government. In Hong Kong they are still debating whether to use diesel or whatever."

Hong Kong is not without EVs though. Private organizations like local utility Hong Kong Electric has its own small fleet of them.

But according to Chung, the restrictions they have to operate under mean introducing them now into the mass market isn't practical.

"[Hong Kong Electric] only use them inside their private site and they have to get a very special licence and they can't drive outside their site and they are restricted to certain uses," she says.

"We don't want those kinds of restrictions."

Make it hip, make it affordable

Europe to date has taken the lead when it comes to encouraging motorists to drive cleaner cars.

Most notably, London has cracked down on car-related pollution with the introduction of a congestion charge and, more recently, with additional fees for heavier polluting cars to pay on top.

Under the rules of the Low Emission Zone, for example, fees as high as $400 can be imposed on trucks and vans trying to enter Greater London that are more than six years old.

"There should be very high incentives for people [to drive EVs]," says chairman of local pollution lobby group, Clear the Air, Christian Masset.

But Masset says the political will is still not there to promote EVs in the city. He believes it is down to the market to stir up interest.

"This will only happen with market pressure - it is hard to see it otherwise," says Masset.

"If the EV became hip, then it would have an effect."

But in order for this kind of customer pressure to happen, customers need to want the cars in the first place. That's about education, says Professor Eric Cheng, director of the Power Electronics Research Center at The Hong Kong Polytechnic University, whose team was involved in the MyCar project.

And education needs to come from the government, he says.

"The government is not helping the car user," says Cheng.

"It hasn't put any special mechanism in place, any special law or regulation for motorists to drive EVs. I don't think the government has done anything to persuade motorists to use EVs."

Hong Kongers are not familiar with EVs he says, and are concerned about the technology so they need to be shown that EVs are just as good as petrol cars.

One obvious way to demonstrate that would be to change the public transportation system from diesel-fueled to electric-powered, he says.

"Taxis, minibuses, buses can be forced to go electric but the government isn't doing anything," says Cheng.

The government has in the past offered one-off grants to minibus drivers ranging from $7,000 to $10,000 to encourage them to convert from diesel to either LPG or electric.

However Cheng says stronger measures are needed.

"Voluntary schemes do not work. The government needs to put a mandatory scheme [in place], to start off with public transport so people can get used to it and see that it is good."

And then there is the question of money. Cheng says the amount of money his department received to design MyCar was nowhere near enough and to him, it told him how important the government view EVs.

"The money involved was very small. It was about $130,000 for MyCar. It's nonsense. You need tens of millions of dollars. How can we build a new generation of EVs for Hong Kong? We need to train the new engineers, the graduates, technicians," he says.

"Car-makers want subsidies from the government, as the initial costs are very high. The government needs to give them financial support and I am not talking about one or two million Hong Kong dollars. We also need more investment in R&D."

In the meantime Chung is making plans to sell MyCar in London, her first stop the London Motor Show in July to stir up some more interest. One day she hopes to come back to Hong Kong.

She says EuAuto Technology is ready now. The market isn't though. And that, she says, is something that is in the government's hands.

"We want to come here -- as long as the policy is there to make it happen," says Chung. "It would be sad and kind of ironic if we can sell them all over the world and not in our own home town.

"We have the customer, the market demand, and the product - we just need the government to support it."

@highlight

New electric vehicle, MyCar, developed in Hong Kong, but won't be sold there

@highlight

Lack of government and market interest means MyCar will be sold in Europe

@highlight

Large capacity for electric power, especially in public transport