New Orleans, Louisiana (CNN) -- BP has put off crucial "integrity tests" on the new stacking cap on its ruptured Gulf oil well so it can review testing procedures, a review expected to take place through the night and into Wednesday.

The oil giant had expected the tests -- to check pressure in the well and determine if it can be sealed once and for all -- to get under way Tuesday afternoon.

But late Tuesday night, BP announced that additional analysis of the well testing procedure was needed. The move following a meeting with Energy Secretary Steven Chu and his team of advisers.

A source informed about BP operations told CNN's John King that, "There were some potential complications that might cause a delay -- some bad, some in the better to be safe than sorry category."

It had been hoped that the integrity tests would show whether an end is in sight to the environmental disaster that has been unfolding for the last 12 weeks. But throughout the evening, cameras some 5,000 feet below the surface showed oil gushing from the well's capping stack, indicating that valves had not been closed to begin the pressure tests.

The massive custom-designed cap, which has a better seal than the last cap placed on the well, is some 30 feet high and weighs 160,000 pounds. It's hoped that it might seal the well completely. But if it's unable to contain all the oil, some could be diverted through riser pipes to ships on the surface. Under a worst-case scenario, however, tests might show there's more damage to the well's casing, meaning that capping the well would not stop the oil from flowing.

Retired Adm. Thad Allen, who is leading the federal response to the oil disaster, says the well cap placement is part a "very complex, nuanced and broad-based response" to the rupture of the underwater well in April, an accident that killed 11 oil workers and caused worst environmental disaster in U.S. history.

When they do take place, the integrity tests will measure pressure inside the well and will last anywhere from six to 48 hours. They will involve incrementally closing three valves on the new cap, a process that would allow BP to do its pressure measurements.

Higher pressure readings would mean the leak is being stopped, while lower pressure indications would mean oil is escaping from other parts of the well.

"In this exercise, high pressure is good," Allen said. "We are looking for somewhere between eight and nine thousand psi (pounds per square inch) inside the capping stack, which would indicate to us that the hydrocarbons are being forced up and the well bore's being able to withstand that pressure."

Allen was asked what he thought the odds were to the success of being able to shut the well with the new cap.

"I think we are very confident we can take control of this hydrocarbon stream and then slowly close all these valves and stop the emission of hydrocarbons. What we can't tell is the current condition of the well bore below the sea floor and the implication of the pressure readings," he said. "That is in fact why we're doing a well integrity test."

The latest containment cap, while seeming to offer the best odds of success, wasn't ready earlier. In addition, BP has learned from previous, unsuccessful containment efforts, CNN's Ed Lavandera reported on "The Situation Room."

Allen said that if low pressure readings persist for around a six-hour time frame, that could signal problems with the new cap

If it's determined that the cap can't seal the well completely, and some crude must be sent to the surface, the oil-gathering ship, the Helix Producer, in now in place. On Monday it joined the Q4000, which was already active. And more vessels are planned. Allen said a four-vessel system that could recover 80,000 barrels a day could be ready by the end of the month.

Meanwhile, in another development Tuesday, the Obama administration sent BP and other responsible parties a fourth bill relating to the oil spill. The new bill is for $99.7 million. It comes on top of a total of $122.3 million in the first three bills.

The government says the parties are responsible for all costs associated with the spill, including stopping the leak, protecting the shoreline and long-term recovery efforts. The money will help replenish a $1.5 billion federal trust fund established to pay for damages associated with oil spills.

Among those costs is skimming oil on the surface of the Gulf. Allen said authorities are on pace to have around 1,000 skimmers available by the end of the month. At this point, there are fewer than 600.

Work also has been continuing on the ultimate solution to fixing the problem, drilling two relief wells. But BP doesn't expect the first relief well work to be completed until August.

Scientists estimate that 35,000 to 60,000 barrels of oil have spewed daily from BP's breached well and Allen cautions that even if the engineering containment efforts work, there is still a lot to be done in a disaster that has affected the environment and the livelihoods of people from Louisiana to Florida.

"There's still a significant amount of oil out there, and the oil recovery and the impacts of this oil will probably extend well into the fall in terms of oil coming ashore, tar balls, beach cleanup, and then we will be moving of course at that point of the natural resources damage assessment trying to understand the long-term environmental ecological impact of the event," Allen said.

And the presidential commission tasked with investigating the Gulf oil gusher and making recommendations about the future of offshore drilling continued its public meetings Tuesday. The National Oil Spill Commission has six months to determine what happened when the Deepwater Horizon oil rig exploded April 20 -- and how to prevent something similar from ever happening again.

A new moratorium on deepwater drilling issued by the U.S. Interior Department Monday has already played a prominent role in the hearings.

CNN's Campbell Brown contributed to this report.

@highlight

NEW: BP puts off crucial "integrity" tests to check effectiveness of new containment cap

@highlight

NEW: Testing procedures are being reviewed, a process expected to go through the night

@highlight

NEW: Move follows meeting with Energy Secretary Chu

@highlight

Thad Allen can't put odds on success of the new cap