Michael Zehaf-Bibeau, the 32-year-old gunman who attacked the Canadian Parliament and killed a soldier last week, had a familiar profile. It is that of a young man alienated from mainstream society, with few friends, without a steady job, drifting from one place to another -- often with a history of petty crime and drug abuse.

Then comes the conversion to or rediscovery of Islam, and the adoption of a jihadist mindset, fed by media and online coverage of the West's involvement in wars in Iraq and Afghanistan, and by the well-oiled propaganda machine of groups like ISIS.

Whether these young men acting alone (and they are almost always men) should be better described as "lone-wolf" terrorists or deranged criminals is debatable. "There is no single, universally accepted definition of terrorism," says the FBI.

In many cases, their conversion to militant Islam is about seeking identity and purpose, or even a sense of adventure. Few of these men have a deep understanding of Salafism, the deeply conservative brand of Islam that's the philosophical underpinning of groups like al Qaeda, and jihad; their writings are often incoherent.  Frequently they see radical Islam as a form of redemption from past misdeeds, one that also feeds an existing animosity toward authority and a sense of being "on the outside." They blame "kuffar" (nonbeliever) societies for corrupting them in the first place.

Analysis of the backgrounds of dozens of young men who have embraced militant Islam and eventually planned or carried out an act of violence shows that many have had troubled upbringings -- although there is no evidence they are more likely to come from poor than comfortable backgrounds. They get into drugs and petty crime in their late teens or early 20s and often cut contacts with their families. Some fall under the sway of radical preachers; many become radicalized online.

Zehaf-Bibeau had several encounters with law enforcement and on at least two occasions was charged with drug-related offenses. The picture emerging from those who knew him is that he was often on the move and given to irrational behavior. His family members said they had not seen him in five years.

Zehaf-Bibeau had contact with a militant Islamist in Vancouver, Hasibullah Yusufzai, through social media. But Yusufzai left for Syria early this year, and his influence over Zehaf-Bibeau is unclear.

Other lone wolves had troubled backgrounds, too

Days after the Ottawa shootings, another 32-year-old, Zale Thompson, attacked four New York police officers with a hatchet before being shot dead. A loner involuntarily discharged from the U.S. Navy 11 years ago (for issues with drugs, according to the New York police), he was subsequently arrested six times. He converted to Islam two years ago and like many others appears to have been seduced by the online messaging of terrorist groups.

Richard Reid, who became known as the "shoe bomber" after he tried to blow up a trans-Atlantic flight in 2001, was also a troubled young man -- impressionable, dabbling in minor crime and drugs and ending up in a young offenders' detention center before converting to Islam. Once under the sway of militant imams at London mosques, his views quickly became more militant.

The leader of the group that tried to detonate devices in London in 2005, Muktar Said Ibrahim, had moved to the United Kingdom at age 14 from Eritrea. He was in constant trouble at school before being convicted of a series of muggings, and estranged from his family. He went to the same young offenders' center as Reid, where he found Islam. After his release he too was influenced by radical preachers in London (as was another in the group).

Zehaf-Bibeau and Reid were converts. Like Ibrahim, Mohammed Ali Baryalei was born a Muslim; he arrived in Australia from Afghanistan as a child in the early 1980s. He suffered at the hands of a violent father and was prone to depression. As a young man Baryalei was a nightclub doorman in Sydney's red-light district and no stranger to drugs and alcohol. But then in 2009 came an epiphany: He rediscovered his religion.

Whether he was influenced by others or self-radicalized is unclear, but his path to militancy was rapid and dramatic. Baryalei is now thought to be a leader within the Islamic State in Iraq and Syria, or ISIS, and has tried to get associates in Australia to carry out attacks, according to the federal police.

Abdel-Majad Abdel Bary followed a similar path. A DJ and rapper in London, Abdel Bary had lyrics that suggested redemption from drug use through religion. "It's hard to progress in the future with a damaged past but still I try to count my blessings and I thank Allah," he wrote. Abdel Bary claimed he was also seared by the memory of his father's arrest on terrorism charges. "I swear the day they came and took my dad, I could have killed a cop or two," he rapped. Like Baryalei, he also joined ISIS, even tweeting a photograph of himself holding the severed head of one of the slain Western hostages.

Investigators face challenges in identifying lone wolves

So can more be done to identify individuals who may be drifting toward an act of terror but who have no connection with any group? And what is the smartest combination of greater surveillance and tougher laws on the one hand -- and prevention and community outreach on the other?

De-radicalization programs, such as those in the UK and Canada, have recognized the importance of identifying such individuals before they can do harm. The "Channel" scheme in the UK includes behavioral therapy, education and jobs training, and drug rehabilitation to help at-risk individuals, and frequently links them with role models. It has taken 4,000 referrals since its inception in 2007.

Canada has developed a series describing real stories of radicalization that are used "to initiate conversations with community groups." But as Public Safety Canada acknowledges in its latest report "family members, peers, religious and community figures, teachers and medical and social service providers are crucial partners in recognizing and responding to the subtle indicators of radicalization."

Even so, "early intervention through a joint community/law enforcement response is no guarantee that a person will not radicalize to violence," Public Safety Canada concluded.

Analysis of such de-radicalization programs is in its infancy; the so-called lone wolves rarely appear on authorities' radar. "The problem is the type of people who are ready to engage in these (programs) probably aren't the people that the government is most worried about," criminologist Andrew Silke wrote in The Daily Telegraph last month.

There is also argument about whether these programs should be aimed at de-radicalizing (changing someone's beliefs) or more limited disengagement (preventing them from carrying out violence.)

Zehaf-Bibeau appears to have been enraged by the Canadian and Libyan governments' refusal to grant him a passport. But three years ago, after being charged with robbery, he asked a court to send him to jail for a year to help him kick his addiction to crack cocaine. A psychiatrist said he was fit to face trial, but Zehaf-Bibeau was sentenced to just one day in jail. His addiction, anxiety and extreme religiosity became a toxic combination -- but the only intervention appears to have been the denial of a passport.

Prevention and outreach vs. detention, increased surveillance

In some countries community leaders fear the balance is tipping more toward surveillance and tougher laws, to the neglect of prevention programs and community outreach. The Australian Parliament is debating measures this week that would extend preventive detention and allow police to secretly search properties before notifying the target.

Kuranda Seyit, director of the Forum on Australia's Islamic Relations, told the Sydney University journal Honi Soit recently: "The government has not made an effort to understand why young people have these ideas and thoughts. They've created this invisible war and invisible threat that will continue forever."

The British government has abandoned most of the ambitious Prevent program launched in 2005 to "increase the resilience of communities to violent extremism" -- the hearts and minds outreach (after groups that were funded ended up being taken over by extremists) and opted for a greater reliance on law enforcement.

It is introducing tougher laws to confiscate the passports of those seen as "would-be" jihadists as well as to force terror suspects to join a de-radicalization program.

James Brandon at the International Centre for the Study of Radicalisation and Political Violence wrote in War on the Rocks last month that "the UK has effectively given up trying to stop jihadists from being created. Instead resources are being focused on trying to catch jihadists before they can strike." To Brandon, "this is an admission of a grave defeat."

But given resource-stretched governments -- scarred by the unpopularity of controversial outreach programs and struggling to keep tabs on "extremist travelers" to Syria and Iraq -- are increasingly reaching for law enforcement tools to prevent terror coming to their cities, tracking the "lone wolves" is unlikely to get any easier.

@highlight

Like many "lone wolf" terrorists, Ottawa gunman was alienated drifter who converted to Islam

@highlight

Conversion to militant Islam is often about seeking identity, purpose or adventure

@highlight

Some countries have tried "de-radicalization" programs to help prevent violence

@highlight

But with resources stretched thin, the focus is often on increased law enforcement