New York (CNN) -- Women have long dominated the heated discussion around gender equality. But one group not engaging in the conversation is men, says Facebook COO Sheryl Sandberg.

What's more, in her new bestseller "Lean In," Sandberg argues gender parity is impossible without them.

"I think it is too hard for men to talk about gender," says Sandberg. "We have to let men talk about this ... because we need men to talk about this if it is ever going to change."

And with men at the helm of most large companies, engaging the other 50% of the population in the gender debate is the key to gender equality, she says.

"I don't think men should be part of "Lean In" or part of equality because it's nice for women. They need to be part of it for themselves ... as managers and as peers in the workforce this is a competitive advantage for men."

If 86% of the top jobs are held by men and they tend to be older than the women who have just joined their companies, inviting this group of decision makers to help mentor women into top roles is the logical way forward, explains Sandberg.

"[For] every man out there, it should be a badge of honor to mentor young women. Not something you're ashamed to do, not something you're afraid someone will assume something bad, but a badge of honor that you are willing to spend your time giving the benefit of your experience to young women in the workforce. They need it."

As a female leader who has only worked for men and been mentored by men, her track record and success is proof in itself.

"I've never worked for a woman. Most women, if they get senior, have never worked for a woman, because again, 86 percent of the top jobs are held by men. I've had great mentors and great sponsors and part of Lean In is trying to help people find the right way to develop those mentors and sponsors."

As a Harvard graduate, she was selected to join the World Bank by her former professor, Larry Summers and later went on to become his Chief-of-Staff at the U.S. Treasury after working at McKinsey and earning her M.B.A. In the midst of moving to Google and then Facebook, Sandberg wed and had two children, a boy and a girl.

But Sandberg's book -- what she calls "a sort" of feminist manifesto -- hasn't been without critics. The Facebook executive received overwhelming reactions from female columnists at USA Today and the New York Times as well as authors specializing in gender workplace issues.

One notable reaction came from Avivah Wittenberg-Cox, who runs a global management consultancy, 20-first, that helps companies achieve greater gender balance.

In a recent Harvard Business Review article, Cox argues Sandberg is insulting women by suggesting they need to be more like men to succeed and even suggests she's blaming them. "We've never, in all of human history, seen a generation of brighter, better educated or more ambitious women," she writes. "They have the keys. We just still haven't figured out how to adapt our organizations to optimize their talents."

But Sandberg explains her point is quite the contrary. "I'm not telling women to be like men. I'm telling us to evaluate what men and women do in the workforce and at home without the gender bias."

What's more, Sandberg has also noticed it is women, not men who've been most vocal about the book.

INTERACTIVE: 10 most powerful women in tech

"Most of the debate about "Lean In" has been women, especially the first couple weeks before the book was out. The most surprising thing was that no man said a word. I couldn't find a man writing a line, not saying a word."

Sandberg isn't just pointing out the stalled feminist revolution; she also offers a solution with Leanin.org, a not-for-profit foundation that will help spur change by offering women the ongoing inspiration and support to help them achieve their goals.

Funded by her book and corporate sponsors, the foundation will allow professional women to review social science research, share stories and receive online training and practical advice on career development -- to help women "take a seat at the table".

"Lean In is not about fixing women. And it's certainly not about any one person doing this on their own," she asserts . "Lean In is about all of us coming together to understand the stereotypes that are holding women back and fix them. And to start having an honest conversation about women in the workplace."

@highlight

Men need to engage in the workplace gender equality debate, says Sandberg

@highlight

Sandberg says it should be a 'badge of honor' to mentor women into top roles

@highlight

Facebook COO has written a book, which has received mixed response from critics