(CNN) -- Jakarta has always had a rich and fruitful relationship with the sea. A trade gateway linking east and west, the modern city can still show travelers glimpses of its long maritime history.

Now the Indonesian capital, it was initially settled as the port of Sunda Kelapa by the Hindu Kingdom of Sunda around the fifth century and was designed to develop a vibrant sea trade for the realm.

The "coconut of Sunda" (the port's name translated from Sundanese) soon flourished and attracted the attention of other maritime-invested nations including the Portuguese, Dutch and British. To this day, you can still see the influence of the Dutch colonialists in the architecture of many of the buildings in the old city.

Today, Indonesia is an independent republic that has become a melting pot of cultures and people. Nicknamed by travelers as the "Big Durian" (a pungent-smelling but sweet-tasting local fruit), the modern metropolis of Jakarta is a swelteringly smoggy city bursting at the seams with people.

Watch: Jakarta's maritime history

Its moniker is probably a good description of the city. It may not be everyone's idea of a typical vacation spot -- some portions of the city are grungy, dilapidated streets with scruffy slums. But underneath the seemingly overpopulated, polluted exterior lies a vibrant city rich in history and eclectic tourism options. Here are our top picks for tourists wanting to sample Jakarta's maritime heritage.

Often missed by vacationers, the historic harbor of Sunda Kelapa sits at the mouth of the Ciliwung River. The original settlement is a fantastic insight into the city's history and is home to what is said to be the world's last wind-powered seafaring trade fleet.

Walk amongst the traditional pinisi ships -- simple but sturdy wooden vessels -- that once provided trade from Indonesia to Europe and Africa. Climb up Syahbandar Tower and gaze upon the beautiful views from the top.

Literally meaning "Fish Market" in Bahasa Indonesia (the country's native tongue), Pasar Ikan sits at the end of Sunda Kelapa harbor. Although the market now sells all types of wares, Indonesian fishermen still gather here daily to sell their catch. The best time to visit and join locals purchasing the best goods is in the morning before it gets too hot and the smell of fish becomes overwhelming.

In numbers: The world's shipping industry

Nearby, you can also see traditional kampung houses (dwellings on stilts) where local families live. Don't be shy and say hello to the incredibly friendly and welcoming folks that reside next to the market.

A short distance from Pasar Ikan are several repurposed Dutch East India Company warehouses, which now operate as Museum Bahari. Today, the museum lets you step back in time through the country's nautical past and emphasizes how important the sea still is to the economy of present-day Indonesia.

On display are beautifully decorated fishing boats and pinisi schooners as well as shipbuilding tools and explanations of Indonesian folklore and maritime traditions.

Steering away from the old harbor, visit the Kota Tua (Old Batavia) area. In the 16th century, the Dutch settled in Indonesia -- renaming Jakarta "Batavia" -- after seeing a high demand for the country's spices. It is in the popular Kota district that tourists can see the influence left by Indonesia's former colonists.

The buildings surrounding Fatahillah Square have distinct Dutch facades and architectural elements. Stroll down roads lined with stalls, street acts and tourists to visit the Jakarta History Museum, Wayang (Puppet) Museum and the Museum of Fine Arts and Ceramics.

Outside the Jakarta Historical Museum sits Si Jagur -- a disused Portuguese cannon that is believed to bring fertility to women who touch it. And a few blocks west of Fatahillah Square is the Great Canal, with its historical Dutch drawbridge, Jembatan Pasar Ayam, rising over the waterway. No longer operational, in the past the drawbridge was built to connect the Dutch and British forts stationed on each side of the canal.

Finally, end your visit to Jakarta by visiting the National Monument (known locally as "Monas") in the center of Merdeka Square. It was erected in the 1960s as a tribute to Indonesian independence and today stands as a reminder of Jakarta's vibrant and multicultural history.

@highlight

Jakarta boasts a vibrant maritime history because of its location along the spice route

@highlight

Travelers can get a taste of Jakarta's nautical past

@highlight

Indonesia is a melting pot of cultures and people