New Orleans, Louisiana (CNN) -- In September of 2005, no one could have anticipated what we saw in New Orleans last week. What happened on the football field and parade route after the Saints' Super Bowl victory is amazing and uplifting. But what's happening elsewhere in New Orleans also rises to that standard.

Consider the following:

The day before the Super Bowl, New Orleans participated in a historic mayoral election, as Lt. Gov. Mitch Landrieu won a stunning 66-percent of the vote, with unprecedented support among all races.

African-American candidates also won down-ballot races with majority white support, casting a blow to the notion that New Orleans politics and culture are mired in racial tension.

Just weeks before, federal arbitrators awarded $475 million to Louisiana for the replacement of Charity Hospital in downtown New Orleans which makes way for a multibillion dollar medical corridor that is being billed as the largest development project in the city's history.

And in late 2009, a federal judge ruled that the U.S. Army Corps of Engineers' mismanagement at the Mississippi River-Gulf Outlet was the cause for flood damage in the Lower Ninth Ward and St. Bernard Parish following Hurricanes Katrina and Rita. Damages paid to local governments and residents will exceed $1 billion. These judgments validate many locals' beliefs that the flooding of 80 percent of New Orleans and the billions of dollars in damage were caused more by massive engineering failures than a natural disaster.

To that point, the government is working on a $15 billion upgrade to the region's 220-plus miles of levees and flood walls that, when completed, will allow them to withstand a storm with a strength level that occurs roughly once every 100 years. Even today, experts will tell you the levees are better than they were before Hurricane Katrina.

Additionally, the population is nearing 80 percent of pre-Katrina levels, in part due to hardworking residents who came back and a new crop of younger, entrepreneurial transplants moving to the city to be part of what is going on here.

The New Orleans economy is bearing the recession better than most, evidenced in one of the lowest unemployment rates of any major metropolitan area in the country. Also, the city now has a bond rating that is investment-grade, which should free up access to tens of millions of dollars for infrastructure improvements.

One of the brightest spots in post-Katrina New Orleans has been in education. In Orleans Parish, academic performance scores in the school district have risen nearly 25 percent. The school system looks to get a ten-figure lump-sum settlement to rebuild school properties across the city. And with over half of its students in charter schools and a large and influential Teach for America corps, New Orleans has become a laboratory and model for education reform.

All of this is not to say that everything is going perfectly in New Orleans. Mayor-elect Mitch Landrieu and New Orleanians still have remarkable challenges to tackle and tough decisions to make -- including reducing violent crime, eliminating blighted housing, continuing to rebuild communities and business, and restoring wetlands that provide much needed storm protection. But there is a unity of purpose (thanks in large part to the Saints) that wasn't there even six months ago.

The recovery and rebirth includes citizen-driven reform of local government -- a government once marked by corruption, nepotism, incompetence and the like. New Orleanians voted to consolidate the seven assessor's offices, the criminal and civil sheriffs, and the various levee boards. But most importantly, New Orleanians elected an outstanding man as mayor this past Saturday to lead the next phase of recovery.

The mayoral election was nothing short of staggering, and the confluence of the Saints win and the historic mayoral election, lined up for the city's best two days since the Battle of New Orleans in 1815.

Landrieu was elected in the primary (there will be no runoff) with 66 percent of the vote, including 63 percent of African-Americans and 70 percent of white voters. To say this broad support is unprecedented would be a gross understatement.

Landrieu becomes the first white mayor to govern the majority-African-American city in some 30 years. (His father, Moon Landrieu, was the last white mayor.) And he does it after winning all but one precinct in the primary election. In Landrieu, businesses, congressional leaders, nonprofit organizations and average citizens will finally have a leader and partner in a united city government that promises to restore confidence and get dollars flowing to projects that need them.

Add to that the fact that New Orleans will be front and center on the world stage for much of the next decade, hosting a series of national and international sporting events, including Super Bowl XLVII in 2013, back-to-back NCAA Men's and Women's Final Fours, and the Bowl Championship Series National Championship in 2012, among many others. In 2015, the nation will celebrate the 200th anniversary of the Battle of New Orleans. And in 2018, New Orleans' tricentenary will focus not only on the founding of New Orleans but also its successful rebirth 300 years later.

You see, the effort to rebuild and recover has been not just an engineering feat to save a city, an entire culture has been at stake. We have our own cuisine, music, architecture, funeral traditions, literature and cultural structure. And as of late, it looks like it will be preserved.

More restaurants are in operation than before the hurricane, New Orleanians took home two Grammy awards this past year, and many important cultural sites have reopened recently or are scheduled to reopen soon.

The world should take notice. Thanks to the Saints, you're looking. But take a deeper glimpse beyond football at what's going on here. For as challenging a decade as the 2000s were for New Orleans, the 2010s may prove to be the brightest time in the city's nearly 300-year history.

The momentum is building.

New Orleans is not just coming back and not just on its way back. New Orleans is storming back.

The opinions expressed in this commentary are solely those of James Carville.

@highlight

James Carville: New Orleans is experiencing a historic rebirth

@highlight

He says the Saints victory has given the city a big lift

@highlight

Election of Mitch Landrieu and major infrastructure investments are making a difference, he says

@highlight

Carville: Improvements in education one of the brightest parts of New Orleans' rebirth