Smartphone usage has skyrocketed at sporting events, as anyone who's attended a recent game can tell you. Look around the stands and you'll see fans checking stats, sharing pictures on social media, or just killing time between plays.

While stadiums have boosted cellular and Wi-Fi infrastructure to keep fans connected during games, there's always the possibility that there won't be enough bandwidth for everyone. That's why on Super Bowl Sunday, the NFL is planning to block live streams of the game inside the stadium.

Super Bowl XLVIII, between the Denver Broncos and Seattle Seahawks, will be streamed by NFL.com and Fox Sports, but both of those sources will be blocked on the Wi-Fi and cellular networks at MetLife Stadium in New Jersey, NFL CIO Michelle McKenna-Doyle told Ars in a phone interview. The NFL.com and Fox Sports blocks will be implemented both for mobile apps and within Web browsers.

The decision stems from last year's Super Bowl, when streaming was initially allowed but eventually blocked when it took up too much bandwidth.

"We [blocked] it last year, but we did it on the fly when we started having some challenges. This year we planned ahead to do it," McKenna-Doyle said.

She said the 82,500-seat stadium will be able to handle 25,000 to 30,000 concurrent Internet users across cellular and Wi-Fi. The NFL didn't tell us what the anticipated speeds are because Verizon, which led the Wi-Fi and cellular buildout, preferred to keep that information under wraps. But the plan is to prioritize upload speeds over download because fans generally spend a lot of time posting photos and statuses to social media.

The NFL is providing a Super Bowl app to attendees with an event guide and "exclusive content," but it won't include streaming video or replays.

"While we do know that people like to look at replays on their phones and there are some people who like to stream certain amounts of video in the game, the vast majority of our fans want to watch the game on the field, watch the replays on the jumbo board, and participate in the event more than they want to be checking their phone," McKenna-Doyle said.

"While we could have made some of that available, it might have impacted the ability for the majority of the fans to be able to stay connected to social media, tweet, Facebook, that kind of thing."

Big games, big network usage

At last year's Super Bowl, the Wi-Fi network stayed up even during the infamous mid-game power outage. While some attendees told Ars after last year's game that Wi-Fi access was problematic at times, a broadcast engineer we spoke with measured the network at 23Mbps down and 44Mbps up.

It's common at high-density events for fans to have trouble sending text messages or uploading photos, McKenna-Doyle noted. Network congestion is especially pronounced at key moments of each game. While attending the final game of last year's World Series at Fenway Park in Boston, I was able to upload, e-mail, and text photos on the cellular network during the game. Immediately after the final out however, fans swarmed the network and uploads became impossible.

"When you can't do the basics, it's all of a sudden not that cool that you can show replays or stream the game," McKenna-Doyle said. "It's a fine balance. We're pushing the envelope every year. As technology gets better and better I'm willing to take more and more risks about what we allow."

McKenna-Doyle is optimistic that multicast technology, as opposed to the unicast tech used today, will limit the amount of data needed for streaming video at future Super Bowls.

"A Unicast transmission/stream sends IP packets to a single recipient on a network. A Multicast transmission sends IP packets to a group of hosts on a network," explains network video Visionary Solutions.

But that won't be used at this year's game, because multicast streaming isn't commonly supported on smartphones yet, McKenna-Doyle said.

Keeping fans connected

The Super Bowl restriction doesn't mean live streaming is blocked at every NFL game. For example, the New England Patriots' app provides access to NFL Red Zone video when users are connected to Gillette Stadium's Wi-Fi network.

"It depends on the stadium," McKenna-Doyle said. "Each team manages every game themselves and they have mobile apps that they run. Some allow it based on their infrastructure, and some block it."

The Wi-Fi network, open to all fans, has about 900 access points, using Cisco equipment powered by the new 802.11ac standard, according to the NFL. Verizon is providing the Internet connectivity, with about 4Gbps coming into the stadium. While Verizon is the lead vendor, all four major carriers invested in upgrading their Distributed Antenna Systems at the Super Bowl site, McKenna-Doyle said.

One nicety provided to attendees is a radio providing four audio feeds from Fox, Westwood One, ESPN Deportes, and the in-stadium public address. While it would be possible to provide audio feeds to a mobile app, McKenna-Doyle noted that "We've always given this radio for broadcast, and fans have told us they really love it."

As usual, the Super Bowl crew will use monitoring tools to identify hacker attacks on the network or technical problems that prevent fans from getting on the Internet. Monitoring user activity helps plan capacity for future events and fix problems as they arise.

Network monitoring tools divide the stadium into sectors, and this year "we cut the stadium into more sectors than we had in the past so we can pinpoint more quickly where issues are in a section of the stadium," McKenna-Doyle said.

"If we start to hear we're having issues in a certain part, we can work on a smaller segment of the stadium without it impacting as many people."

@highlight

Fans won't be allowed to stream video on their phones at the Super Bowl

@highlight

NFL.com will stream the game, but it will be blocked at MetLife Stadium

@highlight

There's a Super Bowl app, but it won't stream video

@highlight

League fears video could clog bandwidth