(CNN) -- Your cooking partner is a robot, your fridge can talk, and your plate is your own personal dietician. Oh, and for a laugh you occasionally have a cook-off with a famous holographic chef.

This may sound like a scene from 1960s sci-fi cartoon The Jetsons, but the kitchens in coming decades may not be so far off those envisioned by futurologists.

Today, a number of significant developments in culinary tech are happening in the field of robotics. CNN's Blueprint team caught up with a group of design students in Poland who recently programmed an industrial robot -- usually tasked with building cars -- to cook.

Read more: Making gourmet meals out of maggots

"Our project is called 'Let's cook the future' and we try to cook with robots -- we had a robot that initially was made just to be in factories and make cars and we tried to treat it as a human and put it in the kitchen." Says Barbara Dzaman, one of the students involved in the project.

The 'Let's cook the future' robot "prints" cookies three-dimensionally, building them up layer by layer in almost any shape you could imagine.

Dorota Kabala, an industrial designer working alongside the students says that the project looks towards a future where people can make dishes that are only limited by their imagination. "The problem we are addressing in this project is the need for personalization of production ... at the moment we can observe that people need more personalization, more customization of products than before and now it's possible."

Marek Cecula, a respected Polish designer, ceramicist and visiting professor at the Royal College of Art, London, says that he was "amazed" by the students' robot chef but felt that "we simply don't know where this is going ... How will we relate to objects made completely by a machine? How will these objects relate to our emotions? Where will the relationship between person and object be when the object is made by a machine?"

The introduction of robots into the home is not new, of course. Many of us already live with electronics that have robotic components, such as self-cleaning ovens, single-touch microwaves that automatically adjust to the food you have put in them, and fridges that scan used-by dates.

The trend for robots to perform unskilled restaurant jobs has also led to robotic noodle slicers and mechanical waiters, though so far many are mere gimmicks rather than genuine technological solutions.

Thomas Johansson, Design Director at Electrolux, says that he thinks there is a place for robots in the kitchen: "I think kitchen robots could potentially take over some of the common jobs that are repetitive or difficult to do ... I think you could take away some of the boring chores and spend your time doing something more interesting."

Away from robotics, Electrolux has been exploring the creative fringe of kitchen design with its annual Design Lab competition. The company recently announced the semi-finalists for 2013, which include a 3-D food printer and an appliance that calculates the nutritional values, possible toxins and freshness of your food before you start cooking.

Johansson says the range of issues being tackled by students in the competition is fascinating in itself: "A lot of the students are addressing issues like wellbeing, robotics, bio-mimicry, wearable devices, air purification, and also using smart phones and tablets as remote controls.

And then there are the issues about food diagnostics, which are especially interesting in light of the horse meat scandal. People are no longer that concerned about what frying pan they use, but what is in the frying pan. Knowing what it is that you are eating is very important."

With work being done in almost every field of home design, it is likely that the kitchen of the future will look significantly different to how it does today. As the old saying goes, the kitchen will always be the heart of the home -- but increasingly that heart is coming to resemble a pacemaker.

@highlight

Students at Poland's School of Form have developed a robotic chef

@highlight

Robot creates 3D-printed cookies in almost any shape imaginable

@highlight

Electrolux Design Lab unearths new concepts in robotics and bio-mimicry