On CNN's "State of the Union," host and chief national correspondent John King goes outside the Beltway to report on the issues affecting communities across the country. This week, King traveled to Missouri to learn about the effects of cutbacks on an already struggling economy.

St. Louis, Missouri, is having to cut back on bus routes. This could devastate some of the area's most vulnerable.

BALLWIN, Missouri (CNN)  -- For Stuart and Dianne Falk, it is a two-bus, 45-minute trip into downtown St. Louis to head to the gym and to volunteer at a theater group.

And it is a lifeline that ends Friday.

"To be saddled, to be imprisoned, that is what it is going to feel like," says Stuart Falk. "It is going to feel like being punished for something we didn't do."

Stuart and Dianne Falk are both in wheelchairs. And the bus route that takes them downtown, and to one of the few tastes of personal freedom they have, is being eliminated because of a funding crunch.

In all, two dozen bus routes are being eliminated outright effective March 30. Numerous other routes have been shortened or otherwise modified, including less frequent runs. Light rail service schedules also have been scaled back as part of an effort to close a $51 million funding shortfall.  Watch the Falks ride bus that is about to be eliminated »

The reasons for the funding crunch have little to do with President Obama, or the federal government at all for that matter. But there are several connections to the big national political debates of the past several months, stretching back to last fall.

It was then that St. Louis County voters were asked to vote in favor of a small tax increase to add funding for bus routes and other mass transit operations in the bedroom communities surrounding the city of St. Louis.

Backers were optimistic, but then saw the mood change as the struggles on Wall Street mounted, and dropping 401(k) balances made voters more stingy. It didn't help, these backers contend, that anger at the first installment of the $700 billion Wall Street bailout also was festering on Election Day.

Now, St. Louis County Executive Charlie Dooley worries the cutbacks will have an adverse effect on an already struggling area economy.

"The worse case scenario to me is this, if we don¹t get people to goods and services, that means businesses will close their doors, that means more jobs are lost," Dooley told us in an interview on a light rail platform in Clayton just outside the city.

Dooley also said mass transit cutbacks make it harder to attract new businesses.

"We're talking about economic development and entrepreneurship: Who is going to come to St. Louis if you can¹t get people back and forth to work?" Dooley said.

Efforts to get the state to help close the budget gap have failed. And while many of those affected see it is a perfect use of the federal stimulus funds the president says are meant to create and save jobs, such spending is not allowed.

Stimulus money can be used for new mass transit capital projects, such as building new stations or buying new buses. But the money cannot be used for operational costs, meaning it cannot be used to keep existing routes open.

"No, I don¹t think that is right. Of course, that is not right," is Dooley's view. "I mean at the end of the day, it's about creating jobs and opportunity. ... Could the stimulus bill be of a great help to us? No question about it."

Without any cash infusion, Metro says it has no choice but to cut back from 9,125 bus stops to 6,801, significantly cutting back its reach into the outer ring of St. Louis County.

Riding the buses this week offered a glimpse at the impact.

At one stop Wednesday, a handful of developmentally disabled passengers boarded outside a local facility where they work. One told CNN she optimistic "something will get done about it" but said she isn't sure how she is supposed to get around after Friday.

Kimberly Barge is a staff attorney at Paraquad, the gym where the Falks and other local disabled residents attend classes.

"People are frustrated, angry -- almost to the point of hopeless in some cases because there aren't many other alternatives for the disability community as far as transportation goes," Barge told CNN.

Jean McPherson boarded the bus with her infant daughter. The 20-year-old is going back to school to get her high school diploma and though short on cash, she says she is now forced to explore buying a used car.

"I might end up losing my job or not being able to take my daughter to day care," is how she sees the consequence of her bus route being shortened so that it no longer stretches out to her community. "You can't afford a car; that is why you use public transportation. So a lot of people are going to be in a bad situation."

And the impact goes beyond Metro riders. Some 200 drivers also are slated to lose their jobs

Shaking her head, Dianne Falk offers this analysis: "That doesn't seem like what (President) Obama wants."

@highlight

For some St. Louis area residents, loss of bus service would be devastating

@highlight

Paticularly hurt would be physcially handicapped and the working poor

@highlight

Stimulus money can be used to build projects but not operational costs

@highlight

Says disabled woman: "That doesn't seem like what (President) Obama wants"