LONDON, England (CNN) -- The humble mobile phone is driving a new revolution which some experts hope could bring fairer elections and democracy to some African states.

During the 2006 local government elections in Senegal, Radio Sud used reporters and correspondents with cell phones to call in what they saw.

Many African countries have struggled against rigged elections and authoritarian rule since gaining independence last century.

However, African observers say the growth of simple communication technologies like cell phones are assisting many states to progress towards open and fair elections in increasingly democratic systems.

Senegal is one of a number of African countries to hold successful elections by keeping voting and counting in check through independent communication.

Former United Nations Secretary-General Kofi Annan said many African nations now had a "very open society" and the increasing success of elections owed a lot to the existence of mobile phones.

"With communication and cell phones, this is where it is difficult to cheat in elections now. You are announced at the district level and cell phones go wild so by the time you go to the capital, if you have changed the figures, they will know and you will be caught out."

According to experts, cellphones are particularly important for Africa due to a lack of some other technologies.

Visiting African political expert at Indiana University, Sheldon Gellar, said cellphones were much more accessible than the internet in most parts of Africa, and therefore had greater potential to influence transparency.

"Internet provides groups in society with means to communicate, organize and obtain good information which is not controlled by government -- but, only a tiny percentage of African populations have access to internet."

Just this month CNN reported dramatic increases in cell phone usage in African nations.

In the Democratic Republic of Congo, for example, there are just 10,000 fixed telephones but cellphone subscribers have soared to more than a million in the last five years.

Gellar told CNN the key benefit of cell phones was that they allowed independent media, especially radio, to provide accurate coverage of elections and make it more difficult for ruling parties to cheat and get away with it.

"During the 2006 local government elections in Senegal, Radio Sud used reporters and correspondents with cell phones to call in what they saw. I remember hearing one reporter describing how a local party boss was illegally taking a ballot box on his truck from the polling station. This was reported live as it was happening."

Civilians and independent election observers outside the media have also taken advantage of cell phones to monitor elections.

Bob LaGamma, executive director of Council for a Community of Democracies, said the 2007 Nigerian election was another example of technology being used effectively.

LaGamma described a technique of "parallel reporting", whereby independent observers spread news of local vote counts and any irregularities. This technique was also used in the Zimbabwe elections this year, which he said caused Robert Mugabe to delay announcement of election results.

"Parallel reporting was important in Zimbabwe. It kept them from coming straight out and reporting a false result.

"All of this technology is very important and gives a powerful new tool that cuts the ability for cheating," LaGamma said.

Gellar said other computing technology, though more sparse, could also have a positive impact towards building democracies. He told CNN computers could be used to ensure parliament has access to national budget information and spending patterns, and in urban and rural communities they could provide citizens with data concerning the functions of the government and offer people an opportunity to contact their elected representative.

Despite the positive developments brought by cell phones and other communication technology, there have still been problems with numerous elections in recent years.

Leonardo Arriola, Associate Professor at University of California, Berkeley, is wary about the potential of the technologies to make some situations worse.

He said there could be both good and bad aspects to it.

"The more transparency and the more information that can be circulated outside the hands of government is a good thing ... but the other side of that is that a lot of misinformation can get out that way also," Arriola said.

Although there has undoubtedly been positive progress with cell phone technology, most scholars and observers agree that pockets full of mobile handsets will not be enough to build stable democratic states and hold future fair elections.

"It doesn't mean anything unless you have all of the means of verifying the results. If you have a ruling authoritarian regime which is determined to cheat, they will do it," LaGamma said.

Gellar sees the technology as necessary, but not sufficient for progress.

"Africans have been able to organize without technology. Freedom of association -- the right to organize autonomous organizations and function freely -- is more important than access to new technology in fostering democracy.

"That said, new technology can be a powerful tool in improving communications between citizens and governments, between civil society organizations and the public. Informed citizens are essential to good functioning of democracies," he said.

Gellar said a number of other factors needed to progress before a state could move towards a more democratic model of governance.

According to Gellar these changes include: strengthening independent media; growing and ensuring freedom of civil society; decentralizing power, ceding more control to local governments; empowering women; improving judicial systems to ensure independence and power to punish.

Gellar said new technology could help achieve those goals to some extent, as communication was the key to overcoming oppression.

"Authoritarian regimes want to control and monopolize the flow of information. African authoritarian regimes don't have the power and resources to completely control information disseminated through traditional means -- as oral communications are still the main means of disseminating information," Geller explained.

Gellar said the changes being brought about by cell phones and other communication technologies could well play a part in bringing more participatory governments to the continent.

"New technology is not a panacea, but it can speed up processes of democratization and should be encouraged," he concluded.

@highlight

Election processes are being checked with the help of cell phones

@highlight

Cell phones are more accessible to Africans than the internet and telephones

@highlight

Technology could help push more countries towards democratic models

@highlight

Experts agree more than technology will still be required to see change