(CNN) -- At 35,000 feet, the orange glow of a European sunrise begins to pierce the horizon from beneath a tufted layer of clouds. Unfortunately, it will be only a matter of minutes before that glow transforms into a pupil-penetrating annoyance through the windscreen of our 777.

The irritating glare won't, of course, affect the way we navigate our way to London's Heathrow Airport; a complicated and well-engineered computer system using GPS positioning provides information to air traffic controllers. But what if this well-oiled machine breaks down? Do we need to start worrying?

That was a question facing pilots in airspace over the United Kingdom on Friday, when Shanwick Oceanic, a part of the UK's NAT system of air traffic control, developed a computer glitch. Shanwick is the airspace that most flights transit to or from not only Britain, but also from France and other European countries, covering airspace from south of Iceland to north of the Azores, and just west of France to almost the middle of the North Atlantic. So when Shanwick develops a computer glitch, air traffic arriving and departing into the United Kingdom is most affected.

But while a malfunction affecting the flight of objects hurtling through the sky at 600 mph might sound scary, rest assured that Mom and Dad celebrating their 50th wedding anniversary aren't at any risk of colliding with another airliner en route. It just means they might be a little late arriving for their vacation.

Airplanes that are already airborne receive priority by virtue of the fact controllers understand that only a finite amount of fuel remains in the tanks. As airline pilots, it becomes a matter of calculating whether our fuel on board is sufficient to fly a few circles in a holding pattern or divert to our alternate airport. Traditional radar is still available once the flight travels in range of a land-based facility. Departures, however, will be delayed until the situation is rectified or mitigated.

So, why isn't there a risk of collision?

As it has been since the days of the DC-3, the track system is a nonradar environment. Radar signals don't have the capability of traveling out to the middle of the ocean, so before airplanes enter the North Atlantic track system, from either east or west, a specific speed is assigned along with a specific altitude. In other words, airplanes are separated both vertically and laterally based on their known performance. This is still the case. Before the latest computer technology became prevalent, oceanic controllers would track airplanes manually based on verbal pilot position reports at designated degrees of longitude.

With the advent of more precise navigation, more precise onboard automation and more exact ground-based air traffic control systems, the separation limits have decreased, allowing for more flights between North America and Europe. All this means that airplanes can still maintain this separation even if the ground-based oceanic computers take a temporary vacation.

How?

Because we are required to maintain our assigned altitude and our assigned airspeed. And since the actual tracks change daily according to weather and winds, the performance of all the participating airplanes will be affected exactly the same.

When the current technology system breaks down, the solution is either to increase separation limits or just wait until it is fixed. Verbal position reports would be required because our onboard ADS-B system wouldn't be able to communicate with the particular oceanic facility. Unfortunately, stopping departures that will be transiting the airspace is the simplest solution rather than temporarily resorting back to the old methods -- hence the delays on departing flights that were experienced Friday.

This of course raises the question of whether the global air traffic control system has become computer dependent. The simple answer is, absolutely. But it is also worth remembering that the technology has also increased efficiency. And, more importantly, it has added another degree of safety to air travel. With all that in mind, we are just going to have to suffer through the compromise of inconvenience when the technology breaks down. Or find another way to get to our intended destinations.

@highlight

Air traffic control system for London airspace has technical failure Friday

@highlight

Les Abend: Malfunction was inconvenient, not dangerous

@highlight

Abend: Global air traffic control system has become computer dependent