NEW YORK (CNN) -- The Justice Department and federal prosecutors will investigate allegations of discrimination against Latinos by police in Suffolk County, New York, officials said.

The new investigation will seek evidence of whether the Suffolk County Police Department failed to act on complaints made by members of the Latino community or evidence of any other discriminatory practice, Robert Nardoza, spokesman for the U.S. attorney's office in the Eastern District of New York, said Tuesday.

The inquiry by the Justice Departments Civil Rights Division and prosecutors was announced Monday. Both had said in January that they were monitoring prosecutions of hate crimes against Latinos in Suffolk County.

In November, seven teenagers were arrested in connection with what authorities said was the racially motivated stabbing death of 37-year-old Marcelo Lucero of Patchogue, New York. All seven were charged with gang assault, and the alleged leader of the attack was charged with manslaughter.

Lucero's death drew national attention.

"We became involved because we thought that the charges filed originally by the police department did not meet with the facts of the case," said Cesar Perales, president and general counsel of New York-based LatinoJustice PRLDEF: specifically, that the youths were not charged with murder.

LatinoJustice PRLDEF, founded in the early 1970s as the Puerto Rican Legal Defense and Education Fund, petitioned the Justice Department to investigate Suffolk County police.

Lucero's stabbing also prompted the Southern Poverty Law Center to undertake an investigation in Suffolk County.

After four months of research and interviews with more than 70 Latino immigrants, 30 local religious leaders, human rights activists, community organizers and small business owners, the center said in a report last month that a pattern of ethnic intolerance was clear.

"The Lucero murder, while the worst of the violence so far, was hardly an isolated incident," the report said. "Latino immigrants in Suffolk County are regularly harassed, taunted, and pelted with objects hurled from cars. They are frequently run off the road while riding bicycles, and many report being beaten with baseball bats and other objects. Their houses and apartments are egged, spray-painted with racial epithets and riddled with bullets in drive-by shootings."

In its report, the center cited hostile statements and policies issued by local officials -- including County Executive Steve Levy, the county's top elected official -- and county legislators as evidence that discriminatory attitudes are institutionalized. The organization also found what it called a trend of "racial profiling, selective enforcement and outright bullying," specifically in the Suffolk County Police Department.

"We were told stories that are absolutely hair-raising," said Mark Potok, director of the law center's Intelligence Project and editor of the report.

Suffolk County Police Commissioner Richard Dormer said law center researchers did not speak with him during the course of their investigation.

"I have to be honest with you," he said. "The Southern Poverty Law Center is a very prestigious organization, very well-known. They have done good work over the years, but to be honest with you, this is sloppy work. Many of the allegations are incorrect and inaccurate."

In January, hate-crime charges were extended against the seven teens charged in Lucero's death to include other assaults on Latino men.

"When these defendants were indicted for their specific roles in the murder of Marcelo Lucero, most of the defendants admitted they had committed other attacks targeting Hispanic victims, a practice they described as 'beaner hopping,' " Suffolk County District Attorney Thomas Spota said in a statement at the time.

Justice Department spokesman Alejandro Miyas said the department hopes police will cooperate with the inquiry and work with investigators.

"We will study their practices and see if there's anything there that constitutes a violation," he said.

"We welcome the chance to sit down with the DOJ and U.S. attorney's office," Dormer said. "It gives us the chance to dispel a lot of the myths of how we report and investigate hate crimes in Suffolk County."

"We have very good relationship with our minority community," Dormer said. "We're very proud of the way the police department interacts with our minority communities."

@highlight

Investigation will look for evidence of such practices in Suffolk County, New York

@highlight

Seven teens were arrested in Hispanic man's slaying in November

@highlight

Law center report found clear pattern of intolerance

@highlight

Police commissioner says allegations are "incorrect and inaccurate"