New York (CNN)What kind of microscopic life lurks in the depths of New York's sprawling subway system -- on railings, turnstiles, benches, the ubiquitous closing doors?

A team of New York City scientists spent more than a year collecting hundreds of samples of microorganisms.

Some DNA samples on subway surfaces matched no known organisms studied before, while others were fragments associated with anthrax and the bubonic plague. In some cases, the germs reflected the diversity of the city's neighborhoods.

Medical students, graduate students and volunteers -- under the direction of senior investigator Dr. Christopher E. Mason of Weill Cornell Medical College -- had the unenviable task of spending 17 months in the New York underground collecting microorganisms from every subway station along the system's 24 lines, according to a report published this week.

There should be a Nobel category for that?

Scientists chose the New York City subway system because it is the largest in the world by station count and transports 5.5 million people per day, according to the Metropolitan Transportation Authority.

"This vast urban ecosystem is a precious resource that requires monitoring to sustain and secure it against acts of bioterrorism, environmental disruptions or disease outbreaks," according to the report.

That New York's underground -- or its surface, for that matter -- teems with all manner of repugnant microbes is no surprise to any longtime resident or newcomer to the city.

But the scientists believe the largest and most dense city in the United States is the ideal setting for some of the first ever large-scale microbe studies, according to the report.

The goal: to develop new ways to monitor disease outbreaks and guard against bioterrorism threats.

After sequencing samples were picked up at subway stations, researchers determined that nearly half did "not match any known organism" -- a fact that underscores "the vast wealth of unknown species that are ubiquitous in urban areas," the report said.

Those that were identifiable were studied, however, with researchers determining the effect those microorganisms could have on the general subway-riding public.

More than half of the bacteria strands identified were not associated with disease but some 31% could affect "immune-compromised, injured, or disease-susceptible populations," the report said.

The researchers tested culture samples grouped by the subway station in which they found and determined that 28% represented colonies "resistant to standard antibiotics." One subway station even produced a "multi-drug-resistant culture."

"These results indicate, not surprisingly, that there are live bacterial communities present on the subway, but they also show that a substantive proportion of these possess some resistance to commonly used antibiotics," according to the report.

Even though researchers picked up elements deemed "infectious agents" by the federal Centers for Disease Control and Prevention, such as anthrax and the bubonic plague, subway users are not at risk, the report said. Even low levels of those elements "will not necessarily confer a risk of acquiring these pathogens."

"The subway, in general, is primarily a safe surface," the report said. "Although evidence of B. anthracis, Y. pestis, MRSA, and other CDC infectious agents was found on the subway system in multiple stations, the results do not suggest that the plague or anthrax is prevalent, nor do they suggest that NYC residents are at risk."

New York City health officials called the study "deeply flawed."

"The interpretation of the results is misleading," the Health Department said in a statement. "We don't know what bacteria they found, but for a number of reasons, we're convinced that it wasn't the plague or anthrax. There are other possible explanations for their findings, ‎and it is a common and best practice in scientific papers for authors to acknowledge them. Instead, the Cornell team simply claimed that they had found these bacteria without acknowledging any scientific uncertainty."

Phew!

One subway station in particular yielded fascinating results. The South Ferry Station on the No. 1 subway line, which had been closed for a period of time after being completely flooded during Superstorm Sandy in 2012, according to the report.

In the station on the southernmost tip of Manhattan, scientists picked up species normally associated with the maritime life two years after the flooding. The organisms "mirror bacteria that are more commonly associated with fish species, marine environments, or very cold Antarctic environments; yet these species are still distinct from" others sampled from the Gowanus Canal in Brooklyn, which was also studied in this report.

But it did not take a natural disaster for the microorganism ecosystems of a subway station to vary noticeably from the next station.

The study found that DNA swabbed at certain subway stations paralleled the ethnic demographic of the community that lived around it.

Researchers studied samples that could be analyzed with "ancestry-informative markers" and then compared the results to a map of a demographic community compiled from the 2010 census.

In one station in a primarily Hispanic/Amerindian area of the Bronx, for instance, the team identified Mexican, Colombian and Puerto Rican as the top three ancestries. There was also an increase in Han Chinese and Japanese indicators at the subway station that matched an area adjacent to the station, according to census data.

Mason said the report can have broad and lasting implications. A DNA clue can "represent a 'genetic history' of that person's daily or weekly travels," which may evoke a fear of privacy invasion in some. But there is also a potential for new forensic tools and methods to those in the criminal justice field.

In the immediate future, however, Mason and his team believe their study is a "first step" towards protecting the health of New Yorkers -- and could be the basis for a "smart city" where leaders use the data to improve city planning as well as management of mass transit and human health.

And leave the latex gloves at home.

"It is absolutely not necessary to ride the subway with gloves on," Mason, the senior investigator, told CNN affiliate WCBS. "When we were taking samples, I saw people with paper towels, gloves with plastic on their hands -- all of it is unnecessary."

@highlight

New York City health officials say the study is "deeply flawed"

@highlight

Scientists collected samples of hundreds of microorganisms in New York subway

@highlight

Some DNA samples were associated with anthrax and bubonic plague, report says