Dubai, United Arab Emirates (CNN) -- If you look at Dubai, there is the modern side and the traditional side, but they all interact with each other. If I'm in the car, I can go from one place to another and see different backgrounds, different people and different surrounding -- and for me this is always interesting to show in my work.

I have seen it growing -- more buildings, hotels and lots of architecture being constructed all the time. It has changed rapidly over the past 10 years.

I think I am lucky to see it all happen because now if there is an extra building, I would not really notice it! I have seen it all change. It is part of who I am.

There is always that other side of Dubai where it is very simple, humble and down-to-earth, regardless of who you are. I think it is always important to see the original Dubai, how it used to be, and a lot of it is still there.

I don't mind having these modern architectural buildings. It was more of a desert over here with tents and small houses, so there wasn't really much to preserve. Our job was to build more and I think Dubai has that balance where there are the old and the new areas.

I'm very interested in artisans of the region because few of them exist. I always like to work one-to-one with craftsmen and recreate what they are making. I try and look for traditional materials. I would take a traditional material and maybe wrap it around a Formula One car ... or fit it on an art platform in a new way.

I would call myself a multidisciplinary designer -- I use more than one medium at the same time.

More from Human to Hero: How 'Slam Dunk' Manga artist brings characters to life

Sometimes an old Emirati man will come and whisper in my ear: "Isn't this a gargour (traditional fishing trap made of steel)?" And I would say, "Yeah." For me this is what I am trying to do -- show my work to people who maybe are not from an art background.

Art Dubai is an art fair that happens every year in March. I was an artist-in-residence in 2012.

The residency program is located in Old Dubai. There are a couple of old buildings that are turned into art spaces. I wanted to do something connected to the area, so just a couple of blocks away, if you walked through Bastakiya (one of the oldest most traditional districts of Dubai) you would see the fabric shops and I remembered the textile shops from my childhood. My mum would get fabrics and I think this was where my interest in art and colors started.

There is usually a cardboard tube that they wrap around the fabric and ... so I said, "Can I use them?" I ended up collecting about 50 a day from different shops. I created stools and chairs that you could arrange in different ways as modular furniture.

More from Human to Hero: Ghanian artist who transforms bottle tops into masterpieces

I was also very interested in the wooden hand barrows that are used to take these fabrics from one shop to another. Most of the hand barrow men -- known as haath gadi wallahs -- can only speak Urdu. I convinced one of them to work with me like a performance and I took him into Bastakiya which has very narrow streets.

But right now instead of having fabrics on that barrow, it has got an art piece on it made out of cardboard tubes. To me it is the juxtaposition of history with something from the present. People were interacting with it really nicely, asking questions as they saw it moving around, others thought he must have lost his way from the souq and that is what I wanted to achieve.

I called it Prayer on a Wheel. This is an example of how I tend to do my work -- take something from our past that is still used in our present and then redesign it in a new form and give it a new function -- and most of the time it is an artistic function -- to reintroduce it again.

Recently I wanted to explore the gargour. They used to make them out of dry palm leaves but now they make them out of metal wire. With the help of craftsmen we joined the fish traps together to make a full sphere. The name of it was Present, Perfect and Continuous -- defining that this tool of fishing that was in the past can still be used in the present and can continue to be used in the future.

More from Human to Hero: Chinese sculptor Xiang Jing's painful search for truth

I think Emirati artists are trying to invent their identity and create a regional style for Dubai. It is less challenging when you are a woman because they always think that art is your feminine side. I would like to see a lot of collaborations with Emirati and international artists or designers. (British designer) Stuart Haygarth created a light sculpture out of palm leaves with the help of Emirati artisans (at the recent Abu Dhabi Art Fair.)

I would love to do this one day. People would see the possibilities we have got here. I think collaborations are very powerful because they mix the media from different backgrounds and when you put them together there are a lot of unexpected results.

@highlight

Zeinab Al Hashemi is an Emirati mixed-media visual artist based in Dubai

@highlight

The 25-year-old specialized in multimedia design at Zayed University in the UAE

@highlight

This year she became one of the first female artists-in-residence at Art Dubai

@highlight

She draws upon Emirati culture to create contemporary installations