London, England (CNN) -- He got his first big break at art school, when an employee from Wilkinson Sword saw his graduation show and commissioned him to design some disposable razors. Today, Dick Powell is one of the world's leading figures in design.

As one half of British design agency Seymourpowell, he is responsible for such milestone products as the pocket mobile phone and cordless kettle and has designed for major institutions including Unilever, Panasonic and NestlÃ©.

He has twice been appointed President of the UK's Design and Art Direction (D&AD) board, who honored his outstanding contribution to creativity with their President's Award.

Recently, somewhere in between working on a new concept for the Virgin Galactic spacecraft and running a business, Powell has found time to take on a new role -- that of the mentor.

Not a stranger to TV after his series "Better by Design" with company co-founder Richard Seymour, Powell appears on screen for CNN's Blueprint to offer guidance to a group of ambitious students who have created electricity conducting paint.

We caught the design kingpin for an exclusive Q&A.

CNN: What are the three most important principles of good product design?

Dick Powell: That's easy. Design is about making things better -- that means better for people, better for business and better for the world.

CNN: Which product from the last decade is the best example of a meeting between form and function?

DP: Apple's iPhone. It's what we call a meta-product, so it's a combination of hardware, software and service.

CNN: What's the best way for an amateur designer to turn a great idea into a reality?

DP: Never give up. That would be the first piece of advice. Getting a new product to market is an amazingly difficult thing to do. It's not about the design. The design is just one part of it. You need the finance to fund it.

The most important thing, which most people get wrong, is that they think they have a good idea when in fact it's probably not a good idea. It's a great idea to them but they need to think very hard about their potential market and be convinced that it is going to have a volume acceptance, because you can't get products to market without high numbers.

Also, people often forget about distribution -- it is fine to have a great product but you've got to get it in front of people.

CNN: How does the environment you work in affect creativity?

DP: I think it's more about culture than environment. It's important to have a great office and studio to work in but it's really about the culture -- inside the studio and the business is what matters. If you've got an innovative and creative culture alive in the business then that is all you need.

CNN: How do you keep the spirit of innovation in your company alive?

DP: By always striving to be better, by never being satisfied with the way things are.

CNN: Some areas of industry, such as healthcare, have greatly benefited from innovative design. Are there any industries that you think are crying out for pioneering design solutions?

DP: I don't think so, no. I think nearly every industry I can think of has become involved with design to a greater or lesser degree but there are none out there that are crying out for it that I can think of.

I think the service industry is going to benefit the most in the near future. It comes back to what I was saying about meta-products. What defines them is that they provide a service of some kind, so from the machine that gives you your money out of a wall to the car you drive.

For the Internet of Things we are going to be seeing, to a much greater extent, the provision of service with everything that we buy and use.

CNN: Is product design a science or an art?

DP: Well, it's a combination of those two things that really defines design. It's not necessarily science. I suppose it could be seen as a science.

Quiz: Looks cool ... what does it do?

CNN: What are the most common mistakes people make when designing a new product?

DP: Designing a product is like juggling plates. One plate might be function and another might be market, another manufacturers, another cost and another look and feel. There are 15 or 20 of those plates and you've got to keep them all spinning all of the time.

Designers tend to spin up one or two of them, particularly look and feel, at the expense of the others and the they start to fall off. Cost is a plate that often falls off. Designers get carried away with look and feel and function and lose sight of cost, manufacturer ability, distribution and market.

CNN: What is the proudest achievement in your career to date?

DP: I think it's when Rich and I received the D&AD President's Award.

CNN: What's the best piece of advice anyone has ever given you?

DP: Well it's a universal truth: Treat others as you like to be treated yourself.

@highlight

Dick Powell, a world-renowned designer is responsible for products including cordless kettle

@highlight

He has worked with household brands including Panasonic, Nestle and Unilever

@highlight

In addition to running his own design firm, he is now a mentor on CNN's Blueprint