(CNN) -- There was a plane ticket from Perugia, Italy, to Seattle, Washington, with Amanda Knox's name on it.

Her parents bought it in the hope that Knox would be home for Christmas.

They bought it as a leap of faith, hoping she would be legally vindicated of the allegation that she killed her roommate Meredith Kercher.

They were tired of seeing their daughter's name plastered across newspapers around the world with the word murderer alongside it.

But the ticket was never used. In December 2009, that ticket got shredded along with some of the hope her family was clinging to as she was hauled away as a convicted murderer from an Italian court.

Now, as closing arguments in Amanda Knox's appeal come to an end, one thing remains the same for the Knox parents: A plane ticket home. They just hope they'll be able to use it this time.

A fight to clear Amanda Knox's name

In 2009, Curt Knox and Edda Mellas (they divorced in 1989) boarded a plane to Italy for the verdict in their daughter's murder trial. Hope pumped through their veins: a hope that an Italian court would see that their daughter was not a murderer.

They were fighting a legal battle in which the odds were stacked unfairly against their daughter, according to many in Knox's camp.

They were also fighting to preserve their daughter's image by countering what they felt was an unfair media caricature of their daughter as "Foxy Knoxy." The nickname, her parents said, was given to her in school because of her soccer skills, but during the murder trial it became a nickname to portray her as a careless, sex-crazed party girl. Her family told the story of an entirely different Amanda Knox: one who was "nonviolent" and "almost a passive person."

Amanda Knox: From Seattle to Italy

Prosecutors alleged at trial that on the night of November 1, 2007, at a small house in the college town of Perugia, Knox directed her then-boyfriend Rafaelle Sollecito and a third defendant Rudy Guede, to hold Kercher down as Knox played with a knife before slashing Kercher's throat. They said the trio left her in a pool of blood and covered her with her own blanket.

Knox's parents, like her defense attorneys, said their daughter was not involved in the murder and that evidence presented at trial was thin and clouded by shoddy police work.

But at the trial, those arguments fell on deaf ears. Knox was convicted along with Sollecito in the murder of Kercher and sentenced to 26 and 25 years respectively.

Guede was convicted in a separate fast-track trial and is serving 16 years in prison.

Now, two years after Knox's conviction, Knox's parents are fighting a similar battle during her appeal.

Finding 'the truth' of what happened in Perugia

Inside the same Italian courtroom where Knox and Sollecito were convicted and sentenced, they now fight to try and prove the court got it all wrong.

The dispute over forensic evidence has prompted many Knox supporters to question how the Italian court arrived at a conviction.

Gallery: A look at the evidence

"From what we have heard (about) first trials here in Italy, a lot of it is related to emotion," Curt Knox told CNN earlier this month.

And he, like many in the Knox camp, wonders why more wasn't done to clarify facts about the evidence at trial in order to avoid his daughter being convicted and imprisoned for two years and 24 more to go.

"When you look at the actual forensic evidence (from the murder trial) -- when you take a look at what the police were saying, which is literally 180 degrees different than what the defense was saying about the forensic evidence, and not have an independent review during the first trial, you can see how the result came out as is," he said.

Disputed evidence at the heart of appeal

Attorneys for Knox and Sollecito, are appealing their convictions together since they were tried and convicted together.

Timeline of the Knox case

An independent forensic investigation they fought for at trial could help overturn the convictions in the appeal, the attorneys said. During the murder trial, defense attorneys challenged key DNA evidence found on the alleged murder weapon, a knife, and on Kercher's bra clasp, arguing it had been contaminated after being left for weeks at the crime scene.. They asked for an independent examination of the evidence, but it was denied.

During the appeals process the independent examination was allowed and has become the central issue of the appeal.

At trial in 2009 prosecutors said there were traces of Knox's genetic material on the knife handle and traces of Kercher's in a tiny groove on the blade. That DNA was used to tie Knox to the crime scene during the murder trial, though defense attorneys argued there was barely enough DNA to get an accurate reading.

During the appeal, one of the independent forensic experts who studied the original evidence told the court that the DNA alleged to be Kercher's that was on the knife could not have been from blood. That key statement has led to a defense argument that there is now truly no official evidence that links Knox to the scene.

The next battle in the appeal was to dismiss evidence that prosecutors said ties Sollecito to the murder scene.

At trial, the prosecution said a bra clasp found on the bloodied crime scene floor had Sollecito's DNA on it and proved he was in Kercher's room when the murder occurred. Defense attorneys argued the bra clasp had been left on the floor for nearly six weeks before it was collected and was likely contaminated.

In the appeal, two independent forensic experts argued Sollecito DNA allegedly found on the bra clasp should be "inadmissible" because the clasp had not been properly handled. Prosecutors dismissed the theory again during the appeal, specifying it had been moved but not turned over or stepped on at the scene. They said documents showed that proper checks were carried out before and after their DNA tests to verify the quality of the work. But the appeals judge couldn't find the documents in court records and ruled they would not be admissible.

The appeals judge denied prosecution efforts to introduce newly found records about the original testing and to hear a new witness -- all victories for Knox's defense, which opposed the motions.

Curt Knox said he feels there is "no case left" against his daughter. And that's something he said his daughter is clinging to.

Will Knox return to prison -- or back home to Seattle?

The DNA evidence is the primary subject of closing arguments on both sides of the appeal.

Prosecutor Manuela Comodi refuted the testimony from independent forensics experts that cast doubt on the reliability of the evidence, insisting police forensic officers had handled the DNA material properly. She cast doubt on one of the expert who was a professor, rather than a professional in the field and said police had better experience when it came to processing the crime scene than an independent expert.

The review had been "embarrassing, inappropriate, and presented in a hostile way" and was not based on science, she said.

Before asking the jurors to uphold the conviction she told them that the original court had concluded "beyond any reasonable doubt" that blood from both Knox and Kercher found in the bathroom sink had been left there when Knox washed herself after the killing.

Prosecutor Giuliano Mignini, who investigated the original murder and defended the prosecution's case in the appeal, urged the jurors to make their decision on the basis of what they had heard in court, not in the overwhelming media coverage.

But Knox and Sollecito's defense teams are arguing the whole trial was based on DNA evidence "on which mistakes were made," and urged the jury to "abandon imagined fantasies" and acquit the pair.

Sollecito's defense lawyer Giulia Bongiorno also said during closing arguments to remember that the true evidence points to who they believe is the sole killer: Rudy Guede. Guede, who was convicted earlier of the crime, has admitted being in the villa where Kercher was killed, but has said an unknown assailant killed her while he was out of the room during his trial. He later implicated Knox and Sollecito. During his trial prosecutors introduced evidence that showed Guede's handprint in Kercher's blood was found in the room along with his DNA inside her body as well as on her clothing and on her purse.

"The room speaks only of Rudy," Bongiorno said during closing arguments.

Bongiorno also attacked the media portrayal of Knox as a "femme fatale," which he said swayed the outcome of the trial.

Knox's lawyer, Carlo Dalla Vedova, said the court had already seen "there is not trace of Amanda Knox in the room where murder took place."

He told the jury based on the evidence "that the only possible decision to take is that of absolving Amanda Knox."

Speculation is rampant as to whether defense attorneys have cast doubt on the evidence that sent Sollecito and Knox to prison for murder.

Even the prosecutor's office told CNN that its attorneys are less certain of the outcome this time. The prosecution is still confident that the verdict will be upheld, but is aware that it could go either way, the office said.

Curt Knox is more hopeful.

"It really appears to me that they want to find the truth," he said during the appeal. "I'm very hopeful that by the end of the month, we'll be able to bring Amanda and Rafaelle home."

@highlight

In 2009, Amanda Knox and her then-boyfriend were convicted of the 2007 murder of Meredith Kercher

@highlight

They are now appealing the conviction in the same Italian court

@highlight

DNA evidence is at the heart of the appeal