(CNN) -- Kaci Hickox, a nurse who worked with Doctors Without Borders to treat Ebola patients in Sierra Leone, was placed under mandatory quarantine in New Jersey for three days even though she tested negative for Ebola and is asymptomatic.

After much protest, she was finally released on Monday. In her opinion, her "basic human rights have been violated." She appeared on CNN and criticized politicians' reactions to Ebola and the lack of forethought and plan.

This newest quarantine has us wondering again how far the government can restrain individuals for the common good. No doubt, being physically confined by the government feels like a fundamental violation. But it's rarely a legal violation.

For over a hundred years, the Supreme Court and other tribunals have upheld the right of states to enact compulsory laws related to health care issues such as vaccination. The seminal case, Jacobson v. Massachusetts, recognized "manifold restraints to which every person is necessarily subject for the common good."

So how far does this power to regulate for the public health go?

Consider the infamous 1927 case of Buck v. Bell -- a cautionary tale for all medical students -- in which the court upheld a state's involuntary sterilization of "feebleminded" persons in state institutions. The court broadened state power drastically to allow forcing unwanted surgery on a female for the express purpose of neutering her. Perhaps most shocking to modern sensibilities was the court's use of the Jacobson logic of contagious diseases. Justice Oliver Wendell Holmes stated in a judicial opinion that the "principle that sustains compulsory vaccination is broad enough to cover cutting the fallopian tubes" to avoid further generations of "imbeciles." Yes. The Supreme Court actually said that.

Since then, the court has specifically recognized that the general health and welfare of the public may require adults be dealt with by compulsory treatment including quarantine, confinement or sequestration.

Along with many other cases echoing similar sentiments, little doubt remains about the matter. State governments have historically enjoyed nearly unfettered power to restrain our liberty in the name of public health.

These cases were decided in times when crowded urban conditions, less-advanced medicine, and lack of public education required drastic measures to avoid the scourge of disease infection. But times have changed, and the collective views of citizens and governments today bear little resemblance to those of centuries past.

Thanks to the dizzying advances in medical sciences and education, the citizen-patient is more informed and empowered. Of course, the unintended side effect of patient autonomy is overreaction. In researching rashes on WebMD, a simple poison ivy may become the bubonic plague in the minds of some.

While the Internet unquestionably contributes to quicker and bigger waves of panic, make no mistake -- the connectivity of communication is a boon to, as well as bane of, public health.

For example, most of us are aware on some level of the individual right to refuse medical treatment. And most of us have a general understanding of the right to privacy preventing undue interference with a woman's "right to choose" abortion. The court cases that protect these liberties may leave the public with a strong and perhaps unrealistic impression about what constitute unassailable, bedrock "rights."

However, these are actually narrowly defined liberties that affect only one patient's life (and, depending on your view of abortion, the life of a fetus). By contrast, it appears little has changed in the jurisprudence of outbreaks and communicable diseases. The courts continue to recognize the government's broad "police power" to legislate for its citizens' health, safety and morals.

But state authority is not without limit. States seeking to take your personal liberty with a quarantine must establish necessity, reasonable means, proportionality, and seek to avoid harm. What those concepts actually mean is surely a case-by-case analysis, because it's impossible to know what's reasonable until a medical expert tells us what's reasonable.

Hickox's allegation, for example, was that there was no intelligible plan, and therefore no reasonable tailoring of the government intrusion into her liberty. She may be right if the medical evidence supports her view.

Still, it's an uphill battle for the nurse-as-plaintiff. It's exceedingly difficult to sue state agencies to begin with. Moreover, courts have upheld compulsory measures on numerous occasions involving vaccinations or quarantines, and even jailing those with serious cases of tuberculosis.

Ultimately, other than reproductive freedoms and end-of-life decisions, courts have not recognized a fundamental "freedom of the body." What undoubtedly feels to Hickox like a violation of "basic human rights" may not automatically be the same as the "fundamental rights" closely guarded and scrutinized by the Supreme Court.

When it comes to infectious diseases, the collective jurisprudential message is as clear today as it was in centuries past: Public health concerns can warrant the state's intrusion on personal freedoms. The individual's liberty can still theoretically outweigh public safety, but practically, you're talking about convincing a court that your right to walk to the corner store outweighs the risk of an epidemic. Better fire up the Netflix and iTunes, and get comfortable with a couple weeks' house arrest.

@highlight

Kaci Hickox, who tested negative for Ebola but was quarantined, was finally released

@highlight

Danny Cevallos: Being confined feels like a violation, but it's rarely a legal violation

@highlight

He says when it comes to infectious diseases, the court is not taking any chances

@highlight

Cevallos: Public health concerns can warrant the state's intrusion on personal liberty