(CNN) -- We've finally emerged from the season in which Americans were asked by the pollsters and politicians: "Are you better off today than you were four years ago?" But sometimes it's important to contemplate the question of progress from a longer view: How are we doing on the scale of a generation?

To answer that question, take this brief quiz.

Over the past two decades, what have the U.S. trends been for the following important measures of social health: high school dropout rates, college enrollment, juvenile crime, drunken driving, traffic deaths, infant mortality, life expectancy, per capita gasoline consumption, workplace injuries, air pollution, divorce, male-female wage equality, charitable giving, voter turnout, per capita GDP and teen pregnancy?

The answer for all of them is the same: The trend is positive. Almost all those varied metrics of social wellness have improved by more than 20% over the past two decades. And that's not counting the myriad small wonders of modern medicine that have improved our quality of life as well as our longevity: the anti-depressants and insulin pumps and quadruple bypasses.

Americans enjoy longer, healthier lives in more stable families and communities than we did 20 years ago. But other than the crime trends, these facts are rarely reported or shared via word-of-mouth channels.

Idea of American exceptionalism a powerful force through history

Many Americans, for instance, are convinced that "half of all marriages end in divorce," though that hasn't been the case since the early 1980s, when divorce rates peaked at just over 50%. Since then, they have declined by almost a third.

This is not merely a story of success in advanced industrial countries. The quality-of-life and civic health trends in the developing world are even more dramatic.

Even though the world's population has doubled over the past 50 years, the percentage living in poverty has declined by 50% over that period. Infant mortality and life expectancy have improved by more than 40% in Latin America since the early 1990s. No country in history has improved its average standard of living faster than China has over the past two decades.

Of course, not all the arrows point in a positive direction, particularly after the past few years. The number of Americans living in poverty has increased over the past decade, after a long period of decline. Wealth inequality has returned to levels last seen in the roaring '20s.

Today, the U.S. unemployment rate is still just under 8%, higher than its average over the past two decades. Household debt soared over the past 20 years, though it has dipped slightly thanks to the credit crunch of the last few years. And while the story of water and air pollution over that period is a triumphant one, the long-term trends for global warming remain bleak.

We are much more likely to hear about these negative trends than the positive ones for two primary reasons.

First, we tend to assume that innovation and progress come from big technology breakthroughs, from new gadgets and communications technologies, most of them created by the private sector. But the positive trends in our social health are coming from a more complex network of forces: from government intervention, public service announcements, demographic changes, the shared wisdom of life experiences passed along through generations and the positive effects of rising affluence. The emphasis on private sector progress is no accident; it is the specific outcome of the way public opinion is shaped within the current media landscape.

Opinion: How progress is possible in Obama's second term

The public sector doesn't have billions of dollars to spend on marketing campaigns to trumpet its successes. A multinational corporation invents a slightly better detergent, and it will spend a legitimate fortune to alert the world that the product is now "new and improved." But no one takes out a prime-time ad campaign to tout the remarkable decrease in air pollution that we have seen over the past few decades, even thought that success story is far more important than a trivial improvement in laundry soap.

That blind spot is compounded by the deeper lack of interest in stories of incremental progress. Curmudgeons, doomsayers, utopians and declinists all have an easier time getting our attention than opinion leaders who want to celebrate slow and steady improvement.

The most striking example of this can be seen in the second half of the 1990s, a period in which both economic and social trends were decisively upbeat: The stock market was surging, but inequality was in fact on the decline; crime, drug use, welfare dependence, poverty -- all were trending in an encouraging direction.

With a Democrat in the White House, you might assume that the op-ed pages of The Washington Post would be bursting with pride over the state of the nation, given the paper's center-left leanings. But you would be wrong. Over the course of 1997, in the middle of the greatest peacetime economic boom in U.S. history (and before the Monica Lewinsky scandal broke), 71% of all editorials published in the Post that expressed an opinion on some aspect of the country's current state focused on a negative trend. Less than 5% of the total number of editorials concentrated on a positive development. Even the boom years are a bummer.

I suspect, in the long run, the media bias against incremental progress may be more damaging than any bias the media display toward the political left or right. The media are heavily biased toward extreme events, and they are slightly biased toward negative events -- though in their defense, that bias may just be a reflection of the human brain's propensity to focus more on negative information than positive, a trait extensively documented by neuroscience and psychology studies.

The one positive social trend that did generate a significant amount of coverage -- the extraordinary drop in the U.S. crime rate since the mid-'90s -- seems to have been roundly ignored by the general public. The violent crime rate (crimes per thousand people) dropped from 51 to 15 between 1995 and 2010, truly one of the most inspiring stories of societal progress in our lifetime. And yet according to a series of Gallup polls conducted over the past 10 years, more than two-thirds of Americans believe that crime has been getting worse, year after year.

Whether these biases come from media distortions or our human psychology, they result in two fundamental errors in the popular mind: We underestimate the amount of steady progress that continues around us, and we misunderstand where that progress comes from. We should celebrate these stories of progress, not so we can rest on our laurels but instead so we can inspire the next generation to build on that success.

The opinions expressed in this commentary are solely those of Steven Johnson.

@highlight

Steven Johnson: By almost any measure, life in U.S. is much better than in past generations

@highlight

Dropout rates, college enrollment, crime, infant mortality have shown improvement

@highlight

Despite progress, most people, and the media, focus on negative trends, he says

@highlight

Johnson: Doomsayers get our attention more readily than those pointing to steady progress