Tokyo (CNN) -- A simmering dispute over islands in the East China Sea began to bite into trade between China and Japan on Tuesday as Chinese protests prompted Japanese companies to suspend work there.

The latest demonstrations included a protest by hundreds of Chinese outside the Japanese Embassy in Beijing on the 81st anniversary of an incident that led to the Japanese invasion of China in 1931. Flanked by a heavy police presence, the Chinese demonstrators marching past the embassy were vocal but orderly, shouting that the disputed islands belong to China.

Rowdy demonstrations also took place near Japanese consulates in Shanghai, Guangzhou and Shenyang, according to CNN affiliate I-Cable. The protests appeared to be much more orderly than those that took place in many cities over the weekend, some of which turned violent.

But they spurred some of Japan's biggest manufacturers -- Toyota, Nissan, Honda, Mazda, Panasonic and Canon -- to halt production at some of their plants in China. Panasonic reported Monday that it would stop work at three Chinese plants after two of them were damaged during Saturday's protests.

Fallout widens from island dispute between China, Japan

China normally clamps down on public demonstrations, but has allowed the protests to go ahead. Protesters carried banners that read "Don't Forget the National Humiliation," according to photographs distributed by the state-run news agency Xinhua.

Meanwhile, on the disputed islands, two Japanese men carried out a small-scale protest of their own Tuesday when they jumped from a fishing boat and swam to shore, spending a short amount of time on land, the Japanese Coast Guard reported.

China and Japan are the world's second- and third-largest economies, and trade between the two Asian powerhouses amounted to about $300 billion in 2010, according to the U.S.-China Business Council. But political ties between Tokyo and Beijing have been strained over a cluster of islands that both countries claim, known as the Senkaku to the Japanese and the Diaoyu to the Chinese.

They sit between Okinawa and Taiwan and have been under Japanese control for more than a century, but China claims they have been a part of its territory "since ancient times." China reasserted that claim last week, sending ships to patrol the area after the Japanese government announced it would buy several of the islands from a Japanese family.

That move revived an issue left unsettled by a peace treaty between China and Japan in the 1970s, Tung Chee Hwa, the administrator who led Hong Kong after China regained possession of the onetime British colony in 1997, told CNN's "Amanpour."

When that treaty was hammered out, "There was one item on which they could not agree, so they agreed to disagree," Tung said. "They shelved that argument but agreed there would be status quo, and there would be a joint effort to search for natural resources."

But Japan's decision "really inflamed public opinion in China," he said.

Background: How remote rock split China, Japan

The waters around the islands are a common fishing ground for Chinese trawlers, with more than 1,000 of them working in the area every year, China says. And the ocean floor may hold as much as 100 billion barrels of oil, according to the U.S. Energy Information Administration, as well abundant natural gas reserves that the Chinese are already seeking to tap.

China needs fuel to supply its rapid industrialization -- but Japan, which is almost entirely dependent on imports of oil and gas, is concerned it'll be cut off from those resources.

China termed the deal "illegal" and sent six surveillance vessels into Japanese territorial waters on Friday, drawing protests from the Japanese government. A total of 11 Chinese government ships were near the islands on Tuesday afternoon, the Japanese Coast Guard said, adding that it had warned the vessels not to enter Japanese territorial waters.

The dispute dates back to 1895, when Japan captured the islands at the end of that year's Sino-Japanese War. In 1932, it sold the islands to descendants of the original settlers. Then the United States occupied them from the end of World War II until 1972, when it signed a treaty returning them to Japan.

"The U.S. handed over the islands to Japan for its own purpose during the Cold War," Guo Xiangjiang, the deputy director of the China Institute of International Studies, told CNN. "So, personally, I think the U.S. should take the blame for the dispute of Diaoyu island."

Washington is Japan's leading military ally and China's leading trade partner, and Defense Secretary Leon Panetta has called on both sides to resolve the dispute peacefully during a visit to the region this week.

"It's in no country's interest for this situation to escalate into conflict that would undermine peace and stability in this very important region," Panetta said after his meeting with Gen. Liang Guanglie, the Chinese defense minister.

For his part, Liang reiterated that the islands are part of "China's inherent territory."

"We reserve the right to take further actions, but we hope the issue will be properly resolved through peaceful ways and negotiations," he said, according to the state-run news agency Xinhua.

Asia's disputed islands -- who claims what?

A public initiative begun in April this year by the outspoken governor of Tokyo, Shintaro Ishihara, to raise money to acquire the islands for the city authorities set off a new cycle of tensions that included civilian protesters from both sides landing on the islands to stake their nations' claims.

Ishihara's move put pressure on the government of Japanese Prime Minister Yoshihiko Noda to step in with its own bid, which resulted in the controversial deal last week with the Kurihara family, the private owners up until that point.

Japan's attempts to portray the purchase as a routine internal real-estate transaction, with the islands passing from one Japanese owner to another, has failed to placate the Chinese authorities.

Messages and photos posted on Chinese social media sites showed angry mobs in numerous cities ransacking Japanese stores and restaurants as well as smashing and burning cars of Japanese make.

The authorities rarely permit protests in China, prompting suspicion that the nationwide rallies over the weekend were government-sanctioned. In Beijing, police walking alongside the demonstrators were seen to ask spectators to join in instead of blocking the street.

But by Saturday night, China's state-run media had started appealing for restraint, running commentaries that condemned violence and lectured the public on the expression of patriotism.

CNN's Junko Ogura reported from Tokyo and Jethro Mullen from Hong Kong. CNN's Stan Grant, Steven Jiang and CY Xu in Beijing contributed to this report.

@highlight

NEW: China and Japan have "agreed to disagree" over the islands since the 1970s

@highlight

New protests in China come on a painful anniversary

@highlight

Two Japanese men make a brief landing on one of the disputed islands

@highlight

Japanese companies have suspended operations in China because of unrest