(CNN) -- Someone in the Obama White House clearly has a good book to write one day: "How Not to Do Rollouts."

With one hapless episode after another, the rollout of the President's plan to destroy ISIS is beginning to rival the less-than-splendid debut of the Obamacare website.

President Barack Obama's critics may take some glee from the recent missteps, but they shouldn't. Going to war is serious business, especially when the conflict promises to be long and messy.

For the nation's sake, our dysfunctional politics needs to become functional on this one or we put too much at risk, starting with the lives of our men and women in uniform.

That's why it is imperative and urgent that the Obama team and their allies take a deep breath, pull themselves together and get this war effort on solid footing. Instead of becoming defensive, they need to go on offense, showing the world they are firmly in charge and on a winning path.

Ever since the President went on prime-time television to announce his new strategy to "degrade and destroy" ISIS, he and his team have slipped on one banana peel after another.

First came the series of muddled messages. Was this to be called a war or something else like a counterterrorism campaign? Who knew after so many contradictions from the administration? Is the threat from ISIS something we are trying to prevent from happening one day or is it imminent? Again, contradictions. Crucially: Still we put boots on the ground or will we leave all the ground fighting to surrogates? No one can be sure yet.

Even as a coalition grows of nations proclaiming their support, questions also rise of just how much -- or how little -- they will actually do.

Meanwhile, the media has been jammed with news analyses and comments from respected former officials calling into question the whole enterprise. The administration expresses confidence that a reconstituted Iraqi military along with Kurdish forces, working with American air power, can destroy ISIS in Iraq, but so far, press reports are skeptical. And experts point out that the best Iraqi fighters are Shia militia allied with Iran.

There is even more skepticism about our capacity to mobilize "moderates" in Syria. And listening to two of Obama's former defense chiefs, Bob Gates and Leon Panetta, one suspects they would have strongly opposed the plan if they were still in government.

As if the gnawing doubts weren't filling enough air time, now comes a new round of stories in The Washington Post, The New York Times and Financial Times reporting on a growing rift between the President and his military generals.

One can easily read too much into these tensions. In truth, Obama and the military have been able to work together in a professional way through most of his administration. And certainly the collaboration within the government in pursuit of Osama bin Laden was masterful.

But it is also true that underneath the surface, there has been an unhealthy atmosphere of mistrust between this White House and some of its military chieftains. The Obama team has doubted the loyalty of several of its generals, while the military has doubted the competence of the President and his national security team, especially in the second term.

Soon after he took office, Obama felt that through leaks to the press, his generals were trying to box him in on how many additional troops he would send to Afghanistan, trying to push him to higher numbers.

He felt excessive pressure as well on keeping a sizable number of troops in Iraq. And his political advisers were deeply suspicious that Gen. David Petraeus would run against Obama in 2012 the way Gen. George McClellan ran against Lincoln in 1864. These fears and anxieties were overwrought, but they have left scars that remain today.

In both the Pentagon and White House, there is now concern about management of the war from here on out. The military worries that Obama and his team will micromanage, especially in Syria -- something that President Lyndon Johnson did with disastrous results in Vietnam. And they worry that a nervous White House will tie their hands in the fight, ruling out the force necessary to win.

The White House worries that the military, hellbent upon victory, will accidentally drop bombs on too many innocents, inflaming opinion and making it harder to keep a coalition together. They point to what has happened in Afghanistan and Pakistan. In Syria, they worry an imprecise approach could further drag the United States into the chaotic civil war. Presumably, these are adults on both sides who can work things out but if suspicions and rifts grow, that will definitely handicap prosecution of the war -- and risk a national security debacle.

An additional challenge the administration faces is that the President has now announced America is going to war, but there are virtually no signs of mobilization on television. This is very different from most recent conflicts when a President takes to prime time and within hours screens are filled with pictures of military mobilization or of rockets and bombs flying and the public is rallying round the flag. What is left now is a virtual news vacuum that is being largely filled with arguments and counterarguments about the wisdom and competence of the administration.

All of this is no way to galvanize a nation or build a vibrant coalition.

In coming days, through his time at the United Nations and back in the White House, the President must dramatically seize the reins of leadership. He must form a strong, bipartisan advisory team around him with leaders from the past such as Colin Powell, James Baker, Madeleine Albright, Zbigniew Brzezinski, and yes, Gates and Panetta. He has to work in close harness with his military commanders, ending talk of rifts. And he must mobilize a coalition of nations that takes the fight to the enemy with great urgency.

It is inconceivable that the United States, with the best trained and equipped military in the world, can't clear the battlefield of a band of thugs. We must not lose heart just because this war is off to a rocky start. After all and let's admit it: when the administration finally fixed up Obamacare, it started to work better than many of us expected.

@highlight

David Gergen: Rollout of President's fight vs. ISIS has been dogged by problems

@highlight

There's been uncertainty about whether this is a war and if ground troops may go, he says

@highlight

This war is too important to have it shrouded in confusion, Gergen says

@highlight

Gergen: Administration can rescue the situation, as it did with Obamacare website