Mumbai, India (CNN) -- I normally don't dwell on what I am going to wear before I go on a shoot. It's usually something presentable, comfortable and preferably in a bright "TV" color that makes my cameraman Rajesh happy.

This time, though, I was perplexed.

I was about to film a story on manual scavenging. We were going to film people who clean human excreta. Knowing I would have to get close to human waste while filming, I opted for a pair of old water-resistant hiking boots. I told Rajesh to wear old shoes too.

My feet were prepared for what lay ahead. I was not.

I did not expect to see people cleaning human waste from the roads right in the heart of Mumbai, a booming financial capital and the face of modern India.

'Night soil'

It's called manual scavenging -- the removal of human waste or "night soil" from sites where there is no flush system.

Though the Indian parliament passed The Employment of Manual Scavengers and Construction of Dry Latrines (Prohibition) Act, in 1993 and reinforced the ban in 2013, private contractors hired by the municipal government continue to employ them.

Ganesh Shinde, 42, has been doing this job since 2007. "Of course I don't like it," he tells me. "But I have to feed my family."

Shinde's day begins around 6.30 a.m., seven days a week. He's a contractor who works for the city of Mumbai, earning just $5 a day. Usually, he walks to work. Shinde carries a broom, while his colleague carries a tin plate. Shinde sweeps, his partner scoops.

According to various studies, nearly 50% of India's population doesn't have access to toilets -- which leaves them with no choice but to go outdoors. The situation is acute in villages. And as I found out, in cities too.

I saw child after child carrying a mug of water come to the road where we waited with Shinde. They pulled their pants down and squatted on the edge of the kerb. They did their business and walked away, leaving Shinde and his colleague with the grim task of cleaning up after them.

"Now I am used to it," Shinde says, admitting he found it hard when he first started the job.

Dehumanizing and dangerous

Another manual scavenger, Sunil Chavan, who works in a different part of Mumbai says he would throw up every day when he started working. "If I take you to the same area I guarantee you will throw up too," he says.

It's an incredibly dehumanizing and dangerous occupation. Most manual scavengers don't have appropriate equipment. Shinde has no gloves. No boots. He wears a flimsy jacket and thin cloth mask that he made himself. A pair of old sandals leave his feet covered in muck.

Those who clean gutters use bamboo sticks to clear jams, while standing in the middle of waste matter that can come as high as their chest. In some instances they must crawl through sewage. They hardly wear any protective gear. Sometimes they don't even wear a shirt.

Often, scavengers have to enter manholes too to clear blockages and it's not uncommon for them to drink a quick swig of alcohol before starting their job. "They have to numb their senses," Shinde explains. "How else can anyone bear the stench?" I know what he means. Standing next to Shinde while he worked was hard enough -- the smell was repulsive and overwhelming.

Life expectancy amongst manual scavengers is low. Many develop asthma, skin infections and tuberculosis on the job. Hundreds reportedly die from the work each year. According to the Mumbai based research organization Tata Institute of Social Sciences (TISS), 80% of the manual scavengers die before they turn 60 because of health problems. TISS says in Mumbai alone, an average of 20 sewer workers die each month from accidents, suffocation or exposure to toxic gases.

Caste systems persists

Most manual scavengers are Dalits -- people belonging to the lowest strata of India's caste system. They were once considered "untouchable" and were forced to live outside the village boundary. Though India's Constitution bans caste-based discrimination, Dalits are still marginalized, despite government efforts to end it. "They are the most vulnerable section of our society," explains Milind Ranade, a labor activist fighting for the rights of manual scavengers.

Though Dalits are not shunned the way they used to be, they are still discriminated against because of the work they do. Shinde says it's hard to get a cup of tea. He's often turned away from restaurants. A few small tea vendors will serve him a cup of tea provided he stands on the road and does not enter their premises. If he rides a bus, people turn away when he climbs aboard. "It's just easier if I walk home," Shinde says.

At home, we meet his family. They have a young daughter who was at school. I asked Shinde what hopes he has for his child. His wife jumps in to answer, her eyes brimming with tears. "Not this work," she tells me, "no way.

"She's going to finish school and she's going to stand on her own two feet."

Shinde nods quietly. "I had no choice," he tells me. "Perhaps it was my destiny."

India's current prime minister, Narendra Modi, hopes to change the future not just for Shinde's daughter but for millions of Indians who are forced to live with unsanitary and unhygienic conditions every day.

On October 2, he's launching a Clean India mission -- a nationwide movement that aims to solve India's sanitation problems in five years.

He's the first prime minister to make cleanliness a national priority. Lets hope he delivers on this promise.

@highlight

Ganesh Shinde, 42, has been clearing human waste in Mumbai since 2007

@highlight

It's called manual scavenging -- the removal of human waste from sites with no flush system

@highlight

Life expectancy is low, with many developing asthma, skin infections and tuberculosis

@highlight

The majority are Dalits -- people belonging to the lowest strata of India's caste system