(CNN) -- Q: I was shocked to read in the news that children as young as 7 are hurting themselves. Why would they do that?

A: I'm often surprised by what surprises people.

This study, recently published in the journal Pediatrics, has garnered tremendous media attention. The study found that approximately 8% of third-grade students had at some point in their lives engaged in non-suicidal self-injury.

Examples of non-suicidal self-injury include hitting oneself, burning oneself, cutting or carving the skin and inserting sharp objects into the skin.

Although it is extremely distressing that children engage in these types of behavior, I don't find it surprising it all. Three other things surprise me a good deal more.

First, I am surprised that, before this study, most people assumed that children wouldn't engage in a behavior that is so common in teenagers and young adults.

Why would we expect that non-suicidal self-injury would wait for puberty to make an appearance? We already know that certain genetic mutations, for example the mutation that causes Lesch-Nyhan Syndrome, can produce horrific self-mutilating behavior in even very young children.

While people report engaging in non-suicidal self-injury for various reasons, almost always, they hurt themselves in response to stressful situations or negative emotions.

Anyone who has children knows that they are subject to the same powerful emotions as adults. If a minority of adults responds to powerful emotions by harming themselves, why should children not do the same?

This leads directly to the second thing that surprises me: that children below the age of puberty are considerably less likely to deliberately harm themselves than are adolescents or young adults.

This finding is consistent with a lot of literature showing that children have far lower rates of mood, anxiety and psychotic disorders than adults do.

This fact is often taken for granted in the mental health world, but it is really quite remarkable and not well-understood.

After all, children are subject to extremely powerful emotions and have a tremendous capacity for fear and worry. Moreover, it is now very clear that childhood experiences are the strongest environmental determinants of developing mental illness as an adult.

So why the delay? If the stresses and strains of childhood light the fuse for psychiatric illness, why does it take so long for the fuse to burn? I could fill pages with various theories, but I can't give a one- or two-sentence answer that encapsulates this unquestionable truth.

The final thing about non-suicidal self-injury that surprises me is that it occurs at all. Anyone who has been depressed can understand how one might feel bad enough to want to escape the psychic pain through death. But why do so many people hurt themselves not because they want to die but because they want to hurt themselves?

Again, there is no simple answer, but I find it fascinating that other mammals have been observed to harm themselves when under stress. Cats and dogs will lick and chew their bodies until they have wounds, and horses have been known to bite their own flanks.

This suggests to me that self-injury might be related in some ways to a process, or processes, that have evolved over time.

Whether this is true or not, one thing is very clear: Despite being painful, self-injurious behavior can become highly addictive. This is more often the case with women and usually involves cutting the skin, although I've treated patients over the years who were addicted to other types of self-damaging behavior, such as hitting themselves in the face or inserting sharp objects into various bodily orifices.

Many people who cut on themselves report that this behavior has an irresistible pull; they feel better after opening their skin, either because they are calmer or because the pain makes them feel more alive.

These reports have led to widespread theorizing that people become addicted to self-injurious behavior because the tissue damage leads to the release of natural, opioid-type chemicals in the body, giving them a "natural high."

This idea immediately suggests that blocking such endogenous opioids with drugs might reduce or prevent cutting and other self-damaging behaviors.

However, the fact that trials of opioid blockers have yielded conflicting and not very impressive results has lessened enthusiasm for these ideas.

A final surprising truth about non-suicidal self-injury is that it exists in a complex relationship with actual suicidal behavior. You'd think that people who recurrently injured themselves would be at increased risk of committing suicide, but this is far from clear.

People who engage in non-suicidal self-injury typically are struggling with other psychiatric conditions, such as a mood or personality disorder, so they are at increased risk of suicide generally. But the degree to which non-suicidal self-injurious behavior itself contributes to this increased risk is not well understood.

In fact, the demographics of suicide and non-suicidal self-injury suggest that in some ways they are polar opposites. Most non-suicidal self-injury occurs in adolescent and young adult females and drops off sharply in prevalence with advancing age. On the other hand, most completed suicides occur in men, and the risk rises sharply with age.

A study done a number of years ago really highlights this. Young adult females make 25 suicide attempts for every one completed suicide. Older men make 1.6 suicide attempts for every completed suicide.

But, suicide attempts are only one kind of violence against the self. Our growing understanding of this fact has led to a proposal by the American Psychiatric Association that non-suicidal self-injury be given its own diagnostic category in the next edition of the DSM, which is the "bible of psychiatric diagnoses" in the U.S.

Although the last thing psychiatry needs in general is another diagnostic category, the upside of this proposal is that it makes official something many patients have been trying to tell us for years: that their apparent suicidal behavior is not really motivated by an urge to kill themselves.

Then we'd be able to officially believe them.

@highlight

Study in Pediatrics journal says 8% of third-graders have purposefully injured themselves

@highlight

Children are subject to the same powerful emotions as adults, mental healthy expert says

@highlight

Despite being painful, self-injurious behavior can become highly addictive