Baghdad (CNN) -- Western nations and Iran broached solutions over Tehran's controversial nuclear program Wednesday, the latest push to end the saber-rattling over the Islamic republic's atomic aspirations.

Both sides, negotiating in Baghdad, delivered proposals in the latest round of talks between Iran and six nations -- the United States, France, Russia, China, Britain and Germany. The talks, a followup to negotiations last month, come amid a backdrop of tensions across the Middle East over Iran's nuclear efforts.

Western powers fear that Iran may be trying to build nuclear weapons, despite its insistence that its nuclear program is for peaceful purposes. The West has been using sanctions and diplomacy to try to stop Iran from producing nuclear arms.

Tehran threatened this year to close the Strait of Hormuz, a vital oil shipping lane, if sanctions were imposed on its exports of crude oil. Israel, which is believed to have its own nuclear arsenal, has said it may attack Iran to try to stop Tehran from developing nuclear weapons.

The six nations are "putting forward a detailed proposal, which will include confidence-building measures that can begin to pave the way for Iran to demonstrate that its nuclear program is for peaceful purposes and for it to comply with UNSC (U.N. Security Council) resolutions," said a Western official, who requested anonymity because of the sensitivity of the discussions.

"This approach includes concrete step-by-step, reciprocal measures aimed at near-term action. We are looking to have detailed and serious discussions in Baghdad that strive to make progress towards these concrete steps," the official said.

Asked whether relief from the tough Western sanctions imposed on Iran will be on the table, the official said, "There is no expectation it will happen as a result of this meeting. Iran would need to take significant concrete action first."

The Western official said bilateral talks between European Union foreign policy chief Catherine Ashton and Iran's top nuclear negotiator, Saeed Jalili, had concluded. A closing plenary session will be held Thursday morning.

When asked if there were a chance of a deal, another Western official, who requested anonymity because of sensitive diplomatic discussions, said, "We're not talking final deals, but solid progress."

Iran has submitted a package to the nations, with some, but not all, of the points addressing the nuclear issue, said a member of the Iranian delegation who asked not to be named because of the sensitivity of the talks. Details were not immediately available.

A British Foreign Office spokesman said world powers are offering support for Iranian economic and agricultural development and the country's civilian nuclear program in exchange for cooperation.

Another idea on the table is an updated version of an earlier offer to swap enriched uranium for nuclear fuel, European Union officials said. There had been a proposal to swap most of Iran's low-enriched uranium for fuel rods to power a medical research reactor in Tehran.

The proposals address the world community's "concerns about the nature of their nuclear program," said Michael Mann, a spokesman for Ashton.

"Obviously, you have various U.N. Security Council resolutions and reports from the International Atomic Energy Agency (IAEA) that have found suspicions that they may be developing a military program, so our proposals on the table address those concerns," Mann said. "We hope that they will come back and react positively to those proposals that we've made and that we can really talk about the substance and get things moving."

Mann said 20% uranium enrichment "is one of the issues that's addressed" in proposals Ashton put on the table.

Uranium enriched at 20% is typically used for hospital isotopes and research reactors, but is also seen as a shortcut toward the 90% enrichment required to build nuclear weapons.

The Baghdad meeting takes place a day after the head of the IAEA said he would soon sign an agreement with Iran, a sign that Tehran may have agreed to broader inspections of its nuclear facilities.

The talks come at a critical time for Iran. The country's economy has been crippled by sanctions imposed by the United Nations, the United States and the European Union. Because 80% of Iran's foreign revenues are derived from oil exports, an embargo by the EU set to go into effect in July will put further pressure on its economy.

Jalili was welcomed by the Iraqi foreign minister, Hoshyar Zebari, on his arrival Wednesday at Baghdad International Airport, the Iraqi Foreign Ministry said in a statement.

Meanwhile, Israeli Prime Minister Benjamin Netanyahu, who has repeatedly raised alarms about Iran's nuclear development, said Monday that the world powers "must show determination, not weakness" in the talks.

"They do not need to make concessions to Iran," he said in remarks distributed by his office. "They need to set clear and unequivocal demands before it."

Israel wants Iran to halt all uranium enrichment, give up all nuclear fuel it has enriched so far and dismantle the Fordo enrichment plant it built into a mountainside.

"Only thus will it be possible to ensure that Iran will not have a nuclear bomb," Netanyahu said.

Opinion: Reality check, please

On Wednesday, Israeli Defense Minister Ehud Barak urged other countries to intensify the pressure on Iran.

"Without a tightening of the sanctions, Iran will not stop nuclear program development," he said.

Leaders of the so-called Group of Eight -- the United States, Canada, the United Kingdom, Germany, France, Italy, Japan and Russia -- called Saturday on Iran to comply with the requirements of the IAEA and open its doors to nuclear inspectors.

In a declaration, the G-8 leaders said they welcomed the resumption of talks.

The IAEA has been demanding access to sites where Iran could be doing weapons-related testing. The agency's director-general, Yukiya Amano, met with Iranian negotiator Jalili in Tehran on Monday.

"During the meeting, we discussed a wide spectrum of different issues, including nuclear disarmament, peaceful use of nuclear energy and strengthening (the position of) the agency," Amano said Tuesday in Vienna after returning from the visit to Iran.

"During my stay in Tehran, there was an important development on the structured approach document on which we were working since January," he said, adding that a "decision was made by me and Mr. Jalili to reach the agreement on the structured approach."

Amano told reporters he raised the issue of access to Parchin, the military complex believed to have been the site of high-explosive tests related to nuclear weapons research.

"This issue will be addressed as part of the implementation of the structured approach document," he said.

Amano said differences remained, but Jalili said they would not pose obstacles to signing the agreement.

The "decision was made to conclude and sign the agreement," Amano said.

Iran's state-run Islamic Republic News Agency said that in meetings, both sides "discussed present problems more candidly, providing each other with proposals to remove ambiguities and expand cooperation."

Foreign Minister Ali Akbar Salehi "welcomed the new IAEA approach toward Iran's nuclear issue based on mutual understanding and bilateral respect," IRNA reported Tuesday.

The United States, France, Russia, China, Britain and Germany are called the P5+1, a reference to Germany and the other nations, permanent members of the U.N. Security Council. Another name for the group is the E3+3, a reference to the European countries of Germany, France and Britain and the others.

CNN's Mohammed Jamjoom in Baghdad, Matthew Chance in London and Reza Sayah in Islamabad contributed to this report.

@highlight

Bilateral talks held; plenary session is Thursday

@highlight

The meeting takes place a day after the IAEA said it expects a new deal with Iran soon

@highlight

Iran's nuclear program has created tension in the Middle East and beyond

@highlight

Tehran says the program is for peaceful purposes, but Israel wants it to end all enrichment