A small mammal with fluffy red-orange fur, a short bushy tail, and an adorable rounded face has leapt onto the raccoon family tree.

Scientists at the Smithsonian in Washington announced Thursday the discovery of a new species of mammal called the olinguito (pronounced oh-lin-GHEE-toe). If you're a fan of long technical names, this one is Bassaricyon neblina.

Such a discovery is rare. The olinguito is the first mammalian carnivore species to be newly identified in the Americas in 35 years, according to Kristofer Helgen, curator of mammals at the Smithsonian's National Museum of Natural History. His research group's study on the creature is being published in the journal ZooKeys.

Researchers argue that the olinguito should be considered the smallest living member of the raccoon family, which includes other animals that make us go "awww" such as coatis and kinkajous. The Smithsonian describes the olinguito's appearance as a cross between a house cat and a teddy bear. Cats, bears, and olinguitos belong to the Carnivora order.

This animal had been seen before by humans, Helgen said, but it had been "a case of mistaken identity."

"It was in museums, it's been in zoos, and its DNA had even been sequenced, but no one had connected the pieces and looked close enough to realize, basically, the significance of this remarkable and this beautiful animal," Helgen said.

Previously, scientists had assumed that olinguitos were members of their sister species, the olingos, Helgen said. Olingos are larger, less furry and have longer faces than the newly discovered species.

Tracking the olinguito

Helgen began his detective work in pursuit of the new species when he set out about a decade ago to comprehensive study of olingos.

Behind the scenes at the Chicago Field Museum in 2003, he remembers pulling out a drawer of skins and skulls that didn't look like any animal he had ever seen before, or that had been reported by zoologists. The teeth and skull were smaller and shaped differently than olingos, and the coat was denser.

Records indicated to Helgen that such specimens came from the northern Andes about 5,000 to 9,000 feet above sea level, which is much higher than olingo habitats.

Helgen and colleagues worked with Miguel Pinto, a zoologist in Ecuador, who had shot a few seconds of video that appeared to depict the animal.

They teamed up in Ecuador in 2006, using Pinto's knowledge of cloud forest habitats to pick the best spots to investigate. Cloud forests are "cloaked in fog," Helgen said.

On their very first night on the pursuit, the team found a real, living olinguito.

Seeing the fluffy tree-dweller for the first time, Helgen felt "sheer elation, just incredible excitement but at the same time almost disbelief. This animal had been missed by everyone."

Even people who live in the Andes had the same confusion about olinguitos being olingos, because humans don't hunt them and the creatures stay in the trees, Helgen said.

Ancient primate could be a missing link

How it lives

The researchers found out that the olinguito primarily eats fruits, but also insects and nectar, and its activity is mostly at night. The animal lives in the trees and can jump from one to another. Mothers raise a single baby at a time.

At about 2.5 feet long from nose tip to tail tip, the olinguito weighs about 2 pounds and is a little smaller than a house cat.

DNA analysis confirmed that while olinguitos and olingos both belong to the raccoon family, they are "sister groups," in the same way that humans are closely related to chimpanzees.

The olinguito's misty high-elevation habitats in Colombia and Ecuador, and the tendency for the animal to stay in the trees, have helped keep the species relatively obscure to scientists until now, Helgen said.

It turns out, according to Helgen, there are four subspecies of olinguitos, differing in color -- shades of reds, orange and browns -- and size and living in various sections of the Andes.

New species of mice, bats and shrews are more commonly discovered, but these animals are tiny and hard to tell apart, Helgen said.

Prior to the olinguito, the most recent mammal to be discovered in the Americas was a small weasel from the Andes -- the same area and habitat where the olinguitos live, he said.

"It shows us that there's a long way to go to exploring the whole world, but especially maybe these cloud forests," Helgen said. More olinguitos may be found in other South American countries with cloud forests in the future, according to the Smithsonian.

The olinguito is not yet considered an endangered species, but there are threats to its home environment, Helgen said. Many have such forests been chopped down.

"We also kind of hope that in telling this story to the world about the olinguito, that this beautiful new animal serves as something of an ambassador for those embattled cloud forest habitats."

The zoo olinguito

Helgen's group has "discovered" the olinguito, but it been evolving as an independent species for about 3 to 4 million years, he said.

One olinguito whose history Helgen's group studied was exhibited in the United States during its lifetime as if it were an olingo. The creature came from the mountains of Colombia to the Louisville Zoo in 1967, courtesy of a German couple with a love of raccoon family members, Helgen said. It was also in the Smithsonian National Zoo in Washington and the Bronx Zoo, where it passed away.

DNA from this olinguito shows that it is clearly not an olingo, Helgen said.

The wife of the animal's keeper told Helgen, "We always thought there was something strange about that olingo," he said.

She told Helgen this particular animal moved from zoo to zoo because she wouldn't breed with the olingos around her.

"It wasn't because she was fussy, it was because she was not at all even the same species," Helgen said.

With the olinguito research announcement, the oddball animal's aloofness has been vindicated.

Chinese zoo angers visitors by passing off hairy Tibetan mastiff dog as lion

Follow Elizabeth Landau on Twitter and Google+.

@highlight

The olinguito weighs about 2 pounds and is 2.5 feet long

@highlight

This creature lives in cloud forests in Ecuador and Colombia

@highlight

Previously it was mistaken for its sister species, the olingo