(CNN) -- African-American poet Maya Angelou once wrote: "Africa is a historical truth ... no man can know where he's going unless he knows exactly where he's been and exactly how he arrived at his present place."

This search for" historical truth" has led thousands of visitors to Cape Coast, in Ghana, a picturesque seaside town with stunning blue sea, serene beaches and pastel-colored fishing boats.

Instead of idyllic days under the sun, they are looking for a glimpse into their dark ancestral past -- the harrowing experience of their African forebears who were sold as slaves.

Roots tourism has brought more and more people of African descent, like Monique Ross and Jacques Wallace, to the sleepy fishing port.

Ross, Wallace and their tour group from New York walk the grounds of Cape Coast Castle, a seaside fortress that served as slave dungeons, to see what their ancestors went through before they were shipped across the Atlantic.

"I'm slightly numb actually," said Wallace. "I wasn't actually ready for the stories about this place as far as the way people were treated, and the thing about the tunnel and everyone bound and being led down the tunnel is a little bit tragic, a little bit too much to take in all at once."

His fellow traveler agreed. "It is a little devastating at first," said Ross. "It's good to know the history of what has happened and how to connect your historical past with things that have happened."

Read more: Ghana finds its voice through independence

U.S. President Barack Obama his family made a stop at Cape Coast Castle when he visited Ghana in July 2009. It was an emotional pilgrimage for them, especially because First Lady Michelle Obama and her mother are descendants of slaves from South Carolina.

Crumbling colonial buildings are a reminder that Cape Coast was once European colonial capital that changed hands between the Portuguese, the Dutch, the Swedish, the Danish and the British through centuries.

The largest slave trade outpost

It flourished as the largest slave-trading outpost in West Africa when the opening of European plantations in the Americas in the 1500s drove the demand for slaves, eclipsing the gold trade.

For more than three centuries, millions of captured Africans -- men, women and children -- arrived from different parts of the continent and were herded like cattle onto ships destined to the United States, South America and the Caribbean.

Kwesi Essel Blankson, a senior educator at Cape Coast Castle who gave Obama and his family a guided tour, describes the inhumane conditions the slaves had to endure in the fortress. They were crammed into a small space, living on little food, water and air, even defecating side by side, often for months. Female captives were subjected to rape and sexual abuse by guards and officials.

Those who survived the harrowing conditions had to go through the so-called "Door of No Return" -- an arched gateway with a pair of thick doors that would shut behind the captured men, women and children before they were forced onto the slave ships.

"For many, this door represents... a journey from the known to the unknown," says Blankson. "And therefore right from here, their resistance was much anticipated."

While many travelers use Cape Coast as a base to explore Ghana's other tourist spots, like Kakum National Park, the city hopes roots tourism, with the castle as a focus, could bring in more visitors to spend longer time there.

And perhaps the dark chapter of history tells not only a story of misery but also that of survival.

Asked how Obama reacted during the visit, Blankson says the president was "surprised, shocked and sad -- and also motivated ... because if blacks survived through this, then it is a survival of human beings. It shows that we have a high survival instinct."

See also: Ghana: Keeping one of Africa's stars of democracy shining

See also: Bamboo bikes turn around fortunes for working women in Ghana

Yenni Kwok contributed to this report.

CNN's On the Road series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Roots tourism has brought African-Americans and others of African descent to Cape Coast, in Ghana

@highlight

They visit Cape Coast Castle, which served as slave dungeons, to see what their ancestors went through

@highlight

U.S. President Barack Obama and his family made a stop at Cape Coast Castle in July 2009