(CNN) -- Anything creative begins with a question.

The problem is that questions take us into uncertainty, which is a very dangerous place to be. If there were a predator next to you and your brain wasn't absolutely sure what to do, then it'd probably be too late.

The need to translate ambiguous sensory information into meaningful behavior has been the fundamental drive of brain evolution, without which survival in a complex world would not have been possible. And yet a deep irony is that the best questions -- i.e., the ones that challenge our deepest sense of what is true -- create the most uncertainty.

So how is it possible to be creative? Fortunately nature gave us a solution, which in the context of human culture we call science. Not science reduced to the Methods section of a paper, but science as a "way of being," where not only is uncertainty celebrated, but so too are possibility, diversity and openness. In other words ... play.

Watch Beau Lotto's TED Talk

Armed with this idea that science is play (and thus experiments are games) I asked whether we could not simply teach children about science, but actually enable them to become the scientist and in this way offer children an essential tool for contending with the uncertainty that is inherent to life. The answer to this question was the Blackawton Bees Project.

Through the course of several "workshops" spread over three months, Dave Strudwick and I went on a journey with 25 children aged 8 to 10 years old. The journey was broken down into several distinct stages, but what happened within each stage was an emergent consequence of the interactions with and between the children.

The first step was "Wonder," since without it there's no motivation to ask a question. The second was to ask "Why?" the third "What If?" and the fourth -- "Who Cares?"

In other words, the focus was not on coming up with answers to questions set by a teacher (in which the answers are already known), but on asking questions -- novel questions -- that were of interest to the children. In this instance, those questions came in the context of bumblebee visual behavior.

The children came up with the idea of seeing if bumblebees could learn to recognize different spatial configurations of color, which is important for bees in deciding which flowers to go to for foraging and was a relatively unknown area of science.

TED.com: E.O. Wilson's advice to young scientists

It should be noted that we did not receive funding for this project largely because it was thought that children "... could not do it," and because the funders required the process to be fully prescribed, which is like asking an artist to describe what the painting is going to look like before he/she paints it, or to describe the results of an experiment before even the question itself has been devised.

The result was tremendous. Not only did the children devise meaningful questions, but also crafted games (i.e. experiments) to address them. They made the subsequent observations and working together created a "story" about the process and their observations. It was the latter that was submitted for publication.

TED.com: Yep, I built a nuclear fusion reactor

Naturally, while the editors of nearly every biologically-based science journal -- including the most prestigious journals -- were interested in the story and process, none were willing to review the manuscript because it wasn't written in the typical style of a science paper. This, however, creates a problem. If one has observations that are both novel and relevant obtained from a robust scientific method, are the findings made less important by mode of communication? (The paper was eventually published by the journal Biology Letters; read it here.)

The Blackawton Bees Project demonstrates that by participating in real science, we can all become observers of the intimately private process by which our brains make sense of the world. By becoming actively involved in the process of making sense, the children not only became the scientist -- and thus learned about science from within -- but the process fostered in each child a sense of choice, creativity and compassion.

TED.com: Award-winning teenage science in action

These latter motivations are, I'd suggest, the true reasons for changing the way science is currently taught in our schools -- to "See Myself See:" to become actively aware of how our environment, perception and imagination shape who we are as an individual and as a society. This arguably unique human capacity is the principal act of consciousness that has the power to transform our view of the world and of ourselves, since it creates the opportunity to find and create new relationships that will shape future behavior.

The opinions expressed in this commentary are solely those of Beau Lotto.

@highlight

Beau Lotto: Uncertainty is dangerous in a predatory world, but essential for innovation

@highlight

He says science gives people the means to be creative in devising theories, experiments

@highlight

Lotto recruited students to take part in a science project about the visual behavior of bumblebees

@highlight

Students crafted experiments and wrote their findings in a paper that was published