For years, chocolate, jewelry and flowers have been Valentine's Day staples. However, many consumers are now giving gifts that not only say I love you, but also help those in need.

Recently, the concept of giving back through consuming gained traction with TOMS shoes, the company that makes the popular slip-on shoes and donates a pair to a child in need for every pair sold. TOMS seemed to open the door for other socially conscious brands, ones that make a difference through product sales.

Now, many entrepreneurs are opening businesses and nonprofit organizations that produce socially conscious goods. From backpacks that provide an education to jewelry that empowers women to crocheted goods that help people rise out of poverty, here are three socially conscious companies that are trying to change the world with their products.

Buy a backpack, fund an education in Tanzania

Matthew Clough traveled to Tanzania to climb Mount Kilimanjaro in 2008.

"I always had this dream of climbing each continent's highest summit. One of my buddies called me and asked if I wanted to climb Kilimanjaro, the highest peak in Africa. It was my first opportunity to check one of those seven summits off the list," says Clough.

Little did he know, reaching the peak would inspire him to pursue an even loftier goal.

Clough realized that his success on the mountain would have been impossible without the help of the porters who carried his extra gear, prepared his meals and ultimately guided him to the summit. As Clough descended the mountain, he discovered that his porters made less than a dollar a day -- an amount he later learned was not nearly enough to put a child in Tanzania through school.

After returning to the United States, Clough made it his mission to provide education opportunities for underserved communities. He started stone + cloth, a backpack company that donates part of its profits to support children's education in Tanzania.

"I decided to make backpacks to create a symbol linking my mountaineering trip with education. I kept thinking about how I used a backpack for school as a kid and wanted to create a tool for people to use to spread the word about educating those in need."

All stone + cloth backpacks are made in Los Angeles, with $10 from every backpack purchased going directly to its partner in Tanzania, the Knock Foundation.

Together with the Knock Foundation, stone + cloth supports education programs, including tuition assistance, school meals, and school supplies -- the learning essentials.

"By purchasing a backpack our customers carry an education," says Clough.

Beads of hope help women in Uganda

Kallie Dovel traveled to Uganda in the summer of 2007 to volunteer. She began working with women at an after-school program and quickly learned about the hardships they faced after years of conflict in the region. While getting to know the women, Dovel was introduced to jewelry they made from paper beads.

"They showed me this beautiful product but told me they weren't able to sell it. In Uganda [the jewelry made from paper beads] is looked down on," says Dovel.

The women at the school taught Dovel how to make the paper beads and asked her to sell the jewelry for them in the United States. Dovel agreed to purchase a box from them and try to sell some pieces when she got back home.

The jewelry sold quickly and inspired Dovel to team up with her friends Jessie Simonson, Anna Nelson, Brooke Hodges and Alli Swanson to create the company 31 Bits. In August of 2008, the five traveled to Uganda and started purchasing jewelry from six women, promising to employ them for at least two years. Dovel stayed in Uganda in order to oversee operations while Simonson, Nelson, Hodges and Swanson traveled back to the States to spread brand awareness. Through its success, 31 Bits has been able to hire more women and launch programs for its Ugandan employees that include English lessons, health education, and business development programs.

More than 100 Ugandan women now participate in 31 Bits programs, and the company reports it has raised more than $500,000 for women it employs through product sales. Programs provide participants the skills they need to support their families and communities, allowing the company "to empower women to be self-sufficient."

Crocheting empowers women in Uganda, Peru

Stewart Ramsey was inspired to create the nonprofit organization Krochet Kids International after traveling to Uganda in the summer of 2006. Ramsey met a group of refugees who for 20 years had depended on government and aid organizations for food and protection as a result of war.

When Ramsey returned, he brought with him a message that he passed on to his two childhood friends. The refugees he met were tired of handouts. They wanted to have jobs and provide for themselves. Ramsey's friends took this message to heart and the three decided to act.

Together, Ramsey, Kohl Crecelius and Travis Hartanov set out to provide the tools, knowledge and opportunities needed to enable Ugandan refugees to better their circumstances; but first they had to figure out how.

Years earlier, while still in high school, the three had made extra money crocheting hats. "[We] sold them to friends of ours who were skiers and snowboarders in the Northwest. And it was the one thing we knew that we could [teach] people and even provide a job for in the process," Crecelius explains.

The group traveled to Uganda in 2007 and taught 10 women to crochet. Ramsey, Crecelius and Hartanov sold the hats in the United States, providing income for the women they employed. The company's success has allowed for expansion of programs into Peru; they currently employ more than 150 women in the two countries. More than 250,000 hats have been sold, with each one personally signed by its creator. As a nonprofit, Krochet Kids International has been able to raise $5 million, which has gone to teaching and empowering the women in its programs and allowing them to rise above poverty.

Stone + cloth, 31 Bits, and Krochet Kids International provide three different ways consumers can show their love for that special someone while making the world a better place. By informing themselves about companies' social policies and programs, consumers can channel their purchasing power to make an impact.

@highlight

Brands that not only make a profit but make a difference are becoming more popular

@highlight

Matthew Clough sells backpacks to fund education in Tanzania

@highlight

31 Bits helps internally displaced women in Uganda earn a living making jewelry

@highlight

The founders of Krochet Kids turned a high school hobby into a international nonprofit