Washington (CNN) -- Republicans have a Latino problem. Only about 6% of Latino voters agree that the GOP is the party most concerned for their interests. Nearly half choose the Democrats as the party most concerned for them.

Some Republicans are advancing a Latino solution: Nominate a Latino for vice president in 2012. The name most often mentioned is that of Marco Rubio, the junior senator from Florida.

There's a lot to admire about Rubio. His personal rise from hardscrabble immigrant roots confirms Americans' highest hopes for the country.

But Republicans make a big mistake if they imagine that the Rubio choice will gain them many Latino votes. Rubio is the wrong answer to the wrong question.

Here's the right question: Why do Latinos tilt so heavily Democratic?

Poor people in general tilt Democratic -- and Latinos are more likely than other Americans to be poor.

Under the Census Bureau's newest and most sophisticated measure of poverty, some 28% of Latinos count as poor, a higher proportion than among African-Americans, 25% of whom are poor.

More than one-third of Latino voters fear their home could go into foreclosure. Only 23% of Latinos describe their personal finances as "excellent" or "good," compared to 37% of the total U.S. population.

Of Latinos who are legal residents of the United States, 28% lack health insurance. In the total U.S. population, only 17% lack health insurance.

Is it realistic to imagine that a Spanish-speaker on the national ticket will overcome these hard economic facts?

As glibly as pundits talk about "Hispanic voters," it's important to remember that a majority of American Hispanics identify themselves -- not as "Hispanics" -- but as Mexican-Americans, Cuban-Americans, and so on.

Almost two-thirds of U.S. Hispanics are Mexican-Americans. As Rubin Navarette recently pointed out on CNN Opinion, the values and interests of Mexican-Americans do not align naturally with those of Cuban-Americans like Marco Rubio.

"Thanks to the Cuban Adjustment Act, which was enacted in 1966 -- or four years after Rubio's grandfather came to the United States -- Cuban refugees who flee the Island and reach the U.S. shoreline have a clear path to legal residency and eventual citizenship.

Mexican immigrants aren't so fortunate. So when Cuban-Americans do what Rubio has done since arriving in the Senate 16 months ago and take a hard line against illegal immigration, Mexicans and Mexican-Americans have been known to cringe. After all, that's easy for them to say."

Under these circumstances, Republicans should be cautious about assuming that they can sway Latino votes with the symbolic politics of a Rubio nomination.

What would work better are policy changes and message changes to win back the 9 points worth of Latino votes that Republicans lost between the elections of 2004 and 2008.

Republicans tend to assume that immigration is the issue that most moves Latino voters. If that assumption was ever true, it is not true now. Latinos were hit hard by the economic crisis that began in 2007. They were promised "hope" by Barack Obama in 2008. Those hopes have been largely disappointed. But what are Republicans offering instead?

And to the extent that symbolic politics can sway votes, Republicans should be looking to groups more receptive to the core Republican message than Mexican-Americans are likely to be.

The Asian-American population is also growing fast, and many Asian groups -- Vietnamese-Americans and Indian-Americans to name only two -- are gaining their success in small business. They are natural targets for Republican recruitment.

In Britain, Australia, and Canada, conservative parties have done well with these immigrant groups. In fact, in the federal election of 2010, Canada's Conservatives won a plurality of the vote among voters who spoke Chinese at home.

For these voters, inclusion does matter. Symbols of inclusion can work.

As symbols go, Louisiana Gov. Bobby Jindal is a doozy: a brilliant policy mind with an inspirational life story who has run an effective government in corruption-tainted Louisiana. He can talk data with Romney and credibly sit at the kitchen tables of the struggling middle class.

Which leads to this thought: Bobby Jindal for vice president!

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Some advocate GOP should run a Latino candidate for VP

@highlight

He says GOP has a problem with Latino voters, but picking Rubio won't change that

@highlight

Frum says Republicans are more likely to gain votes with Bobby Jindal as candidate