Dusseldorf, Germany (CNN)Years before he was at the controls of a Germanwings plane that plunged into the French Alps, Andreas Lubitz told the airline he worked for that he'd had a bout with depression.

Lubitz, the co-pilot of Germanwings Flight 9525 who authorities accuse of deliberately crashing the plane, told his Lufthansa flight training school in 2009 that he had a "previous episode of severe depression," the airline said Tuesday.

Email correspondence between Lubitz and the school discovered in an internal investigation, Lufthansa said, included medical documents he submitted in connection with resuming his flight training.

The announcement indicates that Lufthansa, the parent company of Germanwings, knew of Lubitz's battle with depression, allowed him to continue training and ultimately put him in the cockpit.

Lufthansa, whose CEO previously said Lubitz was 100% fit to fly, described its statement Tuesday as a "swift and seamless clarification" and said it was sharing the information and documents -- including training and medical records -- with public prosecutors.

What was mental state of Germanwings co-pilot?

It's a development that will likely be a part of the crash investigation, but it's only one piece of the puzzle, CNN aviation correspondent Richard Quest said.

"We need to know what happened after he returned in 2009 and finished his training, because that tells us whether there was the correct procedure and process," he said.

A Lufthansa spokesperson told CNN on Tuesday that Lubitz had a valid medical certificate, had passed all his examinations and "held all the licenses required."

Check out the latest from our correspondents

The details about Lubitz's correspondence with the flight school during his training were among several developments as investigators continued to delve into what caused the crash and Lubitz's possible motive for downing the jet.

Earlier, a spokesman for the prosecutor's office in Dusseldorf said Lubitz suffered from suicidal tendencies at some point before his aviation career.

Medical records reveal that Lubitz was suicidal at one time and underwent psychotherapy before he got his pilot's license, prosecutor's spokesman Christoph Kumpa said.

Kumpa emphasized there's no evidence suggesting Lubitz was suicidal or acting aggressively before the crash.

Investigators are looking into whether Lubitz feared his medical condition would cause him to lose his pilot's license, a European government official briefed on the investigation into last week's crash told CNN on Tuesday.

While flying was "a big part of his life," the source said, it's only one theory being considered.

Another source, a law enforcement official briefed on the investigation, also told CNN that authorities believe the primary motive for Lubitz to bring down the plane was that he feared he would not be allowed to fly because of his medical problems.

Lubitz's girlfriend told investigators he had seen an eye doctor and a neuropsychologist, both of whom deemed him unfit to work recently and concluded he had psychological issues, the European government official said.

Lubitz told the neuropsychologist that he was too stressed with work, the official said.

But no matter what details emerge about his previous mental health struggles, there's more to the story, said Brian Russell, a forensic psychologist.

"Psychology can explain why somebody would turn rage inward on themselves about the fact that maybe they weren't going to keep doing their job and they're upset about that and so they're suicidal," he said. "But there is no mental illness that explains why somebody then feels entitled to also take that rage and turn it outward on 149 other people who had nothing to do with the person's problems."

Reports say a cell phone video shows the nightmarish final seconds of Germanwings Flight 9525, but a police spokesman said the accounts were "completely wrong."

French magazine Paris Match and German newspaper Bild reported that a video recovered from a phone at the wreckage site showed the inside of the plane moments before it crashed.

"One can hear cries of 'My God' in several languages," Paris Match reported. "Metallic banging can also be heard more than three times, perhaps of the pilot trying to open the cockpit door with a heavy object.  Towards the end, after a heavy shake, stronger than the others, the screaming intensifies. Then nothing."

The two publications described the video, but did not post it on their websites. The publications reported that they watched the video, which was found by a source close to the investigation.

"It is a very disturbing scene," said Julian Reichelt, editor-in-chief of Bild online.

An official with France's accident investigation agency, the BEA, said the agency is not aware of any such video.

Lt. Col. Jean-Marc Menichini, a French Gendarmerie spokesman in charge of communications on rescue efforts around the Germanwings crash site, told CNN that the reports were "completely wrong" and "unwarranted." Cell phones have been collected at the site, he said, but that they "hadn't been exploited yet."

Menichini said he believed the cell phones would need to be sent to the Criminal Research Institute in Rosny sous-Bois, near Paris, in order to be analyzed by specialized technicians working hand-in-hand with investigators. But none of the cell phones found so far have been sent to the institute, Menichini said.

Asked whether staff involved in the search could have leaked a memory card to the media, Menichini answered with a categorical "no."

Reichelt told "Erin Burnett: Outfront" that he had watched the video and stood by the report, saying Bild and Paris Match are "very confident" that the clip is real.

He noted that investigators only revealed they'd recovered cell phones from the crash site after Bild and Paris Match published their reports.

"That is something we did not know before. ... Overall we can say many things of the investigation weren't revealed by the investigation at the beginning," he said.

While investigators search for clues to Lubitz's motivation, recovery workers continue the grim task of searching for the remains of those killed in the March 24 crash.

The remains of at least 78 people on board the plane have been identified so far using DNA analysis.

Naffrechoux warned Monday that "it may not be possible to find the human remains of all the 150 passengers, as some of them may have been pulverized by the crash."

But French President Francois Hollande, speaking alongside German Chancellor Angela Merkel in Berlin, was more positive, saying that it should be possible to identify all the victims by the end of the week.

A simple stone memorial has been set up at Le Vernet, where grieving relatives of those killed have laid flowers and held prayers.

Germanwings crash compensation: What we know

Who was the captain of Germanwings Flight 9525?

The BEA, France's accident investigation agency, said its ongoing safety investigation was focusing on a more detailed analysis of the flight history leading up to the crash, based on the audio recovered from the cockpit voice recorder and any other available data.

"A deliberate act by a man with a disturbed psychological profile is a possible scenario," BEA spokeswoman Martine Del Bono told CNN. "The first step of the investigation is to describe more precisely what happened."

This will be based mainly on analysis of the cockpit voice recorder, to be supplemented by data from the flight data recorder if it is found, she said.

"But we will also look at other events with possibly similar scenarios, try to understand if there are systemic weaknesses which may contribute or facilitate such scenarios.

"We will in particular look at the cockpit door locking as well as the criteria and procedures applied to detect specific psychological profiles."

CNN's Pamela Brown reported from Dusseldorf and Frederik Pleitgen from Cologne, while Catherine E. Shoichet wrote from Atlanta. CNN's  Laura Smith-Spark, Josh Levs, Pamela Boykoff, Antonia Mortensen, Sandrine Amiel, Margot Haddad, Anna-Maja Rappard and Mariano Castillo contributed to this report.

@highlight

Andreas Lubitz had informed his Lufthansa training school of an episode of severe depression, airline says

@highlight

A police spokesman say reports about video found in Germanwings wreckage are "completely wrong"

@highlight

Journalists at Bild and Paris Match are "very confident" the video clip is real, an editor says