Washington (CNN) -- The Obama administration made public all information available throughout the Gulf of Mexico oil spill, White House Press Secretary Robert Gibbs said Thursday in response to a preliminary report that criticized how it handled the disaster.

"This was an unprecedented environmental disaster met with an unprecedented federal response which prevented any of the worst-case scenarios from coming to fruition," Gibbs told reporters when asked about the report made public the previous day. "When we had information, we gave it to the public."

According to the working paper released Wednesday from the National Commission on the BP Deepwater Horizon Oil Spill and Offshore Drilling, the administration vastly underestimated the tens of thousands of barrels of oil pouring into the Gulf after the April 20 oil rig explosion that caused the disaster, despite contrary information from scientists using better methodologies.

The explosion claimed 11 lives and led to more than 60,000 barrels of oil being spewed into the Gulf daily for almost three months.

According to the working paper, the White House Office of Management and Budget squelched higher worst-case estimates accepted by government officials, preventing the public from hearing them.

In addition, the commission staff sharply criticized later White House estimates that 75 percent of the oil had been scooped up, burned or naturally dispersed, saying an operational tool -- known as the oil budget -- used by responders failed to accurately account for biodegradation and was not peer-reviewed by scientists.

Gibbs acknowledged that some mistakes were made, in particular citing comments regarding the estimated oil dispersal by former White House environmental adviser Carol Browner in one of "hundreds" of interviews she gave.

However, he insisted that the administration worked with the information available at all times, noting that it was impossible to see or measure the oil spill rate in the initial weeks after the explosion.

"Throughout this process, we got better information," Gibbs said. "When the rig exploded and the blowout preventer failed 5,000 feet below the ocean, nobody could see what happened."

The installation of video cameras and other technology improved the ability to estimate the spill flow in ensuing months, Gibbs said. At the insistence of Energy Secretary Steven Chu, the administration required BP to install pressure monitors to provide the "best available data on the flow rate," he added.

The commission working paper said the government's low estimates of oil flow from the spill, as well as the apparent underestimation of how much oil remained in the Gulf, "created the impression that it was either not fully competent to handle the spill or not fully candid with the American people about the scope of the problem."

Gibbs echoed federal officials who say the low flow-rate estimates did not negatively affect their operations to stop the oil spill, describing the overall effort as the "most robust federal response that we've ever seen" to such an accident.

However, the 29-page report said: "Even if responders are correct, however, loss of the public's trust during a disaster is not an incidental public relations problem. The absence of trust fuels public fears, and those fears in turn can cause major harm, whether because the public loses confidence in the federal government's assurances that beaches or seafood are safe, or because the government's lack of credibility makes it harder to build relationships ... that are necessary for effective response actions."

The report is considered a working paper. The commission will issue a formal report on January 12, 2011.

The president appointed the commission in June and tasked it with providing recommendations on how to prevent future spills and mitigate the impact of any that do occur. The commission is headed by former Florida governor and former U.S. Sen. Bob Graham, a Democrat, and former Environmental Protection Agency administrator William K. Reilly from the Republican administration of President George H.W Bush.

Rep. Edward Markey, D-Massachusetts, chairman of the Select Committee on Energy Independence and Global Warming, said BP was providing too-low figures for the oil flow in effort to escape liability.

"Low-balling the flow rate numbers was BP's attempt to hide both the truth and their wallet from the American people," Markey said.

After the oil rig sank, the U.S. Coast Guard and BP initially put the spill at 1,000 barrels per day.

The administration later derived a 5,000-barrels-per-day estimate, depending on an "unsolicited, one-page document" based on visual operation of the speed at which the oil was leaking from the end of the riser at the bottom of the Gulf.

Despite "inaccuracies" in  the National Oceanic and Atmospheric Administration scientists' estimate of 5,000 barrels, the government stuck with that number through May 27, despite estimates from outside experts suggesting a much higher figure, the report said.

The panel's staff wrote that in some cases, nongovernment scientists relied on more refined or better-established methodologies.

"It is possible that the early official flow estimates would have been more accurate if the government had either enlisted greater in-house scientific expertise, or enlisted outside scientific expertise by making available the data on which government estimates were based," the report said. "The government appears to have taken an overly casual approach to the calculation and release of the 5,000 barrels a day estimate -- which as the only official estimate for most of May, took on great importance," the report said.

Soon after the spill, the Minerals Management Service and BP reported a worst-case estimate of 162,000 barrels, but that was replaced by another estimate received by the Coast Guard and NOAA of 64,000 to 110,000 barrels per day. The actual figure turned out to be about 62,000 barrels per day.

According to the report, NOAA wanted to make public some of its worst-case models and requested approval from the Office of Management and Budget. That request was denied.

On Thursday, NOAA Administrator Jane Lubchenco challenged some of the working paper's assertions, saying the commission staff erroneously equated NOAA's worst-case scenarios with projections of flow rates. The two were different, she said in a letter to the commission.

Lubchenco also said the early flow-rate estimates did not hamper the government response, and that there was no unwarranted delay or squelching of NOAA's information by the Office of Management and Budget.

"The worst-case scenario models and documents had nothing to do with calculation of the flow rate, but they did help inform the Unified Command's preparations for possible eventualities," her letter said. "And the worst-case scenario paper was made public."

A member of the government team assembled to address the gulf between official and independent flow-rate estimates told CNN, "We were never pressured [by the government] that we should change our [flow rate] number."

Ira Leifer blamed the initially low oil flow-rate estimates on the poor quality of data the group of scientists had from BP. Better video and data led to the rise in the daily oil spill estimate, he said.

The report also faulted the government's tracking of the spill. It said a White House official in August claimed 75 percent of the oil was "gone." But the response team could not support that claim, panel staffers wrote.

That information was never meant "to be a precise tool," and the administration should not have used it as a scientific report, they said. "It did not attempt to quantify biodegradation, or the exact amounts of remaining, dissolved, and dispersed oil, which were not the targets of response action."

Further, it said, the government's failure to account for the stages of biodegradation increased public confusion of how much oil was actually "gone."

The federal government later Wednesday said it acted appropriately with regard to spill estimates and the cleanup.

"As for the predictions about the spill flow rate, senior government officials were clear with the public what the worst-case flow rate could be: in early May, [Interior] Secretary [Ken] Salazar and Admiral Thad Allen told the American people [in media interviews] that the worst case scenario could be more than 100,000 barrels a day," said a statement from OMB Acting Director Jeffrey Zients and Lubchenco of NOAA.

"The federal government response was full force and immediate, and the response focused on state and local plans and evolved when needed," the statement continued. "As directed by the President, the response was based on science, even when that pitted us against BP or state and local officials, and the response pushed BP every step of the way. Finally, and most importantly, the response provided results for the people of the Gulf Coast."

Regarding the flow and recovery of the spilled oil, Zients and Lubchenco said responders worked with best known information at the time and later came up with improved analysis.

"The facts bear out that the federal response significantly mitigated the impact of the spill," they said.

The report can be read online at http://www.oilspillcommission.gov/document/amount-and-fate-oil

CNN's Phil Gast contributed to this story.

@highlight

NOAA official calls aspects of critical report incorrect

@highlight

Gibbs says the government made public all information it had throughout the crisis

@highlight

Preliminary report indicates the White House ordered worst-case figures withheld

@highlight

The April 20 explosion claimed 11 lives, resulted in millions of barrels of oil going into Gulf