(CNN) -- Sheikh Dr. Tahir ul-Qadri: At a news conference in London, England, on Tuesday, the renowned Islamic scholar issued a fatwa -- a religious ruling -- condemning suicide bombers as destined for hell, removing extremists' certainty of earning paradise after death.

The 600-page fatwa is arguably the most comprehensive theological refutation of Islamist terrorism to date. Qadri said his aim was to set an important precedent that might allow other scholars to similarly condemn the ideas behind terrorism.

London's The Independent newspaper reports that the imam told fellow Muslims: "Terrorism is terrorism, violence is violence and it has no place in Islamic teaching and no justification can be provided for it, or any kind of excuses of ifs and buts. The world needs an absolute, unconditional, unqualified and total condemnation of terrorism."

According to his online biography, Qadri was born in Pakistan in 1951 and was raised believing that he would become a religious leader, "since his birth had been foretold through a spiritual dream to his father." The former law professor says he has written some 1,000 books, 360 of which are already in print.

The Independent: Sheikh issues fatwa against all terrorists

Minhaj-ul-Quran: Profile of Dr. Qadri

Diane Ravitch: The influential education historian, who served as assistant secretary of education under President George H. W. Bush, "is in the final stages of an astonishing, slow motion about-face on almost every stand she once took on American schooling," reports Sam Dillon in today's New York Times.

He writes that Ravitch is now criticizing approaches she once supported -- standardized testing, charter schools and free markets to improve schools -- as fads that undermine public education. She is critical of No Child Left Behind legislation, saying it pushes essential subjects from classrooms. The Times reports that she addressed a meeting of school superintendents last month in Phoenix, Arizona, and pointed to the standards set by such countries as Finland and Japan.

She said, "They make sure that all their students study the arts, history, literature, geography, civics, foreign languages, the sciences and other subjects. They do this because this is the way to ensure good education. We're on the wrong track."

New York Times: Scholar's school reform U-turn shakes up debate

Jaime Escalante: The 80-year-old former Los Angeles, California, math teacher is fighting cancer, and KTLA-TV reports that his family members say they don't have the money to pay all of his medical bills.

The 1988 movie "Stand and Deliver" tells Escalante's inspirational story: When some call his students at Garfield High School in East Los Angeles "unteachable," Escalante decides to teach them calculus. When all of his students pass a national advanced placement calculus exam, the testing company questions their high scores and invalidates some of them. When Escalante protests and his students take the test again -- with one day of preparation -- they pass. True story.

Actor Edward James Olmos portrayed Escalante, known affectionately as "Kimo" in the movie, and now he's raising money for him. On his Web site, Olmos writes, "The genius that he awakened in the 'unteachable' commanded the attention of the entire world. It caused countless educators to reconsider what their students might really be capable of if, like Kimo, they could awaken the 'ganas' [desire] in them. Jaime didn't just teach math. Like all great teachers, he changed lives. Gang members became aerospace engineers. Kids who had spent their youth convinced their lives didn't matter discovered they were leaders."

KTLA: 'Stand and Deliver' teacher battling cancer

Web site of Edward James Olmos

Nick Schuyler: On March 2, 2009, the former University of South Florida football player was rescued by the Coast Guard from his overturned boat in the Gulf of Mexico. He had gone fishing on two days before with another former South Florida football player, Will Bleakley, 25, and NFL players Marquis Cooper, 26, and Corey Smith, 29. Some 70 miles from shore, the boat flipped over. The men tried to support and save each other.

In a book released this week, "Not Without Hope," written with New York Times sportswriter Jere Longman, Schuyler tells the harrowing story: "We began to huddle together, cuddling almost, trying to stay warm as the night went on. I thought for a moment that it was weird, four grown men clustered together like puppies or kittens, but it was necessary if we were going to maintain any body heat. I could feel everybody shivering and hear their teeth chattering. Once, when it was quiet, knowing how desperate our situation was, I said, 'I love you guys.'"

All three of Schulyer's companions -- after fighting hypothermia and hallucinations -- died, but he writes that they all fought to stay alive.

St. Petersburg Times: Lone survivor of doomed fishing trip tells all

Irene Folstrom: "Tiger Woods was my boyfriend for a year and a half while we were both undergraduates at Stanford. I've never spoken to the press about him; I'm not coming forward now for money or to advance any pathetic showbiz aspirations, but merely to stick up for a friend." So writes Folstrom in a Sports Illustrated Golf Group exclusive essay. "This may surprise some people, but Tiger was a great boyfriend."

She notes that she hasn't seen Woods since the late '90s, but she remembers his "amazing metabolism" and all the time they spent eating together. Folstrom, 35, grew up on an Indian reservation in Minnesota and is an advocate for Native American causes. She was the first person in her family to earn a college degree.

"Our relationship ended when Tiger turned pro after his sophomore year," she writes, "I wasn't willing to give up my studies to follow him. Like everyone else, I was shocked by the revelations about his infidelities. The Tiger I knew was loyal, devoted and self-­controlled." Folstrom also says that she and Woods "enjoyed a normal sexual relationship."

Golf.com: Tiger's college girlfriend speaks out

What makes a person intriguing?

There are people who enter the news cycle every day because their actions or decisions are new, important or different. Others are in the news because they are the ones those decisions affect. And there are a number of people who are so famous or controversial that anything they say or do becomes news.

Some of these people do what we expect of them: They run for office, pass legislation, start a business, get hired or fired, commit a crime, make an arrest, get in accidents, hit a home run, overthrow a government, fight wars, sue an opponent, put out fires, prepare for hurricanes and cavort with people other than their spouses. They do make news, but the action is usually more important than who is involved in the story.

But every day, there are a number of people who become fascinating to us -- by virtue of their character, how they reached their decision, how they behaved under pressure or because of the remarkable circumstances surrounding the event they are involved in.

They arouse our curiosity. We hear about them and want to know more. What they have done or said stimulates conversations across the country. At times, there is even a mystery about them. What they have done may be unique, heroic, cowardly or ghastly, but they capture our imaginations. We want to know what makes them tick, why they believe what they do, and why they did what they did. They intrigue us.

@highlight

Renowned Muslim scholar condemns all terrorism

@highlight

Education historian changes mind, says No Child Left Behind is wrong approach

@highlight

Tiger Woods' college girlfriend remembers him as "loyal, devoted and self-­controlled"