(CNN) -- Despite the progress made toward gender equality, there remains this fact: Women still hold fewer leadership positions in government and industry, and men still face a social stigma if they stay home, as Facebook COO Sheryl Sandberg writes in her much-discussed book, "Lean In: Women, Work and the Will to Lead."

Sandberg talks about the need for women to "lean in" to greater leadership roles at work and insist on equal partnerships at home.

We wanted to know what "leaning in" looks like in practice. CNN invited families to share their successes and struggles at balancing work and family. Can women -- or for that matter, anyone -- be high-fliers at home and work? And if so, how does it work?

What it means to "lean in"

While arrangements differed, there was a common refrain: You can't go it alone, there's no right path and we need to stop judging each other's choices.

'It boils down to removing the stereotypes'

"In our household, there are no traditional roles," wrote Aisha Houser, a human resources specialist and mother of three in Huber Heights, Ohio. She and her husband both work full-time, and he also goes to school at night.

Houser puts in longer hours most days so she can have every other Monday off for appointments. They keep their children -- ages 7, 5 and 20 months -- on a strict routine during the week.

Working women, know your value

Above all, she said, "husbands need to understand that they will have to clean, wash clothes, cook, dress the kids or whatever needs to be done. ... It boils down to removing the stereotypes of the traditional family."

Won't work 'if it means paying someone to raise our kids'

Kelly Moening works as a federal law-enforcement agent, a job she wanted from the time she was a little girl. While she's investigating criminal activities, her husband is taking their daughter to ballet, helping their son with his homework, preparing dinner and doing the laundry.

He stays home with their three children, ages 6, 3 and 1. Trained as a lawyer, he has never found a job that earned enough to support their family. As much as he wants to work, he doesn't want to do it "if it means paying someone else to raise our kids," Moening said.

Professionally, "I am a better agent because he stays home. I couldn't do this job full time as a mother to three little ones, if he didn't handle everything else," Moening said.

Confessions of a busy mom: 5 lessons

Moening's own parents both worked and her mother was the primary breadwinner. They raised her to associate happiness with a great job, not motherhood. Yet as proud as she feels about being a special agent, Moening would quit her job and retire at 35 if her husband found a job that paid as much as hers.

"Deep down, no matter how much opportunity is afforded me, I'm a mom through and through," she said. "I have a fantastic job, no doubt. But I truly feel I would be more personally satisfied by not missing a moment of my kids' childhoods."

'Life is a team effort'

One of 10 children, David J. Hopper was raised in a traditional household. His father worked as a meat cutter and never washed a dish. Every night he sat in his place at the end of the table and was always served first.

Hopper met his wife-to-be, Dawn, in 1999. He had two young children at the time and a job at an architectural firm that required he work up to 60 hours a week. All the day care pickups, cooking and housework fell to Dawn, who was also in graduate school working on her doctorate.

Opinion: Why women trash each other

Things came to a head when Hopper's son was diagnosed with a developmental delay and needed extra care. Dawn was pregnant at the time, and it was too much for her to handle everything. He decided to quit his job and build his own practice.

The balance shifted.

"Now I was home, running my business from the basement. Now I picked up the kids from school, tidied the house, did all the laundry and when she came home, she did the cooking."

Looking back, it was a "slow change." But he realizes now Dawn "wouldn't be very happy without a career, and I wouldn't be very happy without that wife. In a way I'm married to her career, too."

'The boys know they can always count on me'

"Parenting is hard, and it DOES take a village. Sometimes a village and a neighboring village, " wrote Amy Lawson, a divorced mom of two boys in Gainesville, Florida.

She works as an administrator in an OB/GYN office and maintains blogs about motherhood and social media marketing.

Though technically she is a single mom, Lawson often feels the need to add the disclaimer that her ex-husband is very involved with their children, of whom they share custody.

Opinion: Sandberg left single mothers behind

She said too many women have bought into the notion they need to "bring home the bacon, fry it up in a pan, and never let their man forget he's their man," to paraphrase the song used in the 1980s commercial for Enjoli, "the 8-hour perfume."

"There are times I ruminate on why I'm not the kind of mom that can stay home and make homemade hummus with organically grown crinkle cut cucumbers, then I stop thinking about that because there is laundry to be done, hugs to give, dinner to cook, homework to check and inevitably something to pull out of the dog's mouth," she wrote.

"Homemade hummus or not, the boys know they can always count on me and their dad, and their extended family, and that is my version of 'having it all.'"

'It is hardly ever perfect'

"I used to be ashamed of the number of before- and after-care providers I employed," wrote Rebecca Giannelli, a mother of three and a registration coordinator for a large physician group in Illinois. Her husband has a job in the local public works department.

They have three children, ages 2, 4 and 9. The traditional male and female roles are "out the window" in her house, she said. Her husband picks up the kids in the afternoon, gives them a snack, cleans up, starts the laundry and gets dinner going. They share homework and bath time. She schedules medical appointments, pays the bills and organizes the birthday parties.

Though it often feels like they're getting through the day "by the skin of our teeth," she said she looks to her children for guidance.

"They are brave and resilient and go with the flow," she wrote. "You will not find a high maintenance child at my address. Food? Check. Semi-dry clothes? Check. A brother or sister to play with or annoy? They are happy."

'I choose sanity'

Web developer Janice Gervais wasn't expecting to actually want to stay home with her two daughters.

But that's not an option. The family needs her steady paycheck and the health insurance that comes with it. The kids are in day care most of the week.

At work, she said, "leaning in" to bigger opportunities -- as Facebook's Sandberg advises women -- doesn't feel realistic, either.

"I just don't have the mental ability to put in 10 hours of work a day and additional work on the weekends, which seems to be the unspoken requirement ... in order to receive promotions in a typical work environment, and then coming home and cook dinner, clean up, and give my children my 100% attention."

The myth of balancing motherhood and a successful career

She said she gets through each day by "choosing sanity" and not comparing herself to other families.

"My house is a war zone and guests know to call before they come over. Pursuing a higher career is on hold so the spare time I do get is spent with my kids. Their clothes are stained, their hair is a mess, their outfits don't match, but my sanity is still mostly intact. I just feel fortunate that I have the things I have, because so many others have far less."

'Stop second guessing'

Jennifer Reilly left a job as a senior executive with the New York Yankees to spend more time with her family. It was her dream job, but she was often gone from 8 a.m. to 10:30 p.m., working seven days a week. Her children were in seventh and tenth grades at the time.

Open Mic: What's holding women back?

Her lawyer husband had scaled back his practice to be at home for the kids after school. When she left the Yankees, they swapped; she started her own consulting business, he went back to a law firm. She plans to return to a more demanding job when her youngest leaves for college in a couple of years.

"The biggest mistake women make -- those that choose to stay at home and those that work and have others help with their kids -- is they think too much! Stop second guessing and move on with the decision you have made. ... I have dear friends that are literally running the world, and others that have been home for 20 plus years -- thank goodness you had the choices you had!"

Opinion: Working moms, don't try to be perfect at home

@highlight

Facebook COO Sheryl Sandberg says women should "lean in" to leadership

@highlight

Families around the country share their struggles and successes

@highlight

Go to CNN iReport to add your story about making work and family work