(CNN) -- Let's be clear: Israel's latest operation in Gaza is not about security. Cease-fires between Hamas-ruled Gaza and Israel have brought security for months on end and there is ample evidence to show that Israel is largely responsible for truce breakdowns.

Israel decided to escalate the conflict last Wednesday with its assassination of Hamas leader Ahmed al-Ja'abari despite a truce that had been observed by all Palestinian factions during the previous two days.

Read more on CNNArabic

And even though they knew that al-Ja'abari had just received a proposal for a permanent truce agreement with Israel, as revealed in Haaretz.

Some analysts have tied Israel's latest operation to the forthcoming elections, a way of cementing victory for Benjamin Netanyahu.

Previous prime ministers have tried it, and failed. Netanyahu had previously avoided such operations but he seems to have succumbed, although events can spiral out of his control, as Hamas hits near Tel Aviv and Jerusalem have shown.

But at the end of the day, the loss of Palestinian lives will far exceed that of Israelis.

During Israel's last major operation against Gaza, the devastating three-week assault it launched on December 27, 2008 despite a cease-fire that had held for months, nearly 1,400 Palestinians were killed and thousands injured, compared to 13 Israelis (four from friendly fire.)

In the present attacks, more than 100 Palestinians and three Israelis have been killed so far.

CNN Poll: 57% of Americans say Israeli attacks in Gaza are justified

The loss of life in armed conflict is always tragic, and much more so when those lives could have been spared by a cease-fire.

What is particularly heartbreaking about the population in Gaza, against the backdrop of broader Palestinian dispossession, is that they have nowhere to run.

CNN iReport: Share your images but stay safe.

Israel's blockade is now into its seventh year, while the new Egyptian government has not yet significantly opened Gaza's only non-Israeli border crossing at Rafah.

There are arguably two other factors behind Israel's new operation. One is deterrence, as Gabi Siboni, an Israeli colonel emphasized in The New York Times: "Deterrence has to be maintained. It was only a question of time until this moment arrived."

Put differently, Israel will ignore any cease-fire at will. Blogger Jerry Haber recalls his conversation with an Israeli military expert shortly after Operation Cast Lead who said that Israel deliberately provoked Hamas rocket fire so it could do a little "spring cleaning" and deplete Hamas's weapons.

He said this happened every few years. And here we are, four years on.

The second reason for the attacks on Gaza is that Israel may be testing the boundaries of the changes brought about by the Arab uprisings to see just how far it can push the U.S., Egypt, and the Palestinian leadership.

Read related: How Middle East has changed since last Gaza conflict

There is clearly no change from the U.S., whose spokespersons unquestioningly supported Israel's right to "self-defense."

By contrast, Egypt's Mohammed Morsi unreservedly condemned the attack, sending his prime minister and other officials to Gaza to effectively serve as human shields: An Israeli attack on the officials would have meant a real rupture with Egypt.

The signals from the Palestinian Authority (PA) have been mixed. PA security forces have brutally cracked down on some of the demonstrations protesting Israel's assault on Gaza as part of their security coordination with Israel.

At the same time, PA head Mahmoud Abbas has been urging Arab and international action to bring about an end to the fighting and speaking of reconciliation between Fatah and Hamas.

With the impending bid to upgrade the status of the Palestinian territories at the United Nations to that of non-member observer state, the PA and the Palestine Liberation Organization (PLO) cannot abandon Gaza to its fate.

This is a sharp reversal of PLO behavior during Operation Cast Lead in 2009, when it resisted attempts to bring about an immediate cease-fire so as to please the U.S. -- so much so that the then-president of the U.N. General Assembly, the Nicaraguan priest Father Miguel d'Escoto Brockmann, effectively accused them of complicity though without naming names.

Read latest: Reports from CNN on the ground in the Gaza-Israel conflict

Four years on, the PLO/PA has little faith in the U.S. commitment to a two-state solution and none in Israel's. In any case, the PLO/PA cannot afford to be seen to be less pro-Palestinian than Egypt.

Even the U.S. may not be able to completely ignore Arab sentiments in an era of disappearing dictatorships.

What is needed now is an immediate cease-fire, pushed by Palestinian and Arab leaders and supported by the international community, whether Israel wants it or not. It is imperative to end the bloodshed now, and then work for a just peace that will end it for all time.

@highlight

Palestinian political analyst: "Israel largely responsible for truce breakdowns [with Gaza]"

@highlight

Nadia Hijab: Israel's new operations could be motivated by forthcoming Israeli elections

@highlight

Israel could also be looking to maintain a deterrence, says Hijab

@highlight

"What is needed now is an immediate cease-fire," Hijab says