(CNN) -- While forecasters predicted cooler days ahead for some of the United States, millions endured sizzling temperatures Saturday, with St. Louis marking its 10th consecutive day of 100 degrees and higher.

A cold front was expected to bring much-needed relief in communities baking in a lingering heat wave.

The front was to move across the Upper Midwest and Great Lakes on Saturday, and into Ohio and the northeast the following day, bringing significantly cooler air, according to the National Weather Service. An excessive heat warning ended in the Chicago area.

Despite the cold front, temperatures could remain high until Sunday. The heat wave has left scores dead and hundreds of thousands without power.

Saturday's high of 107 in St. Louis broke a 103-degree mark set in 1936, said Butch Dye, hydrometeorologist technician for the National Weather Service.

But conditions were expected to improve somewhat Sunday, with a high in the lower to mid-90s. Monday's expected 89 will match the normal high, said Dye.

Temperatures topped 100 degrees Saturday in a swath stretching from south-central Iowa to the Chicago area to Louisville, Kentucky, to Virginia, the weather service said.

Saturday's highs included 106 in Louisville; 105 in Lexington, Kentucky; 104 in Richmond, Virginia; 104 in Nashville, Tennessee; and 101 in Reading, Pennsylvania.

A 4-month-old girl in Greenfield, Indiana, died after being left in a car for an "extended period of time," police Chief John Jester said. While it wasn't clear how hot it had been inside the car, temperatures in that community of 20,000 people reached 103 degrees.

The baby's grandfather found the young girl and rushed her to the hospital, where she was pronounced dead. Her father, Joshua Stryzinski, was later arrested and charged with neglect of a dependent, resulting in death. Jester said that charge may change after detectives meet with prosecutors.

About 25 miles northwest in the town of Fishers, Meg E. Trueblood was arrested for felony neglect of a dependent after her 16-month-old unattended daughter was pulled from a car at a shopping center, police said.

The toddler was rushed to the hospital in critical condition, said police spokesman Tom Weger. The temperature inside the vehicle was 124 degrees, said Weger, adding the baby was inside it for about one hour. An officer broke a window to reach the little girl.

Fishers is just northeast of Indianapolis, where the thermometer hit 105 degrees.

The heat wave is leaving a significant mark: Nationwide, there have been more than 4,500 daily record highs in the last 30 days, according to the National Climatic Data Center. Also, the heat has brought nearly 240 all-time record highs between June 23 and July 5, CNN meteorologist Alexandra Steele said Saturday.

Triple-digit strategies for staying healthy

Forecasters said the cold front will help bring those numbers down some Sunday -- but at a cost. The front is expected to carry damaging storms, with large hail and strong winds, Steele said.

"It's relief at a price," Steele said.

She predicted a long, hot summer for the country.

"Heat begets heat," Steele said.

In Maryland, 10 heat-related deaths have been counted since Monday, said the state's Department of Health and Mental Hygiene.

All 10 victims were men, and all but two were more than 65 years old -- with the exceptions being between ages 45 and 64 -- the Maryland agency said. Five deaths were in Baltimore, two in Baltimore County, two in Montgomery County and one in Wicomico County, according to the department.

Meanwhile, about 322,000 customers across 12 states and the District of Columbia suffered Saturday in the heat without the benefits of electricity, including power for their air conditioning and for refrigeration to keep their food edible, according to a CNN count Saturday evening.

Because utilities typically define each residential and business account as a customer, the actual number of people affected was not clear.

Many of these people have gone without power for a full week, thanks to strong storms fueled by the heat that barreled east from Indiana to New Jersey. Others have watched more recent but similar storms leave them in the dark.

Gadgets to help you survive a power outage

The hardest-hit state continues to be West Virginia, where about 116,000 customers had no power Saturday.

Residents have been stocking up on ice to try to save food from spoiling in their useless refrigerators to the point that stores have sold out of it, CNN affiliate WSAZ reported.

Roger Harrah said he traveled from county to county, some 60 miles, searching for ice Friday and finally found a store with some.

"I thought I better get some while I can," Harrah said. "I tell you what, it is rough living without ice."

The extreme heat has also damaged roads.

Wisconsin received about 30 reports of roads buckling Thursday, according to transportation officials. Earlier this week, a viral video showed an SUV airborne after hitting a patch of buckled Wisconsin highway. Missouri has also warned drivers to be on the look-out for pavement buckling from heat.

And since June 23, scores of cities have been the hottest they've ever been, on any day ever recorded. That includes 107 in Colorado Springs, 109 in Nashville and 106 in Atlanta. In Washington, the thermometer has gone past 95 degrees for nine straight days -- the longest such streak since modern record-keeping began.

CNN's Michael Martinez, Phil Gast, Maggie Schneider and Monica O'Connor contributed to this report.

@highlight

10 heat-related deaths are reported in Maryland alone

@highlight

An Indiana father is arrested after his baby, who was left in a car, dies

@highlight

There were 322,000 power outages throughout the area Saturday evening

@highlight

A cold front should make temperatures bearable by Monday