(CNN) -- South Sudan, the newest country in the world, is already facing a crisis. With more than 170,000 refugees on its northern border, and hundreds of thousands of people who have returned since independence, the newborn country is struggling.

In July, the U.N. Refugee Agency accompanied South Sudanese supermodel Alek Wek to her native country during the one-year anniversary of its independence. Wek, a refugee herself, has used her celebrity status to raise awareness about refugee issues for more than a decade; last year a partnership between her and UNHCR began to gel.

"I went home for the independence with an open mind and to see how the returnees and refugees were doing," Wek said.

In spite of the jubilee and pride that punctuated the independence festivities, the refugee situation is going from bad to worse. UNHCR is the lead agency managing seven camps on the contentious border between the north and the south.

Torrential rains and complicated terrain are becoming lethal forces for the aid agency as it works to stave off an increasingly alarming situation. At the Yusuf Batil camp in Maban County, where Wek visited last month, 15% of the children are being rushed into acute malnutrition programs. In Upper Nile, nearly half the refugees are children under 11, and this group is suffering the most.

After talking with refugees who had recently arrived in the camp, Wek said, "I can't believe it's been 20 years and people are still fleeing violence."

Wek participated in handing out soap and mosquito nets as part of a widespread health and sanitation program. In spite of these efforts, the camp is seizing from the impact of diseases such as malaria and diarrhea. At a mobile health clinic, many people show signs of malaria, including aid workers.

"I am so impressed by UNHCR staff who live and work side by side with the refugees," Wek said. "It's really remarkable."

All is not bleak though. Wek visited her hometown, Wau, where dozens of children greeted her before she went to see a new returnee village. UNHCR is assisting more than 330,000 South Sudanese who returned home from Khartoum, Sudan, and neighboring countries.

"This step in the process is exciting because it's the end of a long struggle," said Vincent Cochetel, the U.S. representative for UNHCR. "What we work so hard for is for people to be able to go home."

While talking with a mother who was sharing her joy over finally coming home, Wek also learned that programs to help people restart their lives are at risk of being cut because of competing needs in the country.

"I was told that 100 more houses and a school program had to be cut because of the expense of the crisis on the border. I think we as the international community have a social responsibility to help," she said.

The UNHCR's Sudan refugee emergency appeal of $219 million is only 34% met. Concerned about the funding gap, citizens are stepping up to help. Pierre Omidyar, who founded eBay, and his wife, Pam, made a donation of $500,000, with the hope their contribution spurs more.

But even a little goes a long way. A container to transport clean water can literally save a life and just $20 can provide 10 jerrycans for refugees. Similarly, $55 can buy five mosquito nets to protect children from the deadly threat of malaria. For $100, donors can provide kitchen sets for five families, and $345 will provide a family with much needed shelter.

Wek plans to work with UNHCR not only on generating awareness for the emergency but also by helping the agency generate funds to support the returnees and their access to education.

"Education is the key to the future. South Sudanese people are rich like the soil; they just need a little water and they will grow," the beaming supermodel said.

UNHCR is the lead agency on the frontlines of three raging emergencies. With the situations in Syria, Sudan/South Sudan and Mali continuing to worsen, the organization is facing challenges in staffing and funding. In the past six months, the agency has assisted more than 800,000 people who have been forced to escape deadly conflict. The agency is working around the clock to ensure families are safe and receive shelter, water, food and health care.

To help South Sudan, go to UNrefugees.org/Alek.

@highlight

Supermodel Alek Wek traveled to South Sudan with the U.N. Refugee Agency

@highlight

A former refugee, Wek fled a violent civil war in the region more than 20 years ago

@highlight

The newly independent country of South Sudan is facing a refugee crisis

@highlight

Wek helps raise funds for UNHCR education programs serving returning refugees