(WIRED)  -- Microsoft showed off a host of visual and search enhancements to its search engine Bing Wednesday, in hopes that better packaging will help it eat away at Google's online dominance.

"We are neck-to-neck in terms of search quality," said Bing head Satya Nadella. "Why would an end user, if you are neck to neck on search quality, use Bing? That's the question we ask ourselves every day."

The answer the company is betting is a combination of a prettier interface, results informed by what your friends think, and focussing on helping people do things faster, whether that's finding a product review or buying an airline ticket.

Wednesday's announcements includes a new mobile app for Android and the iPhone, that brings some of the design feel of Windows Phone 7 to their competitors' devices, along with some nifty maps, real time bus directions, and an easy way to make beautiful panoramas. You can also easily make reservations via OpenTable and take a virtual tour of a restaurant's interior when a restaurant shows up in map search results.

Microsoft also redesigned its browser-based image search and maps, reducing the latter's reliance on the Silverlight plug-in and instead doing more with the power of modern browsers and HTML5.

Traditional search also got a slight makeover, with visual changes being made to how results are returned for musical artists, destinations and movies, among other types of search.

One particularly good new search result that Microsoft demoed, but which is not yet live, is for movies that are no longer playing in theaters. The Movie page for that movie will, like those for in-theater movies, show you a preview and links to reviews. But it substitutes direct, deep links to places to watch the movie online, including Netflix, for the typical showtime listings.

Bing now has 11.8% of the U.S. search market, a 48% hump growth since Bing replaced Live search in the summer of 2009, according to Nadell. But even better, he said, is that Bing is now gaining adherents, particularly younger users, who like its visual emphasis, use the site regularly and perhaps, most importantly, recommend it to other people.

WIRED: Picture this -- Google chases Bing

Certainly, its rival Google has taken notice of Bing's visual splashiness -- and even disastrously tried to imitate the background images on its famously sparse search home page, only to cut short the trial within hours.

Google also revamped its image search earlier this year, clearly imitating Bing's innovations. While Google's visual search technology still trumps Bing's when it comes to identifying images, Bing's new UI makes it very easy to browse through large images, not just thumbnails.

Perhaps most importantly, Bing now has a partnership with Facebook, and one out of five Bing users are candidates for "instant personalization," since they are logged into Facebook and haven't chosen to opt-out.

What that meant for searchers when the partnership launched in October wasn't much. For instance, if you search for "how to quiet a baby" and one of your friends on Facebook has liked one of the articles that shows up in the search results, you will see their picture next to that result.

But now Bing is going further. When you search for say "Tron", Bing actually looks into what your friends are interested in, finds stories they have liked via little "Like" buttons all over the net, and then inserts that into the top results -- even if that story wouldn't have shown up in Bing's natural search results.

WIRED: Firefox 4 adds Bing to list of search engines

That could turn into a huge advantage for Bing, if over time there is enough information in social networking profiles to really make search better.

"Even if only a small percentage of queries have moments where the social graph informs and improves search results, it's a huge difference," Nadella said, adding that it is only the beginning of using social sites like Facebook to improve search.

Facebook, which sees Google as its biggest rival, is unlikely to share its core user data with Google, which itself is at work on a social add-on to its services.

Overall, Microsoft's emphasis on finding new ways to group information and make doing things easier seems to be stealing a page from its old rival Apple. Design matters. Since Google's design sense heavily relies on minimalism, that leaves lots of room for Microsoft (and its search partner Yahoo) to experiment with alternative, graphics-heavy designs.

Being in second place also lets Microsoft play with new visual approaches to search faster than Google can, as there are fewer users who will get upset when the location of a link moves.

WIRED: Bing will add video, animation to homepage

Microsoft didn't announce anything today on par with Google's recent announcement of "Instant Search," a huge engineering feat that lets users see search results before even finishing typing their query.

But Microsoft showed today they are still in the lucrative search game, even if they aren't making money at it yet, and if you haven't used Bing in recent months, it's definitely worth giving it another test spin. You might like what you see.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2010 Wired.com.

@highlight

Microsoft shows off visual and search enhancements to its search engine Bing

@highlight

Managers hopes better packaging will help it eat away at Google's online dominance

@highlight

"We are neck-to-neck in terms of search quality," says Bing head Satya Nadella