At first, Felisha Archuleta thought her young son's affinity for wearing dresses, primping his hair and playing with Barbies and Bratz dolls indicated he was going through a stage.

But Bobby Montoya's interest in "girl stuff" has not been short-lived: He's grown his hair out and has dressed as a girl when he can for much of his 7 years. Bobby's been "outspoken" about his gender identity, said Archuleta.

The Denver, Colorado, family's recent attempt to sign up Bobby with Girl Scouts, however, left him in tears, his mother said.

A leader said he could not join because of his "boy parts," Archuleta told CNN affiliate 9News.

The Girl Scouts of Colorado has since said it was an "inclusive" organization and "if a child lives life as a girl" he or she is welcome to join. "When a family requests membership for their daughter, we do not require proof of gender, we respect the decisions of families."

Archuleta doesn't label her son, who has been bullied and taunted. "I consider Bobby to be born in the wrong body."

The Colorado case has brought to light questions about labels and the rapidly evolving discussion about gender non-conforming children.

"A person is going to be who they are going to be," said Boston-based family therapist Terry Real. "These children are operating in a hostile environment. As a parent, you are navigating a child in two poles -- authentic to their feelings, the other being on the brunt end of ill treatment."

Despite the uphill battle, psychologists and therapists speak of a "sea change" toward growing acceptance of children who don't meet long-held cultural norms.

And, they point out, families have more resources to learn about gender variance, including websites and peer and support groups.

It can be a complicated discussion, especially when terms like tomgirl, gender fluid or transgender are bandied about.

The terms sex and gender are often used interchangeably, particularly on official forms, but sociologists say they are not the same thing.

Sex refers to biological and physiological characteristics that define men and women. Gender refers to socially constructed roles and behaviors society considers appropriate for men and women.

Gender identity and sexual orientation also are different. Sexual orientation refers to an individual's enduring physical, romantic, and/or emotional attraction to another person, whereas gender identity refers to one's internal sense of being male, female, or something else, according to the American Psychological Association.

Transgender children and adults are "people who are being assigned one gender but affirm that they are the other," said Diane Ehrensaft, a San Francisco Bay Area developmental and clinical psychologist and author of "Gender Born, Gender Made."

There is little consistent advice for parents, because robust data and studies about transgender children are rare. The rates of people who are transgender vary from 1 in 30,000 to 1 in 1,000, depending on various international studies.

Gender non-conforming children who do not receive support from their families are at higher risk for mental health issues, attempted suicide and drug use, said Real, citing research at the Family Acceptance Project.

In some cases, parents should strongly consider working with a gender-sensitive therapist, he said.

"They have experience in helping a child and parent with difficult decisions," Real said. "Things like disclosure, how do you talk about it, do you wear your hair long. ... It is the responsibility of the parent to deal with the needs of this child. There are minute-to-minute questions."

The Family Acceptance Project, based at San Francisco State University, has produced videos to support families of transgender children.

Research has shown  that a high proportion of lesbians, gays and bisexuals are gender non-conforming, said Caitlin Ryan, director of the center. People can be gender non-conforming and heterosexual, she adds.

Ryan said parents of non-conforming children should learn more about neighborhood schools.

"Parents need to find out what the school policies are," Ryan said. "Do the teachers have training? Is the school environment overall supportive?"

But experts also said parents must be prudent.

"In some cultures it may not be safe to send your boy to a school in a dress. You can work with schools," said Ehrensaft. '"Support would be to tell the child it is an unfair world and there may be some places it is not safe to be who you want to be. It is not your fault, it is their fault."

Sarah Hoffman, a writer and activist in the Bay Area, blogs about "parenting a boy who is different."

The writer, who said she uses a pseudonym to protect the safety of her family, said her son, Sam, 9, represents the gender spectrum -- one foot in the masculine world, one foot in the feminine. For that, she said, her son has endured bullying.

Sam sees himself as a boy but has liked tiaras and dresses, Hoffman said. While he has long hair, Sam now usually wears masculine clothes. "He is just a mix," Hoffman told CNN.

"The problem is not our kids," Hoffman said. "The problem is our culture not accepting kids."

Hoffman said some readers have called her a weak parent for letting Sam express himself. Ehrensaft said she has received e-mails from critics telling her to read the Bible and "see God's way."

Ehrensaft and Ryan said they have assisted people who are socially and religiously conservative.

"We help them balance their beliefs with what is happening with their child," said Ryan.

In general, fathers have a harder time accepting gender variance than mothers, experts say. And the culture more often raises eyebrows when a boy dresses as a girl than when a girl looks masculine.

"Girls have more license to express a range of gender presentations until they get into junior high," said Ryan. By then, they are expected to be interested in boys.

The researcher and others stress the importance of parents paying close attention to children showing gender non-conformity.

"They know what feels right to them. They know what clothes they want to wear," Ryan said. "They very clearly know who they are."

Parents need to be careful not to rush to a diagnosis and predict a child's eventual sexual orientation or gender identity, experts said. For example, a child dressed in drag may be depressed and looking for attention -- but not have a gender issue.

"You have to live in a state of not knowing for a while," said Ryan. "They are exploring their gender. The most important thing is to give them space for exploration. If you categorize them at age 3, that could be a big mistake."

Families also should be aware of what may lie ahead, Real said. There could be discussion of delayed puberty and hormone therapy to decrease certain anatomical attributes.

Joel Baum, director of education and training at Gender Spectrum, which promotes an "inclusive environment," said "more and more families are seeing their children express themselves a little differently from what others believe. They are kind of saying, 'I am going to see where this goes.'"

"We don't talk about the damage we do when we don't allow a kid to explore this aspect of self," Baum said.

Not everyone is happy with that approach.

Regina Griggs, executive director of Parents and Friends of Ex-Gays & Gays, a group that works with people who no longer practice gay, lesbian or transgender lifestyles, said of transgender individuals: "If they aren't helped to celebrate their true gender they will be confused."

Gender confusion can be sign of a treatable mental disorder, according to Griggs.

The American Psychiatric Association is reviewing its current definition of gender identity disorder. Whether a person has a disorder is dependent on how much mental distress it causes, according to the World Professional Association for Transgender Health, composed of doctors, psychologists and others professionals. Simply dressing in a non-traditional way does not mean the person has a disorder.

Ehrensaft stressed parents need to become resilient to critics.

"I'm not letting my child do something," parents might state, she says. "I am listening to who my child is."

Felisha Archuleta, who has two older children, said Bobby is still interested in joining the Girl Scouts, but not the same unit he first came in contact with.

The Girl Scouts of Colorado is taking such situations "on a case by case basis," said spokesperson Rachelle Trujillo. "This is a pretty new thing for us."

"I have absolutely heard of many situations of transgender kids who are absolutely living as a girl. Girl Scouts shouldn't be any different for them," she said.

Archuleta said her son doesn't need counseling and does not the dress the way he does because of his environment.

"I know it's going to be a really hard road for Bobby," Archuleta said. "I feel if we are there for him, we will get through it together."

@highlight

A 7-year-old Colorado boy who dresses as a girl wants to join the Girl Scouts

@highlight

He initially met resistance; the scouts now say he is welcome

@highlight

Experts see a sea change in society's thoughts on gender non-conformity

@highlight

They offer resources and advice for parents