CNN justice producer Terry Frieden was part of the first-ever media tour of the U.S. Bureau of Prison's Administrative Maximum prison -- also known as "Supermax." What follows is Frieden's account of his experience.

A file photo of the SuperMax prison taken when the facility opened 13 years ago.

FLORENCE, Colorado (CNN)  -- Visiting Supermax, the "Alcatraz of the Rockies," reveals nothing so much as an astonishing and eerie quiet.

It's not what one would expect of a place that houses 473 notorious terrorists, vicious murderers and violent, disruptive escape-prone inmates brought in from other federal penitentiaries.

I've visited noisy, boisterous state and federal prisons, where inmates scream for a visitor's attention or proclaim their innocence.

But at Supermax -- officially called "Administrative Maximum," or ADX -- everything is very tightly controlled, with nothing left to chance, so there is no particular sense of a threat, no feeling of vulnerability.  View an explainer of Supermax's security »

Corrections officials were blunt in explaining their reason for finally inviting reporters, albeit without cameras, to peek behind the heavy metal gates for the first time since the penitentiary opened 13 years ago.

"This is about dispelling myths and rumors," said Warden Ron Wiley.

Myths that particularly rile prison officials are reports that Supermax, southwest of Colorado Springs, is a dungeon where inmates are cast aside to rot and die, and that the prison is underground, which it obviously is not.  View a map of Supermax's location »

The first hint of the level of control throughout Supermax is the cumbersome, time-consuming security procedures we visitors (already cleared for admittance) were subjected to.

I expect metal detectors these days, but despite possessing my Justice Department-issued photo ID, I still had to be photographed by the Bureau of Prisons, which is part of the Justice Department. Even Bureau of Prisons executives had to display their credentials to guards time and time again.

Prison officials also have been bugged by rumors that the penitentiary was not entirely safe and secure, and that the lack of adequate staffing and a perimeter fence were potential problems to the community.

Bureau officials insist allegations of inadequate security were fueled by corrections labor unions wanting more staffing, but complaints caught the attention of Attorney General Alberto Gonzales and Colorado Sens. Ken Salazar and Wayne Allard, all of whom visited.

In the end, it was agreed that a $10 million perimeter fence wasn't needed.

The handful of journalists allowed in were not allowed to see the headline-grabbing terrorists isolated under specially designed procedures. We didn't get a glimpse of Zacharias Moussaoui, Ramzi Yousef, Richard Reid, Theodore Kaczynski or Terry Nichols. But we've seen them in court, and they're not the guys you'd most fear.

All the attention paid to the few most infamous prisoners distorts the reality of ADX, officials insist.

"They're like the premier players of the NBA. They get all the attention," Wiley complained.

Bureau of Prisons officials stressed that 95 percent of the Supermax prisoners are the most violent, disruptive and escape-prone inmates from other federal prisons, and they were transferred to ADX to help control those other facilities. At ADX, every prisoner has his own 86-square-foot cell.

Despite the brutal nature and violent history of most of the inmates, not a single major assault against a corrections officer has occurred since the first inmates arrived in 1994.

The one-on-one killers who slashed or strangled other inmates, earning a trip to Supermax, are the inmates one would most worry about. Contact with others comes only after the inmates have adhered to a strict program for group recreation. Two inmate-on-inmate homicides have led to even tighter restrictions.

I was allowed to briefly talk at random to a few of the inmates. One man who identified himself as Jack Stancell of South Carolina told me he's doing time because, among other things, he'd stabbed somebody and murdered somebody else. He's been in prison for 33 of his 65 years. He says Supermax is actually better than some places he's been.

"You get used to it," he says without emotion.

As I walk into the outdoor recreation area, it's evident that virtually every possibility in combating the criminal mind has been considered. Large cables are strung above the basketball courts and track for no apparent reason.

"Those are helicopter deterrents," a corrections official explains. "We are not really worried about a chopper escape attempt, but you've got to be prepared."

In the prison library, where inmates most ask for Westerns and romance novels, employees scour pages of returned books just to make sure there's not a message or code that could be passed along to another inmate. Nothing's left to chance.

And apparently so as not to fuel inner terrorist fires, the newspapers from September 11 that will eventually reach the al Qaeda members and sympathizers imprisoned here will be altered. It will be 30 days before they finally have access to the 9/11 papers, and then they will find that all articles dealing with the anniversary or terrorism will have been excised.

It may well take more than a two-hour visit by a handful of reporters to begin erasing myths about Supermax. But it's a start. E-mail to a friend

@highlight

Officials allowed reporters to tour "Supermax" prison to dispel myths

@highlight

Zacharias Moussaoui, Richard Reid and Theodore Kaczynski held there

@highlight

Reporter says prison is eerily quiet