(CNN) -- What would you have done?

Last month in Florida, a school bus driver witnessed a vicious assault on a 13-year-old boy. He radioed the bus dispatcher and frantically begged for assistance, as he feared the victim was being seriously injured. But he did not intervene.

While the victim's physical injuries may heal, his psychological trauma will undoubtedly linger, including the harrowing knowledge that no one would help him.

Teens trained to spot drama before it turns dangerous

But before we pile on the driver, let's be clear: The most egregious wrongdoers here are the violent teens. They victimized a boy horribly and wronged the agonized bystanders.

The driver's anguish over his own inaction may be real and palpable, but should he still have done more? Obviously, he wasn't confident enough of his own physical ability to handle several violent teenagers, although he had a special responsibility to protect the children on that bus.

We all want to think that we would disregard our own personal safety to help children, but in a highly charged moment, a bystander is forced to make an instant, possibly haunting judgment about risk and danger.

Violence works both by crushing a victim and by intimidating others. When you're not there, it's easy to dismiss the terror, but for the bystander, it's often a lose-lose proposition. Fail to intervene, and it haunts you; intervene, and you may become the victim. Intervention requires bystanders to overcome the basic self-protective instinct that ensures their own survival, and that's probably why there's no one we admire more than those who disregard their own personal safety to help others.

Teachers' lesson in heroism and healing

Despite that admiration, and despite our sense as adults that we need to protect children, many of us find that we do not, and cannot, intervene as bystanders.

To complicate matters, some violent situations can actually be worsened when a bystander intervenes. My own research (PDF) at the Massachusetts Aggression Reduction Center at Bridgewater State University, and similar studies (PDF) at the Youth Voice Project at Penn State, have found that bystander interventions in bullying episodes frequently backfire. The bully, feeling publicly humiliated, takes revenge against the original victim. Knowing that you might worsen the victim's situation only makes these incidents more frustrating. If an adult shouldn't throw himself in the middle of a physical altercation, what else can he do?

In the Florida situation, there was an immediate danger that required a response but not necessarily significant physical risk. A recent study in the journal Aggressive Behavior found that interveners typically used nonviolent methods. If the school bus company had developed a set of emergency procedures that didn't require high personal jeopardy, perhaps the entire crisis could have been avoided.

Bus drivers can be trained in the use of tools and techniques that can help disable violent teens (e.g., use of pepper spray). Calls to dispatch can be augmented with 911 calls and emergency "panic" buttons. No one likes to consider that such preparations are necessary, and they will cost money, but by thinking ahead and preparing for such scenarios, we might be able to avoid a situation where the choice is simply who will end up with the broken bones.

Interrupting the cycle of teen violence

The opinions expressed in this commentary are solely those of Elizabeth Englander.

@highlight

Florida school bus driver did not help when teen was beaten on bus

@highlight

Elizabeth Englander says before criticizing, place blame on assailants; driver in terrible spot

@highlight

Studies show intervening can backfire; people need alternative to assuming risk, she says

@highlight

Englander: Bus companies should have tools, techniques to disable assailants till help arrives