New York (CNN) -- A 15-year-old girl goes to the clinic in her New York high school -- perhaps confused, perhaps unprepared, perhaps scared that she may become pregnant.

There she might get not only answers but the "morning-after," or Plan B, pill -- and not necessarily with her parent's direct consent.

That can happen thanks to the city's pregnancy-prevention program dubbed Connecting Adolescents To Comprehensive Healthcare, best known by its acronym CATCH. Its aim is to do something about the more than 7,000 girls 17 or younger who get pregnant in New York City annually, with 90% of those pregnancies unplanned, according to the city's health department.

"We are committed to trying new approaches ... to improve a situation that can have negative consequences that last a lifetime," the health department said in a statement.

Study: Teen access to Plan B uneven

The program, which also allows for the distribution of condoms and birth control pills, began in January 2011. But it has gotten more attention of late, with most of it about the Plan B pill. The FDA says the pill can be taken after unprotected sex to prevent pregnancy, either by stopping the release of a female's egg, stopping sperm from fertilizing an egg or preventing a fertilized egg from attaching to the womb. Its purpose is to prevent a pregnancy, not to end one.

Some city dwellers have praised the program, calling it a helpful tool to curb teen pregnancy. Others, though, feel that it is a misguided and possibly dangerous intrusion into the lives of families and the authority of parents.

Mona Davids, the president of the recently formed New York City Parents Union, is firmly in the latter camp. She believes the city's department of education and Mayor Michael Bloomberg "have completely overstepped their bounds" by potentially affecting a child's health without their parents' direct knowledge.

"What you're doing is you're giving a young child, between the age of 14 and 17, a chemical drug and hormonal cocktail without the knowledge of the parent, not knowing the medical history or if that child has any kind of drug allergies," Davids told HLN's "Evening Express," noting teens can't get an aspirin in school "without informed consent" but could get the morning-after pill.

In New York, a person must be 18 or older to buy the pill over the counter. Those younger than 18 must have a prescription.

The program, which began in five schools and recently expanded to 13, is not mandatory. Parents can "opt out" by signing and returning a form to the school. The health department said recently, though, that only 1% to 2% of parents have done so.

Yet Davids, who has a teenage girl and a young boy, said, "Most parents I've spoken to" in schools involved in the program never got a letter from the city's health or education departments, thus never opted out of the program. She's not surprised, claiming that the city school system has long had "very poor outreach to parents."

Still, some city residents -- parents and nonparents alike -- disagree with Davids. At a time when half of teen mothers never graduate high school and 47% of U.S. high schoolers say they are sexually active, according to the Centers for Disease Control and Prevention, they say that the more options teens have, the better.

"Kids are having kids, and that's the end of their education," said Frances Mejias, who said she wishes her daughter's high school had the program. "Once you have a kid, that's the end of it, let's be honest."

Another woman, Holly Macke, said the program was "not good, but it's OK" -- especially if the alternative is a teenager having an illegal and possibly dangerous abortion after getting pregnant.

"I think kids are going to get into trouble, so the least the school can (do is) help them out some," Macke said.

One New Yorker who strongly supports the program -- which, so far, has led to more than 1,100 students receiving birth control pills, including Plan B, according to the health department -- is its mayor.

Asked about the program that went on quietly for an entire school year before receiving media attention, Bloomberg told reporters that the program is "nothing new" and noted it was a pilot program.

He pointed to progress in the city in lowering teen pregnancy rates, which he claims are down 25% in the past decade. But the mayor said lowering those rates even further is important, given the personal and academic costs of teen pregnancy.

"There (are) still an awful lot of girls who get pregnant at a very early age, when history shows its very difficult to raise a child and give the child the care it needs when the parent just is very young and hasn't had the experience of adulthood," Bloomberg said.

Beyond that, the mayor said he was surprised that a program that's been running quietly for nearly two full years was all of a sudden a source of controversy.

"We've been doing this for a long time," he said. "There just isn't any big news story."

@highlight

Fresh attention is focused on New York program aimed at preventing teen pregnancy

@highlight

High school girls can get the "morning-after" pill without their parent's direct consent

@highlight

A parent leader blasts the program and say most parents never got a form to opt out

@highlight

But the mayor and others say such approaches are needed and the program isn't new