The United States and the European Union "stand with the people of Ukraine" in their fight for the right to choose alliances with countries other than Russia, U.S. Secretary of State John Kerry said Saturday.

His comments come after a week of political tumult in which Ukraine's Prime Minister and Cabinet have resigned, a controversial anti-protest law has been repealed and the President has signed off on a contested amnesty bill for anti-government protesters.

"Nowhere is the fight for a democratic, European future more important today than in Ukraine," said Kerry, speaking at the Munich Security Conference in Germany.

"While there are unsavory elements in any chaotic situation, the vast majority of Ukrainians want to live freely in a safe, prosperous country. They are fighting for the right to associate with partners who will help them realize their aspirations -- and they have decided that means their futures do not have to lie with one country alone.

"The United States and EU stand with the people of Ukraine in that fight."

The protesters have been in Kiev's Independence Square, or Maidan, since November, when President Viktor Yanukovych reversed a decision to sign a long-awaited trade deal with the European Union and turned instead toward Russia.

The government's attempts to crack down on protests appear only to have strengthened the opposition's resolve. Violent confrontations flared after the anti-protest law was signed two weeks ago, followed by an uneasy standoff on the streets as the battle in the political arena has heated up.

Kerry also had a word of advice for Moscow, which has accused Europe of meddling in Ukraine's affairs while denying itself exerting undue influence on Kiev.

"Russia and other countries should not view the European integration of their neighbors as a zero-sum game," Kerry said.

"In fact, the lesson of the last half-century is that we can accomplish much more when the United States, Russia and Europe work together. But make no mistake: We will continue to speak out when our interests or values are undercut by any country in the region."

Kerry added that while U.S. democracy was "a work in progress," he was not going to shy away from calling out "a disturbing trend in too many parts of Central and Eastern Europe and the Balkans" where people's aspirations "are once again being trampled beneath corrupt, oligarchic interests."

After his address, Kerry met with three Ukrainian opposition leaders -- Arseniy Yatsenyuk of the Fatherland party, Vitali Klitschko of the UDAR party and Petro Poroschenko of the "Euromaidan" street protest movement -- the State Department said.

'Time is on our side'

European Council President Herman Van Rompuy also highlighted events in Ukraine as he opened the second day of the conference Saturday.

"Today Ukraine is on all our minds," he said. " As people across the country are taking to the streets, Ukraine's political destiny is still in the balance."

Van Rompuy said he and European Commission President Jose Manuel Barroso had had "a frank exchange" with Putin this week at an EU-Russia summit in Brussels, Belgium.

"We answered his concerns about the impact on Russia of closer economic ties between Ukraine and Europe.  We also pressed the point of the rights of independent countries," he said.

"Whatever the geopolitics, we have offered Ukraine a closer association with the European Union, the countries to its west. Not for free, but upon conditions -- which were close to fulfilled. And not against the great neighboring nation to its east, with which it shares a history and culture.

"The offer is still there. And we know time is on our side. The future of Ukraine belongs with the European Union."

But Russian Foreign Minister Sergey Lavrov presented a rather different take in his remarks to the conference.

"What does incitement of increasingly violent street protests have to do with promoting democracy," he asked. "Why don't we hear condemnation of those who seize and hold government buildings, attack the police, torch the police, use racist and anti-Semitic and Nazi slogans?

He suggested European politicians were encouraging Ukraine actions that they would punish as violations of the law in their own countries.

Lavrov also said the United States and the European Union appeared to be trying to push their own ideas on Ukraine. "Freedom of choice is being imposed, and Russia is not going to engage in this," he said.

Torture claims

Meanwhile, Ukraine's opposition parties continue to call for constitutional reforms to shift power away from the President.

They say the new amnesty bill -- which only comes into force if protesters vacate seized government buildings and unblock roads and squares -- is unacceptable.

Yanukovych, who has been out on sick leave since Thursday, has resisted calls for him to stand down and defended the government's handling of the political crisis.

On Friday, Western leaders voiced growing concern over reports of the kidnap and torture of opposition activists in Ukraine.

One, the visibly battered Dmytro Bulatov, reappeared Thursday, more than a week after he went missing. He told reporters he'd been kidnapped and tortured by his captors -- who, he claimed, "crucified me" by piercing his hands -- before being dumped in a forest.

Both EU foreign policy chief Catherine Ashton and White House press secretary Jay Carney condemned his cruel treatment.

"We are deeply concerned by increasing reports of protesters disappearing and being beaten and tortured, as well as by attacks on journalists," Carney said. "It is especially concerning that some of these reports have suggested the involvement of security forces."

Ukraine's Interior Ministry has said it is investigating what happened to Bulatov.

Ukraine, a former Soviet republic, is home to 45 million people. The clashes earlier this month were an escalation of weeks of largely peaceful public protests prompted by Yanukovych's decision in November to spurn a planned trade deal with the European Union and turn toward Russia.

He and Putin agreed on a $15 billion deal for Russia to buy Ukrainian debt and slash the price of natural gas.

@highlight

U.S. Secretary of State John Kerry meets with senior Ukrainian opposition leaders

@highlight

Kerry: Nowhere is the fight for a democratic, European future more important than in Ukraine

@highlight

Russia's Sergey Lavrov questions Western support of anti-government protesters

@highlight

European Council chief says he had "frank exchange" with Russia's Vladimir Putin