(CNN)If you think "my teen would never sext," you might be mistaken.

And if you think the only teens who sext are the ones engaging in high-risk behaviors, like drinking, using drugs or skipping school, keep reading.

Two recent studies suggest that sexting is more common than many parents might realize or want to admit.

More than half the undergraduate students who took part in an anonymous online survey said they sexted when they were teenagers, according to the study by Drexel University, which was published in June by the Journal of Sexuality Research and Social Policy.

Nearly 30% said they included photos in their sexts, and an astonishing 61% did not know that sending nude photos via text could be considered child pornography.

Another study, this one by the University of Texas Medical Branch at Galveston, found that while students who admitted sexting were 32% more likely to report having sex the next year, sexting by teenagers was not linked to risky sexual behavior over time.

The study, published in the journal Pediatrics in October, found that teens who sexted were not more likely to have multiple sexual partners, use drugs or alcohol before sex or not use birth control.

Sexting may be the new "normal' when it comes to adolescent sexual behavior, the study concluded.

"There are now a few pieces of research, which are sort of converging on the same finding, namely that this is not a rare behavior," said Elizabeth Englander, a professor of psychology at Bridgewater State University and director of the Massachusetts Aggression Reduction Center.

"I'm not saying that it's healthy or that it's harmless, but it's not a situation where kids who are depressed are doing this or kids who have very bad self-esteem are doing it," said Englander, who researched sexting, as well as a host of other teenager behaviors, for her recent book "Bullying and Cyberbullying."

"It appears to be widespread. It's engaged in by many kids who are functioning well and not having problems and it's not very unusual or rare."

OPINION: What's the big deal about sexting?

Diana Graber, who teaches "cybercivics" to middle schoolers in Aliso Viejo, California, was blown away by the response she got recently from eighth graders when she, for the first time, included a session on sexting.

When she asked her students if they knew what a sext was, everyone in the class said they did, but what they didn't know was what the penalties for sending a sext could be, including how it could be prosecuted as a felony under child pornography laws in some states.

"They had no idea what the consequences were," said Graber, co-founder of CyberWise.org, a digital literacy site for parents, educators, and tweens and teens. "I mean that was a complete surprise to literally all 28 kids, so it occurred to me that no one's ever bothered to tell these kids they couldn't do that."

Graber said she experienced another first that day. A few students wanted to hang around after the class, which is held at the end of the school day, to talk more about sexting and related things.

"That's never happened to me before with this class ... and I realized that I had created a safe space for them to talk about something that was super relevant to their lives."

She now plans to make it part of her "cybercivics" curriculum, and believes parents and educators need to be talking to kids at even younger ages about sexting. It should be part of sex education, she said.

"We know that throwing the book at them, it's too much too late, so that's not working," said Graber, who offers tips for parents on how to help children have safe online relationships.

"It's very normal teenage behavior ... and we need to get with the times and get ahead of the problem, and just have these very easy to have discussions."

Englander, the psychology professor and researcher, says in her experience, it's not that adults aren't warning teens about the criminal consequences for underage sexting or how devastating it could be to a teen if their nude photo became public.

The problem, she says, is kids don't hear the warnings because the reality doesn't fit them.

In a recent online article, she used an example of telling someone to use a seat belt because half the car rides in the country result in someone going through the windshield. Since half of car rides don't result in someone going through the windshield, a person might not listen to that warning, she says.

"If you want to convince somebody that something is a danger, you have to convince them that you know what you're talking about, " said Englander. "So you can't say to kids 'Oh, you are going to go to jail if you sext.' It's not 100% impossible but even in the early cases of sexting, when (law enforcement) did prosecute kids, they didn't go to jail."

"People have a hard time with this. It's not that I'm saying we shouldn't teach kids that child pornography is a crime. It is a crime, but if we emphasize that that's the big danger then we've lost our audience."

Englander said what she is most troubled by is not how widespread sexting might be but how teens feel after they sext, especially if they felt pressured to do it.

In her own research, she said she found that 92% of the teens who said they were not pressured to sext reported no problems afterward, but that number is only 68% for teens who felt pressured into doing it.

"They felt crummy afterwards," said Englander. "That was actually the most common result, that they just felt worse."

Lori Cunningham, founder of Well Connected Mom, a site specializing in simplifying technology for families, said parents need to remind their children about their own self-worth.

"And that no matter how tempting it is to want to be 'liked' by someone, they are worth more than degrading themselves for someone else's enjoyment," said Cunningham, a mom of two in Los Angeles. "If parents aren't having this conversation, their kids could be going through some tremendous pressure."

Cunningham also says parents need to be actively involved in their children's online lives. In a new eBook, she outlines the points parents should go over with their child when they get a phone, including setting up a contract so they understand their phone will be monitored.

"Phones are a privilege, not a right. They should only be given to kids with the expectation that mom or dad will be checking it on a daily basis."

What all the experts believe is that parents and educators should be talking to kids about obeying the law, protecting their privacy and reputation, and respecting everyone's right to keep their bodies private, but also their own values about the issue.

"Your kids can go into these things knowing absolutely nothing, having no idea of what you think is right or wrong, having no idea of the facts or you can talk to them about it. Those are the only two choices," said Englander. "I don't think in today's world you can assume that they're never going to run across sexting, they're never going to see it, they're never going to know it happens."

"That's a big assumption to make."

What do you think is the best way to talk to teens about sexting? Tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

Sexting is more common than parents might realize, according to recent studies

@highlight

Study: More than 50% of college students say they sexted as teens

@highlight

Sexting is not linked to high risk behavior over time, according to another study

@highlight

"We need to get with the times and get ahead of the problem," says CyberWise.org co-founder