(CNN) -- The American Academy of Pediatrics on Monday called for an overhaul of the 35-year-old federal law governing toxic chemicals in the environment, saying it fails to safeguard children and pregnant women.

"It is widely recognized to have been ineffective in protecting children, pregnant women and the general population from hazardous chemicals in the marketplace," the academy said in a policy statement that will be published in the May issue of the journal Pediatrics.

The American Medical Association, the American Public Health Association and the American Nurses Association have previously called for changes in the Toxic Substance Control Act.

Toxic chemicals finding their way into the womb

Among the American Academy of Pediatrics recommendations:

-- The consequences of chemical use on children and their families should be "a core component" of the new chemical policy.

-- Chemicals should meet standards similar to those required for new drugs or pesticides.

-- Decisions to ban chemicals should be based on reasonable levels of concern, rather than demonstrated harm.

-- The health effects of chemicals should be monitored after they are on the market, and the U.S. Environmental Protection Agency should have the authority to remove a chemical from the market if it's deemed dangerous.

Since the Toxic Substances Control Act took effect in 1976, the EPA has tested only 200 of the 80,000 chemicals in commerce and regulated just five.

"Right now, a company manufactures a chemical and puts it out on the market and reaps the economic reward," said Dr. Jerome Paulson, lead author of the policy statement. "And then the public is responsible for trying to figure out if there is any harm associated with the use of that chemical. And then it's almost a criminal procedure, requiring proof beyond a reasonable doubt."

5 toxics that are everywhere:Protect yourself

Democratic Sen. Frank Lautenberg of New Jersey this month introduced the Safe Chemicals Act of 2011. The law would require chemical manufacturers to demonstrate the safety of industrial chemicals used in everyday household products.

The American Chemical Council, the industry trade group, acknowledges the 1976 act needs to be updated.

"We agree that the Toxic Substances Control Act needs to be modernized to further ensure the safe use of chemicals and the innovation of new products," Scott Jensen of the American Chemical Council wrote in a statement to CNN.

"Chemicals should be safe for their intended use and potential risks faced by children should be an important factor in safe use determinations," he added.

Children face special risks because they eat, drink and breathe more pound for pound than adults, and they spend more time on the floor or the ground than adults, a possible source of exposure, the American Academy of Pediatrics pointed out in its policy statement

Also, the pediatricians' organization noted, exposure to toxic chemicals in the environment can hurt fertility. For example, one study found women exposed to higher levels of the flame retardant polybrominated diphenyl ether took significantly longer to get pregnant.

As part of its policy statement, the American Academy of Pediatrics recommended its 60,000 member pediatricians familiarize themselves with the potential adverse health effects of chemicals in the environment.

The American chemical industry is a $674 billion enterprise, employing 800,000 people, according to the industry group. Chemical manufacturers reported annual production volume of 27 trillion pounds, according to the most recent EPA data available.

@highlight

1976 act on toxic chemicals too weak, doctors group says

@highlight

EPA has tested only 200 of the 80,000 chemicals

@highlight

N.J. senator has introduced tougher measure