Dublin, Ireland (CNN) -- The situation in Syria is accelerating, U.S. Secretary of State Hillary Clinton said Thursday, amid reports that President Bashar al-Assad's government may be preparing to use chemical weapons.

"Events on the ground in Syria are accelerating, and we see that in many different ways. The pressure against the regime in and around Damascus seems to be increasing," Clinton said before meeting with Russia's foreign minister and the U.N. special envoy to Syria.

Chemical weapons were one topic on the table, said Clinton, who met with the leaders while she was in Dublin for an international security conference.

U.S. officials are "very concerned" that al-Assad's forces may use chemical weapons as rebels advance, U.S. Defense Secretary Leon Panetta told reporters in Washington Thursday.

"The intelligence that we have raises serious concerns that this is being considered," he said.

The defense secretary did not provide additional details about the intelligence information.

CNN reported Monday that Syrian forces battling rebels in fierce fighting had started combining chemicals that could be used to make deadly sarin gas for weapons. NBC reported Wednesday night that Syria is loading chemical weapons into bombs. CNN has not confirmed the NBC report.

Read more: Syrian family hides from attacks

Syrian Deputy Foreign Minister Faisal Mekdad rejected the suggestion Thursday. "Syria would never use chemical weapons, even if it had them, against its own people," he told Hezbollah's Al-Manar TV.

He also warned that any foreign intervention against Syria would be "catastrophic" for the entire region.

In Dublin Thursday, U.N. envoy Lakhdar Brahimi said leaders were focused on a peace process to "get Syria back from the brink."

"We have agreed that the situation is bad and we have agreed that we must continue to work together to see how we can find creative ways of bringing this problem under control and hopefully starting to solve it," he told reporters after his meeting with Clinton and Russian Foreign Minister Sergey Lavrov.

Russia has blocked action against al-Assad at the United Nations, but some have speculated that Moscow may be considering a different approach.

On Thursday, a top Russian politician said the Syrian government "is not up to the task" of doing its job and cannot "fulfill its functions," the Interfax news agency reported. Russian State Duma Deputy Speaker Vladimir Vasiliev said Russia wanted to create conditions where security forces inside Syria would take the situation under control, but Russia's "influence with the Syrian leadership has been limited."

The comments from a close ally of President Vladimir Putin came at a time when diplomats say Moscow, which has insisted there should be no "regime change" in Syria, now increasingly doubts that al-Assad can survive in power.

Diplomatic efforts to help end the 21-month conflict, which opposition activists say has claimed more than 42,000 lives, have so far failed.

At least 89 people died Thursday, most of them in Damascus and Aleppo, according to the opposition Local Coordination Committees of Syria. CNN cannot confirm claims by the government or the opposition because of government restrictions that prevent journalists from reporting freely within Syria.

Clinton and Lavrov previously worked out a plan to try to end the fighting, but that plan ultimately stalled.

That plan, negotiated in June in Geneva, proposed the creation of a transitional government along with al-Assad leaving office. But Russia later balked at any U.N. Security Council measure that would include sanctions or military action. Clinton insisted any U.N. resolution "have teeth."

The United States has also expressed concerns about the increasing radicalization of some armed factions of the opposition and is moving toward declaring al-Nusra Front a terrorist organization.

Such groups present a dilemma for the United States. Al-Nusra Front, officials say, has ruthless and effective fighters that are spearheading gains against al-Assad's weakening forces.

Assad may be seeking asylum

But the stronger the radical groups become, the more the United States worries that the fighting -- not political efforts to find a solution -- will decide the outcome in Syria. As a result, Washington has been pushing the opposition to unite. That process is unfolding with the recent creation of the National Coalition for Syrian Revolutionary and Opposition Forces.

Early next week, Clinton will travel to Marrakesh, Morocco, for a meeting of the Friends of the Syrian People, a gathering of countries that support the political transition. The Obama administration, while providing, for now, non-lethal assistance, is expected to take the first steps toward officially recognizing the National Coalition at that meeting.

Clinton also reiterated Wednesday the strong U.S. position set out by President Barack Obama on Monday over any possible use by Syria of chemical weapons. She said the international community is sending a clear message to Damascus.

"Our concerns are that an increasingly desperate Assad regime might turn to chemical weapons or might lose control of them to one of the many groups that are now operating within Syria," she said.

"And so, as part of the absolute unity that we all have on this issue, we have sent an unmistakable message that this would cross a red line and those responsible would be held to account."

U.N. Secretary-General Ban Ki-moon said on a visit to Baghdad Thursday that he had expressed his "gravest concerns" to Syria's government over any use of chemical weapons and had written directly to al-Assad.

He warned that anyone responsible for the use of chemical weapons would face serious consequences.

Ban is to meet with the head of the Organization for the Prohibition of Chemical Weapons in Baghdad to discuss how it can work with the United Nations on the issue.

Read more: Aleppo residents find little left

NATO foreign ministers agreed this week to a request by Turkey for Patriot missiles to be deployed along its border to bolster its air defenses against potential Syrian threats.

Errant Syrian artillery shells struck the Turkish border town of Akcakale and killed five Turkish civilians in October.

Early Thursday, the German Cabinet agreed to send Patriot missiles and up to 400 soldiers to Turkey to deter the Syrian civil war from spilling into the country. Germany's parliament will vote on the deployment next week, the foreign ministry said.

In addition to Germany, the United States and Netherlands, both of which have Patriot capabilities, have signaled they would be willing to contribute missiles.

"Any deployment will be defensive only. It will in no way support a no-fly zone or any offensive operation," the NATO statement said.

NATO's decision was made as the fears surfaced that the Assad regime might be preparing to use chemical weapons.

"The Syrian stockpiles of chemical weapons are a matter of great concern," NATO Secretary General Anders Fogh Rasmussen said.

"We know that Syria possesses missiles. We know they have chemical weapons and, of course, they also have to be included in our calculations," he said. "And this is also the reason why it is a matter of urgency to ensure effective defense and protection of our ally Turkey."

In the United States, Republican Sen. John McCain said Thursday that time may be running out.

"If true, these reports may mean that the United States and our allies are facing the prospect of an imminent use of weapons of mass destruction in Syria, and this may be the last warning we get," McCain said. "The time for talking about what to do may now be coming to a close and we may instead be left with an awful and very difficult decision."

Opinion: Rape is shredding Syria's social fabric

CNN Foreign Affairs Correspondent Jill Dougherty reported from Dublin, Diana Magnay reported from Berlin, and Laura Smith-Spark wrote this story in London. CNN's Christine Theodorou contributed from Atlanta.

@highlight

NEW: At least 89 people are killed across Syria Thursday, opposition activists say

@highlight

NEW: Panetta says intelligence "raises serious concerns" about chemical weapons

@highlight

A top Russian politician says Syria "is not up to the task" to do its job

@highlight

Clinton meets with the U.N. special envoy to Syria and Russia's foreign minister