Dzhokhar Tsarnaev has been frozen in the public mind by four images.

There's the surveillance photo that the FBI says shows him carrying a backpack among the people who thronged the finish line of last year's Boston Marathon -- a backpack that federal agents say held one of the bombs that killed three people and maimed more than 200, severing limbs from many of them.

There's the one of a blood-smeared Tsarnaev staggering from beneath a tarp on a trailered boat as a small army of law enforcement holds him in its sights. That ended the pursuit that began when the FBI handed out the first picture.

Then there's the gauzy image of a placid, tousle-haired teenager that appeared on the cover of Rolling Stone three months later. That one sparked outrage among many of the survivors and prompted numerous outlets to pull the issue, which featured a lengthy profile of the suspect.

And there's the one from his last public appearance -- a sketch of Tsarnaev in an orange jumpsuit standing in a courtroom, repeating "not guilty" to the litany of charges against him.

As the dignitaries and the survivors and the rescuers gathered in Boston on Tuesday afternoon to mark the anniversary of the bombing, Tsarnaev was sitting in a cell on a former Army installation about 35 miles away. He's scheduled to go to trial in early November, when prosecutors will ask a jury to put him on death row.

His lawyers have laid the groundwork for a case that argues that Tsarnaev, now 20, was under the "domination and control" of his brother Tamerlan, who was killed in the chase. His defense team is led by a lawyer known for cutting deals to spare the lives of her most notorious clients. But they're facing long odds, said New York lawyer Ronald Tabak, a leading expert on capital cases.

"They're up against the huge amount of pretrial publicity, the negative nature of most of that publicity and the fact that this was a crime that affected the entire area," he said.

Even if the defense can convince the jury that most of the blame lies with Tsarnaev's dead brother, "They still have to deal with several people being killed and many other people being injured for no reason that would make sense to just about anybody, other than someone who was mentally ill or believed in terrorism," Tabak said.

Tamerlan Tsarnaev was seven years older, a onetime Golden Gloves boxing champion and an increasingly radical adherent of Islam, according to associates. Investigators say the Tsarnaev brothers tried to bolt from Boston after the FBI released their pictures on April 18, killing a Massachusetts Institute of Technology police officer in the process. Tamerlan was run over by his kid brother as they battled police who were closing in, according to the indictment against Dzhokhar Tsarnaev.

In the past year, investigators also linked Tamerlan to the slayings of three men in a Boston suburb a year and a half before the bombings. It was a particularly grisly scene: The heads of the three victims were pulled back and their throats slit ear to ear with great force, marijuana was spread over the bodies in what investigators called a symbolic gesture, and several thousand dollars in cash was left at the apartment.

In court papers, Dzhokhar's lawyers argued that the killings demonstrated that his brother "was an all-powerful force who could not be ignored or disobeyed." They've also raised questions about whether Tamerlan suffered from mental illness and suggested his "paranoia and distress" were fueled by an FBI attempt to recruit him as an informant.

The government responded last week that it has no evidence agents ever tried to recruit Tamerlan. It says Dzhokhar Tsarnaev downloaded jihadist literature to his computer, including the first issue of al Qaeda's Inspire magazine -- the one that shows how to build a bomb from a pressure cooker, the type of weapon used on Boylston Street.

The indictment against him describes how the brothers test-fired guns and bought fireworks that held 8 pounds of explosives. And it recounts the messages scrawled inside the boat where Dzhokhar was found -- messages that accused the United States of killing "innocent civilians" and warned, "Stop killing our innocent people and we will stop."

The Tsarnaev family originally came from Chechnya, a war-torn corner of southwestern Russia where Islamist guerrillas have been battling government forces for a decade and a half. Both brothers were born in Kyrgyzstan; Dzhokhar had become an American citizen, while Tamerlan's application was still pending when the bombing occurred.

In 2011, Russian intelligence had asked the FBI to keep tabs on Tamerlan, who had become an increasingly devout Muslim. The FBI said Moscow believed "that he was a follower of radical Islam" and was preparing to head for Russia "to join unspecified underground groups."

FBI agents checked out the tip, found no information linking Tamerlan to terrorism and asked the Russians to let them know if they had anything else to support their claims, according to an inspector general's report released last week. There was no response, the report concluded.

Dzhokhar Tsarnaev's lawyers might be able to spare their client's life if they can show jurors that Tamerlan held "an unusual sway" over his brother, Tabak said. They might also be helped by the fact that the state of Massachusetts hasn't had capital punishment since 1984, indicating that jurors drawn from the state are less likely to put someone to death, he said.

But because this is a federal case, the jury will be drawn from a broader pool -- and that pool may include more conservative suburban or rural residents who are more inclined to support executions, said Tabak, who leads the death penalty committee of the American Bar Association's Section of Individual Rights and Responsibilities.

In the meantime, Tsarnaev awaits his date with a jury. And in Boston, a grim anniversary will soon give way to another year's marathon.

Opinion: Four things we learned about the Boston bombing

@highlight

Dzhokhar Tsarnaev faces a November trial in the Boston Marathon bombing

@highlight

His lawyers argue he was under the "domination and control" of his brother Tamerlan

@highlight

The defense will face long odds, expert says