(CNN) -- Over 1.8 million gallons of dispersant chemicals have been added to the Gulf of Mexico to break up oil flowing from the Deepwater Horizon's ruptured well. And in the 100 days since the rig's explosion, little more has become known about the effects of those chemicals.

In May, the U.S. Environmental Protection Agency and U.S. Coast Guard directed BP to use a less toxic dispersant than the one it was putting into the Gulf, Corexit 9500. When the company did not comply, EPA Administrator Lisa Jackson announced that the EPA would run its own toxicity tests, the first round of which focused on Corexit 9500 and seven other common, readily available dispersants from the agency's approved list.

The tests showed Corexit to be slightly less toxic than the manufacturer's data had indicated, so no new orders were issued.

"We need more data before we decide whether to change dispersants," said Paul T. Anastas, the EPA's assistant administrator for research and development. "Our ultimate goal in all of this is to reach a point where dispersants are no longer necessary."

Scientists say questions remain about the effects of dispersants, in particular the more subtle consequences.

"The only effect that's being looked [in acute toxicity tests] at is death, lethality. That is a place that testing often starts because you want to know what concentration of the chemical will kill fish or other organisms," said Richard Denison, senior scientist at the Environmental Defense Fund. "But what's much more relevant in predicting the full effects of the use of dispersants and dispersed oil are the more subtle effects -- that are sublethal, that may affect growth and reproduction."

Those sublethal effects may cause a population to diminish without necessarily killing organisms. Larvae and eggs are most at risk because they are more sensitive and less mobile.

As for human health, scientists say much more needs to be learned about dispersants -- their behavior with oil, chemical ingredients, chronic and delayed effects -- to understand the risks.

There are two types of potential exposures for humans, according to scientists: direct (by inhalation, ingestion or absorption through the skin) and indirect (by eating seafood). According to toxicologist Dr. LuAnn White of Tulane University, the risk to most humans is very low because the oil-dispersant mixture dilutes quickly and does not build up in the food chain.

Some scientists disagree over dispersants' ability to break down the oil faster than it would naturally decompose.

"The conventional wisdom is that by breaking up oil into small droplets, it may be more easily biodegraded. That is not firmly established. In fact, there are conflicting data," said Denison. "Some studies suggest that the rate of degradation of PAHs [polycyclic aromatic hydrocarbons, a breakdown product of oil] is actually impeded by dispersants." Another unknown is whether the chemical constituents of oil are more or less likely to persist in the food chain.

"The problem has been that we have simply not required the answers to those questions. The fact that they are being asked now, and we don't have answers, is of particular concern given the magnitude and scale of use of dispersant."

According to Denison, more information is needed in order "to be able to intelligently answer questions of whether we should still be using the dispersants."

"I am not of the view that [dispersant] should or should not be used. I don't think we have enough data to answer those questions very well, and I'm hoping that this tragedy will spur us to answer those questions so we'll have enough information next time."

@highlight

EPA tested toxicity levels of eight common, readily available dispersants

@highlight

Some scientists disagree over dispersants' ability to break down the oil faster

@highlight

Subtle effects of oil on marine life, environment still not known