Northern Syria (CNN) -- Tanks pounded the Syrian city of Aleppo on Saturday, a sign that a much-feared government offensive in the country's largest city has started, as the opposition warned its allies they would bear responsibility for a "massacre" if they don't act soon.

Government forces shelled Aleppo neighborhoods, and Free Syrian Army rebels squared off with government soldiers in and around the city, the opposition Local Coordination Committees of Syria said.

Syrian TV said "terrorists" suffered heavy losses after clashes in three neighborhoods.

"Our friends and allies will bear responsibility for the terrifying massacres that will happen in Aleppo if they don't move soon. This regime is planning for a big massacre in Aleppo," Abdulbaset Sieda, head of the Syrian National Council, told reporters in Abu Dhabi.

He urged allies to act outside of the U.N. Security Council, as resolutions there can be vetoed, and called for more aid and weapons.

"The rebels now are fighting with primitive types of weapons against the killing machine. We need weapons that will allow us to stop tanks and planes. This is what we need," said Sieda.

At least 160 people were killed across Syria on Saturday, the LCC said. More than 30 of those deaths were reported in Aleppo, Syria's commercial hub and largest city.

"The heaviest clashes since the beginning of the revolution are taking place now in a number of neighborhoods in Aleppo city," the LCC said.

For more than a week, regime forces and rebel fighters have clashed there, and the regime has fired artillery from warplanes.

Fighters have been preparing for a major confrontation, and security forces continued military buildup with reinforcements from Raqqa province and other regions, opposition groups said.

Deama, an activist in Aleppo, told CNN that the expected massive military operations have begun since it is the first day the regime is moving into the city with tank fire.

CNN isn't using her full name because disclosing it could put her in danger.

"Many people have been killed," she said, including a mother and her two children. "More tanks have arrived at a military school in northern Aleppo and started shelling for the first time from this location today."

She said the regime is shelling displaced people from Homs and Idlib who've taken refuge in Aleppo, and thousands of them have had to evacuate yet again.

The uprising started in March 2011 after the government of Syrian President Bashar al-Assad cracked down on peaceful protests.

U.N. and Arab League joint special envoy to Syria Kofi Annan expressed concern Saturday for the concentration of heavy weapons and troops around Aleppo "in anticipation of an imminent battle in Syria's largest city."

"I believe that the escalation of the military build-up in Aleppo and the surrounding area is further evidence of the need for the international community to come together to persuade the parties that only a political transition, leading to a political settlement will resolve this crisis and bring peace to the Syrian people," he said in a statement.

Also Saturday, Russian Foreign Minister Sergey Lavrov said Russia has no plans to offer al-Assad asylum, state-run Russian news agency RIA Novosti reported.

"Those who are trying to plant this idea into the minds of the international community, pursue their dirty goal," he reportedly said. "It's just provocations by those who want to put the entire blame for what is going on in Syria on Russian and China, allegedly because we have been blocking something."

Russia and China -- major trade allies with Syria -- have vetoed tough resolutions on Syria at the U.N. Security Council. They have said they want a more balanced approach that calls on all sides to stop the violence.

"We are blocking ... only an attempt to support one side in an internal conflict by a U.N. Security Council decision," Lavrov said, RIA Novosti reported.

More than 20,000 people, mostly civilians, have died in the conflict, the LCC said. The number is one of several overall estimates from various opposition groups and from the United Nations. U.N. Secretary-General Ban Ki-moon, for example, said at one point this week that almost 17,000 people have died.

Libyan rebels move onto Syrian battlefield

Securing Aleppo is key for the embattled regime and the anti-government fighters. One Free Syrian Army commander said the regime has labeled the confrontation for the city as the "mother of all battles."

Regime forces are preventing fuel and food from entering Aleppo neighborhoods controlled by rebel fighters, opposition activists said. Rebels have had to set up medical clinics in homes.

U.S. increasing contacts with Syrian rebels

"They are besieging our area," said Abu Omar, a resident of the Salaheddin neighborhood. "There is no electricity in some parts, and food is scarce."

Deama said the humanitarian situation is "disastrous."

"We have a bread crisis because the regime apparently ordered all bread bakeries closed. But in areas under the control of the Free Syrian Army, the FSA opened the bakeries and were able to employ people to bake bread then distribute it. There are also severe shortages in medications," she said.

The United Nations and Western countries, fearing widespread death and destruction, have urged the Syrian government to call off an offensive in Aleppo. French President Francois Hollande reiterated his position calling for the U.N. Security Council to urgently intervene in Syria, a source in his entourage confirmed. Speaking in southwestern France, Hollande didn't specify what kind of intervention is needed.

Heavy violence on Saturday wasn't limited to Aleppo. The LCC said dozens of people were killed across Damascus and its suburbs, and others died in Idlib, Deir Ezzor and Hama provinces. Syrian state-run media alluded to a possible showdown in Hama province.

"In a response to the constant pleas of the residents in the area, a unit from our armed forces started to cleanse Karnaz town in Hama from the armed terrorist gangs," Syrian state TV reported. The Syrian government has blamed violence in the country on vaguely defined armed terrorist gangs.

Syrian rebels appear more capable, yet still outgunned

Fighting over the Syrian issue flared across the border in the Lebanese city of Tripoli on Saturday.

At least 12 people were injured in clashes between Alawites and Sunnis. In Syria, Alawites, an offshoot of Shiism, dominate al-Assad's regime. While Sunnis have a significant presence in the Syrian regime, they are also dominant in the opposition movement.

Friends of al-Assad's regime signaled their support for the embattled regime.

Iran's energy minister, Majid Namjou, vowed his government "will not leave Syria alone in such a difficult situation," according to state-run Press TV.

The report said the two nations signed a deal Thursday to expand sharing of electricity and water, with Namjou saying Iranian firms are ready to rebuild damaged power plants.

A.K. Lukashevich, the Russian foreign ministry spokesman, on Saturday reiterated his country's opposition to unilateral sanctions on Syria and won't agree to inspections of ships sailing under the Russia flag.

Russia has been a longtime arms supplier to Syria, but it has said it will not deliver new weapons to Syria as long as the situation there is unstable. Lukashevich made the remarks after the latest round of European Union sanctions against the al-Assad regime.

Syria has faced high-level diplomatic and military defections in recent months.

The latest is Farouq Taha, the Syrian ambassador to Belarus. He confirmed the move on Al-Jazeera TV on Saturday.

U.S. keeping an eye on Syria's weapons, al Qaeda's presence

CNN's Amir Ahmed, Mohammed Jamjoom, Samira Said, Saad Abedine, Schams Elwazar, Joe Sterling, Ivan Watson and Barbara Starr and journalist Shiyar Sayed Mohamad contributed to this report.

@highlight

NEW: The head of the Syrian National Council warns the regime is planning a massacre

@highlight

NEW: He calls on allies to act outside of the U.N. Security Council

@highlight

NEW: At least 160 people are killed across Syria on Saturday, says an opposition group

@highlight

Kofi Annan expresses concern for an "imminent battle" in Syria's largest city