(CNN) -- U.S. President Barack Obama arrived in South Korea on Wednesday, where the leaders of top global economies will convene at the G-20 summit to try to stabilize the world's financial markets.

Obama left Indonesia hours early, because volcanic ash from Mount Merapi could have grounded Air Force One, administration officials said.

The president's visit to Seoul will include a meeting with South Korean President Lee Myung-bak and a meeting with Chinese President Hu Jintao.

Obama is also scheduled to deliver a speech to U.S. troops in South Korea on Thursday, the Veterans Day holiday in the United States.

Tensions about currency and trade are likely to run high at the G-20 meeting, which will be held Thursday and Friday in Seoul, the South Korean capital.

Officials in China and the United States have accused the other of manipulating its currency at the expense of other economies. And the G-20 has acknowledged that the global economic recovery is advancing in "a fragile and uneven way."

Widespread protests are expected at the summit, for which South Korea has mobilized its largest security force ever, according to the Yonhap news agency. A total of 50,000 police and riot police are being deployed, authorities told Yonhap.

A number of South Korean union and civic groups are gearing up for large protests against the G-20, while other groups are planning unrelated rallies in hopes of drawing international media attention.

Protests by Muslims in Indonesia also preceded Obama's visit there. But the president focused on the two countries' shared principles of unity and tolerance when he delivered a highly anticipated speech at the University of Indonesia right before he left for South Korea.

In his speech, Obama reflected on the four years he spent in Indonesia as a child, referring to how he and his family were warmly accepted. He drew cheers when he sprinkled sayings from the local Malay language, such as "Selamat Datang" -- a greeting of welcome -- and the national motto "Bhinneka Tunggal Ika," which means "unity in diversity."

Noting that Malay is one of hundreds of languages of the archipelago nation, Obama lauded Indonesia for its spirit of inclusiveness despite its diverse population and history of dictatorship.

"But even as this land of my youth has changed in so many ways, those things that I learned to love about Indonesia -- that spirit of tolerance that is written into your constitution, symbolized in your mosques and churches and temples standing alongside each other; that spirit that is embodied in your people -- that still lives on," he said.

Obama said he returned as president of the United States seeking "a deep and enduring partnership" with Indonesia.

"America has a stake in an Indonesia that is growing, with prosperity that is broadly shared among the Indonesian people, because a rising middle class here means new markets for our goods, just as America is a market for yours," he said.

Grappling with a troubled U.S. economy, the Obama administration has highlighted the strengthening of economic and military ties during the president's 10-day Asia tour. Obama started his trip with a three-day stay in India, before heading to Indonesia.

In Mumbai on Saturday, the president unveiled about $10 billion in contracts for U.S. exports to India. It is Asia's third-largest economy and one of the world's few growth markets.

Speaking in New Delhi on Monday, Obama said, "We make some of the best products in the world and we want to sell them to a growing Indian market."

At the Seoul summit, G-20 leaders are expected to focus on the global economic recovery and mechanisms to ensure balance and sustainable growth.

"We see the G-20 as fundamental not just to our international economic agenda, but to our ability to have a lasting recovery at home, because fostering balance, global growth is essential to fostering growth here in the American economy," Ben Rhodes, deputy national security adviser for strategic communications said ahead of Obama's Asia trip.

Collectively, the Group of 20 accounts for about 85 percent of global economic output. The 1997 Asian financial crisis prompted the creation of the group. The G-20 includes industrialized nations and developing economies, which focus on economic issues and economic policy coordination.

"If you look at the trend lines in the 21st century, the rise of Asia, the rise of individual countries within Asia, is one of the defining stories of our time," Rhodes said.

"We see core U.S. national interests that will be advanced by us playing a key role in helping to shape the future of the region and making clear that we're an Asian and a Pacific power," Rhodes added.

After South Korea, Obama will head to Japan for the APEC summit, which will be held in Yokohama on Saturday and Sunday. Twenty-one countries form the Asia-Pacific Economic Cooperation, which focuses on economic coordination in the Asia Pacific region.

"Further economic integration [and] trade liberalization in Asia Pacific is vital to our own interests and our ability to export more and grow our economy here at home," National Security Advisor Mike Froman said ahead of Obama's Asia trip.

The president is scheduled to return to the United States on Sunday.

@highlight

He'll attend the G-20 summit, which is aimed at stabilizing the world's financial markets

@highlight

The G-20 has acknowledged that the global economic recovery is uneven and fragile

@highlight

Obama's visit to Seoul will include a meeting with the presidents of South Korea and China

@highlight

He left Indonesia early, because volcanic ash could have grounded Air Force One