Ferguson, Missouri (CNN) -- Two weeks after a police-involved shooting sparked violent protests in a St. Louis suburb, the mood turned more tranquil Saturday with smaller crowds and lots of music.

Gone were police in riot gear glaring at defiant protesters. The tear gas, rubber bullets and Molotov cocktails were nowhere to be seen, either.

In their place were clusters of officers, hanging around businesses, chatting with one another.

Shops reopened by late Friday and residents gathered for ribs at a local barbecue restaurant boarded up with plywood, a visible reminder of the violent protests and looting just a few days ago.

A van rolled down the streets with men grilling hot dogs in the back and handing them out to passersby.

Amid the vibrant noise of a heartbroken city slowly coming back to life, a preacher hollered, "Praise Jesus!" as a choir on a flatbed belted out hymns, leaving pauses for his exaltation.

The change in mood comes two weeks to the day after Ferguson Police Officer Darren Wilson fatally shot Michael Brown, an unarmed 18-year-old. Protesters have taken to the streets daily in the mostly black city, sometimes clashing violently with officers.

Hundreds of people walked the streets later Saturday in a march in Brown's memory, organized by the NAACP.

Despite the calm, slivers of earlier tension hovered.

A vendor sold T-shirts adorned with the words, "It's time to start the healing" as a small group marched down the streets chanting, " Hands up! Don't shoot!" and "No justice, no peace."

2-year-old protester

Before calling it a night on Friday, Tonja Bulley, 49, of nearby Jennings, made one last march along the protest route with her grandson, Tyler Randall Foster, 2.

The toddler carried a sign that read, "You don't have to shoot. I'm unarmed."

Bulley has been to the protests daily since Brown was killed. This was the second time she'd brought Tyler.

"He might not understand why I'm out here, but I'm out here for him," she said. "One day he'll read about this movement, and he'll know he made this change right along with his granny. I want to make things better for my grandson. I want things to change. ... I really don't want my grandson to be another Mike Brown."

Race has been at the forefront of the tensions; Brown was African-American and the officer who shot him is white.

St. Louis authorities Friday released details of the racial and gender makeup of the grand jury handling the case.

It comprises six white men, three white women, two black women and one black man, said Paul Fox, the administrator for the St. Louis County Circuit Court.

St. Louis County is 70% white and 24% black, according to last year's estimate by the U.S. Census Bureau.

Obama orders review of military equipment to police

State and federal cases

The release of the details of the jury comes amid a key complaint among Brown family supporters, who've said the man whose office is tasked with making the case to the grand jury -- St. Louis County Prosecuting Attorney Bob McCulloch -- is too cozy with law enforcement.

Protesters have said he does not have a good relationship with the African-American community and should be replaced.

McCulloch has indicated he won't recuse himself.

Crucial grand jury

Unlike a jury in a criminal case, which convicts someone if jurors are convinced of guilt "beyond a reasonable doubt," a grand jury decides if there is "probable cause." They decide whether to charge someone with a crime based on testimony and evidence presented in the absence of a judge.

In Missouri, they don't have to be unanimous to press such an indictment, as long as nine of the 12 agree on a charge.

The federal government is conducting a separate investigation.

FBI agents have knocked on more than 400 doors in Ferguson and interviewed more than 200 people as part of the U.S. Justice Department's civil rights investigation, according to law enforcement sources.

The federal probe must prove there was an element of "racial hostility" in the shooting. That's a higher standard than the one before the St. Louis County grand jury.

The 12 members of the grand jury are crucial. They may be the first to reach a decision on whether the case will be defined as a murder charge, a lesser charge or no charge at all.

Will calm last?

And as the focus shifts to the investigation, authorities hope the calm is there to stay.

"Tonight is proof good things are happening at Ferguson. ... The whispering winds of change continue," said Capt. Ron Johnson of the Missouri Highway Patrol. "I continue seeing citizens and officers making eye contact and smiling at each other."

Johnson said there were no Molotov cocktails thrown, no shootings and no tear gas Saturday.

And for the first time in days, there were no arrests, either.

@highlight

Streets remain calm for protest march

@highlight

Businesses reopen as city becomes more tranquil

@highlight

Hundreds attend peaceful march led by the NAACP

@highlight

For the first time in days, no arrests are made