Washington (CNN) -- Supreme Court nominee Elena Kagan took a pragmatic approach to the issue of late-term abortion when working as a top lawyer in the Clinton White House, documents released Friday show.

The material was part of more than 46,000 pages released by the William J. Clinton Presidential Library. Kagan was a top lawyer in the administration's Office of Domestic Policy.

At issue at the time was a bill in the Republican-controlled Congress that would ban a type of abortion performed in the second trimester. Critics of the procedure called it "partial-birth" abortion.

In a February 27, 1997 memo to top White House staff, Kagan notes a leading abortion rights supporter had just admitted late-term abortions were being "performed more frequently than pro-choice groups have acknowledged, and often perfonned [sic - performed] on healthy women with healthy fetuses," repeating a claim conservatives at the time had long made.

Kagan advises "it would be a great mistake to challenge" the statements of Ron Fitzsimmons, then executive director of the National Coalition of Abortion Providers.

Nonetheless, Kagan said the controversy did not undermine the president's stated position that he would support the GOP bill with some exceptions.

"The president's position today remains what it has always been," wrote Kagan, "that he will sign a bill banning partial-birth abortions, but only if it has an exception that will protect those women -- even if few in number -- who need this procedure to save their lives or prevent serious harm to their health."

The Supreme Court three years ago affirmed a similar federal ban on the procedure, passed by Congress in 2003. That bill did not include a "health exception."

Kagan in her memos at the time repeatedly used the term "partial-birth" favored by anti-abortion groups and one which abortion-rights activists had tried to replace, believing it was inaccurate and inflammatory.

The documents reveal another person heavily involved in the abortion issue: Rahm Emanuel, then a senior adviser in the Clinton White House. He is now President Obama's chief of staff.

Republican senators on the Judiciary Committee have sought a delay in Kagan's confirmation hearings, scheduled for the week of June 28, saying this latest batch of documents gives them little time to learn about her views on hot-button social and legal issues.

Some 160,000 pages of documents are being reviewed from Kagan's four-years in the Clinton White House from 1995-1999, during which she also served as deputy associate counsel. Papers from her time in that position will be released in coming days.

Kagan also was heavily involved in negotiations to clamp down on the tobacco industry. The White House and Congress had sought a compromise to enact tough marketing restrictions, especially those aimed at young people.

Kagan appeared to view her role in the Domestic policy office as both a lawyer and political adviser, worrying that both  Democrats and Republicans could back away from the legislation.

In an April 1998 memo, she and her boss Bruce Reed told the president that "we should not ask for more than we need to achieve our public health goals and in the process destroy any chance of industry acquiescence ... efforts to push the price too far would be counterproductive because tobacco-state Democrats will join with Republicans to derail a bill that goes as far as some in the public health community might like."

Both Reed and Kagan indirectly acknowledged such a middle-of-the road compromise approach would anger many members of the administration and liberal health reform advocates.

Kagan, then 37, also noted proposals from within the administration might go too far and later be declared unconstitutional by the federal courts.

"I'm not sure I buy the argument" made by other White House officials that First Amendment free speech concerns would not become a barrier to passage of the bill, she noted in her own handwriting on one memo. It was part of a draft letter to a Republican senator and dealt with her view the tobacco industry should unilaterally promote voluntary advertising limits. "We should enable the companies to agree on this," wrote Kagan.

Kagan was nominated in May by President Barack Obama to succeed the retiring Justice John Paul Stevens. Until she she stepped down last month, Kagan was the administration's solicitor general, which argues federal government cases before the Supreme Court. She has no judicial experience, and conservative critics have been eagerly scanning her past record in government service and academia for clues on what kind of justice she may turn out be, if confirmed by the Senate.

"As we suspected, President Obama nominated a far left liberal who supports both abortion and 'gay marriage,'" said Penny Nance, CEO of Concerned Women for America. "Elena Kagan has also demonstrated her disdain for the unborn, the most vulnerable in our society."

On affirmative action, Kagan weighed in on a pending Supreme Court challenge by a white teacher in New Jersey who had been fired in favor of a black teacher, when both had equal seniority. The Bush administration in 1992 had filed suit in support of the white teacher, saying she had been a victim of discrimination on account of race, in violation of federal law.

At the time, the Clinton administration had to decide whether to continue the legal challenge in federal courts. Then-Solicitor General Walter Dellinger noted the language of his legal brief to the justices "is a sensitive one."

The administration decided to support the white teacher on narrow grounds, that in this case the school board failed to offer an adequate justification for the public employee's dismissal. Kagan supported that view, but she and others in the Clinton White House also wanted to clarify that race-based decisions were sometimes justified in the name of diversity -- "to mend (without ending) affirmative action."

"I think this is exactly the right position," wrote Kagan in the margins of the Solicitor General's memo, "as a legal matter, as a policy matter, and as a political matter."

She signed it "Elena."

@highlight

46,000 pages released by William J. Clinton Library

@highlight

Kagan a top lawyer under Clinton

@highlight

GOP senators have sought hearing delay