In 2004, Sen. John Kerry entered the campaign against incumbent President George W. Bush with a seemingly unassailable advantage on a sensitive issue -- the liberal Kerry served in the Vietnam War, and the conservative Bush didn't.

Rather than avoid the topic, Bush supporters came up with the notorious "Swift Boat" campaign that raised enough questions about Kerry's war record to negate a major strength.

Such "attack the strength" tactics have been a staple of this year's presidential race, with both sides trying to undermine perceived advantages of the other. The latest example is a new Web video that accuses President Barack Obama of engineering classified leaks and claiming undue credit on his signature foreign policy achievement: the raid that killed Osama bin Laden.

The premise is simple: In a political environment where perception often trumps policy, mount early challenges to your opponent's strongest attributes to raise questions and create an alternative image in the minds of voters.

For example, the Obama campaign has attacked certain Republican nominee Mitt Romney's successful business career, portraying the venture capitalist company he founded as a pioneer in outsourcing American jobs. The purpose was to blunt Romney's persistent claim that his business background made him better qualified than Obama to manage the slow-recovering economy, the most important issue to voters.

Meanwhile, Romney's team is challenging Obama on the volatile issue of reforming Medicare, the popular health care program for senior citizens. By naming House Budget Chairman Paul Ryan as his running mate last week, Romney and his team knew the Obama campaign would attack Ryan's proposal to partially privatize Medicare, so they have tried to turn the tables by accusing the president this week of cutting more than $700 billion out of the government-run system.

Both of the attacks are misleading or untrue, according to independent assessments.

Websites such as PolitiFact.com and Fact.Check.org ruled that outsourcing by Romney's company, Bain Capital, occurred after he gave up daily management responsibilities in 1999.

On Medicare, the nonpartisan Congressional Budget Office found that reforms to the program under Obama's 2010 health care law resulted in hundreds of billions of dollars in savings, rather than spending cuts that reduced benefits, as alleged by the Romney campaign. PolitiFact rated the Romney campaign's claim as "mostly false."

To Republican strategist Ron Bonjean , the Romney camp's maneuver on Medicare was "a brilliant move."

"They are going to be attacked on it anyway. They have 'jujitsued' this," Bonjean told CNN on Friday, adding: "It's a good idea to try to neutralize this issue right now, which I think they are being very effective at."

Outside groups supporting the candidates also are taking part. A video spot by Priorities USA Action, a super-PAC backing Obama, sought to link Romney to the death of the wife of a steel worker who lost his job at a plant closed down by Bain Capital. The ad, which has yet to be scheduled for broadcast, was rated "false" by PolitiFact.

Now, a little-known group of former special forces members called the Special Operations OPSEC Education Fund has released the 22-minute Web video that criticizes Obama on the bin Laden takedown. A spokeswoman says the group has raised about $1 million toward an advertising campaign in some key swing states, but refused to discuss donors.

Over a picture of Obama, the video's narrator says that the group's mission is to stop politicians from using sensitive intelligence about the bin Laden raid and other clandestine programs for political benefit.

The organization, which describes itself as nonpartisan, shares an office with two Republican political consulting firms in Alexandria, Virginia. Its spokesman, Chad Kolton, worked for the Bush administration as a spokesman for the Director of National Intelligence, and its president ran for Congress as a Republican.

To Darrell West of the Brookings Institution, the video evokes memories of the Swift Boat campaign that mounted a barrage of negative attacks against Kerry's war record.

"Obama's strong suit actually is on national security," said West, the vice president and director of governance studies at Brookings. "He's the guy who got bin Laden, and that's been a central claim of his campaign. So there's always a risk of the opposition coming in with this type of ad to try to undermine the president's credibility and take away what is really his strong suit."

The president has regularly cited the killing of bin Laden as a campaign promise he fulfilled, and the head of special operations, Adm. William  McRaven, recently told CNN that Obama deserved credit.

"Make no mistake about it: It was the president of the United States that shouldered the burden for this operation, that made the hard decisions," McRaven said.

Like other top officials, including Defense Secretary Leon Panetta and former Defense Secretary Robert Gates, McRaven also has been highly critical of recent leaks about clandestine operations.

The White House has denied leaking classified information, and two federal prosecutors have been assigned to investigate recent leaks about the Stuxnet virus and drone strike operations.

Republicans blame Obama for the leaks that occurred on his watch, and they call for an independent investigation.

The "attack the strength" tactic is nothing new, but gained prominence last decade when utilized by Republican strategist Karl Rove, who guided Bush's two presidential campaigns

"Karl Rove did something that many other political operatives don't do, and it's really an element of why he's a unique figure in American political life," journalist Wayne Slater said in a PBS Frontline documentary titled "Karl Rove: The Architect." "He understands that while other people look for the weakness in an opponent and exploit that, Rove has long looked at the strength of an opponent."

That was particularly true of the Swift Boat attacks on Kerry, said Slater, co-author of the book "Bush's Brain: How Karl Rove Made George W. Bush Presidential."

"The No. 1 thing that John Kerry offered was his heroic service in Vietnam," Slater said in the PBS documentary, "and so what Rove did was attack the strength of Kerry, not his weakness."

Others clearly  took notice. In attacking Romney's background at Bain Capital, the Obama campaign is following the example of former House Speaker Newt Gingrich from the Republican primary campaign.

Gingrich's criticism that Romney's business record included shutting down companies and outsourcing jobs got panned by many fellow Republicans. In response, Gingrich said his attacks were only the initial salvos of an all-out assault on the issue that Romney would face from the Obama campaign if he became the nominee.

@highlight

A GOP strategist says the Romney campaign "jujitsued" Obama on Medicare

@highlight

The tactic seeks to undermine the other guy's strongest advantages

@highlight

Mitt Romney touts his business background, so President Obama attacks it

@highlight

Romney is vulnerable on Medicare reforms, so he criticizes Obama on the issue