Former president of Poland, Lech Walesa, was a founder of the Solidarity trade union group that helped bring about about the downfall of communism in Poland in 1989.

He won the Nobel Peace Prize in 1983 and was the country's president from 1990 to 1995. His eponymous Lech Walesa Institute was set up in 1995 to support concepts of independence, ethics and state decentralization.

CNN asked him about his recollections from 25 years ago and his thoughts on the future of Poland.

CNN: What are you strongest memories from this time 25 years ago?

Lech Walesa: I prefer to look at today and tomorrow. Sometimes, however, it's good to take a look back to learn a lesson from the past.

There have been so many events with influence on the present time that they form a chain of events reaching back much further than 1989. It all dates back to 1970, when the social discontent reached its peak and forced many of us to take to the streets.

Next, we witnessed the election of Karol Wojtyła to the Papacy, the August Agreements, the creation of Solidarity, the imposition of martial law, the Round Table Talks, the partially-free election in 1989, then my presidency as a seal of freedom and lastly the admission of Poland to NATO and to the European Union.

I consider all these elements to be consecutive links in the chain of freedom, without which neither Poland nor Europe would be free.

CNN: What was the biggest challenge you faced personally during your days with Solidarity before 1989?

Lech Walesa: The most important one was to persevere in unity. To stick to our goal. Not to be broken down. And yet we were so badly impacted by martial law.

In prison we went through an ordeal. We were not broken down. Our faith was never shaken. It was strengthened by what happened in August 1980. This is our great victory. At that time, nobody expected us to succeed. We had a vivid memory of the tragic events of December 1970. We knew we had to work together.

Already on the first day we set up an Inter-Enterprise Strike Committee and started to work on the demands. We eventually managed to hammer out 21 demands, which were signed on December 31st together with the government, which was represented by Mieczysław Jagielski. This was our greatest challenge and greatest victory.

Soon after, our tiny union had 10 million members all over Poland. The 1980s were a time of struggle to build an organization and its structures. It was also a fight for unity and perseverance in the path we had chosen. Although weakened, we were not defeated and so we lasted until 1988 and 1989.

We lost a couple of battles, but we won the war for democracy and freedom. It's because we were working in solidarity. And the world was in solidarity with us.

CNN: What gave you the strength to continue the struggle against the communist government in Poland? What qualities do you think you had that made you do what you did?

Lech Walesa: This is made up of several things. One of them was our faith that this sick, unfair system must finally collapse.

We didn't know how to make it happen, how to get organized so as not to repeat the mistakes made in 1970 (during the protests).

In my opinion, divine providence helped us at this stage. It's then that a Pole who became pope helped us to organize ourselves in prayer and also made us understand our inner strength. His regular visits to Poland, although hindered by the communist authorities, played this role.

The masses celebrated by the Holy Father gathered millions of Poles. We could see that we were many, that we were millions. Before that, we had been scattered and divided. It was the first time in post-war Poland that the Polish nation had joined forces on such a massive scale.

I'm sure that had there been no pontificate of John Paul II, the Fall of Communism wouldn't have happened as quickly or as peacefully as it did. The Holy Father did not call us to fight, but gathered us in prayer. And we were able to match actions with words.

CNN: Do you have any regrets from your life during the anti-communist days?

Lech Walsa: Concerning our peaceful struggle, I have no regrets whatsoever. Of course, when I look at it today, from the perspective of years, I wish I had done a few things differently, but as for the path we took, I wouldn't have changed it.

Despite such a great victory, I have a feeling that I missed something. When I was fighting, when I was repeatedly arrested and in prison or when I traveled all over the country to coordinate the activity of unions, my wife and the children were left behind at home. Regrettably, I was not with them.

It's probably my greatest failure: I was not with my family when they needed me most. For this I want to thank my wife Danuta. For the fact that she put up with me and brought up our children to be good people.

CNN: How do you see Poland today?

Lech Walesa: We are now in a very different place, in a new era.

Today we can say with confidence that we live in a democratic Poland, in a firmly established free market economic system, in a country built on solid foundations of international cooperation and in a country of high aspirations and hopes for further development.

Our success has been noticed. There are many who point to Poland as an example of wise economic policy. We are amongst the few countries that emerged from the financial crisis relatively unscathed.

The 2012 European Championship was another type of promotion of Poland and an opportunity to show off our achievements.

I'm also very happy to see that even those projects, which seemed doomed to failure due to the very last decisions of the communists, have in fact been able to be saved, such as my beloved Gdańsk Shipyard, the cradle of "Solidarity".

Today it is slowly rising to its feet again and building ships after many years of struggle and hope for its rescue; there is a chance that jobs can be safeguarded and that the symbol of the Polish transformation can be saved. This fills me with happiness, even if the costs of transformation were high.

Today Poland is a truly beautiful, modern and open country.

CNN: Is it the country today as you hoped it would be when you cast your vote in June 1989?

Lech Walesa: Back in 1989, nothing was a foregone conclusion. We had to build a state system almost from scratch. The difficult (political and economic) reforms of minister of finance Leszek Balcerowicz and the prime minister Tadeusz Mazowiecki allowed us to make further changes.

In conjunction with Boris Yeltsin, I negotiated the withdrawal of Red Army troops from Poland. We then became a member of the North Atlantic Treaty Organization and today we are also a member of the European Union.

At that time, I didn't even dream that we would manage to achieve all that, and in such a short time. It's true, Poland as we see it today is beyond anything we could have dreamt of at that time.

However, I regret that not everything worked out as it should have. My presidency ended after five years and I had a plan that would have required two terms to fully realize. Later on, the politics of Aleksander Kwaśniewski were not in line with my concept.

CNN: Do you think democracy in Poland and other former communist states is in good shape?

Lech Walesa: It might seem so, but we still have a problem with the sense of responsibility for the country amongst our citizens. We recently held the election to the European Parliament, a very important election, in which decided who would be representing us at the European Union. The average turnout throughout the EU was low -- only 43%. In Poland, however, it stood at 23%. And even lower than that in Slovakia and in the Czech Republic. It's alarming.

First we expect "old Europe" to accept us and treat us on an equal footing and then we renounce our right to vote. Moreover, parties with extremist views are on the rise. These parties promote ideas that contradict democracy and the European Union's reason for existence.

We must therefore wake up, because if we continue to be indifferent, we may ourselves destroy our great dream of international solidarity.

On the other hand, I'm a 100% democrat and if parties with such an outlook on life enter the parliament, I have no choice but to accept it. I only call for votes during the next election to be cast in a well-conceived manner.

CNN: What is the biggest challenge facing Poland and Polish society today?

Lech Walesa: The biggest challenge for Poland, Europe and the world is the reshuffling and widening of structures.

I have already been saying it for quite some time: we must evolve past thinking in terms of the nation state and the European state.

We live in an era of intellect, information and globalization. We live under new conditions that require us to create a totally different set of programs and structures.

It's a task not only for Poland, but also for the entire population of contemporary Europe and the world at large. Our present systems do not meet our current needs.

The new era offers us new challenges. We who destroyed communism, whose downfall has triggered a domino effect of transformation throughout Europe, should provide an example and inspiration for the entire world.

We must show how to change even the most difficult reality through purely democratic means, without the use of violence. Today we must ask ourselves which world we are going to built in this new era and how democracy and globalization are going to look.

For a long time already, I have been calling for the development of a Decalogue of universal values that would serve as a lasting reference point for this new Europe and the world. We must define and accept laws establishing common principles, which would allow nations and religions to co-exist in a spirit of respect for differences and friendly cooperation.

Once such a universal basis is established, we will succeed in building lasting and safe communities. Otherwise it may be hard to maintain the world as it is at present.

@highlight

Poland's former president  Lech Walesa talks to CNN's Dean Irvine

@highlight

He talks about the struggles he faced to win the war for democracy in Poland

@highlight

He also touches on his time as co-founder of the Solidarity trade-union movement