(CNN) -- President Obama's spending plan is just the first step in a process that will involve no less than 40 congressional committees, 24 subcommittees, countless hearings and a number of floor votes in the House and Senate, with the aim of getting funding in place for the federal government by the beginning of the 2012 fiscal year October 1.

Congress never passed a budget for the current fiscal year, and the government has been running on a "continuing resolution," which expires March 4. House Republicans have thrown down the gauntlet over cuts to current programs and threaten to shut down the government if they don't get their way.

After Obama sends his 2012 plan to Capitol Hill, House and Senate budget committees each pass their own budget resolutions, which set caps on spending and establish revenue targets and generally serve as five- to 10-year blueprints for congressional priorities.

The budget resolutions also allocate how much may be spent on broad budget functions like defense and education but not individual programs. House and Senate numbers often differ, and the chambers must resolve their differences and pass a single Budget Act.

Obama: Budget 'down payment' on debt

Next, the appropriations committees and subcommittees in each chamber debate how to allocate discretionary funds among government agencies and programs.

If all doesn't go according to plan, Congress must pass a continuing resolution like last year's by 11:59 p.m. September 30 to continue funding the government as lawmakers continue to try to slice up the budget pie.

Justice budget includes increase for prisons

Here are some highlights from Obama's plan:

Department of Education

There's a good reason Obama went to a school to make his first public pitch after his spending plan was released. Education is one of the few areas to get a significant increase in funding: $4.5 billion more than in his 2011 budget.

Obama requests increase for education in 2012

The $77.4 billion request would be spent on reforms, teacher training for STEM subjects (science, technology, engineering and math) and reauthorization of the Elementary and Secondary Education Act, also known as No Child Left Behind.

Obama wants to spend $80 million to recruit 10,000 teachers in STEM subjects in the next two years, 100,000 over the next 10 years. He also wants $900 million for a new round of Race to the Top, the competition that rewards states that meet the administrations standards for innovation and outcomes.

The budget request maintains the current funding level for Pell Grants, but it recommends dropping the year-round option that began in 2009. It also drops subsidies that allowed grad students to avoid interest accruing on loans while they are in school.

Department of Defense

The plan increases the Pentagon's base budget to $553 billion, $22 billion more than last year.

Defense, State fight for more funding

It reinvests $100 billion expected to be saved through cuts to areas like development or purchase of unmanned intelligence, surveillance, and reconnaissance assets; proposals for more ships; a new ground combat vehicle; the Advanced Extremely High Frequency satellite; and the F-35 Joint Strike Fighter.

The budget includes a 1.6% increase for military pay as well as an increase in housing allowances and health care, especially for wounded service members.

The wars in Iraq and Afghanistan are covered separately, with $118 billion set aside: more than $41 billion less than last year, mostly because of the withdrawal of troops from Iraq.

Slight increase sought for Homeland Security

Department of Transportation

The plan provides $13.4 billion in discretionary resources in 2012, a $1.3 billion decrease from 2010.

It proposes a six-year, $556 billion surface reauthorization plan to modernize the country's transportation infrastructure.

It provides $8 billion in 2012 and $53 billion over six years to reach a goal of providing 80 percent of Americans with convenient access to a passenger rail system, featuring high-speed service, within 25 years.

The plan reduces funding for airport grants, focusing support on smaller airports, while giving larger airports more flexibility to raise their own resources.

Department of Veterans Affairs

Obama's plan provides $61.85 billion, a 10.6% increase over 2010

It proposes a multiyear budgeting approach to manage medical care resources across multiple fiscal years, including advance appropriations for the 2013 fiscal year

It reduces construction spending and redirects those funds for care and benefits to veterans.

Department of the Interior

Obama's plan budgets $12 billion, which is roughly the same as in previous years, and increases land and water conservation programs.

The savings are planned through decreases in the U.S. Geological Survey, cuts in construction programs and tribal program reductions.

The plan provides more than $500 million to restructure the Bureau of Ocean Energy Management, Regulation and Enforcement and to strengthen oversight of offshore oil and gas operations in the aftermath of the Deepwater Horizon explosion and oil disaster in the Gulf of Mexico last year.

Department of State and international programs

The plan provides $47 billion for the State Department and the U.S. Agency for International Development, a decrease of less than 1% from 2010. Increases are made in the areas of food security and global health. Foreign assistance to several countries is cut.

The plan reduces funding for the African Development and Inter-American Foundations by nearly 20% and directs them to seek partnerships to leverage remaining funding.

@highlight

Obama sends plan to Capitol Hill; goal is to get funding in place by start of 2012 fiscal year

@highlight

Plan includes a significant increase in education funding

@highlight

Plan decreases discretionary resources for the Department of Transportation

@highlight

It trims funding for African Development and Inter-American Foundations by nearly 20%