Manama, Bahrain (CNN) -- At least two people were killed early Thursday morning when Bahraini police swarmed into the capital, Manama, to roust protesters from the Pearl Roundabout, emergency hospital services said.

Witnesses said police came in with dozens of vehicles, surrounded the roundabout and began firing "pellet bullets," rubber bullets and tear gas at demonstrators.

The area had become a magnet for pro-democracy activists, angered by the killing of two demonstrators by security forces earlier this week.

For two days, protesters were largely left alone by authorities. But around 3:30 a.m. Thursday (7:30 p.m. Wednesday ET), police changed tactics. Hundreds of white-helmeted police swarmed the roundabout. There are reports that at least 100 people have been injured.

Most of the casualties have being sent to Salamaniya hospital, according to an operator at Manama's other main hospital, Bahrain International.

CNN's Nic Robertson was there at the hospital. He reported that a large group of "very angry" people had gathered, along with distraught family members looking for loved ones. Robertson said demonstrators he'd spoken to were outraged by the way they'd been treated by security forces.

Inside the hospital's emergency treatment room, the scene was one of "complete, uncontrolled chaos," according to Robertson. He described injured people struggling to survive and medical personnel working frantically to save them. He saw serious head traumas, bloody wounds in the head and chest, and people hooked up to breathing apparatuses. Robertson told CNN that all the indications pointed to a very bloody confrontation on the part of police.

During the crackdown in Pearl Roundabout, an ABC reporter was attacked while he was on the phone, describing the scene for the network. In the midst of his report, Miguel Marquez could suddenly be heard shouting on the audiotape, "Journalist! Journalist! No! No!" Heavy thuds and the sounds of police yelling could also be heard.

After several minutes, Marquez insisted repeatedly "I'm going! I'm going!" and called out for co-workers. Finally, he returned to the audio line and told what had just happened. His voice broke as he said, "These people are not screwing around."

One of the protesters, who asked that he be identified only as "Hussein," said the police came in with no warning.

"We were sleeping," he said. "There were guys, kids, schoolchildren, women, and suddenly they just attacked us with tear gas, stun bombs."

Hussein said many people were wounded in the attack, and he helped take people to hospitals. Police were outside the hospitals as well, he said.

"No one was doing anything," he said. "Kids were sleeping. Women were sleeping. They just attacked us suddenly."

Ebrahim Sharif, secretary-general of the opposition National Democratic Action Society, said he saw ambulances taking people to hospitals but that police were blocking people from going in that direction.

"The whole area here has been surrounded," he told CNN by telephone. "There are probably 500 to 1,000 policemen."

Dozens of large police vehicles lined a highway overlooking the roundabout and helicopters buzzed the area. Police were also taking up positions to create a perimeter as much as a mile around the roundabout, preventing people from returning.

An hour after police moved in, the square, where thousands of people had been, was largely empty except for police. It was not immediately clear where the protesters had gone, but police activity indicated they were still involved in moving the demonstrators further from the roundabout.

On Wednesday, Bahrain's Interior Ministry had said those involved in two deaths during previous protests had been placed in custody.

"We express our regret over those who died or were injured in the latest incidents and extend our sincere condolences to their families and to the people of Bahrain," according to a statement on the ministry's website.

Earlier Wednesday, thousands of people gathered for a peaceful funeral procession for a Bahraini man killed when clashes erupted during another protester's funeral procession, the president of a human rights group said.

Demonstrators picked up the body of Fadhel Matrook, 31, from a morgue Wednesday and marched to a cemetery with no police presence on the streets, said Nabeel Rajab, president of the Bahrain Center for Human Rights.

Rajab, who marched in the funeral procession, said at the time that protests in Bahrain were "peaceful" since "there is not interference from the police."

Human rights groups say Matrook was shot by security forces using pellet guns during the Tuesday procession for Ali Abdulhadi Mushaima, who was killed Monday. Rajab said Mushaima was protesting for human rights near Manama.

King Hamad bin Isa Al Khalifa had vowed Tuesday that his government would investigate the killings of the two protesters by security forces.

"We will ask the legislative authority to look at this phenomena and to suggest the necessary legislation which will solve this in a way that will benefit the homeland and its citizens," he said.

The Interior Ministry said in its statement that "... our constitution and laws guarantee the freedom of expression through peaceful means" and that "citizens can ask for rights and reforms through available legitimate channels."

Bahrain is among the latest Arab states to face a surge of dissent following the revolts that toppled longtime autocrats in Tunisia and Egypt.

By Wednesday morning, thousands of activists were camping out at the foot of the Pearl Roundabout, a Bahraini landmark. At the time, police were nowhere in sight as about 3,000 people laid out blankets and pitched tents.

"It's a very relaxed atmosphere," Mansoor Al-Jamri, editor of the newspaper Al Wasat, had told CNN. "You'd assume it was a picnic area if you didn't know it was the aftermath of people who died."

Activists have decried the use of pellet guns at short range by Bahrain's security forces. Amnesty International called the deaths "tragic" and "a very worrying development." In a recent report, the group said Bahraini authorities detained 23 opposition political activists in August and September, and held them without contact for two weeks, "during which some allege they were tortured."

Bahrain's Interior Ministry said on its website that an investigation has been ordered to find out the reason behind the incident. The kingdom's main opposition party, al Wifaq, has suspended its participation in parliament because of the security forces' action.

Bahrain is an American ally and houses the headquarters of the U.S. Navy's Fifth Fleet. In Washington, the State Department said Tuesday it was "very concerned" by the violence and said it welcomed the promise of an investigation.

Bahrain is ruled by a Sunni Muslim royal family, but two-thirds of the population are Shiites. In recent years, younger Shiites have staged violent protests to complain about discrimination, unemployment and corruption, and many Shiites say the country's constitution has done little to improve their condition.

The protest movement in Bahrain has been organized using social media websites such as Facebook and Twitter, in the same manner as the protests in Tunisia and Egypt.

CNN's Nic Robertson, Jenifer Fenton and Mitra Mobasherat contributed to this report

@highlight

NEW:Large crowd of angry demonstrators outside Salamaniya hospital

@highlight

NEW: Scenes of "complete, uncontrolled chaos" at Salamaniya hospital

@highlight

At least 2 people were killed when police confronted protesters

@highlight

Police fire tear gas and rubber bullets at demonstrators in Pearl Roundabout