Nairobi, Kenya (CNN) -- What do the Apollo space missions, laser eye surgery and sustainable cocoa have in common? These are just some of the historic breakthroughs that IBM research labs across the world have helped become a reality over the years.

But the prestigious tech firm had a glaring omission on their global map. Africa is now the fastest growing continent in the world, according a recent report from the African Development Bank. And yet IBM didn't have a single hub there -- until recently.

Last year, IBM opened its 12th research facility in Nairobi, Kenya's capital, its first in the continent. Spearheading this innovation center is Uyi Stewart, a Nigerian scientist who has spent more than 20 years overseas working on software answers to real-world problems.

Armed with this international experience, the researcher has now returned to the continent to help create innovative solutions for African everyday challenges.

"It's easy to talk about giving back but when the opportunity presents itself -- such as IBM Research Africa that allows you to create innovations in science and technology to begin to make a proper impact in the lives of more than a billion people -- I don't know what more can stop anybody," says Stewart.

Conquering the "new world"

As a teenager Stewart was interested in computer sciences. But his country's lack of infrastructure prompted him to look abroad as a way of" intellectual escape."

The bright Nigerian managed to secure a scholarship at the University of Cambridge in England and with only a plane ticket and bus fare he set off for, what he called, "the new world." After completing his education in England, Stewart moved to the U.S. where he began his career in software and services research.

Stewart went on to work in IBM's Services Innovation Lab -- an international program where he was responsible for the technical strategy at eight global facilities. Today, having returned to the continent, he wants to leverage the strong growth of Africa's emerging markets and continue IBM's longstanding tradition in research breakthroughs.

"As I build and design I have got to understand that the majority of my people live [on] under less than two dollars a day," he says. "[The] majority of my people only speak one language -- so think about those things -- that whole holistic view allows technological innovation to be relevant to the community. That is what we're calling Africanized solutions."

"Let's come back"

That approach is central to Stewart's work.

"All innovators in the continent of Africa should be problem centric," he says. "What problems are we trying to solve and ask yourself, at the end, 'who is going to use it?' If you ask those two questions then we can begin to talk about sustainability."

In recent years the Kenyan government has actively encouraged ICT development in the country. Christened the "African Silicon Savannah," the $9.2 billion project known as Konza City is an ambitious undertaking that could help Kenya become a technology and innovation hotspot.

The country's technological boom has also been spurred by a rise in the number of innovation centers, where young coders and aspiring entrepreneurs join forces, network and work on their trailblazing ideas.

Similar hubs have also mushroomed across the continent in recent years -- from Nigeria to Tanzania and Egypt to Madagascar. But while there is a boom in tech spaces across Africa, many of the apps created there often fail to take off. Stewart says tech entrepreneurs need to be cautious about starting businesses without any commercial foresight.

"Sustainability of innovation comes from commercial viability," he says. "If you innovate for fun, then we wouldn't be where we are today and I think that is the kind of ecosystem we see right now."

After more than two decades abroad, Stewart is committed to reverse the continent's so-called "brain drain," the exodus of brilliant minds relocating to countries outside Africa.

"I am part of the diaspora and I am home," he says. "And I am saying 'let's come back, there is just so much'; the winds of change [are] massive -- let's come back and make a difference," adds Stewart. "There is a tremendous potential for skill of impact when you innovate."

@highlight

IBM research has opened its 12th research facility in Kenya's capital, Nairobi

@highlight

Running first commercial tech lab in Africa is chief scientist Uyi Stewart

@highlight

He calls the bright African scientists working in the diaspora to come home

@highlight

"There is a tremendous potential for skill of impact when you innovate," says Stewart