(CNN)On Saturday, just hours after four suicide bombers set off a series of blasts in the northeastern Nigerian city of Maiduguri that left at least fifty people dead and scores more wounded, the militant organization thought responsible for the attacks, Boko Haram, reportedly announced that it was swearing allegiance to the so-called Islamic State in Iraq and Syria (ISIS). According to a report quoting the SITE extremist monitoring organization, an audio recording purportedly from Boko Haram's leader, Abubakar Shekau, hailed ISIS leader Abu Bakr al-Baghdadi as "caliph" and declared: "We announce our allegiance to the Caliph...and will hear and obey in times of difficulty and prosperity."

This latest development is not entirely unexpected given the increasing convergence between the two groups over the course of the last year as well as the severe pressure that the militaries of Nigeria and its neighbors have recently (if somewhat belatedly) brought to bear on it.

In fact, the "shout-outs" exchanged regularly between Boko Haram and ISIS were not just rhetorical flourishes, but indicative of a veritable courtship as the former appropriated more and more of the latter's symbolism, tactics, and ideology. This isn't the first time that Boko Haram has adapted itself to conform with a larger extremist network that could aid it: previously the group underwent a similar evolution after Shekau took over from its slain founder, Muhammad Yusuf, in 2009 and aligned it with al-Qaeda's affiliate in North Africa, al Qaeda in the Islamic Maghreb (AQIM), which gave Boko Haram training as well as facilitated its carrying out of Nigeria's first suicide bombings in 2011.

Despite the assistance that Boko Haram received from AQIM and other aligned groups in the years since, the Nigerian militants' ideology and brutal tactics have progressively drawn closer to those of ISIS. Like ISIS, Boko Haram has progressed far beyond asymmetric terrorist attacks to sophisticated military operations resulting in its successfully overrunning and effectively controlling large parts in northeastern Nigeria and displacing millions of people. Just two weeks ago, in his most recent annual Worldwide Threat Assessment, Director of National Intelligence James Clapper warned the U.S. Congress that "Boko Haram will probably continue to solidify its control over its self-declared Islamic state in northeastern Nigeria and expand its terror campaign into neighboring Nigerian states, Cameroon, Niger, and Chad."

The timing of Shekau's pledge of allegiance is not without its strategic logic. Notwithstanding its string of victories through the beginning of this year, Boko Haram has been reeling in recent weeks from a series of military defeats at the hands of the Nigerian armed forces as well as a multinational force from neighboring countries, including Niger, Chad, and Cameroon. The Nigerian government and its regional allies have been pushing back and, in quite a number of instances, retaking towns. Likewise, ISIS has seen its rampage through Syria and Iraq stall and it has increasingly been put on the defensive by operations like the massive Iranian-backed Iraqi offensive to retake Tikrit this past week. Thus for both groups the new linkage provides a much-needed propaganda fillip at a just the right moment.

So what does the pledge mean moving forward?

At least in the short term, the merger will not have much immediate impact on the battlefield: the different social and political contexts in which each operates and the vast geographical distance separating the two groups means that each will have to face its foes with little more than moral support from each other, notwithstanding some evidence of possible collaboration in cyberspace and in terms of media production.

However, finding the military noose tightening around him, and with the approbation of his new ISIS overlord who has embraced all manner of brutal tactics ranging from mass kidnappings and executions to the burning alive of a captured Jordanian pilot, Shekau can be expected to give even freer rein to the gruesome tactics for which he stands out, even among company such as this.

And with Nigerians scheduled to cast ballots in a hotly contested presidential election on March 28, it is virtually guaranteed that militants, who reject democratic politics along with other "infidel" ideas, will target the electioneering and voting processes as well as try to exploit whatever disputes and tensions arise from them. Saturday's quadruple bombing in Maiduguri may just be the start of an intensified campaign of terrorist attacks.

Over time, however, it could lead to the internationalization of a threat that has up to now largely been confined geographically. There is the risk that fighters from North Africa and other areas finding it harder to migrate to the ISIS caliphate's territory in the Levant, may well choose to move to the Boko Haram emirate instead. In fact, the international support recently pouring in for the multinational African anti-Boko Haram force from the United States, France, the United Kingdom, and others may render the Nigerian militants' fight all the more attractive to these foreign jihadists.

On the other hand, Boko Haram's success as a movement has largely been the result of its denunciations of the Nigerian political elites resonating with the many ordinary citizens as well as its ethnic appeal to the Kanuri population in particular, both of which advantages could be lost if it becomes merely another "province" of a far-flung "Islamic State" focused on a broader jihadist cause.

All this suggests that it remains to be seen whether the potential benefits of affiliation with ISIS -- including possible new streams of recruits, funding, and media and other support -- will offset Boko Haram's recent battlefield losses or outweigh the damage that it will incur as result, including greater attention from Western militaries and security agencies.

What is clear, however, is that Boko Haram has shown once again that it remains one of the fastest-evolving jihadist groups, one that bears close watching not only for its challenge to the security of Africa's most populous country and its biggest economy, but for its not insignificant threat to the wider region.

@highlight

Boko Haram has reportedly pledged its allegiance with ISIS

@highlight

Peter Pham: In short term, the merger won't have big impact on battlefield