President Barack Obama delivered a poignant personal promise to the American people Monday, vowing to continue to fight to improve racial tensions in America, given the "particular experiences" he brings to the office.

"I'm going to stay on this," the President said Monday in an interview with BET, a network that reaches a predominately young African-American audience. "Not only am I going to stay on it ... but hopefully the entire society says, 'Let's finally try to make some real progress on this.'"

Once criticized for shying away from the topic of race early on in his presidency, Obama has recently taken a more active role in sharing how his personal experiences help him to empathize with all kinds of people affected by the recent protests on racial tensions -- from protesters, to victims, to law enforcement officers, to families, and most importantly, to black youth.

In his interview with BET's "106 & Park," the President cited a meeting he had with nonviolent protesters Monday -- between ages 18-25.  For him, he says, listening to young African-Americans describe their own experiences of being stopped for no reason, or being unjustly labeled as suspicious, strikes a personal chord.

"My mind went back to what it was like for me when I was 17, 18, 20," the President said. "As I told them, not only do I hear the pain and frustration of being subjected to that kind of constant suspicion, part of the reason I got into politics was to figure out how can I bridge some of those gaps and understandings so that the larger country understands this is not just a black problem or a brown problem, this is an American problem."

The President also made a point to invoke Attorney General Eric Holder's race and civil rights record, saying, "He's got a similar set of stories and experiences he can share."

While most of the protests across the country have been relatively peaceful, many of the gatherings have caused traffic delays and street closures. According the President, those are small prices to pay in order to achieve the larger goal of ending racial tensions in America.

"A country's conscience sometimes has to be triggered by some inconvenience," the President said. "As long as they're peaceful, I think they're necessary. When they turn violent then they're counter-productive."

As he noted in the first half of his interview, teased Sunday, the clear video evidence available in the chokehold death of Eric Garner, a black man, in Staten Island in July has helped the broader public come to believe there are racial inequalities in the criminal justice system in a way the shooting death of Michael Brown, also black, in Ferguson, Missouri, in August, did not. In both cases, grand juries failed to indict the white police officers responsible for their deaths.

"It used to be folks would say, 'Well, maybe blacks are exaggerating. Some of these situations aren't what they describe,'" Obama said. "What we've now seen on television -- now for everybody to see -- gives us the opportunity to finally have the conversation, that you know, has been a long time coming."

The President will be interviewed by both Univision and Telemundo on Tuesday, both of which are networks that target primarily Latino audiences.

In his interview Monday, Obama suggested that people who aren't "African-American or Latino" view the deaths of both Michael Ferguson and Eric Garner as "tragedies."

@highlight

President Barack Obama promised, "I am going to stay on this," regarding race relations during a BET interview on Monday

@highlight

Obama said supports peaceful protesting in the wake of two recent grand jury decisions

@highlight

Video evidence has helped the broader public understand the concerns African-Americans have with law enforcement, he said