(CNN) -- In a televised address Monday night, U.S. President Barack Obama explained the reasons he involved the U.S. military in the U.N.-authorized mission in Libya, saying "it was not in our national interest" to let the citizens of a rebel stronghold suffer a massacre at the hands of approaching pro-government forces.

Obama also said that NATO would take full control of the military mission on Wednesday.

Following is a collection of reactions from people including U.S. politicians and political analysts.

U.S. Sen. John McCain, R-Arizona:

"I think that the first part of his speech was excellent, and he laid out the reasons why it was important to intervene and what would have happened in Benghazi. ... He made a strong case."

"Then ... he made a very puzzling comment, and that was (regime change by force) would be a mistake. Gadhafi must have been comforted by that."

"The president's policy is Gadhafi must go. I think there's a chance, if we keep the pressure on, Gadhafi could be thrown under the bus (by people surrounding him.)"

"It's clear we're on the side of the rebels in this conflict. ... (But) if we tell Gadhafi, 'Don't worry, you're not going to be removed by force,' I think that's very encouraging for Gadhafi."

Fareed Zakaria, host of CNN's "Fareed Zakaria GPS":

"It was actually an important speech. It was quite carefully constructed. It had a humanitarian angle, a strategic angle. But at the heart of what Obama is saying is that there are places in the world where the United States does not have vital national interests, where we have not been attacked, but we have limited interests and we're going to try to find a way to have some kind of limited military response."

"What John McCain was suggesting (in the reaction above) frankly strikes me as a very dangerous argument -- that in a place where we have clearly limited interests, clearly nonvital interests, the United States and the president should (have) an open-ended policy of military escalation and say we will do whatever it takes to get Moammar Gadhafi out of office. That is, frankly, the way we got in conflicts like Vietnam. In order to not be humiliated, we couldn't back down."

Michael Steel, spokesman for House Speaker John Boehner, R-Ohio:

"The speech failed to provide Americans much clarity to our involvement in Libya. Nine days into this military intervention, Americans still have no answer to the fundamental question: What does success in Libya look like?"

U.S. Sen. Lindsey Graham, R-South Carolina:

"I thought he did a good job talking about the signal we would send, that we are a values-based people, and stranding by these young people in Libya will serve us well in the future. But the line that really sort of broke my heart was that regime change by force would be a mistake. The goal of this country is to replace Gadhafi. If you look at the balance sheet of what it costs this nation with Gadhafi versus what it costs without him, it is in our interest to get rid of him, and the opposition needs continued military support -- not a ground invasion by the U.S. or any other Western power, but air support -- all the way to Tripoli."

"If we continue the model we have in place ... (the rebels) will win. If we back off, this thing is going to go on for a long time, and a lot of people will die unnecessarily."

Ali Suleiman Aujali, former Libyan ambassador to the United States:

"I think it is a great speech. The president was very clear and very determined, and defended his position in a nice way, and I think he convinced the American people."

"The Americans, they proved to the world they will not only intervene if there (are) American interests only, but ... also when human life is in danger. This is a historical decision. ... We really appreciate what America did for the Libyan people. The Libyan people ... deserve a better government."

Rudolph Giuliani, former New York City mayor:

"The president's speech tonight has made things even murkier than they were before. The whole purpose of this was to clarify our mission. Our mission is just internally contradictory. The president says our mission is to protect the people of Libya. Well, how do you protect the people of Libya and not be for regime change in Libya? Isn't the danger to the people of Libya Gadhafi?"

"The president's speech is illogical. If you were grading this on a Greek logic exam, you'd give it an F. The speech contradicts itself. It says limited action; we're not going to go any further than just protecting the people of Libya; we're not going to be for regime change. But you can't protect the people of Libya without regime change. Why are we there in the first place? Because Gadhafi was slaughtering his people. How can you leave him there?"

P.J. Crowley, former U.S. State Department spokesman:

"The president's policy is to assist in the removal of Moammar Gadhafi. The issue is not with the policy. The issue is the mechanism. We're acting in a limited manner to level the playing field so the Libyan people themselves and the opposition that has formed, they'll do that job. It's not for the United States to impose that from the outside."

Former New Mexico Gov. Bill Richardson:

"I felt the president was very presidential tonight. He explained the purpose: To avert a humanitarian disaster, to protect civilian lives. He even added ... a (potential) refugee crisis going to Tunisia and Egypt."

"I was very satisfied with his speech tonight. Again, consultation with Congress in the days ahead is going to be very important. But he explained the objective, and he explained what he wants to do, and the airstrikes have succeeded. Air defenses of Libya have been almost destroyed. The rebels are gaining momentum. Look, they're probably not perfect revolutionary characters, but they're sure as heck a lot better than Gadhafi staying. ... I applaud the president tonight."

Fouad Ajami, professor of Middle Eastern studies at Johns Hopkins University:

"I think it's the right thing at last. I think the president did a great job. I'm not a fan of President Obama; I didn't vote for him. I think he should have done this much earlier. But ... he finally did it. And I think he answered the great questions about this intervention. ... And he told us the truth: This was always about Benghazi. It was about a rescue operation that he was forced to do, and I think it's the right thing."

Anne-Marie Slaughter, professor of international affairs at Princeton University:

"I think (Obama) ... made clear that we went in to avoid what he described as violence on a horrific scale in Benghazi; that the mandate of the U.N. coalition ... is to protect Libyan civilians. I think that makes very clear what success looks like there. It means that Libyan civilians are safe -- safe in their houses, safe in their cities. At the same time, he made very clear that in his U.S. policy -- and the policy of many of our allies -- that Libya needs to have a new government that responds to the demands of the Libyan people, and that we will pursue every diplomatic and economic means to that end. And leveling the playing field militarily will certainly help."

David Gergen, CNN senior political analyst:

"I thought in general (Obama) made a compelling case -- a very strong case for intervention itself on humanitarian grounds. He made a compelling case that the United States has helped to organize the international coalition much more rapidly than has happened in the past, as in Bosnia. And furthermore, I think he made a compelling case that these early U.S. actions really have accomplished what the United States promised to do, and that was to stop Gadhafi from killing other people.

"But ... the success of the speech ended there, because he left open all these questions about where we go from here if there's a stalemate -- and there were signs today that there may be a stalemate. What are we going to do? What is NATO going to do? Who knows? I don't think anybody knows that. What is going to happen if Gadhafi hangs in there for six months? What do we do then? Nobody knows. What happens if Gadhafi gets forced out? What happens if the regime cracks and they turn on him -- even assassinate him? What's the United States' role going to be in building a new Libya? It thought that was left cloudy, and is going to continue the debate.

"But give President Obama his due. On the most important issue that he had to face tonight -- why he went in -- I thought he made a very, very strong case."

Ari Fleischer, White House press secretary under President George W. Bush

"The tricky think here is, when you have a president who does the right thing, but who does it four weeks too late, can you really say it is the right thing? This is really something that should have been done four weeks ago, when it was really likely that the rebels, by virtue of ... a multilateral action, could have tipped the scales and made Gadhafi think ... he needs to get out of there. I have a hard time seeing that happen now. I think it's a fight to the finish, and this finish ends up in a stalemate."

@highlight

NEW: Bill Richardson: Obama explained the purpose -- to avert a humanitarian disaster

@highlight

Sen. John McCain: Obama saying regime change won't be pursued militarily is "puzzling"

@highlight

CNN's Fareed Zakaria: "Important" speech explains U.S. military response is limited

@highlight

Rudolph Giuliani: "The president's speech tonight has made things even murkier"