(CNN) -- The United Nations is asking countries and donors around the world to send urgent aid to the victims of the flooding in Pakistan, one-fifth of which is now under water.

The aid requested is only half the amount the world body asked for in the aftermath of Haiti's devastating earthquake this year -- but twice as many Pakistanis are in dire need of help.

The money poured in for survivors of Haiti's quake, but the funds are only slowly trickling in for people left homeless or ill in the wake of widespread flooding in the South Asian nation.

Is it because the earthquake was such a sudden shock, destroying huge chunks of cities and villages within a matter of 35 horrifying seconds while Pakistan's floods evolved over three weeks?

That's part of the reason, said Alex Wynter of the International Federation of Red Cross and Red Crescent Societies.

"Floods are always more difficult to raise money for than dramatic seismic events that happen suddenly, because the scale of it only creeps up on people," Wynter said. "However, this is a totally exceptional flood. I have seen quite a number of floods in my time, but never anything remotely approaching this scale."

Much also depends on media coverage and the images that permeate television and computer screens. In Haiti, pictures of the collapsed presidential palace and vast tent cities tugged at hearts.

"It's very hard to compare disasters," said Nicholas Reader, spokesman for the United Nations Office for the Coordination of Humanitarian Affairs (OCHA). "Haiti was instant, extremely visual. There was an outpouring of sympathy. Pakistan has been a slowly evolving disaster."

Though it is far from truth, the suffering in Pakistan appears more muted than when dump trucks carried thousands of crushed bodies to mass graves outside the Haitian capital of Port-au-Prince.

In Haiti, about 3 million lives were disrupted and more than 200,000 people died in the massive January earthquake.

The flooding in Pakistan has been of epic proportions: 20 million people affected; more than 1,400 dead; 900,000 homes damaged; 3.5 million children at risk of waterborne diseases. More people have been affected than in the 2004 South Asia tsunami, the 2005 South Asia earthquake, and the Haiti earthquake combined.

But the enormous scale of Pakistan's tragedy has been hard to grasp.

The death toll has not been nearly as high as it was in those previous disasters. Ironically, that may be a reason why aid has been slow to come in.

"The public is not as shocked by a disaster if the death toll is lower, so we are trying to really push this emergency into the headlines so people understand the enormity of it," said Maurizio Giuliano, spokesman for OCHA in Pakistan.

"The slow onset of the emergency meant that nobody knew the real scale at the beginning. It is a picture which is still evolving," he said.

The United Nations asked for $460 million to cover six million Pakistanis over the next three months, but has only raised one-third of that so far.

In Haiti, the United Nations received $286 million in just three days. Its request for $1.2 billion for three million Haitians over a six-month period was fulfilled within a couple of weeks, Reader said.

Farzana Shaikh, an expert on Pakistan for the London-based Chatham House think-tank, blamed the country's reputation on the international stage for the low donor turnout. Many people associate Pakistan with Islamic militancy.

"Pakistan is seen to have done the international community the disservice of aiding and abetting terrorism, and this perception has almost certainly influenced people's willingness to dig deep into their pockets," Shaikh said.

There are also perceptions that Pakistan is mired in corruption and that money donated in the aftermath of the 2005 earthquake disappeared into a black hole.

"Unless Pakistan can show that it can be transparent, the international community will be wary of pumping in the kind of money that it needs at the moment," Shaikh said. "In the meantime, many more thousands of people in Pakistan will die as a result of these floods."

Donors like to give money to problems they feel they can help solve. They like to make a difference, said Peter Singer, a professor of bioethics at Princeton University who has studied the subject.

"There's lots of evidence that shows people are less likely to help if they feel it's a really big problem and they can't make a difference," said Singer, author of "The Life You Can Save."

"When you hear the extent of the problem in Pakistan, I think there is a sense of futility."

Haiti was smaller -- and closer to America. Americans felt a moral responsibility to help and dug deep into their pockets. What was Haiti's gain has been Pakistan's loss, said Waleed Rauf, country director in Pakistan for the humanitarian agency CARE.

He called it Haiti donor fatigue. In the middle of a recession, to boot.

"There was a great outpouring of aid for Haiti," Rauf said from Islamabad. "So we know it's there. People are suffering in Pakistan.

He urged people to think of it this way: Take the effects of Hurricane Katrina in the four coastal states and multiply the misery. Over and over again.

@highlight

The response to the Haiti earthquake was quicker and more generous

@highlight

Aid experts think it has to do with the evolving nature of the flooding

@highlight

They also point to Pakistan's global image and donor fatigue