(CNN) -- When Frederick Hutson left prison in 2012 after serving four years on marijuana-related charges, he realized he had gained something more than his freedom: insight into an overlooked consumer market.

Many inmates are stuck in an age before Instagram or Facebook, relying on envelopes and pay phones to connect with family on the outside.

So Hutson founded Pigeonly, a photo-sharing and low-cost phone call service that has already helped 50,000 incarcerated individuals connect with their loved ones, maintain their ties to society, and remain a presence in their children's lives.

The story of Pigeonly is statistically unlikely: a disruptive technology created by a member of a disenfranchised community, in order to solve a problem within that community.

It is also a model for the type of entrepreneurship that can revive American capitalism: both inclusive of and responsive to America's changing demographics.

One of the great achievements of the civil rights and women's rights movements was that they unleashed an enormous pool of talent into the economic life of America. Desegregation and the women's movement broke down barriers to education and employment and made our nation stronger by making it more competitive.

Yet 50 years later, a narrow vision of capitalism once again threatens to leave many Americans behind. Our nation's failure to achieve equal educational opportunity has exacerbated race-based economic disparities and produced two starkly different American economies.

And while women have made strong gains in professional life, they remain dramatically underrepresented in many of the most profitable sectors. Silicon Valley is hardly the only place where this is evident, but addressing it here is crucial to turning the tide.

Last year there were eight states where zero Latino students took the Advanced Placement exam in computer science, and 11 states in which no black students took the test. In three states, not a single female student sat for the exam.

It is no surprise, then, that 99% of venture capital-funded startups in 2010 were founded by whites or people of Asian descent, the vast majority of whom were men. The result of this pipeline problem is an enormous amount of untapped talent and a tech sector that fails to reflect the demographics of its users.

To be sure, government can play a crucial role in leveling the playing field. But it can only go so far. The leaders of the innovation economy can and should play their part in reviving capitalism by making it more responsive to a changing country's full range of widespread needs and more inclusive in the process.

This is a practical demand as much as a moral one.

Underrepresented populations are uniquely prepared to do what the tech sector claims to do best: innovate.

Look at the app store on any smartphone. There are thousands of programs to edit a photo or help you check the weather, but far fewer that exist to close the gaps in our society.

In Silicon Valley, we like to say that every problem is a potential opportunity. But it takes a diversity of backgrounds to identify the real-world problems begging for a solution. Simply put, startups like Pigeonly are shattering expectations of what the market demands.

Smart investors are looking at firms like Regalii, which helps immigrants send cash remittances back to their home countries, or Plaza Familia, a Latina-founded multilingual education software platform that helps parents track their children's' school progress in their native language.

Our firm, Kapor Capital, invests in these companies and dozens of others that work to close gaps. We saw that startups like Pigeonly were launched by entrepreneurs who identified an unmet need in the market as a result of their life experiences.

Silicon Valley tells an idealistic story of itself and the revolutionary role of tech leaders in the 21st century economy.

Tech innovation can and should expand wealth, democratize access to opportunity, and build a meritocracy where talent matters most. However, we still have a long way to go.

We will be there when companies like Pigeonly, Regalii, and Plaza Familia and their founders -- African-Americans, Latinos, women of all colors, and others historically excluded -- are no longer the exception to the rule.

Capitalism remains our nation's operating system. The current version needs an upgrade. Investing in the people who are too often locked out, and their ideas, can advance our economy and our country to the next level.

Join us on Facebook.com/CNNOpinion.

@highlight

Mitch Kapor and Ben Jealous worry that a lack of diversity in tech firms is stalling innovation

@highlight

Startups succeed, they say, when they meet unmet needs

@highlight

Innovators from diverse backgrounds can uncover fresh, unsolved problems

@highlight

Capitalism, they say, is U.S. operating system but current version needs an upgrade