(CNN) -- When the Google Maps app for the iPhone had finally been released late Wednesday night, there was a collective rejoicing from Apple fans worldwide -- many took to Twitter and Facebook to relish in the news and download it immediately. Not at all surprisingly, the app quickly soared to the top of the free apps list in the Apple App Store.

But with expectations beyond high for Google to swoop in and save the day from Apple's unreliable, problematic maps app -- which replaced the existing Google Maps app in September with the rollout of the new iOS 6 software -- many just hoped Google's version would live up to promises of being a superior mapping platform for the iPhone.

SEE ALSO: Google Maps Soars to Top of Free App List

On the surface, it wouldn't have to take much to beat out the Apple Maps app, which had been widely criticized for omitting transit directions, giving poor navigation and displaying incomplete 3D views that distort national monuments, such as the Eiffel Tower. Not to mention the broken roads and satellite views that display nothing but clouds.

The good news, however, is that the Google Maps app is excellent. Superb, even. But not perfect -- some are reporting issues with direction accuracy as well.

Overall, users will have to choose to access it over Apple Maps which already comes on the platform. Here's a look at how the two stack up:

Accuracy

Google Maps has years of experience perfecting data accuracy and the latest app shows it. When typing in an address in the New York City area, it quickly identified our location and presented us with the target destination, even when a vague address was used. However, some users have expressed frustration with direction accuracy so far, but the reports are nowhere near the inaccuracy outcry caused after the launch of the Apple Maps app.

Apple Maps was slammed for accuracy issues right out of the gate in September. The hits just kept on coming, too -- police in Australia recently issued a warning not to rely on Apple Maps since it was steering users to areas far from their destinations and in one case, misdirected a group of people who became stranded in dangerous terrain with no water.

Apple worked for years to build trust in its users that its products just work (always), but this set the company back a bit. Now, people love to talk about how much they hate the Apple Maps app. (Apple CEO Tim Cook has since fired the manager in charge of apps).

Voice Navigation

A perk for both platforms: voice-assistant Siri can help users out with directions via Apple Maps, while Google's platform also features voice guided turn-by-turn navigation. This was rumored to be a big point of contention in why Google Maps was kicked off iOS in the first place, but now both services have it -- an effective draw.

Public Transportation

One of the biggest gripes about Apple Maps was that it didn't come with public transportation directions. Google Maps not only provides detailed instructions on how to get from one point to another, it also gives estimated times of arrival for the next train and pinpoints when you will arrive at a destination.

Interface, 3D Views

The Google Maps interface is sleek and more organized than ever before. Users can select a home and work address within their profile to keep it on hand and quickly get directions. But say what you want about Apple Maps and its accuracy issues, it's hard to deny its interface is gorgeous and touts some impressive features. For example, by accessing the satellite view in Maps for cities such as New York, San Francisco and London, users are treated to 3D imagery. Attention to detail is so spot on that it almost looks like you're flying through streets as though you were in a video game.

Although Google Maps incorporates 2D and 3D views via Street View, as well as the rotating and tilting of maps with gestures inside the app, we still prefer Apple's design.

One-Stop Shop

Google Maps has made a poignant effort to become a destination spot on the iPhone. Typing in the name of a business not only reveals directions on how to get there, but additional information that may be of interest. For example, Google has partnered with such as Yelp and Zagat to provide users with a full look at restaurant reviews, menus, photos and making reservations. This capability is not yet available via Apple Maps.

Developer Integration

As a bonus for developers -- and app users alike -- Google announced Google Maps SDK for iOS, which gives app developers the opportunity to use maps within apps for the iPod Touch, iPhone and iPad. This will help users easily search and get the directions they want while using other apps and ultimately strengthen Google's maps reach.

Final Destination

While Apple Maps excels in some ways (3D rendering in particular) there are just too many arrows in Google Maps' quiver -- especially now that it's brought turn-by-turn navigation to its iOS app. Public transit, street view and easy searching propel Google to a clear victory -- for now.

© 2013 MASHABLE.com. All rights reserved.

@highlight

Review: New Google Maps for iPhone puts Apple's maps to shame

@highlight

New offering is superb, but not perfect

@highlight

Accuracy, navigation and public transit all better on Google's tool

@highlight

Apple dumped Google Maps on its newest operating system, iOS 6