(CNN) -- Support for abortion rights has fallen sharply in the past year, with Americans now split roughly 50-50 between those who back legal access to abortion and those who oppose it, according to a new survey.

Anti-abortion activists demonstrate on Capitol Hill in Washington in September.

The findings mark a dramatic shift in public opinion, supporters of abortion rights have outnumbered opponents for many years, with one brief exception, studies have shown.

But only 47 percent of Americans now feel abortion should be legal in all or most cases, a drop from 54 percent a year ago, according to the poll.

Meanwhile, 45 percent say it should be illegal in all or most cases. That's up from 41 percent a year ago.

Given the survey's margin of error, the two camps are statistically tied.

"These data suggest that a number of people have changed their minds in the past year," said Gregory Smith of the Pew Forum on Religion & Public Life, one of the survey's authors.

It's not only one type of person or group whose opinion has changed, he said.

"There was a drop seen in many, many demographics: men and women, people with a college degree and those with less education, people with various religious backgrounds," he said.

The only groups whose opinions on abortion did not change were African-Americans -- who tend to oppose it -- and young people and those not affiliated with any particular religion, who tend to say it should be legal, he said.

"Beyond that, this movement [was] across the board," he said.

Anti-abortion activists welcomed the findings.

"This is great news. This poll shows that the pro-life movement is winning hearts and minds. Pro-lifers are making an effective case that all women deserve better than abortion and that every child deserves a chance to be born," said Cathy Ruse, the senior fellow for legal studies at the anti-abortion Family Research Council in Washington.

The Rev. Flip Benham, a Dallas, Texas-based anti-abortion activist, said the survey reflected a change he had already seen taking place.

"It's something that we have known for a long, long time that's been beneath the radar," he said. "The heart of America is changing and only with time do the laws reflect that change."

"When the church will come out into the streets, we win the battle," said Benham, director of operations for Operation Save America.

"We have to return to the God of our founding fathers and our pilgrim fathers," he said.

But Terry O'Neill, the president of the National Organization for Women, firmly rejects religious opposition to abortion.

"Abortion is a blessing when it is chosen freely by a woman who needs it. It is a blessing," she said, citing the Rev. Katherine Ragsdale, dean of the Episcopal Divinity School.

O'Neill has been in that position herself, she said.

"When I was in my early 20s, I thought I needed an abortion. I was escaping a very violent marriage that lasted about eight months," she said. "The young man I was married to exploded and severely battered me."

She fled to her parents' home. A month later, she began to suspect she was pregnant with her abusive husband's child.

"If I had had a baby, I would have been tied to that man for the rest of my life," she said. "I didn't need the abortion, as it turned out, but if I had needed that abortion, it would have been a blessing.

"I knew I was going to become a mother, but not with that man, not with that pregnancy," she said.

She said it was important to distinguish between people who oppose abortion and those who want it to be against the law.

"I do realize that a lot of people in this country consider themselves to be pro-life," she said. "They also don't want it to be a crime for a woman to get an abortion."

Smith, the researcher, suspects the election of President Obama, a pro-choice Democrat, may be one cause of the shift in public opinion.

"Look at the timing," he said. "Through October of last year, the findings were consistent, with supporters outnumbering opponents," he said.

Pew first noticed the change in public opinion in a survey in April, and did a larger study in August to confirm it.

Opponents of abortion feel more strongly about it than supporters of legal access, he said.

"Some people, particularly on the right, have become more entrenched, more certain of their own positions on abortion," he said.

"Conservative Republicans are more certain about the correctness of their own position and less likely to say they want to see compromise. They are concerned that Obama will go too far in supporting abortion rights as president," he said. "On the left you see some relaxing of views."

But the survey also found that the number of people who felt passionately about abortion is falling.

About four out of 10 people in the survey could not define Obama's position on abortion.

"That is an indicator that although opinions have moved, this issue right now is not at the top of the political debate," Smith said.

But the subject has crept into the battle to reform America's health care system, with opponents of abortion in both parties determined to prevent federal dollars from funding abortions. Under the Hyde amendment, federal money currently can be used to pay for abortions only in case of rape, incest and to protect the life of the mother.

There have been at least two abortion-related slayings in the United States this year, one on each side of the debate.

George Tiller, a doctor known for performing abortions, was killed in May.

Tiller was shot in the head at point-blank range on May 31 as services began at Reformation Lutheran Church in Wichita, Kansas. Scott Roeder, a 51-year-old anti-abortion activist, is charged in Tiller's killing. He has pleaded not guilty.

Anti-abortion activist Jim Pouillon, 63, was shot dead outside a school in Owosso, Michigan, on September 11. He was associated with Benham's Operation Save America.

Harlan James Drake, 33, is accused of shooting him and another man in separate locations that day.

Authorities do not believe that Drake knew Pouillon; only that he was offended by anti-abortion material that Pouillon had displayed across from the school all week, according to Sara Edwards of the Shiawassee County prosecutor's office.

The Supreme Court, the country's main legal battleground on abortion, has ruled only once on the hot-button subject since 1992, in a close 2007 decision that upheld federal restrictions on a controversial late-term abortion procedure called "partial birth abortion" by its opponents.

Judge Sonia Sotomayor, then a federal appeals court judge, deflected questions about abortion this summer when she faced Senate confirmation hearings for a seat on the Supreme Court. She was confirmed. The court has not announced any abortion-related cases on its 2009-2010 docket.

The 1973 Supreme Court ruling Roe v. Wade effectively legalized abortion in the United States.

In 2005, 1.21 million abortions were performed, down from 1.31 million in 2000, according to data compiled by the Alan Guttmacher Institute, which aims to "advance sexual and reproductive health worldwide through research, policy analysis and education."

About 2 percent of American women age 15-44 had an abortion in 2005, the latest year for which the institute has information. The rate has been falling gradually since 1981, when it peaked at just under 3 percent, institute figures show.

The new findings come from a telephone survey of more than 4,000 adults in August 2009, conducted by the Washington-based Pew Forum on Religion & Public Life and the Pew Research Center for The People & The Press.

CNN Supreme Court producer Bill Mears contributed to this report.

@highlight

Americans split 50-50 on whether women should have legal access to abortion

@highlight

Findings mark a shift; supporters of abortion rights have been majority for years

@highlight

Subject comes up in health care debate, with questions over funding for abortions

@highlight

Study found fewer people on both sides feel passionately about the issue