(CNN) -- How often do you see sports stars looking to the heavens in search of a little inspiration?

They might be on to something.

That's why the team hoping to build one of the fastest yachts on the planet is not looking to the water -- but to the sky. Or to be more precise, the giant passenger plane flying overhead.

Oracle Team USA, the reigning America's Cup champions, have revealed their unlikely "secret weapon" in the hugely prestigious sailing race is Airbus.

The aviation giant has partnered with billionaire businessman Larry Ellison's sailing team to create what it hopes will be an unbeatable high-tech yacht in the next edition of the race in 2017.

But what does an airplane company know about boat design?

"If you look at it closer, sailing and flying share a common DNA," said Airbus President and CEO, Fabrice BrÃ©gie.

"Look at the importance of wind forces on airplane wings, and wind forces on the sails of a boat. They even look alike. And the speeds in aviation and boating share the same unit -- the knot."

Planes on water

Indeed, gone are the days of heavy wooden yachts with single hulls and white billowing sails.

Today's sleek carbon fiber multihulls are like airplanes on water, sitting high above the waves, with crew members wearing wetsuits, carrying oxygen tanks, and communicating via radio.

And much like aircraft, these feats of design have rigid sails, rather than conventional material ones.

With competing teams spending tens of millions of dollars on their America's Cup bids, Ellison -- a software entrepreneur with an estimated fortune of $48 billion -- will also be digging into his deep pockets to create a state-of-the-art yacht.

"The America's Cup is a boat race, but the design technology and engineering are very often the winning factor," said team skipper Jimmy Spithill, who knows what he's talking about -- he also has a pilot's license.

"They're as much like airplanes as they are like traditional boats, so I know we'll have a lot to learn from the engineers at Airbus."

Rule Britannia?

Watching developments closely will be the British challengers -- led by four-time Olympic gold medalist Ben Ainslie -- who earlier this year launched their $134 million bid alongside their own secret weapon -- the Duchess of Cambridge, Kate Middleton.

A keen sailor herself, the Duchess went head-to-head against her husband Prince William in a yacht race during their recent tour of Australia and New Zealand -- emerging victorious 2-0.

It's hoped she'll not only pass on some of that winning spirit to Ainslie's team, but also add the type of international luster so attractive to the world's richest investors.

In the 163 year history of the race, Britain has never won the prestigious silver trophy. Adding insult to injury, the first competition took place on its shores in 1851.

Where sky and sea meet

Back across the Atlantic, work has already begun collecting data on the Team USA boat, with over 300 on-board sensors providing real time information to a main server.

Much like its planes, Airbus will be analyzing the data closely.

"When they get a brand new plane for the first time, they fly it and log hundreds and hundreds of variables," explained Oracle Team USA project manager, Ian Burns.

"They are testing it and trying to improve the airplane." he said. "And this is exactly the same when we launch our boat and go sailing for the first time."

Perhaps Airbus will also take away a thing or two from its new water-based collaboration.

Already, the company has introduced a ridged texture much like shark's skin on its plane's wings, to improve air flow.

The worlds of flight and sail are not so dissimilar as they might seem. And somewhere between sky and sea, the next America's Cup will take place.

Insight: Guts and glory -- 162 years of America's Cup design

See: Daredevil photographer captures 'perfect shot'

@highlight

Airbus partners with Team USA to create high-tech yacht

@highlight

Part of Larry Ellison's multimillion dollar America's Cup bid

@highlight

Modern airplanes and yachts have similar rigid wings and sails

@highlight

Airbus also using shark-like skin on wings to improve air flow