London (CNN)If you're hunting for the earliest galaxies and clues about potential life on other planets you are going to need a very big mirror and a golf ball of gold.

They are both necessary for the construction of The James Webb Space Telescope (JWST), intended as the successor to the Hubble instrument that has been operating in space for 25 years.

It's going to be a tough act to follow. Hubble has returned spectacular images during the past quarter century but also helped scientists discover that almost every galaxy has a massive black hole at its heart and that the expansion of the universe is speeding up.

But there are limits to how far it can see. Now scientists are working on an alternative way to peer into the past and search space for signs of life with JWST -- scheduled to launch in October 2018 on an Ariane 5 rocket from French Guiana.

NASA spokesperson Lynn Chandler told CNN that the mission was like opening up the curtains on the universe and peering inside.

"Hubble rewrote the text books and we're planning to rewrite the text books again," she said. "JWST will answer the questions which at the moment we can't think to ask."

The Webb telescope is a big probe. Hubble is about the size of a school bus but JWST is as big as a tennis court.

There isn't a rocket currently capable of carrying that so as Chandler explained: "It has to be folded up like a flower and then unfurled like a transformer."

Named after James E. Webb, a former NASA leader, JWST is being designed to study the first stars and galaxies that formed in the early universe.

NASA says that to see these objects the telescope will have to detect objects which are 10 to 100 times fainter than Hubble can currently see.

Instead of studying visible and ultraviolet light like Hubble, the JWST will work in the infra-red spectrum, allowing scientists to detect more distant targets.

The new telescope requires a huge mirror of 25 square meters (about 270 square feet) -- and a golf ball of gold (about 48 grams or 1.7 ounces) to optimize it for infra-red light. It is then coated with glass.

But technology like this doesn't come cheap. According to NASA, the mission, which is in collaboration with the European Space Agency (ESA) and the Canadian Space Agency (CSA) and involves a total of 14 countries, will cost $8.5 billion.

NASA says that the project has four main goals -- namely, to search for the first galaxies formed after the Big Bang, find out how galaxies evolved, observe the birth of stars and planets and investigate the potential for life on other planets

Scientists hope the telescope will be able to tell us more about objects that formed 13 billion years ago -- about 700-800 million years after the Big Bang.

But closer to home, scientists also believe the new telescope will able to detect planets around nearby stars.

NASA says JWST should be able to operate for between five and 10 years, restricted only by the amount of fuel it has to maintain orbit and the ability of the electronics to stand up to the harsh space environment.

Opinion: Why astronomy counts on Earth

@highlight

Hubble has helped make major discoveries but there are limits to how far it can see into space

@highlight

The James Webb Space Telescope will work in the infra-red and be able to see objects that formed 13 billion years ago

@highlight

Scientists also believe the new telescope will be able to detect planets around nearby stars