Washington (CNN) -- The Supreme Court on Tuesday rejected an appeal from a North Carolina county that had regularly opened its public meetings with Christian prayers.

The church-state dispute is a victory for two Forsyth County residents who brought suit against the Board of Commissioners. Janet Joyner and Constance Lynn Blackmon were represented in their court challenge by the American Civil Liberties Union and Americans United for Separation of Church and State.

"When government meetings are opened regularly with Christian prayer, it sends the unmistakable message that non-Christians are second-class citizens in their own community," said the Rev. Barry Lynn, who heads Americans United, a Washington-based group. "The Constitution clearly forbids government to play favorites when it comes to religion."

Court records show that 26 of 33 invocations given at the council meetings in 2007 and 2008 contained references to Jesus Christ, the Trinity, or other Christian symbols or names. Clergy members from the community often delivered the sectarian invocations. The county seat is Winston-Salem, one the largest cities in the state.

A federal appeals court last year found the prayers to be an unconstitutional violation of the Constitution's Establishment Clause, which forbids any government endorsement of one religion over another.

The case is Forsyth County, N.C., v. Joyner (11-546).

The high court also turned aside a pair of student speech cases involving off-campus activity in the digital age. Both appeals involved school suspensions of students who engaged in cyberattacks using their home computers.

In one appeal from northeastern Pennsylvania, the justices let stand a lower-court ruling in favor of an eighth-grade girl who created a fake MySpace profile of her male principal, who was described as a "hairy sex addict" and a "pervert." Attached was a real photo of James McGonigle of Blue Mountain Middle School near Allentown.

Court records show the posting was widely circulated at the school among students and faculty, and the principal eventually suspended the girl for 10 days. Her parents, Steven and Terry Snyder, then sued and were represented by the ACLU, which called the posting a "juvenile humor" parody.

A federal appeals court concluded that the posting caused no substantial disruption at the school, and that officials lacked authority "to punish students for off-campus speech."

That same court also ruled in favor of a Pittsburgh-area high school student who also created a mock MySpace profile of his principal, who was labeled as a drug user, "whore," and "big fag."

But a separate appeals court had given a West Virginia school district a legal victory after a high school senior was punished for creating what officials called a targeted "hate website." Kara Kowalski had organized a MySpace discussion group involving about a 100 classmates, suggesting a fellow student was a "slut" who had contracted herpes. Kowalski sued after she was cited for violating the county school policy on bullying and harassment.

Free speech advocates and national school coalitions separately urged the high court to intervene and resolve the conflicting rulings, but the justices gave no reason for their decision to stay out, at least in these disputes.

"Now is the time for the Supreme Court to resolve the question of whether and to what extent school districts have the authority to discipline students for off-campus speech," said Francisco Negron Jr., of the National School Boards Association. "As technology blurs the lines between on-campus and off-campus speech, school districts need clear guidance to be able to effectively address extreme off-campus speech that interferes with a safe and orderly learning environment."

In the famous "Tinker" case from 1969, the Supreme Court ruled two Iowa high school students could continue wearing anti-Vietnam War armbands. The high court established an important precedent, saying students do not "shed their constitutional rights when they enter the schoolhouse door." But school administrators do retain the authority to restrict any activity that would cause a "substantial disruption" of the school's educational mission.

The current cases are Blue Mountain School District v. J.S. (11-502); and Kowalski v. Berkeley County Schools (11-461).

@highlight

Two Forsyth County, North Carolina, residents objected to board meeting prayers

@highlight

The Supreme Court lets a lower court ruling in their favor stand

@highlight

The high court also let stand rulings favoring students who posted online