(CNN) -- Does the idea of spending time in the Magic Kingdom with the Mickey Mouse gang leave you thinking "Oh, rats!"? Does the idea of spending time with the hot people of Miami's trendy South Beach leave you cold?

Well, don't give up on Florida just yet. There's still a Sunshine State for folks like us -- it's "Old Florida." (And I'm not talking retirement communities here).

Sometimes thought of as "Forgotten Florida," I'm talking about the more northerly portions of the state. It's the part that thrived a century ago during the first waves of development but has been bypassed by most tourists in recent decades for Orlando and points south.

This is the Florida where the Deep South intermingles with the tropics. Here, oaks draped with Spanish moss stand guard over saw palmetto and vivid flowers. They all thrive by crystal-clear rivers and springs.

Its towns are smaller, quiet and friendly. Many of its attractions emphasize the natural environment. It's a place for hiking, biking, kayaking, snorkeling, tubing and fishing. And you can enjoy it all without devastating your wallet and facing large or pretentious crowds.

I made two visits down there this summer and fall. Here are nine spots worthy of a visit:

1. Cedar Key

Welcome to Mayberry by the Sea. This Gulf Coast fishing village, about 50 miles southwest of Gainesville, is gloriously isolated and seemingly of another era. There are no chain restaurants, hotels or grocery stores here (or none that I ran across).

What you will find here: An unassuming town of modest and funky tin-roofed homes, a few '50s-style motels and quaint shops. Lots of folks get around via golf carts and bicycles, which they don't seem to ever lock up. Art is a big part of the town, with all manner of public displays popping up. Charter boats at the marina offer fishing excursions and exploration rides, including sunset cruises.

With such a relaxed atmosphere, Cedar Key has a bit of a Key West vibe -- minus the all-night party atmosphere. This is a town that goes mostly silent by 10 p.m.

Cedar Key's culinary fame is clam chowder. The Big Deck had such good chowder I went back for a second night.

If you seek a traditional, white-sand beach with aqua Gulf of Mexico waters right at your doorstep, you need to go elsewhere. But if you want to escape to another time where simple pleasures rule, Cedar Key is the place.

2. Homosassa Springs Wildlife State Park

One word: Manatees. They got 'em, and you can see these gentle giants feeding on heads of lettuce from an underwater observation deck.

This is a wonderful state park dedicated to native flora and fauna (minus one hippo that is a holdover from another incarnation of the park). The birds in particular are spectacular, but you can also see bears, bobcats and gators -- oh my!

Do not skip the 15-minute-or-so boat ride from the parking area to the animal displays, where they take you down a narrow, blackwater creek. You feel like you're in a jungle. And you kind of are.

At $13 for one adult, the admission is more than is typical for Florida state parks, but it's worth it.

3. Alexander Springs, Ocala National Forest

This is no ordinary swimming hole, unless you've been dipping in a pool of chilly gin before. The water is that clear and that cool. Honestly.

Alexander Springs is one of several in Ocala National Forest, a true gem of a wilderness that will evoke memories of "The Yearling" if you ever read that Pulitzer-winning novel.

If you get tired of swimming in the brisk, limpid waters, you can explore the lush surrounding forest on a boardwalk and trail. Be sure to arrive early if you come on a hot summer weekend. There's limited parking.

4. Stephen Foster Folk Culture Center State Park

Way down upon the Suwannee River, far, far away from Florida's more crowded tourist sites, lies a pretty little state park not so far from Georgia and an easy jump off Interstate 75.

Honoring American composer Stephen Foster, this park is perched by the famed river that looks like moving black glass contained by tall, white-sand banks. You can't swim here (gators), but you can hike alongside the intriguing, mysterious waterway or go canoeing.

You can also enjoy Foster exhibits, including old pianos and desks he used. Check the park's calendar -- they have various programs throughout the year. No need to bring your iPod; the park's 97-bell carillon housed in an impressively tall brick tower provides the musical backdrop.

The nearby town of White Springs has some pretty old homes, too.

5. Apalachicola and Eastpoint

If you love oysters, you probably have heard about this place. If you don't love oysters, you should still check it out. Apalachicola oozes "Old Florida" charm.

Set alongside a namesake bay and river, this town has one foot in the workday world of harvesting the Gulf's riches and the other foot in artsy boutiques and the like. Somehow, they combine nicely.

Up the Creek Raw Bar provides a fantastic view to enjoy a dozen oysters and a beer.

Be sure to venture out from the little business district. Apalachicola has some lovely, meticulously maintained homes over which you'll drool.

I stayed across the bay in nearby Eastpoint, which is even smaller, more blue collar and boutique-free.

The Sportsman's Lodge offers a great price. The rooms are dated and a bit stuffy, but the grounds, overflowing with foliage and overrun with peacocks, more than make up for it. And it is perfectly poised to take in awe-inspiring, multicolored sunsets. Bring plenty o' mosquito repellent lest that sunset be your last.

6. St. George Island State Park

It's often cited in Top 10 Florida beach lists, and with good reason.

This stretch of the Gulf of Mexico is stunning, and this park is poised to take full advantage. Dune restoration and preservation are emphasized, and the park is a short drive from Eastpoint and Apalachicola.

If you're not a fan of crowds, this is the place to be. This is a big place with miles and miles of beach unadulterated by condos, high-rises and general seashore tackiness. Camping sites are available for folks who like to do that.

7. St. Joseph Peninsula State Park

In the same general area as St. George, you can't go wrong with this park, either. If anything, I liked it a little more. There didn't seem to be as much beach and parking for visitors, but the green and blue waters and soft sands were just as inviting.

What really sold me on St. Joseph were the bayside trails; they were nothing less than outstanding. I heard a symphony of birds and insects on my hike, and every turn of the trail revealed another splendid mix of green pines, brown marsh grasses, white sand, dark blue water and pale blue sky.

This little slice of paradise costs gas money to drive there and 4 bucks for a single adult. A carload of folks gets in for $2 more.

8. Wakulla Springs State Park

Florida is truly blessed with freshwater springs, and Wakulla is another standout.

Not too far from Tallahassee, it's hard to find, but worth the trouble. The park has trails for hiking, but the big attractions are the swimming area and the one-hour riverboat rides, which are well worth the $8 for an adult. You get up close and personal with all manner of exotic birds, big fat alligators (and I do mean big and fat) and, if you're lucky, a few manatees. We were striking it so rich with wildlife on our ride that our generous flat-boat captain let us stay out an extra 15 minutes.

I had the cool swimming area to myself on a weekday in October, but I imagine it's filled up with splashy, happy children in northern Florida's hot summer weekends.

9. Amelia Island and Fernandina Beach

I'm an Atlantic Ocean kind of fellow, so I had to end with a nod to the salty waters I know best.

You can't go any higher up and still be in Florida. Amelia Island and Fernandina definitely have a Georgia/Carolinas kind of feel -- in a good way. The beach here is an Atlantic classic: wide and inviting. The gray water was still plenty warm for swimming in October. If you like riding waves, you get more action than typical on Gulf beaches.

Downtown Fernandina is definitely the most upscale of the places on this list, but it still had a down-to-earth charm. If you enjoy gawking at homes as much as I do, you'll be in heaven here. 6th Street in particular seemed to be replete with Southern classics.

For my last meal in "Old Florida," I skipped the seafood and ate at The Happy Tomato. Go for the fun name. Stay for the cozy courtyard and the pimento cheese sandwich.

Have you been to these places? What other parts of "Old Florida" have you explored and would recommend? Please share your memories and suggestions in the comments below.

@highlight

Cedar Key, on the Gulf, is a classic fishing village that feels like something from another era

@highlight

Crystal-clear springs are an "Old Florida" treasure -- try Alexander or Wakulla

@highlight

Apalachicola is great for oysters and architecture; state parks preserve pretty beaches

@highlight

Fernandina, an historic town near Georgia, is a gem on the Atlantic side