(CNN)Kayla Mueller made helping people her life's work.

After graduating from college in 2009, she traveled to northern India, the Palestinian territories and Israel to assist humanitarian groups, her family said through a spokeswoman. She then went to Syria to help people whose lives had been torn apart by war, especially children.

"Syrians are dying by the thousands and they're fighting just to talk about the rights we have," the humanitarian worker told The Daily Courier, her hometown paper in Prescott, Arizona, in 2013. "For as long as I live, I will not let this suffering be normal."

ISIS said in an online posting this month that a female American it was holding had died in a Jordanian airstrike on Raqqa, Syria. The Mueller family confirmed her death on Tuesday and said ISIS took her captive in August 2013.

Mueller, 26, grew up in Prescott, a town of about 40,000 people 100 miles north of Phoenix. She showed an early inclination for travel and humanitarian work, according to a September 2007 profile in The Daily Courier.

"I love cultures and language and learning about people's cultures," Mueller, then 19, said in the article.

Before going to Northern Arizona University, she worked for the Save Darfur Coalition, wrote letters to members of Congress, took part in environmental causes and was honored with a local award for activism, the article said.

"I always feel that no matter how much I give I always get back more though these projects," she said.

Mueller continued her activism at Northern Arizona University.

Carol Thompson, a politics and international affairs professor there, called Mueller a "brilliant" student who asked tough questions and cared deeply about issues of peace, inequality and justice. The two also worked together on Save Darfur and as anti-war activists to make sure that returning veterans were welcomed back to the community.

"Well beyond the classroom, she was a peacemaker," said Thompson, who last saw Mueller in 2012 and who is currently on a sabbatical in Zimbabwe.

After graduating, Mueller became a globetrotter.

Read a letter written by Kayla Mueller last year

She spent two years living and working with humanitarian  groups in northern India, Israel and the Palestinian territories, according to a family spokeswoman. In Israel, she volunteered at the African Refugee Development Center.

Upon returning to Arizona in 2011, Mueller volunteered in a women's shelter and worked at Northland Cares, an HIV/AIDS clinic, helping to facilitate events and providing local coordination for World AIDS Day, the family spokeswoman said.

"She was truly a remarkable young woman," said Northland Cares Director Tricia Goffena-Beyer. "Our thoughts and prayers are with the family."

She traveled to France in December 2011 to work as an au pair so she could learn French to work in Africa, her family's spokeswoman said.

After a year in France, she traveled to the Turkish/Syrian border to work with the Danish Refugee Council and the humanitarian organization Support to Life, which assisted families forced to flee their homes, the spokeswoman said.

On a trip home in 2013, she told the Kiwanis Club in Prescott about her work in the Mideast, saying she often drew, painted and played with Syrian children in refugee camps, according to The Daily Courier. Her father is a club member, the paper said.

She described helping reunite a man with a 6-year-old relative after the bombing of their refugee camp.

"This story is not rare in Syria," the newspaper quoted her as saying. "This is the reality for Syrians two and a half years on.

"When Syrians hear I'm an American, they ask, 'Where is the world?' All I can do is cry with them, because I don't know."

In a YouTube video produced in October 2011, before the rise of ISIS, Mueller said she supported a sit-in that protested the Syrian regime.

"I am in solidarity with the Syrian people," she said. "I reject the brutality and killing that the Syrian authorities are committing against the Syrian people."

ISIS took Mueller captive in the summer of 2013 after she visited a Spanish MSF (Doctors Without Borders) hospital, according to the family spokeswoman. However, she did not work for Doctors Without Borders, the organization said in a statement Friday.

"On August 3, 2013, a technician sent by a company contracted by MSF arrived at one of the organization's structures in Aleppo, Syria, to perform repairs," the medical aid organization said. "Unbeknownst to the MSF team, Kayla, a friend of the technician's, was accompanying him. Because additional time was required to carry out the repair work, the technician and Kayla were harbored overnight at the MSF hospital in Aleppo, due to safety concerns.

"Upon completion of the repair work on August 4, the MSF team organized transportation for Kayla and the technician to the Aleppo bus station, from where they were to depart for Turkey.  Kayla's detention occurred during the drive to the bus station."

In May, the Mueller family received confirmation their daughter had been taken hostage, the family spokeswoman said. The information provided "proof of life." The family hasn't said whether they know how she was treated.

U.S. troops may have come close to rescuing Mueller in July when they staged a daring raid at a location inside Syria in an attempt to find  journalist James Foley, whom ISIS executed in August, and other hostages.

One U.S. official said they found specific evidence the hostages had been there, including writings on the cell walls. A law enforcement official said hair strands found at the site are believed to have belonged to Mueller.

In a note to Mueller's family last summer, ISIS said it had grown tired of waiting and demanded 5 million Euros by August 13, according to a source close to the family. It's unknown whether that execution date was kept by ISIS.

Thompson said that, while she is the professor, it was Kayla who taught her that "peace with justice involves constant struggle and sacrifice. "

"We can honor Kayla most by asking all the parties involved to seek understanding of difference, of those with whom we most disagree," Thompson said. "Thank you Kayla, for teaching your professors and many others.  We stand very humbled in your light."

CNN's Barbara Starr, Allison Brennan and Nic Robertson contributed to this report.

@highlight

Kayla Mueller's family confirms death

@highlight

Ex-professor: Mueller "a peacemaker" who was willing to make sacrifices for others

@highlight

Family and friends: The 26-year-old devoted her life to activism, humanitarian causes