(CNN) -- This past week, at "town hall" meetings in Florida, North Carolina, Virginia and New Hampshire, a group of Republican senators sounded alarms about disasters that will befall local economies should the threat of more than $500 billion in defense cuts over the next decade become a reality in January.

To his credit, the group's leader, Sen. John McCain of Arizona, admitted that Congress should take some of the blame for creating this situation. But that was a rare recognition of reality at town halls that were more like a Republican version of the mythical Potemkin villages: fake towns hastily put together by Russian Minister Grigory Potemkin to impress the visiting empress.

The real purpose of the GOP's Potemkin town halls? To redefine Congress' unfinished task of deficit reduction as an Obama administration leadership failure that has put both national security and swing-state jobs at risk by playing games with defense spending.

The road to these town halls began in Washington a year ago with a congressional vote that was needed to raise the debt ceiling and avoid U.S. default on a debt that has skyrocketed since 2000. House Republicans, shackled by a tea party ball-and-chain, turned the vote into a heated debate on spending cuts. The ensuing legislative battle led not to meaningful deficit reduction but to the Budget Control Act of 2011. It's an 11th-hour "Hail Mary" legislation that raised the debt ceiling -- and kicked the deficit can down the road by one year.

The Budget Control Act mandated $917 billion in federal spending cuts over a 10-year period, including some $487 billion in defense cuts. But that wasn't all.

The centerpiece was a different kind of act: A high-wire act called "sequestration." Sequestration is a trigger.

It's scheduled to be pulled in early January -- unleashing $1.2 trillion in additional cuts, half in defense, half in other domestic spending, unless Congress agrees on an alternate plan. Almost no Democrat or Republican wants to make these sequestration cuts because they will have significant and negative consequences for national security and for domestic spending, affecting millions of Americans. In fact, almost no one who voted for this legislation ever thought these cuts would actually be made.

The Budget Control Act of 2011 was intended to provide breathing space and to buy time. Sequestration was added to force a congressional "supercommittee" to come up with a deficit deal late last year, "or else." But the supercommittee was as divided as the Congress that created it; Congress couldn't come up with a solution, and it was no real surprise that the supercommittee couldn't either.

McCain and his swing-state town hall team were right in framing the consequences: If the trigger is pulled, sequestration will have immediate and negative impact on millions of Americans.

This includes not just U.S. troops, defense industry civilians and local bases. It also includes schools and Head Start participants, struggling families for whom child care support is critical, unemployed workers who need job training programs -- all would lose out in the nondefense portion of sequestration.

But the senators were disingenuous in exhorting their audiences to "demand presidential leadership" to avoid falling off the fiscal cliff in January -- and wrong to imply that the president has been AWOL on the issue, leaving national security and jobs at risk.

President Barack Obama has made clear he doesn't want to see these cuts happen next year. Defense Secretary Leon Panetta has repeatedly declared that sequestration defense cuts -- coming on top of the 10-year, $487 billion in defense cuts that start next year -- would have disastrous consequences for our national security.

Obama has been at the table since last summer trying to prevent this by reaching a bipartisan agreement on deficit reduction. He laid out a detailed plan to reduce the deficit by more than $4 trillion over the next decade -- a plan that would bring annual domestic spending to its lowest level as a share of the economy since President Dwight D. Eisenhower and would require less in defense cuts than recommended by the bipartisan Simpson-Bowles Commission.

But the president calls for a balanced approach that includes spending cuts and investment revenue. His proposed spending cuts outweigh the proposed additional revenue by more than double. But it's the investment revenue which has been the deal-breaker for most Republicans.

In fact, that's the major reason that sequestration includes the $500 billion in defense spending cuts: Faced with their own Hobson's choice of putting at risk either the defense budget or continued tax breaks for the wealthy, Congressional Republicans grimaced -- and threw defense into the cauldron to protect the tax breaks.

It seems clear that the political brinksmanship will continue until Republicans and Democrats in Congress figure out how to do what military and civilian leaders at the Pentagon had to do this past year in addressing the initial $487 billion in defense cuts: Namely, tie spending to the national interest and do so recognizing "we're all in this together."

Obama ordered the Pentagon to devise a plan ensuring that national security priorities would guide and frame spending decisions, rather than the other way around; and ensuring that the U.S. military would remain the strongest and best in the world to protect and defend U.S. national interests.

The generals, admirals and civilian leaders did just that. All had a stake in the outcome and recognized the world had changed. All were involved throughout in shaping the plan. All recognized that pet projects and sacred cows had to meet the tests of commonly defined national security priorities or be reduced or jettisoned.

All understood that to succeed in keeping the country safe and secure, they needed not just to cut in some areas but to invest in others, and that having the best and strongest military in the world was not really synonymous with continuing to spend unlimited billions.

All made difficult individual decisions in the belief that they were all in this together, and they have spoken publicly and privately in support of the strategic framework they developed to guide defense spending decisions over the next decade.

Maybe instead of holding political Potemkin town halls in swing states about the dangers that sequestration poses for the Pentagon, we should ask congressional leaders to take lessons from the Pentagon on how to work together to prevent it from happening.

The opinions expressed in this commentary are solely those of Doug Wilson.

@highlight

Doug Wilson: GOP distorting reality behind Pentagon cuts that could be triggered in January

@highlight

"Sequestration" will start $1.2 trillion in cuts, with half of that in defense

@highlight

Wilson: GOP blames looming disaster on Obama, but it was a delaying tactic by Congress

@highlight

Obama doesn't want these harmful sequestration cuts and has alternative plans, he says