Although my work has been in Washington, D.C., my home and heart have always been along the beautiful coastline of the Monterey Peninsula in California. It's a place where I first developed my dedication to public service. And it inspired what would become a lifelong effort to promote responsible stewardship of our oceans.

Healthy oceans benefit all Americans, whether they live on our nation's coasts or in the heartland. That's why I eagerly agreed in the mid-2000s to help lead the Pew Ocean Commission, a special effort to bring together leading voices from around the United States to examine the health of our oceans through the lens of science, not partisan politics.

Ten years ago, the commission released its findings, the nation's first comprehensive report on the state of America's marine environment in more than 40 years.  Because of leadership from both sides of the aisle in Congress and from Democratic and Republican administrations alike, we've made remarkable progress over the past decade since the release of that report to address many of the problems it identified. But, there's still much work to be done.

Our oceans are a tremendous economic engine, providing jobs for millions of Americans, directly and indirectly, and a source of food and recreation for countless more. Yet, for much of U.S. history, the health of America's oceans has been taken for granted, assuming its bounty was limitless and capacity to absorb waste without end. This is far from the truth.

The situation the commission found in 2001 was grim. Many of our nation's commercial fisheries were being depleted and fishing families and communities were hurting. More than 60% of our coastal rivers and bays were degraded by nutrient runoff from farmland, cities and suburbs. Government policies and practices, a patchwork of inadequate laws and regulations at various levels, in many cases made matters worse. Our nation needed a wake-up call.

The situation, on many fronts, is dramatically different today because of a combination of leadership initiatives from the White House and old-fashioned bipartisan cooperation on Capitol Hill.

Perhaps the most dramatic example can be seen in the effort to end overfishing in U.S. waters. In 2005, President George W. Bush worked with congressional leaders to strengthen America's primary fisheries management law, the Magnuson-Stevens Fishery Conservation and Management Act. This included establishment of science-based catch limits to guide decisions in rebuilding depleted species.

These reforms enacted by Congress are paying off. In fact, an important milestone was reached last June when the National Oceanic and Atmospheric Administration announced it had established annual, science-based catch limits for all U.S. ocean fish populations. We now have some of the best managed fisheries in the world.

Progress also is evident in improved overall ocean governance and better safeguards for ecologically sensitive marine areas. In 2010, President Barack Obama issued a historic executive order establishing a national ocean policy directing federal agencies to coordinate efforts to protect and restore the health of marine ecosystems. President George W. Bush set aside new U.S. marine sanctuary areas from 2006 through 2009. Today, the Papahanaumokuakea Marine National Monument, one of several marine monuments created by the Bush administration, provides protection for some of the most biologically diverse waters in the Pacific.

Despite the strides made in the 10 years since the Pew Oceans Commission issued its report, challenges remain. Coastal development continues, largely unchecked, and wetlands and marshes continue to shrink. That exposes more than half of the Americans who live along the coasts to the physical and economic damage caused by increasingly high-intensity storms such as Hurricane Katrina and Superstorm Sandy.

On top of that, major challenges that the commission could not see as clearly in 2003, including ocean acidification and rising ocean temperatures, further threaten some of our most valuable fisheries. The United States must pursue a broader, ecosystem-based approach to build resilience in our oceans and respond to future threats.

Over my many years in public service, I've seen many commissions come and go. But I'm perhaps most proud of the work the Pew Ocean Commission did to warn about the threat posed to our oceans and call for change.

Every time I take my grandchildren to play on the beaches of Monterey Bay, my resolve to keep the issue of responsible ocean stewardship forefront on the agenda of policymakers in Washington becomes even stronger.

@highlight

Leon Panetta has worked in Washington, but his beloved California coastline is home

@highlight

Ocean Commission 10 years ago found depleted fisheries, polluted rivers and bays

@highlight

Panetta: Stewardship of oceans has improved, especially in control of overfishing

@highlight

Still ahead: Curbing development, guarding wetlands, dealing with warmer waters