(CNN) -- Just six weeks after the Australian Senate rejected a bill that included opening offshore processing centers for asylum seekers, a government-appointed panel has recommended just that.

The three-member panel, headed by former defense chief Marshal Houston, made 22 recommendations Monday on how the country should deal with thousands of asylum seekers who attempt to reach its shores each year.

The report's release came after a particularly busy weekend for maritime authorities, who intercepted six separate boats carrying a total of 265 people in the three days to Sunday.

It also came as officials investigated claims a boat carrying more than 60 asylum seekers had disappeared en route from Indonesia to Christmas Island, a popular entry point to Australia's asylum system.

Read more: Asylum seekers risking all to escape dangers of home

Among the Houston report's recommendations was that offshore processing centers be established on the islands of Nauru and Papua New Guinea "as soon as practical."

It also recommended an immediate increase in the number of people accepted each year for asylum from 13,750 to 20,000.

In an effort to reduce the demand for family reunions, it recommended barring people who arrive by boat from being able to sponsor their families to join them.

And rather than dumping the government's controversial and illegal "Malaysia Solution," the report recommended building on the deal "through high-level bilateral engagement focused on strengthening safeguards and accountability."

Under the so-called "Malaysia Solution," Australia would have sent 800 asylum seekers to Malaysia for processing each year in exchange for 4,000 confirmed refugees.

However, the High Court ruled the deal invalid last August on the grounds that, as a non-signatory to the 1951 U.N. Refugee Convention, Malaysia has no legal obligation to protect asylum seekers, something required under Australia's Migration Act.

Read more: Which countries take in most asylum seekers? Not the West

Hours after the report was released, Gillard gave her in-principle backing to all its recommendations and said that Parliament would meet Tuesday to amend the earlier rejected bill to include the provision for processing centers on Nauru and PNG. "We will also move to immediately implement the recommendations on family reunion," she added.

Refugee advocates reacted with outrage to the report, calling it a "rebadging of the Pacific Solution," a reference to the former Liberal government's controversial policy of the last decade.

"At the heart of the panel's report is the policy of deterrence, but all deterrence does is divert people from our doorstep to dangers elsewhere. It doesn't address the circumstances, it just shifts the problem somewhere else," said David Manne, executive director of Australia's Refugee and Immigration Legal Center.

"What we need to do is promote proper protection standards in the region. There needs to be the understanding that it will take time, perseverance and patience. It will be incremental. There are no simple solutions," he added.

The so-called Pacific Solution was introduced by former Prime Minister John Howard in 2001 and involved sending asylum seekers to detention centers on Pacific Island nations while their claims were processed.

The current Labor government abandoned the policy when it took power in 2007. Since then, there has been a sharp increase in asylum seekers making the dangerous trip by boat to seek a new life in Australia.

Between late 2001 and June this year, 964 asylum seekers and crew died at sea. Of those, more than 600 lost their lives in the last three years, according to the report.

"To do nothing is unacceptable -- so we have proposed a new approach. One that is comprehensive, integrated and equitable," said refugee expert and panel member Paris Aristotle.

In a statement, Amnesty International's refugee spokesman Graham Thom said he was "appalled" by the panel's recommendations.

"Sending asylum seekers to places like Malaysia, Nauru and Papua New Guinea is unacceptable and a complete outsourcing of Australia's human rights obligations.

"The 'Pacific Solution' was a failed policy, and a wildly expensive one, that was internationally condemned for breaching the human rights of some of the world's most vulnerable people," he added.

Manne said it was questionable whether Nauru would meet the requirements to be considered as a legally viable option for offshore asylum centers.

"Although Nauru and PNG have signed the Refugee Convention, neither country has its own laws in place to protect refugees nor are there any proper legal guarantees that refugees would be protected, and there are serious concerns about human rights conditions on the ground," he said.

Australia's politicians have long been at odds over the country's official response to asylum seekers. While the opposition Coalition has backed the reopening of offshore centers, the move has been fiercely resisted by the Greens party which claims it breaches human rights.

In late June, the senate rejected the Migration Legislation Amendment (The Bali Process) Bill 2012 which would have allowed Australia to send asylum seekers to Malaysia and Nauru for processing. Gillard said she is willing to compromise further to reach agreement and a policy on the issue.

The panel estimated that if all the report's recommendations were adopted, they would cost US$1 billion to implement.

@highlight

Australian expert panel recommends opening offshore processing centers for asylum seekers

@highlight

Gillard government has given its in-principle backing to the report

@highlight

22 recommendations include processing asylum seekers on Nauru, PNG

@highlight

Refugee advocates express outrage, saying the proposal "rebadges" the Pacific Solution