In presidential politics, very little is random. And the recent questions about Hillary Clinton's age and health is anything but.

National Republicans, as well as anti-Clinton outside groups and right-wing blogs, have stepped up efforts to redefine Clinton, despite her nearly 40 years on the political stage.

At the heart of this effort is one group of voters: young people.

Republicans think that young voters -- particularly Americans who were in diapers or listening to N*SYNC during the eight years that Hillary Clinton lived in the White House -- could use a refresher course on all things Clinton. Republicans feel young people could use their version of Clinton's history - and might be impressionable over what might seem like distant history.

They have stepped up their message and research efforts to rehash the news of the '90s -- including the policies and scandals that defined the years from 1992 to 2000 -- as part of their wider campaign against her as she mulls another run for president.

Democrats charge that the Republican campaign is just "dredging up" old news. Republicans describe it as "citing" recent history.

Rove attack was clumsy but shrewd

"There is a whole swath of voters out there who obviously know of Hillary Clinton and understand who the Clintons are, but they don't know of her as the politician, they don't know the specifics about her time in the White House," Kirsten Kukowski, spokeswoman for the Republican National Committee, said.

Details about the Clinton White House years is not old news for people who were in "grade school" at the time, she said.

The strategy has obvious pitfalls. Republicans risk looking petty by bringing up old scandals.  And it hinges on the assumption that young voters will be receptive to Republican views of Clinton, who is liked by nearly two thirds of those between 18-29 sampled in a recent Quinnipiac University Poll.

"Republicans have been good lately at proving they are all about the past while Secretary Clinton is busy looking to the future," said Adrienne Elrod, communications director for Correct the Record, a pro-Clinton rapid response organization. "But, if Republicans want to spend money educating young voters about how strong the economy was under President Clinton's leadership in the 90s and how American broad-based prosperity was was at an all time high, who are we to stop them?"

Clinton under fire for age, health

Clinton is also one of the most recognizable people in America. In recent polls. She has more than 95% name recognition with U.S. voters and is considered the overwhelming favorite to win the Democratic nomination, if she runs.

Republicans, however, feel they can still define her on their terms.

"While a lot people assume everyone knows Hillary, people under 30 don't know specifics," Kukowski said. "We need to be out there framing her early."

Republicans pounce on Margolies' defeat

"What is Hillary Clinton's biggest accomplishment?"

As Clinton weighs a White House run in 2016, Republicans want young voters to think about this: What is Hillary Clinton's biggest accomplishment?

"I think that is going to be a big issue in framing the debate and framing who Hillary is to those voters," Kukowski said.

Conservative blogs and publications have seemingly taken cues from the RNC on this question. Just last week, PJTV, a "center-right online news and commentary" website sent a reporter to George Washington University to question students about Clinton's record.

In a three-minute video that has bounced around right wing blogs, students seem unable to answer the question and those who respond offer meager answers (one even cites Clinton's handling of Benghazi as an accomplishment).

Other blogs and right-leaning outlets have sent reporters to Democratic National Committee meetings and college campuses to ask questions about Clinton's record and history of political positions.

Kukowski said she didn't know if that format comes directly from the RNC, but did say, "We do have somebody here that works with conservative bloggers all day every day."

The Republican strategy extends beyond the right wing blogosphere, too.

Top Republican strategists, like Karl Rove, have shown how Republican might try to bring up Clinton's age and health in a campaign.

Rove dropped questions about Clinton's health at an event that was picked up by a newspaper. He doubled down on the comments, drawing condemnation from Democrats. The strategy worked, however, as it dominated news about Clinton for two days.

Patrick: All this attention could hurt Clinton

Digging back into the '90s

Although Democrats have called Rove "sleazy," the stepped up attacks have already had an impact on the early 2016 presidential wrangling by solidifying what Republicans have been saying for months: Hillary Clinton is who they see as the most formidable potential candidate.

Representatives from a handful of Republican groups said they plan to operate as if she is running or until she says otherwise.

But the comments have also forced Clinton into the political fray.

She had tried to stay above politics for months by giving high-profile paid speeches and traveling the country. But as Clinton began to raise her profile, Republicans began to step up their attacks and force a response.

When she left the State Department, she joked with friends and confidants that she was looking forward to the "speeches and beaches" time of her life. That time appears to be over.

In the past two weeks, she has dipped her toes into domestic politics, including her first congressional fundraiser of the midterms -- for a candidate who eventually lost, and has started to regularly tout her husband's record in the White House.

"The 1990s taught us that even in the face of difficult long term economic trends, it is possible through smart policies and sound investments to enjoy broad-based growth and shared prosperity," Clinton said during a speech at the New America Foundation.

She added that her husband's years in the White House showed that "a rising tide really did raise all boats."

Tim Miller, executive director of the anti-Clinton America Rising PAC, said comments like that are an acknowledgment that she knows their time in the White House from 1993-2001 will be an issue if she runs.

"We are very conscious of the fact that there is a big slice of the electorate that does not have a full picture of Hillary Clintons record," Miller said. "I think that with the Clintons would like to rely on is a nostalgic strategy with regards to their time in the White House in the '90s and don't want to get down into the details."

Miller, whose super PAC has a cadre of researchers diving into the Clinton record, said there will be an obvious focus on what younger voters need to know about her time in the White House.

Miller added that while he doesn't think the 2016 election will be won or lost on issues like Whitewater and other Clinton White House scandals, he does think  informing young voters, especially, about them is necessary.

"I do think that for the generation that didn't live through that, that there is some value having the discussion," he added.

Right now, America Rising has roughly 60 full-time employees working for the organization, many of whom are primarily focused on cultivating research documents about Clinton's world in the '80s and '90s.

Solidifying a definition

Defining a candidate early is nothing new in presidential politics, either.

President Barack Obama's campaign famously began to define Republican challenger Mitt Romney as out-of-touch early in the race.  His team went up with ads early and spent tons of cash, hoping that Romney would be defined on their terms to many voters by final months of the campaign.

"What happens is often times if you don't introduce yourself, then you are leaving that task to the opposition," said Kevin Madden, a Republican strategist and Romney spokesman. "What happens is when the oppositions provides a greater reservoir of information about you and it is negative then it is tough to turn around those perceptions."

Obama prevailed in a campaign that many saw as perilous for him.

But defining Clinton before she has said whether she will run or not is somewhat unprecedented. Republicans say that is only because of the unprecedented shadow campaign around Clinton right now.

"The strategy is to force her out of the shadow campaign she is winning by acclimation," said Leslie Sanchez, a Republican strategist and the author of "You've Come a Long Way, Maybe."

"That is the undercurrent here in bringing out issues about health or legacy. (Republicans aren't) going to allow Hillary Clinton to be anointed without taking the heat."

Opinion: Why I'm ready for Hillary

@highlight

Republicans step up efforts to define Hillary Clinton, who hasn't said whether she'll run for president

@highlight

A certain demographic doesn't likely know much about the Bill Clinton White House years

@highlight

Democrats charge the GOP campaign is 'dredging up" old news