(CNN) -- Every day, more than 3,200 kids under the age of 18 smoke a cigarette for the first time. About 700 of those become daily smokers.

Those are two reasons, the Food and Drug Administration says, why it has launched a national education campaign aimed at preventing those between the ages of 12 and 17 from trying cigarettes or -- for those already experimenting -- from becoming regular smokers.

"The Real Cost" campaign seeks to educate these "at-risk" teenagers by spotlighting the health hazards of smoking in a series of television, radio, print and online ads. These ads show the costs of smoking, from skin damage to gum disease and from tooth loss to a loss of control over their lives because of from addiction.

About nine of 10 regular smokers had their first cigarettes by the time they were 18, said FDA Commissioner Dr. Margaret Hamburg.

Because teenage brains are still developing, they are more susceptible to nicotine addiction, the FDA said.

"We know from research that there is a group of of youth -- 12 to 17 -- who are more vulnerable, partly because of the nature of their lives -- you know, chaotic lives, lots of stress, lack of control," Hamburg said.

Some live with smokers, "which dramatically increases the risk, and so we're hoping that we can potentially interrupt a deadly cycle," she said.

"We can help these teens understand the real consequences of smoking, the real costs of smoking to them, so that they won't take up smoking if they're on the cusp and will stop smoking if they've already started."

E-cigarettes: Healthy tool or gateway device?

Smoking as an adolescent can stunt growth, stain teeth and cause premature wrinkles, health officials say, and smokeless tobacco can cause mouth, esophagus and pancreas cancers. Studies have estimated that every cigarette smoked shaves 11 minutes off your life.

In 2009, the Tobacco Control Act became law, giving the FDA the authority to regulate tobacco products to protect public health, including manufacturing, distribution and marketing.

The law looks to prevent and reduce smoking by kids under 18, the legal age to buy tobacco products. These new ads are the first of several planned education campaigns, but it's not the only effort.

The Centers for Disease Control and Prevention is continuing its "Tips From Former Smokers" campaign with a new set of anti-smoking ads.

One of the more striking ads features Terrie Hall, who had her larynx (commonly called the voice box) removed as a result of the ravages of oral and throat cancers. Hall, who had started smoking as a teen, died in September at 53 from complications of smoking.

Doctors support raising the smoking age

RJ Reynolds, the second-largest tobacco company in the U.S., runs a youth tobacco prevention program called Right Decisions Right Now: Be Tobacco Free.

Company spokeswoman Jane Seccombe said she could not comment on on the FDA's new campaign until she saw the ads. But she says Right Decisions Right Now has been up and running for more than 20 years and is used by more than 20,000 middle schools and community groups like the Boy Scouts of America and Big Brothers Big Sisters.

"RDRN is part of our company's long-term initiative to transform the tobacco industry," said Laura Leigh Oyler, a public policy director at the company. "Over the past 20 years, youth tobacco prevention efforts and programs have had a big impact on reducing teen smoking, now at a historic low, and we are actively working on ways to accelerate the decline in youth tobacco use."

But "the tobacco industry has very aggressively been advertising for years, for decades, including to youth," Hamburg said. "We think we can make a difference, because we have targeted messages that will resonate."

The initial response from teens who participated in focus groups to evaluate the ads for effectiveness, she says, has been positive. The agency plans to conduct a study following 8,000 kids between the ages of 11 and 16 and will do face-to-face interviews gathering data on adolescents' awareness, attitudes and beliefs about smoking tobacco.

Will your children buy candy, gum or little cigars?

Over the next two years, the FDA will launch additional campaigns targeting specific groups including multicultural, rural and LGBT (lesbian, gay, bisexual and transgender) youths. Its goal is to reduce the number of teenage cigarette smokers by 300,000 over the next three years.

"We will make an important contribution to reducing the toll of preventable death, disease and disability from cigarettes and tobacco use. It is astounding how the burden of tobacco continues to take a toll on the American people." Hamburg said.

"Every year, some 480,000 people die an early, premature death because of tobacco use. It costs the health care system over $289 billion and also lost productivity costs, according to a recent estimate. And our youth are at risk. ... So if we can reach them and stop them, we can prevent a life-long addiction and all of the concomitant disability and disease and early death."

@highlight

The FDA is launching a campaign aimed at preventing teen smoking

@highlight

About 90% of regular smokers first smoked as teenagers

@highlight

The CDC also unveils new "Tips From Former Smokers" ads