Mogadishu, Somalia (CNN) -- Between 2010 and 2012, more than a quarter of a million people died in the famine in Somalia -- in part because the world was too slow to react, the U.N. humanitarian coordinator for Somalia said Thursday.

Half of the 258,000 Somalis who died in the famine were children younger than 5, Philippe Lazzarini said in a statement.

The report, jointly commissioned by the United Nations Food and Agriculture Organization and the USAID-funded Famine Early Warning Systems Network, is the first scientific study on deaths in the crisis.

It "confirms that we should have done more before famine was declared on 20 July 2011," Lazzarini said.

The world did not do enough after warnings in 2010 that starvation loomed following severe drought. And the people who needed help the most were extremely inaccessible, he said.

Opinion: Somalia famine a 'crime against humanity'?

"The suffering played out like a drama without witnesses."

A massive mobilization of the humanitarian community followed the official U.N. declaration of famine, said Lazzarini, which "helped mitigate the worst effects of the crisis."

The study, which covered the period from October 2010 to April 2012, suggests that an estimated 4.6% of the total population and 10% of children younger than 5 died in southern and central Somalia.

In the worst-affected area, Lower Shabelle, close to one in five children younger than 5 died.

At the peak of the crisis, between May and August 2011, famine and severe food insecurity claimed some 30,000 lives a month, the report said.

The United Nations has been working with its humanitarian partners to change the way they operate, Lazzarini said. Some 2.7 million people in Somalia are still in need of life-saving assistance.

Opinion: Why Americans should care about famine in Africa

"Our aim is to ensure that Somalia never goes through another famine again," he said.

'Catastrophic shocks'

Several factors led to the crisis, according to the report.

First, the year from July 2010 to June 2011 was the driest in the eastern Horn of Africa in 60 years. This resulted in the death of livestock, small harvests and a big drop in demand for labor, cutting into household incomes.

Southern Somalia also received less humanitarian assistance in 2010 and much of 2011 than it had in previous years, particularly 2008 to 2009, the report said.

In many areas, conflict and security concerns -- prompted by the activities of al Qaeda-linked Islamist group al-Shabaab -- hindered humanitarian aid and access.

And with reduced supplies available, the price of food staples soared, putting more pressure on poor households.

"For millions of Somalis, already weakened by chronic food insecurity and persistently high levels of acute malnutrition, the shocks were catastrophic," said the report.

The result was what the researchers say was one of the worst famines in the past 25 years.

Their estimate of the number of people who died from the famine -- on top of those who died as a result of conflict or other causes -- was calculated using a range of information, including mortality surveys and data on food prices and wages.

"We now have a picture of the true enormity of this human tragedy,'' said Mark Smulders, a senior economist for the FAO.

"Lessons drawn from this experience will help the international community, together with the people of the region, build a stronger and more resilient future."

'Political failures'

International humanitarian organization Oxfam said Thursday that the mistakes made in Somalia in 2011 must never be repeated.

"Famines are not natural phenomena, they are catastrophic political failures," it said in a statement.

"The world was too slow to respond to stark warnings of drought, exacerbated by conflict in Somalia, and people paid with their lives. These deaths could and should have been prevented, and such a shocking death toll must never be allowed to happen again."

World leaders meeting in London next week to discuss the situation in Somalia "must take steps to ensure that this was Somalia's last famine," Oxfam said.

This means investing in long-term development, creating jobs, supporting farmers and pastoralists, and ensuring properly trained security forces to help achieve the "just and sustainable peace" the country so badly needs, it said.

Somalia has lacked an effective central government since 1991, with portions of the Horn of Africa nation left lawless.

Its shaky transitional government, backed by African Union peacekeepers, has been battling Islamist guerrillas for years.

CNN's Nima Elbagir reported from Mogadishu and Laura Smith-Spark wrote and reported in London. CNN's Alexander Felton and Ben Brumfield contributed to this report.

@highlight

NEW: "These deaths could and should have been prevented," says Oxfam

@highlight

Nearly 260,000 people died between October 2010 and April 2012, a new study says

@highlight

Half of the famine victims were children aged under 5, the report says

@highlight

"The suffering played out like a drama without witnesses," says Philippe Lazzarini