Beijing (CNN) -- Divining what is going in China's opaque political world is like reading tea leaves: it may be interesting but it's ultimately a futile exercise.

The 18th Congress of the 82-million-member Chinese Communist Party, expected to happen in mid-October, will be a landmark event -- it will usher in a new generation of leaders to rule China for the next 10 years.

Yet, little is known about what to expect.

Some changes are imminent. Hu Jintao, the incumbent president and party general secretary, will step down and be replaced by Xi Jinping, the current vice president.

Many members of the 25-member Politburo and the 371-member Central Committee are also expected to be replaced. These are the two policy-making bodies in the party's pyramid organization.

Who will compose the post-Hu leadership?

Speculation is rife.

Who are the next generation of Chinese leaders?

As the congress approaches, political maneuvering has increased among various camps, and there have been a few surprises already.

Last week, Ling Jihua, head of the party's General Office, which runs the Leninist organization's day-to-day affairs and oversees security of the top leaders, was abruptly "reassigned" to the important but less powerful United Front department.

Analysts say Ling, 55, may still be chosen for the Politburo, but he is out of the running for the all-important Standing Committee -- the very highest decision-making body made up of a handful of key leaders.

Bo Xilai and the politics of Chinese succession

"This is evidently a loss for Hu Jintao," said Bonnie Glaser, senior fellow at the Center for Strategic and International Studies (CSIS), a think tank based in Washington D.C.

"Ling Jihua was a Hu protégé. Who knows if it was related to the car crash?"

In the early morning on March 18, Ling's son, Ling Gu, 23, was said to have smashed a black Ferrari into a concrete-wall on the side of Beijing's Fourth Ring Road while driving at high speed.

Disgraced Party chief looms large over China's leadership

Much was made of the incident in the media internationally, but much of this was rumor and speculation that CNN can not substantiate. Reports and discussions about it have been censored from the local media and Internet.

Ling Gu may have survived the car crash but it seems to have damaged his father's political career and dented the party's reputation.

"It casts a negative light on corruption among party members and makes the public question the legitimacy of the officials' source of wealth," said Joseph Cheng, a professor at the City University of Hong Kong. "It has tarnished the image of the leadership."

Did the car scandal benefit Xi at the expense of the outgoing Hu?

Other analysts actually credit President Hu for the move on Ling. "The leadership is establishing a rule: your son misbehaves, you pay," said Francesco Sisci, a long-time observer of Chinese politics.

"This move must have been approved by Hu and therefore it does not necessarily weaken him."

Ling has been replaced by Li Zhanshu, 62, a provincial party chief who is known to be an ally of Hu and has previous ties with the vice president.

Li, analysts say, may have been a compromise choice.

According to Cheng, Xi has been smart to avoid clashes with the current leaders.

"What Xi needs to do now is to keep a clean slate and a low profile and figure out how to consolidate his power," he explained. "Everybody knows he is the presumptive new leader, so he only needs to be patient."

Xi also needs to stay above the factional fights.

China's leaders are widely seen as divided into two camps: that of retired president Jiang Zemin and that of President Hu.

Former president and party chief, Jiang, retains residual influence even in retirement. The 86 year old has a network of allies in the party -- sometimes known as the "Shanghai faction" after the former president's time as Party leader in the city -- which he uses to influence policy and personnel decisions.

Last summer Jiang was rumored to have died, but he has since made a rare public appearance looking frail but fairly healthy.

Some China-watchers believe Jiang's influence has waned, but others say he remains a player. "He is still influential," said Glaser. "His Shanghai faction remains quite important and his people are in key positions."

Others say Hu's camp, known as the Communist Youth League (CYL) faction, referring to the youth organization that Hu headed for years, will dominate the new leadership.

"The lineup of the Standing Committee and the full Politburo will show that the CYL remains the largest faction," said Willy Lam, a China expert at the Chinese University of Hong Kong.

"The CYL is especially strong among the next tier of leaders, born in the 1960s, who will take over power in 2022."

Lam said Hu is now in a good position to anoint one of his protégé, Hu Chunhua, as Xi's presumptive successor in 2022 by getting him selected into the next Politburo. The younger Hu, 49, is a provincial party chief who also headed the CYL.

The official line is that the transition is now firmly locked in place, but it would not be China, or the Communist Party, if it were as straight-forward and predictable as that.

"My guess is that appointments can be changed up until the very last minute," Sisci said. "It was so ten years ago, it will even more so today."

Qixin Wang contributed to this report.

@highlight

18th Congress of the 82-million-member Chinese Communist Party chooses new leadership

@highlight

President Hu Jintao will step down and likely be replaced by Vice President Xi Jinping

@highlight

Political maneuvering has increased among various camps as congress nears

@highlight

Two camps dominate: that of retired president Jiang Zemin and that of President Hu