Washington (CNN) -- It's a story that mesmerized the nation and one that many observers thought ended more than two years ago.

The case of Chandra Levy, a 24-year-old Washington intern whose body was found in a Washington park in 2002, is back in court, but the actions of a D.C. Superior Court judge have given it a mysterious air.

In a hearing Thursday, Judge Gerald Fisher, along with an appeals court, maintained restrictions on the media's ability to report on recent hearings in the case. Fisher has ruled that the substantive details of hearings on December 18, January 4 and at least one upcoming hearing remain under seal.

When the sealed issues are discussed during the hearings, the lawyers and judge speak at the judge's bench, and observers in the courtroom cannot hear the conversations. The transcripts of those discussions are under seal.

The judge's ruling was a disappointment to a group of media outlets, including Associated Press, Gannett, McClatchy, the Washington Post and Reporters Committee for Freedom of the Press, that had filed court papers seeking to unseal the information.

"We're very disappointed with the court leaving in place essentially blanket secrecy," Patrick Carome, an attorney representing the media outlets, told reporters outside the courthouse. Carome predicted the secrecy surrounding hearings in the Levy case could last months.

The man convicted of killing Levy made an appearance at a hearing on Thursday.

Ingmar Guandique, 31, was led into the courtroom in handcuffs and an orange jumpsuit, sporting a large tattoo that covered most of his scalp. He conversed with a Spanish translator throughout the proceeding, but did not participate in talks at the judge's bench.

Despite Fisher's restrictions on information, CNN has learned some key details of these unexpected hearings from Carome and court papers.

"The court has stated that a 'somewhat substantial' but unspecified concern about 'safety' supports its decisions to close the proceedings to all members of the press and the public," according to one court filing. It is not known to whose safety that refers.

"This was a terrible crime of violence," said Jeffrey Toobin, CNN's senior legal analyst. "The witnesses have histories of violence. So there could be violence threatened against any number of people: participants or even outsiders to the case."

In addition to the safety concern, Carome said the hearings address "...some information relating to the reliability of the testimony from a government witness."

No one involved in the case is allowed to say who that witness is. Armando Morales, a convicted felon and former gang member, testified at Guandique's trial that Guandique confessed to him in jail that he killed Levy. Two women testified that Guandique attacked them in the same park. But it's not clear whether the testimonies of Morales or the two women are in question.

Levy, an intern with the U.S. Bureau of Prisons, disappeared in May 2001. Her remains were found in Washington's Rock Creek Park more than a year later, badly decomposed.

Guandique repeatedly denied involvement in her murder, and prosecutors acknowledged a lack of DNA evidence linking Guandique to the crime and a lack of witnesses. But in November 2010, a jury convicted Guandique of one count of murder with kidnapping and a second count of murder with attempted robbery. In February 2011, he was sentenced to 60 years in prison.

The Levy case generated a swarm of media coverage in 2001 and 2002, in part because it was revealed that she had had an affair with Gary Condit, then a U.S. congressman from California. Condit testified at Guandique's trial and denied involvement in her disappearance and murder and was never charged.

Condit, who served in Congress until 2003, currently serves on the board of directors of the Phoenix Institute of Desert Agriculture, a non-profit group that promotes sustainable farming.

Levy's father, Robert, told CNN that the family has not been told anything regarding the recent hearings. Robert Levy said he's concerned that something will happen with Guandique's conviction, and "we don't like that it's all coming up again."

Mistrial declared after eyeball pops out

CNN's Dugald McConnell and William Mears contributed to this report.

@highlight

Several hearings in the case of Chandra Levy, a D.C. intern who was killed, have been held

@highlight

Substantive matters are under seal and will remain so, a judge ruled Thursday

@highlight

Several media outlets have requested access to the transcripts of those matters

@highlight

Levy's disappearance captured media attention because of her affair with a congressman