Cologne, Germany (CNN) -- More than 340,000 gamers from across Europe converged in this quaint German city last month to get their first hands-on with Sony's PlayStation 4 and Microsoft's Xbox One consoles and to preview an assortment of new games.

The occasion was Gamescom, the massive video gaming show that attracted over 600 exhibitors from upwards of 80 countries, all of whom set up booths in 10 massive halls that featured over 1.4 million square feet of space. It was like E3 and Comic-Con, only much bigger.

Big companies like Sony, Microsoft, Ubisoft and Electronic Arts kicked off the festivities with press conferences that featured exclusive announcements, including the November 15 PS4 launch date and new games such as "The Sims 4."

Europe plays an important role in the global gaming ecosystem, thanks to the success of such European companies as Rovio Entertainment ("Angry Birds"), DICE ("Battlefield 4") and TT Games ("The LEGO Movie Game"). According to Peter Warman, founder of video-game research firm Newzoo, European consumers will contribute 23% of the $70.4 billion global video game market this year.

"The most talked-about companies over the past year are European," said Warman. "Companies like SuperCell ("Clash of Clans"), Wargaming ("World of Tanks"), Mojang ("Minecraft") and King ("Candy Crush") will bring in a combined revenue of more than $1.5 billion this year."

Next-generation gaming was a huge focus this year, but the current crop of consoles still have a lot of life left in them. And the PC, which has always been strong in Europe, remains a force as well. Here are five games that stood out from the very crowded booths of Gamescom 2013.

'Fighter Within' -- Ubisoft/Daoka; Xbox One; Fall 2013

Developer Daoka is making the most of the new Xbox One Kinect technology with this fighting game, which you control by moving your arms and legs. Thanks to the enhanced motion sensors and tracking capabilities, players' moves are represented on a one-to-one basis within the game. This means that every punch, kick and counter in the real world will be faithfully replicated.

Players can choose from an assortment of fighters, each with distinct and authentic fighting styles and special moves. The game supports two-player competitive play, which means friends will be standing next to one another in the real world while they pummel their opponent in the virtual one.

'The Sims 4' -- Electronic Arts/EA Maxis; PC; 2014

With over 175 million copies of "The Sims" sold so far, EA Maxis is making this simulation franchise more life-like than ever before by utilizing new technology. The franchise has evolved over the years to incorporate more human behaviors into its virtual characters. Each Sim now has a rich emotional center that drives meaningful social interactions with those they interact with. Players can explore deeper stories with these more human simulations.

Gameplay revolves around life's tragedies and triumphs, with the ability to customize everything from Sims' homes to their lifetime aspirations. The core game mechanics have worked for over a decade now. The genius has been adding new gameplay and content, through expansion packs and sequels, and making the connections between human and Sim evolve over time.

'Dead Island Epidemic' -- Deep Silver/Stunlock Studios; PC; TBD

Developer Stunlock Studios is expanding Techland's popular zombie franchise by exploring a new genre with this free-to-play PC MOBA (multiplayer online battle arena) game, which strands players on a tropical island overrun with zombies. Three teams of four players will battle against each other over control of strategic positions. There will also be a wide assortment of zombies and undead creatures to contend with, the larger ones requiring all three teams to work together.

Players can customize their own weapons from hundreds of items they collect in the game, making for a unique action-packed experience. This game stands out from the very crowded MOBA genre ("Dota 2," "League of Legends," "Heroes of Newerth," "Infinite Crisis") with its rare combination of zombies and over-the-top action.

'Fable Legends' -- Microsoft/Lionhead Studios; Xbox One; TBD

Lionhead Studios returns to the fantasy world of Albion with this Xbox One-exclusive adventure. For the first time, up to four players can embark on quests together as they build their characters, explore photorealistic lands and face off against monsters and assorted bad guys. The game's been designed for seamless solo play as well.

For the first time in the franchise, players can forgo their heroic calling and become a villain instead -- complete with an army of minions. The game utilizes the Xbox Smartglass experience through any tablet by opening up a second screen on which villains can battle heroes while sitting next to each other on the couch.

'The Order: 1886' -- Sony/Ready at Dawn; PlayStation 4; TBD

One of the more unique next-generation action games on display at Gamescom, "The Order" provides an alternate vision of Victorian-era London. Players join an elite order of knights and jump into a centuries-old battle between good and evil in this PS4 exclusive. The game's world blends real historical figures, places and events with myths like the Arthurian legend.

Developer Ready at Dawn has brought advanced Industrial Revoluton weaponry to the fray, allowing players to better fight mysterious supernatural enemies. The entire experience has a cinematic feel, and the game's presentation even replicates the texture of film. With its foreboding atmosphere and action-heavy gameplay, "The Order" stands out from the crowd.

@highlight

Here are 5 games to watch from the recent Gamescom show

@highlight

"Fighter Within" uses Xbox Kinect's motion-control technology to help gamers fight

@highlight

Characters in "The Sims 4" feel more life-like than ever before

@highlight

"The Order" provides an alternate vision of Victorian-era London