(CNN) -- Making it to the top in one of the toughest and most fickle industries in the world, that of fashion design, requires a careful balance of knowing your own essence and giving the public what they expect.

That's according to Paco Rabanne's Artistic Director Lydia Maurer, who claims one of the greatest challenges of being a designer is staying true to oneself while at the same time listening to comments from critics, journalists and clients, without getting pulled off course by them.

"It's important to listen to it, but it's important to still stay yourself," she says. "Because as soon as you start losing your essence, you start becoming uninteresting. And I think that's what's the biggest challenge."

Read more: Bolshoi Prima ballerina's grace under pressure

The 29-year-old replaced Indian designer Manish Arora as Women's Ready-to-Wear Artistic Director at the French fashion house in June.

She began her career at Studio BerÃ§ot in Paris, then took up an internship at Yves Saint Laurent, before joining Martine Sitbon, helping her establish her private line Rue de Mail, followed by a few seasons at Givenchy.

Maurer, who has just shown her debut spring/summer 2013 collection for Paco Rabanne at Paris Fashion Week, was born in Germany to a German father and a Colombian mother and at the age of three moved to Mexico. She spent her childhood traveling widely across South America before settling in Paris.

She sees herself as a mix of her German side, the designer who thinks about utility and shape and her South American side, which is more instinctive and into meshing together textures and colors.

The biggest reward, she says, is creating a collection that persists after the fashion show and seeing that people really want to wear the clothes and the garments do not live on the rack.

Read more: Boxing's first female Olympic gold medalist: 'I thought I couldn't continue'

Here she talks to CNN's Human to Hero about her childhood interest in fashion, her career to date and the challenges that she faces in her new job.

On her childhood interest in fashion ...

When I was a child I was always very interested in images, in materials and textures.

I just tended to put them in a bag that I would always carry with me, and I would stitch them together or, like, staple them together and make sort of fabrics out of them.

I felt that since my childhood I've always loved doing this, and it's what I do naturally -- I mean, I don't need to make an effort to do it.

On the influence of living in South America ....

I traveled a lot so I would just soak in a lot of feelings, a lot of colors ... and I've always been somebody who likes to record things, so I would ... start taking pictures and making drawings, or taking leaflets and pamphlets and postcards, fabrics, things everywhere and just collect them.

It was also I guess my cultural background which is quite rich. I think that it's that sensibility to color also, to materials mostly that people always saw in me.

On studying at Studio BerÃ§ot ...

You have to know where you're going and what it is that attracts you to be there, to survive in a school like that.

They expect collections from you, but no one tells you what to be inspired by ... It forces you to follow your own path, which I feel is the only key to being a good fashion designer.

On being appointed Artistic Director of Women's Ready-to-Wear at Pace Rabanne ...

I have to represent a company, a fashion house that is historic ... that's always attached to the '60s, and now the biggest challenge is to bring it forward to our times.

This is not a fashion house that's purely about style, but mostly about handwork and craftsmanship, and texture and material.

On her debut collection for Paco Rabanne ...

Nowadays women want things that are ... more functional but at the same time we've such an affluence of clothes and brands that are very wearable, that we also are looking for things that are very precise and very special, like sort of extraordinary pieces.

It's also important to balance for me in this collection, the wearable side with the extraordinary piece side. So I, I basically wanted to do something a little bit psychedelic, something that is a little bit '60s but in a ... magic way. Something mysterious.

On where she gets inspiration ...

We can have our phone and take photos with our iPhone anytime, any place.

I travel and I love to bring things back ... even just books or even a shell. Anything can be interesting.

On the real purpose of a fashion designer ...

In the end, what you're doing is not just supposed to be living for one fashion show, and then you pack it and put it in the archives. It's about giving your creations an afterlife. Giving them the possibility to go out on the street, or to be worn by a celebrity for a show, for a premiere or for any kind of event.

@highlight

Lydia Maurer is Artistic Director of Paris label Paco Rabanne Women's Ready-to-Wear

@highlight

The 29-year-old replaced Indian fashion designer Manish Arora in June

@highlight

Prior to that she worked for Givenchy and on Martine Sitbon's Rue de Mail label

@highlight

The German designer has just shown her first collection at Paris Fashion Week