(CNN) -- The world-famous Hubble Space Telescope is owned by the U.S. government and operated cooperatively by NASA and an institute under contract to NASA. Now that the government has shut down, the institute can still use existing resources to continue Hubble operations for as long as possible. Its staff has tried to ensure that -- to the extent possible -- the shutdown will not affect telescope operations.

But events can overtake plans. If Hubble encounters a problem or a glitch, as happens occasionally, science operations will be suspended and the spacecraft will be locked into safe mode until government employees can issue spacecraft commands to restore operations.

Safe mode means orienting the delicate instruments away from the sun while keeping the solar panels illuminated, to make sure no instrument loses power and is ruined. But in safe mode, the instruments won't record any of the light coming to the telescope.

The approximate cost of one hour of Hubble observing is somewhere between $8,000 and $25,000, depending on whether one adds the costs of operating and refurbishing the facility to its initial construction costs. That means a two-week government shutdown could waste $3 million, $5 million, even $8 million of taxpayer investment.

Frankly, the loss to science is far greater. Each year thousands of astronomers from around the world compete to decide where Hubble will point -- toward particular stars or planets or galaxies or gravitational lenses. Special science panels spend weeks setting priorities for the most important proposed science investigations. For every 10 hours of observing time astronomers want to use, only 1 hour is eventually approved.

U.S. shutdown threatens launch of NASA's next mission to Mars

That means each week the government is shut down could cost dozens to hundreds of critical astronomical observations.

The James Webb Space Telescope, Hubble's successor, is undergoing critical tests at the Goddard Space Flight Center. This has to be done at extremely cold temperatures, mimicking conditions in space, and the amount of time to cool the system down is one of the drivers of schedule and therefore cost.

As long as the government remains shut down, the testing will have to wait. If the shutdown lasts more than a few weeks, the JWST instrument module will have to be warmed up, probably pushing the launch date forward by a few months and raising the cost commensurately (about $1 million per day).

NASA operates dozens of scientific spacecraft. A few look out at the cosmos, like Hubble. Many monitor the sun and the particle environment around Earth. Such observations have provided early warning of major sunstorms (known by solar scientists as "coronal mass ejections") that can knock out communications satellites and other fragile electronics.

To check on the number of satellites that might be affected by the shutdown, this author tried to access a NASA website, only to see the following message: "Due to the lapse in federal government funding, this website is not available. We sincerely regret the inconvenience."

This prompted further searching. The main NASA website defaults to the same error message. The education and outreach pages maintained by astronomers at the Goddard Space Flight Center -- and read by schoolchildren across the country -- are not accessible.

The Jet Propulsion Laboratory, because it is run under contract to NASA, still has a visible website. Their flagship mission, the Mars Science Laboratory and its Curiosity Rover, is apparently still active, operated by team members who work for JPL or Caltech or other participating institutions other than the federal government.

But as for Hubble, if there is any kind of glitch, federal civil servants will be essential to the recovery of rover operations.

NASA grounded by government shutdown

The work doesn't disappear, either. Scientists at NASA and the National Science Foundation are some of the hardest working people I know. The government shutdown means they are forbidden to do any work. They can't take their laptops home or phone into teleconferences from home, the way I might if a hurricane or snowstorm threatened Yale.

So, you might think they are having a nice (though unpaid) vacation. But actually, the same work is sitting on their desk when they get back, and it all has to get done. So it means they'll work longer hours to catch up and for most civil servant scientists, there is no such thing as overtime pay.

A NASA colleague at the Goddard Space Flight Center is designing a powerful new telescope. For the past few weeks, we've had intensive discussions with colleagues around the world about the science this telescope will be able to do.

Now, there is radio silence. His last e-mail said, "This is going to be my last e-mail before the government shutdown ends. Any work during a shutdown is deemed a violation of the Anti-Deficiency Act. You are welcome to continue to e-mail me, but I might not be able to respond until the federal government opens for business."

We are all waiting.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

Government shutdown affects NASA, where employees are off the job

@highlight

Meg Urry: A two-week shutdown could waste $3 million to $8 million of taxpayer money

@highlight

She says loss to science is greater as critical astronomical work could be affected

@highlight

Urry: NASA scientists can't do their work and must make up for it when shutdown ends