LONDON, England (CNN) -- From ancient Phoenician galleys to 21st century super yachts, a lot has changed about the way people travel the high seas over the centuries.

The Mirabella V, built in 2003, is the world's biggest single-masted sailing yacht, with a mast that is nearly 300 ft tall.

Whether it's one intrepid "micro-yachtsman" navigating the Atlantic in a boat the size of a bathtub, or an elite racing team shattering world records in a state-of-the-art catamaran, these voyages all have one thing in common: they have altered the way mankind looks at the world.

MainSail takes a look at the ships, and the revolutionaries they carried on their way.

Voyage of the Beagle

When: 1831 Who: Naturalist Charles Darwin Where: Galapagos Islands The boat: The HMS Beagle was a 90 ft, 10-gun former British Navy warship built in 1820. The ship was repurposed and commissioned for civilian exploration voyages in 1825. How long: Five years Legacy: Aboard the HMS Beagle, Darwin collected specimens and began to develop his theories of evolution, which would later crystallize in "The Origin of Species."

Columbus discovers the New World

When: 1492 Who: Italian explorer Christopher Columbus Where: From Spain to the Caribbean The boats: The Santa Maria was a 70 ft, three-masted ship built from pine and oak, that could carry 40 men. The Nina and the Pinta were both smaller, nimbler boats with triangle-shaped masts better for navigating tricky waterways. The square-sail Santa Maria ran aground in modern-day Haiti on Christmas Day 1492. Legacy: Searching for a new way into the East Indies spice route, it was aboard these three ships that Columbus unintentionally discovered the Caribbean.

'Micro-yachtsman' crosses the Atlantic in miniature boat

When: 1993 Who: American Hugo Vihlen Where: Across the North Atlantic, from Newfoundland to Cornwall, England The boat: The Father's Day, the world's tiniest sailboat at a length of 5 ft 4 in, was so small that Vihlen had to roll up into a ball to sleep, and couldn't stand up without opening the hatch and risk taking on water. Likened to a space shuttle, the boat is made from fiberglass-enclosed Airex foam and was fitted with GPS, a water maker, VHF radio and SSB/Ham radio. Legacy: Aboard the Father's Day, Vihlen became the world's first "micro-yachtsman," but it wasn't all smooth sailing -- the boat was surrounded by whales, nearly capsized, and caught the tail end of a hurricane during its 105-day voyage. What world-changing voyages would you add to our list? Sound Off below

Magellan navigates Cape Horn

When: 1519 Who: Portuguese explorer Ferdinand Magellan Where: Around the world bypassing Cape Horn, South America via a narrow strait The boat: Given to Magellan by King Charles I of Spain, The Victoria was the only one of five ships to complete the trip successfully. Only 18 of its original 237 crew members survived and the ship was so badly damaged it was only kept afloat by the crew continuously pumping water out of the hull. How long: Three years Legacy: During the first ever circumnavigation of the world Magellan discovered a shortcut through a waterway in the southern tip of Chile, which helped sailors to avoid the almost continuous ocean storms off Cape Horn. The voyage also established the need for an international date line -- as the explorers found upon return that their calendars were one day off.

Pilgrims sail to Plymouth Rock

When: 1620 Who: The Pilgrims Where: From England to Plymouth Rock The boat: Primarily used as a cargo ship, in this instance the Mayflower, which was estimated to be between 90 and 110 ft, was used to transport 102 English separatists. How long: Two months Legacy: Half the Pilgrims died during the first winter on the Mayflower, but, in America, the ship continues to be a symbol of the bold English separatists who would encounter great hardships while they explored, and established colonies the modern-day U.S. east coast.

Cook charts the Pacific

When: 1772-1775, 1778-1780 Who: English cartographer and explorer Captain James Cook Where: Pacific Ocean, Antarctic Circle The boat: Called "the fittest ship for service I have ever seen" by Cook, the HMS Resolution was fitted with the most advanced technology of the day, including an "Azimuth compass," an ice anchor, a fresh water distiller, and 24 guns and small cannons. How long: Five years  Legacy: Cook charted maps of the Pacific so accurate that many were still used up until 50 years ago, and proved the nonexistence of the mythical "Terra Australis" continent believed to exist in the south Pacific. In the process, the HMS Resolution became the first ship to cross the Antarctic Circle.

First solo circumnavigation of the globe

When: 1895 Who: Canadian sailor Joshua Slocum Where: From Boston to Rhode Island The boat: Given as a gift to Slocum in 1892, the rotting 36 ft vessel, The Spray, the sailor restored it for "$553.62, and 13 months of my own labor." How long: Three years Legacy: Slocum became the first person in history to successfully circumnavigate the world solo upon his return to Rhode Island in June 1898, inspiring generations of sailors to come.

Yacht with tallest mast ever sets sail

When: Built in 2003 Who: Owned by American Joe Vittoria, former CEO of Avis Where: From Portsmouth, England to the Mediterranean Sea The boat: With an overall length of 247 ft, the Mirabella V is the largest single-masted boat in the world. The super-yacht's unprecedented mast extends up nearly 300 ft into the sky, and its main sail is over 16,000 sq ft -- the biggest in the world. Legacy: No expense was spared in the construction of Vittoria's luxurious yacht, which cost over $50 million to build. The Mirabella V spends her winters in the Carribean, her summers in the Mediterranean, and can be rented for around $400,000 per week -- but one tip: there isn't a single bridge in the world that the yacht can sail underneath.

Phoenicians build empire on the seas  When: 1200-600 B.C. Who: Expert sailors of Phoenicia's maritime empire Where: Mediterranean Sea The boats: The Phoenicians improved upon the galley -- the ancient ship powered by rows of human oarsmen -- by inventing the "bireme," a galley propelled by a second row of oars. Legacy: Through their skillful use ships to trade valuable Tyrian purple dyes, the seafaring Phoenicians -- who could be considered the world's first "global capitalists" -- built a maritime empire from Spain to the Middle East that dominated commercial trade in the Mediterranean for the better part of a millennium.

Fastest circumnavigation of the globe

When: 2005 Who: French yachtsman Bruno Peyron Where: Around the world The boat: The Orange II, a 121 ft "maxicat," a catamaran designed for ocean racing, with super heavy-duty sails that can withstand prolonged exposure to heavy winds. How long: 50 days, 16 hours, 20 minutes and four seconds Legacy: The Orange II shattered the previous world record for the fastest circumnavigation of the globe by nearly eight days -- and Peyron and his 12-man crew currently hold the Jules Verne Trophy, the prize given to the world's fastest circumnavigators.

@highlight

The Pilgrims' voyage on the Mayflower to Plymouth Rock in 1620

@highlight

Charles Darwin's evolutionary discoveries on the HMS Beagle in 1831

@highlight

Hugo Vihlen's "micro-yacht" crossing of the Atlantic in 1993