We know an industry is in crisis when its top institutions cannot establish stable leadership. That is the case with some of our nation's best public universities today.

When the Board of Visitors at the University of Virginia pressured President Teresa Sullivan to resign on June 10, she became the fourth leader of a flagship public university to leave office under a cloud of controversy recently.

The other casualties included the highly respected leaders of the University of Wisconsin-Madison, the University of Illinois and the University of Oregon. The president of the University of California at Berkeley has also announced that he will step down in December. Leaders of public universities in other states face equally strong pressures to go. The men and women in these jobs seem to have a target on their backs.

This can't go on.

Our nation's public universities are the heart and soul of our higher education system, which is the envy of the world.

Flagship public universities educate more of the brightest high school students than private universities in many states. They conduct the lion's share of advanced research. They also attract the largest number of foreign students. If our public universities fall into a decline because of a leadership vacuum, then our entire system will decline, too.

University leaders are an endangered species because they are wedged between opposing and powerful pressures that are undermining public universities.

Government officials in state capitals want to cut funding while requiring far-reaching reforms. They demand more control over costs that have risen much faster than inflation or family income in the last decade. They also ask for increased public access to flagship universities through traditional and online forms of education. Governors and legislators want all these benefits as they continue to reduce state expenditures for higher education.

Professors and administrators on campus view these reforms as attacks on serious education and research. Advanced training in the sciences, engineering and humanities requires intensive small-group work that cannot be subjected to assembly-line efficiencies.

Anyone who has taught writing, for example, knows that there is no substitute for the instructor sitting with the student and going line-by-line through each sentence. The same is true for theoretical physics, medicine, law and many other fields. You need extended time and personal contact for young minds to mature as effective thinkers. That is expensive, but it is money well spent for the good of the society.

It's the same for advanced research. Innovation and creativity require freedom, security and flexibility. Scholars must have the ability to pursue a question in depth and examine its many implications. Sometimes an important project may take years to complete. Without university research of this kind we would not have many of the technologies and medicines we take for granted today.

Governors and legislators have a strong argument about the elitism, the inefficiency and the sometime self-serving nature of university faculty. Professors have a strong case for the merits of what they do, and the remarkable record of achievements and historical job-creation coming out of our best public universities. The system works for some, but not for everyone. The system produces value, but at costs that might not be sustainable.

University leaders are caught in the middle. Governors are impatient for new "efficiencies." Professors are adamant about protecting the freedom necessary for their work. University presidents have the title to address these issues, but they have little power when funding is tight and the two sides are equally uncompromising. No one wants to acknowledge the legitimacy of the other side's point of view.

Wealthy alumni groups are very generous and loyal to their alma maters, but they cannot solve this crisis. Although alumni want their universities to be the best in the world, their support (as generous as it may be) cannot replace government money.

Despite steep decreases in state funding for universities, state and federal agencies provide the largest share of money to public universities for research and related activities. The National Institutes of Health, for example, is the dominant funder for medical research in the world. States own the land on which public university campuses are built.

So where do we go from here?

Reforms to public universities are indeed necessary, but they will not emerge effectively from political attacks and vindictive cuts.

What we need is an open and participatory process where university boards, state leaders, faculty, students and campus presidents formulate measurable goals for reasonable reforms, cost-savings, and more efficiency. These discussions should also include meaningful incentives for increased excellence (in teaching and research), public accessibility and international recognition. University presidents should be empowered to pursue these goals, in a reasonable time frame, with transparent accountability.

While faculty must preserve the essential freedoms for their creativity, they cannot expect to do this by protecting privileges at all costs. Along with administrators, they have to accept changes to their comfortable routines. If both state and campus communities contribute to mutually beneficial changes, the reformed public university of the 21st century will be much improved.

At present, the attacks on university leaders from all sides are attacks on the very idea of a public university. When Thomas Jefferson designed the University of Virginia, and when Abraham Lincoln created the federal land-grant system to finance public education, they had a faith that the most advanced intellectual work would improve the nation as a whole. That is what they meant by the "public" in university. Jefferson and Lincoln's support for public higher education made the United States a model for the rest of the world.

We need leaders in government and on campus with the same vision -- the same desire to use limited resources not as instruments for political or personal advantage, but as opportunities for constructive engagement and the greatest long-term public good. Public universities need protection and they also need serious, thoughtful reform. Let's start with giving university presidents a fair chance to do their work.

@highlight

Jeremi Suri: Some of the best public universities in America are losing their presidents

@highlight

Suri: University leaders are caught between pressures from state officials and faculty

@highlight

He says reforms to these institutions are needed, but political attacks and budget cuts won't help

@highlight

Suri: University presidents should be empowered to pursue common goals