(CNN)  -- Within the last month, our country has witnessed two senseless, high-profile acts of criminal violence that would have been labeled terrorism if brown-skinned Arab Muslim men with foreign-sounding names had committed them.

Because two white men committed these acts of violence, however, our political and media chattering class never used the word "terrorism" in its discussions.

Most recently, John Patrick Bedell, a 36-year-old man from California, walked up to two security guards outside the Pentagon Metro station in suburban Washington and started shooting. He was then shot and killed. According to The Christian Science Monitor, Bedell appeared "to have been a right-wing extremist with virulent anti-government feelings" and also battled mental illness before his shooting rampage.

A few weeks ago, on February 18, another white anti-government extremist named Joseph Stack flew his small airplane into an Internal Revenue Service building in Austin, Texas,  killing two people and injuring 13 others.

According to media reports, Stack had left behind a disjointed suicide letter in which he expressed his hatred of our American government and outlined grievances with the IRS, chillingly stating that "violence not only is the answer; it is the only answer."

Both the Pentagon Metro and IRS attacks come at a time of "explosive growth in [domestic] extremist-group activism across the United States," according to the Southern Poverty Law Center.

A recently released law center report showed so-called patriot groups -- steeped in anti-government conspiracy theories -- grew from 149 in 2008 to 512 in 2009 -- a 244 percent increase that the Southern Poverty Law Center report judged to be an "astonishing" rise in the one-year period since President Obama took the oath of office. The number of these groups that are domestic extremist paramilitary militias grew from 42 in 2008 to 127 in 2009, the report said.

Even so, for any reasonable observer who is still skeptical about labeling the recent Pentagon area shooting and IRS attack terrorism, keep one thing in mind:

Let us imagine that these Pentagon and IRS attacks had been committed by an olive-skinned Arab Muslim man named Ali Muhammad.

Our national media and political commentators would have wasted little time in calling both of these acts terrorism, and some might have also called for the closings of other IRS and federal government office buildings around the country as a necessary counter-terrorism safety precaution.

Instead, shortly after the IRS plane attack, some prominent media commentators immediately asked why people -- especially conservatives on the right -- were not calling the IRS attacker a terrorist.

"If this had been done by a brownish-looking Muslim guy whose suicide note paralleled Islamist political themes," wrote media commentator Matthew Yglesias, then right-wingers would "demand that anyone who refused to label the attack 'terrorism' be put up on treason charges."

In a recent piece, Robert Wright, of the New America Foundation, wrote: "In common usage, a 'terrorist' is someone who attacks in the name of a political cause and aims to spread terror -- to foster fear that such attacks will be repeated until grievances are addressed." Following suit, the IRS attacker's suicide manifesto  before his aerial kamikaze attack reads in part: "I know there have been countless before me and there are sure to be as many after ... I can only hope that the numbers quickly get too big to be whitewashed and ignored" -- at which point, God willing, -- "the American zombies wake up and revolt."

If this same above-mentioned suicide letter had been instead written by an Arab Muslim man named Ali Muhammad right before crashing his airplane into an IRS building, most of the right-wing blogosphere would instantaneously erupt with screaming headlines of another act of Muslim terrorism.

Because Theodore Kaczynski, the Unabomber; Oklahoma City bomber Timothy McVeigh; Atlanta, Georgia,  Olympic bomber Eric Rudolph; the Pentagon shooter and IRS attacker were all white men motivated by their respective ideologies, surprisingly, the term "terrorism" has never seemed to stick to any of them. To prove my point even further, the recently indicted American woman Colleen LaRose, who called herself "Jihad Jane," can rightfully be termed a wanna-be terrorist. But why does this not apply to other white extremists?

If our nation is truly conducting a ''war on terror'' and not a "war on Islam," it is our duty as Americans of all colors, political persuasions and nationalities to condemn and distance ourselves from all acts of terrorism, regardless of the race or religion of those who commit violent acts in the name of extreme ideology. Simply put, terrorism is terrorism, whether it is committed by a white, black or brown person anywhere in the world.

If we as a nation fail to adequately condemn all acts of terrorism equally, the only clear message that we will be sending to the rest of the world is that the word "terrorist" applies only to those with olive skin and foreign-sounding last names.

The opinions expressed in this commentary are solely those of Arsalan Iftikhar.

@highlight

Arsalan Iftikhar: Imagine if recent violent acts had been committed by Arab Muslim men

@highlight

White man Joseph Stack flew plane into IRS building; another shot Pentagon guards, he writes

@highlight

Iftikhar: Outcry would ensue if Muslim left note calling violence "the only answer," as Stack did

@highlight

Terrorism is terrorism, whether it is committed by a white, black or brown person, he says