New York (CNN) -- A mandatory 21-day quarantine imposed by New York and New Jersey on health care workers returning from West Africa after treating Ebola patients caught local and federal officials by surprise and spurred a heated debate on handling the spread of the virus.

The policy of isolating medical personnel and others arriving from Ebola-affected countries zones was abruptly implemented Friday by the governors of New York and New Jersey, Andrew Cuomo and Chris Christie. The announcement came one day after a New York doctor who treated patients in Guinea became the first Ebola case diagnosed in the city and the fourth in the United States.

The mandate came as a surprise to the federal Centers for Disease and Control and Prevention in Atlanta, according to a federal official familiar with the situation.

"They're not happy," the official said of the CDC. "These two governors said, 'Take this, federal government.' They're very worried we won't be able to get physicians or nurses to go (to countries affected by the Ebola outbreak)."

Should health care workers be quarantined?

A New York City official called more stringent screening "a real stunner."

"They did this without consulting the city, and that's not a good thing," the official said of Cuomo and Christie. "They didn't let anyone know in advance."

Both officials spoke on condition of anonymity.

Illinois will require "high-risk individuals who have had direct contact with an individual infected with the Ebola virus while in Liberia, Sierra Leone or Guinea" to undergo a mandatory 21-day home quarantine, according to a press release from Governor Pat Quinn's office released on Friday.

On Saturday, the CDC said that it sets the baseline recommended standards, but state and local officials have the prerogative to set tighter policies.

"When it comes to the federal standards set by the CDC, we will consider any measures that we believe have the potential to make the American people safer," the CDC said in a statement.

Nurse worried about mandatory quarantines

The two-state policy was implemented the same day that nurse Kaci Hickox landed at Newark Liberty International Airport in New Jersey after working with Doctors Without Borders in treating Ebola patients in Sierra Leone.

Hickox, in an Op-Ed piece in The Dallas Morning News, wrote that she was ordered placed in quarantine at a hospital, where she tested negative in a preliminary test for Ebola. Still, hospital officials told her she must remain under mandatory quarantine for 21 days.

Hickox wrote that she was held at the airport and questioned by various health workers after her flight landed about 1 p.m. At first, her temperature -- taken with forehead scanner -- was 98 degrees.

Hours later, her cheeks flushed with anger over being held without explanation, another scanner check recorded her temperature as 101 degrees, she wrote.

Hickox eventually got a police escort, sirens blaring, to a hospital, when her temperature was again checked in an outdoor tent. On the oral thermometer, her temperature was recorded as 98.6. And she tested negative for Ebola, she wrote in the Dallas newspaper. A second test by the CDC confirmed the finding.

In a statement released Saturday, Doctors Without Borders, or Medecins Sans Frontieres (MSF), said there was a "notable lack of clarity" about the guidelines released by New York and New Jersey.

"We are attempting to clarify the details of the protocols with each state's departments of health to gain a full understanding of their requirements and implications," MSF said.

"While measures to protect public health are of paramount importance, they must be balanced against the rights of health workers returning from fighting the Ebola outbreak in West Africa to fair and reasonable treatment and the full disclosure of information to them, along with information about intended courses of action from local and state health authorities."

New York City Health Commissioner Dr. Mary Bassett is concerned that the mandatory quarantine will discourage doctors and nurses from volunteering to take care of Ebola patients in West Africa, according to her spokeswoman.

"We just want to make sure we don't inadvertently discourage volunteers who are going to West Africa to help control this epidemic,"said health department spokeswoman Jean Weinberg.

The new airport screening procedures require anyone who had direct contact with Ebola patients to remain in quarantine for up to three weeks.

In addition, people with a travel history to the affected regions but with no direct contact with Ebola patients will be "actively monitored ... and, if necessary, quarantined," according to the new policy.

"This is not the time to take chances," Cuomo said Friday. "This adjustment in increasing the screening procedures is necessary. ... I think public safety and public health have to be balanced and I think this policy does that."

New federal policy starts Monday

The new guidelines add to the federal policy requiring all travelers coming to the United States from Ebola-affected areas to be actively monitored for 21 days, starting Monday.

Already, such travelers landing at five U.S. airports -- New York's Kennedy, Dulles International, New Jersey's Newark Liberty International, Chicago's O'Hare International and Hartsfield-Jackson International in Atlanta -- must go through enhanced screening.

Ebola has killed nearly 5,000 people, mostly in Liberia, Sierra Leone and Guinea, in what health officials call the worst outbreak of the disease in history.

On Friday, the National Institutes of Health said Nina Pham, a Dallas nurse, had been declared free of the Ebola virus.

Public health experts say there's plenty of scientific evidence indicating that there's very little chance that a random person will get Ebola, unless he or she is in very close contact -- close enough to share bodily fluids -- with someone who has it.

How the Ebola virus spreads

New York Ebola patient's fiancee cleared

On Thursday, a New York doctor who had traveled on a humanitarian mission to Guinea, where he had treated Ebola patients, developed symptoms and has been hospitalized in Manhattan.

Dr. Craig Spencer, 33, is in isolation at Bellevue Hospital in New York City. He arrived back from Guinea on October 17 and had limited his public interactions but did not eliminate them, according to officials.

On the same day Cuomo and Christie announced the new guidelines, Ebola survivor Nancy Writebol donated plasma to Spencer, said the charity SIM.

Writebol was one of the first two Americans diagnosed with the Ebola virus. She was successfully treated at Emory University Hospital in Atlanta in August.

Spencer's fiancee, Morgan Dixon, had been under quarantine at Bellevue, but was cleared and has no symptoms, according to Jean Weinberg, a city health department spokeswoman.

On Saturday night, Dixon returned home to the hazmat-cleaned apartment she shares with Spencer in Manhattan.

Dixon's family members have not been in physical contact with her or Spencer since his return from West Africa, according to a family statement.

Two friends of Spencer are under quarantine outside the hospital and are being monitored, though they feel healthy.

Dr. Jay Varma, deputy commissioner for disease control at the city health department, held a news conference outside said the woman would be under quarantine for 21 days and that she is healthy. She is not allowed visitors and groceries will be delivered to her apartment.

Spencer's activities, which include riding in subways and cabs, have sparked a sharp public debate about how to deal with people who have traveled to West African countries ravaged by the disease.

On Saturday, one of the places visited by the Spencer, The Gutter bowling alley in Brooklyn, reopened after extensive decontamination work. And New York Mayor Bill de Blasio dined on meatballs at a Manhattan restaurant visited by the doctor.

Should the focus of American policy be to do everything to prevent anyone who has visited the most ravaged regions from entering the United States, even if it discourages health care workers from going there?

Some U.S. lawmakers, such as Rep. Andy Harris, favor a strict three-week quarantine. (That duration is significant because it takes anywhere from two to 21 days from the time a person is exposed to Ebola to when he or she shows symptoms of it; if more time than that passes without symptoms, a person is considered Ebola-free.)

"In return from being allowed to come back into the country from a place where a deadly disease is endemic, you'd have to enter a quarantine facility and be supervised for 21 days," the Maryland Republican told CNN.

But other officials say while that policy could prevent some cases of Ebola in the United States over the short term, it could backfire if highly trained American doctors have less incentive to travel to Africa to fight the disease.

"These individuals who are going there to serve are the people who will end this crisis," de Blasio said. "We can't have the illusion that we can turn away from it and some day it may end. If we took that attitude, this would be a truly devastating global crisis."

Complete coverage on Ebola

CNN's Joshua Berlinger, Joe Sutton, Daniel Burke, Greg Botelho, Dr. Sanjay Gupta, Poppy Harlow, Haimy Assefa, Kristina Sgueglia and David Shortell contributed to this report.

@highlight

NEW: Ebola survivor donates plasma to Dr. Craig Spencer

@highlight

Doctors Without Borders says there is a ''notable lack of clarity'' in new guidelines

@highlight

Health care worker arrived at Newark Liberty International Airport on Friday

@highlight

Officials said she developed high temperature after arrival, result from Ebola test came back negative