(CNN) -- United States leaders have rightly said that defeating the Islamic State in Iraq and Syria and resolving Iraq's deepening civil war will require urgent political change in Baghdad. But the military assistance that Iran and Russia are speeding to Shiite groups in Iraq imperils that change.

It now appears that a majority of Iraq's political parties and Shiite religious authorities blame Prime Minister Nuri al-Maliki's authoritarian tendencies and exclusion of mainstream Sunni groups for the crisis, and they seek his replacement as the starting point for resolving it.

But just as this political majority has begun to form against him, Iran and Russia have extended al-Maliki material and political support that insulates him from domestic political pressure and may even embolden him to try to stay on.

Iran now is in a position to direct Shiite militia mobilization and integration into Iraqi security operations and to shape Iraq's military and intelligence operations through Iran's Quds Force advisers. Meanwhile, Vladimir Putin's decisive action to provide attack aircraft, trainers and advisers further bolsters the Prime Minister's position.

Now, al-Maliki can argue that he has international backing to rid his country of this "terrorist" threat by any means necessary. In fact, al-Maliki still enjoys more domestic and international legitimacy than Syria's President, Bashar al-Assad, had when the Syrian civil war began three years ago.

Al-Maliki will surely amplify the significance of this weekend's purported public appearance of the notorious leader of the Islamic State in Iraq and Syria, Abu Bakr al-Baghdadi, in Mosul to argue that the "Islamic caliphate" is a clear and present danger that supersedes the need to form a unity government. He will probably argue that only he can attack the caliphate threat as commander in chief and that it has to be done now, not after a protracted government formation process. He will also probably urge Iran to quiet Shiite opposition to his premiership so that he can perform the urgent work of commander in chief.

Already, the security and political situation is bleak, and unfortunately, the Prime Minister is in denial about his role in creating the Sunni Revolt and fostering the rise of the Caliphate, previously known as the Islamic State in Iraq and al-Sham. After eight years in power, al-Maliki has not shown that he can distinguish between actual threats and imagined ones.

His often-irrational fear of a Baathist return to power led him to employ an authoritarian sectarian agenda and to marginalize constructive but squabbling Sunni Arab political elites, all of which alienated the broader Sunni community and set the stage for ISIS gains.

An unconstrained al-Maliki seeks to crush Sunni Arab communities, which is what he wanted to do in 2007-2008. During the "surge" period of 2007-08, al-Maliki repeatedly asked for U.S. air power and artillery capabilities to pound Sunni neighborhoods (both of which he was denied) while vehemently protesting the use of precision munitions in Shiite militia-controlled areas.

When the International Zone received mortar fire from Sunni neighborhoods, the Baghdad Operations commander, Gen. Abud Qanbar, told coalition advisers that the Prime Minister wanted to teach the Sunni neighborhoods not to let terrorists launch mortars and rockets from their streets. These brutal tendencies are sure to come into the open again now that al-Maliki has the backing of Iran, Syria and Russia, all known for harsh tactics against civilian populations.

If al-Maliki can survive the next few weeks in power, he will probably feel free to take harsh measures against the Sunni Arab community, as he believes that he is free of U.S. constraints for the first time. Given his inclinations and fears, al-Maliki may think that he has great latitude to see most problems as nails to be dealt with by Shiite hammers and that he only has to stop short of al-Assad's atrocities and abuses -- the use of chemical weapons or 200,000 casualties -- if the Syrian experience is an indicator of what will be tolerated by the U.S. and the international community.

A defiant al-Maliki -- with the support of Iran, Syria and Russia and absent U.S. constraints -- will aggressively target Sunni Arabs, who in his view are active supporters of ISIS.

Unfortunately, al-Maliki's removal would not diminish the influence of Iran and Tehran's Shiite militias. Iran will continue to be the key determinant of Iraqi policy and politics for Iraq's Shiite parties and Shiite militias regardless of the prime minister. Iran is skilled in power politics and in asserting Iranian prerogatives. Iranian strategic goals depend on an acquiescent and accommodating Iraqi government. If Iran were to pressure al-Maliki to step down, he would surely be replaced by someone Iran could influence.

One name that is on any short list to replace al-Maliki is Tariq Najim Abdullah, an al-Maliki loyalist who as a member of his State of Law party could be expected to continue the sectarian approach to security issues and the marginalization of his political rivals, Sunni, Kurd and Shiite alike.

Regardless of who the next Shiite prime minister will be, the sectarian actors responsible for executing al-Maliki's heavy-handed tactics against the Sunni population in 2006-09 are now back in key positions. We have seen a return of the "worst of the worst," the very same actors the U.S. urged al-Maliki to remove and charge criminally before 2010.

Although many maligned sectarian actors were reassigned or promoted out of key positions in Baghdad to safe positions in southern Iraq, it seems these sectarian enforcers have returned to the fight, with the al-Maliki government's blessing.

Meanwhile, U.S influence and leverage with al-Maliki and other Shiite leaders is waning, if not altogether gone. It began to wane in 2010 when the U.S. ceded our leverage in favor of "smart power," believing that reasonable Iraqi minds would prevail. The U.S. treated Iraq as a sovereign government and did not interfere with al-Maliki's decisions to use the Accountability and Justice Law (PDF) to marginalize and remove political rivals, to politicize the Iraqi Security Forces by replacing effective commanders with al-Maliki loyalists, and to renege on his promises to integrate the Sunni Awakening movement -- the so-called Sons of Iraq -- into the ministries and security forces.

While the U.S. watched, the Iranians pressured al-Maliki not to sign the 2011 Status of Forces Agreement and backed his sectarian agenda of sidelining and arresting political rivals.

Iran's strategic goals and dominant position, orchestrated by Quds commander Qassem Soleimani, will ensure that any Iraqi prime minister responds to Tehran's core interests. Tehran's steadfast support for Syria's al-Assad shows al-Maliki the reliability and commitment of Iran to its clients.

We should view Iranian statements about an inclusive government with Sunni and Kurdish politicians as mere window dressing. The reality is that Tehran will not permit the steps necessary for fundamental constitutional reforms, power-sharing and checks on the Prime Minister's control over the security forces and intelligence apparatus. Tehran will see any such reforms as limits on Iranian influence, something the Iranians will not let happen.

@highlight

Writers: Iran, Russia aid to Iraq imperils U.S. call for al-Maliki to make Iraq government inclusive

@highlight

Thus Al-Maliki is less likely to leave or to stop shunning Sunnis, they say

@highlight

They say Iran helps al-Maliki return "worst of the worst" to key positions to oppress Sunnis

@highlight

Writers: Tehran will see reforms U.S. wants as limits on Iranian influence