(CNN) -- Chuck Klosterman's seventh book and second novel, "The Visible Man" (Scribner), is out Tuesday.

Its story is told by an Austin, Texas, therapist named Victoria Vick and centers around one of her clients, Y___, a man whose name we never learn and who, more importantly, has an unusual talent. Thanks to a suit and some cream he helped develop, Y___ can basically render himself invisible to the untrained eye.

But more than simply a book about a guy with a special ability, "The Visible Man" is about how people act when they're not being watched, and the sketchy moral line that's crossed by the watcher. CNN spoke with Klosterman about the inspiration for the book, writing about and participating in the interview process, and how no one is going to relate to the two main characters in his new novel.

CNN: What was the inspiration for "The Visible Man"?

Chuck Klosterman: I think it was probably when I was writing the previous book, the essay collection (2009's "Eating the Dinosaur"). I had to reread H.G. Wells' "The Time Machine" for an essay I was writing.

I was living in Germany at the time, teaching for the University of Leipzig, so I got it through Amazon Europe or whatever, and it was an edition of the book that was "The Time Machine" and "The Invisible Man." So I decided I would read "The Invisible Man" too, since I hadn't read it since fifth or sixth grade. It was a totally different book than I'd remembered (which is what happens when) you're an adult. The thing that was most interesting to me was that the invisible man was such a jerk. He was just this kind of egocentric, weird person.

Of course, as I thought it over, what type of personality would pursue something like invisibility? It would have to be someone who was both very smart and really sort of egocentric -- would lack the normal boundaries a person would have. At the same time, I was thinking a lot about the process of interviewing. Sort of the unreality of being interviewed. I started to wonder, if you really want to understand what someone's like, how would you do it? Interviewing or surveying or anything when a person is around other people is so impacted by the experience. So those two things together sort of ended up becoming this book.

CNN: You like to talk about interviewing while being interviewed. Having written this book, which includes a lot of interview-based conversation, was your position on interviewing altered?

Klosterman: No. The more you profile people and the more you try to learn things from people through asking them questions, the shortcoming and failures of this process become more and more present in your mind. I can't imagine that, as I grow older, I'm going to reverse my thinking and start believing the interviewing process is more valuable than I think now. It will probably just keep eroding.

But here's the trick, or, I guess, the paradox: Even though interviewing is this incredibly flawed process, it's still the best means we have for understanding people we don't know. It's completely imperfect, but still better than every other option.

CNN: Do you think your opinion of interviewing will erode to the point where you no longer interview people or get interviewed?

Klosterman: What else would I do? I mean, I'm a journalist. There's certainly a thinking, and I didn't see this as much when I worked in newspapers, but when I moved to New York and ended up being surrounded mostly by critics, I came to the realization that a lot of people sort of work under the impression that not only is interviewing not helpful, but that it's mostly detrimental.

That if you want to write about the band Wilco, it's a disadvantage to meet Jeff Tweedy, because that's going to warp your real perception of the music. You're going to hear his music through these things you learned in the interview. Maybe he charms you, maybe you see something in him, maybe you don't like him. I understand that, and I think that's why a lot of pretty smart writers, as they age, do tend to do less reporting. I don't know that that'll ever happen to me.

CNN: One of the two main characters in the book, and the one who tells the book's story, Victoria, admits on Page 1, "I am not a writer." Did writing in this person's voice allow you to free yourself of writerly conventions, or was there a pressure to authentically write in an unwriterly fashion?

Klosterman: To me, that was totally a decision based around verisimilitude, I guess is the word? To me, if someone had never written a book before and was now attempting to write a book based on the fact that they had one metaphysical encounter, that would be their fear.

That's one of the weird things about this book. There are two primary characters, obviously, and the one character, because he's this psychopathic scientist, he is this kind of unlikable, egocentric person. But what kind of therapist would allow themselves to almost become (involved with) this person? Well, it would be someone who is insecure, and someone who is just smart enough to be kind of dumb. As a product, neither one of these two characters are very relatable to people. I can't imagine someone reading this and going, "I really relate to this man or this woman." But that's just how it goes.

CNN: There's a battle between actual sense of self and pop-culture-produced sense of self in this book, especially with regards to reality television. Do you worry that pop culture is taking too strong of a hold on our daily lives?

Klosterman: The short answer is yes. The long answer is that it's an extremely complicated question which often collides with this classic problem of, "Is this idea bad or is it just new?" I'm just thinking about it constantly. In probably all of my books, except maybe the very first one, but even that one probably, is this idea of, "What is reality?" I mean, it's kind of a cliche thing; it seems like something you worry about when you're 17, but I've never stopped worrying about it. It's the main thing I think about in my life. (laughs)

CNN: Does writing about a guy like the one in this book help, or does it confuse the issue?

Klosterman: Both. You start with a core problem, and maybe you answer that question to what you've decided is an acceptable degree, but of course, that just creates a new question. If you think about reality, and you think about the problems of reality, there's never going to be a point where there's no more questions to ask. The questions just get harder and less clear. But at the same time, if you keep going on that, eventually you end up writing a book where the whole premise is, "This book exists." Like, "Am I really writing a book?" is sort of a zero-sum game.

CNN: In describing the book, are you hung up on the semantics of invisibility, like its main characters? If someone says, "'The Visible Man' is about a man who becomes invisible," does that bother you?

Klosterman: Well, it's a very good question, I guess, would it bother me. If somebody asked me, "What is this book about?" and I know that I only have one sentence to tell them, I would say, "Well, it's how it would be to be the invisible man's therapist." But if I read a review that said that and simplified it down, I would be like, "That's totally wrong!" It might bother me if someone else said it, but it doesn't bother me when I think it. The simple fact is that people can't be invisible. I think that, in general, when I write nonfiction, I want it to seem like hyperreality, for it to feel like you're reading fiction. But when I write fiction, I want it to seem like journalism.

@highlight

Klosterman says he was partially inspired by the classic "The Invisible Man"

@highlight

The main character in the book can render himself invisible

@highlight

The author says he wants his fiction to feel like journalism