The Ebola outbreak "continues to accelerate" in West Africa and has killed 1,552 people, the World Health Organization said Thursday.

The total number of cases stands at 3,069, with 40% occurring in the past three weeks. "However, most cases are concentrated in only a few localities," the WHO said.

The outbreak, the deadliest ever, has been centered in Guinea, Sierra Leone and Liberia, with a handful of cases in Nigeria. The overall fatality rate is 52%, the WHO said, ranging from 42% in Sierra Leone to 66% in Guinea.

The WHO issued a "road map" Thursday that "responds to the urgent need to dramatically scale up the international response" in light of the acceleration of new cases, it said.

It aims to stop Ebola transmission in affected countries within six to nine months and prevent its spread internationally.

The road map prioritizes the setting up of treatment centers, community mobilization and safe burials.

It will also try to overcome bottlenecks in vital supplies such as personal protective equipment, disinfectants and body bags.

The road map is based on an assumption that "in many areas of intense transmission the actual number of cases may be 2-4 fold higher than that currently reported," the document states.

It also acknowledges that the total number of cases "could exceed 20,000 over the course of this emergency."

But such a plan is easier stated than carried out, said the aid group Doctors Without Borders, also known as Medecins Sans Frontieres.

The road map should not give a false sense of hope, the group's director of operations, Brice de le Vingne, said in a statement.

"A plan needs to be acted upon," he said. "Huge questions remain about who will implement the elements in the plan."

All of the best medical aid organizations have not had the proper setup to respond at the scale needed to seriously make a dent in the Ebola outbreak, he said.

"As an international public health emergency, states with the capacity to help have the responsibility to mobilize resources to the affected countries, rather than watching from the sidelines with a naive hope that the situation will improve," he said.

Vaccine trials accelerated

An Ebola vaccine being developed by the U.S. National Institutes of Health and GlaxoSmithKline will be fast-tracked for human trials, the international consortium behind the effort said Thursday.

The experimental vaccine could be given to healthy volunteers in Britain, Gambia and Mali as early as September, according to a statement from the consortium, which provided funding.

The vaccine, which does not contain infectious virus material, has showed promise in early tests on primates to protect them from Ebola without significant adverse effects, the statement said.

The human trials will begin as soon as ethical and regulatory approvals are granted.

Nine things to know about the killer disease

'Worse than I'd feared'

Health workers are paying a heavy price as they care for those struck down by the virus.

The WHO said Monday that 120 health care workers have died in the Ebola outbreak, and twice that number have been infected.

Public health experts say several factors are to blame, including a shortage of protective gear and improper use of the gear the workers do have.

"It's even worse than I'd feared," Dr. Tom Frieden, director of the U.S. Centers for Disease Control and Prevention, said Wednesday of the crisis. "Every day this outbreak goes on, it increases the risk for another export to another country.

"The sooner the world comes together to help Liberia and West Africans, the safer we will all be."

Frieden spoke to CNN's Nima Elbagir in Monrovia, Liberia, where fear and anger over the largest Ebola outbreak on record has grown as health officials put up quarantines around some of the capital city's poorest areas.

A separate Ebola outbreak, unrelated to the one in West Africa, was reported Sunday by the Democratic Republic of Congo.

Are myths making the Ebola outbreak worse?

@highlight

World Health Organization says West Africa Ebola outbreak continues to accelerate

@highlight

There are 1,552 confirmed deaths from the Ebola virus, WHO says

@highlight

New "road map" aims to curb outbreak in six to nine months, stop international spread

@highlight

Road map acknowledges that the eventual death toll in this outbreak could exceed 20,000