New York (CNN) -- In one of the largest single-day operations against the Mafia in FBI history, federal agents working with local law enforcement fanned out across Italy, New York, New Jersey and Rhode Island to arrest 127 people allegedly involved in organized crime, officials said.

Alleged members from the five prominent New York families -- the Gambino, Colombo, Bonanno, Genovese and Lucchese families -- were arrested Thursday, based on 16 indictments in four different jurisdictions, Attorney General Eric Holder said during a news conference in New York.

"Today's arrests and charges mark an important step forward in disrupting La Cosa Nostra's illegal activities," he said, referring to the criminal organization by its Italian name.

Ninety-one members and their associates, including one in Italy, were charged with federal crimes that include conspiracy, arson, extortion, narcotics trafficking, illegal gambling, labor racketeering and murders that date back as far as 1981, according to a U.S. Justice Department statement.

An additional 36 suspects were charged for their roles in the alleged criminal activity, the statement said.

About 125 people, including several high-ranking members and much of the Colombo family leadership, are currently in custody following a raid that Holder described as the largest single-day operation against the notorious crime network.

Four of those charged were previously in custody, officials said.

Members of the New England Patriarca family and New Jersey-based Decavalcante family are also accused of related federal crimes.

"Some allegations involve classic mob hits to eliminate perceived rivals," Holder told reporters. "Others involve senseless murders."

He described two murder victims who were allegedly killed in a public bar over a dispute concerning a spilled drink.

Holder's appearance in New York with leadership from local and federal law enforcement perhaps underscores the significance the Justice Department attributes to Thursday's sweep.

Television images showed several men handcuffed and hand-checked by federal agents -- an apparent part of the "unprecedented" 800-person task force involved in the raid.

The move comes amid concerns about a possible resurgence of organized crime despite a scattered recent history of defections, beginning with acting crime boss of the Lucchese family, Alphonse D'Arco, who admitted to "cooperating with the federal government" starting in 1991.

Gambino family underboss Salvatore "Sammy the Bull" Gravano defected later that same year, providing testimony -- in exchange for a reduced sentence -- which led to the conviction of the infamous Gambino kingpin John Gotti.

"If you look at the mob in the '50s and '60s and '70s, there were virtually no informants," said New York Waterfront Commissioner Ronald Goldstock. "The picture has changed dramatically today. The mob is practically unrecognizable."

But Thursday's sweep may now do away with "the myth" of the mafia and the widely held notion that "La Cosa Nostra is a shell of its former self," said Janice Fedarcyk, assistant director in charge of the FBI's New York Division.

"I think we made a serious dent today," Fedarcyk said, but she warned of a new generation of criminal leadership "coming up behind them."

The mob revival concept, however, is the subject of debate.

"Their leadership ranks have been battered by federal and local law enforcement over the years," said James B. Jacobs, a professor at the New York University School of Law. "It's very hard to see to how they could have ever reconstituted in the way they were before."

Attorney General Holder said organized crime is not resurgent and no longer nationwide, but still subtracts millions of dollars from local businesses by way of a "mob tax," or tribute exacted through corrupt local officials.

Holder described the phenomenon as "a major threat to the economic well-being of this country."

On Thursday, New Jersey and New York prosecutors identified more than a dozen New Jersey residents with alleged mob ties who worked as officials for longshoremen's unions, charging them with racketeering and other related offenses, according to a joint statement from district attorneys in both states.

A man described as a "soldier in the Genovese organized crime family" allegedly collected money from port workers, extorting payments after the workers received their annual Christmas bonuses.

Police say workers from the International Longshoremen's Association, Local 1235, were forced to pay corrupt officials between $500 and $5,000 each year if they hoped to rise above entry-level dock jobs, according to New York Police Commissioner Raymond Kelly.

"Organized crime means what it has always meant on the waterfront: Mobsters getting rich on the backs of dock workers," he said.

Despite declines in mob activity in other industries, dockyards in the U.S. Northeast are places where organized crime remains a threat, according to Waterfront Commissioner Goldstock.

And with law enforcement focused on preventing terrorism and providing port security, organized crime is often left without the "day-to-day pressures" it may have felt in years past, he said.

Last April, 14 members of the Gambino crime family -- including Daniel Marino, who was then considered the family head -- pleaded guilty to charges that included murder, racketeering, extortion and prostitution of minors, court officials said.

CNN's Mary Snow, Deborah Feyerick, Terry Frieden and Brian Vitagliano contributed to this report.

@highlight

NEW: Some 125 people are currently in custody, says Attorney General Holder

@highlight

NEW: Four of those charged were previously in custody, officials said.

@highlight

91 members and associates, including one in Italy, are charged with federal crimes

@highlight

Another 36 suspects were charged for their roles in the alleged criminal activity