Albany, New York (CNN) -- Ned Norton was working as a fitness trainer for Olympic athletes and bodybuilders when a young man with a spinal cord injury asked him for help.

"At first, I had no idea what to do with him," said Norton, who managed a health club in Albany, New York.

Together they developed a workout program, and the young man made great strides.

"Even (his) doctors saw the physical and psychological improvements we were able to make," Norton said.

It didn't take long for word to spread. Patients from a rehabilitation center sought out Norton's help, and he began training them for free. After a newspaper published an article about Norton's workouts with the disabled, his phone rang off the hook.

"So I opened a gym designed to fit their needs," he said.

For the past 25 years, Norton has dedicated himself to providing free and low-cost strength and conditioning training for hundreds of people living with a variety of disabilities.

"They can't move, they can't be independent. They can't live their lives," said Norton, 55. "I'm building them up, building them stronger, so they can go out and live life like they're supposed to."

Bodybuilder with a big heart

Norton trains more than 120 people every week through his nonprofit, Warriors on Wheels. His clients' disabilities include spinal cord injuries, multiple sclerosis, cerebral palsy and Down syndrome.

"I never worry about what they can't do," said Norton. "I worry about what they can do, and make them as independent and capable as possible."

Participants come to the gym twice a week for one-hour sessions. Norton's strength-training equipment is specially adapted to fit his clients' needs. Most of the people he trains are in wheelchairs and rely on their upper body strength to get around.

"The world is more accessible now for people with wheelchairs," Norton said, "but you've got to be strong to be in a wheelchair."

Tom Clement knows that first-hand. About 40 years ago, he fell off a roof and severed his spinal cord. He has been in a wheelchair ever since.

"When you lose (the use of) your legs, your arms become your legs. So upper body strength is key," said Clement, 65.

Clement has worked out at Norton's gym several times a week for the past 15 years. He says it's helped him live independently.

"My activities in the gym have increased my ability to maintain the stamina of everyday work," said Clement, who runs a frame shop and art gallery with his brother. "Thanks to Ned, I've been able to live a full life."

For those who can afford to pay it, Norton charges $25 a month. Most of his clients are living on disability income and Social Security, and he says less than half can afford to pay the fee. He never turns away anyone who has a disability.

Strength in numbers

Norton is the only trainer in the facility, which was donated to him by the city. Participants often form friendships and motivate one another. They also become resources for each other, providing advice and references.

"After an accident, people are devastated. Their family and friends have no clue what they are going through. They are out there on their own," Norton said. "But when they come here, they get a network of people going through the same challenges."

Kathleen Lane has been coming to the Warriors on Wheels gym for about 15 years to help with her multiple sclerosis. Lane, who is in a wheelchair, also benefits from the social aspect of the program.

"I come out of here feeling better than I do when I first come in," said Lane, 51. "It changed my life. ... Ned's unbelievable."

Norton says many of the people he has worked with have gone on to drive again, gain employment and pursue their interests without letting their disabilities get in the way.

"I'm not a genius. I'm not a miracle worker," Norton said. "But I do know what I'm doing in the gym, because that's what I love doing and that's what I have to offer to people."

Want to get involved? Learn more about Warriors on Wheels at www.profilesinpurpose.com/warriors_on_wheels and see how to help.

@highlight

Ned Norton devised a workout program for a man with a spinal cord injury and word spread

@highlight

Soon patients from a rehab center sought Norton's help and he trained them for free

@highlight

Norton is dedicated to providing low-cost or free strength training for the disabled

@highlight

Voting for 'CNN Hero of the Year' continues through Thursday, Nov. 16