(CNN) -- On Sunday night, as the Curiosity rover descended through the Martian atmosphere and the HiRISE camera on the Reconnaissance Orbiter caught its parachute deploy, the mood in the NASA Control Room became increasingly electric. As the rover touched down on Mars, the nation seemed to catch the fever and excitement. You would have needed a heart of stone not to get at least a little sentimental in seeing the high-fives and emotional embraces of scientists on live television.

But was the moment a blip? Or are Americans rekindling their romance with science after what seemed like a long and tepid stupor?

Americans have always been taken with the adventure of the "final frontier," but perhaps this is not enough to explain our intense interest this week in a technological marvel.

Mars landing: It could be crazier

With the rover so far from the laboratories that hatched it, it took light itself 14 minutes to reach us back on Earth. During that time span, we could not communicate with Curiosity. What if something went wrong? The waiting seemed like a solar system's game of chess by mail.

The destination only made it more gripping: Mars has been a lodestone for the imagination for at least a century. Percival Lowell's 1890s views of a Martian civilization frantically irrigating its dying world were at last debunked during the Mariner 4 flyby in 1964. But hopes of life on Mars continued. In literature, from Ray Bradbury's Martian Chronicles to Kim Stanley Robinson's Martian Trilogy, the Red Planet has become the American's Avalon.

Earth loves Mars -- why we're crushing on the red planet

Maybe we saw something deeper in the successful landing of Curiosity. We experienced -- even if vicariously -- a group achieving unambiguous excellence. In a nation where a city like Detroit can nearly collapse, where consensus on important policy issues seems far off, where some of the "best and brightest" minds of finance have built fragile institutions, how is it possible that a large cast of scientists and engineers can pull off such a remarkable task?

One of the widely reproduced photographs from the NASA Control Room showed a trio of scientists: the clean-cut, the mohawked and the Gandalf-haired â€” something unthinkable for the NASA of pocket protectors and ties of 50 years ago. Times have surely changed.

The Space Age has come of age, and this century has a chance to see us living on Mars. This is also the era when we might finally understand some of the underlying principles of human society.

Scientists have long sought to unlock the rules and regularities in the natural world. Likewise, social scientists have long believed in the existence of invisible forces that govern our social world. Aided by today's nearly limitless computer power, we can learn from the traces we leave behind on how we actually live and behave. We can see not only how traffic jams form and markets crash but how courtrooms are more or less just, how wars have changed and how they might end.

While science cannot capture the exhilaration of a successful society, or the misery of a failed one, it can show us the properties that underlie them. As scientists, my colleagues and I are inspired every day to put theories of both nature and human kind to the test, in hopes of answering their whys and hows.

Rover had 'exciting ride'

So is science cool again? Those of us in the laboratories, universities and institutes could be forgiven for not knowing it was ever uncool. Topics may fall out of fashion, and some can become political battlegrounds. What the immense interest in Curiosity's landing shows, however, is that the curiosity that drives all scientific endeavors persists in the nation as a whole.

Complete coverage of Mars

When a rover millions of miles away can light our hearts, it's hard to say whether we wanted to know more about Mars, or space colonies, or Earth, or ourselves.

The opinions expressed in this commentary are solely those of Simon DeDeo.

@highlight

The landing of NASA's rover Curiosity on Mars generated intense national interest

@highlight

Simon DeDeo: Are Americans rekindling their romance with science?

@highlight

He says we experienced vicariously a group achieving unambiguous excellence

@highlight

DeDeo: This is also the era when we might grasp underlying principles of human society