(CNN) -- Most Americans think of the Arctic as an icy, distant place; beautiful, remote and teeming with wildlife, but unrelated to their daily lives. Nothing could be further from the truth.

This summer, big doings on America's northern doorstep will have enormous consequences to the economic, strategic and environmental future of the nation. Yet we are unprepared for the challenges and opportunities.

What happens in the Arctic as ice melts there could soon cheapen the cost of the gas you buy and products you purchase from Asia. It could help make the nation more energy independent. It could draw our leaders into a conflict over undersea territory. It is already challenging Washington to protect millions of square miles filled with some of the most magnificent wildlife on Earth, and native people whose culture and way of life is at risk as a squall line of development sweeps across the once inaccessible top of the planet.

Opinion: It's time to develop our Arctic resources

For America, the stakes are huge: A chance to gain wealth and global influence in the newest geopolitical playing field, but there is also potential environmental and security disaster if looming challenges are mishandled or ignored.

If that sounds farfetched, consider the following:

-- Shell is poised to sink exploratory wells -- temporary ones drilled from ships -- 70 miles north of Alaska in a few weeks. The operation will assess whether an estimated 27 billion barrels of oil is there. This is roughly three times the amount that has been extracted from the Gulf of Mexico over the past 20 years.

Shell Oil ship slips anchor; incident raises questions about Arctic drilling plan

Proponents believe a discovery would cut America's dependence on foreign oil and provide jobs and needed revenue to the Treasury Department. They say the oil could be extracted safely. Opponents fear a spill would be a disaster, being difficult to clean up in icy seas. More oil companies wait in the wings and also own offshore leases.

-- In Washington, politicians are jockeying over whether to ratify "The Law of the Sea Treaty," under which countries abutting oceans will be able to claim up to 200 extra miles of undersea territory if they can prove it an extension of their continental shelves. For the U.S., that could mean extra territory the size of California off Alaska.

President Barack Obama and former President George W. Bush support the treaty, as does an oddly aligned group including the Pentagon, Sierra Club, oil companies, shipping companies and environmentalists, who favor the part of the treaty designed to help protect the world's oceans. Although every other Arctic country has ratified the treaty, in the U.S. it has been blocked for years by conservative senators who fear that it gives too much influence to multinational bodies.

-- An undersea land rush has started under the treaty, with Russia claiming an area the size of France and Spain combined. Norway's claim has been granted, and other Arctic nations preparing to file claims. One U.S. Coast Guard admiral, speaking of the treaty, told me, "If this was a ball game, the U.S. wouldn't be on the field, in the stadium or even in the parking lot. We're last in this race."

-- The Russian military has identified the Arctic as one of the likely places for conflict to erupt in the 21st century over resources. Even if actual combat never occurs, whoever controls the high north will wield enormous influence in the coming decades.

Russia has 18 working icebreakers. The U.S. has one. Russia is opening their Arctic sea lanes to commercial shipping. The U.S. has no permanent Coast Guard or Naval presence yet in the high north, although both branches of the service are preparing to move north.

Naval war games last fall anticipated security challenges in the near future: how to deal with terrorists in the Arctic, how to deal with a rogue ship carrying nuclear weapons in the Arctic, how to move a U.S. fleet around the top of the planet, how to help clean up an oil spill. Gamers concluded the Navy needs to prepare and needs more resources.

-- The Northwest Passage is the long-dreamed-of, formerly iced-over sea route between Europe and Asia. This route around the top of Canada and Alaska has killed hundreds of sailors and explorers for centuries, locking their ships in ice, starving them, freezing them, driving them insane and causing survivors to eat each other.

Yet in summers, that passage is now so clear that tourist ships routinely sail through it. Even private yachts make the trip. It is expected that commercial shipping will follow. That's because a single Chinese container ship sailing the Northwest Passage between Shanghai and New York instead of using the Panama Canal would save an estimated $2 million each way on gas and tolls.

In short, the region is opening.

For the past three years, I've spent much time in northern Alaska researching for my book, "The Eskimo and the Oil Man." It's about the grand challenges facing the world there, as seen through the eyes of an Inupiat Eskimo leader who is a grandfather and whale hunter, and the Shell executive sent to drill for oil off Alaska's North Slope.

I sailed on the only U.S. icebreaker for six weeks, sat in on meetings at the Senate over the Arctic, attended a naval war game and met regularly with other oil executives and Inupiat leaders, whale hunters and families on the North Slope. That 4,000-year-old culture sits at the border between wise development and environmental anarchy, and the people of America's polar county will soon watch with hope and fear as the oil ships move north.

Their concerns are not just local ones but should engage every American. If you care about the environment, if you care about gas prices, if you care about where our soldiers and navy may serve next, if you want the U.S. to remain strong and dominant in the world, look to the north this summer.

Look to the Arctic. That's where much of our common future is about to play out.

The opinions expressed in this commentary are solely those of Bob Reiss.

@highlight

Shell is planning to drill 70 miles north of Alaska to see whether 27 billion barrels of oil are there

@highlight

Bob Reiss: For America, the stakes are huge in the Arctic

@highlight

He says opening of the region could cheapen price of gas and products from Asia

@highlight

Reiss: If you want the U.S. to remain strong and dominant in the world, look to the north