SEATTLE, Washington (CNN) -- Predicting the path of a swine flu outbreak is next to impossible, public health officials say. But Dr. Ira Longini has spent more than three decades trying to do just that.

Dr. Ira Longini studies simulations of hypothetical influenzas and how they would spread.

And Longini says the apparent new strain of swine flu appears to be here to stay. "We are probably going to have to live with this virus for some time," he told CNN.

Longini specializes in the mathematical and statistical theory of epidemics. He works at the Vaccine and Infectious Disease Institute at the Hutchinson Research Center in Seattle, Washington.

The researcher studies simulations of hypothetical influenzas and how they would spread across the United States. For the moment, he said, there is not enough information about the swine flu that has sickened hundreds in Mexico and about 50 people in the United States to accurately forecast how the disease will travel.

But Longini's simulations of a fictional killer flu that were ordered by the Centers for Disease Control and Prevention (CDC) show the importance of steps health officials can take to prevent further spread of the virus. These measures include "social distancing," or encouraging those sickened with the flu to stay home or seek medical treatment; closing places where groups of people gather; and making anti-flu medications available to large portions of the population.

In the simulations, Longini said, these forms of containment reduce the sickness by nearly two-thirds.

"The name of the game is to slow transmission until a well-matched vaccine can be made and distributed. I am fairly optimistic we can do that," he said.  Watch how computer models simulate an outbreak's spread »

So far, Longini said, it appears that everyone sickened by swine flu in the United States contracted the disease while traveling in Mexico, the apparent epicenter of the outbreak.

But he cautioned: "That could change very fast. Obviously people in these communities could also get on airplanes and go other places or get on buses or cars or trucks and move around. The picture may change very rapidly. Basically, influenza is going to go where people go."

Health officials agree that the worst may still be yet to come.

"It is too soon for us to say what the spectrum is," Dr. Richard Besser, the acting director of the CDC, said Monday on Larry King Live. "We are going to see cases in this country that are more severe, individuals who are hospitalized, and I would not be surprised if we see deaths in this country."

Longini said health officials are doing everything they can to mitigate how widely the swine flu spreads in the United States. Even if authorities examined everyone entering the country, Longini said, it would not solve the problem.

"Through simulations and mathematical work we've shown that travel restrictions -- although potentially useful in slowing spread [of swine flu] -- they are not going to stop it," Longini said. "We can screen airline passengers, but there all those asymptomatic or incubating people we would miss. So you really have to deal with these outbreaks locally, everywhere they are occurring."  Watch how countries are scanning travelers »

Longini said he hopes that as more data come in about the outbreak, it will help to answer questions researchers have about why the swine flu appears more deadly in the Mexico cases than the ones in the United States. Researchers also hope to find out why such a large percentage of fatalities in Mexico are young people whose healthy immune systems usually protect them from the flu.

But there is good news, Longini said, at least temporarily, for populations in certain areas. In North America and Europe, summer will soon begin, ending the traditional flu season. Even outbreaks such as swine flu tend to follow standard flu season patterns, he said.

Other parts of the world may not be so lucky.

"Timing is terrible for people in the Southern Hemisphere -- places like New Zealand, Australia, South Africa, parts of South America, "Longini said. "They are just coming into their flu season."

@highlight

Researcher studies how a potential flu outbreak could spread

@highlight

Authorities taking vital steps to keep outbreak from spreading, he explains

@highlight

Still, worst of swine flu outbreak may be yet to come, health officials warn

@highlight

Researcher hopes data will show why outbreak so much deadlier in Mexico