(CNN) -- Every country has an unofficial doctrine -- a mantra if you will. In America, it's the "independent spirit." In Germany, it's the "no-nonsense work ethic." In Egypt, well, in Egypt it was always "laughter through adversity."

Until now.

Adel Imam, one of Egypt's most beloved comedic actors, was sentenced to jail for insulting Islam. Not for something he said but for roles he played in films. Yes, you read that right.

That's like sentencing Edward Norton to life in prison for his role in "American History X."

What makes this court ruling even more preposterous is that these films are not recent films. They are pre-revolution films that were approved by the former government.

Last week a court upheld a three-month prison sentence given to the 71-year old actor in February for "insulting" Islam in his films "Morgan Ahmed Morgan" and "Al-Zaeem." It was one of two cases brought against him by an Islamist lawyer, although the second case was last week overturned, according to Amnesty International.

As a child, I remember watching Adel Iman films when I visited my family in Egypt during summer break. Even with my broken Arabic, his mix of wit, facial expressions and physical humor amused me endlessly.

Egyptians have long been envied for their ability to tell a joke. Over the decades they created films, television series and plays that delighted audiences across the region. One can say that in Cairo, a city with nearly 20 million people living in a space the size of my bedroom, it's impossible to get by without a sense of humor.

See also: Comic explores a changed Cairo

But this long and proud history is in serious jeopardy. And if it collapses, I firmly believe so does Egypt's hope for a better future.

As an Egyptian-American comedian, I had the opportunity to be part of the rise of stand-up comedy in the region. During my first show in Cairo, maybe four or five years ago, I remember one local comedian was so nervous because he thought he "might be arrested" by the government just for telling jokes.

Earlier this year I had the opportunity to produce the first stand-up comedy show post-Egyptian revolution. I remember the buzz in the air as comedians made light of a tense situation -- the ouster of Hosni Mubarak and the uncertainty of the country.

As a performer, I was able to address, for the first time in my shows, sexual harassment and the religious hypocrisy of "complete religious freedom as long as you're Muslim or Christian." We even had a female comedian wearing hijab perform on stage. The progression of the country in such a short time period was mind boggling.

Until now.

Who would have guessed that the limited freedom of speech afforded to Egyptians under the old regime would develop into no freedom of speech at all? That a country, which was the "beacon of hope" less than one year ago, is now a catalyst for a "return to the dark ages."

See also: Comedian stands up for Arabs' right to laugh

I'm not saying that we shouldn't be sensitive to religious and cultural needs -- though my personal vote as a comedian is everything should be open to criticism and satire. Many countries have restrictions on programming, including the U.S., but to retroactively punish someone for previously approved material is beyond reason.

Mr. Imam has the opportunity to appeal but, regardless of if he wins or not, a clear message has been sent: any challenge to the "societal norm" will not be tolerated. This doesn't just prevent comedians, writers and artists from finding humor in the single biggest aspect of every Egyptian's life but it also will suppress creativity in general.

Can a Muslim character in a film not drink alcohol? It happens everyday in real life but are we not allowed to show it because the courts want us to pretend it doesn't exist? More importantly, what happens to that actor playing the part -- even if he is really drinking apple juice instead of a beer?

Regardless of the outcome in the Adel Imam trial, if Egyptians don't raise their voices against this ridiculous verdict, this may not just signal the demise of comedy in Egypt -- this could very well be the demise of the country itself.

The opinions expressed in this commentary are solely those of Ronnie Khalil.

@highlight

Egyptian actor Adel Imam found guilty of defaming Islam in some of his movies

@highlight

The films are several years old and were approved by former President Hosni Mubarak's censors

@highlight

Comedian Ronnie Khalil says verdict will suppress creativity in Egypt