Aleppo, Syria (CNN) -- Journalists often get invited on tours of battle zones during wars, but the one the Syrian government organized for CNN and several other media outlets Wednesday was more than bizarre.

We had been told we were going on a trip to the front line in Damascus. Instead, we were driven to an airfield and packed into an old Soviet-made Yakovlev YAK-40 aircraft. It wasn't until we were in the air that government officials on the flight finally offered up some information.

"We are going to Aleppo," one said with a smile. He told reporters that ours would be the first civilian aircraft to land at the city's international airport since December 2012, when the airfield was shut because of heavy clashes in the area.

We sat still, slightly nervous about the guinea pig role we had been thrust into by the government, as our pilot performed a spectacular combat landing on a foggy day. As the aircraft taxied toward the terminal we finally realized that we were the news of the day. A live transmission vehicle and dozens of reporters were waiting to greet us as Syrian government TV carried the live banner proclaiming "The reopening of Aleppo Airport and the landing of a commercial flight."

EXCLUSIVE: Gruesome photos could prove torture by Assad regime

Mohammed Wahid al Akad, Aleppo's provincial governor, was on hand to greet us, eager to show us the gains that Syrian forces had made in and around the city -- and also talk about the ongoing negotiations in Switzerland between representatives of Syrian President Bashar al-Assad's government and various opposition factions.

"What we want from Geneva is to stop foreign money, fighters and weapons coming into Syria. We as Syrians can reconcile with each other, make our own government to rebuild our country," he said. Three buses picked us up for a tour of areas the military had recently taken back from rebels.

Aleppo and its surrounding areas are a key battleground in Syria's hard-fought, nearly three-year-old civil war. The killings have been far too numerous to count.

In December, overwhelmed doctors scurried to help scores of patients amid days of air raids by the government.

"There was a big massacre today," Dr. Ammar Zakaria told CNN at the time. "We were treating shrapnel wounds, deep abdominal and brain injuries. I just lost count of the amputations."

For a long time it appeared opposition forces might take full control of Syria's largest city. But infighting among various rebel groups and a resurgent Syrian army has reversed momentum. The government soldiers we spoke with sounded confident and emboldened by their recent gains.

"Al Qaeda were the worst people to fight against. They are Islamists, they see us as infidels and they want to kill us," one soldier said.

As the buses drove us to the town of Tal Hassil near the airport, people lined the streets, chanting pro-Assad slogans. We were not sure how spontaneous this show of affection really was.

We were taken to an aid distribution center before the tour took us to regime-held areas of Aleppo.

PHOTOS: Haunting images of Aleppo's abandoned homes

The city has the same remarkable dynamic as many other Syrian cities during the civil war, including Homs and Damascus. As the mortars boom and machine guns crackle during heavy clashes in many parts of town, other neighborhoods seem totally normal, to an almost absurd extent.

The United Nations and other international groups accuse Syrian regime forces of using heavy weapons against civilian areas, including barrel bombs -- oil drums filled with explosives that cause massive destruction wherever they are dropped.

But in many government-controlled parts of the city, just a few blocks from the fighting, the streets are full of people and the shops are well stocked. There are trendy restaurants and cafÃ©s, even as rebels control almost half of the city.

Syrian officials believe that Aleppo could be a model for a ceasefire between regime and rebel forces. But looking over the skyline, it is easy to see just how hard that will be.

At a sniper position atop of one of Aleppo's tallest buildings, soldiers showed us areas under opposition control. Some are held by the moderate Free Syrian Army, or the newly-constituted and moderate Islamic Front. But others are under the control of the Islamic State of Iraq and Syria (ISIS), the al Qaeda-linked group which is battling against other rebel factions in its bid to set up an Islamic caliphate in Syria.

Aleppo offered many surprises before we climbed back into our rickety old YAK-40 jet at the end of the day. But it still seems that a ceasefire in the city is a long way off, even if the Geneva negotiations go well.

READ MORE: How Syria talks derailed before they started

@highlight

CNN's Fred Pleitgen was taken on a surprise trip to Aleppo, one of the war's flashpoints

@highlight

Syrian government-organized flight was first civilian landing at airport since late 2012

@highlight

Syrian forces have retaken many areas of country's largest city from rebels in recent months

@highlight

Much of city remains in rebel hands and a ceasefire anytime soon seems unlikely