(CNN) -- With her signature Friday on Senate Bill 1070, Gov. Jan Brewer launched Arizona into a maelstrom of national controversy, community conflict and extreme fiscal risk.

In doing so, she failed a basic test of courageous leadership -- recognizing and acting responsibly when political symbolism and populist pandering crosses into dangerous policy. The governor should have known better, if only because recent history demonstrates the folly in enacting measures like Arizona's SB 1070.

SB 1070 will be subject to multiple legal challenges, and the state will devote precious resources to defend a law that has so many serious constitutional flaws that it will likely never be implemented. The neighboring state of California faced this circumstance 15 years ago when Gov. Pete Wilson championed Proposition 187, enacted by voters in November 1994.

Over half a dozen lawsuits were on file within days of the law's passage. A federal court soon enjoined all but two minor sections of the initiative, and the vast bulk of the law never took effect.

Yet, California not only paid a lot of state lawyers to defend these suits -- and ultimately paid much of the plaintiffs' attorneys' fees as well -- but also had to divert bureaucrats throughout state government from their other tasks to analyze and plan how to implement a law that could never be implemented. Today, California could certainly use the tens of millions of dollars expended so many years ago vainly defending Proposition 187.

Moreover, even though Proposition 187 was never implemented, California suffered other repercussions besides the waste of limited state financial resources. Community conflict increased as some interpreted the initiative's passage as license for private individuals to harass and interrogate those they believed to be undocumented, which then, as now, was usually based on racial stereotype.

In addition, support of Proposition 187 did not help Pete Wilson's political career, as naturalizations rose and an increasing number of angry Latino voters mobilized to oppose the governor and the political party that championed such a negative initiative. Today, so many years later, the political sins of Wilson continue to be visited upon the heads of California politicians from his political party.

Coincidentally, Arizona's SB 1070 suffers from many of the same constitutional flaws as California's Proposition 187. In particular, the claim that felled the California initiative applies in even greater measure to the Arizona bill. The federal court struck down Proposition 187 as an unconstitutional attempt to regulate immigration, which is a role that belongs exclusively to the federal government.

SB 1070 is an even more direct attempt to establish the state's own immigration law and enforcement scheme. Indeed, what we have seen since Friday is the usual pivot by those who propose and support unconstitutional laws like SB 1070.

Sen. Russell Pearce and others who support the bill are now arguing it does nothing but reiterate existing federal law and that the law is legitimate because police officers always had "inherent authority" to enforce federal immigration law. Their assertions are dubious as a legal matter because of the very weak support for the "inherent authority" notion and because, in the area of immigration, the states lack even the right to duplicate federal law word-for-word.

Beyond this, I am certain that neither Sen. Pearce nor Gov. Brewer would actually go into their next election campaigns asserting they expended significant time and state resources on a bill that does nothing to change existing law and authority.

They and other proponents have at various times maintained, in more or less blatant contradiction of their rhetorical defense of the law's constitutional propriety, that SB 1070 is a much-needed change in current law that will strengthen Arizona.

In fact, the pre-enactment characterization more accurately reflects the bill's effects: SB 1070 would dramatically change every Arizonan's daily experience, especially anyone whose appearance, name, language or accent fits the stereotype of the undocumented.

It is this invitation or direction to police to engage in racial profiling, together with the state's unconstitutional attempt to regulate immigration, that makes it unlikely that SB 1070 can ever be implemented. Nonetheless, Arizona will experience extreme and dire consequences, just as California experienced a decade-and-a-half ago.

The opinions expressed in this commentary are solely those of Thomas A. Saenz.

@highlight

New immigration law follows in footsteps of California's Prop. 187, says Thomas Saenz

@highlight

He says California found that its attempt to control immigration was pre-empted by federal law

@highlight

Saenz says Arizona will have to expend resources to administer and flawed legislation