(CNN) -- Thanks to the circular firing squad nature of the 2012 Republican presidential primaries, it had begun to look as if President Obama would coast to re-election in November.

But then came along high gas prices. The recent dramatic increase in gas prices could become the issue that slows the economy, stalls the recovery and sinks the president's chances at a second term.

As a Republican who recognizes President Obama's great skill as campaigner-in-chief, I'm shocked he has handled the issue so poorly. Even most of those who agree presidents can't do much to lower gas prices acknowledge they must be perceived as doing everything they can to ease the suffering. Sixty-five percent of Americans tell pollsters they disapprove of the president's handling of gas prices.

Average gas prices have reached $3.87 nationwide, the highest ever recorded in March. The prices are expected to go even higher as the summer driving season arrives. If President Obama can't change the perception that he can't do anything about it, he could find himself pumping his own gas after November.

The international markets are unlikely to save him, given the current unrest in the Middle East and rising demand in China, India and elsewhere.

Popular opinion -- and the U.S. economy -- could take a strong turn against him if the situation is not rectified by summer. Americans will not appreciate paying $5 per gallon or more on their vacations. Those in the battleground states of Florida, Ohio, Virginia, North Carolina, Nevada and Colorado could be particularly annoyed.

They will come to see his energy policy -- calling oil "the fuel of the past," and slowing the permit process for drilling in the Gulf -- as crafted to please his friends in the green movement. And while the president is set to begrudgingly fast track the southern portion of the XL Keystone pipeline, he does not appear to have bought into the merits of the entire project.

President Obama can argue that changing his policies would not dramatically increase domestic oil supplies in the short run. While this is technically correct, Americans are unlikely to buy the argument. As economist Larry Kudlow and others have noted, speculators and traders, whom President Obama has blamed for the current crisis, respond to news of new energy exploration. For example, President George W. Bush confronted a similar problem with gas prices spiking during spring and summer 2008. He responded by lifting an executive branch moratorium on oil and gas exploration in the Outer Continental Shelf regions in an effort to jump-start production, and high prices subsided by fall.

President Obama seems to be leaning toward dipping into the Strategic Petroleum Reserve, which may or may not work since that move does not actually increase production. And he has embarked on an American energy tour, highlighted by stops in three swing states, to convince voters he's doing all he can.

The Republican candidates, who seem never to miss an opportunity to take on the president, must seize this moment to push for an energy policy that would better serve the interests of the middle class. They should start a conversation now on how to avoid future gas price spikes.

Domestic energy security is one of the nation's most critical issues. President Obama's own Energy Information Agency says we will need almost as much gasoline for transportation in 20 years as we consume today.

The president is right that drilling alone will not satisfy our domestic needs. And he has supported an all-of-the-above approach. But his actions haven't completely matched his words. It truly must be all of the above. It must, as Newt Gingrich contends, tap into proven homegrown reserves in the High Plains, in Alaska, off both coasts and in the Rocky Mountains. It must include an all-of-the-above approach to technology as well -- including fracking, mapping and drilling -- and it must again involve building refineries.

Such an approach can help drive down oil prices in the short term, boost domestic energy production, reduce dependence on unstable foreign sources, create jobs and provide new revenue streams for the government. It will be environmentally responsible because production of oil under U.S. environmental standards is among the strictest in the world.

President Obama has pinned almost his entire re-election hopes on an economic recovery. If gas prices don't retreat soon, Americans will cancel their vacations, the seasonal industries that depend on those vacations will wilt, consumer spending will slow and the administration's hopes of showing concrete signs of an economic recovery by Election Day will fade. In that scenario, the president could find himself out of a job -- and it will be his own fault.

The opinions expressed in this commentary are solely those of Ford C. O'Connell.

@highlight

Average gas price has reached $3.87 nationwide -- the highest ever recorded in March

@highlight

Ford O'Connell: Increases in gas prices can hurt President Obama's re-election chance

@highlight

He says Republican candidates must seize the moment to push for a different energy policy

@highlight

O'Connell: If President Obama doesn't change his policies, he may lose his job in November