(CNN) -- The amazing discoveries from NASA's Kepler planet-hunting space telescope keep rolling in. The latest, announced this week by astronomers, is the discovery of a planet just 10% larger than the Earth orbiting in the so-called "habitable zone" of the star Kepler-186.

In our solar system, Earth is the only planet in the habitable zone -- the distance from the sun where liquid water can exist on the surface without boiling away (like on Venus), or turning to ice (like on Mars).

The new planet, imaginatively dubbed Kepler-186f for now, appears to be in the same kind of Goldilocks place in its solar system. Not too hot, not too cold, just right. 186f could be the closest planet yet found.

It could be Earth 2.0. Maybe.

The Kepler telescope can detect planets like 186f and tell us their size, but it can't tell us what they're made of or what they're like. Is 186f a rocky planet like the Earth with a thin atmosphere and oceans and continents? Or does it have a thick atmosphere and a small rocky core? Or is it a big metallic body with no atmosphere at all? Or something else entirely?

Over the past decade a veritable zoo of planets has been discovered around other stars using a variety of telescopic methods, from hot Jupiters (giant planets close in to their star) to super Earths (rocky worlds many times the size of our planet). Add to that the amazing diversity of planets and moons that we've discovered right here in our own solar system during the past four decades from the Voyager spacecraft and other missions, the variety is astounding.

Even if 186f doesn't turn out to be Earth-like, the number of actual Earth-like extrasolar planets out there appears to be staggering. During its four-year mission, Kepler observed just a tiny, random, average piece of the sky, one you would cover with your fist held at arm's length. More than 1,000 planets have been discovered so far from just the nearby stars in that tiny patch of the sky.

186f, for example, is "just" 500 light years away -- a veritable next-door neighbor on the galactic scale. If you extend the results of that little survey across the entire, 100,000-light-year-wide Milky Way galaxy, you end up concluding that there are likely to be tens of billions of Earth-sized planets in our galaxy alone. And many of them must be orbiting in their sun's habitable zones as well.

Astronomers are scrambling to use other telescopes, on the ground and in space, to try to figure out what 186f and the thousand other new worlds discovered so far are really like. And new space observatories are being planned to try to follow up and expand on the results from the Kepler mission (which stopped collecting new planet data last year).

The implications of what they find could be profound, especially if they're able to detect an atmosphere there, and -- the Holy Grail -- especially if that atmosphere contains telltale gases like water vapor, oxygen, or methane, key indicators that the place may be habitable.

Just because a planet is in a star's habitable zone, though, and just because it has an environment that is potentially habitable, doesn't mean that planet is necessarily inhabited. But there are astronomers looking out for that possibility, too.

It's no coincidence, for example, that the lead author of the study that discovered 186f, Dr. Elisa Quintana, is from a research organization called the Search for Extraterrestrial Intelligence, or SETI, institute. I'm sure other SETI astronomers are making extra efforts to train their radio telescopes on Kepler-186 and those other recently discovered exoplanet systems, to listen for any stray signals.

Or, perhaps, they'll find a targeted signal, a cosmic "hello?" beamed our way by our neighboring astronomers on 186f, who are also trying desperately to answer the question, "Are we alone?"

@highlight

NASA's Kepler telescope discovered a planet that is 10% larger than Earth

@highlight

Jim Bell: The new planet, 186f, may or may not be inhabitable

@highlight

He says there appears to be a large number of Earth-like extrasolar planets

@highlight

Bell: Discovery supports the idea that habitable worlds are probably common