One doctor says the study "very clearly shows that autism did not arrive through a vaccine."

A new study published in the January 2008 issue of Archives of General Psychiatry found the prevalence of autism cases in California children continued to rise after most vaccine manufacturers started to remove the mercury-based preservative thimerosal in 1999, suggesting that the chemical was not a primary cause of the disorder. Researchers from the State Public Health Department found that the autism rates in children rose continuously during the study period from 1995 to 2007. The preservative, thimerosal, has not been used in childhood vaccines since 2001, except for some flu shots. The latest findings failed to convince some parents and advocacy groups, who have long blamed mercury, a neurotoxin, for the disorder.

For years, parents have been concerned that a mercury-containing vaccine preservative may play a role in autism. But a study conducted in California found that autism rates increased even after thimerosal was removed from most vaccines. The study authors say this is evidence that thimerosal does not cause autism, although advocacy groups say it's too soon to determine whether autism rates have been affected. Do these findings suggest that autism isn't linked to mercury in vaccines?

Dr. Sanjay Gupta, chief medical correspondent: Let me explain. In 1999, manufacturers began removing thimerosal - which is a mercury-based preservative - from vaccines. Some people believed autism would decrease as a result, because they thought the two were connected. A new study in the Archives of General Psychiatry says this just didn't happen. Researchers looked at cases of autism in California after 1999. They reasoned that if mercury exposure in vaccines was a major cause of autism, the number of affected kids should have dropped after thimerosal was removed.

Just the opposite happened. From 2004 to 2007, when exposure to thimerosal dropped significantly for 3- to 5-year-olds, the autism rate continued to go up, from 3 per 1,000 children to 4 per 1,000 children in California.

A child psychiatrist who supported the study said it "very clearly shows that autism did not arrive through a vaccine." But advocacy groups say it's too soon to determine whether autism rates were affected by removing thimerosal from vaccines. The National Vaccine Information Center says the study doesn't include children under the age of 3, which they say is the only group that was never exposed to mercury in vaccines. It says thimerosal wasn't completely off the shelves until 2002 or 2003. Their main point is that mercury is a neurotoxin, so why take a chance by putting it in vaccines?

What do scientists think causes autism?

As many as one in every 166 children in this country is found to have autism, and doctors still don't know why. Doctors point to genetics and environment as culprits, but it could be more complicated than that. The latest research shows these children are not necessarily born with autism but with the potential to develop it. What exactly are these outside factors? It's hard to pinpoint. What we eat, what we breathe, what we drink -- all these things could play a role. Some doctors say the increase is due to a change in the way the condition is diagnosed  kids who were once labeled mentally retarded are now being labeled as autistic.

What are possible signs of autism in your child?

Doctors are now looking for signs of autism in children as young as 18 to 24 months.

Some red flags that indicate your child may have autism: no babbling or pointing by 12 months, no single words by 16 months, no brief phrases by 24 months, loss of language or social skills. If you see any of these signs, the American Academy of Pediatrics recommends seeing a pediatric neurologist, developmental pediatrician or child psychologist.

What led companies to remove thimerosal from vaccines to begin with?

Several things pushed companies in this direction. Over the past decade, more and more attention was given to the health effects of mercury on humans. And then in the '90s, the CDC added new vaccines to the list of routine shots that children should get. Some of them used thimerosal as a preservative. This was happening while the government was trying to decrease our exposure to mercury. So the FDA began looking into the issue. In 1997, Congress passed a bill that mandated review of products containing mercury, which led manufacturers to begin removing thimerosal from vaccines two years later.

@highlight

Removal of thimerosal from most vaccines hasn't reduced the number of autism cases diagnosed in the state of California.