Hong Kong (CNN) -- Pro-democracy activists took their fight Thursday to the doorstep of Hong Kong's chief executive, sitting down outside his office gates to express their dissatisfaction with him and the central government in Beijing.

Some demonstrators say the next step could be occupying the inside of government buildings. It would be a drastic move, but one protest leader says it might be necessary to get officials' attention and bring change.

"We still can't get a normal, acceptable response," student leader Joshua Wong, 17, told CNN's Andrew Stevens. "This is the final action for us."

In some minds, this confrontation has been brewing ever since Hong Kong transitioned in 1997 from British to Chinese control.

But tensions have risen after a late August decision giving Beijing control over the slate of Hong Kong chief executive candidates in 2017. Current Chief Executive C.Y. Leung says that year's election is good for citizens, because it will let the city's 5 million eligible voters pick a winner, rather than a 1,200-member committee stacked with Beijing loyalists that chose past leaders.

Strong sentiments on the other side have spilled in recent days into large-scale, peaceful civil disobedience on the streets of the Asian financial hub. It's all been dubbed the "Umbrella Revolution," after umbrellas became symbols of the movement when they were used to shield against police tear gas and pepper spray on Sunday.

Huge crowds have called for true "universal suffrage" -- which is not just one vote per person, but no restrictions on candidates -- and more generally called out Beijing for what they claim is its encroaching control on Hong Kong.

And they've also demanded Leung's resignation, accusing of him of siding with China's central government rather than the people of Hong Kong.

That's why a few hundred students have moved from the main protest location to the Leung's office.

As protester Cyrus Koo, 25, explained: "We want to disturb the daily life of the chief executive."

'The students will be put to the test'

The activists are open to talks with Chinese or other Hong Kong leaders, but not with Leung, one of the movement's figureheads, Lester Shum, said Wednesday. He demanded the chief executive step down by Thursday night, or else protesters will "occupy different important government buildings."

This marks a shift, in location and strategy, in the movement that's had a large, constant presence in downtown Hong Kong.

Letting up is not an option, according to Kelvin Cheung, a 21-year-old student who was helping sort recyclable trash near the main protest site.

"More pressure must be put on the government," Cheung said. "Otherwise they'll turn a blind eye to our actions."

There's no clear end in sight. The demonstrators haven't budged from their demands; if anything, they've ratcheted them up a few notches in their calls for Leung to step down. Yet both Hong Kong and Chinese officials have been adamant, refusing to move off their positions and calling the protests "illegal."

Suraj Katra, a CNN iReporter who works for a non-profit in the city, said late Wednesday that demonstrators "seemed exhausted" but still high-spirited, whether they were singing songs or applauding speeches.

Katra added, "The future seems uncertain, and the students will be put to the test."

All sides call for calm, amid debate over next steps

To date 83 people -- 53 males and 30 females -- have been injured in the protests, according to a government media officer. The official would not comment on the nature or extent of the injuries.

The biggest clashes came Sunday. Aside from that day, things have been relatively calm and peaceful and, outwardly, it seems like leaders on both sides want to keep it that way.

Sophie Richardson, from the advocacy group Human Rights Watch, said that Hong Kong authorities have shown restraint, aside from Sunday, isn't surprising. This is the biggest protest in the past two decades, but it's not the only one they've dealt with.

"Hong Kong has a long history of managing large protests reasonably well," Richardson said. "I think the leadership in Hong Kong realized very quickly that, by virtue of sending police out in riot gear on Sunday, they were sending the wrong message and provoking exactly the response they didn't want -- which was more people coming out onto the streets."

Hui Chun-tak, the chief superintendent of the police public relations branch, said at a joint police and emergency services news conference that although the protests remained calm, police would continue to monitor them to ensure public order and safety.

"Police appeal again to the protesters to continue to stay calm, and to leave the locations orderly and peacefully as soon as possible, so that the inconvenience caused to the general public could be minimized," he said. He also urged protesters to give way to emergency vehicles.

Wong, the student protest leader, stressed that "peace and nonviolence" are fundamental to his movement's approach.

He acknowledged that not everyone who supports his cause is ready to take over government buildings.

Cheung is among those wary of resorting to "very controversial" tactics like that one, expressing concern it may cause "conflicts" with the police and government.

His classmate Cathy Wong, also 21, was even more cautious.

"We have to keep it peaceful," she said. "We can't destroy the city."

Families, friendships torn apart

But that doesn't mean they can't make a point.

That was clear Wednesday, which was National Day -- a holiday dedicated to celebrating the People's Republic of China.

At a ceremony in Golden Bauhinia Square, in Wan Chai, Wong and others silently turned their backs and raised their arms in crosses as the Chinese and Hong Kong flags were raised.

Others expressed their dissatisfaction in other ways, like local district councilor Paul Zimmerman symbolically carrying a yellow umbrella and calling for Leung and the police commissioner to apologize "for what they have done."

Benny Tai, co-founder of one of the major protest movements, Occupy Central, told CNN that protesters were "not pushing or challenging the sovereign status of China over Hong Kong."

"We want a right that we should enjoy, no more and no less," he said.

"We hope that leaders in Beijing should be able to listen and ... respond to the demands of Hong Kong people."

Despite the huge turnout on the streets, not everyone in Hong Kong is behind the protest movement.

Leung has backing from pro-Beijing groups like the Silent Majority for Hong Kong, which have had their own rallies. They argue that pro-democracy activists will "endanger Hong Kong" and create chaos.

Andy Chan, a 57-year-old in Causeway Bay, told CNN he thought democracy should come "step by step."

"Hong Kong should be stable, everything should be stable. I don't want the stock market or the property market to be down to a horrible level."

It's not just Hong Kong's economy that could be disrupted or torn apart due to what CNN's Ivan Watson calls this "polarizing" debate.

"The longer it goes on, the longer that these disputes -- that, in some cases, are splitting apart family members and friends -- the worst those relations are going to get," Watson said. "And it's going to be a true test."

CNN's Euan McKirdy, Wilfred Chan, Richard Roth, Pamela Boykoff and Chieu Luu contributed to this report.

@highlight

NEW: CNN iReporter in Hong Kong: "The students will be put to the test"

@highlight

NEW: Expert: Hong Kong leaders realized clamping down would backfire

@highlight

Protesters stage a sit-in by chief executive's office, threaten to occupy government buildings

@highlight

Hong Kong's leader: People should be satisfied they can vote on a leader