Tokyo (CNN) -- Hong Kong suspended food and milk imports from five prefectures in Japan on Wednesday after radiation was detected in vegetable imports at the city's international airport.

The government banned products that include milk, milk powder, vegetables and fruits produced and harvested from Chiba, Tochigi, Ibaraki, Gunma and Fukushima Prefectures, according to the Hong Kong Food and Health Department.

Japanese meats and seafood imports have also been suspended "unless there is official evidence stating that these products are in compliance with safety rules," the department said.

The U.S. Food and Drug Administration on Tuesday issued an import alert preventing milk, milk products, fresh vegetables and fruit from any of four prefectures -- Fukushima, Ibaraki, Tochigi and Gunma -- near the Fukushima nuclear reactors from entering the country. But shipments of spinach, milk and a leafy vegetable called kakina could "test out" and enter the U.S. food supply if shown to be safe, an FDA spokeswoman said.

Other foods from those prefectures will be diverted for testing, she added.

Japanese food imports make up less than 4% of food imported into the United States, the FDA says.

"Let's say the contaminated spinach from Japan did make its way to the United States," posed CNN's Dr. Sanjay Gupta. "A person would have to eat the contaminated spinach from Japan every day for one year to get the same amount of radiation you would get from one CT (CAT) scan."

But the import bans are a part of a ripple effect stemming from a March 11 earthquake and subsequent tsunami that wreaked havoc on the Fukushima Daiichi nuclear power plant's six reactors and led to the release of unknown quantities of radioactive vapors.

The U.S. Environmental Protection Agency said three air monitors in California and one in Washington state have detected levels of radiation that were "millions of times below levels of concern."

In Japan, that country's Health Ministry reported Tuesday finding radioactive materials at levels "drastically exceeding legal limits" in 11 types of vegetables grown in Fukushima prefecture, including broccoli and cabbage, according to Kyodo News Agency.

None of the vegetables have been shipped since Monday, it said.

The news agency, citing the ministry, said, "If a person eats 100 grams (3 1/2 ounces) of the vegetable with the largest detected amount of radioactive materials for about 10 days, it would be equal to ingesting half the amount of radiation a person typically receives from the natural environment in a year.

Prime Minister Naoto Kan asked Ibaraki Prefecture to suspend shipments of raw milk and parsley, and the government of Fukushima Prefecture told residents not to eat leafy vegetables, Kyodo reported.

Japan's Consumer Affairs Agency listed specific export bans on food items from Ibaraki, Tochigi and Gunma Prefectures, but did not list similar restrictions on the same food items for domestic consumers in those areas.

The website of the Japanese prime minister's office noted that "temporary consumption will not affect your health."

Meanwhile, countries across the region implemented safety measures in an effort to restrict potentially tainted imports.

Thailand's government is focusing on Japanese shipments of meat, milk, fish and seaweed. A radiation physicist from the Office of Atoms for Peace said the agency will work with the country's health ministry to do random checks of imported food from Japan.

India has also ordered radiation tests of Japanese food at its ports and airports. Only food originating from Japan after March 11 will be tested.

But the impact on Japanese food production and exports will largely depend on the types of radionuclides and the amount of radioactivity deposited where the food is produced or harvested.

Radioactive iodine is considered an "immediate concern," but it has a relatively short half-life, according to the Food and Agriculture Organization and International Atomic Energy Agency.

But radioactive caesium has also been detected in Japanese food, which can linger for years and cause long-term problems for food production and human health, according to the agencies.

On Sunday, Japanese authorities slapped restrictions on milk and spinach that tested positive for radioactive cesium-137 and iodine-131 isotopes.

Iodine-131 is radioactive. It collects in the human thyroid gland, which readily absorbs iodine, and could cause health problems, said Dr. James Cox, an oncology professor at the MD Anderson Cancer Center in Houston, Texas.

In addition to the spinach and milk, very small amounts of radioactive iodine have been detected in tap water near the plant.

Cox, an expert on the effects of radiation on the survivors of Nagasaki and Hiroshima, said he believes the radiation levels measured in these products pose a "nonexistent" immediate risk to humans, and "very low" long-term risk.

Still, he concedes that "radiation doses ingested through food is really very poorly understood."

"Children, especially very young children, concentrate iodine in the thyroid, and their thyroid is more susceptible to the radiation," he noted.

The immediate health risks for adults, by contrast, are minimal.

"I don't think you could eat enough spinach and you probably couldn't drink enough milk to have health risks," Cox added.

In the longer term, "There is still a theoretical risk of development of cancer, 10, 20, 30 years later," he said. But in the short term, radioactivity levels "would have to be a factor of 10 greater to have any demonstrable health effects."

On Wednesday, Tokyo government officials advised residents not to give tap water to infants or use it in formula after tests at a purification plant detected higher levels of radioactive iodine.

The city's water agency said the spike was likely caused by problems at the Fukushima Daiichi nuclear plant, located 240 kilometers (150 miles) away.

@highlight

NEW: Japan's Consumer Affairs Agency listed food export bans that do not correspond to domestic restrictions

@highlight

NEW: Prime minister's office said "temporary consumption will not affect your health"

@highlight

Hong Kong suspended food and milk imports from five prefectures in Japan

@highlight

The move follows an import alert issued by the U.S. Food and Drug Administration