Here is an unofficial list of potential nominees for the Supreme Court if President Barack Obama is reelected. This list was compiled from a number of legal and political sources, including government officials deeply involved in the selections of Justices Sonia Sotomayor (2009) and Elena Kagan (2010).

The Obama administration, like those before, keeps an informal list of possible high court nominees to consider in the event of a sudden vacancy. But serious vetting only begins when such a vacancy occurs or is announced in advance by the retiring justice.

Election raises stakes for possible high court vacancies

Kamala Harris, California attorney general

Born 1964. She was elected to her current job in 2010. She is part African-American, part Asian-American. Her father is a Jamaican-born Stanford University economics professor and her mother is an Indian-born (native Tamil) physician who works as a breast cancer specialist. Harris is a former San Francisco district attorney and author of "Smart on Crime." Her political savvy, ethnic background, telegenic personality, law enforcement credentials, and early support of President Obama's 2008 candidacy make her a favorite for any high court vacancy in any second-term, and possibly for U.S. Attorney General. Complications: Harris may seek re-election in 2014 and then may run for governor the following year.

Judge Paul Watford, 9th Circuit U.S. Court of Appeals, San Francisco

Born 1967. His age and race (African-American) have made him a favorite among some liberal court watchers. Named to the appeals court in 2012. Clerked for conservative Judge Alex Kozinski on the 9th Circuit, and later for liberal Justice Ruth Bader Ginsburg. A former federal prosecutor and law firm partner. Supporters call him an ideological moderate, which may not sit well with progressives seeking a stronger left-leaning voice.

Supreme Court possibilities if Romney is elected

Judge Jacqueline Hong-Ngoc Nguyen, 9th Circuit U.S. Court of Appeals, San Francisco

Born 1965 in Dalat, Vietnam (as Hong-Ngoc Thi Nguyen). Named to the court in 2012 after two years as a federal district court judge. She could make history as the high court's first Asian-American justice. Nguyen is already the first Asian-American woman to sit on a federal appeals court. A former state judge, federal prosecutor, and private attorney. She moved with her family to the United States when she was 10, just after the fall of South Vietnam to the Communists, and her parents eventually set up a doughnut shop in North Hollywood, California.

Kathryn Ruemmler, White House counsel

Born 1971. Has enjoyed a meteoric rise in private practice and government circles. She most famously helped lead the prosecution in the Enron fraud case in 2006. She earned high praise in the White House for helping spearhead legal defense of the health care overhaul bill championed by  President Obama, whose constitutionality was ultimately upheld by the Supreme Court. She also supervised the vetting, and shepherded the Kagan and Sotomayor high court nominations through the Senate. No judicial experience, but recall President George W. Bush tapped his White House counsel Harriet Miers to the Supreme Court, before she withdrew from consideration.

Toobin: Why are candidates silent on Supreme Court?

Mary Murguia, 9th Circuit U.S. Court of Appeals, San Francisco

Born 1960. Named to her current job by President Obama in 2010, after service as a federal district court judge in Arizona. The Kansas native is the daughter of Mexican immigrants. Her twin sister is noted civil rights leader Janet Murguia, and her older brother, Carlos Murguia is also a federal judge.

Lisa Madigan, Illinois attorney general

Born 1966. Elected as the state's highest law enforcement official in 2002. She is the adopted daughter of longtime Illinois House Speaker Mike Madigan. A former state senator, she worked down the hall from fellow lawmaker Barack Obama. She gained national prominence after seeking a motion to have former Gov. Rod Blagojevich temporarily removed from office in 2008. She also argued a search and seizure case before the justices in 2004. Her long friendship with the president, political skills, and law enforcement background have made her a favorite.

Judge Diane Wood, 7th Circuit U.S. Court of Appeals, Chicago

Born 1950. Has sat on the bench since 1995. Twice a finalist for the high court vacancies in 2009-10. Considered a mainstream liberal, well-regarded by many legal analysts as a strong, articulate progressive voice. Former clerk for Justice Harry Blackmun, and served in both the Reagan and Clinton Justice departments. Like fellow 7th Circuit judges Richard Posner and Frank Easterbrook -- both conservative heavyweights considered for the Supreme Court by President George W. Bush -- Wood teaches part-time at the University of Chicago. Her age may dampen her chances.

Judge Merrick Garland, U.S. Court of Appeals, D.C. Circuit

Born 1952. Finalist for the high court seats that went to Sonia Sotomayor and Elena Kagan. A possible compromise choice, considered a relative judicial moderate on the high-profile appeals court. Four current justices came directly from the D.C. circuit. Garland was a former associate deputy attorney general and supervised the criminal prosecution of the 1995 Oklahoma City bombing, which could play well in the post 9/11 environment. His perceived "moderate" views may not sit well with some liberals.

@highlight

The Obama administration keeps an informal list of possible Supreme Court nominees

@highlight

Experts see six women, two men in pool of potential nominees if Obama reelected

@highlight

Three potential candidates hold state or federal political posts

@highlight

Three judges discussed among legal experts sit on 9th federal circuit in San Francisco