Port-au-Prince, Haiti (CNN) -- Scores of bodies were found in a mass grave outside the capital city of Port-au-Prince on Friday, a sign of Haitians' desperation three days after a 7.0-magnitude earthquake devastated the impoverished nation.

At least 100 bodies were discovered by a CNN crew in one open pit outside Port-au-Prince, with several other pits half-filled or completely covered over with earth, presumably full. The bodies were brought to the site by dump trucks, still accompanied by the remnants of what loved ones used to move them -- pieces of plywood, makeshift shrouds and in one case, an old refrigerator.

Elsewhere, bodies were being shoved into old crypts in the city's existing cemeteries.

Haiti's Minister of Civil Protection said Friday that the government estimates more than 50,000 people were killed, with the number possibly closer to 100,000. There is not yet an official count of the dead from the quake.

Despite the death and destruction, hundreds of people, mostly women, took to the streets in an area of the capital on Friday, singing and chanting as they marched down the street -- a sign of resilience amid huge mounds of rubble.

It is not the first time such a display has been observed. Singing and clapping has been heard well into the night in a large square that thousands of people have made home after the earthquake, a CNN crew reported.

Meanwhile, a crucial 72-hour window elapsed Friday afternoon -- the time to free those who still may be alive trapped under the remains of buildings. An 18-month-old baby was pulled from the rubble Friday, seemingly unharmed. Get the latest developments in Haiti

Still, those rescued weren't out of danger as hospitals lacked proper supplies to treat some of them. An 11-year-old girl rescued Thursday -- an effort CNN captured on camera throughout the day -- died later that night from her injuries after a first-aid station said it couldn't treat her severe leg wound, her family said.

Aid workers continued to trickle into the country Friday, trying to provide water and food to survivors in the capital, which still was being rocked by aftershocks Friday.

The quake toppled many of Port-au-Prince's buildings, and U.N. Secretary-General Ban Ki-moon estimated Friday that it left as many as "50 percent of buildings in the worst-hit areas damaged or destroyed."

Many of the capital's 3 million people are without access to food, water, shelter and electricity, he said, and crews are working "to save as many lives as possible."

Haitian President Rene Preval identified three priorities in the recovery effort -- get the government back up and running, clear the roads and sanitize the city of the scores of corpses scattered about its streets, he told U.N. television Friday

There were small signs of progress in food and water distribution by Friday afternoon. A few fire trucks and tankers were seen distributing water. A U.N. distribution center also was set up -- guarded by Bolivian U.N. peacekeeping troops -- where some 10,000 plates of cooked chicken and rice were handed out to a patient line of survivors. Elsewhere, a U.N. food convoy was rushed by dozens of hungry people who clamored to reach the handouts of nutritional biscuits and water-purification tablets. Impact Your World

Ban announced Friday that he will travel to Haiti on Sunday. U.S. Secretary of State Hillary Clinton also announced Friday that she will visit the quake-battered capital on Saturday, the first major U.S. official to do so.

President Obama spoke for about a half-hour with Preval on Friday, pledging the "full support of the American people," including long-term help.

The relief effort has been challenged by the destruction and the need for more supplies, the U.N. secretary-general said, citing blocked roads and limited capacity at the capital's one-runway airport. The Federal Aviation Administration ordered a ground stop on all U.S. flights into Haiti Friday because of a lack of ramp space. Haiti aid efforts hampered in critical hours

But, Ban said, aid flights are arriving, and food and medical supplies are beginning to be distributed in Port-au-Prince.

"Although it is inevitably slower and more difficult than any of us would wish, we are mobilizing all resources as fast as we possibly can," Ban said Friday, announcing an appeal for $550 million.

The United Nations announced Friday that at least 37 of its personnel had died -- 36 with the U.N. mission and one with the World Food Programme. More than 300 are still unaccounted for. U.N. entities in Haiti employ more than 12,000 people.

Preval said that he has been touched by the friendship of the American people. He expressed his condolences for the loss of American citizens in Haiti. The State Department has identified at least six U.S. deaths so far and a spokesman said Friday that toll "will go up."

Despite relative calm, CNN reporters witnessed some sporadic looting and violence Thursday afternoon. Watch how texting is helping to raise money for Haiti

"If help doesn't come quickly, it probably will (get worse)," Agnes Pierre-Louis, manager of her family-owned hotel, the Le Plaza in downtown Port-au-Prince. "We're not hearing anything from the government. We're not seeing any foreign aid yet."

But Lt. Gen. Ken Keen, deputy commander of the U.S. Southern Command, said forces have not "seen a great deal of insecurity." The priority now, he said, is cranking up rescue and relief efforts to stave off restiveness.

CNN's Arthur Brice, Elise Labott, Richard Roth, Chris Lawrence and Steve Kastenbaum contributed to this report.

@highlight

At least one mass grave has been dug outside Port-au-Prince

@highlight

Small signs of progress in food and water distribution

@highlight

President Obama offers "full support of the American people" to Haitian leader

@highlight

U.N. secretary-general, U.S. secretary of state to come to Haiti