Health officials have been warning us about antibiotic overuse and drug-resistant "superbugs" for a long time. But today the Centers for Disease Control and Prevention is sounding the alarm in a new way.

For the first time, the CDC is categorizing drug-resistant superbugs by threat level. That's because, in their conservative estimates, more than 2 million people get antibiotic-resistant infections each year, and at least 23,000 die because current drugs no longer stop their infections.

Antibiotics are designed to kill bacteria that cause infection. However, in the process they can also kill so-called good bacteria (the human body hosts about 100 trillion).

The Missouri Department of Health explains it this way: "Every time a person takes antibiotics, sensitive bacteria are killed, but resistant germs may be left to grow and multiply. Repeated and improper uses of antibiotics are primary causes of the increase in drug-resistant bacteria."

Some bad bacteria are naturally resistant to certain types of antibiotics, according to Tufts University. Others can become resistant by spontaneous genetic mutation or by swapping genes with other bugs.

So the CDC is ranking the worst drug-resistant bacteria according to how many people get sick, the number of hospitalizations and the number of deaths caused by each. They also took into account how many, if any, existing antibiotics still work on the bacteria.

Instead of red, orange or yellow -- the levels once used to describe terrorism threats -- the CDC is using "urgent," "serious" and "concerning."

Fatal brain disease may have infected 13

Knowing the specific names of the deadly bacteria may not be essential for the average person, but CDC Director Dr. Thomas Frieden said Monday that the CDC is warning the public about these health threats before they get out of control.

"For the first time," said Frieden, " we have a snapshot of antimicrobial threats that have the most impact on human health."

According to the CDC, the following bacteria are the most "Urgent Threats":

CRE bacteria -- a family of germs called carbapenem-resistant Enterobacteriaceae, which includes E. Coli. Some CRE bacteria are resistant to all existing antibiotics. The CDC reports more than 9,000 infections are contracted in hospitals and other health care settings from these bacteria.  As many as 50% of the patients who are infected with CRE end up dying because there is nothing to help them fight the infections.

Clostridium Difficile (C-Diff for short) -- a bacteria that can cause life-threatening diarrhea. It kills up to 14,000 people and causes a quarter million hospitalizations each year. Most patients who get this potentially deadly infection are on antibiotics for other infections. The problem is that while antibiotics kill bad bugs, they also kill good bacteria in your gastrointestinal system that help fight off bad bacteria, C-Diff included.

Fecal transplant cures woman's bacterial infection

Neisseria gonorrhoeae -- the drug-resistant form of this bacteria causes gonorrhea, the second most commonly reported infection in the United States. Gonorrhea can cause a variety of illnesses in men and women, including infertility. The CDC estimates there are 820,000 infections each year. In nearly a third of the cases, treatment of the sexually-transmitted disease, is hampered by growing antibiotic resistance.

Sexually-transmitted superbug could be major crisis

Frieden said if the current trends continue, "the medicine cabinet may be empty for patients who need them in the coming months and years."

To avoid what Frieden calls a "post-antibiotic" era, where none of the existing drugs work anymore and new ones haven't been approved, the CDC has created a four-step plan to stem the tide of antibiotic resistance.

The government agency hopes to better track infections in the future to know when a bacteria is becoming drug-resistant. By spotting the trend earlier, scientists may be able to develop new antibiotics quicker.

You can also do your part, the CDC said, by preventing infections in the first place. Preventing infection starts with practicing good hand hygiene and safe food-handling, so you don't get sick in the first place. Since many antibiotic-resistant infections are spread in hospital settings, patients and their families should feel empowered to ask doctors and other health care personnel coming into their rooms if they have washed their hands.

Patients should also only take antibiotics when they are really necessary. Changing the way antibiotics are used is perhaps "the single most important action needed to greatly slow the development and spread of antibiotic-resistant infections," Frieden said.

Patients need to demand fewer antibiotics and doctors have to resist patients requests for them when they know they won't work.  Also, lowering the use of antibiotics in animals to only when it's absolutely necessary can contribute to stretching the life and usefulness of available drugs, Frieden said.

Disinfectants could give rise to superbugs

@highlight

More than 2 million people get antibiotic-resistant infections each year

@highlight

CDC is ranking the worst bacteria based on number of hospitalizations and deaths

@highlight

Drug-resistant 'superbugs' include CRE bacteria, C-Diff and Neisseria gonorrhoeae