(CNN)Like many Chinese, Beijing bank clerk Zhou Keran shudders when asked if he would donate his organs should he die.

"I would never. There's an old saying that our parents give us everything -- from our bodies to our hair -- and we have to show obedience to our family."

China said on Thursday it would end the harvesting of organs from executed prisoners on January 1 and while the move has been welcomed by human rights groups, it's hard to see how China can wean itself from the controversial practice if the views of people like Zhou are anything to go by.

Traditional beliefs regard the body as sacred and it should remain intact after death.

What's more, even if people are prepared to donate, there are fears that their body parts may be traded for profit and end up on the black market.

Thus making a quick switch from organs supplied by death row inmates to a system based on altruism will be tough without a major shift in attitudes -- something the head of China's transplant system acknowledges.

"People have concerns about whether the organs will be allocated in a fair, open and just way," Huang Jiefu, director of the China Organ Donation and Transplant Committee said, according to state media.

Low donation rate

China has one of the world's lowest rates of organ transplants, with 10,000 procedures each year.

The country launched a voluntary donation scheme in 2010 but between that year and 2013 only 1,448 people donated organs -- a drop in the ocean compared with around 300,000 people in need of organ transplants each year.

And just 0.6 people out of every million citizens have signed up to donate their organs when they die.

To plug the shortfall, China has relied overwhelmingly on organs from death row prisoners.

Technically, their organs can only be used under certain conditions, such as if no one collects the body, the inmate gives consent or  their family agrees to the medical use of the body.

However, observers both in and outside China have questioned whether prisoners have the free will to give their consent and say it's become an unwritten policy that prisoners' organs can be used to ease the shortage.

Even with the new rules, it's likely that death-row inmates will still supply organs for transplants.

Huang said that prisoners will still be qualified to donate, but their organs will be registered in a computerized donation system instead of being traded privately, according to official English-language newspaper China Daily.

Skepticism

Phelim Kine, deputy director, Asia Division, Human Rights Watch in New York, says he's "extremely skeptical" about whether China can really end its reliance on prisoners' organs in the foreseeable future.

The opacity of China's prison and death penalty system, the massive profits in organ peddling and corruption make it "near impossible," he says.

"Many Chinese citizens would be unconvinced about voluntarily signing away their organs, even for altruistic (reasons)."

Such fears are not unfounded, given the flourishing underground trade in organs and even corpses.

Last month, local officials in southern China were found to have bought and sold dead bodies to fulfill cremation quotas in a "body snatching" scandal across two provinces.

And earlier this year, authorities jailed a 12-member gang that recruited donors online and smuggled their kidneys by disguising them as seafood shipments.

There are tentative signs that attitudes are beginning to change. Since the beginning of the year, 1,500 people have donated organs --  more than the total between 2010 and 2013.

The government has set up a website to make it easier to become a donor but it's still something that few young people are willing to discuss with their families. Surveys have suggested that financial incentives, including payment of funeral and medical bills might help.

Liu Teng, a 24-year old audio engineer from Beijing, says it's something he might consider.

"I want to help those in need and I feel like it would be a continuation of my life," he says.

CNN's Serena Dong in Beijing contributed to the report.

@highlight

China says it will end organ transplants from executed prisoners from January 1

@highlight

Traditional beliefs discourage organ donation in China and rates are very low

@highlight

Donors are also put off by fears their organs may end up traded for profit

@highlight

Cultural beliefs make it difficult to end the reliance on convicts' organs