Having a CT scan of the heart to check for heart disease? You may want to ask how your hospital plans to conduct the test. A new study suggests that people who get the common heart test can get a dramatic range of radiation exposures.

When cardiac CT angiography is used appropriately, the benefits far outweigh the risk of the radiation, experts say.

In the study of 1,965 patients undergoing the CT scans (also known as cardiac CT angiography), the median exposure was roughly equivalent to 600 chest X-rays, or about 12 milliSievert (mSv) of radiation, according to the report in this week's issue of the Journal of the American Medical Association.

Traditional angiography -- a technique in which a catheter is snaked though a blood vessel and dye is injected near the heart -- exposes patients to roughly half the dose of CT angiography, or about 5--8 mSv, says study author Jorg Hausleiter, M.D., of the University of Munich in Germany. It's also about the same amount of radiation as other standard cardiac screenings, such as the nuclear stress test.

There was a wide range of exposures in the study depending on the medical center and the way the tests were performed. The median radiation dose ranged from 4.6 to 30 mSv. About 80 percent of the centers studied used techniques to reduce radiation, such as adjusting the CT scan to the patient's size (meaning smaller patients get less radiation) or precisely timing the radiation dose to a particular point in the heart rhythm (which shortens the duration of exposure). Health.com: How to help your heart for better health

Overall, the danger posed by radiation is very small, according to Hausleiter. Being exposed to 10 mSv increases an individual's cancer risk by 0.02 percent, he says. However, the greater the exposure to radiation, the greater the risk.  Watch Dr. Gupta talk about the cardiac CT scan »

Nearly all of the 50 sites in the international study, which included sites in the U.S., Canada, Europe, Asia, the Middle East, and Latin America, were making at least some effort to limit excess radiation. Other medical centers may be doing even less to cut down on radiation during the test, says Andrew J. Einstein, M.D., Ph.D., of Columbia University Medical Center, who wrote an editorial accompanying the study.

"Probably the group of centers which were studied in this paper are more sophisticated and more aware of radiation-reduction methods than your typical center that is performing cardiac CT angiography," he says. According to Einstein, many other sites may not be using radiation-reduction techniques at all.

When cardiac CT angiography is being used appropriately -- meaning, for example, in people with chest pain suggesting blocked heart arteries, rather than as a screening test for people with no symptoms of heart disease -- the benefits far outweigh the risk of the radiation, according to Einstein and Hausleiter.

However, cardiac CT scans are often marketed directly to patients interested in finding out how much plaque they have in their arteries, even though there's no evidence to show that this is an appropriate way to use the test, Hausleiter says. Health.com: 28 days, 28 ways to slash your risk of heart disease

Critics of cardiac CT angiography question whether its benefits warrant its current widespread use and the amount of radiation exposure. In fact, on Monday the American Heart Association issued an advisory warning that imaging tests, including CT scans, be used cautiously to minimize exposure to radiation.

In the new study, Hausleiter and his colleagues looked at patients who underwent cardiac CT angiography at 21 university hospitals and 29 community hospitals between February and December 2007. They found some regional differences in radiation exposure; for example, the median dose was three times higher in South America and Latin America than in Canada and the United States.

More than 70 percent of the centers in the study were using electrocardiographically controlled tube current modulation (ECTCM), which is currently the best-known strategy for reducing radiation dose. It involves timing the radiation beam to the diastole, when the heart is resting between beats. This is when the heart is the quietest, so it's easiest to get a good image of the organ. Health.com: Tricks to lower blood pressure

Another strategy involves using less energy (100 kV instead of the standard 120 kV), which is effective but useful only for patients who are not obese. Finally, sequential scans take a series of pictures of the heart at the same exact point in the cardiac cycle, which also reduces radiation dose. This approach, as well as ECTCM, can be used only in people with slow, steady heartbeats. Another problem, Einstein noted, is that doctors often don't know what a patient's heart rate will be until he or she is on the table being readied for the scan.

But the fact that centers were able to use at least one radiation-reduction technique in most patients "should serve as a wake-up call to cardiac CT laboratories that do not routinely use these methods," Einstein writes in his editorial. Health.com: I paid $450 to up my cancer risk

Patients who undergo cardiac CT angiography are within their rights to ask about what strategies, if any, are being used to reduce radiation dosage, he said.

"I would not recommend anyone to have this test done without discussing it with their doctor first. It's not something patients should be initiating on their own," he adds.

Caution is warranted not only due to the radiation exposure, according to  Einstein, but also because the dye that must be injected into the veins to perform the test can cause kidney damage in some people. While a person's doctor would be able to judge if he or she would be harmed by the dye and thus shouldn't have the test, he said, "there are some sites that would be willing to perform this test on anyone."

David J. Brenner, Ph.D., D.Sc., of Columbia University's Center for Radiological Research was not involved in the current study, but he coauthored a 2007 report warning that overuse of CT scans could contribute to excess cancer risks. He said that such CT scans are still controversial.

New technology can decrease the radiation dose from cardiac CT scans, but as this study shows, "It's very variable from institution to institution -- in part because there is no regulatory body making sure that there is some degree of quality control," says Brenner.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Study finds dramatic range of radiation exposures for cardiac CT angiography

@highlight

Median exposure for the heart CT scan is roughly equivalent to 600 chest X-rays

@highlight

Several radiation-reduction techniques may be used, but protocol not standardized

@highlight

Increase in cancer risk is small, slightly more than 0.02 percent for median exposure