(CNN) -- While most of the country moves forward on legal protections for lesbians, gays, bisexuals and transgender persons (LGBT), Republicans in Texas have retrenched their opposition in a shocking manner.

The Texas Republican Party adopted a plank in its platform endorsing reparative therapy for gays and lesbians, even though such treatments have been rejected as harmful by all leading medical and psychological associations and even outlawed in some states. Texas Gov. Rick Perry added fuel to the fire by comparing gays and lesbians to alcoholics and refusing to step back from such insulting comments.

Perry's views, however, bear further exploration. In his remarks, he used genetic predispositions to make his comparison: "I may have the genetic coding that I'm inclined to be an alcoholic, but I have the desire not to do that -- and I look at the homosexual issue the same way."

At a very superficial level, there is a kernel of truth here. Scientific studies have demonstrated that biology plays a role in one's sexual orientation. Studies of identical twins, who share the same genes, have shown that, if one twin is gay, the other is more likely to be gay, suggesting sexual orientation is influenced by genetics.

Scientists also discovered a "fraternal birth order effect": the more male children a woman has, the greater chance that the next one will be gay. The reason for this effect is unknown, but it suggests there may be some change in the mother's body that influences the development of the male fetus.

Perhaps the greatest furor over the biological origins of sexual orientation occurred in 1993. Scientist Dean Hamer and others published a study in Science that showed a connection between a particular part of the X chromosome and male homosexuality. Although the study did not find a particular gene, it suggested that such a gene exists on the X chromosome. More recent studies have identified other potential links between homosexuality and genetics, and scientists have offered explanations on how same-sex attraction could advance procreation.

Reviewing all the various studies in his 2012 book, "Gay, Straight, and the Reason Why: The Science of Sexual Orientation," neuroscientist Simon LeVay concludes that, "taken together, the multitude of research studies published since 1991 have greatly strengthened the idea that biological factors play a significant rule in the development of sexual orientationâ€”in both men and in women."

Many gay rights activists laud these studies because they support the argument that LGBT persons should be afforded legal protections because sexual orientation is an immutable trait, akin to race or gender. If it's in our genes, you can't discriminate against us.

But finding the biological origins of same-sex attraction has the potential to undermine the rights of gays and lesbians.

For example, could someone try to get a patent on a gene related to sexual orientation? While it is possible to patent certain genetic material, the gene must be "useful" to qualify for patent protection. Why would a gene related to sexual orientation be useful?

Most patents on genes relate to diseases, such as breast cancer, diabetes, or, as Perry noted, alcoholism. The utility of these inventions is readily apparent â€” developing treatments for these pathological conditions. But what use is a gay gene -- to "treat" gays and lesbians?

I believe such genetic discoveries should not be patent eligible because they are not useful. Gays and lesbians are not sick, and the medical community agrees.

The exploration of why a gay gene should not be viewed as "useful" highlights the broader concern with these scientific studies: It becomes easier for LGBT opponents to argue that gays and lesbians are biologically flawed, akin to a disease that should be and could be cured.

The 1996 movie "Twilight of the Golds" explores this dynamic in the context of a prenatal test that could predict the likelihood that the child would be gay, and the consequent decision of whether to end the pregnancy. In a more commercial and thinly veiled context, the 2006 movie "X-Men: The Last Stand" explored the potential implications of inventing and administering a "cure" for a stigmatized physiological condition.

Even though we tend to view science as objective, it is often laden with moral considerations. The concept of a "gay gene" reveals this normative slant. Why is it the "gay" gene and not just the "sexual orientation" gene, or even the "straight" gene? Calling it the "gay gene" reveals the bias in favor of heterosexuality, which risks viewing gays and lesbians as biologically flawed and thus inferior.

LGBT legal rights should not be contingent on biology or immutability. And, contrary to Perry's insinuation, sexual orientation is not like a disease. It is like eye color or left-handedness -- a natural and healthy variation within the population.

We must take care that our rights do not hinge on biology. While it is strange to find wisdom from comic book characters, Halle Berry's character Storm in the X-Men had it right: There is nothing to cure.

There is nothing wrong with us. And our rights shouldn't depend on it.

@highlight

In Texas, the GOP endorses reparative therapy for gays and lesbians

@highlight

Tim Holbrook: Sexual orientation is a trait like race or gender, it shouldn't be fixed

@highlight

He says if there's a gay gene, there's no need for treatment since gays are not sick

@highlight

Holbrook: Sexual orientation is not like a disease, it doesn't need to be cured