Washington (CNN) -- Sitting in an office with political memorabilia on the walls, former Washington Mayor Marion Barry reflects on the bad moments -- drug possession, jail, and tax evasion -- and notes that he has moved on.

Barry is in many ways after a 40-year public career the prototype for political disgrace and political resurrection.

"I didn't run to be pope, I ran to be mayor," said the usually blunt Barry, who rejected any suggestion that his most notable fall from power two decades ago was a scandal.

"Everybody in life has something that they get knocked down on," Barry told CNN. "The object lesson here is not that you get knocked down, it is that you get up."

A recent poll showed that the veteran of the Civil Rights movement who was first elected to public office in the 1970s and currently holds down a City Council seat, is now the most popular local politician in the District of Columbia.

Rebounding from setbacks that might have crushed others professionally, the Ward 8 representative has become an expert in political recovery.

Scandals erode trust and polls show the public is wary following a string of high profile embarrassments. Last year alone in Washington, House members Chris Lee, David Wu and Anthony Weiner all left office amid scandal.

Closer to home, Washington's City Council Chairman Kwame Brown became the second embattled member of the panel to resign this year. Washington Mayor Vincent Gray's victorious 2010 campaign also is under an investigative cloud.

What would Marion do?

While it may be surprising, a politician looking to bounce back might ask: What would Marion do?

When asked what recommendation he would offer politicians in trouble, Barry allowed a chuckle. Reflecting on his experiences, Barry highlights courage, resilience and appreciation.

"When there is adversity around you, whatever kind it is, you cannot let it interfere with your work, you cannot let it give up your trust of the people and you can't let yourself look like you are just down and out," Barry, 76, said.

Barry added that scandal can make a politician resilient and better suited for the rough and tumble of public life.

"I think people in general in this country are distrustful of politicians, even at the presidential level," Barry said.

But to most Washington political experts, Barry has added to that distrust.

Mark Plotkin, a veteran political analyst, said some still look at Barry's professional longevity as an example of what is wrong with American politics more than 20 years after Barry, while serving as mayor, went to jail for drug possession.

"He is the model of what is perceived as corruption and bad behavior," Plotkin said. "Barry is the personification of everything that is bad government, a persona that overwhelms the political system."

Plotkin has known Barry for decades and said his best asset is his ability to calculate who votes and how to play to that group.

"His greatest strength is his audacity, his shameless confidence in himself," Plotkin said. "He once told me, 'My whole life, people told me what I can't do. And I never accepted that.' I think that is an accurate exception of how he feels. That is his strength."

D.C. credibility issues

Gray recently became the third mayor out of the last four to serve the capital to be stung by ethics questions. It surfaced this year that Gray knew in January that members of his staff had not properly reported funds raised for his 2010 campaign, according to a source close to a federal investigation of his campaign funding.

Earlier this year, a public relations consultant pleaded guilty to helping orchestrate a secret campaign on Gray's behalf, prompting three of Gray's former colleagues on the Washington council to call for his resignation.

"The city government has a real serious credibility problem, a real serious trust problem, a real serious big picture problem and people are just disgusted to some extent," said Barry, who has been friends with Gray for 35 years. "The good news is that they have not blamed individual politicians like myself for all of that."

And that may Barry's best -- although unspoken - advice for bouncing back from scandal.

When asked about transgressions, Barry generally deflects, denies and then credits himself for moving on.

To this day -- after the 1990 drug conviction, a six-month jail sentence, and a 2005 guilty plea to misdemeanor tax charges -- Barry denies that he ever had a political scandal. According to Barry, the only thing he did wrong was avoid paying income taxes.

"Million of Americans don't file their taxes," Barry said. "I am not saying it is right, but that happened and that is behind me, too."

CNN's Brian Todd contributed to this report.

@highlight

Former D.C. Mayor Marion Barry went to jail for drug possession in 1990s

@highlight

Barry returned to politics, serving again as mayor; now on city council

@highlight

For politicians caught up in scandal, Barry says: Be resilient