London, England (CNN) -- When people say the message of Charles Dickens' "A Christmas Carol" is as relevant today as it was in 1843, they usually have in mind Ebenezer Scrooge's conversion.

Overnight, he's transformed from a mean old skinflint who believes that those unable to support themselves had better die "and decrease the surplus population" to an almost riotously generous giver to charitable causes.

They remember especially, perhaps, Scrooge's change of heart toward his poor, underpaid clerk Bob Cratchit and how he promises to ensure that Bob will be able to afford the medical treatment that his beloved little son, the crippled Tiny Tim, will need if he is to survive -- a plot detail that resonates with particular strength in America today, where citizens struggle with health care costs.

Less often remembered, though, is an eerie interlude that can easily be taken as a mirror of our own times: Scrooge's appalled encounter with the two fearful children, a boy and a girl, "yellow, meagre, ragged, scowling, wolfish," who emerge from the robes of the Ghost of Christmas Present. The boy's name is Ignorance and the girl's is Want, and the ghost warns Scrooge to beware of them both -- but especially of the boy on whose brow is written "that which is Doom, unless the writing be erased."

These fearful apparitions were products of Britain's "Hungry Forties," when there was widespread economic distress and great fear of social breakdown, but it is part of Dickens' genius that he was recognizing here a theme that plays out everywhere, in every time and in every culture.

It certainly does in today's America with unemployment running at 10 percent (or even higher in some areas) and fears that this could lead to increased crime, and arguably has led to a growing sense of intolerance -- for example, towards immigrant communities -- and political extremism.

It may seem odd to include such grim reminders in a tale about Christmas. But Dickens knew about poverty: His own comfortable childhood was transformed when his father's overspending landed him and most of his family in a debtors' prison.

As a boy, Dickens worked long hours for about a year in a small-scale factory and later drew on this experience, to him deeply degrading, in the early chapters of "David Copperfield." When not working he wandered about the streets of London, which he was later so richly to describe in "Bleak House" and his other great novels.

For Dickens, building a system of national education (something frustrated in his day by bitter disputes between the different religious denominations) and reforming sanitary (or public health) laws were the two things needing urgent attention from the nation's lawmakers.

He continued to fear the danger represented by the boy Ignorance, who re-appears in the last of his Christmas books, "The Haunted Man" (1848), as the savage street-child whom Redlaw, the protagonist, tries vainly to help.

Of course, things gradually improved for Britain, as they eventually do in most big countries struggling to survive economic lows. In the 1850s and 1860s, as the country became more prosperous, the fear of chaos and revolution receded.

Dickens dropped Ignorance and Want from his hugely popular public reading version of the "Carol" (performed from 1858 onward), though he never stopped calling attention to the national scandal of the scavenging hordes of starving, uncared-for street children in London and Britain's other great cities (the first Education Act, which brought in compulsory state education at the elementary level for all working-class children, was passed in the year of his death).

Today, however, cities still confront gang activity and, as we witness a surge of political and religious extremism, we might wonder what Dickens would make of the situation.

As someone who sought in his own journals to fight against the depraving effect of cheap sensational literature produced by those he called "Panders to the basest passions of the lowest natures," he would certainly have been alarmed and horrified by the level of pop culture violence and quasi-pornography -- on TV, in magazines and video games.

He would have seen this primarily as a failure of public education, I believe. Again, as someone who in his last novel, "Edwin Drood," depicted a drug addict who turns to murder, he would have been equally appalled by the drug culture now so widespread among the young.

The powerful presentation of Ignorance and Want in the latest cinematic version of his immortal "A Christmas Carol" would surely have struck him appropriate for our day. In the new Disney film a ferociously scowling Ignorance wields a lethal-looking knife, and Want is a teenage prostitute driven crazy, presumably by drug abuse.

Disney brilliantly demonstrates that the urgent social warning Dickens sought to convey in the "Carol" in 1843 is quite as relevant to us today as is the story's more personal message about the need for us to open our "shut-up hearts" to our fellow men and give generously to those less well off than ourselves.

The opinions expressed in this commentary are solely those of Michael Slater

@highlight

Michael Slater: "A Christmas Carol" used Ignorance and Want to warn of poverty's effect

@highlight

He says Dickens thought education, health reform could stem social decline

@highlight

Slater sees grim parallels to "Carol" in today's culture, economy

@highlight

Slater: Heed book's social warning as much as its goodwill message