(CNN) -- It all sounds eerily familiar. A new iPhone. Massive sales. Then, an apparent glitch that, while it doesn't affect everyone, is prevalent enough to irk customers and catch the eyes of tech journalists everywhere.

Poor battery life on the iPhone 4S, released on October 14 to great fanfare and record sales, has been the new model's Achilles' heel in the minds of many users.

While complaints about the perceived problem haven't reached the fevered pitch that last year's iPhone 4 release saw about its so-called "death grip" problem, they don't seem to be going away.

There were, of course, the expected number of early-adopter quibbles with the phone: from troubles with new carrier Sprint, to a sometimes slow-moving camera, to limits on the voice-activated Siri "personal assistant" outside the United States.

But as most of those gripes either got sorted or users got used to the limitations, complaints about the phone's battery life have persisted.

A post on the Apple support forums, begun on October 15 to discuss battery problems, was still active Tuesday -- two weeks and 185 pages worth of comments later.

"I purchased what I thought was a top-of-the-line product only to be terribly disappointed," one user wrote Tuesday. "This is my first iPhone and may well be my last."

Battery life was a frequent complaint about the iPhone 3GS, but concerns about the phone's short battery life seemed to have been addressed on the next-generation iPhone 4.

According to Apple's official specs, the iPhone 4S should have enough juice in the battery for up to eight hours of talk time, six hours of Internet surfing, 10 hours of video viewing and 200 hours on standby. (All activities on a 3G connection -- 2G and wireless have different figures).

All of those numbers are within an hour or so of the iPhone 4, except for one. The older phone's specifications promise 300 hours of standby power: a full 50% more than the 4S.

Users complaining on the Apple forum and elsewhere say that their phones aren't lasting anywhere near even that reduced length of time. Various independent tests of the new phone have suggested that some phones have problems with poor battery life, while others don't.

The general consensus among tech-inclined owners is that the problem may not lie with the battery itself, but with the way the phone utilizes Apple's latest mobile operating system, iOS 5.

Specifically, the theory goes, its location-based services are a power drain. If the phone is constantly trying to pinpoint where it is, it will suck power even when the user isn't actively doing something with the phone. (For a comparison, think about how quickly your battery drains when you forget to turn off Wi-Fi searches while you're driving.)

The new phone also has a more powerful processor -- the same one that's in the iPad 2. That could cut battery life, even though Apple CEO Tim Cook specifically said that it wouldn't during the iPhone 4S unveiling event last month.

Apparently, reading from the well-worn Apple playbook, the company has not commented publicly about the battery complaints. Messages and e-mails to Apple seeking comment on these complaints were not returned.

It's unclear whether the company acknowledges there's a battery problem (although there have been reports that Apple is contacting iPhone 4S users to try to get to the bottom of it).

And while it's too early for direct comparisons, the extended silence looks remarkably like the public-relations two-step that was Apple's handling of the iPhone 4's antenna issues. (As you may recall, Consumer Reports and others said the iPhone 4 had antenna problems that caused it to drop calls. People dubbed the situation "Antennagate.")

First, the company refused to publicly acknowledge the issue. Then, there was a software patch apparently aimed at fixing it (although Apple never explicitly said so).

There would eventually be a news conference in which then-CEO Steve Jobs spent most of the time denying there was any real problem, then announcing that the company would give away free bumpers -- minimalist iPhone cases -- to prevent dropped calls.

But before that, there were the private e-mails and public statements saying, in essence, that users were holding their phones wrong.

Then, weeks after the free-bumper news conference, Jobs and others doubled back, saying that there was never really much of a problem and discontinuing the freebie program.

As Apple's silence persists (the company has said in the past that it spends time researching potential problems before addressing them publicly), users and observers are complaining and speculating in the vacuum. And that's not always pretty.

"It hits you when you least expect it. It slips away under a mask of dormant inactivity. And it can ruin your entire day," TechCrunch's Jordan Crook wrote Tuesday. "It's your iPhone 4S battery life, and it sucks."

@highlight

Complaints about iPhone 4S battery life mount

@highlight

Some iPhone owners say their batteries drain much faster than advertised

@highlight

Apple has not publicly acknowledged the concerns

@highlight

Comments on a post on Apple's support forums go for 185 pages