(CNN) -- Last Friday, I was in Uganda's Constitutional Court as a member of the legal team that persuaded its judges to overturn our country's inhumane anti-homosexuality law. Today, I am in Washington for the U.S.-Africa Leaders Summit "Investing in the Next Generation" with a message: Invest in human rights in Africa.

It's hard to believe that African leaders and some development experts still debate whether human rights is a "Western concept" and whether countries can grow without human rights. African leaders have been too eager to advance their own economic and security agendas without consideration of the rights of their citizens.

Let's take the record of my country, Uganda, and its Anti-Homosexuality Act. This law codified rampant discrimination against lesbian, gay, bisexual and transgender people, who were targeted by police and arrested, detained for prolonged periods, extorted and blackmailed by those who should have been guaranteeing their rights under our constitution. The law stipulated punishments of up to life in prison for gay people engaging in sex and long sentences for "attempted homosexuality" or even promotion of it.

Although the Constitutional Court invalidated the anti-homosexuality law, it did so on a procedural point, not on the grounds of human rights. And a law that criminalizes sex acts "against the order of nature" dating back to colonial times is still on the books.

We do not know if the Ugandan parliament will vote on this law again in a way that would pass scrutiny by the Constitutional Court. The fight might not be over. But if supporters of this law reintroduce it, or if it is appealed, we will fight it every step of the way again.

The Ugandan government's intolerance of homosexuality created an atmosphere of fear and intimidation for nonprofit Ugandan organizations as well. It recently ordered the well-respected Refugee Law Project at Makerere University to suspend its work over the ridiculous allegation that it was promoting homosexuality and lesbianism.

Even health and development projects funded by the United States have not been spared. In April, the Ugandan police raided and closed the Walter Reed Research Clinic in Kampala because it works in partnership with the LGBT community to combat HIV-AIDS and was "training youths in homosexuality."

Sadly, human rights violations in Uganda are not limited to the government's prejudicial and irrational treatment of LGBT people.

For instance, our constitution, like the U.S. Constitution, guarantees freedom of assemblyâ€”but in practice, the Ugandan government restricts this right. In recent years, my country's police have used violence more and more frequently against opposition protesters, going as far as breaking up public meetings and arresting and intimidating pro-democracy activists.

This trend is only likely to increase with the enactment of the new Public Order Management Act. This law grants even more power to the Ugandan police to regulateâ€”and in practice, to stifleâ€”public assemblies and demonstrations, with no legal recourse for the protesters.

I love my country, Uganda, and don't mean to focus on it unfairly. One need only look to recent excesses in Nigeria and Zimbabwe to gain a broader view. Our leaders in Africa selectively demonstrate their support for human rights, often when the continent is reminded of its obligations under international and regional human rights treaties. This limited conception of human rights so often means that unpopular people and ideas find themselves attacked and abused.

In Uganda and across the continent, civil society organizations are looking to African leaders and the United States to join us in making history. The summit's website accurately describes Africa as "one of the world's most dynamic and fastest growing regions." We are all proud of that, and understand that the summit must address crucial issues of economic development.

But to make this summit truly historic, the United States and African nations must work together to promote democracies rooted in national constitutions and human rights, committed to protecting the dignity of all their citizens.

@highlight

President Obama holds first-ever U.S.-Africa summit in Washington this week

@highlight

Nicholas Opiyo: African leaders often give lip service to human rights, but abuse them

@highlight

Opiyo: Uganda, other countries still torment gay people, jail protesters and opponents

@highlight

Opiyo: U.S. and African leaders must work together toward human rights in Africa