(CNN) -- A Maryland man recently died of rabies that he contracted from a tainted kidney he received in a transplant operation a year and a half ago, the Centers for Disease Control and Prevention said Friday.

Health care teams are now giving anti-rabies shots to three other patients who received organs from the same donor as the patient, the CDC said.

The Maryland man and three other people -- in Florida, Georgia and Illinois -- received organs from a person who died in Florida in 2011.

Coincidentally, both the donor and the recipient who died are members of the military. The donor was a 20-year-old airman who was training to be an aviation mechanic in Pensacola, and the recipient was a retired Army veteran, according to the Department of Defense.

Doctors knew the donor had encephalitis, an inflammation of the brain, when they harvested the organs. However, no rabies test was done before the before the donor's kidneys, heart and liver were delivered for transplantation in September 2011, the CDC said.

4 shots enough to ward off rabies

The Maryland recipient died February 27 at the VA Medical Center in Washington, and doctors at the CDC diagnosed rabies as the cause of death. The CDC then examined autopsy tissue from the donor and determined he had died of the same type of rabies, which is spread by raccoons, according to the CDC.

Health officials immediately contacted doctors caring for the other three organ recipients. They show no signs of rabies but are being treated with five doses of the rabies vaccine and rabies immune globulin, which gives the body antibodies to protect itself against the rabies virus. Both treatments are shots in the upper arm.

Dr. Matthew Kuehnert, director of the CDC's Office of Blood, Organ, and Other Tissue Safety, said the recipients' doctors were shocked to learn the donor's organs were tainted with rabies.

"Their first reaction was that it seemed unlikely because it's been almost a year and a half since the transplant," he said.

In the only other U.S. outbreak of rabies among organ recipients, the four patients died within a month of transplant in 2004.

The three other recipients are being tested for rabies, and health authorities are looking for family members or health care workers who might have had close contact with the donor or the recipient who died to see if they might also have the disease, said CDC spokeswoman Melissa Dankel.

Why organs aren't tested for rabies

Before the airman died in Florida, he was experiencing "changes in mental status," according to Kuehnert. He said the donor tested negative for several causes of encephalitis, including West Nile Virus and herpes.

Organ donors are not routinely tested for rabies, even if they show the signs. One reason is rabies is extremely rare, with only one to three cases a year nationwide, according to Dr. Richard Franka, the CDC's acting rabies team lead.

Also, many lifesaving organs would be lost if donors were tested for rabies. Only three or four facilities in the country are capable of testing for rabies in humans, Franka said, which means most hospitals would have to ship a potential donor's blood or tissue. It could take two days to get test results, and by then the organs would no longer be usable.

Kuehnert said perhaps new rules need to be put in place to help doctors decide what to do with organs when the donor has died of encephalitis and no one knows why.

"What we need looking forward is a standardized approach when you have encephalitis of unknown cause so very important things like this aren't missed," he said.

At least one transplant surgeon won't take organs when the donor has died of encephalitis of unknown origin.

Dr. Amy Friedman, director of transplantation at SUNY Upstate Medical University in Syracuse, New York, said the risk is too big.

But she added that she does kidney transplants, and her patients can survive, at least in the short term, on dialysis. Other patients waiting for organs such as hearts or livers might die quickly without a transplant -- and sometimes the only organ available is one where the patient died of encephalitis and no one knows why.

Those patients should be fully informed so they can decide if they want to take the risk, she wrote in a blog post Friday.

"Statistically it's quite likely the organ could be fine, but if it's not, everybody has trouble," she told CNN.

CNN's Miriam Falco, Val Willingham and Georgiann Caruso contributed to this report.

@highlight

A Maryland man who received a tainted organ in 2011 died last month

@highlight

Officials determined the organ donor had rabies

@highlight

Three other people in Florida, Georgia and Illinois are receiving anti-rabies shots