(CNN) -- Once again, North Korea has violated an important international agreement by launching a long-range missile. And like many times before, there is not much Washington or anyone else can do about it.

The brazen defiance of the North Korean regime is stunning. It's a performance that carries a strong message for the West and regimes that are contemplating the possibility of starting nuclear programs of their own.

It may be tempting to dismiss the importance of the launch since the rocket failed to go into orbit and disintegrated after liftoff. But North Korea succeeded in defying the world and managed to carry out an important test of its missile program.

Those who are paying attention to the unfolding drama in the Korean Peninsula include the leaders of Iran and those trying to stop Iran's nuclear ambition. Pyongyang's decision comes at a time when the West is preparing for new talks with Iran.

At the end of February, North Korea made an agreement with Washington to stop all missile tests and uranium enrichment in exchange for the United States to deliver 240,000 tons of food. (While the regime cannot feed its people, the budget for new launching pads, rockets and a huge military has not run out.)

Now Pyongyang has broken its word. It is claiming that launching a satellite into space is not a military test, so it does not violate the international agreement; rather, the event was meant to mark the 100th anniversary of the birth of its founder and "Eternal President," Kim Il Sung. But that explanation persuades no one.

The United States and its allies warned North Korea to stop the launch, saying plainly, "Don't do it." President Barack Obama, in a thinly veiled message to Pyongyang and also to Tehran, warned that "treaties are binding. Rules will be enforced. And violations will have consequences."

It's not clear what those consequences might be. The U.S. says it will not deliver the food aid agreed to in February, but that further punishes a population living in misery. The true consequences of obtaining nuclear weapons, as North Korea has done, are becoming increasingly clear.

The North Korean dictatorship may just be the most brutal regime on earth, imprisoning, starving and isolating its people. Despite its self-acknowledged "responsibility to protect" victims of state power, the rest of the world tiptoes around the atrocities, afraid to provoke the unpredictable regime because it has a nuclear arsenal.

What the latest missile launch may be is a propaganda campaign, a show of force to consolidate power by Kim Jong Un, who took power in December after the death of his father, Kim Jong Il. The Kims have ruled North Korea since its founding after World War II.

Since North Korea tested its first nuclear weapon in 2006, the country has become more of a threat to the region and the world. It has used extortion, manipulation and intimidation against its neighbors and against the United States. It has killed, kidnapped and terrorized those in neighboring countries. And it has become a provider of nuclear technology to dangerous regimes.

In May 2010, it fired a torpedo that sank a South Korean submarine, killing 46 sailors. South Korea, a strong ally of the United States, responded with a trade embargo. Six month later, the residents of the small South Korean island of Yeonpyeong fled in terror as the North fired 130 artillery shells. The attack killed no one but caused widespread panic. North Korea's nuclear and missile tests have also put Japan on edge more than once. Today, Japan seems like it is preparing for war as it awaits the latest missile launch.

And according to a leaked report from the United Nations, North Korea has become a supplier to the nuclear programs of Iran, Syria and Burma. In 2008, videos of North Korean workers inside a mysterious plant in Syria added to suspicions and helped convince Israel that Syria was building a nuclear reactor to produce weapons-grade plutonium. The reactor was later destroyed by Israel.

Because North Korea obtained nuclear weapons, its erratic behavior and appalling actions have become almost impossible to stop. That reality has come with a terrible cost to the suffering people of its people and with a price tag whose final tally in world peace is still unknown.

For a country such as Iran, the impunity that has followed North Korea's success on the nuclear pathway is an incentive not to give up its own nuclear program. For the rest of the world, it should serve as a reminder of how dangerous it would be to allow more nuclear weapons anywhere, but especially in the Middle East, the most unstable region on earth.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

North Korea launched a long-range rocket that broke apart after liftoff

@highlight

Frida Ghitis: North Korea defied the world, and there is not much the U.S. can do

@highlight

She says the impunity of North Korea sets a dangerous example

@highlight

Ghitis: For countries such as Iran, there's more incentive not to give up nuclear program