He has seemingly succeeded everywhere he's landed, but now, with the Ebola crisis on his hands, CDC Director Tom Frieden is being questioned at every turn.

Despite his assurances, how did Ebola spread from one patient to another inside the United States? Are hospitals truly equipped to handle Ebola cases? Have the proper guidelines for treating patients been established?

Freiden, who has been the director of the Centers for Disease Control and Prevention since 2009, attended top schools, fought infectious diseases and earned admirers along his rise.

But faced with his biggest challenge -- the current Ebola outbreak -- some are questioning if his experience and leadership style are enough to stop the virus from spreading in the United States.

His public statements are increasingly being second-guessed, not just by the usual pundits, but by health care workers.

If anything, Frieden has been consistent since the epidemic broke out in West Africa, and then eventually spread to the United States.

"Ebola is scary. It's a deadly disease. But we know how to stop it," he said last week.

Frieden has repeated this line many times: "We know how to stop Ebola."

But then a Liberian national in Dallas was diagnosed with the virus. And last week, a nurse who cared for that man was confirmed to have Ebola.

In his role, Frieden has to thread the needle: acknowledge fear, while appealing for calm.

Frieden, described by friends as shy and hardworking, has had success virtually everywhere he's been. His track record reflects well on him, though he has faced criticism from conservative voices who viewed his efforts to ban smoking and trans fat from restaurants in New York as the creation of a "nanny state." The general distrust of government that the political right holds has been on display as the Ebola fight is on.

"Difficult taking anything (the CDC and) Frieden say seriously," conservative radio host Tammy Bruce said on Twitter, citing low confidence in what she sees as lies or guessing on the issue.

After the news that a Dallas nurse had become the first person to contract Ebola inside the United States, the CDC director almost immediately said that a breach of protocol had occurred.

The insinuation that maybe the nurse did something wrong brought new criticism against Frieden, this time without a political agenda.

The group National Nurses United spoke to reporters after Frieden's remarks, some holding up signs that said, "Stop blaming nurses. Stop Ebola."

Zenei Cortez, a nurse and vice president of the group, told CNN's Jake Tapper that in cases such as this, the nurses always get blamed unfairly.

"And in this particular case, they said it was a breach of protocol. But what was the protocol?" she said. "Was it enough that the nurse and the patient is protected?"

"It's not enough that they put out guidelines. It has to be fully enforced," she added.

Frieden on Monday said state and federal health officials are re-examining the protocols, including the removal of protective gear after contact with an Ebola patient and if it might be helpful to spray virus-killing solution on workers as they leave an isolation unit.

Ebola: Five ways the CDC got it wrong

Focus on data

In Frieden's view, data is king.

"The real challenge is -- first and foremost -- basing decision-making on data," Frieden said. "You know it sounds wonky and uninteresting, but when it comes down to it, that's what we want to do."

Reliance on data can ensure that plans work out as they were designed to, he said.

New York City Health Commissioner Dr. Mary Bassett, who worked with Frieden when he held that role, said she witnessed Frieden's faith in the numbers.

Frieden began his career at the CDC by working on controlling tuberculosis, and then spent years stamping out the disease in India, as a CDC assignee to the World Health Organization.

When Frieden arrived in New York as health commissioner, there were about a thousand cases of TB in the city, Bassett recalled. It was Frieden's specialty, but he went in a different direction with his resources.

"He didn't say, 'I'm going to halve the cases of TB,'" Bassett said. "He said, 'I'm going to drive down tobacco use.'"

That was a decision based on data, she said. "Tobacco was and continues to be a leading preventable cause of death in New York and the country."

Ask Frieden what he considers the high point of his career, and he will refer to the time he spent in India, said Dr. Alfredo Morabia, an epidemiologist and historian who has followed Frieden's work.

The impact of Frieden's work in India helped about half a million people, so "that's not a strange answer from him because he's very interested in numbers. And he's going for the largest numbers for the larger impact."

What data has resulted in Frieden's confidence in the ability to stop Ebola? Will the recent cases change his calculus?

A listener

Frieden has a blog on the CDC website, which mostly consists of news articles and thoughts from the director.

The blog is hardly remarkable, but because it allows comments, it is ostensibly one way for the public to put their opinions in front of him.

Many of the comments come from people who identify themselves as health care workers, and are not always kind.

"As a registered nurse, I'm here to tell you that I am losing confidence in your 'expertise'!" one commenter wrote.

Another person wrote, "For a guy who is so sure about 'stopping Ebola in its tracks,' I see the disease spreading."

It's unlikely that the CDC director will see these comments, but what if he did? Could these voices of concern influence him?

One thing that Bassett recalled about working with Frieden in New York is that he "soaks up information from anybody."

"So, it wouldn't matter to him how many letters you had behind your name (from) all of your degrees," Bassett said. "If you had information that he felt was interesting, if you were driving a bus, sitting at a desk, entering data on a computer -- he wanted to talk to you and find out how that person might perceive things, what their advice might be."

If the director is interested in hearing suggestions, they are piling up from other health care professionals and members of the public interested enough about the Ebola outbreak to post a message on his blog.

In his career, Frieden, a graduate of Oberlin and Columbia, has undoubtedly over-achieved and saved thousands of lives.

His is a background that inspires confidence, and he has shown that in his messages on Ebola. But there is one caveat about being overly confident. It's risky.

@highlight

Dr. Tom Frieden has found success nearly everywhere

@highlight

Now some are questioning his leadership on the Ebola crisis

@highlight

Those who know him say he is confident and data-driven

@highlight

Will the rising tide of criticism shift his views?