(CNN) -- Mike Nichols, the award-winning director and pioneering comedian who was one of the few people to win an Emmy, a Grammy, an Oscar and a Tony award, died Wednesday evening, according to a note from ABC News' president to its staff.

Nichols, 83, who directed "Who's Afraid of Virginia Woolf" and "The Graduate," was the husband of former "ABC World News" anchor Diane Sawyer.

Nichols' influence looms large in entertainment. He was among the founders of the Compass Players, the predecessor to the Chicago-based comedy troupe Second City, which has been a proving ground for comic talent for more than four decades.

Share your memories of Mike Nichols

As a performer with Elaine May in the late '50s and early '60s, he took comedy into places it had seldom gone before, bringing an improvisational swagger and intellectual edge to a field that had been dominated by joke-telling standups.

"Nichols and May combined the political and social satire of (Mort) Sahl and (Lenny) Bruce with the inspired comic skits of (Sid) Caesar and (Imogene) Coca," wrote Sam Kashner in a 2013 Vanity Fair profile.

Nichols was also an outstanding theater director. At one point in 1967, he had four plays running on Broadway -- including two by Neil Simon, "Barefoot in the Park" and "The Odd Couple" -- and he was a go-to guy for stage works until the end of his life, helming Tom Stoppard's "The Real Thing" (1984), "Monty Python's Spamalot" (2005) and a 2012 revival of "Death of a Salesman" starring Philip Seymour Hoffman.

But he's probably best known for his movies, including the groundbreaking "The Graduate" (1967), the Oscar-nominated "Silkwood" (1983) and box-office smash "The Birdcage" (1996).

He was known as an "actor's director," one able to pull strong performances from his ensemble and capable of seeing things others didn't.

Dustin Hoffman remembered Nichols' ability at an American Film Institute tribute. Hoffman observed that Benjamin Braddock, the character he played in "The Graduate," was a tall, blond, WASP-y type in the novel. (Indeed, among the actors considered for the role was Robert Redford.) But Nichols saw the character as uncertain and neurotic, qualities Hoffman brought to life on screen.

"And so I thank you for casting this short, 29-year-old, unknown actor with a prominent nose to play Benjamin Braddock," Hoffman said. "God bless you, sir. You're more than a great director. You're a real artist down to your toes, because you're insanely courageous."

Starting with two phrases

Nichols was born Michael Igor Peschkowsky in Berlin in 1931. With war clouds looming and Nazi persecution of Jews rising, he immigrated to the United States in 1939.

As recounted in the book "Faces of America," a young Nichols arrived in the United States knowing only two phrases: "I don't speak English" and "Please, don't kiss me." The family changed its last name to Nichols after settling in New York City, where the family patriarch established a medical practice.

Nichols attended college in Chicago and later headed back to New York, where he studied acting under famed teacher Lee Strasberg. He returned to Chicago, where he started up a comedy troupe and met Elaine May. The pair would go on to form a partnership that would later take Broadway by storm.

Nichols said he took to the stage.

"I liked doing the stand-up," Nichols told The Hollywood Reporter in 2012. "I only stopped because Elaine wanted to stop. I've never understood it. I thought: 'Why? It's not a very long show. It doesn't cost us anything emotionally.' "

He moved behind the scenes and directed Robert Redford and Elizabeth Ashley in "Barefoot in the Park," which won him his first Tony in 1964. For a time he was Broadway's golden boy, with success following success: "Luv" (1964), "The Odd Couple" (1965), "The Apple Tree" (1966, featuring a young Alan Alda), "Plaza Suite" (1968) and "The Prisoner of Second Avenue" (1971). "Barefoot," "Odd Couple," "Plaza Suite" and "Second Avenue" were all written by Neil Simon.

He was also the director of the musical "Annie" (1977), which was one of Broadway's longest-running musicals when it closed almost six years later.

Notable movies

More acclaim would follow for his work on the big screen. His first film was a biggie: "Who's Afraid of Virginia Woolf" (1966), starring Elizabeth Taylor and Richard Burton. It was nominated for 13 Oscars and won five, including a best actress trophy for Taylor.

His next film, however, was in many ways even more impressive: "The Graduate," which made innovative use of pop music (thanks to Simon and Garfunkel's songs), featured a terrific script by Buck Henry and Calder Willlingham and became a blockbuster sign of the New Hollywood -- one led by youthful moviegoers and antihero protagonists.

"Nichols and veteran cinematographer Robert Surtees threw out the (Directors Guild) playbook for 'The Graduate,' experimenting wildly with lighting and lenses, lending the film a sense of freewheeling freshness, a sheen of visual inventiveness that hasn't dimmed over the years," wrote Slant magazine's Budd Wilkins in a 2012 look back.

Nichols won best director for his work.

His movies never quite caught lightning in a bottle again -- few movies do -- but still contained stirring scenes and fine performances: the launch of the planes in "Catch-22" (1970), the sour Jack Nicholson in "Carnal Knowledge" (1971), the lives of blue-collar nuclear plant workers in "Silkwood" (1983), the unrestrained glee of the plotting Melanie Griffith in "Working Girl" (1988).

He also directed the TV production of "Angels in America" (2003), which won a then record-setting 11 Emmys.

His last film as director was 2007's "Charlie Wilson's War."

"No one was more passionate about his craft than Mike," James Goldston, president of ABC News, said in a note to the staff. "He had recently been immersed in a new project for HBO to adapt 'Master Class,' Terrence McNally's Tony Award-winning play about opera legend Maria Callas. The project reunited him with Meryl Streep, one of his most frequent collaborators."

Nichols occupied that rare air in the industry of those who have won the EGOT -- an Emmy, a Grammy, an Oscar and a Tony. In 2012 he earned his record sixth Tony for best direction of a play for "Death of a Salesmen."

He met Sawyer later in life (he was 54 at the time) and she became his fourth wife. He told The Hollywood Reporter that he first spotted the then-"60 Minutes" correspondent on a flight and later struck up a conversation with her.

"I found her and said, 'You're my hero.' And she said: 'No, you're my hero. Do you ever have lunch?' She wanted to interview me for '60 Minutes.' I pretended that I was up for it, and we had about 14 lunches."

The couple was married for 26 years.

In addition to Sawyer, Nichols is survived by his three children -- Daisy, Max and Jenny -- and four grandchildren.

Photos: People we've lost in 2014

@highlight

Nichols died Wednesday night

@highlight

He was married to journalist Diane Sawyer

@highlight

His last film as a director was "Charlie Wilson's War"