(CNN) -- Christopher Columbus has long been the poster boy Renaissance explorer who found fame and fortune by sailing from the Old World to the New.

Crossing the great unknown waters between Spain and the Caribbean in 1492, he became one of the most renowned -- and pivotal -- Europeans to set foot in America.

But more than five centuries later, a British adventurer plans to show that the New World could have been reached by another seafaring nation 2,000 years before Columbus.

Former Royal Navy officer Philip Beale hopes to sail a replica Phoenician boat 10,000 kilometers across the Atlantic in an ambitious voyage that could challenge maritime history.

By completing the journey, Beale aims to demonstrate that the Phoenicians -- the ancient Mediterranean civilization that prospered from 1500BC to 300BC -- had the capability to sail to the U.S.; a theory disputed by historians.

"It is one of the greatest voyages of mankind and if anyone could have done it [before Columbus], it was the Phoenicians," said Beale.

"Of all the ancient civilizations they were the greatest seafarers -- Lebanon had cedar trees perfect for building strong boats, they were the first to use iron nails, and they had knowledge of astronomy and currents."

The prospect of sailing a 50-ton wooden vessel identical to those built 2,600 years ago across the Atlantic might appear foolhardy, had Beale not already challenged maritime history two years ago.

Beale sailed the replica boat -- aptly named The Phoenician -- around Africa in 2010, in a bid to demonstrate the ancient civilization had the capability to circumnavigate the continent 2,000 years before the first recorded European; Bartolomeu Dias, in 1488.

Setting sail from Syria in 2008, The Phoenician covered 32,000 kilometers over two years, battling everything from six-meter waves off the Cape of Good Hope to Somali pirates.

"We had run the gauntlet of pirate-infested waters, overcome numerous technical problems and traveled deep into the Indian and Atlantic Oceans," Beale says in a new book on the incredible voyage; 'Sailing Close to the Wind.'

"I had proved she was an ocean-going vessel and when she was coasting along the waves, her sail billowing in the wind; to captain her had been an unforgettable experience."

Beale based his ambitious quest on a quote by Greek Historian Herodotus, who claimed the Phoenicians circumnavigated Africa in 600BC.

Along with their sophisticated seafaring skills, the Phoenicians were renowned as an intellectual and industrious civilization who helped develop the alphabet we still use today.

Highly skilled in metalwork, ivory carving and glass-making, the name Phoenician derives from the iconic purple color they used to dye their superior textiles.

Dr Julian Whitewright, maritime archaeologist at the University of Southampton, added that a Phoenician voyage around Africa was "quite a plausible undertaking, based on the capabilities of the vessel of the period and historical material stating it took place."

The boat was modeled on an ancient 19-meter Phoenician shipwreck excavated off the coast of Marseille. Using locally-sourced materials, shipbuilders stayed true to the original down to the exact thickness of the planks and position of the mast.

The crew of volunteers ranged from six to 15 people at any time, with 53 sailors from 14 different countries taking part over the entire journey.

"We didn't have any mechanical winches and the anchor had to be pulled up and down by hand -- it was back-breaking work," Beale said.

"There was just one traditional toilet which dropped straight into the ocean, so you literally had to step out on the side of the boat to use it. When you had big waves coming at you in the middle of the night it could be quite scary. But at least there was no cleaning."

The final leg of the journey took them wide out across the Atlantic and a mere 965 kilometers off the coast of Florida. It was here Beale got his inspiration for the journey to the U.S.

"Archeologists have found Egyptian mummies with traces of tobacco and cocaine which could only have come from the New World," Beale said. "It indicates there was something going on across the Atlantic."

Dr Mark McMenamin, professor of geology at Holyoke College, also points to evidence of Phoenician coins bearing maps of the Old and New World. He said copper coins with Phoenician iconography have also also been discovered in North America.

"The available evidence suggests that the Carthaginians (the western tribe of the Phoenicians) had the ability to cross the Atlantic at will," he said.

Many historians however, remain doubtful. "If the Phoenicians got to England -- which we think they did -- I wouldn't be surprised if the boat could get to America physically. But whether they could have done it without running out of food is a different matter," maritime historian Sam Willis said.

"If you're circumnavigating Africa you can always stop along the way. But you can't when you're going to America -- it's a massive stretch of sea and that's the difference."

Setting off from Tunisia, the modern-day Phoenician vessel is expected to take two to three months to reach America -- granted Beale can raise Â£100,000 ($156,000) for the expedition.

New York's Metropolitan Museum of Art has already invited him to display the boat as part of their upcoming exhibition on the Phoenicians, opening in September 2014.

"The conventional wisdom is that Christopher Columbus discovered America. But anyone who looks a little closer will see the Vikings were there around 900AD. They've found Viking settlements in Newfoundland, it's undisputed," Beale said.

"So Columbus was definitely second -- at best. I put forward the theory that the Phoenicians could have been first and I hope to prove that was the case."

@highlight

British adventurer aims to sail replica Phoenician sailboat across Atlantic

@highlight

Journey could prove ancient civilization capable of reaching America

@highlight

Could challenge theory Christopher Columbus first discovered New World

@highlight

Historian dispute likelihood Phoenicians landed in America