(CNN) -- When black people protest against police violence in Ferguson, Missouri, they're thought of as a "mob."

But when white people got up in arms at the Pumpkin Festival in Keene, New Hampshire, a few weeks ago -- for apparently no reason whatsoever -- they were merely accused of "disruptive behavior."

The two situations -- protests in Ferguson and drunken violence in Keene -- are not equivalent. However, it's revealing how the two groups are perceived differently by society and and the media. How is it that the bad behavior of some black people is used to condemn an entire community, while the bad behavior of some white kids is excused and explained away? Maybe this is why residents of Ferguson protested in the first place.

A grand jury will decide any day now whether to indict a police officer, Darren Wilson, who shot Michael Brown, an unarmed black teenager, this past August. In anticipation of possible violence, Missouri Gov. Jay Nixon has preemptively declared a state of emergency. It will last for 30 days unless Nixon extends it.

Nixon is taking the precaution in light of the mass protests this summer over how the investigation into the shooting was being handled. The protests were largely peaceful, but there were some looters and other troublemakers. The police were widely criticized for their over-the-top militaristic response, including riot cops in tanks with automatic rifles pointed at the protesters.

Complete coverage: Ferguson shooting and protests

Police aggression made the protests worse. Slate's Jamelle Bouie, who was on the scene, tweeted, "This has been the consistent pattern. Unilateral police escalation prompts minor response from more volatile elements, justifying crackdown."

Still, most protesters maintain an iron-clad commitment to nonviolence, which the New York Times noted in a detailed report.

Yet, many on social media and some in the mainstream media continue to use the isolated actions of a small number of bad protesters to smear the entire community. The smears often carry a subtle, racially tinted message. "Stunning Photos From Violent Protests in Ferguson, Mo." read a headline on the conservative Daily Caller website, adding "Is This America?" "Ferguson Thugs Harass, Verbally Abuse Police Officers," read a headline on the conservative website RightScoop. "We know now that thugs are thugs," conservative radio host Laura Ingraham offered on Fox News.

Now, let's turn to white protesters: In mid-October, during the annual Pumpkin Festival in the small New England town of Keene, New Hampshire, some white college kids apparently had too much to drink and turned violent. They were hurling broken glass and rocks at police (as well as, apparently, pumpkins). At least a dozen people were arrested and 30 injured, with 20 taken to area hospitals. The troublemakers seemed to revel in the chaos and damage they caused, with one telling a local newspaper, "It's just like a rush. You're revolting from the cops. It's a blast to do things that you're not supposed to do."

"It demeans Ferguson and St. Louis to compare them to Pumpkin Fest," Professor Donna Murch of Rutgers University told CNN. Which is true -- and makes the contrast between how society perceives black and white behavior all the more striking. The protesters in Ferguson were airing legitimate grievances through mostly peaceful means and yet were denigrated, while the rioters in Keene were merely part of a party that "spun out of control" -- never mind that those in Keene were reportedly drunk and dangerous and disproportionately violent.

The discrepancy is so jarring that none other than Twitchy, the notoriously lock-jawed right wing website, while managing to contort the incident to bash the supposedly liberal media, agreed, "Critics of the media do have a valid point. There probably are a lot of reasons for the difference in coverage, racial bias among them."

Just days after the Pumpkin Fest, riots erupted in the largely white town of Morgantown, West Virginia. Why? Because West Virginia University's team beat Baylor at football. The rioters "lit fires, pushed over street lights and threw rocks, beer bottles and other items at police," reported the local news. Police and fire vehicles were damaged. Eight people were arrested.

Were the riot police, the National Guard, or a state of emergency declared? No. the city is just considering a law to ban upholstered furniture from outdoor areas, since the "tradition" of setting fire to couches apparently fueled the protests.

Could you imagine a news story about a black community with a "tradition" of burning couches? The media would be pointing out how they're "destroying their own community" and the right would make assertions about black people not deserving public assistance.

And there's more. Earlier this year, students at the University of Minnesota rioted after their team lost the hockey championship. In 2013, Michigan State students rioted after their team won the Big Ten. The same year football fans at the State University of New York in Cortland rioted even before the game started. And in 2011, after the University of Connecticut won the national basketball championship, students rioted in the streets.

These occurred in places with mostly white people. In these instance there were injuries, property damage and arrests. Why aren't we talking about the epidemic of sports-induced violence among white people? Why aren't we calling on state and federal agencies to crack down on their clearly destructive lifestyles?

We don't yet know what the grand jury in Ferguson will decide and how the community will respond. But residents want a public trial with transparency and accountability. If the grand jury decides not to indict Officer Darren Wilson, protests can be expected. When that happens, let's think about the real pain that residents of Ferguson feel.

And if there's any violence from a few angry demonstrators, let's keep things in perspective considering the marauding bands of rowdy white football fans and rioting Pumpkin kids.

@highlight

Sally Kohn: Some Ferguson protesters were compared to the "mob"

@highlight

Kohn: Yet, when white people rioted, they were merely accused of "disruptive behavior"

@highlight

She asks why are we so hard on Ferguson protesters but not rioting Pumpkin kids?