(CNN) -- There is a great, geologic break in the land that runs almost the length of Texas from around Fort Worth to just west of San Antonio. Known as the Balcones Escarpment, geologists describe the rift as the place "where the South ends and the West begins."

An ecological transition zone between rich, black-land prairie and the arid Southwestern deserts, the Comanche people thrived on the escarpment's sweet springs and abundant wildlife.

Today, they would find strip malls, McMansions and 10-lane traffic jams.

Five of the 20 fastest growing cities in America might be in Texas, but they are also the municipalities moving the quickest toward failure of infrastructure and other acute problems the state's leaders ignore. Of the 387,000 people who moved here in 2013, some 150 to 200 daily landed in Austin, which has been ranked several times as the country's fastest-growing city.

Hill Country, lakes, food, live music and temperate weather explain the allure, but very few newcomers know about things such as the absurd lack of mass transit. The latest INRIX Traffic Scorecard Annual Report ranks Austin is the fourth-worst city in America for commuting. Neophyte Austinites might gain outstanding cheese enchiladas in their lives but will lose 38 hours each year sitting in traffic.

A commuter rail train runs in the Texas capital city, but because it was consigned to old freight tracks, it hardly serves the population density. Voters rejected two light rail projects, but they will consider yet another billion dollar train and road initiative in November.

Houston, often viewed as a nightmare carscape, has a light rail line downtown that records 5,000 boardings a mile every weekday. DART rail in Dallas also has healthy ridership, but the traffic has not noticeably lessened.

Our roads are a serious problem.

Because the Texas constitution requires a pay-as-you-go style government, officeholders used bonded indebtedness to avoid raising taxes and being politically punished. In fact, the gas tax in the state has not been raised since 1991 while lawmakers racked up a $23 billion dollar bond bill to construct roads.

Servicing and retiring that debt will cost taxpayers $31 billion over the next 20 years. As the governor of Texas tours the country trying to lure more businesses south of the Red River with tales of low tax rates, he never mentions his state has almost $45 billion in bonded indebtedness, and taxpayers will pay that bill, some how, some way.

But, hey, we can tell outsiders we don't raise taxes.

The greatest peril facing a booming Texas population, however, is the lack of water. An epic drought has made water more precious than oil. Outlanders from the Midwest and California arrive in Texas, build homes, plant grass, install irrigation systems and water their lush green lawns in a landscape nature created for scorpions and rattlesnakes.

Green Lake, near the Gulf Coast, is the state's only natural body of water; everything else is a reservoir, and they are running dry from too many straws thirstily sipping through 100-degree days.

Lake Travis, the jewel of the Texas Hill Country, which is also the water supply for Austin's swelling population, has not been full since 2007. The city's water utility director recently warned that the reservoir would run dry by 2016, even with severe use restrictions.

The city of Wichita Falls, near the border with Oklahoma, made national news recently when it informed residents they would have to start drinking recycled wastewater. After treatment at a sewage plant, the water is piped to another facility where it's cleansed for consumption. Bottled water sales are said to be booming. The Texas Commission on Environmental Quality predicts four dozen cities in the Lone Star state can expect to run out of water, possibly by the end of this year, if the drought does not break.

If you are considering relocation, we ought to have a chat about our onerous property tax rates in Texas and what they do to your prospective house payments. We can also talk about how the legislature never gives school districts the money they need to operate and has been sued by parents and educators for that very reason since 1968, and, just recently lost another constitutional lawsuit over how schools are funded.

Or, maybe, we should discuss the governor's refusal to expand Medicaid and how we have the most uninsured residents of any state in the union.

But, no worries; we can fill you in when you get here. The sun is shining. The beer is cold. And a No. 2 Mexican dinner awaits.

Y'all come on down to Texas.

@highlight

Five of the 20 fastest-growing cities in America are in Texas; Austin is the fastest of all

@highlight

James Moore: Prairie gave way to strip malls, McMansions, 10-lane traffic jams

@highlight

Moore: Infrastructure a mess; Austin is the fourth-worst city in America for commuting

@highlight

Moore: Growing population a terrible drain on water as Texas suffers from an epic drought