Gaza City (CNN) -- For residents of Gaza and southern Israel, the fleeting period of calm is over.

The Israeli military said aircraft carried out strikes on at least 70 militant targets in Gaza on Friday in response to a barrage of rocket fire after a three-day truce in the region came to an end without a longer-term agreement.

At least 50 rockets were fired at Israel after the cease-fire expired Friday morning, the Israel Defense Forces said. Most of the rockets hit unpopulated areas, but one wounded a civilian and slightly wounded a soldier, the IDF said.

Israeli Prime Minister Benjamin Netanyahu and Defense Minister Moshe Ya'alon ordered the military to respond forcefully to the resumption in rocket fire, Israeli officials said. The IDF said it "targeted terror sites across the Gaza Strip."

Several explosions were heard in Gaza City as Israeli fighter jets flew overhead. Local media reported airstrikes elsewhere in the territory. One strike in Gaza City killed a 10-year-old boy, said Ashraf el-Qedra, a spokesman for the Palestinian Ministry of Health.

Hamas, the Islamic militant group that holds power in Gaza, said that Palestinian officials at peace talks in Cairo hadn't agreed to extend the truce but would continue negotiations.

But Israeli government spokesman Mark Regev told CNN that the resumption of rocket fire means Hamas has "broken the fundamental premise of the talks in Cairo."

Violence flares in the West Bank

With the cease-fire over, unrest spread to the West Bank, where a 19-year-old man was shot and killed by a Israeli soldier near a settlement east of Ramallah, medical officials told CNN.

A dozen Palestinian youths were throwing stones at a watchtower near the Ammari camp in alBireh when an Israeli soldier opened fire and killed Mohammad al-Qatari, according to the medical officials. Dr. Ahamad Bitwai, head of the Ramallah medical complex, said the young man was shot in the chest and died on the way to the hospital.

In Hebron, at least 40 people were hurt during clashes between Palestinians and Israeli military and border police near the old city. According to the official Palestinian new agency WAFA, 23 of the injuries were from live fire.

Pro-Palestinian demonstrations erupted in many areas of the West Bank after Friday prayers.

The IDF said dozens of rioters near Ramallah hurled rocks at soldiers, who responded by using "riot dispersal means" before "exhausting all possible measures" and resorting to gunfire. "A hit was confirmed and the incident is being reviewed," the IDF said in a statement.

Islamic Jihad and the Al-Nasser Salah al-Din Brigades, two militant factions that have fought alongside Hamas in Gaza under the banner of "the resistance," said they fired rockets at Israel on Friday.

"The enemy ended the cease-fire when he refused to accept the demands of the resistance and he bears responsibility for the consequences of that," the military wing of Islamic Jihad said in a statement.

Two rockets fired from Gaza hit southern Israel a few hours before the truce was due to end Friday, the IDF said. They caused no casualties.

Hamas denied responsibility for firing the rockets, which landed near Eshkol, said Sami Abu Zuhri, a senior spokesman for the group.

No breakthrough in talks

The rocket fire came as hopes faded for an agreement to extend the Egyptian-brokered cease-fire, which began Tuesday.

During the truce, Israeli and Palestinian delegations held indirect talks in Cairo through Egyptian go-betweens, but the two sides appeared to be far apart in their positions.

A Palestinian member of the negotiating delegation, not authorized to speak to the media directly about the talks, told CNN on condition of anonymity that the two sides failed to agree on the wording of a cease-fire extension that included the Palestinian demand for Israel to lift the blockade on Gaza. The official also indicated the Israeli negotiators declined Palestinian demands to re-open the Gaza airport and seaport, and to release prisoners who had been released and rearrested in June.

One key Palestinian economic demand centered on fishing rights. The Palestinians are currently allowed to fish up to three miles off the Gaza coast, and they demanded that be extended to 20 miles. Abu Zuhri said Israel was willing to extend fishing rights to only six miles off the coast.

The fishing industry in Gaza is a major part of the territory's economy.

Israel said Thursday it was willing to extend the cease-fire unconditionally. The country's military said earlier in the week it had achieved its goal of destroying Hamas' network of tunnels that extend under the border into Israel. After the rocket fire Friday, however, Israel's Foreign Ministry said on Twitter that the country "will not conduct negotiations while under fire."

Hamas leaders said the Israelis bear responsibility for the breakdown of the talks. Abu Zuhri said the Palestinian delegation arrived in Cairo five days in advance in an effort to reach a cease-fire agreement, but the Palestinian delegation did not receive an Israeli response to its demands.

"We did not see any effort from the Israelis to encourage us to extend the cease fire agreement. As result, the Palestinian delegation, collectively, decided not to extend the cease fire agreement," said Abu Zuhri.

United Nations Secretary-General Ban Ki-moon on Friday expressed his "deep disappointment that the parties were unable to agree to an extension of the ceasefire."

Israel's U.N. ambassador, Ron Prosor, responded with a message on the U.N. Facebook page, saying: "If I wasn't familiar with the UN, I would think this is a parody. But because I am familiar with the UN, I know this is a tragedy."

The message added, "Your statement said that you were disappointed that the parties were unable to agree to an extension of the ceasefire. I couldn't help but notice that you didn't mention one of the parties, which happens to be the party that violated the ceasefire. This party has a name -- they are called Hamas."

Civilian population suffering

The lack of a deal appears to be reviving a conflict that brought death and destruction to large areas of Gaza and thousands of rockets fired at Israel.

Renewed hostilities also deepen the misery for people in Gaza who were wounded, displaced or deprived of basic necessities by the first four weeks of fighting.

On Friday, the Palestinian Ministry of Health issued new casualty numbers for the conflict -- 1,898 deaths, including 446 children, and 9,837 injured.

It's unclear how many of the Palestinian dead were militants.

The United Nations estimates that at least 70% of the dead were civilians. The Israel Defense Forces says it believes roughly half of the dead -- about 900 people -- were militants.

Israeli officials say 64 Israeli soldiers and three civilians in Israel have died. Israel's Iron Dome missile defense system intercepted many of the rockets fired at populated areas of the country.

Additionally, about 65,000 Gaza residents lost their homes to the fighting, according to U.N. estimates. The territory is also short on running water, power and medical supplies.

CNN exclusive: Inside the mind of Hamas' political leader

Nobel laureate Wiesel: Hamas must stop using children as human shields

Gaza conflict: Can economic isolation ever be reversed?

Life in Gaza: Misery heightened by war

CNN's John Vause reported from Gaza, Matthew Chance reported from Jerusalem, and Jethro Mullen reported and wrote from Hong Kong. CNN's Ali Younes, Michael Pearson, Reza Sayah, Tal Heinrich, Jake Tapper, Katie Hinman, Claudia Rebaza, Samira Said and Karl Penhaul also contributed to this report.

@highlight

NEW: Israel's ambassador criticizes the U.N. response to the resumption in fighting

@highlight

A barrage of rocket fire on Friday follows the end of a three-day truce

@highlight

In response, Israel says its military "targeted terror sites across the Gaza Strip"

@highlight

The Egyptian-brokered cease-fire began Tuesday