Argyll, Scotland (CNN) -- Magnus MacFarlane-Barrow was enjoying a pint at his local pub in the Scottish Highlands when he got an idea that would change his life -- and the lives of thousands of others.

It was 1992, and MacFarlane-Barrow and his brother Fergus had just seen a news report about refugee camps in Bosnia. The images of people suffering in the war-torn country shocked the two salmon farmers, who'd visited there as teenagers and remembered the warmth of the Bosnian people.

"We began saying 'Wouldn't it be wonderful if we could just do one small thing to help?' " MacFarlane-Barrow says.

After talking it over, the two men took a week off work and collected food, clothing, medicine and blankets. They loaded everything into an old Land Rover, drove to Bosnia to deliver it and returned to Scotland.

"I came back here thinking that I did my one good deed and it would be back to work, but it [didn't work] out like that, " he says.

When they arrived home, the brothers found an avalanche of goods that people had continued to donate while they were away.

"I was touched by the overwhelming generosity of others," MacFarlane-Barrow remembers. "I saw all of those donations in our family home and thought, 'Wow, people really are good,' and it inspired me to be good too."

After much thought and prayer, Magnus MacFarlane-Barrow quit his job, sold his home and dedicated himself to helping people in need.

He returned to Bosnia with aid 22 more times during the Bosnian War, and over the next 18 years his work expanded and evolved. Today, his program -- Mary's Meals, named after the Virgin Mary -- provides free daily meals to more than 400,000 children around the world.

MacFarlane-Barrow found his current focus in 2002 while working in Malawi -- a country ravaged by famine and AIDS -- when he met a local teenager who just wanted a decent meal and an education.

"The mother of the family was dying of AIDS. She was lying on her bare mud floor, and she had her six children around her, " he says. "I started talking to her oldest child, Edward. And Edward said, 'I'd like to have enough food to eat. I'd like to go to school one day.' "

In response, he launched Mary's Meals, which strives to break the cycle of poverty by feeding children a daily meal at school. The food -- in most places a mug of maize-based porridge -- gives students an incentive to continue their schooling and helps them focus better on their studies. It's a formula that MacFarlane-Barrow says is working.

"Pass rates go up dramatically in the schools where we start providing Mary's Meals," he says. "We've seen huge improvements in attendance rates and academic performance."

Mary's Meals partners with local residents, who handle the daily work of cooking and serving the food. In Malawi -- the group's largest effort -- more than 10,000 volunteers donate their time on a regular basis.

The program operates in more than 500 schools and child-care facilities in 15 countries, a global effort that MacFarlane-Barrow coordinates from a tin shed on his parents' property in Scotland. While the married father of six lives on the property, he spends most of his time abroad, overseeing the project and visiting the schools where meals are served.

"I see the children's faces as they eat their meal, " he says. "Knowing I can transform their lives keeps me motivated."

But there are always new challenges to overcome, most recently in Haiti, where Mary's Meals has operated since 2006. Working in partnership with a local Catholic priest, the group was feeding about 12,000 children a day when the earthquake hit in January.

Much of the infrastructure the program relied on in the slums of Cite Soleil was destroyed, so the group's mission expanded. They helped create temporary classrooms and are rebuilding eight schools in the area. In addition to their school-based feeding program, the group now feeds about 2,000 elderly Haitians and is providing additional food and medicine to the community.

MacFarlane-Barrow is driven by his Christian faith, but there is no ministry aspect to his work. "We are very careful to never link feeding and faith," he says. "We serve those who are in need ... period.

"When I think of Mary's Meals I think of it as a series of lots and lots of little acts of love, " he says. "I've learned ... that every small act of kindness does make a difference."

Want to get involved? Check out the Mary's Meals websites at www.marysmeals.org and www.marysmealsusa.org and see how to help.

@highlight

Scotsman was at a pub in 1992 when he got the idea to help victims in war-torn Bosnia

@highlight

A trip to deliver food, clothing and blankets led to a life's work of helping others

@highlight

After working in Malawi in 2002, Magnus MacFarlane-Barrow started Mary's Meals

@highlight

Today, the program provides free meals to more than 400,000 children in 15 countries