(CNN) -- The Syrian conflict has become "increasingly militarized" as killings and torture by regime security forces and anti-government fighters raged this spring, a United Nations panel reported Thursday.

Meanwhile, the U.N. secretary-general said there is no fallback plan to deploying monitors to some of the Middle Eastern nation's most embattled cities.

U.N. monitors on the ground in five Syrian cities are making "all possible efforts to stop violence" and have had "some dampening effect," Secretary-General Ban Ki-moon told CNN's Christiane Amanpour. But he conceded, "We were not able to completely cease the violence."

In an interview on "Amanpour," Ban said the full cadre of observers -- 300 -- authorized by the Security Council last month would be on site in the coming days.

"They are patrolling every day, whenever possible," he said. "They try their best to cease this violence. It requires strong political will at the level of President Assad, and also it requires full cooperation by the opposition forces."

The report by the Independent International Commission of Inquiry on Syria noted the growing power of forces opposed to President Bashar al-Assad.

"Whereas government forces had previously been responding primarily to demonstrations, they now face armed and well-organized fighters -- bolstered by defectors who joined them."

"Gross violations continue unabated," the commission's report said, adding regime forces commit most of the "serious human rights violations."

The documented abuses "reflect this shifting context" amid widespread fears that the popular uprising against the regime of al-Assad, spurred by a tough crackdown against peaceful protests, is spiraling toward all-out civil war.

Violence has raged daily. At least 40 civilians were killed across the country Thursday, the opposition Local Coordination Committees of Syria said, among them "a complete family ... martyred in the shelling" of a neighborhood in Hama.

Another opposition group, the Syrian Observatory of Human Rights, reported 43 people killed. Its toll includes 35 civilians mostly in the provinces of Homs, Hama and Idlib, as well as eight government forces dead in clashes with defectors in Damascus, Deir Ezzor, Homs and Idlib.

U.N. officials say more than 9,000 people, mostly civilians, have died and tens of thousands have been uprooted since the uprising began in March 2011. Opposition groups report a higher death toll in excess of 11,000 people.

The commission said abuses have mounted since March, even though al-Assad's government and opposition forces say they have embraced U.N. and Arab League envoy Kofi Annan's six-point peace plan that includes a cease-fire.

The military has conducted "large-scale" strikes on sites known for "hosting defectors and/or armed persons" escorting protests or supporting the Free Syrian Army, the anti-government resistance force, the report said.

People have died when security forces shelled "small opposition strongholds," conducted house-to-house searches and placed snipers on rooftops.

Lethal force has been used against protesters in Idlib, Homs, Aleppo, Hama, Damascus, Daraa and villages nationwide. "Many such protests were accompanied by armed groups, which have described their role as providing protection for the demonstrators," the report said. "The resulting clashes were deadly for demonstrators, members of these armed groups and security forces alike, yet too often citizens bore the brunt of the violence."

Torture and arbitrary arrest remain a problem, the report's authors said, citing the case of a man accused of trafficking for anti-government groups as an example.

"They allegedly beat him severely and applied electric shocks to his legs," the report said.

Children have been killed or injured in attacks on protests and by snipers' gunfire, while government forces have targeted schools and used one as a command post.

Boys as young as age 10 detained by regime forces "repeatedly indicate that they are tortured to admit that older male members of their family are 'Free Syrian Army' soldiers or supporters," the report said.

"Wounded children have been unable to seek treatment due to fears of being perceived as anti-government armed groups supporters or for fear of being beaten in health facilities. Children have died due to a lack of health care during government blockades. Some, including those injured as a result of torture, have been willfully denied medical care."

Anti-government armed groups have executed security forces and suspected collaborators, the report said. One military defector cited the execution of three Iranian snipers, and there have been reports of "makeshift prisons."

"One anti-government armed group fighter also admitted that he and his associates had killed government soldiers when the captives refused to join them," the report said.

The groups also have increased their use of homemade bombs known as improvised explosive devices. Some people interviewed described bombs made of "nails inside pipes with explosive powder and a fuse," and others made of gas and fertilizer. One fighter described planting mines that targeted army tanks.

There have been reports of security forces or their supporters confessing under torture after their capture by resistance fighters.

"Two Iranians, held in late January 2012 and released in late April 2012, later made public statements about physical abuse suffered, including the breaking of bones, during their captivity," the report said.

There have been instances of fighters kidnapping security forces and civilians, purportedly for prisoner exchanges but also for use as ransoms to buy weapons. Some anti-government groups have used children "as medical porters, messengers and cooks, for units in the field and delivery of medical supplies to field hospitals."

The report pointed to bombing attacks in Damascus, Aleppo and Daraa between March and May, including the suicide car bombings in Damascus on May 10 that left 55 people dead.

The commission said it can't "ascertain" who is responsible for the "criminal" acts. Some experts and officials say neither security forces nor anti-government forces may be responsible, suggesting "third" forces -- such as jihadi groups -- may be to blame.

Ban distanced himself from his earlier assertion that al Qaeda "must be" behind the Damascus bombings, saying Thursday, "We do not have any clear evidence what al Qaeda was behind."

Nonetheless, "considering the scale and sophistication of the terrorist attacks," the U.N. leader said, "it seems to be clear that there are certain organizations and groups with ... clear political intent."

One senior Jordanian official told CNN that there are nearly 1,500 al Qaeda members and sympathizers in Syria. Many have entered the country from Iraq and Lebanon and have been part of a bombing and ambush campaign against Syrian intelligence and military targets.

American officials are concerned about jihadists in Syria and work with border countries to thwart them. But some U.S. officials say the 1,500 number is too high.

Ban said Thursday the growing tension in Lebanon, where clashes erupted earlier this week after the killing of two anti-Assad clerics, is very troubling.

"We are entering into a pivotal moment," Ban told Amanpour. "We are very much worried about this kind of spillover effect. ... We have to prevent this."

The report was issued as Syria's newly elected parliament convened to elect a speaker and swear in new members. The government said the elections were all-inclusive, but opposition forces call the process a sham.

The opposition Syrian National Council is looking for a new leader after the resignation of its Paris-based president, Burhan Ghalioun. Syria's opposition has long been fractious, proving a disappointment to Western and Arab nations who dislike the regime and want al-Assad out of power.

CNN's Barbara Starr and Hamdi Alkhshali contributed to this report.

@highlight

NEW: One opposition group reports 35 civilians dead; another says 40 were killed

@highlight

U.N. monitors are making "all possible efforts to stop violence," says the U.N. chief

@highlight

The government now faces "armed and well-organized fighters," a new report finds

@highlight

The report is the latest by the Independent International Commission of Inquiry on Syria