Washington (CNN) -- The Supreme Court sided with Congress on Thursday in the high-stakes power struggle over presidential recess appointments, in which officials are placed in top government jobs temporarily without Senate approval.

The justices' unanimous ruling on the narrowest of grounds against the Obama administration could invalidate hundreds of decisions by the National Labor Relations Board, the federal agency at the center of this legal fight.

At issue is whether three people named by President Barack Obama to the board were ineligible to serve because their appointments were made while the Senate was technically in a "pro forma" session during the 2011-12 winter holiday break. That meant the mostly empty chamber was convening every three days without any business conducted, and with the sessions lasting only minutes at most.

The court majority concluded recess appointments would be valid if those breaks lasted 10 days or more.

The Constitution allows a president to fill temporary appointments during a recess, without congressional approval. But more recently, lawmakers have sought to thwart certain appointments by never technically shutting down the Senate.

The closely watched constitutional and political confrontation over the practice has accelerated because of partisan gridlock in Congress.

Presidential spokesman Josh Earnest told reporters on Air Force One that the White House was "deeply disappointed" in the decision and said the administration is "still reviewing it."

The court's opinion will not have an immediate effect, since Democrats controlling the Senate imposed rules making it harder for Republicans to block Obama's nominees. But a change in Senate control after November's midterm elections could renew the disagreements.

"We conclude that the Recess Appointment Clause does not give the President the constitutional authority to make the appointments here at issue," Justice Stephen Breyer said. "We hold that the Senate is in session, and not in recess, when the Senate says that it is in session."

But the court said the executive could use his power to make recess appointments even when the vacancy occurred before the Senate goes on break.

To achieve unanimity, the court took a limited approach, avoiding a decision that could have applied to greater set of recess scenarios, thereby further blunting the executive's power. Four conservative justices wanted their colleagues to go farther, and complained the majority "bends over backwards" to preserve some of the President's options.

That gives both branches some room to claim even a partial victory.

Senate officials weigh in

"I welcome the Supreme Court's important decision today," Senate Minority Leader Mitch McConnell, R-Kentucky, said just after the ruling. "This administration has a tendency to abide by laws that it likes and to disregard those it doesn't."

His Democratic counterpart blamed the GOP for the current fights. "Since President Obama took office, Senate Republicans have done everything possible to deny qualified nominees from receiving a fair up-or-down vote," said Senate Majority Leader Harry Reid, D-Nevada. "President Obama did the right thing when he made these appointments on behalf of American workers."

While agreeing with the outcome of the narrow question presented, four more conservative justices worried that the ruling would allow the President to retain a good deal of the "powerful weapon" of making recess appointments.

"The only remaining practical use for the recess-appointment power is the ignoble one of enabling Presidents to circumvent the Senate's role in the appointment process, which is precisely what happened here," Justice Antonin Scalia said from the bench.

Other Presidents' recess appointments

Among recent presidents, Ronald Reagan made 240 recess appointments, George H. W. Bush made 77, Bill Clinton made 139, George W. Bush made 171, and Obama has made 32 so far.

Gen. (later President) Dwight Eisenhower, Judge (later Justice) Thurgood Marshall, Chief Justice Earl Warren and Federal Reserve Chairman Alan Greenspan were all recess appointments.

Some GOP lawmakers also accused the President of flip-flopping on the issue. When he was a senator, Obama criticized then-President Bush's recess appointment of John Bolton as U.S. ambassador to the United Nations.

The court's ruling could also put in jeopardy some decisions made by Richard Cordray, who was appointed to head the Consumer Financial Protection Bureau, a move also being challenged in a separate lawsuit.

Cordray was named the same day as the three National Labor Relations Board appointments, which gave the board a full panel for the first time in a year.

The lawsuit leading the to the Supreme Court case was brought by Noel Canning, a family-owned Yakima, Washington, bottling company, which complained the board improperly ruled in favor of Teamsters Local 760 during contract negotiations. Company executives said the board lacked a binding quorum because the recess appointments made by Obama were not legal.

How they've kept the Senate in session

Since May 2011, Republicans have been relying on a little-known procedure to keep the Senate in session, even when it was not really conducting any business, in order to stop the President from making those recess appointments.

The legal basis comes from a 1993 Department of Justice brief saying the president should act only if the Senate is in official recess more than three days.

So, party leaders have arranged for a single Republican lawmaker to show up every three days and gavel the Senate to order, wait around for about 30 seconds, gavel it to a close, then leave.

Legal experts have disagreed on both the tactical and timing procedures by the Senate, and whether the president has unilateral authority to override those legislative tactics.

The case is NLRB v. Noel Canning (12-1281).

Boehner plans lawsuit against Obama over executive orders

@highlight

Unanimous ruling could invalidate hundreds of National Labor Relations Board decisions

@highlight

Constitution allows temporary appointments during a recess, without congressional approval

@highlight

Lawmakers have sought to stop appointments by technically never shutting down the Senate