WASHINGTON (CNN) -- An Ohio death row inmate was executed Tuesday after the Supreme Court rejected his last-minute plea that he was too overweight to be put to death.

Richard Cooey, 41, and an accomplice were convicted of the 1986 murders of two college students.

Richard Cooey was pronounced dead at 10:28 a.m. ET, said Andrea Carson, spokeswoman for the Ohio Department of Corrections. The execution went as scheduled, she said, with "no problems whatsoever."

Cooey had exhausted his legal appeals and Gov. Ted Strickland earlier denied the 41-year-old prisoner's clemency petition. Cooey murdered two college students in 1986.

Asked if he had any final words, Carson quoted Cooey as saying, "You haven't paid attention to anything I've had to say for the past 22 years, so why would you think that I would think you're going to pay attention to what I have to say now?"

Earlier Tuesday, the Supreme Court rejected the stay Cooey's attorneys had sought, along with the opportunity to address the larger constitutional claims over when a convicted person is medically unfit for capital punishment. The court was also asked to review whether Ohio's lethal injection procedures amount to cruel and unusual punishment.

Cooey's lawyers maintained that at 5-foot-7 and 267 pounds, he was "morbidly obese" and had gained about 70 pounds since he was imprisoned at age 19. Prison food and confinement in his cell for 23 hours a day, limiting his opportunities for exercise, contributed to his weight problem, his legal team argued.

Cooey also contended regular medication he took for migraines would weaken the effectiveness of an anesthetic used in the three-drug cocktail administered during execution. He said his veins were weakened because of his health issues, and the lethal drugs would constitute cruel and unusual punishment.

A federal appeals court ruled Thursday that Cooey waited too long raise the medical issues, saying he "knew of and could have filed suit over vein access prior to July 2005."

Ohio does not serve a "last meal," as death-row inmates are given the opportunity to eat breakfast before a scheduled execution, Carson told CNN. But on Monday night, she said, Cooey ate a "special meal" consisting of a T-bone steak, hash browns, french fries, four eggs over easy, onion rings, four pieces of toast, a pint of Rocky Road ice cream, Mountain Dew and bear claw pastries. He did not eat breakfast Tuesday, Carson said.

Cooey and a then-17-year-old accomplice were convicted of the brutal murders of Wendy Offredo and Dawn McCreery, students at the University of Akron. The men had been tossing concrete slabs onto Interstate 77, and one of them struck Offredo's car.

Pretending to "rescue" the women, Cooey and Clinton Dickens took the victims to a remote field, according to prosecutors. There the students were subjected to a three-and-a-half-hour period of rape, torture, stabbings and fatal bludgeonings. Cooey carved an "X" into the stomachs of both women, prosecutors said.

Each man blamed the other for delivering the fatal blows, but both were convicted of murder. Dickens received a life sentence because of his age.

Cooey tried to escape from death row in 2005, when corrections officials said he constructed a ladder from magazines and bed sheets in an effort to scale the barrier around an outdoor recreation area.

At an August clemency hearing, Jon Offredo, brother of one of the victims, said, "Our family has never gotten an apology from Richard Cooey. We've gotten blatant lies and excuses. Is an apology too much to ask? How could he commit such an heinous act and not feel regret?"

However, Cooey's lawyer, Dana Cole, said his client is sorry for his crimes.

The high court has not offered clear guidelines on what medical standards need to be met before an inmate is eligible for death. But in a case five years ago, the justices allowed inmates to at least make a claim that their specific physical or medical issues could be cause to block an execution.

The high court had sided with a convicted Alabama killer who claimed his veins were so damaged from years of drug abuse that executioners might have to cut deeply into his flesh to administer the deadly drugs.

Writing for the unanimous court in that case, then-Justice Sandra Day O'Connor said the court was not going to "open the floodgates to all manner of method-of-execution challenges," as Alabama feared. "Our holding is extremely limited." That inmate is still on death row.

Richard Dieter of the Death Penalty Information Center, a data-resource group that opposes capital punishment, said the Supreme Court indicated that "how you're going to be executed is a civil rights matter, the same as if you were discriminated on the basis of race or gender or something like that."

A Washington state killer was given a reprieve in 1994 after claiming he was too obese to hang. Mitchell Rupe at one time was more than 425 pounds, but weight-loss surgery in prison had reduced that to 275 pounds over the years. Subsequent legal efforts to execute him failed. He died in prison two years ago after a long illness.

The Ohio case is Cooey v. Kerns (08-6722).

CNN Supreme Court producer Bill Mears contributed to this report.

@highlight

Richard Cooey executed as scheduled Tuesday morning

@highlight

Inmate who said health could affect execution ate steak, eggs, fries for last dinner

@highlight

Supreme Court declined to issue stay, or tackle broader case

@highlight

Cooey was convicted of raping, torturing and beating two women to death