San Diego (CNN) -- In November 2008, after an ugly campaign that stirred emotions and split families along generational lines, California voters narrowly approved Proposition 8. The ballot initiative defined marriage as between a man and a woman and banned same-sex marriage in the Golden State.

Now, as the Supreme Court hears arguments from those challenging the law's constitutionality, we Californians have a message for the rest of the country: "Oops. Never mind."

A new Field Poll, released at the end of February, provides the evidence of what many of us here on the left coast have been sensing over the last 4Â½ years: When it comes to same-sex marriage, many California voters want a do-over. The survey shows that 61% of California voters now approve of it, with 32% opposed.

The "pro" figure represents a big jump from 2008 when the Field Poll showed that 51% of California voters approved of same sex-marriage.

It's part of what has been a gradual march toward greater public acceptance of same-sex marriage in a state that has struggled with this issue like no other in recent memory.

I know this struggle. I went through it myself. Thirteen years ago, I opposed same-sex marriage and supported the watered-down alternative -- civil unions. As a practical matter, I thought activists should focus on things such as a federal civil rights bill outlawing private-sector discrimination due to sexual orientation. Then a gay family member helped me see the light. I now understand that we can't have a two-tiered system, where some of us enjoy the right to marry and our brothers and sisters and cousins don't, based solely on sexual orientation.

Opinion: Straight marriage is the real issue

California's struggle started about the same time. In 2000, another ballot initiative -- Proposition 22, which defined marriage as between a man and a woman -- was approved by 61% of California voters.

Note that this is the same percentage that, in the current Field Poll, says they now support same-sex marriage. A lot can happen in 13 years. A state can turn itself inside out in 13 years.

When the California Supreme Court struck down Proposition 22 as inconsistent with the state constitution, opponents of gay marriage got crafty and proposed another initiative -- Proposition 8, which went so far as to amend the state constitution to ban same-sex marriage.

California voters approved the measure, 52% to 48% -- and in doing so, betrayed their own liberal reputation.

Share your reaction to the arguments

Think of the irony. On the very same day that a majority of voters in this dark blue state voted for the nation's first African-American president, a majority also approved a ballot initiative that winked at bigotry.

Worse, supporters of the measure included a majority of Hispanic and African-American voters. They're no stranger to discrimination, and so they should know better. Maybe many of these voters of color got swept up in the same wave of fear and ignorance that swept across the rest of the state's population.

I live in California, and so I saw it all play out. It wasn't pretty. For instance, there were, in the final days of the campaign, a despicable series of "Yes on 8" radio and television ads that took full advantage of bigotry's old buddy -- fear. One of the main messages behind these ads was that, if same-sex marriage were legal, it would somehow creep its way into the public schools through the curriculum.

Opinion: The real 'modern family' in America

I remember one television ad that showed a little girl who hurried home from school and excitedly told her mother that she was reading a book about a prince who didn't marry a princess because he settled on marrying another prince. And so, she said with a big smile, when she grew up, she could marry a princess. The mother reacted with a panicked look.

The spot did not make clear that California parents have the right to be notified if sexually explicit material is being taught and to pull their children out of class if they choose.

Those are the facts. But, as we have learned time and again, fear doesn't listen to facts. But the good news is that fear usually loses its strength over time. And that is what happened here.

And it happened here, across the board. In the new Field Poll for California, 64% of African-Americans and Asian-Americans and 56% of Hispanics now support same-sex marriage.

No one can say definitively why the numbers have shifted in California. But the change of heart does seem to mirror a national trend where -- as more Americans discover or acknowledge that they have gays and lesbians among their friends and family -- their attitude toward same-sex marriage seems to be softening.

A new CNN/ORC International Survey found evidence of something that analysts are calling the "Rob Portman effect," in reference to the Republican senator from Ohio who changed his position on same-sex marriage after learning his son is gay. In the poll, 57% of Americans now say that they have a family member or close friend who is gay or lesbian. That's a 12-point gain since 2007. Meanwhile, over that same time period, the number of Americans who support same-sex marriage has gone up by almost exactly the same percentage.

Opinion: Our journey with the Clintons on gay rights

This is either one heck of a coincidence or evidence that people come to support same-sex marriage as the issue begins to hit closer to home and they become aware that someone they care about is gay or lesbian.

Whatever is causing the shift, in California and throughout the United States, let's be thankful for it.

The Supreme Court will be taking a close look at California's Proposition 8, and it is expected to hand down its ruling in June.

Speaking of this issue being close to home for many of us, among those attending the arguments will be Chief Justice John Roberts' lesbian cousin who lives in California.

But, frankly, whatever the high court decides isn't all that important anymore. Because, closer to home, many Californians have already admitted their mistake. And soon, they'll be looking for a way to correct it.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette: California voted in 2008 to ban same-sex marriage

@highlight

Proposition 8 backers used fear to make their case against it, he says

@highlight

Many Americans have shifted, seeing that their friends, loved ones include gays

@highlight

Navarrette: Today Californians would vote in favor of same-sex marriage