(CNN) -- She ventured where few before her had dared, taking on a decades-long business monopoly and overcoming gender stereotypes to become a major player in her country's lucrative drinks industry.

As chief executive of Keroche Breweries, Tabitha Karanja has paved the way for many other female entrepreneurs in Kenya, a country where women are traditionally scarce in the boardrooms, and even rarer in million-dollar startups.

Against all odds, the 48-year-old entrepreneur has painstakingly turned the first Kenyan-owned brewery into a lucrative business. In the process, she had to succeed where others had tried and failed in the face of an entrenched monopoly: East African Breweries.

"People thought it was not possible to break the monopoly of the existing company that was there, because it has been there for 80 years," says Karanja, who launched her company's first beer product, called Summit, in 2008.

"People thought it was normal for us to have only one company in this country," she adds. "I was too determined and said 'no' -- I have traveled many other parts of the world and I saw there is no country that had only one brewery; people had many choices so I said that I have to go forward and let the people decide."

Read this: ' Why women will change world'

Karanja's journey in Kenya's drinks industry started in 1997, when she started a fortified wine business aimed at the lower end of the market. For the next 10 years she came up against big names in Kenya's wine industry, but in 2007, taxes imposed on alcohol manufacturing made it difficult to keep prices low.

Karanja says the hikes made her product too expensive for her target customers, forcing her to stop producing fortified wine.

But instead of bowing out of the industry, Karanja came up with a new product.

"So there I thought again and said, 'what do we do for this same market?' And that is how we came up with ready-to-drink vodka. We make it ready-mixed to precision for moderate drinking," she says. "Since then the market has always been opening up and has been growing into this new drink."

Read this: The secretary who became king

Today, the company's brand new, state-of-the-art factory produces 10,000 bottles of gin and ready-to-drink vodka, as well as 15,000 bottles of beer, per hour. Although the company only holds about 5% of the country's market share, Karanja says the demand for Keroche's products outweighs the supply.

"Before the end of this year we laid a foundation stone of expanding the brewery to ten-fold of whatever we have now," she says.

"The support of the Kenyans has kept me going all this time because I think that without their support it would have been very hard for anybody to continue doing the business," adds Karanja. "If we support one another, we Kenyans, we Africans, we'll be able to do even bigger than what the multinationals can do."

Read this: Africa's power women

Karanja, a mother of four, says that startups are common in Kenya, but few survive the harsh business environment. She adds that it takes too long to start a business in Kenya, giving international competitors an advantage in the marketplace.

"There is a problem because they have not created an enabling environment to do business in this country," she says.

Read this: 'Give African women a voice'

As a successful entrepreneur in a typically male-dominated world, Karanja says the lack of female executives in her country and beyond is rooted in the way girls are often brought up.

"Even for a young girl all she thinks is to get married, get children take care of the husband," she says. "But if our culture can change that -- 'yes, you'll get married, get your children, but also there is something else that you need to do: you need to develop your country in one way or the other.

"Women have always believed that it is men who are supposed to do that ... so for me what we can do is challenge the women to think further and to believe that we can do even better than men."

A model for aspiring young entrepreneurs across Kenya, Karanja's business skills and efforts to liberalize the country's industry were recognized in 2010 with an award from the president of Kenya.

"I felt good, not because of me, but because of our people here," she explains. "I thought it would motivate the people, the Kenyans, and show them that even if you work very hard, struggle, meet all those challenges, at the end of it there'll be somebody who will recognize you."

@highlight

Tabitha Karanja is the chief executive of Keroche Breweries

@highlight

The company is the first Kenyan-owned beer manufacturer

@highlight

Karanja calls for a change in culture to help create more female entrepreneurs