(CNN) -- As both President Obama and Mitt Romney make the case for creating jobs, they are ignoring one of the fastest-growing job creators in our economy: the nonprofit sector. The only mention of nonprofits on the campaign trail or in the debates has been whether to limit tax deductions for charitable donations. For the sake of our economy, the health and continuous growth of this sector should be a priority for the next president.

The size and scope of the nonprofit sector may come as a surprise. There are almost 1.5 million nonprofit organizations in the country, including well-known brands like the Girl Scouts, Habitat for Humanity, United Way and the YMCA, as well as many smaller and more community-based service organizations, schools, congregations, sports leagues and hospitals.

Taken all together, the sector generates almost $1.5 trillion in spending per year and employs about one in 10 American workers, or 13.5 million people. It is the third largest labor force behind retail trade and manufacturing.

If your son or daughter is considering a career in nonprofits, don't be alarmed. While nonprofits are known for employing social workers, they also need managers, human resource professionals, educators, artists, computer programmers, marketers, accountants, athletes, carpenters, researchers, cooks and many other skilled workers.

And as one of the fastest-growing job sectors over the past decade, nonprofits offer plenty of good jobs. According to a study by Lester Salamon of Johns Hopkins University, "the U.S. nonprofit sector posted a remarkable 10 year record of job growth despite two recessions, achieving an annual growth rate of 2.1% from 2000 to 2010." In comparison, for-profit jobs declined by 0.6% per year during the same period. The study continues, "Even during the recession from 2007 to 2009, nonprofit jobs increased by an average of 1.9% per year. At the same time, businesses averaged jobs losses of 3.7% per year."

There are several reasons that account for the growth. In a time of economic challenges, nonprofits have grown to meet the greater needs in our communities. Many services previously provided by the government are now contracted to nonprofits. Changing demographics, especially the aging of America, has increased demand for services. The sector has also experienced a wave of entrepreneurship and innovations, along with adoptions of best practices from businesses, that have increased its effectiveness and size.

One might question whether jobs created in the nonprofit sector are really private-sector jobs, since many of the jobs are subsidized by the government through tax-deductible donations and direct grant support. But the truth is that many private-sector businesses receive tax credits, tax deductions, government grants and government contracts.

No one dismisses as private-sector jobs those at Lockheed Martin, which received $16 billion in government contracts from 2009 to 2011. Or General Electric, which paid no federal taxes last year.

When there are proposals to cut defense or other federal programs that fund businesses, Congress often protects them because those cuts kill private-sector jobs. Shouldn't Congress likewise protect cuts in federal funds that eliminate middle-class jobs that provide health, education, opportunity, safety and culture for our communities?

Here are some things the next president can do to support a growing nonprofit sector:

1. Maintain the charitable tax deduction and the estate tax.

Restricting the flow of private resources into the nonprofit sector will affect its opportunity to create and sustain jobs and impact. Charitable giving overall is essential to our communities, democracy and economy. But there is still a need to explore how to drive more giving toward greater problems like poverty rather than university endowments.

2. Provide student loan forgiveness and incentives for veterans.

Most nonprofits are not able to invest in training and development, so young employees bear those costs. Allowing student loan forgiveness for those who devote their lives to service and allowing a new GI Bill to invest in returning veterans who want to serve their communities at home would make a great difference.

3. Expand national service.

With 87,000 people serving in AmeriCorps nationally, this public-private partnership has become a critical human capital source for the nonprofit sector. Both presidential candidates have been champions of service, and whoever wins should implement the bipartisan Serve America Act to grow AmeriCorps to 250,000 people.

4. Invest in social entrepreneurship.

Expand the federal social innovation fund and new sources of financing, such as social impact bonds, so that investments can go into helping organizations and programs that show evidence of success.

5. Open federal investments in small businesses and jobs to nonprofits.

Nonprofits are not able to access the same incentives as businesses to grow and train their work forces. If nonprofits could receive tax credits, they could sell in a secondary market to businesses to grow more jobs. In addition, the Small Business Administration and other federal programs that support jobs could open opportunities to nonprofits.

Investing in the nonprofit work force is a double win because it would create good jobs and improve our quality of life through mission-driven goals. The nonprofit sector should be a central part of any discussions about our economic recovery strategy.

The opinions expressed in this commentary are solely those of Paul Schmitz.

@highlight

Paul Schmitz: President Obama and Mitt Romney are ignoring the nonprofit sector

@highlight

Schmitz: The sector is one of the fastest growing over the past decade

@highlight

He says the next president can do a number of things to support the industry

@highlight

Schmitz: Investing in the nonprofit work force is a win for job creation and economy