(CNN) -- Dennis Rodman's flashy visit to North Korea is just a big elaborate show. Don't be fooled by it. The bizarre, seemingly lighthearted episode comes at a time when tensions are again running high and overshadows the pain and suffering faced by ordinary North Koreans.

The regime is continuing its dangerous weapons tests, treating its population terribly and starving countless people.

On Tuesday, North Korea issued new hostile threats, this time to nullify the armistice agreement that ended the Korean War in 1953. The regime has made threats in the past, but the intensity of its recent belligerence is unusual.

North Korea blatantly violated multiple U.N. Security Resolutions with its December 2012 rocket test and its third nuclear test in February. It has made hostile statements toward the United States and South Korea in reaction to the announcement of the new U.N. Security Council resolution that imposed more sanctions on the regime.

Just when the situation seemed to be getting worse, the world suddenly saw the young leader Kim Jong Un receiving an American star with great hospitality and enjoying an afternoon of basketball.

What this portrait lacks is the unimaginable level of the suffering of people inside the country who are deprived of basic human rights and food. The regime's track record on human rights is even more ominous than its threats of rockets and nuclear weapons that often provoke the international community.

North Korea's history is marred by decades of unimaginable famine. In 2011, Freedom House listed the regime as one of the seven worst violators of human rights in the world. It is a place where political prisoners languish in gulags, escaped defectors testify of cannibalism, and famines decimate the population.

The latest reports indicate that the food situation appears to be somewhat improved. In a recent survey conducted by U.N. agencies, the prevalence of chronic malnutrition in children was 27.9% and acute malnutrition was 4%. These are not just numbers and statistics. Children's growth and development is being permanently stunted. The impact of endless hunger and recurrent famine has tremendous long-lasting impact on the North Korean people. It has been estimated that 3.5 million North Koreans died of starvation in the severe famine of the 1990s .

In its November 2012 crop and food security assessment, the U.N. predicted a gap of 207,000 tons of food this year in North Korea. This deficit exists in spite of planned imports and Chinese assistance. In human terms, this translates into a situation where about half the country's most vulnerable population, those who are dependent on the regime's public food distribution system for sustenance, are severely food insecure.

The fact is that, even if North Korea's harvests are improved this season, the public food distribution system is still extremely vulnerable to shocks, such as severe weather. At these levels of malnourishment, dramatic improvements to the system are still needed to ensure people are safe from famine caused by the next flood or severe drought.

The world must be careful not to be blinded by congenial games and friendly speeches coming out of North Korea. It's just a staged show. It doesn't actually solve any of the problems the country is facing. Most importantly, such sideshows are not in the interest of the North Korean people.

Some may contend that Dennis Rodman's visit brought exposure to the regime, which may in turn translate to some benefits, whether it is improved business relations, better communication or more spotlight through other famous stars.

However, the world should not be distracted by the dictatorship's faÃ§ade and attempts at friendly gestures to lure other countries to start a dialogue or defuse the tensions it has created. Instead, the world needs to focus on the dire situation of the North Korean people and stay committed to finding solutions that will alleviate their hunger and improve their living situations.

The opinions expressed in this commentary are solely those of Ellen Kim and Carolyn DuMond.

@highlight

Ellen Kim, Carolyn DuMond: Dennis Rodman's flashy visit to North Korea is just a big show

@highlight

Kim, DuMond: Bizarre episode overshadows the suffering of North Korean people

@highlight

They say the regime is listed as one of the seven worst violators of human rights in the world

@highlight

Kim, DuMond: The world must not be blinded by the facade, it should help the population