(CNN)Whether a patient is in the hospital for an organ transplant, an appendectomy or to have a baby, one complaint is common: the gown.

You know the one. It might as well have been stitched together with paper towels and duct tape, and it usually leaves the wearer's behind hanging out.

"You're at the hospital because something's wrong with you --  you're vulnerable -- then you get to wear the most vulnerable garment ever invented to make the whole experience that much worse," said Ted Streuli, who lives in Edmond, Okla., and has had to wear hospital gowns on multiple occasions.

Put another way: "They are horrible. They are demeaning. They are belittling. They are disempowering," said Camilla McRory of Olney, Md.

Hospital gowns have gotten a face-lift after some help from fashion designers like these from Patient Style and the Henry Ford Innovation Institute.

The gowns are among the most vexing parts of being in the hospital. But if efforts by some health systems are an indicator, the design may be on its way out of style.

The Cleveland Clinic was an early trendsetter. In 2010, it introduced new gowns after being prompted by the CEO, who often heard patient complaints when he was a practicing heart surgeon. That feedback led to a search for something new, said Adrienne Boissy, chief experience officer at the hospital system.

The prominent academic medical center ultimately sought the help of fashion icon Diane von Furstenberg, settling on a reversible gown with a front and back V-neck, complete derriere coverage, and features such as pockets, softer fabric and a new bolder print pattern.

Patients "loved the gowns," Boissy said. "People felt much more comfortable in the new design, not just physically but emotionally." In recent years, she added, "hospitals are looking at everything they do and trying to evaluate whether or not it contributes to enhancing the patient experience."

It's all part of a trend among hospitals to improve the patient reviews and their own bottom lines -- fueled in part by the health law's focus on quality of care and other federal initiatives. The Centers for Medicare & Medicaid Services increasingly factors patients' satisfaction into its quality measures, which are linked to the size of Medicare payments hospitals get.

Sometimes the efforts involve large capital improvement projects. But they can also mean making waiting rooms more comfortable, improving the quality of food served to patients or, as in this case, updating hospital gowns.

Ultimately, this focus leads to "a better patient experience," said John Combes, senior vice president of the American Hospital Association.

The Detroit-based Henry Ford Health System is in the process of updating its gowns, an initiative that began when the system's innovation institute challenged students at the city's College for Creative Studies to identify and offer a solution to one hospital problem.

The students responded with the suggestion to redo the garment that has often been described by patients as flimsy, humiliating, indecent and itchy. The process took three years, but last fall, the institute unveiled a new and improved version. It's made of warmer fabric -- a cotton blend -- that wraps around a patient's body like a robe and comes in navy and light blue, the hospital's signature colors.

Patient expectations are part of the calculus. They "are demanding more privacy and more dignity," said Michael Forbes, a product designer at the Henry Ford Innovation Institute.

When the institute tested his gown design, Forbes said, patient-satisfaction scores noticeably increased in a few days.

The new gown "was emblematic...of an attitude that was conveyed to me at the hospital -- that they cared about me as a whole human being, not just the part they were operating on," said Dale Milford, who received a liver transplant during the time the redesign was being tested. "That was the subtext of that whole thing, was that they were caring about me as a person and what it meant for me to be comfortable."

But replacing the traditional design is no easy task. What patients wear needs to be comfortable yet allow health professionals proper access during exams, meaning it must open and close easily. The gowns also need to be easily mass-manufactured, as well as efficiently laundered and reused.

New designs, though, can be expensive. After Valley Hospital of Ridgewood, N.J., switched to pajamas and gowns that provide extra coverage, costs went up $70,000 per year, said Leonard Guglielmo, the facility's chief supply chain officer, because the new garments cost more to buy and maintain.

Beyond cost, more ingrained cultural expectations might also play a role in what hospitals think patients should wear, said Todd Lee, an assistant professor of medicine at McGill University, who co-authored a 2014 study in the journal JAMA Internal Medicine, examining whether gowns were important and whether patients might be fine wearing their own or hospital-provided pants, instead of or along with gowns.

Often, doctors reported that pants or undergarments beneath gowns would have been okay, but patients said they were never given those options. Traditional gowns make it easier to examine patients quickly, and several doctors Lee spoke to seemed shocked at the idea that patients might wear garments other than the open-backed gown during their stay.

But the most common challenge isn't necessarily doctor expectations or costs. It's navigating hospital bureaucracies, said Dusty Eber, president of the California-based company PatientStyle, which designs and sells alternative gowns. In his company's experience, hospital decisions are often made by committees, not individuals.

"There's a lot of bureaucratic runaround," Eber said.

Kaiser Health News (KHN) is a nonprofit national health policy news service.

@highlight

Hospital gowns have gotten a face-lift with help from fashion designers such as Diane von Furstenberg

@highlight

What patients wear needs to be comfortable yet allow health professionals access during exams

@highlight

Patient satisfaction is linked to the size of Medicare payments hospitals get