Fear over Ebola is growing as international leaders and health organizations struggle to try to stop the deadly epidemic in West Africa.

The Ebola outbreak "is moving faster than our efforts to control it," Margaret Chan, director-general of the World Health Organization, said in a statement Friday. "This is an unprecedented outbreak accompanied by unprecedented challenges. And these challenges are extraordinary."

This is the first Ebola outbreak in West Africa and involves the most deadly strain in the Ebola virus family, Chan said.

"If the situation continues to deteriorate, the consequences can be catastrophic in terms of lost lives but also severe socioeconomic disruption and a high risk of spread to other countries."

One of those countries could be the United States, health officials have said. In fact, the U.S. Department of State announced Friday that it is working with the Centers for Disease Control and Prevention to bring home two U.S. citizens who have been infected by Ebola in Liberia.

Here's what you need to know about the Ebola outbreak today:

How many people have died?

As of Sunday, the World Health Organization had confirmed 909 cases and 485 deaths in Guinea, Sierra Leone, Liberia and Nigeria. It suspects that there may have been up to 1,323 cases and 729 deaths.

"The outbreak is by far the largest ever in the nearly four-decade history of this disease," Chan said. "It is the largest in terms of numbers of cases and deaths. ... It is the largest in terms of geographical areas already affected and others at immediate risk of further spread."

CDC Director Tom Frieden said Thursday that it could take three to six months to stop the epidemic.

Why is it spreading so quickly?

First of all, there's no vaccine for Ebola. So health officials have to stop the infection by isolating patients to prevent further transmission.

Past outbreaks have primarily occurred in rural areas, where people were not frequently traveling and infecting others. This outbreak has made it to several of the region's major cities, including Freetown, Sierra Leone; Monrovia, Liberia; and Conakry, Guinea.

These cities have international airports, which opens up the possibility of infected patients traveling abroad. For example, American Patrick Sawyer became infected with Ebola in Liberia and traveled via plane to Lagos, Nigeria, where he died. Health officials are still tracing all the people he came in contact with along the way.

The outbreak is "taking place in areas with fluid population movements over porous borders, and it has demonstrated its ability to spread via air travel, contrary to what has been seen in past outbreaks," Chan said.

"Cases are occurring in rural areas which are difficult to access, but also in densely populated capital cities."

NIH: Ebola vaccine to be tested in human trials soon

Is Ebola is coming to the U.S.?

On Thursday, a medical charter plane outfitted with an isolation pod left Cartersville, Georgia, about 5 p.m. The aircraft was scheduled to fly to Monrovia, Liberia, and will return with either Dr. Kent Brantly or Nancy Writebol, who were infected with Ebola while working for the aid group Samaritan's Purse in Liberia last week.

The two patients will be evacuated in separate trips, according to Samaritan's Purse spokesman Todd Shearer. It is unclear who will be transported first but both evacuations "should be completed by early next week."

Samaritan's Purse has described Brantly and Writebol as being in grave but stable condition.

Several aid organizations, including the Peace Corps, are asking volunteers and nonessential personnel to leave the region. The evacuation of these staff members has begun, Samaritan's Purse said.

Who approved that?

The decision was ultimately that of Samaritan's Purse, Frieden told CNN's Dr. Sanjay Gupta. The organization worked with the CDC to arrange the evacuation.

"Our role at CDC is to make sure in the transportation and in the care, any risk of infection to others is kept to the absolute minimum," Frieden said. "I know it creates a fear in people, but I really hope that people's fear won't outweigh their compassion."

Is the CDC ready to handle Ebola?

Trust in the CDC has waned in recent months, after multiple lapses in proper lab procedure put workers -- and potentially the public -- at risk. Investigators found that scientists had transported dangerous biological materials in Ziploc bags and once sent a live sample of bird flu to a low-security lab ill-equipped to handle the virus.

The investigation began in June, when workers based at the agency's headquarters in Atlanta were potentially exposed to anthrax after a lab failed to deactivate it. Congress grilled Frieden on July 16 over these and other incidents, saying they were "completely unacceptable."

"The CDC is supposed to be the gold standard" for lab safety, Rep. Tim Murphy, R-Pennsylvania, said at the hearing. "This is not sound science, and this will not be tolerated."

Which prompts the question: If the CDC wasn't handling dangerous biological materials properly in a lab, is it ready to handle America's first Ebola patient?

Frieden said that in the past, five people have arrived in the United States with other types of hemorrhagic fever; in all five cases, the patients were treated in hospitals, and no secondary infections occurred. And Medecins sans Frontieres has treated infectious disease abroad for decades without a death, he said.

"The stakes are higher with Ebola, but the risk is no higher. It's a virus easily deactivated with standard cleaning in hospitals."

Experts: U.S. health care system well-prepared for Ebola

When will the infected Americans be evacuated?

Soon. The State Department said the two citizens would be evacuated in the "coming days."

When it arrives, the plane will land at Dobbins Air Reserve Base in Georgia, about 20 miles from the CDC's Atlanta headquarters, a Pentagon spokesman said.

Then where will the patients go?

The patients will be brought to Emory University, which is near CDC's headquarters, hospital officials told Gupta. They will likely be transported in an Emory ambulance or medical helicopter from the airport.

Emory University Hospital has a specially built isolation unit that is designed to treat patients exposed to infectious diseases like Ebola, the hospital said in a statement Thursday. It is one of only four units in the United States.

"Emory University Hospital physicians, nurses and staff are highly trained in the specific and unique protocols and procedures necessary to treat and care for this type of patient," the statement said. "These procedures are practiced on a regular basis throughout the year so we are fully prepared for this type of situation."

What treatment will they receive?

There is no specific treatment for Ebola. Doctors can administer only "supportive therapy," which means supporting the patient's own immune system as it tries to battle the infection. This usually involves intravenous fluids to prevent dehydration and shock. This therapy for Ebola patients could also include blood or platelet transfusions and oxygen therapy.

Ebola can last two to three weeks, so patients would remain in isolation until their symptoms subside and tests come back negative for the virus.

Should I be worried?

When the infected aid workers return, it will be the first time someone infected with Ebola is known to have crossed into the United States. That realization has prompted fear among some on social media.

But U.S. health experts don't seem concerned about it spreading for two reasons:

One, Ebola is aggressively infectious, which means that those infected are highly likely to get sick. But it's not very contagious, meaning it doesn't spread easily. It's transmitted only through bodily fluids while the infected patient is exhibiting symptoms.

And two, experts say our health care system would be able to identify and contain the virus swiftly.

Frieden said other aid workers returning to the United States will have their temperature taken every day for 21 days -- the longest period known for Ebola symptoms to appear after infection -- to ensure that they don't have the virus.

Have other aid workers been affected?

Yes. A well-known doctor fighting Ebola in Sierra Leone died this week after contracting the virus.

"To date, more than 60 health care workers have lost their lives in helping others. Some international staff are infected," Chan said. "These tragic infections and deaths significantly erode response capacity."

@highlight

American patients infected with Ebola will be brought home in separate trips

@highlight

Medical plane will land at Dobbins Air Reserve Base in Georgia

@highlight

Ebola outbreak is "moving faster than our efforts to control it," WHO leader says