(CNN) --   Over the past week, I've been inundated with questions about swine flu, via Facebook, Twitter, CNN blogs and e-mail. So this week I'm empowering people with information about swine flu: how to protect yourself, what all the numbers mean and why you shouldn't freak out.

The most recnt advice from the CDC is that non-essential travel to Mexico should be avoided.

1. Hasn't swine flu been around for a while?

Yes. Swine flu was first identified in 1930 when researchers isolated the virus in a pig. In 1976, more than 200 soldiers at Fort Dix, New Jersey, got swine flu. From 1976 until 2005, the U.S. Centers for Disease Control and Prevention received approximately one report every year or two of humans with swine flu. From December 2005 until January 2009, there were 12 cases of swine flu reported.

2. The folks who have it now, did they get it from pigs or people?

It appears that no one in the United States with swine flu had any contact with pigs. Dr. Richard Besser, the acting director of the CDC, said in a news conference Friday that among the first seven cases, no one had contact with pigs. In another press conference Monday, he added that investigators have looked to see whether any of the infected people had contact with pigs, and "we're not finding that linkage here."

3. Swine flu is transmitted from animals to humans. Does that happen a lot?

Yes. More than 200 "zoonotic diseases" are transmitted from animals to humans, including illnesses caused by bacteria, viruses and parasites. Rabies and variant Creutzfeldt-Jakob disease (better known as "mad cow disease") are two well-known examples.

4. Should I cancel my trip to Mexico?

Yes, you should, unless it's essential. That's the advice from a recent CDC travel warning.  Watch Elizabeth Cohen answer your questions »

5. Should I be freaking out?

A new virus spreading quickly around the world. Young, healthy people struck dead in Mexico. Should we all be panicking?

"Absolutely not," said Dr. William Schaffner, chairman of the department of preventive medicine at Vanderbilt University School of Medicine. Swine flu, he said, "is not spreading all that rapidly. Take the St. Francis School in New York. There's been very little transmission from the schoolchildren to family members, and it certainly hasn't spread throughout Queens." iReport.com: Share your thoughts, concerns about swine flu

But, Schaffner added, this doesn't mean we shouldn't pay attention to swine flu. "We should be alert, keep up with the information coming out daily, and take control by being attentive to your hygiene. Wash your hands very, very frequently and avoid people who are coughing and sneezing."

6. How close do you have to be to a sick person to get swine flu?

"You can acquire this infection if you're within the 'breathing zone' of a sick person, which is about three to six feet," Schaffner said. "And we usually mean being this close to someone in a confined space. We're not talking about fleeting contact. We're not talking about walking past someone in the street. You need sustained contact." If you think you might have sustained contact with someone who's ill, read this guidance from the CDC's Web site.

7. Yikes! Every day I'm that close to countless people -- at work, on the bus, at church, in a movie theater. Could I get swine flu from them?

Yes.

"If you're standing next to someone on a bus, or sitting next to someone or in front of someone in a theater, you could acquire the infection in that fashion," Schaffner said. That's why people with the symptoms of any kind of flu -- fever, diarrhea, body aches, vomiting, etc. -- are urged to stay home and away from groups of people.

8. Wasn't there a vaccine at one time? Is there one now?

Yes, a swine flu vaccine was given to 45 million people in 1976. There is no vaccine now, although researchers are working on one.

The 1976 vaccine wouldn't be helpful anyway, according to Dr. Anthony Fauci, director of the National Institute for Allergy & Infectious Diseases.

"That was a completely different virus than the virus we are dealing with right now, completely different in the sense that the genes are different, and it doesn't have any relationship," said Fauci. "The designation of each one was called the swine flu, but from a viral standpoint and spreading it is quite, quite different."

Here are two scientific articles about the swine flu outbreak and vaccination program in 1976:

•Reflections on the 1976 Swine Flu Vaccination Program

•Swine Influenza A Outbreak, Fort Dix, New Jersey, 1976

9. Many young, healthy people have become sick in the United States. Many of the dead in Mexico have been young and healthy. What's going on? Usually we think of flu as affecting the very young and the very old.

This sometimes happens with new viruses. For example, in 1918 when a new flu virus emerged, many of those stricken were young and healthy. One theory is that young people, who have strong immune systems, mount a particularly vigorous response to new viruses. But there's a potential side effect to the response: the body releases dangerous levels of signaling proteins, called cytokines, which can damage the lungs. Scientists believe these "cytokine storms" can be fatal.

Here is a scientific article about the proposed mechanism of cytokine storms.

10. Why are large numbers of people dying in Mexico, but not in other countries?

This is the big mystery doctors are trying to solve right now. Many infectious disease experts say it's most likely a matter of numbers: with more illnesses in Mexico, there are also more deaths. Other explanations: that in Mexico people have, in addition to swine flu, other viruses that make for a more deadly combination than swine flu alone. It's also possible that the virus infecting the rest of the world is a weaker version than the one in Mexico. Among the swine flu mysteries: Why only deaths in Mexico?

11. Could this new swine flu virus have been manufactured by bioterrorists?

That's the theory on some conspiracy theorists' Web sites. But experts don't believe it.

"If you were a bioterrorist you'd want to create something that's a lot more deadly than this," said Dr. Gerald Evans, an associate professor of microbiology at Queen's University in Canada. "The problem with influenza is that the second you put it into people, it replicates and mutates very quickly. Even if you created the perfect bioweapon, within a few generations of transmissions, it wouldn't do what you planned for it to do."

12. I get a flu shot every fall. Will that help protect me against swine flu?

"The short answer is that  the CDC says it's very unlikely," Schaffner said. But he said it might be possible. "I think it's a bit of an open question whether repeated flu shots over years would provide a measure of protection."

13. I was in Mexico two weeks ago. Could I have contracted swine flu, and the symptoms just haven't shown up yet?

No. The incubation period of the swine flu is one to seven days.

"If you just traveled to Mexico and you're home and feeling well you should get on with your daily life and not worry about it," Evans said.

14. Can the swine flu virus live on inanimate objects? If someone with swine flu touches a doorknob, then I touch it, could I get swine flu?

Flu viruses can live on inanimate surfaces. So theoretically, you could get swine flu from touching a doorknob that was just touched by an infected person. However, that's pretty unlikely, according to Dr. Arthur Reingold, head of epidemiology in the School of Public Health at the University of California, Berkeley.

"I personally would not have a major fear of environmental contamination," he said. "Virtually all influenza is transmitted from sneezing and coughing."

Schaffner agrees, adding that flu viruses don't survive in large numbers on surfaces. "A doorknob isn't a warm, nourishing environment for a virus," he said.

15. What should I do if I develop symptoms of swine flu?

Call your doctor -- don't just drive on over, Schaffner advised. "Follow the instructions of your doctor. He might not want you in the waiting room spreading germs to others," he said.

CNN Medical Producer John Bonifield contributed to this report.

@highlight

The emergence of the swine flu has raised many questions; here are some answers

@highlight

Swine flu was first identified in 1930 when researchers isolated the virus in a pig

@highlight

Why people are dying in Mexico but not in other places is still a mystery

@highlight

While the virus can live on surfaces, transmission is unlikely