(CNN) -- The U.S. Navy Seals' dramatic rescue of Poul Hagen Thisted and Jessica Buchanan early Wednesday ended the hostages' three-month ordeal in Somalia. But why was it left to the United States to conduct this operation in a country thousands of miles away?

The short answer is that the United States has the military and intelligence capabilities to conduct the rescue of a U.S. citizen in pressing need of medical attention.

The longer answer is that Somalia lacks the capacity to suppress piracy and other organized crime without international support. This is evidenced by the failed attempt of Somali forces to rescue a Danish family in March 2011, where, as has so often been the case, local authorities found themselves outgunned by the organized criminals.

There are no Somali agencies that can effectively fight piracy and other crimes in Somalia, which has existed under a relatively impotent Transitional Federal Government since the central government collapsed in 1991. Most of Somalia is a patchwork of quasi-autonomous regions, across which neither governance nor law enforcement is coordinated.

While most nations recognize the transitional government in Mogadishu as the legitimate government of Somalia, its reach is extremely limited. Local administrations are thus left to manage issues of organized crime with little resources or support. The result: Citizens exist in a precarious truce with a well-armed and organized criminal element.

It is in this context of lawlessness that the United States opted to take direct action to release these two hostages. But such heroic and high-profile moves, by the United States or any other nation equipped for them, are not a long-term solution to Somalia's plague of organized crime, now spilling across borders. To break this cycle of crime, the international community must step up its commitment to investing in Somali stability and addressing the symptoms of the nation's governance vacuum.

A recent report by the Center for American Progress estimated that $9 billion in humanitarian and development aid went into Somalia over the past 20 years. This is a stark contrast to the billions that piracy costs the world each year. A forthcoming One Earth Future report finds that $7 billion was spent on measures to address Somali piracy alone in 2011.

If the international community does not shift toward building sustainable Somali law enforcement capabilities at sea and ashore, the only realistic options to resolve hostage situations will continue to be through military action or ransom payments.

Among the ways money used to combat piracy is spent:

1. International Navies support operations to patrol Somali waters and the Western Indian Ocean.

2. Nations fund suspect and prisoner transfer arrangements and "outsourcing" of prosecution within the region, as well as Europe, North America and Asia. (Even more will be spent to incarcerate convicted pirates.)

3. The maritime industry spends billions on armed guards, extra insurance, "ship hardening" and re-routing.

4. Shipping companies pay expensive ransoms, if other measures fail.

Somali criminal elements have proven themselves to be amazingly resilient and adaptable. And we can expect that this rescue may lead to an even greater escalation of violence and corresponding threats to innocent human life, including the estimated 190 hostages held (one of whom is a recently captured American writer) and the thousands of seafarers who continue to transit this dangerous area.

Indeed, the violence has been increasing as pirates confront private security teams and aggressive naval actions. They have changed their tactics to separate and conceal hostages and are re-investing ransom funds into criminal enterprises. Gangs are also becoming more sophisticated. Hostage takers now demonstrate a familiarity with international law that prohibits negotiation with international terrorist groups. Groups labeled as terrorists simply sell their hostages to middlemen who can legally negotiate.

Yet there has been surprisingly little investment from the international maritime community in a sustainable solution, although for a brief time last fall it appeared there might be a ray of hope. When the radical Islamist group, Al-Shabaab withdrew from Mogadishu in early fall 2011, many saw this as an opportunity to reinvigorate efforts to stabilize Somalia.

In September, key regional leaders from Somalia adopted a "Somali Roadmap" to improve security, the constitution, reconciliation and good governance. But with a fractured political system and roiling conflict between the country's regions, implementation has been slow.

Now the world's eyes are turning to a high-level conference to be convened by U.K. Prime Minister David Cameron in London on February 23 aimed at tackling the root causes of the problems in Somalia, including piracy. We can only hope that this conference will set the stage for a coordinated and forward-looking international effort that engages all the stakeholders in Somalia and looks past the symptoms.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Jon Huggins.

@highlight

Jon Huggins says U.S. freed Somali pirate hostages because it had resources to do it

@highlight

More importantly, he says, Somalia did not; pirates more powerful than weak government

@highlight

He says world should aim aid at symptoms of piracy, not just spending to fight pirates

@highlight

Huggins: International effort must engage all stakeholders; coming conference holds hope