(CNN) -- Does a week go by without news of federal bureaucrats outrageously extending their tentacles of authority over more of society?

Earlier this month it was the Environmental Protection Agency, announcing its plan to introduce on its own the carbon dioxide limits that Congress specifically rejected. Then it was the Food and Drug Administration, insinuating itself into the centuries-old process of aging cheese. Last week it was the IRS trying to shed at last the inconvenience of congressional oversight.

Now the National Highway Traffic Safety Administration is claiming sweeping authority over our smartphones, asserting the right to approve any software that might be used in a car.

This would likely make the smartphone the first object ever to be regulated both as a medical device and as a piece of motor vehicle equipment. Yet surprising as it may seem to consumers, the matter is clear to NHTSA regulators, who "maintain that they already have the authority over navigation aids and merely want it clearly written into law," according to The New York Times.

NHTSA, the Times reports, believes that apps like Google Maps, Apple Maps, and Waze pose threats to highway safety that entitle the agency to demand changes to their user interfaces -- matters which are far outside the auto regulator's zone of expertise.

Under the same principle, of course, NHTSA's control could soon creep beyond the navigation apps. Any software that might theoretically be used while driving could fall under the agency's regulatory powers: music applications, news alerts and e-mail notifications, even the phone function itself could be construed as threats to highway safety. What's next? Atlases? AAA maps? Printed directions? Coffee cups from the McDonald's drive-through?

NHTSA has already pushed car manufacturers to adopt "voluntary" regulatory standards for their in-car navigation systems, but technology companies have not been so willing to hand federal regulators the keys to one of their core products.

If they're smart, companies like Google and Apple will fight to keep it that way. For my book "Breakout," I interviewed Robert Norton, a former assistant general counsel for Chrysler who spent much of his career negotiating with NHTSA, including stints at each of the American Big Three auto companies.

"There's so much soft power that NHTSA has over the industry," Norton told me, "because you're always needing extensions and exemptions and 'Can I have 60 more days to give you this report?' And generally you are expecting to get the 'Mother-may-I' permission on that."

When manufacturers ignore NHTSA's advice or skirt its "voluntary" guidelines, however, they're likely to find it a lot more difficult to do business. "If they get really irritated at you," Norton said, "they say, 'No, actually you can't. We want this now, and we're not going to look at this, and we're not going to consider that.' So you really are encouraged to play ball because you're counting on them for your existence."

Norton's experience explains why the automakers' support for the proposed rules doesn't mean much. (And besides, free navigation apps on smartphones pose a threat to the expensive systems they sell as upgrades in their cars.) Subjecting every Google Maps update and fast-food app to this kind of prison-guard behavior would be an enormous blow to a thriving area of innovation.

The pace of innovation in smartphones is so fast, in fact, that it is solving many of the safety concerns NHTSA raises before the agency even gets around to regulating the technology -- and there is no chance the bureaucrats will ever keep up. Their "voluntary" guidelines require each interaction with the software to take two seconds or less. But on the latest Android phones, users can simply say, without taking their hands off the wheel, "OK Google, navigate to McDonald's on 108th Street in Omaha, Nebraska." This takes longer than two seconds but is far safer than anything NHTSA's rules imagine.

Sen. Deb Fischer of Nebraska, who has led the way in defeating the FDA's attempt to regulate health-related apps, was quick to respond to NHTSA's similar encroachment with an amendment last week to prohibit the agency from "regulating, adopting guidelines with respect to, or prescribing the design of" mobile software. Such explicit denials of authority may be the only way to deal with a federal bureaucracy that thinks it should have a say about everything.

Contact your members of Congress today and tell them to keep bureaucrats' hands off our smartphones.

Join us on Facebook.com/CNNOpinion.

@highlight

Newt Gingrich says bureaucrats regularly overreach, exceeding their authority

@highlight

The latest example is claim by NHTSA that it has authority over some smart phone apps, he says

@highlight

Gingrich: Putting these apps under NHTSA regulation risks strangling innovation