(Wired) -- It's almost impossible for a photographer to find fresh visual perspectives these days. Brooklyn-based Zack Seckler had to travel to a different continent and strap into an ultra-light aircraft to find one. His Botswana series presents the country from between 50 and 500 feet, providing a unique and captivating view of the savannah.

"Within the first few minutes of being up there, I was just completely blown away," he says. "Being in that airspace, you're really seeing the world from a perspective that only birds see. Obviously no human on the ground can see that, and the big jumbo jets up above don't fly that low. So it's kind of this hidden airspace to the human eye, and it just immediately struck me as a really powerful visual."

Read more: How a Math Genius Hacked OkCupid to Find True Love

Botswana, in southern Africa, is a little smaller than Texas and hosts large concentrations of animals ranging from wildebeest to zebras to flamingos. Most of it is covered by the Kalahari, a vast stretch of forbidding sandy savannah. It's also the site of the Makgadikgadi Pans, one of the world's largest salt flats and a surreal landscape coated in turquoise algae. The pans and its surrounding marshes and wetlands (known for their baobab trees), as well as the Okavango Delta, became Seckler's visual sandbox as he soared between photo opportunities.

The project started in 2009 when Seckler visited Botswana for another assignment and had some downtime. He asked his client to suggest activities to fill his final free days. Seckler was soon introduced to a pilot, who took him on his first ultra-light flight over the salt flats.

"It's just me and the pilot sitting right next to each other, knees practically touching," he says. "There are no real doors, no windows—there's only a windshield, propeller, and wings." Seckler was hooked, and returned to do three more shoots from an ultra-light and a small Cessna.

The animals in this series—impressive when seen up close—become tiny figures that add a sense of scale and isolation. Seckler took thousands of photographs of the landscape itself, but found that even with strong compositions, the pure landscapes could become harder to make sense of. "They look like they could be a painting; they look like they could be shot from the moon; they look like they could be microscopic bacteria. It's hard to know what it is," he says.

Read more: Haunting photos of a crumbling post-communist world

Africa's vast wilderness and plentiful wildlife have long tempted photographers, lending themselves to either wide, expansive shots or tight close-ups. Part of what makes the photos in Botswana work is that they straddle a line somewhere in between. The landscapes are comprised of familiar features, but they lose a degree of definition due to their distance from the lens.

"You can make out trees, you can make out animals, you can see things that are recognizable to an extent," Seckler says, "But at the same time because of the bird's-eye view, so to speak, things are slightly abstracted as well."

After graduating from college in 2003, Seckler started working as a photojournalist. By 2008, he had acquired a taste for the more conceptual, hands-on approach of art and commercial photography. His personal projects tend to be thoroughly designed, humorous and forethought visions that require careful planning. The shots in this series, by contrast, were obtained in the midst of a heady, visceral experience, representing yet another departure from form for him.

Read more: 7 hand gestures that make you look like a real intellectual

"With each of those exposures I was trying to do as good a job as I could, but just by its nature it was a very haphazard kind of shooting technique," he says. "For me it was capturing a really unique vision of our world, a beautiful landscape from a unique perspective, and framing moments that create interesting contrast between living things, whether they be animals or flora, and the earth itself."

Seckler says he's been flattered by the response to the series, and credits its positive reception in part to a dearth of public exposure to aerial photography as art. Each photo is carefully composed and subtly balanced against the others in the series, something that would be difficult to achieve with a UAV or octocopter. An overarching palette also unifies the work—a slightly subdued, pastoral tone achieved with slight color correction to certain frames. It's an artistic sensibility that differentiates this work from straight aerial documentary photography.

"There's not a lot of manipulation; it's as you would've seen them if you were in the seat next to me," he says. "They're documentary, but I don't think that precludes them from being art, either."

Photos from Botswana are on display through March 9 at the Robin Rice Gallery in NYC.

Read more from WIRED:

Facebook's greatest innovations: The first decade

Awe-inspiring skies, captured by an extreme storm chaser

How to use your Google Maps — offline

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Brooklyn-based photographer Zack Secker provides mind-blowing view of the savannah

@highlight

He used an ultra-light aircraft to photograph what only birds can see

@highlight

Animals and trees are visible but generally the photos have an arty feel to them