(CNN) -- A GOP-inspired effort to tinker with the Electoral College machinery in California is raising alarm bells among Democrats who fear it could doom the party's chances of winning the White House in 2008.

A GOP-led group submitted a proposal to state Attorney General Jerry Brown that could sway the '08 presidential race.

Democrats have come to rely on California's block of 55 electoral votes -- the largest haul available in any state -- as part of their arithmetic to win the presidency with a majority in the Electoral College.

A group called Californians for Equal Representation has submitted a ballot initiative to state Attorney General Jerry Brown that would change the current statewide winner-take-all system to a formula based on congressional districts.

Republicans say the idea is aimed at attracting presidential candidates to campaign in California, which they rarely do because the statewide vote traditionally leans Democratic. Opponents call the proposal an attempt to grab Democratic votes.

Under the proposal, the winning candidate in each of the state's 53 congressional districts would get one electoral vote, with two votes going to the statewide winner.

Supporters want to put the proposal on the ballot for next June's state primary, which would put the change into effect for the 2008 election.

Do to so, supporters will have to collect about 434,000 petition signatures from registered voters by November 13, according to the secretary of state's office.

In the 2006 election, Californians elected 34 Democrats and 19 Republicans to the House.

Had the proposed system been in effect in 2004, President Bush would have captured 22 of California's electoral votes. The extra electoral votes would have eliminated Bush's need to carry the pivotal state of Ohio to win re-election.

"This would all but guarantee that the Republican nominee would get 20 extra Electoral College votes, which could certainly impact the outcome of the election," said Allan Hoffenblum, a Republican strategist.

And that is exactly what has Democrats crying foul.

"The Republicans are doing this in California because they want a chunk of our vote," said Darry Sragow, a Democratic strategist.

The ballot initiative was submitted by Thomas Hiltachk, a Sacramento election lawyer who is also general counsel for Republican Gov. Arnold Schwarzenegger.

The purpose of the change is to make California more relevant in presidential elections by forcing candidates to campaign in the state, according to the initiative.

"Because this is a reliable Democratic state, none of the presidential candidates -- Republican or Democrat -- ever shows up in California," Hoffenblum said.

On the other side of the divide, Democrats argue that California shouldn't make such a change when the vast majority of other states still operate under a winner-take-all system.

"This is very fair if it's universal around the country," Sragow said. "It is patently absurd it if only takes place in certain states."

Under the Constitution, each state gets a number of electoral votes equal to its representation in Congress, including both representatives and senators. Currently, 48 states award all of their electoral votes to the candidate who wins the largest number of votes.

Two states -- Nebraska and Maine -- have adopted the system that is being proposed for California, assigning their electoral votes based on who wins individual congressional districts, with the statewide winner getting the two votes derived from senators. But this has not generated controversy because both states have just a handful of votes, and the results have never resulted in splitting them between candidates.

Ironically, while Democrats are up in arms in California over the idea of changing the Electoral College rules, their compatriots in Republican-leaning North Carolina have floated the idea of adopting the Nebraska-Maine system for their state.

However, national Democratic leaders have tried to discourage that effort, because of concerns it would be difficult to support such a change in North Carolina, where it would help the party, while opposing it in California.

The change also would help Democrats much less in North Carolina than it would hurt in California. In 2004, the Democratic presidential nominee, Sen. John Kerry, would have garnered three more votes in North Carolina, while losing 22 in California.

The disputed 2000 election, in which Bush won the electoral vote while losing the popular vote, has generated a flurry of proposals to abolish or alter the Electoral College, both at the federal and state level.

In 2006, Colorado voters rejected a constitutional amendment that would have divided up the electoral vote pie in proportion to each candidates' share of the popular vote.

A group called National Popular Vote also is lobbying state legislatures to adopt a system where all of a state's electoral votes would be pledged to the winner of the national popular vote -- an idea which, if adopted by states holding a majority of electoral votes, would ensure that the popular vote winner always became president.

While National Popular Vote says its plan has been introduced in 47 states, Maryland is the only one so far to pass it. And the change won't go into effect in Maryland until it gains approval in enough states to ensure that the popular vote winner would take the White House. E-mail to a friend

CNN's Bill Schneider contributed to this report.

@highlight

Proposal would change winner-take-all system for electoral votes in 2008 race

@highlight

Strategists: Formula based on congressional districts would help GOP win votes

@highlight

Republicans say idea aims to attract presidential campaigns to California

@highlight

Democrats accuse initiative's supporters of trying to grab their votes