(CNN) -- Jeremiah Pauley remembers all too vividly the moment that shrapnel from a roadside bomb in Iraq tore into his body and left his right arm dangling uselessly.

Despite being seriously wounded, the Staff Sergeant was still yelling orders to alert others to the danger, but it was already too late and one of his men had died.

The shock kicked in.

"There was not a lot of pain, I was drifting in and out of consciousness and someone was tapping me on the forehead to tell me to keep awake," he tells CNN.

Pauley had been leading an 18-strong patrol of the United States First Armored Division in the city of Tal Afar when he was hit by the blast.

"I was taken to a field hospital in Mosul -- laying there in my hospital bed with this contraption on my arm," he recalls.

Pauley was presented with his Purple Heart and then shipped out to Germany and eventually home to the U.S.

As a result of his injuries, Pauley's army career was over and he was given a medical discharge.

'Helplessness'

Coming to terms with that life-changing event was tough enough, but it was the "survivor's guilt" that played tricks with his mind and mental state.

Private First Class Jody Missildine of Plant City, Florida, just 19 years of age, had died that day, April 8, 2006 and Pauley blamed himself.

"I was just racked with guilt, in the sense that I failed as a leader and take responsibility for what happened."

Pauley was in a bad place.

His marriage would eventually break down. "It's a big challenge for returning veterans to learn how to integrate with their families," he admits.

Now 38, he has two children, and his youngest -- his daughter -- was born five months after he was injured.

"I battled three or four years of just helplessness, anxiety and depression, until I was introduced to the Wounded Warriors Project," Pauley says.

Aimed at helping injured service members, and raising awareness in the community, it brought him together with Norbie Lara -- who also joined the army in the mid-1990s and who was also seriously wounded on duty.

"He had such a positive attitude and he really encouraged me to turn my life around," Pauley says.

Lara's arm had been severed when a rocket-propelled grenade pierced the armor plating of his vehicle.

He suffered other life-threatening injuries, and a lacerated liver, spending months in the Walter Read Army Medical Center in Washington where Pauley would be sent two years later.

"I remember I woke up from my coma and essentially thinking this is not really how I want to live," Lara tells CNN.

"I didn't want to live, and for the first time in my life I was scared."

The power of golf

Like Pauley, his army days were over and with discharge came the same sense of helplessness and loss.

Lara also found support and renewed sense of purpose after being introduced to the Wounded Warrior project.

By chance, he was given his first set of golf clubs and the opportunity to have a go at the game, despite his disability.

"I played horribly, but I connected perfectly with just one shot -- just one shot and I was hooked," he recalls.

"I've loved the game ever since and used it as a vital tool to aid my recovery."

Pauley had also dabbled with the game before his life-changing incident and, like Lara, has found some inner peace while walking the 18 holes of his local courses in northern California.

But like a lot of amateur golfers, he suffers from a common problem.

"I had a terrible slice and now with the injury to my right arm, I still have a slice!"

On Monday, slice or no slice, both will be hoping to take their "A game" to a nationwide tournament which has the express purpose of raising money for the Wounded Warriors charity.

The World's Largest Golf Outing (WLGO) is the brain child of legendary golfer Billy Casper's organization and its CEO, Peter Hill.

This year more than 150 courses in the United States will be used for an event with an expected 15,000 entrants, all playing in teams of four.

Unlike conventional tournaments, the prizes are reserved for the participants who raise the most money for the Warriors, not those with the lowest scores.

WLGO has raised over $1 million for veterans since starting four years ago, and is rapidly expanding.

"We've hit a chord within the golfing community," Hill tells CNN. "Americans are passionate about assisting these brave individuals."

Finding closure

Pauley will be playing at Lincoln Hills in California, where he will be pressed into speaking duties before the tournament starts.

A regular on the dais at veterans' days, he eloquently espouses their cause and the benefits of Wounded Warriors.

What happened that fateful day in Iraq changed his life forever, and it was only last year that he was able to exorcise some of the demons and guilt about the death of his colleague PFC Missildine.

Missildine's family invited Pauley to visit and pay his respects, something he had been unable to do in 2006 because he was in hospital recovering from his injuries.

Pauley recalled in his personal blog the moment he first saw Missildine's grave site, writing: "I was cold, nearly shivering. I stood and saluted him while tears rolled down my face.

"My first thought was that I wished I was in the ground instead of him ... But at that instant I was overcome with a hot burning sensation and I realized Jody wouldn't want me to think like that ...

"I promised him that it wouldn't be another seven years before I came back. I stood and saluted him one final time and walked away."

Lara, who works full-time for Wounded Warriors, will perform similar speaking duties at 1757 Golf Club in Dulles, Virginia before showing off his golfing skills.

"I usually break a hundred. I've found my own technique," he says. "The furthest I've ever hit a drive is 280 yards, I normally strike it out about 230."

Breaking down barriers

Lara is thankful for his every moment after his near brush with death, and always thankful to Wounded Warriors from rescuing him from the depths of despair.

The project was formed in 2003 to give support to wounded U.S. service personnel since the events of September 11, 2001.

Nearly 40,000 veterans and their families have benefited from its various programs and fundraising efforts.

The WLGO's association has proved the perfect fit, and Hill believes golf is also benefiting from opening up its courses to people who might not normally be attracted to the sport.

Competitors pay a standard green fee and $10 donation to Wounded Warriors to play prestigious courses and to get a taste for the game.

"It's broken down the some of the barriers to people who want to play golf, particularly women, who are worried about too many rules and too much protocol," Hill says.

He has big ambitions for the concept and is even considering an expansion outside of the United States.

"I see no reason why we could not play on thousands of courses, on a Monday each year in August, with hundreds of thousand of golfers coming to support their heroes and to raise millions of dollars in a day."

Having already presented a check for $735,000 in January, Hill hopes this year's fundraising will break through the $1 million mark.

"It's a great way to raise money and awareness for the Warriors, " Lara says.

He plays most weekends, sometimes with other veterans, enjoying the solitude and the chance to talk, share experiences.

"You can't have a bad day on a golf course," says the 41-year-old.

"Being a Warrior you want to compete whatever the event, still up for the challenge."

@highlight

World's Largest Golf Outing held at 150-plus courses in the United States

@highlight

Event raises money for the Wounded Warriors project

@highlight

Several wounded veterans take part in the competition

@highlight

Golf has helped them to come to terms with their injuries