Tacloban, Philippines (CNN) -- Efren Penaflorida was grateful when Typhoon Haiyan bypassed his home in Cavite City, Philippines.

But when he saw the devastation in other areas of the country, he wanted to do all he could to help his fellow Filipinos.

"I was crying watching the news," said Penaflorida, the 2009 CNN Hero of the Year. "It really sank my heart, seeing all the people who lost their loved ones, houses. They lost everything."

Penaflorida immediately began collecting donations at his mobile "pushcart classrooms," which he uses to educate poor children in the country. But he wanted to do more.

So he reached halfway around the world to Doc Hendley, a North Carolina clean-water activist who had also been honored as a top 10 CNN Hero in 2009.

After a disaster strikes, access to clean water is vital to help prevent the spread of disease. Hendley, who has responded to humanitarian crises in Darfur, Haiti and Syria, had just started assessing how his nonprofit, Wine to Water, might help the Philippines when he received Penaflorida's e-mail.

"I was already thinking that maybe I should go, " Hendley said. "When he shot me the e-mail ... he sealed the deal.

"Our organization depends on relationships with people on the ground ... (and) what better relationship than with Efren?"

Soon, Hendley was on a flight to the Philippines with hundreds of water filters in tow. Penaflorida picked him up at the airport in Manila.

"That was a long trip from the U.S. to the Philippines ... and he has put out his own money and resources to help us," Penaflorida said. "We were both excited, seeing each other."

The next day, both men helped volunteers assemble the filters and pack 120,000 meals donated by Stop Hunger Now, one of Hendley's partner organizations. Then they headed to Tacloban, in the heart of the devastated area, to deliver the filters.

Hendley said it's hard to communicate the scope of the disaster.

"It reminds me of Haiti because the buildings are completely collapsed, destroyed ... but it's different," he said. "The trees on mountains are blown over, lying down like matchsticks, and palm trees have snapped in half, broken. It's pretty shocking."

Penaflorida said that the destruction was worse than he'd seen on television, but he soon found reason to take heart.

"When we got to the communities, they were asking for help," he said. "When Doc presented them with filters, I saw hope in their eyes."

Hendley said they will have distributed 2,000 filters by the end of the week. Because each filter can provide enough clean water for 10 people, and because each will last for 10 years, Hendley estimates that at least 20,000 people will benefit.

He originally planned to return home for the Thanksgiving holiday, but he now intends to stay until early December.

"I couldn't be home for a nice Thanksgiving dinner and pretend like nothing happened," he said. "There's too much we have to do."

Penaflorida returned home Wednesday to focus on a new project: bringing his pushcart classrooms to the devastated areas to help educate children while the communities rebuild. The country's minister of education has expressed strong interest in the large-scale replication of the program, Penaflorida said, and asked him to assess the feasibility during his visit. Penaflorida hopes work can begin in the coming weeks.

Other CNN Heroes are also responding to help those affected by the typhoon.

Robin Lim, the American-born midwife named CNN Hero of the Year in 2011, has strong ties to the Philippines; her mother was Filipino. So after the storm, she brought food and medical supplies. She has also been working with local clinics to provide assistance to pregnant women, new mothers and young children.

Unexpectedly, Hendley and Penaflorida ran into Lim as they traveled from Manila, an impromptu Heroes reunion of sorts. Hendley now plans to provide water filters to Lim so she can distribute them to the women and children she is helping.

Dr. Laura Stachel, a 2013 Top 10 Hero, has also provided Lim with one of five "solar suitcases" that she has donated to the relief effort. These portable kits provide essential power to medical clinics.

Team Rubicon, a group of military veterans that responds to natural disasters, was on the ground within days of the storm. The group, founded by 2012 CNN Hero Jake Wood, has 43 volunteers in the Philippines providing medical care, opening supply lines and helping repair a field hospital in an area west of Tacloban.

Evans Wadongo, a Top 10 CNN Hero in 2010, is also hoping to partner with Penaflorida. Although Wadongo normally distributes his solar-powered lanterns to rural communities in Africa, he has launched an online campaign to raise funds so he can assist Filipinos more than 5,000 miles away.

This outpouring of help has greatly touched Penaflorida.

"CNN Heroes are like family, and I'm glad that my fellow Heroes have immediately responded," he said. "But that's what you do when you are family: You help each other. ... That makes me feel happy and so grateful."

You can support relief efforts in the Philippines through Penaflorida's Dynamic Teen Company or Hendley's Wine to Water or by visiting CNN's Impact Your World.

CNN's Marissa Calhoun contributed to this report.

@highlight

Typhoon Haiyan, one of the strongest storms ever recorded, has devastated the Philippines

@highlight

Several CNN Heroes are working together to help those affected by the typhoon

@highlight

Doc Hendley flew in from North Carolina with hundreds of water filters

@highlight

Others are raising money and donating relief supplies of their own