With one vote on Friday, the Republican-led House launched the latest spending battle in Congress -- one that could bring a government shutdown in less than two weeks.

By a 230-189 tally almost strictly on party lines, the House passed a short-term government spending plan that would eliminate all funding for Obamacare.

The measure now goes to the Democratic-led Senate, which is certain to reject the provision that defunds President Barack Obama's signature legislative achievement of his first term.

Even though House Republicans now have voted 42 times to repeal or otherwise undermine Obamacare, Speaker John Boehner and fellow Republicans held a brief victory rally after Friday's action and challenged the Senate to follow their lead.

"The American people don't want the government shut down, and they don't want Obamacare," the Ohio Republican said to applause and cheers. "The House has listened to the American people. Now it's time for the United States Senate to listen to them as well."

In a display of the raw politics of the battle, House Majority Leader Eric Cantor of Virginia called out  Senate Democrats facing re-election next year by name, asking how Sens. Mark Pryor of Arkansas, Mary Landrieu of Louisiana, Mark Begich of Alaska and Kay Hagan of North Carolina will vote on the House proposal.

"It's up to Senate Democrats to follow House Republicans and show some responsibility," Cantor said.

Later Friday, Obama accused conservative Republicans of holding the nation hostage by trying to make passing a federal budget and increasing the debt ceiling contingent on defunding health care reforms.

"You don't have to threaten to blow the whole thing up if you don't get your way," Obama said in a campaign-style speech at a Ford plant in the Kansas City, Missouri area, adding that legislators in Washington were focused on politics and "trying to mess with me," rather than helping the middle class.

In legislative jargon, the House passed a continuing resolution that would keep the government funded for the first 11 weeks of the fiscal year that begins October 1. Without some kind of spending measure by then, parts of the government would have to curtail services or shut down.

Government shutdown: Again? Seriously?

Conservatives tie Obamacare to budget talks

The controversy involves the provision demanded by the GOP's conservative wing and agreed to by Boehner that eliminates all funding for the 2010 health care reforms popularly known as Obamacare.

Approval by the House set in motion a Capitol Hill showdown that will continue through October, when the nation's debt ceiling must be increased so the government can pay all its bills.

The two-stage process includes the possible government shutdown at the end of the current fiscal year on September 30 if there is no compromise on a spending resolution, followed by a potentially even more rancorous debate over raising the debt ceiling.

Cantor said Friday the House would consider a one-year debt ceiling measure next week that contains other conservative-backed proposals, expected to include postponing implementation of Obamacare for a year and approving the Keystone oil pipeline from Canada.

Obama, however, rejected playing politics with the debt ceiling, which is the limit for how much the federal government can borrow to pay bills it owes.

"This is not a deadbeat nation. We don't run out on our tab," the president said, calling even the threat of not raising the debt ceiling "the height of irresponsibility."

He also made a point of telling the auto workers that raising the debt ceiling "doesn't cost a dime" and "does not add a penny to our deficits."

"All it says is, you gotta pay for what Congress already said we're spending money on," Obama said, adding that "if you don't do it, we could have another financial crisis."

Tea party conservatives who have pledged to fight implementation of Obamacare consider the current budget debate their last major chance to undermine it, because the brunt of the new system takes effect with the start of fiscal year 2014 on October 1.

They demand a halt to funding all programs from the 2010 Affordable Care Act, and they seem indifferent about forcing a government shutdown if that doesn't happen.

"I will do everything necessary and anything possible to defund Obamacare," Republican Sen. Ted Cruz of Texas said Thursday, threatening a filibuster and "any procedural means necessary."

However, more moderate Republicans in the Democratic-led Senate call the defunding effort a waste of time.

Veteran GOP Sen. John McCain of Arizona told CNN on Thursday that because of the chamber's Democratic majority, "we will not repeal or defund Obamacare" in the Senate "and to think we can is not rational."

In addition, the White House said Thursday that Obama would veto the House spending resolution defunding Obamacare if it reaches his desk.

An earlier compromise proposed by Boehner and fellow GOP House leaders to their conservative wing would have allowed a symbolic vote on the defunding provision that the Senate would then strip out.

The result would have been what legislators call a "clean" final version that simply extended current levels of government spending for about two months of the new fiscal year, allowing time for further negotiations on the debt ceiling.

Worries about Obamacare? Fear not

However, conservative opposition to the compromise made Boehner agree to a tougher version that made overall government funding contingent on eliminating money for Obamacare.

Moderate Republicans question the strategy, but fear a right-wing backlash in the 2014 primaries if they go against the conservative wing.

In reference to the divisions in the House, McCain said it is "pretty obvious that (Boehner) has great difficulties within his own conference."

On the House floor on Friday, legislators warned of the serious consequences of a government shutdown. The last shutdown, which occurred during the Clinton administration more than 17 years ago, comprised a total of 28 days and cost the nation more than $1 billion, according to congressional researchers.

House Democratic leader Nancy Pelosi of California said the intent of the Republican measure is to shut down the government, calling it a "wolf in wolf's clothing."

GOP Rep. Harold Rogers of Kentucky, who chairs the House Appropriations Committee, said "a government shutdown is a political game in which everyone loses."

"It shirks one of our most basic duties as members of Congress and it puts our national security at stake," he added.

Opinion: The real problem with Obamacare

Republicans said the House vote showed bipartisan support for defunding Obamacare because two Democrats backed the GOP resolution -- Reps. Jim Matheson of Utah and Mike McIntyre of North Carolina.

Meanwhile, Rep. Scott Rigell of Virginia was the lone Republican to break ranks with his caucus by voting against it.

In the Senate, Majority Leader Harry Reid of Nevada made clear on Thursday that any plan to defund Obamacare would be dead on arrival. Instead, the Senate is expected to strip the measure of all provisions defunding Obamacare and send it back to the House.

"They're simply postponing an inevitable choice they must face," Reid said of House Republicans.

Boehner would then have to decide whether to put it to a vote, even though that could undermine his already weakened leadership position by having the measure pass with only a few dozen moderate Republicans joining Democrats in support.

If he refuses to bring the Senate version to the floor for a vote, a shutdown would ensue.

"Will he act as the captain of the entire House of Representatives or remain a captive of his right wing Republican mates?" asked Democratic Rep. Sander Levin of Michigan. "Will he, as he acts, worry mainly about the risk to his speakership or the risk to our entire nation? House Republicans taking the ship over the cliff would take the nation's economic well-being with it."

Polls showing a decrease in public support for the health care reforms embolden the Republican stance. Meanwhile, Democratic resolve is bolstered by surveys showing most people oppose a government shutdown and more would blame Republicans if it happens.

House GOP: defund Obamacare or shut government down

Shutdown scenario

Voices across the political spectrum warn against a shutdown, including Congressional Budget Office Director Douglas Elmendorf, Federal Reserve Chairman Ben Bernanke, the U.S. Chamber of Commerce, and Republican strategist Karl Rove.

"Even the defund strategy's authors say they don't want a government shutdown. But their approach means we'll get one," Rove argued in an op-ed published Thursday by the Wall Street Journal.

@highlight

President Obama says conservative Republicans holding the country hostage

@highlight

The GOP-led House passes a spending plan that defunds Obamacare

@highlight

Obama and Democrats reject the measure, setting up a budget showdown

@highlight

Without a new spending resolution, the government shuts down starting October 1