While President Barack Obama has relaunched a massive public relations effort for the Affordable Care Act, Republican opponents to the law have also implemented a relaunch of sorts.

Absent from their public outcry is any talk of repeal. It is a deliberate and significant shift in strategy for Republicans in the House after years of beating the drum of repeal.

For the first time since they regained control of the House in 2011, Republicans have no plans at the moment to bring up a bill to repeal the law -- something they have done nearly 50 times.

Instead, "We'll continue to do everything we can to protect the American people from the effects of this awful law," said Michael Steel, House Speaker John Boehner's spokesman, without saying that repeal was still part of the plan.

A confluence of events hampered the Republican repeal effort and put it on pause.

Stand back

The problems with the Affordable Care Act exist beyond its balky website. The troubled roll out of Obamacare has also forced the President to delay multiple important components of the law, including the insurance marketplace for small businesses and the requirement that businesses with 50 or more employees provide their workers with health insurance or face fines.

Republicans realized they should have let the launch play out, instead their shutdown distracted from the Obamacare debacle.

"Never interfere when your opponent is committing suicide," Michael Tanner, senior fellow working on health care at the libertarian Cato Institute, said.

Instead, Republicans have gone to great lengths to promote the negative aspects of the law by launching their own public relations campaign. The strategy is outlined in a 17-page Republican playbook that CNN reported last month.

During a news conference on Tuesday, Republican leaders didn't utter the word "repeal" once. Instead, they promoted reports that people have been canceled from their low-coverage insurance plans and that insurance plans in the exchanges have dropped doctors and hospitals from plan options.

"The American people want to be able to pick their own type of health insurance, they want to be able to pick their own doctor and they want to be able to pick their own hospital," Boehner told reporters Tuesday.

"It's all negative," Tanner said of the Republican strategy. "It's to form this general feeling out there that it's failed."

The law's the law

Additionally, Republican opposition had been based on hypotheticals, now the rhetoric has become reality.

"We're not going back," Obama said earlier this week. "I mean, that seems to be the only alternative that Obamacare's critics have is, well, let's just go back to the status quo."

Obama urges young supporters to talk up Obamacare

With that strategy, Republicans could deprive the President of that argument.

Republican strategist Ron Bonjean said the change happened because circumstances changed. "The effort to defund Obamacare is that people weren't experiencing it yet."

Now, "voters are starting to experience bad news," he said. "As the law is being implemented, millions are either losing health care or having premiums go up, and Republicans want to make sure that everyone recognizes that."

That has caused Republicans to move away from their blanket calls for repeal to highlighting problems with the law.

Additionally, they could be proactively looking down the road. While some are being negatively impacted by the law, millions are expected to benefit. Salon's Brian Beutler wrote, "I think Republican leaders will be extremely reluctant to hold votes to nakedly destroy the law."

Reality

"To get rid of it completely would be very difficult," said Ilya Somin, law professor at George Mason University, who was involved in Republicans' Supreme Court challenge.

Democrats control the Senate and the White House. Efforts to repeal the law have gone nowhere.

The Cato Institute's Tanner said repealing the law "hasn't been a realistic option for quite some time."

Regardless, Republicans pushed by their conservative wing shut down the government for 16 days in October in an effort to defund the health care law.

"They don't have to go down the legislative road to defund Obamacare at this point because it didn't work," Republican strategist Ron Bonjean said.

Lawmakers pass more blame than bills in do-nothing Congress

The move, pushed by the most hard-right members of the party, including Texas Sen. Ted Cruz and multiple members of the House, did not sit well with the public and distracted the country from the horrible roll out of the federal health care exchanges.

The race for public opinion

While the Republicans have been taking to news conferences, committee hearing rooms and cable television to espouse the negative aspects of Obamacare, Obama has launched his own public relations campaign to highlight the bright parts of the law. He is working to reverse negative perceptions of the law that have increased since the law's implementation at the beginning of October.

And the President still has time. The latest CNN/ORC poll found that while only 40% favor the law, 14% of opponents say the law doesn't go far enough. Meanwhile, 53% say it's too soon to tell if the law will be successful.

But Tanner says the Democrats don't have a lot of time because "opinions harden" over time. The uncertain voter is what the Republicans are hoping to tap into.

Republican risk?

Republicans might have realized that the defund or repeal argument is not politically advantageous as it is associated with the right-wing elements of the party.

But that aspect of the party might not be pleased with their decision to stop trying to repeal the law. The conservative group FreedomWorks is still pushing the repeal agenda. Dean Clancy, vice president of public policy for the group, wrote in a recent news release that "FreedomWorks plans to redouble our efforts for full repeal."

"ObamaCare can't be fixed; it needs to be uprooted," he added.

Bonjean said Republican incumbents shouldn't be worried about primary challengers if they drop the repeal argument in the halls of Congress because they can still espouse it on the campaign trail.

"Republicans can still say defunding or replacing Obamacare," he said, adding that they can point to the dozens of votes taken to repeal it in the past. "It's hard to get (to) the right" of Republican incumbents on this issue, he said.

Washington could still screw up your holidays

Repeal isn't going to be possible until "after the 2014 elections," Bonjean said, hoping that Republicans maintain their majority in the House and gain a majority in the Senate.

Regardless if Republicans continue to shelve the repeal argument, Tanner said repeal will never happen. "There will be something on the books called the Affordable Care Act," he said. He just doesn't know what it will look like in five or 10 years.

If the law proves unworkable and not beneficial for Americans, expect Democrats to join with Republicans to alter the law.

On the other hand, if the law is successful and voters are pleased, the law is unlikely to be rolled back.

"If the positive stories begin to sell, then you won't get wholesale changes," Tanner said.

@highlight

Republican Party has shifted its strategy on Obamacare away from repealing the law

@highlight

GOP launched its own public relations campaign to highlight negative aspects of the law

@highlight

The defund strategy has proven counterproductive

@highlight

Some on the right still pushing for Republicans to keep repeal efforts moving