London (CNN) -- It was a rare sight for media watchers on Wednesday: Rupert Murdoch, the indomitable head of the News Corp. empire, called before a judicial inquiry to explain how his influence has shaped Britain's media and political landscape.

Still, it's not the first time the 81-year-old chairman of News Corp. has been grilled in the United Kingdom. He also appeared before lawmakers last summer to answer questions on alleged phone hacking at the News of the World.

But the focus in the Leveson Inquiry hearing was on Murdoch's dealings with a succession of British prime ministers going back decades and whether these cozy relationships worked to his personal advantage.

The awkward questions come as News Corp. also faces investigation in the United States over alleged phone hacking and increased scrutiny in Australia following an inquiry into media standards.

On the stand in London, Murdoch insisted that his newspapers did not lobby for his commercial interests and he had "never asked a prime minister for anything."

"You would wish to point out that no express favors were offered to you by Mrs. Thatcher; is that right?" he was asked by Leveson Inquiry lawyer Robert Jay, referring to former Prime Minister Margaret Thatcher.

"And none asked," responded Murdoch.

Murdoch denies political influence

The question of influence is key because of the concerns raised over the impartiality of Culture Secretary Jeremy Hunt in considering a takeover bid by News Corp. for British satellite broadcaster BSkyB. Hunt's aide resigned Wednesday over communications with News Corp. that suggested the global media giant was getting inside information, although Hunt denied any improper dealings on his own part.

'This is a man who has held power ...'

And it's significant in part because of the sheer scale of News Corp.'s operations in the United Kingdom, the United States, Australia and elsewhere.

With some 48,000 employees worldwide, the company "had total assets of approximately U.S. $60 billion, total annual revenues of approximately U.S. $34 billion and in excess of 260,000 shareholders" as of the end of last year, Murdoch said in written testimony.

"This is a man who has held power far greater and far longer than anyone else in our time," said Michael Wolff, a media commentator, founder of Newser.com and author of "The Man Who Owns the News: Inside the Secret World of Rupert Murdoch."

For 60 years, Murdoch has been both a powerful private citizen in the United Kingdom, United States and Australia, and a businessman wielding huge influence, Wolff said. "He is so powerful that he doesn't have to ask for anything ... it just comes to him," he said.

News Corp., through its British arm News International, commands some 37% of national newspaper circulation in Britain. It publishes the Times, Sunday Times, Sun and Sun on Sunday newspapers

Given that about 60% of the UK population reads a national newspaper, Murdoch's influence is hard to overstate, said Steven Barnett, professor of communications at the University of Westminster in London.

His attitudes on issues including the Europe Union, opposition to a single currency, taxation and immigration have percolated down to the UK population through his titles, as they shape the news agenda, Barnett said.

And the Sun readership matters more than most in political terms because it has six to seven million readers, Barnett said, and polling shows many of these are floating voters.

Murdoch critic: Publisher's claims are 'pretty ludicrous'

Against this backdrop, Murdoch's claims never to have sought to capitalize on that reach for his own benefit are disingenuous at best, Barnett said.

"Time after time, Murdoch insisted on denying that he ever used his newspapers either for commercial advantage or for political advantage, which is quite extraordinary -- and frankly as a claim is pretty ludicrous," said Barnett, who attended the hearing in London.

"When you look at the history of the way in which he increased his empire and the legislative and regulatory decisions that have been made in his favor, it just doesn't stand up to scrutiny."

In his role as chief executive of a multinational media giant, it would have been remiss of Murdoch not to seek the ear of power if it would benefit his shareholders, Barnett said, and his claim that he never did is "frankly beyond belief."

At the same time as Murdoch was testifying, Prime Minister David Cameron told the House of Commons: "I think we all, on both sides of this house, did a bit too much cozying up to Mr. Murdoch."

Going back to the Thatcher era, Barnett points to the government's decision not to refer Murdoch's acquisition of the Times and Sunday Times to the Monopolies and Mergers Commission, despite his ownership of other titles, as a prime example of things working in the press baron's favor.

Secret lunch with Margaret Thatcher

The Leveson Inquiry heard how Murdoch had a secret lunch with Thatcher -- revealed in March this year -- before his successful bid for the Times newspapers.

Questioned over his relations with other British leaders, Murdoch recounted falling out with former Prime Minister Gordon Brown after he told Brown his papers would not support Labour in the 2010 election.

But he insisted strongly that there had been no quid pro quo with Tony Blair as Murdoch's papers switched support from the Conservative Party to Blair's Labour Party in 1997 -- not long before Blair swept into power as prime minister.

"I, in 10 years in his power there, never asked Tony Blair for any favors and never received any," Murdoch said.

Nonetheless, the relationship with News Corp. has been key to Britain's politicians, Barnett said.

"It was incredibly important for Tony Blair when they decided to support Labour, Blair in 1997, and also when they supported David Cameron and the Conservatives."

While News Corp.'s dominance in the UK media market is indisputable, it accounts for only 8% of the company's overall revenue.

Murdoch owns 70% of the newspapers in his native Australia, Wolff said, where his News Ltd. division owns the only national daily paper and daily titles in several big cities.

"He has an overwhelming share of power there. It became such an easy game there that he left, it was a boring game," Wolff said.

United States -- where the real money is

But the real money is in the United States, where News Corp. controls The Wall Street Journal, New York Post, Fox News and Harper Collins publishers, among other interests.

"He has more power than any other private citizen in the United States," said Wolff.

News Corp.'s outlets in America are a kind of throwback to the 19th century, when nearly every newspaper had an overt political affiliation, Harvard University sociologist Theda Skocpol said. When the tea party movement began to coalesce in opposition to President Barack Obama in 2009, Murdoch's Fox News in particular helped boost it to national prominence, she said.

"Fox was overtly orchestrating enthusiasm for big events and passing along information along with bloggers and radio hosts," said Skocpol, co-author of a 2011 book on the movement. "They didn't create the tea party -- the people who were upset about Obama and Democrats and not happy with the Republican Party, either, were out there. But you can have people out there who don't necessarily get that much help that quickly."

The network drew fire from the Obama administration in 2009, when then-communications director Anita Dunn called it "the communications arm of the Republican Party." Fox shot back that it keeps its conservative-leaning opinion programming separate from its "fair and balanced" news coverage.

While News Corp.'s American organs have a more consistently conservative conservative cast than in Britain, Skocpol said, "They're a commercial entity, and they're trying to do things that sell."

"We're in an era now where flamboyant commentators, particularly on the right, have a great deal of leverage in American politics, and sometimes you wonder whether they're in politics or they're just selling themselves," Skocpol said. Their only weakness, she said, is that Fox News viewers tend to be older -- a minus for advertisers.

Andrew Neil, a former editor of the Sunday Times under Murdoch, said the media baron -- who became a U.S. citizen in 1985 -- had been heavily coached by his New York lawyers on how not to jeopardize those vital American interests through intemperate outbursts in London.

"He mustn't do anything in the United States, where his real money is and where he is under investigation by the FBI, Department of Justice and SEC," Neil said.

As a result, little new came out of the Leveson Inquiry hearing, Neil said, only a kind of "false modesty" as Murdoch sought to downplay his influence.

'I don't think they laid a glove on him'

For Wolff, the only surprise from the Leveson Inquiry was that "at 81 years old, (Murdoch) can still be as indominable as ever" under questioning. "I don't think they laid a glove on him. At the end of the day, they looked like schoolchildren, and he looked like the master."

That said, the fact Murdoch was before the Leveson Inquiry at all reveals a significant lessening of his power in Britain, Wolff said.

"His UK enterprise is imploding. It is over for Rupert Murdoch in the United Kingdom. I think he knows that he can salvage nothing, but he would like his son not to go to jail."

The son in question, James Murdoch, a senior News Corp. executive who was chairman of News International at the time of the alleged phone hacking but has since resigned from that role, testified before the inquiry Tuesday. He denies knowing about the extent of wrongdoing at the News of the World.

As for his father, he will be back on the stand Thursday. No doubt every media watcher will be glued to Rupert Murdoch's words once again, waiting to see if the man synonymous with ruthless journalism and tough business practice lets his guard drop and tells all.

CNN's Matt Smith contributed to this report.

@highlight

Rupert Murdoch denies giving politicians favorable coverage in return for commercial advantage

@highlight

He has "never asked a prime minister for anything," he told a British inquiry into press ethics

@highlight

Murdoch owns huge chunks of the British, American and Australian media markets

@highlight

Murdoch's News Corp. also faces tough questions in the United States and Australia