Cairo (CNN) -- Hosni Mubarak's fall from power a year ago stunned the world -- three decades of iron-clad rule ended in 17 days by an unexpected groundswell of popular protests.

A banner headline in the Al-Ahram newspaper said: "The people have toppled the regime."

But in the year that followed, Egyptians increasingly realized that what they ousted was one man, not the military that stood behind him. And they grew bitterly frustrated at what they perceive as the slow pace of change.

Saturday brought another reminder of the powers that be in Egypt as America's top military officer was in Cairo to meet with his Egyptian counterparts.

On the table for discussion was the fate of 16 Americans who are among 43 foreigners working for civil society institutions who are to be tried in Egypt for receiving illegal foreign funding.

And possibly the fate of U.S. military aid, conditioned now on the progress of Egypt's transition to democracy.

The United States viewed the legal proceedings against the foreigners as a crackdown, another sign that autocracy has hardly departed Egypt.

Many Egyptians would probably agree.

On the first anniversary of Mubarak's departure, the plan was to voice their frustration, though Saturday came and went without the ceremony that was anticipated on such a day.

Activists kicked off a general strike, hoping for the kind of large protests that made Tahrir Square a familiar name. But the demonstrations were scattered and light.

"A year later, nothing has changed. We have been facing the same regime, if worse," prominent activist Gigi Ibrahim told CNN on Saturday.

Ibrahim said farmers, students and workers will help "settle this revolution once and for all."

"Many people ... don't know what actually toppled Mubarak was the last three days of those 17 days when large numbers of workers in different sectors went on strike," she said from Cairo.

The Egypt Revolutionaries' Alliance, comprised of democratic and secular political groups, called for the immediate dismantling of the interim government and immediate presidential elections.

It also demanded the dismissal of the prosecutor general, and a purge and overhaul of the Interior Ministry that came to be despised during last year's revolt and again last week as anger mounted over a deadly stampede at a soccer match.

The alliance said a committee should be formed to to investigate any crimes by Egypt's new rulers while revolutionary tribunals should try former regime figures.

Meanwhile Saturday, an American student was arrested with an Australian journalist and their female translator in the city of Mahalla, north of Cairo, for inciting people to join the general strike and handing them money for doing so, a spokesman for the Egyptian Ministry of Interior told CNN. Spokesman Alaa Mahmoud said they were transferred to a general prosecutor for an investigation.

An official spokesman for the U.S. Embassy said it was in touch with the male student.

The arrests came as Human Rights Watch decried what it called a disturbing assault on free expression.

"Violations of the right to freedom of expression have included military trials of protesters and bloggers, interrogations of journalists and activists for criticizing the military, the suspension of new satellite television licenses, and the closure of an outlet of Al Jazeera television," the global monitoring group said.

It cited cases of notable people who have "faced charges of insulting religion under vague and arbitrary laws dating from the Mubarak administration." And another case in which a pro-democracy activist was sentenced to a year behind bars for handing out leaflets.

"Actions like these were hallmarks of Mubarak's 30-year rule, but they also have been used repeatedly in the year since the (Supreme Armed Forces Council) assumed control," Human Rights Watch said.

The revolutionaries' alliance, however, was not deterred. The next step, said member Rami Shaath, will be civil disobedience. Don't pay taxes or government bills.

The armed forces council came down hard on the strike, saying it "serves those interests of parties aiming for the destruction of Egypt and is a tool brought to Egypt from abroad."

Council leaders Lt. Gen Sami Enan and Field Marshal Hussein Tantawi, meanwhile, sat down for talks with Chairman of the Joint Chiefs of Staff, U.S. Gen. Martin Dempsey.

Dempsey's spokesman, Col. Dave Lapan, said they discussed a wide range of issues, including the investigation of nongovernmental organizations in the country and an announcement that 43 foreigners working for such groups, including 16 Americans, would face prosecution.

Egyptian authorities carried out 17 raids on the offices of 10 organizations, including the U.S.-based Freedom House, National Democratic Institute and the International Republican Institute. Among those going to court is Sam LaHood, the son of U.S. Transportation Secretary Ray LaHood.

The Egyptians said the pro-democracy organizations had received illegal foreign financing and were operating without a proper license. But some of the groups had been tacitly operating for some time in Egypt without permission, even under Mubarak.

Washington threatened to cut off the $1.3 billion in military assistance it gives Egypt every year.

In doing so, the United States escalated the crisis that is now testing its alliance with its Arab ally.

Lapan gave no details of the meetings.

Outside, unease reigned on the streets of Cairo and beyond.

The Egyptians served as role models for their Libyan neighbors. They look now to a Syria in flames and flickers of discontent elsewhere and can take heart that they played a role in inspiring people to stand up for freedom.

But a year since their own revolution was declared victorious, the euphoria has dimmed.

The general strike is open ended. More may take to the streets Sunday, which unlike Saturday is a working day in the Muslim world.

Organizers have not given up hope. They are optimistic that momentum will build as long as a military regime rules Egypt.

CNN's Ben Wedeman and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

Little progress, but hope remains, activist says

@highlight

Activists kick off a general strike on the anniversary

@highlight

An American student is arrested for inciting people to protest

@highlight

America's top military official meets with Egyptian brass