(CNN) -- I walked into the Gallery of African Art (GAFRA) on London's Cork Street in Mayfair two weeks ago. Opposite the Burlington Arcade, right at the heart of the art establishment, on gallery row itself, African art formerly seen as a niche interest, now officially playing with the big boys. And the best thing ... GAFRA is owned and run by a woman: Liberian born Bendu Cooper.

Just down the road in Oxford Circus is Tiwani Contemporary, a gallery that specializes in Nigerian art, also run by a woman, this time Maria Varnava who spent her childhood in West Africa. Tiwani partners with the Centre for Contemporary Art in Lagos, again run by another woman, Bisi Silva. It would appear that women are at the vanguard of raising the profile of contemporary African art. And for those who may point out that three female curators do not a trend make, name checks to Chief Nike Okundaye, Touria El Glaoui and Rakeb Sile to list a few.

If female curators are a rarity, Africa-focused female curators are even more so. Yet the message of these women is not a gendered manifesto but a simple statement of fact: contemporary African art exists. Not only does it exist, it thrives. Not only does it thrive, it does pretty well at auctions, as the annual Bonham's 'Africa Now' auction attests to.

Read this: Dakar Biennale brings African art to world stage

Growing up, my conception of African art was limited to ivory masks and wooden sculptures. Art was what our ancestors did. African artists were dead and anonymous. A quick browse on the Wikipedia 'African art' entry does much to confirm this outmoded view. The page boasts a smiling mysterious mask from Gabon, a bellicose Ife bronze head from the 12th century and a Nok terracotta sculpture from the 6th century BC. The deader the better where the African artist is concerned it seems.

Yet African art is alive. One cannot view the pulsating wall length panels of Victor Ehikhamenor, or the playful metal work of Sokari Douglas Camp and declare these pieces artifacts. Nor view the sculptures of GonÃ§alo Mabunda made from recycled AK47s and say these are artists working with only traditional materials. Nor listen to the acoustic art of Emeka Ogboh and say this new generation is confined to the usual mediums. The art coming from Africa today is as varied, vibrant, exhilarating and bewildering as contemporary art from anywhere in the world.

And not only is this art alive, it is for the first time, moving through proper distribution channels. No more the European treasure hunter, grabbing sacred artifacts, sacking sacred temples and carting off the spoils to institutions like the British Museum and the Louvre. Instead today, the business-like curator, the technologically savvy artist, with work cleared through customs on both ends and profits split sensibly.

This unfolding success story of contemporary African art comes at a good time for the continent. No matter what one might say of the trajectory of some African governments, there is no doubt that African culture is on the rise. First the rise of afro-pop music (D'banj, Fuse) then the rise of the African actor (Lupita N'yongo, Chiwetel Ejiofor) and now perhaps the rise of the contemporary African artist (Victor Ehikhamenor, Tamrat Gezahegn) .

To the female curators at the forefront of the movement, I salute you. And to the public, grab their works while you can.

Read this: Dakar Biennale brings African art to world stage

Read this: Why can't Nigerians watch country's biggest movie?

The opinions expressed in this commentary are solely those of Chibundu Onuzo.

@highlight

African contemporary art is thriving, says author Chibundu Onuzo

@highlight

She says that for the first time it is moving through proper distribution channels

@highlight

"There is no doubt that African culture is on the rise," says Onuzo