(CNN) -- As Chairman of the Joint Chiefs of Staff, General Martin E. Dempsey is the top-ranking officer in the United States armed forces, the most powerful fighting machine the world has ever known. The Irish-American general married his high-school sweetheart, Deanie. They have three children, Chris, Megan and Caitlin. We even know the names of their sons- and daughter-in-law, as well as those of their grandchildren.

I have no need to know these personal details, but it's a great comfort that the U.S. military feels it should make them freely available. It's part and parcel of the transparency and accountability that maintains trust in an open society. This trust is never absolute, and often betrayed. But there are peaceful mechanisms to question it, to tear it down and to restore it.

Now consider China. As part of the triumvirate running the Central Military Commission up until his retirement in 2012, General Xu Caihou was of a comparable level of seniority to Dempsey. But all we know of him from official biographies is the dry details of his rise through the ranks. When he became the latest "tiger" caught in President Xi Jinping's anti-corruption campaign last month, we were suddenly confronted with stories about his family's role in the sordid graft -- including a multimillion-dollar pre-paid debit card given to his daughter as a gift. She was arrested, along with her mother, according to media reports.

Such high-profile cases are designed to lend credence to Xi's vow to root out corruption at all levels, taking down the tigers as well as the flies. His biggest scalp to date: former Politburo Standing Committee member Zhou Yongkang. Officials are reported to have seized at least $14.5 billion from his family, friends and associates.

But the cases also highlight a fundamental flaw in China's political system: the state-sponsored veil of secrecy that shrouds the links between power and wealth, links that typically begin with the family.

These ties are a problem for societies everywhere. Forbes in August exposed how Isabel dos Santos, the daughter of Angola's president, built a $3 billion fortune on ties to her father. Turkish leader Recep Tayyip Erdogan is embroiled in a corruption scandal involving his son.

In China, this matters more. For a start, the success of its increasingly global economy acts as a potent advertisement for the Communist Party's political model. The Party's paranoid control of information about its leaders and their families is coupled with a massive state apparatus dedicated to repressing a free press that could otherwise be relied on to expose those ties.

Former Chinese premier Wen Jiabao talked often of the need to "govern in the sunshine," only for his family's corruption to be exposed in the New York Times in 2012. Earlier that year, the wealth Xi's family had amassed was documented by a team of Bloomberg journalists -- of which I was one. Both organizations continue to suffer well-reported repercussions from digging around in the forbidden zone that surrounds the ruling elite and their families.

While Barack Obama's kids are photographed strolling along China's Great Wall, Xi's daughter, Xi Mingzhe, studied under a pseudonym at Harvard. There were unconfirmed whispers of an internship at a Wall Street bank.

This kind of information matters far beyond the tittle-tattle of society pages in newspapers. Without knowing the ties binding wealth to power, it's impossible to truly understand the motives that guide policy and the deployment of capital.

When North Korean leader Kim Jong-un last year purged and executed his uncle, Jang Song-thaek, the official account included charges of corruption. Yet there were few commentators who saw anything but a campaign to remove a political opponent.

For sure, North Korea is a grotesque and bankrupt mutation of China's political model, but at a fundamental level they remain alarmingly alike. Why should we be willing to accept Xi's rationale for the ongoing purges in China, and so hasty to reject Kim's?

In truth, we can't and shouldn't believe either regime.

There is one simple way for Xi to prove without doubt that he's the real deal: publish the family trees of the Politburo on the Communist Party website and introduce a public register of interests for all officials so that they can truly be under the supervision of the people.

The opinions expressed in this commentary are solely those of Ben Richardson.

@highlight

Latest China corruption scandal: $14.5 billion seized from people around ex-security chief Zhou Yongkang

@highlight

Richardson: these high-profile cases don't get to the heart of the problem

@highlight

Fundamental flaw in the political system: a state-sponsored veil of secrecy that covers the links between power and wealth, typically within families