Za'atari refugee camp, Jordan (CNN) -- I've spent the past week working in the Za'atari refugee camp in northern Jordan, about six miles from the Syrian border. The camp was opened less than a month ago to receive Syrians fleeing the violence in their country.

Built on a barren desert plain without a tree or shrub in sight, it can seem an unwelcoming place to arrive, even for a refugee.

Dust storms and scorching heat have taken their toll on refugees and aid workers here. But given that less than 4% of Jordanian land is arable the terrain is not a surprise.

Over 20,000 Syrian refugees have moved into Za'atari camp already, and the pace of new arrivals to the camp has more than doubled, with more than 14,000 arriving in the past week alone. Yesterday, we received over 3,000 new arrivals overnight, up from an average of 600 per day just last week.

The refugee flow to Jordan has a direct correlation with the situation inside Syria. As fighting has escalated around Syria's southern city of Dara'a, where the uprising began almost 18 months ago, the number of refugees here is increasing dramatically. We are all bracing for a potentially massive influx in the coming days.

Yesterday, I met many newly-arrived refugees, some just children, who told me how had they witnessed family members and neighbors being killed in Syria. One 7-year old girl told me she saw her neighbor's throat cut in front of her. Her family fled in the dark of night, walking several hours before they could cross into Jordan. Like every refugee I have met here, they weren't able to bring any belongings -- they came with only the clothes on their backs.

Humanitarian aid organizations and UN agencies have been working around the clock to accommodate the sudden increase in new arrivals of refugees, while also working to improve the conditions. But the camp is growing exponentially and it is hard to keep up.

I met with camp manager Mahmoud Amoush of the Jordan Hashemite Charity Organization yesterday -- he told me, "We need more of everything."

More tents, improved water systems, more safe spaces and playgrounds for children and psycho-social counseling for children who have been traumatized are all top priorities.

I have spoken with many mothers here, and most report that their children have terrible nightmares and are not behaving normally -- either they are being very aggressive and misbehaving, or they are silent and afraid, running and hiding at any loud noise.

Wasfeyah, a refugee mother of five children, told me that when her family was trying to escape to Jordan, they were shot at and her eldest son, Ali, was hit in the head by a bullet. The blood from his wound sprayed on his younger brother who is just 6-years old.

Ali survived and they made it across the border, but his little brother often wakes up screaming "there is blood on my shirt." Wasfeyah doesn't have any money to buy new clothes, so the little boy still wears the blood-stained shirt from that night.

Nearly half of the camps' residents are children, and there is next to nothing for children to do here. Providing an outlet for kids who have been through unimaginable, violent events and left everything they know behind is critical to helping them recover and just be kids.

We have built one playground and another is almost completed. There are also child-friendly spaces that offer activities to kids. They are hard to miss in the camp -- just follow the unexpected sound of laughter and you will find swarms of kids singing, swinging, sliding and occasionally arguing over who's turn it is. More playgrounds and child-friendly spaces are being planned as the camp population grows.

Improvements to the camp continue despite the massive amount of work going into accommodating new arrivals.

The quality of the food has been a major complaint from many refugees in the camps. Currently, they receive hot, pre-cooked meals that are distributed throughout the camp, but now communal kitchens are being built so families can cook for themselves.

Electricity is now installed in 40 per cent of the camp, making life a bit easier. Charging mobile phones seems to be the primary use so far, based on what I have seen in the tents I visit.

Dust and sand storms are one of the greatest challenges of living in the camps. It is not just a discomfort, but it has become a health issue and camp doctors report that they are seeing many cases of respiratory problems, especially in infants and small children, due to the dust.

Many days it is hard to see more than a few meters in front of you in the camp, as the air is thick with sand and debris that is carried by the strong winds that blow through the barren camp. One mother told me, "not even a camel could live in this place, it is so hot and dusty."

The camp has been bringing in tons of gravel that is being spread on the ground to help alleviate the problem.

Water is one of the most pressing long-term issue that faces the refugees, as well as the local Jordanian communities. Jordan has inadequate fresh water supplies for its own population, and the refugee community is putting increased demands on an already short supply.

Water is currently being trucked into the camps from local wells in the community, but Mercy Corps will be drilling a new well and developing a water system with other organizations that will serve the camp, and alleviate the need to take scarce water from the host community.

The work ahead, to provide all the desperately needed services for the refugees is daunting, but it is under way. Each day I am in the camp I see progress being made, even as we struggle to meet the pressing needs of all the new arrivals.

No one knows how long the camp will be here and when the Syrian refugees will be able to go home. Many anticipate it will be a long haul, but all of us, especially the Syrians here, are hopeful they can return soon.

The opinions expressed in this commentary are solely those of Cassandra Nelson.

@highlight

Za'atari refugee camp in northern Jordan is home to more than 20,000 Syrian refugees

@highlight

Hundreds more arrive every day, on foot, with just the clothes they are wearing

@highlight

The refugees are putting pressure on already scarce water resources in the region

@highlight

As the situation in Syria escalates, many fear they will be in the camp for some time