SEATTLE, Washington (CNN) -- Across the country, insurance companies, trial lawyers and legislators are closely watching a November referendum in the state of Washington that could change how insurers are required to treat their customers.

Insurance companies are using the referendum process to try to strike down a new law in Washington state.

Insurance giants like Allstate, State Farm, Safeco and Farmers have poured more than $8 million into the referendum battle. Their goal is to convince voters to reject a law passed earlier this year that could force insurers to pay up to triple damages and lawyer fees if they fail to pay a legitimate claim and then lose in court. A "yes" vote on the referendum allows the law to go into effect while a "no" vote strikes the law down.

Supporters of the law say it forces insurance companies to pay legitimate claims in a timely and fair fashion and frees the courts from relatively minor cases that clog the system for months and even years. One supporter, the Washington Trial Lawyers Association, has raised almost $900,000 to fight the insurance industry over the referendum.

"Insurance companies have figured out that they can make more money if they don't pay your claim,'' said Washington state Rep. Steve Kirby.

Kirby and his fellow Washington state lawmakers heard so many complaints from policy holders who believed insurers weren't treating them fairly that earlier this year they passed a law called "The Fair Conduct Act." Hearings were held, the bill was revised -- even watered down, according to Kirby -- and both the House and Senate passed it. The governor readily signed it.

But the very next day a coalition, funded primarily by insurance companies, moved in to stop the law from going into effect by filing petitions for a voter referendum on the law.

Representatives of the insurance industry say the law will raise premiums and that the system is working fine as it is. The law, they said, will only make things worse, and they want voters to have the final say.

"The insurance companies stepped in and said, 'Consumers, you get to decide if you want to do this,' '' said Dana Childers, executive director of the Liability Reform Coalition, which is leading the insurance company charge to defeat the new law.

Childers said the state's own insurance commissioner sees no need for the law.

"His own information that he provided to the legislature and the public says that this law simply isn't necessary,'' Childers said.

But that's not what Insurance Commissioner Mike Kreidler told CNN in a recent interview in Seattle. Kreidler said he strongly supports the new law and that if insurance companies act responsibly they have nothing to fear.

"If companies act in good faith, [they are] not going to have a problem," Kreidler said. "It's not going to cost any more money. There's not going to be any legal action. There's going to be no treble damages, because if companies deal with their customers in good faith there's no penalty."

The campaign to woo voters has already begun. The insurance industry-backed group is already running television commercials depicting greedy lawyers planning to sue and warning consumers that the law will lead to frivolous lawsuits and higher rates.

It's not a new tactic by the insurance companies. Earlier this year, CNN exposed a controversial insurance industry strategy that began in the mid-1990s.

Former insiders say insurance companies began limiting or denying legitimate claims in minor injury cases and reaped billions in profits as a result. The strategy has tied up courts across the country -- over minor claims, judges told CNN -- for months and even years. How did they do it?

"It really came down to basically three elements: a position of delay, a position of denying a claim and ultimately defending that claim that you're denied," said Jim Mathis, a former insurance industry insider.

But Robert Hartwig, with the industry-backed Insurance Institute, said the strategy was not intended to deny valid claims but to attack fraud, which, he claimed earlier this year, was rampant in minor accident cases.

"What insurers are doing is trying to monitor costs. And every insurance company is under the same pressure to do it," Hartwig said.

Washington state resident Michelle Tribble plans to vote for the law because she says she has experienced the strategy first-hand. She says her two accidents convinced her insurance companies don't want to play fair.

Tribble was working for an insurance company when she got rear-ended on the freeway. Ten weeks later she got hit again, this time by an uninsured motorist. The two accidents, she said, resulted in back injuries that required medical treatment. The first company agreed to pay but her own insurer, Allstate, refused to pay even though she had coverage.

"I just wanted my medical bills paid because I didn't want my credit being hurt,'' Tribble said, adding that the total came to about $18,000.

She said Allstate dug into her medical past.

"They brought out stacks of medical records, you know, to see if I was at all deceptive."

An arbitrator sided with Tribble, but Allstate refused to pay. The case went to court, where a jury, too, ruled for Tribble. But Allstate appealed again. Finally, four years after the accident, the company paid her claim.

Allstate said it could not comment on individual claims but said cases like Tribble's prove "that the current judicial system is working." E-mail to a friend

@highlight

Referendum in Washington state aims to derail new insurance law

@highlight

Insurance industry opposes law that could force triple damages in some cases

@highlight

Measure's supporters say it will ensure that customers are treated fairly