(OPRAH.com) -- I know money is tight. I know you're busy. And I know tackling money issues isn't fun. But here's what I also know: You wish you could once and for all get your financial house in order.

A recent study by Prudential Financial found that less than 25 percent of women feel they are "very well prepared" to handle financial matters.

Seventy-eight percent said it is very important that they not become a financial burden to their loved ones, but just 24 percent are confident they can pull that off. You don't need all that stress!

What follows is your 2010 financial to-do list. It's divided into three sections. Get a Grip focuses on where you are today: what you have, what you owe. Find Hidden Savings is about making more out of what you have. And Build Security is about knowing where to put all that money you free up.

Post this list on the fridge, the bathroom mirror, or your bulletin board, and take it on in little chunks. Make 2010 the year you find your financial confidence.

Oprah.com: When you should stop listening to a financial adviser

Step 1: Get a Grip

Track your spending Why it's important: You know the big-ticket expenses in your life, but all the smaller spending can also be a killer. Take a look at your monthly outflow, and I guarantee you will have a few "Yikes, I had no idea" moments.

Do this now: Gather up your bank and credit card statements. Then go to my Web site, SuzeOrman.com, and click on Suze's Expense Sheet. Input your average monthly expenses, and get honest about where your money is going.

Oprah.com: What money can teach you about personal power

Calculate your net worth Why it's important: We tend to focus on assets and forget about debts. Financial security requires facing up to the big picture: assets minus debts.

Do this now: Type "net worth calculator" into any search engine and you will find plenty of free online tools to help you take stock of your assets and debts.

Check your credit profile Why it's important: Your credit score affects the interest rates you're offered on credit cards and loans, can be used to vet your job application, and in some states may influence your insurance premiums. So your credit reports, which determine your FICO score, need to be up-to-date and correct (mistakes abound). A score of at least 720 (the range is 300 to 850) earns you a gold star.

Do this now: Go to AnnualCreditReport.com to get your free credit reports from the three credit bureaus: Equifax, Experian, and TransUnion. Every year, you are entitled to one free report from each. If a site asks for your credit card to receive a report, you're at the wrong place!

Scour your reports for mistakes, and follow the directions for filing a dispute. Once corrections are made, go to MyFICO.com to buy your FICO credit score. You may receive offers for free credit scores. They are knockoffs of the real deal -- your FICO score is what most lenders and businesses check. It costs $16 to see your FICO score; with so much on the line, that's a small price to pay.

Cut Spending by 10 Percent Why it's important: The median pay raise for 2010 is expected to be around 3 percent (the lowest forecast in 25 years). So challenge your family to give your budget a 10 percent raise by cutting your spending 10 percent.

Do this now: Once you input your income and outflow into the Expense Sheet on my Web site, print it out and circle every expense that is a want (not a need), then figure out how to reduce or eliminate it.

Oprah.com: Cut spending and create an emergency stash

Step 2: Find hidden savings

Shop for Insurance Deals Why it's important: You're always looking for the best prices -- why not on home and auto insurance, too? You're nuts if you don't comparison shop for auto insurance; you could save 10 percent or more. (But don't reduce your level of coverage. You want the right coverage for the best price.)

Do this now: Go to InsWeb.com and NetQuote.com to find premium quotes from a variety of home and auto insurers. (For auto quotes from Progressive and GEICO, go to their Web sites.)

Raise Your insurance deductibles Why it's important: Low deductibles of $250 or so can entice you to make claims for small-ticket items. Do that too often and your insurer may boost your premium or boot you completely. And there's a nice payoff for a higher deductible: Raise your auto and home deductibles to $1,000 or more and your premium cost falls at least 10 percent.

Do this now: Call your current insurer and ask for a new quote based on a higher deductible. (But do this only if you have an emergency savings fund that can cover the cost of the deductible. Don't have that emergency fund set up? Grrr. See Build Security.)

Check out a credit union Why it's important: Credit unions are often a better deal than banks and tend to pay higher yields on deposits.

Do this now: Go to FindaCreditUnion.com and look for one that is part of the federal insurance program run by the National Credit Union Administration (go to NCUA.gov and click on Consumer Share Insurance Information and Tool Kit to check). Coverage is the same as at an FDIC bank -- $250,000 per person per credit union is fully insured, and additional coverage is based on the types of accounts you hold.

Challenge your property-tax assessment Why it's important: Your tax is typically a percentage of your home's assessed value. If that assessment doesn't reflect today's market -- home values are down an average of 30 percent since the 2006 peak -- you may be overpaying. The National Taxpayers Union reports that more than half of all assessments are too high.

Do this now: Contact your county tax assessor to learn how to challenge your assessment. TheNational Taxpayers Union also has a booklet on the topic.

Step 3: Build Security

Boost emergency fund to cover 8 months of living expenses Why it's important: By now I am sure you have started saving. The next step is to keep at it until you have at least eight months' worth of living expenses.

Do this now: Go to MyFDICInsurance.gov for banks and NCUA.gov for credit unions to verify that your emergency fund is tucked away at an institution that is federally insured. Never invest your emergency savings in the stock market. Safe, not sorry, is all that matters.

Get the maximum 401(k) match at your current job Why it's important: If you left it to your company to auto-enroll you in the plan when you were hired, there's a good chance your contribution rate is too low to max out on the match.

Do this now: Call your human resources department or the company that runs your plan; boost your contribution so you qualify for the max match.

Roll over 401(k)s from former employers into an IRA Why it's important: Once you leave a job, you can move your 401(k) to a brokerage or fund firm. You can roll over 401(k)s from multiple jobs into one new IRA; that's a great bookkeeping assist. An IRA rollover also frees you up to invest in low-cost funds, exchange-traded funds (ETFs), stocks, and bonds.

Do this now: If you don't yet have an account at a discount brokerage or no-load mutual fund company, pick one and then ask for its IRA rollover kit.

Fund a Roth IRA Why it's important: After you max out on the company match in your 401(k), turn your retirement investing attention to funding a Roth IRA. In 2010 the maximum is $5,000 ($6,000 if you're 50 or older) for individuals with modified adjusted gross income (MAGI) below $105,000 and married couples filing a joint return with MAGI below $167,000. Reduced contributions are phased out for individuals once MAGI hits $120,000; for married couples, eligibility disappears with MAGI above $177,000.

Do this now: Don't get thrown by high minimums. Ask if there is a program that lets you invest small monthly sums of $50 or so. Sign on for an auto-investment plan and you may get around the advertised "initial minimum investment."

Leave your retirement funds alone Why it's important: Can't handle the mortgage? That's no reason to raid your retirement funds. When that money runs out, you'll still face foreclosure, but you'll have lost your retirement savings, too.

Do this now: Don't cash out your 401(k) when leaving a job. In addition to an early withdrawal penalty (if you're under age 55), your shortsightedness will cost you future gains.

Go to MoneyChimp.com and click on the Calculator tab. Under "current principal," input the value of your 401(k). Leave "annual addition" blank. For "years to grow," enter the difference between your age and 65. For "interest rate," use a conservative 5 percent. Calculate the future value. The difference between that and the current value is what you'd give up by cashing out.

Convert to a Roth IRA Why it's important: As of January 1, anyone can convert a traditional IRA to a Roth IRA (previously there was an income limit). The advantage is that money in a Roth can be withdrawn in retirement with no tax due. Withdrawals from traditional IRAs will be taxed at your ordinary income tax rate.

Do this now: Convert in 2010 and you can spread your tax bill over the next two years. If you have both deductible and nondeductible traditional IRAs, ask a CPA to determine your tax liability.

Oprah.com: 10 solid-gold ways to save money

By Suze Orman from O, The Oprah Magazine, January 2010

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

Suze Orman: Know your financial state, find savings, build financial security

@highlight

Track your spending, cut it by 10 percent, check your credit rating

@highlight

Shop for insurance deals, raise your deductible, find a credit union

@highlight

Build 8 months of living expenses and fund a Roth IRA