Athens (CNN) -- Most people travel to Greece to look at antiquities. But I've spent the last few days in Athens sightseeing the country's digital future. And what I've seen is surprisingly encouraging.

The future isn't hard to excavate in Greece. Indeed, immediately upon arrival at Athens airport, travelers are confronted by spread of slick advertisements for a global bank.

"The future is full of opportunity. Be part of the future," one of these advertisements advises.

"Age will be no barrier to ambition," another promises.

"Even the smallest business will be multinational," a third guarantees.

But today, in a Greece wracked by the most serious economic crisis for at least a century, the truth about the country's economic future is mostly the opposite of these advertisements.

In Greece today, the future is mostly characterized by fear rather than opportunity. The problem is that this small country doesn't appear to be part of anyone's "future." Increasingly peripheral, even to the euro crisis, Greece is in danger of drifting back into its dark 20th century past: back to the self-destructive politics of anti-capitalist violence and ethnic hatred; back perhaps to the drachma, to economic autarky and perhaps even to a financial apocalypse equivalent to the Great Depression.

Euro crisis: In-depth

In Greece, the "smallest businesses" in an economy still dependent mostly on tourism, are about as multinational as the crumbling remains of the Acropolis. In this classic Southern European gerontocracy in which at least 50% of young people are unemployed, age actually mostly represents an impenetrable barrier to ambition.

And yet, amidst all the despair, there is a rebirth going on in Greece. It's a digital renaissance and it's being pioneered by a new generation of talented young Internet entrepreneurs who are trying to reinvent not only the Greek economy and society, but also Greece's role in today's global economy.

The irony of this nascent Greek digital renaissance is that it probably wouldn't have happened without the economic crisis. In pre-crisis Greece, most Greeks grew up wanting to be public servants. But now that the old clientist state cannot offer lifetime sinecures for university graduates, young Greeks coming out of university now have little else to do except invest their labor in start-ups.

"There's no other option," Tasos Frantzolas, the founder of Soundsnap who splits his time between New York and Athens, told me about this entrepreneurial renaissance in Greece. "People of my generation recognize this."

John Doxaras, the CEO of Warp.ly who studied physics at Cambridge University and who now divides his time between Athens and San Francisco, agrees with Frantzolas. Given the crisis, Doxaras -- a young man who is already on his third start-up -- believe that young Greeks have "nothing to lose" and are "willing to take a risk."

There's a "big opportunity" in Greece, Doxaras told me because -- given the relative insignificance of the local market - start-ups have to be global, both in their organization and their market. Warp.ly, for example, which offers big brands tools for mobile marketing, has its biggest client in Kuwait and, of its 22 fulltime staff, four are in the U.S., six in Europe and 12 in Athens.

In the Greek digital economy, even the smallest business have to be multinational.

Europe's leaders are spinning plates

Christina Plakopita concurs with Doxaras. Plakopita, a 28-year-old woman who has degrees in economics and real-estate development from London and Columbia universities, came back from the US to Greece to start-up and run Netrobe, an iPhone app designed as a virtual closet for young fashionistas which already has 40,000 users.

People said I was "crazy" to come back to Greece, Plakopita, who returned to Athens to live with her parents, told me. "But it was a great decision," she explained, because digital is "booming" in Greece and it's an ideal market to "think global and act local."

Like Doxaras and Frantzolas, Plakopita's confidence in the digital Greek rebirth is rooted in the wealth of human talent in Greece. I think they are correct. Having spent the last few days in the invigorating company of many Greek start-up entrepreneurs, I have been struck with their vitality, intelligence and ambition.

From early-stage collaborative workspaces like CoLab and 123p, to entrepreneurs from promising local start-ups like Taxibeat, Radiojar, Parking Defenders, Dailysecret, Joolmaworks, CrowdPolicy.org and Cookisto, it is self-evident that there is something very promising brewing in this nascent Greek digital economy.

So what could go wrong with this budding digital Greek renaissance?

The biggest problem, of course, remains the oppressively bureaucratic Greek state that, in spite of the crisis, continues to be a major obstacle to entrepreneurial innovation. "Failure in Greece in penalized," John Doxaras told me about a system in which entrepreneurs can end up in jail if they bankrupt their companies. And every Greek start-up entrepreneur I met complained bitterly about arcane and ever-changing bureaucratic regulations that make setting up and running a company frustratingly complex and time-consuming.

Greeks pull money out of country's banks

As Stavros Messinis, the co-founder of CoLab told me, Greece remains a "tough environment" for entrepreneurs. What's missing, Messinis explained, is a both a legal and social acceptance of the idea of failure. There's no "culture of forgiveness" for business failure in Greece, Messinis explained. And thus most Greeks remains terrified of failing, even though failure is the unavoidable norm of even the most successful start-up ecosystem.

Then there's the broader cultural challenge of rewiring Greek minds for the digital age. As Warp.ly CEO Doxaras explained, most Greeks -- even its younger generation -- don't "get" the idea that Greece, if it wants to compete in the 21st century global economy, has any other option but to become a start-up nation like Israel.

Oddly enough, a possible Greek exit from the euro is seen by many entrepreneurs as a much a blessing in disguise for their businesses as a catastrophe. "If you sell abroad you will get rich overnight," Fotis Evagelou, the CTO of Joolmaworks, told me. While CoLab co-founder Stavros Messinis acknowledges that any start-up with clients overseas would benefit from the inevitable devaluation of the local currency that a Greek exit from the euro would trigger.

But does Greek economic failure really equal entrepreneurial success?

No, it's not that simple. Messinis cautions that the return of the drachma would be "superbly negative" for entrepreneurs in the short-term, with exchange controls, massive layoffs, riots and empty supermarket shelves. John Doxaras even warns that a euro exit might result in significant power cuts thereby cutting off local digital companies from their lifeblood -- access to the global network.

Yet in spite of the danger of a complete economic meltdown, the future remains full of opportunity for Greece's young digital entrepreneurs. It won't be easy, of course. But a country best known for its antiquities might turn out to be a key hub for radical innovation in our digital economy.

@highlight

Keen: Greece's digital future is surprisingly encouraging

@highlight

Greece is wracked by the most serious economic crisis for at least a century

@highlight

Yet, amidst all the despair, there is a rebirth going on in Greece

@highlight

The irony of this renaissance is that it probably wouldn't have happened without the crisis