(CNN) -- U.S. raids in pursuit of two terrorists over the weekend threw a question surrounding President Obama into the spotlight: Does he have a guiding doctrine for foreign policy?

The operations in Somalia and Libya, only one of which went as planned, come after the Obama administration silenced its drumbeat toward a possible military attack on Syria.

Some analysts say the developments make Obama's "doctrine" more clear than ever. Others say what's more clear than ever is that this president doesn't have one -- which may, or may not, be a good thing.

Yes to special ops, no to conventional wars

"The two raids over the weekend show that President Obama remains very comfortable deploying special operations forces in countries the United States is not at war with as a means to combat terrorist groups, just as he is comfortable with the use of CIA drones for the same purpose in countries such as Pakistan and Yemen," says CNN National Security Analyst Peter Bergen.

"For the White House, part of the appeal of special operations and drones is that they do not, of course, consume anything like the blood and treasure that are expended on conventional military operations such as the wars in Iraq and Afghanistan."

Sam Brannen, a Democrat who worked under Obama in the Defense Department until earlier this year, concurs.

"I think he's really fighting the long war ... where you're using a variety of low visibility forces and increasingly unmanned aerial vehicle assets around the planet. And fighting an enemy who has incredible geographic span and seems to pop up everywhere there's a new crisis," says Brannen, now a senior fellow at the Center for Strategic and International Studies.

Key parts of Obama's doctrine, says Brannen, include: "Defeat al Qaeda, minimize weapons of mass destruction, don't get us entangled in another Middle East war."

'Lethal' Obama's al Qaeda doctrine: Kill

"Barack Obama has been a lethal president," says Fawaz Gerges of the London School of Economics and Political Science.

"He has escalated the drone attacks against al Qaeda worldwide. He has basically given the CIA and the U.S. security forces a blank check to wage an all-out war, literally, against al Qaeda, using all elements of U.S. power."

"The Obama Doctrine, when it comes to al Qaeda and its extremist allies, is really a kill strategy," Gerges says.

The capture of alleged al Qaeda operative Abu Anas al Libi in Somalia over the weekend was a surprise, Gerges says. "Because the Obama Doctrine is to kill."

How Syria fits in

Both Gerges and Brannen believe President Obama was reluctant to take military action against Syria, even though he pushed reluctant lawmakers and the American public to support his call for strikes.

The president was under pressure from some in "the foreign policy establishment" and from certain U.S. allies including Saudi Arabia and Turkey, Gerges argues.

And, he says, Obama boxed himself in by having warned Syrian President Bashar al-Assad that use of chemical weapons would be a "red line."

After a large-scale chemical attack which the U.S. blamed on al-Assad's regime, "it was all about the credibility of the president," Gerges says.

He and Brannen say they believe Obama was relieved when a Russian offer took hold.

"He was looking for any reason not to have to bomb Syria," Brannen says. "And he got it with the Russian deal."

No doctrine, no consistency

Danielle Pletka, vice president at the American Enterprise Institute, has a far less charitable view.

"In the sense that the word has typically been used to describe a president's vision for managing national security challenges around the world, I don't think Obama has a doctrine," says Pletka, who identifies herself as conservative.

"What I see are missteps and rhetorical policies that the administration either runs toward or away from."

"I have a red line -- oh, of course, it's not my red line, it's the world's red line," she says, paraphrasing and combining different Obama quotes to emphasize what she views as his changing stances and messaging.

"Al Qaeda is on the run ... except when we deploy SEAL Team 6 in two separate operations in one weekend in Africa."

"You can pretend that this is part of a coherent set of strategic choices," Pletka says. But if the president's statements were "in an essay, the teacher would write 'F' because there is no consistency whatsoever."

"I am always able to predict that he will do less than is necessary while dressing it in the glorying admiration of his own self-perception," she says.

Other recent presidents including Clinton had clear visions for American leadership, she says.

A look back at presidential doctrines

No doctrine? No problem.

But if Obama doesn't have a so-called doctrine, that just might be a good thing, according to some analysts.

"The search itself is misguided," CNN's Fareed Zakaria wrote in 2011. "The doctrinal approach to foreign policy doesn't make much sense anymore.

"Every American foreign policy 'doctrine' but one was formulated during the Cold War, for a bipolar world, when American policy toward one country -- the Soviet Union -- dominated all U.S. strategy and was the defining aspect of global affairs. (The Monroe Doctrine is the exception.) In today's multipolar, multilayered world, there is no central hinge upon which all American foreign policy rests. Policymaking looks more varied, and inconsistent, as regions require approaches that don't necessarily apply elsewhere."

In a sense, Gerges agrees. "Beyond al Qaeda, there is no Obama Doctrine," he says.

Asia focus was 'Hillary Doctrine'

Former secretary of state Hillary Clinton had a doctrine that helped guide U.S. foreign policy, says Ian Bremmer, president of the Eurasia Group.

"The Hillary Doctrine involved a pivot to Asia," Bremmer told Reuters.

But since she left office, her doctrine "has been buried by one distraction after another, whether Egypt, Syria, or Iran."

During a recent speech to the U.N. General Assembly, Obama did not mention East Asia except for a single reference to China in regard to Iran, Bremmer says.

Nevertheless, former Defense official Brannen says working to "rebalance" the Pacific and represent U.S. interests remains a part of Obama's "doctrine."

Obama remains committed to "reinvigorating diplomacy," Brannen says, adding, "I think he really does have a deliberate strategy."

@highlight

Obama's doctrine when it comes to al Qaeda is "to kill," an analyst says

@highlight

He has no doctrine, unlike other recent presidents, an analyst says

@highlight

The idea of a presidential doctrine is outdated, CNN's Fareed Zakaria says

@highlight

Former Secretary of State Clinton had a doctrine pushing an Asia focus, analyst says