The future of transport is self-driving cars, says GPS inventor Bradford Parkinson.

The famed inventor, military hero and former boy scout, told CNN that advances in the use of GPS mean that the technology could not only emerge in the next few years, but is already being road tested by companies such as Google.

"I think (the future) leads to robotic cars. I think there will come a time when you go down the highway and you don't have to have your hand on the steering wheel at all. It'll be a combination of GPS, radar and other sensors."

If there is anyone who should know about the future of GPS, it is Brad Parkinson. The former air force colonel was an integral member of the team that invented GPS technology. While he is now a professor emeritus at Stanford University in California, in the 1980s Parkinson headed up the GPS program run by the U.S. military.

"When I invented the system I was a United States colonel," says Parkinson. "I was in the air force and had a PhD in aeronautics from Stanford, and a master's degree from MIT. I'd been testing inertial navigation systems for three years in my past and I had taken digital controls at MIT."

The development of GPS was the product of a military program called 621B. Parkinson had the idea that satellites could be used to help find and track targets to make weapon deployment more accurate.

"I had flown combat, I understood the value of precision weapon delivery, I understood that it would be a humane use of a bomb if you could hit what you want to hit and not hit a mosque, hospital or school."

Initially, the military was resistant to the idea, says Parkinson. "The air force didn't want it because first of all they thought we couldn't necessarily do it and secondly they are used to their old ways. And their old ways were, in essence, carpet bombing, it was very sad."

Fortunately Parkinson found some powerful allies who helped drive the program forward. At a critical moment in the fledgling technology's development, Malcolm Currie, a physicist and U.S. Navy officer, introduced Parkinson to General Kenneth Shultz, whose personal interest in the program kept the research of GPS alive.

Today, as well as being used by the military, geolocation is an indispensable civilian technology -- it can be found in car navigation systems and almost all smart phones. According to Parkinson, there are myriad possible uses for GPS that are yet to be explored, but one of the most immediate applications will be the integration of GPS technology into self-driving cars, which he believes will help bring down the incidence of road accidents.

"The most dangerous thing in an automobile is the driver. Usually because of distractions or because he doesn't understand how slippery the road is. I'm saying GPS can absolutely be the key and cornerstone ... This is really exciting.

"In the United States we kill 40,000 people a year on the roads ... What can we do to help them? I contend that automatically guided cars are going to help. It will include cooperation between cars; I will know where the next car is going and will be able to sense how good the friction is on the road, I can sense whether my tires are slipping. I can do all that in an integrated single package, so I think where this is going is robotic automobiles."

Self-driving cars are currently being trialled by companies such as Google, whose driverless car is reputed to have already competed 400,000 miles of testing -- further than most motorists will travel in a lifetime.

"As Google has already demonstrated, robotic cars are already here," says Parkinson, "but the version that they are using is far too expensive and cumbersome to be a practical product for general use."

As with most new technologies, Parkinson anticipates a 'trickle down' effect whereby cutting-edge experiments being done at the top level will gradually be incorporated into everyday vehicles.

"Many of the elements of robotic driving are already being installed by leading manufacturers. For example, radar systems that measure the distance to the car that is ahead and begin slowing if the condition is hazardous. There is already a product that truck drivers can install in order to sense adjacent vehicles."

In September 2012, California legalized self-driving vehicles. The new law obliges the California Department of Motor Vehicles to draft regulations for autonomous vehicles by the beginning 2015, meaning robot cars are unlikely to become available before that point.

Experts predict that the first self-driving cars may be on the roads by 2016.

@highlight

GPS is being integrated into the new technology of self-driving cars

@highlight

Robotic cars are already being tested on roads by companies such as Google

@highlight

California has legalized self-driving vehicles