Washington (CNN) -- The Supreme Court on Monday tossed out a provision in Arizona's voter registration law that required proof of citizenship.

The 7-2 majority said the state's voter-approved Proposition 200 interfered with federal law designed to make voter registration easier.

The state called the provision a "sensible precaution" to prevent voter fraud. Civil rights group countered that it added an unconstitutional and burdensome layer of paperwork for tens of thousands of citizens.

Justice Antonin Scalia said the National Voter Registration Act of 1993 "forbids states to demand an applicant submit additional information beyond that required by the federal form."

But in a nod to state authority, he said the federal law "does not prevent states from denying registration based on any information in their possession establishing the applicant's eligibility."

The appeal was a classic federalism dispute, on the often delicate line between conflict and cooperation between state and federal governments over enforcing voting procedures. During last year's election, there were numerous court challenges to state voter identification laws at the polls. The current fight has produced a range of states, lawmakers and advocacy groups on both sides on the gateway issue of registration. The Obama Justice Department opposed the Arizona law, which went beyond what other states have done to ensure integrity in the registration system.

Arkansas governor rejects voter ID measure

Retired justice Sandra Day O'Connor, an Arizona native, was among those who attended the spirited April oral arguments.

National Voter Registration Act

Justice Anthony Kennedy a year ago blocked the Arizona law from being enforced, while the high court decided internally whether to accept pending appeals for review. The ballot measure was passed in 2004 and has been lingering in the federal courts ever since.

The Constitution's Article I says "the times, places, and manners of holding elections for senators and representatives shall be prescribed in each state by the legislature." But Congress is also given the power "to make or alter such regulations."

Federal lawmakers did just that, passing the National Voter Registration Act two decades ago, which has since been called the Motor Voter Law, designed to streamline election participation.

It requires states to have any application for a driver's license treated also as a voter registration -- the "motor voter." And it requires states to "accept and use" mail-in and in-person applications. A federal Election Assistance Commission was created to produce a nationally uniform voter application form, which states must use. Any extra state instructions, or "add-ons," must be approved by the commission.

The question was whether certain extra instructions are permitted, and just how the federal from must be respected in the first place.

The majority said the mail-in postcard was presumptive evidence of registration and of qualification. Would-be voters would check off a box attesting they are a U.S. citizen, then sign the form under penalty of perjury.

The state said they had prosecuted cases of noncitizens registering to vote.

Dissenting justices

In a dissent, Justice Samuel Alito said the majority produced "truly strange results."

"What is a state to do if it has reason to doubt an applicant's eligibility but cannot be sure that the applicant is ineligible? Must the state either grant or deny registration without communicating with the applicant? Or does the court believe that a state may ask for additional information in individual cases but may not impose a categorical requirement for all applicants? If that is the Court's position, on which provision of the NVRA does it rely? The Court's reading of [federal law] is atextual and makes little sense."

Justice Clarence Thomas produced a separate dissent.

But Scalia and his six colleagues said that if the state were allowed to impose the additional requirements, "the federal form ceases to perform any meaningful function, and would feeble means of increasing the number of eligible citizens who register to vote in elections for federal office."

Registration problems

Among those bringing suit was Jesus Gonzalez, a public school employee in Yuma, Arizona, who tried to register to vote the day he became a citizen. His application was twice rejected when his separate naturalization and driver's license numbers were improperly "red-flagged" by state databases that initially indicated he was a noncitizen.

The Mexican American Legal Defense and Educational Fund, which helped bring the original lawsuit against the state regulations, said 31,000 potential voters had their applications rejected in the two years after the Arizona law took effect. MALDEF said 90% of those were born in the U.S.

The group's Nina Perales said voter registration drives at county fairs, church services and similar venues have dropped, since many potential voters don't bring the necessary citizenship documents -- like a birth certificate -- to these community events. One estimate found a 45% reduction in Maricopa County, the state's largest county and the seat of Phoenix, the capital.

The ACLU said about 13 million people nationwide lack documents proving their citizenship, and it praised Monday's ruling.

"This decision reaffirms the principle that states may not undermine this critical law's effectiveness by adding burdens not required under federal law," said Laughlin McDonald, of the group's Voting Rights Project. "In doing so, the court has taken a vital step in ensuring the ballot remains free, fair, and accessible for all citizens."

The Obama administration said that if the provision in Arizona's law were allowed to continue, it would create a mishmash of regulations across the county. "Each state could impose all manner of its own supplemental requirements beyond the federal form," Solicitor General Donald Verrilli Jr. said.

What supporters have to say

But Proposition 200 supporters say the state needs the power to keep illegal immigrants and those ineligible to vote in the U.S. from getting a ballot.

"The integrity of our nation's elections suffered a blow today from the Supreme Court," Tom Fitton, president of the conservative Judicial Watch, said Monday. "This issue takes on increasing urgency with the prospect of 11 million illegal immigrants being given amnesty. It is essential that our elections be secured by ensuring that only citizens register to vote."

Some Arizona activists agreed. "I believe we must go out of our way to protect the integrity of America's elections, to avoid the fraud we see regularly in other nations, and which if not checked will rise up here in the United States," said Russell Pearce, a former state Senate president, who helped spearhead Proposition 200's passage. "It ought to be common sense that proof of citizenship be required for voter registration, especially given the concrete evidence we've seen that illegal aliens are indeed both registered and voting. But common sense and America's judicial system don't always see eye to eye, and this is one area we'll just have to keep working."

O'Connor has a professional stake in the current high court fight. As a retired justice, she can sit on lower appeals court cases, and she was part of a 9-2 majority to rule in 2010 that Arizona's citizenship requirement conflicted with federal law.

The Supreme Court case is Arizona v. Inter Tribal Council of Arizona (12-71).

A summary of major upcoming Supreme Court decisions

@highlight

In a dissent, Justice Samuel Alito said the majority produced "truly strange results"

@highlight

7-2 majority says the state's voter-approved Proposition 200 interfered with federal law

@highlight

The state called the provision a "sensible precaution" to prevent voter fraud

@highlight

Civil rights group said it was unconstitutional and burdensome for tens of thousands of citizens