ATLANTA, Georgia (CNN)  -- Ramin Ostadhosseini needed to vent, and this gathering seemed the place to do it.

Teens at Camp Ayandeh learn how to blend their parents' history and culture with their contemporary lifestyles.

"I get Raymond, Roman and sometimes Ramen noodles," he told the circle, describing how non-Iranians butcher his name.

This group felt his pain. Here, sprawled out on a manicured lawn at Emory University were dozens of youths attending a weeklong summer camp designed to generate discussion on what it means to be Iranian-American.

Like many attending Camp Ayandeh -- or "future" in Farsi -- Ramin has parents who were born in Tehran and immigrated to the United States after the Iranian revolution in 1979. Born in Baltimore, Maryland, six years after the revolution, Ramin grew up with two distinct and, at times conflicting, influences: the American side that met him at school and the Iranian one that greeted him at home.

It's a first-generation story as old as the United States. It's so common that Ayandeh counselors said the camp was created three years ago to address both Iranian and American parts of a new generation of Iranian-American youth -- a community they define as being "hyphenated."  Watch campers learn how to accept their backgrounds »

"We're really becoming mindful of how we define things," said Natasha Sallahi, a first-time counselor and aspiring filmmaker. "We realize that sometimes one word doesn't cover it all. So we're trying to create better definitions ... by putting two things [Iranian-American] together."

Camp Ayandeh is sponsored annually by Iranian Alliances Across Borders, a largely volunteer organization funded by individual donors and PARSA, a California-based philanthropic organization. First established on Thompson Island off eastern Massachusetts, Ayandeh began its gradual migration south the second year -- setting up at a campgrounds near Fairfax, Virginia.

Iranian-American teens from high schools across the nation now flock to the new Georgia address to learn about their heritage and ask questions that range from relationships and college admissions to sexual orientation and discrimination -- issues that can come with distinctly different social parameters than their parents were once accustomed to in Iran.

Camp counselor Siavash Samei remembers such angst all too well.

"There was not a single person that I could look at and say, 'He is me,' " Samei said, describing an absence of elder Iranian-American role models. " 'He is what I can do. He can snap and he can dance. And at the same time, he can talk English without an accent.' "

After two years as a camper, Samei returned this summer as counselor to help answer many of the same questions that plagued him a few years earlier. The typical adolescent anxieties and struggles were mixed with another layer of cultural confusion.

"As a high school student, I had a horrible time," he said. "One day I would come into school very dressed up thinking, 'I'm looking Iranian.' One day I would be wearing the baggy pants and dressed completely American. And I had no clue which one was right."

According to the U.S. Census Bureau, nearly 400,000 Iranian-Americans live in the United States. The largest wave of Iranian immigrants came to the U.S. immediately following the ouster of the Shah of Iran and the Islamic-led revolution in 1979.

Nearly three decades later, a new generation of Iranian-American youths are struggling to define themselves in these "hyphenated" communities.

Bobak Moazami, a 17-year-old kid from Manhattan's Upper West Side, said he likes to think of himself equally as part of both communities.

"I eat American food for lunch," he said. "Every day at school I have a grilled chicken sandwich. Then I come home and have chelo kabob or qormeh-sabzi."

For many of these students, traditional Iranian dishes such as qormeh-sabzi -- a stew of herbs and beef or lamb -- are a part of a heritage that at one time could only be preserved by their families. But with campers rediscovering pride in their cultural heritage, these teens are learning how to blend their parents' history and culture with their contemporary lifestyles.

Put simply, why not appreciate the old-world beats of the tonbak alongside the edgy lyrics of Kanye West?

At Camp Ayandeh, games of "vasati," or Iranian dodgeball, and Iranian dancing sessions are scheduled next to public speaking and college prep workshops. And the campers bring their bicultural experiences back home.

"I read about American literature in the morning [at school]," Moazami said. "We talk about great English poets like Shakespeare and Lord Byron, and then I come home and experience another set of great [Iranian] poets such as Hafez and Saadi."

Nava Behnam, a 17-year-old who's attended the camp twice, has a story that started out slightly different from most of those at Ayandeh. Unlike many of the American-born campers, Behnam immigrated to the United States at 5 after being born in Tehran. She has experienced little in the way of Iranian culture and tradition outside her home in Rockville, Maryland.

"I was never really surrounded by it too much," she said. "Or if I was, it was Persian gatherings with my parents where I'd sit in the back and be bored and have nothing to do."

Twelve years after arriving in the U.S., Behnam is part of a loyal following that returns to Camp Ayandeh each year.

"I come here to find my roots and to come to terms with where I belong and where I come from," she said.

After going to Camp Ayandeh, Behnam said she now has "an appreciation for Persian culture and our customs," even though she still describes herself as "just another teenage girl going to high school in America."

@highlight

Camp Ayandeh helps Iranian-American youth come to terms with both cultures

@highlight

Iranian Alliances Across Borders sponsors summer camp

@highlight

Nearly 400,000 Iranian-Americans live in the U.S., Census Bureau says

@highlight

Teen at camp says she has learned "an appreciation for Persian culture"