Damascus, Syria (CNN) -- A top adviser to Syrian President Bashar al-Assad defended the regime's actions Tuesday, arguing that the government is not attacking peaceful protesters, despite widespread witness reports of a fierce crackdown against displays of dissent.

"Security forces are there against armed groups," Bouthaina Shaaban told CNN in an interview, referring to the shadowy entities the regime has consistently said are responsible for the violence sweeping the Arab country since mid-March.

"We're not targeting demonstrators. I think peaceful demonstrators have made their point, and they are making their point every day. We have no problem with that."

Shaaban said the government would like "to talk to peaceful demonstrators" and is not opposed to peaceful protests. What it wants to do, she said, is "isolate armed militants." She and other Syrian government officials have not provided more detail about the armed groups and their financing.

Shaaban said that while demonstrators have "legitimate grievances," there are extremists who are using protests "as a cover to incite sectarian violence in Syria" and are badly hurting the economy.

Bloodshed has engulfed Syria ever since demonstrators took to the streets in the southern city of Daraa to protest the arrests of young people for scribbling anti-government graffiti.

Witnesses reported a tough crackdown against the demonstrators. That sparked more protests and tough security reactions across the country. The videos and witness accounts filtering out of Syria of the security actions have spurred international outrage toward the regime.

Rami Abdelrahman, head of the London-based Syrian Observatory for Human Rights, told CNN Tuesday that 1,342 civilians and 343 security personnel have died since the protests erupted.

Shaaban said Tuesday that more than 500 police officers and government troops and police have been killed in the violence, in which "religious extremists" are "directing purposeful assassinations."

"They are the ones who are killing children, who are killing women, who are maiming people, who are cutting people into pieces," she said, referring to the "extremists."

CNN cannot independently verify the death tolls. However, sources in Turkey and Lebanon can account for the many Syrians who've fled to their countries to escape violence.

The Turkish government said Tuesday that 10,757 Syrian refugees have crossed the border. It also said 441 Syrians had returned to Syria voluntarily in the past two days. Security sources in Lebanon told CNN that about 1,000 Syrians have crossed into Lebanon near the town of Hermel.

When asked whether the crisis would have been different had security forces not acted violently during the uprising's start in Daraa, Shaaban said she thinks "there are lots of fabrications about the security forces" and that many security forces were ordered not to carry weapons in Daraa.

The al-Assad family has ruled Syria since 1971, with Bashar al-Assad taking power after the death of his father Hafez al-Assad in 2000. The government is dominated by the Alawite minority in a country with a majority Sunni Muslim population. Alawites are an offshoot of Shiite Muslims.

Last week, Bashar al-Assad held out a promise of reforms and a "national dialogue" in a speech that was met with widespread skepticism.

As international and domestic outrage festered, Syria's embattled government allowed a group of activists and intellectuals, including some it had previously jailed, to hold a conference on democratic reform Monday at a Damascus hotel.

State Department spokeswoman Victoria Nuland said Tuesday that the United States was "pleased" to see the Syrian opposition was allowed to protest peacefully and has been given some "breathing space."

It was a "step in the right direction, but more needs to be done," Nuland said, adding that "a key element of Syria moving in the right direction will be that this continues to be the case."

Louay Hussein, a writer and onetime political prisoner, said "we must change this tyrannical regime to a democratic, civilian one" and explained that "how that transition happens is a question this conference is trying to address."

Hussein said the conference would "not necessarily" find an answer to that question, "but that is the big question in this country now."

About 200 Syrian dissidents gathered in the hotel ballroom, including several signatories of a 2005 declaration that called for a democratic transition. But some of those who have been risking arrest or bodily harm as al-Assad tries to suppress a wave of anti-government protests said the people in the hotel don't necessarily speak for them.

"The big question regarding this conference is, where are the young people?" asked Wissam Tarif, a pro-democracy activist based outside Syria. "Where are the people who are on the streets? Where are the voices of the people who are from Daraa, or from Douma, or from Jisr al-Shugur, or from Idlib? I think those are the voices that have been missed so far."

Shaaban acknowledged that those at the conference were not representative of the protesters on the streets.

"That's very true. And this is our biggest problem and our biggest challenge," she said. "We are trying our best to reach the leaders of people on the street because we want to solve this problem in our country and move forward."

But she said the government wants to be all-inclusive in its reform efforts by inviting all social groups to participate in a dialogue. She argues that the government would not want to undermine that sense of national unity.

"No government in the world would kill its own people," she said.

CNN's Jomana Karadsheh and Elise Labott contributed to this report.

@highlight

NEW: U.S. is pleased Syria gave the opposition some "breathing space"

@highlight

More than 1,300 civilians have been killed in the unrest, an activist group says

@highlight

Adviser: Protesters have "legitimate grievances," but there are extremists

@highlight

The Turkish government says 10,757 Syrians have fled across the border

@highlight

"We must change this tyrannical regime," a former political prisoner says