(CNN) -- Next Monday, Google is officially shutting down its popular RSS feed reader, Google Reader.

The service's demise after nearly eight years has come as a shock to many who depend on it to collect news into one place from all the websites they love. Its end has created something of a gold rush among startups and other tech companies vying to take the tool's place.

Instead of just finding the closest thing to Reader, maybe it's time to change how you consume all that news. Looking at every single article for a source can be time-consuming, especially if you follow a huge number of sites, and a lot has changed since 2005.

But before trying anything, take a minute to download all your information from Google Reader now. Google Takeout bundles up your feeds, folders, followers and other data into a zip file that you can use later with other services. (Many of the tools we mention will import data automatically from Google if you sign up before Reader closes.)

Feedly adds Web version in new bid for Reader users

The replacements

Change isn't for everyone, and for people who rely on a comprehensive approach to seeing the day's news, finding the next best Reader imitator might be the best interim approach. There is already an overwhelming number of replacements that deliver straight RSS feeds. The best bets are Feedly, The Old Reader, NewsBlur, Aol Reader and NetVibes.

Some new tools were rushed on to beat the July 1 demise of Google Reader and are bound to undergo more changes and improvements -- some are still being created such as Betaworks' Digg Reader. However, the weak links could also end up abandoned in time, and you'll have to search for a home for your carefully organized RSS feeds again.

Think about what's most important to you. Are you primarily checking from a mobile device or from a regular Web browser, and do you need something that will sync across devices (some are only available as apps, others in browsers)? Is sharing stories important, or is reading the news a solitary activity? How important are images, cost, search features or the absence of ads?

Social suggestions

Twitter is a killer news source. Major news surfaces naturally on the social network; a chorus of links or commentary about important stories will likely make its way into anyone's feed, whether they're following news junkies or just friends.

The Discover tab shows popular links from your feed as well, but it's more effective to edit down whom you follow carefully or create custom lists for your various interests. You can follow your favorite news organizations or drill down by finding their Twitter accounts for specific sections or topics. If you like specific writers, follow them for their work as well as context on regular news or links to other writers they enjoy. Hashtags can be great for following news about a specific event or topic.

Facebook is a different creature when it comes to news. It is decent for finding recommended links, but the posts and banter are more personal, happy and less about the outside world. People sometimes avoid posting links or talking about major news stories that might lead to uncomfortable clashes with friends and family. (Clashes and the resulting conversations are among the best parts of Twitter and flesh out the big news stories.)

Fight of the aggregator

The RSS fire hose of news can be overwhelming for many people. A handful of clever tools do more than just show you feeds. They use your interests and some algorithms to figure out what types of articles and topics you will be most interested in and then serve up content that fits with your patterns. Articles are typically grouped by sections, such as sports or the stock market. The tools are big on sharing and use images heavily for a more magazine-like reading experience. Flipboard, Prismatic, Pulse and Zite (which is owned by CNN) are all popular options.

Come back for the longer reads

RSS readers are great because you can scan headlines and the first few sentences of articles and get the gist without having to read them, only going further if it's a topic about which you want to know more. The meatier content (feature stories, long and winding narratives, the New Yorker) deserves more than a glance, but deep reads are different from the quick scan. Save the things you want to dig into later, even offline, with tools such as Instapaper, Pocket or Readability. Apple's Safari browser also offers a Read Later button.

The direct route

Typing a news site's URL directly into a browser seems so passÃ©. But when you just need a quick hit, going straight to a trusted local, national or international news organization might satisfy. Many organizations have their own stand-alone mobile apps on Android, iOS and Windows Phone devices. One advantage of these apps is that you can set up push notifications so you know as soon as something important happens.

There is also Google News, which looks at all the news sources and arranges the breaking stories by popularity, highlighting the in-depth, opinion and featured stories on the topic. A neat visual take on Google News is Newsmap.jp, which Marcos Weskamp created before moving to Flipboard to work as a designer.

No news is good news

The true minimalists can avoid the noise by checking one or two outlets once a day, trusting that the major stories will be featured prominently. News.me sucks in your Twitter and Facebook feeds and turns them into digestible daily e-mails that summarize the most talked about stories of the day.

If you really want to check out, read the Harper's Weekly Review post, which is also available as a newsletter. Every Tuesday, it quickly and amusingly runs down the major stories that happened in the past seven days, with links in case you are intrigued and want to find out more.

Mix and match

There is no one-fits-all solution for how to consume news, and many people hack together their own custom systems from various sources. For example, some go directly to their bookmarked must-read sites in the morning, keep up on current news with Twitter during the day and soak in longer articles on commutes with tools such as Instapaper. Some multitaskers keep TV or radio news humming in the background while they go about their daily activities.

Google Reader was a great tool that will be missed, but its death is an opportunity to try new things and play with different apps, sites and tools for reading news online.

Share your news-reading habits and suggestions in the comments.

@highlight

The Google Reader is closing next week, and it's time to find a replacement RSS tool

@highlight

There are imitation readers, shortcuts for later reading and smart aggregation apps

@highlight

With some curating, Twitter can be a powerful news source