It is 10 years after the invasion of Iraq, and images of Iraqi women from various political parties are filling the streets of Baghdad ahead of April's local elections -- a sign to casual observers that women's equality is on track in this war-ravaged country.

But although the women of Iraq have obtained some benefits on paper, the reality is that they have lost far more than they have gained since the war began in 2003.

On the political front, Iraqi Prime Minister Nouri al-Maliki has not appointed a single woman to a senior cabinet position, despite the fact women are guaranteed 25% of the seats in parliament by the constitution. The Ministry of Women's Affairs, a poorly-funded and mostly ceremonial department, is the lone ministry headed up by a woman.

FULL COVERAGE: The Iraq War, 10 years on

Constitutionally, women were able to secure the ability to pass their citizenship on to their children by non-Iraqi husbands, making Iraq one of a handful Arab countries with such a provision for their female citizens.

But on the other hand, women are no longer guaranteed equal treatment under one law in terms of marriage, divorce, inheritance and custody. That law, the Family Statutes Law, has been replaced one giving religious and tribal leaders the power to regulate family affairs in the areas they rule in accordance with their interpretation of religious laws.

This not only is making women more vulnerable, it is giving women from various sects (Sunni or Shia) or religion (Muslim or Christian) different legal treatments on the same issues.

EXCLUSIVE: Hans Blix on 'terrible mistake' in Iraq

Economically, women have gone from being visibly active in the Iraqi work force in the 1980s -- particularly in the farming, marketing and professional services sectors -- to being nearly non-existent in 2013.

The women who could afford it withdrew from the public space due the violence dominating  the streets. 10 years ago Iraq produced much of its own food and had a productive industrial sector -- but now Iraq imports practically all of its food, and farmers and factory workers simply found themselves out of a job as industry ground to a halt. And while both women and men suffered as a result, the impact on women was greater due to their limited mobility in the face of poor security.

ARWA DAMON: Iraq suffocates in cloak of sorrow

Violence against women -- and the lack of legal protection for women -- is also on the rise.  Women's rights groups blame the increase in violence on the social and economic pressure that families face, the lack of public and political will to stop it, and the increase religious conservatism that often justifies the violence.

The saddest part of the story is the lost memory of what Iraqi women once were. I grew up in Baghdad with a working mother who drove herself to the office and always told me that I could anything I wanted with my life. My mother's friends were factory managers, artists, principals and doctors.

It has been just over 20 years since I left Iraq. Today, female college students ask me if it is true that the streets of Baghdad were once full of women driving, that women could walk around in public at all times of the day without worry, that university campuses were once filled with women who did not wearing headscarves.

It would be unfair to blame the regression Iraqi women have faced only on the last 10 years, as the previous decade of economic sanctions that preceded it also took its toll on Iraqi society.

But it is necessary to observe -- especially in light of all the changes that are happening in post-Arab Spring countries -- that female political participation in a country's democratic process cannot be the end of the story.  Women's active economic and social engagement is just as crucial to society as it is to their own wellbeing.

America entered Iraq in 2003 with lots of promises, but women's rights were not even on the radar screen. Ten years later, Iraqi women find themselves the subjects of a story that does not have a happy ending.

But despite the challenges that face them, some Iraqi women continue to stand up for women's rights. They deserve everyone's support, for the story of women's rights is the story of Iraq's future.

@highlight

Iraqi women have lost more than they've gained since Iraq War began in 2003

@highlight

Women no longer guaranteed equal treatment under Family Statutes Law

@highlight

Violence against women is also on the rise