(CNN) -- Two former top leaders in Cambodia's notorious Khmer Rouge, which ruled the Southeast Asian country between 1975 and 1979, were found guilty of crimes against humanity by a specially-convened Cambodian court Thursday.

Before the verdict, only one person had been brought to justice over one of the 20th century's great atrocities.

Nuon Chea, the former Deputy Secretary of the Communist Party of Kampuchea, and Khieu Samphan, the one-time President of Democratic Kampuchea both received life sentences.

Nuon Chea, 88, known as "Brother Number Two," and Khieu Samphan, 83, known as "Brother Number Four," were expressionless as the verdict was read.

They were found guilty of the following: Crimes against humanity, of extermination, murder, political persecution, and other inhumane acts comprising forced transfer, forced disappearances and attacks against human dignity committed within the territory of Cambodia between 17 April 1975 and December 1977.

"The chamber finds that as a consequence of the crimes of which the accused have been convicted, the civil parties and a very large number of additional victims have suffered immeasurable harm, including physical suffering, economic loss, loss of dignity, psychological trauma, and grief arising from the loss of family members and close relations," a judge said in the ruling.

The men were taken into custody after their arrest in 2007. The defendants can appeal the judgment, and Victor Koppe, part of Nuon Chea's defense team, indicated that they would be seeking to exercise that right. The defense team for Khieu Samphan also said they would appeal the verdict.

The charges were heard in Phnom Penh in the Extraordinary Chambers in the Courts of Cambodia (ECCC) -- a special United Nations-backed tribunal that was formed in 2006 to prosecute senior Khmer Rouge leaders and other regime figures responsible for especially heinous acts.

Amnesty International welcomed the result as an important step towards justice.

"This long-awaited ruling is an important step towards justice for the victims of the Khmer Rouge period and highlights the importance of addressing impunity," said the organization's Deputy Asia-Pacific Director Rupert Abbott.

"But the earlier refusal of senior Cambodian government officials to give evidence, as well as allegations of political interference in other ECCC cases, is troubling and raises concerns around the fairness of the proceedings and respect for victims' right to hear the full truth regarding the alleged crimes."

Amnesty also welcomed the court's decision to endorse 11 reparation projects for victims.

"However, much more must also be done by the government of Cambodia towards repairing the harm suffered by victims."

A timeline of the Khmer Rouge regime and its aftermath

A bloody regime

The two men were senior leaders in the Khmer Rouge regime, which ruled Cambodia between 1975 and 1979. During that time at least 1.7 million people -- about a quarter of the Cambodian population -- are believed to have died from forced labor, starvation and execution, as the movement ruthlessly executed its radical social engineering policies aimed at creating a purely agrarian society.

An ongoing struggle for justice after Khmer Rouge

The pair were tried in a "hybrid" tribunal -- officially "an ad hoc Cambodian court with international participation" -- uses both Cambodian and international judges and staff employed by the U.N. in order to ensure the trials are conducted to international standards and to mitigate against the weakness of the Cambodian legal system.

"This judgment represents an important milestone for Cambodians and victims around the world," a joint statement from the office of the co-prosecutors read. "For 35 years (the leaders of the regime) evaded justice for some of some of the most brutal and cruel crimes ever committed."

Around 3,500 victims participated in the trial, as witnesses giving evidence, observers and in seeking reparations.

"The trial has allowed Cambodia to reset its moral compass, which was destroyed by the accused 40 years ago," the statement said.

Until today's conclusion, the ECCC had delivered only one verdict in its eight years of existence.

In the ECCC's Case 001, Kaing Guek Eav, commonly known by his alias, Duch, was sentenced to life imprisonment following his 2010 convictions for war crimes, crimes against humanity, murder and torture. He was the commandant of the notorious Tuol Sleng S-21 prison in Phnom Penh, where more than 14,000 people died.

The verdicts on Thursday in the case known as 002/01 was the first time that senior leaders of the regime have faced justice.

Recognizing the limitations of the court, the ECCC's Legal Communications Officer Lars Olsen told CNN: "We can't prosecute everyone who committed a crime 35 years ago. That's the nature of international justice."

Disappointment

Some victims of the crimes of the regime were not satisfied by the verdict. Theary Seng, founding president of the Center for Cambodian Civic Education, told CNN that the scope of the Court, and the trial, by focusing on the forced movements, and the murder of 250 Lon Nol (the previous Prime Minister) officials and troops at Tuol Po Chrey shortly after the regime was installed was insufficient.

"Cambodia hasn't got to the heart of the genocide.

"It's a missed opportunity... it completely missed the mark. What have we seen from $200 million and eight years (of the existence of the ECCC)? (It is) really a disservice to the other Cambodian victims."

She did allow that the trial was the "beginning of a process of healing" and that it would "serve as a catalyst for conversations in Cambodia about our past."

Seng was just seven years old in 1978 when both her parents were killed after several months in prison. It was at a time when the leadership was, she said, in "extreme paranoia" and even party cadres were being purged. Her mother was taken from the cell she shared with her children and other families, and "tiptoed to her death" to avoid waking up Seng and her younger brother.

"The tragedy of my story is that it's so common," she said. "It stays with us -- how can it not?"

READ MORE: See places where Cambodia's shocking past is on show

@highlight

Two top leaders of Cambodia's 1975-79 Khmer Rouge regime found guilty of crimes against humanity

@highlight

Both men sentenced to life imprisonment

@highlight

Nuon Chea was the regime's "Brother No. 2" and Khieu Samphan its "No. 4"

@highlight

The men are the first Khmer Rouge leaders ever to face justice