(CNN) -- The report of a lethal chemical weapons attack unleashed by forces loyal to President Bashar al-Assad in the suburbs of Damascus on August 21 was only the latest of more than a dozen such reports in recent months, according to Jon Day, the chairman of Britain's Joint Intelligence Committee.

"We have assessed previously that the Syrian regime used lethal CW on 14 occasions from 2012," he said in a two-page report to Prime Minister David Cameron. "This judgment was made with the highest possible level of certainty following an exhaustive review by the Joint Intelligence Organization of intelligence reports plus diplomatic and open sources."

If what Day described as "a clear pattern of regime use" of chemical weapons has indeed been established, why did the latest report spark a more bellicose response from world powers?

Part of the answer lies in the scale of the event, in which hundreds of people are reported to have died, said Dr. Howard Hu, a consultant on chemical weapons for Physicians for Human Rights and dean of the Dalla Lana School of Public Health at the University of Toronto.

Opinion: Chemical weapons are a nightmare for Syrians

In addition, the evidence is strong, he said. "This time, there was enough videotaped evidence of victims subsequent to the attacks to provide a level of detail that allowed observers like myself to see signs that were consistent with an acute response to a nerve agent. And that level of specificity, I think, also increased the level of certainty and urgency to this."

Hu further cited the August 24 report by Medecins Sans Frontieres, also known as Doctors Without Borders. It cited information from three hospitals it supports in Syria's Damascus governorate that said some 3,600 patients had arrived at one of the hospitals within a three-hour time span showing neurotoxic symptoms, and that 355 of them died.

"Medical staff working in these facilities provided detailed information to MSF doctors regarding large numbers of patients arriving with symptoms including convulsions, excess saliva, pinpoint pupils, blurred vision and respiratory distress," said Dr. Bart Janssens, MSF director of operations.

Chemical weapons in Syria: How did we get here?

Patients were treated with atropine, a drug that treats neurotoxic symptoms.

Janssens said the group could neither confirm the cause of the symptoms nor identify who was responsible.

However, he added, "the reported symptoms of the patients, in addition to the epidemiological pattern of the events -- characterised by the massive influx of patients in a short period of time, the origin of the patients, and the contamination of medical and first aid workers -- strongly indicate mass exposure to a neurotoxic agent. This would constitute a violation of international humanitarian law, which absolutely prohibits the use of chemical and biological weapons."

Hu said that the reports of medical personnel winding up with some of the same symptoms suffered by their patients "is very consistent with a toxic CW (chemical weapons) agent causing secondary effects. So, put it all together, it's a very, very compelling case."

What justifies intervening if Syria uses chemical weapons?

Charles P. Blair, a senior fellow on state and non-state threats at the Federation of American Scientists, has compiled a dataset of 18 other reported chemical weapons attacks in Syria.

The August 21 report stands apart from the others in the number of reported injuries, he said.

But questions remain about all of the reported cases -- as to what agents may have been involved and who was responsible, said Blair, who also teaches graduate classes on the subject at Johns Hopkins University.

"I think it's likely the Assad regime has (used) sarin on potentially two occasions, maybe three that we know if, but it's done so using very, very small quantities of it," he told CNN in a telephone interview. "And it's used primarily to dislodge entrenched opposition forces and probably to test the international community" to see how it responds, he said.

That would not explain the apparently large use reported in the August 21 attack, which crossed the administration's oft-repeated "red line," he said.

"If it was a chemical attack, if it was the Assad regime, it was such an egregious and completely irrational use of chemical weapons that the administration had to respond," he said.

But that has left the administration in a dilemma, he said. "There's nobody on the ground right now that they can identify that they can back safely without the risk of that group being overrun or taken over by the jihadist groups in Syria."

In other words, the jihadists could wind up being empowered if the Obama administration carries out an attack, he said. "If they don't play this right, the leadership in Damascus could be jihadist -- with a large chemical weapons arsenal at their disposal."

Blair proposed three theories about why the Syrian regime might have carried out the attack:

-- It is playing an "incredibly complex chess game, playing like what Spock used to play -- it makes sense to them, but we can't even figure it out;"

-- The regime is beginning to disintegrate and the attacks were carried out by rogue elements and was not authorized;

-- The leadership has lost touch with reality.

But the administration is unlikely to move beyond rhetoric, Blair predicted. "I don't think, if I had to guess, that there will be military strikes based on this one incident. If again -- maybe."

Attacking the regime would be a risky move, he said. "You don't know the response. They could launch Scuds at Israel full of sarin."

Another concern: the command and control over the country's vast stocks of chemical weapons could be delegative, meaning that subordinates in the field may have the power to launch the stocks if certain conditions are met. "So, if the United States destroys x,y and z, it could actually trigger a response from commanders in the field."

And he added that he was not persuaded that chemical weapons have indeed been used. "There's nothing available in open sources that they definitively have been," he said.

A claim by France that a laboratory had discovered a marker for sarin in samples taken from Syria was not persuasive, since the chain of custody of the sample was never verified, he said. "If you can't prove chain of custody, you can't rely on it. So many groups and states would have an interest in tampering with the samples that went out."

The verification of the claims is particularly critical given the U.S. government's history of being duped about the alleged weapons of mass destruction that preceded the U.S.-led attack on Iraq. "Words can't describe how catastrophic it was," he said. "Most people in the community are skeptical."

@highlight

British intelligence cites 15 such attacks since 2012

@highlight

"A clear pattern of regime use," says the Intelligence Committee head

@highlight

The August 21 incident poses "a very, very compelling case"

@highlight

But skeptics abound -- remember Iraq's WMD?