New York (CNN) -- If the Americans followed the French presidential elections as avidly as the French stare at the poll ratings of Mitt Romney and Barack Obama, they would know that "Sarko l'Américain," Sarkozy the American, may soon have to say "good bye" to the Elysée Palace.

The omens are bad and the possible demise of the most pro-American president in our history raises questions about our long and complex transatlantic relations.

How will French election be decided?

Not that there is so much to worry about. Sarkozy's potential successor, the Socialist François Hollande, may have said that "the enemy is finance," but he also told the New York Times that before attending l'Ecole Nationale d'Administration, the alma mater of our elite public service, he had traveled to the United States and written a report on the American fast food industry that foresaw the triumph of McDonald's in France a decade later. The candidate even admitted a personal weakness for hamburgers -- a strategic cliché America is welcome to take as a token of transatlantic loyalty.

But it is not always enough. Remember Jacques Chirac? Our former president gained real popularity in the U.S. after telling Larry King that in his youth he had worked as a soda jerk at a Howard Johnson hotel, and even dangerously overextended his vacations to date a southern belle who called him "Honey Chile" and drove him around in a white Cadillac convertible. All this sincere devotion to Americana didn't spare him from being reviled later as the commander-in-chief of the "Cheese-Eating Surrender Monkeys", unwilling to risk blood and treasure in the quest of weapons of mass destruction in Iraq.

Tons of "Freedom Fries," the creative rants of Bill O'Reilly and George W. Bush, even the sad visit to the White House in 2004 of our then ambassador to check officially on the status of France ("Friend or Foe?") are enough proof that our relations can become sour and chaotic overnight. But hateful? No. It's just ... complicated.

Colin Powell, the man in the middle in 2004, sincerely thought America and France could form a bona fide couple, be it "in therapy for the last 60 years." And if the first rule of therapy is to verbalize, France has been vocal, to say the least.

The official French explanation is that we both have strong and "radiating" cultures. The reality is that history has not made us equal. And it is sometimes painful. It was made worse, and personal, by World War II, when Presidents Roosevelt and Truman didn't embrace Charles De Gaulle, the only remnant of dignity of a battered country and the only symbolic redemption of a past that included a shaming defeat, a cruel occupation and the moral abyss of collaboration by Vichy and French police.

Sure, America saved us. But it is sometimes hard to be saved, especially when your savior doesn't seem to take you very seriously.

No wonder the French flirted with grandiosity in the 1960s. The interior conquest made up for the loss of a colonial empire. The social protection, the nuclear show of force, the state-owned companies, the glowing technocratic elite and appeals to the developing world confirmed the victorious march of our "Third Way" between Washington and Moscow.

It is one of the reasons why, in contrast to most other western countries, the French conservative parties and its establishment never saw the American entrepreneurial way of business as a suitable model. It was even seen as a little vulgar.

The change came with Sarkozy. His bourgeois but simple upbringing, his father's foreign origin made him an unlikely candidate for the elite and all the more sensitive to the growth, creativity and class promotion promised by the American capitalism and meritocracy. He was also the first to suggest a system of affirmative action for the young descendants of immigrants locked in ghettos by decades of neglect and racism.

But "Sarko" became less American after the collapse of the markets in 2008, less prone to show to France, as a model, a country where citizens actually demonstrate against government-run healthcare, less inclined to diversity when he needed the extreme right vote for his re-election. There was also a disappointment. If our president had gotten along much better than Chirac with George W. Bush since 2007, he had great hopes to bask in the world aura of Obama, and even to replace the British as the closest ally of the United States. That did not happen. A rational and aloof Obama kept the unprecedented French love fest at bay. "The most American of the two is not who you would think," a diplomat whispered to me after one of their first meetings, strangely mixing admiration, irony and plain old stereotypes.

Once again, France seemed to need the big mirror across the Atlantic to shape its identity and solve its anxieties. A colleague swore to me that Jean Dujardin's Oscar for "The Artist" would offset the loss of our triple-A credit rating. In the middle of the Dominique Strauss-Kahn sex scandal last year, half of the French sneered at the "American Puritanism" and its disgusting Perp Walks. The other half admired a country that would treat a rich and powerful man as badly as the common man. But both sides agreed to buy a magazine cover story that asked: "The Americans, What do they think of us?"

The opinions expressed in this commentary are solely those of Philippe Coste.

@highlight

Possible demise of pro-U.S. French President Sarkozy raises questions over complex relations

@highlight

Love for U.S. not always enough to ensure U.S. respect for France, says Philippe Coste

@highlight

He says sometimes France's WW2 savior, U.S, doesn't seem to take it very seriously

@highlight

Sarkozy had vainly hoped to replace British as closest ally of U.S.