Vicksburg, Mississippi (CNN) -- Early signs of recovery mixed with stormy forecasts Friday, as residents struggled to dig out of the most significant flood to hit the lower Mississippi River valley in more than 70 years.

In Tunica, Mississippi, two casinos reopened after being shut for almost three weeks because of the flooding, said Caesars Entertainment, the company that owns and operates them.

But farther south, Vicksburg residents face a long and slow goodbye to the historic flood that submerged much of their city, forecasters said. They predicted that the river could remain out of its banks until at least mid-June.

The Mississippi River is not expected to return to its 43-foot flood stage in Vicksburg until after June 14, which is 46 days after it climbed out of its banks, said Amanda Roberts, a National Weather Service hydrologist.

It crested at 57.1 feet Thursday, and the weather service predicts the crest will hold through at least Saturday morning in Vicksburg.

Severe storms are likely Saturday and Sunday in the Mississippi River, Ohio River and Tennessee River valleys, said CNN meteorologist Sean Morris.

Up to 3 inches of rain per hour are possible, with heavier storms on Sunday. The rain could lead to secondary crests and higher crests along the Mississippi from Memphis, Tennessee, southward, he said.

Some greeted the cresting floodwaters -- which have damaged hundreds of homes and displaced 2,000 Vicksburg residents -- with relief. Others celebrated.

Eddie Monsour, who owns a waterfront restaurant, threw a "River Crest Party" on Thursday night. It was a big success, he said.

"Usually we've got a good crowd, but nothing like it is now. We're probably 200 people more than we usually are," Monsour told CNN affiliate WJTV.

"There's tourists here. People from all over the state just coming to see the water. They've never seen anything like it."

The patrons also included area evacuees such as Louise Roland of Eagle Lake.

"(I'm) just here to celebrate the river cresting," Roland said. "Hopefully, it'll start going down soon."

All but about a dozen of Eagle Lake's 600 residents evacuated, according to CNN affiliate WLBT.

"We talked about it and thought about it, but this really wasn't a decision at all," one of the holdouts, Cindy Roberson, told WLBT. "This is home. This is where our stuff is."

Local officials caution that some area residents may have to wait to return to their homes.

Flooded houses pose a variety of dangers, they said. Rising floodwaters bring on debris, hazardous waste and gas leaks, and force snakes or other potentially dangerous animals from their habitats and into residential areas.

"Right now we're moving to the recovery stage," Vicksburg Mayor Paul Winfield told CNN.

"Our first priority, I believe, should be public safety, to continue to encourage our residents and onlookers to stay free of the water."

Law enforcement officials are patrolling evacuated areas to help ensure that abandoned homes and businesses aren't burglarized, Winfield said. And each flooded property must be assessed before an owner can return to it, he said.

Residents who live along the river should be vigilant, said Marty Pope, a senior hydrologist with the weather service.

Warren County, which includes Vicksburg, has "several hundred homes that have water" and about 2,000 residents have been displaced, Sheriff Martin Pace said.

County residents are accustomed to flooding and know what to do, but none have experienced it at this magnitude, according to Pace.

The river began cresting ahead of schedule Wednesday night, probably because an old levee system in the Mississippi city of Greenville was breached May 13 and spread the flood's flow, Pope said.

The Mississippi River is more than 14 feet above flood stage at Vicksburg and more than a foot over the record set in the city in 1927.

Water levels in Natchez, a city about 70 miles south, are nearly 4 feet beyond the record. The river stood at 61.9 feet Thursday night, and the crest isn't expected till Saturday.

The U.S. Army Corps of Engineers kept a watchful eye on the Yazoo Backwater Levee, which residents near Vicksburg were counting on. It is designed to keep water from backing into parts of the Yazoo River delta.

A slide was detected on the mainline Mississippi levee at Albemarle Lake, the Corps of Engineers said Thursday. That occurs when the integrity of a levee is undermined because dirt and sand are being eroded, said spokeswoman Eileen Williamson.

"It will take about a full week to repair," she said.

Farther south, where the Mississippi River has not yet crested, residents were working to clear out their homes and find ways to get by.

Louisiana Gov. Bobby Jindal has asked for federal assistance in grappling with flooding stemming from the Morganza Spillway, where 17 bays have been opened in hopes of sparing New Orleans farther downstream.

So far, the Louisiana Department of Transportation and Development has delivered nearly 150,000 sandbags, 30,000 cubic yards of sand and 33,000 linear feet of fabric-lined baskets, the governor's office said. Approximately 1,150 Louisiana National Guard members have been mobilized.

Mandatory evacuations will be in effect Saturday -- beginning at midnight Friday -- in Butte La Rose, Happy Town and the Sherburne Wildlife Management Area, the St. Martin Parish Sheriff's Office said.

By Saturday morning, "the area will be secured and no one will be allowed to enter," the parish said in a news release.

Officials said spillway gates are likely to be open for weeks. It will be weeks before the river falls below flood stage, allowing evacuees to return.

About five miles of the Mississippi River at Baton Rouge were closed Friday after four barges broke loose from a towboat, said Seaman William Benson of the U.S. Coast Guard. Three of the four sank. Benson declined to say whether the recent flooding could have had anything to do with the incident, but said an investigation was under way.

The flood is the most significant to hit the lower Mississippi River valley since at least 1937. It has affected nine states so far: Missouri, Illinois, Kentucky, Tennessee, Ohio, Indiana, Arkansas, Louisiana and Mississippi.

CNN's Phil Gast and Ed Payne contributed to this report.

@highlight

NEW: 2 casinos reopen in Tunica, Mississippi

@highlight

NEW: Severe storms are forecast this weekend along parts of the Mississippi

@highlight

Experts: It will take until mid-June for floodwaters to recede in Vicksburg

@highlight

The Mississippi River first rose out of its banks on April 30