We were like David against Goliath. We fought long and hard, and in the end we prevailed.

After 14 long years in the dustbins of Congress, mainly due to strong opposition from the Catholic Church, the Reproductive Health (RH) Bill was approved by both the Senate and the House of Representatives on Monday, 17 December 2012.

Indeed, there is no force more powerful than an idea whose time has come. And the time for a Philippine reproductive health law is now.

The Philippines remains one of the poorest countries in the world because, among other things, for a long time, it refused to acknowledge what could easily be seen when one glances out the window: the country desperately needs a reproductive health law.

Not having a reproductive health law is cruelty to the poor. The poor are miserable because, among other reasons, they have so many children. Providing reproductive knowledge and information through government intervention is the humane thing to do. It can help the poor escape the vicious cycle of poverty by giving them options on how to manage their sexual lives, plan their families and control their procreative activities. The phrase "reproductive rights" includes the idea of being able to make reproductive decisions free from discrimination, coercion or violence.

Many poor women do not receive information on how to receive reproductive health care.  Our underprivileged women have to accept standards lower than what they need, want, or deserve. According to the Department of Health, the mortality rate for Filipino mothers increased to 221 per 100,000 live births in 2011 from 162 per 100,000 live births in 2009. But not only do the women suffer, the children do, too. The children remain undernourished and undereducated because their parents are ignorant about reproductive health care and choices.

In short, the bill merely wants to empower a Filipino woman from the poorest economic class to march to the nearest facility operated by the Department of Health or the local government unit, to demand information on a family planning product or supply of her choice.  The bill, at the simplest level, wants to give an indigent married woman the freedom of informed choice concerning her reproductive rights.

If the bill is highly controversial, it is not because it is dangerous to humans or to the planet.  It is not subversive of the political order.  It is not a fascist diktat of a totalitarian power structure.  The reason this bill is emotionally charged is because of the fervent opposition of the Catholic Church in the Philippines and those who wish to be perceived as its champions.

Yet the majority of Catholic countries around the world have passed reproductive health laws, even Italy where the Vatican City is located.  Other nations include Spain, Portugal, Paraguay, Mexico, Guatemala, Ecuador, Colombia and Argentina.

Apart from the Catholic Church, all other major religions in the Philippines support the RH Bill. Other major Christian churches have not only officially endorsed the bill but have published learned treatises explaining their position. Support also comes from the Interfaith Partnership for the Promotion of Responsible Parenthood, the National Council of Churches in the Philippines, the Iglesia ni Cristo and the Philippine Council of Evangelical Churches.

The position of these Christian bodies is supported by the most authoritative body of Islamic clerics in the Philippines, the Assembly of Darul-Iftah of the Autonomous Region of Muslim Mindanao. These constitute the top-ranking ulama, deemed to have the authority to issue opinions on matters facing Islam and Muslims. In 2003, they issued a fatwah or religious ruling called "Call to Greatness." It gives Muslim couples a free choice on whether to practice family planning.

The Filipino people, regardless of religion, are in favor of RH.  In June 2011, the Social Weather Stations, a survey group, reported that 73% of Filipinos want information from the government on all legal methods of family planning, while 82% say family planning method is a personal choice of couples and no one should interfere with it. An October 2012 survey among young people aged 15 to 19 years old in Manila shows that 83% agree that there should be a law in the Philippines on reproductive health and family planning.

This is the will of the Filipino people; it is the democratic expression of what the public wants from government.  The anti-RH groups are mute on this ineluctable fact.

Reproductive health care is a human right. The people are entitled to demand it from their government and the government is obligated to provide it to its constituents.

@highlight

Philippines leader signs divisive reproductive health bill

@highlight

Will open the door for free contraceptives and government-funded sex education

@highlight

Catholic Church says it will destroy marriage and morality in the Philippines

@highlight

Defensor Santiago: Not having a reproductive health law is cruelty to the poor