(CNN) -- Verizon pulled a rabbit out of its corporate hat earlier this month. The wireless giant announced a multibillion-dollar deal to purchase rights to largely unused spectrum, which is like an open lane on the congested wireless Internet highway. Verizon purchased these rights from Comcast and Time Warner, two large cable-TV companies, and the smaller Bright House Networks.

Sound familiar? AT&T made a similarly surprising move in March, declaring its intention to buy T-Mobile, in large part to get access to T-Mobile's underused spectrum. The AT&T deal drew the wrath of the Justice Department and the FCC. Indeed, it appears the current incarnation of the AT&T proposed merger is dying a slow death. U.S. District Judge Ellen Segal Huvelle agreed on Monday to a request from both sides to delay the merger hearing, and asked AT&T to supply information on whether it will pursue a different deal with T-Mobile.

Does a similar fate await Verizon?

Ah, you say, there's no real comparison. Unlike the proposed AT&T/T-Mobile merger, Verizon's acquisition doesn't involve taking millions of subscribers from a competitor, thereby increasing concentration in the wireless market.

But the deals do have one big thing in common: In both, the primary objective is to cope with the looming scarcity of spectrum. For without more of it, neither carrier will be able to deliver on the promise of whizbang wireless services such as high definition movies any time, anywhere.

To be sure, the problem here is not precisely a shortage of spectrum, but wasteful allocation of what's usable with the latest technology. If Washington were so inclined, it could free up a ton of spectrum for more valuable uses. That includes spectrum warehoused by government: In many cases, the repositioning of equipment or the purchase of up-to-date equipment would allow tasks ranging from public safety communication to weather forecasting to be done as well with less. Not to mention spectrum assigned long ago to local TV stations for old-fashioned analogue broadcasting that is no longer needed since the switch to digital.

The process would be pretty simple: Auction the spectrum to the highest bidders and then allow it to be traded like any other valuable resource. This is an old, but important, idea first suggested by Nobel economics laureate Ronald Coase back in 1959. And it's an idea that has taken on greater urgency in recent years, both because of the proliferation of spectrum-hungry wireless devices -- smartphones and tablets -- and because Washington desperately seeks revenue. (We're talking tens of billions here.) But the politics of spectrum allocation remain gridlocked, as competing interests push and shove for preferred access, or just a claim on some of the cash from future spectrum auctions.

So AT&T and Verizon, the No. 1 and 2 players in the American wireless market, have resorted to end-runs around the problem -- that is, buying spectrum from other carriers or merging to make more efficient use of the partners' combined holdings.

If the AT&T/T-Mobile combination survives the legal gantlet, it could, in theory, become the largest U.S. wireless provider, with as much as one-third of the market. But the emphasis here is on the word "theory." The merger might or might not reverse T-Mobile's sinking fortunes, which is why its parent company, Deutsche Telekom, has signaled its intent to leave the U.S. market, no matter what the government decides about the merger.

The upshot is that it's far from self-evident that AT&T would remain first in subscribers for long in a post-merger market. Verizon's 4G system, the holy grail of mobile excellence, is expected to be available to some 200 million Americans by the end of this year, compared with roughly 70 million for AT&T. Moreover, the proposed Verizon deal includes cross-marketing with the cable companies' retail stores, yet another advantage in this most visible of consumer markets.

But the merger seems to face implacable opposition from the trust-busters at the Justice Department and the micromanagers at the FCC. Both agencies argue that it would give AT&T more latitude to raise prices. And neither apparently puts much weight on AT&T's need for additional spectrum if it is to offer viable competition for Verizon in a 4G world.

If this were 1951 instead of 2011, when self-satisfied American megacompanies like GM set the pace for global industrial innovation, we'd have more sympathy for the government's tilt against market concentration. But as the Verizon gambit makes clear, this is anything but a static contest.

AT&T and Verizon are living in uncertain times in which they must run to stay in place. That doesn't mean the risk of monopoly power is as dead as the Oldsmobile. But it does mean that discretion in managing markets really has become the better part of valor.

As we see it, Washington has three options. The first is to limit what firms like Verizon and AT&T can do to improve their service offerings, slowing the rollout of 4G. The second is to break through interest-group gridlock and stimulate improvements in the wireless market with a lot more spectrum -- the best option, surely, but probably a political nonstarter in the near term because the relevant players seem unable to build the necessary political coalitions. The third option, and probably the best under the circumstances, is to look on the Verizon and AT&T gambits with sympathy, on the premise that the vitality of innovation means more to consumers than the potential downside of greater market concentration.

Does that mean giving AT&T and Verizon free passes? Hardly. But it would mean a change in priorities at Justice and the FCC in which the agencies use their legal leverage to minimize concentration in regional wireless markets without undermining the potential for more efficient use of spectrum.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: Verizon, AT&T deals are attempts to get more spectrum for wireless services

@highlight

Spectrum, or bandwidth, is getting scarce because it is badly used, they maintain

@highlight

Washington could sell spectrum for billions of dollars, they say, still minimize monopolies

@highlight

Writers: Until then, regulators should look more kindly on telecom mergers