(CNN) -- I recently left the Global Forum on Innovation & Technology Entrepreneurship in South Africa, inspired, empowered and hopeful, but extremely impatient to see radical changes to help women in Africa develop a world-class talent in science, technology, engineering, mathematics and businesses.

Throughout the event I saw women who were passionate entrepreneurs. They were all seeking new ways of growing their businesses. The women discussed challenges and barriers to success, and how to take their business to the next level. They wanted to grow their network and create global partnerships.

Women hold the key to Africa's development, from agriculture to technology and entrepreneurship. But they still face massive hurdles in many areas of development and they are still financially disadvantaged and lack confidence in starting up businesses in Africa.

Mid-career dropout is frequent; cultural and social boundaries also are hurdles women need to overcome every day. Gender inequality is also a major issue for women looking to get loans from banks; often, they are not taken seriously.

In most African countries women account for a sizable part of the workforce, but still, there are not many places where women entrepreneurs can go for mentoring and support for their businesses.

Read this: 'African women need a hand-up not a hand-out'

NGOs and global development organizations have for decades hidden the potential of African women by using them as objects of development and statistics. As Chelsey Rhodes recently wrote, we should not see African women as objects of compassion, microloan applicants or demeaning factory-job seekers.

You rarely see an African woman millionaire mentioned in the media, unless she is the daughter of the leader of Angola or an elite Oxford/Harvard graduate. Those women don't have the time or knowledge to mentor the grassroots of talented young women who are coding and developing apps in Dakar, Senegal, and Kibera in Kenya.

We need to make changes and start paying attention to these young women entrepreneurs in Africa.

Technology presents new opportunities for African women who want to take their rightful place in society. African women are already using information technology to build networks and partnerships.

Sophisticated mobile phones owned by women in cities like Lagos are being used to pass all sorts of information from factory to factory and village to village, delivering a message of openness and freedom. Social media such as Twitter and Facebook has also helped them spread their stories.

Read this: 10 African tech voices to follow on Twitter

Technology is also helping women shape the agricultural landscape by breaking down traditional social barriers. Women can now get access to information on their land, stocks and even health matters.

In Kampala and Senegal, women are using SMS to help plan for a family, with basic information on sex education and birth control being delivered on their cell phone. Mobile money is also helping them to receive and send money safely and confidently.

Read this: Fighting cancer with cell phones

And women are also contributing to creating technology. Recently, we have seen a rise of women coders in Senegal, Kenya, Uganda, Ethiopia, Tanzania and DR Congo. But increasing participation and representation of women across the continent is difficult when in many countries women are held back from full and fair participation in public and technological life.

We have to build the pipelines for the next generation of African women leaders, and the only way we can do that is to start finding and creating a good ecosystem for women.

With that in mind, Africa Gathering is this week celebrating five years of sharing positive ideas. The event is being held in London on June 21 and 22, and the theme is "Hands-on technology: Rise of the makers, the dynamic and the disruptive thinkers in Africa."

Over two days, this conference for innovators, investors and those with a passion for our continent, will feature world-class speakers and roundtable sessions to cast a spotlight on change-makers, many of them women.

And among other things, the event will demonstrate how African innovators -- especially women -- are taking the lead in developing amazing local technological solutions.

For more information go to: http://africagathering2013london.eventbrite.com/

The opinions expressed in this commentary are solely those of Mariéme Jamme.

@highlight

Women entrepreneurs hold key to Africa's development, writes Mariéme Jamme

@highlight

Gender inequality is limiting women's potential on the continent, she says

@highlight

Mobile phones are giving women information and new opportunities