(CNN) -- In the summer of 1985, I lived a dual life.

In my scholarly work, I argued that traditional gender roles -- the stay-at-home mother, the bread-winning father -- were recent cultural constructs. Throughout human history, women engaged in productive labor alongside men. It wasn't until the Industrial Revolution that men began to work outside the home, tethering women to household responsibilities and child rearing.

My thesis was that attitudes toward motherhood changed as the care of children became the exclusive responsibility of mothers. Modern motherhood is a cultural invention, I argued, not biological destiny.

Opinion: Benefit of office face time a myth

When I wasn't writing academic papers, I was caring for my baby daughter, working hard to be her primary attachment figure. When she cried out in the night, I wanted her to call for Mommy, not Daddy. I recognized my desire was based on my gender, and I appreciated the irony of this. Nevertheless, I had internalized the values of my culture, and my own scholarship could not help me override this. I comforted myself that attitudes would change over time. After all, the women's movement was still relatively young, and I was mothering during the height of the Mommy Wars.

Sadly, very little has changed.

Why? Because the narrative in our culture is consistent and unyielding, reflected in the views of liberals and conservatives alike, omnipresent in our lives: Raising children is mothers' work, not parents' work.

When Marissa Mayer, the CEO of Yahoo, banned employees from working from home, the media largely framed this as detrimental to women, not men. Mayer's decision was portrayed as limiting work-life flexibility for mothers, who may need to be at home -- or prefer to be at home -- with their children. Her decision was not sexist, but the coverage was.

More than 40 years ago, psychologists Sandra and Daryl Bem invented a simple test to determine whether a statement was sexist: Could you exchange the word "women" for "men" and still have the sentence work?

Try it with the most-read essay the Atlantic magazine has ever published, Anne-Marie Slaughter's article, "Why Women Still Can't Have it All." In sentence after sentence, Slaughter's piece fails the test. In fact, the title fails. Yet few have questioned why the piece wasn't headlined "Why Parents Can't Have It All."

Simplify your life: Telecommuting isn't just for parents

Maternal employment continues to pose a threat to our strongly held belief about motherhood -- it is natural for mothers, not fathers, to have primary responsibility for raising children. By not challenging this recent cultural invention, we continue to lock young mothers into the same social binds that trapped me, even when I knew better.

Today, we are bombarded with the message that raising children is solely a mother's job. When women are pregnant, people ask them, but not the fathers of their children, whether they plan to return to work. When couples shop for baby products, they discover packaging and advertisements featuring mothers with children, not fathers with children or couples with children. When they watch television programs, even "Modern Family," they find stay-at-home mothers and employed fathers. Not very modern. Or perhaps it is modern, and that's the problem.

The cost to women is great in lost opportunity. The cost to society is great in lost human capital. In the United States, women comprise only 20% of the U.S. Senate and 18% of the House of Representatives. Just 12 of the 50 largest school districts are led by women. There are only 21 women leading Fortune 500 companies, and according to a recent McKinsey survey, only 18% of women managers want to be CEO, compared with 36% of men.

In this context, Sheryl Sandberg, the COO of Facebook, is "encouraging mothers with careers to opt out of the parent-or-career woman binary and firmly choose both." By encouraging women to "lean in," some, such as Slaughter, say Sandberg is placing undue burden on individual women. Others argue that she is letting policymakers and cultural arbiters off the hook. People are focusing on the wrong issues. Sandberg is providing a powerful counter narrative of possibility that is all but missing in our culture.

Where does the solution lie?

I have spent much of my 31-year career as a scholar arguing for family-friendly policies like quality child care, parental leave, and flexible work hours. But if we view these policy changes as supporting maternal -- rather than parental -- employment, then roadblocks for women will remain.

We understand sexism when it's explicit -- unequal pay for equal work -- but we haven't acknowledged gendered cultural biases surrounding parenthood. Our implicit biases limit the aspirations of men and women alike. The solution lies in recognizing the problem. Only then will we change our culture.

The opinions expressed in this commentary are solely those of Kathleen McCartney.

@highlight

Kathleen McCartney believed modern motherhood is a cultural invention, not biological destiny

@highlight

As a mom in '80s, she was a primary caretaker, but thought cultural attitudes would change

@highlight

She says nothing changed; child care, flex time, baby leave are still considered women's issues

@highlight

McCartney: Workplace equality won't improve until these are considered "parental" concerns