(CNN) -- The crisis in Crimea, though potentially destabilizing to the global economy, may present a silver lining to the U.S. economy: an opportunity to reinvigorate the American shipbuilding industry and Merchant Marine.

Even though Russia supplies 30% of Europe's natural gas, President Vladimir Putin's territorial aggression is causing Europe to look elsewhere for its energy needs.

The U.S. should be prudent in exporting this natural resource, which has led to resurgence in domestic manufacturing, but I believe that the liquefied natural gas we do send overseas should be shipped on U.S.-flagged tankers and crewed by U.S. licensed and unlicensed mariners.

I am pursuing this policy, as the ranking member of the Coast Guard and Maritime Transportation Subcommittee and a member of the House Armed Services Committee, because it will boost the domestic maritime industry and strengthen our national defense and economic security.

U.S. natural gas, globally, is abundant and cheap, making it an attractive commodity for other nations that are net importers of energy resources.

The Department of Energy has approved seven liquefied natural gas export applications, and 24 more are pending.

To transport gas via the ocean, the world must rely upon two countries to build these tanker vessels: Japan and South Korea.

Despite being the early pioneer in gas tanker technology, America is no longer on this list. For decades, the federal government and Congress have largely ignored the health of its own shipbuilding industry, especially the capacity to build large oceangoing tankers, bulk carriers and container vessels.

In 1951, we had 1,200 ships in the U.S. foreign trade. Today, we have 90 ships. Obviously, this is not a good trajectory if we are to maintain our heritage as a great maritime nation.

Everyone agrees that the U.S. is the greatest naval power in the world. But our naval superiority may not sustain itself if we fail to make the necessary investments to maintain and enhance our technological edge.

We can do that by reinvigorating an innovative shipbuilding industrial base, and by requiring that liquefied natural gas exports be carried on American bottoms, we can provide a new long-term market to sustain this revitalization.

Those who oppose such a policy often point to two criticisms. First, recognizing at present that there are no American shipyards building liquefied natural gas tankers, how can we require such exports to be carried on U.S. ships that are not being built?

They are not being built because in some markets, especially strategic ones like shipbuilding and defense, the government must require that we maintain these capabilities through policies such as the one I am proposing.

Our shipyards assure me that if we were to adopt such a policy, they could retool their production lines and have liquefied natural gas tankers sliding down the ways within five years, not long after the first export terminal is completed.

The other criticism is that it will cost more to use American-built liquefied natural gas tankers than those built in foreign yards and that this cost differential will be an impediment to the growth of the export market.

This argument is about the bottom line of energy companies and not the bottom line of America's shipbuilding industry. Our nation's economic and national security and the well-being of our middle class would benefit from this new source of high-paying jobs, both in the shipyards and in our Merchant Marine.

Opportunities must be seized when they become apparent.

We have allowed other nations to wrest away from the U.S. its former dominance in this strategically vital industry. We must seize the exportation of natural gas as an opportunity to reinvigorate the domestic maritime industry and bolster our national defense.

We are a maritime nation, and we can build liquefied natural gas tankers in America. But in order to do so, we must act now.

Join us on Facebook.com/CNNOpinion.

The opinions expressed in this commentary are solely those of Rep. John Garamendi.

@highlight

Rep. John Garamendi argues that Europe may look beyond Russia for natural gas

@highlight

That, he says, creates an opening for increased exports of U.S. liquefied natural gas

@highlight

It also increases the need for U.S.-flagged transport ships, he writes

@highlight

But the U.S. shipbuilding industry has withered as Japan and South Korea have thrived