(CNN) -- In her new book "10-10-10," Suzy Welch advocates a fast and reasoned approach to decision making by asking readers to think about the impact their decisions will have in 10 minutes, 10 months and 10 years.

Suzy Welch, right, developed a decision-making process before marrying former GE CEO Jack Welch.

The business writer, whose work appears in BusinessWeek and O: The Oprah Magazine, spoke with CNN about whether her method could have prevented the financial crisis, what Oprah would think of her mistrust of gut reactions and how to avoid becoming a cliché from a Talking Heads song.

An excerpted version of that interview is below:

CNN: Could you start off by explaining what 10-10-10 means?

Welch: It's a way of infusing intentionality and deliberateness into your decision making so you are living your life instead of your life living you.

It impels you to do a values excavation, where you have a very candid conversation about what really matters to you: who you are, who you want to be.

Then you take each decision -- each messy decision, each complicated decision; it's not about "Where do we go to dinner?" -- and you consider the consequences of your options in the immediate future, 10 minutes, in the foreseeable future -- that's the 10 months -- and then the distant future -- that's the 10 years.

CNN: How does that compare with other decision-making methods, say, like, going with your gut reaction or flipping a coin?

Welch: Gut's got its moment. There's a story in the book about when gut saved my life. I think gut is no way to live your life. Gut is a not-transparent, relatively inconsistent method for building a life of your own making.

Now, the problem with gut is that good decision-makers are made, not born. If you ask a neuroscientist what gut is, [he or she would say] some of our gut reactions are hardwired on the savanna plain at the beginning of humankind.

So, paralysis in moments of fear. The sort of selective deafness we have: only listening to people that we like. Not breaking from the group. There are hardwired neurological responses that always the best decision options.

So I say, listen to your gut. But do a 10-10-10, and if there's a gap, figure out why.  Watch Suzy Welch talk about decision-making paralysis »

CNN: So if these gut reactions have evolved over time, is this sort of decision-making process then going against what we've evolved to do?

Welch: It is a shortcut to wisdom. So, in fact, when you meet somebody who's really, really wise and you ask them how they make decisions, you often hear them describe a form of 10-10-10.

It takes a lot of courage to turn to your parents or to turn to your spouse and say, "Actually, this is not my beautiful life." I'm just quoting that Talking Heads song, but you can wake up when you're 40 or 35 and say, "Oh, my God, I lived the last 10 years for someone else."

This is a way to avoid that.

CNN: Does this work for everyone?

Welch: I've yet to see it not work. I've talked to many, many people now who use it. Here's where it falls apart: It falls apart in the execution of it. Because people will make a great 10-10-10 decision and then not have the courage to live it.

CNN: If everyone used 10-10-10, do you think we'd be in the financial crisis we're in?

Welch: The reason we're in a financial crisis is because some people did things without integrity. 10-10-10 is so based on having good values. If your values hurt other people for your own financial advancement, a good 10-10-10 decision isn't going to undo that.

Had people been playing to their better angels and used 10-10-10 in the financial crisis, yeah, we probably could have avoided some of it.

CNN: What's the hardest decision you've ever had to make?

Welch: I write about it in the book. It was my divorce ... Just technically speaking, the decision to end a marriage, there's just almost nothing harder.

CNN: Are there any decisions you regret?

Welch: Oh, I have a billion of them. That's why 10-10-10 came to be, because I was regretting too many decisions.

Since I started using 10-10-10, I think that I've gotten my decision making in a great place. I don't want to say that with any kind of hubris, because I make mistakes all the time, because I'm human. I'm all too human, I guess.

But, you know, there's no 10-10-10 decision I regret. ... I don't regret the marriage that I ended, because I have four fabulous children because of it, but perhaps I should have ended it earlier.

CNN: In the long term, do you think there are bad decisions? Because like with that one, you're saying there are good things that come of it. You learned something.

Welch: The great thing about the human condition, OK, is that life goes on. And there are good things that come out of bad. But there are bad decisions that stall you for years. And there are decisions that we make way too late. And if anything what 10-10-10 does is that it expedites good decisions. ... If anything, 10-10-10 encourages us to start living our lives sooner.

CNN: You write for O magazine, right? I've heard Oprah talk about gut reactions and trusting yourself. Do you think she would agree with you [on 10-10-10]?

Welch: You know, I don't know how she would feel about it. The book says very clearly that gut has its place. Gut is pattern recognition. I'm not going to denigrate gut. Sometimes our gut is our inner voice. And I don't say "don't listen to it." What I'm saying is, "backstop it." What I'm saying is, "uncheck it." What I'm saying is, "unpick it."

Sometimes gut is great, and sometimes gut is just easy.

@highlight

Suzy Welch writes about a fast way for people to make smarter decisions

@highlight

Welch says her method could have prevented some of financial crisis

@highlight

Welch says her strategy is a "shortcut to wisdom"

@highlight

She says she's not sure what Oprah would think of the 10-10-10 approach