When the Parr family started having serious health problems late in 2008, they had no idea it was associated with what they call "a multitude" of drilling operations that popped up near their 40-acre ranch in Decatur, 60 miles northwest of Dallas.

At first, Lisa Parr dismissed her migraine headaches, nausea and dizziness as the flu, but when her symptoms persistently got worse, she knew something more serious was involved.

"By 2009, I was having a multitude of problems," Lisa Parr told CNN. "My central nervous system was messed up. I couldn't hear, and my vision was messed up. My entire body would shake inside. I was vomiting white foam in the mornings."

In 2009, Lisa's husband, Robert, and their 11-year-old daughter, Emma, also became ill, suffering a laundry-list of symptoms.

"They had nosebleeds, vision problems, nausea, rashes, blood pressure issues. Being that the wells were not on our property, we had no idea that what they were doing on the property around us was affecting us," she said.

'Private nuisance'

After a two-week trial that ended Tuesday -- Earth Day, coincidentally -- a Dallas jury awarded the Parr family $2.9 million for personal injury and property damages in the family's lawsuit against Plano-based Aruba Petroleum Inc.

According to the lawsuit, Aruba Petroleum had 22 natural gas wells within a 2-mile radius of the Parrs' property, with three wells in close proximity to their Texas home. The closest was 791 feet away.

As a result of poor management and lack of emission controls, Aruba Petroleum created a "private nuisance" to the Parr family by producing harmful air pollution and exposing them to harmful emissions of volatile organic compounds, toxic air pollutants and diesel exhaust, the lawsuit said.

Op-ed: Make sure fracking is done right

Aruba Petroleum argued to the jury that it consistently met state regulatory standards for air emissions and that there was no evidence its fracking of the wells harmed the Parr family in any way.

In a statement released after the verdict, Aruba said "natural gas development has long been prevalent in Wise County," and dozens of companies operate hundreds of wells there. The company further said it complied with state air-quality limits and that its experts made strong cases countering the Parrs' claims in court.

"We contended the plaintiffs were neither harmed by the presence of our drilling operations nor was the value of their property diminished because of our natural gas development.  We presented thorough and expert testimony from recognized toxicologists and medical professionals, as well as local real estate professionals, to help the jury make an informed decision," Aruba's statement said.

"Unfortunately, they returned a verdict that we believe is counter to the evidence presented."

An important precedent?

Fracking, which is short for hydraulic fracturing, is the process by which drillers pump large amounts of water mixed with sand and chemicals into a shale or rock formation. The wells can be deeper than 8,000 feet, and the process fractures the shale around the well, allowing the natural gas in the shale to flow freely.

Interactive: How fracking works

Is energy independence a myth?

Lisa Parr said that she knew by July 2010 that the "loud operation" next door to their ranch was toxic.

"One night, our whole house was vibrating and shaking. We lease that property for our cattle and so I went over there to make sure our cattle wasn't around there, and when I went over there my nose and throat started burning."

Parr called the state Commission on Environmental Quality.

"My doctor, an internal specialist, found 20 chemicals in my body and he said, 'Lisa you must move immediately. You will spend more time and money on hospitals, chemotherapy, and a mortician ... and you need to get an environmental health doctor immediately,' " she said.

The Parrs filed suit in March 2011, asking for $66 million in damages against nine companies that were originally thought to be involved in the drilling operations.

Eventually, some of the energy companies were dismissed from the case, and some reached settlements before the trial. Their identities cannot be disclosed, according to the Parrs' Houston-based attorney, Brad Gilde.

During discovery, Gilde said that "substantial evidence" showed that Aruba Petroleum was a factor in causing the Parrs' health problems. He said he believes the Parrs' court victory -- which he says is the first jury award for personal injury in a U.S. fracking case -- "marks an important precedent for the future of natural gas production."

"Because of their courage and determination for justice, the Parrs have successfully held Aruba Petroleum Inc. accountable for their careless and reckless behavior," he said.

CNNMoney: Fracking has hot year in China

Aruba had a starkly different take on the verdict and left the door open to an appeal.

"We thank the jury for its service," the company said. "The facts of the case and the law as applied to those facts do not support the verdict. ... Talk of an appeal is premature. Aruba has a number of arguments to be made in the trial court for why a judgment should be entered in its favor. "

'Knee-jerk reaction'?

Attorneys who represent the energy sector and are familiar with Parr v. Aruba Petroleum Inc. say they don't believe the case will set a precedent. Nor will it establish a blueprint for "copycat" cases, they say.

Rather, they see this case as an anomaly due to the fact that it went to trial and addressed a rare nuisance allegation that evolved into a case revolving around personal injury from toxic exposure.

Wendy May, a Dallas-based attorney who represented a prior defendant in the case before that company was dismissed from the lawsuit, says she doesn't think the Parrs' jury award will survive an appeal.

"The knee-jerk reaction by people not understanding the limitations of this verdict in this case may, in fact, cause others to believe there is an avenue for cases that there may not ultimately turn out to be," May said. "I don't think it presents any precedents, certainly not from a legal perspective. I think the case is ripe for review by the appellate courts, and based on clear law that has been laid out by the Texas Supreme Court, a decision like this should not stand."

Oiling on Indian reservations

Gail Wurtzler, another environmental defense attorney, agrees with May that this is a one-off case because of the "situational" facts involved.

"Nuisance cases are very fact-specific, and because they are fact-specific, the results in one would not have implications for others," Wurtzler said.

Regardless, the Parrs say they feel vindicated by the six-person jury's decision after what they describe as a six-year nightmare of nonstop health issues.

They're now living at their ranch again and say that since Aruba has put units on their well sites to clean the air -- and the well closest to them has been shut down -- they are feeling better.

"With that being down, we're better about staying here. Now with this lawsuit being over, the curious question is whether they are going to shut this back on. That will determine if we have to move again. I don't trust this company," Lisa Parr said.

Asked about the prospect of a drawn-out appeals process, she says they're ready for a fight and quotes one of her favorite musicians, Tom Petty: "I stand my ground, and I won't back down."

"I am very pleased with the verdict. This was justice that was served not only for us, but for every family in the world who has suffered from health effects and the negligence from this type of industry," she said.

Perhaps surprisingly to some, Lisa Parr says she's not opposed to the work oil companies do. She simply wants them to do their business responsibly, she said.

"We are not anti-fracking or anti-drilling. My goodness, we live in Texas. Keep it in the pipes, and if you have a leak or spill, report it and be respectful to your neighbors. If you are going to put this stuff in close proximity to homes, be respectful and careful."

@highlight

Parr family suffered from nosebleeds, rashes, vision problems, "vomiting white foam"

@highlight

A Dallas jury this week ordered Aruba Petroleum to pay the Parrs $3 million in damages

@highlight

Aruba says it didn't cause health problems or property damage; company may appeal

@highlight

Asked about drawn-out appeals process, Lisa Parr quotes Tom Petty: "I won't back down"