(CNN) -- It has long been the final destination for terminally ill patients who want to end their lives, offering what many consider to be a dignified way out of their suffering.

But now, Switzerland is proposing legislation that would limit the practice of assisted suicide to people who are terminally ill -- or ban it altogether.

If either proposal is adopted, people suffering from a chronic illness or who have a mental illness could no longer legally take advantage of assisted suicide.

The Swiss Federal Council says it doesn't necessarily want to end the country's liberal laws, which allow someone to assist a suicide as long as they are not motivated by their own interests.

But the council says organizations that provide assisted suicide in Switzerland -- such as the well known Dignitas clinic -- are increasingly testing the boundaries of the law, requiring the government to lay out specific guidelines and restrictions.

Recent cases have drawn more attention to "suicide tourism," in which people who can't legally seek assisted suicide in their home countries travel to Switzerland, where it is allowed.

Dan James, a 23-year-old British rugby player, ended his life at a Swiss assisted suicide clinic last year. He had been paralyzed from the neck down in a rugby accident. His illness was chronic but not terminal.

James' case drew headlines when his parents, who accompanied their son to Switzerland, returned home to questions from police. In the end, the Jameses were not prosecuted.

Multiple sclerosis sufferer Debbie Purdy won a high-profile battle in June to have Britain's law on assisted suicide clarified. Purdy, who has said she wants the option of assisted suicide if her condition deteriorates, wanted to know at what point her husband might be prosecuted if he accompanied her to an assisted suicide clinic.

Purdy's case went all the way to the Law Lords, Britain's highest court, who ordered the director of public prosecutions to issue a new policy on assisted suicide. He did so last month.

Multiple sclerosis is chronic disease and some times can be terminal, leaving open the question whether Purdy might qualify if the new Swiss proposals are approved.

At least 117 Britons have traveled abroad for an assisted suicide since 2002, at an average of two a month, according to Dignity in Dying, which advocates giving terminally ill adults the option of assisted suicide.

Switzerland's Parliament is now considering two proposals from the federal council, the seven-member cabinet that heads the government. Consultations on the proposals will last until March.

The first option would ensure that the person committing suicide is doing it of their own free will, and that the person assisting them is not driven by personal gain. It would also make assisted suicide an option only for those suffering from a terminal illness -- not for those suffering from a chronic or mental illness.

The suicidal person would have to declare that he has given "long and proper consideration" to his decision," according to the council. That is intended to prevent spur-of-the-moment decisions that have not been thought through, the council says.

Patients must also present two different doctor's certificates from two different doctors, one stating that they have the legal capacity to decide their options for themselves, and the other stating that they suffer from an incurable physical illness that will result in death within a short period.

For those with chronic or mental illnesses, the council said it supports "comprehensive treatment, care and support, in the sense of palliative medicine" rather than suicide.

Those assisting with suicide face criminal charges if they don't make sure of these steps, the council says. They must also discuss alternatives to suicide with the patient, and must not accept payment for their services that would exceed the costs and expenses of the suicide.

"This provision ensures that those assisting a suicide are not driven by personal gain, and that their prime motivation is to help the person who wishes to die," the council says.

"The Federal Council firmly believes that, by determining these duties of care, the negative aspects and abuse of organized assisted suicide can be prevented, and 'suicide tourism' can be reduced."

The council says it prefers stricter legislation for assisted suicide, but it is also giving Parliament a second option for a complete ban on organized assisted suicide.

"This option rests on the belief that individuals working in assisted suicide organizations are never actually motivated by purely altruistic reasons, and may develop a close relationship with the suicidal person," the council says.

Dignity in Dying said it welcomes the first option, restricting assisted suicide to terminally ill, mentally competent people.

"Individual patient autonomy has to be balanced against the need to protect potentially vulnerable people," the group said in a statement Thursday. "This proposal seeks to address this balance."

@highlight

Switzerland has reputation for lax laws on assisted suicide

@highlight

Authorities proposing regulations that would put limits on the the practise

@highlight

Recent cases have drawn attention to "suicide tourism"