Atlanta (CNN) -- Atlanta's schools will flag suspicious test scores and achieve a culture of integrity in the wake of a cheating scandal that could lead to criminal charges against some principals and teachers, officials vowed Thursday.

Interim Superintendent Erroll B. Davis Jr. received school board approval to mandate ethics training for employees and provide remedial help to perhaps thousands of Atlanta Public Schools students who may have improperly advanced because of the cheating.

"We will have a more open, transparent and empowering culture," said Davis.

In a bid to increase stability as it seeks to overcome the scandal and receive full reaccreditation, the board extended Davis' contract through June 2012. Davis recently retired as chancellor of the University System of Georgia.

Dozens of Atlanta public school educators falsified standardized tests or failed to address such misconduct in their schools, Georgia Gov. Nathan Deal said Tuesday in unveiling the results of a state investigation that confirmed widespread cheating in city schools dating as far back as 2001.

Investigators said 178 teachers and principals working at 44 schools were involved in the cheating scandal. The educators, including 38 principals, were either directly involved in erasing wrong answers on a key standardized test or they knew -- or should have known -- what was going on, according to the governor's office.

Deal's office said 82 of the educators acknowledged involvement, according to the report. Six principals declined to answer investigators' questions and invoked the Fifth Amendment right against self-incrimination, Deal said.

Davis told reporters he expects to move forward on the first personnel actions on Monday. Punishment could include termination or reassignment away from the classroom. He provided no further details.

The investigation's findings have been forwarded to the state teacher licensing board, Deal said. That agency could take disciplinary action against the educators involved. Whether to bring criminal charges will be up to prosecutors, Deal said.

Board members said it was important to remember that many Atlanta teachers did their jobs well.

The system's former superintendent on Wednesday denied she knew of any widespread falsification by educators of student test results.

Beverly Hall lashed back at a scathing state report that concluded she "either knew or should have known cheating and other misconduct were occurring in the APS system."

"We reaffirm Dr. Hall's position that she most definitely did not know of any widespread cheating on the CRCT (Criterion-Referenced Competency Tests) in 2009 or any other year," she said in a statement released through her attorney.

The state's report indicated there was a climate of cheating and performance-at-all-costs during Hall's tenure.

"I do not accept a focus on performance causes people to cheat," Davis said. "What motivates people to cheat ... is a climate that allows cheating to occur without consequences."

The training of test coordinators will be handled by an external group.

The cheating was brought to light after marked improvements in the district's performance on the 2009 statewide CRCT revealed a pattern of incorrect test answers being erased and replaced with correct answers.

Investigators compared the results with test results from other Georgia schools and found that such patterns did not occur normally, Deal said. That the district's CRCT results fell in 2010 further confirmed the findings, according to the report.

Davis pledged to look at the target-setting process for teachers and conduct a survey of educators.

"I want to know if there is a climate of fear or intimidation," he said.

At the same time, Davis said, a culture of low expectations is unacceptable.

Parents and city residents seemed pleased with Davis' opening moves in what promises to be a long process in restoring credibility to the school system.

"I believe there are personnel who don't need to work with students anymore," said Kathryn Grogg, whose twin daughters are entering first grade and attend a school not implicated in the scandal.

Marcia Klenbort, whose three children attended Atlanta Public Schools, said the school board failed to hold Hall accountable and did not adequately address the cheating before the state stepped in.

While she believed Hall was supportive of schools in her neighborhood, Cynthia Briscoe Brown, co-president of North Atlanta Parents for Public Schools (NAPPS), told CNN she hopes the new superintendent will extend that to all areas of the city. NAPPS said authorities found no evidence of changed answers, test tampering or a cover-up at any of the eight schools in its cluster.

Shawnna Hayes-Tavares, who has three children in the school system, said students need individualized education plans.

The school activist said she is suspicious of high scores two of her children received, including a son who tested well below grade level when he transferred to another school.

The solution must be twofold, said Hayes-Tavares.

Administrators must ensure there are equal opportunities at all schools, she said, while parents must become more involved in their children's education -- both at school and home.

U.S. Education Secretary Arne Duncan said the scandal proves there are no shortcuts to success.

"This unfortunate incident highlights the need for transparency and accountability throughout our education system," Duncan said in a statement Thursday. "Having good information to measure student progress is an absolute bedrock requirement in ensuring that schools are preparing our children for success."

@highlight

School board accepts interim school chief's recommendations

@highlight

Former superintendent denies wrongdoing in cheating scandal

@highlight

Report confirms widespread cheating in Atlanta Public Schools

@highlight

Investigators said 178 teachers and principals were involved