St. Paul, Minnesota (CNN) -- Nick Lott's clothes hang neatly inside his closet. His room is tidy and his bed is sharply made. He says it's "a blessing" that he even has his own room to keep clean.

"This is all I've got, really," Nick says. "It's clean, comfortable, safe -- that's a big thing."

His immaculate living quarters contradict his life, which was upended by his addiction to alcohol. And that's what brought him to St. Anthony Residence in the first place.

On the cinder-block wall next to his TV stand, Nick keeps a tally of how many days it has been since his last drink. At this moment, four days are crossed off the calendar.

About 60 late-stage alcoholics live at St. Anthony Residence in St. Paul, which is partly funded by the state of Minnesota, and operated by Catholic Charities.

It's not a treatment center, although residents have access to counselors. They're even allowed to drink at St. Anthony -- the alcohol isn't provided, but the men are allowed to bring it to the residence.

The residents receive a monthly check of $89, and most of it goes to alcohol.

"We can use that cash on anything we want to do," resident Ray Spoor says, matter-of-factly. "And I don't only use it on alcohol, I use it on personal needs like toiletries ... but after that, I use it on booze."

Meet another St. Anthony resident

St. Anthony -- often called a wet house -- operates under the principle that it's safer and cheaper to have these guys drinking in a controlled environment than out on the cold Minnesota streets.

"These are all men that have been through treatment, numerous attempts," says St. Anthony Residence program director Bill Hockenberger.

"These are men that lost their jobs, relationships, homes due to alcohol -- all family ties pretty much have really reached rock bottom."

The men are either recommended by the county after numerous visits to detox centers, or they can apply to live there.

Dr. Drew: Pointed questions on 'wet houses'

Hockenberger says St. Anthony follows a harm-reduction model: It provides shelter, meals and medical attention for late-stage alcoholics, defined as those who have suffered a host of physical and psychological problems because of their drinking.

"The staff treat you with respect," Lott says. "I'd be in a bad, bad position without a place like this. ... I would be running around panhandling and annoying people and maybe even stealing."

'Harm reduction' or 'giving up'?

There are at least five "wet houses" for chronic alcoholics in Minnesota. Catholic Charities operates two in the Twin Cities -- St. Anthony in St. Paul and the Glenwood in Minneapolis -- with the help of state funding. And there's a similar residence, called Anishinabe Wakiagun, run by the Native American community in Minneapolis.

Seattle opened 1811 Eastlake, a state-subsidized residence for late-stage alcoholics, in 2005.  And other cities, including Anchorage, Alaska; Memphis, Tennessee, and Philadelphia are considering building similar housing.

There was a lot of opposition in Seattle when the residence was first proposed in 1999. A legal challenge led by a prominent businessman delayed the opening of 1811 Eastlake for six years.

"A lot of the rhetoric that their attorney used was that it would be a party house, a free-for-all," said Nicole Macri, administrative director for Seattle's Downtown Emergency Center, which oversees the residence. "It really has more of a feel of a convalescent home than a party house."

A University of Washington-led research team studied a group of 95 chronically homeless alcoholics and found that in one year, they cost taxpayers more than $8 million in hospitalizations, detox center treatments and incarcerations.

When the same group spent one year in Seattle's Housing First program -- residences where they are allowed to drink -- the same group cost $4 million in taxpayer money, according to the study, which was published in the Journal of the American Medical Association.

There are other Housing First programs across the United States that emphasize providing shelter first, then treating addictions later.

So far, in Memphis, there hasn't been a lot of opposition to building a residence where alcoholics can drink, city administrator Kimberly Mitchell said.

The potential savings of taxpayer money is at the heart of the argument for a wet house-style residence that is part of Mayor A C Wharton's 10-year action plan to end homelessness, Mitchell said.

"What we're trying to tell them is that it's going to affect everybody -- representatives from 911, from the medical side, as well as the criminal side," she said.

"If you have police pick them up, then that's taxpayer dollars."

Manager: Housing chronic alcoholics makes moral, budget sense

St. Anthony Residence in St. Paul advertises itself as a "cost-effective and compassionate housing option" that "costs less than $50 a night," compared with a night at a detox facility, which costs more than $200.

But the idea of giving chronic alcoholics access to their drug of choice on the taxpayers' dime is unacceptable to most addiction counselors.

It's basically giving up on a treatable disease, according to William C. Moyers, a director at Hazelden addiction treatment centers in the St. Paul-Minneapolis area.

"We feel that that it's never too late, and that even if the alcoholic doesn't want help, doesn't mean that their drinking should be condoned or in any other way enabled or facilitated," says Moyers, author of "Broken: My Story of Addiction and Redemption."

"I see the wet house model as a model that enables the addict in the alcoholic to continue those destructive patterns."

Dr. Drew Pinsky, an addiction specialist and host of HLN's "Dr. Drew" show, says that the idea of a residence allowing alcoholics to drink raises some concerns.

"It seems to me that these organizations sometimes use terminology that suggests this is a harm-avoidance option. But this, too, is treatment, not hospice," Pinsky said.

"If wet houses provide safety, comfort and some measure of respect for those with a serious illness, they may be the best choice for some."

Nick's story

After vodka ruined his career as a kitchen manager, Nick Lott found himself sleeping under a bridge -- or "sleeping under the stars," as he puts it.

"[I'd] get so drunk, it didn't matter," he says.

Then, five years ago, he made his way to the Glenwood, before moving to St. Anthony.

"My sister kind of pooh-poohed it, [she] thought, you know, 'Why would you move into a place like that when you know you have the problems that you have?' " Nick says. "But I think after awhile, they came to realize this was a pretty good thing.

"They would rather see me in a place like this than on the streets."

Nick had been in and out of detox centers "at least 100" times, sometimes just staying there for a shower and a place to sleep.

He doesn't like to talk about his past, but he readily takes responsibility for his situation.

"I regret a lot of decisions that I made. I really have nobody to blame for any of my misfortunes," he says. "It's because I drank and the way I drink ... If I didn't drink, I think, things could have been very different."

On April 1, the first Friday of the month, Nick gets his $89 check and cashes it. After a couple of purchases at Walmart, he spends the rest at a liquor store.

"A majority (of the $89) goes to drinking, and I know that must sound horrible to the taxpayers, but that's what it is," he says. "Maybe that's all there is left for me," he ponders, his voice trailing.

"And it only makes you feel good for maybe a day or two, and then the money runs out or, you know, the physical and then mental things start going on ... and it just makes things worse.

"But the few moments that it does make you feel good almost seem worth it."

His routine, like that of most chronic alcoholics, revolves around his next drink. And that, he says, makes it impossible to stay connected to his siblings who live in Nebraska and Minnesota.

"I don't see them very much. To be quite honest, I kind of avoid them," he says. "It's like, what do you talk about? 'Well what are you up to now, Nick?' 'Well, I live in a wet house, and I don't work. Nothing's going on with me.'"

Nick says he still has a sliver of hope that he can turn his life around, when asked if he expects to spend the rest of his life at St. Anthony:

"Well, that just depends on how much time I have left," he says. "You know, people die here all the time. ... (There's) a possibility of not spending the rest of my time here, of maybe pulling myself up and making lifestyle changes."

Less than a month after that interview, Nick Lott died at the age of 52 -- a shock to those who knew him. St. Anthony officials did not have any details about his death, and his family could not be reached for comment.

His words captured the struggle that chronic alcoholics face every day:

"It gets to where you almost feel afraid to quit drinking because it's like sometimes, it just seems like that's all there is."

CNN's Tricia Escobedo reported from Atlanta and Chris Welch reported from St. Paul.

@highlight

Homeless alcoholics can drink on the premises of St. Anthony Residence in Minnesota

@highlight

Supporters say these so-called wet houses provide a safe place and save taxpayer money

@highlight

Those opposed, mostly addiction counselors, believe the model gives up on a treatable disease

@highlight

There are wet houses in Seattle and Minneapolis-St. Paul