Mexico City (CNN) -- Telephones are ringing off the hook at this office in Mexico's capital, where a group of well-known activists are planning the final details of a protest on the other side of the Mexico-U.S. border.

In a month-long Caravan of Peace across the United States, organizers say they will denounce what they believe are the devastating consequences of the fight against drug trafficking.

San Diego, California, will be the first stop on Sunday for poet Javier Sicilia and 70 other members of Mexico's Movement for Peace with Justice and Dignity on their trek through more than 20 cities in the United States.

Along the way, 40 people whose family members are among the tens of thousands of dead and disappeared in Mexico's drug war will speak out about their experiences and work to create a new network with more than 70 U.S. nonprofit organizations.

"We want citizens to confront the blindness of politicians and their interests as much in the United States as in Mexico," says Sicilia, who became one of Mexico's most prominent activists after his son's slaying in March 2011.

The caravan will stop in sites north of the border that the poet considers key -- including Los Angeles, Phoenix, Houston, New Orleans, Atlanta, Chicago and New York -- before arriving in Washington on September 10.

"It will not be easy to cross the cultural divide to discuss subjects like drug legalization, the illegal production and sale of weapons, trafficking of migrants and money laundering," Sicilia says.

And the protest's timing is another challenge, Sicilia says, noting that his group could struggle to gain attention during a fierce election campaign between incumbent U.S. President Barack Obama and his presumptive Republican challenger Mitt Romney.

Still, he says he is confident that host organizations in the United States will help them create "a narrative that can sensitize the U.S. population about these problems."

The tough political climate, the intense waves of heat sweeping the country this summer and the large distance to cover -- more than 5,800 miles (9,400 km) -- have inspired Sicilia to describe his upcoming journey across the United States as an "odyssey."

For the mystical poet, who has become a key player criticizing Mexican President Felipe Calderon's strategy to fight organized crime, the caravan through the United States is the latest leg of a journey that began after his son's slaying.

In March 2011, 24-year-old Juan Francisco Sicilia's lifeless body was found with six others, crammed inside a car outside the central Mexican city of Cuernavaca. Masking tape was wrapped around their skulls, faces, wrists and ankles.

Authorities believe all seven victims suffocated to death, and they have accused local police of working with cartel members in the slayings.

After his son's death, Sicilia said he would no longer write poetry.

"The world is no longer dignified enough for words. They are choking inside of us," he said at the time.

While Sicilia stopped publishing poetry, words remain his weapon.

The movement he leads surged to national prominence after thousands joined a three-day protest march culminating in Mexico City's central square in May 2011. Since then, the poet has led a series of high-profile protests uniting people from across Mexico to tell the story of the country's losses and show the faces of those who died, disappeared or were displaced because of the fight against organized crime.

"I think that our main accomplishment was to put victims in the center of politics, to say, 'These are not collateral damages. These are not statistics. They are human beings,' " Sicilia says.

While he brought together witness testimonials as thousands joined his caravan marches across Mexico, he also garnered attention from the country's top leaders.

The movement has met with congressmen and senators, with Calderon and with the candidates who competed to succeed him.

"These are unprecedented things. They are seeds that are going to produce fruits at another moment," Sicilia says.

But some of Sicilia's behavior -- like demanding the resignation of Mexico's top public security official, then changing his mind -- has raised eyebrows.

Also, leading up to Mexico's presidential vote last month, Sicilia was criticized for saying he planned to cast a blank ballot.

And for some, his poetic language has been difficult to interpret.

"I think that's because a lot of poetry is misinterpreted or simply isn't heard," Sicilia says.

Since the movement began, in addition to protest marches across Mexico and meetings with top officials, there have been notable losses.

Members of the movement protesting violence in Mexico have also become victims. In a three-month period last year, three members of the movement were killed.

After these cumulative experiences, Sicilia says he feels deceived.

Mexican officials have said that more than 47,500 people have been killed in drug-related violence since President Felipe Calderon began a crackdown on cartels in December 2006. But activists like Sicilia -- who is sharply critical of Calderon's drug war strategy and the president's approach to dealing with victims of violence -- say the death toll is far higher than government estimates.

"The politicians don't keep their word. They are overwhelmed by reality. On their agendas, the 70,000 dead do not exist. The war does not exist," Sicilia says.

Even though Sicilia founded the movement and is its most identifiable face -- in 2011 he appeared as one of the protesters featured in Time magazine's person of the year edition -- he says he does not consider himself its leader.

"The best way to destroy a movement is to focus it on one figure and practically deify him. Through my mouth, I speak of the pain of this nation, but I am not (the nation)," Sicilia says.

Now, after more than a year of protests, Sicilia says this caravan could be his last.

After the protest through the United States ends, the poet says he is considering returning to a spiritual retreat in France, where he spent time while his children were young.

"I want to go, look within myself, find my solitude ... and end the pain (I feel) for my son."

@highlight

A "peace caravan" aims to raise awareness about the drug war's consequences

@highlight

The month-long protest led by a Mexican poet starts in San Diego and ends in Washington

@highlight

Javier Sicilia: "We want citizens to confront the blindness of politicians and their interests"

@highlight

"It will not be easy to cross the cultural divide," the poet says of the U.S. peace protest