Editor's Note: Tachi Yamada is the President of the Global Health Program at the Bill & Melinda Gates Foundation. He writes for CNN's Vital Signs about how the  island of Zanzibar has virtually eliminated the disease over the past five years.

ZANZIBAR, Tanzania -- I recently accompanied Margaret Chan, Director General of the WHO, and Ray Chambers, U.N. Special Envoy for Malaria, on a trip to Africa to see firsthand the region's fight against malaria.

A hospital ward on the Tanzanian island of Zanzibar stands empty.

The single most memorable image of the trip was from a pediatric hospital ward on the Tanzanian island of Zanzibar: a dozen beds and not a single patient in them. Imagine that.  I have searing memories of visiting wards much like this elsewhere in the world where there were as many as three children to a bed and more sleeping on the floor, deathly ill with malaria.

Where have all the patients gone? After all, malaria is a big killer in much of the developing world. It is probably the most prevalent disease that mankind has ever suffered.

Each year, there are over 250 million cases and almost one million deaths -- most of them young children, and the vast majority in Africa.

But in many countries, malaria is also a success story. Since 2000, the number of reported malaria cases, deaths, or both has declined by at least half in 25 countries. Zanzibar -- a relatively small but striking example -- has virtually eliminated the disease over the past five years. These successes show what a combination of political will, technical resources, and financial commitment can do when applied to a strategy that works.

There is no question that leaders and health officials in sub-Saharan Africa and other parts of the world recognize the horrible toll of malaria.

In fact, Uganda's Minister of Health told us that he himself has suffered from malaria three times this year.

This understanding of the problem and the availability of tools to address it led the Bill & Melinda Gates Foundation in 2005 to fund the Malaria Control and Evaluation Program in Africa, which focused on malaria control in Zambia.

Our investment was relatively small, but it helped Zambia create a comprehensive and aggressive national plan to fight malaria.

With funding from the President's Malaria Initiative, the World Bank, and the Global Fund to Fight AIDS, Tuberculosis, and Malaria, Zambia greatly expanded the use of proven tools to prevent and treat the disease, such as the use of indoor spraying with insecticides, distribution of bednets, and effective malaria treatment in government clinics.

As a result, in three short years, the malaria incidence in Zambia declined by more than 50 percent, and child mortality from all causes, including malaria, declined by 30 percent.

Zambia, Zanzibar, and other success stories provide a beacon of hope for the dream of a world free of malaria, articulated by Bill and Melinda Gates in 2007 when they put out a call to eradicate the disease.

Today, there are a number of outspoken people who question the value and true impact of development assistance.

The example of malaria shows that with political will, advice on planning, funds to purchase sound, scientifically validated tools, and the courage to measure results objectively, development assistance can have an enormous impact in a short period of time.

Where have all the patients gone? Home, where they can live happier, healthier lives. Let them be the retort to the skeptics of development assistance.

@highlight

Yamada: The number of malaria cases has declined by at least half in 25 countries

@highlight

Zanzibar has virtually eliminated the disease over the past five years

@highlight

Zambia expanded the use of insecticides, bednets, and appropriate treatment

@highlight

Bill & Melinda Gates Foundation helps funding a malaria control program