Reactions to the drowning of nearly 400 migrants in the seas off Lampedusa and Malta earlier this month demonstrate three important reasons why Europe will not resolve its immigration crisis any time soon.

First, the polarization of public, media, and political reaction has been striking. For some these were humanitarian tragedies, made all the more harrowing by dramatic language about divers 'unpacking a wall of bodies' in a trawler's hull, and the Mediterranean becoming  a "watery graveyard."  For others in contrast they represent a failure of border security that jeopardizes the integrity of the EU and is a harbinger for mass uncontrolled migration.

INFOGRAPHIC: How illegal immigrants enter the EU

The policy responses that flow from these conclusions are equally divided. There is a strong case to strengthen border controls. But an equally convincing argument is that more restrictive policies will only narrow options for desperate people and drive more of them into the arms of migrant smugglers and traffickers.

The former is clearly the predominant view among most policy-makers in Europe. Friday's Summit of the European Council in Brussels, while acknowledging the need to provide more development aid to some of the countries migrants are leaving, has mainly emphasized stepping up surveillance and sea patrols through the EU's Frontex border patrol agency.

But experience around the world demonstrates that border control is not a silver bullet. A portfolio of policies is required to reduce irregular migration, certainly including border control, but combined with addressing the root causes of conflict and poverty, combating smuggling and trafficking, effective migration management and return, and the regulation of labor markets.

Second, the capsizing has also exposed deep divides within the European Union. Countries on the front-line -- especially Cyprus, Greece, Italy, Malta, and Spain -- are calling for the rest of Europe to share out the burden of asylum seekers and irregular migrants who arrive there by sea, by relocating some of them at least temporarily.

But this challenges a fundamental EU law, the Dublin Regulation, which determines that dealing with asylum requests is the responsibility of the first EU state through which asylum seekers pass. And countries like France, Germany, and the UK, point out that they already receive the lion's share of asylum applications in Europe. As a result they have indicated a willingness to support capacity-building in states on the southern periphery, and to provide them limited financial assistance, but not to accept more migrants.

OPINION: Europe's immigration nightmare just beginning

In the absence of a coordinated EU approach, migrants -- and their smugglers -- will continue to target countries like Greece, Italy, and Spain as entry points; they will remain clandestine even if they may have a strong asylum claim; they will continue to work in the informal labor market or turn to crime to survive; and their rights will not be recognized or respected.

Third, the response to Lampedusa in particular could be described as an over-reaction in this sense: At least 1,500 people drowned or went missing while attempting to reach Europe via the Mediterranean in 2011, according to the U.N. The only unusual aspect is that large numbers died in the same incident in Lampedusa, and that they drowned close to European shores.

In other words while a one-off event has attracted attention, the systemic problem has been largely ignored. Now that the funerals have taken place the deaths are fading from view, and the issue has become quickly sidelined.

OPINION: EU must solve crisis to deserve Nobel Prize

Indeed the Brussels Summit has put off policy decisions on immigration to the forthcoming December 2013 and June 2014 Summits. The reasons are clear. Immigration has become a toxic political issue; especially as high levels of unemployment and the economic crisis have fuelled a growing anti-immigration sentiment across Europe. The downside of making policy on immigration in this environment strongly outweighs the upside. There is no political space to promote liberal policies on migration; while politicians at least behind closed doors know that restrictive policies are unlikely to work.

On Friday Italian authorities reported that they have intercepted as many as 800 migrants on three separate boats in the Mediterranean.

OPINION: What's the place of outsiders in Europe?

An acute crisis in Eritrea, from where many of those who drowned earlier this month and have been intercepted since came; combines with chronic instability and poverty in many sub-Saharan African countries, unpredictable transitions in North Africa, and the unfolding Syrian disaster, to translate into growing pressure on Europe's borders.

In the not-too-distant future Afghanistan's transition is likely to push even more people towards Europe.

And in the longer term disparities in development, demography, and democracy, as well as the effects of climate change, will drive still more migrants into Europe.

In the absence of a reasoned debate, a comprehensive policy response, a coordinated EU approach, and the political courage to confront irregular migration, Europe's immigration nightmare has only just begun.

@highlight

Deaths of more than 300 migrants near Italy in early October put immigration in spotlight

@highlight

Tragedy has exposed deep divisions among EU leaders about how to prevent next disaster

@highlight

Front-line countries want EU counterparts to bear greater burden of asylum seekers