Newtown shooter Adam Lanza was an isolated young man with deteriorating mental health and a fascination for mass violence whose problems were not ignored but misunderstood and mistreated, according to a report released Friday by a Connecticut state agency.

The 114-page report released by the Connecticut Office of the Child Advocate profiled the developmental and educational history of Lanza, the young man who carried out the mass killings at Sandy Hook Elementary School on December 14, 2012. The report noted "missed opportunities" by Lanza's  mother, the school district, and multiple health care providers. It identified "warning signs, red flags, or other lessons that could be learned from a review of [Lanza's] life."

The authors of the report relied on extensive documentation and interviews with Lanza's educators and doctors, as well as email exchanges between Lanza and his parents, to make their determinations and recommendations.

The report was dedicated to the 20 first-graders who died at Sandy Hook Elementary School on December 14, 2012. Six educators and the shooter's mother were also killed in the tragedy that shook the nation to its core and spurred a national debate over gun violence and mental health.

Read the report (PDF)

Days before

Lanza had not left his room in his mother's Newtown home for three months before the massacre.

He was anorexic, the report said, and weighed only 112 pounds the day he died, despite being 6 feet tall.

He kept his room locked and his windows blacked out with plastic garbage bags -- communicating little with the outside world, and with his mother only over email.

Lanza did find correspondents virtually, in an online cybercommunity of mass murder enthusiasts. In an email dated December 11, 2012,  three days before his attack, Lanza wrote to an unnamed chatter: "The inexplicable mystery to me isn't how there are massacres, but rather how there aren't 100,000 of them every year."

Despite sharing her worries about her son's condition with friends, the report said it does not appear Lanza's mother, Nancy Lanza, communicated any concerns to mental health or medical professionals in her final months.

And while the report determined that Lanza was not "obviously psychotic" in the time leading up to the shooting, the authors concluded that Lanza "appears to have been on a path to violence for some time."

Early development problems

The earliest record of Lanza's budding developmental problems appeared in an early intervention pediatric evaluation just before his 3rd birthday that indicated Lanza displayed "significantly delayed development of articulation and expressive language skills," and "fell well below expectations in social-personal development."

Lanza received special education support in preschool, where through age 5 he made up his own language and was reported to at times "sit and hit his head repeatedly," the report said.

Adam enrolled in Sandy Hook Elementary School in the first grade after his family moved to Newtown, the report said. Here, he continued to receive treatment for speech articulation problems, though the report showed that his special education classes were slowly phased out as his social interactions with his peers improved.

"The frequency and duration of services provided should be considered minimal," the report said, "and likely did not have a significant impact for AL's developmental trajectory."

The report concluded that Lanza's treatment suffered from a continual misguided focus on individual symptomatic intervention -- as with Lanza's articulation problems -- while "the larger issue of expressive communication received little attention, as did other aspects of his rituals and sensory sensitivity."

Lanza was completely integrated into the regular classroom in fourth grade, and by fifth grade, Lanza transferred into a new school, the Reed Intermediate School for grades five and six.

It was during this late elementary school period that major mental health red flags were raised, the report said.

'The Big Book of Granny'

Lanza and an unnamed co-author penned "The Big Book of Granny" for a fifth-grade project. The spiral-bound comic-book style piece, with a purple cover, was made up of violent stories, according to the report, "filled with images and narrative relating child murder, cannibalism and taxidermy."

"'The Big Book of Granny' can only be described as extremely abhorrent and, if it had been carefully reviewed by school staff, it would have suggested the need for a referral to a child psychiatrist or other mental health professional for evaluation," the report said.

Warning signs like the book and Lanza's increasing anxiety were improperly addressed by Lanza's mother and educators, the report said. It noted, however, that "teachers may have limited training or expertise to identify or respond to a student who may be progressing academically but who is also exhibiting difficulties in social emotional development" and urged additional training.

Lanza's father: He would have killed me 'in a heartbeat'

Denial

In a September 2005 visit to the Danbury Hospital Emergency Room for a crisis evaluation, Nancy Lanza described her son to the health care providers as "having had 'borderline autism' in the past, but having since outgrown it," the report said.

After evaluation, the hospital crisis team discussed recommendations for therapeutic support and additional psychiatric evaluation, though Nancy Lanza declined the recommendations, stating that Adam "would be 'better off' at home."

"The record seems to indicate that they cared deeply, that they tried," Dr. Harold Schwartz, a Hartford psychiatrist who co-wrote the report, told reporters in a teleconference, "but it's not clear that the depth of the issues were recognized and so their response, especially the response of Mrs. Lanza, could appear like denial."

The report concluded that a pattern of accommodation to Lanza's mental health conditions -- rather than addressing his underlying needs -- by Nancy Lanza and certain health care providers, exacerbated Lanza's mental status.

The report singled out a period of homebound education during which Lanza was taken out of school during his eighth-grade year as an especially dangerous health care decision that contributed to his isolation and deterioration.

"The level of isolation, disconnect and socialization that we know kids enjoy as part of their education becomes totally lost and that's a piece of what we see in AL's life," said Faith VosWinkel, an assistant child advocate and co-author.

The report concluded that Lanza's homebound placement was "inappropriate and nontherapeutic" and recommended a review of homebound status education and asked the state to consider an audit of existing homebound practices.

When and how do parents educate children about guns?

Treatment

The report did single out positive health care intervention: "Of the couple of providers that saw AL, only one -- the Yale Child Study Center -- seemed to appreciate the gravity of AL's presentation, his need for extensive mental health and special education supports, and the critical need for medication to ease his obsessive-compulsive symptoms."

Calls for medication went unheeded by Nancy Lanza, however, whom the authors described as accommodating to her son's aversion to medication.

The report ultimately determines that Lanza's mental health issues may have extended past autism to include anxiety disorder, obsessive-compulsive disorder and suicidal disorder.

The report says  there is "no connection ... between [Lanza's] developmental profile and an increased likelihood of violent actions." And that his "access to assault weapons with high capacity magazines did play a major role."

The report also noted that it appeared Nancy Lanza made no effort to curtail her son's access to guns in the house in the months leading up to the shooting, despite Adam's severe mental deterioration.

"While we describe the predisposing factors and compounding stresses in [Lanza's] life, we do not conclude that they add up to an inevitable arc leading to mass murder," the report concluded. "In the end, only he, and he alone, bears responsibility for this monstrous act."

Opinion: I have Asperger's, I play violent video games -- and I'm not going to shoot you

@highlight

Report on Newtown shooter Adam Lanza identifies "warning signs, red flags"

@highlight

It says Lanza's mother, school district and many others missed opportunities

@highlight

Report relies on extensive documentation and interviews with Lanza's educators, doctors