(CNN) -- The U.S. Navy has started a force to battle pirates attacking ships in and near the Gulf of Aden off Somalia's coast, the U.S. Fifth Fleet said Thursday.

A U.S. Navy photo shows a ship held by pirates off the coast of Somalia in November.

The unit -- called Combined Task Force 151 -- is a spinoff of an existing force in the region that addressed a range of security issues, such as drug smuggling and weapons trafficking, as well as piracy.

The Gulf of Aden links the Indian Ocean and the Red Sea. About 20,000 oil tankers, freighters and merchant vessels pass along the crucial shipping route each year near largely lawless Somalia.

The United States is among at least 20 countries that are trying to combat piracy in the region, including Russia, India, Germany and Iran. In December, German sailors foiled an attempt by pirates to hijack an Egyptian cargo ship off the coast of Yemen, according to the German Defense Ministry, and the European Union launched its first naval operation to protect vessels. That came just days after China revealed its own plans to patrol the Horn of Africa's volatile coastline.

Task Force 151 will be devoted solely to counterpiracy efforts, said Lt. Stephanie Murdock, a Fifth Fleet spokeswoman. The United States anticipates other nations joining the force "in the near future."

"The problem of piracy is and continues to be a problem that begins ashore and is an international problem that requires an international solution," Vice Adm. Bill Gortney, commander of the Combined Maritime Forces, said in a news release from the Fifth Fleet in Manama, Bahrain. "We believe the establishment of CTF-151 is a significant step in the right direction."

The financial and human costs of piracy are extensive. Ships ranging from luxury yachts to a Saudi supertanker have been held for ransom. At least one major company pulled its ships from the Gulf of Aden region in 2008, meaning cargo bound for Europe had to round the African continent rather than use the Suez Canal.

Pirates attacked nearly 100 vessels and hijacked as many as 40 in the waters off the coast of Somalia in 2008, according to the International Maritime Bureau.  See how pirate attacks peaked in 2008 »

"The pirates are living between life and death," a pirate leader, identified by only one name, Boyah, told the Somali news organization Garowe Online late last year. CNN obtained the complete interview.

"Who can stop them?" Boyah said. "Americans and British all put together cannot do anything."

Boyah said that the piracy began because traditional coastal fishing became difficult after foreign fishing trawlers depleted local fish stocks. Traditional fishermen started attacking the trawlers until the trawler crews fought back with heavy weapons. The fishermen then turned to softer targets.

"We went into the deep ocean and hijacked the unarmed cargo ships," Boyah said. "For the past three years, we have not operated near the Somali coast. We have operated at least 80 miles [out], in international waters."

British journalist Colin Freeman and Spanish photojournalist Jose Cendon, both working for London's Daily Telegraph newspaper, were released Sunday after being held by pirates who abducted them November 26 in the Somali city of Bosasso. Two Somali journalists, who have not been heard from, were also taken, according to the  New York-based Committee to Protect Journalists.

Task Force 151 is an outgrowth of Combined Task Force-150, which was created to conduct security operations at the beginning of Operation Enduring Freedom -- the U.S. effort in Afghanistan. The task forces are part of the Combined Maritime Forces, which includes naval ships and other assets from more than 20 nations.

"Some navies in our coalition did not have the authority to conduct counter-piracy missions," Gortney said. "The establishment of CTF-151 will allow those nations to operate under the auspices of CTF-150, while allowing other nations to join CTF-151 to support our goal of deterring, disrupting and eventually bringing to justice the maritime criminals involved in piracy events."

Michael Howlett, divisional director of the International Maritime Bureau, said attacks haven't stopped, but they have not been as successful recently. He cited the presence of navies in the gulf and the fact that merchant mariners are taking more appropriate measures to avert hijackings as reasons for the decline.

He welcomed the establishment of the task force.

"We strongly believe the navies are the only effective response against piracy," he said, adding that the navies in the region "are doing a great job."

The U.S. Navy praised merchant mariners' measures against pirate attacks, such as raising ladders, posting lookouts, speeding up, taking evasive maneuvers and using fire hoses.

"The most effective measures we've seen to defeat piracy are non-kinetic and defensive in nature," Gortney said. "The merchant ships have been doing a great job stepping up and utilizing these methods to defeat piracy attempts."

@highlight

U.S. Fifth Fleet hoping other nations will join anti-piracy force

@highlight

Combined Task Force 151 will focus solely on combating piracy

@highlight

Pirates attacked nearly 100 vessels off coast of Somalia in 2008

@highlight

International Maritime Bureau welcomes establishment of task force