One month before the Winter Olympics begin in the Russian resort town of Sochi -- and in the shadow of last month's deadly bombings in Volgograd -- a huge security operation has swung into gear.

A special exclusion zone went into force Tuesday under which only Sochi-marked vehicles, emergency or specially accredited intelligence service cars will be allowed into the wider Sochi area.

Air traffic and sea access will be restricted, and everyone going into the zone will have to go through heavy security and identity checks.

Russia is pouring huge resources into ensuring that the Games, seen as a flagship project of President Vladimir Putin, go off without incident.

Two bombings in 24 hours last month in Volgograd, one targeting the city's main train station and the second a trolley bus, raised concerns of a potential  threat to the Sochi event.

No group has to date claimed responsibility for the attacks, but suspicion has fallen on Chechen separatist groups.

A bitter battle for an independent Chechnya, lasting almost two decades, spawned an insurgency that has spilled into neighboring republics in the North Caucasus region, including Dagestan.

Chechen warlord Doku Umarov, leader of the Islamist Caucasus Emirate group, last summer called on his followers to do what they can to disrupt the Games. He claims they will be held on the graves of Muslim occupants of Sochi, who he says were driven out by Russian imperial forces in the 19th century.

Despite the shockwaves of the Volgograd attack, International Olympic Committee President Thomas Bach said he was confident that Russia would keep the Winter Olympics safe.

And, of course, Russia is not alone in suffering a terror attack a short time before hosting an Olympic event. The United States was still reeling from the September 11, 2001, attacks when it hosted the Salt Lake City Games in 2002.

Bombings in Russia's Volgograd: What might be behind the attacks?

Lone suicide bombers

The bombings in Volgograd, which lies about 400 miles (650 kilometers) from Sochi but is a major rail hub for passengers traveling to the Black Sea resort, were not the first such attacks Russia has faced.

In 2002, Chechen militants took 900 theatergoers hostage at the Dubrovka Theater in Moscow. Russian security forces stormed the building, killing all the rebels, but 130 hostages also lost their lives.

In May 2004, a bomb planted months earlier during construction ripped through a stadium in the Chechen capital of Grozny, killing the republic's president, Akhmad Kadyrov. A horrifying attack by militants on a school in Beslan, North Ossetia, came only four months later. When the siege ended, more than 330 people had died, half of them children.

More recently, Umarov's group claimed responsibility for the deadly 2011 bombing of Domodedovo Airport in Moscow, the 2010 bombings of the capital's subway and the 2009 bombing of the high-speed Nevsky Express train.

Andrei Soldatov, an investigative journalist who specializes in the Russian intelligence services, told CNN he believes Russia's militants no longer have the freedom of movement for this kind of large-scale terror attack -- but he's not confident the intelligence services are prepared for the threat of lone suicide bombers.

"My basic explanation is that they're still inspired by the Olympic Games in Moscow in 1980," he said. "They seem to be obsessed with the idea of controlling everything and everybody, but I don't think that's the same thing as what you need to prevent a terror attack."

Retired police Col. Sergei Advienko has more faith in the abilities of his former intelligence counterparts.

"When the tactics of terrorists are changing, the anti-terrorist units have to change their tactics as well. And the utmost means in this field is intelligence, first of all," he said.

"It's not that easy to penetrate those cells, but still -- it is possible, it is done, it is done daily."

Bombings raise questions about Olympics security

Soft targets?

What alarms many security analysts is not so much the threat to Sochi but that posed to softer targets farther afield.

Matthew Clements, editor of IHS Jane's Intelligence Review and a Russia expert, said the Olympic park, venues and infrastructure, such as the new rail link built to connect the Black Sea resort with the mountain venues, will be enormously well protected.

"That would be a prime target, but the extraordinarily high level of security put in place means that it would be very difficult for the militants to undertake a successful attack for one of these sites," he said.

There is a slightly higher risk of attack on softer targets in the wider Sochi area, Clements said. These could include train stations, hotels and major public squares. An attack on such a target "could again cause major disruption to the Games," he said. However, it would still be difficult for militants to travel into this security zone.

Clements sees the greatest risk as being outside the immediate Sochi area, particularly softer targets such as transport infrastructure not directly linked to the Games.

While such an attack would not directly disrupt the Games, it "would have a significant psychological impact and would to a certain extent overshadow them," he said.

In the wake of the Volgograd attacks, Russian officials said they did not intend to change their security plans for Sochi -- since they were already so developed -- but vigilance will likely be stepped up elsewhere.

All in all, Russia plans to deploy some 37,000 security personnel, according to the Ministry of the Interior.

By comparison, 12,000 police and security personnel were deployed for the 2012 London Olympics, with 18,000 troops on standby, Clements said.

"It's a smaller Games, and it's got twice as many personnel," Clements said of Sochi. "It's obviously a very, very significant deployment there."

Putin visits victims of Volgograd blasts

Jihadist threat

Dmitri Trenin, director of the Carnegie Moscow Center, agrees that "Sochi is perhaps the best protected area in Russia" and will be difficult for militants to penetrate.

But he said Russia faces an "ever-present" threat despite some lulls between attacks. "Essentially Russia has been living under the threat of terrorist attacks since the 1990s," he said.

This was initially linked to the war in Chechnya, he said, but since then has morphed from a separatist movement into a "threat which is of a civilizational nature" from people who reject modern Russia and want to pursue a jihadist agenda.

"That unfortunately remains and will continue to be part of everyday life in Russia for, I think, the foreseeable future," he said.

Trenin, who formerly served in the Soviet and Russian armed forces, sees the threat as greatest in southern Russia cities such as Volgograd, which are relatively close to Sochi but not as well protected as Moscow and St. Petersburg.

"Southern Russia is very much accessible to the jihadists, but they can strike anywhere on the Volga River, on central Russia," he said.

The twin bombings in Volgograd caused grief and disbelief in Russia, he said, especially after the second attack -- staged when security had been stepped up.

But the Games are still a great source of pride for many Russians as only the second Olympics held on Russian soil, he said, and there has been no call for people to stay away.

"It reminds me of the Boston Marathon bombing," he said. "In the wake of that attack, a lot of people came out and said, 'We will run in the marathon, we will come out in the street to demonstrate to the terrorists that they cannot intimidate us.'

"I felt some of that in the reaction around the world to the Volgograd bombings."

'It's better to lose money than to lose our lives'

It's not yet clear what impact the security concerns will have on the number of foreign visitors to Sochi.

But Jose Coira, 24, from Houston, is one person who has canceled his trip to the Winter Olympics in the wake of the Volgograd attacks.

He and his boyfriend, both keen to see the ice skating and snowboarding, had been planning the trip for a long time, Coira said.

But the shock of the bombings, plus Coira's disquiet over Russia's position on gay rights following the passage of a controversial "anti-gay propaganda" law last year, led them to make the difficult decision to cancel.

"With these attacks, I felt it was another sign we should not go for our safety, not just for us being LGBT but for our safety in general," Coira told CNN.

He was able to get a refund on his Sochi hotel booking but stands to lose the $4,000 he spent on flights and event tickets for himself and his partner.

Coira, who runs an underwear business, also had a business meeting scheduled in Moscow to coincide with the Sochi trip but will lose out on the chance to launch his product in Russia for the moment.

Coira said he might consider traveling to Russia in the future, but only if he feels safe there and if its stance toward the lesbian, gay and transgender community changes.

"How we feel is, it's better to lose that money than to lose our lives," he said. "It's very sad, we would love to go, but everything surrounding Russia right now doesn't look very well."

@highlight

An exclusion zone goes into force in Sochi with one month to go before the Winter Olympics

@highlight

Restrictions are imposed on air, sea and road traffic in the Sochi area

@highlight

Experts say Sochi is well protected but warn militants could strike softer targets

@highlight

One U.S. man says he canceled his Sochi trip after bombings in Volgograd