(CNN) -- Here's a roundup of five medical studies published this week that might give you new insights into your health, mind and body. Remember, correlation is not causation -- so if a study finds a connection between two things, it doesn't mean that one causes the other.

Extreme obesity shortens your life more than smoking

Journal: PLOS Medicine

It's not going to come as a surprise that obesity shortens your life by contributing to heart disease, strokes, diabetes and other diseases. But how many years are lost?

Researchers from the National Cancer Institute compared normal weight smokers to extremely obese non-smokers. They found the smokers lived longer on average.

Healthy weight smokers lost about nine years of their lives. Non-smoking adults who were extremely obese -- defined as having a BMI of 55 to 55.9 -- lost nearly 14 years on average.

Researchers analyzed 20 large studies, which included more than 9,500 extremely obese adults and more than 300,000 people with a normal BMI. Participants came from the United States, Sweden and Australia.

The findings, published Tuesday in PLOS Medicine, highlight the need to develop more effective ways to combat the growing public health problem of extreme obesity, the authors write.

Simple blood test may predict Alzheimer's

Journal: Alzheimer's & Dementia

According to the Alzheimer's Association, 44 million people live with dementia worldwide. That number is expected to triple in just 35 years.

Alzheimer's is usually diagnosed when the disease has progressed. While there's no cure, early detection could lead to early intervention, which may slow the disease. And a simple blood test could be the key, according new study published Thursday in Alzheimer's & Dementia, a journal of the Alzheimer's Association.

Researchers used blood samples from 1,148 people. Ten proteins in the blood were found to predict whether people with mild cognitive impairment would develop Alzheimer's within a year.

As promising this new test appears to be, the Alzheimer's Association says it isn't ready for the doctor's office yet. "To give the findings credibility, they need to be replicated by other researchers in larger, more diverse populations. "

Over 55? You too can donate a kidney

Journal: American Journal of Transplantation

People in need of a kidney often wait years for a deceased donor match. Another option is a live kidney donation. But many times potential live donors are excluded because of their age. It's been thought that older live kidney donors have a higher risk of heart disease after donating their organ.

That's not true anymore, according to a new study in the American Journal of Transplantation.

Researchers matched 3,368 older donors with older healthy non-donors and followed them for nearly eight years. They found that kidney donors older than 55 are at no greater risk for death or cardiovascular disease than non-donors.

Combo approach may help smokers quit

Journal: JAMA

Smokers looking to quit often use either a medication named Chantix or nicotine patches, hoping it will help reduce withdrawal symptoms.

But a combination of those two methods improves the odds you'll quit smoking on the short term, according to a study published Tuesday in the Journal of the American Medical Association. The study was funded by the companies that make Chantix and nicotine patches.

Researchers randomly assigned 446 smokers to either take Chantix and a nicotine patch, or Chantix plus a placebo patch. Treatment continued for 14 weeks.

Twelve weeks later, 55% of those who took both medications were still not smoking, compared to 41% of those on Chantix alone.

After six months, the numbers were 49% and 32.6% respectively.

The researchers also found a greater incidence of nausea, disturbed sleep, skin reactions and depression in the combination group. They say safety and long-term efficacy needs to be assessed by further studies.

Don't pressure your doctor after a concussion

Journal: Neurology

After a concussion, doctors often receive pressure from their young patients, families and coaches to give an athlete the "all-clear" as soon as possible.

But that's dangerous, says the American Academy of Neurology. The reason: Concussions are linked to long-term impairments in brain function. A new position statement published in the journal Neurology on Wednesday calls for doctors to only give an athlete the "all-clear" to play when medically ready.

"Physicians should be thoughtful about athletes going back to field after brain injury," says neurologist Dr. Daniel Larriviere, one of the study authors.

Doctors caring for athletes with sports-related concussions should have adequate training and experience and also educate patients and their families about the dangers of concussion, the authors conclude. The Academy is also calling for a national registry the will require mandatory reporting of concussions.

@highlight

Extreme obesity shortens your life more than smoking

@highlight

A simple blood test may help doctors predict Alzheimer's disease

@highlight

Scientists say people over 55 should be considered for live kidney donation