(CNN) -- What I learned is what we all forget: It's more than a game.

It's easy to lose that understanding with a sport as popular, profitable and money-grubbing as football. This Saturday, TV screens will be filled with college conference title games -- even as universities race each other to new conferences in search of a higher bidder. On Sundays, the NFL's cool efficiency can look more bloodless than its own video games, as if the real thing was now just a parlor game to bet on.

But high school football remains the sport's origin story. Despite its own set of perversions, especially during recruiting season, it's still mostly a hyper-local, myth-making phenomenon that defines small towns, suburban communities and urban pockets across the country.

Photos: 75 amazing sports moments you missed this year

Two seasons ago, I spent a year in Valdosta, a quaint outpost of about 54,000 in deepest South Georgia, to write a book about that phenomenon. I embedded for a season with players, coaches, boosters and families to chronicle the rise, fall and hoped-for resurrection of the winningest high school football program in America.

Under two era-spanning coaches, Valdosta High won 23 state championships and six national titles. It won so often, for so long, that it could lose every game for the next 65 seasons and still have a record above .500. But Valdosta hadn't won the state title since 1998, the longest drought in its 100-year history, and was on its fourth coach in nine years. Like much of the rest of the country, it seemed, Valdosta was at a crossroad.

This was a place that once held the funeral for one of its most revered coaches inside the football stadium, where nearly 8,000 mourners gazed out at an open casket set on the 50-yard line. The current coach holds his weekly radio show inside a barbecue palace called The Smokin' Pig, run by one of the 21 former Wildcats descended from the same O'Neal. Season tickets are passed down in wills, if they're passed down at all. During a wake a couple years ago for one longtime fan, six tickets for the next home game were spotted in the open casket.

But stuff like that can be written off as garden variety, Southern Gothic eccentricity. The players wanted to talk to me about why they went out there on Friday nights and what football meant to them. That's when the game's mysterious inner world really opened up.

This wasn't the sport of luxury suites, beer commercials and wardrobe malfunctions at halftime. This was football as muse, lifeline, God's will and cultural imperative. This was the chance for some kids who'd already run out of chances to let out one loud, lasting yelp into the wilderness -- a way to show everybody in town who they were, what they were capable of, why they mattered.

"A poet uses a pencil to express himself," senior running back Phillip Moore tapped onto his Facebook page from his phone before one game, "but ima football player so i use 9.5 pair of nikes on turf."

For Reggie McQueen, a defensive back and aspiring rapper, taking the field on Friday nights allowed him to watch his parents smile, talk with a dead aunt, and play a little ball beside his murdered cousin.

As he and his swaggering teammates entered 11,000-seat Bazemore-Hyder Stadium (named for the school's two late, iconic coaches), the stage-lit carpet inside morphed into a fantastical world unlike anything he lived in the rest of the week.

The first person he usually spotted in the stands was his mother, who had Reggie when she was 14, standing and clapping and smiling. Then somewhere nearby he'd find his father, divorced and remarried, and who Reggie mostly remembers as being in jail. Now a landscaper and a preacher, he stood and cheered for his son, too.

Then came the game. Crouching in the defensive backfield before each play -- dreads spilling from his helmet, tats stamped up and down both arms -- Reggie often talked aloud to his dead cousin, gunned down a year earlier in a shootout at a public housing complex across town from the one where Reggie and his mother then lived.

"What would you do, Junior?" he'd say, as if his cousin was a teammate crouched beside him. Or: "This is a big one, Junior. Let's fly!"
Or he'd talk to a long-dead aunt who lived with Reggie and his mother, the light of young Reggie's life before she was murdered. The crime went unsolved until after the funeral, when police returned to her grave, dug up her coffin and found the gun used to kill her hidden beneath her corpse.

Their deaths still weighed heavily on Reggie, and the football field felt like a secure, supportive place to work some of that out. Life was hard. Football was easy.

"I got a lot of people who aren't here on my back," Reggie told me one night. "On Friday night, they're living through me.

"On the field, it's my own world," he went on. "It's a place where I can be myself. I don't have to worry about anyone fussin'. My parents come to games and I see them smile and clap their hands and stand up -- stuff like that doesn't happen at home. At home, there's always bills to pay. A tragedy.

"That's why I'm not just playing ball," Reggie continued. "It's more than a game. It's what I live for. When people see ballplayers, they think it's just something they do. I'm there because I love to be there. On the field on Friday night, I'm doing something that loves me back -- I love it and it loves me back."

The game also gave Reggie another thing he couldn't find anywhere else: a taste of immortality, no small thing on the disposable streets where he grew up.

Reggie gave me a tour one night of the Ora Lee West projects he'd lived in until his mother saved enough money to move them out. He still has relatives there and visits all the time. We left an aunt's apartment around midnight, and as we walked back to my car Reggie spotted a group of guys loitering on a corner a block away.

That used to be Reggie. It wasn't anymore. Football made him want something beyond that corner.

"I seen people standing on that same corner all my life," Reggie said. "You can Google me. You can't take anyone on this street and Google them. But you can Google me."

Like Reggie, teammate Malcolm Mitchell also learned to love the game in high school, and it loved him back, too. But while Reggie's last football game as a player was his last game as a Wildcat -- he raps full time now under the stage name Jim Rock -- Malcolm has gone on to star at wide receiver for the University of Georgia. His future looks limitless.

Yet he's already tasted immortality, too. Malcolm blossomed into a head-turning athlete his final season at Valdosta -- he wanted to quit his sophomore year until his mother talked him out of it -- and was wooed by schools across the Southeast, including Alabama and Florida.

That last high school season, he told me about a voice in his head when he took the field, how it told him to anticipate something before it happened, and what to do when it came about. He said the voice had never been louder or more distinct than it was that year. He'd given up trying to figure out what it was. He was just going with it.

"I want to say it's God telling me that something's going to happen," he tried to explain, "but it's something telling me."

Whatever it was, it worked. Malcolm broke Valdosta's three-decade-old record for most catches in a season. The previous record holder was Stan Rome, widely considered the greatest athlete in Valdosta's history. Stan went on to become an NFL wide receiver, as well as the father of Jay Rome, another highly recruited Wildcat and now Malcolm's teammate and roommate at Georgia.

"I got my way into the museum -- into the history books," Malcolm said one afternoon after that season. "I got to the point where I'll always be remembered. Maybe if I make it to the NFL it'll be bigger than this. Maybe if I make it to the Hall of Fame. But right now, people will remember me for this no matter what."

We talked a little more that afternoon about the Voice; Malcolm detailed the dialogues that ran through his head during a half dozen critical plays that season. I then mentioned Reggie's on-field conversations with relatives from the beyond.

Malcolm just smiled. He didn't find any of it weird or unconventional.

"For an athlete who loves to play the game, it happens more than you know," he said. "We're not just running around."

I knew that. Just forgot.

@highlight

Author documented a season with the winningest high school football program in America

@highlight

He learned the game was a chance to shine for guys who'd already run out of chances

@highlight

One player called the field a "secure, supportive place"