(CNN) -- In 2012, China announced that in 2017 Hong Kong could elect its chief executive through "universal suffrage."

Previously, the leader of the Hong Kong government was picked by an election committee of between 800 and 1,200 members, most of whom were trusted by Beijing.

In effect, Beijing had established procedures that ensured that a member of the territory's establishment would be in charge.

But China's 2012 promise created hopes among the public that the chief executive would be picked through a truly democratic election. Those hopes have now been dashed, and it is likely that China has bought itself more instability, not less.

Beijing preserves control

On August 31, the Standing Committee of the National People's Congress announced a decision regarding the procedures for the next chief executive election.

If the plan is actually passed, Hong Kong will get universal suffrage in the narrow sense that eligible voters will be the ones to pick the chief executive, not an election committee.

But Beijing has preserved significant control by instituting a restrictive process for nominating candidates. It insisted that a nominating committee would pick candidates (not political parties, and not by popular nomination). And surprise, surprise: the nominating committee will be modeled on the old election committee.

The new body would be composed mainly of people who are sympathetic to Beijing's desire for order and who don't want to see Hong Kong's economic growth, in which many of the members are invested, disrupted by politics.

In addition, over half of the nominating committee would have to approve each candidate, which means that no pan-democrat could get nominated if Beijing disapproved of him or her. So under the plan Hong Kong voters would have a choice, but the pro-democracy camp suspects that the choice will be among two or three like-minded and Beijing-friendly candidates.

Will it be approved?

This new system is unlikely to be established because it must be approved by a two-thirds vote of Hong Kong's legislature. If pro-democracy lawmakers stick together, they have enough votes to veto the scheme, in which case the selection procedure reverts to the prior, "small-circle" system. That would be a great tragedy.

A sensible compromise was objectively possible -- one that democratized the nominating process in such a way that produced a competitive election and a clear choice between an establishment and pro-democracy candidate. That was an approach that would have likely commanded two-thirds approval.

In the short-term, Hong Kong faces the prospect of major disruption, because the more radical elements of the pan-democratic camp, which have insisted on nomination of candidates through citizen petition, have now promised to mount a campaign to "Occupy Central," the major business district, through large demonstrations and even civil disobedience.

The radicals' proposal was always unrealistic and not necessary to achieve a competitive election. The Hong Kong police are perfectly capable of controlling the protests (still, the People's Liberation Army is waiting in reserve).

But whatever one thinks of Occupy Central's goals and tactics, it has given voice to the more general public desire for genuine democracy and to frustration at Beijing's rigidity.

Why invite trouble?

Why did China choose this course of action? First of all, it has feared that if pan-democrats ran the Hong Kong government, they would use it as a base to destabilize Communist Party rule in the rest of China.

Second, it believed that the United States and Britain were manipulating the pan-democrats to further their own disruptive goals. (Both fears have no basis in reality, but what counts is that Beijing believes them).

Third, the Chinese government and the Hong Kong tycoons it listens to worried that a democratic election would increase demands for costly social welfare programs.

Fourth, there was the prospect of continued disruption if Hong Kong radicals concluded that Beijing would always back down in the face of mass protest.

Finally, Chinese leaders may have worried that granting genuine democracy to Hong Kong would stimulate similar demands in China.

Problems compounded?

In the end, Beijing opted for the certainty of knowing that it could control Hong Kong's leadership by controlling the nomination process for the chief executive election.

It will likely achieve that goal, but the price will be continuing instability from a frustrated public.

True universal suffrage would not have solved all of the governance problems of what is becoming a more unequal and polarized society.

But without genuine elections to legitimize Hong Kong's leaders, solving those problems will be impossible.

@highlight

China has announced changes to election procedures in Hong Kong

@highlight

New "nominating committee" rules would likely see pro-Beijing candidates elected

@highlight

Pro-democracy campaigners in Hong Kong are angry, "Occupy Central" protests planned

@highlight

Bush: Result of changes will be "continuing instability from a frustrated public"