LONDON, England (CNN) -- British television audiences will be shown an assisted suicide for the first time Wednesday, when a documentary is aired about a man taking his own life at a Swiss clinic.

Craig Ewert, along with his wife Mary, hears final instructions from Dignitas escort Arthur Bernhard before taking a fatal dose of barbiturates.

The documentary for broadcaster Sky will show the final moments in the life of 59-year-old Briton Craig Ewert, a retired university professor, as he takes a lethal dose of sedatives under medical supervision.

The father-of-two had been diagnosed with motor neurone disease -- a rare condition caused by the breakdown of nerve cells in the brain that control the muscles -- five months before his death at Swiss euthanasia clinic, Dignitas. He decided that he didn't want to continue suffering as a prisoner in his own body.

Ewert's story follows a number of high-profile assisted suicide cases in the UK -- where the practice is illegal -- in recent years, with opinion divided as to whether those involved should face prosecution. What's your view? Click here to comment

With this in mind, we answer some of the main questions related to the practice.

What is assisted suicide?

This is where the person who is going to die needs help to kill themselves and asks for it. It may be something as simple as getting drugs for the person and putting those drugs within their reach. It differs slightly from euthanasia, which involves the deliberate killing of a person for the benefit of that person.

What are the laws on assisted suicide in the UK?

Assisted suicide is currently illegal in the UK, with the 1961 Suicide Act making it an offence to "aid, abet, counsel or procure the suicide of another." Helping somebody to die carries a prison sentence of up to 14 years.

Have people been prosecuted here for assisting suicide?

No. A decision by Britain's Crown Prosecution Service on December 10 effectively ruled out the prosecution of families who assist in such "mercy killings," when it decided no charges would be brought against the parents of a paralyzed rugby player.

Daniel James, 23, died with the aid of his parents in a Dignitas assisted suicide clinic last year after deciding he was no longer able to live with the injuries he sustained playing rugby at university.  Watch more about the case »

In a landmark decision, Director of Public Prosecutions Keir Starmer said there was "sufficient evidence" to prosecute the couple, but that it would not be in the public's interest to do so. In a statement he pointed to the fact that Daniel, "as a fiercely independent young man, was not influenced by his parents to take his own life and the evidence indicates he did so despite their imploring him not to."

Has there been a push to change the law in the UK?

The issue was brought to widespread attention in 2002 when Diane Purdy, a terminally ill woman, failed in a legal bid for her husband to be allowed to help her take her life without fear of prosecution.

Her lawyers had argued that under the European Convention on Human Rights, which guarantees the right to respect for private life and bans inhuman and degrading treatment, she should be allowed to die with dignity, rather than face the distressing final stages of her disease. She eventually died in a hospice in Luton, England.

Since then several attempts to legalize assisted suicide in the UK have been rejected. The most recent, in 2006, was defeated in the House of Lords -- the country's upper house in parliament -- by 148 votes to 100.

In Scotland, which has its own legal system, veteran MP Margo MacDonald has launched a campaign to legalize the practice. MacDonald, who suffers from Parkinson's disease, said people should have the right to choose the time and place of their death.

She hopes to bring legislation before Scotland's parliament next year.

Why can it be done in Switzerland? Who does it?

Swiss charity Dignitas was founded in 1998 and has helped hundreds of people across Europe to commit suicide.

Dignitas takes advantage of Switzerland's liberal laws on assisted suicide which suggest that a person can be prosecuted only if they are acting out of self interest. Campaigners see the absence of a complete ban on assisted suicides as tacit permission to proceed - although their stance has never been tested in the Swiss courts.

The charity is run by lawyer Ludwig Minelli, who believes that he is helping people "die with dignity."

@highlight

Final moments in the life of 59-year-old Briton Craig Ewert shown on TV

@highlight

Ewert, a motor neurone disease sufferer, went to Swiss assisted suicide clinic

@highlight

Assisted suicide is illegal in Britain and carries 14-year prison term

@highlight

No-one in the UK has been prosecuted under the 1961 Suicide Act