(CNN) -- Smoking is bad for you, and by now, most of us know it.

An estimated 4.5 million U.S. adolescents are cigarette smokers.

It seems that studies on the dangers of smoking come out every week. Just recently, after an article appeared in the journal Pediatrics, we were introduced to the concept of third-hand smoke, the potentially toxic residue that lingers in curtains, clothing, hair, etc. after the smoke itself blows away.

To recap: Smoking exponentially increases your risk of developing lung cancer (and other lung diseases, like emphysema and chronic bronchitis) and puts you at higher risk for cancer of the mouth, throat, larynx, esophagus, bladder, pancreas, kidney, cervix and stomach. Smoking also elevates the risk of cardiovascular disease, stroke and insulin resistance. And, as if all that weren't bad enough, it causes wrinkles.

Yet stand on virtually any streetcorner of any city or town in the United States, and you will see people smoking.

So, who exactly -- in the face of all the mounting scientific evidence, social stigma and legal bans -- still lights up?

According to the CDC, about 43.4 million Americans (19.8 percent of the population) smoke.

Look around you. If you are in Kentucky, the state with the highest smoking rate, more than one out of every four people (28.3 percent) around you smokes. On the other end of the spectrum is Utah, with just over one person in 10 (11.7 percent) a smoker.  Find the smoking rate in your state »

Here's the good news: "Smoking prevalence in the entire country has gone under 20 percent for first time in over 50 years," said Dr. Richard Hurt, director of the Nicotine Dependence Center at the Mayo Clinic. "For women, it's 18 percent in most places, and for men it's hovering at about 20 percent. We have gone from one in two men smoking to one in five -- a very dramatic change -- and one in three women to one in five."

Here's the bad news: Smoking rates are unlikely to drop to the national health objective of 12 percent by 2010.

Hurt, who is also a professor of medicine at the Mayo Clinic College of Medicine in Rochester, Minnesota, is a former three-pack-a-day smoker. Unlike most smokers, he picked up the habit during college; according to the CDC, about 90 percent of heavy smokers start in high school. And studies show that the younger you are when you start, the more likely you'll become a heavy smoker as an adult.

According to the American Cancer Society, each day more than 3,500 people younger than 18 try their first cigarette, and 1,100 others become regular daily smokers. About one-third of these kids will eventually die from a smoking-related disease.

Retired radio broadcaster and iReporter Gerald Dimmitt, 65, has smoked since he was 14.

"I've always smoked a pipe," he said. "I have successfully quit about 40 times." But, he says, he always restarted, because "it calms me down." iReport.com: Do you still smoke?

Dimmitt has even more incentive to quit now, since developing lesions and irritation in his mouth. After speaking to his doctor, he received a prescription for Chantix, a pill to aid with smoking cessation. But when he went to pick up his prescription at the pharmacy, he was charged $139 (because it's not generic) for two weeks worth. Outraged, he left the Chantix behind.

"If smoking is so dangerous ... why then do they want to charge $139 to make me stop? There is something very wrong with that. I guess they would rather pay to take care of lung cancer," he said.

Some would-be smokers pick up their first cigarette to fit in.

"I started smoking at 12 years old to be part of the 'in' crowd. It never got me into the 'in' crowd, but with my first cigarette, I was totally hooked," wrote Lori Jerome, 45, a former bartender and now full-time university student from Canada.

Said Lisa "Smith," 44, a recently laid-off administrator from Minnesota, "I began smoking in junior high school because I wanted to fit in with a certain crowd. However, that group of friends is looooong gone from my life and I still have the nasty habit." Smith didn't want her last name used.

Hurt says the reason many people start, and continue, is peer influence. But he also blames targeted promotions by tobacco companies (like Virginia Slims targeting women in the 1970s and other brands targeting inner-city minority groups today) and the movies. "There is a lot of research right now that shows that smoking in the movies has made a comeback. ... It clearly affects start-up smoking among young people."

As for things that prevent children from smoking, Hurt cites higher cigarette taxes and smoke-free zones, like offices and restaurants.

"Those two public health policies do three things: reduce smoking among continuing smokers, help people to stop smoking and reduce the chances of our children starting to smoke, because it de-normalizes it. ... The child interprets smoke-free as the social norm," he said. That's why children of smokers are much more likely to become smokers themselves: Smoke-filled surroundings is their norm.

Of course, society's perception of smoking has changed a lot since the days of doctors actually endorsing one brand or another in the first half of last century. Dimmitt recalls "ashtrays in church pews, smoking in the classroom and blowing pipe smoke all over the students!"

"When I was born, my mother was allowed to smoke in the hospital room with me in there," Jerome said. "When I had my adult children, we were allowed to smoke in the day room on the maternity ward floor, although the babies were not allowed in there. When I had my youngest children, ages 5 and 8 now, you couldn't smoke in the hospital. How the times have changed."

Now, smokers in some places face smoking bans in certain public and private spaces, and unspoken -- and sometimes overt -- hostilities.

Smith, a mother of six, wrote, "It's so socially unacceptable where I live, and none of my current friends or relatives smoke. In fact, I don't even smoke out in public anymore -- unless it's dark and I'm in my car. I feel it's such a disgusting and stinky habit."

Dulcie Long, 50, of Denver, Colorado, said, "I won't say I feel actual 'social discrimination,' but it is something I feel a sense of shame about and do my best not to smoke in the presence of friends. None of my friends smoke, and I'm very uncomfortable doing it anywhere near them."

Even Dimmitt switched from a pipe to cigarettes when he was working with youngsters so he wouldn't reek so much.

Not only have attitudes towards smoking changed, the profile of smokers has changed, too.

"The demographics have changed so much that now, more often than not, it's the disadvantaged who are still smoking compared to the highly educated, highly trained people," Hurt said. "It is pretty clear that the prevalence of smoking in groups of people is related to education status, which is a surrogate for income status. ... When you go down the income ladder, the smoking prevalence rises. Some groups of severely disadvantaged people have smoking rates of 30 to 40-plus percent."

Hurt says that there is also a much higher prevalence of smoking among people with mental health disorders like depression, alcoholics, drug users and schizophrenics.

But movers and shakers are not immune. President-elect Barack Obama has struggled with, and seems to have conquered, his habit. Former President Clinton was known to sit on the balcony of the White House and enjoy a cigar (his wife, Secretary of State-designate Hilary Clinton, officially made the White House a smoke-free zone). First lady Laura Bush admits to being an ex-smoker.

Plenty of celebrities -- like actresses Salma Hayek, Katherine Heigl and Eva Longoria Parker -- have been caught, cigarette in mouth, by the paparazzi. Even actor Patrick Swayze, who is battling pancreatic cancer, admitted that he continues to smoke.

Which brings us back to the inescapable fact that, worldwide, an estimated 4 million adults die each year of tobacco-caused diseases. Said Hurt, "This is only product that I know on the face of the Earth which, if it is used as recommended by manufacturer, kills 60 percent of its customers."

@highlight

Despite health effects, bans and social pressure, 20 percent Americans smoke

@highlight

About 90 percent of adult smokers start in high school

@highlight

Worldwide, about 4 million adults die each year of tobacco-caused diseases

@highlight

iReport.com: Do you still smoke? Share your story