(CNN) -- A blind Michigan man, rejected by three law schools after scoring poorly on the Law School Admission Test, is suing the American Bar Association, arguing that the group's exam requirements discriminate against the visually impaired.

In a suit filed Tuesday in the U.S. District Court for the Eastern District of Michigan, Angelo Binno alleges the Chicago-based ABA prevents law schools from waiving the admission test, known as the LSAT, for blind applicants. The suit alleges that visually impaired students face considerable difficulties with visually-oriented parts of the exam.

The association's rules require students to take a "valid and reliable'' test. Binno's lawsuit counters that the LSAT is the only widely used, commercially available exam for assessing law school applicants, leaving, in effect, no alternative.

The suit says according to ABA policy, schools could face sanctions, be put on probation, or lose accreditation if they fail to comply. Binno says this violates protections for the disabled provided by the Americans with Disabilities Act of 1990.

"I want to help disabled and disadvantaged people who otherwise would struggle to have their voices be heard," Binno said.

A spokesperson for the ABA said its lawyers have not yet seen the lawsuit, nor been served with documentation, and the association could not comment at this time.

The Law School Admissions Council, a private not-for-profit group based in Newtown, Pennsylvania, administers more than 100,000 LSATs annually, according to its website.

Before 1997, law schools could decide whether blind people must take the exam, according to Binno's lawyer, Richard Bernstein, who is also blind. The LSAT was waived for Bernstein in 1995. He graduated from Northwestern University School of Law in 1999.

The litigation focuses on the analytical reasoning or so-called logic games section of the test, which requires ''spatial reasoning and diagramming of visual concepts for successful completion by most applicants,'' according to the suit.

The complaint includes a copy of logic games from an LSAT given in 2007.

The directions atop the section of the test say ''it may be useful to draw a rough diagram'' in figuring out the answers to some questions.

"It's a situation where blind or visually impaired people can't interpret a diagram since they don't have spatial perceptions,'' Bernstein said.

"So how is it fair to require that type of question to get into law school? At the end of the day, blind people can't draw.''

According to Binno's lawsuit, ''being unable to competitively answer questions on a quarter of the exam causes plaintiff substantial embarrassment, emotional distress, and mental anguish during the exam, which adversely impacts his overall performance.''

Binno, who is not suing for monetary damages but retains the right to do so, wants the ABA to change its policies on blind applicants and the LSAT.

"I want the American Bar Association to stop telling blind people that they have to draw pictures in order to go to law school," Binno said.

Binno, 28, is fluent in three languages, finished high school in three years, graduated from Wayne State University in Detroit and worked with a unit of the U.S. Department of Homeland Security with a high-level security clearance handling applications and credentials of immigrants, according to the lawsuit.

He was laid off in 2008 and has focused on getting into law school for the past three years. Binno is blind from birth with a condition called retinitis pigmentosa.

"We're fighting so we can have more disabled attorneys who are going to create more disabled rights,'' said Bernstein, who teaches social justice at the University of Michigan, and said he runs marathons and has completed an Iron Man triathlon.

@highlight

Angelo Binno of Michigan is blind, and he aspires to go to law school

@highlight

He is suing the American Bar Association, claiming discrimination in testing

@highlight

Law schools follow ABA policy on testing, the suit says

@highlight

The ABA has not yet responded to the suit