(CNN) -- It's no coincidence that Ai Weiwei's latest exhibition is located in Alcatraz, a former jail that sits on an isolated island off the San Francisco coast.

The Chinese artist and activist explores themes of imprisonment, featuring prisoners of conscience from around the world. It's also familiar territory for Ai, who was detained by Chinese authorities for 81 days in 2011 and still cannot travel out of China.

Visitors to Ai's exhibit, called @Large, can sit in a drab, 8x5 feet concrete cell and listen to the works of dissidents, such as anti-Apartheid singers and anti-Soviet musicians whose poems or songs landed them in prison.

Among them is Lolo, a Tibetan singer whose song implores the children of Tibet to "raise the Tibetan flag." Lolo is serving a six-year prison sentence for calling for independence -- a direct challenge to China's rule.

In another installation, the image of Liu Xiaobo, the 2010 Nobel Peace Prize winner, fashioned out of black, grey, blue and white Lego peers out at visitors. Liu, who called for the end of China's single-party rule, is serving an 11-year prison sentence.

Tiananmen and 'June Fourth' in the body of Liu Xiaobo

The theme of confinement and suppression runs throughout the former U.S. federal penitentiary.

Although Alcatraz is better known for holding feared inmates like U.S. gangster Al Capone, the prison also held Native Americans who balked at mandatory U.S. assimilation policies and conscientious objectors, who refused to serve in the military on political or religious grounds.

Photos: A Chinese dragon in Alcatraz

Ai doesn't back off critiquing the United States, by crediting Edward Snowden and Chelsea Manning among the 176 people around the world who have been imprisoned or exiled because of their beliefs or affiliations.

He pays tribute to them by forming their faces out of 1.2 million Lego pieces.

Contemporary artistic dissent

Through his art, Ai declares: "Every one of us is a potential convict."

When Ai's exhibit on Alcatraz officially opened in late September, it coincided with mass pro-democracy protests in Hong Kong.

During that weekend, police in Hong Kong arrested about 70 student protesters, including several of its young leaders, in the mass call for democracy.

That protest, fueled by youngsters, is now continuing into its fourth week in Hong Kong.

It's important that the work can appeal to the next generation, says Cheryl Haines, the curator of the @Large exhibit.

Some of the artworks are interactive, encouraging viewers to walk, view more closely or even get involved -- especially in one installation where they can write postcards to imprisoned dissidents.

"It invigorates the viewers to interact with the work," said Haines, the executive director of FOR-SITE, a foundation which organized the exhibit. They also brought wifi to Alcatraz for the first time so visitors could send Instagrams and Tweets from the island.

"It's keeping with the artist's desire to activate the next generation's conversation," Haines said.

In a sense, it already has. Protest art has proliferated on the streets of Hong Kong, whether it's calling for democracy or lampooning its chief executive through postcards, paintings and pop-up installations.

Symbols of democracy and free speech plaster the walls, highway barriers, bridges and stairways. Umbrellas, which symbolize the Hong Kong protests, dot the roads. Slogans are painted on posters hanging from prominent bridges -- suggesting the political power of art.

Inside a prison cell

As Ai is still unable to leave China, he and his team constructed the pieces in their studio. He then sent three teams to the United States to erect the seven art installations inside Alcatraz's dining room, labor building, the psychiatric observation cells, hopsital and inside the cell block.

Perhaps the most haunting of exhibits is "Stay Tuned," where the voice of dissent singing or reciting a poem or speech booms inside the small, isolated prison cells.

Housed inside Alcatraz Cellblock A, there's a haunting chill within the concrete mass. Each prison cell behind chipped white steel bars contains just a solitary stool and a stained white sink.

Some of the cells in Block A were used for solitary confinement.

Visitors can walk inside each of the 12 cells, which represent the imprisonment of dissidents like Russia's Pussy Riot, Martin Luther King Jr., and the Robben Island Singers, who were anti-Apartheid singers.

They can sit inside the barren concrete cell and listen to their voices.

One visit Eileen Kurahashi, sat inside each of them, closing her eyes shut.

"It's a powerful access to something so tragic and breathtaking," she said.

The voice of dissident plays in a loop -- but the sound remains confined into a prison reminding visitors of the cost of free expression.

@highlight

Chinese artist Ai Weiwei opens installation on Alcatraz island

@highlight

Exhibit's theme explores themes of imprisonment, dissent

@highlight

It also aims to raise awareness about prisoners of conscience

@highlight

Along with notorious criminals, Alcatraz also imprisoned conscientious objectors and Native Americans