New York (CNN) -- In a city as big as New York, finding long-lost loved ones is no easy task -- especially after they've died.

For Elaine Joseph, it took decades.

During a massive blizzard in 1978, doctors tried to save her newborn daughter, who was suffering from what turned out to be a fatal heart condition.

Joseph, who was still recovering from giving birth at the city's Beth Israel Medical Center, said hospital officials notified her of her baby's death and had her sign off on a city burial.

"It was a nightmare," said Joseph, who was then 23 years old and later found it nearly impossible to find where her daughter's remains were buried.

"For years and years, I didn't even know where to look," she said. "I didn't know what to do."

Joseph didn't get answers until much later, when she met a woman named Melinda Hunt of Westchester, New York.

Hunt, 53, has made it her life's work to document the undocumented at Hart Island, reportedly the nation's largest taxpayer-funded potter's field -- a term used for a place where the unclaimed dead are buried.

The site, located at the western end of Long Island Sound, dates to the mid-1860s, when it was used as a Union training camp during the American Civil War and then as a prisoner-of-war camp for captured Confederate soldiers.

But today, its use as a public burial ground isn't always common knowledge -- even to the families of those entombed there. And observers say keeping track of the island's current inhabitants remains a challenge.

Joseph said she first found Hunt by happenstance during an Internet search, a part of her unending attempt to locate her daughter's remains.

"For 33 years, I've been trying to find where my child is," said Joseph, who said her baby's official burial records were missing.

Joseph contacted Hunt through her website at hartisland.net -- a resource Hunt created for family and friends in search of lost loved ones, as well as a nod of acknowledgment to the city's unclaimed dead.

Hunt suspected Joseph's child was buried on Hart Island despite the incomplete records. She worked on Joseph's behalf, contacting city officials who eventually granted Joseph access to the island. Though it remains uncertain whether her daughter is buried there, it appears very likely.

"I started the Hart Island Project having lost a number of friends to AIDS in the 1980s," Hunt said. "Many of these people in their 20s simply disappeared."

She first began taking photographs on the thin jut of land, which sits just off the Bronx shoreline, in 1991. Authorities later made the area off-limits to the general public.

Hunt has since produced a documentary about the island and has put on art exhibits featuring her own drawings of its inhabitants devised from photos taken during their lives.

She is also founder of The Hart Island Project, a nonprofit organization largely dedicated to informing the public of the island's inhabitants.

After submitting a series of Freedom of Information Act requests to the city, Hunt got her hands on thousands of the island's burial records and worked to create an online database. She currently has more than 60,000 records listed online.

And while Hunt has focused on New York's Hart Island, many other regions of the country have similar sites.

In Los Angeles, unknown bodies are cremated and buried in a Los Angeles County burial site.

In Chicago, most John and Jane Does are buried at a Cook County public cemetery outside city limits.

But in Gotham, where some 50,000 deaths are reported each year, about 1,200 unknowns are buried on Hart Island, according to New York's Department of Correction. It is now the final resting place for up to a million people.

City officials say they've tried to create a more official database for public users. But until that happens, those like Joseph and New Jersey resident Lisa-Michele Russo have turned to Hunt and her website for help.

From an early age, Russo called herself a "twin-less twin," having lost her twin brother, Anthony, at birth.

"I knew," she said, and she pressed her parents until they eventually told her about Anthony. "As a twin, you're born together, but you don't die together."

Still, her parents remained reluctant to discuss her brother's death.

"It wasn't something that my parents liked to talk about," said the now 38-year-old Blairstown resident. "It was a heartbreaking situation."

Her mother, who was a 21-year-old parent coping with the emotional fallout of having a still-born child, also decided on a city burial.

For Russo, that meant Anthony went missing.

"I had all these strong feelings that I needed to do something for him," she said.

Her years-long search for his grave had gone cold until 2009 when she, like Joseph, enlisted Hunt's help after finding her Hart Island website.

Using Anthony's death certificate, Hunt again petitioned city officials to arrange a visit to the island for the baby's now-adult sister. The request was eventually granted.

"We do our best to accommodate every legitimate request," said Department of Correction spokeswoman Sharman Stein, who noted that in most cases, family members must first provide documentation proving that their loved ones are buried on the island before they visit. Joseph's case, in which records were incomplete, was among the exceptions.

Russo said her trip, however, was restricted to a single gazebo overlooking the plots.

Her cell phone and camera were also temporarily confiscated by authorities after she arrived by ferry -- an experience akin to "an excursion on a cruise ship," she said.

"We were never left alone."

Still, the visit seemed to fill a void.

"She is helping so many people and she doesn't know any of us," Russo said of Hunt.

In October, Hunt testified at a City Council hearing to amend New York's administrative code and force the Department of Correction to cede control of the island, arguing that the agency wasn't equipped to operate a place that ought to be open to the public.

"To me it's a basic human rights issue to be able to visit the dead," Hunt said.

The Department of Correction declined to comment on her petition, but noted security concerns and a lack of public facilities as reasons to keep the area restricted. Hart Island currently employs inmate labor from neighboring correctional institutions to maintain the graves.

Hunt, who sustains the Hart Island Project largely through donations and sales of her documentary and artwork, says she's recently received a grant from the state's Council on the Arts to create a "posthumous Wiki" -- a user-generated database of stories, photos and information about those on Hart Island.

Since her website launched in 2009, Hunt says, more than 2,000 people from around the world have registered to search for their lost friends and family members.

@highlight

Melinda Hunt, 53, has made her life's work documenting the undocumented at Hart Island

@highlight

The island is reportedly the nation's largest taxpayer-funded potter's field

@highlight

It took Elaine Joseph decades to locate her baby's likely burial site; Hunt helped her do it

@highlight

Hunt also helped Lisa-Michele Russo track down her twin brother, who died at birth