Washington (CNN) -- Predictions of super PAC-fueled campaign ugliness seemed to come to reality on Thursday when reports broke of a potential conservative group's ad campaign aimed at tying President Barack Obama to a controversy many thought put to rest nearly four years ago.

But conservative billionaire Joe Ricketts decided against a recommendation from GOP strategists that would bring up once again Obama's association with the controversial Rev. Jeremiah Wright, a super PAC director said.

Wright, who once ran the church that Obama attended in Chicago, became a central figure in the 2008 election when videos emerged showing some of the pastor's provocative statements involving race relations in the United States.

Obama was eventually forced to distance himself from Wright to help spare his political image.

The proposal to bring Wright back into campaign dialogue, a plan first reported by the New York Times, quickly became the story of the day.

After hours of backlash from both Republicans and Democrats, Ricketts, commissioner of the ad campaign and founder of the brokerage firm TD Ameritrade -- and whose family owns the Chicago Cubs baseball team -- said the plan was merely one of several proposals his group was considering.

Brian Baker, who heads the conservative super PAC supported by Ricketts, said Ricketts would not approve the scheme, as it "reflects an approach to politics that Mr. Ricketts rejects."

"Mr. Ricketts intends to work hard to help elect a president this fall who shares his commitment to economic responsibility, but his efforts are and will continue to be focused entirely on questions of fiscal policy, not attacks that seek to divide us socially or culturally," Baker said in a written statement.

If the super PAC, Ending Spending Action Fund, had taken up the plan, it would have attempted to link the president with Wright's philosophy, the Times reported.

Titled "The Defeat of Barack Hussein Obama: The Ricketts Plan to End His Spending for Good," the ad campaign was to play off racial undertones and called for what the proposal described as an "extremely literate conservative African-American" as its spokesman, according to the Times.

The spokesman would make the case that Obama misleadingly portrayed himself in 2008 as a "metrosexual, black Abe Lincoln."

The campaign would "do exactly what (Sen.) John McCain would not let us do," the Times reported the strategists writing.

When McCain ran against Obama in 2008, the Republican nominee famously refrained from pursuing the Wright angle and called out supporters at campaign events who mocked Obama's middle name, "Hussein."

On Thursday, McCain's former campaign manager, Steve Schmidt, told CNN he was "never prouder" to work for McCain than when the senator refused to go after Obama over Wright's comments.

"It wasn't useful. It would have backfired. And more importantly it's wrong," Schmidt said.

CNN contributor Roland Martin agreed, saying Thursday such an attack would open up a can of worms for Republicans.

"If the GOP, if they want to do that, then guess what, you're now putting Mormonism on the table," he said, referring to Mitt Romney's Mormon faith -- a factor that has largely remained on the sidelines of this year's election.

The presumptive GOP nominee's campaign also came out against such attacks when asked to respond to the report. Team Romney argued the economy should remain the primary issue in the race.

"Unlike the Obama campaign, Gov. Romney is running a campaign based on jobs and the economy, and we encourage everyone else to do the same," Romney's campaign manager Matt Rhoades said in a written statement.

In a press conference later Thursday, Romney said he "repudiates" any efforts of "character assassination," arguing Obama's campaign has already attempted to take on such tactics.

Hitting back, Team Obama blasted Romney's camp for not releasing a stronger statement about the proposed ad campaign.

"Once again, Governor Romney has fallen short of the standard that John McCain set, reacting tepidly in a moment that required moral leadership in standing up to the very extreme wing of his own party," Obama campaign manager Jim Messina said in a written statement.

White House spokesman Jay Carney later pointed to comments, not only from Democrats but also Republicans, suggesting that "to launch a multimillion-dollar divisive attack campaign is not what the American people want, and I think there are moments when you have to stand up and say that is not the right way to go."

Thursday's super PAC dust-up calls to mind some of the more nasty campaign tactics used in the Republican primaries earlier this year and poses the question of just how involved outside groups will be in stoking the already-heated fight between the Romney and Obama camps.

A relatively new addition the political game, super PACs were made possible by a 2010 Supreme Court case, known as Citizens United, that ruled in favor of allowing corporations and unions to raise and spend unlimited amounts of money so long as they do not coordinate with the campaigns they support.

This cycle, super PACs have quickly become one of the defining markers of 2012, as the groups have played a pivotal role in doing the so-called dirty work for campaigns.

Groups supporting Romney and former presidential candidate Newt Gingrich especially made waves in the Republican primaries and caucuses.

The pro-Romney super PAC Restore Our Future released a flood of scathing attack ads against Gingrich ahead of the Florida primary in late January, less than two weeks after the former House speaker won the South Carolina primary.

Gingrich blamed the super PAC blitz and the Romney campaign ads for his eventual loss in the Sunshine State.

The pro-Gingrich group, however, had performed its own share of heavy-hitting when it produced a 30-minute special about Romney's history at Bain Capital.

Paul Sracic, chairman of the political science department at Youngstown State University in Ohio, wrote in a CNN op-ed this week that while most commentary about Citizens United has been focused on conservative groups, Democrats will also reap benefits from the gorge of spending.

"Citizens United also freed up unions to spend unlimited amounts of their money to directly advocate for the election of labor-friendly candidates, usually Democrats," Sracic wrote.

He added: "Whereas conservative leaning groups have so far mainly used their money to fund campaign advertising, the AFL-CIO and other unions have made it clear that their money will be spent on grass-roots get-out-the-vote activities."

Indeed, Obama's campaign also realized it could benefit from super PAC money, despite the president's vocal opposition to the 2010 Supreme Court decision.

The campaign made headlines when it announced in February that it would begin encouraging donors to give to Priorities USA, a super PAC supporting Obama's re-election bid.

"This decision was not made overnight," one campaign official said. " The money raised and spent by Republican super PACs is very telling. We will not unilaterally disarm."

Priorities USA has reported spending $2.1 million this cycle, according to Federal Election Commission reports, and co-purchased an ad buy last week on a negative spot tying Romney to big oil.

While the presidential candidates themselves have been relatively quiet about the role of super PACs this year, former candidate McCain has railed hard against outside spending.

Calling Citizens United the "worst decision in the last 50 years," McCain said the Supreme Court "basically unleashed -- without transparency and without accountability -- huge amounts of money from these so-called 'independent campaigns.'"

And earlier this year on CNN's "The Situation Room with Wolf Blitzer," McCain said, "Now it's the system under which we operate, which leads to this kind of campaigning and will lead to corruption and scandals. I guarantee it."

CNN's Jim Acosta, John Helton, Ashley Killough and Jessica Yellin contributed to this report.

@highlight

Conservative billionaire Joe Ricketts nixes a controversial ad campaign

@highlight

The campaign would have featured the Rev. Jeremiah Wright, Obama's former pastor

@highlight

Sen. John McCain refused to use that tactic in the 2008 presidential campaign

@highlight

Both sides will reap benefits from super PAC spending, an analyst says