(CNN) -- It appeared an unlikely meeting: Earlier this month, representatives from Hollywood, home of the anything-goes lifestyle and anything-can-happen film, traveled to Iran, where censorship and constant government supervision are a fact of life for the film industry.

American actress Annette Bening, right, attends a workshop with Iranian actresses during her stay in Iran.

But the two sides had more in common than it would appear, said Sid Ganis, president of the Academy of Motion Picture Arts and Sciences.

"It was thrilling to be in Iran, just plain old thrilling," said Ganis. "We talked. ... We spoke the same language, the language of movies."

In Iran, "the language of movies" has thrived since the 1979 Islamic Revolution, despite strict censorship laws, said Duke professor Negar Mottahedeh, author of "Displaced Allegories: Post-Revolutionary Iranian Cinema." A number of post-revolution Iranian films have screened at international film festivals, and some, such as Abbas Kiarostami's "Taste of Cherry," have won international awards.

Creativity and prohibition often have an "intimate relationship," Mottahedeh said, observing that "film cultures have flourished oftentimes when they have been under restrictions."

Iran's film association, known as the House of Cinema, was host of the Hollywood trip. The American delegation, which included Ganis, producer Bill Horberg and actress Annette Bening, took part in a cultural dialogue with prominent Iranian screenwriters, actors and directors, sharing their ideas on filmmaking and taking part in workshops and film screenings.

"It's hard to get Iranian films distributed in Iran because ... there aren't that many cinemas," Ganis said. "And then, of course, the government intrudes on the process with a certain censorship set of rules and [regulations]."

But, citing a recent Iranian film called "About Elly," directed by Asghar Farhadi -- scheduled to be screened at this year's Tribeca Film Festival -- Ganis said Iranian filmmakers are still able to release high-quality films. "We are expecting the Iranian film industry to continue to flourish in terms of the creativity that we saw when we were there," Ganis said.

"At the moment, I think [Iranian cinema] does have wide exposure," Mottahedeh said. "I do think that Iranian filmmakers are already thinking about the foreign market."

Ironically, things were different before the revolution, Mottahedeh said. Iranian cinema generally emulated American film instead of finding its own niche, which didn't endear it to a number of Iranians.

"Iranian melodrama from the 1960s and 1970s replicates American melodrama," she said. "What the [Shah Mohammed Reza] Pahlavi regime did was to make a commodity of women ... make them wear Western fashion and become alien to Iranians."

The Islamic Republic has also enforced constraints on the film industry with its requirement of modesty, Mottahedeh said. But Iranian cinema has actually had its greatest artistic success in recent years, taking on issues raised by the 1979 revolution and the Iran-Iraq War of the 1980s. The impact of those events "has created a condition of creativity to express the trauma that the nation has experienced," said Columbia University Iranian studies professor Hamid Dabashi.

"This is not in defense of censorship, obviously," Dabashi added, but when it comes to Iran, censorship "creates a creative barrier that filmmakers have to cross."

Horberg, a producer who worked with Iranian actors on the set of "The Kite Runner," said that members of the House of Cinema did not openly discuss the government's policies, although censorship is "a real issue for them."

"It's a paradox that cinema there is known for its ultra-realism and ultra-naturalism and that feeling like you're not even watching a movie, you're watching life. But a lot of what they're able to dramatize is limited," Horberg said.

Despite their limitations, filmmakers have raised Iranian cinema to new heights, winning awards and critics' praise across the globe. Officially, Iran's citizens are unable to watch a number of these films, including director Jafar Panahi's films "Offside" (2006) and "Circle" (2000), which address women's rights, and Kiarostami's award-winning "Taste of Cherry," which deals with suicide. All are banned inside the country.

But that doesn't stop Iranian moviegoers from seeing the films.

"When a film is banned, people are even more eager to see it," Dabashi said, pointing out that many Iranians acquire films through the black market.

"The Iranian audience is among the most appreciative audience for film anywhere," said Horberg. "They seem to have seen everything."

People outside the country are also eager for the country's production and talent. Dabashi said Iranian cinema has been prominent on the international scene for years, adding that many Iranian actors are beginning to cross over to the American film industry -- from veteran Iranian film actress Shohreh Aghdashloo, who starred opposite Ben Kingsley in 2003's "House of Sand and Fog," to newcomer Golshifte Farahani, who starred as Leonardo DiCaprio's love interest in the 2008 thriller "Body of Lies."

Iran's House of Cinema was enthusiastic about the Hollywood delegation's visit, according to CNN International Correspondent Reza Sayah.

"This was very special to them," Sayah said. "They're the best in the business in Iran and what I did see was that connection and camaraderie between filmmakers. ... You can tell that all of them were in their element and they spoke the universal language of film and television."

The Iranian government didn't seem to share the excitement.

Shortly after the delegation's arrival, Javad Shamghadri, the arts adviser to Iranian President Mahmoud Ahmadinejad, said the Academy representatives should apologize for Hollywood's depiction of Iran through the years. Citing films like "300" and 1991's "Not Without My Daughter," Shamghadri said Hollywood has repeatedly attacked Iran.

But, Ganis said, "We were there to talk to filmmakers, not to get into politics and the rhetoric of problems that exist or are perceived to exist between the two countries."

Ganis added that he hopes the visit will help relations between Iran and the United States.

"It's a start," Ganis said. "Maybe we made the tiniest inroad into understanding each other better, having not talked to each other for 30 years or so."

@highlight

Representatives from Hollywood visited Iran to learn about the film industry

@highlight

Sid Ganis, president of the Academy: "It was thrilling to be in Iran"

@highlight

Censorship creates a barrier that filmmakers must cross, says Iranian film expert

@highlight

Many of Iran's internationally acclaimed films are banned inside the country