(CNN) -- A group of architects gathered in Oxford, England last month with an unusual brief -- to design the ultimate dream home for bats.

The winged mammals are valued from an ecological viewpoint for preying on insects, dispersing seeds and pollination. But their numbers have declined dramatically in North America, where a fungal disease called white nose syndrome is estimated to have killed more than 5.5 million.

In the United Kingdom, the fungus has yet to appear, but habitat destruction remains a major threat.

Policy-makers in the UK have stepped in to protect bat populations, criminalizing any interference with their roosts, even if no bats are currently present.

"If you have bats roosting in your building, you can't disturb them in any way without getting a special license," says Kelly Gunnell, Built Environment Officer with the Bat Conservation Trust, a charitable organization in London, England.

Those who interfere with a roost risk a fine of $7,800 per bat, and up to six months in prison -- although Gunnell says no one has been sent to prison yet.

The new, three-hour course, offered by the Royal Institute of British Architects in conjunction with the Bat Conservation Trust, is intended to educate architects about bats, teaching participants the ideal size, access points, temperature, materials and location for bat roosts.

"They need to design these spaces which are biodiversity-friendly, but they're not ecologists," explains Gunnell. "This gives them a basic introduction to their life cycle, when they breed, and their requirements for roosting."

Bats prefer to roost in natural features like trees and caves, but as development has made those environments scarcer, some species have adapted to urban areas.

"Only about half the bats here regularly use buildings as roosts, although nearly all of them will use them at some stage," says Gunnell.

"Unfortunately, with a lot of people doing loft conversions and barn conversions, that's had a huge impact. Bats only have one young a year, and they don't have them every year, so if they were using your roof loft as their maternity roost and you knocked down the building or put in a loft extension, it would wipe out that whole population."

Research ship finds the world's oceans are 'plasticized'

Bats present several logistical challenges for designers.

English bats are tiny, with the smallest species, the pipistrelle, able to fit into a matchbox.

"They can squeeze into the smallest places," says Gunnell. "Literally, if you can put your finger into a gap, a bat can get in there."

They have varying space requirements. Some species prefer tight spaces like cavities under roof piles, others need more space, like that found in attics. All bats need darkness and warmth.

A problem for both builders and bat conservationists is the widespread use in modern buildings of "breathable roofing membranes", a type of insulating textile which allows air vapor to escape.

Roosting bats can get fatally entangled in the fibers, which degrades the roofing membranes, invalidating their guarantees.

Solar panels present another issue.

"It's very preliminary, but there seems to be evidence that when you put solar panels on your roof, it can increase the internal roof void temperature, which can be disturbing to bats," says Gunnell.

Charles Barclay, who has an architecture practice in South London, has built a bespoke bat barn that was shortlisted for a sustainability award by the British Architect's Journal last year.

Wine turbine creates water from thin air

While demolishing a 100-year-old brick farmhouse in Suffolk, England, a maternity roost for brown long-eared bats was found in the attic.

This meant Barclay had to provide a new roost, which took six weeks more than $70,000 to complete. His design incorporates a downward-angled port where bats can enter, leading to a 34mm-wide chute with roughened timber walls which they can crawl up to gain access to an attic 10.5m long and 3m high at the apex.

Once the barn was finished, the sleeping bats were put into a soft bag by an ecology consultant, and delivered to awaken in their new home.

"He also transferred their droppings, so they could smell a bat-friendly area," Barclay says.

Although the Suffolk bats appear to have taken up residence, Gunnell says there's never any guarantee that such solutions will work.

"The problem we have is that, even if you take everything into account for the bats, they often just won't use the space you've created," says Gunnell. "Or, if they do, it can take them up to five years."

She continued: "A few years ago we had a bat house design competition. They got architects involved and built a bat house at the London Wetlands Centre. That's quite a nicely designed bat house, but two years on, it's never been used by bats. Sometimes you can do everything absolutely right, and it still won't be used."

@highlight

A new course aims to teach architects how to accommodate bats

@highlight

UK legislation protects bats and their roosts, with fines and jail time for offenders

@highlight

Bats can get tangled in some modern roofing insulation

@highlight

Some English bats are small enough to fit into a matchbox