(CNN) -- Apple and Facebook made the headlines last week on the news that they are offering coverage for their female employees to freeze their eggs. Financial support for egg-freezing represents a bold step by these tech leaders, intended to support women as they manage the modern-day conflict between work and family.

It is also the latest incarnation of technological optimism, a belief in quick fixes for complex social, political and cultural issues. But women and men everywhere should be suspicious of egg-freezing as a "solution."

Egg-freezing has its history in a century of experiments applying cold to reproductive cells to maximize productivity. Cattle breeders in the mid-1900s began freezing bull semen so they could impregnate many cows all at once by the same bull. In this way they could standardize and control conception to generate the highest profits. The techniques developed in agriculture traveled to fertility clinics, and today a similar logic prevails in human sperm banks.

As commentators have been quick to point out, human egg-freezing is a new technology that carries bodily risk and high rates of failure. To stockpile eggs in the freezer, women self-inject powerful hormones for several weeks before undergoing outpatient surgery. In the short term, women face risks from the drugs and egg retrieval procedure. As for the long term, there are zero longitudinal studies on the health effects of exposing women's bodies to fertility medications. And because of high failure rates, even if women go through all this trouble, fewer than 3 in 10 will end up with a baby.

But even if the technology were perfect, the proposal to help women put motherhood on ice so they can focus on their jobs is shortsighted.

Historically, the relationship between technology and women's work has been complicated. For example, as Ruth Schwartz Cowan argued in the classic "More Work for Mother," the introduction of household technologies like the vacuum cleaner added to women's workload by raising standards of cleanliness to new heights.

Egg-freezing is a technological response to a situation that results from an earlier pharmaceutical fix for work-life balance: the birth control pill. As the historian Elaine Tyler May documents, women used the pill to delay childbearing and enter the workforce.

But when women initiate families later in life, they can have difficulty conceiving. The pill helped contribute to the current situation in which birth control and children are seen as a woman's choice and responsibility -- and men, employers and governments need not adapt. New corporate policies supporting egg-freezing replicate this problem.

Indeed, the structural organization of work has proved more inflexible than women's ovaries. At the beginning of the Industrial Revolution, when wage labor was being regularized, workers were compelled (sometimes via force and sometimes via incentives) to show up on time and to order their lives along the expectations of their employers. The tech industry has reconfigured the places and even the hours that people work, but it still sets a very demanding pace.

What's more, women now constitute almost half of all workers. And rather than making fundamental changes to the structure of work in our society to accommodate women's reproductive years, technological optimists reach for an engineering solution. Have a conflict between women's biological clock and work productivity? Freeze the eggs.

Instead, the goal should be to build systems of production that allow us to live our lives without constantly watching the clock. For example, Princeton political scientist Anne-Marie Slaughter has proposed aligning the work day with the school day.

To be sure, men also feel pulled by the competing demands of work and family, and there is growing scientific evidence that they too have biological clocks. A recent study published in the journal Nature demonstrated that with every passing year, men's sperm is more likely to contain harmful genetic mutations that contribute to their children's risk of autism and schizophrenia. Will Apple and Facebook suggest to their male employees that they freeze sperm in order to postpone fatherhood?

Freezing eggs appears to make reproduction controllable, but one cannot freeze time. Even if cells can be hoarded and stored, time cannot. Time and life and bodies march on; we age, even if our reproductive materials are transformed into frozen assets.

Egg-freezing may be an optimal choice for some women, but it is not a solution to the overwhelming pressures that result from companies requiring long work hours and constant availability. Instead, we must demand policies that have been demonstrated to alleviate the strain for mothers and fathers alike: a living wage, reasonable work hours, paid parental leave, and child care. Freezing eggs simply defers the pressures of today to tomorrow.

@highlight

Writers: Apple, Facebook offer coverage for women employees freezing their eggs

@highlight

It's quick fix for tricky social, cultural issues -- don't buy it, they say

@highlight

They say the policy expects women to be flexible, not companies

@highlight

Writers: Instead, demand policies that ease the workplace strain for mothers, fathers