(CNN) -- Most Americans don't think that midterm elections really matter. The majority of voters come out only for presidential elections. Midterms are left to the most activist parts of the population, the people who like to follow politics in off hours and who care as deeply about who wins elected office as they do about sports teams or celebrities.

That's a big mistake. Midterms play a huge role in shaping American politics, and this year's could be especially significant.

Traditionally, the party of the president does poorly. The 1938 midterm elections created a conservative coalition of southern Democrats and Republicans that stifled Franklin Roosevelt and subsequent Democratic presidents for decades to come.

The 1958 midterms emboldened Northern liberals to push a new agenda, while the 1966 midterms killed any remaining momentum Lyndon Johnson had for his Great Society. In 1994, Republicans reshaped the discourse of Washington by taking control of Congress, while Democrats put a kibosh on President George W. Bush's initiatives when they took it back in 2006.

This year, the stakes are big. While Republicans will certainly retain control of the House, it is unclear whether Democrats will continue to control a majority of the Senate. The importance of this outcome is enormous and will have huge consequences in the coming two years.

Why does control of the Senate matter so much, especially in an era where Congress seems so gridlocked that it can't accomplish anything?

The most important reason is that the Senate Democratic majority is the only effective counterweight to the immense power that the tea party Republicans can wield within the House Republican Caucus.

House Speaker John Boehner has proved repeatedly that he is unable to control the 25 to 30 members of his caucus who have continued to push the party sharply to the right and who have refused to enter into any kind of compromises with the Democrats on matters such as immigration.

Impotent as a leader, Boehner has ironically depended on his ability to tell colleagues that they are wasting their time in the House if they adopt tea party positions that the Senate Democrats won't accept. If Republicans gain control of the Senate in November, he won't have that check to point to anymore and we can see the GOP shift even further to the right.

With control of the majority, Senate Democrats still have the power that social scientists call "agenda setting." Although passing legislation is obviously the prime goal of members of Congress, their other function is to get issues on the table and ensure that public debate continues on key problems.

By doing that, they can keep legislative proposals alive and when the right moment hits, usually some kind of crisis, their proposals are ready to go forward. Immigration reform would likely have withered on the legislative vine of gridlock had not Senate Democrats sent the House a comprehensive reform bill and kept pressure on the lower chamber to deal with the issue.

Immigration reform is dead for the rest of the Congress, but it is an issue people are still talking about and proposals will be back on the table if Democrats have their say about it.

A Senate majority is also key to the future of the courts.

Senate Democrats scored a huge victory when they changed the rules so that the minority could not filibuster against judicial and executive appointments (other than the Supreme Court). This has already streamlined the appointment process and resulted in a burst of nominations being confirmed.

In coming years, we're likely to see numerous court battles, including the replacement of Justice Ruth Bader Ginsburg if she retires. Ginsburg is a vital liberal voice on a Supreme Court that has proved to be increasingly conservative.

If Republicans gain control of the Senate, the White House will be in big trouble with its appointments. Republicans will be able to block ratification of a strong progressive nominee and the White House would find itself under enormous pressure to move toward the center in choosing appointments if they are going to have a chance of confirmation.

Control over the Senate also matters because it will be one of the first major stories of the 2016 election campaign for the White House.

If Republicans gain control of the Senate, it will spark a conversation about 2016 that begins with talk of how Democrats have become weaker politically as a result of Obama's troubles and how Republicans -- despite all their own approval rating problems -- are on the upswing. This would certainly provide a boost to their party and a good framework for Republican presidential nominees to start their campaigns.

If Democrats retain control of the Senate, it would have a very different effect. The storyline for the 2016 election would begin with the ability of Democrats to check the Republican resurgence. The Republican civil war would become more intense, with the right blaming the party's establishment for crushing more conservative candidates in the primaries and the establishment blaming the right for forcing candidates to take positions that are politically unpopular.

The midterms are a big deal.

What happens to the Senate will play a very important role in the direction of U.S. politics in the coming years, even if Congress remains in its current dysfunctional state. Americans should not be complacent. Don't leave the election to the activists.

Join us on Facebook.com/CNNOpinion.

@highlight

Most Americans consider midterm elections insignificant; many don't vote

@highlight

Julian Zelizer: Midterms can make a big difference, and this year's vote is huge

@highlight

If Democrats lose Senate majority, Obama's woes would only grow

@highlight

Zelizer: Democrats would lose influence, and replacing judges would be very difficult