Cartagena, Colombia (CNN) -- When a 12-day-old boy died in her arms, Catalina Escobar was devastated.

She was working as a volunteer in the maternity clinic at one of the largest hospitals in Cartagena, Colombia. At that time -- October 2000 -- such incidents weren't that unusual; on average, at least one infant a day died at the overcrowded and underfunded facility. But when Escobar learned that the baby's teenage mother had not been able to raise the money for treatment that would've saved his life, she was crushed.

"His mother [needed] $30 that I had in my pocket. I will never forget that," she said. "It was a preventable death."

Less than a week later, Escobar endured another, more personal loss: her second son, 16-month-old Juan Felipe, died in a tragic accident when he fell from the balcony of her home. She was overwhelmed by grief.

"It was agony," said Escobar. "I didn't want any mother to feel the same pain, so ... I took action."

The successful businesswoman sold her international trading company and dedicated herself to helping the city's most impoverished children and their young mothers. In the last 10 years, her Juan Felipe Gomez Escobar Foundation -- named for her late son -- has brought health care to tens of thousands of children in Cartagena and provided more than 2,000 teenage mothers with counseling, education and job training.

At first, Escobar focused on lowering the infant mortality rate at the hospital where she'd volunteered. It was more than double the national average. She built a state-of-the-art neo-natal unit, brought in experts to train the clinic's staff and established a program to cover the medical costs for babies born to impoverished mothers. Five years later, the rate of infant deaths at the hospital had dropped 67%.

From the start, Escobar noticed that 70% of the mothers she was working with were between the ages of 14 and 16. Most lived in the slums outside of the city, which have grown during the last decade as people have fled violence in the northern areas of the country.

"You see these girls, [with] their tiny faces ... they're babies holding babies," said Escobar, 42.

She realized that the only way to ensure the long-term health of the children was to enable these teenage girls to break the cycle of poverty.

"When a girl gets pregnant, she drops out of school. ... Next year, she's going to be pregnant again," Escobar said. "She's repeating the same patterns of the mother, the grandmother."

The Colombian government reports that nearly 20% of girls between 15 and 19 years old are or have been pregnant -- nearly triple the U.S. rate. In Cartagena, where one-third of residents live at or below the poverty line, it's an equation that means these young mothers have very little chance of improving their lives.

Escobar is hoping to change that through her teen mothers program, which aims to teach young women how to support themselves and their children. It started with just 30 girls in 2002, but it has expanded in the last decade. With the opening of her foundation's new center last year, 400 pregnant teens and young mothers now enroll every year.

Built in one of the city's many slums, the center is an elegant, modern structure, equipped with a daycare, medical center, cafeteria and classrooms. It's light years away from the impoverished world of these teen mothers. For Escobar, that's the whole point.

"When they come here, this is a piece of heaven [on] Earth," she said. "They deserve the very best."

For the first year, young mothers come to the center every weekday, leaving their babies at the daycare while they attend classes. They receive instruction on basic hygiene -- many have never encountered indoor plumbing before -- and learn how to care for their infants. Because food is often scarce at home, the girls also receive a hearty hot lunch.

During the first six months, the teens take part in therapy sessions to help them understand their new reality and responsibilities. Escobar says that many of the teens she's worked with have been victims of rape and sexual abuse, so counselors work intensively with each girl. The goal is to help them come to terms with their past so they can focus on the future.

The center also teaches teenage mothers about reproductive health and contraception.

"Girls tell me they don't understand how they got pregnant. They think it's from a kiss," Escobar said. "They don't know that the option of using condoms exists."

Do you know a hero? Nominations are open for 2013 CNN Heroes

While the program aims to prevent future pregnancies, Escobar also wants to give these young mothers the tools they need to change their lives. The girls can finish high school on site, take computer classes or learn vocational skills like sewing or jewelry-making. The teens also make and sell products at the center's bakery, which helps fund the program, and the foundation offers micro-loans to help them start their own businesses.

The program also helps mothers find jobs or provides them scholarships to help them continue their education at a trade school or university. The teens return to the center every week so Escobar's staff can track their progress and assist with any problems. Within two to four years, Escobar wants her girls to be providing for their families and be on their way to a better life. She says that two-thirds of those who've completed the program have gone on to find jobs.

"I want my girls to be empowered," she said. "Earning money provides them with independence and allows them to gain back control of their lives."

That's exactly what Yerlis Bautista has been able to do. She dropped out of school when she got pregnant at 16, but through Escobar's foundation, she enrolled in a beauty salon course. She recently earned her diploma, an accomplishment that makes her glow with pride.

"I feel great, since I was able to accomplish a goal that I had wanted," Bautista said. "Now I am working in the best beauty salon ... earning a good salary."

She said Escobar and the program gave her a new outlook on life.

"It is better to go forward with my future, to not just sit around like other girls," she said. "Because I have been a fighter, I have found a better future for my child. ... I will keep fighting so he can have everything."

Escobar believes that attitude change is what will help these young mothers have long-term success. For her, each girl she helps is cause for celebration.

"These teen mothers are my own daughters," Escobar said. "When they get here and they make it through, I feel so proud of them."

Escobar is always looking for more ways to have more impact. In 2005, she established a medical clinic that has provided health care to more than 84,000 low-income residents of the community -- mostly young mothers and their children. And she's planning to build an early childhood education center where the girls can bring their children ages 1-5. In the coming years, she is hoping to expand her program throughout Colombia.

While Escobar has accomplished a great deal in the last decade, one thing is clear: Her personal war on poverty has just begun.

"I'm so passionate about it because we are seeing progress. ... We are changing the lives of these girls," Escobar said. "I wake up every single morning thinking, 'What else can I do to help them?' "

Want to get involved? Check out the Juan Felipe Gomez Escobar Foundation website at juanfe.org and see how to help.

CNN's Laura Klairmont contributed to this report.

@highlight

Catalina Escobar began a foundation to improve children's health

@highlight

The foundation also provides teen mothers with education and job training

@highlight

In Colombia, one in five girls age 15-19 is pregnant or has been pregnant

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes