Washington (CNN) -- President Barack Obama, Democratic governors and even a Republican Cabinet member on Friday blamed GOP intransigence for the failure so far to reach a deal to avert the harshest impacts of forced spending cuts set to take effect March 1.

The increasingly strong entreaties for Republicans to discuss a middle-ground solution with Obama and Democrats showed White House concern over the impasse, as well as its ability to mount a message campaign during a week that Congress is on break.

At issue are $85 billion in mandatory across-the-board spending cuts this fiscal year that both sides agree will harm the economy and national security.

However, the intractable ideological divide over taxes, spending and the role of government has led to another political showdown in Washington like those that dominated Obama's first term.

The president met with Democratic governors at the White House and later told reporters that the forced spending cuts -- known in Washington jargon as sequestration -- were the "wrong prescription" for reducing the nation's chronic deficits and debt.

Others were less diplomatic.

Vermont Gov. Peter Shumlin called Republicans "obstructionist," while Connecticut Gov. Dan Malloy accused GOP legislators of false claims about the issue that he said the news media reported as truth.

"This is craziness," Malloy said, adding that a lack of leadership among congressional Republicans meant "there's nobody to deal with anymore."

Outgoing Transportation Secretary Ray LaHood, the lone Republican in Obama's Cabinet for now, also called on GOP legislators to fully join the debate.

He noted the impending cuts would mean lengthy flight delays and control-tower closures at some small airports as soon as April without a deal.

"I think Republicans need to step up here," LaHood told reporters at the daily White House briefing, where he appeared with Press Secretary Jay Carney. "This requires compromise. This requires Republicans stepping forward with some ideas about how to keep essential services of government running at a level that people are accustomed to."

At issue are the forced cuts and how they came about. They were mandated under a 2011 agreement to raise the federal borrowing limit, intended to motivate Congress to negotiate a comprehensive deficit reduction deal rather than face unpopular reductions in military and non-defense spending.

Republicans contend the idea came from Obama and continually refer to the cuts as "the president's sequester," while the White House notes GOP leaders also endorsed and voted for the plan before Obama signed it into law.

While House Speaker John Boehner and other Republican leaders say they want to replace the forced cuts with other spending reductions that would be less harmful, some GOP legislators contend the across-the-board approach of sequestration is a good start.

"It's the least we can do," conservative Sen. Rand Paul, R-Kentucky, said Friday on Fox. "We have to slow down spending."

For their part, Obama and Democrats continue to push the central theme of last year's election campaign in calling for a combination of more tax revenue from the wealthy as part of a package that includes spending cuts, rather than what they call a meat cleaver approach.

Republicans, however, reject any talk of higher taxes or increased tax revenue after conceding on that issue in the January agreement that raised rates on the nation's top income earners.

They want to shrink the size of government and the spending needed to run it, while Democrats want to strengthen the safety net of federal programs that help the poor, the elderly, the disabled and other vulnerable communities.

While both sides accuse the other of refusing to yield, the Democratic voice was more prominent Friday.

Obama "has offered a balanced approach and it is time for (the) Republican Congress to stop playing games with our jobs recovery, to stop playing games with our middle class who struggled long enough (and) finally see some hope, some income growth, some job growth," Shumlin said. "We are seeing it in our states."

In an interview on Thursday with the radio program "Keepin It Real with Al Sharpton," Obama said GOP opposition to any further tax hikes or ending loopholes to raise more tax revenue was "the thing that binds their party together at this point."

"Unfortunately, I think Republicans have been so dug-in on this notion of never raising taxes that it becomes difficult for them to see an obvious answer right in front of them," the president said.

In an opinion piece published Wednesday in the Wall Street Journal, Boehner labeled the spending cuts "ugly and dangerous," saying they would diminish resources for the military, law enforcement, border security, aviation safety and other programs.

However, the de facto GOP leader on the issue argued that his party's agreement to higher tax rates for the wealthy ended the discussion on further tax or revenue increases now.

The forced spending cuts to the military and other government agencies -- but not entitlement programs that drive chronic federal deficits -- were intended to motivate Congress to come up with a comprehensive deficit-reduction plan sought by both sides.

Such an agreement proved impossible in the hyper-political climate of an election year, and the government-wide cuts opposed by both sides now are set to take effect. That would mean $85 billion in cuts for the rest of fiscal year 2013, which ends September 30, as part of a 10-year total of about $1 trillion.

A $110 billion proposal by Senate Democrats, which is similar to a plan by House Democrats, would replace the forced spending cuts for a year by getting more tax revenue from millionaires, stopping some agriculture subsidies and cutting military spending after the end of combat operations in Afghanistan in 2014.

GOP leaders, meanwhile, seek to blame Obama for the forced spending cuts so that any hardships that result, such as predicted job losses and reductions in economic growth, get attributed to the president.

A majority of Americans support an approach that combines spending cuts and some tax increases to reduce federal deficits, according to surveys Thursday by Pew/USA Today and Bloomberg News.

However, another poll on Friday showed limited support for reducing specific programs, such as defense, entitlements, education and health care.

According to the new Pew Research Center survey, a majority of the public wants to either keep funding the same or increase it for 18 of 19 federal programs mentioned in the poll.

The only exception was U.S. aid for people in need around the world, with 49% of respondents saying such assistance should be increased or kept at current levels while 48% said it should be decreased.

CNN's Paul Steinhauser and Gregory Wallace contributed to this report.

@highlight

President Obama calls upcoming forced spending cuts the "wrong prescription"

@highlight

A GOP Cabinet member urges fellow Republicans to join the debate

@highlight

Republican Sen. Rand Paul calls forced spending cuts "the least we can do"

@highlight

Without a deal, the cuts begin taking effect on March 1