(CNN) -- The arrest of drug kingpin Joaquin "El Chapo" Guzman is a monumental moment in the world's war on drugs.

That he was hiding in plain sight -- in a beach resort hotel in the Mexican Riviera town of Mazatlan -- is as dramatic a twist in the manhunt for Guzman as is the narrative behind his life and his control of the international Sinaloa drug cartel.

Guzman captured after years on the run

Here are three reasons why the arrest of Guzman -- now being held by Mexican authorities and sought for extradition by U.S. authorities -- matters so much.

1. His legend

Chicago declared him and his use of the city as a drug-dealing hub as Public Enemy No. 1, joining bygone gangster Al Capone in that distinction.

West Point's Combating Terrorism Center devoted a report to the international presence of Guzman and his drug trafficking.

Perhaps most importantly, El Chapo is synonymous with narco culture and its lurid glorification. Guzman, 56, is the drug kingpin extraordinaire.

El Chapo, which means "Shorty" in Spanish, inspires American rap songs and a genre of Mexican ballads called narcocorridos.

"All I wanna be is El Chapo, Three billion dollars in pesos" is part of the chorus to a 2012 rap by Gucci Mane.

Maybe the most potent message of El Chapo's arrest is how it undermines his most audacious myth -- that he could never be caught again, unfindable in Mexico's back country.

Guzman had been caught once before by Mexican authorities, in 2001, but he escaped from a high-security Mexican prison. Lore holds that he slipped out of the prison by hiding in a laundry basket.

"He kind of plays up to it. All these guys do," Scott Stewart, vice president at Stratfor, a global intelligence firm, said about the El Chapo legends. "It just kind of adds to the whole mythology -- kind of like the old pulp Western books they used to write about these outlaws."

Guzman had eluded authorities since the 2001 prison break because he cultivated an old-school mafia style of bribing officials at every level of government throughout Latin America, officials said.

2. One of the world's most wanted

Guzman's drug operation is believed to have penetrated not just all of the Americas, but Europe, Australia and west Africa as well, according to the West Point report.

"The United States remains the most important demand market for Sinaloa Federation productsâ€”marijuana, cocaine, and methamphetamines. The European Union and Australia, however, have proven attractive due to the economics of price elasticity and their distance from the supply source," according to the report.

But authorities have been mounting pressure on Guzman's Sinaloa cartel in recent months.

His lieutenants have been killed or captured by Mexican authorities. Earlier police operations yielded a trove of intelligence, including cell phone and other data, a U.S. law enforcement official said. That helped Mexican authorities and U.S. Drug Enforcement Administration agents hunting Guzman gain confidence in recent weeks that they could arrest him.

"Although it's a ridiculous phrase, the world's most wanted drug lord is accurate," said Malcom Beith, author of "The Last Narco," which is about Mexico's drug war. "There's tons of other drug lords around, but I think the Sinaloa cartel, given its growth, given its influence hemispheric and otherwise, I think that puts him on the top."

Phil Jordan, who spent three decades with the DEA and headed the agency's El Paso Intelligence Center, also characterized Guzman in superlatives.

"When you arrest the most powerful man in the Americas and in Mexico, if you talk to any cartel member, they'll say that he's more powerful than Mexican President Pena Nieto," Jordan said. "This would be a significant blow to the overall operations not only in the Americas, but Chapo Guzman had expanded to Europe. He was all over the place."

Even Forbes magazine put Guzman among its World's Most Powerful People since 2009. Forbes estimated his fortune at more than $1 billion.

3. U.S. indictments

Guzman's arrest has re-energized Mexican and U.S. lawmen who spent years tracking his cartel and yet unable to capture him -- until now.

The United States doesn't want to see Guzman escape again.

That's why they are eager to see him extradited to the United States as soon as possible, where he is named in multiple federal drug indictments and has been on the DEA's most-wanted list.

"It is a significant arrest, provided he gets extradited immediately to the United States," Jordan told CNN. "If he does not get extradited, then he will be allowed to escape within a period of time."

Added one U.S. official: "Now comes the hard part."

That official was referring to Guzman's extradition to the United States.

The legend of 'El Chapo'

@highlight

Joaquin "El Chapo" Guzman ran Mexico's notorious Sinaloa drug cartel

@highlight

His arrest pierces legendary status as elusive, above the law

@highlight

Drug dealing in Australia, Europe, Africa made him one of the world's most wanted

@highlight

U.S. officials seek extradition