Port-au-Prince, Haiti (CNN) -- A few days ago we observed the two-year anniversary of the earthquake that devastated Haiti, killing an estimated 220,000 people, injuring 300,000, and leaving more than 1 million homeless. Since that day, blame for Haiti's acute vulnerability and subsequent slow recovery has been traded among the government, international donors and humanitarian organizations.

But for Haitians, placing blame is useless. Even the day after the earthquake, beneath the rubble and dust, still lay the joy of our people -- our beloved Haiti was still there, waiting to be rebuilt. Today, while many bemoan the slow state of recovery, communities all over Haiti are working hard, transforming the disaster into an opportunity.

To be sure, there is much rebuilding work to be done, but strong Haitian women are critical to the effort and leading the way.

Photos: Haiti's children, two years later

Yes, progress is slow. The statistics are staggering. More than 500,000 people are still living in tents in an estimated 758 camps. Too many families are suffering without access to clean water and health care, and a devastating cholera outbreak has killed 6,700 Haitians, with more getting sick every day. An estimated 70% of the population do not have regular employment; job opportunities remain very scarce.

But two years is hardly enough time to rebuild a country that was hit so badly, and already so crippled. Even before the earthquake, Haiti was the poorest country in the Americas, with almost 80% living below the poverty line. But now, there are very visible signs of hope: Nearly half of all earthquake rubble has been removed, for example, and some 430 kilometers (270 miles) of roads have been rebuilt or repaired.

For families and communities fractured by the earthquake, progress has been less visible. They have had to come together to rebuild lives and livelihoods, often in new and creative ways. Children are going back to school and learning how to protect themselves against cholera, parents are creating small businesses and adapting to new farming methods, and community groups are developing systems to access basic services like clean water. These innovations and rebuilding strategies, which began as means of survival, are laying the groundwork for a new Haiti.

Much of this groundwork is being laid locally, and by women. There are so many Haitians who are eager to do more to help their communities; they just need a small window of opportunity. There are many organizations helping to create those opportunities. Oxfam alone has seen more than 1,600 women receive literacy and budget training, and small grants to start businesses to help support their families.

In the rural area of Nippes, farmers have developed 4,748 plots of land on which trees, crops, fruit, and livestock are raised together in order to maximize productivity and land use. Local groups also led an effort to rebuild a workshop in the Martissant neighborhood of greater Port-au-Prince to help more than 200 artisans restart their work as steel-craft and construction material workers.

One amazing Haitian is Kenia LainÃ©, a young woman in the Artibonite River valley of northern Haiti. She is one of 4.5 million Haitians who earn their living as small-scale farmers or part of the agricultural sector. Kenia recently decided to try her hand at growing rice using a new technique called the System of Rice Intensification. SRI uses less seed, less fertilizer, and less water, and grows more rice.

So Kenia found a landowner near where she lives who would allow her to experiment on a small, 100-square-meter (1,100-square-foot) plot. The other farmers teased her when she transplanted her seedlings individually in rows, spaced farther apart, instead of in clumps of four or five, which would allow them to grow stronger roots and better resist pests and diseases. Several weeks later, a heavy rain flattened the rice growing near Kenia's plot, but hers survived. By the end of October, Kenia was expecting a strong harvest, and there is suddenly a lot of interest in SRI in her community. There is now a pilot project to teach 135 farmers the SRI system.

Esline Belcombe, who lost her husband in the earthquake, lives in Corail Camp with her 2-year-old daughter, her mother, and a nephew. Esline is the president of one of several water committees in Corail, a large camp of 20,000 people, where Oxfam has installed about 1.6 kilometers (a mile) of new underground piping to deliver clean water.

She received training from Oxfam to manage water and sanitation facilities in her area. Her committee purchases water from a supplier and sells the water at designated kiosks, where camp residents are taught how to buy from safe sources. The profits are used to help the community buy more water and storage supplies. Esline says the key to the committee's success is managing its own system.

She said, "We want to form our own company to collect and remove rubbish, and then to employ young people who can't find work. This is our community now, and we should be responsible. I feel happy and proud to be involved in this work."

Two years later, as we commemorate the lives of family and friends lost, we begin a new chapter with much work ahead of us. For Haitians to truly survive and build a stronger country, they must be empowered. Resilience is not enough. Resilience can become resignation -- and we should fight any resignation to conditions that are unacceptable for human life. Citizens like Kenia and Esline are not "victims" of the earthquake. They make up a new Haiti, an aspect of life that you may not see in many of the news stories about this second anniversary. But to us, they represent the promise of a vibrant Haitian future.

The opinions expressed in this commentary are solely those of Yolette Etienne.

@highlight

Yolette Etienne: Haitians not blaming others for earthquake ruin, they're working to rebuild

@highlight

She says progress slow; clean water, health care, jobs scarce; cholera has killed thousands

@highlight

Women in particular leading local efforts at farming, building small business, water systems

@highlight

Etienne: Innovations empower citizens to not be resigned to bad conditions, to build new Haiti