"Live every week like it's Shark Week." Those immortal words come not from the Discovery Channel's marketing department but from Tracy Morgan on "30 Rock."

Believe it or not, there once was a time when there was no Shark Week. It wasn't until famed oceanographer Jacques Cousteau's 1956 documentary, "The Silent World," that people began to see what the world under the sea was really like.

"Jacques Cousteau changed the way ocean exploration was done," said Eric Stackpole, who along with partner David Lang is behind a submersible robotic watercraft -- sort of an underwater drone -- that could open a whole new world of undersea exploration.

Cousteau "invited people to explore along with him, and so for us it's the same thing," said Lang.

Their invention, called an OpenROV, is a submarine-like robot that you control with your laptop. It gives scientists, explorers and other users a glimpse of what lies below the surface, without them getting wet.

"R-O-V stands for remotely operated vehicle" Stackpole said. "It's got a video camera on it, so you can see what it sees live. So I can put this in the water, fly it around and see what it sees."

The OpenROV is about the size of a toaster and is engineered to go to depths of up to 100 meters.

Underwater ROVs have been used for research for years. But the biggest difference between the OpenROV and the one, say, James Cameron uses, is the price.

The OpenROV sells for $849. It's not what everyone would call cheap, but you don't need a grant to get your hands on one. This affordability is how Stackpole and Lang hope to bring OpenROV to the masses, turning average people into Cousteau-like undersea adventurers.

Plan for a new kind of spy plane

"If you think about ocean exploration right now,  it's something that a lot of people think, 'Oh, well, you know, what that's something that professional scientists do, that National Geographic explorers do. That's not something that I get to do,' " Lang said, "I think that's what we're trying to instill back in everyone."

The two met when Stackpole was interning with NASA and Lang was between jobs, and both immediately bonded over the idea of a new way to explore the ocean.

"When we first met almost three years ago ... within 10 minutes Eric told me a story about this underwater cave," Lang said. "Within a half an hour we were talking about, 'Well, what if we could build an underwater robot that could go and roam the ocean and anyone could go on and control it from the Internet?"

The project started in their garage in Cupertino, California -- home to some other famous tech innovators: Apple. But once they turned to Kickstarter last year, they saw how many people were truly interested in taking the plunge.

"We set a goal for $20,000 and ended up raising that in about two hours, which is really exciting," Lang said. "It's fun to watch the kind of dollar amounts go up, but then you quickly realize, 'Oh my God, we have to build all these things.' "

There are over 500 OpenROVs in use now around the globe. Even though the project is growing, Stackpole and Lang are sticking with their do-it-yourself ethos.

The OpenROVs are an open-source project, meaning that anyone can hack them to create new features or uses for the devices. Lang and Stackpole sell the ROVs as kits, and customers put them together themselves.

Meet your friendly neighborhood drones

It's a process that helps get everyone involved in the production and design aspect.

"We have people from well over 50 countries in our community who can all contribute to how to make the design better and how to use it better," Stackpole said.

Among those interested in OpenROVs are conservation groups who want to check on invasive fish species and teachers who want to use them in the classroom, Lang said.

Building a community of users to provide input is another way the OpenROV is unique. It also explains the first half of the name.

"OpenROV is an open-source community," Stackpole said. "If the ROV is having some sort of a problem and we can't figure out how to handle it, I can go onto the forums and post, 'Hey, this is a problem I'm having,' and as I sleep, the problem is going across Europe and people who are experts are answering it because they find it interesting.

"By the time I wake up, it's going to cross the U.S., and by lunch I can have five or six good solutions."

With a flow of new ideas coming in from all over the world, Stackpole and Lang have decided not to get a patent  for the OpenROV -- at least not yet. This makes it easier for them to upgrade with new tech and designs.

"For us, we want to innovate as quickly as possible. We want to come up with new designs and revolutionize how underwater exploration is done rather than committing to one design," said Stackpole. "We've been designing the ROV around parts that are not even in existence yet, but that we know are emerging."

As the OpenROV evolves and improves, this approach may allow for more exploration in uncharted waters.

"People often ask, 'Is it something that's just kind of a toy that's fun to build and play with, or is it something that you expect to be used by real researchers?' And our answer certainly is, 'both,' " Stackpole said.

Jacques Cousteau would certainly be proud.

@highlight

A new submersible robot -- sort of an underwater drone -- could open up undersea exploration

@highlight

The OpenROV can be controlled remotely with a laptop

@highlight

It's equipped with a video camera to stream back images

@highlight

The device was designed in Silicon Valley and sells for $849