Giglio, Italy (CNN) -- Francesco Schettino, the captain of the ill-fated Costa Concordia cruise liner, wants to get back on the ship. His lawyers Monday formally asked a panel of three judges for permission to tour the ship's bridge and engine room as part of a defense strategy that he says will prove that was not the only person responsible for the disaster.

The liner, which crashed on the rocks off Giglio Island in January 2012, killing 32 people, was rotated back to vertical last Monday. The unprecedented maneuver, called parbuckling, exposed a twisted mass of metal, dotted with mattresses, passenger luggage and deck chairs on the ship's previously submerged starboard side. Now that the Concordia is upright, there can be further investigation of the captain's alleged mishandling of the ship.

Read more: Concordia righted

Defense lawyers for Schettino agreed with lawyers representing more than 200 civil parties against the captain, including Giglio Island and several passenger and environmental advocacy groups, in asking for a new examination of the ship now that it is upright. Such an examination could include divers going deep into the belly of the vessel to examine whether watertight doors sealed properly, and whether automatic generators functioned. He also wants to walk the judges through the command bridge in a re-creation of the night of the crash. Half of the command bridge was submerged for 20 months.

The trial began with preliminary hearings last March, but Monday was the first time the court heard any substantial evidence in the case. A panel of maritime experts addressed the role of the Indonesian helmsman Jacob Rusli Bin in the accident. Rusli Bin and four others were convicted in a plea deal in July for their role in the disaster. A Florence court is considering the validity of those plea bargain agreements.

Led by Adm. Giuseppe Cavo Dragone, the maritime experts, including professors, ship engineers and ship captains, presented their independent analysis and fielded questions from lawyers on a number of issues, including whether or not Rusli Bin's misunderstanding of Schettino's commands played any role in the accident.

Interactive: Costa Concordia salvage attempt

According to recordings from the ship's bridge from the vessel's black box, Schettino had directed Rusli Bin to turn "hard to starboard" in English, but Rusli Bin can be heard asking "hard to port?" He then turned the ship right instead of left just 13 seconds before it hit the rocks. Dragone told the court that those 13 seconds made no difference, since it takes a lot longer than that to change a ship's course. "The impact would have been the same," he said.

Schettino, on the other hand, argues that the back half of the ship would not have hit the rocks at all if the helmsman had understood his directions clearly. The Concordia's bow skimmed safely past the rocks, but the port side of the stern clipped off a 96-ton chunk of an outcropping that was well marked on maritime maps.

"In that moment, I asked the helmsman to turn the ship left, and he made an error and did not, and instead turned hard to the right," Schettino told the court. "If he had not made that error, and had not turned the wheel the wrong way, we would have avoided hitting the rocks."

5 convicted over deadly wreck

But Schettino had been the one to order the Concordia to veer more than four miles off course in the first place to do a fly-by salute to a former sea captain who had retired on Giglio. The discussion of the day in court was essentially who made the second mistake. At one point, the trial was suspended while the three judges deliberated whether there were grounds to halt the trial altogether while an appellate court in Florence considers the validity of the plea bargains. The judge ruled that the two cases could go on in tandem without compromising justice.

The trial is expected to last through the fall with a string of witnesses, including passengers, crew members and islanders, who say they saw the captain on shore looking for dry socks before all the passengers had been safely evacuated. Schettino is also expected to take the stand in his defense to explain his theory that he is a hero who saved the lives of more than 4,000 people, not a villain whose negligence led to the deaths of 32. No passengers died on impact. All of the 32 victims died during the evacuation, which makes Schettino's alleged errors fundamental in proving his guilt or innocence.

How cruise ship tragedy transformed an island paradise

@highlight

At his trial, Francesco Schettino says he's not the only person responsible for the ship crash

@highlight

He wants divers to see if watertight doors and automatic generators worked properly

@highlight

He also wants judges to see a re-creation of the night of the crash from the command bridge

@highlight

The liner crashed on the rocks off Giglio Island in January 2012, killing 32 people