(CNN) -- The credible but as yet unconfirmed reports that three men directed by al Qaeda have plans for an attack on the United States to coincide with the 10th anniversary of September 11 reminds us of the persistence of the threat from Islamist terrorists.

Yet our research indicates that al Qaeda and those motivated by its ideology are not the only sources of terrorism that the country faces and that terrorists across the ideological spectrum from those motivated by Osama bin Laden's ideology to neo-Nazis have managed to kill only 30 people in the United States since the attacks on Washington and New York a decade ago.

While each of those deaths is, or course, a tragedy, it is orders of magnitude smaller than the 15,000 Americans who are murdered every year.

Our study also found that Islamist terrorism has been no more deadly in the United States than other forms of domestic terrorism since September 11.

In the aftermath of the 9/11 attacks, one of the fears of ordinary citizens and terrorism experts alike was that a new wave of terrorists would strike, some of them armed with chemical, biological, radiological or even nuclear materials.

Ten years later, we have yet to see an Islamist terrorist incident involving such weapons in the United States, and no Islamist militant in this country has made a documented attempt to even acquire such devices.

Yet this is not the case for other terrorists. Indeed, the record of the past decade suggests that if a chemical, biological or radiological attack were to take place in the United States, it is more likely that it would come not from a Islamist terrorist but from a right-wing extremist or anarchist.

In partnership with Syracuse University's Maxwell School of Public Policy, the New America Foundation has conducted a survey of terrorism incidents and cases in the United States since September 11 motivated by political ideologies other than the violent Islamism advocated by bin Laden.

Those ideologies span the spectrum from neo-Nazism and militant Christian fundamentalism to anarchism and violent environmentalism. In the 114 cases we examined, we found five instances of the successful or attempted development or purchase of biological, chemical or radiological weapons by violent extremists motivated by ideologies that have no relation to al Qaeda:

William Krar, a right-wing militia activist, together with his common-law wife, Judith Bruey, had stored enough chemicals to produce a quantity of hydrogen cyanide gas that could kill thousands, along with more than 100 weapons, nearly 100,000 rounds of ammunition and more than 100 pounds of explosives. They were arrested in 2003. Krar was eventually sentenced to more than 11 years in prison, while Bruey received nearly five years.

Anarchist and self-proclaimed "Dr. Chaos" Joseph Konopka was stockpiling dangerous chemicals, including sodium cyanide, when he was arrested by Chicago police in 2002. He is currently serving a 13-year sentence.

Microbiologist Bruce Ivins, an FBI investigation concluded, sent waves of panic throughout the country and killed five people when he sent letters filled with anthrax to politicians and journalists during fall 2001. Ivins committed suicide in 2008. (Some reports have cast doubt on Ivins' responsibility for the attacks, but the FBI remains firm in its conclusion that Ivins was responsible, based on the scientific and other evidence.)

White supremacist Demetrius van Crocker was arrested in 2004 after trying to purchase sarin nerve gas and C-4 explosive from an undercover government agent. His efforts to obtain the weapons earned him a 30-year prison sentence.

Another white supremacist, James Cummings, managed to acquire a supply of radiological materials from scientific research companies and may have been planning to build a "dirty" radiological bomb when his wife killed him after years of domestic abuse in 2008.

To be clear, the 114 cases of right-wing and left-wing terrorism we examined probably do not represent a complete survey of non-Islamist terrorist cases in the United States since September 11. While some of this case information is available from the FBI, as well as organizations that track right-wing radicalism such as the Southern Poverty Law Center, keeping track of these incidents is far more difficult than tracking incidents of Islamist terrorism.

That is because unlike Islamist terror cases, which are nearly all tried under anti-terrorism laws or statutes dealing with "material support" to terrorist groups, other domestic terrorism cases are often tried under an array of other statutes, from weapons and explosives violations, property destruction and arson to "seditious conspiracy" in the case of the anti-government Hutaree militia in Michigan.

Research on the subject is also hampered by the fact that many of these cases received only limited media attention, unlike the now 188 cases of Islamist terrorism that the New America Foundation and Syracuse's Maxwell School have found in the United States since September 11.

We sought to impose as clear a standard as we could for politically motivated violence across a broad spectrum of cases, ranging from environmental terrorism to white supremacist terrorism. We were careful to exclude cases in which insanity or mental deficiency may have had a significant impact, such as that of Jared Lee Loughner, who is accused of killing six people and seriously wounding Rep. Gabrielle Giffords in Arizona in January.

We also excluded cases of violence that appear not to have been premeditated, such as when Jerry Kane and his son Joseph, both steeped in anti-government ideology and armed with an assault rifle, killed two Arkansas police during a traffic stop in 2010 before they were shot dead themselves in an ensuing car chase.

On the other hand, we did include cases in which there was no defined plot but the individual involved had both extreme political views and had bought or constructed high-explosives and other offensive weapons. Officials said that was the case with Jeffrey Harbin, a neo-Nazi and border vigilante who was arrested this year in Arizona with a dozen powerful homemade grenades.

As in Islamist terrorism cases in the United States, right- and left-wing terrorists were not all young hotheads but instead had an average age of 36. But unlike the Islamist terrorism cases, which involved only 4% females, in other cases of domestic terrorism women were involved in 15 percent of the cases.

The right- and left-wing terrorists in our dataset are almost entirely native-born American citizens, and nearly all appear to be Caucasian.

But the political motivations behind their acts were diverse in ways that the participants themselves were not. Thirty-seven percent of cases involved anti-government extremism; 23% were motivated by environmental or pro-animal rights extremism; 17% involved white supremacist ideas or bias against particular ethnic groups; and 11% of cases were animated by religious bias or were acts committed on the basis of religious beliefs, including attacks against abortion doctors and providers.

At least fourteen people have been killed in right- and left-wing terrorism-related incidents over the past decade, while acts inspired by Islamist militant ideas killed 17 people (13 of them at Fort Hood, Texas, in 2009). The number of non-Islamist incidents that caused fatalities (eight) was also twice that of the Islamist cases (four).

And while in the Islamist terrorism cases firearms and explosives figured into around a third of the cases, more than half the cases of non-Islamist terrorism involved firearms or explosives.

Right- and left-wing terrorist incidents involved a broad array of targets; a third focused on government buildings or institutions; and 9% targeted police. Five percent of cases involved acts committed against abortion doctors or women's health clinics, and 11% targeted religious institutions: churches, mosques and synagogues. Another 16% of plots and attacks, many of them carried out by environmental extremists, targeted businesses or corporations.

There was also a slightly greater number of government informants and undercover agents in the right- and left-wing terrorism cases, relative to the Islamist terrorism cases. More than half of the right- and left-wing terrorism cases involved an informant or cooperating witness, and nearly 40% of those cases also involved an undercover government agent.

By contrast, in our survey of Islamist terrorism cases, a third involved an informant, while 11% involved a government agent (six cases involved both a government agent and an informant).

And in 18% of right- and left-wing terrorism cases -- compared with 22% in Islamist terrorism cases -- authorities were tipped off or assisted by family members or people within the same social or religious communities as the arrested individual.

The data indicate that federal and local authorities are just as aggressive in their use of informants and undercover agents with right- and left-wing terrorists as they are with Muslims extremists. And Muslims and non-Muslims alike are just as likely to cooperate with authorities when they see extremist acts going on, contrary to well-publicized claims from the head of the House Homeland Security Committee, Rep. Peter King, that Muslim community involvement in disrupting terrorism plots is uncommonly low.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Recent terror alert renews concern about al Qaeda, authors say

@highlight

Their study shows domestic terrorism often comes from non-Islamist sources

@highlight

Non-Islamist terrorists have been more likely to seek unconventional weapons, they say

@highlight

Authors: In U.S., Islamist terrorism no more deadly than other forms since 9/11