(CNN) -- Michigan has dealt a tremendous blow to unions, approving a right-to-work measure in the heart of organized labor's industrial stronghold.

The new law -- passed by legislators and signed hours later on Tuesday -- not only signals a change in America's so-called Rust Belt, but is also the latest sign that the power of organized labor is shrinking in the United States.

American unions already have a fraction of the influence they did a few decades ago. Only about 12% of workers are union members, down from 20% in 1983, according to federal data. In the private sector, the plunge has been even steeper: union membership has dropped from 17% in 1983 to 7% today.

That's partly because certain unionized industries have become a smaller part of the overall work force, particularly in manufacturing. It's also a result of government action.

Michigan has become the 24th state to adopt a right-to-work law, which removes the requirement for people to pay unions to work at unionized agencies, effectively decreasing union funding and making it less likely that workers choose to organize.

America's up and down relationship with unions

Union supporters in Michigan didn't go down without a fight. They staged a rally outside the state capitol in Lansing as lawmakers voted.

"People need to wake up and fight," teacher Sarah Zigler said at Tuesday's rally. "People need to realize what unions have done for them. Who gave people the 40-hour work week? Who fought for workplace safety? Who brought you the weekend? Who brought you workers comp? Who gave people overtime pay?"

"Unions!" protesters shouted after each of her questions.

Faces of the 'right to work' protest

For much of American history, unions have been credited with helping millions achieve the American dream and criticized for "heavy-handed" operations (They were also reviled for corruption in the days of Jimmy Hoffa.).

But unions have long remained a force to be reckoned with. Today, Michigan becomes the latest state in the Rust Belt, the heart of America's manufacturing industry, to chip away at their power.

Earlier this year, Wisconsin had its own showdown over the power of unions when Gov. Scott Walker -- who opposes unions -- overcame an attempt to recall him from office. The failed recall vote was fueled by anger over laws he pushed that stripped collective bargaining rights from most public unions. Indiana also passed a right-to-work law this year.

While there have been moments of good news for organized labor, including pay bumps for GM autoworkers, industry analysts agree that organized labor no longer holds the sway it once did among America's workers.

So why the downfall of American unions? That depends on who you ask.

Blaming big business

Big businesses are behind campaigns to squelch organized labor, and they are seeing some success, according to Gordon Lafer, a political science professor and opponent of right-to-work laws.

What right to work really means

"The anti-union campaigns of the last three years, starting with Wisconsin, have really been driven ... by big national organizations and money," said Lafer, a union member and who teaches labor studies at the University of Oregon.

"I think an important question to think about is: Why are big private companies spending a lot of money and energy fighting public sector unions?

"They want more free trade, lower minimum wage, the right not to pay sick leave, and all those things which are not per se about union contracts. But the biggest single opponent they have is the labor movement, even in its shrunken and weaker state."

Lafer blames businesses and key business figures for lobbying to push such laws "not because of what unions are doing now for their own members but to get them out of the way on issues that will affect everybody else."

These campaigns stigmatize unions and encourage people who are unemployed to resent unions rather than big business leaders, he argued.

"Their fear is populism," he said, referring to those who are "at the top of the economy, during downward mobility."

"They want the discontent to not be aimed at people running the economy."

There's also an element of fear among those who have jobs, he said. In this time of economic uncertainty, workers are afraid to organize because they don't want to upset their employers and lose their jobs.

It's the economy

For businesses to recover from the recession and build jobs in America, they need to get out from under organized labor, according to some analysts. And that has led to the decline of union power -- which is good news, they say.

"Unions have lost power in the private sector over time because of competition, globalization, and the fact that they don't add any value to worker productivity," said Chris Edwards, an economist with the Cato Institute and a fan of right-to-work laws.

Businesses are responding to today's realities and "can't pay above-market wages forever," he said. "So either they will move work abroad or they will automate to try to get rid of as many workers as they can."

Union membership by state

To build jobs in America, Edwards said businesses can't be beholden to mandatory collective bargaining, which can increase wages and expenses without increasing profits.

In recent years, the retirement of baby boomers has fueled anti-union sentiment as some companies struggle to pay pensions as well as health care for the aging population -- benefits that were negotiated through collective bargaining. And, Edwards notes, that pressure comes on top of the economic downturn.

Listen to how unions are bracing for a long battle

"Unions are going the way of the dinosaur in the U.S. private sector, which is a good thing for workers and businesses because it will make America more competitive," he said. "If right-to-work laws extend to the 50 states, then private sector unions will be dead in America."

How does Edwards feel about the death of all private sector unions?

"Good riddance," he said.

Is it all about red vs. blue?

The decline in union strength is also tied to the political battle between Democrats and Republicans.

"There has been a recognition by both the unions and people who are not happy with unions in the last 12 years or so that unions have been fundamentally the powerhouse between the Democratic party and their electoral math," said Linda Kaboolian, lecturer on public policy with Harvard's Kennedy School of Government.

Unions provide money and put "boots on the ground" to get Democratic candidates elected. If they shrink, so will the money and power of that central blue voting bloc, Kaboolian said, adding that "it's a perfectly rational point of view" for right-wing organizations to take.

Union organizers did a great deal to push for President Barack Obama's re-election in key states, including Michigan. The president himself paid a visit to the state this week, voicing his opposition to the state's right-to-work measure.

"What we shouldn't do is take away your rights to bargain for better wages," Obama told workers. "These so called right to work laws don't have to do with economics, they have to do with politics."

Kaboolian insisted that economic arguments for slicing union strength don't add up. Even if unionized workers cost more, they can often prove to be a higher-quality work force that will last, grow and learn new skills, she says.

Kaboolian speaks of her own experience, having served as a union officer at the University of Michigan. She was also a manager and a worker in both unionized and non-unionized agencies. She said she does not advocate for or against right-to-work laws.

James Sherk of the conservative Heritage Foundation rejected the idea that unions' decline are tied to American politics.

He said the changes are being driven "by efforts to attract business," not an underhanded political effort, he says.

"We're coming out of a pretty nasty recession ... Businesses understandably don't want to be unionized."

@highlight

Michigan is the latest 'Rust Belt' state to approve a right-to-work law

@highlight

It's the latest sign that organized labor's influence is waning in the U.S.

@highlight

Some analysts blame heavy tactics by big business; others say it's just politics