(CNN) -- Drone technology is spreading rapidly. As many as 50 countries are developing or purchasing these systems, including China, Russia, India, Pakistan, and Iran.

Even non-state actors are involved. Hezbollah reportedly has deployed an Iranian-designed drone. Iran is developing a new drone aircraft with a range of more than 600 miles. These systems are used mostly for surveillance, but it is not difficult to equip the aircraft with missiles and bombs. Recently in Massachusetts, a man was arrested for plotting to place explosives on a drone aircraft and fly it into the Pentagon or the Capitol building. Private contractors are getting into the business as well. We now have companies offering drones-for-hire.

What kind of a future are we creating for our children? We face the prospect of a world in which every nation will have drone warfare capability, in which terror can rain down from the sky at any moment without warning.

Military planners are developing technologies for autonomous drones, aircraft that are supposedly "intelligent" and can make their own decisions on when to unleash lethal force. Will we give machines the power to kill people?

The development of drone weapons raises profound moral questions about the future of war. U.S. officials are fond of drone weapons because they are inexpensive and seem to make the waging of war less costly. They allow leaders to conduct military operations without risking the lives of U.S. soldiers or drawing public disapproval. They give the false impression that war can be waged with fewer costs and risks.

Any development that makes war appear to be easier or cheaper is dangerous and morally troubling. It lowers the political threshold of war. It threatens to weaken the moral presumption against the use of armed force.

The use of drone aircraft perpetuates the illusion that military force is an effective means of countering terrorism and resolving political differences. We should know better by now. After 10 years of combat in Afghanistan the threat of terrorist attack and insurgent violence remains as great as ever. May 2011 was the deadliest month for Afghan civilians since the U.N. began keeping records in 2007, the agency's Assistance Mission in Afghanistan reported. June's death toll was almost as high.

Terrorism is essentially a political phenomenon. It cannot be defeated by military means. The RAND Corporation's 2008 report "How Terrorist Groups End"shows that the most effective tools against violent extremism are political processes and police operations.

The U.S. government claims that drone strikes are an effective tool against al Qaeda leaders, but most of those being killed are low-level militants.

Many important legal questions have been raised about drone strikes. The U.S. government arguably has legal authority to conduct military operations in Afghanistan, based on the original congressional authorization adopted after 9/11. It is questionable, however, whether this authority extends to Pakistan, a country that is supposedly an ally of the United States. Nor do we have legal authority to launch military strikes in Yemen, Somalia and other countries where the United States is not officially engaged in armed hostilities.

Force may be used by soldiers against combatants in legally authorized armed conflicts, but this right does not extend to civilians. The U.S. covert counterterrorism drone campaign is managed and operated by the CIA, an agency notorious for its past policy failures and violations of the law. Those who are conducting these raids operate in secret beyond the restraints of military discipline and are not subject to the Uniform Code of Military Justice.

Drone weapons are very precise, but they do not eliminate the problem of civilian casualties. White House counterterrorism adviser John Brennan claimed in June that no civilians have been killed in Pakistan in the last year because of drone strikes. The White House quickly backed away from that outlandish claim, but administration officials continue to insist that so-called collateral damage is very low.

Precise information about civilian casualties is impossible to obtain, but a new report from the Bureau of Investigative Journalism in the UK sheds important light on the subject. Their figures show that civilian casualties occur in about one fifth of U.S. drone attacks in Pakistan. Since the drone war began in Pakistan in 2004, more than 2,000 people have been killed in these strikes, with as few as 386 and as many as 775 civilians among the dead, including as many as 170 children.

Drone weapons raise many troubling security, legal and moral questions. Rather than pushing ahead to develop more of these systems, our government should pause to consider the consequences of this new revolution in military technology.

The opinions expressed in this commentary are solely those of David Cortright.

@highlight

David Cortright: Up to 50 nations developing, buying drones, including China, Iran, Pakistan

@highlight

The prospect is a world in which every nation has drone warfare capability, he writes

@highlight

Cortright: Drones give nations false impression wars can be waged with less risk, costs

@highlight

Drones precise, but kill civilians: up to 775 Pakistanis. We must rethink military trend, he writes