(CNN) -- Nearly 800 classified U.S. military documents obtained by WikiLeaks reveal extraordinary details about the alleged terrorist activities of al Qaeda operatives captured and housed at the U.S. Navy's detention facility in Guantanamo Bay, Cuba.

The secret documents have been made available to several news organizations, including the New York Times and the Washington Post -- and some have been published by WikiLeaks, an organization that facilitates the anonymous leaking of secret information.

CNN was not among the news organizations granted early access to the latest files.

The documents shed light on the way detainees behaved while at Guantanamo and on how they were assessed in terms of their danger to the United States. They are intelligence assessments of nearly every one of the 779 individuals who have been held at Guantanamo since 2002, according to the Post.

The American Civil Liberties Union said in a statement that the documents underscore a need for an independent judicial review of the cases of those being held at Guantanamo.

"These documents are remarkable because they show just how questionable the government's basis has been for detaining hundreds of people, in some cases indefinitely, at Guantanamo," said Hina Shamsi, director of the ACLU's National Security Project, in the statement. "The one-sided assessments are rife with uncorroborated evidence, information obtained through torture, speculation, errors and allegations that have been proven false.

"These documents are the fruit of the original sin by which the rule of law was scrapped when Guantanamo detainees were first rounded up," Shamsi said. "if the government had followed the law, it would have established a meaningful and prompt process to separate the innocent from those who are legally detainable."

The classified files described some of the detainees as being compliant while others threatened violence against guards. One stated he would fly planes into houses.

They also paint in great detail a portrait of al Qaeda as it grew stronger in Afghanistan in the 1990s, prepared for the September 11 attacks and scattered in their aftermath.

Among the files already published by WikiLeaks and examined by CNN is that of Ahmed Khalfan Gailani, recently convicted by a New York court of taking part in the bombing of the U.S. Embassy in Tanzania in 1998. The file, from 2006 when Gailani was transferred to Guantanamo, includes details of his time as a bodyguard and cook to Osama bin Laden shortly before the 9/11 attacks. Gailani is cited as telling interrogators that the al Qaeda leader had a "normal diet" and usually ate with about 15 bodyguards.

The document says Gailani later became one of al Qaeda's few forgers of travel documents. He also opted for training in using explosives to avoid front-line combat.

A document from July 2008 profiles another bodyguard for bin Laden, Sanad Yislam al Kazimi, who stated that he "would have been willing to die for UBL" (the shorthand used for the al Qaeda leader). It says al Kazimi may have had knowledge of al Qaeda's nuclear and chemical programs.

Al Kazimi escaped from Afghanistan after the fall of the Taliban in 2001 and returned to Yemen, where he continued to train for terrorist attacks, according to the document.

He was arrested in 2002 after being lured to Dubai while planning an attack on Port Rashid in the United Arab Emirates. It adds that while at Guantanamo, al Kazimi made "numerous threats against U.S. personnel including the President."

Al Kazimi reportedly said "he would like to tell his friends in Iraq to find the interrogator, slice him up, and make a shwarma (a type of sandwich) out of him, with the interrogator's head sticking out of the end of the shwarma."

Another Yemeni, Abdu Ali Sharqawi, is described as a "senior al Qaeda facilitator" with links to the 9/11 plotters.

He was allegedly responsible for arranging the travel of Yemeni jihadists to Afghanistan in the 1990s, and when he also moved to Afghanistan, he became a confidant of bin Laden's.

The 11-page document about his activities says that "on occasion detainee hiked mountain trails with UBL, who hiked them on a daily basis."

Sharqawi told his interrogators that bin Laden had been in good health, even though he had one kidney. The document suggests that al Qaeda had plenty of money in the aftermath of September 11, asserting that "detainee received and passed on over $500,000" while helping jihadists to escape Afghanistan.

According to the Washington Post, the documents provide detailed insight into Osama bin Laden's thinking and movements immediately after 9/11.

"Among other previously unknown meetings, the documents describe a major gathering of some of al Qaeda's most senior operatives in early December 2001 in Zormat, a mountainous region of Afghanistan between Kabul and Khost," the newspaper reports. "There, the operatives began to plan new attacks, a process that would consume them, according to the assessments, until they were finally captured."

The documents show that detainees' accounts were extensively cross-checked against each other, with at least four detainees confirming that al Kazimi was a bodyguard to bin Laden.

Among the more remarkable statements is one from a detainee who claimed that bin Laden had written to Yemen's president, Ali Abdullah Saleh, before the September 11 attacks, requesting the release of al Kazimi (who'd been detained in 1995) and another man from jail. A short time later, they were freed and went to Afghanistan.

The documents include substantial detail about the travel of the detainees.

In one instance, a Spanish jihadist by the name of Ahmad Abd Al Rahman Ahmad, after spending time in Britain and France, is instructed to travel to Afghanistan via Iran. The document notes: "Travel through Iran is a known modus operandi for al Qaeda operatives to get into Afghanistan via a chain of safe-houses and operatives."

According to the New York Times, the documents show that most of the 172 prisoners still held at Guantanamo have been rated as a "high risk" of posing a threat to the United States and its allies if released without adequate rehabilitation. But they also show that many others who have been released or transferred to other countries were also designated "high risk," the newspaper says.

Detainees are assessed "high," "medium" or "low" in terms of their intelligence value, the threat they pose while in detention and the continued threat they might pose to the United States if released.

The newspaper says the documents include details about detainees' illnesses and behavior at Guantanamo, including "punching guards, tearing apart shower shoes, shouting across cell blocks." But the documents appear to shed little light on interrogation tactics at Guantanamo, which have drawn widespread criticism.

The New York Times says the documents lay bare "the patchwork and contradictory evidence that in many cases would never have stood up in criminal court or a military tribunal."

The British newspaper, the Daily Telegraph, also reports that the documents suggest that much of the evidence used to detain jihadist suspects was flimsy. It says that "people wearing a certain model of Casio watch from the 1980s were seized by American forces in Afghanistan on suspicion of being terrorists, because the watches were used as timers by al Qaeda." Most were subsequently release for lack of evidence.

Others, according to the New York Times, were not so fortunate despite a lack of evidence.

One man detained in May 2003 insisted that he was a shepherd and, according to his debriefers at Guantanamo Bay, knew nothing of "simple military and political concepts." Yet a military tribunal declared him an "enemy combatant" anyway, and he was not sent home until 2006, the Times reports.

"It's not too late to change course and we need more legal process, not less, to make sure we're holding the right people," Shamsi said. "The cases of the remaining Guantanamo detainees cry out for independent judicial review."

The U.S. Defense Department condemned the release of the documents, known as DABs.

Pentagon Press Secretary Geoff Morrell and Ambassador Daniel Fried, the Obama administration's special envoy on detainee issues, said in a statement: "The Guantanamo Review Task Force, established in January 2009, considered the DABs during its review of detainee information. In some cases, the Task Force came to the same conclusions as the DABs. In other instances the Review Task Force came to different conclusions, based on updated or other available information."

WikiLeaks gained international prominence after leaking thousands of papers about the U.S.-led war in Afghanistan. Earlier this year it released a huge cache of secret American diplomatic papers.

@highlight

NEW: The ACLU says the documents point to a need for judicial review of the cases

@highlight

The documents paint a portrait of how al Qaeda prepared for the 9/11 attacks

@highlight

They also provide insights into bin Laden's thinking after the attacks

@highlight

The detainees accounts were cross-checked against each other, the papers say