At first glance, a cotton T-shirt from independent label Small Trades might look like any other basic striped crewneck.

But Small Trades founder Robin Weiss says there are a few things that set her brand apart. Her rib knit shirts and dresses last longer than usual fast-fashion fare, she says, because the people who make them bring a legacy of craftsmanship and manufacturing expertise.

Plus, buying them supports 64-year-old Beverly Deysher, who has worked for Mohnton Knitting Mills since she was 18, always living within walking distance of the factory in the heart of Pennsylvania Dutch country. Supporting Small Trades also means supporting factory owner Gary Pleam, whose great-great grandfather built a water wheel in 1873 to power the hat factory that became Mohnton Mills in 1906.

Deysher's first job was to put elastic in underwear waistbands, back when mass-produced garments were the company's bread and butter. When production of commodity goods went overseas, Mohnton Knitting Mills found a niche in custom jobs for boutique clients like Small Trades, creating shirts from high-quality combed ringspun yarn. Today, Deysher is the sewing floor supervisor who "makes everything work," Pleam said.

So here's the question: Does knowing Deysher's story, the history of Mohnton Knitting Mills, or a boutique's commitment to selling them make you more likely to buy a Small Trades shirt -- starting at $50?

Made in America: The short list

A handful of brands and retailers are banking on that, hoping consumers will pay a premium for the stories behind their labels, and that their efforts will mirror the farm-to-table movement.

Weiss says it's a formula that's good for her business.

"You know who you're supporting. It makes you feel good," she said. "There's nothing like having that personal relationship. I can talk to Gary on the phone in the same time zone or drive to the mill if I have to."

"People care about where their clothes come from"

Small Trades is just one brand that will be featured on Zady, a shopping site launching this week dedicated to fashion transparency. Zady co-founder Soraya Darabi says the price of goods they showcase isn't really a premium. It's simply a fair price for quality products made by skilled employees like Deysher and sold by business owners like Weiss.

"The fast-fashion frenzy has come at the cost of the quality of clothing and fair working conditions for factory workers. We see it over and over again in factory disasters around the world," Darabi said. "People care about where their clothes come from, and they want to know the story behind the label."

Shoppers concerned with the ethical treatment of garment workers and with what goes into their tops and tees are showing more interest in where their clothing comes from. A series of deadly incidents in the past year in overseas garment factories prompted widespread outrage and calls for companies to improve conditions and oversight. After a building collapse in April killed more than 400 factory works in Bangladesh's garment district, more than a million people signed an international online petition urging companies to commit to an enforceable fire and building safety agreement. Outraged shoppers also registered their anger on companies' social media sites.

Major U.S. retailers announced a plan to improve safety conditions in Bangladesh garment factories in July, and companies worldwide have pledged to improve worker safety conditions through funding, inspections and training.

But will that outrage translate to conscious consumerism? Even people focused on the issue say it's hard to know.

Co-founders Darabi and Maxine Bédat say they are targeting people like themselves, style-conscious and socially aware shoppers who have outgrown their trendy wardrobe of cheaply made goods. They say they're looking to build a timeless collection of quality pieces they can feel good about.

The two are familiar with conscious consumerism. The high school friends from Minnesota reconnected while Bédat was planning the Bootstrap Project, a non-profit that promotes artisan goods from around the world. Darabi, who had made a name for herself as a digital strategist at the New York Times and co-founder of Foodspotting, served as a consultant.

Their goal with Zady isn't just to sell stuff, but to start a movement, one they compare to what Whole Foods did for local and organic food, Bédat said.

"We've seen through the whole farm-to-table movement that people care about where their food comes from," she said. "We're trying to reach those people."

Elizabeth Cline, author of "Overdressed: The Shockingly High Cost of Cheap Fashion," agrees that the local food movement shows that consumers are willing to pay more for transparency -- and a good story.

"Consumers want to feel like they're supporting something positive and authentic, not just rejecting something negative when they buy," she said.

"Up until now, ethical clothing's story was it was sweatshop free or organic," Cline said, "but what was missing was an authentic and feel-good human story about the people who design and make clothes."

The story behind the clothes

Zady is just one brand that's trying to tell the stories of where clothes come from. Apparel brand Patagonia has long touted its dedication to promoting "fair labor practices and safe working conditions," through detailed information on its website. Several e-tailers with a heavy emphasis on American-made products, such as Made Collection and Huckberry, play up the stories of makers with transparent sourcing and manufacturing and the fashion universe is full of sites dedicated to ethical and sustainable fashion.

When the executives behind American brand Everlane toured the Chinese factories that make its silk shirts, cashmere sweaters and canvas bags, it documented the journey on the company's Tumblr and Instagram accounts.

Everlane founder Michael Preysman said "radical transparency" was the company's philosophy from the start, and it established a pattern of transparent pricing, listing costs and markups for each of Everlane's bags, shirts and belts.

Showing where clothes were made seemed like the natural next step, he said. Preysman and his colleagues spend months finding the right manufacturers for each product anyway, so why not share that information with customers?

"Transparent pricing and ethical manufacturing are part of our core values as a company because we believe they lead to the best products," he said.

In turn, he says, it's better for his customers.

Some call it slow fashion, ethical fashion or conscious consumerism. Brad Bennett uses the term "honestly crafted" to describe the goods featured on his site, Well Spent, which started under the name Commerce With a Conscience in 2009. Its goal is to promote products that are "attractive, affordable and made in the U.S. or similar first-world/non-sweatshop conditions."

When Bennett started his website "going green" was still the big trend, he said. Today, people seem to care less about the eco-properties of the goods they buy and more about where they're made. That's why some big-name brands, including Apple, Motorola and Levis, are starting to make some products in the United States, he said.

"I think the fact that sites like mine are able to thrive is proof that there's a demand for ethically made goods," he said. "More and more people want to know the story behind their clothes, and they're turning to the internet to find it."

Finding stories of uncertainty

This month, Bédat and Darabi piled into a car with Small Trades founder Robin Weiss to visit Mohnton Knitting Mills.

Dressed in clothing and jewelry from Zady's partner brands, including Small Trades shirts, they greeted owner Gary Pleam outside the main office, where a 1950 black-and-white picture of the mill's staff hangs.

When it launches this week, Zady will include information on where products are made, the raw material sources and a story about each brand's origin. Zady also assigns each brand badges of "criteria for sustainability," such as locally sourced, made in the United States, environmentally conscious or handmade.

Factory and workshop visits are part of Zady's vetting process, although it hasn't completed visits for all of its 45 partner brands, especially those based in Europe. In those cases, it relies on documentation vouching for the company's commitment to creating quality products using sustainable methods.

Pleam walked them through the process of making garments, while Bédat, a former law clerk at the International Criminal Tribunal for Rwanda, took notes about cotton sourcing and how knitting machines work. Darabi tweeted images from the tour and posted photos to Instagram: awards hanging from Pleam's office walls, a picture of his great-grandfather Aaron Hornberger, bundles of waffle knit fabric, calendars hanging from work stations. They shot video of Adnan Azar as he cut patterns for shirts and Beverly Deysher as she sewed striped shirts.

Over a pizza lunch in the employee break area adjacent to the sewing floor, Pleam recounted the business' struggles over the past decade. The last good year was 1998, Pleam said. Since then, he's laid off most of his workforce and cut their benefits, although he tried to make up for it by increasing hourly wages by $1.50 so they could pay for their own insurance. Today, the mill employs 20 full- and part-time workers, including his son.

If Pleam could do it again, he'd do it all the same, he said, because business was good most of the time, and they've had a lot of laughs at work, staff picnics and Friday hot dog lunches.

As they rode home, Darabi said the visit was uplifting, but sad. They'd found a "hidden story" at the factory, something genuine and kind. But it was also a story of struggle and uncertainty.

"It's just so tough," she said. "The fact he isn't sure of his future, his son's future..." she trailed off. "It just gives us our drive and motivation to make Zady work."

"It embodies what we're trying to do," Bédat added, "bring prosperity to heritage and share their stories."

@highlight

Some fashion brands, retailers emphasize transparency to appeal to conscious consumers

@highlight

Founders of Zady, a new shopping website, hope to appeal directly to them

@highlight

Zady showcases brands from around the world that it vetted for sustainability practices

@highlight

Have you transformed your passion into profits? Share your story on iReport