Henryville, Indiana (CNN) -- Even as potent winds and heavy rains lingered in spots, residents through huge swaths of the eastern United States spent Saturday trying to come to grips with vicious storms that obliterated communities, reduced scores of homes to rubble and left at least 37 people dead.

About 17 million from Texas to Indiana to North Carolina were affected by the massive tornado outbreak that began Friday, and continued into the weekend.

Of the 37 victims, 18 were in Kentucky, 14 in Indiana, three in Ohio, and one each in Alabama and Georgia.

Much of Saturday was focused on assessing the damage, treating the wounded and grieving those killed.

But in parts of southern Georgia and northern Florida, it meant braving heavy rain and high wind as far south as Orlando all tied to the same powerful system.

In Lakeland, Georgia, strong winds "destroyed" several houses, felled trees, spurred major outages, and caused what appears to be minor damage to several buildings behind a hospital, Lanier County Sheriff Wesley Studstill told CNN. He said he was unsure if there were any related injuries.

The National Weather Service received two reports of tornadoes Saturday in Lanier County, which is about 30 miles north of the Florida border.

Meanwhile, residents from Alabama to Ohio spent Saturday trying to make sense of the chaos -- and right their lives -- after the previous day's devastating tornadoes.

Piles of debris took the place of well-built homes. High winds toppled tall trees. Bright yellow school buses smashed into buildings. Garbage bins and wooden beams flew through the air with the force of a jet airliner.

Churches turned into shelters and thousands of people began a weekend unnerved by nature's fury.

In hard-hit Henryville, Indiana, rescuers combed for survivors after a twister ripped through the town 20 miles north of Louisville.

Joe Sullivan, a National Weather Service meteorologist, said the tornado that swept through that and other Southern Indiana communities was an EF-4 -- meaning it had sustained winds of between 166 and 200 mph, putting it in the top 2% of all tornadoes in terms of strength. It went for 52 miles and was roughly 150 yards wide, he added.

There were no active searches for survivors as of 5 p.m. Saturday, said Sgt. Jerry Goodin of the Indiana State Police. The breadth of destruction left authorities, however, with "no idea how many people are homeless."

"There are a lot of people who can't sit down on their own couch this evening," Goodin said.

Wayne Hunter, 64, huddled under a blanket with his wife for safety in the middle of their one-story home -- as they'd done many other times -- when the tornado "hit head on," their daughter Pamela Rawlings told CNN on Saturday.

A neighbor eventually found Pamela Hunter some 30 feet away from her husband, bleeding but apparently not suffering from life-threatening injuries. Wayne Hunter, however, did not survive.

"Whether you wanted to laugh or not, he always put a smile on your face," said Rawlings, remembering her father.

Amid the mounting reports of death and destruction, there was some good news.

A 20-month-old girl was found alive, alone and injured in a field in Salem, about 20 miles south of Henryville, said Maj. Chuck Adams, a sheriff's department spokesman.

She was later identified and family members joined her at the hospital. However, she remained in critical condition Saturday afternoon, Kosair Children's Hospital spokesman Brian Rublein said.

At Henryville's high school and adjacent elementary school, staff had huddled in the office area with about 40 students who had not been able to go home and prayed as twisters approached.

"It's a blessing. We praise God" that no one was hurt, said Glenn Riggs, the elementary school principal.

Added Sullivan, from the weather service, "There could have been scores of fatalities" had most students not been let out early.

Unfortunately, many nearby residents were not so lucky.

It was unclear how many people were missing in Henryville, as well as the towns of Chelsea, Paynesville and Marysville -- all hit by tornadoes -- because authorities are still trying to wrap their arms around the sheer amount of devastation, Adams said.

"Marysville is almost completely gone," Adams told CNN affiliate WHAS-TV, out of Louisville, Kentucky.

In Chelsea, east of Henryville, Steve Kloepfer told WHAS that the bodies of his aunt and uncle, Terry and Carol Jackson, and their 4-year-old grandchild were discovered in a field, covered in debris.

His own home, he said, also was gone.

President Barack Obama talked Saturday with the governors of Indiana, Kentucky and Ohio to express his concerns, offer condolences for those killed and provide federal assistance if needed, the White House said in a statement.

To that point, the Federal Emergency Management Agency said it has been in touch with emergency management officials in the affected states.

"Our thoughts and prayers are with those who have lost loved ones and those whose lives have been affected by the storms," said FEMA Administrator Craig Fugate.

Roughly 250 National Guard troops have been called in to provide aid and security in Henryville, Marysville and elsewhere, said Sgt. 1st Class Tina Eichenour.

In Kentucky, similar scenes played out as Gov. Steve Beshear declared a statewide emergency and ordered the deployment of 220 National Guard troops to join a 12-person team searching for survivors in Morgan County.

Around 5 p.m. Saturday, the governor detailed -- citing the state Department of Public Health -- 18 fatalities in six counties, including five in Laurel County.

One apparent tornado made its way down Main Street in West Liberty, shredding buildings and overturning cars along the way. Mike Lacy, with Morgan County's emergency management agency, reported that several people were rescued -- including one man trapped under up to 10 feet of debris -- though four died as a result of the storm across the county.

"It's been a tough night," said Morgan County executive Tim Conley. "We are (fortunate) to report four (dead) and not 104, because we could have lost a whole lot more lives in this thing."

In Tennessee, there were reports of possible tornado touchdowns in nine counties, according to Jeremy Heidt, the state's emergency management spokesman. The National Weather Service later confirmed a tornado hit at least in Jackson, Putnam and Overton counties. At least 29 people were injured across the state.

The storms also moved through northern Georgia late Friday. A tornado was believed to have struck north Georgia's Paulding County, damaging two elementary schools, a small local airfield and an undetermined number of homes, said Ashley Henson, a sheriff's spokesman.

Aerial images showed roofs ripped off houses, exposing bedrooms, kitchens and garages. Six houses were destroyed. In one, a couple survived by getting into the bathtub with their 6-month-old child, Henson said.

"Thank goodness there were actually no injuries or fatalities reported in the Paulding County area," he said. "That is amazing to me, looking at some of this damage."

But one person was killed in the suburban Atlanta city of Alpharetta.

Around Charlotte, North Carolina, at least three people were injured, said Capt. Rob Brisley of the fire department.

The National Weather Service confirmed an EF-2 twister --- with maximum winds up to 135 mph -- struck early Saturday morning along a roughly 3.8-mile long, 175-foot wide stretch through East Mecklenburg and Cabarrus counties. At least 20 homes were damaged, six of them extensively, according to the agency.

In Ohio, two people died in Bethel and another in Moscow due to the storms, Clermont County Commissioner Bob Proud said.

"It's like a bomb went off and everything is splintered, bricks are down, and trees, and just a lot of debris," Ohio Gov. John Kasich said after touring damage in those and other nearby towns.

He said that the state plans to work with the federal government to provide relief, though at this point there are no plans to request a federal disaster declaration. After talking with people who planned to rebuild, Kasich vowed "we'll be back."

"We're knocked down, but we're not knocked out," he said. "We're going to get through it."

CNN's Joe Sutton, Susan Candiotti, Athena Jones, Eric Marrapodi, Moni Basu, Melanie Whitley, Kara Devlin, Maria P. White, Greg Botelho and Chelsea J. Carter contributed to this report.

@highlight

NEW: A woman recalls her father, killed in Indiana, as being full of joy and laughter

@highlight

The tornado that hit southern Indiana had winds between 166 and 200 mph

@highlight

18 died in Kentucky due to the severe weather, including 5 in Laurel County

@highlight

Ohio's governor vows, "We're knocked down, but we're not knocked out"