(CNN) -- African-Americans deserve reparations. Discuss.

The idea of reparations -- that the descendants of slaves should be compensated by the national government for the wrongs and the legacy of slavery -- has always been controversial.

When Ta-Nehisi Coates of The Atlantic wrote the June cover story, "The Case for Reparations," he set a traffic record for the magazine's website. He provoked responses from across the political and ethnic spectrum. Some of his critics did him the courtesy of reading the entire 16,000-word piece. Others, particularly in the Twittersphere, reacted viscerally to the headline and to reactions to the headline.

Through many of these responses, whether thoughtful or tossed-off, there's been a certain thread of uneasiness; a reflexive move to find reasons why reparation couldn't be done or why it wouldn't be workable or fair.

To me, this reflex is as interesting as the original argument. And it suggests that before America could ever actually do reparations, America would have to first be able to imagine the necessity of reparations. The greatest obstacle to considering reparation isn't practicality; it's a dearth of moral imagination.

Coates makes a powerful and persuasive case. He describes not just the obvious injury that demands redress -- namely, slavery -- but also the way in which whites after emancipation systematically and over most of the ensuing 150 years built a nation premised on second-class status for blacks and on supremacy for whites.

The obvious example is the latticework of code and custom that we call Jim Crow. But as Coates reminds us, white supremacy was not just about measures of outright racial subjugation; it was also baked into measures intended to create wealth and opportunity, like parts of the New Deal, which contained many devil's bargains with conservative Southern Democrats to exempt African-Americans. And it plays out in today's criminal justice and incarceration regimes.

What Coates recounts in painstaking detail is an un-whitewashed history of African-American citizenship. It comes as revelation only if you really didn't want to know the truth. Anyone black, by telling their family history, could have told you this history and anyone not black could have read about it.

But his article is in some ways mistitled. Coates is not quite making a case for reparations. He's making a case for a discussion of reparations. He doesn't pretend to spell out all the operational policy choices that would have to be made to put reparations into effect. The closest he comes to a legislative recommendation is to tout a perennially neglected bill that Rep. John Conyers, D-Michigan, introduces every session of Congress, which calls simply for a public study of the possibility of reparations.

This isn't a shortcoming of Coates' argument; it is its purpose. What we need to do is to study the issue in earnest. To have a hearing, in the deepest sense. To listen to the difference between Americanness and whiteness, and to notice the manifold ways that whiteness was (and is) an identity fabricated from the myth of blackness.

To be sure, every ethnic group that's not called white has experienced suffering in American life. But the experience of African-Americans is exceptional in its systematic, multigenerational, reverberating effects. And it's exceptional in its centrality to the founding and building of our nation. No experience reveals more than the African-American experience both the hypocrisy and the possibility of our national creed.

Does any of this answer the question everyone wants to rush to, the question of implementation and how reparations would actually work? How to decide which people are called "black" or "black enough" to get compensation? How to allocate reparations? How to decide how much? How to decide who decides? How to begin the process without it leading to the unraveling of every aspect of institutional wealth, privilege and power in our country? No, Coates doesn't answer these questions. He asks for a hearing.

And the point of a hearing on reparations -- and making it a civic experience as profound and prismatic as the Watergate hearing -- is not to get the American public to "how." It's to get us to "why." For only when we understand why reparations are justified, even if in good faith we cannot yet figure out how or even whether they could be feasible, will we have a shot at being "beyond race."

Maimonides said, "Teach thy tongue to say 'I do not know' and thou shalt progress." On a topic as charged as race, and as woven into the warp and woof of American identity as whiteness, the temptation is always to speak emphatically from fear or pain. But if more of us in reaction to reparations simply say, "I do not know -- but I wish to understand," then we will be making true progress.

@highlight

The Atlantic's June cover story about reparations generated strong reactions

@highlight

Eric Liu: There's a reflexive move to find reasons why reparation couldn't be done

@highlight

He says whether reparations are feasible or not, we should at least discuss the issue

@highlight

Liu: When we understand why reparations make sense will we get to "beyond race"