(CNN) -- Elizabeth Warren, the White House consumer-protection adviser now running for a U.S. Senate seat from Massachusetts, ripped into the tax plan put out by Mitt Romney, the state's former governor, at the Democratic National Convention on Wednesday night.

"He wants to give tax cuts to millionaires and billionaires," said Warren, a former Harvard law professor who served as the Senate watchdog over the 2008 bank bailout. "But for middle-class families who are hanging on by their fingernails? His plans will hammer them with a new tax hike of up to $2,000."

That's a lot of money to average folks, so let's take a closer look.

The facts:

Warren's figure is drawn from the verdict of the nonpartisan Tax Policy Center, a joint project of the Brookings Institution and the Urban Institute that reviewed the Republican presidential nominee's proposals. An August 1 analysis by the nonpartisan group cautions that it's not a precise scoring, since Romney hasn't provided enough specifics.

But it found that under what Romney has said he wants to do "would provide large tax cuts to high-income households, and increase the tax burdens on middle- and/or lower-income taxpayers."

"This is true even when we bias our assumptions about which and whose tax expenditures are reduced to make the resulting tax system as progressive as possible," the center noted.

Romney wants to cut today's income-tax rates, which date back to the Bush administration's tax cuts of 2001 and 2003, by 20% and eliminate the alternative minimum tax on high earners. Romney says he will make up the lost revenue in part by limiting deductions, exemptions and credits currently available to top-level income earners, though won't say which tax breaks he plans to eliminate.

CNN Fact Check: About those 4.5 million jobs ...

If a Romney administration got rid of tax breaks like deductions for mortgage interest, health insurance and charitable contributions for top earners and cut them only by 42% for households that earn less than $200,000, the lower-income families with children "would pay, on average, $2,000 more in taxes," the group concluded. Households without children would see a $75 cut under that scenario, the group stated.

The study was written by Samuel Brown, a former Federal Reserve analyst; Adam Looney, who served on the Obama administration's Council of Economic Advisers; and William Gale, who served on the same advisory board during George H.W. Bush's presidency. President Barack Obama's campaign seized on the $2,000 figure, using it in campaign ads targeting voters in swing states like Ohio, Florida and New Hampshire.

The Romney campaign disputed the findings of the study when it was released, arguing that the analysis was flawed because it did not account for Romney's promise to keep the share of taxes paid by top earners the same and that a reduction in the corporate tax rate -- another part of Romney's plan -- would lead to more revenue.

"There's an old expression in the computer world: garbage in, garbage out," Romney told Fortune magazine in an August 15 interview. "They made garbage assumptions and they reached a garbage conclusion."

The study's authors said it worked under the assumption that any reductions in revenue due to the corporate rate cut would be made up elsewhere.

Conclusion:

The $2000 "tax hike" figure that Warren cites is grounded in a third-party analysis that Romney has criticized, but one the authors stand by. The authors also note that their calculations are not precise because they lack some specifics of Romney's plan.

CNN's Matt Smith and Lindsey Knight contributed to this report.

@highlight

Democrats say Romney tax plan will cost middle-class families $2,000

@highlight

The figure comes from a study from the Tax Policy Center, a nonpartisan think-tank

@highlight

Romney called it a "garbage conclusion," but the authors stand by their findings