(CNN) -- Days of violent unrest in the Thai capital have left dozens dead and hundreds injured, as security forces clashed with anti-government protesters, with the demonstrators finally surrendering on Wednesday evening.

Bangkok turned into a war zone Wednesday, as Thai military forces cracked down on anti-government protesters, ending a tense standoff that has troubled the capital for weeks. The chaotic day left at least five people dead, as Bangkok residents endured an edgy and unsettled night.

Wednesday's violent clashes cap a months-long standoff between Thai authorities and protesters opposed to the government of Prime Minister Abhisit Vejjajiva. The protesters -- known as the United Front for Democracy Against Dictatorship (UDD) -- support Thaksin Shinawatra, who was prime minister from 2001 to 2006, before he was ousted in a bloodless coup.

What has happened up till now?

The latest violence follows a government pledge to hold an election in November in an attempt to halt the protests. However, amid ongoing anger over a crackdown by security forces last month and a refusal by the protesters to comply with a deadline to vacate the district of Bangkok -- until Wednesday -- authorities say the election date is now under threat.

Prime Minister Abhisit declared a state of emergency April 7, hours after anti-government demonstrators (known as "Red Shirts" for the clothes they wear) stormed the country's parliament.

Following protests that have paralyzed parts of Bangkok for months, the army surged on Wednesday into Lumpini Park, with armored personnel carriers crushing bamboo and tire barricades, while protesters hurled M79 grenades at soldiers.

Witnesses reported a dozen buildings -- including a bank, a police station, a local television station and Thailand's biggest shopping mall -- set ablaze.

At least five people, including an Italian journalist, were listed as killed by the Police Hospital in Bangkok. Another 64 -- two journalists among them -- were wounded.

What happens next?

Thailand's prime minister sought to calm public fears with a televised address in which he expressed confidence that peace would soon be restored.

"I would like to give moral support to officers who are doing their duties now and would like to reassure you," Prime Minister Abhisit told citizens. "And I am confident that we can overcome all the problems and bring the country to a long-lasting peace."

He said that the government had regained full control and that Red Shirt leaders had fled or had been taken into police custody. Seven anti-government protest leaders had been taken into custody, while several others fled, authorities said.

The prime minister's office issued a statement Wednesday blaming the crackdown on failed talks between the two sides.

"Negotiations failed because core (opposition) leaders are not able to make decisions by themselves," the statement said, alluding to an outside force influencing the protesters. "(We) ask core leaders to stop the rally and surrender."

On Wednesday, it seemed that the time for talking had passed.

How long have protests being going on?

Thailand has been embroiled in political chaos for years, and many Thai citizens are growing weary with the instability. Ever since Thaksin Shinawatra came to power in 2001, there were protesters opposing his allegedly corrupt and autocratic rule.

Those protesters donned yellow shirts (the color of the king) and occupied the two main airports in Bangkok, until finally the pro-Thaksin government was brought down by a court ruling. In revenge Thaksin's supporters copied the yellow-shirt tactics with a variation, and took to the streets in red shirts.

But the rift is largely between the Red Shirts and the so-called "multi-colored shirts" (who support Abhisit, the current prime minister). The multi-colored shirts, generally middle-class city dwellers, are displeased with the disruption caused by the protests. They are not pro- or anti-government. They simply want the government to shut down the Reds to end the violence and interruptions to daily life.

Why do the sides identify themselves by colors?

It's an easy way for them to create an identity. It all started with the Yellow Shirts wearing a color associated with Monday, the day of the week that Thailand's revered king was born on. That was designed to show their allegiance to the king and more broadly the traditional elite which has dominated Thai politics for years. Thaksin's supporters then picked a color to distinguish themselves from the Yellow Shirts.

Why are they arguing?

Essentially this is a classic power struggle. It's easy to portray this as simply rich against poor, but it is much more complicated than that, as illustrated by the fact that the Reds' leader is in fact a multi-billionaire. Thaksin rode to power by enacting populist policies which gained huge support from the rural poor. His radical approach ruffled a lot of feathers among the elite, who felt he was becoming too big for his boots and feared his policies would erode their position.

The "civil society" also become concerned over allegations of corruption and Thaksin's brutal war on drugs, which saw summary executions. He was also criticized for his heavy handed response to violence in the Muslim-dominated south.

Finally, the army ousted Thaksin in a coup, which had the backing of the aristocratic elite and much of the middle class, who were becoming uneasy with the cult of personality growing around the leader. That set the stage for an embittered power struggle between Thaksin loyalists and those loyal to the army, aristocracy and their traditional Democrat Party.

From his self-imposed exile abroad to avoid a trial on corruption charges, Thaksin released a statement Wednesday saying that he was not the leader of the United Front for Democracy, the formal name of the Red Shirt opposition, and that their movement calling for new elections is not on his behalf.

"They did not demand anything for me or on my behalf. I am not UDD," he said.

Thaksin also accused the Thai government of defaming him by saying he was the mastermind behind the violence in the country's ongoing political crisis.

So who is Thaksin?

Visionary leader or venal despot: Opinions vary, like the color of the shirts his supporters and detractors wear. If you sport red, you think Thaksin was the only prime minister to offer the rural poor a voice and real benefits; if you wear yellow, you view him as opponents of the Philippines' Ferdinand Marcos saw that leader: greedy and dangerous.

What is not in dispute is that Thaksin won two elections, was the only Thai prime minister to serve a full-term in office and is still hugely popular. But critics say he bought his support and was only in politics to help himself.

As a businessman, Thaksin made billions of dollars from his communications company, Shin Corporation. In 2008 he was found guilty and sentenced in absentia to two years in prison for a land deal that enabled his wife to buy a valuable city plot for a fraction of its true value. Thaksin also faces other corruption charges. More than $2 billion in Thaksin's family assets are currently frozen in Thailand, but there is speculation he has a great deal more money elsewhere.

What are the wider implications of the protests?

If the divisions in Thailand can't be healed, it could lead to a deteriorating security situation which would have wider implications for the region. Thailand's relations with Cambodia are especially frosty, since Thaksin was appointed economic adviser to Cambodian Prime Minister Hun Sen. The worst case scenario would see Cambodia drawn into the dispute, with Thaksin using the country as a political base, adding to the already considerable tensions on the border.

Is Thailand safe for visitors?

Many western embassies have shut their doors and are warning their citizens against travel to Bangkok, as violence in the city continues. "Due to escalating violence in central Bangkok, including gunfire near the U.S. Embassy, demonstrations in Chiang Mai, and other incidents throughout Thailand, U.S. citizens should defer all travel to Bangkok and defer all non-essential travel to the rest of Thailand," the U.S. State Department has warned.

As well as advising against travel to Bangkok, the United Kingdom's Foreign Office warned of protests and violent incidents in popular tourist destinations such as Pattaya, Chiang Mai, Chiang Rai and Ayutthaya. But Bangkok's main Suvarnabhumi airport is operating normally, according to its Web site.

@highlight

November election date -- a government concession -- under threat

@highlight

Bangkok turns into a war zone Wednesday; five people were listed as killed

@highlight

Anti-government protesters support former PM Thaksin who was ousted in 2006

@highlight

Protests have paralyzed parts of Bangkok for months