(CNN) -- There are myriad ways to scrawl out the English language: loopy and slanting letters, tight and focused penmanship, and the ever-present chicken scratch, to name only a few.

This was readily apparent when CNN solicited handwriting samples from iReporters as part of the cultural census. Some submitters favored the clean and simple script that denotes years of penmanship practice. Others had messy lettering and sentences tracing defiant diagonal trajectories off their guidelines.

In the era before the printing press, handwriting was a highly specialized and labor-intensive monastic discipline, one undertaken only by those who had committed their lives to the church. Scribes worked painstakingly in a scriptorium, a room connected to a monastery's library where transcribers would spend their entire workday ensconced in one of the many cubiclelike recesses lining the walls. There, they inscribed letter after letter on sheets of parchment for months (or years) at a time -- all to produce a single book or manuscript.

In the opinion of Arnie Sanders, associate professor of English at Goucher College in Baltimore, the history of handwriting is a perfect encapsulation of how the collision between the secular and the sacred has informed our literary traditions.

"It's impossible to say how many different styles of handwriting there were," he said. "Each monastery would have its own scriptorium, if it was not extraordinarily poor. They had to reproduce the service books that they were wearing out. Some became specialists in doing this for other monasteries that were not as good at it. It takes a long time to produce manuscript books.

"The leaders of the scriptorium were looking for people who cared enough about books and writing to dedicate their entire lives to the process," he said. "These skills were something that could carry you through your whole life. Once you learned how to do this, you weren't going to ever be sent out into the fields to mow hay or to plow. Books became the labor that you gave to God."

In all three of the Abrahamic faiths -- Judaism, Christianity and Islam -- handwriting is inexorably connected to religion and the worship of God . The scribe's duties were among the most sacred of religious tasks.

"The real purpose of writing was to propagate the word of God, and to regulate the worship of God," Sanders said. "That's what kept handwriting alive, and why it was taught as a vocation."

Computers and calligraphy: Long-lost twins?

A fitting analogy to the manuscript process is, ironically enough, computer programming. Though the two disciplines are separated by more than a millennium of history, they share fascinating similarities and parallels in their evolution, Sanders said.

"Who programs their own computer any more? In the olden days, when (Steve) Wozniak and (Steve) Jobs were out in the garage doing their thing, everyone had to program their own computer," Sanders said. "That was the scriptorium of the modern era. Now we hire scribes to program for us. Modern computer users are in the 'Dilbert' era. The new scribe is the poor, underpaid and underappreciated programmer who's cranking out Microsoft Word revisions.

"In the early era, while scribes were still working to produce books, before the printing press, you just hired a scribe if you were rich," he continued. "Even people who were literate didn't bother to write their own letters."

Indeed, until the mid-15th century, handwriting remained a specialized vocation mostly reserved for the church and the aristocratic classes. Only specialists could decode the then-standard Gothic script style, because only specialists needed to do so.

Gothic lettering is famous for its complex and ornate style, which can be extremely confusing to the uninitiated. Every serious work of the time, including Geoffrey Chaucer's legendary "Canterbury Tales," employed this script.

Then, as the Renaissance movement began to take root in Europe, Continental Humanist writers began to revive Carolingian lettering, a form of script predating the Gothic style. Continental Humanists sought to apply Renaissance logic and critique to ancient texts, making the writing more digestible and accessible to a wider audience. Their ultimate goal was the "wider distribution of their manuscript works about the pagan classics as well as to challenge Medieval religious orthodoxy," Sanders said.

Carolingian script -- being much simpler, cleaner and easier to read than Gothic -- suited the Continental Humanists' purposes, and was popular enough to become the next step in the evolution of English writing.

And just as with computers, this increased user-friendliness led to a massive proliferation of styles and formats.

"After that last burst of clarity, once literacy spreads beyond professional scribes to ordinary readers like you and me, manuscript writing becomes distorted and stretched out by the very difficult-to-read early modern cursive script of the 15th to 17th century," he said. "This also leads to an explosion of different handwriting styles, the results of which you're seeing today. Look at modern writers' cursive signatures, and you're looking at a late form of this popularized script."

Where the sacred and the secular meet

Indeed, the history of handwriting can be summed up by this constant interplay and between script's religious roots and its secular applications.

"Literally, it's the power to control the pen, and the power to control what the pen perpetuates," Sanders said. "People's interest in this debate about cursive handwriting, typing, texting and other incarnations of the language -- this is proof that these things still have the power to move us. It's the surest evidence you need for the importance of handwriting to the culture."

@highlight

Before printing press, handwriting a specialized, labor-intensive monastic discipline

@highlight

Handwriting history shows how collision between secular, sacred informs literary traditions

@highlight

"The real purpose of writing was to propagate the word of God," English professor says

@highlight

Ironically, manuscript process and computer programming share parallels in evolution