Editor's note: On CNN's "State of the Union," host and chief national correspondent John King goes outside the Beltway to report on the issues affecting communities across the country.

Storefront after storefront are closed and buildings are boarded up and falling into disrepair in Selma.

SELMA, Alabama (CNN) -- To cross the Edmund Pettus Bridge into Selma is to share a stage with history. And these days, it is to come face-to-face with a bleak present.

Storefront after storefront is closed, and many of the buildings in the famous photos from the days of the historic March 1965 events have fallen into disrepair.

"It is very depressing," Selma Mayor George P. Evans tells us during an evening walk down Broad Street in downtown. "People are not buying. People are not spending. Businesses are going out of business."

This is the heart of Alabama's "Black Belt," and Selma is a reminder that a recession that has punished so many across America has hit hardest in places that were already struggling.

"A double whammy," Evans says. "It does seem to be those cities with the largest population of minorities that has taken the biggest hit."  Watch Mayor Evans talk about Selma's economic struggles »

Statewide, unemployment in Alabama has doubled in the past year from 4.5 percent to 9 percent. But here in Dallas County, it is 18.2 percent. In neighboring Wilcox County, is it more than 22 percent. That is staggering: One in five people you pass are unemployed.

"I have been looking and most of the time you go to a place, they are saying: 'No jobs. No applications','' is how Beatrice Jackson explained a job search going on six months. "You have to go looking and you have to apply for jobs, but there ain't nothing really in Selma. So, you know, you just take one day at a time."  Watch John King talk to Selma residents about the loss of jobs »

Jackson was one of more than 300 workers at a cigar factory owned by a company called Altadis USA. Harsh news spread there in November.

On the factory floor, the word was that just shy of 40 workers would lose their jobs, based on seniority. Instead, the owner announced the entire plant was being shut down.

"It was really shocking to us. It was shocking to everybody because we weren't expecting that," Jackson said. She had been back at the cigar factory for nine years, after another plant where she worked was shut down.

She made about $400 a week -- with health insurance -- at the cigar factory. Her unemployment benefits run about $250.

She has lived in Selma all her life and says it has never been this bad.

"That is why most of the young people -- they are leaving," Jackson said. "They are leaving because there ain't no jobs here, and there ain't nothing for them to do, so they leave."

Jimmie Coleman III sees the domino effect every day as he walks the aisles at his job.

He is the director of the Calhoun Foods supermarket, a minority-owned chain whose meat section caters to the tastes of Selma's predominantly African-American population.

The average shopping cart in the checkout line is down to $19 or $20, and customers Coleman says he would see several times a week not too long ago come in just once a week now. More economical family packs are the big sellers, and the traffic in other aisles is slowing dramatically.

Calhoun Foods is losing sales of laundry detergent, canned goods, frozen foods, breakfast cereal and other household staples to the Wal-Mart on the outskirts of town. Last year, the meat department represented 35 percent of sales; this year, it is 50 percent.

'This is basically a meat store," Coleman says during a late morning walk through the Selma store. "We put all of our investment in our meat department." Looking to lure in more customers, the store this week had a giant promotion -- a truckload meat sale with prices slashed 40 percent or more.

The slumping economy means revenues are down, but in an effort to avoid layoffs, Calhoun stores three weeks ago decided to trim back work hours. The work week for all hourly workers (managers are salaried) has been trimmed back to no more than 32 hours a week.

There has been some grumbling from workers who in the past counted on overtime earnings or from workers who are now their household's only wage-earner because a spouse has lost a job. But Coleman says "we try to save everybody," and the alternative to cutting back hours is slashing jobs.

What is striking amid all the bleak statistics and sad stories is a persistent strand of optimism.

"I have never seen it this bad,'' Coleman says. "But I think it is going to get better."

Adds Evans: "If you come back in two or three years, you will see a different city in our downtown area. I believe that."

The mayor's vision of economic revival includes loft apartments in many of the vacant downtown storefronts and warehouses. He has an ambitious plan for a new riverfront development that includes restaurants, shops, parkland and a spacious amphitheater.

It is a vision he pitches to every visitor, but it is a vision dependent on financial commitments that, so far, are slow to materialize.

Selma would appear, in the short term, a perfect target for the Obama stimulus plan. Selma has a wish list of $40 million in projects, from street repairs and other infrastructure to help with the new riverfront development.

But not a dime has reached here yet.

"We have not gotten a response on it at this point," Evans says. "It is very frustrating. The entitlement cities with greater populations have gotten a lot of theirs, but the smaller cities like Selma have not gotten theirs yet. ... I believe we will get something. It is just -- it is just a long process."

@highlight

Alabama's unemployment rate has doubled to 9 percent, Selma area's is twice that

@highlight

Selma was struggling before recession hit -- a "double whammy," mayor says

@highlight

Frustrated job-seeker: "There ain't nothing really in Selma"

@highlight

Selma was site of "Bloody Sunday," when police attacked civil rights marchers