(CNN) -- If all goes as planned, the state of Texas will soon execute Rodney Reed for murdering Stacey Stites 18 years ago in the city of Georgetown. The only hitch in this plan is that Reed might actually be innocent of the crime.

Getting to the bottom of this quandary might require little more than a simple DNA test of items recovered from the crime scene, as requested by his attorney and the Innocence Project.

But if the state of Texas has its way, Reed will be executed without those tests ever being conducted. The fate of the DNA testing is the subject of a hearing in a Bastrop County court, scheduled for Tuesday.

On the face of it, Reed's tireless claims of innocence are not without merit. The police investigation was riddled with glaring foibles and failures. Crucially, the detectives gave up briskly on investigating a likely suspect -- Stites' fiancÃ©, Jimmy Fennell. Fennell was a police officer who was accused of committing acts of sexual violence and was ultimately sentenced to 10 years in prison for sexually assaulting a woman he took into police custody. Fennell, according to affidavits, was irate that his fiancÃ©e, a white woman, was having an affair with Reed, who is African-American.

Why on earth, one wonders, would Texas battle fiercely against conducting the testing? Would it be naive to propose the state should welcome it?

The answer cannot be the meager costs of running the tests or the negligible time they would take to run. Nor could the state claim to be acting out of respect for the victim's loved ones -- a dubious justification from the outset -- given that numerous members of her family are campaigning publicly on Reed's behalf.

The best explanation for the state's aversion to the testing may be the dread of learning the truth. The prospect of finding that Reed is innocent would deliver a resounding condemnation of the state's criminal justice process -- its detectives, prosecutors, defense attorneys, judges, jurors and appellate courts.

The Reed case and others of its kind give Texas' criminal justice system a bad reputation, as they should. Yet justice in Texas is a study in contradictions.

The state has taken formidable strides toward a more accurate criminal process. Following the leadership of outgoing Dallas County District Attorney Craig Watkins, numerous prosecutorial units have been established to uncover faulty convictions.

Texas also boasts a statewide Criminal Justice Integrity Unit that recommends lessons learned from wrongful convictions and oversees policy reform. The state runs an active Forensic Science Commission that both promotes professionalization of the field and investigates complaints of scientific abuse. Texas has enacted a law that requires all police departments to adopt lineup procedures that comply with scientifically based best practices, and all major counties require taping of interrogations.

Texas has also reacted admirably to some of the revelations of false convictions. Michael Morton spent almost 25 years in prison for the murder of his wife, a conviction that would likely have been averted but for the misconduct of the prosecutor, Ken Anderson. In response to Morton's exoneration, the state enacted a sweeping law that mandates broad discovery of evidence to the defense. Moreover, Anderson, who had since become a district judge in Williamson County, was disbarred for his acts and briefly carted off to jail.

None of these reforms should be taken to justify Texas' bullheaded decision to move ahead with the execution of Rodney Reed. No state should exact criminal punishment -- not to mention death -- before taking all feasible measures to verify the defendant's guilt.

It is of course impossible to redo the investigation conducted so long ago or to amend its apparent flaws. But the state has an obligation to Reed, and to its citizenry in whose name it is about to execute Reed, to test every bit of remaining evidence.

If the new evidence undermines Reed's guilt, he should be allowed to walk out of prison as a free man for the first time in 18 years, and the Georgetown police should reopen the investigation of the barbarous murder of Stacey Stites.

@highlight

Dan Simon: Texas may execute Rodney Reed for murder, except he might be innocent

@highlight

Simon says the answer to Reed's innocence or guilt hinges on getting DNA testing

@highlight

Simon says the state may be afraid of testing because it may learn that it made a mistake

@highlight

Texas should take all feasible ways to verify defendant's guilt before execution, he says