One day after New York officials announced a Doctors Without Borders physician had tested positive for Ebola, another person who treated patients in West Africa developed a fever and was put in isolation at a northern New Jersey hospital.

The second health care worker, a woman who hasn't been identified by name, did not have any Ebola symptoms upon arrival Friday at Newark Liberty International Airport, New Jersey health department spokesman Donna Leusner said.

Yet things changed in the hours that followed. According to Leusner, "This evening, the health care worker developed a fever and is now in isolation and being evaluated at University Hospital in Newark."

That woman is being tested for Ebola, according to a government official who is receiving updates about the situation.

Unlike Dr. Craig Spencer, the 33-year-old now in isolation at Bellevue Hospital in nearby New York City, this second health care worker is not confirmed to have Ebola.

In fact, there have been far more examples in recent weeks of suspected Ebola cases than actual ones in the United States. For all the scares, only four people -- starting with Thomas Eric Duncan, a Liberian who died in a Dallas hospital, followed by two Dallas health care workers who'd treated him, lastly Spencer -- so far have been diagnosed with the deadly virus in the United States.

Still, the concerns that Ebola could spread further remain real. And, especially amid criticism over how the Dallas cases were handled, officials have signaled their intent to take stops to prevent it moving in.

To this end,  the governors of New York and New Jersey announced Friday their states were stepping up airport screening for Ebola beyond federal requirements for travelers from Ebola-hit countries in West Africa.

The policy allows the states to determine hospitalization or quarantine for up to 21 days for travelers from the affected countries. A mandatory quarantine is called for those who had "direct contact with an individual infected with the Ebola virus,"  including medical workers who treated Ebola patients. In addition, people with a travel history to the affected regions but with no direct contact with Ebola patients will be "actively monitored... and, if necessary, quarantined."

The health care worker being isolated at Newark's University Hospital was among those initially quarantined as a result of this policy.

"This is not the time to take chances," New York Gov. Andrew Cuomo -- joined by his New Jersey counterpart, Chris Christie -- said of the shift. "This adjustment in increasing the screening procedures is necessary ... I think public safety and public health have to be balanced and I think this policy does that."

New York officials try to reassure public

Meanwhile, there continues to intense interest about Spencer, including where he was, and what risk he might have posed, before getting hospitalized Thursday.

He arrived October 17 at New York's John F. Kennedy's airport, days after leaving Guinea where he'd been treating Ebola patients. Spencer felt fine after touching down, only to begin feeling fatigued Tuesday. But he wasn't symptomatic and didn't have a fever -- of 100.3-degree between 10 and 11 a.m., according to New York City health commissioner Mary Bassett -- until Thursday, at which time he also had  nausea, pain and fatigue.

Up through that time, authorities said, Spencer limited his public interactions but did not eliminate them. In fact, he jogged along the Hudson River, rode the subway, took a cab, went bowling, visited a coffee stand at a Manhattan park and ate at a meatball shop, among other activities.

But that doesn't mean he posed to a risk during that time to anyone, beyond perhaps his fiancee and two friends being quarantined and monitored, though they feel healthy.

On Friday, authorities sought to assure an anxious public that the likelihood of Spencer spreading the virus while out and about was low.

Bassett said the chances of anyone contracting the virus from contact with Spencer were "close to nil." To show he had no fears, Cuomo vowed to ride the subway on Friday.

"There is no cause for alarm," Mayor Bill de Blasio said. "Ebola is an extremely hard disease to contract. There is no reason for New Yorkers to change their daily routines in any way."

Infected doctor talking on phone

Spencer, employed at New York's Columbia Presbyterian Hospital, has been in isolation at Bellevue since emergency personnel took him there Thursday morning.

His Manhattan apartment has been isolated.

Fast Facts: Ebola

On his Facebook page last month, Spencer had posted a photo of himself in protective gear. The page indicates that he went to Guinea around September 18 and later to Brussels, Belgium, in mid-October.

"Off to Guinea with Doctors Without Borders (MSF)" he wrote. "Please support organizations that are sending support or personnel to West Africa, and help combat one of the worst public health and humanitarian disasters in recent history."

In a statement, Columbia Presbyterian Hospital said the doctor was "a dedicated humanitarian" who went to "an area of medical crisis to help a desperately underserved population."

"He is a committed and responsible physician who always puts his patients first," the hospital statement said. "He has not been to work at our hospital and has not seen any patients at our hospital since his return from overseas."

By Friday, Spencer was in stable condition and actively talking on his cell phone from his hospital room.

"(He is)  "in good enough shape to be in conversation with everyone around him," de Blasio said.

How to help

The doctor was monitoring his health

In a statement Thursday, Doctors Without Borders confirmed that the physician recently returned from West Africa and was "engaged in regular health monitoring." The doctor contacted Doctors Without Borders on Thursday to report a fever, the statement said.

The case came to light after the New York Fire Department received a call shortly before noon Thursday about a sick person in Manhattan. The patient was taken to Bellevue.

Mark Levine, a city councilman who represents the doctor's Manhattan neighborhood, said Thursday, before news broke of the doctor's positive test, that city health department workers were canvassing the area, distributing information on the disease door-to-door, according to CNN affiliate WABC-TV.

"The goal right now is to make sure people don't panic," he said.

Get up to speed

The health department said a special ambulance unit transported a patient suffering from a fever and gastrointestinal symptoms.

Bellevue is designated for the "isolation, identification and treatment of potential Ebola patients" in the city, the statement said.

"As a further precaution, beginning today (Thursday), the Health Department's team of disease detectives immediately began to actively trace all of the patient's contacts to identify anyone who may be at potential risk," the health department statement said.

"The chances of the average New Yorker contracting Ebola are extremely slim," the statement said, adding that the disease is spread by direct contact with the bodily fluids of an infected person.

U.S. considers Ebola quarantine

The United States is considering a mandatory quarantine for returning health care workers from West Africa, an Obama administration official said Friday.

The move is an attempt to give clarity to a public concerned about travelers returning from the region and is not because officials fear there is a risk of transmission from people who are not exhibiting Ebola-like symptoms, the official said.

Ebola has killed nearly 5,000 people, mostly in Liberia, Sierra Leone and Guinea. But fears about its spread has mounted since the first person diagnosed with the disease in the United States was hospitalized in Texas last month.

Thomas Eric Duncan, who had flown from Liberia to Dallas, died on October 8. Two nurses who treated him became infected with the virus and underwent treatment, with the cases raising questions about the ability of local and federal officials to deal with an outbreak in the United States.

On Friday, the National Institutes of Health said one of the nurses, Nina Pham, had been declared free of the Ebola virus.

Pham appeared at a NIH news conference in Maryland, where she thanked Dr. Kent Brantly, the American physician who also survived Ebola, for donating his plasma to her while she was sick. She also thanked God, her family, friends and the medical professionals who treated her.

"I feel fortunate and blessed to be standing here today," she told reporters.

The other nurse, Amber Vinson, who is getting treatment for Ebola at Atlanta's Emory University Hospital, is steadily regaining her strength, and her spirits are high, her family said. Doctors can no longer detect the virus in her body, and she'll be transferred from isolation, her mother said.

Already, all travelers coming to the United States from Ebola-affected areas will be actively monitored for 21 days, starting Monday.

In addition, all U.S.-bound passengers from Liberia, Sierra Leone and Guinea must land in one of the five U.S. airports with enhanced screening for Ebola: New York's Kennedy, Washington Dulles, New Jersey's Newark Liberty International, Chicago's O'Hare International and Hartsfield-Jackson International in Atlanta.

Complete coverage on Ebola

@highlight

Official: Health care worker in New Jersey is being tested for Ebola

@highlight

Health care worker who saw Ebola patients has a fever, state official says

@highlight

This comes after NY, NJ decide on enhanced CDC airport screening

@highlight

A Doctors Without Border physician with Ebola is being treated at a New York hospital