NEW YORK (CNN) -- At 80, Maya Angelou says her "knees are not all that swift and my lungs need some extra help but other than that, my desire to learn and to share, that has not abated."

Maya Angelou urges politicians to "aim for the high ground" in her new book, "Letter to My Daughter."

She shares what she's learned in an eventful life in her best-selling new book, "Letter to My Daughter." Angelou achieved fame for her autobiographical writing, including "I Know Why the Caged Bird Sings" and her poetry.

She read her poem "On the Pulse of Morning" at President Clinton's first inauguration. She was only the second poet invited to read at the swearing in of a new president.

But her career has had many facets -- Angelou has been a singer, dancer, playwright, director and teacher.

In 166 pages, "Letter to My Daughter" distills stories from Angelou's life into universal lessons. She writes about birth, life and death, about the ways people misunderstand each other and then transcend their conflict. She calls on national leaders to raise the country's spirit and on Americans to remember that this is the nation that defeated the Nazis and expanded people's freedom through the civil rights movement.

"Politicians must set their aims for the high ground and according to our various leanings, Democratic, Republican, Independent, we will follow," she writes. "Politicians must be told if they continue to sink into the mud of obscenity, they will proceed alone."

In an interview last week in her 1881 brownstone in Harlem, decorated in vibrant, bright colors, Angelou sat at the round table in her dining room, sipping coffee, as she talked about the election and her work.

She supported Sen. Hillary Clinton's bid for the Democratic nomination and then backed Sen. Barack Obama once the primaries were over.

CNN: In the chapter called "National Spirit," you call on political leaders to raise the level of discussion. Could you elaborate on that?

Maya Angelou: What I've encouraged voters to do is to vote for the person I am extolling, and also don't expect that if your man or woman gets in, that all things will be rectified immediately. It's taken us a long time to come to this place of weariness and almost hopelessness.

So because Obama gets in or McCain gets in, it's not going to be repaired overnight. The economy is not going to be repaired, the schools -- the disaster in our schools -- will not be repaired overnight. Nor will the social conversation be repaired overnight.

However, I would encourage every voter to say to his or her candidate, go in and do it, and you will not do it alone. I will help. You have to get up off that sofa or off that couch and give something to the country -- even if it's one hour every other week to an old people's home -- I will read, go into the children's ward and read, or give to your church or your synagogue or your mosque. ... Offer something to the country. So you don't just sit there.

CNN: What does it say about the country that Barack Obama is a candidate to be president?

Angelou: The country is growing up and confessing to something we've known all along. What prevented us from admitting that we knew that? And I was taken back to slavery.

If you will have a person enslaved, the first thing you must do is convince yourself that the person is subhuman. The second thing you have to do is convince your allies so you'll have some help, and the third and probably unkindest cut of all is to convince that person that he or she is subhuman and deserves it.

Well, such a job has been done on all of us that people found it very difficult to admit that human beings are more alike than we are unalike. We've known it. But to admit it, you have to stop saying because this guy speaks another language, because their eyes are shaped differently from mine, because they're first-generation Americans from Eastern Europe, then they don't count, I don't have to consider them. With this, the country is finally able to see through complexion and see community.

CNN: You've known and worked with people like Malcolm X and Martin Luther King Jr. Could you imagine what their reaction would be to this?

Angelou: I think everybody would be weeping tears of joy really.

I think of my grandmother who raised me. She was a daughter of a former slave. She knew this was going to happen. You know that when I was young, I was physically abused and so I stopped talking. I thought that my voice had killed the criminal. ... The man had been found dead. Police said he had been beaten to death. So I knew, because I told [people] that he did it, that my voice could just go out and kill people.

So after a few months, my mother's people sent me and my brother back to this little village in Arkansas to my grandmother, my father's mother who was raising me, and she used to braid my hair.

My hair was huge and very curly, black. And my grandmother put her hand behind my neck and held it so she wouldn't break my neck by accident. And she would start to brush my hair and she would say, "Sister, Mama don't care what these people say about you, that you must be an idiot, you must be a moron because you can't talk. Mama know when you and the good Lord get ready, you're going to teach all over this world. You're going to be a mighty teacher."

I didn't speak for six years. She said that to me all the time, in this little village in Arkansas. [Now] I teach all over the world, I teach in French and Spanish, so when I stand up on a stage or see a book of mine gets accolades or a piece of music I've written, I think about my Mama, and she died before I really came of age, and I just think she knew it.

CNN: She was prophetic about you, but beyond that?

Angelou: Yes, [she believed] it will get better. And you have to continue to prepare yourself, continue to build yourself, continue to elevate yourself and be a benefit, be a blessing rather than a curse, and things will get better. And they have, so when I think of Dr. King and Malcolm, Fannie Lou Hamer, Medgar Evers, I also think of Chief Albert Luthuli, one of the first Africans to earn the Nobel Prize.

I mean that after Chief Luthuli, apartheid was so rigid, unbreakable that men had to carry their IDs on plastic cards that were too large for any suit, so they flapped, reminding them constantly who they were. It was my blessing to meet Nelson Mandela before he went into prison and I've seen him many times since. He knew this day would come, and to be able to stay in prison for 27 years, knowing that the day would come.

CNN: What gave you the inspiration to call the book, "Letter to My Daughter," even though you don't have a daughter? [Angelou has a son, the writer Guy Johnson.]

Angelou: There was an African-American poet, her name was Anne Spencer; she wrote a poem called "Letter to My Sister," around the turn of the 20th Century. ... I started making notes to Oprah [Winfrey] about 20 years ago. She really became a daughter to me.

So there were things I wanted to talk to her about; I made notes, copious notes, and about a year and a half ago, I got out that box called WIP, works in progress, and I started going through two or three lines and I said, "Hmmm, there's an essay in here."

So it is a letter to all my daughters, to those who don't know they are. It is my intent to say you may encounter many defeats, but you must not be defeated. You will be changed, events will change you, but you have to decide not to be reduced.

CNN: Have you been in touch with Oprah lately about the election?

Angelou: I spoke to her about a week ago ... [During the primaries], a newspaper reporter said this proves that Oprah Winfrey doesn't listen to everything Maya Angelou says, because she was supporting Sen. Obama and I was supporting Sen. Clinton.

And when I was asked by the reporter, "What do you say to Oprah?" my answer was, "I say nothing, she's a woman who thinks carefully and profoundly and she has courage. So she's chosen the person she thinks would be the best person for our country. I do the same."

The primaries proved that Oprah had selected the one that most people wanted, so I went to Sen. Obama right after that. Hillary Clinton ... telephoned me and thanked me for my unwavering support, and then asked me to please put that same energy behind Mr. Obama.

CNN: Another theme in the book is to believe in yourself, to have faith in yourself. Why is that important?

Angelou: You need to know that you can go somewhere. You're not just like grass growing on the street. You're like trees, you have roots, and they've done wonderful things, and you need to know that, and by knowing that, you see how outfitted you are for these times. And that you really owe it to those who went before so that you can add to them for those who are yet to come.

You need to know that you are in a continuum, and if you understand that, you realize that you are worthwhile. This continuum would be broken without me.

@highlight

Maya Angelou: No matter who wins, don't expect an overnight turnaround

@highlight

Angelou says politicians should raise the level of discussion

@highlight

She says voting is not enough, people need to volunteer to help others

@highlight

Angelou: You will encounter defeats, but don't be defeated