(CNN) -- It's being presented as the future of cinema and a movie-going revolution.

Specs appeal: 3D is on its way to being free of 3D glasses as the format is rapidly advancing.

While literally adding a new dimension to cinema-goers' experience, 3D is also being touted as a means to help filmmakers reach new creative heights, make millions of dollars for Hollywood studios and curb the scourge of the industry -- piracy.

Dreamworks CEO Jeffrey Katzenberg has likened the new 3D to the first sound and color in movies. Director James Cameron's $200 million-plus sci-fi epic "Avatar" is an expected genre-killer. The prestigious Cannes Film Festival this year opened with a 3D screening of Pixar's "Up".

But even as Hollywood studios and producers embrace digital 3D, they admit they are still learning how to use it.

"We've really gone past the point of seeing the technology as a barrier," Phil 'Captain 3D' McNally told CNN. McNally heads Dreamworks' drive to produce all its animated features in 3D after this year's blockbuster "Monsters vs. Aliens."

"The challenge now is 100 years of experience in how to make movies in 2D," said McNally, speaking of a movie industry that has spent its existence flattening the 3D of real life for the silver screen.

"As filmmakers, we have very little experience in thinking spatially, unlike a sculptor," he said.

"There's going to be great filmmakers that are going to deliver experiences like you've never seen before," said Jason Clark, a motion picture producer who helped launch Dreamworks' 3D foray and worked on "Monster House" and "Stuart Little," the first time a photorealistic character was spliced into a live action movie.

But "the storytelling is always king," Clark told CNN. "You can use these techniques to create a unique experience that makes that story impact on a more personal level with the audience. But it should never take away from the experience or lead the storytelling."

Creative boom or creative killer?

Filmmakers are greeting 3D with cautious excitement.

"2D is completely a mistake," said Alejandro Gonzalez Inarritu, the Academy Award-nominated director of Babel, at a recent press conference in Seoul, South Korea.

"It's like when they criticized me because I use handheld, they said 'you're very gimmicky'," the director said of his preferred camera style. "The way I experience life is handheld. 3D is the way we experience life."

But, Inarritu noted, there was a risk that the technology could distract from the story's emotional catharsis, something that other creatives have also voiced concerns about.

"[3D] doesn't guarantee a success or a good movie or a good movie experience," said Syd Field, widely appreciated as a screenwriting guru. He noted that the talking pictures had their growing pains in the 1920's; Hollywood imported playwrights to craft dialogue but filmmakers paid more attention to cameras and sound recorders.

"As we learned to use the technology, then it began to become an art form," Field told CNN. "3D right now is at its infant stages."

The rise of digital cinema has given 3D its legs. Gone are the days of struggling to synch two separate projectors to create a 3D effect that would sometimes come with nausea or headaches. The iconic kitsch of the red and blue-lense cardboard glasses has been replaced by sleeker polarized aviator models. The future is 3D without glasses, delivered through autostereoscopic displays.

Digital projection is "rock steady" and could define how different generations take on 3D, said Clark.

"The way you interpret 3D images is that your brain looks at each separate image, the left and right image, and it stitches them together," Clark said, likening it to adults using muscles they don't normally use.

"But kids, it's all new to them, and they haven't had the painful experience of watching misaligned 3D in the 1970's, the 1980's, and the 1990's. So I think the experience for them is a lot easier to interpret."

It's no coincidence that animation is leading 3D releases, along with horror, Clark said, as the children who watched 2004's "Polar Express" are growing up. "Now you're going to have to deliver them different kinds of content. So your audience is growing."

Eyes on the prize

For theatre owners, studios and distributors, 3D appears a healthy cash cow, with higher-priced tickets helping titles gross up to three times as much as their 2D counterparts.

The United States will have around 3,000 3D screens by the end of this year when "Avatar" is scheduled for release, according to the National Association of Theatre Owners (NATO). About 90 to 100 screens are being added every month, though theatre operators are pausing in a tight credit market.

"Movie theatre owners are highly conscious of the expense involved in installing a 3D system," said Patrick Corcoran, Director of Media & Research at NATO, noting that out of approximately 600 theatrical releases this year, only 12 to 15 will be offered in 3D.

"No one knows right now how big the market will be," Corcoran told CNN.

The studios are looking for scale. About "5,000 screens in 2,000 to 3,000 locations" is the tipping point that would allow an exclusively 3-D release, said McNally. "That point should be reached within one or two years."

Filling those theatres will be people who don't want to watch bootleg versions, Hollywood hopes, as 3D comes with a promise that it's hard to pirate.

"If you are really determined, you can make a copy of anything," said McNally, suggesting that 3-D movies could be recorded through the same kind of lenses used in 3-D glasses, but pirates would have to be "pretty serious" to pull it off.

The real deterrent appears to be the widening gap between home and theatre. Leaked DVD quality movies are being downloaded on better broadband Internet and played on surround-sound home entertainment systems. 3D promises to deliver a unique experience in theatres that could allow Hollywood to take something back. Studios and theatre owners insist there's no real comparison.

"Comedies are funnier when everybody's laughing. Movies are scarier when everybody's frightened. And that's something that can't be replicated in the home," Corcoran said.

"It comes down to the kind of enjoyment you want from your movie experience," McNally said, likening the choice to visiting the Grand Canyon or seeing a photograph, that "doesn't capture the sense of the place, the space, how you felt when you were there."

@highlight

Digital tech impetus behind 3D films; studios still working out how best to use

@highlight

Format could lead to new creative boom in Hollywood, say analysts

@highlight

Movie industry suggests 3D films are much harder to pirate

@highlight

Advocates estimate tipping point of 5,000 3D theatres in U.S. in two years