Many of our immediate responses to Hurricane Sandy were successful. Scientists accurately forecast the storm; authorities ordered the proper actions; many people heeded the orders; and there was a massive government response in the aftermath.

What went most wrong, and continues to go wrong, is our handling of environmental risks in the long term. Even when the present has delivered an unprecedented shock, we still have trouble accepting that the future will bring new ones, unlike those before. It will.

Sandy was forecast with remarkable precision. Some models saw the storm coming more than a week ahead of time. Five days before it made landfall, the National Hurricane Center predicted the rest of the storm's track confidently, and almost perfectly. Forecasts this accurate are the result of decades of research and development, much of it done by government-funded scientists and engineers. Their remarkable achievement should not be taken for granted.

Many aspects of the immediate government response to Sandy were also successful. Having learned from his predecessor's failure with Katrina in 2005, President Obama took Sandy seriously from the outset.

A battered community, an unexpected angel

The Federal Emergency Management Administration had people and assets in place early, and mobilized reinforcements quickly after the storm to bring help to those in need. There were many successes at the local level as well. New York's Metropolitan Transportation Authority did a remarkable job restoring subway service so quickly.

Our real problems are long-term.

Our infrastructure is not prepared for the climate we've had in the past, let alone the one we'll have in the future. It was clear for years that the New York City subways were dangerously vulnerable to hurricane flooding. Waterproofing was never undertaken. It was considered too expensive a response to a problem that would arrive at an unspecified future time. One of the storm's most expensive casualties was the new, half-billion dollar station at South Ferry, built in the flood zone.

This is not to single out the MTA. Similar examples line our coastline -- houses and businesses built on the beach and in coastal wetlands, power lines vulnerable to trees that come down even in tropical storm-force winds.  The consequences of poor planning will become all the more serious as climate warms and sea level rises.

CNN iReport: Photographer revisits Sandy's path

New York City is actually a world leader in urban environmentalism. Mayor Bloomberg and PlaNYC's post-Sandy "Proposal for a Stronger, More Resilient New York" may be the most serious proposal by any city yet to become more climate-ready. I hope that it survives the end of Bloomberg's term, and that we find the funds and political will to implement it, or something like it.

But political and economic pressures discourage long-term investment. This is more true at the federal level than the local, and becomes still more frightening when we consider the most large-scale and long-term problem: human-induced global warming itself.

Floods like Sandy's will become more common as sea level rises. Rain-driven floods like those in Colorado a few weeks ago will also happen more often, as warmer air holds more water vapor.

Less dramatic, but perhaps ultimately more harmful, the coolest summers in a hundred years will be hotter than even the hottest summers that have occurred in our lifetimes. This has still not sunk in. It is outside our experience, and hard to grasp. But we know these things will happen. This, too, is a confident forecast. The changes are already under way, results of human greenhouse gas emissions, and consistent with the predictions of climate scientists decades ago.

Reducing greenhouse gas emissions takes long-term vision. It also takes faith in science. Science, at its heart, is just the practice of taking reality seriously.

Under Obama, the United States has taken some modest measures. But we need to do much more. So far, the long-term costs of inaction have not been taken as seriously as the short-term costs of action.

Most disturbing, the primary tactic of those opposed to action has not been to argue about the real costs and benefits, but to pretend that reality is not what it is. We human beings are all a little shortsighted by nature, but there is no excuse for willful ignorance, or for conscious, intellectually dishonest denial.

When science delivers a threatening forecast, action is the only responsible course. Our leaders have shown great capacity to act upon a forecast for a Superstorm in a few days' time.  We need to convince them to take the climate change forecast equally seriously.

@highlight

Adam Sobel: The short-term responses to Hurricane Sandy were successful

@highlight

Forecasts were very accurate, FEMA and MTA responded effectively, he says

@highlight

Sobel says the one failure was that it hasn't prompted sufficient concern about climate change

@highlight

Threat of storms, flooding will increase; cities need to prepare now, Sobel says