WARSAW, Poland (CNN) -- In Poland, it's polite to bring flowers when you visit someone's home, so there's a flower shop on virtually every street corner in Warsaw.

Crowds flock to Rynek Starego Miasta, Warsaw's Old Town Market Place.

But the city is now realizing flower power on a bigger scale.

There are buds and blooms adding color all over the capital, from the quaint Old Town to the bustling city center to the massive concrete apartment blocks left over from the communist era.

It's Warsaw in bloom, in many ways: A city thriving, growing and blossoming six decades after much of it was destroyed during World War II and almost 20 years after the collapse of the Soviet Union brought many radical economic and social changes.

Modern Warsaw is a mix of shiny new skyscrapers, tree-lined boulevards, ornate prewar buildings and somber concrete communist relics.

Hamburger joints and pizzerias compete for customers with restaurants offering traditional Polish fare like pierogi. Expensive new cars share the road with crowded buses and trams. Traffic jams frustrate drivers throughout the day.

But it's the older Warsaw -- faithfully restored and full of churches, palaces and parks -- that seems to attract the most visitors.  See more photos of Warsaw's places and people »

To get a feel for the city that was known as the Paris of Eastern Europe before World War II, stroll down Nowy Świat Street, lined with restaurants, cafes, bookstores and small shops. It's part of what's known as Warsaw's Królewski Trakt, or Royal Route. On a recent visit, the music of Frederic Chopin wafted down from an open window of one of the elegant apartments occupying the upper floors.

The street is also home to a sweet Warsaw tradition. Blikle, one of the city's best-known confectioners, has been serving up cakes and pastries since 1869.

It's probably most famous for perfecting the Polish version of the donut: Fist-sized balls of sweet, fragrant yeast dough fried until they're golden-brown and covered with icing. But it's what's inside that gives them their unique taste: A filling of preserves made from pureed rose petals and sugar. They're best when they're still warm, when it's especially hard to eat just one.

Bustling Nowy Świat Street flows into elegant Krakowskie Przedmieście Street as you near the Old Town, Stare Miasto. Follow the crowds to the Royal Castle and the column bearing the statue of Poland's King Zygmunt III, first erected in 1644.

Cobblestone streets lead to the heart of the district: Rynek Starego Miasta, the Old Town Market Place, where visitors are surrounded by picturesque pastel blue, pink and yellow buildings capped by red-shingled roofs and where the mood is as merry as the colors.

Sit down for lunch at an outdoor cafe, buy an amber necklace at one of the shops lining the square, have your caricature painted by artists displaying their work, or just feed the pigeons. No matter the activity, it's a great place to relax and people watch.

This historic center of Warsaw -- which Nazi troops almost completely destroyed in 1944 and which was carefully rebuilt after the war -- is designated as a World Heritage site by the United Nations Educational, Scientific and Cultural Organization. "It is an outstanding example of a near-total reconstruction of a span of history covering the 13th to the 20th century," UNESCO says.

To get away from the crowds, return to the Royal Route and head towards the Aleje Ujazdowskie, a grand boulevard lined with embassies. It's here that you'll find the entrances to Warsaw's Łazienki Park, once the summer residence of Poland's royalty. Today, it's almost 200 acres of calm in the middle of the city and the perfect place for a stroll on wide alleyways surrounded by lush green trees and manicured lawns.

The serene Pałac na Wyspie, Palace on the Isle, is one of several historic must-see sites in the park. Among the many other pleasures: Watching the playful red squirrels roaming in the grass and taking in the colorful plumage of the peacocks strolling the grounds.

Nearby, another Warsaw tradition awaits. For decades, the statue of Frederic Chopin has drawn music lovers and pianists for outdoor concerts of the Polish composer's works. They're held each summer underneath the monument as crowds gather in the surrounding rose garden that also serves as an auditorium.

But any stroll through Warsaw is also a walk through the city's tragic history.

"In this spot, the Nazis shot to death 30 Poles," a stone tablet reads on Nowy Świat Street.

There are many such plaques across the capital. Monuments pay tribute to the many thousands killed during the Warsaw Uprising -- a civilian struggle to free the city from German occupation in 1944.

Some of the buildings that survived World War II still have visible bullet holes in their façades.

They're all unforgettable reminders of the city's painful past and how much it has overcome.

"Fall in love with Warsaw," the capital invites visitors in a slogan printed on posters all over town. It's not hard to do. E-mail to a friend

@highlight

The historic center of Warsaw is designated as a World Heritage site

@highlight

Statue of Frederic Chopin draws music lovers and pianists for outdoor concerts

@highlight

Much of Warsaw was destroyed during World War II, then faithfully restored

@highlight

Poland has been a member of the European Union since 2004