(CNN) -- With hundreds of millions of Africans owning mobile phones, citizens are becoming increasingly well connected. This is providing a powerful opportunity for citizens to access critical information about their parliaments and to report on human rights violations, corruption and poor service delivery.

These interventions are amplifying the voices of marginalized communities and helping citizens to hold governments to account.

For citizens to actively participate in democracy, it is critical that they are able to access information on parliamentary proceedings and elected representatives. MySociety is contributing to this process. It has partnered with local organizations across Africa to build sites like Mzalendo in Kenya and Odekro in Ghana, which enable citizens to access information about parliamentary proceedings and their elected representatives, rate their MPs and gain a better understanding about government's inner workings.

They've taken this process one step further in South Africa. The Open Democracy Advice Centre has created a platform where citizens can submit Freedom of Information Requests. A data repository has been created online, enabling journalists, analysts and campaigners to utilize this information to hold government to account and campaign for improved service delivery.

Read this: 10 African tech startups you need to know

There's a real thirst for this information in Africa. In Nigeria, a simple application created by developer Pledge 51 enables citizens to access their constitution by mobile phone and has been downloaded more than 750,000 times. During protests sparked by last year's fuel crisis, where an increase in the price of fuel resulted in soaring commodity prices, this enabled citizens to exercise their rights against police forces.

Misinformation fueled this crisis, with few citizens understanding the new fuel subsidy payment or oil revenue share in their country. A local organization called BudgIT aimed to address this by generating simple infographics which took citizens through these complex processes in a visual format.

Utilizing the power of social media, this sparked more informed debates and dialogue that contributed to restoring order. The team has since produced a whole series of images that breakdown the Nigerian budget by state and sector, enabling citizens to better understand the country's budget and to utilize this information to ensure that allocated funds are translated into improved services.

Across the continent, platforms are being developed that enable citizens to use SMS from basic phones to report challenges in service delivery. In the impoverished Khayelitsha township in Cape Town, residents have submitted around 3,000 reports on issues like poor sanitation, electricity and transport to the Lungisa platform from their mobile phones, Facebook and the web. Remarkably, most of the issues have been resolved by the city council.

Read this: African innovation can take on the world

In Northern Uganda, the brutal Lord's Resistance Army conflict has displaced hundreds of thousands of people, leaving infrastructure and service delivery in dire straits. A Peace, Recovery and Development Plan has been put in place but progress is limited. Only a few health centers have been established, there's a severe shortage of drugs, medical workers and equipment and corruption is commonplace.

CIPESA has created a platform populated with information on health programs being implemented in the region and citizen journalists are able to submit reports, photographs and audio footage describing the real situation on the ground, whilst Voluntary Sector Accountability Committees established by WOUGNET are utilizing a similar platform to report on corrupt practices and poor governance. The data collected is being used by the NGOs to hold government to account and advocate for improved services.

In many African countries, youth often feel excluded from the political process. As young people are the biggest consumers of technology, platforms are being developed that enable them to become more actively engaged. In Kenya, Youth Agenda is utilizing an SMS platform to encourage youth to vet their leaders according to policies and attributes instead of along tribal lines. The platform is also used to gauge political opinion. The feedback is collated into reports which are fed into government, giving youth a voice and allowing them to contribute to the development of policy.

Until 2009, Kibera -- one of the world's largest slums and home to more than 250,000 people -- appeared only as a blank on online maps. This made it easy for government to ignore the needs of its citizens. Map Kibera has equipped young activists with GPS-enabled phones and has supported them in creating a map of the region, part of a wider program that empowers youth to raise awareness of the challenges faced by their communities and advocate for change.

Read this: Tech hub working on 'next big idea'

Plan Cameroon has taken this process a step further in three districts. Once youth have mapped their area, they populate the map with data on service delivery such as access to water points, clean water and hygiene facilities. Local councilors and activists are utilizing this data to mobilize the involved communities to demand better services and advocate for change.

Technology applications can be developed anywhere and what's exciting about many of these initiatives is that they're being devised locally. Technology innovation hubs are springing up across the continent. These state-of-the-art facilities enable technologists and social activists to access high-speed internet, events and mentoring, as well as creating a collaborative environment that galvanizes the tech community. This is beginning to have a significant effect on the number and quality of projects being developed locally.

Homegrown solutions are often most effective, as local communities are best able to understand the complex local needs, behaviors and nuances. Some of these hubs such as Jozi Hub in Johannesburg and Co-Creation Hub in Lagos, Nigeria, have targeted programs to support transparency initiatives, thus catalyzing this process.

Undoubtedly, technology isn't a panacea for all social problems. And at times, such as when the technology utilized isn't locally available or where governments lack capacity to respond to issues being reported it can be entirely inappropriate. However, when combined with well devised programs, their power to reach the previously unreachable and to bring the voices of citizens closer to government makes them a significant contributor to the process of ensuring that government's best serve the interests of their citizens.

The opinions expressed in this commentary are solely those of Loren Treisman.

@highlight

Mobile phones are helping African citizens hold their governments to account

@highlight

Loren Treisman: "There's a real thirst for this information in Africa"

@highlight

Technology can help ensure governments serve the interests of their citizens, she says