(CNN) -- An ax murder. Then, jail time. Sounds like a morbid crime story.

Yet this tale has taken a sudden and unexpected twist: The killer got a pardon and a hero's welcome.

That has stirred fears of a war.

The parole has exacerbated long-standing tensions over disputed land between Armenia and Azerbaijan, former Soviet republics that are nestled in the Caucasus region near Turkey, Iran and Russia.

The nations fought a war two decades ago over the region of Nagorno-Karabakh and surrounding Azerbaijani territories. Much of the area is now occupied by Armenia.

A return to warfare could suck in world powers, analysts warned Wednesday. Thomas de Waal, an expert on the Caucasus with the Carnegie Endowment for International Peace, told CNN world energy markets would be disrupted in a conflict since an oil and a gas pipeline carrying Caspian oil curves around the conflict zone in Azerbaijan.

Mosque shooting, suicide bombing hit Russia's Caucasus region

The ax killing happened in 2004 at a NATO center in Hungary, where troops from Armenia and Azerbaijan were getting training. Ramil Safarov, a soldier from Azerbaijan, killed Armenian officer Gurgen Margarian. Both men were studying English.

Safarov was sentenced to life in prison in Hungary, but that country recently extradited him to Azerbaijan with the understanding that he would serve at least 25 years of the sentence.

Not long after Safarov arrived in Azerbaijan, though, Azerbaijani President Ilham Aliyev pardoned him.

Armenians recoiled at what happened next: The killer got an apartment and a promotion.

"Mr. Safarov has been glorified in Azerbaijan as a national hero at all levels -- including the top level," said Zohrab Mnatsakanian, Armenia's deputy minister of Foreign Affairs. "This is a blow to the conscience of Europe, to the civilized world."

Azerbaijan's Foreign Affairs Ministry said on Twitter that the "issue must be considered in the context of aggression and ethnic cleansing against Azerbaijan by Armenia."

The United States, meanwhile, was among those nations objecting to the pardon. It expressed "deep concern" and asked Hungary for more information on why it extradited Safarov.

"We are communicating to Azerbaijani authorities our disappointment about the decision to pardon Safarov," a spokesman for the National Security Council, Tommy Vietor, said in a statement the White House released. "This action is contrary to ongoing efforts to reduce regional tensions and promote reconciliation."

Sabine Freizer, director of the International Crisis Group's Europe program, said world powers have taken note.

"There is an awareness among government officials, both in the United States, Russia, and among European officials, that this conflict is getting worse. There should be something done to stop it," Freizer said.

"This takes us a whole step downward," said the Carnegie Endowment's de Waal.

The tensions over Nagorno-Karabakh reflect strong cultural attachments for both peoples, what Sergey Markedonov, visiting fellow of the Russia and Eurasia Program at the Center for Strategic and International Studies, likens to a "Jerusalem for both societies."

Animosities over the disputed territory have simmered since the end of World War I. The Soviet Union's collapse in the 1990s triggered a war from 1992 to 1994 that killed 22,000 to 25,000 people and uprooted more than a million others.

The war ended "with a shaky truce," the International Crisis Group said.

The disputes between the countries over Nagorno-Karabakh and other territories remain an "unresolved conflict of the Soviet period," Freizer said. Amid the creation of newly independent countries after the Soviet collapse, she said, "no one was focused on the conflict."

"The kind of support for Yugoslavia," whose breakup led to major wars in Bosnia and Kosovo, was "never given to this region."

Over the years, violence has flared. Both countries occasionally talk tough about each other. And Azerbaijan's oil and gas wealth is making its way into the budget for a military preparing for war, Freizer said.

"Since 2011, we feel the situation has gotten worse," Freizer said.

The killer's pardon prompted a certain outrage factor, she said.

"People were shocked by this."

Hungary defended its extradition and said it received assurances the killer would carry out his term. But the country criticized the "sudden and unexpected release" and called it "unacceptable." Armenia suspended its relations with Hungary.

The disputes are unfolding in a tough neighborhood.

Turkey has been mired down in fighting with Kurdish rebels. Russia fought a brief war with Georgia four years ago and has battled Islamic insurgents in its northern Caucasus region in recent years. Iran supports Syria's government in its civil war.

"Russia is a military ally of Armenia. Azerbaijan has strong military links with Turkey and they (Armenia and Azerbaijan) are both on the border with Iran," de Waal said.

Also, he said, the Armenian-American community "will beat the drum" and push for U.S. action.

Markedonov said a deteriorating conflict could spawn an arms race.

The incident reflects a lack of willingness among many citizens to compromise and get back to peacemaking, Markedonov said. This could play into upcoming elections, with both Aliyev and Armenian president Serzh Sargsyan seeking to look strong for the voters.

De Waal also wrote in a column that the BBC published Tuesday that Hungary negotiated the extradition "for reasons that have yet to be fully explained."

He called the events a "black week" for a peaceful resolution to the conflict and said it's "now a full-blown state-to-state row, with as yet knowable consequences." He cites worries that "a fanatical Armenian will try to commit a revenge attack."

"From the political perspective, to call the Azerbaijani government's actions a mistake is an understatement. It is a worrying indication of the quality of advice that President Ilham Aliyev is receiving from his inner circle."

De Waal said diplomats must work harder now. When there is no peace process, he told CNN, "the vacuum is filled by war talk."

"If there is any silver lining to this dark episode it could be that the international community pays more attention to the dangers of a new Armenian-Azerbaijani conflict over Nagorno-Karabakh," de Waal wrote in his column.

"The reception given Safarov suggests that the situation is moving closer to war than peace."

Black Sea city aims to be 'Las Vegas of the Caucasus'

Jo Shelley and Stephanie Halasz contributed to this report

@highlight

An Azerbaijani solider killed an Armenian officer with an ax in 2004

@highlight

He was sentenced to prison in Hungary but suddenly was paroled and extradited

@highlight

The killer got a new apartment and a promotion on his return to Azerbaijan

@highlight

The parole has sparked fears of wars between two former Soviet republics