In the dead of night, in the bohemian Los Angeles district of Fairfax, a "guerrilla" street artist is about to start work.

In his day job as a professional photographer he has been in riots where rocks and iron bars were being thrown. That has given him an almost innate sense of detecting danger, but as long as he is careful and quick, this particular installation should pass off without incident.

He lurks in the shadows on North Genesee, near the junction of Melrose Avenue with the tools he needs -- two stencils and two cans of aerosol paint, one black and one yellow.

One last time, he glances up and down the street, making sure that  "Black and Whites" -- the name given to the L.A. Police Department's Ford Crown Victoria vehicles -- are not cruising nearby.

With the coast clear, he gets down to work. Ten minutes later it is done.

He breathes a sigh of relief and steps back to admire his latest masterpiece.

It is a stenciled image of fallen American hero Lance Armstrong. The Texan is depicted wearing that iconic yellow Tour de France leader's jersey aerodynamically hunched over the handlebars of his bike.

But something jars -- poking out of the disgraced cyclist's back is an intravenous drip, a graphic reference to the 41-year-old's doping past that has finally caught up with him.

Armstrong admits doping

'Are there any heroes anymore?'

In infamy, just as he did in fame, Armstrong continues to hold powerful sway over the public's consciousness.

Over many years he had vehemently denied cheating as he bestrode the world of cycling in the process of winning seven successive Tour de France titles -- now taken away from him -- until confessing to Oprah Winfrey that he had used performance-enhancing drugs and had illicit blood transfusions.

The credits had barely rolled on that interview before reports of book deals and film rights of his spectacular fall from grace began to emerge.

Now Armstrong has been immortalized in a piece of street art -- named "Are there any heroes anymore?" -- which is reminiscent of the subversive and polarizing exhibits of British graffiti artist Banksy at his very best.

"I was a keen cyclist, cycling three or four days weeks and doing a 90-kilometer ride on a Sunday," the work's creator "Plastic Jesus" told CNN, explaining why he was moved to labor for several hours in his spare time with his scalpel to produce the two stencils that were used to create the Armstrong exhibit.

"Lance was the ultimate cycling hero for me. He took cycling out of the geek enthusiast arena and brought it to a mainstream audience. People bought bikes and wore lycra because of Lance's profile, success and status," says the 48-year-old, who is also from Britain but moved to L.A. in 2007.

"I was following the story right from the start of the early drug allegations, and in conversations with friends, I'd support Armstrong and tell them that he was just an just an exceptional cyclist, genetically designed that way.

"I felt let down by Armstrong -- as I'm sure fellow cyclists, sportsmen and the general public did. I wanted to convey that by a piece of art."

"Plastic Jesus," who chose that tag due to his atheism, previously ran a news photography agency in London that dealt with Britain's major newspapers -- hence his experience of covering riots.

He continued to work as a photographer in the U.S. but inspired by Banksy -- his favorite image by the notoriously reclusive Bristolian is "The Flower Thrower" -- he began to experiment with stencils, scalpels and aerosol cans in homage to a subculture that began on the streets of New York in the 1970s.

"The art is in the message -- it's not about the technical quality of the piece," said the 48-year-old. "I like the simplicity of conveying a quite deep political or cultural message."

Staying out of jail

Caution is the watchword when "Plastic Jesus" heads out to pursue his alter ego's creative impulses.

"Graffiti artists can face a $6,000 fine and imprisonment, and for multiple offenses it can lead to a federal court, which is very bad news," says the artist, who has never been caught when daubing his impressions on L.A.'s walls.

From graffiti to galleries: Street vs. public art

Despite the risks, he loves his art so much he is considering giving up his day job as a photographer, though that depends on whether there is a demand for his work and "if I can stay out of jail."

His latest creation has already featured in the Los Angeles Times as well as two British national newspapers, while the media coverage has led -- more bizarrely -- to two marriage proposals on Twitter.

" 'Are There Any Heroes Anymore?' has been creating quite a buzz," says Greg Linton, editor-in-chief of the street art blog Melrose and Fairfax. "It could be said that 'Plastic Jesus' is becoming the Banksy of L.A."

And, just as Banksy has had problems with local councils cleaning up areas covered in his artwork, you might have to be quick if you want to see the latest message from "Plastic Jesus."

The owner of this particular wall, which is also a favored spot for other L.A. street artists, whitewashes the graffiti away every so often...

@highlight

Graffiti artist immortalizes Lance Armstrong's fall from grace on a Los Angeles wall

@highlight

Artwork was created by British photographer who works under the name "Plastic Jesus"

@highlight

He is influenced by the work of his fellow street artist Banksy, who also stays anonymous

@highlight

His Armstrong exhibit has featured in mainstream U.S. and UK newspapers