Hong Kong (CNN) -- As Western companies hear the siren call of the Chinese consumer, they better heed the cautionary tale of Barbie.

Mattel Inc. spent millions opening a six-story flagship store in Shanghai to great fanfare to bring the doll franchise to China in 2009. Two years later, it closed its doors.

"Barbie spent a lot of money setting up a boutique in the most fashionable part of Shanghai, where you could go and have all of your Barbie needs met. You could have a fashion consultation, you could of course buy lots of Barbie dolls," said Karl Gerth, author of "As China Goes, So Goes the World: How Chinese Consumers Are Transforming Everything."

However, "they didn't think long and hard enough about whether Chinese girls wanted to look sexy or they wanted to look something closer to what you'd associate with Japan -- cute," Gerth added. "So Hello Kitty is doing well, but Barbie is an example of crash and burn."

It's a lesson in localization rather than grafting tried-and-true Western business plans to the Chinese market, "On China" experts told CNN's Kristie Lu Stout.

As China's ranks of consumers swell -- the number of middle class earners is estimated to grow 70% to 600 million by 2020 -- so too rises the stakes for companies looking to cash into China's growing consumer market.

"It's very important for the Western brands to not simply take an existing strategy or operations and try to take it into Chinese market," said Janet Wang, director of international business development for Tmall.com. "You always have to be very flexible, be reactive to consumers' requirements and demands."

One company that's done it right, Wang said, is Starbucks. "They really localize their products to fit Chinese consumers' taste -- and not only the coffee itself ... they have pastry dedicated to Chinese flavors, (such as) dedicated products for the Moon Festival," said Wang, referring to traditional cuisine during China's Mid-Autumn Festival. "They are trying to adapt their coffee into a traditional Chinese tea house. And it really blends the West meets East culture."

One area where Western brands have some headway against their domestic Chinese competitors is product safety, in the wake of scandals over tainted baby formula, fake eggs and exploding watermelons.

Shaun Rein said his company, China Market Research Group, interviewed 5,000 Chinese consumers in 15 cities last year. "Their biggest concern in life, ahead of being able to pay education for their kids, or for medical care cost for their families, was food and product safety," Rein said.

"They're absolutely petrified of biting something and dying, or getting toxic shock syndrome from a toy. So what we've found is in these 5,000 consumers they trust foreign brands far more than they trust local domestic Chinese brands," Rein said.

A dichotomy is growing in Chinese consumer trends between shopping for status and shopping for value.

"What that means is, people don't buy mid-level brands, which is why you see (brands?) like Marks & Spencer, or Li-Ning, or Gap kind of struggle, because these are branded for middle-class consumers," Rein said. "What we see is people either shop for the most expensive things they can get, like a Louis Vuitton or Hermes bag, or they go for the cheapest."

Still, there is a growing individualism in consumer tastes -- and a widening gap for new players to enter the market, the experts said. "So for brand managers, now is the best time to come to China," Rein advised. "Because people are no longer being monopolized by the same five brands. You know, you don't have to have a Omega (watch) any more -- now maybe you can buy something from Richemont."

CNN's Kristie Lu Stout contributed to this report

@highlight

As China's ranks of consumers swell so too rises the stakes for companies looking to cash in

@highlight

Analysts: Toymaker Mattel failed to cater to Chinese tastes for cute over sexy

@highlight

Companies often try to graft successful overseas strategies onto the Chinese market

@highlight

Starbucks has succeeded in catering to Chinese tastes to grow its business