The serial revelations by Edward Snowden, the former National Security Agency contractor who stole and leaked classified government information, have ignited a variety of disputes in the United States and  around the world.

Is the collection of metadata, detailed records of phone calls and other communications, as benign or as malignant as it has been portrayed?  What are the proper limits in conducting electronic surveillance of geopolitical allies or of ordinary citizens?  How much government espionage activity must be publicly available to really give meaning to the concept of "consent of the governed"?  Is it appropriate to secretly compel private enterprise to assist in intelligence collection?

Tough questions all, but they give rise to another even more important one.  Will the Internet as we know it survive the barrage of headlines and accusations?

As commonplace as the net has become, it's hard for even older folks to remember the world before we all became wired.   And younger generations don't even try to picture that benighted universe.

But the net is recent, the product of visionaries like Vinton Cerf and his colleagues at Stanford in the early 1970s; they developed the Internet's original protocols for the Department of Defense so department  labs and a few universities could pass among themselves large volumes of data quickly and easily.  The World Wide Web that would take off from that Defense Department start would be a multistakeholder enterprise: nongovernmental, collaborative and (certainly at its origin) largely American.

The Americans (i.e., the various Internet governance structures, like ICANN, the Internet Corporation for Assigned Names and Numbers, anchored in the United States and operating under a contract with the U.S. government) proved good stewards, nurturing an enterprise that was ubiquitous, free, unitary, egalitarian and democratic.  Information has never flowed as freely or in such volume as it does today, enabling global commerce and global expression on an unprecedented scale.

And in that, the Web was consistent with the traditional American emphasis on free enterprise and free speech, values not universally shared in today's world.

As Americans fret about the theft of personal information and intellectual property and the threat of cyberattack (dark forces leveraging the Web's ubiquity and connectivity for dark purposes), others are attacking the very essence of the network.  They are less concerned about theft and more concerned that their citizens can access information -- any information -- as well as make their voices heard globally.

In December 2012, Russia and China pushed very hard at a meeting in Dubai of the World Conference for International Telecommunications to wrest "control" of the Internet from its traditional governance structures (increasingly international but still with a strong American flavor) and hand it to this U.N.-sponsored body.  Their apparent purpose was to make it easier for them to impose controls on their digital "territory" and on their citizens, to transfer to cyberdomain authorities control they had long exercised in physical space.

Google CEO Eric Schmidt and his co-author Jared Cohen anticipated this in their thought provoking work, "The New Digital Age," in which they warned of the Balkanization of the Web, with countries establishing "sovereignty" over their digital domains and demanding the digital equivalents of visas and passports before allowing entry to their national domains, and, in the case of their own citizens, exit.

Indeed, they proved prescient as countries like Brazil and Indonesia are already establishing digital "residency requirements," demanding that prospective cloud service providers retain data only on servers in their sovereign space, a requirement that flies in the face of the very nature and inherent advantages of a global Web.

At the 2012 Dubai conference, the Russians and the Chinese got strong support from places like Iran and the Arab world, but garnered support from 89 countries, falling short of the two thirds required.

And now enters Snowden. It actually doesn't matter how accurate or inaccurate, precise or overdrawn, the headlines are as they allege that the United States and Britain are taking unconstrained advantage of the Web for espionage.  (I, for one, doubt that NSA and Britain's Government Communications Headquarters, are actually that interested in the personal data of the 1.5 billion people who have downloaded Angry Birds, to cite but one recent accusation.)

But the Russians, the Chinese, the Iranians and others will use these headlines to buttress their case and to undercut Western arguments based on free expression and free access to information.

The next meeting of the International Telecommunications Union, a U.N. agency, is in Busan this October and prospects are not good for holding the line on the multistakeholder model of Internet governance,  as governments demand more direct control. The current phrase to describe that development is "splinternet" and if that occurs we will be faced with multiple ironies.

The United States, the creator of the Web as we know it, will have hastened its end through its espionage sins, real or imagined.

And Edward Snowden, who by all accounts is a near constant habitué of that idyllic universe, will have lit the fuse of its destruction.

@highlight

Hayden: Snowden revelations raised questions about data collection, surveillance

@highlight

He says some nations leveraging this to change Web's governance, control citizens

@highlight

He says this would let them subvert "free expression" on the Web, counter to its nature

@highlight

Hayden: If "splinternet" happens, U.S. will have helped cause it with "sins" real, imagined