Beirut, Lebanon (CNN) -- The message the brother and sister read aloud is one addressed to a missing father: 9-year-old Najwa and 8-year-old Tirad reciting the words in unison, "Our mother's starting to worry about you."

Their mom, Ensaf Haidar, is indeed worried, but she's also pained. She knows how much her children yearn to see their dad, but she just doesn't know what to tell them.

How can she begin to explain that their dad has languished in a Saudi prison for almost a year? How can she expose her kids to a brutal reality she feels they're not ready to face?

"They're always asking me, 'When is Dad coming home?' " Haidar said. "Telling me, 'Mom, I miss Dad so much.' "

Haidar struggles with the dilemma every day.

"It often feels like the world is against me," she said. "When I see how the children are deprived of their father, this is what bothers me the most."

Her three children, including 5-year-old Myriam, think their father's just delayed by work. But Raif Badawi, 30, has been imprisoned since being arrested in June. He is accused of, among other things, breaking Sharia law and starting a website that infringed on religious values.

According to Haidar, her husband just wanted to encourage discussion about religion in his homeland. But starting a liberal Internet forum in conservative Saudi Arabia can be a dangerous pursuit.

"No one wanted to take his case," said Waleed Abualkhair, Badawi's attorney. "Because they believed that anyone who'd take this kind of case, that means he destroys his (own) reputation. But I don't believe in that. I believe that everyone has his right to have a lawyer. And I believe that Raif is innocent."

Abualkhair is more than just Badawi's attorney. He's also his brother-in-law and a fellow human-rights activist also on trial in Saudi Arabia.

Talking over Skype because he's been banned from traveling outside Saudi Arabia, Abualkhair describes how he's been accused of "speaking to the foreign media with the intention of harming the country's reputation." He said any activist who calls for reform there is in danger of being arrested.

Rights groups agree, accusing Saudi authorities of targeting activists through the courts and travel bans. Many were outraged when two of the country's most prominent reform advocates, Mohammed Al-Qahtani and Abdullah Al-Hamid, were recently sentenced to 10 years in prison apiece.

Amnesty International called that trial "just one of a troubling string of court cases aimed at silencing the kingdom's human-rights activists."

"Here's the thing," Abualkhair said. "The government of Saudi Arabia, they want to show themselves outside Saudi Arabia that they are modern, that they are open-minded, that they want to change, they want to reform, that the problem is coming from the society, and that the society moves slowly. They keep saying that for the foreign media.

"But actually inside, when we act with our society, when we want to reform, when we want to do something with our society, they keep punishing us."

CNN has made several attempts to reach Saudi Arabia's Justice and Interior ministries for comment but received no response.

Asked in January about accusations that Saudi Arabia is cracking down on dissent, Maj. Gen. Mansour Al-Turki, spokesman for the Saudi Interior Ministry, told CNN, "At the Interior Ministry, our area of responsibility is security."

He added, "My understanding is that these cases are being looked at by the courts now. Nobody will comment on cases being looked at by the courts."

Badawi's legal troubles started shortly after he started the Free Saudi Liberals website in 2008. He was detained for one day and questioned about the site. Some clerics even branded him an unbeliever and apostate.

According to Haidar, she and Badawi began receiving death threats. Fearing for their and their children's lives, they planned to move the family out of Saudi Arabia in 2009. That was before they discovered Badawi had been placed under a travel ban and that his business interests had been frozen, depriving them of a source of income.

In July, Human Rights Watch released a statement urging Saudi authorities to free Badawi.

"Saudi authorities should drop charges and release the editor of the Free Saudi Liberals website for violating his right to freedom of expression on matters of religion and religious figures," a statement from the group said.

Today, Haidar lives in Lebanon with the kids. She feels safer, but life's become a lot lonelier. Estranged from her family, Haidar said it would be impossible to take her children back to Saudi Arabia. The stigma is too strong there.

"You feel like everybody's accusing you," she said, close to tears. "Like everybody's against you, at war with you."

According to Abualkhair, the Saudi Arabian government has little tolerance for activists who speak out.

"They didn't punish just (Badawi)," Abualkhair said, describing how Badawi and those closest to him have effectively been ostracized. "They punish his family. Actually, they punish their future."

Abualkhair said that even if Badawi is eventually released from prison, his future has been ruined.

"They destroyed his image in our society (by saying) that he's against our Islam," Abualkhair said.

Abualkhair said Badawi fears he'll be kept in prison indefinitely.

"What he's afraid of," he said, "is that they just want to keep him in prison without judgment for a long time, like what's happened now. Ten months without any judgment. They just moved his case from a court to another court to keep him in jail for a long time."

Haidar misses her husband more with each passing day, but she said all she can do is wait. Her children's questions become ever more pressing as she grows more desperate.

"At the end of the day, you find there's nobody to give you hope," she said. "Everybody is silent about the case. Nothing is moving forward."

@highlight

Rights groups say Saudi authorities are targeting activists through the courts, travel bans

@highlight

Blogger Raif Badawi has been in prison since June, charged with violating Sharia law

@highlight

His family has been effectively ostracized, waits for him in Lebanon