Along The Libya-Tunisia Border (CNN) -- A green flag fluttering in the wind designated Libyan territory. A short distance away, a red flag flew for Tunisia. In between, a mass of humanity waited in no man's land, desperate to flee escalating rebellion in one nation and cross into another that has already succeeded in toppling a dictator.

Periodically, a ripple flowed through the crowd of thousands of refugees as men took turns passing forward dazed and unconscious travelers, overwhelmed by a treacherous journey to the border and exposure to the elements.

Tunisian emergency workers rushed with fluorescent orange stretchers to evacuate the sick.

Chaos reigned along Libya's western border Tuesday as Tunisian police attempted to hold back a tide of people, mostly foreign workers caught in the storm of change blowing through the region.

There were simply too many people crossing too fast, overwhelming Tunisian authorities, aid agencies and volunteers trying to get a handle on what the United Nations called a humanitarian catastrophe in the making.

The U.N. refugee agency reported that nearly 150,000 people have crossed over from Libya into Tunisia and Egypt.

A majority are Egyptians -- more than 1 million Egyptian citizens were working in neighboring Libya. But the fleeing foreigners also include citizens of Bangladesh, Thailand, Vietnam, Ghana, Sudan, Mali and other countries who traveled far from home in search of economic salvation.

Now, many of them said they had everything stolen from them on the road to the border and are left with nothing but the clothes on their back.

"No money! Gadhafi's militia took my money," said Mohammad Ataye, an Egyptian who spent the last year working as a hairdresser in Libya.  He was referring to troops still loyal to Libyan leader Moammar Gadhafi.

Ataye said he tried to catch a flight out of Tripoli's airport to Egypt, but was forced back by thousands of people waiting there. When he and a friend decided to make a run for the Tunisian border, Libyan soldiers robbed him of his savings and his two mobile phones on the way.

Now what for the Egyptian refugee?  "I don't know. I don't know," he said.

Some of those fleeing Libya do not possess passports and other travel documents, which are often confiscated by the companies that employ them until their contracts are fulfilled, said Mathieu Luciano of the International Organization for Migration.

Luciano, deployed to the Egyptian border town of Sallum to help shuttle people out, said his agency was working with the embassies of nations involved as well as the companies that hired the migrant workers to return them home safely. The agency is paying for a charter flight from Bangladesh that is scheduled to arrive later Tuesday.

The Egyptian government has reported 69,000 people crossing into that nation. One of them is Mohamed Sohel.

Sohel, who had been working for a Korean construction company in the eastern Libyan city of Durna for three years, was anxious to board a plane back home to Bangladesh. He said he has been surviving by sharing one piece of flatbread with two other men since arriving at the Egyptian border town of Sallum six days ago. His passport was locked up at the company's Libyan headquarters in the western town of Misrata.

"We called the Bangladeshi embassy a thousand times," Sohel said. "We never got any advice, or help."

It's easier for Egyptian workers to make it back home, Luciano said, but nonetheless, they face a difficult situation.

They were the breadwinners, supporting families in rural Egypt. They are returning with no livelihood in a time of uncertainty in their own homeland. Some said they were frustrated with their interim military government for not doing more to help them.

"As we know, Egypt is also under a lot of stress now politically," said Hovig Etyemezian, a field officer with the U.N. refugee agency."So any country that is able to provide air lift or sea movement should pick up the ball so that more people leave, more Egyptians are able to go back to their country."

On Libya's border with Tunisia, the U.N. High Commissioner for Refugees staff erected 500 tents.  All of them are full.

The global body appealed to member nations to help evacuate the stranded.

"The biggest priority is to take people out of the country," Etyemezian said.  "Now the [border] crossing is anywhere between 10 to 13,000 people a day. And the outgoing is 3 to 4,000. So we need to have a bigger capacity of people leaving the country."

Police and soldiers watched, as young Tunisian volunteers used sticks to beat back people trying to jump over a wall next to the border gate into Tunisia. Volunteers threw bread and bottles of water into the no man's land between the red and green flags. Thousands of people have been waiting there for as many as three days, enduring bitter cold without shelter.

Staff members with the U.N. refugee agency described the water and sanitation situation as precarious.

Tunisian authorities told the agency that about 75,000 people have streamed into Tunisia. Up to 15,000 more people are expected to arrive Tuesday and the agency said it was "becoming critically important that onwards transport becomes quickly available to avoid a humanitarian crisis."

The refugee agency said it was particularly concerned about a large number of sub-Saharan Africans who are being denied entry into Tunisia. They may be targets for retribution after reports that embattled Gadhafi recruited mercenaries from those nations to suppress the uprising in his country.

CNN's Ivan Watson reported from the Libya-Tunisia border and Moni Basu reported from Atlanta.

@highlight

Many of those fleeing are foreign workers in Libya

@highlight

A majority are Egyptians but there are also citizens of other nations

@highlight

Many do not have the means to return home

@highlight

The U.N. refugee agency fears problems with water, sanitation and shelter