(CNN) -- At a time when partisan politics are bitter, midterm election races are tight and almost every legislative effort is stalled, who would you expect to take the boldest step in years to address the deadliest war in the world, in the heart of Central Africa?

Congress, of course.

Quietly, over the past four presidential administrations, a powerful and deep bipartisan consensus has developed in Congress in support of a stronger U.S. policy toward Africa. The latest manifestation of this cooperation is a small but potent provision addressing Congo's "conflict minerals," folded into the recently passed Wall Street reform bill.

The trade in four conflict minerals -- tin, tantalum, tungsten (the 3Ts), as well as gold -- fuels the war in eastern Congo today. It's been the deadliest war in the world since World War II.

We regularly travel to eastern Congo, and on our last trip, we traced the minerals from the mines.

At the mines, we saw militiamen armed with AK-47 machine guns standing over miners and forcing them to work and pay bribes, including child miners as young as 11. We then crossed through army and rebel checkpoints, where smugglers paid off the commanders in U.S. dollars, and then witnessed how these same minerals were packed into barrels with Congolese flags on them and loaded onto planes and flown out of the country.

We've seen how armed groups on all sides of the conflict are reaping hundreds of millions of dollars per year by controlling mines and trading routes, selling minerals to international traders and smelters, which in turn sell them to electronics and jewelry companies.

By requiring that publicly listed manufacturers who use these minerals conduct independent audits of their supply chains, this legislation will help curb the conflict minerals trade.

Courageous members of Congress from both parties fought hard together with a coalition of faith-based organizations, women's rights advocates and student groups for the past two years to enact this law, standing up for what is right and bravely battling against special-interest lobbyists.

But some companies would have you believe otherwise and are using negative tactics to stall reform.

Some critics in the corporate world have accused those campaigning for an end to the conflict minerals trade of advocating for a boycott of electronics companies. Some minerals trading companies have also argued that Congress and the conflict minerals movement will force them to pull out of Congo, creating an embargo and hurting miners.

These statements significantly distort what human rights advocates in Congo and the U.S. are pressing for.

Let's first be clear: The statements originate with many of the same companies that have been knowingly purchasing conflict minerals for the past decade, according to the United Nations, and did nothing for years to avoid them.

The bill and our campaign aim to develop a peaceful, legal minerals trade in Congo that will be the real benefit to war-torn communities on the ground. We oppose a boycott and, on the contrary, are asking consumers to urge their own cell phone, laptop and jewelry companies to ensure their products are conflict-free. Companies now have an opportunity to achieve this goal and help Congolese communities through three key steps:

-- Tracing: Determining the precise sources of their minerals.

-- Auditing: Independently verifying these sources and trading routes.

-- Certifying: Working with the Congolese, Rwandan, U.S. and other governments to develop a certification process that improves upon systems already created for other exports such as blood diamonds.

These steps are complex, but they are achievable. The reality is that the bill will accelerate this supply chain reform, and Intel and Motorola are already starting a forward-looking audit process to purchase tantalum from legitimate mines, including those in Congo.

Companies have at least 18 months from now to report to Congress on their audits, and during that time they will have ample opportunity to trace, audit and certify their supply chains.

Some companies may choose to temporarily stop buying minerals from Congo while they reform their supply chains. In order to cushion the blow for those mining communities affected by such a decision, a miners' livelihood fund should be created to offer them real opportunities and help the Congolese economy through small business, microfinance and agriculture.

Electronics, jewelry and minerals companies should partner with donors to set up this program as soon as possible.

Congress has taken the first step, but we still have a long way to go in ending the conflict minerals trade and the war in Congo. Now the Obama administration must come through and partner with the Congolese government to help create a process for conflict minerals that builds on the lessons of the process that excluded blood diamonds from the marketplace, as well as addressing wider issues of army and governance reform.

And electronics and jewelry companies should support these processes with a fraction of the profits they've earned from these conflict minerals over the past dozen years. Consumers, companies and governments can all play a part in ending this deadly trade and cutting off the fuel for the deadliest war in the world.

The opinions expressed in this commentary are solely those of Sasha Lezhnev and John Prendergast.

@highlight

Congo's "conflict minerals" used in cell phones, other products, co-authors say

@highlight

Financial regulation law requires makers of electronics to audit supply sources

@highlight

Co-authors: Consumers should urge companies to make products conflict-free

@highlight

They say Obama administration should work with the Congo to develop legitimate mining