Sanaa, Yemen (CNN)After days of turmoil and talks of a coup in Yemen, the government and Houthi rebels reached a tentative deal Wednesday.

The rebels have agreed to release the President's chief of staff and withdraw their militias from key government institutions if officials take a significant step: rewriting parts of the country's constitution, according to a Yemeni official with access to a draft text of the peace deal.

Under the terms of the agreement, the government will accept changes in the draft of the new constitution that would grant the Houthis more political power.

Word of the deal still leaves many questions unanswered: What could the reshaped constitution look like? How much power will the rebels get? And how much control will President Abdu Rabu Mansour Hadi have?

Houthi rebels -- Shiite Muslims who have long felt marginalized in the majority Sunni country -- abducted the President's chief of staff over the weekend, then took over the presidential palace in Sanaa on Tuesday. One government minister called it "the completion of a coup," but rebels said they had not asked the president to step down.

The chaos in Yemen is cause for concern far beyond the country's borders. For the United States and its allies, Yemen's government has been a key ally in the fight against al Qaeda in the Arabian Peninsula, the Yemen-based group linked to attacks such as the recent slaughter at French magazine Charlie Hebdo. AQAP also tried to blow up a plane landing in Detroit in 2009. ISIS is also recruiting in Yemen to expand its ranks​

And questions over who's in charge over the past few days have sparked concerns that a power vacuum could help terrorist groups get a stronger foothold.

But the deal inked Wednesday could signal a return to stability, said Mohammed Albasha, a spokesman for the Yemeni Embassy in Washington.

"The situation is fluid. It's critical. The government was paralyzed. Parts of the government (were) dysfunctional, but we did not reach the point of no return," he told CNN's "The Situation Room." "Things are difficult, but there are things that are moving forward."

Several of the constitutional changes sought by the Houthis would emphasize the characteristics of Yemen as a federal state and push for more inclusion of diverse groups.

The Houthis call for marginalized political groups to have the right to partnerships in state institutions and fair representation, according to the text of the tentative agreement.

In return for these government concessions, the rebels basically agree to withdraw their fighters from the capital.

The rebels control or have blockaded several government installations: the presidential palace, the presidential residence, the Prime Minister's residence and a military installation where missiles are housed.

Under the agreement, the Houthis would withdraw from all of these sites.

The rebels would cooperate with the government so that the President and state institutions can return to their duties and would urge all state employees to return to their jobs.

A Houthi official said the rebels will abide by the deal if the President follows a timeline specified in the negotiations.

"This deal draws the road map for the political process going forward with the participation of all factions in Yemen. In the past, timelines were not respected, who hope this time will be different," a member of the Houthi Political council said.

This isn't the first time the rebels and the government have hammered out an agreement.

Houthis swept into the capital last year, sparking battles that left more than 300 dead in a month. In September, they signed a ceasefire deal with the government, and Houthis have since installed themselves in key positions in the government and financial institutions.

Like them or not, Albasha said, the Houthis aren't going anywhere and are part "of the Yemeni political structure."

"They are now a fact of life. They are now a dominant force in many of the northern provinces," he said. "We're going to have to coexist and live with them."

For days, the answers to questions about who's in charge of the country have varied, depending on who you ask.

Even as rebel militiamen stepped up their presence outside the presidential palace, a Yemeni official told CNN the President does not consider himself a captive.

The official said the Houthis were assisting Hadi's security detail in their protection mission because part of the detail had "run away yesterday because of the fighting."

A senior leader of the Houthi resistance movement, Abdullah Shabaan, gave a similar account. He told CNN that the "President's personal security left him, which forced us to gather hundreds of fighters from our security to ensure he is safe."

Summarizing the actual balance of power, the official said the Houthis' demands were clear and "nobody can hide that they are the dominant force, but they still recognize government power."

Besides the confusion about who is at the helm in Yemen, the rebels seized military installations it says it will return under the agreement.

Two Houthi field commanders told CNN that rebels had seized control of a massive weapons depot belonging to the government brigade that provides presidential personal security.

The Houthis had control of 280 T-80 Russian-made tanks and other heavy artillery, the field commanders said.

While most of the security forces reportedly fled after a light clash with militants, the Houthis said they captured at least 12 special forces soldiers.

On Wednesday, Houthi rebels surrounded a Yemeni missile brigade in Attan, a suburb east of Sanaa. The installation is not under control of the rebels, but they have it surrounded, the field commanders and two government officials said.

The Houthis said their objective is not to take over the missile brigade but to keep missiles from being moved elsewhere.

Seven things to know about Yemen

CNN's Nick Paton Walsh reported from Sanaa and Laura Smith-Spark wrote from London. CNN's Mariano Castillo, Josh Levs, Mohammed Tawfeeq, Salim Essaid and Wolf Blitzer contributed to this report.

@highlight

Houthis to withdraw from government institutions in return for constitutional changes, source says

@highlight

"We did not reach the point of no return. ... Things are moving forward," Yemeni official says

@highlight

Official says President still considers himself to be in power, is still in his residence