(CNN) -- Federal prosecutors in California announced a series of actions Friday targeting what they characterized as the "large, for-profit marijuana industry" that has developed since the state legalized medical marijuana for select patients 15 years ago.

Four U.S. attorneys -- Benjamin Wanger, Andre Birotte Jr., Laura Duffy and Melinda Haag -- detailed in a joint press release and later press conference in Sacramento some steps that have been taken in conjunction with federal law enforcement and local officials in California.

They include letters of warning to landlords and lien holders of places in which marijuana is being sold illegally, "civil forfeiture lawsuits against properties involved in drug trafficking activity" and numerous criminal cases. The latter refers to arrests in recent weeks related to cases filed in federal courts in Los Angeles, San Diego, Sacramento and Fresno, all part of an effort that Wagner claimed has resulted in the seizure of hundreds of pounds of marijuana, tens of thousands of plants and hundreds of thousands in cash.

"The actions taken today in California ... are consistent with the (Justice) Department's commitment to enforcing existing federal laws, including the Controlled Substances Act, in all states," U.S. Deputy Attorney General James Cole said in a news release.

In 1996, California voters approved Proposition 215 to exempt doctors and seriously ill patients from marijuana laws and allow them to grow and use it in treatment. The bill didn't legalize marijuana for all, but it did lead to the emergence of hundreds of dispensaries where people -- legally only those with medical conditions and a doctor's authorization -- could get the drug.

Wagner, the U.S. Attorney for the Eastern District of California, told reporters Friday that federal authorities "are not focused on backyard grows with small amounts of marijuana by seriously ill people. We are targeting commercial operations, which profit from growing and distributing ... and often use the trappings of state law for cover, but in fact are abusing state law."

Haag, U.S. attorney for California's northern district, claimed that "profiteers ... motivated not by compassion, but by money" had "hijacked" the intent of voters to help those suffering from debilitating conditions. And Birotte, from California's central district, said a chief problem lies in operations that make money not by selling marijuana to the sick, but to relatively healthy people.

"Marijuana sales most often to citizens who have obtained sham doctor's recommendations solely for the purpose of recreational use are the basis of a massive, massive commercial industry," Birotte said.

But Allen St. Pierre, executive director of the advocacy group NORML, which opposes marijuana bans and penalties, told CNN on Friday that targeting those who grow or sell medical marijuana is unsound public policy, especially given what he called widespread public support for the practice.

"What today's actions did, if nothing else, is to reinforce the terrific disconnect between the federal government and not only the general population, but the 16 states and the District of Columbia that have chosen to get away from the prohibition of medical marijuana," said St. Pierre.

Federal prosecutors on Friday referred to several "recently unsealed" criminal cases related to their effort. One alleged that two people in San Fernando Valley used encrypted phones to coordinate sales of marijuana to locales as far away as New York, netting $194,000 each in profits monthly. And six defendants out of San Diego face a 77-count indictment for allegedly running "a wide-ranging conspiracy that included numerous marijuana sales to underaged persons."

Wagner claimed that people, "often with criminal records, are coming to California to set up marijuana operations taking advantage of the lax enforcement environment in this state." He also said that investigators "learned that huge amounts of marijuana" are being flown out of California and sold for "huge amounts of money."

Authorities said that they also sent out "dozens of letters" in recent days to those who own and hold liens on properties where commercial marijuana is grown and sold. In some cases, that has included a threat that the properties could be lost and any funds derived from them -- such as via rent payments -- could be lost.

Wagner disputed recent reports claiming that letters went to owners of every property that serves as a marijuana dispensary. But he said that all should be "on notice" that their property could be seized under federal law.

"Our objective is not to forfeit the properties, but to stop illegal activity," said Wagner. "But if we have to ... we will."

In addition, prosecutors this week filed seven civil forfeiture complaints against landlords they claim knowingly allowed marijuana stores to operate. One such complaint, according to the prosecutors' joint release, alleged that eight of 11 second-floor suites in one Orange County strip mall were used for such a purpose.

St. Pierre said one open question is whether what's happened in California signals that federal authorities will proceed to other states with the intent of cracking down on any who grow or sell medical marijuana. He argued that some industry and dispensary model was needed, saying it wasn't realistic to force sick people to grow their own marijuana or to limit the places where they can get it.

"Allowing self-preservation is a truly half-baked loaf, in that it doesn't acknowledge that truly sick, dying people (might be led to) go out and buy illegal marijuana on the street," he said. This would be inferior, he claimed, to "a system that most of us are much more familiar with, where you can go lawfully to a retail outlet and purchase exactly what you can lawfully possess."

CNN's Greg Botelho contributed to this report.

@highlight

NEW: A U.S. attorney says some take "advantage of (a) laxed enforcement environment"

@highlight

NEW: Another U.S. attorney claims "profiteers" "hijacked" the state's medical marijuana law

@highlight

An advocate says there's a "terrific disconnect" between the feds and public on marijuana

@highlight

Steps taken in recent weeks include civil forfeiture lawsuits, warning letters and arrests