U.S. contractor Alan Gross, held by the Cuban government since 2009, was freed Wednesday as part of a landmark deal with Cuba that paves the way for a major overhaul in U.S. policy toward the island, senior administration officials tell CNN.

President Barack Obama spoke with Cuban President Raul Castro Tuesday in a phone call that lasted about an hour and reflected the first communication at the presidential level with Cuba since the Cuban revolution, according to White House officials. Obama announced Gross' release and the new diplomatic stance at noon in Washington. At around the same time, Cuban president Raul Castro was set to speak in Havana.

President Obama announced a major loosening of travel and economic restrictions on the country. And the two nations are set to re-open embassies, with preliminary discussions on that next step in normalizing diplomatic relations beginning in the coming weeks, a senior administration official tells CNN.

Talks between the U.S. and Cuba have been ongoing since June of 2013 and were facilitated by the Canadians and the Vatican in brokering the deal. Pope Francis -- the first pope from Latin America -- encouraged Obama in a letter and in their meeting this year to renew talks with Cuba on pursuing a closer relationship.

Gross' "humanitarian" release by Cuba was accompanied by a separate spy swap, the officials said. Cuba also freed a U.S. intelligence source who has been jailed in Cuba for more than 20 years, although authorities did not identify that person for security reasons. The U.S. released three Cuban intelligence agents convicted of espionage in 2001.

The developments constitute what officials called the most sweeping change in U.S. policy toward Cuba since 1961, when the embassy closed and the embargo was imposed.

Officials described the planned actions as the most forceful changes the president could make without legislation passing through Congress.

For a President who took office promising to engage Cuba, the move could help shape Obama's foreign policy legacy.

"We are charting a new course toward Cuba," a senior administration official said. "The President understood the time was right to attempt a new approach, both because of the beginnings of changes in Cuba and because of the impediment this was causing for our regional policy."

Gross was arrested after traveling under a program under the U.S. Agency for International Development to deliver satellite phones and other communications equipment to the island's small Jewish population.

Cuban officials charged he was trying to foment a "Cuban Spring." In 2011, he was convicted and sentenced to 15 years in prison for attempting to set up an Internet network for Cuban dissidents "to promote destabilizing activities and subvert constitutional order."

After losing hope and health in Cuba, Gross finally released

Senior administration officials and Cuba observers have said recent reforms on the island and changing attitudes in the United States have created an opening for improved relations. U.S. and Cuban officials say Washington and Havana in recent months have increased official technical-level contacts on a variety of issues.

Obama publicly acknowledged for the first time last week that Washington was negotiating with Havana for Gross' release through a "variety of channels."

"We've been in conversations about how we can get Alan Gross home for quite some time," Obama said in an interview with Fusion television network. "We continue to be concerned about him."

Sen. Jeff Flake, R-Ariz., and Rep. Chris Van Hollen, Gross' Maryland congressman, are on the plane with Alan Gross and his wife, Judy, according to government officials.

The group of members left at 4 a.m. ET Wednesday from Washington for Cuba.

More on detained Americans

Gross' lawyer, Scott Gilbert, told CNN last month the years of confinement have taken their toll on his client. Gross has lost more than 100 pounds and is losing his teeth. His hips are so weak that he can barely walk and he has lost vision in one eye. He has also undertaken hunger strikes and threatened to take his own life.

With Gross' health in decline, a bipartisan group of 66 senators wrote Obama a letter in November 2013 urging him to "act expeditiously to take whatever steps are in the national interest to obtain [Gross's] release."

The three Cubans released as a part of the deal belonged the so-called Cuban Five, a quintet of Cuban intelligence officers convicted in 2001 for espionage. They were part of what was called the Wasp Network, which collected intelligence on prominent Cuban-American exile leaders and U.S. military bases.

The leader of the five, Gerardo Hernandez, was linked to the February 1996 downing of the two civilian planes operated by the U.S.-based dissident group Brothers to the Rescue, in which four men died. He is serving a two life sentences. Luis Medina, also known as Ramon Labanino; and Antonio Guerrero have just a few years left on their sentences.

The remaining two -- Rene Gonzalez and Fernando Gonzalez -- were released after serving most of their 15-year sentences and have already returned to Cuba, where they were hailed as heroes.

Wednesday's announcement that the U.S. will move toward restoring diplomatic ties with Cuba will also make it easier for Americans to travel to Cuba and do business with the Cuban people by extending general licenses, officials said. While the more liberal travel restrictions won't allow for tourism, they will permit greater American travel to the island.

Secretary of State John Kerry has also been instructed to review Cuba's place on the State Sponsors of Terrorism list, potentially paving the the way a lift on certain economic and political sanctions.

The revised relationship between the U.S. and Cuba comes ahead of the March 2015 Summit of the Americas, where the island country is set to participate for the first time. In the past, Washington has vetoed Havana's participation on the grounds it is not a democracy. This year, several countries have said they would not participate if Cuba was once again barred.

While only Congress can formally overturn the five decades-long embargo, the White House has some authorities to liberalize trade and travel to the island.

The 1996 Helms-Burton Act, which enshrined the embargo into legislation, allows for the President to extend general or specific licenses through a presidential determination, which could be justified as providing support for the Cuban people or democratic change in Cuba. Both Presidents Clinton and Obama exercised such authority to ease certain provisions of the regulations implementing the Cuba sanctions program.

In an effort to boost the nascent Cuban private sector, the President will also allow expanded commercial sales and exports of goods and services to Cuba, particularly building materials for entrepreneurs and private residences, and allow greater business training, as well as permit greater communications hardware and services to go to the island.

Other announced changes permit U.S. and Cuban banks to build relationships and travelers to use credit and debit cards. U.S. travelers will be allowed to import up to $400 worth of goods from Cuba, including $100 in alcohol and tobacco -- even Cuban cigars. Remittances by Americans to their families back in Cuba will also be increased to approximately $2,000 per quarter.

Officials stressed the moves were not being undertaken to prop up the Castro regime, but rather to encourage further reforms on the island.

"None of this is seen as a reward. All of this is seen as a way of promoting change in Cuba because everything we have done in the past has demonstrably failed," another senior administration official said. "This is not the U.S. government saying Cuba has gotten so much better. It is still an authoritarian state and we still have profound differences with this government."

"But if we hope for change with Cuba, we must try for a different approach. And we believe that considerably more engagement with the Cuban people and the Cuban government is the way to do that," the official said, adding that the United States "will not for a moment lessen our support for improvement in human rights."

To that end, Cuba has agreed to release 53 political prisoners from a list of names provided by the United States. At least one of the prisoners has already been released. Havana has also agreed to permit significant access by its citizens to the Internet and allow the International Committee of the Red Cross and United Nations human rights officials back on the island for the first time in years.

Talks on a deal began between senior White House and Cuban officials last year and happened in fits and starts, officials said. The officials praised the role the Vatican played as guarantor of the process.

Officials would not reveal the name of the U.S. intelligence source, but officials said he was the individual who revealed to the U.S. the Wasp network, which included the Cuban Five.

"He was a very important hero," the U.S. official said.

The moves are far more sweeping than the last action Obama took toward Cuba in January 2011, when he eased restrictions on travel to and from the island. Relations have been largely frozen since Gross' conviction and the White House has made his release a condition of improved ties.

In 2013, Obama drew praise from advocates of changing U.S. policy toward Cuba when he said the U.S. had to be "creative" and "thoughtful" about fostering change on the island.

"The notion that the same policies that we put in place in 1961 would somehow still be as effective as they are today, in the age of the Internet and Google and world travel, doesn't make sense," Obama said at a November 2013 fundraiser in Florida. "We have to continue to update our policies."

@highlight

The Obama administration announces landmark deal with Cuba

@highlight

Alan Gross, arrested and held in Cuba since 2009, was freed Wednesday

@highlight

Improved relations between the U.S. and Cuba will ease travel restrictions between the two countries