London (CNN) -- Britain has closed its embassy in Iran and evacuated all its staff from that country following the attack on the embassy compound in Tehran Tuesday, British Foreign Secretary William Hague said Wednesday.

Iran has also been ordered to close its embassy in London immediately, with its staff given 48 hours to leave, Hague said in a strongly worded statement to the UK Parliament.

Protesters stormed Britain's embassy and a separate compound Tuesday in Iran's capital, sparking outrage in the United Kingdom. The buildings should have been guarded by Iranian security officers.

Some demonstrators proceeded to vandalize and loot the homes of staff and the ambassador's residence, destroy furniture, steal their property and set fire to the main embassy office building, Hague said.

"This is a breach of international responsibilities of which any nation should be ashamed," Hague said.

While relations between Britain and Iran have been strained in recent times, he said, "We should be absolutely clear that no difficulty in relations can ever excuse in any way or under any circumstances the failure to protect diplomatic staff and diplomatic premises.

"Iran is a country where opposition leaders are under house arrest, more than 500 people have been executed so far this year and where genuine protest is ruthlessly stamped on.

"The idea that the Iranian authorities could not have protected our embassy or that this assault could have taken place without some degree of regime consent is fanciful."

The majority of about 200 demonstrators who overran the city center embassy compound were members of a student Basij militia organization, he said, which is "controlled by elements of the Iranian regime."

Hague thanked those European and Arab nations that offered assistance to British Embassy staff following the incident. British citizens still in Iran will be supported by other EU missions there, he said.

The United Nations Security Council, the United States, Germany, Poland, Russia and France have all expressed their concern over the incursion, which went against international law, he said.

Alistair Burt, British under-secretary of state at the Foreign Office, also accused Iran's government of being involved in the embassy incident on Wednesday, calling it a deliberate provocation.

"The people who were involved are known to have connections with elements of the regime," Burt told CNN.

He noted, "Iran is a divided, conflicted leadership ... It is clear that not all parts of leadership were involved. But nothing like that happens in Tehran without leadership being involved in some way." The attacks happened in "two separate places, simultaneously," Burt said.

Protesters who raided the British Embassy and the other British compound were demanding that the British ambassador be sent home immediately.

The incident has worried some other nations with diplomatic staff in Tehran.

The Netherlands became the latest European nation to recall its ambassador to Iran for consultations late Wednesday, following the lead of France and Germany.

The French Foreign Ministry said it was recalling its Tehran envoy, "given this blatant and unacceptable violation of the Vienna Convention on Diplomatic Relations and the severity of the violence."

The Iranian charge d'affaires in Paris has been called upon "to reiterate France's condemnation and to remind the Iranian authorities of their obligations," the ministry said in a statement.

Norway is closing its embassy there temporarily "because of a general assessment of the security situation in Iran," Foreign Ministry spokeswoman Hilde Steinfeld said earlier Wednesday. A statement said the embassy would reopen Thursday.

Ireland's Foreign Office urged Iran to reconsider its decision to expel the British ambassador to Tehran and said it should bring those responsible for the embassy incursion to justice.

If this does not happen, it said, "there are likely to be serious consequences for Iran's relations with the EU and the wider international community."

The EU Foreign Affairs Council will address the matter on Thursday, said Bernard Valero, spokesman for the French Foreign Ministry.

Tuesday's demonstration in Tehran followed an Iranian Parliament vote Sunday to expel the British ambassador and reduce diplomatic relations with the United Kingdom in retaliation for its new sanctions against Iran, according to IRNA, the country's official news agency.

The rally began quietly outside the embassy, but some participants stormed the building, breaking down the door. Among other things, they replaced the British flag with an Iranian one.

Speaker Ali Larijani was quoted on the Iranian Parliament's official website as saying that while Iranians should act legally, the decision to expel the British envoy was a response to Britain's own behavior.

"The gathering of the Iranian people in front of the British embassy was a reflection of the nation's public opinion caused by British actions," he said, according to the website.

Alaedin Boroujerdi, the lawmaker who introduced the expulsion bill, told the semi-official Fars News Agency on Wednesday that while Iran is glad to see the last of the British diplomats, "The consequences of closing down Iran's embassy in the UK will be London's responsibility."

Britain cut all financial ties with Iran last week over concerns about its nuclear program, the first time it has cut an entire country's banking sector off from British finance.

Iran's Foreign Ministry expressed its regret for the student protest, saying on its website that it had "turned into an out of control demonstration." The ministry said it would "take action through legal channels" against those who stormed the embassy building.

"A number of" protesters who broke into both places have been arrested, IRNA said, quoting the nation's deputy commander of security forces.

Hague warned Tuesday of "serious consequences" for the raids.

British Prime Minister David Cameron described the incursion as "outrageous and indefensible" and demanded that Iran immediately ensure the safety of all British Embassy personnel.

Iranian security forces are responsible for guarding the embassy under international law, he said.

"The failure of the Iranian government to defend British staff and property was a disgrace," the prime minister said.

"The Iranian government must recognize that there will be serious consequences for failing to protect our staff," Cameron said. "We will consider what these measures should be in the coming days."

Last week's sanctions ordered British credit and financial institutions to end their business relationships and transactions with all Iranian banks, their branches and subsidiaries.

The move came after an International Atomic Energy Agency report highlighted new concerns about "the possible military dimensions of Iran's nuclear program," the British Treasury statement said last week.

Iran insists its nuclear program is peaceful and has called the U.N. watchdog's report "unbalanced" and "politically motivated."

CNN's Adam Levine, Elizabeth Joseph, Antonia Mortensen, Claudia Rebaza, Shirzad Bozorgmehr and Mitra Mobasherat contributed to this report.

@highlight

NEW: The Netherlands recalls its ambassador to Iran for consultations

@highlight

Britain has closed its embassy in Tehran after an attack Tuesday

@highlight

Britain has also ordered the immediate closure of the Iranian Embassy in London, Hague says

@highlight

France and Germany recall their ambassadors for consultations