(CNN) -- On December 11, 1997, the world agreed that climate change needed to be tackled. The grandly named United Nations Framework on Climate Change adopted the Kyoto Protocol on that day, and it was eventually ratified by 191 countries. Now it's about to expire with a whimper.

Of the major industrial powers, only the European Union is prepared to continue adhering to the Kyoto pact's provisions on cutting greenhouse gases into 2013. Canada, Russia and Japan have already said they won't. The United States never ratified the agreement. So attention is turning to devising a "Kyoto 2.0."

CNN Special: Five cities fighting for climate survival

This week, nearly 200 delegations have gathered in Qatar to plan for a new international climate pact that would come into effect in 2020. But there are huge disagreements between developed and developing countries over sharing the burden.

The Kyoto agreement envisaged binding cuts in emissions by the industrialized world -- but not by rapidly industrializing countries like China and India. They are now the largest and third-largest generator of carbon emissions, respectively, and developing countries account for more than half the world's emissions, according to the International Energy Agency.

Read more: How wasted food is destroying the environment

The global economic slowdown has helped curb emissions in the developed world. But China and the United States were together responsible for more than 40% of emissions in 2009. U.S. emissions of carbon dioxide have risen by 10.5% since 1990. And China is heavily reliant on coal -- the most carbon-intensive of fossil fuels -- to drive its economic growth.

The stakes for the environmental health of the globe and its citizens have gotten a lot higher in the last 15 years, amid widespread crop failures in the Northern Hemisphere, changing weather patterns, acidifying oceans and a record ice melt in the Arctic Ocean. Right now, a Russian tanker carrying liquefied natural gas is steaming through the Arctic on its way to Japan -- the first such vessel ever to take the route, thanks to thinner ice cover.

Read more: Images from space track relentless spread of humanity

The last decade has seen nine of the hottest years on record. And in a new report, the World Bank cites the "nearly unanimous" prediction by scientists that the globe will warm by as much as 4 degrees Celsius this century. It expects the consequences to include "the inundation of coastal cities; increasing risks for food production potentially leading to higher malnutrition rates; many dry regions becoming dryer, wet regions wetter."

"Recent extreme heat waves such as in Russia in 2010 are likely to become the new normal. ... Tropical South America, central Africa, and all tropical islands in the Pacific are likely to regularly experience heat waves of unprecedented magnitude and duration," according to the World Bank study.

The World Meteorological Organization, a U.N. agency, reported last week that global carbon dioxide emissions had risen by 50% since 1990. There's fresh evidence that they are still rising, and an overwhelming majority of climate scientists say the warming of the planet is accelerating, with consequences we can't predict. Scientists describe this as the "cascade of uncertainties."

Read more: Arab youth offers hope for Doha climate talks

The WMO calculates that the volume of carbon dioxide in the atmosphere has now reached 390.9 parts per million, roughly 40% higher than the level before the Industrial Revolution. 375 billion tons of carbon have been released into the atmosphere since 1750.

About half has been absorbed by the oceans and the Earth's biosphere; the rest will remain in the atmosphere for centuries, gradually cooking the planet.

Read more: Greenhouse gases reached record highs in 2011, says U.N. study

The latest data from the WMO also shows that emissions of nitrous oxide are 20% higher than in the preindustrial era, and are accelerating. That's a cause for concern because nitrous oxide is much more "toxic" that carbon dioxide; its impact on the climate is about 300 times greater. About 40% of the nitrous oxide emitted is from human activity, according to WMO estimates.

There are glimmers of renewed interest in climate change. President Barack Obama, in his victory speech on the night of the election, said he wanted to "pass on a country that isn't threatened by the destructive power of a warming planet."

The European Union has already cut in its emissions by one-fifth, compared with 1990, and is considering extending that to 30% by 2020.

A U.N. program is encouraging small-scale projects that address warming at the local level. One such project is in the sprawling Indian city of Ahmedabad, where a fleet of buses running on compressed natural gas is reducing air pollution. In a city of 7 million, one-fifth of commuters have jumped off their motorcycles and scooters and onto the buses.

Read more: Chasing down the world's vanishing glaciers

But there is already widespread doubt that at the global level, aspirations will be matched by deeds.

Three years ago, at the abortive climate talks in Copenhagen, Denmark, rich countries promised the poor they would raise $100 billion by 2020 to help them cope with climate change. Budget pressures in developed countries make that target look very distant now. Nongovernmental organizations like Oxfam are lobbying for new taxes on the aviation and shipping industries to help raise the money. They contrast the rapid recovery in the U.S. from the effects of Hurricane Sandy with the disastrous consequences from the same storm for Haiti, where up to 2 million people may face malnutrition after crops were washed away.

The notion of shared sacrifice is not one familiar to climate talks. China never tires of pointing out that while it is the largest emitter of carbon dioxide, its emissions per capita are still far lower than those of the U.S. But that may not be for long: Last year alone, they rose 9%.

The danger, according to multiple scientific studies, is that without a redoubling of efforts to curb emissions, the goal enshrined in Kyoto, Japan, of restraining warming to 2 degrees Celsius this century, compared with the preindustrial era, will soon be unattainable.

Right now, the goal of limiting warming to 2 degrees by 2100 seems like a pipe dream. If emissions continue their current path, the target will be breached within two decades.

Read more: Raising a stink about global sanitation

The European Environment Agency says the average temperature on the continent in the last decade was already 1.3 degrees Celsius above the preindustrial level. The vast majority of glaciers in Europe are retreating; river flows are decreasing throughout Southern and Eastern Europe.

"By the late 21st century, European plant species are projected to shift several hundred kilometers to the north, forests are likely to contract in the south and expand in the north, and about half of the mountain plant species may face extinction," the EEA says.

Farmers in the U.S. Midwest have just endured the worst drought in 50 years; the bread baskets of Ukraine and Russia have similarly shriveled in the face of intense heat.

Technologies exist that will allow humanity to make a rapid dent on emissions. Renewable energy accounts for double the amount of power it did just six years ago. Carbon sinks deep underground can capture and store emissions from gas flaring. Better vehicle emissions standards, reforestation and a developed carbon trading market would all help.

There are all sorts of green gestures at the 18th meeting of the United Nations Framework on Climate Change in Qatar, one of the world's highest emitters of carbon dioxide per capita. Examples are "paperless" documentation and buses run on natural gas to ferry delegates to the conference center, which is partly powered by solar panels. But the political will required of 194 delegations to bring the world closer to a new climate pact is yet to be tested.

@highlight

Nearly 200 delegations have gathered in Qatar to plan for a new international climate pact

@highlight

Developed, developing countries disagree over how to share burden of cutting emissions

@highlight

Earth is seeing crop failures, new weather patterns, record ice melt, acidifying oceans

@highlight

There's doubt that at the global level, emissions-cutting goals will be matched by deeds