(CNN) -- A massive herd of caribou grazes the Arctic tundra. Sea birds fatten up on shellfish along the Chesapeake Bay before flying thousands of miles to winter in South America. A pod of orca glide past Pacific islands blanketed in fir and cedar as they hunt for salmon.

Few sights are more awe-inspiring than mass movements ofÂ  animals instinctively traveling the path forged by the millions of their kind that came before them. Summer is prime time for wildlife viewing, the season when you'll catch birds and animals tending their young and storing up energy before their fall migrations to winter feeding and breeding grounds.

Here are seven jaw-dropping places in the United States to spot amazing creatures as they prepare for journeys large and small.

Arctic National Wildlife Refuge, Alaska

Isolated and vast, the 19 million acre Arctic National Wildlife Refuge is often called the last truly wild place in the United States. The coastal plain along the Beaufort Sea, the heart of the refuge, offers spectacular wildlife viewing. In early summer, the 123,000-strong Porcupine caribou return here to give birth and graze the tundra. You might also spot grizzly bears, wolves, muskoxen and even polar bears, as well as huge populations of migratory birds.

Most of the refuge is only accessible by plane. Unless you have extensive wilderness experience, it's best to hire a qualified guide for both day hikes and longer expeditions. You can find more information on authorized guides online.

Best affordable beach resorts

San Juan Islands, Washington

Between the Washington mainland and Vancouver Island lies the San Juan Archipelago, a chain of 178 islands. From late spring through the summer, orca sightings are very common here: three extended family pods regularly pass through, following salmon migrations. Although boats are required by law to keep a 200-yard distance from the spouting giants, curious orcas will sometimes come very close.

Whether you opt for a kayak trip or a larger boat tour, you'll want to select a tour operator that respects the orca's habitat. The Whale Museum, a local educational and research institution, recommends booking with tour companies that are members of the Pacific Whale Watching Association.

Even if you don't spot an orca during your trip, you're likely to see a variety of marine life, including sea lions, harbor seals, porpoise and perhaps even gray whales. Plan a visit to the San Juan Island National Historical Park, where you can hike through cedar forests, native prairie and along rocky shorelines while enjoying marvelous views of the Olympic Mountains and the Northern Cascades.

America's best North-South roads

Glacier National Park, Montana

With more than 1 million acres of glaciers, forests, lakes, mountains and wetlands, visitors to Glacier National Park have the chance to see everything from elusive wolves, grizzlies and mountain lions to the more common mountain goats, bighorn sheep, elk and moose.

Most animals in the park have relatively modest migration ranges, moving between higher and lower elevations depending on the season. Elk congregate in valleys to give birth, then head into the mountains to keep cool and to feed. During summer, bighorn sheep can also be spotted on high mountain slopes, often around rocky outcroppings where they perform the seemingly death-defying feats of scrambling along ledges and cliffs.

Yellowstone National Park, Wyoming

It goes without saying that Yellowstone offers some of the most impressive wildlife encounters anywhere, but there's something unique about bison, the park's largest mammal.

According to the National Park Service, Yellowstone is the only place in the United States where bison have lived continuously since prehistoric times. There are two main bison herds in Yellowstone that migrate within the park. Roadside bison sightings are common in summer. As with other large animals in the park, they'll sometimes cross the road directly in front of cars, so drivers should take great care.

10 best motorcycle roads in the U.S.

Carlsbad Caverns, New Mexico

On summer evenings, tourists gather in an outdoor amphitheater at Carlsbad Caverns National Park in southeastern New Mexico to witness an awesome spectacle: hundreds of thousands of Brazilian (also known as Mexican) free-tailed bats taking flight en masse at dusk to hunt insects.

The best opportunities to see the bats are in July and August, before they head to Mexico for the winter. If you're really ambitious, arrive before dawn and catch them swooping and diving hundreds of feet as they re-enter their cave after the nocturnal hunt. A full day leaves ample time to tour the caverns before watching an evening flight.

Nesting sea turtles, Florida

Florida's coastlines are crucial to the survival of several species of threatened and endangered sea turtles, including the loggerhead, leatherback and green turtle. From May through July, female turtles swim onto beaches to dig deep holes, deposit their eggs and cover them before returning to the water. About two months later, it will be up to the tiny babies to crawl out and hurry toward the ocean.

Secret hotels of Florida's Gulf Coast

Coastal counties, state parks and wildlife refuges offer organized turtle walks to help ensure visitors don't inadvertently harm the fragile creatures. You can learn more about turtle walks by contacting the Archie Carr National Wildlife Refuge, a 20.5-mile stretch of coastline between Melbourne Beach and Wabasso Beach on Florida's southeast coast. Staff can also help identify other places to witness this incredible event.

You can help protect turtles by avoiding -- and keeping dogs away from -- areas where the turtles nest unless you're on a guided walk. Don't dig in the sand, and avoid using flashlights, flash cameras or other electronic devices. Baby turtles instinctively move toward natural light reflecting off the water and may become disoriented by artificial light.

Assateague and Chincoteague Islands

Cute ponies might not be the first thing that comes to mind when you think about wildlife, but on Assateague and Chincoteague, barrier islands off the coast of Virginia and Maryland, the descendants of ponies brought by colonists in the 1600s roam freely through salt marshes, pine forests and windswept beaches.

Wild ponies are far from the only reason to visit. Assateague National Seashore and the neighboring Chincoteague National Wildlife Refuge are a birder's paradise because of their location along the Atlantic Flyway, a major migratory bird flight path. Hiking, boating and kayaking are great ways to bird-watch here. Keep your eyes peeled for deer, foxes, opossum, otters, whales and dolphins, too.

Animal attacks: A note of caution

Before you venture out into the wilderness, do your research and know the risks. Though rare, wild animal attacks can and do happen, and different animals require different responses to protect yourself. For your own well-being and that of the wildlife you encounter, always maintain a safe distance -- no matter how cute or cuddly they may seem.

Photos: Escape to Mexico's Yucatan Peninsula

Do you have recommendations for great spots to see animals in the wild? Please share them below.

@highlight

Summer is prime time for wildlife viewing

@highlight

These spots across the United States provide opportunities to see animals in the wild

@highlight

For your own well-being and that of the wildlife, always maintain a safe distance