A patient being treated at a Dallas hospital is the first person diagnosed with Ebola in the United States, health officials announced Tuesday.

The unidentified man left Liberia on September 19 and arrived in the United States on September 20, said Dr. Thomas Frieden, director of the Centers for Disease Control and Prevention.

At that time, the individual did not have symptoms. "But four or five days later," he began to exhibit them, Frieden said. The individual was hospitalized and isolated Sunday at Texas Health Presbyterian Hospital.

Citing privacy concerns, health officials declined to release any details about how the patient contracted the virus or how he was being treated.

"I can say he is ill. He is under intensive care," Dr. Edward Goodman of the hospital told reporters.

Frieden declined to answer whether the patient is a U.S. citizen. He also declined to say, clearly, whether the patient is a man, although he referred to the person as "he" on multiple occasions.

"The patient was visiting family members and staying with family members who live in this country," he said at a news conference.

However, the city of Dallas in a news release said the patient "moved to Dallas from Liberia a week ago."

The patient is believed to have had a handful of contacts with people after showing symptoms of the virus, and before being isolated, Frieden said. A CDC team was en route to Texas to help investigate those contacts, and Texas Gov. Rick Perry will be in Dallas on Wednesday to hold a news conference.

Crew members who transported the patient to the hospital have been isolated, the chief of staff for Dallas Mayor Mike Rawlings told CNN. None have shown symptoms of the disease so far.

The ambulance that carried the patient - ambulance # 37 --- was in use for two days after the transport but was adequately decontaminated, said Dallas city spokeswoman Sana Syed.

"I do want to stress that the paramedics followed national standards, as they do after each transport, in decontaminating the ambulance," she said. "The Dallas County health department has confirmed that paramedics did follow proper guidelines to avoid contaminating additional patients."

Frieden, too, sought to play down the risk to public health. There are currently no other suspected cases of Ebola in Texas.

"It's a severe disease, which has a high-case fatality rate, even with the best of care, but there are core, tried and true public health interventions that stop it," Frieden said.

"The bottom line here is that I have no doubt that we will control this importation or this case of Ebola so that it does not spread widely in this country," he said.

According to the CDC, Ebola causes viral hemorrhagic fever, which can affect multiple organ systems in the body and is often accompanied by bleeding.

Early symptoms include sudden onset of fever, weakness, muscle pain, headaches and a sore throat, each of which can be easily mistaken early on for other ailments like malaria, typhoid fever and meningitis.

Ebola is spread by direct contact with someone sick with the virus. That means people on the patient's flight are not thought to be at risk, as he did not begin to show symptoms until several days after arriving in the United States, Frieden said.

He spoke about what's being done at airports to help stop the spread of the disease.

"One of the things that CDC has done in Liberia, Sierra Leone, Guinea and Lagos, is to work with the airports' authority so 100% of the individuals getting on planes are screened for fever," the director said. "And if they have a fever, they are pulled out of the line, assessed for Ebola and don't fly unless Ebola is ruled out."

He added, however: "As long as there continue to be cases in West Africa, the reality is that patients travel, individuals travel, and, as appears to have happened in this case, individuals may travel before they have any symptoms."

How the virus spreads

Ebola virus: 9 things to know about the killer disease

A number of other Americans have been diagnosed with the disease in West Africa and then brought to the United States for treatment.

The Ebola outbreak has been centered in the West African countries of Guinea, Sierra Leone and Liberia, though there have been concerns about international air travel and other factors -- including the fact the symptoms might not appear until two to 21 days after one is infected -- may contribute to its spread.

More than 3,000 people in West Africa have died after being infected with Ebola, according to a World Health Organization report from last week. The same report stated that there had been 6,553 cases of the virus overall, though the number is suspected to be much higher, given difficulties in tracking and reporting the disease.

The reason Ebola isn't being stopped

"I have no doubt that we'll stop this in its tracks in the U.S. But I also have no doubt that as long as the outbreak continues in Africa, we need to be on our guard," said Frieden.

@highlight

Ambulance that transported patient was in service for two more days

@highlight

Crew that transported the patient to the hospital has been isolated

@highlight

"I have no doubt that we'll stop this in its tracks in the U.S," CDC director says

@highlight

The patient recently arrived in the United States from Liberia