(CNN) -- Some things are just better after dark.

Just because the sun goes down doesn't mean you have to turn in, too.

Swimming with manta rays in Hawaii

The waters off the Big Island of Hawaii's Kona Coast are known for their manta rays: majestic and curious sea creatures with wings that can span up to 20 feet.

After sunset, many area dive companies run boat excursions for both snorkelers and certified divers to get within inches of anywhere from a few to more than a dozen of them.

The water's not completely dark: once you reach your location, operators use either spotlights or equip you with an underwater flashlight to attract the harmless rays by drawing plankton to the area.

The lighting adds to the experience -- illuminating the creatures as they gracefully sway, twist and dive in an extraordinary water ballet around you.

Big Island Divers is one of many reputable companies running year-round night trips for ages 10 and older to both dive and/or snorkel with manta rays.

"All the boats have snorkel guides and large lighted surfboard floats that guests can hold on to," says Big Island Divers' Frank Hendriks.

"Our divers are also guided around the manta ray dive site with their own divemaster, to make sure they are having a great -- and safe -- time while being 30 feet underwater."

Big Island Divers, 74-5467 Kaiwi St., Kailua-Kona, Hawaii; +1 808 329 6068; rates from $99 and include snorkeling equipment and dry towels. Dive gear available to rent

Kayaking Puerto Rico's bioluminescent bay

Mosquito Bay off Puerto Rico's Vieques Island is renowned for its bioluminescence: waters that glow an electric blue and green -- a combination of environment and the tiny luminescent micro-organisms called dinoflagellates that live there.

"We have the brightest luminescent bay in the world," says Barbara Schneider of Abe's Snorkeling and Bio-Bay Tours.

The Vieques-based company runs two-hour kayaking tours to experience this spectacular natural light display.

There's an info session on the bay's unique ecology beforehand.

Despite recent news reports about the bay's loss of bioluminescence, Schneider assures that it's nothing more than an unusual -- and temporary -- occurrence, and the water's have since returned to glowing "really, really bright."

The best time to go is on a moonless night after an especially sunny day, since dinoflagellates collect sunlight during the day and then flash that light as a defense mechanism in the darkness.

Abe's Snorkeling and Bio-Bay Tours; +1 787 741 2134; $45 per adult, $22.50 for kids

Night Safari in Singapore

Next door to Singapore's 69-acre zoo is a separate zoo that's home to around 2,500 nocturnal creatures.

The Night Safari includes both a guided, open-air tram ride through the park's seven geographical zones as well as walking trails.

You can wander the zoo's tropical rainforest setting spotting striped hyenas and sloth bears as you go.

There are no cages or walls to deter your view (there are still barriers between you and the animals, they're just hidden), and the lighting is designed to resemble moonlight.

According to Wildlife Reserves Singapore, this May the zoo marked its 20th anniversary with the introduction of two white lions and "two new exhibits featuring Asiatic black bears and Malayan tigers -- the finale to the park's 35-minute tram experience."

Singapore's Night Safari is open 365 days a year, beginning at 7:30 pm.

A couple of live performances -- including a 20-minute Creatures of the Night show highlighting the many behaviors of nocturnal animals -- takes place each evening.

Night Safari, 80 Mandai Lake Road, Singapore; +65 6269 3411; $39 for adults, $25 for kids

Exploring America's most notorious prison

For nearly 30 years, Alcatraz Island in San Francisco Bay was home to one of America's most notorious security prisons.

Approximately 1,500 criminals cycled through this federal penitentiary, including some of the most disruptive men of their time: gangster and crime boss Al Capone; Arthur "Doc" Barker, killed by Alcatraz prison guards during an escape attempt; and Robert "Birdman" Stroud, who spent the first six years of his 17-year sentence in solitary confinement.

In fact, with its tiny bare bones cells, inhospitable grounds and a well-known reputation for housing the worst of the worst criminals (not to mention being a favorite subject of Hollywood directors), Alcatraz has achieved legendary status.

A visit to the island is creepy in the afternoon, but touring the empty prison halls at night is bone-chilling.

"It's an intimate experience compared to daytime," says Alexandra Picavet, public affairs specialist for the Golden Gate National Recreation Area.

Only 700 people are allowed on the island at night, compared to the approximately 5,000-6,000 people that come through each day.

"You also have access to areas -- such as the former hospital -- that are typical off limits," she says.

The Alcatraz Night Tour takes place Thursday through Monday and includes an audio cell house tour, as well as a narrated boat tour around the island.

Due its popularity the night tour is often sold out weeks in advance.

Alcatraz Night Tour, Pier 33, Alcatraz Landing, San Francisco; +1 415 981 7625; $37 per person

Experiencing the ancient ruins of Petra

Located in the desert of southern Jordan, ancient Petra is an architectural marvel of ancient sandstone temples, intricately carved tombs and the elaborate Al Khazneh, an incredible former treasury featured as the final resting place of the Holy Grail in "Indiana Jones and the Last Crusade."

These historic ruins are stunning by day, but become dazzling after dark when the ancient city is awash in the glow of thousands of candles.

A softly lit path through the Siq, or Petra's main entrance, leads to Al Khazneh, where a short performance of haunting Bedouin music and poetry takes place Monday through Wednesday.

"Al Khazneh is Petra's most impressive monument," says Sallah A. Alfaqeer of Petra's Marketing and Tourism Authority.

Petra At Night, Wadi Musa, Petra, Ma'an, Jordan; +962 3 215 7093; takes place Monday, Wednesday and Thursday evenings, beginning at approximately 8 p.m.; tickets cost about $17, in addition to your Petra admission ticket

Delving underground in southern Spain's Granada

Granada sits at the foot of the Sierra Nevada mountain range in southern Spain, and the centuries-old city is teeming with natural and cultural curiosities.

Play Granada's Night Adventure Tour brings you in contact with many of them under the cover of darkness.

"Every night is a different tour," says Play Granada manager Elisabetta Aguzzi, "because every guide brings his or her personal touch."

Tours often include visits to the Albayzin (the city's ancient Muslim quarter) and the house caves of Sacromonte, as well as a bit of strenuous climbing -- using nothing but headlamps to guide your way -- that culminates with a fantastic panoramic view of the city.

"Normally, the tour ends in a tapas bar," says Aguzzi.

Each tour lasts three hours, beginning at 6 p.m. in winter and 8.30 p.m. in summer.

Play Granada's Night Adventure Tour, Calle Santa Ana, 2, Bajo 1, Granada, Spain; +34 958 163 684; $27 per person

Immersing in Costa Rica's nocturnal wonders

Well known for its rich variety of wildlife, Costa Rica has as much to offer visitors at night as it does by day.

It's under the cover of darkness that the country's iconic reptiles, birds and animals become really active.

You can meander the PeÃ±as Blancas river by raft on a Twilight Safari Float, listening to the sounds of the jungle and seeking out howler monkeys hanging from tree branches, or embark on a guided night walk through Ecocentro Danaus, a private nature reserve that's home to frogs, birds and sloth.

According to Anywhere Costa Rica travel planner Gema Cantillano, "The forests become louder with insects as dusk sets in, mammals forage for food and nocturnal reptiles hunt for bugs. Expert guides know these patterns and can help visitors gain insight into the rhythms of nature."

Anywhere Costa Rica Ecocentro Danaus Night Walk; +1 310 853 1167; Twilight Safari Float, $60 per person; Ecocentro Danaus Night Walk, $37 per person

Aladdin experience in Dubai

Just outside the glitz and flash of the UAE's most populous emirate lies the expansive emptiness of the desert, where you can experience a traditional Arabic meal and cultural performance beneath the glow of thousands of stars.

Camel rides, temporary henna tattoos and belly dancing are all on offer while you enjoy a buffet barbecue dinner that includes chicken tikka and lamb kabobs.

It's a stunning and remote campsite with low-slung tables, pillows for seats and plenty of shisha (Arabic water pipe) for smoking.

The true beauty of this experience is being so close to Dubai's nonstop action but feeling worlds -- if not centuries -- away.

ABC Tours Acico Business Park, Office No. 901, Port Aeed, Dubai; +971 800 2225

Tracking lion, elephant and rhino in South Africa

South Africa's night game drives offer the chance to experience wildlife viewing in a unique way.

Kruger National Park's night game drives give the chance to spot the Big Five: lion, elephant, buffalo, leopard, rhino.

Most safari companies use open-sided vehicles so there's nothing between you and the animals, getting you as close as possible to the action -- which may include a wandering pack of wild dogs, a whooping pair of hyena or a leopard on the prowl.

There's no guarantee you'll see anything, but the suspense alone is worth it.

Night Game Drives typically begin around 5-6 p.m. and last three hours.

Most often include sundowners stops in the bush for snacks and drinks and to watch the sun set.

Safari Rangers LTD, Henley on Thames, Oxon, UK; + 44 (0) 7540 577725; night safaris in 20-seat open-sided vehicles for about $20 per person

Zip-lining through the snow in Whistler, B.C.

Whistler's Superfly Ziplines offers nighttime zipping in winter.

A heated snowcat transports you to the top of Rainbow Mountain, where you sit down to a multi-course meal (catered by Whistler Village's famed Barefoot Bistro) in a yurt.

Then it's time to descend -- in near total darkness -- on a series of zips through remote stretches of nothing but snow and old growth forest and reaching speeds of up to 62 mph.

"We take heart-pounding, adrenaline-pumping fun to a whole new level," says Superfly's Eric Whittle.

Superfly Ziplines, 211-4293 Mountain Square, Whistler, British Columbia; +1 604 932 0647; nighttime zips with dinner from mid-October to mid-April, $199 per person

Laura Kiniry is a freelance travel writer based in San Francisco.

@highlight

Diving with manta rays is great -- diving with them when it's pitch black is awesome

@highlight

Puerto Rico's bioluminescent Mosquito Bay is one of the great nighttime spectacles

@highlight

Singapore's Night Safari gets you close to some of the world's most fascinating nocturnal animals