(CNN) -- During Saturday's White House correspondents dinner, "Saturday Night Live's" Seth Meyers jokingly scolded members of Congress for passing legislation they might never ever read. And he did so using a tech metaphor.

"I think you guys vote on bills in the same way the rest of us agree to updated terms and conditions on iTunes," he said.

If you've spent any time downloading music, apps or other stuff from iTunes, you know what Meyers is talking about: Those messages from Apple that pop up on your laptop, iPad or iPhone and say, "iTunes Terms and Conditions have changed. Before you can proceed you must read & accept the new Terms and Conditions."

You tap "OK," and before you know it, you're staring at 56 pages of fine print on your screen.

"I don't have time to do this," you think. So you tap "agree" without reading a word. No big deal, right?

"Yeah, just agree," wrote one user, macbookairman, on a MacRumors.com forum, echoing the sentiments of many Apple users on the site. "Nothing bad is going to happen."

Probably not. But two digital-media attorneys contacted by CNN say that customers of iTunes, Apple's online marketplace, should still be aware of what they're agreeing to -- and what legal rights they may be giving up.

According to New York technology attorney Mark Grossman, selecting "Agree" serves as an electronic signature, due to a law passed in 2000. It has the same validity as typing your name in an e-mail or signing a document using a pen.

Jonathan Handel, a Los Angeles-based entertainment  attorney who specializes in digital media, technology and intellectual property, said that because the iTunes terms are essentially a contract, people should treat them as such and give them more than a cursory glance.

But both lawyers acknowledged that few people do. In fact, Grossman and Handel, both iTunes users, admitted they don't always read the terms either.

To them, it is obvious why people are so nonchalant about the terms.

"When they change the iTunes terms, as they do all the time, they give you all 50 pages instead of giving the option of seeing the changes," Grossman said. "We all know that nobody reads this stuff, but it is a binding contract."

Both Grossman and Handel are quick to say that this is not just an Apple issue. Other online retailers, such as Google's Android Marketplace, also impose legal terms on downloads.

"It's not that Apple is acting badly," Grossman said. "None of that is true. Most people really just don't understand digital rights management."

Key clauses of the iTunes terms

CNN asked Handel and Grossman to go through key parts of the iTunes terms and explain exactly what are customers getting themselves into.

Overall, the two lawyers said that none of the terms really surprised them, and that customers do not have much to worry about. But Grossman and Handel said that there are three clauses that users should be mindful of:

1. Genius: The terms state, "When you use the Genius feature, Apple will use this information and the contents of your iTunes library, as well as other information, to give personalized recommendations to you."

As most iTunes users know, Genius not only puts songs of the same genre together but also recommends new songs to download by going through your personal playlists. Grossman said that while this is not something to lose sleep over, people should know where their information is going.

"Some people would say, 'Oh my god. They can look at my play history,'" he said. "If you care [about that], you should disable it."

But Grossman said that he finds Apple's privacy policies scarier, and cited the recent iPhone geotracking controversy.

"It's a long-winded way of saying we can figure out where you are through your IP address," he said. "You should assume that everything you do is tracked or trackable."

2. Loss of purchases: The terms state, "Products may be downloaded only once and cannot be replaced if lost for any reason. Once a Product is downloaded, it is your responsibility not to lose, destroy, or damage it, and Apple shall not be liable to you if you do so."

Grossman said that there is no leeway on this point, and that anyone who tried to take Apple to court over a lost digital file would lose very quickly.

"The argument is, you could have backed it up," he said. "The contract clearly says 'we are not responsible,' and it's firmly established in the law."

3. Licensing: The terms state, "You agree that the Service, including but not limited to Products, graphics, user interface, audio clips, video clips [and] editorial content ... contains proprietary information and material that is owned by Apple and/or its licensors, and is protected by applicable intellectual property and other laws, including but not limited to copyright."

That sounds confusing. Handel explained it this way: When we buy something from iTunes, we are paying for the license to listen to music or watch a movie on our iPhone or other Apple device. But we are not buying the product itself and so we can't actually own it, he said.

"When you buy a book, you own the copy of that book but not the actual material," Handel said "What you are buying here is right to use music on certain devices."

So why are the iTunes terms so long?

The eye-glazing length of the jargon-filled document has frustrated some Apple users, who believe it should be shorter.

"I've bought cars with less paperwork," wrote Mel Martin from AOL Tech in a recent blog post. "C'mon, Apple. Get it together."

By contrast, the terms and conditions for Google's Android Marketplace are about five pages long. (Android has some 200,000 apps, compared with more than 350,000 in Apple's App Store.)

So why doesn't Apple make its iTunes terms more digestible by including a summary?

Grossman said that doing so could potentially expose Apple to legal action.

"Whatever is in those 50 pages needed to be said," he said. "Could you try [reducing] 50 to five and not lose anything? Someone is going to say that it wasn't in the summary and therefore does not count."

In addition, Handel said the lengthy terms are not all Apple's doing.

"When you got a content provider like a major label, they put pressure on Apple to keep their content protected," he said. "As a result, you end up with these [lengthy] agreements."

What consumers should do

Both lawyers agreed Apple should clarify some of the language in the document to make it easier for customers to understand.

Handel believes it would be helpful if the terms would tell consumers exactly what they're paying for.

"Here's what you are getting, here's what you are not getting," he said. "If you do lose something, who you can call? That's what needs to be highlighted."

An Apple spokesman said the company would not comment for this story.

It's not clear whether Apple will ever incorporate user suggestions and shorten or revise its iTunes  terms. But in the meantime, Handel said, Apple customers should scan those terms and conditions the next time they get that pop-up message.

"There's no reason an ordinary user should have to turn to a lawyer," he said. "People should be empowered the way they deal with the world. And companies have to deal with that as well because they depend on users' goodwill. It's a delicate balance."

@highlight

What exactly are you agreeing to when you click "Agree" on iTunes' Terms and Conditions?

@highlight

One attorney says he finds Apple's privacy policies scarier than its iTunes Genius feature

@highlight

Anyone who tries to take Apple to court over a lost digital file would lose very quickly, he says

@highlight

Another lawyer says iTunes users are paying for the license but not for the product itself