The Malaysian-registered tanker Zafirah was exactly the kind of ship pirates love.

Slow, unguarded and steaming in the waters off Con Son Island near Vietnam as it labored under its cargo of 320 tons of marine gas oil (MGO), its low freeboard -- the distance between its deck and the water -- offered an open target.

Most likely operating from a creaky pursuit skiff with an over-powered engine, 11 pirates armed with machetes, long knives and pistols easily boarded the tanker on November 20 last year.

The nine crew of the Zafirah -- five Myanmar nationals and four Indonesians -- were forced into two life rafts, lowered into the water and left to their fate.

Next the pirates worked feverishly to change the identity of the vessel. The ship's name was painted over on the stern and changed to MT Seahorse and the IMO (International Maritime Organization) number assigned to the hull altered.

With a new identity, the Sarawak-bound tanker changed direction; steaming towards what was likely a ready buyer for the tanker and its cargo.

Fortunately for the owners and crew of the Zafirah, good regional cooperation and information sharing led to the rescue of the crew and, after a 50-minute stand off with Vietnam's Marine Police, the recovery of the vessel and the arrest of the pirates.

While piracy in Somalia in the waters off the Horn of Africa may have grabbed the headlines over the past few years, shipping industry experts say piracy is moving back to its former heartland in South East Asia.

And, as fuel becomes one of shipping's biggest expenses, pirates are targeting valuable cargoes of highly saleable and easily transferred MGO - in some cases operating on the high seas as floating pumps for below-cost stolen bunker oil that is transferred from ship to ship.

"The statistics would seem to suggest it's on the rise in Asia," said an industry source from a Hong Kong-based ship management company who did not want to be named. "It's now very dangerous for slow vessels with low freeboards to pass through piracy areas.

"A ship like the Zafirah would only have been doing 12 knots (14 mph), and most probably even slower to save on fuel," he said.

According to the Regional Cooperation Agreement on Combating Piracy and Armed Robbery against Ships in Asia (ReCAAP) -- an information sharing center set up under a regional Asian agreement to combat piracy -- the high price of oil has been behind at least four pirate attacks in 2011 and 2012 where diesel or MGO fuel was siphoned.

"It is a lucrative business believed to involve syndicates who target specific tankers with MGO onboard," ReCAAP says in its 2012 annual report on Asian piracy. "It is believed that the culprits have access to insider information on the route taken by the tanker and possible locations where the siphoning process could be carried out.

"In incidents where the tanker was repainted, renamed and the crew abandoned onto life rafts, it appeared that there is a ready buyer for the tanker together with the cargo onboard, as in the case involving the Zafirah."

In the meantime, ship owners are prepared to pay a premium to protect ship, cargoes and crews in what has become a multi-million dollar industry for security firms and insurers.

"There are many new companies making good money providing 'hardening' equipment for ships," the Hong Kong-based source said. "We need to supply shed loads of equipment for ships transiting high-risk areas in the Indian Ocean."

He said companies often need to provide camera surveillance equipment, razor wire, sandbags, bulletproof vests as well as extra provisions for the guards.

"Ship owners need to pay extra premiums for piracy or war risk areas, so for the insurance companies, it's big money too."

Certainly some of the anti-piracy measures outlined in the shipping industry's Best Management Practices against piracy would not be out of place in the days of Blackbeard -- the buccaneer that terrorised the Caribbean in the 18th century.

Counter-piracy tactics include ringing the deck with razor wire, equipping freeboard areas with spiked fences, mesh grills on the bridge to deter RPG attacks, steam-jet nozzles and even strategic placement of dummies to make the ship appear better manned than it is.

Above all, the guidelines advise ships' captains to proceed at full speed through pirate waters, noting that no ships have been boarded when the vessel has been sailing at more than 18 knots (20 mph).

Some ships operating in Somali waters have even resorted to 'citadels'; safe rooms where the crew can barricade themselves into a ship that has already been boarded by pirates.

Nevertheless, committed pirates hell bent on capturing valuable hostages have been known to take plastic explosives onto vessels to breach citadels, drill through bulkheads to pour in petrol or shoot at the doors indiscriminately and the industry is still divided on whether citadels are a safe haven or a death trap.

While Asian waters have yet to reach the warzone status of the Horn of Africa, the numbers are showing a worrying return of piracy to the South China Seas and the Indian Ocean.

According to statistics from the International Chamber of Commerce International Maritime Bureau, there have been 22 attacks in 2013 of which nine took place in waters around South East Asia.

Due to increased policing, Somalia has registered just one incident this year but pirates in the African country still hold a total of seven captured vessels and ransoms for 113 hostages are still being negotiated.

While Asian attacks tend to be of a less serious nature -- ranging from petty thefts of engine parts to large-scale thefts of valuable cargoes -- the maritime industry says ship owners, faced with increasing costs and lower revenues due to the global financial crisis, have cut the size of crews and in some cases their wages, a situation that leaves the door open to piracy.

"Sometimes it's suspected that these small robberies are even carried out by the crew who sell the supplies to boost their low salaries and later put the blame on pirates," the Hong Kong-based shipper said.

@highlight

Sea piracy in the waters of South East Asia on the increase

@highlight

Pirates target ships for increasingly valuable cargoes of fuel

@highlight

Anti-piracy groups say organized syndicates are behind the attacks

@highlight

Nine out of 22 pirate attacks this year occurred in South East Asian waters