(CNN)  -- Judging by the hysterical reaction in some quarters, to President Obama's handshake with Venezuelan President Hugo Chavez, or his bow to Saudi Arabia's King Abdullah, you would think that America's national security rested solely on body language not sound policy.

The presidential handshake between Barack Obama and Hugo Chavez spurred many comments.

But just for the record, let's not forget that President George W. Bush kissed and held hands with the same Abdullah after 9/11, while also looking deep into the soul of Vladimir Putin. And a generation earlier, egged on by British Prime Minister "Iron Lady" Margaret Thatcher, President "Tear Down That Wall" Ronald Reagan, decided that indeed Soviet President Mikhail Gorbachev was a man he could do business with: the business of ending the Cold War.

While Obama has not managed in 100 days to defeat Islamic militants, usher in a Middle East peace treaty or disarm North Korea, on these and other issues he has laid down some important groundwork. Most importantly, the global polls following his first overseas trip show he has begun restoring America's name and reputation, key ingredients to successful policy making.

Even before stepping onto foreign soil, Obama began by ordering the infamous Guantanamo Bay detention center closed, thus returning the United States to upholding the very same rule of law it preaches to other nations. He also has  stated over and over again that "America does not torture," thus returning the United States to leading on human rights, not cherry-picking them.

To those such as former Vice President Dick Cheney who claims this will make America more vulnerable, even some former Bush administration officials now concede that rigorous but patient above-board interrogation has proven to yield better, more reliable intelligence than a rush to the waterboard.

Obama has kept a campaign pledge and given a fixed date for ending the unpopular U.S. war in Iraq. "Let me say this as plainly as I can: By August 31, 2010, our combat mission in Iraq will end," he announced.

Yet the perils are clear. Hundreds of Iraqi civilians have been killed in Baghdad and other cities in a surge of sectarian violence since January. The Obama administration and U.S. military leaders are playing it down, blaming the suicide bombings on a few militant cells. That brings back memories of Cheney and former Defense Secretary Donald Rumsfeld blaming a "handful of dead-enders" as the original insurgency was getting into full swing. Much work still needs to be done to stabilize Iraq militarily and politically.

Drawing down in Iraq means surging in Afghanistan, which along with Pakistan is still viewed as the central front on terror. "If the Afghanistan government falls to the Taliban or allows al-Qaeda to go unchallenged," Obama said in March, "that country will again be a base for terrorists."

So he has ordered 21,000 new U.S. troops there by summer. But for all the talk of more boots on the ground, negotiating with moderate Taliban and beefing up Afghan security forces, danger will persist unless the Afghan people see more of a peace dividend. As Obama himself recognizes, "There will be no lasting peace unless we expand spheres of opportunity for the people of Afghanistan and Pakistan."  Watch highlights from Obama's first 100 days »

Dire poverty still stalks the land and people desperate to feed their families will lay an IED for cash if they cannot farm or find a decent paying job. Although the Taliban had less than 8 percent support in Afghanistan at the end of 2007, according to an ABC poll, Afghan public opinion is turning against the U.S.-led coalition partly because of the rising number of civilian casualties as the U.S. military hunts down terrorists with airstrikes.

The same is happening in Pakistan. When unmanned drones and other airstrikes target militants but cost many civilian lives, it turns people against the United States. One month ago, President Obama unveiled an Afghan-Pakistan strategy for stabilizing the region, and yet things have gotten so much worse in the weeks since that now he, British officials and other world leaders openly fear the Talibanization of nuclear-armed Pakistan.

A furious Pakistan government accuses the United States of sowing panic among the people and insists it's in full control of its country and its nuclear arsenal. But it is hard to overdramatize the danger as this U.S. ally concedes land and appeases the Taliban, then watches as it reneges on a so-called "peace deal" and rolls ever closer to the capital, Islamabad. On May 6 and 7, Obama will be meeting in Washington with the presidents of Pakistan and Afghanistan. In the fight to deny the militants a tipping point momentum, the military tells me 2009 will be crucial.

As for Iran, which even two years ago candidate Obama said would be directly engaged by his administration, there is nothing formal yet between the two sides.

After 30 years of enmity, President Obama offered Iran "the promise of a new beginning" in a Persian New Year video message, and since then has clearly signaled the United States was over regime-change. The Iranian government and leadership have responded in kind, saying they are ready to engage with America if the administration is really committed to changing its Iran policy.

However, much of this good will has been over the airwaves and direct or back-channel talks have yet to start. Into this vacuum are stepping all the sundry pro- and anti-Iran interest groups, experts, analysts and nations, with their often-conflicting advice and sometimes confused understanding. Yet it is widely acknowledged that a strategic realignment with Iran would benefit U.S. and regional security and stability.

The new Israeli government wants to see no such thing, and wants people to believe it will bomb Iran's nuclear facilities, a belief it fosters with background briefings to journalists in the United States and presumably elsewhere. In an ironic twist, Israel's Arab neighbors are bringing their dire warnings about Iran to the White House.

Meantime, Obama has named a new Middle East Peace envoy, former Sen. George Mitchell, signaling he wants to take negotiations out of the deep freeze and committing to the two-state solution for Israelis and Palestinians. Trouble is new Israeli Prime Minister Benjamin Netanyahu has not signed on to the two-state solution and is trying to fend off this pressure, even suggesting Israel won't engage with the Palestinians until the United States takes care of Iran.

Last week, Obama told Jordan's King Hussein at the White House, "My hope would be that over the next several months you start seeing gestures of good faith on all sides." He added, "We can't talk forever; at some point, steps have to be taken so that people can see progress on the ground." The president has invited the leaders of Israel, Egypt and the Palestinian Authority to the White House in coming weeks. iReport.com: Grade Obama's first 100 days

The second hundred days in foreign policy will be filled with mini-summits at the White House and major summits abroad -- Russia in July and China sometime later.

With all this activity, Obama is clearly shifting the United States away from the "isolate and punish" policy of his predecessor. He is signaling that clearheaded meetings to discuss issues of mutual concern are better than hiding your head in the sand and hoping they'll go away. So amid the frothing and fulminating over Fidel, Hugo and Mahmoud, remember Nixon went to China.

@highlight

Obama has laid important groundwork in key areas, Amanpour says

@highlight

President has acted on some campaign promises, but outcome still uncertain

@highlight

Next 100 days will see key meetings at White House, summits abroad

@highlight

Body language has caused chatter, but Nixon went to China, reminds Amanpour