(CNN)Forty-three people who came into contact with Ebola patient Thomas Eric Duncan are now officially cleared after not demonstrating any symptoms during a 21-day monitoring period, Dallas County Judge Clay Jenkins said Monday.

One more will be cleared later Monday, and four others will complete their 21-day monitoring period soon, he said.

"Thankfully, they are all asymptomatic, and it looks like none of them will get Ebola," said Jenkins, who is overseeing response efforts in Dallas.

Texas officials' conflicting numbers

The news conflicted with information Jenkins provided to CNN on Sunday indicating that all 48 people would be cleared at midnight.

Dallas Mayor Mike Rawlings also provided numbers that conflicted with Jenkins' information from Sunday. Jenkins told CNN that in addition to the 48 people whose quarantine was ending Monday, there were 75 health workers being monitored.

Rawlings said 120 people were still being monitored. It was unclear how he came up with that total.

Among those in the clear is Duncan's fiancée, Louise Troh. Monday marks the 21st day since her last contact with Duncan, who was the first person to die of the disease in the United States.

"We are so happy this is coming to an end, and we are so grateful that none of us has shown any sign of illness," Troh said in a statement Sunday. "We have lost so much, but we have our lives and we have our faith in God, which always gives us hope."

Texas nurses Nina Pham and Amber Vinson, who helped care for Duncan, remain hospitalized as they battle the virus. Pham is in stable condition at a National Institutes of Health facility in Bethesda, Maryland, according to Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases. Vinson is at Emory University Hospital in Atlanta. Her family has not given permission to make her condition public.

While there are signs of hope in the United States and at least one more country in West Africa -- Nigeria was declared Ebola-free Monday, following an announcement that Senegal is now rid of the virus -- Ebola is still spreading rapidly in Guinea, Liberia and Sierra Leone, health officials report.

More than 4,500 people have died from the virus in West Africa, according to the World Health Organization, which said the region is still suffering from "widespread and intense transmission" because patients don't have access to adequate health care. There's a social crisis, too. Orphans of victims are often abandoned, their relatives terrified of taking them in.

Here's the latest about the virus from around the world:

Ebola czar begins work this week

Ron Klain, the former chief of staff to two vice U.S. presidents who has been tapped as the Obama administration's "Ebola czar," will begin his new duties Wednesday, White House press secretary Josh Earnest said.

Klain is highly regarded at the White House as a good manager with excellent relationships both in the administration and on Capitol Hill. His supervision of the allocation of funds in the stimulus -- at the time an incredible and complicated government undertaking -- is respected in Washington. He does not have any extensive background in health care -- something many Republicans seized on -- but the job is regarded as a managerial challenge.

"He's strong. He's very tough," said CNN political analyst David Gergen. "It's important in this job to be a coordinator; you have to knock heads together. He's tough enough to do that."

A former chief of staff to Vice President Joe Biden and also to former Vice President Al Gore, Klain is president of Case Holdings and general counsel of Revolution, an investment group. He has clerked for the U.S. Supreme Court and headed up Gore's effort during the 2000 Florida recount.

Nigeria: Ebola is gone

Nigeria was thrust in the Ebola spotlight in July after an infected air traveler introduced the virus to Lagos. The case spurred fears that the disease would spread across the city of 21 million and throughout Africa's most populous country.

In the end, Nigeria confirmed 19 Ebola cases, including seven deaths.

The World Health Organization said an aggressive government response and effective contact tracing helped keep the virus in check.

"This is a spectacular success story that shows that Ebola can be contained," WHO said Monday.

"Such a story can help the many other developing countries that are deeply worried by the prospect of an imported Ebola case," it said. "Many wealthy countries, with outstanding health systems, may have something to learn as well."

Nigerian health officials reached 100% of known contacts in Lagos and 99.8% at the second outbreak site in Port Harcourt, WHO said.

And unlike in Guinea, Liberia and Sierra Leone -- the combined epicenter of the outbreak -- all identified contacts in Nigeria were physically monitored every day for 21 days, the agency said.

The few who tried to escape the monitoring system were tracked down and returned to finish their required monitoring period.

For WHO to declare an Ebola outbreak over, a country must pass 42 days with active surveillance in place, supported by good diagnostic capacity, and with no new cases detected, the agency said.

The 42-day period is also twice the maximum incubation period for Ebola.

Doctors Without Borders: Worker has recovered

A worker with the international organization Doctors Without Borders announced Monday that a staffer in Norway who contracted Ebola in West Africa and was treated in Europe is now free of the virus.

He has been discharged from care, according to Doctors Without Borders' London office.

The organization is not releasing any more information, including the staffer's name or plans, citing patient confidentiality.

Spain: Nurse's aide free of Ebola

Teresa Romero Ramos, who had contracted Ebola after caring for a patient with the deadly disease, is now free of the virus, Spain's Special Ebola Committee said Sunday.

A third test came back negative after two earlier tests showed the levels of Ebola in her system were almost nil. Romero has recovered enough to produce antibodies, virus expert Luis Enjuanes told CNN.

But she'll stay in the hospital for days, possibly a few weeks, to recover, Enjuanes said.

U.N. worker dies

An employee with the United Nations' entity for gender equality, U.N. Women, died over the weekend from Ebola, spokesman Stephane Dujarric said Monday. The staffer worked for the organization in Sierra Leone, and the worker's spouse is receiving treatment for the virus, according to Dujarric.

CNN's Al Goodman, Joshua Berlinger, Eliott C. McLaughlin and Bharati Naik contributed to this report.

@highlight

U.N. staffer who worked in Sierra Leone has died of Ebola; spouse being treated

@highlight

Doctors Without Borders staffer treated for Ebola is free of virus, group says

@highlight

Quarantine period over for 43 of 48 people, Dallas County judge says

@highlight

WHO: Nigeria is free of Ebola after 19 cases and seven deaths