(CNN) -- "Our Nixon" is mostly comprised of Super 8 home movies made by three of President Nixon's closest aides: H.R. "Bob" Haldeman, John Ehrlichman, and Dwight Chapin.

A lot of people have asked us how we got our hands on their home movies, and whether we had to license them. The short answer is that we got the films from the Nixon Library (which is part of the National Archives and Records Administration), and we didn't have to license them because they are in the public domain.

But how they ended up in the Nixon Library, why they are in the public domain, and what happened when we found out there were multiple copies of the whole collection (of widely varying quality!) is an interesting story.

Haldeman, Ehrlichman and Chapin were enthusiastic amateur cinematographers. Between 1969 and 1973, they filmed more than 500 reels of Super 8. And the United States Navy Photographic Center fueled their enthusiasm by providing them with free film and processing, as well as copies of their films to share with each other. Dwight Chapin also told us that they had planned to donate copies to the official presidential records.

Four lessons from Nixon's failed presidency

But the home movies took an unexpected path during the Watergate investigation, when the FBI confiscated the contents of Ehrlichman's office, including a box of a duplicate set (copies) of the home movies. Thus, the home movies were among the evidence given to the Watergate special prosecutor. (We are speculating, but we're going to go out a limb here and say they were not of any use at all in that investigation.)

When Nixon resigned on August 9, 1974, he arranged to have his presidential papers sent to his home in San Clemente, California, assuming that they were his personal property. His assumption was warranted, as all his predecessors had taken possession of their papers after their terms of office.

Attorney General William Saxbe agreed that the papers belonged to Nixon, but also concluded that the government had to respond to subpoenas covering the papers. Accordingly, Nixon agreed to deposit his papers with the administrator of General Services, with the understanding that some of the papers would eventually be donated to the United States. Under the agreement, Nixon retained title to his papers and could prohibit their use.

The inner demons that drove Nixon

Congress was concerned that Nixon would destroy papers relevant to the Watergate investigation, so it passed the Presidential Records and Materials Preservation Act of 1974 ("PRMPA"), 44 U.S.C. Â§ 2111 (1988).

The PRMPA authorized the administrator of General Services to take possession of and provide access to Nixon's presidential papers, including the secret White House tapes. Regulations issued under the PRMPA allowed interested parties to object to the release of particular documents, and authorized the administrator to return purely personal materials to Nixon.

Nixon immediately challenged the constitutionality of the PRMPA. While the Supreme Court ultimately upheld the PRMPA, it did not determine whether Nixon was entitled to compensation for his papers. Nixon v. Adm'r of Gen. Services, 433 U.S. 425 (1977). In 1980, Nixon filed an action for just compensation under the Takings Clause, which he eventually won, after more than a decade of litigation.Nixon v. U.S., 978 F.2d 1269 (1992). In 2000, the Justice Department agreed to pay the Nixon estate $18 million.

In response to the litigation over Nixon's presidential papers, Congress passed the Presidential Records Act of 1978 ("PRA"), 44 U.S.C. Â§Â§ 2201-07, which took effect on January 20, 1980. The PRA provides that Presidential and Vice-Presidential records are the property of the United States, and establishes procedures for their preservation, including eventual public access.

As a result of the PRMPA, Nixon's presidential papers became the property of the United States and were deposited in the National Archives. The Nixon collection included 44 million documents, 3,700 hours of audiotapes, thousands of photographs, and -- getting back around to where we come into this -- the box of Super 8 films that came from Ehrlichman's office!

Under the PRMPA regulations, purely personal material was removed from the home movies and returned to Haldeman, Ehrlichman and Chapin. Everything that remained was optically printed to 16mm color negative film for preservation.

Serendipitously, we happened to know the guy (Bill Brand) who had been contracted to make these preservation prints. So, that's how we heard about the home movies. Just hearing about them from Bill was enough to make us think there was a very special film in there, just waiting for someone to make it.

We paid for the National Archives to make standard definition video transfers of the preservation negative, and we began editing "Our Nixon" with these. They were pretty low resolution, being copies of copies, but we decided we could live with the quality since the content was so astonishing.

But about a year into our edit, we learned that the Haldeman family had donated another set of copies of the Super 8 films. Consulting with Nixon Library archivist Ryan Pettigrew, we discovered that this collection contained originals rather than copies.

The difference in image quality, detail and resolution was stunning! We had actually already locked picture with the lower-quality telecines, but we gulped hard and decided it was worth it, both in terms of money spent and additional work in post-production, to make a whole new set of scans so that "Our Nixon" would look as good as it could possibly be.

Since at the time the Nixon Library did not have a budget allocated to apply their standard 16mm inter-negative preservation technique to this collection, and since we desperately wanted to use it in our film, we proposed to pay for archival-quality digital scans. We hired Jeff Kreines, inventor of the Kinetta film scanner, to travel to the Nixon Library and make the scans.

He scanned every frame of the entire collection at a resolution much higher than HD video, and delivered them to us as digital files. This suited both our needs as filmmakers and the Nixon Library's interest in experimenting with an affordable method of digital film preservation.

Of course, it also meant we had to manually replace every frame of our film with the new scans -- a saga unto itself -- but it was worth it!

@highlight

Three of Nixon's aides documented their experiences with home movie cameras

@highlight

Between 1969 and 1973, they filmed more than 500 reels of Super 8

@highlight

Footage seized by the FBI during Watergate is presented in "Our Nixon," along with interviews

@highlight

Here, the film's producers explain how the home movies ended up in the public domain