(CNN) -- Why do we watch?

Bob Greene says athletes like Lebron James show us the difference between ordinary effort and excellence.

The question applies not just to Sunday's NBA All-Star Game, although that is the immediate case in point. The outcome of the game is not important -- few people remember who wins the All-Star Game from year to year.

The players, while attempting to win, do it with barely concealed smiles on their faces. All-Star weekend is mostly a class reunion for basketball's elite.

But all the games, in all the seasons, in all the big-time sports leagues -- what is the real reason we keep on watching?

You might think that we'd finally grow weary of caring, with headlines about Alex Rodriguez and Barry Bonds, with the sports pages often reading like the business pages (contract disputes and stadium bond-issue negotiations and salary arbitration), with police-blotter details sometimes pushing aside the box scores.

Why do we watch?

The answer may be found in a single sentence written by a man who died at the age of 76 in this still-new year. John Updike, his literary brilliance aside, was prolific almost beyond belief -- he wrote more than 50 books, and hundreds upon hundreds of essays, short stories, articles, poems and works of criticism. All those careful words, year after year, decade after decade.

But of all the sentences Updike ever wrote, there is one that I have long encouraged people to carry around with them -- if not literally tucked into their wallets, then somewhere in their heads and in their hearts.

In that sentence of Updike's lies the secret to a lot of things -- including the secret that answers: Why do we watch?

The sentence appeared in Updike's 1960 nonfiction piece about Ted Williams's last game for the Boston Red Sox. That piece is famous for how Updike explained Williams's refusal to come out of the dugout and acknowledge the cheering, crying fans after his home run in his final at-bat: "Gods do not answer letters."

But it is another sentence in the story that explains everything -- not just about sports, but about the lives the rest of us can lead.

Referring to Ted Williams, Updike wrote:

"For me, Williams is the classic ballplayer of the game on a hot August weekday, before a small crowd, when the only thing at stake is the tissue-thin difference between a thing done well and a thing done ill."

There it is, right there. That tissue-thin difference, when you don't necessarily know anyone is watching -- there is the answer. We all face the choice in our lives every day: to make the extra effort or not, to stay at the desk for the extra fifteen minutes or to go home, to revise the project one more time before handing it in or to settle for something acceptable, if not quite excellent.

On fields of play -- baseball diamonds, football fields, a basketball court like the one on which Sunday's All-Star Game will be held -- the tissue-thin difference is there for the world to see. The lights are dazzlingly bright; the television cameras carry the close-ups around the globe.

If a player is dogging it, we can tell; if a player is jogging instead of sprinting, it's self-evident; if a player's mind is already at the party that will be held after the final buzzer, we know.

Yet once in a while -- we can see it in a player's eyes -- we are rewarded. Once in a while, sometimes when we are least expecting to witness it, it's there: a tiny move, an all-but-imperceptible lunge, an additional thrust, a reach beyond that which should by all reason be reachable.

It was true during small and glorious moments in the days when Bob Cousy and Elgin Baylor were on the basketball court; it is true during small and glorious moments today, when Kobe Bryant and LeBron James are on the court.

Updike's tissue-thin difference. A thing done well, when the player could have gotten away with a thing done ill.

Are the rest of us the same as the players on the court? In most ways, no. We lack their athletic skill, their physical grace, their monetary riches. They hear cheers every working night; we toil in silence.

And yet, the one way in which we can be the same, or at least strive to, is in that pursuit of the tissue-thin difference. The thing that makes the best of them different is the thing that offers us, too, the potential to earn that difference -- the effort beyond mere effort, the desire beyond standard-issue desire, the pride so strong that it becomes the definition of pride.

Why do we watch?

We watch for those moments. They may be fleeting; they may come and go so quickly we're not even certain, for an instant, that we actually saw them.

But they're real, and they can be ours. We wait for them.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: What explains why Americans watch sports so intently?

@highlight

He says professional athletes depress us with steroid and scandal stories

@highlight

Greene: We watch for the greatness the greatest athletes can achieve

@highlight

He says it reflects the top-flight effort everyone can strive to contribute