For much of the past decade, Iran's nuclear weapons development program has been one of the top national security concerns for the United States. Even as we fought wars in Iraq and Afghanistan and hunted down al Qaeda's leaders, American intelligence officers, military and top diplomats have been working round the clock to prevent Iran from developing the bomb.

An Iran armed with nuclear weapons, capable of threatening Israel and other regional states, would touch off a nuclear arms race in the world's most volatile region. It would be an unmitigated disaster.  We must make all efforts to prevent this.

For this reason, I have pressed for ever-tightening sanctions to isolate Iran from the global economy and have supported a policy that leaves all options on the table, including military force. The stakes are simply too high to risk any miscalculation of our resolve by Iran's leaders.

In pushing for ever more punitive sanctions, we held out the hope that by increasing the economic pressure enough, we might be able to force Iran to give up its nuclear weapons ambition and rejoin the community of nations.  Now, we are at a moment in the standoff with Tehran that will test that assumption.

Opinion: Why Israel, Gulf states are wary of Iran nuclear talks

In repeated statements since his election as Iran's new president in June, President Hassan Rouhani expressed interest in exploring a negotiated end to the sanctions in exchange for walking back its nuclear program and a verifiable inspections to ensure compliance. The just-concluded Geneva meeting, though unsuccessful in achieving a breakthrough on an interim deal, reportedly came close. The Iranians and the P5+1 group will be reconvening there this week for a second round.

In the meantime, there have been calls for the Senate to continue work on a new round of sanctions that was passed by the House with my support earlier this year.  Advocates of this approach say that sanctions brought us to this point and passage of a new round of sanctions during the negotiations will improve the likelihood of success at the bargaining table.

I disagree. President Barack Obama and U.S. Secretary of State John Kerry have asked for more time to test Iran's willingness to enter into a tough and verifiable process of ending its nuclear weapons program, and I think we should give it to them.

The sanctions have succeeded in forcing Iran to the table, and a further round right now -- when it has the potential to derail the negotiations -- is unnecessary.  We will know soon enough whether the Iranian regime is serious about a new direction in its nuclear program and its relationship with the West.

If it is not, there will be ample opportunity to tighten the stranglehold on Iran's economy, and further sanctions will have my full support.

US-Israel rift over Iran nukes now in the open

Israeli Prime Minister Benjamin Netanyahu has raised the concern that any relaxation of sanctions in an interim deal risks unraveling the whole sanctions regime. This is not an illusory concern, and for this reason, any partial lifting of the freeze on Iranian assets must be quickly reversible if the Iranians balk on a final deal.

But the absence of an interim deal is also problematic if it means another six months of Iranian enrichment. The Iranians must be made to understand that if they walk away or cheat, the sanctions will be tightened to the point of strangulation -- and the international community must be prepared to make good on that threat.

I have no illusions about the character of the Iranian regime, nor do I trust it.  I do not believe that we can look into Rouhani's eyes and see the truth, let alone his soul.

Even if Rouhani was serious about his intentions, there is no guarantee that Iran's Supreme Leader, Ayatollah Ali Khamenei, would bless any agreement with the international community that forces Iran to verifiably foreswear development of the bomb. I share the concerns that have been expressed by others here, in Israel and in the Gulf states.

Ultimately, this is not about trust.  It's not about making concessions to Iran or rewarding the mullahs for thwarting the will of the international community for many years.

It is about seizing the opportunity to see whether we can end Iran's nuclear weapons program without resorting to military action.  And if we cannot, no doubt will remain that the United States made every effort to resolve this grave threat diplomatically.

No negotiation is without risk, and the Iranians' track record is cause for great skepticism. The administration must not accept a bad deal -- and any interim agreement that provides sanctions relief must be easily and quickly reversible.  But neither should the administration be prevented from testing whether it can obtain a good deal that advances our security interests and those of our allies.

Yitzhak Rabin, the former Israeli prime minister who signed the Oslo Accords two decades ago, once noted that "You make peace with your enemies -- not the Queen of Holland."

I agree and urge us to give diplomacy a chance.

@highlight

Rep. Adam Schiff: Iran's nuclear program has been a top national security concern for 10 years

@highlight

Schiff:  Escalating sanctions were meant to force Iran into a deal, and Iran is at the table

@highlight

He says another round of sanctions could derail negotiations and is unnecessary

@highlight

Schiff: We must seize this chance; if it fails, there would be no doubt we tried diplomatically