(Budget Travel) -- If you book hotels online, it's time to face facts: Your favorite travel website probably isn't cutting it. In the past decade, some of the best-known travel sites have lost their fastball.

They're not as smart and nimble as the new kids on the Web that now have tools for smarter comparison shopping, searches for smaller B&Bs and niche neighborhoods, and access to blocks of rooms reserved for its members.

Before you try these, one word of caution: No single site is the be-all-and-end-of-all of hotel booking. We recommend using at least two search tools, such as your current favorite online travel agency and one of the hotel shopping engines we've named here, to max out your chances of nabbing the perfect room or upgrade. Happy shopping!

BackBid

Best for: Travelers who like the idea of hotel owners competing for their business.

What it does: Hoteliers often hold back a handful of rooms to sell to last-minute guests, but they don't always fill them. You can book one of these rooms as they're released by logging on to BackBid, which enables hotels to sell rooms to travelers who already have confirmed bookings at rival properties.

How it works: Book a refundable reservation at a hotel through your favorite website, and then create a free account at BackBid. Forward the email with your confirmed hotel reservation to the site, and it will shoot your reservation details -- minus your credit card information -- to dozens of hotels at your destination.

BackBid will then share with you any counter-offers rival hotels may make, such as a comparable room at a lower rate.

DealBase

Best for: Travelers who want an independent source to vouch for the honesty of vacation package prices.

What it does: Many hotels tout packages that include perks, such as valet parking and a spa treatment, claiming that the package prices represent deep discounts over buying the components separately. DealBase vets each package for its true value.

How it works: Use DealBase to pick a hotel package at your destination, then click on the listing for a breakdown of the estimated costs of the package's components. (The site even publishes a list of the "worst" hotel deals.)

Budget Travel: 12 elevators you need to see to believe

HotelSweep

Best for: Travelers who prefer staying at independently owned properties.

What it does: Founded this year, HotelSweep lists more than 50,000 U.S. hotels, motels, B&Bs, and guesthouses, scraping listings off countless websites. (A British version, hotelsweep.co.uk, does the same thing for lodging in the United Kingdom.)

One of the perks of the site is that it lists mom-and-pop properties -- places that generally aim to attract budget-conscious travelers, but are too small to afford the costs of being listed with multinational travel agencies.

How it works: Punch your destination into HotelSweep's "direct hotel search" tool, and the site will fetch a quick-and-dirty list of properties, which you can sort by nightly rate or distance from a particular location. A Google Street View image of the property is provided, but it's up to you to take the next step and contact the managers and book a room.

If that is too much work, HotelSweep also has a "live price comparison" tool, which is a standard booking engine powered by HotelsCombined.com, an Australian rival to Kayak, though it doesn't include all of the mom-and-pop listings that turn up in the "direct hotel search" tool.

Hipmunk

Best for: Culture vultures and nightlife fans who want to stay in the buzziest neighborhoods.

What it does: Previously a metasearch site for airfare, Hipmunk last year added hotels to its repertoire. One of its signature tricks is to allow a traveler to name his or her favorite interest, such as nightlife, shopping, and museum-hopping, and the site will filter its listings to only display hotels in neighborhoods with an especially high number of relevant venues, such as bars, boutiques, and museums.

How it works: Run a search for a hotel like you would on any travel site, and Hipmunk retrieves real-time rates from booking sites, such as Orbitz, Getaroom, Hotels.com, HotelsCombined, and vacation rental platform Airbnb. Hipmunk also assigns an "ecstasy" rating to each hotel, based on an evaluation of the property's rates, amenities, and user reviews on TripAdvisor.

Budget Travel: 15 food etiquette rules that might surprise you

Momondo

Best for: Travelers booking hotels overseas who have been disappointed by the selection on U.S.-based travel agencies.

What it does: In 2010, Momondo, moved beyond being a flight metasearch engine and now lists hotels from major overseas hotel booking sites, such as Escapio and Hotelopia, which tend to be overlooked by U.S.-based travel sites like Expedia. It also includes an option to search for hostels.

How it works: Like Kayak, you enter your search query, and the site draws up a list of rates from various online travel agencies and hotel sites.

Room 77

Best for: Travelers whose priority is a room with the most amenities.

What it does: Room 77 is unique in researching room-by-room amenities and floor plans for hundreds of three- to five-star hotels in about 30 North American, European, and Asian cities. It then facilitates booking a particular type of room.

How it works: Room 77 works like a typical hotel search engine, only it goes into much greater detail about the amenities available in individual rooms at hotels, such as what the view might be from any given window.

Guests who book directly through Room 77 can take advantage of its free "room concierge" feature, in which it contacts hotel managers on a guest's behalf to request a room matching his or her preferences, such as "connecting rooms" and "distance from elevators." There are no guarantees, but the site claims that its customers have a high satisfaction rate with its concierge service.

Budget Travel: 21 girl trips you absolutely love

Room Key

Best for: Travelers who prefer the consistency and quality control of U.S.-owned chain hotels, and don't want to be distracted with information about other places.

What it does: Seven hotel chains -- Best Western, Choice Hotels (Comfort Inn, Quality Inn), Hilton, Hyatt, InterContinental (Holiday Inn, Crowne Plaza, Hotel Indigo), Marriott, and Wyndham (Howard Johnson, Ramada, Days Inn, Super 8) -- are listing their rooms together in a new search engine.

Unlike major online travel agencies like Expedia and Priceline, Room Key limits its selection to chains, eliminating most of the uncertainty about what kind of hotel you might end up with.

How it works: Punch in your destination and travel dates and the site brings up a list of relevant hotels, which you can winnow down using the standard tools, such as distance, price, and star rating.

When you decide to book, you're sent directly to a hotel owned website, where you'll need to enter your credit card number to book the room. Booking directly with the hotel cuts out the middleman and earns you customer loyalty points.

YourRoomKey

Best for: Travelers looking mostly for American business-type hotels.

What it does: Finds the cheapest rooms at major-brand hotels located at America's largest airports and financial districts -- and nearly nowhere else.

How it works: This consolidator has access to rooms at a volume discount with major brands like Hyatt and Marriott at most major U.S. airports (especially Chicago, Denver, Los Angeles, Philadelphia, San Francisco, and Washington, D.C.).

By only allowing members to see deals, the site is able to offer rates much lower than major chains and websites with lowest-price guarantees offered to the general public.

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2011 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

Use DealBase to pick a hotel package and to get a breakdown of the estimated costs

@highlight

HotelSweep is best for travelers who prefer staying at independently owned properties

@highlight

Room 77 works like a typical search engine, only it goes into greater detail on hotel amenities