In 1990, a 25-year-old researcher for Amnesty International, stuck on a train stopped on the tracks between London and Manchester, stared out the window for hours. To those around her, no doubt rustling newspapers and magazines, busily rifling through work, the young woman no doubt appeared to be little more than a space cadet, wasting her time, zoning out.

But that woman came to be known as JK Rowling. And in those idle hours daydreaming out the train window, she has said that the entire plot of the magical Harry Potter series simply "fell into" her head.

Mark Twain, during an enormously productive summer of writing in 1874, spent entire days daydreaming in the shade of Quarry Farm in New York, letting his mind wander, thinking about everything and nothing at all, and, in the end, publishing "The Adventures of Tom Sawyer."

Such creative breakthroughs in leisurely moments are hardly unique to literature. Physicist Richard Feynman idly watched students in the cafeteria goof off by spinning plates. For the fun of it, he began to make calculations of the wobbles. That "piddling around," as he called it, led to developing the Feynman diagrams to explain quantum electrodynamics, which resulted in a Nobel Prize.

Legend has it not only that Archimedes had his "eureka!" moment about water displacement while relaxing in the tub, but that Einstein worked out the Theory of Relativity while tootling around on his bicycle.

Though Protestant work ethic-driven Americans have tended to worry about the devil holding sway in idle time, it turns out idle time is crucial for creativity, innovation and breakthrough thinking. And now we know why. Neuroscience is finding that when we are idle, our brains are most active.

It all has to do with something called the brain's default mode network, explains Andrew Smart, a human factors research scientist and author of the new book, "Autopilot, the Art & Science of Doing Nothing."

The default mode network is like a series of airport hubs in different and typically unconnected parts of the brain. And that's why it's so crucial. When the brain flips into idle mode, this network subconsciously puts together stray thoughts, makes seemingly random connections and enables us to see an old problem in an entirely new light.

Using brain scans, psychologists John Kounios and Mark Beeman have found that just before that moment of insight, the brain turns inward, what they call a "brain blink," and lights up an area believed to be linked to our ability to understand the poetry of metaphors. A positive mood and taking time to relax, they found, were critical precursors to these a-ha! moments.

That's not to say that being idle all the time is the answer. Sir Isaac Newton was steeped in the study of physical science when he sat in his garden in a "contemplative mood," idly sipping tea after dinner one evening, noticed an apple fall straight to the ground, and came up with the Law of Gravity.

"To be most creative, you need this oscillation between deep study with focused attention and daydreaming, which is why you may have your great ideas when you're in the shower," Smart told me. "They can come into your consciousness when you're not busy."

Smart himself typically takes long, leisurely walks during the workday and carries a notebook with him to capture any interesting thoughts or ideas that his default mode network may burble to the surface.

Most employers frown on such behavior. But if they're smart, they wouldn't.

One recent study of the pharmaceutical industry by Bernard Munos of the InnoThink Center for Research in Biomedical Innovation and William Chin, former dean of research at Harvard Medical School, for example, found that, despite massive research and development budgets, the number of potential breakthrough drugs introduced in the past decade has dropped roughly in half. Why? Because companies became obsessed with cautious efficiency, they argue, rather than in often risky, dreamy innovation.

"Companies pressure workers to be in the office, to work all the time. But at the same time, they're really interested in innovation, which comes from letting go," Smart said. "But you can't have it both ways."

Just think. The Wright Brothers closed up their busy bicycle shop in Ohio, decamped to the beach in North Carolina and in this playful, leisure time, invented the airplane. Bill Gates escapes to a cabin in the woods for "think weeks."

Google, Facebook and LinkedIn give employees some version of "20 percent time" -- affectionately known as "employee goof off time." And giving workers time to daydream, experiment and follow a passion without worrying about failure has resulted in some of their most innovative and successful products, such as Gmail and AdSense, an advertising program that Wired reports now produces about a quarter of Google's revenue

Hard as it is to believe in our modern, work-worshipping culture, idleness, leisure time, daydreaming and time away from the hurly-burly, the drudgery of routine and the endless nose to the grindstone, is not only essential for innovation, it is, in fact, what has created civilization.

Art, literature, inventions, innovation, philosophy -- one could argue nearly all that is transcendent about our flawed human species -- has come as a result of a delicate balance between the uninterrupted time in leisure to daydream, to set the default mode network free, and the concentrated time at work to make those flights of whim and fancy something real.

Philosopher Bertrand Russell, in his famous 1932 essay, "In Praise of Idleness," advocated a four-hour workday and more leisure time for all. Daydreaming, imaging the possibility of a better world in leisure time, he argued, not only cultivated arts, science and culture, but liberated the oppressed and birthed new, democratic systems of governance. Without leisure, he wrote, "mankind would never have emerged from barbarism."

It's a crucial truth that is increasingly getting lost as our work hours climb. Workers in the U.S. put in among the most extreme hours of any advanced economy on the planet -- as economic uncertainty and fear of the future keep us firmly planted at our desks, the better to show the boss what good workers we are in advance of the next round of downsizing.

Our antiquated laws give no overwork protection to knowledge workers, and as advances in technology, as much as they are designed to free us, keep us instead tethered to the office, checking texts and e-mails, returning work calls everywhere and all the time, leaving us feeling perpetually "on call" and never quite able to get away from it all.

Work, and this insidious work creep says leisure scholar Ben Hunnicutt, is now how Americans tend to answer the existential questions of who we are and how we find meaning in life. And in so doing, we have created a world that has no time for something as seemingly silly and unproductive as daydreaming and leisure time.

And that's where we're wrong.

Just imagine, what if, instead of staring out the window, that Amnesty International researcher stuck on a train dove into a thick ream of cases to catch up on? Or, if it were today, whipped out her smartphone and tackled the backlog of e-mails in her inbox, diverting herself occasionally with a game of Candy Crush?

Or would we all have been too busy to stop and notice just how much smaller the world is without magic?

@highlight

Brigid Schulte: Take breaks from your work and use the time to daydream

@highlight

From Newton to Twain to Rowling, creative thinkers have productively used idleness

@highlight

Neuroscience finds brains are especially active when we are idle, she says