(CNN) -- "This here ain't no protest song or anything like that, cause I don't write no protest songs."

-- Bob Dylan, Gerde's Folk City, New York, April 1962

Bob Dylan and Joan Baez perform at a civil rights rally in Washington, D.C. in 1963

It was in typically oblique fashion that Dylan launched "Blowin' in the Wind" on the world. A song takes on a life of its own once it has left a musician's private domain and even if he didn't see it as a protest song, it has certainly been interpreted as one by its listeners. It has become one of the most recognized political songs of popular culture and its release on the 1963 album "The Freewheelin' Bob Dylan" arguably marks the pinnacle of the protest song as a cultural force.

Today Dylan really doesn't write protest songs and hardly, it would seem, does anyone else. But is this because there is a dearth of politically-motivated singers, or has the public simply lost its appetite for protest?

"There was a particular genre of songwriting which Dylan represented in the sixties and seventies which doesn't continue in quite the same way," says Professor John Street, head of Politics at the University of East Anglia and author of "Politics and Culture." "If the protest song is defined by the lone voice with a guitar, then it probably has declined, even though people like Billy Bragg and so forth strive to keep it alive."

In his brief sojourn as leader of the counterculture's political awakening, Dylan was following in a tradition for protest in folk music that had existed for centuries. Folk practitioners such as Woody Guthrie and Pete Seeger used their music in the 1940s and 1950s to support the burgeoning labor movement and to speak out against Senator Joseph McCarthy's purge against "Un-American" behavior.

But the roots of protest music can be traced back to as early as the 14th century in England where the "Cutty Wren" was taken up as the rallying call for the Peasants' Revolt of 1381. The protest song crossed the Atlantic and many were written during the American War of Independence.

Nor did the protest song die when Dylan eschewed overtly political song-writing. When Dylan stepped across the electric fence, the protest song made the leap with him. Suddenly, in a world where the counter culture was brushing the brim of mainstream culture, even rock n' roll, which hitherto had limited itself to the subjects of love, sex, cars and dancing, was overflowing with political messages; Jimi Hendrix played a version of the "Star-Spangled Banner" which was interpreted by many as an anti-Vietnam statement. Crosby, Stills, Nash and Young wrote "Ohio" after four students were killed by members of the Ohio National Guard at an anti-war demonstration at Kent State University.

In soul music, artists such as James Brown with "Say It Loud - I'm Black and I'm Proud" and Marvin Gaye with his album "What's Going On" became spokespersons for the civil rights movement of the late 1960s. This carried over into the 1980s with hip hop acts such as Public Enemy protesting against the endemic racism and poverty faced by the black community in America.

Meanwhile in the UK, the punk movement took on the mantle of political protest from its folk and rock forebears, with groups such as The Clash criticizing racial disharmony in British society.

But as the new century approached it seems as though the appetite for using music as a tool for protest diminished.

Parallels can be drawn between the political climate of the 1960s and today: a fear of communism has been supplanted by a fear of terrorism and even George W. Bush himself has pointed out similarities between the Vietnam War and the conflict in Iraq. It would seem like a ripe time for the protest song to make a comeback.

While the Iraq war has seen some of the 1960s' stalwarts re-emerge, with Neil Young calling for George W Bush to be impeached and Bruce Springsteen releasing an album of thirteen covers of protest songs by Pete Seeger, none of yesterday's stars wield the same influence with today's young as they did when they were at their peek.

Some mainstream pop stars have made stabs at political songs. In 2006 Pink released the single "Dear Mr President," an open letter to George W. Bush criticizing some of his policies, on her album "I'm Not Dead". But the song was only released as a single in Europe and Australia, leaving her open to criticism that releasing an anti-US foreign policy song in Europe, where opinion had already largely turned against the wars in Afghanistan and Iraq, was virtually riskless.

But it seems musicians are still flexing their muscles in the political sphere, only the protest comes dressed in different clothes, with a new hard-nosed approach that matches the nous of politicians. Rock stars are no longer part of the counter culture. They are immensely wealthy members of the establishment, with the weight of large corporations behind them, and they are using their insider influence to lobby on behalf of their cause.

The focus has shifted to fighting global poverty and climate change, with musical events such as Live 8 and Live Earth, and while they may not be singing songs of protest, pop stars are using their presence at these global events to push for change.

"The idea that we should listen to people like Bono and Geldof on Africa is in a part a product of the thought that musicians were not merely crafters of nice tunes but were actually serious commentators on our world," says Street.

"The kind of people who might have sat on the outside looking in are now so establishment, they're acting as pressure groups within the system."

In fact, Geldof has pointedly lambasted the protest song, claiming it has little or no power to effect change. He told Rolling Stone magazine that the protest rock served out by the Clash, who headlined the 1978 Rock Against Racism festival at Victoria Park in London was "a laughable farce" and that "the rhetoric of pop revolution was too easy." It was this same line of thinking that led him to dismiss the idea that African bands should play at Live8 because they were African: they should only appear if they were popular, he argued, as it was the ability to attract large crowds who would rally behind the push to cancel world debt that would persuade public opinion wary G8 leaders to bend from their course.

While the Live 8 concerts were met with cynicism by some - "for many of the people listed in this line-up... it's a chance to get on world-wide television, sell a load of albums and feel very pleased with yourself at the end of the day," said Janet Street-Porter in the UK's Independent newspaper - they succeeded in bringing on board the world's media and in exerting pressure which led to the cancelling of debt for the world's poorest countries and $50 billion in aid promised.

But according to a report by DATA (Debt, AIDS, Trade, Africa), the G8 have since "shuffled at half-pace on aid, and fell backwards on trade". The legacy of Live8 will determine which relationship between music and politics is the most effective. E-mail to a friend

@highlight

Protest songs date back to 14th-century Britain and the Peasants' Revolt

@highlight

Bob Dylan represented the protest song culture in the 60s and 70s

@highlight

Marvin Gaye carried protest into soul; Public Enemy took it to hip-hop

@highlight

Bob Geldof claims the protest song no longer has power to effect change