(CNN) -- If body language is a good gauge of political standing, Li Keqiang is looking very much like China's premier-in-waiting.

Last Monday, Vice Premier Li delivered the keynote speech at the Boao Forum, a meeting of business and political leaders held yearly in southern Hainan province.

Looking relaxed and confident, he ad-libbed briefly, gesticulating with both hands before he read his prepared speech.

"China's reform has entered a crucial juncture", Li said, stressing that "reform and innovation" are the driving force to promote economic and social development.

Li said reforms will focus on taxation, finance, prices and income distribution.

No big pronouncements, no off-the-cuff remarks, no mistakes.

Barring unforeseen political reversals, Li (whose name is pronounced Lee Kuh-cheeyahng) is expected to become the Chinese premier in March next year, succeeding Wen Jiabao.

As the current executive vice premier, Li already oversees important portfolios, such macro economic planning, health care, energy and housing.

He is already making an impact.

Unlike his predecessors, Li's speaks fairly good English.

When he visited Hong Kong University last year, he delivered part of his speech in English -- a gesture that prompted debate in the mainland.

Video clips of his speech went viral on social media. Some netizens thought it was "inappropriate" that he spoke in English. Others praised him for "open-mindedness" and for breaking away from the stoic style of Chinese leaders.

How far Li will break away from old conventions, experts say, remains uncertain.

Li is considered a carbon copy of President Hu Jintao, his mentor and benefactor, because of similarities in background, priorities and style.

The son of a minor county official in Anhui, a poor province where Hu was also born, Li was a teenager when the decade-long Cultural Revolution interrupted his schooling.

As an educated youth who need "reeducation through labor", he worked on the farm for four years. There, at age 21, he joined the Communist Party.

In early 1978, less than two years after Chairman Mao died, he entered Peking University to study law -- a discipline which in earlier years was reviled as "bourgeois."

Peking University in the late 1970s was a hub of intellectual and political ferment. I saw that up close when I studied there from 1977-81.

China then was at the end of the Maoist era and the beginning of Deng Xiaoping's reform. Inside and outside classrooms, students and faculty debated big topics like "Where to, China?"

"Like everyone in our generation Li Keqiang was keen for new ideas," recalls Yang Baihui, an international politics major. "He had the social experience from the Cultural Revolution, so he was also pragmatic."

Li collaborated with Yang and another student in translating "The Due Process of Law," a book on constitutional law by the noted British judge Lord Alfred Denning.

"He was smart, intelligent and hard-working," recalls Jingzhou Tao, a former law-school classmate and now a partner at Dechert law firm. "He was already a student leader at that time."

In 1980, Peking University held competitive elections for "people's representatives" to the local legislature.

Li did not stand for elections -- he happened to have an off-campus internship -- but as chairman of the student federation he spent time with politically active students like Wang Juntao, who campaigned but failed to get a seat.

"He had the typical traits of Peking University students then -- idealistic and independent, at times very out-spoken about certain issues," recalled Wang in a recent essay.

After graduation, Li decided to work for the Communist Youth League (CYL), a training ground for party and government officials.

"Since then, we've stepped on different paths and our paths rarely crossed," wrote Wang. "In the 1980s, as the CYL cadre in charge of student movement he handled several incidents, still in the old style like his college days -- control the scale of protests but never resort to political prosecution."

In 1989, however, their paths went in different directions.

Li rose through the ranks of CYL while completing a master's degree in law and then an economics doctorate under Li Yining, the guru of market reforms in China.

Wang was jailed as a "black hand" for his role in the student protests that culminated in the bloody Tiananmen crackdown.

Wang has been in exile in the United States since 1994 and is now co-chair of the China Democratic Party, which advocates radical change in China.

At CYL, Li's career intersected with Hu, who headed CYL for many years.

Under Hu's patronage, Li has been on a fast track to the top.

In 1998, Li at 43 became Henan's provincial governor, the youngest in China.

His brief stint there led to criticisms related to an outbreak of AIDS when the government-run blood banks infected tens of thousands of blood-sellers, some with HIV.

Most of the infections actually happened before Li arrived in Henan, but critics accused him of tolerating the cover-up of the scandal.

Li also survived three major fire accidents in Henan.

In 2004, he was appointed party chief of Liaoning, a rust-belt province in northeast China, and was tasked with reviving its ailing state-owned enterprises.

As China's executive vice premier, Li remains a stalwart supporter of Hu's "seek a harmonious society" dictum.

He advocates social equity and is skeptical of bureaucracy.

A confidential U.S, embassy memo published on the WikiLeaks website describes Li telling the then-U.S. ambassador in Beijing that local economic data are "for reference only."

He acknowledged official corruption as the biggest source of public anger and thought the effective solution was to create transparent rules and adequate supervision.

Like his mentor Hu, Li has risen to his high position more by avoiding big mistakes than through bold ideas and major accomplishments.

Still, in substance and in style, expectations are high.

Chinese microblogger "Yudafengxue" tweeted: "Li is a better speaker than many Chinese top leaders but still needs to work on his stage presentation and body language. It's part of China's national image!"

@highlight

Li is expected to become Chinese premier next March

@highlight

In a Hong Kong speech last year, he delivered part of it in English

@highlight

Whether he will break away from old conventions is not clear, FlorCruz writes

@highlight

Li hails from the same province -- Anhui -- as his mentor, Chinese President Hu