Washington (CNN)President Barack Obama -- who once famously declared "there is not a black America and a white America" -- is again feeling his way through a volatile debate over race that offers fresh evidence of the nation's enduring divisions.

The first African-American president is confronting the delicate issues of justice and discrimination after renewed violence this week in Ferguson, Missouri, sparked by a grand jury's decision not to indict a white police officer who shot and killed Michael Brown, a black youth, this summer. These issues refuse to fade for Obama, despite hopes that his election would lead to a post-racial era.

On Tuesday night in his hometown of Chicago, Obama tried to master a balancing act that has become all too familiar during his nearly six years in the White House, reflecting on the African-American experience while standing by the legal system. He offered comfort to those angered by the grand jury's decision while identifying with the horror of looting and burning businesses in suburban St. Louis.

Complete coverage of what's happening in Ferguson

"If any part of the American community doesn't feel welcomed or treated fairly, that's something that puts all of us at risk," Obama said.

But he added that "nothing of benefit results from destructive acts. For those who think that what happened in Ferguson is an excuse for violence, I do not have any sympathy for that."

It was not quite the rhetoric of the transcendent political figure who spoke eloquently about race during his first campaign, nor was it the impassioned president who reacted so personally in the aftermath of Florida teenager Trayvon's Martin's death. Instead, Obama pledged to lead a national conversation on race and address the deep rooted belief in many communities of color "that our laws are not always being enforced uniformly."

Obama: 'No sympathy' for violence in Ferguson

Obama's remarks reflect his reluctance to take sides or cast judgment on the grand jury's decision and an attempt to avoid adding to the racial turmoil. But they also show his struggle to talk about race in a way that connects with all Americans.

The President "is always on a teeter-totter of not really wanting to lean too far this direction, that direction," said Julian Bond, a longtime civil rights activist and chairman emeritus of the NAACP. "He doesn't want to be the black president. He wants to be the president, and that constrains him a great deal. I don't think he'll ever overcome that."

His approach to Ferguson stands in contrast to remarks last year after George Zimmerman was acquitted in the 2012 shooting death of the 17-year-old Martin. At the time, Obama recounted his own experiences as a black man in deeply personal terms.

"When Trayvon Martin was first shot, I said that this could have been my son," Obama said. "Another way of saying that is Trayvon Martin could have been me 35 years ago."

He continued: "There are very few African-American men who haven't had the experience of walking across the street and hearing the locks click on the doors of cars.  That happens to me -- at least before I was a senator."

He was more circumspect on Monday as the violence in Ferguson first heated up, saying the nation has made "enormous progress in race relations."

"I've witnessed that in my own life, and to deny that progress I think is to deny America's capacity for change," he said.

Obama has dealt gingerly with racial issues since he burst onto the national political scene in 2004 as a state senator from Illinois who delivered a galvanizing speech at that year's Democratic National Convention. His 2008 caucus win in the lily-white state of Iowa launched his path to the presidency. He would later speak with pride about his "commanding victories in states with some of the whitest populations in the country."

PHOTOS: Protests across the U.S.

But he had to confront the issue more directly later in 2008 amid a furious debate over the incendiary remarks of his then-pastor Jeremiah Wright. He responded with a speech in Philadelphia in which Obama said Wright's views denigrated the "greatness and goodness of our nation" and rightly offended "white and black alike."

Race would remain an unwelcome undercurrent throughout the campaign and after -- most notably when his aides had to confront claims by conservative conspiracy theorists that the president was not born in the U.S. That controversy only faded when he produced a document certifying his birth for reporters. (Conservatives and Tea Party activists refuted the idea that their vehement criticisms of the president had any racial grounding).

For five years after Obama's seminal speech on race in Philadelphia, he tried to avoid racial issues but stumbled over the controversial case of Harvard professor Henry Louis Gates, Jr. who was arrested in his own home in 2009.

Obama tackles immigration, Ferguson at hometown rally

Obama allowed Attorney General Eric Holder and other officials to push forward on issues like voting rights and housing that are important to the African American community.

But the Martin case seemed to set a new tone for the second term of his presidency, where he has spoken with more ease about race.

Obama was deeply affected by a private meeting he held last year with a group of young black boys about a mile from his home in Hyde Park, Chicago. He recalled that encounter earlier this year as he unveiled his "My Brother's Keeper" mentoring project at the White House.

"I could see myself in these young men," Obama said, admitting that he was lucky he made his youthful transgressions in forgiving, multi-cultural Hawaii and not in America's deprived inner cities.

At other times, Obama has used the civil rights movement to make a point about the capacity of political movements — even as his own change crusade shuddered to a halt.

"The arc of the moral universe may bend towards justice, but it doesn't bend on its own," he said, quoting Martin Luther King, a half century after the March on Washington last year.

But Obama has studiously avoided the debate over whether race is a factor in his sinking approval ratings. He also shies away from talking about whether race played a role in his party's struggles in the South this election season, as Louisiana Sen. Mary Landrieu, a Democrat, suggested during an interview about her own prospects for re-election this fall.

People who have seen him in private settings say the president speaks more frankly about race than he has in public. The President, insiders say, feels a responsibility to use his remaining time in office to secure his legacy on African-American issues and has thought deeply about his own unique place in history.

Rogers Smith, co-author of  "Still a House Divided," a study of racial politics in the Obama era, said the president understood the symbolism.

"I definitely think he is conscious that as the first black president, he will be a subject of endless historical scrutiny as well as intense contemporary scrutiny," Smith said.

Still, race is likely to remain an issue during Obama's final years in the White House.

"For the overwhelming majority of people who just feel frustrated and pained because they get a sense that some communities aren't treated fairly or some individuals aren't seen as worthy as others -- I understand that and I want to work with you and I want to move forward with you," Obama said Tuesday. "Your President will be right there with you."

@highlight

Ferguson violence revives race debate for first black president

@highlight

Obama spoke about Ferguson on Tuesday night

@highlight

Comments reflect balancing act Obama must walk when it comes to race