Grigny, France (CNN)Hatouma Diarra doesn't want to be judged by the clothes she wears, by the religion she follows or, least of all, by where she grew up.

But Diarra, raised by immigrants from Mali in the Paris suburb of Viry-Chatillon, says it's as if her neighborhood is stamped across her forehead.

"It's hard to dream when everyone says the place you come from only spawns 'jihadists, terrorists and delinquents,'" the 21-year-old says. "You end up feeling completely isolated."

Viry-Chatillon is just one of the many banlieues -- heavily immigrant, working class suburbs -- dotted around the periphery of the French capital. But its close proximity to Grigny has made the neighborhood synonymous with violence and failure.

Grigny is the hometown of Amedy Coulibaly, who killed a policewoman as well as four hostages at a kosher supermarket in Paris two weeks ago. His associates Said and Cherif Kouachi slaughtered 12 more at the office of the satirical magazine Charlie Hebdo. Together they are the worst terror attacks in France in decades.

Diarra's concerns were exacerbated this week when French Prime Minister Manuel Valls declared that there was a "geographic, social and ethnic apartheid" that had developed in France. She believes the use of provocative language only further alienates the people living in the banlieues.

Diarra says that the past two weeks have attracted a relentless and unwelcome media spotlight on Viry-Chatillon, with journalists descending en masse and filming from their cars for fear of being assaulted or having their equipment stolen.

The negative press has dredged up many prejudices and cultural stereotypes that Diarra has spent most of her young life fighting to dispel -- ever since the 2005 riots that left thousands of cars burnt in the Paris region, thousands arrested and millions more traumatized across France.

"Yes, we need better education and, yes, delinquency exists in these towns, but the government tarnishes us all with the same brush. You stop feeling like an individual and begin to think you're reduced to a crime-ridden town," Diarra says.

Diarra believes the media perpetuates certain cliches about towns like hers -- especially the one about how banlieues are full of "bad apples."

It's a sentiment shared by Coulibaly's sister, Maimouna Coulibaly -- now a successful dancer -- who reflected on the 2005 riots in a 2009 interview with the San Francisco Chronicle.

"When you are in the projects, they want you to shut your mouth, to stay here, to grow up complacent. For me, the way that people in the projects are portrayed so negatively in the media really hurt me a lot," Maimouna told the paper.

But Phillippe Rio, the mayor of Grigny, is trying to shatter this image of banlieues as crime-wracked ghettos. Rio grew up in the concrete maze that is the Grande Borne -- the same housing project as Coulibaly.

Rio says it's easy to overlook the success stories of the banlieues in favor of tales of homegrown terrorists, but that not everyone from his town is a criminal.

"Grigny was home to a professional football player, an actress, even a patisserie chef who now works in Hong Kong," he says. "These are all very successful people."

In the same breath, the mayor admits that his town faces grave economic problems. Forty percent of Grande Borne residents aged 16-25 are unemployed. The average net annual income in Grigny is 9,600 euros, according to Rio -- the lowest in the Paris region.

These factors make it very difficult for those who live in the area to feel like they're part of society, the mayor says.

Rio has been waging a campaign to get a fully staffed police station for the town's 30,000 inhabitants. But the Interior Ministry has yet to grant his wish.

The mayor also believes that better education will help bridge the gap between the banlieues and the state, the "us and them" mentality.

Eric Betencourt, a schoolteacher in the eastern Parisian suburb of Clichy-Sous-Bois, has a class largely made up of second and third generation immigrant children. A man with a calm demeanor, he believes opening a dialogue with his students on the theme of identity in France is crucial to helping his students find their place within the state.

His main worry is what happens when they leave school and begin job hunting.

"Because they struggle to find a job, they feel disinherited, stigmatized, and suddenly these young adults can't find their role in the workplace and therefore they create their own communities," he says.

De-Charles Clauda Aka was Amedy Coulibaly's social worker. His small office in Grande Borne is littered with photos of smiling children that he has helped guide into adulthood.

Aka believes one of the reasons Coulibaly might have formed a relationship with hardened criminals when he was in jail was because he didn't fit into life outside the prison walls, despite desperately wanting to be part of a community.

"[Coulibaly] had a big problem with identity, he was lost. And prison offered him some bad examples to follow," Aka says.

Coulibaly's cousin Amad agrees. "He befriended a bunch of idiots and became himself an idiot," Amad told French radio RMC. "He did not hate Jews, Christians, it's the state he hated."

Connecting the disaffected youth to the state through job creation is what Majid El Jarroudi has dedicated the last 6 years to. The business he founded, the Agency for Diversity in Entrepreneurship, strives to "reveal the untapped potential of doing business with undeserved entrepreneurs in marginalized neighborhoods."

El Jarroudi says the negative publicity surrounding the banlieues means companies shy away from recruiting there -- and in turn, this further antagonizes the people of these towns.

"We feel like we're alone, and when we talk about the banlieues we only talk about its problems and never about the opportunity the banlieues represent today," El Jarroudi says. "That is crucial to bringing everyone together."

In the meantime, Hatouma Diarra is hoping opportunity will come knocking as she pursues an internship this summer. Her dream is a career in journalism, but she knows that ambition alone may not be enough.

"To have a future you need to believe in yourself, but you also need others to believe in you," she says.

@highlight

Attacks on Charlie Hebdo magazine and Paris supermarket draw negative attention to city's suburbs

@highlight

Kosher store shooter Amedy Coulibaly grew up on rough estate in the "banlieue" (suburb) of Grigny

@highlight

Some residents of Paris's banlieues feel neglected by the French government