(CNN)  -- Actor Wendell Pierce's biggest role today is running the Pontchartrain Park Community Development Corp., which is hard at work trying to rebuild the New Orleans neighborhood devastated by Hurricane Katrina.

Pierce was one of the stars of HBO's "The Wire" and most recently played a jazz trombone player in "Treme," HBO's look at New Orleans after Katrina. He talked to CNN about what it's like trying to revive "the Park."

Pontchartrain Park was featured in Soledad O'Brien's "CNN In America's New Orleans Rising."

CNN: Tell me about the neighborhood where you grew up.

WENDELL PIERCE: Pontchartrain Park started in 1952 as a result of the civil rights movement. It was the only place where blacks were allowed during segregation to purchase post-World War II homes. Two hundred acres were given over to a golf course, with 1,000 homes around it, multidenominational churches, a university and schools.

We refer to it as "the Park," but I've described it as the black Mayberry. Although separate but equal, my parents' generation created something that was bucolic. It was great. It was an incubator for talent. ...

It was not only an idyllic place to grow up, there were also high expectations. It was expected that everyone would go to college. In the middle of it was this wonderful golf course created by Joseph Bartholomew, who did most of the golf courses in New Orleans but couldn't play on any of them.

CNN: What was it like when you first saw Pontchartrain Park after Katrina?

PIERCE: It was devastation. We thought the neighborhood would never come back.

And then I realized there was too much history. It was one of the most stable neighborhoods in the United States: 90 percent home ownership, less than 10 percent poverty in a city with 80 percent, no crime. I put out a call to action to people in my generation. Too many people suffered and protested and worked too hard to create Pontchartrain Park. We're not going to let this one incident destroy it.

CNN: How is your initiative to bring it back going?

PIERCE: It's going great. Some movement is happening with transfer of properties to us. We stand in line to get something like 250 properties, and we are up to 20 or 25 now. We put up our model homes, which are geothermal and solar. We have 200 people in line to purchase homes, and that's before any marketing.

Getting the [rebuilding] money is what's holding it up. We have the properties, the homes; we have people qualified with the bank, and we are still trying to access the money. That's the last difficult step.

The money to assist people comes through the state. But they keep changing the rules and the qualifications and the goal-lines all the time. So it isn't appropriated. That's because the state is hostile to the city and is trying to reappropriate the money to other parts of the state and not to the city of New Orleans. That's the political fight that you have to constantly have.

Three billion dollars has been appropriated [to rebuild after Katrina] and hasn't been spent in five years and that's because there's an agenda supported by many that don't want people to move back.

CNN: What are the conditions in New Orleans now?

PIERCE: Right now in New Orleans, it's worse than the week of the storm. We're talking about people who own their property and who didn't receive any insurance. My parents had Allstate insurance, and they got $400 after paying premiums for 50 years. It was criminal, a criminal action. So you have people who own their property, like my parents did, whose insurance policies were not recognized. And there's $3 billion to assist them to get back in their homes, and the state is not doing anything to help them out. Why hasn't it been used? Because it's a concerted effort to reappropriate the money and keep the poor and black people out.

Let's put it this way. There is no large-scale redevelopment plan by any governmental entity in Louisiana, five years after Katrina. The only large-scale thing they did was to destroy public housing and get rid of a large population of minority people and the poor.

There are no large-scale initiatives. Mine is one of the largest. We plan to do 550 [homes in the Park]; compare that with the fact there are 30,000 to 50,000 blighted properties here. There is a concerted effort to redistrict the city, a concerted effort to keep thousands of people out, change the demographics of the city and hope people give up on a mass scale.

In times of crisis like this, we see the best and the worst of people. It's a reminder we are not far off from the days when the ugliest aspects of the country were made into law, so it can so easily go right back into it.

CNN: So who's moving into Pontchartrain Park?

PIERCE: We have everyone imaginable; we have elderly, we have young couples trying to get in, we have 80-year-olds trying to get back into their properties. This is a close-knit community.

Who's moving in? Look in the mirror, and that's who's in Pontchartrain Park. No matter who you are, young or old, it's a diverse group of people, a predominantly African-American community that's been stable ever since it was constructed.

Meet some residents of Pontchartrain Park

CNN: The government's not rebuilding New Orleans. Do you think grass-roots groups will bring New Orleans back?

PIERCE: While the government does not have a plan, it is the citizens who came to government and worked with them to lead them to reconstituting the neighborhoods.

The Lower 9th and St. Bernard neighborhoods were harder hit; they have further to go. This is happening all over the city. That's the saddest part. What surprised me the most [when I began this] was the lack of skill and competence on the government's part to know how to put this together, and how strong the effort to stop people from moving back to New Orleans is.

CNN: What do you mean when you talk about "onesies and twosies"?

PIERCE: It's no good to build one or two houses in a city that has 50,000 blighted properties. Like, this church group says "We're doing three houses right here," a business group says it's doing two houses there, then "I'm a contractor; I've got three houses over here." We need large-scale development.

My  group is not put together to do a hundred houses. Our goal is 7,000 in the city, about 550 in the Park.

CNN: Did the HBO show "Treme" capture the real New Orleans?

PIERCE: Well -- you can't tell all the stories; there are so many, so you can't please everybody -- but there is an authenticity to our show. It's true and real. Of all the shows about the city, this comes the closest to being authentic.

CNN: You play a jazz musician in "Treme" and do lots of numbers. Do you really play the trombone?

PIERCE: Yes, I do play the trombone, but I play very poorly, so they turn my mic off, and my sound double plays. But I learned every song, and I'm getting better!

@highlight

Wendell Pierce grew up in Pontchartrain Park, an idyllic community ruined by Katrina

@highlight

He runs initiative to rebuild community but frustrated with government inaction

@highlight

Pierce says holdup in funding housing is effort to keep poor, minorities from returning

@highlight

Pierce: "There is a concerted effort ... to change the demographics of the city"