(CNN) -- Living at the China-North Korea border, I had the unique opportunity to train under two North Korean tae kwon do masters. While I told people I was there to learn the rare North Korean martial art from some of their best instructors, I was secretly helping North Korean refugees on the 6,000-mile modern-day underground railroad from the Hermit Kingdom to South Korea, for food and a better life.

In 2004, I traveled to North Korea to see the country, even though many people warned me not to take the risk. One of our detained Chinese workers later said that North Korea had a file on me, but did not know my name. I lived with the fear of being detained, abducted or assassinated by the North Korean government for many years. Whenever I hear of another American detained, it reminds me of that anxiety.

On Monday, three American citizens, Kenneth Bae, Matthew Todd Miller and Jeffrey Edward Fowle, all held captive in North Korea, were interviewed by CNN in a Pyongyang hotel room. This rare and surprise interview was an apparent move by the regime to get a high-ranking U.S. official to visit the country.

North Korea has been collecting American citizens and planning for this very moment. What the North Korean government wants out of its latest stunt is simple: internal control and external respect. But this flawed strategy will hardly achieve its desired intent.

North Korean regime leaders use these incidents to buy currency with their people, and these days, they can use all they can get. They want to send a message to North Koreans that says, "Look at how powerful we are."

How North Korea may be using U.S. detainees as 'bargaining chips'

After I watched the interviews with the three Americans, it was clear that it was a coordinated message to ask for a high-level U.S. envoy to be sent. It was no coincidence that all three requested this.

Bill Richardson, former U.S. ambassador to the United Nations, told USA Today, "The North Koreans are sending signals to the U.S. that they are ready to deal."

Many North Korean refugees we sheltered in China told us how brutal the regime can be. This was confirmed by this year's U.N. report on the many human rights violations that North Korea has knowingly committed. Brutal interrogations, food deprivation and torture are all part of the North Korean playbook.

But Bae, Miller and Fowle all said they are being treated humanely and are even provided with medical care. North Korea is walking a fine line here. It wants to use the three Americans as bait but not anger the United States so much that a high-ranking envoy will not come to the negotiating table. It seems the three men are being treated well, although it is hard to say definitively.

North Korea has played this game before. President Bill Clinton paid a visit to secure the release of journalists Laura Ling and Euna Lee in 2009, and President Jimmy Carter visited in 2010 for the release of Aijalon Gomes. North Korea used both cases as propaganda ploys. But what the regime does not realize is that it is preaching to a disappearing choir.

North Korea has enjoyed near complete control of the media its people consume in the past, but this is rapidly changing. Foreign DVDs are being smuggled in. People are hacking their radios to receive signals from the outside world. Phones connected to Chinese cell towers are being used along the border to relay messages in and out of the country.

What the regime does not take into account is that, however it spins a visit by a high-level U.S. dignitary, there are diminishing returns to this familiar cycle. Meanwhile, the outside world it so wishes to impress by its ability to attract such luminaries is tiring of those games. North Korea wants control. It wants respect. At home, it is losing both. In the world, it has neither.

@highlight

Mike Kim helped North Koreans escape at China border, lived with fear of being kidnapped

@highlight

He says interview with American citizens was move to get high-ranking U.S. official to visit

@highlight

Kim: Regime wants to impress its people with message "Look at how powerful we are"

@highlight

Kim: North Korea walking a fine line: The world is sick of its games, its people wising up