Dzanga Bai is a magical place of natural wonder. It is on the Central African Republic's southwest border with the Republic of Congo and is widely considered the most important gathering place for forest elephants in the entire Congo basin. For decades -- and probably centuries -- elephants by the hundreds from across the region have congregated there, reconnecting with family members and drinking the mineral-rich waters.

Last May, a group of heavily armed men, believed to be linked to the Seleka rebel group, entered Dzanga Bai and slaughtered a reported two dozen elephants.

By the time Dzanga Bai's elephant carcasses were discovered, the perpetrators were gone, leaving in their wake a horrific crime scene of heads carved up for their precious ivory. Tusks like these, typically destined for Asian markets, where growing demand has quickly driven up prices, have in recent years presented a new opportunity for quick cash to finance the operations of armed gangs from  the Central African Republic east to Somalia. It is now widely understood that groups ranging from Darfur's Janjaweed to Joseph Kony's Lord's Resistance Army have turned to this revenue source.

The growth of these groups, with funds from illegal wildlife trafficking, is destabilizing African governments even as it devastates populations of elephants, rhinos and other high value wildlife. Operating through terror and intimidation, roving rebel armies undermine democratic governance and responsible resource management while devastating regional economies through disruptions to tourism and local livelihoods.

In meetings in the United States, Asia and Africa this year, we have listened as leaders have shared their growing anxiety. The new poachers are tied to criminal syndicates.  Rifles and machetes have been enhanced or replaced with helicopters, night visions goggles, sophisticated telecommunications and automatic weapons. Local communities are terrified and national governments fear losing large swaths of territory to these gangs.

Out of these conversations has emerged a challenge to the world—from African nations--to stop buying ivory. Representatives of the governments of Botswana, Cote d'Ivoire, Gabon, Liberia, Malawi, Tanzania and Uganda, along with the international nongovernmental organizations we represent, have gathered in New York this week to announce an important commitment through the Clinton Global Initiative. Together, we have three straightforward goals: (1) stop the killing; (2) stop the trafficking; and (3) stop the demand.

To stop the killing and the trafficking, the international community can help states that make up the present range of the African elephant by providing equipment, training and expertise. President Obama recently dedicated $10 million for law enforcement efforts and the creation of a wildlife trafficking task force at the highest levels of the U.S. government, complementing existing U.S. initiatives. European and other nations, along with private citizens, need to join him in committing emergency resources to enforcement efforts in elephant landscapes and ivory trafficking ports.

Despite a ban on international trade in ivory imposed under the Convention on International Trade in Endangered Species of Wild Fauna and Flora in 1989, domestic sales remain legal in a number of countries, including the United States.  Because these legal markets can provide a front for laundering illegal ivory into the trade, moratoria on domestic sales of ivory are also a vital part of anti-trafficking efforts.

Stopping the demand requires new strategies. Removing the prestige associated with buying ivory requires creative new uses of social media and other tools to change consumption behavior in China and elsewhere. Once the demand for ivory is curtailed there will be little financial incentive for criminal groups to continue elephant poaching and trafficking.

Yet because carved ivory is a centuries-old cultural tradition, this change will take time -- something the world's dwindling elephant populations don't have. That is why African nations with the greatest remaining elephant populations have begun to call for nations across the globe to stop selling and purchasing ivory until all African elephant populations have recovered to healthy levels.

The devastating poaching crisis that has gripped Africa over the past decade has left multiple tragedies in its wake: the loss of roughly three-quarters of all remaining African forest elephants; the murder of hundreds of courageous wildlife guards; regional government resources stretched to their limits as villagers across sub-Saharan Africa live in daily terror.

The initiative launched this week by representatives of elephant range states, ivory consumer nations, and our organizations has been endorsed by an unprecedented group of conservation partners that include the African Parks Network, the Association of Zoos and Aquariums, the Frankfurt Zoological Society, the Freeland Foundation, the International Conservation Caucus Foundation, National Geographic, Save the Elephants, TRAFFIC, WildAid, and Wildlife Direct.

This effort is our best bet at saving these majestic, highly intelligent and socially complex creatures while bringing much-needed stability to governments whose hopes for a brighter future require that armed gangs no longer operate within their borders. Before it's too late, let's stop the killing, stop the trafficking and stop the demand.

@highlight

Writers: Elephant poaching in Africa helps finance armed gangs and rebel armies

@highlight

They say this destabilizes nations, wipes out elephant population for ivory trade

@highlight

They say elephant range states, ivory consumer nations, NGOs have new plan to push back

@highlight

Writers: Stopping ivory demand by changing cultural behavior will help end poaching