(CNN) -- The primary joy of a bicycle is that, in its purest form, it's little more than a highly efficient way of walking.

Just grab the bike, climb aboard and pedal swiftly to the shop, the bar or wherever.

Some cyclists, however, prefer their rides a bit more dramatic.

Perhaps even scenic, remote and arduous.

Here's a selection of fantastic rides from around the world that take anything from a day to several months to complete.

Don't forget the anti-chafe cream.

The Friendship Highway (China)

Whether or not the 800 kilometers (500 miles) between the Tibetan city of Lhasa and the Nepalese border is the planet's most beautiful ride depends on your idea enjoyment of sometimes bleak high-altitude vistas.

What's in little doubt is that it's the highest.

The route includes three road passes of more than 5,000 meters (16,400 feet), with a lung-bursting maximum of 5,220 meters over the Gyatso La mountain pass, where the reward on a clear day is a distant view of Everest.

This, it goes without saying, isn't for everyone.

Conditions can be testing and the distance between towns necessitates careful planning.

Plus, the sensitive political situation in Tibet means individual travel can be tricky at times.

For the sufficiently committed this remains one of the globe's true adventures, from the religious and cultural wonders of Lhasa and Gyantse to the prayer flag-draped peak of the Gampa La mountain pass, with the vast, turquoise lake, Yamdrok Yumtso, shining in the valley below.

If that's not enough, the route ends with possibly the world's longest descent, a precipitous 3,500-meter drop off the edge of the Tibetan plateau along muddy hairpins.

La Ruta de los Conquistadores (Costa Rica)

Shorter but arguably no less arduous than the Friendship Highway is this 270-kilometer off-road ride across Costa Rica.

From the Pacific to Caribbean coasts, this one takes in mud paths, rainforest, coffee plantations, even an extinct volcano.

It can be completed in three days each November as part of the annual mountain bike race from which the ride takes its name.

Those in less of a rush can spend as long as they like, whenever they like, tracing the route of the 16th-century Spanish conqueror Juan de Cavallon, the chief conquistador of the title.

Costa Rica has a vast range of natural wonder packed into an area roughly the size of Switzerland, around a quarter of it national park -- La Ruta delivers a decent taste of this.

Beginning in the surf resort of Jaco Beach, the route soon turns onto energy-sapping red mud dirt roads, climbing up.

And up and up -- the official La Ruta course includes about 3,000 meters (9,842 feet) of climbing on the first day alone.

Skirting the capital, San Jose, it passes near the extinct peak volcanic peak of Irazu and down again to mangrove forests and white sand beaches.

The traditional end to the trip is a dip in the Caribbean. Riding in is optional.

North Sea Cycle Route (Europe)

The NSCR, which also goes by the slightly less evocative name of Euro Velo Route 12, is a Euroskeptic's nightmare -- an EU-funded epic across eight countries that claims to be the longest signposted cycle route in the world.

Covering almost 6,000 kilometers (3,728 miles), it runs from the northern edge of Scotland's Shetland Islands along the coasts of Britain, France, Belgium, the Netherlands, Germany, Denmark, Sweden and Norway.

It hopefully goes without saying that there's no need for anyone to attempt the whole thing.

Inevitably, it also goes without saying that a surprising number of people do, mainly over a series of summers -- this is a route where the warmest spot is probably somewhere near Ostend on the coast of Belgium, so it's really not one for winter.

The more intrepid riders fill the official NSCR website with arcane tips about acquiring krone when crossing into Denmark and the best way to get themselves and their bikes over the sea crossings.

The Shimanami Kaido (Japan)

At a shade more than 64 kilometers (40 miles) this is perhaps the only route on this list on which riders could reasonably consider taking their kids the full length without worrying about a visit from social services.

Completely separated from the road, it snakes across a series of small, wonderfully scenic islands in Hiroshima prefecture, in the west of the country.

Japan might be more popularly associated with the car rather than the bike, but cycling is common here and the Shimanami Kaido shows how two and four wheels can happily coexist.

The segregated cycleway, which also has a lane for pedestrians, for the most part runs alongside the road, though there are diversions, not least the longer, more gentle and thus more leg-friendly slopes up to the high road bridges.

Bikes can be hired at a series of points along the path.

Some people complete the trip in a day, but many dawdle to gaze at the beautiful vistas along the Seto Inland Sea.

This is a route for gentle meandering, not teeth-gritted grinding.

Yes, there are tolls on the bridges for cyclists, but these are pretty small, more necessitating a pocket of change than a bank loan.

Great Divide Mountain Bike Route (North America)

Want big?

This is big.

An off-road touring route from Canada's Alberta all the way to New Mexico.

If the 4,400-kilometer (2,734 miles) length (as detailed on the Adventure Cycling website) isn't enough to start palpitations, how about a combined 61,000 meters (you don't even want to know what that is in feet) of climbing?

Yes, that's right, almost seven times the height of Everest -- from sea level, that is, not base camp.

It's also often extremely remote, and thus largely the preserve of wiry, wind-burnished men and women on much-traveled mountain bikes towing trailers filled with anti-bear spray, titanium camping spoons and nuclear fusion nano-stoves.

It's undeniably spectacular, taking in everything from woodland to mountains (did we forget to mention the Colorado Rockies?) and the wastelands of the Great Basin.

Potential companions could include grizzlies, moose, mountain lions and eagles.

If that's not enough to think about, weather conditions mean the trip is only really feasible from June to September, and even then flash rains can make sections impassably muddy for weeks at a time.

Munda Biddi Trail (Australia)

Another epic, and this time in one of the more cutoff places in the world: Western Australia.

At least with the Munda Biddi the route organizers might actually be on the rider's side.

Slightly.

A vastly ambitious, recently completed 960-plus kilometer (596 miles) off-road route through the forested wilderness -- Munda Biddi means "path through the forest" in the local indigenous language -- it runs from near the state capital, Perth, to Albany in the far southwest.

The less ambitious can tackle smaller, less strenuous sections of just a day or more, and the official website gives updates on sometimes muddy trail conditions.

Anyone planning the full slog would be wise to avoid the full heat of summer, and come prepared.

That said, between towns there are designated campsites every 30 or so miles, with sleeping huts and water supplies.

The South Downs Way (England)

File under "deceptively tricky."

This 160-kilometer route (99 miles) is hardly alpine in outlook, crossing some of the most stereotypically lush and rolling English countryside you can imagine.

But all those small ups and down add up.

Riders tackling the entire route commit themselves to almost 4,300 meters (14,107 feet) of uphill pedaling.

A much tramped walking route for thousands of years and now a fully signposted hiking trail, the South Downs Way meanders from the precipitous cliffs of Beachy Head to historic Winchester, virtually all off road and much of it on ancient chalky bridleways.

Open to cyclists, walkers and horse riders, those on two wheels generally allow two or three days for the trip, and there are plenty of absurdly picturesque villages en route with pubs and guesthouses.

Some hardy souls tackle the entire thing in a day, but there's an argument that pedaling furiously through some of England's most glorious vistas kind of misses the point.

Know about an amazing cycle route that's not on this list? Tell us below.

Peter Walker is a journalist based in the UK who regularly contributes to cycling publications. He once rode a bike most of the way from Sydney to London.

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

China's Friendship Highway takes cyclists 800 lung-bursting kilometers through foothills of Everest

@highlight

More relaxing rides are available -- Japan's Shimanami Kaido can easily be completed in a day

@highlight

Riders might have bear or moose for company on the Great Divide bike route from Alberta, Canada to New Mexico