(CNN) -- When Billy Nungesser appears on the news, sweat-soaked and breathless, railing against BP and the government for failing to keep the oil in the Gulf of Mexico from reaching Louisiana's shores, the anguish on the politician's face is real.

"He takes this personally because he feels a great responsibility for the lives and livelihoods of the people of Plaquemines Parish," said Benny Puckett, a parish employee who works for Nungesser. "When he says things that some people take as controversial, he doesn't mean to be controversial; he's just speaking from his heart."

Among his more provocative statements: that the leadership of the Coast Guard and Army Corps of Engineers should be fired, that their plan of attack has been an "embarrassment."

"They had no plan to keep the oil out, even though they said it wouldn't come ashore. They had no plan to clean it up. They had no plan to make the fishermen whole. It's like it's being run with a bunch of seventh-graders," the outspoken freshman parish president said last week. "This is absolutely ridiculous and unacceptable."

Nungesser, president of Louisiana's southernmost parish, where the Mississippi River meets the Gulf, spoke with President Obama on Friday about how to minimize the spill's impact on a community whose livelihood depends on fishing and offshore oil industries.

Nungesser has said he is confident in the president's assurance that something would be done to protect the barrier islands, which come more than a month after the politician began sounding the alarm bell over the spill's potential impact on Plaquemines' extensive network of marshes and waterways. Nungesser hopes berms can be built to protect the area from the oil, and the Coast Guard was part of a discussion on the idea Tuesday.

"[President Obama] has the opportunity ... to do the right thing on these berms," Nungesser said in a phone interview Tuesday night. "If the truth gets back to him on these berms, I'm confident he'll do the right thing."

Since the early days of the massive oil spill, the Louisiana native has been going non-stop, according to friends and family, waking up around 3 a.m. and returning home at 11 p.m., after a full day of meetings, tours of the area and rounds on local and national news networks.

"I worry about him. I'm concerned about him dropping dead on me because he never stops," said friend Leo Polazzo, who has known Nungesser since his days as a local businessman. "I talk to his fiancée to find out about him, because I can't talk to him because he's so busy."

Nungesser says his energy comes from wanting "to do the right thing."

"Dad always told me I had one speed: always wide open," he said. "I can't rest as long as the job still needs to be done."

His outspokenness comes as no surprise to those who know him. Before Nungesser became the weary face representing Louisiana's coastal communities, he was already known among friends and constituents as someone who'd do anything to help others, who'd open his home to strangers and stray animals alike.

Like most Gulf Coast natives, his backstory is tied to the industries that have sustained the region. He grew up in Algiers, outside of New Orleans, working in his father's cannery before starting his own business ventures.

He was the second of four children and was known as the class clown who could never stay still and often brought home stray animals much to his parents' chagrin, his sister, Heidi Nungesser Landry, said.

"Billy never sat down for a meal. He probably had [attention deficit disorder], but they didn't diagnose it in those days. Our father would tell him to sit in the corner, and he could not stand still," she said.

After high school, he attended LSU and Holy Cross but didn't graduate, she said. Inspired by his father, William Nungesser Sr., a local businessman and chairman of the state Republican Party, she said the younger Nungesser made an unsuccessful run for state representative and served on the state levee board in the 1980s.

Soon after he began working for his father's business, which had evolved into a catering company for the offshore industry, providing cooks and food on oil rigs. During trips out to check on operations or fill in for someone who called in sick, Nungesser became aware of living conditions on the rig and came up with an idea for his own business: converting old shipping containers into living quarters.

General Marine Leasing proved to be a great success, mostly due to Nungesser's finesse with clients, said Rene Cross, a contractor who became a friend of Nungesser's after working with him.

"He made it a priority to keep in touch with his clients and to listen to them. If they wanted modifications or a Jacuzzi, he'd find a way to do it," he said. "He's brilliant. He's an idea man. He has a million ideas, and he is determined to make them all work."

By the time a Canadian company offered to buy General Marine Leasing from him for a reported $18 million, Nungesser had moved to Plaquemines Parish, bought property on a low level of land and turned his sights to raising elk.

He acquired more than 100 head in Nebraska and corralled them in an area of his property, but could never bring himself to kill them, Cross said.

"He treated them all like they were his kids, like puppy dogs," he said. "I think he sent a few to the butcher, but you can also use their horns for vitamin supplements, so he ended up making a profit by grinding up their horns."

Nungesser lost most of his herd when Hurricane Katrina roared through Plaquemines in 2005, carrying some of the elk up to 30 miles from his property, Cross said.

Yet Nungesser eagerly participated in relief efforts, taking his airboat on rescue missions, opening his home to stranded people and abandoned animals, and helping to clear roads. On adjacent property, a riding facility that he built for handicapped children became a staging ground for relief efforts, where volunteers slept and supplies were stored, according to Puckett, who worked on Nungesser's property coordinating relief efforts.

"Billy is probably the most compassionate person that I've dealt with on a regular basis and that compassion has never waned. It stays there all the time," Puckett said. "He was eager, at a moment's notice, to help out. He stepped up, and he never refused anybody that he could assist. He'd give you the shirt off his back and last dollar in pocket."

Nungesser says he ran for parish president in part because he didn't see the incumbent in the community during the Katrina clean-up.

"I saw absolutely no one standing up for the people of this parish," he said. "People told me, 'You ought to run and quit complaining.' "

Since taking office in 2007, those who know him say he has cemented his reputation as a dedicated champion of the beleaguered community through a long list of accomplishments in a short period of time related to recovery efforts.

"I don't think Billy ever really relaxes. I can get him out on the boat or hunting, and he'll take it easy for a bit, but within 10 minutes, it's back to the business of Plaquemines Parish," said Cross. "But he loves it. He takes great joy and pride in contributing to the improvement of the community."

Nungesser says he'll keeping working hard as long as the oil threatens his parish.

"Things still need to be done to keep the oil out. ... At the end of this thing, I have to know I did everything possible to save the parish and the coast land," Nungesser said.

CNN's Jason Hanna contributed to this report.

@highlight

Billy Nungesser warned of oil spill's potential impact on coastal communities early on

@highlight

Friends, family say the Louisiana native has been working around the clock

@highlight

Nungesser ran for Plaquemines Parish president in response to pace of Katrina relief efforts

@highlight

Before politics, Nungesser ran sucessful business making mobile living quarters