(CNN) -- The order was to be followed immediately. The entire school was to be put on lockdown. Students, teachers and even administrators were to stay inside; no excuses, no exceptions. The year was 1988. The place; a small mining town in northern Mexico called Cananea. Inside the classrooms, dozens of puzzled high school students were quietly wondering, if they were in danger. I was one of those students.

Cananea, in the state of Sonora, just south of Arizona, was back then a quiet town where one could leave doors unlocked without fear. As class president, I felt it was my obligation and duty to my fellow students to find out what was happening. Leading a group of about a half dozen of my classmates, we ventured out, with the acquiescence of our history teacher.

Nobody stopped us. As we approached the school's front gate, we heard what sounded like a sizable group of people chanting. The gate was padlocked, so we did what rambunctious children would do in that kind of situation: We jumped over the fence.

We walked slowly towards the crowd surrounding a man who appeared to be their leader. He was a balding, chubby man in his 50s with white hair and beard. "Thanks for coming out to welcome me," he told me as he shook my hand. "You're welcome," I replied, probably with a blank stare. I had no idea who the man was.

I later learned that his name was Manuel Clouthier. In that presidential election year, the then-53-year-old businessman was running for the highest office in the country as the opposition candidate with the PAN, the National Action Party.

Until then, the PRI (Institutional Revolutionary Party) had ruled Mexico with an iron fist for nearly 60 years and it would remain in power for another 12. The party, formed in the wake of the bloody Mexican revolution that ended in 1917, had forged allegiances with unions, business sectors and power brokers so effectively that virtually no one in the country could move a finger without the PRI's blessing. Indeed, the outgoing president selected his successor through a practice known as "el dedazo," roughly meaning "the finger point." For all practical purposes, the Mexican media was back then the government's propaganda arm.

Clouthier had to leave my town only a few hours after his arrival. No hotel would allow him to stay there. No restaurant would serve him and his people. No business wanted anything to do with him or any opposition party. Doing so would have meant financial ruin or banishment. Fear in those days was highly contagious.

That year in July, Carlos Salinas de Gortari, the PRI's candidate, won the presidency in one of the most controversial elections in Mexican history. Some Mexican historians still claim that another opposition candidate, Cuauhtemoc Cardenas from the PRD (the Party of the Democratic Revolution), was the real winner of those elections. Manuel Clouthier died a year later in a car crash in his home state of Sinaloa.

I've been thinking a lot about that time in my life growing up in Mexico, especially as the country is getting ready to inaugurate a new president Saturday. Much has changed since then. Electoral reforms brought about during the 1990s opened up democracy in Mexico. Clouthier's party, the PAN, finally came to power in 2000 when Vicente Fox won the elections. It was the first time in 71 years that Mexico was going to be governed by a party that was not the PRI. Fox was succeeded by the PAN's Felipe Calderon, who finished his six-year term Saturday.

I was in Mexico this July as a CNN correspondent covering this year's presidential elections and, as far as I could see, the process was fair and transparent. I went to multiple polling places around Mexico City. Mexicans were voting openly and without fear. The ghosts of the past, including manipulation, coercion, threats and "pregnant" ballot boxes (those already filled with votes), seemed missing.

And so Enrique Pena Nieto, a charismatic attorney and former governor of Mexico state, the most populous state in the country and adjacent to Mexico City, won the election this year. He only garnered 38% of the vote, less than the combined total of his three opponents, but that's the way elections work sometimes. As far as I and an army of international observers and journalists could see, he's the legitimate winner.

His victory is historically significant because for the first time in 12 years the PRI is back in power. Many in Mexico wonder if Pena Nieto is the new face of an old party. Will he try to forge the same alliances of the past? Will he use unions as coercion arms as the PRI's political machine did in the past?

The good news is that, as I said before, much has changed in Mexico. There was no social media in 1988. Today's media, as irresponsible and sensationalist as it can be sometimes, is not driven by the government's agenda. Hope, rather than fear, was the driving factor as Mexicans went to the polls this year.

The bad news is that much in Mexico hasn't changed since 1988. Corrupt union leaders remain as powerful as they were back then, if not more. Inequality is painfully omnipresent. Abject poverty makes millions of young people vulnerable to organized crime. And national industries that used to be controlled by the federal government, i.e., the PRI, are now crippling monopolies that inhibit competition and keep prices artificially inflated.

Enrique Pena Nieto's six-year presidency is an opportunity for him and a second chance for his party to take Mexico to the next level. Will Mexico remain the country of untapped potential, being almost there, but never quite joining the First World? Or will Pena Nieto and his party capitalize on this historic opportunity to break with old habits of the past for the benefit of the country? Only manana will tell.

@highlight

Enrique Pena Nieto presidential victory in Mexico is a return to an old, once-corrupt party

@highlight

The PRI says it has changed even though its old tools of corruption remain

@highlight

As Pena Nieto is inaugurated many are asking: Is he a new man or just a new face?

@highlight

Success may be measured in his ability to tap Mexico's potential