(CNN) -- Insomnia, the inability to fall or stay asleep, can make the days feel fuzzy and the nights never-ending.

Insomniacs often get antidepressants instead of drugs designed to help them sleep, research has shown

The disorder can increase the risk for depression and suicidal thoughts, lower work productivity and even raise blood pressure, studies have shown.

About 40 million Americans have chronic sleep disorders that prevent them from getting good rest. Singer Michael Jackson struggled with insomnia, a nutritionist who worked for him told CNN.  Sources close to Jackson told CNN that during a world tour in the mid-'90s,  the pop star traveled with an anesthesiologist who would "take him down" at night, then "bring him back up."

Stress or traumatic events can trigger the sleeping disorder.  Insomnia drugs help the patient sleep, but they do not treat the underlying cause, which could be a result of another illness, life changes or shifting work schedules. And patients who seek relief for insomnia may not receive the most effective prescription.

Over the last two decades, doctors treating sleep disorders have prescribed more antidepressants than insomnia drugs, according to several published analyses. And there is insufficient evidence that most antidepressants are effective in treating insomnia, concluded a National Institutes of Health panel that convened on the topic in 2005.

Doctors may be factoring in cost considerations and their own familiarity with prescribing antidepressants relative to newer sleep medications, experts said.

Some doctors prescribe antidepressants because their patients have both depression and insomnia. Insomnia and depression often occur together, but which is the cause and which is the symptom is often unclear.

Depending on the patient's circumstances, a doctor might prescribe antidepressants as the primary treatment for insomnia; for example, if there is a history of addiction. But the Food and Drug Administration has not officially approved antidepressants for insomnia.

"There's inadequate body of information to support use of the unapproved treatment," said Dr. Vaughn McCall, medical director of the Sleep Center at Wake Forest University Baptist Medical Center in Winston-Salem, North Carolina. "I think the harm in it is the delay of effective treatment. You've made a decision to ignore the proven effective treatment and decided instead to do who knows what."

McCall said he treats an insomnia patient with sleeping drugs first.  When those options don't work, he turns to antidepressants.

Sleep experts say some antidepressants can help a person sleep, but their sedating effects can wane over time.

There's "a lot of inappropriate prescribing for insomnia," said Rajesh Balkrishnan, the director of the Center for Medication Use, Policy, and Economics at the University of Michigan in Ann Arbor.

Antidepressants could "tranquilize you for a shorter period of time," about five to six hours, Balkrishnan said.  Insomnia drugs can produce deeper sleep levels for a longer period of time -- about eight to 12 hours, he said.

Antidepressants balance the natural chemicals in the brain that are involved in regulating mood. The drugs can block reabsorption of the chemicals, such as serotonin, leaving more available in the brain. Side effects for antidepressants can include headache, night sweats, nausea, agitation, sexual problems and dry mouth.

Sleep drugs work by slowing activity in the brain to allow sleep. They carry risks of addiction and side effects such as grogginess, headaches, nausea and bizarre behavior while sleeping.

There are stages of sleep, from drowsiness to progressively deeper relaxation. The entire sequence normally takes about an hour, and the fourth stage is considered the deepest. After that, people go into what's called rapid eye movement, or REM, sleep. After about 10 minutes into REM sleep, the brain cycles back to the four other stages (known as non-REM). The cycles repeat throughout the sleep time.

The use of antidepressants to battle insomnia could be influenced by cost, since generic antidepressants cost less than brand-name insomnia drugs, doctors said. In 2007, the Food and Drug Administration approved the first generic version of Ambien, called zolpidem, for short-term treatment of insomnia. Despite the availability of a less expensive generic version, many doctors continue to prescribe antidepressants, McCall said.

Doctors might hesitate to prescribe some types of sleeping drugs because they belong to the same class of drugs, called benzodiazepines, as Xanax and Valium. These drugs can be highly addictive over chronic use.  But not all sleep drugs are benzodiazepines.

A sample of 3,400 physicians' prescription practices published in the journal Sleep in 2004 showed that antidepressants were approximately 1.53 times more likely to be prescribed by American doctors than insomnia drugs.

"A lot of it is a holdover from the days where the perception was that sleeping pills would cause dependence and there would be abuse liability," said author James Walsh, executive director and senior scientist at the Sleep Medicine and Research Center at St. Luke's Hospital in Chesterfield, Missouri. "There was a feeling that they only worked for short periods of time and you develop tolerance to those medicines. Those impressions came from pills used until the 1970s."

Three of the top four most commonly prescribed drugs for insomnia were antidepressants, according to Walsh's 2004 article. Five years later, Walsh doubts many of the prescription practices have changed.

"There are still a lot of doctors prescribing antidepressants and other sedating medicine for insomnia even though those medicines haven't been studied very well for treatment of insomnia and have some different types of risks," Walsh said.

But Balkrishnan said, "You can't put the blame solely on prescribers," adding that some patients insist on certain medications and find ways to obtain those drugs, despite their doctor's best efforts.

The alternative to taking pills is cognitive behavioral therapy for insomnia, which teaches the patient how to get better sleep hygiene and ways to avoid sleep-disturbing behaviors. Unlike drugs, this method has no side effects.

Using anesthetics to get relief from sleep disorders is highly unusual and inappropriate, several doctors have told CNN. Jackson requested an anesthetic, saying, "I just want to get some sleep. You don't understand. I just want to be able to be knocked out and go to sleep," Cherilyn Lee, a registered nurse and nurse practitioner who worked for Jackson for a time, told CNN.

Doctors say that if Jackson was being anesthetized to battle insomnia, it was a dangerous practice. The possible role of an anesthetic, called Diprivan -- also known as propofol -- has swirled since the pop singer's death on June 25.

"Propofol induces coma, it does not induce sleep," said Dr. Hector Vila, chairman of the Ambulatory Surgery Committee for the American Society of Anesthesiologists.

@highlight

Doctors prescribed more antidepressants for insomnia

@highlight

There is lack of evidence that antidepressants are effective for insomnia

@highlight

Practice may continue because some sleeping drugs are benzodiazepines

@highlight

About 40 million Americans have chronic sleep disorders that prevent good rest