Editor's note: Ruben Navarrette Jr. is a member of the San Diego Union-Tribune editorial board, a nationally syndicated columnist and a regular contributor to CNN.com. Read his column here.

Ruben Navarrette Jr. says President Felipe Calderon's war on drugs remains a noble battle for the soul of Mexico.

SAN DIEGO, California (CNN) -- It has nothing to do with Michael Jackson or Sarah Palin, but there's a big story brewing south of the border to which Americans should pay close attention.

Like a monster that refuses to die, Mexico's once-disgraced Institutional Revolutionary Party, or PRI, made a convincing comeback in last weekend's midterm elections. The PRI recaptured its majority in the 500-member Chamber of Deputies and won five of six governorships up for grabs.

The rival National Action Party, or PAN, which had controlled the legislative branch since 2000, suffered heavy losses. German Martinez, president of the PAN, resigned this week after taking responsibility for the electoral failures.

Political observers on both sides of the border are calling the elections results a no-confidence vote in the Mexican economy and a significant rebuke to President Felipe Calderon's admirable but all-consuming war against the drug cartels.

Calderon -- who is in the PAN -- is halfway through a six-year term, so he wasn't on the ballot.

The presidency is next on the ballot in 2012, and observers think that the fact that the PRI aced its midterms sets the party up nicely to accomplish something that seemed unthinkable just a few years ago: retake the top job that it held for much of the 20th century -- 71 years, to be precise -- through corruption and intimidation.

In 2000, the PAN's Vicente Fox broke that streak and reintroduced democracy in Mexico. Calderon squeaked out a narrow victory against a third-party candidate in 2006.

The Harvard-educated lawyer and economist immediately and bravely took the fight to drug lords across the country, unleashing the military in a conflict that has so far killed more than 10,000 Mexicans with no end in sight.

And there are now serious issues -- as spelled out this week in The Washington Post -- involving allegations of torture, forced disappearances and other abuse by the Mexican military as it seeks to retaliate for the killing of soldiers and other terrorist acts committed by the drug cartels.

The Obama administration, which has pledged to support Calderon's drug war, would no doubt like to put an end to this alleged behavior before paying out the remainder of the $1.4 billion in aid to Mexico that Congress approved in the Merida Initiative.

The trouble is that President Obama has been reluctant to make human rights demands of an adversary such as Iran, which could make it hard to lean on a friend such as Mexico. And as Mexican human rights activists point out, the U.S. government is in a difficult position to preach against torture given that it is accused of using it in Iraq, Afghanistan and at Guantanamo Bay, Cuba.

Still, Calderon's war remains a noble battle for the soul of Mexico. And there's evidence that the drug cartels are feeling the pinch. Unable to move their product to customers in Canada and the United States, the cartels are growing desperate.

The Calderon government is seizing so much of the product and arresting or killing so many drug traffickers, that profits are slipping. The drug lords are forced to import more guns from the United States at higher prices and channel more drug shipments to Mexican customers, who pay lower prices than the cartels could charge Americans if the drugs were making their way north.

This is bad news for the traffickers. But it's great news for the Mexican people, even if they don't know it. Judging from reports in the Mexican press, many Mexicans -- while supportive of the drug war -- think it ultimately will fail, and they're tired of the violence. Many fault Calderon for, in a popular metaphor, "stirring the hornet's nest."

Meanwhile, although the PRI didn't explicitly campaign on a platform of being anti-drug war, the implied message was that returning the party to power could return tranquillity and security to Mexico. Good luck with that, amigos. Guess what? The hornets aren't going back in the nest.

Calderon should get to the bottom of allegations of military abuse and punish any offenders. But he should also press ahead. And, if the PRI tries to get in the way by, say, limiting the resources to fight the drug war, then Calderon should paint the party as trying to appease the cartels at the expense of Mexico.

The PRI was so preoccupied with gaining power as it did in the past that it forgot that what leadership is really about is taking responsibility for the future. Here's its chance.

@highlight

Mexican leader Felipe Calderon may face defeat in 2012 after PRI makes comeback

@highlight

Some Mexicans fault Calderon for stirring up violence with war on drugs

@highlight

Calderon should address problems and press ahead, Ruben Navarrette Jr. says

@highlight

Evidence points to drug traffickers feeling the pinch, Navarrette says