Port-Au-Prince, Haiti (CNN) -- Anger swept Port-au-Prince on Wednesday as protests erupted throughout the Haitian capital the day after election results were announced.

Mobs charging election fraud burned the headquarters of the government-backed candidate and blocked roads using earthquake rubble and flaming tires.

At the smoldering headquarters of candidate Jude Celestin, one man shouted that life was better under the Duvaliers, referring to years of Haiti's father-son dictatorship.

At least one person died in the post-election violence, authorities said.

"People are very angry," said Franz Large, a Haitian doctor who lives near the burned headquarters. "People expected there would be a fair election."

He accused the government of adding the names of those who perished in the earthquake to voter lists, to push the vote in their favor.

He also said many people feared they would lose out on cash-for-work programs if they did not vote for the government.

"We need someone who has the trust of the people," Lange said. "It's a very sad day for people who believe in democracy."

All flights in and out of Port-au-Prince, including American Airlines flights, were canceled, said Henry Marc-Charles of Haiti's national airport authority.

Early Wednesday, the normally bustling city felt an eerie quiet as residents hunkered down in their homes, fearful of potential danger on streets normally jammed with people and traffic.

Many shops and businesses remained shuttered throughout the day.

But the quiet was pierced by large protests as thousands marched on the streets yelling that the election had been stolen from them.

They chanted "Tet Kale!" which means bald head in Haiti and is the moniker used by the popular musician and presidential candidate Michel Martelly.

Some of the protesters wanted Martelly to speak publicly. Martelly had planned a news conference but canceled due to security concerns. Instead he issued a short statement Wednesday evening.

"Since last night, the (electoral council) put our country in total chaos by publishing manipulated results," he said. "Since then, the whole country reacted and is now in turmoil. They stood up to defend their votes and asked that they be respected.

"I understand your frustration," he said. "You have the constitutional right to peacefully protest. I am with you and will be all the way to victory. Tet kale."

Polls had suggested Martelly, a political novice, had emerged as a front-runner, but the Provisional Electoral Council announced Tuesday night that he had come in third behind former first lady Mirlande Manigat and Jude Celestin, the head of the state-run transportation company who was handpicked by President Rene Preval as his successor.

No candidate won a majority, forcing a runoff set for January 16, four days after the first anniversary of the quake. If the results hold, Martelly will not be in that runoff.

The Joint OAS (Organization of American States) - CARICOM (Caribbean Community) election observation mission said Wednesday the results were not the last word on the Haitian election. It said candidates have a legal recourse to pursue a challenge -- and they should use it.

The mission said in a statement that it called on the electoral council to "ensure that these claims and challenges that are part of the contestation process are treated with the strictness, transparency and fairness they deserve in this difficult electoral environment where suspicions abound."

A final outcome in that process is expected on December 20.

The post-tabulation protests Wednesday were largely fueled by Martelly's supporters.

"He's our president," they said.

Martelly's political advisor, Daniel Supplice, said that Martelly was huddling with his advisors to decide how he would proceed but the campaign has already said it will challenge the results.

Supplice said it was the government's responsibility to ensure that the protests do not spiral into chaos.

"We did not ask for anyone to take to the streets," Supplice said. "This is only a natural reaction. People have the right to have their vote respected."

Preval, barred from seeking another term, has grown increasingly unpopular for what Haitians perceive as a lack of progress in their troubled homeland.

And it had been feared all along that a win or runoff spot for Celestin would trigger unrest in the Haitian capital.

The next president of Haiti will inherit the daunting task of leading this Caribbean nation in its struggle to recover from years of dictatorship and poverty compounded by the killer earthquake, Hurricane Tomas and now a cholera epidemic that has sickened almost 100,000 people.

Protests erupted immediately after the result were announced Tuesday night and spilled over into Wednesday.

A police commissioner in the northern town of Cap Hatien reported one person had died in violence there.

In a radio speech Wednesday, Preval appealed for calm and urged the candidates to thoroughly review the electoral council's data.

The council said Manigat, a Sorbonne-educated professor and a former first lady of Haiti, led the presidential election with 31.37 of the votes.

Celestin narrowly ranked second with 22.48 percent of the votes while Martelly received 21.84 percent.

But the vote was fraught with allegations of fraud. Martelly said aloud what many others in Haiti were thinking: Preval would go to any lengths to ensure a win for Celestin and preserve the power of his party, INITE.

The U.S. Embassy issued a statement Tuesday saying that the United States stands ready to support efforts to review irregularities in the vote so that results are "consistent with the will of the Haitian people expressed in their votes.

"Like others, the government of the United States is concerned by the Provisional Electoral Council's announcement of preliminary results from the November 28 national elections that are inconsistent with the published results of the National Election Observation Council (CNO), which had more than 5,500 observers and observed the vote count in 1,600 voting centers nationwide," the embassy said.

The CNO, a European Union-backed local election monitoring group, had said Celestin was running behind the other two candidates.

United Nations Secretary-General Ban Ki-moon expressed concern Wednesday over the post-election violence.

He urged the candidates "to exhaust the formal remedies and legal procedures, which will allow a clearer picture to emerge."

"A peaceful solution to the current situation is crucial not only to confront the cholera epidemic in the short-term but also to create the conditions in the medium term for recovery and development from the earthquake," Ban said in a statement.

The anger voiced on the streets was also targeted at the United Nations after reports suggested the cholera outbreak originated in a Nepalese peacekeepers' camp.

In a tense scene Wednesday, protesters faced off with U.N. soldiers from Brazil tasked with guarding the road at the entrance of the electoral council's office.

"No peace mission. No MINUSTAH," protesters said, referring the United Nations Haiti mission by its French acronym.

Veteran Haitian journalist Ernest Moskolot said Haitian people were simply fed up. They endured an earthquake, a hurricane and cholera. It was time, he said, for the government to deliver.

"This is a tough time for Haiti,"Moskolot said. "I got a feeling God has something for us. We cannot take it anymore."

CNN's Devon Sayers contributed to this report

@highlight

NEW: At least one person is dead in post-election violence

@highlight

Mobs burn the headquarters of the government-backed candidate

@highlight

Protesters face off against U.N. troops

@highlight

The airport in Port-au-Prince is shut down; American Airlines cancels Haitian flights