Bangkok, Thailand (CNN) -- Bangkok turned into a war zone Wednesday as Thai military forces cracked down on anti-government protesters, ending a tense standoff that has troubled the capital for weeks.

The army surged into Lumpini Park, the area where Red Shirt demonstrators had amassed. Armored personnel carriers crushed bamboo and tire barricades; the protesters hurled M79 grenades at soldiers. The May sky quickly turned black from thick smoke billowing from landmark buildings set ablaze.

Finally, after hours of intense street battles, the Red Shirt leadership surrendered. The government imposed a strict curfew that barred people from going outside between 8 p.m. and 6 a.m. The chaotic day left at least five people dead as Bangkok residents endured an edgy and unsettled night.

Thailand's prime minister sought to calm public fears with a televised address in which he expressed confidence that peace would soon be restored.

iReport: Are you there? Send your images, video

"I would like to give moral support to officers who are doing their duties now and would like to reassure you," Prime Minister Abhisit Vejjajiva told citizens. "And I am confident that we can overcome all the problems and bring the country to a long-lasting peace."

The government considered the demonstrators to be terrorists, and army Col. Sansern Kaewkamnerd said that growing violence necessitated the use of force. He said soldiers were given the all-clear to fire if they faced a clear threat.

iReport: Video sparks discussion

"The terrorists have created further situations of violence by torching government and business buildings," Sansern said. "It was therefore necessary for the police and military to put further pressure."

He said the government had regained full control and Red Shirt leaders had fled or were taken into police custody.

Seven anti-government protest leaders were taken into custody while several others fled, authorities said.

iReport: Army running away

Lt. Gen. Daopong Ratanasuwan, the army's deputy commander, estimated the number of protesters left on the streets late Wednesday had dwindled from 10,000 to about 3,000.

Timeline of Thailand's political crisis

Many dispersed, and smaller riots erupted throughout the city. Witnesses reported a dozen buildings -- including a bank, a police station, a local television station and Thailand's biggest shopping mall -- set ablaze.

Hours after the large military operation got under way, soldiers took control of the park area.

The Red Shirt leadership called off the protests, telling a crowd at the park that they wanted to avoid further bloodshed and wanted to turn themselves in. But it seemed as though the large group of protesters was not heeding that call.

Sniper fire and explosions were heard after the leaders spoke of calling off the protests, said George McCleod, a witness and freelance journalist in the area.

"It is a live ammunition situation, and I expect a heavy death toll by the end of the day," he said.

What are the protests about?

At least five people, including an Italian journalist, were listed as killed by the Police Hospital in Bangkok. Another 64 -- two journalists among them -- were wounded. One was Andrew Buncombe, Asia correspondent for the Independent newspaper in London, who was taken to the hospital with a leg injury that was not life-threatening.

Officials asked protesters, residents and foreigners to head to a nearby stadium if they wanted to leave.

Bangkok residents: 'This is a mini-civil war'

"We Thai people never experienced this kind of situation before," said Sirinun Siripanich, the assistant secretary to the Bangkok governor. "This is like a mini-civil war."

The military operation was the government's last stand against protests that paralyzed parts of Bangkok for months, Thai officials said. At least 40 people have been killed since clashes intensified Thursday.

Trapped in Bangkok's protest zone: Hunkering down

The prime minister's office issued a statement blaming the crackdown on failed talks between the two sides.

"Negotiations failed because core [opposition] leaders are not to be able to make decisions by themselves," the statement said, alluding to an outside force influencing the protesters. "[We] ask core leaders to stop the rally and surrender."

The Red Shirt opposition members support former Prime Minister Thaksin Shinawatra, who was ousted in a bloodless 2006 military coup. They have been protesting for weeks, demanding that Abhisit dissolve parliament and call new elections.

From his self-imposed exile abroad to avoid a trial on corruption charges, Thaksin released a statement Wednesday saying he was not the leader of the United Front for Democracy, the formal name of the Red Shirt opposition, and that their movement calling for new elections is not on his behalf.

"They did not demand anything for me or on my behalf. I am not UDD," he said.

Thaksin also accused the Thai government of defaming him by saying he was the mastermind behind the violence in the country's ongoing political crisis.

"I never approve nor agree to any use of violence," he said. "I believe in peace. I love my country as much as any member of this government. I believe in peaceful and non-violent means to end conflict and reject any use of force.

"If there is any act of terrorism, it is the duty of this government to find the wrongdoer and prosecute them in the court of law."

The violence prompted the United Nations' top human rights official to implore anti-government protesters and government officials to resume talks.

But on Wednesday in Bangkok, as bullets rang out, black plumes of smoke rose and soldiers crept forward toward a showdown, it seemed that the time for talking had passed.

iReport: 7-11 at OnNut Looted/Bombed

CNN's Dan Rivers, Sara Sidner, Kocha Olarn, Lateef Mungin and Miranda Leitsinger contributed to this report.

@highlight

NEW: Some Red Shirt leaders surrender after hours of street battles

@highlight

At least five dead as security forces seize park held by protesters

@highlight

Thai government imposes curfew between 8 p.m. and 6 a.m

@highlight

PM Abhasit: "I am confident we can bring the country to a long-lasting peace"