Columbus, Ohio (CNN) -- Teaching Mandarin is a growing trend across schools in the United States, where the number of students enrolling in Chinese language and cultural programs has tripled in recent years.

A school district outside Columbus, Ohio, is on track to receive more than $1 million in federal grant money for its Chinese arts and language program. But what's really caught people's attention is the $30,000 that the district is getting from the government of China.

The Gahanna-Jefferson School District began teaching Mandarin Chinese four years ago and since then, the number of students in the program has increased from about 40 to 350.

Administrators felt China should have a home in their suburban Ohio school system since the communist country has the world's second-largest economy and is becoming increasingly relevant.

"We owe it to our students so they can be a successful part of the world," said Hank Langhals, coordinator for pupil services. "And China will be a major player there."

The district has been dubbed a Confucius Classroom, which in a nutshell means it has earned the support of the Chinese Ministry of Education. The funds will be used, school officials say, to support their visiting teacher from China and to foster the newly formed relationship with their sister school in the southern Chinese province of Kunming.

From New England to California and many places in between, dozens of public schools have similar relationships with the Chinese government. And the number continues to grow.

Chinese student loving life at U.S. college

During his visit to the United States this week, Chinese President Hu Jintao plans to visit one such program at the Walter Payton College Prep school in Chicago.

The nonprofit Asia Society works, in many instances, with the Chinese government to help secure new Confucius Classrooms and relationships. They work with more than 60 schools in the U.S.

Mandy Aldis is a mother of three at Gahanna's schools. She and her family moved to the district specifically for the language program.

"We feel very lucky that we have this," Aldis said. "I say it's just like math, English, art -- it's as important as anything else."

Aldis added that having guest teachers from China who are native speakers adds to the experience. Her son is a sophomore and has taken a serious interest in the language.

"I'd have potential to get a job doing translating or interpreting, maybe work for the State Department," said Andrew Aldis.

Pop culture helps bridge U.S.-China gap

Judy Huang Lewis, who owns a business in Ohio that regularly does business with China, said the need for Chinese speakers is increasing, particuarly because of the small Asian population in the Midwest.

"It's really been challenging," she said. "Schools that offer stuff like this I think are crucial going forward."

But the program doesn't sit that well with everyone, in part because of the Chinese government's role.

Aldis said he hears about it "all the time."

"I actually have a few friends that are hateful towards the language and the culture, maybe because it's different," he said.  "A lot of Americans don't really know much about Chinese culture so they see it as alien so it's bad. I think China has a beautiful culture."

Teacher Chiwei Lin has also heard some concerns raised about the program.

"Not really often because I think most Americans are really polite," Chiwei said.  "They wouldn't just say something like that in front of your face, but there are people who are not willing to open up to other cultures."

Outside Los Angeles, the Hacienda La Puente Unified School District was set to receive similar funds from the Chinese government through the Confucius Classroom network. But backlash from community members who cited "communist propaganda" meant they ultimately had to turn it down.

"The objection ... was not to the teaching of a foreign language," said John Kramar, the district's former superintendent and a vocal opponent of the proposal. "The problem here was the culture portion and the involvement with the Chinese government."

Kramar said he was concerned about impressionable elementary students learning about communism through material provided by the Chinese government.

School officials at Ohio's Gahanna-Jefferson school district maintain that is not part of their curriculum.

Asked whether they must follow certain guidelines in order to receive the funds, International Language Coordinator Rae Harriott-White said "absolutely not." She added that they wouldn't have accepted teachers from China if they came with their own curriculum.

School administrator Hank Langhals stressed that a relationship, however small, between China and the United States will be mutually beneficial in the long run.

"We don't agree with everything, how the system works in China, but hopefully as it opens more and more, which it certainly has, they will become more democratic, they will become more open with less censorship, so you hope that's all there," Langhals said.  "That doesn't mean, though, that if it's not there yet that our students don't learn about the culture and don't learn about the language."

Parent Mandy Aldis said she isn't bothered one bit by the program being funded by China's government.

"I'm not sure why [people have problems with it]," Aldis said. "It's wonderful that [China is] reaching out to us and we're reciprocating. I think the more you're exposed to another culture, the more you understand each other, you're just a more well-rounded person. And I think everybody could use that."

@highlight

China's government is sponsoring the Confucius Classroom program

@highlight

It sends teachers and money to U.S. schools to teach Chinese language and culture

@highlight

A suburban Ohio classroom is set to receive $30,000 from China to help fund the program

@highlight

A Los Angeles-area school district rejected the program after opposition