(CNN) -- This may be a week of skeptical glances.

When I took the subway home on Monday night, after watching news that three people died and more than 100 were injured in a terror attack in Boston, I looked around at crowds and fellow passengers in Atlanta with an unfair twinge of suspicion. It's difficult not to let events like this impact your patterns of thinking. It's sometimes hard to do what The New Yorker's Hendrik Hertzberg suggests: to keep calm and carry on.

That used to be easy, before Oklahoma City, where I'm from, and before 9/11. Then it was more difficult. And just when it seemed like "terror" was a word that we could use with a sense of distance and irony -- and a concept we watched play out in films like "Zero Dark Thirty" and not in our communities -- our collective sense of security threatened to evaporate again, after two explosions hit the finish line of the Boston Marathon.

We are left searching for answers and perpetrators. Families are mourning those who died and praying for those who lost limbs and were severely injured.

I think it's because of all this uncertainty and soul-searching that a quote from America's lullaby-voiced comforter, Mr. Rogers. bounced all over my Twitter feed on Monday afternoon, getting retweeted in various forms by thousands.

"I would see scary things in the news, my mother would say 'Look for the helpers. You will always find people who are helping.'"

Leave it to a former kids' TV host to give America its moral compass.

iReport: Bostonians rush to support stranded visitors

Right now, as the authorities try to figure out who did this and why, what the rest of us can do is take a moment to focus on the humanity that followed the tragedy.

Doing so will remind us that America is bigger and stronger than these events -- that we don't have to let fear change us as it has before.

Jared Keller, a native Bostonian and director of social media for Bloomberg News, compiled a short but powerful list of the helpers in Boston. Among them were people who ran toward the site of the explosion -- rather than away from it -- to try to help the people who were injured. They were marathoners who "kept running, all the way to Massachusetts General Hospital, to give blood" after the blasts went off. They were, of course, the police officers and other first responders who were photographed in numerous courageous and selfless acts, including carrying this small person away from the scene. "Many were fleeing," wrote David Abel from the Boston Globe, "but many were running to the wounded. They ripped down the metal barriers separating the runners from spectators. Unsure of whether there would be another explosion, these strangers risked their lives to help other strangers, performing CPR, comforting those in shock, and carrying the wounded to the nearby medical tent."

Others protected each other during the explosion.

Dr. Allan Panter treated victims at the site of the explosion, according to CNN's live blog. "I saw at least six to seven people down next to me," he said. "They protected me from the blast. One lady expired. One gentleman lost both his (lower) limbs."

They were runners who offered jackets to each other. And they included a photographer who walked through pools of blood to try to capture the horror and humanity of the scene, all while holding back tears of his own.

Outside that northeastern city, they were technologists who scrambled to publish tools to help relatives find their loved ones and to help stranded visitors find a safe place to stay the night. They were joggers who hit the streets in their own neighborhoods even though the blast may have shaken them up.

On Monday night, Dan Conley, Suffolk County's district attorney, took the microphone at a news conference and put words to these sentiments.

"It was a large and disturbing scene. Like each of you I am praying for the victims and their loved ones. It is a terrible, terrible day for them," he said. "Seconds after those bombs went off we saw civilians running to help the victims right alongside members of the Boston Police Department and Boston EMS. And in the hours that followed police and medical personnel from across the region have sent dozens, maybe even hundreds, of volunteers to help us here in Boston.

"That's what Americans do in times of crisis. We come together and we help one another. Moments like these, terrible as they are, don't show our weakness, they show our strength."

That was true in Oklahoma City and New York. It was true in Norway, where people responded to a 2011 massacre by gathering around an Oslo courthouse to sing.

And it's certainly true of Boston.

"Moments like this, and our response to them," Conley said in another press conference on Tuesday morning, "define who we are."

It's understandable to be shocked by these events and to be a little wary in the hours after tragedy. But as the "helpers" in the wake of the Boston bombing reminded me, we are more the same than different, and more good than evil.

We're all geared to be helpers.

And that's who we'll continue to be.

@highlight

A Mr. Rogers quote was widely shared on Twitter on Monday

@highlight

After tragedy, he says, we should "look for the helpers"

@highlight

John Sutter: That message is resonant following the Boston bombing

@highlight

He says all of us are geared to help, and the bombing response shows that