Editor's note: Julian E. Zelizer is a professor of history and public affairs at Princeton University's Woodrow Wilson School. His new book, "Arsenal of Democracy: The Politics of National Security -- From World War II to the War on Terrorism," will be published this fall by Basic Books. Zelizer writes widely about current events.

Julian Zelizer says interest groups have eroded the quality of America's democratic process.

PRINCETON, New Jersey (CNN) -- Last week, Americans saw some disturbing images. During town hall meetings about health care reform, legislators and citizens were loudly interrupted and intimidated by members of the audience who refused to let them speak.

We don't yet have solid evidence as to whether the protesters were local citizens simply expressing their genuine concerns about the cost of the health care proposals -- concerns that have been showing up in recent polls -- or whether they were people primarily recruited and sent into these meetings by such groups as FreedomWorks, Americans for Prosperity, and Conservatives for Patients' Rights.

At the same time, we did learn last week that a firm hired by the coal industry sent fake letters to members of Congress, allegedly from Latino and African-American organizations, opposing climate and energy legislation.

The letters were sent on behalf of an industry group, the American Coalition for Clean Coal Electricity, by a subcontractor, Bonner Associates, a firm that manages grassroots campaigns on behalf of interest groups. The coal industry said it was outraged to learn of the fake letters, and Bonner blamed them on a temporary employee who it said has been fired. The incident brought to mind "Astroturf" campaigns, which are sophisticated lobbying operations that give the impression of an actual grassroots mobilization.

While advocacy organizations have long worked on letter-writing campaigns to members of Congress -- where citizens are asked to sign and send letters in support of or against legislation -- the coal scandal provides evidence of a practice of claiming support without any consent.

These events bring back memories of a movie that came out a little over 10 years ago called "Bulworth." In that film, Warren Beatty played Democratic Sen. Jay Billington Bulworth, a politician who came out of the liberal politics of the 1960s but had become disillusioned by the corrupting life of Washington. He is so distraught that he hires a hit man to kill him after taking out a multimillion-dollar life insurance policy.

Yet after meeting an enchanting young woman, played by Halle Berry, Bulworth is re-energized. While trying to avoid the assassin whom he hired, Bulworth spends the weekend railing against the power of lobbyists and interest groups in the political process, explaining to citizens in one inner-city neighborhood that politicians will never pay attention to them because they don't contribute enough money. Though he is excited about life once again, the film ends with a lobbyist shooting the senator because he is frightened by the threat he presents.

The film is obviously a gross exaggeration of what lobbyists will do to protect their interests. Nor should we vilify interest groups, which have always been part of our democracy. The truth is that there are many kinds of interest groups, dealing with all sorts of issues and reflecting all sorts of political perspectives.

But interest groups have clearly eroded the quality of our democratic process. The most obvious way has been through outright corruption. There are many historical examples of how powerful interest groups tried to buy their way to success.

American politics was rocked in 1905 and 1906 by revelations that the life insurance industry had bribed politicians. During the congressional hearings over Watergate in 1973, the investigation revealed that the milk industry had donated money to President Richard Nixon's administration and powerful members of Congress in exchange for favorable decisions by the Department of Agriculture.

Lobbyists and politicians on the left and right have been guilty of these sins. The recent corruption scandal that has shaken New Jersey is a painful reminder of this dark side of our political system.

Interest groups have also eroded the quality of our political system even when they are not engaged in corruption. Since the 1970s, there has been a massive proliferation of interest groups in Washington, D.C.

The level of campaign contributions from these sources has steadily increased as politicians scramble to find sufficient funds to meet the rising cost of campaigns. The campaign finance system gives interest groups better access to elected officials.

Now, interested parties are gradually extending their reach into areas far from Washington.

We have seen the use of these tactics several times in recent years. In 2005 and 2006, for example, the nation learned how Jack Abramoff's lobbying firm worked with Ralph Reed's conservative organizations to mount Astroturf protests against state efforts to legalize gambling because they threatened Native American groups that were clients of Abramoff.

If reports that advocacy groups have been behind the recent outbursts at town hall meetings are true, these revelations would signal a disturbing trend in interest group politics. Some liberal supporters of health care reform are naturally talking about responding in kind, fighting fire with fire. While this might very well create a more level yelling field, such warfare will crowd out legitimate efforts by unaffiliated citizens to talk about, question and debate the legislation with their representatives.

But the danger is lobby creep, as we have seen with the coal industry's lobbying campaign. The concern is not primarily about rabble-rousers, who frequently emerge on the left and right at these events, employing disruptive tactics that we have seen since the 1960s.

Rather the concern has to do with Washington-based interest groups and lobbyists sending people to local meetings to convey a specific and choreographed message, while preventing debate among actual local citizens.

It is easy to foresee how interest groups can take this even further, sending their employees to impersonate local citizens while preventing discussions. Such tactics would dangerously threaten to close one of the few remaining doors in the democratic process to everyone other than those with the largest resources.

It is not difficult to envision in the near future a surreal world of town hall meetings where legislators meet with a room filled with paid operatives from interest groups.

These kinds of operations must stop. This is not an issue that can be solved through regulation, since our democracy must always protect and cherish the right to organize and mobilize politically. But citizens and politicians must not tolerate these kinds of activities from interest and advocacy groups -- even those that represent positions that they support. The stakes are high. We need to save what little room is left for civic engagement in America.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Zelizer:  Interest groups are focus of controversy over disruptive town hall tactics

@highlight

He says it's not clear if the protests are largely being stage-managed

@highlight

He says interest groups are playing a bigger role in American democracy

@highlight

Zelizer: There's a danger that interest groups will choke off real debate