Editor's note: This story is part of the iReport Weekend Assignment project, in which the CNN iReport community takes on a special skills challenge once a week. Last weekend's challenge was to create a time-lapse video that told a local story. This weekend, we're making mini cooking demonstrations. Head to CNN iReport to join the fun and learn a little something while you're at it.

Time was, if you wanted to make a time-lapse film, first you had to build a machine.

In the late 1920s, John Ott was an American high school student with a passion for photography and a lot of time on his hands. He wanted to capture apple blossoms unfolding over time on film, and he knew he needed to take frequent pictures around the clock, even while he was sleeping or away at school.

So he wired together a kitchen timer, a camera, a paper clip and a pull cord, and voilà: Photos taken at regular intervals over time and sped back up revealed the beauty of the blooming flowers to the naked eye.

Ott went on to become a pioneer of time-lapse photography, filming incremental changes in flowers and insects, and helping to pave the way for scientific research that still today gains insights from slowed-down views of biology and the physical environment.

Time-lapse is a photographic technique that captures images much more slowly than normal video but plays them back at standard speed, which condenses long periods of time into a relatively short video. It's like "slow motion, seen from the perspective of eternity," says Richard Misek, a film professor at Bristol University in England who is writing a history of time-lapse. (See Misek's iReport time-lapse of a busy Melbourne lunch.)

When John Ott wanted to experiment with time-lapse, he had to build a contraption, but today's inexpensive digital tools make it easy for almost anyone to give it a try and share their results with the rest of the world.

All you need is a camera on a tripod, an idea and a healthy dose of patience. And a folding chair, recommends Raphael Rodolfi, an iReporter who took part in a time-lapse challenge on CNN iReport last weekend. Someone has to sit with the camera while it's filming an extraordinary sunset or clouds moving slowly across a sky.

See iReporters' tips for trying time-lapse

Dozens of people shared their first time-lapse attempts on CNN iReport last weekend. Jim Dourney, who shot a day in the life of a busy Florida inlet, said he found time-lapse "surprisingly easy to do." Simple instructions for using the movie-making software that comes standard on may computers are just a Google search away.

Maarten Toner runs a group dedicated to time-lapses on Vimeo, a video sharing site popular among filmmakers and creative photographers. It's a wildly active group, where inventive new time-lapse videos from across the world pop up every few hours.

When people first pick up a digital camera and want to try video, "slow motion is the first thing you do," Toner says. "Time-lapse is the second." What's the draw? It's simple to make magic. "I think people are really surprised by the effect, and then it becomes an addiction."

Another attraction, says artist Keith Loutit, is that in some ways, time-lapse brings back some of the wonder of analog photography. "When people turn a camera on and it's firing away, there's a real wonder about what's going to happen. People are so used to looking at the back of the camera now." But with time-lapse, you don't see the result until you get back home.

Loutit is a photographer whose work uses time-lapse and tilt-shift techniques to turn the real world into what looks like meticulous animation. His "Bathtub IV," a piece shot over three months in Sydney, Australia, tells the story of a helicopter rescue at a busy beach. He was looking to cast a place he knows well in a different light.

When iReport asked its community to try time-lapse as part of a weekend assignment series, several participants remarked that it had made them think about the places they live and see every day in a new way.

See all the iReport time-lapse videos

"Waiting in the cold with my camera made me sensitive to subtle changes in the scene I might normally have missed," iReporter Hannah Slagle Palmer said. (Watch Palmer's video of gnat-sized airplanes hopping over the Atlanta, Georgia, skyline.)

That's what it comes down to: "The power of time-lapse," Misek said, is that it "shows you time frames that you can't normally perceive. When it's at its best, it shows you the world from another perspective."

@highlight

Digital cameras and video sharing sites give new life to an old technique

@highlight

Time-lapse offers new perspective on places we see every day

@highlight

iReport challenges its community to try a new skill each weekend

@highlight

Next up: Teach a cooking class