(CNN) -- Can we predict the future of medicine? Although designer babies and a disease-free world may or may not come to pass, you can get a glimpse of the most promising and upcoming medical innovations each year, via the Cleveland Clinic.

The clinic's Top 10 Medical Innovations list, which has been an annual undertaking since 2007, contains treatments and technologies that are expected to significantly change patient care and save lives.

To be considered, each innovation must have a good chance of being available to the public in the upcoming year, says Dr. Michael Roizen, chief wellness officer at the Cleveland Clinic and chairman of the committee that decides the list. The committee must also expect it to have a significant impact on a large part of the population.

The process starts with a panel of Cleveland Clinic physicians and scientists who submit their ideas. These suggestions, which Roizen said totaled about 700 for the 2015 list, are then narrowed down and voted on by 40 physicians in a variety of health fields.

Here's what they selected for 2015:

1. Mobile stroke unit

Videoconferencing has made its way into ambulances, specifically for treating stroke victims on the go. Hospital stroke neurologists can interpret symptoms via a broadband video link and instruct an onboard paramedic, critical care nurse and CT technologist on treatment. This new technology should improve the speed of medical care, which is important as strokes quickly damage and kill brain cells.

2. Dengue fever vaccine

The World Health Organization reports that about half of the world's population is now at risk for dengue fever, which up until now was preventable only by avoiding mosquito bites. The disease is a leading cause of death and illness in children in some countries. A new vaccine has been developed and tested, and is expected to be available in 2015.

3. Painless blood testing

For those who hate large needles, a nearly painless way to sample blood will be a welcome relief. Plus, it will be cheaper and provide faster results than today's blood test. The new technology takes blood from your fingertip, and the Cleveland Clinic reports that over 100 tests can be performed on just one drop of blood.

4. New way to lower cholesterol

New self-injectable drugs called PCSK9 inhibitors have shown to be very effective in lowering cholesterol. These drugs may prove to be helpful for people with high LDL cholesterol who don't have good results with statins. The FDA is expected to approve the first PCSK9 in 2015.

5 ways to lower cholesterol

5. Cancer drug that doesn't harm healthy tissue

Although chemotherapy can save lives, it can be hard on the body and attack healthy cells as well as cancerous ones. A welcome breakthrough in the world of cancer treatment, antibody-drug conjugates can deliver targeted treatment without damaging healthy tissue.

6. Immune booster for cancer patients

Immune checkpoint inhibitors have been shown to prevent cancer cells from "hiding" from the immune system, allowing the body to more effectively fight these abnormal cells. Combined with chemotherapy and radiation treatment, the drugs have shown significant, long-term cancer remissions for patients with metastatic melanoma, one of the most deadly forms of cancer.

7. Wireless cardiac pacemaker

Until this point, wires have been a necessary component in pacemakers. A new wireless pacemaker about the size of a vitamin can now be implanted in the heart without surgery. Its lithium-ion battery is estimated to last about seven years.

8. New medications for idiopathic pulmonary fibrosis

Idiopathic pulmonary fibrosis is a life-threatening disease that causes scarring in the lungs, leading to breathing difficulties and a shortage of oxygen in the brain and other organs. Life expectancy is only three to five years after diagnosis, but those numbers may change now that the FDA has approved two experimental drugs that slow the disease: pirfenidone and nintedanib.

9. Single-dose radiation therapy for breast cancer

The National Cancer Institute estimates that 40,000 women in the United States will die from breast cancer in 2014. The Cleveland Clinic cites multiple chemotherapy appointments, sometimes requiring the patient to travel long distances, as a hindrance to successful treatment. Intraoperative radiation therapy is a new solution. It treats a breast cancer tumor during surgery in a single dose, reducing time and cost spent on treatment.

What you should know about reducing your risk of breast cancer

10. New drug for heart failure

About 5.1 million people in the United States suffer from heart failure, according to the National Heart, Lung and Blood Institute. It is managed with a combination of drugs, but a new drug, angiotensin-receptor neprilysin inhibitor, has been granted fast-track status by the FDA because of its ability to cut the risk of dying from heart failure more effectively than current treatments.

For more information on the annual medical innovations list, including descriptions and videos, download the "Innovations" app or visit the website. A "where is it now" feature also includes updates on innovations that made the top 10 list in prior years.

"We look in past to see what we voted on to improve the process," Roizen said. "With one exception, we've been pretty good."

@highlight

The Cleveland Clinic has published its Top 10 Medical Innovations list since 2007

@highlight

110 Cleveland Clinic physicians and scientists submitted ideas for 2015

@highlight

Three innovations are cancer treatments

@highlight

Other innovations will help stroke and heart patients, and those at risk for dengue fever