(CNN) -- Russia's upper house of parliament has approved a controversial measure banning adoption of Russian children by U.S. families, Russian media reported Wednesday.

The legislation now goes to President Vladimir Putin to be signed into law, the semiofficial RIA-Novosti news agency said.

Read more: Russia's lower house approves bill to ban U.S. adoption

The legislation could affect hundreds of American families seeking to adopt. Americans adopted close to 1,000 Russian children last year, according to U.S. State Department figures.

Though the number has been dropping in recent years, Russia remains the third most popular country for U.S. citizens to adopt after China and Ethiopia.

The U.S. Ambassador to Russia Michael McFaul tweeted that passage of the bill "saddens" him, but said he's open to dialogue.

The bill also bars any political activities by nongovernmental organizations receiving funding from the United States, if such activities could affect Russian interests, the news agency said.

The legislation also imposes sanctions against U.S. officials thought to have violated human rights.

Read more: Russian lawmakers eye adoption ban to U.S.

The vote in the Federation Council, Russia's upper house, was unanimous, but Foreign Minister Sergei Lavrov has criticized the bill. It is expected to be signed by Putin in coming days.

Lawmakers in the State Duma, Russia's lower house of parliament, adopted the bill last week.

The move by Russian politicians is widely seen as retaliation for a law that U.S. President Barack Obama signed on December 14. That bill, called the Magnitsky Act, imposes U.S. travel and financial restrictions on human rights abusers in Russia.

"The United States is concerned by measures in the bill passed in the Russian Duma today that, if it becomes law, would halt inter-country adoptions between the United States and Russia and would restrict the ability of Russian civil society organizations to work with American partners," U.S. State Department spokesman Patrick Ventrell said last week.

The Magnitsky Act is named in honor of Russian lawyer Sergei Magnitsky, who uncovered the largest tax fraud in the country's history in the form of rebates claimed by government officials who stole money from the state. Magnitsky died in 2009 after a year in a Moscow detention center, apparently beaten to death.

The Russian bill's implementation would nullify a recent agreement between the United States and Russia in which the countries agreed to additional safeguards to protect children and parties involved in inter-country adoptions.

"American families have welcomed more than 60,000 Russian children into American homes over the past 20 years," Ventrell said last week. "Just last month we implemented a bilateral adoptions agreement with Russia to improve safeguards for adopted children and their families. If Russian officials have concerns about the implementation of this agreement, we stand ready to work with them to improve it and remain committed to supporting inter-country adoptions between our two countries."

Only China has more adoptions to the United States than Russia.

Backers of the Russian bill said American adoptive parents have been abusive, citing 19 deaths of Russian children since the 1990s.

In 2010, an American woman caused outrage after she sent her adopted son back to Russia alone on a one-way flight, saying the boy, then 7, had violent episodes that made her family fear for its safety.

Konstantin Dolgov, Russian Foreign Ministry's Special Representative for Human Rights, said on Twitter that Russia is "well aware of, and have pointed out more than once, the inadequate protection of adopted Russian children in the US." He also noted that the United States is one of three nations that has not signed the 1989 U.N. Convention on the Rights of the Child.

Anthony Lake, U.N. Children's Fund executive director, touted the importance of "inter-country adoption."

"While welcoming Prime Minister Dmitri Medvedev's call for the improvement of the child welfare system, UNICEF urges that the current plight of the many Russian children in institutions receives priority attention," Lake said.

UNICEF asked that Russia let children's "best interests" guide the "design and development of all efforts to protect children."

"We encourage the government to establish a robust national social protection plan to help strengthen Russian families. Alternatives to the institutionalization of children are essential, including permanent foster care, domestic adoption and inter-country adoption," he said.

The United States has signed but not ratified the convention, which has sparked concerns from conservatives over its impact on U.S. sovereignty and parental rights.

Groups such as Amnesty International and Human Rights Watch had urged lawmakers to reject the bill.

"This bill hits back at Russia's most vulnerable children and could deprive them of the loving families they desperately need," Hugh Williamson, Europe and Central Asia director at Human Rights Watch, said last week.

John Dalhuisen, Amnesty International's Europe and Central Asia program director, has said, "this bill is frankly a childish response to the Magnitsky Act."

@highlight

Upper house of parliament OKs ban on adoptions of Russian children by U.S. families

@highlight

Lawmakers in Russia's lower house of parliament adopted the bill last week

@highlight

The move is seen as retaliation for the Magnitsky Act, a U.S. law that restricts rights abusers

@highlight

But backers of the Russian bill say American adoptive parents have been abusive