(CNN) -- An uproar over treatment delays at the Department of Veterans Affairs is triggering a heated debate over whether it is too difficult to fire federal workers, with the House approving legislation on Wednesday that would make it easier to remove senior executives at the agency.

The Department of Veterans Affairs Management Accountability Act, sponsored by House Veterans Affairs Committee Chairman Jeff Miller, R-Florida, and passed overwhelmingly, would let the agency secretary immediately fire any of the department's senior executives.

Currently, those executives get at least 30 days' notice of potential dismissal and an option to invoke a potentially lengthy appeals process before losing their jobs.

For months, Miller has argued that the VA is too reluctant to fire executives, especially those connected to delays in veterans care.

The agency is engulfed by a growing controversy over allegations it covered up excessive wait times for veterans at some VA health care facilities.

President Barack Obama is resisting calls from some quarters to fire Veterans Affairs Secretary Eric Shinseki. He said on Wednesday that he needed more time to review what was going on and promised accountability.

How many has the VA fired? An argument for change

Miller's proposal is a strong statement, but it would affect a relatively small group of federal workers. There are roughly 360 senior executives at Veterans Affairs, according to the Office of Personnel Management. There are 340,000 total employees.

But the more important figure to look at may be the number of execs fired recently.

CNN analysis of OPM data found the VA fired two senior executives last year. And that was much higher than usual. During the four years from 2008-2012, only one other senior executive was terminated for cause from the agency, according to the personnel data.

The VA's executive firing rate last year was in line with the 0.47% termination-for-cause rate of the federal government overall, according to the OPM statistics.

But, the trend over the past five years shows a substantial difference at the VA. From 2008-2013, the VA fired executives at a rate one-fourth the firing rate for government overall, according to the OPM data.

And even last year, when the VA was in line with the rest of the federal government on firing, critics still see that as a significant problem because the rates of termination in the federal government are substantially lower than in the private sector.

The 0.47% federal rate is roughly a third of that for the private sector, according to the latest Bureau of Labor Statistics data.

"I actually think the federal workforce would be better off with more firing or at least as much as in the private sector," argued Chris Edwards of the libertarian Cato Institute. "The good workers get disheartened and demoralized if they see these non-performing workers making as much as them and they're not doing their job."

The danger of politics, an argument for workers

But just as some conservatives cry for removing red tape and speeding up the firing process for government executives, others insist the idea could easily harm good employees at the VA.

"What happens is the politics get ahead of the facts," said Joe Kaplan, an attorney who has worked on federal workers' cases for more than 30 years.

Kaplan believes the need for potential scapegoats in a crisis could easily lead to abuse under Miller's bill.

For example, he told the story of an IRS employee who came to his office saying others at the agency had suggested she could be fired and were pressuring her to over a recent high-profile congressional investigation of IRS targeting of conservative political groups.

Kaplan looked at her case, saw no evidence of wrong doing and advised her to stay put. She did, and was not fired.

"For political reasons, things can get blown out of proportion easily," Kaplan concluded. "And is it good that private employers can fire people without any cause? We should want the federal government to be a model employer."

Others argue something more: that allowing a political appointee, like a Cabinet secretary, to fire people at will could threaten American-style democracy. That it could invite patronage and corruption, something that was in full bloom until President Chester Arthur signed the first civil service reform act in 1883.

"It's really important in a political system to maintain a third party review of personnel actions," said Max Stier, president of the nonpartisan Partnership for Public Service which focuses on strengthening civil service.

"The operations of government need to be different in some ways than they are in the private sector. We don't want a government that is staffed according to political persuasion," he said.

Stier believes the system needs to change, that there may be too much red tape. But he argues that Congress needs to revamp the entire, outdated federal personnel policy for the government, not just make a sudden change at the VA.

"It's the whole system that needs to be reviewed," he asserted.

Why the change at the VA? Why now?

Miller insists that as it is now, the VA is not a meritocracy. That instead, poor performers who oversee failing areas, may be rewarded with bonuses.

"In instance after instance where mismanagement has led to veteran suffering, department officials have repeatedly pointed to non-disciplinary actions such as employee retirements and transfers or bureaucratic slaps on the wrist," said Miller when he introduced his bill in March.

He called those actions "a disingenuous attempt to create the appearance of accountability."

Secretary won't quit

Shinseki has not publicly commented on whether he would like more power to fire executives. Now that the House has acted, the matter moves over to the Senate where Florida's Marco Rubio has introduced a companion bill. It's not clear if it will be considered.

But for now, Shinseki has no plans to fire himself, saying he isn't resigning.

Nor has he said if he is in the process of firing any VA employees as a result of the scandal. Some, including the head of the Phoenix branch where problems were first discovered, have been suspended.

Did he say anything in his testimony why he couldn't?

Senators asked the agency leader directly at a hearing last week on the scandal.

"Have you ever fired anyone on this issue?" Sen. Mark Begich, D-Alaska, questioned Shinseki.

Shinseki replied that he needed to look through the agencies records to check.

But would he fire someone because of the scandal?

"I will do everything I can," Shinseki demurred.

"That's not the question," replied Begich.

"There is a process here," Shinseki summarize, "let me not get out ahead of it."

Obama management style under fire again with VA

@highlight

NEW: House approves a bill that would make it easier to remove executives at Veterans Affairs

@highlight

Rep. Jeff Miller says the VA is too reluctant to fire executives at center of care controversy

@highlight

President Barack Obama promises to get to the bottom of it and hold people accountable

@highlight

The agency is under fire for treatment delays and allegations of a coverup