Havana, Cuba (CNN) -- For years, small groups of Cuban dissidents have taken their demands to the streets, calling for political freedom as they get pushed around and shouted down by swarms of government supporters.

But a recently leaked video suggests the war between the Communist government and its opponents has shifted to a new battlefield: the internet.

The video shows what appears to be an official intelligence briefing, in which a lecturer talks about the dangers and possibilities of the web.

"We aren't fighting the new technology," he tells his audience, who are dressed in the military uniforms worn by Cuba's Interior Ministry officials. "We simply have to get to know it and use it in our favor, but also know what the enemy is doing."

The 54-minute video was posted on the video-sharing website Vimeo by someone identified only as "Coral Negro" and has since appeared on dozens of blogs, many of them critical of the Cuban government. CNN wasn't able to verify the authenticity of the video.

Although it was leaked this month, the video appears to have been recorded last summer, well before the social-media-fueled uprisings in North Africa and the Middle East. But for Cuba¹s dissident bloggers, there are plenty of parallels.

Yoani Sanchez followed via Twitter the upheaval in Egypt that ultimately led to the ouster of President Hosni Mubarak and responded with her own tweets.

"What a great lesson the Egyptians are giving us!" she wrote.

Sanchez has won a huge global audience with her blog "Generation Y," which criticizes the Cuban government and comments on daily hardships.

"There are a lot of similarities with Egypt," she told CNN Wednesday. "The dissatisfaction of the people, a single voice in power for so long. And that's why I was so enthusiastic about what was happening there."

But she said there are also very important differences -- namely Cuba's low internet penetration. Recent figures show an estimated 1.6 million people there are internet users, out of a population of 11.2 million.

According to the leaked video, the Cuban government's fear is that U.S.-backed dissidents will use social networks like Twitter and Facebook to incite unrest.

"Technology in itself isn't a threat," the lecturer says. "What can be a threat is the person behind the technology, in the same way it can be an opportunity for us to do something with it."

Cuba has jailed American aid worker Alan Gross, who was a subcontractor for USAID. Cuban officials have accused him of distributing illegal satellite equipment to dissidents to help them connect to the internet.

The State Department and Gross' family say he was working with Jewish groups.

Gross has been formally charged with "acts against the independence and territorial integrity of Cuba" and could face up to 20 years in prison when his case goes to trial.

In the leaked video, he's called a "mercenary."

"It's just like the Bay of Pigs invasion," the lecturer says. "But this man is coming with different weapons. He didn't come on a boat with a gun in his hand, but it's the same story."

Nonetheless, Cuba isn't turning its back on the internet. Dozens of pro-government blogs have also appeared, many of them written by journalists who work for state-run media.

"They have their bloggers and we have our bloggers," the unidentified man in the video says at one point. "We'll see who comes out stronger."

For years, the government blamed the U.S. embargo for restricted access to the internet, but this month, it completed an undersea fiber optic cable connecting the island to Venezuela.

When that network goes online this summer, Cuba's bandwidth will increase by 3000. But the question remains whether Cubans will be allowed unlimited access to it without restrictions.

Cuba currently accesses the internet via expensive satellite connections. As a result, the government has said it cannot offer internet access to the broader population, lacking the money to create the necessary infrastructure to support it. It has given priority to education and health workers, who often can only access a limited intranet. The government also provides connections at very high costs to foreign diplomats, businesses and journalists.

@highlight

A leaked video appears to show an intelligence briefing about the internet

@highlight

The lecturer says the government must use the internet to its advantage

@highlight

Only a small percentage of Cubans have unrestricted internet access