(CNN) -- Imagine not being able to hear a siren during an emergency or to see a warning sign to evacuate. Imagine navigating knee-high mud in a wheelchair or trying to explain to a child with Down syndrome why he or she must seek higher ground. Those are just some of the challenges facing those with physical and cognitive disabilities -- people often least prepared to face a natural disaster.

A largely overlooked report issued this month by the United Nations Office for Disaster Risk Reduction found that the crucial needs of about 1 billion people living with physical and mental disabilities around the world are not woven into the disaster planning and emergency response plans of governments and civil society groups.

The result is that a disproportionate number of disabled persons suffer and die in disasters because of a lack of attention to their needs. Emergency response systems and shelters are poorly designed to handle their requirements. According to the report, 70% of those with disabilities who responded to the survey in over 100 countries said they did not know how to tap into any existing emergency response system in their communities. They become largely dependent on the good will of families and neighbors.

The report confirms the experience from recent catastrophes like the 2010 earthquake in Haiti -- where deaf victims were trapped underneath rubble, unable to hear the sounds of rescuers drilling above -- and the 2011 earthquake and tsunami in Japan, where victims in wheelchairs could not board evacuation buses or get into temporary housing that had no ramps.

And we have seen in the U.S. during Hurricane Katrina and other major storms how those with disabilities suffer. In a post-Katrina study of survivors, reports found that people with physical or cognitive disabilities faced considerable barriers to transportation, evacuation, and housing. Dozens died in nursing homes and medical centers. Many of the disabled survivors did not have jobs, making post-crisis transition even more challenging.

It is tempting to presume that people with disabilities are small in number. The reality, however, is that roughly 15% of people in the world live with a physical or cognitive disability -- many of them in developing countries that cannot afford care and inclusion.

In the United States, 37.2 million Americans have some form of disability. Despite the success of programs like the Americans with Disabilities Act, there are millions of people left without meaningful employment, education, and services before, during, and after a crisis.

The United States has a global imperative to address the needs of the disabled today -- especially in difficult fiscal times. Leaving aside the moral obligation, there is an economic driver at work. Worldwide, people with disabilities have higher unemployment rates than those without disabilities. In developing countries, 80% to 90% of persons of working age with disabilities are unemployed, whereas in industrialized countries the figure is between 50% and 70%. Their exclusion from the workplace deprives societies of an estimated $1.4 trillion in gross domestic product.

As we plan for disaster relief, as well as routine development and assistance, it is vital that America lead with a sustained commitment to those with disabilities. The U.S. failure to ratify the U.N. Convention on the Rights of Persons with Disabilities -- a convention signed by 155 nations -- reinforces a perception that America does not care about the disabled.

Yet despite the failure to ratify the convention, America has a good story to tell on inclusive development and disabilities. The U.S. Agency for International Development has led the way on supporting principles of universal design that not only fund specific programs to address the targeted needs of disabled citizens, but integrate disabilities into generalized programs that improve job training, education, quality and accessibility of care.

Over 75% of U.S. missions and USAID offices report activities and programs that specifically include people with disabilities. The U.S. State Department has a special adviser for international disability rights and has made enormous progress in expanding the range of U.S.-funded exchange programs to include more participants with disabilities and to convene international experts around the issue.

Recently, a major conference took place in Washington, with leaders on disability rights from Kazakhstan, Kyrgyzstan, Pakistan, the Philippines, Tajikistan, and Uganda and representatives from NGOs, universities, and government offices in the U.S., to address challenges facing persons with disabilities in their home communities. The U.S. sent the first-ever official team of disabled sports envoys to China to promote inclusion and equality for persons with disabilities.

This month we celebrate the 25th anniversary of National Disability Employment Awareness Month to pay homage to our own citizens with disabilities. The October campaign theme is "Because we are EQUAL to the task." This is a good time to think about those at home and overseas who are marginalized and excluded because of disabilities and make sure we are doing our part.

The opinions expressed in this commentary are solely those of Tara Sonenshine.

@highlight

Tara Sonenshine: In disasters, the needs of those with disabilities should be in forefront

@highlight

She says Hurricane Katrina, Japan and Haiti earthquakes demonstrate the problem

@highlight

U.N. report says needs of a billion people are not being woven into disaster planning