London (CNN) -- Spain faces a test of unity over the coming months as regional elections in Catalonia and Galicia threaten to destabilize the debt-ridden nation.

With unemployment at a record 25%, borrowing costs spiraling and debt repayments looming, Spain is emerging as the possible next candidate to tap its eurozone peers for financial help.

But Spain stands apart from other nations forced to seek aid. As the eurozone's fourth largest economy -- making up around 11% of the currency bloc's gross domestic product -- its financial problems are now being exacerbated by defiance from some of its 17 disparate regions.

Catalonia, a semi-autonomous region in the Northeast, represents one fifth of Spain's economy and the protestors are now actively calling for a split from central government.

Such agitations -- coming as they are in the midst of the country's debt crisis -- threaten to undermine Rajoy's attempts to pull Spain from its financial mire.

Nicholas Spiro, managing director of Spiro Sovereign Strategy told CNN that the sub sovereign debt problems are a "hot button issue."

For Rajoy, the push back "accentuates [the problems], making it more likely Spain will be forced to call on the European Stability Mechanism [Europe's permanent bailout fund]," Spiro said.

But Antonio Barroso, a Europe analyst at Eurasia Group, told CNN that despite the protests the likelihood of a Catalan separation is "extremely low."

According to Barroso, the ruling political party in Catalonia, Convergence and Union (CiU) led by Catalan President Artur Mas, has used the eurozone debt crisis and regional elections set for November 25 to openly call for sovereignty.

Barroso said: "It is true that public support for independence has been on the rise. But the Catalan government is implementing very tough financial adjustments and therefore the [Catalan] President, Artur Mas, is capitalizing on nationalist sentiments to shift the burden of responsibility onto the central government."

Last week Mas met with the Rajoy in Madrid to try and negotiate a new fiscal arrangement, whereby Catalonia would manage its own taxes and transfer less money to other regions in Spain. But talks stalled.

Even as Catalonia -- with its own language and culture -- strives for autonomy, in August, the CiU requested a 5 billion euro ($6.3 billion) bailout from the Spanish government. The request came after Rajoy announced plans for a credit line to be extended to Spain's 17 regions.

But, according to Barroso, Catalonia is not Rajoy's main concern. Instead Spain's leader is focusing on regional elections in Galicia in October -- a region in North-western Spain -- where his party is likely to win and where the policies could create a model for the rest of Spain.

Barroso said: "The key area for Rajoy is Galicia because his party has an absolute majority. He wants to use Galicia as an example of how his policies are working because it is one of the healthiest region in fiscal terms."

Spain has already requested up to a 100 billion euro ($128 billion) aid package for its ailing banks, which are still struggling to grapple with the property collapse in 2008.

Pressure from European partners and investor fear over further credit downgrades for Spain could undo the calming effect of European Central Bank President Mario Draghi's announcement on September 6. Draghi said the bank would be willing to purchase sovereign bonds of fiscally-frail countries such as Spain and Italy, if these indebted nations request a bailout.

But Barroso noted it was difficult to place a time frame on Spain seeking any external aid. He added: "For Rajoy, he has said 'only if market pressure increases' and you see how yields are going up again. I think market pressure is the ultimate factor that would cause Rajoy to apply."

@highlight

Catalonia has requested a 5 billion euro ($6.3 billion) bailout from the Spanish government

@highlight

Galicia and Catalonia will hold regional elections in October and November respectively

@highlight

Investors are wary that Spain could soon need financial support from European bailout funds