BEIJING, China (CNN) -- Had the government not delayed its controversial order that all computers be equipped with Green Dam by July 1, the result would have been the same -- Chinese computer retailers were far from ready.

The Green Dam's developers say they've received death threats.

PC sales representatives at Bainaohui, one of Beijing's largest electronics retailers, say their merchandise is not pre-installed with Green Dam, a Web filtering software the government said was necessary to prevent children from viewing pornography and other harmful content. Some retailers were unclear as to when the software would even be available on new units.

Computer experts say manufacturers have not had enough time to pre-install new computers with the software -- which is one reason behind the government's delay. PC companies may also be taking more time to test the software after programming errors, with the potential to make computers susceptible to hackers, were detected by University of Michigan professors. The Chinese government said that these errors have been fixed.

The international backlash against the Green Dam directive may be further delaying the pre-instillation process. Twenty-two chambers of commerce and trade groups made an appeal to Chinese Premier Wen Jiabao urging that he abandon the software mandate.

"China is putting companies in an untenable position by requiring them, with virtually no public notice, to pre-install software that appears to have broad-based censorship implications and network security issues," said U.S. Secretary of Commerce Gary Locke in a press-release.

With the support of U.S. trade officials, computer-makers including Dell and Hewlett-Packard are threatening to bring the matter to the World Trade Organization.

Other computer manufactures, including Sony and Acer, say they are bound to comply with the Chinese policy.

Domestically, Chinese Internet users are rallying against the government. Last week an anonymous group of "netizens" posted an open letter on Chinese blogs and forums.

"We hereby decide that from July 1 2009, we will start a full-scale global attack on all censorship systems you control," the message said.

The Chinese artist, activist, and architect who designed the Olympic "Bird's Nest" stadium, is one of the leaders behind the cyber battle. Ai Weiwei called for his Twitter followers to boycott the Internet on July 1st.

The Green Dam's developers say they've even received death threats.

The Chinese online community has been in an uproar since the new policy became public, and a "Declaration of Anonymous Internet Users 2009" circulating directly addresses government censors, said Charles Mok, chairman of the Internet Society of Hong Kong.

"They are showing altered pictures of their own face using masks like that from 'V for Vendetta'," said Mok, referring to the 2005 film updating the story of Guy Fawkes, who tried to destroy Parliament building in England in the 17th Century. "It says, 'We're behind the mask; if one of us falls down, ten others will join.'"

Mok also questions the true intent of the Green Dam software. "On its black list are 2000 words related to pornography and 6000 other types of politically sensitive key words like 'Falun Gong'," he said, referring to the banned Chinese religious group. "That ratio alone makes it obvious what's behind it."

Sharp criticism of the software partially stems from fears that the software will simply further strengthen the government's control and censorship of the media.

Yet the government said it is simply acting in response to parental complaints about the negative affects of the Internet on children. Responding to reporters' questions, foreign ministry spokesman Qin Gang acknowledges the controversy over the software in and outside China.

"However," he said in a regular press conference last week, "no matter how many different views there are, the Chinese government assumes the responsibility to protect our youth from unhealthy information on the Internet, and so do various social circles and enterprises. This is the essence of this problem."

The government said it is simply providing the software free of charge, as a pre-installed file on computer hard drives or as a CD, to give users to choice to install the software.

China is not the first country to try to censor the Internet; Iran, Myanmar, even France and Germany in various ways attempt to put limits on the blogosphere. But analysts doubt whether this particular policy can even be enforced. Said Victor Gao, a former government functionary who now heads a policy think tank: "The government always has its own views, but whether they are able to execute it to the detail and push it through the country is another issue."  Watch why the filtering software mandate has been postponed »

The extent to which the software's can block harmful content is still in question. Unofficial tests by Internet enthusiasts showed that while Green Dam considered a cartoon of a cat in blue clothes safe, pictures of Garfield the Cat were sometimes blocked by the software because it is programmed to categorize images with large areas of "yellow" as pornographic.

Over at Bainaohui, a hub of computer and Internet commerce in central Beijing, many salespersons seem oblivious to the new government edict. "I think I've read something about it on line," said one. And what do they think of Green Dam? "I have no idea since I have not used it yet," said a seller of computer software. Worried? "I don't think there would be any impact," replied another. Meantime, Bainaohui's robust IT business continues unimpeded.

CNN's Kevin Voigt contributed to this report.

@highlight

China extends deadline for Internet filtering software to accompany PCs

@highlight

International backlash, unreadiness of retailers may be reasons behind the delay

@highlight

Government says Green Dam software is designed to block porn

@highlight

Critics say software can block all non-government sanctioned content