New York (CNN) -- Every year, beginning with the January birthday celebrations for the Rev. Martin Luther King and moving through Black History Month in February, Americans and others revisit the history, role and significance of the black freedom movement in the United States.

But there is a frequent tendency to misrepresent the lessons of that movement and apply them to other social movements overseas in a way that misses the mark. This has been happening increasingly with the historical lessons that are being misapplied to the Palestinian freedom movement.

It has become almost a cliché, yet people, including Irish rocker Bono, continue to wield King's name when they bemoan the alleged absence of his like among the Palestinians. It seems no matter what Palestinian activists do, they are condemned as terrorists.

Whether they are engaged in armed struggle or nonviolent direct action, it does not matter: Palestinian activists are often portrayed as extremists who threaten life and property. The obvious exceptions are those Palestinians who are prepared to accept whatever terms the United States insists upon for the resolution of the Palestinian-Israeli conflict.

The recent arrests of Palestinian human rights activists Jamal Juma', Abdallah Abu Rahma, Ibrahim Amirah and Mohammed Othman are prime examples. Juma' and Othman were imprisoned without charge, Amirah faces charges of incitement, organizing illegal demonstrations, and stone-throwing, and Abu Rahma is confronted with a charge of "illegal weapons possession," apparently because a protest sign he created included a spent tear gas canister

In fact, they were imprisoned (Juma' was released on January  12 and Othman on January 13 after he was held nearly four months) not for firing missiles or ambushing Israeli troops, but for protesting what the International Court of Justice has called the illegal Israeli separation wall that carves up the West Bank and places Palestinian communities in an existence that recalls South African apartheid.

The systematic detention of such leaders has been condemned by Amnesty International, but the U.S. public is unlikely to get even a hint that the Israeli government is furthering its efforts to smash dissent in the occupied territories.

These recent crackdowns make even more ironic the hope expressed by Bono last month in The New York Times "that people in places filled with rage and despair, places like the Palestinian territories, will in the days ahead find among them their Gandhi, their King, their Aung San Suu Kyi." As a commenter on his column noted, these people exist today and have existed within the Palestinian movement. They are just in jail ... or dead.

Bassem Abu Rahme, for example, was killed by a teargas canister fired at close range by an Israeli soldier on April 17 while taking part in one of the weekly nonviolent protests that are regularly met with tear gas, billy clubs, rubber bullets and the threat of arrest.

I believe that Bassem, like many others, was following in Gandhi's path.

While it is certainly true that some of the protests by Palestinians are violent, the same could be said of the anti-colonial protests that took place on the Indian subcontinent against the British at the time of Gandhi. Gandhi certainly preached nonviolent direct action, yet there were others within the independence movement that advocated forceful courses of action.

Nevertheless, smearing or repressing all protests in the name of moving against those who use violence is disingenuous, a point well understood when viewing other freedom struggles, whether the Indian independence movement or the black freedom struggle in the United States. In fact, this repression becomes a means not of suppressing violence, but of suppressing all resistance to injustice. This is experienced today by the Palestinian movement.

Its objectives are caricatured and maligned by Israel in order to make the repression easier.

In this period -- from King's birthday through the celebrations and discussions that take place during Black History Month -- it is useful to recall similar treatment King and other freedom fighters endured, and reflect on the true lessons from his life and struggles that are relevant to the Palestinian struggle and its hopes for a lasting peace.

Despite King's acceptance now in mainstream circles, he was first and foremost a troublemaker in the cause of justice. While King believed in peace, he was more importantly a person of action, and one completely intolerant of injustice. In that sense he was a thorn in the side of the powers that be and the status quo.

King did not achieve credibility by simply preaching peace and good will, and certainly not by being passive or submissive in the face of oppression. He gained credibility because he was a person who was prepared to challenge the unjust laws and practices of his period, laws and practices that were summarized in the notion of Jim Crow segregation.

Even though Jim Crow was the law in much of the United States, King and countless others were prepared to break the law and, thereby, threaten the stability of this country. He was branded a communist, a malcontent and a criminal, all with the aim of discrediting him. And, when that was not enough, and his following did not disappear into the night, he was harassed and faced repeated death threats, ultimately leading to his murder.

The condemnation of Palestinian activists as terrorists, no matter their approach, shares a great deal in common with the manner in which King and African-American freedom fighters (and their allies) were demonized and repressed. It was the basic cause that needed to be destroyed by the oppressor and not just the individuals.

The same is true today as Palestinian activists, including those who have consciously and openly repudiated armed struggle, are sidelined so that the Israeli government can claim, with a straight face, that it has no Palestinian partner with which it can discuss peace.

The "partners" are there in Palestine. When we celebrate the courage and vision of freedom fighters such as King or Fannie Lou Hamer and the countless others who are remembered during Black History Month, we should think of those Palestinian Kings and Fannie Lou Hamers whose nonviolent struggle for freedom, justice and equality continues.

The opinions expressed in this commentary are solely those of Bill Fletcher Jr.

@highlight

Bill Fletcher says it is common to mistakenly bemoan lack of peaceful Palestinians

@highlight

He says Israel portrays nonviolent protests in West Bank as extremist

@highlight

Amnesty International has denounced crackdowns on nonviolent protest, he says

@highlight

Fletcher: Israel denies nonviolent activists so it can claim it has no partner for peace