Washington (CNN) -- What's wrong with the "Gang of Eight" comprehensive immigration reform bill?

Jeff Sessions has a lot of answers to that question, but he starts by pointing to a picture of a modest white house built in the early 1930s in Hybart, Alabama.

"I grew up in rural Alabama, in a poor area of the state," the three-term Republican noted during a recent interview in his Washington office. "We didn't have central heat, but we got by. And people (still) do."

But "we've got a serious social and economic problem in America," the conservative senator said. "We've got high unemployment among lower skilled workers, and their wages aren't even keeping up with inflation."

Adding millions of newly legalized workers to the mix over the next few years will only hurt the most vulnerable segments of the work force, Sessions said.

Specifically, he argued that in granting work authorization for millions of undocumented men and women over the next decade and beyond, the bill will benefit corporate titans by flooding the labor market and holding down stagnant salaries in an already weak economy.

In short, it will lead to disaster for those Americans now clinging to the bottom rung of the economic ladder.

It's a populist argument not often heard in the higher echelons of today's GOP.

"My Republican colleagues seem to be oblivious to the free market," Sessions said.

Sessions recently sat down with CNN to discuss his role in leading the charge against the 844-page overhaul of the country's immigration laws. He is by far the Senate's toughest critic of the bill -- crafted by four Democratic and four Republican colleagues -- as it winds its way through the Democratic-controlled Senate.

He offered almost 50 amendments to the Judiciary Committee and is trying to derail the bill at nearly every turn. His office sends out daily -- sometimes hourly -- alerts highlighting various perceived flaws in the measure.

The proposal "does not hold up to scrutiny," he insisted. "We're going to tell the truth about the bill. We're going to expose it."

Sessions is not new to this debate.

During President George W. Bush's second term, he helped kill a proposed bipartisan immigration overhaul pushed by Sens. Edward Kennedy and John McCain.

Like President Barack Obama now, Bush made immigration reform a second term priority. Back then -- as now -- reform backers highlighted the glut of undocumented workers doing the toughest jobs on America's farms and elsewhere.

Sessions is still irritated by a statement Bush made in 2006 that reform is needed because "there are jobs that just simply aren't getting done because Americans won't do them."

"When President Bush said that there were certain jobs Americans won't do, I consider it to be one of the greatest errors in his entire presidency," Sessions said. "Americans are doing tough work every day. They ought to be respected for it. They shouldn't be looked down for it. And we need their salaries going up."

Some immigration reform proponents insist there's no way to truly lock the border down if there's a strong enough economic incentive to come to United States. Sessions, however, insists the border can be fully secured, and that it was headed in that direction before Obama took office in 2009.

Homeland Security Secretary Janet Napolitano and Immigration and Customs Enforcement (ICE) Director John Morton have overseen an "evisceration of internal enforcement," he said, flatly contradicting White House claims. If changes made at the end of Bush's term "had been followed up on, we could have already had the border substantially secure."

"A nation that pretends to have a lawful system of immigration has to be willing to execute that," Sessions said, noting that bitter opposition of the ICE agents' union to the "Gang of Eight" bill. It requires "a certain effort and consistency that's been lacking."

Among the many flaws in the "Gang of Eight" bill, according to Sessions, is a diminution of accountability standards along the border.

He rails at a decision made by the authors of the bipartisan legislation to ignore a 1996 requirement for the use of biometrics -- such as fingerprints -- for visa holders at all entry and exit points.

Democrats and others call the standard -- which was never enacted -- unrealistic and prohibitively expensive. Sessions introduced an amendment withholding citizenship from any undocumented worker until its complete enactment, but the proposal was voted down by the Judiciary Committee in a 12-6 vote.

The panel's 10 Democrats were joined by Republicans Jeff Flake of Arizona and Lindsey Graham of South Carolina, both members of the "Gang of Eight." Flake and Graham have been working with the panel's Democratic majority to prevent any major changes to the bill.

"Everybody needs to know it -- who's calling the shots," Sessions said at one recent committee meeting.

Sessions also takes aim at language in the bill swapping the existing E-verify system -- an Internet-based program used to check the legal status of potential employees -- with a new one that relies more strongly on photographic matches through passport and driver's license images, among other things.

Supporters insist the new version will be more effective, but Sessions says it's unproven and offers too much discretion to the Department of Homeland Security.

It "could be an improvement" but "it's dangerous the way (the provision) is written," the senator argued. "I'm wondering why they want to go around and create a new one."

Beyond disputes over specific provisions, Sessions makes what he characterizes as a broader moral argument against the proposal.

"I will not support citizenship for people who entered the country illegally," Sessions said. "There needs to be some difference between what we do for a person who enters the country legally and those who enter illegally.

"And there's no moral, no legal, no principled reason why this United States government should reward people who broke the law and entered the country illegally with every benefit that you give to somebody who comes lawfully."

The bill as currently written "just further incentivizes amnesties in the future," he argued, invoking one of the most bitterly contested terms of the debate.

While the Republican Party may be divided over immigration reform, analysts are not surprised by Sessions' role as leader of the Senate opposition.

"Given the politics of Alabama, it doesn't surprise me at all," said Richard Fording, chairman of the University of Alabama's political science department. "Politics here dictates you oppose whatever the president supports."

Fording noted Alabama's passage in 2011 of one of the strictest laws in the country designed to crack down on undocumented immigration. Among other things, the law requires police who make lawful traffic stops or arrests to try to determine the immigration status of anyone they suspect might be in the country illegally.

The law retains broad support in Alabama, Fording said, even crossing the state's traditional racial divide.

"There's nothing for Sessions to lose and maybe lots to gain" in opposing the "Gang of Eight" bill, Fording said.

As for political considerations on Capitol Hill, Sessions told CNN the "Gang of Eight" put its blueprint together using an "old fashioned, smoke-filled room strategy." As a result, he says, the bill was written by big labor and business interests.

"I've been around here a long time," he said. "I've never seen a more calculated, cold-blooded p.r. campaign managed to advance a piece of legislation than this one."

"The political consultants and pollsters and people (managing the bill) ... anticipated everything that was going to occur," he declared. "They planned on careful attacks to neutralize critics."

"But somebody needs to ask questions about this bill," he quickly added. "They don't get to write a bill in secret, and we all roll over and have it passed without examination."

And what about the argument that by opposing comprehensive immigration reform, Republicans risk permanently alienating America's rapidly growing Hispanic population? Sessions returns to his economic theme.

"I believe that, politically, at this point in time we should serve and listen to the concerns of the working Americans who are making $20,000 to $45,000 a year," Sessions said.

"That includes Hispanics, African-Americans, and Caucasians," he noted.

"One of the reasons their wages haven't gone up is because there's too much labor. And so, if we end the illegality with a good, principled immigration bill, (if) we allow a generous but responsible flow of immigrants in the future, and if we improve the lives of working Americans, then that's the way you win elections."

@highlight

Alabama GOP Sen. Jeff Sessions leads fight against "Gang of Eight" immigration bill

@highlight

Sessions says the bill will hurt lower skilled workers

@highlight

Sessions: "No principled reason" to give full benefits to those who entered country illegally

@highlight

Sessions promises to "expose" truth about immigration bill