(CNN) -- In April 1964, only a few months after President John F. Kennedy was assassinated, his widow Jacqueline Kennedy wrote to Kay Halle -- an old family friend of both the Kennedys and the Churchills -- and gave a glimpse of the dark melancholy that shrouded her.

Jackie mentioned an Easter trip with her children, Caroline and John Jr., and expressed hope the holiday might renew her spirits. "I hope it will give me via fresh air some new energy -- as I just have had none lately & cannot even touch the ever growing piles on my desk," she wrote to Halle. "But this spring maybe everything will be better -- Love Jackie."

Jackie Kennedy's letters underline the behind-the-scenes role of Halle, who urged President Kennedy to bestow honorary U.S. citizenship upon Winston Churchill at special 1963 Rose Garden ceremony. But more importantly, the Halle correspondence provides further insight into the first lady's relationship with JFK during their White House years and the painful aftermath of her husband's November 1963 killing.

During the past decade, the private letters of Jacqueline Kennedy have slowly come to light. Most were kept private for many years in archives, away from public scrutiny. As a result, history has been deprived of important, albeit disturbing, facts surrounding the assassination and its effect on those closest to JFK -- especially his widow, whose grief included suicidal thoughts expressed to a priest.

To be sure, a generation of Americans admired Jacqueline Kennedy's extraordinary grace and courage during her husband's funeral and were naturally protective of her privacy when she was alive. But a wealth of letters and other documents -- including an extensive oral history by Mrs. Kennedy kept under wraps at the JFK Library until 2011 -- remained out of sight, well past her death in 1994, leaving the historical record incomplete.

Now a half century later, it is time for all the Jacqueline Kennedy letters to be available for historians, allowing for a more full and accurate understanding about one of the most dramatic moments in 20th century U.S. history. Efforts by the Kennedy family to keep these letters at bay only mute our comprehension of what truly happened on that tragic day in Dallas and the kind of psychological damage that gun violence can wreak on the lives of innocent survivors.

The existence of Jackie's letters was unknown to me until I stumbled upon some in preparing a 2003 book about how the Kennedys' Irish Catholic immigrant background influenced their personal and public lives. During my research, three people suggested speaking with the Rev. Richard McSorley, a Jesuit friend of Robert F. Kennedy's family, though none apparently knew of McSorley's involvement with Jackie.

McSorley surprisingly told me how he counseled a grief-stricken Jackie for several months beginning in April 1964. He provided "tennis lessons" to Jackie at RFK's Virginia home while helping the widowed first lady through her agony and depression.

McSorley later allowed me to review his personal files at Georgetown University's library. There I found several remarkable letters and documents about Jackie Kennedy's emotional struggles. She shared her doubts about God, fate, a heavenly afterlife with her slain husband, and her children's immediate future.

"Do you think God would separate me from my husband if I killed myself?" Jackie asked the priest. "It is so hard to bear. I feel as though I am going out of my mind at times. Wouldn't God understand that I just want to be with him?"

Georgetown later held a press conference about the "unique historical window" McSorley's papers provided. But soon after a complaint from the Kennedy family, Georgetown access was closed to Jackie's letters in McSorley's files. Similar letters, though, would turn up elsewhere.

In May 2014, a batch of 33 Jackie letters to an Irish priest, the Rev. Joseph Leonard, whom she first met in the early 1950s, were headed for auction until the Kennedys objected to their disclosure. These letters, containing sentiments similar to those Jackie confided to McSorley, were published by various publications but were eventually returned to the Kennedy family, reportedly at the direction of Caroline Kennedy, her daughter. They are no longer public.

More letters from Jackie Kennedy turned up in the files of Halle, made available in June 2011 at the JFK Library. I describe them in my new book about the Churchills and the Kennedys.

After Halle offered successful suggestions for JFK's 1961 inaugural celebration, Jackie Kennedy sought advice about Washington's social scene. Her letter reflects the anxiety of a woman in her early 30s wanting to please her husband in her new role as first lady.

"One thing I wish you could help me with," Jackie wrote in her fragmented longhand sentences to Halle. "Is it enough to just keep doing things in a private way -- as one would do if not President -- Go to the theatres, symphonies, etc. and try to have the entertainment at the (White House) be substantial -- ... But that is so little -- Do you think we should have an enormous reception at the W. House for artists -- that seems rather treating them like freaks -- I try to work some into every State dinner -- but that's a tiny drop in the bucket -- If you have a brainstorm do tell me."

Jackie let Kay Halle know how to send notes to her social secretary's attention so that she'd read them personally. "Put your name on the letter and SPECIAL -- (my code for getting my own mail!)" she instructed.

After JFK's assassination and the 1965 death of Winston Churchill, Halle remained in touch with both families. She later asked Jackie and her second husband Aristotle Onassis to contribute to a book of remembrances about Winston Churchill's son, Randolph, who died in 1968.

"You know how Jack and Bobby loved him -- but did you know how my son John loved him?" Jackie asked Halle about Randolph. Around her children, Jackie wrote, Randolph "was completely himself -- and never changed gears for them."

In her essay for Halle's book, Jackie recalled how Randolph gave her son, John Jr., a complete set of Winston Churchill's books -- including his masterful biography about John Marlborough, a fabled Churchill ancestor -- which she kept in the Kennedys' Fifth Avenue apartment in Manhattan.

"They are in the bookshelves in the dining room, beside Jack's Marlborough, which he read when he had scarlet fever as a boy, and the Churchill books he had at Harvard," Jackie recalled.

Uncertain of what her son's future might bring, Jackie told Halle that she hoped President Kennedy's heir might discover lessons about greatness from these bound volumes, just as other men had. "If, when he is older, he finds in them what his father found in them -- that would be this strange, touching legacy of Randolph's," Jackie concluded. "Winston Churchill and Randolph outlived Jack -- but maybe Randolph will be the one to draw John to the books that shaped John's father."

Documents like these are essential tools to gaining a clear and complete understanding our past. Surely, both JFK and Jackie Kennedy, with their keen sense of history, would have understood.

@highlight

Thomas Maier: Jackie Kennedy letters show emotions of young first lady, later grieving widow

@highlight

Maier: She puzzled over social protocols as first lady; pondered suicide when JFK killed

@highlight

He says letters a crucial part of historical record, yet have been pulled back by Kennedy family

@highlight

Maier: Those that have been seen have been revelatory. They should be public