(CNN) -- Facing the world after an isolating and traumatic experience is often stressful, especially for those who have been away for a long time.

Jaycee Dugard, here at the 1991 Rose Bowl parade, was abducted later that year.

Jaycee Dugard is reuniting with her close relatives for the first time in 18 years, after having been found on August 27. Dugard was 11 years old when she was abducted in 1991 from a bus stop in South Lake Tahoe, California. She allegedly was kept in a series of backyard sheds by a convicted sex offender and gave birth to two children in captivity.

A bail review hearing is scheduled for Monday in El Dorado County Superior Court in Placerville, California, for Phillip and Nancy Garrido, who face charges related to Dugard's kidnapping.

In Illinois, Shannon Wilfong is charged with child abduction, allegedly having forced 6-year-old Richard K. Wilfong Chekevdia to live in seclusion and be hidden, at times in crawl spaces and the attic, for nearly two years, according to court documents. In concealing the boy, Wilfong violated the terms of a court order that granted joint custody of the child to Michael Chekevdia, the documents said. The boy is staying with his father's family under child welfare supervision, according to CNN affiliate WSIL.

The situations of Dugard and Chekevdia are extreme cases of people emerging from isolation and returning to the real world. The people who have been away often feel conflicted about leaving the situation they've acclimated to in order to rejoin the loved ones they've left behind, experts not connected to the cases tell CNN.

Sometimes children involved in custody disputes are taught to hate their father or mother, and "extreme tactics" may be used, although usually not to the extent of hiding a child in crawl spaces, said Jay Lebow, psychologist at The Family Institute at Northwestern University.

"While this case is obviously the rarest of things, other children are certainly exposed to many traumas that have meaning connected to this," Lebow said.

The case of Dugard

Dugard is spending time in "a secluded place, reconnecting" with her mother and younger sister, said her aunt, Tina Dugard, in a statement on behalf of her family. "This is a joyful time for my family," she said. "Jaycee remembers all of us."  Watch for more on Dugard »

But a person in Dugard's situation would most likely have both positive and negative feelings about leaving the only environment she's known for 18 years and coming back to her family, psychologists say.

"She's going to have a lot of mixed feelings about returning to her family of origin because she's spent almost two decades with a different family," said Margo Napoletano, a child and family psychologist in San Diego, California.

After allegedly being confined for 18 years, Dugard probably would find the outside world frightening, Lebow said. "You get to know this world you live in -- it may be a terrible world, but it's the world you know," he said.

Experts say Dugard may have developed what is known as Stockholm syndrome, in which kidnapping victims identify with their captors. Learning to live with and even like the perpetrator has survival value, Napoletano said, and also explains why someone like Dugard probably would feel somewhat torn about returning to her original family.  Learn about other cases of missing children »

"It's a concept that explains why a kidnapped victim would stay with a perpetrator even though they had an opportunity to leave," she said. "They opt to stay because it's their comfort zone."

But Johanna Tabin, a psychologist in Glencoe, Illinois, said Dugard's readjustment will depend on how she was treated in captivity. Police said Phillip Garrido, one of her alleged abductors, is believed to be the father of her two daughters, and his relationship to Dugard -- whether he framed their alleged sexual encounters as violent or seductive -- will influence her feelings about leaving that situation, Tabin said.

It is also important to know how Dugard felt about her family before she was taken away, Tabin said.

"Did she secretly mourn them?" Tabin asked. "Did she feel she stepped on a different planet where she was all of a sudden a grown-up 11-year-old and wasn't being treated anymore like a child?"

Her family members may have constantly wondered what they could have done differently to prevent the kidnapping, Tabin said.

At the same time, someone in Dugard's situation may have asked herself at the outset, "Why did they let me get kidnapped?" Lebow said.

There is an infinite range of responses, but more information about Dugard's feelings growing up and in captivity would inform how she adjusts to her new life, Tabin said.

The situation is likely also difficult for Dugard's two daughters, born to her in captivity, who have never met Dugard's family before, Napoletano said.

"It's basically like a wild child who may have had some contact with civilization, but basically is having to start life all over again, and that may be overwhelming to them at first," she said.

Napoletano said she would suggest to a family like Dugard's to be accepting and supportive, and not ask a lot of questions.

"Go about your daily life as usual for the most part, and take the lead from the therapist, one small step at a time," she said.

Lebow advises them against looking for some sudden moment of reconnection, but rather to be loving and patient.

Coming back from combat

Dugard's reuniting with her family could also be likened to a soldier coming back from a "hellacious war," Lebow said.

A recent survey of military spouses of deployed Army soldiers with school-age children found that the return from deployment is the most stressful, according to three-quarters of respondents. Reunification brings excitement and relief, which is sometimes accompanied by emotional conflict, the surveyors said. Read more about the study

In the military, bonds of brotherhood form as people face dangers together, Tabin said. When service members come home, they may find life "shallower," and feel that they are not the same people as when they left, she said.

In a case where a husband has been away at war and returns to his wife, the desire to understand one another's feelings is fundamental, she said. "She wants to be understanding, he wants to be able to shove it aside, then he has nightmares, and she says, 'you're not setting it aside,' " Tabin said. "Well, consciously he is -- he's not awake when he dreams."

Don't force the person who has been away to talk about their experiences, Napoletano said. She also stressed that a family should try to normalize the life of the service member who has returned from war. Waking up in the morning, going grocery shopping, washing clothes and doing other day-to-day activities help create a stable, comforting environment, she said.

@highlight

Jaycee Dugard, found August 27, is reuniting with her family after 18 years

@highlight

People who return to their families after years away often feel conflicted about it

@highlight

Expert: Don't force the person who has been away to talk about their experiences

@highlight

It's important to go about day-to-day activities, such as grocery shopping