(CNN) -- As harrowing images from the Philippines grieve the world, notice something that isn't happening: we are not hearing much debate about the connection between tropical cyclones and global climate change.

In 2007, the Intergovernmental Panel on Climate Change released a report warning that rising temperatures would lead to more frequent and violent storms. Last year, the panel tempered that conclusion.

While warmer water makes cyclones more likely -- and while a higher sea level makes these tropical storms more dangerous -- changes in wind patterns might counteract those dangers. For Americans in particular, 2013 has proved the calmest hurricane season since 2002.

Yet hurricanes are only one example of an extreme weather event. In January 2013, The New York Times surveyed shocks around the world:

"China is enduring its coldest winter in nearly 30 years. Brazil is in the grip of a dreadful heat spell. Eastern Russia is so freezing -- minus 50 degrees Fahrenheit, and counting -- that the traffic lights recently stopped working in the city of Yakutsk."

"Bush fires are raging across Australia, fueled by a record-shattering heat wave. Pakistan was inundated by unexpected flooding in September. A vicious storm bringing rain, snow and floods just struck the Middle East. And in the United States, scientists confirmed this week what people could have figured out simply by going outside: last year was the hottest since records began."

When we talk about climate change, we are talking about two issues that are too often treated as one:

Is climate change occurring?

If so, is it changing because of human activity?

The strong passions aroused by question 2 - and the huge economic interests at stake - can lead people to prejudge question 1. And within question 1 are two further subquestions: How harmful is climate change? How rapidly is the change coming?

Greenhouse gases near record 39.6 million tons in 2013

Some wisdom on these questions may be found in an important new work of history, "Global Crisis." It's Geoffrey Parker's examination of the last great climate shock experienced by human beings: the Little Ice Age.

After a half millennium of very benign temperatures, the Northern Hemisphere began gradually to cool after about 1550. Slow cooling plunged into deep freeze in about 1620. Over the next half-century, the peoples of the Northern Hemisphere suffered climate catastrophe after climate catastrophe:

• Over the winter of 1620-21, the Bosporus dividing Europe from Asia (in modern-day Turkey) froze for the one and only time in recorded history.

• The summer of 1627 was the wettest recorded in Europe for 500 years, followed in 1628 by one of the coldest summers recorded.

• In 1641, the Great Canal that connected Beijing -- the planet's greatest city -- to its food supply in southern China dried up for lack of rain, again for the only time in recorded history. China suffered repeated crop failures through the 1640s because of patterns of drought and excessive rain.

• 1641 saw the third-coldest summer recorded in the Northern Hemisphere; 1642, the 28th coldest; 1643, the 10th coldest. Crops failed across the British Isles and central Europe three harvests in a row.

• The winter of 1649 was the coldest recorded in China.

• In 1657, Massachusetts Bay froze solid, and farther south, people could walk across the ice of the Delaware River.

• The next year, 1658, the Danish Sound froze so hard that a Swedish army and all its artillery could march over what is usually ocean water the 20 miles from Jutland to Copenhagen.

• Poland recorded 109 days of frost in 1666-67, compared to an average of 63 days in recent years.

• England's Thames River froze so hard that thousands of people could use it as a walkway for six weeks during the winter of 1683-84.

These extreme events are just a few of the hundreds of individual examples cited in Parker's deeply learned history of the period. "Global Crisis" was published this spring by Yale University Press.

Parker is best known as a military historian specializing in the Thirty Years War, the conflict that ripped apart Germany between 1618 and 1648, killing maybe one-third of the population by violence, hunger and disease.

Climate change: Why nations, not global talks, are leading the fight

Now in a hugely ambitious, late-career work spanning the entire globe, he synthesizes the horrifying violence that erupted across Eurasia during the coldest and hungriest years of the Little Ice Age: the overthrow of China's Ming Dynasty and conquest of the world's most populous country by invaders from Manchuria; civil wars in Iran and northern India; the collapse of Ottoman power; pogroms against the Jews of Ukraine, the worst mass killing of Jews between the Crusades and the Holocaust; New England's merciless war upon the Pequot Indians; the destruction of Poland, till then Europe's largest state; the Fronde rebellion in France; the English civil war; Oliver Cromwell's rampage through Ireland; the successful Portuguese and doomed Catalonian rebellion against the Spanish Empire -- all of it accompanied by pestilence and famines, culminating in the last great bubonic plague epidemic in European history in the 1660s.

Europe enjoyed only three years of complete peace between 1600 and 1700.

Historians are familiar with the statistic that one-third of Germans died during the Thirty Years War. Parker suggests that this figure could be extended across almost the whole landmass from Lisbon to the Pacific, with China suffering most and worst.

The Little Ice Age was obviously not man-made. The sun emitted a little less energy in the 17th century than we are used to, and more volcanoes erupted than usual. For tens of millions of human beings, the consequences of these unexpected events was miserable and fatal: death by violence, death by disease, death by hunger.

Parker hammers home the lesson again and again: What matters most about climate change is not how it is caused, but how fast it takes place.

Our contemporary debates over climate all seem to take for granted that change will unfold gradually over the next century, granting us all plenty of warning and time to react.

In the 17th century, the catastrophe arrived astonishingly fast -- in one human lifetime -- and human beings adapted by dying in droves.

There is in Parker's telling only one exception to the unhappy story: the Japan of the shoguns, where effective leaders found ways to manage and mitigate disasters they could not understand.

If preparedness for the worst was possible for some human beings in those prescientific days, surely it is possible for more of us in our advanced age?

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: When we discuss climate change we act as if we have decades to prepare

@highlight

He says climate can change astonishingly fast, as it did in global cooling of 17th century

@highlight

The results were devastating, as millions died in famines and war, he writes

@highlight

Frum: "Global Crisis" chronicles tremendous human suffering as result of climate