(CNN) -- A vintage car collection, exotic birds and a gaudy palace; former Ukraine President Viktor Yanukovych was seemingly living the high life even as his country's economy stalled. Now, as economic growth goes into reverse, Ukraine is in desperate need of financial help. The question is whether the country's lawmakers will do what they must to persuade the world that there won't be a repeat of Yanukovych's gaudy lifestyle.

Last month, anti-corruption protesters in Ukraine surrounded the Kiev parliament building waving gold-painted loaves of bread. The demonstration was aimed at persuading lawmakers to pass strong anti-corruption legislation that would prohibit political leaders like Yanukovych from living gilded lifestyles funded by state coffers.

Sadly, lawmakers balked, and the legislation failed by eight votes as too many members of parliament abstained. The vote was a significant setback to President Petro Poroshenko, who had promised to clean up corruption in his presidential campaign. But more importantly, the vote was a blow against efforts to revive Ukraine's economy as the legislation is a prerequisite to securing the next vital tranche of the $17 billion multilateral loan package from the World Bank, the International Monetary Fund and the European Union.

The cash is urgently needed if Ukraine is to shore up both its economy and its borders. True, a ceasefire has brought with it a lull in the fighting between government forces and pro-Russian rebels. But clashes have continued even as Russia continues to turn the screws with its own set of sanctions.

The problem for Ukraine is that Yanukovych's lifestyle -- allegedly funded through sweetheart deals and shady companies -- has left the international community wary of handing money over to the government without some guarantee that the rule of law will apply to those handling the funds. After all, Ukraine ranked 144th out of 177 countries in the 2013 Transparency International Corruption Perceptions index, with a score that indicated rampant corruption.

The failure of last month's vote leaves Poroshenko with two more chances before a parliamentary election later this month to push through the required legislation -- on October 7 and October 14. The laws being tabled are a strong set of regulations that organizations including Transparency International Ukraine have helped draft (and indeed have been advocating for years), including the creation of a dedicated National Anti-Corruption Bureau with investigatory powers to centralize what is now dealt with by an ad hoc group of offices that fail to share information and work together.

In addition, the proposals include a time-bound, three-year National Anti-corruption Strategic Plan that sets goals for implementing laws, as well as a law that would make it possible to try those suspected of corruption even if they are not in Ukraine. (The absence of such legislation is thwarting the prosecution and the return of assets allegedly stolen by Yanukovych, who has fled to Russia.)

So what is stopping lawmakers getting behind these common sense rules? One sticking point likely scaring politicians is that from the new parliament onward there would be mandatory public registries of lawmakers' assets, so-called asset declarations, and a public list of any potential conflicts of interests.

Asset declarations, particularly if they are monitored by civil society, can help raise a red flag if politicians are living beyond their means: a tried and tested tool in the fight against corruption that is particularly effective if you can compare year-on-year wealth accumulation.

It's perhaps no wonder, then, that a parliament filled with politicians who profited from Yanukovych's term in office would not be happy with these new laws, and although Poroshenko thought he had amassed the votes to get them passed in September, enough abstained to scupper his plans.

But there is still some cause for optimism. With parliamentary elections just three weeks away, many of those former members of Yanukovych's party (the Party of Regions) who have not fled have allied themselves with other parties to keep their seats, and can be expected to try to distance themselves from the corruption that toppled the government.

Poroshenko must therefore clearly tie the future economic success of a pro-Western Ukraine to the electoral fortunes of the candidates. If they vote against the legislation this week, international support may wane, the development loans could be delayed and economic recovery stall.

Poroshenko must clearly explain this likely chain of events to the public so politicians are convinced that if they are seen as opposing the fight against corruption, they will not attract voters -- voters who have taken to the streets to voice their displeasure over the issue.

The map of Ukrainian politics is about to be redrawn. The question is whether lawmakers will seize this opportunity to pass a strong set of anti-corruption laws that will show parliament is committed to ruling the country for the people, not for themselves.

The country's future depends on it.

@highlight

Ukraine's economy in desperate need of help, says Oleksii Khmara

@highlight

Country ranked 144th out of 177 countries in corruption index last year

@highlight

Lawmakers must back anti-corruption legislation to build confidence, Khmara says