(CNN) -- Sensible immigration reform will strengthen American society and economy. But it must also respect the rights of U.S. citizens and those aspiring to join them.

Buried in the comprehensive immigration reform legislation before the Senate are obscure provisions that impose on Americans expansive national identification systems, tied to electronic verification schemes. Under the guise of "reform," these trample fundamental rights and freedoms.

Requirements in Senate Bill 744 for mandatory worker IDs and electronic verification remove the right of citizens to take employment and "give" it back as a privilege only when proper proof is presented and the government agrees. Such systems are inimical to a free society and are costly to the economy and treasury.

Any citizen wanting to take a job would face the regulation that his or her digitized high-resolution passport or driver's license photo be collected and stored centrally in a Department of Homeland Security Citizenship and Immigration Services database.

The pictures in the national database would then need to be matched against the job applicant's government-issued "enhanced" ID card, using a Homeland Security-mandated facial-recognition "photo tool." Only when those systems worked perfectly could the new hire take the job.

Immigrant employees would probably have to get biometric (based on body measurements like fingerprint scans and digital images) worker ID cards. Social Security cards may soon become biometric as well. Any citizen or immigrant whose digital image in the Homeland Security databank did not match the one embedded in their government-issued ID would be without a job and benefits.

Yet, citizens have a constitutional right to take employment. Since the Butchers Union Co. decision in 1884, the U.S. Supreme Court has held that "the right to follow any of the common occupations of life is an inalienable right ... under the phrase 'pursuit of happiness.' " This right is a large ingredient in the civil liberties of each citizen.

The digital ID requirements in S. 744 eliminate that fundamental right to take employment and transform it into a privilege. This constitutional guarantee could in effect be taken away by bureaucratic rules or deleted by a database mistake.

As philosopher John Locke, whose phrase "consent of the governed" animates the Declaration of Independence, once said, everybody "has a property in his own person." Who is a citizen is today determined by his or her American personhood. Under S. 744, that would no longer be true.

Instead, the determination of whether someone has a right to take a job would be made by two computer files: one in a Department of Homeland Security database and the other on a government-issued ID card. Identity and IDs become "property of the U.S. government."

Moreover, S. 744 undermines constitutional federalism by resurrecting ID provisions that most states have rejected. Not only does S. 744 mandate "E-Verify" as a national electronic verification system for employment for the 33 states that have not joined it (Illinois actually outlawed its use), the bill also revives the moribund "Real ID" requirement for sharing of driver's license photos among the states and federal government, which 25 states opposed by law or resolution. Only 13 states joined as of last year.

In short, S. 744 gets around states' repeated rejections of national identification systems by lumping E-Verify and Real ID into overly comprehensive national identification (rather than immigration) "reform." S. 744's provisions also mandate collection of the details about almost every American, an enumeration task the Constitution authorizes only to the census every 10 years, and then only under a 72-year guarantee of confidentiality.

Moreover, though the search for religious freedom created this country and begins the Bill of Rights, S. 744 removes the religious accommodations that 20 states offer in the form of driver's licenses without photographs for reasons of religious faith.

These follow the Supreme Court's upholding of a Nebraska woman of Christian faith's observance of the Second Commandment prohibition against images (other religions may also qualify). If mandatory digital photos and biometric IDs are forced on religious believers, many are convinced that they will face eternal condemnation.

E-Verify essentially equates all Americans with "illegal immigrants." Instead of naturalization freeing legal immigrants from carrying mandatory "green cards," universal E-Verify would impose IDs on American citizens. E-Verify effectively creates a "no-work" list for the unverifiable.

Uses of worker IDs will proliferate like Social Security numbers -- once intended "not for identification purposes" -- and driver's licenses -- once simply proving driving skill. Worker IDs could become "travel licenses" for "official purposes," as defined by the secretary of Homeland Security, like entering government buildings, flying (still possible now without ID) or taking public transit. These undermine the rights to petition government and to travel. Even though the bill says it does not authorize a national ID, its provisions do.

Digital photos in the Homeland Security databank can be used to match anyone anywhere using facial recognition surveillance technology. Because the standards are cross-national and the U.S. exchanges information with other governments and global organizations, the digital photos will probably be shared with foreign and international intelligence and police agencies.

Moreover, the recent revelations of IRS and National Security Agency excesses raise the question of universal E-Verify as the foundation for a central surveillance system of storing and tracking job, tax, communication and biometric information on individuals. This shifts too much power to the government and away from citizens.

Worker ID systems will burden individuals and businesses with large expenses. Many Americans without driver's licenses will lose work time traveling to vital records offices for birth or marriage certificates or to motor vehicle agencies for state IDs to become eligible to be E-Verified. The large costs some people pay will include the inability to work because they cannot get proper documentation.

A comprehensive worker ID system will cost taxpayers and businesses, big and small, billions for the time and "photo tool" equipment needed to implement such a system to E-Verify the entire labor force.

Universal E-Verify might also push employers and employees toward the black market, encouraging the hiring of workers off the books. It could cost employers and employees more than $6 billion and reduce tax revenues by $17 billion a decade.

As one immigration-policy expert was quoted saying in the Wall Street Journal, a biometric E-Verify system is "not only a gross violation of individual privacy, it's an enormously high-cost policy that will have an incredibly low to negligible benefit." Even sponsors of the bill have noted that biometric tracking systems are inordinately expensive and "have experienced problems in test runs." If E-Verifying costs $150 per employee, only a third (37%) of Americans say in polls that they would support using the system.

The existing E-Verify is infamous for database errors that kept tens of thousands of citizens out of work and in limbo. Nationwide E-Verify could raise that number many-fold. A 1% error rate for a labor force of more than 150 million workers, with the vast majority being American citizens, leaves 1.5 million unemployed.

These ID provisions divert attention and resources from effective and comprehensive policy measures to legalize more immigrants, workers and workplaces.

Together, good public policy combinations can let people enter and leave by the "front door" and jointly reduce the pressures for overemphasis on border security and the excuses for invasive and unconstitutional ID and verification systems.

Moreover, these complement simpler and less invasive alternatives to E-Verify, such as longstanding provisions for citizen attestation of their rights. And others can "answer questions about previous addresses or other details." These can be implemented inexpensively on forms kept at the workplace.

Protecting the constitutional right to employment of a diversity of citizens helps everyone who wants to contribute to prosperity and to become American by maintaining citizenship as the bedrock of freedoms. Our citizenship must remain the gold standard, rather than a tarnished dream, for both current Americans and those seeking to enter here.

Our leaders have to hear that E-Verify, digital IDs and databanks, and biometric worker cards need to be dropped fast. Increased legal immigration, reasonable legalization, fair work standards enforcement and viable guest worker options can sustain citizenship and employment rights fairly and without exorbitant costs.

And we do not want biometric worker IDs or digital "Big Brother" verification schemes that trample on the basic rights of American citizens and those working to join us.

The opinions expressed in this commentary are those of Richard Sobel.

@highlight

Richard Sobel: Comprehensive immigration reform is a good thing for the U.S.

@highlight

But he says provisions in the Senate bill would impose intrusive ID systems

@highlight

Many workers could be denied the right to work because of faulty systems, he says

@highlight

Sobel: ID proposals are costly and endanger constitutionally protected freedoms