(CNN) -- A Somali Islamist militant movement on Monday claimed responsibility for a trio of bombings that killed at least 74 people Sunday at two venues in the Ugandan capital, Kampala, where crowds had gathered to watch the World Cup final.

"And the best of men have promised and they have delivered," said an Arabic statement issued by Al-Shabaab's press office and obtained by CNN. "Blessed and exalted among men -- (taking) full responsibility. ...We wage war against the 6,000 collaborators; they have received their response."

The 6,000 is an apparent reference to African Union peacekeepers in Somalia. Uganda contributes troops to the peacekeeping effort.

"We are behind the attack because we are at war with them," Al-Shabaab spokesman Ali Mohamoud Rage told reporters at a news conference in Mogadishu, Somalia.

"We had given warning to the Ugandans to refrain from their involvement in our country. We spoke to the leaders and we spoke to the people and they never listened to us."

Rage said young suicide bombers carried out the attacks but did not specify their nationalities. "May Allah accept these martyrs who carried out the blessed operation and exploded themselves in the middle of the infidels," he said.

However, Police Chief Maj. Gen. Kale Kayihura told reporters arrests have been made in connection with the bombings. He would not say how many people have been arrested or provide details.

Earlier Monday, Sheikh Abu Al Zubeir, identified as "the emir of Al-Shabaab in Somalia," said in an Arabic website posting, "My message to the Ugandan and Burundian nations is that you will be the target for our retribution to the massacres perpetrated against the Somali men, women and children in Mogadishu by your forces." The statement was posted on an al Qaeda affiliated website that previously has carried statements and videos from Al-Shabaab.

The website set up a page Monday to "receive congratulations" on Al-Shabaab's behalf for the "blessed operations" in Uganda.

Suspicion had centered on Somali Islamist groups shortly after the explosions in Kampala. Islamic militants battling Somalia's U.N.-backed transitional government had previously threatened attacks on Uganda and Burundi.

The U.N. Security Council said of the attacks in a statement Monday:

"The members of the Security Council reaffirm that terrorism in all its forms and manifestations is criminal and unjustifiable, regardless of its motivation, wherever, whenever and by whomsoever committed, and further reaffirm the need to combat by all means, in accordance with the Charter of the United Nations, threats to international peace and security caused by terrorist acts."

Ugandan President Yoweri Museveni declared a week of national mourning for victims of the bombings, beginning Tuesday, according to a government statement. All flags on public buildings will be lowered to half-staff during the mourning period, the statement said.

Eighty-five people were injured in the Ugandan blasts, Kayihura told reporters. They were transferred from the national hospital to a privately owned hospital in Kampala, he said. U.S.  officials said five Americans were among the wounded.

"This incident shows that it was terrorism," he said. Kayihura said he could not confirm that Al-Shabaab was responsible, but said the nature of the explosives used were consistent with the group. Police are using forensics to analyze the explosives, he said, and will deliver a report in a day or two.

The 74 fatalities included 28 Ugandans, one Irish citizen, one Indian, one American and 11 people who are either Ethiopian or Eritrean, according to the Ugandan government.

"If you want to fight, why don't you attack soldiers or military installations instead of fighting innocent people watching football?" said Museveni, who on Monday visited a rugby sports center where two of the blasts occurred Sunday.

The blasts hit within 50 minutes of each other. The first one struck an Ethiopian restaurant in a neighborhood dotted with bars and popular among expatriates. Two others exploded at the rugby center.

A senior Ugandan government official confirmed there were three bombs. The second one at the rugby club was the most severe, said the official, who did not want to be identified because he was not authorized to speak to the media due to the sensitivity of the situation.

The U.S. Embassy confirmed the death of one American. An organization that works with children in Uganda identified him as Nate Henn.

In a post on its website, the organization Invisible Children said Henn was in the country working with Ugandan students. CNN could not independently verify the information.

"Nate was not a glory-seeker and never sought the spotlight. He asked not to be made a hero of," the post said. "But the life he lived inspires reflection and imitation."

U.S. State Department spokesman P.J. Crowley said five other Americans were hospitalized, and that two of them "have serious injuries requiring significant medical attention." The State Department is assisting in their medical evacuation, he said.

Mike Hammer, a spokesman for the U.S. National Security Council, said President Barack Obama is "deeply saddened by the loss of life resulting from these deplorable and cowardly attacks."

Obama called Museveni on Monday morning and offered to provide support and assistance, White House spokesman Robert Gibbs said. "I'm told the FBI will assist in the investigation of the bombings."

Crowley said a three-person FBI team is on the ground collecting evidence, with another team standing by ready to assist. Two diplomatic security officers also were en route to Uganda.

He added the State Department has no reason to doubt Al-Shabaab's claim of responsibility, saying the "evidence so far at the attack scene would suggest an Al-Shabaab connection."

Museveni said, "We wish to condemn the criminality of these attacks. From a casual look at the scene, I'm confident police will be able to reconstruct the crime scene. ... We shall go after them because we know where they come from."

The bombings, he said, show "criminality and terrorism has always been hovering over us."

In a government statement, Somali President Sharif Sheikh Ahmed said he "condemns in the strongest terms the despicable terrorist acts that killed over 60 people in Kampala."

"The fact that the victims were enjoying the World Cup reveals the evil and ugly nature of the perpetrators and the need to uproot from [the] region those who do not value the sanctity of human life," the statement said.

"The president also denounces the fringe Al-Shabaab terrorist groups [that] rejoice of the carnage and stated that Somalia mourns with the brotherly people of Uganda."

Stone Atwine was watching the game at the rugby center when the blast occurred.

"It happened toward the 90th minute of the game ... this loud explosion," he said. "We didn't know what was happening, we were running around, scampering for safety. I saw dead guys still seated in their chairs with blood."

Atwine said a second explosion struck the venue seconds later, knocking out power. "At that point, we ran off. My friends and I ran into the car and drove off."

Relatives flocked to hospitals and mortuaries to look for loved ones Monday.

"I was watching the game with my brother at the rugby center," said Ian Lule, who was among a group gathered at a city hospital. "The blast left him unconscious. I don't know how he is."

In the capital, crowds huddled around newspapers, talking in hushed tones.

"Everyone is shocked, everyone is talking about it," said Mark Keith Muhumuza, who was watching the game at a stadium near the rubgy center explosion. "We were in panic mode at the stadium because we thought we would be attacked next."

Muhumuza said when the game ended, he went to the rugby center. "People were wailing, some were trying to find their relatives, others were trying to run away from the scene."

"You can never stop attacks in the world," said FIFA President Sepp Blatter. "During the World Cup, the world should have been touched by the emotions of football. I'm very sad and I was very touched."

"I deplore what has happened and look forward to the good that football can bring to our world."

The sites of the bombings remained cordoned off as authorities intensified security in the east African nation. Police and military forces patrolled the capital.

Some of the injured at the restaurant included six members of an American church mission working with a local congregation, according to the Rev. Kathleen Kind, pastor of Christ Community United Methodist Church in Selinsgrove, Pennsylvania.

All the church members were accounted for and families had been contacted, Kind said. Their injuries ranged from broken bones and flesh wounds to temporary blindness and hearing problems, she said.

Kayihura said the bombings could have been avoided if the two venues had used security measures such as metal detectors and guards.

The African Union summit is scheduled to be held in Kampala next week.

CNN's Faith Karimi and journalists Samson Ntale, Mohamed Amiin Adow, Naisenya Leposo and Nima Elbagir contributed to this report.

@highlight

Eighty-five people wounded in blasts, including five Americans

@highlight

Somali Islamist militant spokesman says Uganda had been warned

@highlight

Ugandan president declares week of mourning for victims

@highlight

Death toll from Uganda bombings at 74, including one American