Gaza City (CNN) -- After eight days of bone-shattering bombardment, Gaza was calm Thursday and Friday as residents of this battered land sought to return to their daily lives.

North of Gaza City, the Abu Khusa family was preparing to move to a rented house until they can repair their home's roof, which was blown off. In the meantime, they said, they were hoping the peace would hold.

"God willing, it will last 100 years, 200 years, for the sake of our children," said Shadia Abu Khusa.

In Gaza City, thousands of people took part in a celebration that was not so much of a military victory as a psychological one.

Who won, who lost

For impoverished Gaza, whose 1.7 million residents were massively outgunned by Israel's military, to survive was to triumph. "I think people feel now that the only way to push Israel to give concessions is resistance," said Ghazi Hamad, a senior Hamas official, who cited Israel's agreement to Wednesday's cease-fire as vindication of Hamas' struggle.

"Because President Abbas spent about 20 years in negotiations, but they got nothing from this," he added, referring to Mahmoud Abbas, leader of the rival Palestinian Fatah group, which governs the occupied West Bank and is considered more moderate than Hamas.

This new reality may embolden Hamas to push for even more.

After the cease-fire ended the flareup between the Palestinians of Gaza and the Israel Defense Forces, Hamas can claim credit for extracting important concessions from Israel, including its promise to loosen Gaza's isolation from the outside world.

Hamas has also shown that its rockets have improved and that it is not as vulnerable to Israeli airstrikes as it was during the "Cast Lead" Operation four years ago, when more than 1,400 Palestinians were killed. Its international stature grew as it gained popular and official Arab support.

Palestinians left with a paradox

Israel's military also claimed success, saying on Wednesday that it had destroyed "significant elements" of Hamas' rocket-launching capabilities. And its "Iron Dome" missile-defense system proved able to intercept numerous attacks from the south.

Netanyahu, who is looking forward to elections in January, also showed himself to be an effective military leader. Polls say the vast majority of Israelis supported the operation.

Palestinian leaders sought to cast the cease-fire as a catalyst toward uniting their divided factions, while Israelis said they were happy for quiet after the shelling and counterstrikes.

In Gaza City, supporters of Hamas and Fatah gathered near the Parliament in a rare display of unity that included yellow Fatah flags and green Hamas banners flapping in the breeze alongside Palestinian flags.

The mood was celebratory and militant. The leader of Islamic Jihad, a party to the truce that was brokered by Egypt and that took effect on Wednesday night, called for more weapons to maintain resistance against Israel.

"We should be ready through our unity, through our resistance, to keep the perseverance and steadfastness of our people," Mohammed Hindi said.

Hamas Prime Minister Ismail Haniyeh declared in a televised speech that Israel had "raised the white flag." He described the fighting as "preparation to liberate Jerusalem" and the al-Aqsa mosque located on the Temple Mount.

Haniyeh, who heads the governing party of Gaza, said the cease-fire showed the United States had been forced to soften its stance in the region in the wake of the Arab Spring.

"The victory of Gaza is a solid truth, not a phenomenon," Haniyeh said. "The era of Egypt and the region has changed, and America has now begun learning to listen to a new language."

Analysis: Conflict shifts balance of power in the Middle East

The violence left more than 160 Palestinians dead, many more injured and thousands homeless.

At least six Israelis were killed, including a soldier who died Thursday of wounds suffered Wednesday just before the cease-fire took hold, the Israel Defense Forces said. For the first time, Israel experienced rocket attacks from Gaza on its main cities of Tel Aviv and Jerusalem.

The truce negotiated by Egyptian President Mohamed Morsy followed a visit to the region by U.S. Secretary of State Hillary Clinton and a series of phone calls from U.S. President Barack Obama to the main players.

However, it was unclear if the latest events would lead to a resumption of long-stalled negotiations on a broader peace agreement or serve simply as a respite, as has occurred in the past.

"New dynamics in the Middle East potentially could make this time different," the independent International Crisis Group said Thursday in a report.

The report said Morsy's government had demonstrated pragmatism in negotiating the cease-fire and presented Israel and Hamas with the opportunity to reset expectations because it had credibility among Islamists.

"Ultimately, as the dust settles and guns turn silent, much more will be known about the new regional map -- how it works, who sets the rules, how far different parties will go, whether the obstacles continually encountered in the past can be overcome," the report said.

But it minced no words about the victims. "This short war has been, as President Obama might put it, a teachable moment," it said. "A pity the education came at such a high price. And that, once more, all the wrong people -- the civilians on both sides -- were asked to foot the bill."

Over the eight days of conflict, Palestinians counted 163 dead and 1,225 wounded in the wake of 1,500 Israeli strikes, Gaza's Health Ministry said.

Hamas' military wing, the al Qassam brigade, said it fired 1,573 rockets toward Israel during the hostilities, including three shot toward Jerusalem.

In addition to the six Israeli fatalities, 200 others were wounded.

A spokesman for Netanyahu told CNN on Thursday that Hamas' stance toward Israel harms the ability to negotiate.

"You must remember, Hamas, unfortunately, is the enemy of peace," said the spokesman, Mark Regev. "Hamas doesn't want to negotiate. Hamas says that any Palestinian who negotiates with Israel is a traitor to the Palestinian cause."

Arab-Americans watch conflict with mix of worry, relief

At the same time, Regev said Israel has called on Palestinian leaders to restart peace talks and was hoping for a positive response soon.

At the Gaza City rally, Palestinian negotiator Nabil Shaath of Fatah blamed Israel for the division of loyalties between the two groups.

He called for unification to thwart "what the enemy is wanting to do" and passed on greetings from Abbas, the president of the Palestinian Authority.

"Thank God, through you, we were able to push back this naked aggression that targeted Gaza and its people," Shaath said, adding that "we should crown this victory by ending the division and expanding the national unity."

Egypt's Morsy praised for his key role in talks

Egyptian politician Sayyed al-Badawi, president of the moderate Wafd Party, also congratulated the crowd, saying, "You have broken the will of the Zionist entity -- you have made them feel uncertain and insecure."

The agreement calls for both sides to move toward opening border crossings to facilitate the movement of people and goods.

On Thursday, some of the Israeli soldiers who had been moved to Gaza's border for a potential ground invasion packed their gear to leave.

Residents of Ashkelon, within rocket range of Gaza's border, expressed skepticism about whether the cease-fire would hold, noting that similar agreements have proved short-lived. Some said they would have preferred that Israel's military stage a ground invasion to destroy the militants' rocket capabilities.

On the ground: Follow updates from CNN's reporters

Under the cease-fire, talks were to begin Thursday on easing economic restrictions on Gaza.

Since the cease-fire was declared, three rockets have been launched from Gaza into Israel, the IDF said Thursday. Two of the three landed in open areas, and Israel's defense system intercepted the third.

Israeli officials' earlier assertions citing five to 12 missiles were incorrect, the IDF said.

Opinion: Will real change come from this cease-fire?

A senior Obama administration official said Morsy had been "very constructive" and "very pragmatic" in his dealings with his U.S. counterpart. He and Obama developed a "relationship of trust and were able to work through some of these issues," the official said.

The cease-fire calls for Israel to halt all acts of aggression on Gaza, including incursions and the targeting of people, according to Egypt's state news agency. It also calls for the Palestinian factions to cease all hostilities from Gaza against Israel, including the firing of rockets and border attacks. Gazans could see an easing of border restrictions.

Smuggling weapons to Gaza -- the long way

Regev said the agreement calls for "complete and total cessation of all hostile activity initiated in the Gaza Strip."

"For us, that's victory. That's what we wanted," he said.

The fighting was ignited by the November 14 assassination by Israel of Ahmed al-Jaabari, the head of Hamas' military wing. Israel said its intent was to end rocket attacks on southern Israel from inside Gaza by degrading Palestinian capabilities.

How Middle East has changed since last Gaza conflict

iReport: Share your stories from the region

On Friday, Gaza was quiet again. But no one, on either side of the border, was beating their swords into ploughshares.

CNN's Tom Watkins, Tom Cohen, Ben Brumfield, Amir Ahmed, Arwa Damon, Christiane Amanpour, Chelsea Carter, Jill Dougherty, Mohamed Fadel Fahmy, Saad Abedine, Sara Sidner, Frederik Pleitgen, Kareem Khadder, Saad Abedine, Ingrid Formanek, Yousuf Basil and Reza Sayah contributed to this report.

@highlight

NEW: "We hope this is the beginning of a better time," says Salah

@highlight

The cease-fire agreement calls for "total cessation of all hostile activity" from Gaza

@highlight

Israeli soldiers at the Gaza border pack up and leave; nearby Israelis skeptical