(CNN) -- The head of the company at the center of a toxic spill in Hungary has been arrested, accused of public endangerment and harming the environment, authorities said Monday.

Earlier, executive Zoltan Bakonyi had been questioned by authorities.

Hungary's Prime Minister, Viktor Orban, told CNN affiliate MTV that he favored strong government intervention against Bakonyi's aluminum company, MAL Co.

"I proposed appointing a state commissioner to exercise control over the company who should manage the company and its assets until the tasks stemming from the disaster have been fulfilled," he said. "I ask the parliament to accept the proposal. The company should be put under state control and its assets under state closure."

Much of the red sludge has been removed or diluted in the town of Devecer. Residents watched Monday as emergency workers and soldiers walked past in full biohazard suits.

Military trucks and cars used to decontaminate the area came through the streets, spraying away the dark red dust that accumulates. Workers told CNN that they have been diluting the mud and removing it constantly.

Meanwhile, an eighth victim of the sludge has been found, said Gyorgyi Tottos, an official with Hungary's emergency services department.

"We have found a body near Kolontar that is likely to be the missing person, who would be the eighth victim," she told CNN. "The identification process is ongoing, but we think this is the person who's been missing."

Five European Union experts are due to arrive in Hungary on Monday to find out how badly toxic sludge has damaged the environment and advise on decontamination, the European Union said.

And Hungarian authorities continue frantically building dikes in case the dam holding the sludge breaks further, the government said Monday.

A "large section" of the dam is still showing signs of ruptures, the government said in a statement, meaning there is a "continuing risk of a possible spill."

The area has been evacuated, and soldiers were on standby Sunday, an official said.

The cracked wall is expected to collapse, Tottos told CNN on Sunday. "We know that it will happen," she said, although when is unknown.

About 800 people have been evacuated from the village of Kolontar, leaving it essentially empty, she said. Hundreds of soldiers were ready to rescue inhabitants of a nearby village if the wall collapses.

A 50-centimeter (19-inch) crack has developed in the wall of the aluminum plant reservoir. If the wall collapses, 500,000 cubic meters of toxic red sludge could spill out. That's about half the amount that spilled last Monday, inundating Kolontar and two other villages. In addition to the eight people known to have been killed, more than 100 were injured.

Hungary's state-owned MTI news agency quoted Zoltan Illes, state secretary of environment, as saying the damaged wall could not be saved. Specialists had tried to reinforce the wall Saturday.

Orban, the prime minister, who was visiting the stricken area Saturday, said it was "very likely" the reservoir wall will collapse.

"It's in very bad shape, and our estimation is that that wall could fall down," Orban told reporters in the town of Ajka. "One consequence is that human lives could be in danger. That's the reason why we pulled out ... all human lives from that area, in order not to have more loss in human life."

The sludge from last Monday's spill reached Europe's mighty Danube river Thursday, raising fears of wider contamination in Hungary and countries downstream, including Croatia, Serbia, Bulgaria, Romania and the Ukraine.

But water test results released Friday indicated the sludge may not harm the Danube after all. The pH, or acidity, level of the Danube water was 8.5 Friday -- slightly above normal but not dangerous and able to sustain life, Tottos said.

Readings of pH range from 0 to 14. Levels lower than 7 characterize acids, and levels higher than 7 denote bases; highly acidic or highly basic water can harm living things. The 8.5 pH level and fast-moving currents made officials optimistic that a natural disaster can be avoided, Tottos said.

However, on Sunday she said that while saving lives is the priority, officials remain concerned about the long-term effects of the spill and want to protect Europe's waterways.

But, she said, it's too soon to tell what those effects might be. "What happened on Monday has never happened before in Europe, so we will see," she said, "and we will try to avoid a bigger new catastrophe."

The environmental disaster occurred near Ajka, nearly 100 miles west of Budapest. The sludge covered the villages of Kolontar, Devecser, and Somlovasarhely, in some places reaching several feet high, leaving dead animals such as fish and frogs in its wake.

The aluminum company, MAL Co., said in a statement Saturday it was doing its utmost "to avoid further damages and to reinforce the injured deposit." The company maintains it has performed extensive maintenance work and renovations in the past decade and had followed safety regulations.

The company was working to construct dams and defense lines in an attempt to minimize damage, it said. It has also established a relief fund for victims of the spill and was attempting to help in finding accommodations for evacuated people. More than 1,100 residents of Ajka and the surrounding towns are MAL employees, it said.

Orban warned Saturday of the "toughest possible consequences" for those responsible for the spill and said human error was the cause.

"Behind this tragedy, some human errors and mistakes must exist," he said. "We will reveal all of that, and the consequences will be very serious -- as much as you can imagine."

The exact chemical composition of the sludge has not been revealed, but aluminum processing normally involves compounds that include cyanide, cadmium and chromium.

Emergency workers have been pouring plaster and fertilizers on the sludge in hopes that it will counter its alkalinity. Dust from sludge that dries may also pose a threat, Hungary's Interior Ministry has said. It said some workers involved in damage cleanup may need filtering masks.

CNN's Antonia Mortensen, Eileen Hsieh, Diana Magnay, Brian Walker and Bharati Naik, and journalist Flora Hevesi contributed to this report.

@highlight

Zoltan Bakonyi accused of public endangerment, harming the environment

@highlight

Official believes eighth victim found is body of missing person

@highlight

European Union experts will investigate how badly the environment has been damaged

@highlight

The dam holding back more sludge is expected to collapse, a disaster official says