(CNN) -- In summer 2010, Big Sky High School graduate and football star Glen Maricelli began a grueling 2,170-mile drive from Missoula, Montana, for a collegiate tryout in Marietta, Georgia. It was the farthest from home he had ever been. His goal was a chance to continue his athletic success.

Four days later, he arrived in Georgia, exhausted. An hour after that, Maricelli was trying out for the Running Eagles squad, sprinting for fitness tests in the sweltering Georgia summer heat.

Gasping for air and dripping with sweat, Maricelli couldn't be happier.

"When you're running those sprints, lifting those weights and running up hills, it sucks at the time," he said. "But right when you're done, everyone is out of breath and looking all around, it's like 'yes, it was worth it. That was good.' "

A football running back known for scoring three touchdowns in a game, Maricelli discovered rugby in high school as a way to condition. Rather than rely on the controlling coaching aspect of football, rugby allowed Maricelli and his teammates to run the plays and run the game.

The sport became his passion, so he put his football days behind him and looked for a college rugby program.

Now a sophomore at Life University in Marietta, Maricelli plays for one of the top varsity rugby teams in the U.S. But for most colleges, rugby is considered at best a second-grade niche sport.

Seventy-five miles to the east in Athens, Georgia, a true portrait of collegiate rugby versus collegiate football unfolds.

Unlike the University of Georgia football team, with its sold-out stadium of more than 92,000 fans any given fall Saturday, UGA Rugby barely has 100 fans, although both teams collide with well-known Southeastern Conference rival schools.

"What happens is, the footprint of collegiate football in the South is monstrous. It takes the air out of the room," University of California head rugby coach Jack Clark said. "Playing rugby is akin to a communist activity."

Yet behind the scenes, rugby serves an American passion for a worldwide sport.

Finding a field

It's the simple act of stumbling upon a practice, catching a rare match on TV or tossing a rugby ball around that draws people away from the ingrained mentality of American football.

Universities with big football traditions often offer rugby, but football's domination can make it hard for "ruggers."

They set up at recreational sport fairs, speak at student group meetings and recruit from high school tournaments, but they can offer only rudimentary benefits.

In the place of customized scooters, Nike team wear and logo-embossed gear, rugby players say they discover lasting friendships, passionate competition and the dynamics of a heavily skill-based game with a lifelong, global network. The recruits will have to pay for dues, travel expenses and jerseys, and they must practice three to five days a week.

But first, they have to find a field. Although some of the big colleges like Florida, South Carolina and Tennessee have fields designated for club rugby, the UGA team classifies itself as a "stepchild."

"Historically, rugby players have been 'field gypsies,' " said Rod Seddon, president of the Georgia Rugby Union.

University of Georgia senior and criminal justice major Robert Thomas knows the struggles firsthand. One Thursday when he was 19, Thomas stepped on a rugby pitch for the first time. That Saturday, he played in his first match but had no idea what he was doing.

"Two weeks later, I don't know what it was, but right before the SEC Tournament, something clicked, and everything made sense," he said. Although Thomas had never played a team sport before, the camaraderie aspect drew him in immediately.

"It's driven to not just be a team on the field but off the field that I really like," Thomas said. "We do everything as a team."

From field setup to team dinners, it's not hard to spot the UGA ruggers on campus. They're always together. On a Wednesday night downtown, people sometimes ask what they're celebrating. The teammates respond that it's Wednesday, and they're just hanging out, as usual.

Cameron Nizdil, a 20-year-old sophomore from Moorpark, California, was offered a walk-on spot on UGA's track and field team. Running is in his genes, but Nizdil turned down the opportunity and pursued rugby instead.

"Rugby had the better social environment," Nizdil said. "It was the best decision ever."

Anatomy of a team

Collegiate rugby teams often comprise powerful athletes, football and basketball players who entertained rugby as a third sport in high school.

The athletes require "a real melting pot of skills and a portfolio of body types," Clark said.

From towering players built like oak trees to shorter, nimble sprinters, physicality is expected. Each one has the chance to sprint, pass and tackle, and a successful tackle won't stop the action. There is no quarterback or wide receiver.

"Unlike football, we don't want guys to travel for a weekend just to sit on the sidelines," said Rene Daniel, a rugby coach at Georgia Tech.

With no pads or helmets to cushion the rough blows, players also have to learn how to use their bodies without causing serious injury. Few timeouts, limited substitutions and the possibility of five or six matches in a single tournament force them to be in top form.

It is a rapid, bruising contest that crashes muscle against muscle and challenges mental and physical technique over pure power.

"I love football, so I went out to play rugby in college, and it was a big change, but it was addictive," said Willie Washington, a UGA senior. "I like the challenge of it. In football, you get the ball, and people can block for you. In rugby, it's you against seven or 15 other guys. You've really got to think and be smart with the ball."

Blaine Scully graduated from high school as a three-sport, All-American athlete. A natural, he excelled at basketball, water polo and swimming.

In June, the recent University of California-Berkeley graduate helped the national rugby team, the USA Eagles, defeat Russia for the Churchill Cup Bowl, an annual rugby union tournament leading up to the World Cup.

Scully discovered rugby in college under the tutelage of American rugby legend Jack Clark, head coach of the Golden Bears.

Clark has had to fight hard to preserve the rugby tradition but says it is often one of the five most-attended sports out of 29 at the university.

"What I know is that rugby positively changes lives. Everyone that plays the sport is willing to pay it forward," Clark said. "I had a player tell me after the season was over, 'Coach, this was the hardest thing I've ever done that I wouldn't trade for anything,' and I said, 'Well, that about sums it up, son.' "

Getting into the game

Collegiate club teams usually begin their season in the fall with a month of training to orient the "new guys," whether it is freshmen or those new to rugby in general. One of the biggest challenges: teaching guys to pass the ball laterally or backwards, only, and still score.

It creates a culture of teamwork -- "the most team-oriented team sport," Thomas said.

"When you have to give up five days a week and some weekends when you're traveling, it becomes a job, essentially, but a job that one loves," Georgia Rugby Union secretary Nicholas Burgess said.

It showcases the volunteer nature of rugby: There are few paid positions related to the sport in the entire U.S.

Rugby is a true battle on the field, from the bloodied players who forge on without stopping to the one missed tackle that can cost the game in a breathless contest.

Afterward, the home team hosts a social for the visiting team, no matter who wins. They even put up the out-of-town players in their homes. It is a game driven by respect, because each player knows what another has gone through to be on the field.

"Of course it sucks to lose, especially at home," Thomas said. "But point being, this is a tradition. You would never see that from football."

Most ruggers say respect is one of their main reasons for playing the game.

"There's nothing like giving 80 minutes on a Saturday to the game that you love," Burgess said. "You're with 14 other guys in the arena against 15 guys that you're trying to beat the hell out of. Then afterwards, it's being able to shake their hands and have a beer together. That's the beauty of it."

@highlight

Behind the scenes, rugby serves an American passion for a worldwide sport

@highlight

Rugby teams face challenges, from finding a field to funding

@highlight

Rugby players connect with the game and each other through powerful camaraderie