Editor's note: CNN.com has a business partnership with CareerBuilder.com, which serves as the exclusive provider of job listings and services to CNN.com.

If you're struggling to find work, try applying for positions that are more obscure.

Job seekers in today's economy are all familiar with the difficulty in finding a job. Adding to that difficulty is the fact that many job seekers are all competing for the same positions and job titles.

Perhaps the secret to finding a job in this competitive market is by looking for work in a lesser-known field that not many people know about. Do such industries exist? Absolutely -- you just need a little help in finding them.

U.S. News and World Report compiled their annual "Best Careers" report and this year, they added something new. They profiled 10 jobs that scored just below "Best-Career" level but, because they're little known, they may be easier to land a job.

Here are 10 of the best-kept-secret careers, in alphabetical order, according to U.S. News and World Report:

1. Accent-reduction specialist

What you do: Trying to understand and communicate with people who have heavy accents or poor English can be difficult and frustrating. Whether your accent is from Brooklyn, India or the Southern United States, accent-reduction specialists will work with you to communicate more clearly and effectively.

What you need: A master's or Ph.D. in speech-language pathology, a state-issued license in speech-language pathology, or a specialty credential in accent reduction or ESL training.

Salary*: N/A

2. Casting director

What you do: You cast all of the actors in commercials, movies, plays, etc., from the leading role to the hundreds of extras. You'll schedule auditions, read scripts, talk to agents and help actors relax in their auditions. Casting directors typically work alongside directors and producers to find the right person for a role.

What you need: No formal training is required, but experience is vital. Many start out as interns or in an entry-level position as an assistant in a talent agency or as a casting assistant. A background in arts, English, film or theatre is helpful.

Salary: $42,333

3. Child-life specialist

What you do: In this rewarding field, you'll work with sick children and their families in hospitals, hospices or programs for children with serious diseases.

You'll determine the medical and emotional needs of the child and support him or her, whether it's creating games and activities, helping to get them comfortable in their surroundings, or role-playing scary medical procedures. You'll also help support the patient's family.

What you need: A bachelor's degree in a related field and one year of experience working with hospitalized children.

Salary: $43,997

4. Creative perfumer

What you do: Without getting too technical, you'll mix several scented chemicals to concoct the perfect fragrance. It can take hundreds of trials and consumer testing to get it just right.

What you need: A good nose, lots of patience, experience and an education at perfumery school. It takes about seven years to train as a perfumer, and about 10 years before you are considered a qualified perfumer.

Salary: $21,791

5. Orthoptist

What you do: Orthoptists provide vision training for patients with correctable vision defects like a cross or lazy eye. They measure visual acuity, focusing ability and eye-motor movement, then work with ophthalmologists (eye doctors) to create treatment plans for the patient.

What you need: A combination of over one year of directly related training and/or experience; two years of post-bachelor's training is typically required.

Salary: $40,280

6. Orthotist/prosthetist

What you do: Help patients with partial or total absence of limbs by either creating a custom-designed orthopedic brace (orthotist), or designing and making custom-fit artificial limbs (prosthetist).

What you need: A combination of over four years of directly related training and/or experience.

Salary: $58,134

7. Program analyst

What you do: Also called a management analyst, you'd work in federal and local governments, providing information on the most effective way to carry out a project or procedure. The job involves gathering and analyzing lots of data, in addition to writing reports outlining the information you found.

What you need: A master's degree in public policy is preferred, but a bachelor's degree and experience is standard.

Salary: $63,610

8. Program evaluator

What you do: You'll evaluate several different programs, making suggestions about changes to make them better, or whether they should even continue. You'll switch programs every few weeks (or whenever you are done evaluating), so you'll get to work with a variety of clients, whether it's a nonprofit, corporate venture or a government initiative.

What you need: A bachelor's degree is sufficient, although some evaluators have a Ph.D. from specialized training programs.

Salary: $56,647

9. Prospect researcher

What you do: True to their job title, prospect researchers identify prospective donors who are likely to contribute to a cause. Typically employed by nonprofit organizations, you will find people who have donated to similar causes in the past and dig up detailed information about them to help solicitors maximize the donation.

What you need: N/A

Salary: N/A

10. Surgical technologist

What you do: Essentially, you will scrub into surgeries and assist surgeons, nurses or other operating room personnel by arranging equipment and supplies, placing patients on the table and handing the surgeon his tools. "Scalpel!"

What you need: Training programs last nine to 24 months and lead to a certificate, diploma, or associate degree.

Salary: $33,777

*Annual salaries according to CBSalary.com, powered by Salary Expert

Copyright CareerBuilder.com 2009. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority

@highlight

U.S. News and World Report does an annual "Best Careers" list

@highlight

This year's list included 10 little-known jobs that have more opportunities

@highlight

The list includes positions like casting director and creative perfumist

@highlight

Education required ranges from a bachelor degree to highly specialized training