(CNN) -- President Obama's pledge to conquer cancer "in our time" is a great goal, but one of America's top cancer experts isn't sure he'd use the word "cure."

Despite chemotherapy, some breast cancers recur, like a "smoldering fire that flares up," Dr. Otis Brawley said.

"The idea of [calling for] a cure does scare me a little bit because, I don't think that's realistic in some cancers," says Dr. Otis Brawley, chief medical officer for the American Cancer Society. "But I like the general overall idea, and I'm thrilled about the focus on health."

Obama's first proposed budget includes $6 billion for cancer research by the National Institutes of Health. That's on top of the additional $10 billion provided by the stimulus package for 2009 and 2010.

But some cancer specialists say that rather than finding a cure, a more realistic scenario is that certain cancers that are fatal today will move into the realm of chronic illnesses.

By chronic disease, doctors mean "the way we think of diabetes or heart disease as chronic diseases, where people could live in peaceful coexistence with cancer, as opposed to the cancer continuing to advance," said Brawley, who also is CNNhealth.com's conditions expert.

Dr. Tony Reid, an oncologist and director of clinical trials at the Moores Cancer Center at the University of California, San Diego, shares this view. He sees the long-term management of certain cancers as chronic illness as a "primary intermediate step" as researchers work towards cures.

Prevention efforts, including discouraging smoking, obesity, and environmental hazards, are also important components of the cure, Dr. Andreas Ullrich, medical officer in cancer control at the World Health Organization in Geneva, Switzerland.

How long it will actually take to cure cancer is anyone's guess, but Obama's initiative is encouraging, he said.

"We need this hope," Ullrich said. "We need to invest in our efforts in research, in basic research, and also in social science to understand why people behave in a risky way, and how to prevent people from exposing themselves to cancer risk," he said.

Given that "cancer" encompasses more than 200 diseases, it makes sense that different varieties would require different approaches for saving the lives of their victims.

From Brawley's perspective, a cure happens when the disease has gone away and it's not likely to come back, and the person is likely to grow old and die from something totally unrelated.

Reid put it in terms of years of survival -- with pancreatic cancer, which normally takes lives within six months of diagnosis, you're probably cured if you're still alive five years after surgery, he said. But breast cancer can come back even after 10 years, he said.

About 11 million people living in the United States had a history of some form of cancer as of 2005, according to the latest statistics from the National Cancer Institute's Surveillance Epidemiology and End Results database.

There has been progress, however. For American men, the risk of death for cancer is 20 percent lower than it was 20 years ago, Brawley said.

Rates of new cancer diagnoses and deaths for U.S. men and women simultaneously fell for the first time since reporting began in 1998, according to a report published in November in the Journal of the National Cancer Institute.  See a map of lung cancer in the U.S. from this report »

Already there are cancers that respond well to drugs for several years. Patients with gastrointestinal stromal tumors tend to tolerate the drugs well, for example, Reid said.

"I have many patients who will come back and say, 'Except for the fact that you tell me I have cancer, I don't know it,' " he said.

But after a while, these patients'  cancer cells mutate and evolve to become resistant to the drugs, finding ways around almost any drug, Reid said.

Some breast cancer patients take medications for 10 years to prevent recurrence, said Dr. Stephanie Hines, physician at the breast center at the Mayo Clinic's Breast Cancer Center in Jacksonville, Florida. But great strides have been made in such drugs, she said.

"There is real promise at eventually eradicating breast cancer," she said. "I would say maybe not in the next five or 10 years. But it may happen -- I don't know if in our lifetime."

Still, only a few kinds of cancer are currently cured, and that's often dependent on early detection -- testicular and early stage breast cancer are two of the few examples, Reid said. About 80 percent of lymphomas are cured, Brawley said.

Metastatic lung cancer and metastatic breast cancer, on the other hand, are more likely to one day become "chronic diseases," which would be treated throughout a person's life rather than eliminated, Brawley said.

"Once it's metastasized or spread, you can't really do surgery unless you want to do almost cherry-picking throughout the body, which doesn't really work," he said.

Currently, some breast cancers regress even with chemotherapy. Cancer specialists compare these breast cancers to "a smoldering fire which flares up every once in a while" and requires more water, Brawley said. Extending the amount of time that a person could live like that is a "reasonable goal," he said.

Cancer doctors emphasize that Obama's initiative is a tremendous asset to cancer research.

"I think that all the tools are there -- it's just, we have to do the hard work of testing them, evaluating them, and making them available to patients, Reid said.

@highlight

President Obama's proposed budget includes $6 billion for cancer research

@highlight

Experts: Some cancers that are fatal today will become like chronic diseases

@highlight

Already there are cancers that respond well to drugs for several years