(Financial Times) -- China's smog-ridden capital issued an unprecedented set of new anti-pollution measures at the weekend, as the authorities scramble to respond to rising public pressure over the city's deteriorating air quality.

The far-reaching measures target everything from outdoor barbecues and dusty construction sites, to paint fumes and idling car engines, representing the city's broadest effort yet to fight the persistent pollution haze over Beijing.

The Beijing city government published a draft of the new rules on its website on Saturday and asked for public feedback -- an unusual step that illustrates how carefully the government is treading around the hot-button issue.

Earlier this month, an episode of extraordinarily bad pollution in Beijing sparked public outcry over air quality, as well as causing a sudden increase in hospital admissions for respiratory illnesses and heart attacks. China's double-digit economic growth in the past three decades has been accompanied by widespread environmental degradation, of which air pollution in the capital has become the latest, and most visible, symbol.

Although the Beijing city government has in the past tried to conceal its pollution problem by manipulating air quality data, public pressure has forced it adopt a radically more open stance. The city government now publishes hourly pollution data and even pollution forecasts to help citizens deal with the haze.

In a sign of the growing severity of the problem, the new regulations published on Saturday describe "emergency measures" for days when pollution becomes a "danger to human health", including mandatory factory closures and restrictions on vehicles.

The draft rules also outline a new cap-and-trade scheme for key pollutants, and will require the largest culprits to publicly disclose their emissions -- which environmentalists said was a step toward greater transparency.

"The draft law it is really trying to tackle the issue in a proactive way, trying to tackle the pollution at its source," said Ma Jun, a prominent environmentalist in Beijing and author of China's Water Crisis. However, he added that firm implementation of the rules, which has thwarted similar environmental laws in the past, would continue to be a challenge.

The draft regulations, which span dozens of pages, also describe a range of smaller measures that could change some of the key features of life in the capital, if strictly implemented.

Restaurants and caterers will be banned from burning coal -- a measure that will threaten Beijing's beloved lamb kebabs, known as yangrou chuan. Vehicles will be prohibited from idling their engines for more than three minutes if parked near a school or a hospital, and cars will be subject to random testing for emissions compliance.

Some parts of the new regulations simply reiterate rules that were already in place -- such as requirements for dust-control measures at construction sites -- but have been poorly implemented because the environmental authorities have lacked clout.

"To make this happen the key thing is oversight," said Zhou Rong, air pollution specialist at Greenpeace in Beijing. "The government put this up on the web because they understand that everyone is watching this issue -- this is a big improvement."

© The Financial Times Limited 2013

@highlight

China's smog-ridden capital issued an unprecedented set of new anti-pollution measures

@highlight

Authorities scramble to respond to rising public pressure over the city's deteriorating air quality

@highlight

Beijing published a draft of the new rules on its website on Saturday and asked for public feedback

@highlight

Earlier this month, an episode of extraordinarily bad pollution in Beijing sparked public outcry