New York (CNN) -- There are dozens of get-well cards on his wall. On his bed, there's another pile from family, friends, high school pals. The patient must be 19 or 20 -- a kid -- and his smile is magnetic.

His mother hugs every visitor, strangers like us included. "I'm a hugger," she explains. His girlfriend is by his bedside too, wearing a sweatshirt from her college in upstate New York, her studies interrupted.

"My leg will never be a hundred percent," he says, "which means I just have to get a new hundred percent."

It helps that we were visiting this wounded soldier at Walter Reed Army Medical Center, a few weeks ago, with the actor Woody Harrelson, instantly recognizable from TV and movies. Woody is profoundly good-natured and can make anyone smile, even the maimed young men and women, just back from a combat zone they carried home with them. But this particular soldier/kid is happy anyway. Happy to be alive, mature enough to be grateful.

A few weeks earlier, an Afghan soldier he had known for eight months -- a man who fought by his side -- turned his rifle on his American "allies" and killed two of this soldier's buddies, wounding three, including him. This kid knows he's among the lucky ones.

"I have no idea why he did it," he says.

"It's the Middle East," I reply.

"I guess so," he says with a sigh.

In room after room, our delegation encounters stories of war that are just not a part of the national conversation. I keep thinking: Whatever happened to the telling of these stories in America? Do we need a Washington lobbyist to push the soldier's-story agenda?

Individual tales make up the reality of war; anecdote by anecdote, they become the truth of combat. But in the U.S. mainstream media, they have too little presence. How did we get to a place where sharing a soldier's narrative or reading soldiers' names on television or meeting their coffins when they are brought back to their country becomes a political or disloyal act? Why can't we share the truth about war?

When I was growing up in Israel, we saw scenes from military funerals on the news: screaming, crying mothers and all. Wounded soldiers would be interviewed, sometimes with burned bodies or missing limbs. It was not political; it was just the subjective, human reality of the soldier. There was a need to know. It gave our warriors a public stage from which to reconnect.

I remember coming back from Lebanon when I was a soldier in the '80s, feeling like I've just been to another planet. Filmmaking, storytelling, was my therapy.

We made an earlier trip to Walter Reed, along with our lead Ben Foster, to immerse ourselves in the lives of returning soldiers in preparation for making a movie about casualty notification officers, the soldiers who knock on the door to bring the grim news of a loved one's death while on military duty. We think of it as an uplifting movie about getting back to life.

When we tell these troops about our movie, most smile bitterly; they know their families were spared that awful encounter -- they got a phone call -- but they imagine their friends' families having their hearts ripped out by two soldiers in Class A uniforms at the door. "The secretary of the Army regrets to inform you ..."

Visiting a military hospital is always an inspiring, shocking, beautiful, complicated experience. I highly recommend it. It's a gift to the soldier, and it's a blessing for the visitor. Those who are in good enough shape to talk take us to the front lines of Operation Iraqi Freedom and Operation Enduring Freedom in vivid, visceral detail. We feel privileged to hear their voices crack, to see their eyes fill with tears.

Firefights. IEDs. Accidents. Friendly fire. Boredom. Porn. Burn pits. Torn up buddies. Locals. Shifting alliances. Lives lost in translation. The stuff of war. Nothing pretty about it. And that's OK. If these guys can live through it, we can listen. It doesn't take much before you're reminded that wars are about human beings -- on both sides.

With more than 5,000 dead; more than 35,000 soldiers coming back with injuries, many that will last a lifetime; with one in six returning soldiers afflicted with post-traumatic stress disorder; and with families torn apart by multiple deployments, domestic violence, substance abuse, divorces, suicides, homelessness, etc., we are slowly transitioning into the longest part of the war: the aftermath.

There are many dedicated professionals and volunteers who are dealing with these issues. They're the ones who will be learning the soldier-stories that we all must know, the individual accounts that should allow us to address, head-on, our collective responsibility as a society toward those who fight in our name.

But we won't hear these stories unless we insist. Instead, we'll get more statistics, political punditry, screamers trying to pull us left or right.

We say goodbye to this kid in his military hospital bed. He waves and says, "No need to worry about me." Which is the only thing I think he got wrong.

The opinions expressed in this commentary are solely those of Oren Moverman.

@highlight

Oren Moverman says soldiers' stories tell war's truth, but media often avoid them

@highlight

He says visiting soldiers in a military hospital is inspiring, not pretty, but important

@highlight

Listening to soldiers' experience lets society confront its responsibility in war, he says