(CNN) -- There have always been great moments in global events that changed world history. On July 4, 1776, Americans signed the Declaration of Independence and began their march toward democracy. On September 2, 1945, World War II mercifully ended when Japan surrendered after more than 50 million had died during that brutal conflict. And on November 9, 1989, the people in occupied East Germany took control of their own destinies when they literally hammered the Berlin Wall to the ground.

It is hard to recapture the breathtaking drama of that period in Europe 25 years ago. Throughout 1989, there were clear signs that the Soviet Empire was crumbling. In Poland, Hungary and elsewhere, popular movements successfully challenged Soviet-backed regimes that had long since lost their legitimacy.

But nowhere was the drama greater than in East and West Germany, the epicenter of the Cold War. Since August 13, 1961, when East Germany erected the terrible barrier that cut off West Berlin from East Berlin and East Germany, the wall became a dreaded symbol of isolation and despair. Family members were separated, and for the next quarter of a century, more than 100 Germans were killed trying to escape past the wall.

Then, on October 9, 1989, more than 70,000 East Germans gathered outside the Nikolai Church in Leipzig carrying candles of peace and chanting, "Wir sind das Volk!" We are the people! Demonstrations were followed by more and larger protests, in Leipzig and around East Germany. Precisely one month later, the Berlin Wall fell.

The United States had long supported German unification and we backed the efforts of Chancellor Helmut Kohl and other German leaders to move toward rapid political and economic integration of East Germany into the Federal Republic. Of course, there were international complications: Soviet leader Mikhail Gorbachev had signaled that the Soviet Union would not act militarily to stop unification. So it was still important to find ways for Gorbachev to fend off criticism from Kremlin hardliners. Moreover, Britain's Margaret Thatcher and France's Francois Mitterrand were initially skeptical about a unified Germany.

To deal with these concerns, we developed the "two plus four talks." Under this formula, the two German governments negotiated the internal terms of reunification while the four occupying powers -- the United States, the Soviet Union, France and Great Britain -- addressed its international aspects.

The successful talks resulted in the Treaty on the Final Settlement with Respect to Germany signed by all six parties in Moscow on September 12, 1990. That treaty ended the limitations on German sovereignty that had existed since World War II.

The leadership role President George H.W. Bush played in German unification was pivotal, but Kohl and Gorbachev also played truly decisive roles. The former brought immense passion and creativity to the process. The latter, despite bitter opposition by reactionaries at home, remained committed to a resolution without bloodshed. Above all, though, unification was achieved by the German people, in Leipzig and elsewhere, who never lost faith in freedom and never lost hope for the future.

Looking back, one of President Bush's outstanding traits has been his humility, and particularly his insistence after the Iron Curtain fell that Americans not gloat about our victory in the decades-long Cold War against the Soviet empire. In 1989, after all, the President still had further business to do with Soviet leaders, even as their country was rapidly imploding. Included on his checklist were nuclear arms reductions, which were later accomplished and have played a critical role in maintaining world peace.

Time and time again, President Bush demanded that we not dance on the ruins of the Berlin Wall. He simply wouldn't hear of it.

But 25 years later, on November 9, 2014, we should all enjoy a celebratory jig to commemorate what happened on that fateful day. That magical moment is a reminder to all people everywhere in the world -- those alive then, today and well into the future. Tyranny cannot suppress the will of those yearning for freedom and desiring a better life for themselves and for their children.

@highlight

November 9 marks 25th anniversary of fall of Berlin Wall

@highlight

James A. Baker was secretary of state the day the Berlin Wall fell

@highlight

Anniversary a moment to celebrate "magical moment," Baker says