(CNN) -- Authors' voices can resound long after they're gone. For Alicky Sussman, that's the hardest part of living without her husband, Paul -- but it's also what's helping her cope with his sudden death.

Readers have his latest book to digest. And for his literary team, there is the painful dilemma of what to do with an unpublished manuscript.

Paul Sussman was a crime-fiction author whose books have sold more than 2 million copies. His latest, "The Labyrinth of Osiris," came out just weeks after he died at 45 from a ruptured aneurysm. It's the fourth in a series of thrillers set in the Middle East, against the backdrop of the region's ancient past.

The idea that "The Labyrinth of Osiris" could be his last book is all the more poignant, because reviewers and editors alike say it's his best -- even Sussman agreed.

Simon Taylor, editorial director at Transworld Publishers, says, "He very rarely blew his own trumpet." But after Sussman's most recent book was complete, his editor says he changed his tune. Taylor recalls: "He turned to me and said, 'Simon, I do think perhaps I've written quite a good book here.' " To which Taylor replied: "It's bloody brilliant."

Promoting a book without an author presents unique challenges -- especially because Sussman took such an active role in publicizing his work. Taylor remembers Sussman riding around London on his motor scooter, with a publicist in tow, on his way to interviews to support his books. He joked that the writer terrified his passengers with his driving. But Sussman set himself apart by making time for all of the interview requests that came his way, no matter how small the publication.

Now his book is getting noticed for its author's absence. "In some ironic way, it (his death) got a little bit more attention for the book in the UK," says Morgan Entrekin, president of Grove/Atlantic, Sussman's U.S. publisher, "as people wrote about the tragedy of his death and the fact that this was going to be his last book."

His widow didn't finish his latest book until after his death last year. Reading it now makes her miss him the most. "Some of the turns of phrases that he uses are so quintessentially Paul," she says. "There couldn't be anyone else who had written them."

She says she yearns to talk to him each time she finds one of the inside jokes he scatters throughout "The Labyrinth of Osiris." In all of his books, he includes characters named after people he and his wife know. "I wish I'd been able to tell him I'd spotted them," she says.

Sussman also wove his wife into all of his stories. Each book includes a character called Alexandra (Alicky's full name). His widow was amused to discover the circumstances of her namesake's appearance in the most recent book. The Alexandra figure relieves herself in the Valley of the Kings in Egypt. She then makes a gruesome discovery when she loses her footing and falls down a shaft.

"I think one of the really, really difficult things about losing someone is the conversation ending," Alicky says. "And the person that you've been in the most amazing, wonderful conversation with -- suddenly that stops."

To keep the dialogue going, his widow writes letters to Sussman. She tells him about his two sons, ages 5 and 3, and what she's up to around their London home. "All of those things that you would normally talk about," she says.

She has a treasure trove of material that she can turn to when she wants to remember his voice. In addition to his books, Sussman kept 25 years' worth of diaries. And there is a book that even his most ardent fans haven't read yet. Before finding his niche in Middle Eastern detective thrillers, Sussman made his first foray into novel writing down quite a different path.

His agent says she has a manuscript Sussman wrote more than 10 years ago. It's the story of a 100-year-old man who decides to kill himself, because he thinks he's lived long enough. In a suicide note, he confesses to 10 murders.

But readers soon realize that the narrator isn't a murderer at all; rather, he just failed to prevent accidents. Along the way, they get a history of the 20th century.

"It's an absolutely hilarious book," says Laura Susijn, his longtime agent and friend. "But it's painful because we all miss him so much." (Sussman and I crossed paths briefly at CNN in London, where he worked about 10 years ago.)

Susijn says the unpublished manuscript reflects its author even more than his subsequent novels, largely because it's so funny. But without Sussman, working on it would be heart-wrenching.

His literary team also worries that introducing a new work too soon after his latest crime thriller's release could distract readers from the marketing campaign around his existing books. They focus on Sussman's background as an archaeologist, rather than his modern wit.

Even so, publishing expert Ava Seave says she believes the manuscript should be published. "If the product exists, you should get it out there," she says.

The adjunct associate professor at Columbia Business School finds plenty of upsides to bringing out new material from an author who has passed away. "I think it would be great if ... they can make a few bucks, or if they just want to make sure that the fans are happy," she says.

As they mull over sharing his unpublished work with the world, his colleagues and friends find that Sussman lives on through his books. "For me, he's very much alive," Susijn says. "As his literary agent, I'm selling rights around the world."

His widow is taking a year off from her job as a documentary producer for the BBC in London. She is focusing on putting together a book of memories for her sons about their dad. She says she would also be keen to publish her husband's early manuscript -- in time. "I want people to hear his voice," she says.

For now, his readers can seek solace in Sussman's current collection. "He knew how to tell a rip-roaring story," says Taylor of Transworld Publishers.

But more than that, he left his friends and family happy with the time -- and the work -- that they got from him. "That's basically his legacy," Susijn says. "You would always feel better having spent time with Paul."

Do you think it's a good or bad idea to publish an author's work posthumously? Give your take in the comments section below.

@highlight

Best-selling author Paul Sussman, 45, died last year from a ruptured aneurysm

@highlight

Widow says one of the difficult things "about losing someone is the conversation ending"

@highlight

Sussman's literary team faces a painful dilemma -- what to do with an unpublished manuscript

@highlight

His widow finds writing letters to her husband helps her cope with his death