Editor's note: William Jelani Cobb is Associate Professor of History at Spelman College, and author of the forthcoming "Change Has Come: Barack Obama and the Meaning of Progress." He blogs at http://americanexception.com/

William Jelani Cobb says Somalia's piracy problem was fueled by environmental and political events.

(CNN) -- The drama of an American ship captain held hostage by Somali pirates led last Sunday's talk shows.

Just hours before Maersk Alabama Capt. Richard Phillips was rescued, the piracy incident was discussed as one of the "tests" of President Obama that Joe Biden warned about during the campaign.

Others wondered whether wars in Iraq and Afghanistan have stretched our military resources too thin to respond effectively to these kinds of provocations. Many expressed outrage at the brand of naval gangsterism that by some estimates generated as much as $80 million in 2008.

Clearly this escalating pattern of pirate attacks may soon constitute an international crisis. But what this situation actually reveals is how little we've learned in the nearly eight years since George W. Bush declared war on terror.

Somalia is like Afghanistan in that we had a great deal of interest in the place during the Cold War and more or less forgot about it afterward. The United States supported the government of Said Barre during the 1980s primarily for the same reason we began funneling aid to the Afghan rebels: anticommunism.

Barre was a regional counterpoint to the Marxist regime next door in Ethiopia and strategically important enough for his human rights abuses to be tolerated. And like Afghanistan, Somalia quickly fell into disarray after the Cold War ended and the United States cut off support.

During the early post-Cold War era, the United States developed a more narrowly defined set of interests and it was common to hear American foreign policy circles express disdain for "nation-building" projects. But two decades later we continue to deal with the consequences of our abrupt exit from both countries.

Our fleeting humanitarian concern with Somalia ended with the downing of two Blackhawk helicopters in 1993. But that incident actually served as a kind of foreshadowing and highlighted yet another link to Afghanistan: The forces that attacked American troops in Mogadishu were reportedly linked to al Qaeda.

The 9/11 attacks and Afghanistan's role in sheltering al Qaeda should have given us reason to re-examine other regions where similar blowback might take place. In short, we might well have looked at what was going on in Afghanistan after September 11, 2001, and seen trouble on the horizon elsewhere.

The Somali situation was further complicated by a series of economic and ecological problems that have struck the region in the past decade. In the wake of the government collapse, the Somali coast became a target of illegal commercial fishing. This is a problem across East and Southern Africa but rampant in Somalia. According to one report, some 700 vessels were illegally operating in the region and fishing the local stock to near depletion.

As recently as 2006 Somali fishermen complained to the U.N. that illegal fishing was driving them to the brink of economic collapse. To add to the burden, the coast also became a favorite locale for nuclear waste dumping.

In 2005, U.N. officials confirmed that barrels containing illegally dumped nuclear waste had cracked open during the tsunami that year and begun washing ashore. The situation was widely reported by international news outlets with virtually no consequences.

No matter what we think of their current methods, it's impossible to solve the piracy problem without addressing the illegal fishing issue. Somalia lacks a functioning navy -- or government. Similarly, we were not talking about the over-fishing and nuclear waste issues -- to the extent we do talk about them now -- before the Somalis began to respond in kind.

These environmental violations will undoubtedly cost lives and the West has more or less ignored Somali pleas. Our intense and highly selective outrage began when the Somalis started targeting commercial vehicles.

Faced with this response it's hard to avoid the conclusion that the Western consumer products, carried by these ships are more valuable than Somali lives.

Given the recent history of unstable states like Afghanistan and Iraq, piracy is actually one of the milder problems we could have expected from the region. In a worst-case scenario, the region could become an incubator for terrorist cells or a depot for training international jihadists -- if it hasn't already.

Resolving this problem will likely involve precisely the kind of nation-building the United States once disdained and are now engaged in with Afghanistan. They amount to the back-end costs of the Cold War.

These pirates are not romantic heroes and their actions have generated an entirely different set of problems in Somalia, but they have our attention. In light of this incident we should recognize there are two sets of victims here: innocent workers taken hostage by pirates and those people living along the poisoned and depleted Somali coast who may well see these pirates as heroes.

We should also know that part of combating terrorism means addressing the conditions in which it flourishes. Extortion and kidnapping on the high seas is certainly wrong, but by ignoring the dumping of nuclear waste and the threats to the regional food supply, we effectively created a niche for these pirates. And Capt. Phillips' ordeal is a clear signal that humanitarian concerns are not the soft aspects of foreign policy, but rather the key to protecting our national interests abroad.

The opinions expressed in this commentary are solely those of William Jelani Cobb.

@highlight

William Jelani Cobb: Somalia piracy being seen as test of Obama's foreign policy

@highlight

He says piracy developed in wake of political and environmental problems

@highlight

Cobb: U.S. cared about Somalia, like Afghanistan, during the Cold War

@highlight

He says U.S. lack of interest in the country helped to let piracy develop