(CNN) -- Danielle Jackson still remembers the day she discovered her own mother could be her own worst enemy. She was paying for her lunch when her debit card got rejected in front of everyone. She ran back to the bank where she worked and pulled her records, only to discover a middle-of-the-night withdrawal from a bank near her mother's home. The night before, as she was sleeping, it looked like her own mother had nearly emptied her account.

"It was embarrassing. It was hurtful," said Danielle, who remembers thinking that her co-workers at the bank must wonder how a mother could steal her child's money. "It was only a small amount of money, but it hurt worse than anything she's done, because she took something from me."

I have met these Danielle Jacksons many times over, young women whose own mothers drag them down even as they already face terrible odds.

These are mothers who engage in a stunning role reversal at the very moment their children need them most, demanding their daughters become caregivers, bail them out of trouble, support them when they can barely support themselves.

The first warning sign is neglect

This alarming role reversal begins with neglect. Each year, the Administration for Children and Families records 6 million cases of child abuse or neglect, 80% of them cases where parents, many of them mothers, put their own children at risk. What sometimes happens next, but you don't hear about as often, is that many of those mothers demand their children care for them, even after they stopped caring for their children.

"Those mothers can have many needs themselves, and the one person who can fulfill those needs is that child," says Alicia Salzer, a psychiatrist and the author of "Back to Life: Getting Past Your Past With Resilience, Strength, and Optimism," a book about how people can overcome trauma.

The problem is particularly acute among children of the poor and of substance abusers, children who already face obstacles getting ahead.

I know a young woman named Whitney who aspired to finish college and thought she might even count on her mother for some minimal help with the huge loans she needed to pay for school. Instead, she says, her mother used her Social Security number to rent an apartment. She left Whitney with unpaid bills and ruined credit.

Mia (not her real name) was raising her son by herself and trying to go to school. Even as she struggled to find baby-sitting and juggle her schoolwork, her mother treated her like a renter, expressing jealousy that Mia was getting to go to school.

Then there was Terry, a beautiful dark-eyed academic superstar, whose mother barely provided for her, even as she had so many unmet needs. One day when Terry was in high school, she came home to discover her mother had gone to live with her boyfriend. "She left," she told me. I could see everything in this young lady closing down as she said the words. "Did she tell you where she was going?" I asked. "No," she said. And we both began to cry.

No idea of normal

"To these girls, normal is something that looks like a Disney film," says Salzer. "They have no idea what a normal mother-daughter relationship looks like. They get used to it being this way, so it just continues."

A common thread in such relationships, says Salzer, is substance abuse, because it gives the mother something in her life that overshadows her children, blurs judgment and creates need.

That's been the case for Danielle.

Her mother, Regina, was addicted to crack when she became pregnant. She was already having trouble raising two sons and had no job and no stable relationship. Regina is frank when she tells her side of the story:

"Being honest with you, I told Danielle I didn't want her even when I was pregnant, but I'm glad I didn't get rid of her. They had told me I couldn't have any more kids, and I went out on a drug spree. I was so surprised when I found out I was pregnant, I had to check into a mental institution for six months to get over it."

Danielle ended up living with her grandmother, where she thrived and became a good student. Her mother loomed over her like a dark shadow, entering and re-entering her life as she faced her addictions. Danielle went to college; her mother went to jail.

Her grandmother's diagnosis of cancer forced Danielle to make a heart-wrenching decision.

"My grandmother had taken care of me, and now I had to take care of her," Danielle recalls. She left college, a mountain of debt wasted, and began caring for her grandmother. Her mother seemed like she might rally and help her out, but once again, it wasn't to be. "I thought this would bring my mother and I together, but all she did was cry and cry," Danielle remembers.

As Danielle watched her grandmother succumb to cancer, her mother brought new problems.

Danielle bought her a car, and Regina got drunk and had an accident. The car was impounded. Danielle paid a fine. Regina's boyfriend was stopped on a DUI, which was another fine. Then a relative crashed the car, leading to hundreds of dollars in repairs.

Regina recalls how Danielle stood by her. "She took care of six or seven payday loans. She took care of me," she said. "She is a good person to lean on."

After Danielle's grandmother died, her mother leaned even harder, falling into debt by buying insurance policies for every family member. Danielle again had to step in and rescue her mother.

"I've struggled because I love her, and I was raised to respect her as my mom. She didn't give me up for adoption," said Danielle. "But it's a struggle."

Outside intervention

That is when our foundation stepped in. My husband and I started the Soledad O'Brien Brad Raymond Foundation two years ago to help promising girls who were future leaders.

We wanted to help them navigate around the people and things that become obstacles to their success. We also wanted to give them the funding that puts them within reach of a better life through education. We have adopted 23 scholars so far.

Our mentors aim to give our girls a taste of what a functional family looks like by helping them with simple things such as choosing clothes for an interview, shopping for textbooks or celebrating good grades.

We sent Danielle back to college and assigned a mentor to help her navigate her upside-down relationship with her mother. It was clear from the outset that Danielle couldn't let go of her mom easily.

"She needs me too much for me to move away. It's almost like she is trapped at the age she was when she started using drugs. Like she is a teenager, and at some point I moved past her and became an adult," said Danielle.

Salzer says it's naive for women such as Danielle to believe their moms will ever just go away, but they can learn to negotiate and set limits.

"The whole notion that they will just get rid of their mothers doesn't work so well, because I know very few people who can do that, just shed their family or their history. ... Their parent is really impaired. The best you can hope for is that they can stop having the expectation that this will turn into something normal."

Danielle says she knows her mother's behavior is a danger sign, not something she should readily accept.

She has cut off access to her passwords and no longer will give her money directly. She no longer trusts her, even thought she loves her.

"Who runs out in the middle of the night with someone else's debit card to get cash if they're not using drugs?" she asked. "I don't want to be helping her get in more trouble."

The opinions expressed in this commentary are solely those of Soledad O'Brien.

@highlight

Soledad O'Brien: Many young women struggle because mothers don't fulfill their role

@highlight

She says it happens most often with substance abusers who fail their kids

@highlight

When young women need help most, they wind up having to care for their moms, she says

@highlight

O'Brien: Her foundation helps promising girls overcome obstacles