ISTANBUL, Turkey (CNN)  -- Fethiye Cetin was 25 years old when she discovered her beloved grandmother's secret.

Fethiye Cetin, with her grandmother, said she felt deceived when she learned her origins.

The little old lady in the white headscarf was Armenian. Her real name was not Seher, but Heranus Gadarian.

Cetin says at the age of nine, a Turkish gendarme captain ripped Heranus from the arms of her mother while they were on a brutal death march into the desert. A Turkish couple later adopted the Armenian girl, and gave her a Muslim name.

When Cetin first learned about her grandmother's Armenian origins, she was shocked.

"I felt deceived," she says. "I felt like going out into the street and screaming 'they are lying to us.'"

Instead Cetin, a Turkish human rights lawyer, wrote a book titled my "My Grandmother." It describes the atrocities that Cetin's grandmother witnessed and suppressed since childhood. It also recounts Cetin's reunion, after her grandmother died, with Armenian relatives in the United States.

The book, which has been translated into six languages, is helping chip away at a taboo in modern-day Turkey about what happened to the Armenians in the final days of the Ottoman Empire.

According to the Armenian Patriarchate in Istanbul, in 1914 there were more then 2,000 Armenian churches scattered across what is now Turkey. Today, there are fewer then 50.

Between 1915 and 1918, as Europe and the Middle East plunged head-long into World War I, Ottoman authorities organized mass deportations that led to the deaths of hundreds of thousands of Armenians living in eastern and central Anatolia.  Watch more on this story »

Every April 24, Armenians around the world commemorate the anniversary of what they call the "Armenian genocide." They say more then a million Armenians were killed in the massacres.

The Turkish government vehemently rejects the figure.

"The people of Turkey do not believe that their ancestors were criminals, were killers," says Onur Oymen, a former ambassador who is now a member of the Turkish parliament. "The historical fact says that the Armenians killed during this period more then 500,000 Ottoman citizens, Turkish citizens."

"Regardless of whether 1,000 people were killed or one person was killed, it was still a human" says Cetin. "I wrote this book to say that people felt pain, people suffered in 1915 -- to look at the events from a humanitarian perspective."

The battle over history continues to claim victims.

On January 19, 2007, Cetin's friend and client, Armenian newspaper editor Hrant Dink, stepped out of his office on to a busy boulevard in Istanbul to go to a nearby bank. He was gunned down in broad daylight by a 17-year-old Turkish ultra nationalist. Television cameras filmed Dink's body that afternoon, lying on the sidewalk covered with newspapers.

"Hrant Dink was defending democratization. Hrant Dink was supporting dialogue. And at the same time Hrant Dink was destroying the taboos of the system," Cetin said. "Therefore Hrant Dink was dangerous for them and he was an important target."

Before his murder, Dink received a six-month suspended jail sentence for "insulting Turkishness," after he wrote an essay urging Armenians and Turks to overcome their mutual distrust. He was battling another court case at the time of his death, after he labeled the massacres of 1915 "genocide" in an interview. He was quoted by the Reuters news agency saying: "Of course I'm saying it's a genocide, because its consequences show it to be true and label it so. We see that people who had lived on this soil for 4,000 years were exterminated by these events."

An estimated 100,000 Istanbul residents poured into the streets in solidarity after Dink's murder, some of them chanting "We are all Hrant Dink." But today, his surviving son is still defending himself in court for his father's genocide comments.

During his visit to Turkey this month, President Obama was asked whether he would follow through on a campaign pledge to recognize what happened to the Armenians nearly a century ago as genocide. Obama said his views had not changed on the subject, but added: "What I want to do is not focus on my views right now but focus on the views of the Turkish and the Armenian people. If they can move forward and deal with a difficult and tragic history, then I think the entire world should encourage them."

Twenty-eight-year-old Aris Nalci, one of the new generation of Armenian journalists in Turkey inspired by Hrant Dink, said he opposed a proposed resolution in the U.S. Congress to formally recognize the Armenian genocide, arguing it would only hurt U.S.-Turkish relations.

"People and politicians in other countries are using this in a political way," says Nalci.

"It will not change the minds of the people walking in the streets and the people living here."

But there is one area where the tiny -- and shrinking -- community of some 70,000 Armenians still living in Turkey is praying for American help.

During a short meeting with Obama, Armenian Orthodox Archbishop Aram Atesyan urged him to do everything in his power to help Turkey and its northern neighbor Armenia normalize diplomatic relations.

Borders between the two countries have been shut since 1993, but the two countries have recently engaged in a diplomatic rapprochement. On April 16, Turkey's foreign minister traveled to the Armenian capital to attend a regional summit.

"Turkey is our motherland and Armenia is our fatherland," Atesyan explained. "And we are like orphans, stuck in between."

@highlight

Disagreement over events in 1915 continue to divide Turks and Armenians

@highlight

Armenians say one million were killed in genocide

@highlight

Turks reject claim that their forebears were involved in genocide