(CNN)He spent time in prison, stole a penguin to put in his bathtub and lived in an igloo for a week. Oh and he "died" on a football pitch.

"It wasn't like a kaleidoscope -- there was no color, it was all black and white," Lutz Pfannenstiel tells CNN, recalling the moment 12 years ago when his life flashed before his eyes, the former goalkeeper suffering an injury which led the club's physio at Bradford Park Avenue to think the German was dead.

It's not for nothing the title for Pfannenstiel's book is "The Unstoppable Keeper."

Even now, the memory of that day in Bradford, Yorkshire, in north England, is still vivid.

"There were black and white diamonds and it was very quiet," said Pfannenstiel, whose lungs collapsed after an opposition player's knee smashed into his chest, preventing him from breathing. "In the background there were figures but I couldn't make out who they were. I didn't feel cold, I felt all warm. I felt I was floating and it wasn't a scary feeling at all."

After waking up from the accident and finding himself in hospital, Pfannenstiel screamed at the nurses, convinced he was paralyzed.

Raging at the abandonment of the game, in which his team was leading, he was back training within a week.

Looking back, he says he behaved "irresponsibly" and the incident proved a turning point in Pfannenstiel's career, in which he played for 25 clubs across the globe over two decades.

As a youngster, Pfannenstiel was a highly rated player and represented Germany's youth team at Under-17 level.

Despite the nation's biggest club Bayern Munich making him an offer, Pfannenstiel opted to pursue his dream of playing abroad.

So in 1993 he left Germany to play in Malaysia with Penang FA before eventually moving to England where he enjoyed time in the Premier League with Wimbledon and Nottingham Forest.

In South Africa, Pfannenstiel became a folk hero with Orlando Pirates in Johannesburg, his fame even persuading one would be gun toting assailant to apologize for inconveniencing the German as he visited the corner shop for a bottle of water.

But it was in Singapore where the most traumatic episode of Pfannenstiel's career would take place after he was accused of conspiring with bookmakers.

At the time the German was enjoying life, modeling for Armani and presenting his football highlights show, but he was then found guilty of match fixing and sentenced to 101 days in prison.

Protesting his innocence, Pfannenstiel  says he was not charged for match fixing, but for a verbal corrupt agreement.

What followed was "one of the most difficult times" of his life  as he adjusted to being surrounded by murderers, drug dealers and rapists.

"The prison had no bed, no toilet, no toilet paper, no toothbrush. I slept on the floor," he said. "People were on death row. People got hung.

"For breakfast, they don't say good morning, they punch you in the face. I had to survive in that circus. If it was for 101 days, it felt like 25 years."

Jail time and his near death experience in England brought about Pfannenstiel's Damascene conversion.

Keen to distance himself from what he perceived was a superficial and materialistic way of life, Pfannenstiel came up with  the idea of 'Global United' -- a charity to raise awareness of climate change.

It's a project that has prompted Pfannenstiel to invoke the help of several famous footballers such as Zico, Lothar Matthäus and Jari Litmanen.

The charity has already run successful events in Africa, particularly Namibia, tackling issues such as HIV/AIDS, famine and education.

Now Pfannenstiel hopes to take his football friends, who play in games to raise money, to Antarctica and bring attention to the effects of climate change.

He hopes to hold the match at the end of 2015 or early 2016 when the weather is slightly more convivial and use the airport on King George Island as the venue as to ensure the local habitat isn't adversely affected.

"I want to leave the scene as if nothing had ever happened," says Pfannenstiel.

"We will clear the airfield using the snowmobiles, use yellow tape for the lines and we will build the nets.

"Within 10 minutes, the nets and lines are gone and nothing will be left.

"I don't want to hear 'this idiot is going there' and he destroyed the natural habitat. There are lots of plants growing around the area and it's very important.

"We will have scientists advising us and if they say we can play elsewhere, fair enough but at the moment, the airfield is the most convenient."

Having grown up in the Bavarian forests of Germany, Pfannenstiel has always been passionate about the environment.

Nature fascinates him and the tranquility and cleanliness of country life remains an integral part of his life.

"If you stand there, you can see the real Antarctica but at the same time, when you look out, you can also see what has happened," he says.

"It is already getting greener and that really shouldn't happen.

"Playing in Antarctica makes people think you're playing in the snow and in front of mountains and that's how it was 50 years ago.

"Now it's not like that. The highlands are still white, snowy and icy but the airfield where we will play, is green, brownish and dirty."

Pfannenstiel has already helped raise awareness of the effects of the climate change by spending a week living in an igloo -- a feat which was streamed online.

He hopes to visit the Amazon later this year and spend time living in the treetops in a bid to bring awareness to the destruction being wrought upon the world's rainforests.

"I was born in a village, which is now a ski resort, but it was always beautiful and clean," he recalled.

"Whenever I go back to visit my father, everything is so natural.

"When I started to travel, my brain began to scan things and it would compare places like London or any big city to where I grew up. It's filthy.

"If you go to China, the idea of climate change doesn't even seem to register on the conscience.

"If you go to the Maldives, you know that they will be gone in 10-15 years because they'll sink.

"It's a real issue which we want to tackle."

It's not just the environment which Pfannenstiel is passionate about -- he loves animals too.

During his time in Singapore, he owned a pet monkey which caused untold trouble in his apartment.

In New Zealand, he had another pet, although one which nearly led to him being deported.

Otago, famous for its penguins, became a place of some fascination for Pfannenstiel, who held a long-term admiration for the animal.

One night under the cover of darkness, he pulled on a wet suit and temporarily borrowed a penguin to take home with him.

"I saw this penguin and I got so curious and I just adopted him as a pet," laughs Pfannenstiel.

"They told me I couldn't do that. So a few days later, I went and got one out.

"I brought him back and put him in a cold bath but he wasn't happy and he really did stink of fish.

"The president of the club came for lunch and he saw that I had the penguin.

"He said it was dangerous and that I could have been deported for having the penguin in the bathtub."

When not kidnapping penguins or looking to save the world, Pfannenstiel spends his time working for German football Bundesliga club 1899 Hoffenheim.

As head of scouting and international relations, he scours the planet looking for talented players which he can bring to the Bundesliga club.

He is a football analyst on German television while he has also become more of a feature on the television screens in the United Kingdom.

He also works with world governing body FIFA and for the German Football Association as a coaching instructor focusing on educating coaches all over the world.

"I've had to fight for everything since leaving prison," he said.  "When I came back it cost me a fortune. I didn't have that much money -- all I had was a pair of flip flops, a pair of shorts, a T-shirt and a bag full of debts.

"But I can't complain -- at least I'm not dead."

@highlight

Lutz Pfannenstiel is a former goalkeeper

@highlight

Was pronounced dead on the field of play

@highlight

Spent time in Singapore prison for match fixing

@highlight

Campaigning to raise awareness of climate change