London, England (CNN) -- How much does it cost to renovate an "uninhabitable" wing of a 17th century palace to make it fit for a future king and queen? Now we know: £4.5 million ($7.6 million).

That's what the British taxpayer has put toward the refurbishment of Apartment 1a, Kensington Palace, which recently became the official residence of The Duke and Duchess of Cambridge and Prince George.

But the true cost is higher, because the couple also put in hundreds of thousands of dollars of their own money for additional improvements.

For example, public money was used to renovate the existing kitchen, but Catherine and William wanted a second "family kitchen," which they paid for themselves.

A royal spokesperson said: "Kensington Palace has a working kitchen provided by the Sovereign (public) Grant to support receptions and other public events which might be hosted there. There is also a much smaller family kitchen paid for privately by The Duke and Duchess of Cambridge."

The general rule applied to the project was that basic works would be paid for from the public purse, and anything beyond that would be covered by the Cambridges themselves.

It was a major renovation. The apartment was last lived in by the Queen's late sister, Princess Margaret, but in recent years was used as office space.

It needed updating and reshaping into a family home. Asbestos was discovered throughout the building, so in the end, nearly everything was stripped out internally, and even the roof had to be replaced -- all to exacting standards to meet historic building regulations.

The name "1a" downplays the grandeur of the property, with its more than 20 main rooms and expansive garden. But what's it like inside?

Well, we haven't been allowed in to see, but a Royal Household source describes "a very ordinary level of furnishing." And added: "It's not opulent."

The project was subject to the normal competitive tendering processes, and an independent quantity surveying firm confirmed to the Household that the costs are "commensurate with building projects of a similar size, sensitivity and complexity."

It won't be open to the public though, which begs the question: Why are they paying for it, especially when the Cambridges are also renovating a private home outside London?

The Household source confirmed that the apartment would be used for official engagements, which means invited guests and, presumably, media will get a chance to see inside.

The Queen received £36.1 million ($61.3 million) from the British Government for the 2013-14 financial year in what's called "The Sovereign Grant," and it covers the costs of her public duties and the upkeep of palaces including Kensington.

There's a major backlog of repairs throughout the estate -- 40% of it isn't up to standard, according to the Household source. Most of the services in Buckingham Palace date back to 1949. So was Kensington Palace given priority over other repairs? "Yes, in that we needed it for occupation," said the source.

The figures have been revealed in the Royal Household's Annual Report and Accounts, which also showed Prince Charles spent nearly £250,000 ($425,000) on a private jet to Nelson Mandela's funeral.

The Household source says there was massive demand for charter flights by heads of state to attend and that was the cost to charter at that time. "This was the only realistic way of getting him there in time."

The palace points out that the cost of the monarchy is 56p (95 cents) per head of the British population, but that doesn't cover the vast costs of security for the palaces and individual members of the royal family. The Royal Household source notes: "The cost of security is a cost of terrorism rather than a cost of the monarchy." And that, they point out, is something they cannot control.

Prince Harry joins Twitter

@highlight

Refurbishing empty palace for Duke and Duchess of Cambridge costs British taxpayers $7.6M

@highlight

Residence in Kensington Palace was "uninhabitable"; asbestos was discovered

@highlight

Royal couple also spent their own money on additional improvements

@highlight

The residence will be used as a home and for official engagements