(CNN) -- The Food and Drug Administration on Friday promised a safer U.S. food supply when it implements two new rules regulating food imported to the United States.

The first rule would put the burden on U.S. food importers to ensure their foreign suppliers are meeting U.S. food safety standards. The second would establish provisions for certifying third-party auditors in these countries.

"Many of the most vulnerable commodities are coming from countries with less-mature systems in terms of regulatory oversight and farming practices," FDA Commissioner Dr. Margaret Hamburg said. "This is an opportunity to help build regulatory capacity and improve safety standards."

The FDA will open the proposed regulations to public comment for a period of 120 days. It expects implementation of these changes to take two to three years.

With 15% of the U.S. food supply coming from overseas, including 20% of fresh vegetables and 50% of fresh fruit, Hamburg said these regulations are long overdue. The most recent case of contaminated food involved pomegranate seeds from Turkey; as of Wednesday, 153 people have been sickened by Hepatitis A after eating the seeds.

"Food-borne illnesses continue to take a great toll on American consumers, killing almost 3,000 people each year," Hamburg said. "The health of our families is too important not to take the steps we're announcing today."

The current food safety system in the United States relies on FDA inspectors at ports of entry around the country physically inspecting food and detaining items that may pose a hazard to the American public. But inspectors can only physically examine 2% of the nation's incoming food supply, according to the agency, leaving the other 98% unchecked.

The best way to fill that gap, the government agency says, is to require importers to oversee their suppliers, and in turn, for FDA to oversee those importers.

"These regulations represent a shift toward prevention and for industry being responsible for documenting what they have done to prevent problems from occurring," said Michael Taylor, the FDA deputy commissioner for foods and veterinary medicine.

The rules also propose a preferred vendor program of sorts, giving foreign food companies incentives to comply with U.S. safety standards.

"There will be opportunities to see their products move more swiftly (through the import process) if they have a record of compliance," Hamburg said. "This will increase incentives for companies to fully comply."

Food safety watchdog groups applauded the FDA's movement on the issue.

"Once finalized, the rules would ensure that foreign foods are held to the same high safety standards as American products," the Pew Research Group wrote in a statement. "By holding overseas producers to U.S. food safety standards, the new rules would establish a level playing field that would also benefit U.S. businesses, farmers and food processors."

The Center for Science in the Public Interest also said, "Today's long-delayed announcement that the FDA is moving forward on regulations to increase the safety of imported foods is good news and, if finalized, will lead to safer foods. Supplier verification means that companies should know who they are buying from -- not just their name and address but their food safety practices."

The proposed rules come in response to the Food Safety Modernization Act, signed into law in January 2011. The act represented the first major changes in food safety policy in the United States in more 70 years.

@highlight

FDA proposes two new safety rules in response to the Food Safety Modernization Act

@highlight

Fifteen percent of food supply comes from overseas, including 20% of fresh vegetables

@highlight

Inspectors only examine about 2% of incoming food supply, FDA says