(CNN) -- A graduate student is suing a Georgia university, alleging that professors are requiring her to change her "biblical views" on homosexuality or be expelled from the counseling program there.

Jennifer Keeton filed a civil rights action in U.S. District Court on July 21 saying Augusta State University violated her "constitutional rights of speech, belief and religious exercise."

The action says university faculty have "promised to expel" Keeton "because she has communicated both inside and outside the classroom that she holds to Christian ethical conviction on matters of human sexuality and gender identity."

After Keeton expressed her views verbally and in written assignments, faculty mandated Keeton complete a "remediation plan."

CNN obtained a copy of the remediation plan from the Alliance Defense Fund, which represents Keeton in the action. The plan addresses issues such as writing ability and organizational skills, as well as Keeton's ability to be a "multiculturally competent counselor, particularly in regard to working with gay, lesbian, bisexual, transgender and queer/questioning populations."

Among the plan's requirements, Keeton was to attend at least three diversity workshops, get more exposure to gay populations (one suggestion was to attend a gay pride parade in Augusta, where the university is located), do outside reading about gays and write reflections on these experiences and how they might benefit future clients.

At first, Keeton agreed to the remediation plan, according to the suit. Then, she had second thoughts.

In video provided by the Alliance Defense Fund, Keeton says, "I want to stay in the school counseling program, [but] I can't honestly complete the remediation program knowing I would have to alter by beliefs. I'm not willing to -- and I know I can't -- change my biblical views."

In a statement to CNN, Augusta State said it "does not discriminate against any individuals on the basis of their personal, social, political, or religious beliefs or views. No student is asked to change their religious beliefs or views in order to participate in any program."

Without commenting specifically on the Keeton suit, the university also said, "The professional counselor's job is to help clients clarify their current feelings and behaviors and to help them reach the goals that they have determined for themselves, not to dictate what those goals should be, what morals they should possess, or what values they should adopt."

In an interview Wednesday on "CNN NewsRoom," David French, a senior counsel with the Alliance Defense Fund, said all Keeton did "was express her religious views inside of class and outside of class."

"As a result of that, she's being subjected to what is best described as a thought-reform program," French said.

"It all goes back to a student engaging in constitutionally protected speech."

French added there was no allegation Keeton has done anything to harm anyone in a counseling setting, or violated any code of ethics.

Also appearing on the program were Erin Martz, manager of Ethics and Professional Standards for the American Counseling Association, and Gregory Nevins, a supervising senior staff attorney for the advocacy group Lambda Legal.

Martz said the ACA's code of ethics "is not an issue of thought-policing or putting any restrictions on beliefs of any kind."

"The code is concerned with counselors' behaviors and how they interact with their clients," she said.

"Talking to others -- espousing ideas about homosexuality or other beliefs is a behavior," Martz said. "And if that behavior goes into imposing values, that does become an issue."

French said the remediation program itself seeks to change Keeton's beliefs. He said while the ACA code prohibits imposing values, "these counseling professors have won the gold medal in the Olympics of imposing values by trying to change her religious beliefs."

"This is not an issue about conduct in any form of a counseling setting," French said. "This is a First Amendment issue about freedom of expression."

Nevins, the attorney for Lambda Legal, said the potential problem is that "many people, especially young people in the coming-out or questioning process, are looking for a sympathetic and understanding ear.

"To have somebody who is going to introduce their value system in a negative way can be extremely damaging," he said.

French said Keeton has repeatedly told the counseling department she would uphold the valid code of ethics of the American Counseling Association. Asked how Keeton would respond in a hypothetical situation of a child coming to her and saying he was gay, French said Keeton would respond in an "ethical and appropriate way."

French said the counseling department has imposed its own set of values to "cleanse" Christianity from students' belief system, violating its own ethics code. When Nevins mentioned that Keeton espoused "conversion therapy," French said the allegation was unsubstantiated.

Nevins said Keeton's or anyone's belief system had to be "pushed to one side." Martz concurred, saying, "In the counseling profession, as with the medical profession, the needs of the client supercede the needs of the counselor."

Keeton's suit asks for nominal and actual damages based on violation of her civil rights.

"CNN NewsRoom" Writer Carolyn Cremen contributed to this report.

@highlight

Student is suing Augusta State University, saying her right to free speech was violated

@highlight

She said counseling department asked her to change her beliefs about homosexuality

@highlight

Jennifer Keeton was required to complete a "remediation" program

@highlight

Counseling expert, rights advocate: School obligated to prevent imposition of values