Kabul (CNN) -- Afghan voters turned out in large numbers Saturday for historic presidential and provincial elections, undeterred by the threat of violence by the Taliban and poor weather.

A heavy security presence in the capital, Kabul, and across the country ensured that the vote went largely smoothly, although some attacks were reported.

"Today, I came to here to select my next president and I hope that whoever it is... is a good person, who will help the people and bring changes to Afghanistan," said one voter at a Kabul polling station.

Wide participation in voting was observed and polling hours were extended by an hour to allow all those in line to vote, Mohammad Yousuf Nooristani, chief of Afghanistan's Independent Election Commission, said at a news conference in Kabul.

There were no major attacks in the capital, where cars were barred from the roads, police checkpoints were set up every few hundred yards and searches were carried out on every man, woman and child as they entered polling stations.

The strong turnout came despite threats from the Taliban to disrupt the vote and punish all involved in the first democratic transfer of presidential power in the country's turbulent history.

Afghan lawmaker Shukria Barakzai, at a polling station in Kabul, told CNN she felt proud and happy because "today is the day ... when the people of Afghanistan can go and vote freely."

She said the turnout was a slap in the face for the Taliban and terrorists who have sought to obstruct the elections.

"See, wonderful people are coming to practice democracy," she said. "We are not afraid of the threats. As much as they kill us, we get more stronger. As much as they killed our children, our journalists and innocent women, we say no, we will go and vote because we are fed up. We want to see real change, we want to enjoy our democracy."

Other Afghans also told CNN that they were determined to vote and that improved security is their main concern, after long years of war.

"We need a good president so the bombings and war stops," said a Kabul voter who has two children. "I want my children to go to school without fear."

The Election Commission's Nooristani said about 7 million Afghans were estimated to have voted, with around two-thirds of the estimated voters men.

Vote counting has started in the polling sites throughout the country and the preliminary results will be announced around April 28.

The Independent Elections Commissions is completely ready to hold a second round elections if no candidate wins 50% +1 in the first round.

Violence reported

Afghan Interior Minister Mohammad Umer Daudzai told reporters that 20 people were killed in violence across the country Saturday, as insurgents tried to disturb the voting processes. Seven military personnel, nine police and four civilians were killed.

Forty-three people were also wounded in attacks targeting mostly voting centers, the minister said, adding that most wounded people were civilians

Meanwhile, Afghan security forces killed more than 80 insurgents across the country and foiled several attacks against voting centers, Daudzai said.

Officials in the eastern Afghan province of Khost said a suicide bomber clad in an explosives vest blew himself up near a polling center. No other casualties were reported after the blast.

Nearly 1,000 polling sites were closed because of security concerns; another 6,423 were open. Reports of violence and people fleeing polling stations popped up on social media.

Outgoing President Hamid Karzai was among those to cast his vote Saturday, adding his voice to those of Afghans across the nation as they chose their next leader. Karzai is constitutionally bound to step down when his term runs out and the next president has been determined.

If no candidate wins a majority in the first round, then a runoff vote will take place next month. Preliminary results are expected to be announced at the end of April.

Electoral officials hope that this election is free of the allegations of fraud that marred the last vote in 2009.

Pre-election militant attacks

The relatively trouble-free election day came in welcome contrast to the violence that overshadowed the run-up to the vote and is seen as a credit to the progress made by the Afghan security forces.

Taliban militants have carried out multiple attacks in recent days, including on the country's election commission.

On Friday, two Associated Press journalists were shot in Afghanistan's eastern Khost province, an attack that left award-winning German photographer Anja Niedringhaus dead and injured Canadian reporter Kathy Gannon.

On Wednesday, a suicide bomber blew himself up at the entrance gate to the Interior Ministry in Kabul, killing six Afghan police officers.

A day earlier, the Taliban killed a provincial council candidate and nine of his supporters.

Last month, Sardar Ahmad, one of Afghanistan's most prominent journalists, was among nine people killed in an attack in central Kabul.

Less than two weeks earlier, Swedish Radio correspondent Nils Horner was shot dead in broad daylight on a Kabul street.

Voter enthusiasm

While formal turnout figures are not yet available, recent polling by the Free and Fair Election Foundation of Afghanistan found that 75% of Afghans said they wanted to vote despite the threat of violence.

Some election workers, whose colleagues were killed, also said the violence would not stop them from performing their duties.

Campaigning has stirred excitement, including through substantive televised debates between the leading candidates -- something unthinkable more than a decade ago under Taliban rule, when television was banned entirely.

The pre-election violence highlights the need for security in the fragile nation, and the choice of a new president may have an impact on security cooperation with the United States and the rest of NATO.

Karzai, who has often taken a contrarian approach to Washington, has refused to sign a U.S.-Afghanistan bilateral security agreement.

But the two leading candidates in Saturday's election have said they would, and the third has said that he is in favor of signing the agreement.

Without it, Washington has threatened the possibility of withdrawing U.S. troops by the end of the year.

The NATO-led International Security Assistance Force has roughly 51,000 troops from 48 different countries in Afghanistan. The majority -- about 33,500 -- are from the United States.

Despite the string of attacks leading up to the election, violence in Afghanistan is at a two-year low, NATO Secretary General Anders Fogh Rasmussen has said.

He has praised Afghan forces for taking the lead in quelling militant violence.

The candidates

Afghanistan is a nation of diverse cultures and languages, which harbors potential for ethnic divides. But the two campaigns consistently leading in pre-election polling have crossed ethnic lines to form their tickets.

Top presidential contender Ashraf Ghani, who earned his doctorate at Columbia University in the U.S., is from the Pashtun ethnic group. His running mate is Abdul Rashid Dostum, a leader of the Uzbek ethnic group.

Ghani was the country's finance minister under Karzai.

The other frontrunner is Dr. Abdullah Abdullah who is associated with the Tajik ethnic group.

Abdullah is partnered with Mohammad Mohaqeq, a leader of the Hazara ethnic group, and he also has a Pashtun on the ticket, Mohammad Khan, who is affiliated with Hezb-i-Islami, a splinter group of the Taliban.

Abdullah is an eye doctor by training, who became Afghanistan's foreign minister under Karzai.

He ran against him in 2009, but dropped out in protest of what he saw as large-scale voter fraud.

He is considered to be relatively liberal and has made at least one public statement in support of women's rights.

Karzai's favorite?

Karzai has not publicly endorsed anyone, but the third major contender, Zalmai Rassoul, is widely seen as the establishment candidate.

He is a Karzai ally and has backing from the President's brother, Qayum, who withdrew his candidacy and endorsed the former foreign minister.

Like Abdullah, he is a doctor. He also has a reputation for honesty despite his years in an administration widely plagued with accusations of graft.

His running mate, Habiba Sarabi, is one of only three female vice presidential candidates on the ballot. Her candidacy could appeal to women voters.

Karzai was chosen by Afghan leaders to head the country after the fall of the Taliban and won two subsequent presidential elections in 2004 and 2009.

The 2009 election was tainted by allegations of manipulation and irregularities.

CNN's Anna Coren, Masoud Popalzi and Qadir Sediqi reported from Kabul, and Laura Smith-Spark wrote in London. CNN's Ben Brumfield, Euan McKirdy and Joe Sterling and analyst Peter Bergen contributed to this report.

@highlight

Twenty killed in violence across the country Saturday, Interior Ministry says

@highlight

Lawmaker hails day as "when the people of Afghanistan can go and vote freely"

@highlight

Voting was extended by an hour in response to high turnout, election official says

@highlight

It's the first democratic transfer of presidential power in the country's turbulent history