Washington (CNN) -- What had been speculated before is now very public -- the United States and Israel differ on how to deal with Iran's nuclear ambitions.

While both governments reject any possibility of a nuclear-armed Iran, they are clearly at odds over a possible agreement as soon as this week that would loosen economic sanctions against Tehran in exchange for a suspension of part of its nuclear program.

President Barack Obama said Tuesday that he didn't know if what he called an interim agreement with Iran could be reached, but he said the goal was to ensure Iran gave up any ambitions to develop nuclear weapons.

The negotiations would buy time so "we could see if they could get to the end state of a position where we, the Israelis and the international community could say Iran's not seeking a nuclear weapon," Obama told business leaders at a Wall Street Journal forum.

However, Israeli Prime Minister Benjamin Netanyahu rejects the agreement sought by U.S. Secretary of State John Kerry at the international talks that resume Wednesday in Geneva.

"It's a bad deal -- an exceedingly bad deal," Netanyahu told CNN on Sunday.

In a sign of the level of disconnect, the two countries were unable to agree on when Kerry would next travel to Israel for talks with Netanyahu on the Iranian issue.

Netanyahu said Sunday that Kerry would meet with him on Friday, but Kerry told reporters Monday he would be unable to make the trip so soon.

The split involves international diplomacy and domestic political issues in both countries, and comes as Kerry and Obama also push Netanyahu to work with Palestinian officials on forging a Middle East peace agreement.

While Netanyahu and Obama have long acknowledged that close friends can disagree on issues, the direct language on both sides about their differences over a possible agreement with Iran shows the volatility of an issue with major regional and global implications.

Iran insists it seeks to use nuclear power only for peaceful purposes. The international community led by Israel, the United States, France and others demands that Tehran dismantle its ability to enrich uranium and other technology needed to develop nuclear weapons.

On Tuesday, Iranian Foreign Minister Mohammad Javad Zarif accused Israel of wanting to "torpedo" an agreement on his country's nuclear program.

"We have reason to be suspicious of every move they make," he said at a news conference in Rome, adding that "every move they make is about spreading tension and mistrust."

In the CNN interview Sunday, Netanyahu made clear he opposes lifting some sanctions now -- as called for under the agreement being negotiated -- without getting further concessions to ensure Iran would be unable to continue with uranium enrichment and other steps.

"I think you should not only keep up the pressure; I think you should increase the pressure, because it's finally working," Netanyahu said, labeling Iran's economy as close to paralysis. "If you give it up now, when you have that pressure, and Iran doesn't even take apart, dismantle one centrifuge, what leverage will you have when you've eased the pressure?"

Russia: Now is time to make deal with Iran on nuclear program

At the same time, Netanyahu repeated his insistence that Israel "always reserves the right to defend itself against any threat," which is diplomat-speak for a military strike on Iran's nuclear facilities to stop development of a weapon.

In Congress, some legislators, including conservative Republicans and liberal Democrats, share the concerns of Netanyahu and the powerful pro-Israel lobby in Washington.

On Tuesday, a bipartisan group of six senators urged the administration to reject the proposed deal with Iran under discussion and only accept an agreement that better dismantles Iran's ability to develop nuclear weapons.

In a letter to Kerry, the senators -- Democrats Chuck Schumer of New York, Robert Menendez of New Jersey and Robert Casey of Pennsylvania, and Republicans Lindsey Graham of South Carolina, John McCain of Arizona and Susan Collins of Maine -- said any easing of sanctions "should require Iran to roll back its nuclear program more significantly than now envisioned."

"It is our belief that any interim agreement with the Iranians should bring us closer to our ultimate goal which is Iran without a nuclear weapons capability," the letter said.

Obama later noted that the current sanctions put in place during his administration had forced Iran to the negotiating table because of economic contraction and frozen oil revenue.

The interim deal under discussion in Geneva would "open up the spigot a little bit" on some of the frozen revenue while leaving in place the bulk of the most effective sanctions involving Iranian oil exports and banking, he said.

"Let's test the proposition over the next six months that we can resolve this in a diplomatic fashion while maintaining the central architecture of the sanctions," Obama continued.

At the same time, he emphasized that all options, including military strikes on Iran's nuclear facilities, remained on the table as far as the United States was concerned.

At the White House, spokesman Jay Carney said Tuesday that "no daylight" exists between the United States and Israel on the end goal of preventing Iran from developing nuclear weapons.

Kerry told reporters Monday that Netanyahu had "every right in the world" to state his position and defend his interests.

A former U.S. senator, he noted that he had been a consistent supporter of "our friends in Israel" throughout his political career, and added that "I can assure those friends and everybody watching this that nothing that we are doing here, in my judgment, will put Israel at any additional risk."

McCain calls Kerry 'a human wrecking ball' on Iran negotiations

The Geneva talks involve Iran and the five permanent members of the U.N. Security Council -- the United States, Russia, China, Great Britain and France -- as well as Germany in what is known as the P5+1 in diplomatic shorthand.

According to a senior U.S. administration official, the talks are "getting close" to an interim deal with Iran that would prevent its nuclear program "from advancing, and roll it back" in key areas. The last round of negotiations broke up without a deal earlier this month, with each side blaming the other's reluctance.

A key issue is enrichment of uranium, which is necessary at different levels for both power production and developing nuclear weapons. Iran says it has the right to enrich its own uranium, while the United States and its allies reject enrichment as a right of nations.

"We've long said that certainly we're open to discussing a peaceful program," State Department spokeswoman Jen Psaki said Tuesday, adding that no right to enrich uranium exists under existing international agreements.

Obama met Tuesday with Senate leaders as well as the top Democrats and Republicans on the Senate Banking, Foreign Relations, Armed Services and Intelligence committees to provide an update on the P5+1 negotiations heading into the next round later this week.

After the meeting, Republican Sen. Bob Corker of Tennessee told reporters he remains concerned that the United States and its allies might be about to give away too much to Iran, although he cautioned that an agreement this week in Geneva remains uncertain.

"I think you had some folks in the room who were satisfied. I think you had some folks in the room who were very unsatisfied," Corker said, adding that any Senate action on additional sanctions or other measures involving Iran would occur only after the coming Thanksgiving break.

Last week, Kerry told a Senate panel that new sanctions imposed on Iran by Congress now "could be viewed as bad faith" in the negotiations.

"It could destroy the ability to be able to get agreement," he added, "and it could actually wind up setting us back in dialogue that's taken 30 years to achieve."

Iranian President Hassan Rouhani, who was elected earlier this year, has made lifting tough economic sanctions against his country a priority.

During a visit to the U.N. General Assembly in September, Rouhani's moderate diplomatic approach raised hopes in the West of a thaw in relations with Tehran and progress in negotiations on its nuclear program.

Rouhani's visit culminated in a phone call with Obama and a meeting between Kerry and his Iranian counterpart. It was the first such high-level contact between the two nations since Iran's 1979 revolution.

Iran recently signed a deal with the International Atomic Energy Agency that agrees to give the U.N. nuclear watchdog agency access to long-unseen nuclear sites, including a heavy-water reactor in Arak.

On Tuesday, British Prime Minister David Cameron called Rouhani to talk about this week's Geneva talks and other issues, Cameron's Downing Street office announced, adding it was the first such call in more than a decade.

A Downing Street spokesman said on traditional condition of not being identified that "both leaders agreed that significant progress had been made in the recent Geneva negotiations and that it was important to seize the opportunity presented by the further round of talks which get under way tomorrow."

"The Prime Minister underlined the necessity of Iran comprehensively addressing the concerns of the international community about their nuclear program, including the need for greater transparency" the spokesman said.

CNN's Elise Labott, Jim Acosta, Jill Dougherty, Jason Seher, Ted Barrett, Jamie Crawford, Gabe LaMonica, Virginia Nicolaidis and Greg Botelho contributed to this report.

@highlight

NEW: President Obama says sanctions that brought Iran to the table will continue

@highlight

Iran's foreign minister says Israel is trying to "torpedo" a nuclear deal

@highlight

Israeli Prime Minister Netanyahu calls a possible Iran deal "exceedingly bad"

@highlight

International talks on Iran resume later this week in Geneva