Geneva, Switzerland (CNN) -- Guardedly positive tones were sounded Tuesday as Iran and six world powers met in Geneva for the first of two days of talks about Iran's nuclear ambitions -- talks conducted amid a spirit of new optimism since President Hassan Rouhani took office this summer.

Iran, which wants the six powers to recognize what it says is the peaceful nature of its nuclear energy pursuits, laid out confidential proposals in the morning. A spokesman for the European Union's foreign policy chief called the presentation "very useful."

The two-day talks in Geneva bring together Iran's representatives with those from the so-called P5+1 -- the United States, Russia, China, France and Britain, all countries with permanent seats on the U.N. Security Council, plus Germany.

Talks continued in the afternoon, and will resume on Wednesday.

"For the first time, we had very detailed technical discussions," a senior U.S. State Department official said.

Ahead of the talks: U.S. hopeful but 'clear-eyed'

Iranian Deputy Foreign Minister Abbas Araqchi, who is taking a lead role in the negotiations, said Tuesday that the "negotiation's environment was positive," according to Iran's semi-official Fararu news agency.

Many in the West fear Iran is pursuing the development of a nuclear bomb, but Iran -- slapped with sanctions because of its program -- has always maintained that it is developing nuclear energy capabilities for peaceful purposes only.

European Union foreign policy chief Catherine Ashton is chairwoman for the talks for the P5+1 bloc, while Iranian Foreign Minister Javad Zarif is leading the Iranian delegation.

Ahead of Tuesday's meeting, Zarif said he hoped that together, Iran and the West would be able to work out a "road map" toward a final resolution by Wednesday.

Ashton's spokesman, Michael Mann, said that the mood was one of "cautious optimism" but that the "ball is in Iran's court" to respond to the bloc's concerns.

The P5+1 bloc put forward its own proposals at a meeting with Iran in Kazakhstan in the spring, and these remain on the table, Mann told reporters earlier.

'Verifiably proven'

The talks, which are being conducted in English for the first time, are due to last two days, but the timetable is fluid, Mann said.

"We have said we want Iran to engage constructively with proposals we have put forward. Or, if they want to, they can come up with their own proposals," he said. "What matters is the end result -- that they address the international community's concerns about the purely peaceful nature of the Iranian nuclear program.

"We have to reach a situation at the end where they have proven, and verifiably proven, that there is no nuclear military program. That is the end result that is being sought."

The Iranians' PowerPoint presentation, laid out in English, was titled "Closing Unnecessary Crisis, Opening New Horizons."

Araqchi said Iran's goal is to guarantee its citizens' rights to "enjoy nuclear energy, including enrichment, along with the verification of its peaceful program," according to the Fararu news agency.

Critics have expressed suspicions about Iran's uranium enrichment, fearing that Iran may secretly be transforming nuclear fuel into atomic bomb-grade materials.

During a visit to the U.N. General Assembly in September, Rouhani's diplomatic approach raised hopes in the West of a thaw in relations with Tehran and progress in negotiations on its nuclear program.

Rouhani's visit culminated in a phone call with U.S. President Barack Obama and a meeting between U.S. Secretary of State John Kerry and Zarif.

Iran nuclear talks are key topic as Obama, Netanyahu meet

It was the first such high-level contact between the two sworn enemies since Iran's 1979 revolution, which sent relations between the two into a deep freeze.

Israel: Don't relax sanctions too early

Israeli Prime Minister Benjamin Netanyahu urged the international community not to relax too soon the painful economic sanctions that have put Iran's leaders under "intense pressure" to return to talks.

"I think it would be a historic mistake to ease the sanctions when they are so close to achieving their goals," he said.

"Now is an opportune moment to reach a genuine diplomatic solution that peacefully ends Iran's military nuclear program.

"This opportunity can only be realized if the international community continues to place pressure on Iran, because it is that pressure that has brought Iran back to the negotiations in the first place. And it is that pressure which makes the peaceful dismantling of Iran's military nuclear program possible."

Iran's president: We're open to nuclear talks, but don't make threats

Israel's Security Cabinet also warned Tuesday against conceding too much too soon to the Iranians.

"Israel does not oppose Iran having peaceful nuclear energy. This does not require uranium enrichment or plutonium. Iran's nukes prog does," Netanyahu spokesman Ofir Gendelman said via Twitter.

Could Revolutionary Guards sabotage Iran-U.S. thaw?

A country that "regularly deceives the international community" does not have a "right to enrich" as Iran claims, he said.

A senior Obama administration official told reporters in Geneva that the administration would be willing to consider quick relief on sanctions "targeted in proportion" to what Iran puts on the table, should it be prepared to curtail the pace and scope of its uranium enrichment program, offer steps to improve transparency of its nuclear program, and address concerns about its stockpile of enriched uranium.

Larijani: 'We are ready'

Ali Larijani, Iran's powerful parliamentary speaker and a close associate of the nation's supreme leader, Ayatollah Ali Khamenei, said last week that Iran is serious about resolving the dispute over its nuclear program.

It is keen to resolve the issue "in a short period of time," Larijani told CNN's Christiane Amanpour in an exclusive interview from Geneva. "From Iran's side, I can say that we are ready," he said.

Rouhani: Nuclear weapons have no place in Iran's security

"If the Americans and other countries say that Iran should not develop a nuclear bomb or should not move towards that, then we can clearly show and prove that. We have no such intention. So it can be resolved in a very short period of time."

Nonetheless, Larijani said, the West must accept Iran's right to enrich nuclear fuel for civilian purposes, as allowed under the Treaty on the Non-Proliferation of Nuclear Weapons, to which Iran is a signatory.

Building trust

Some believe that Iran's recent apparent willingness to negotiate seriously over its nuclear program is a result of the crippling sanctions on its economy.

Shortly after this year's U.N. General Assembly ended, a U.S. State Department official said the United States would be prepared to consider relaxing certain sanctions on Iran if it took confidence-building steps to prove its sincerity to negotiate over its nuclear program.

But this will take time and the building of trust.

U.S. Under Secretary of State Wendy Sherman, who is in Geneva, stressed that the entire sanctions regime targeting Iran would not be lifted "any time soon" unless the array of concerns about Iran's nuclear program was fully addressed.

CNN's Jim Sciutto reported from Geneva, Elise Labott from Washington, and Laura Smith-Spark wrote and reported from London. CNN's Michael Schwartz and Andrew Carey and journalist Banafsheh Keynoush contributed to this report.

@highlight

Iran presents plan to delegates from six world powers in Geneva

@highlight

EU spokesman calls foreign minister's presentation of Iran's proposals "very useful"

@highlight

Israel's Netanyahu warns against easing the pressure of sanctions on Iran too soon

@highlight

Many in the West fear Iran seeks nuclear weapons; Iran says its intentions are peaceful