(CNN) -- On March 18, a Congolese warlord known as Bosco "the Terminator" Ntaganda surrendered to the U.S. Embassy in Rwanda. Notorious for his alleged butchering of communities, including a 2008 massacre in which 150 people were killed by machetes, clubs and bullets, Ntaganda will likely face trial at the International Criminal Court for war crimes seven years after his indictment.

On a recent trip to eastern Congo, I met Patrick, a 25-year-old charcoal maker who had survived two attacks allegedly led by Ntaganda.

Four months ago, working on a hot afternoon just south of the equator in Kibumba in eastern Congo, it seemed like a normal day for Patrick. A week before, his wife had given birth to a baby boy, Janvier. Then suddenly, Patrick heard a "boom!" And he ran home as quickly as he could.

Patrick's village had just been attacked by the M23 rebel group co-commanded by Ntaganda. For Patrick, it was the second time he had been displaced in four years by an armed group led by Ntaganda.

Panting, he arrived back home, but his wife and newborn were nowhere to be found. "Then I heard the bombs land, and I had to flee," he told me in the displacement camp where he now struggles to survive on one meal per day.

Months later, Patrick had still been unable to find his family in the camps, which now include more than 2 million people.

"My children used to crawl onto my lap, eat little candies I would buy them and make me laugh. Now I can't go far to look for them, as I'm afraid I'll be abducted by rebels. I'm told my house has been burned down. It's so tough for me. I don't know where they are. ..."

The Terminator's surrender has sparked jubilation in eastern Congo after years of suffering under his ruthless rule, during which he also amassed millions of dollars through a conflict minerals smuggling ring. But will this single event create lasting change for the people of eastern Congo who have suffered under repeated cycles of conflict for 18 years? The answer hangs on three policy choices that must be made in the coming weeks.

First, will war criminals be integrated back into the Democratic Republic of Congo's army? The M23 rebel group that Ntaganda co-led is full of officers with extremely poor human rights records of mass murders, child soldier recruitment and sexual violence. Several of them are close to signing a peace deal to rejoin the Congolese army in talks brokered by one of the rebel group's alleged backers, Uganda.

Previous peace deals that integrated war criminals into Congo's army, including Ntaganda, reignited conflict soon thereafter as the warlords again behaved lawlessly.

To stop this, newly appointed U.N. envoy Mary Robinson should immediately insist that any reintegration deals should be only for rank-and-file troops, not commanders most responsible for atrocities. To support this, the International Criminal Court should investigate and indict the commanders of M23 leaders and other armed groups most responsible for war crimes and crimes against humanity, and the Congolese justice system should prosecute other mutineers.

Second, will there be a peace process with strong international backing? After years of failed peace agreements, there is finally a chance to address the underlying interests of Rwanda, Congo and Uganda that have fueled conflict in eastern Congo. This is possible now because of the strong new international pressure against external support to rebel groups, the removal of Ntaganda, the lowered profitability of the trade in conflict minerals and the International Monetary Fund's pressure on Congo to enact governance reforms.

Robinson should start negotiations that would subsume the Kampala talks, and the Obama administration should follow the U.N. lead in appointing a senior-level envoy to the peace process and ensure that regional economic integration and security issues are brought to the fore of the process.

Third, will the international community vigorously support real governance reform in Congo? The U.S. and U.N. envoys should proactively back a root-and-branch Congolese reform process to address critical issues that undergird the conflict, from decentralization to army reform. The process should include an impartially facilitated national dialogue that allows Congolese civil society, including women leaders, to have a real voice at the table.

When asked this year what could be done to end the war, Patrick said, "Please tell President Obama to arrest Bosco, (M23 commander) Sultani Makenga and the ringleaders. If they're not arrested, they'll continue the war, and my life will always be on the run."

At least one of these warlords is now in custody, but there will be no end to the war until the international community robustly backs a lasting peace and reform process that includes accountability for the worst war criminals. It is time to give Patrick a chance to play with his children again and end this cyclical war once and for all.

The opinions expressed in this commentary are solely those of Sasha Lezhnev.

@highlight

Sasha Lezhnev notes a notorious Congolese warlord turned himself in

@highlight

Lezhnev says there may be positive news, but human tragedy persists in the region

@highlight

A 25-year-old charcoal maker is still searching for his wife and infant son

@highlight

Lezhnev: Now is a crucial time for world community to help make peace a reality