Giglio, Italy (CNN) -- Italian rescuers and divers continuing their perilous work Tuesday located a second "black box" and the remains of five people in the wreckage of the Costa Concordia cruise ship.

Eleven people were confirmed dead after the ship ran aground late Friday off a Tuscan island.

With nearly two dozen people still missing from the ship, which is lying on its side off Giglio, a judge allowed its captain to be held on house arrest pending a later decision on whether he should be released.

Capt. Francesco Schettino is under arrest and may face charges that include manslaughter, shipwreck and abandoning a ship when passengers were still on board, chief prosecutor Francesco Verusio said.

Judge: Captain can be held under house arrest

In dramatic transcripts of conversations between Schettino and the Italian coast guard, published by the Corriere della Sera newspaper, the captain gives conflicting accounts of what happened when the ship hit rocks Friday night just off Italy's western coast, leading to what passengers described as a chaotic and surreal scene as they rushed to evacuate.

At first, Schettino tells an official he had abandoned the vessel, according to the transcripts, which prosecutors say match those they are using in their investigation.

iReporter recalls first Concordia crash

But as the official questions his decision, Schettino appears to reverse course and say he had not abandoned ship but was "catapulted into the water" at some point after the ship ran into a rock, began taking on water and started listing.

In a later conversation, an Italian coast guard official demands Schettino return to his ship, the transcripts show.

"You get on board! This is an order!" the coast guard official instructed Schettino.

"You have declared 'Abandon ship.' Now I'm in charge. You get on board -- is that clear?" the port official said.

Port Authority to cruise ship captain: 'Get on board, damn it'

Rescue and recovery efforts continued Tuesday, with divers searching the ship for survivors and remains.

It was unclear exactly how many people were missing. There were roughly 4,200 people on the Costa Concordia when it ran aground -- about 3,200 passengers and 1,000 crew members, the vast majority of whom made it off the ship safely.

Before the discovery of the five bodies Tuesday, authorities had said 29 people were missing, including 14 Germans, six Italians, four French citizens, two Americans, and one each from Hungary, India and Peru. There was continued confusion Tuesday about the number of missing Germans, according to the German Foreign Ministry.

One person on the list of missing was found dead Monday, but authorities have not specified which one it is.

A friend of two missing Americans, Gerald and Barbara Ann Heil of White Bear Lake, Minnesota, said their family is "holding up very well" despite the agonizing wait for word from Italy, where the retired couple had gone for "their trip of a lifetime" after raising four children and working in their community for years.

St. Pius X Catholic Church will hold a Wednesday evening prayer service for the couple, according to CNN affiliate KARE. The Heils were on a 16-day vacation to Italy, with a planned visit to the Vatican.

In addition to the dead and missing passengers and crew, the wreck has given rise to concern about environmental damage.

The ship had about 2,300 tons of fuel on board at the time of the wreck, said Costa Cruises chairman and chief executive Pier Luigi Foschi.

But he said that so far there was "absolutely no evidence of fuel leaking into the sea."

The ship appeared stable and its fuel tanks were intact Tuesday, said Martin Schuttenaer, a spokesman for Boskalis, the parent company of Dutch Smit and Salvage, which has monitors in place to keep track of the ship's movement.

He said equipment to begin transferring the ship's fuel will be ready on Wednesday, but the current priority is rescue and recovery.

After sinking, some wonder: Is cruising safe?

Divers have been searching the skyscraper-sized ship, working underwater in pitch blackness. Italy's Coast Guard said it has located a second "black box," or data recorder, from the ship. Operations were under way to retrieve the recorder, said Coast Guard Warrant Petty Officer Massimo Macaroni.

Information from the device, along with that from another that has already been recovered and is being analyzed by prosecutors, will provide authorities with "a complete picture of how the disaster unfolded," Macaroni said.

Micky Arison, chairman of Carnival Corp, parent company of Costa Cruises, said he was saddened by the reports of additional deaths. "Our immediate priority continues to be supporting rescue and recovery efforts and looking after our guests and crew members, along with securing the vessel to ensure there is no environmental impact."

Survivors described the panic that ensued after the ship's collision with the rocks.

Lauren Moore of Bowling Green, Kentucky, said many lifeboats were full when she and others reached the upper deck

"People were crying. People were hysterical," Moore said. "People were screaming at each other."

Cruise disaster hits Carnival stock, profits

Italian prosecutors have ruled out a technical error as the cause of the incident, saying the captain was on the bridge at the time and had made a "grave error."

Prosecutors are considering whether others may share responsibility for the crash with the captain.

Foschi placed blame for the wreck squarely on the captain, saying Schettino had deviated from frequently traveled routes.

"The captain decided to change the route and he went into water that he did not know in advance," Foschi said.

Foschi said passengers would get "material compensation for their loss," but declined to go into details.

One person who was scheduled to board the Concordia on Saturday said he was offered a refund, but will not get the refund for three months.

Built in 2006, the Concordia had been on a Mediterranean cruise from Rome with stops in Savona, Marseille, Barcelona, Palma de Mallorca, Cagliari and Palermo.

Questions have arisen over regulation of the industry, and the size of some cruise ships.

Human error can't be regulated, said an official with Cruise Lines International Association, which represents the industry.

"The fact is that this industry is remarkably safe," said executive vice president Michael Crye. "It has had a history that is very good compared to virtually any other means of transportation."

Nautilus International, a maritime employees trade union, called the accident a "wake-up call" to regulators.

"Nautilus is concerned about the rapid recent increases in the size of passenger ships, with the average tonnage doubling over the past decade," said Nautilus general secretary Mark Dickinson in a statement. "Many ships are now effectively small towns at sea, and the sheer number of people onboard raises serious questions about evacuation."

Crye said regulations have kept pace with the increasing size of the vessels.

Safety rules are set through the International Maritime Organization, an agency of the United Nations. It said Monday that while the investigation of the wreck is in its early stages, "We should seriously consider the lessons to be learned and, if necessary, re-examine the regulations on the safety of large passenger ships in the light of the findings of the casualty investigation."

Maritime law attorney Richard Alsina said the agency has little teeth and is dealing with an industry that has a strong lobby. "There is no general policing out there. They pretty much run their own show."

CNN's Livia Borghese, Hada Messia, Dan Rivers, Mary Snow, Christopher Cottrell, Diana Magnay and Richard Allen Greene and journalist Barbie Nadeau contributed to this report.

@highlight

Prayer service scheduled for missing U.S. couple

@highlight

Questions raised over cruise ship regulation

@highlight

A judge orders the stricken cruise ship's captain to remain on house arrest for now

@highlight

A frustrated coast guard official sternly ordered the captain back to the ship, a transcript shows