(CNN) -- Steven Spielberg and Ridley Scott. John Goodman and Kevin Spacey. "Doonesbury" cartoonist Garry Trudeau and "Robot Chicken" creator Seth Green.

It's a diverse list of entertainers with a pile of Oscars, Emmys and Pulitzer Prizes between them, not to mention dozens of big-screen blockbusters and enduring fan favorites. But they, and a growing list of others, have something new in common.

All are part of projects being developed and released by tech companies known more for making products that deliver entertainment than producing the entertainment themselves.

Microsoft is the most recent tech titan to confirm such plans. This week, the computing giant unveiled Xbox Originals, a dozen original television series, from documentaries to sci-fi epics, that will be available exclusively on its gaming consoles and other Microsoft devices.

Leading the charge are Spielberg and Scott, who are involved in two separate series based on the massively popular "Halo" video-game franchise. Others in the lineup, which will begin rolling out in June, include a sci-fi drama, "Humans," and "Signal To Noise," a documentary series that "will expose little-known stories of how modern technology has radically altered the way we interact with our world."

"Microsoft has a long and rich legacy in the content business," said Jordan Levin, executive vice president of Xbox Entertainment Studios. "Games have been part of our DNA for at least the last 15 years, and creating original TV content is a logical next step in our evolution."

The announcement is just the latest in a series of similar moves.

If, as Microsoft's own Bill Gates once said, content is king, an increasing number of digital-age companies no longer satisfied playing middleman are making their claims for the throne.

Netflix led the charge two years ago, and has Emmy Awards to show for it. Two shows for the digital streaming service, "Lilyhammer" and "The Ropes," debuted in 2012. But it was "House of Cards," which brought home two Emmys last year, that cemented Netflix as a serious source of original material. Newer hits like "Orange is the New Black" and a revived "Arrested Development" have shown its success to be no fluke.

Last year, Amazon began producing original content for its Prime streaming service, most notably "Alpha House," a political comedy created by Trudeau and starring Goodman.

And on Monday, Yahoo announced it will be bringing its own long-form shows to our multitude of screens next year, starting with a pair of comedies.

Sure, we all want to be in show business. But what's behind Silicon Valley's sudden rush to the studio? Don't be shocked, but experts say it's to make more money.

"The reasons they all want to do it today are the same reasons we predicted Netflix would do it back in 2010 and 2011 -- because when you have something no one else has, you can charge more money for it," said James McQuivey, a tech analyst with Forrester Research.

"Whether you charge people for the content itself or whether you charge them for the game console, tablet, or app that it's a part of, original content is one of the only legal ways to achieve monopoly power and all the benefits that come with it. Eminem knows this, J.J. Abrams knows this, and now Microsoft knows it, too."

McQuivey noted that entertainment platforms like Netflix and Hulu -- which is launching its own variety show with comedian Sarah Silverman -- often find themselves at odds with content providers over who earns how much of their revenues.

Making themselves over into one-stop-shops whenever possible eliminates that problem, he said. And it doesn't mean having to build their own sound stages, either.

"Many of the production companies that supply content to the broadcast networks and movie studios would be thrilled to have the chance to develop content for a faster, nimbler, more direct distributor of content," the prescient analyst wrote in 2012.

For a company like Amazon, the benefits could be twofold. Its original content is available to members who have paid $99 for an annual Prime membership. In theory, someone who joins to watch a show will then be more likely to use free shipping and other benefits as well, thus pumping more cash into Amazon's coffers.

Of all the current players, Microsoft may be uniquely suited to this new game.

"If you're Microsoft, the place you start is with a monopoly you already hold," McQuivey said. " 'Halo' is the best example, and if Microsoft didn't try to turn it into video gold, it would prove that Microsoft is not paying attention."

Since launching in 2001, "Halo" games have sold more than 50 million copies. The military science-fiction game, which focuses on an interstellar conflict between humans and an alliance of alien races bent on their destruction, is now owned by Microsoft Studios and available exclusively for the Xbox gaming consoles.

Does that make the title a slam dunk, particularly when names like Spielberg and Scott are mixed in? Not necessarily, McQuivey said.

"Knowing you have a hot property and turning it into a hit are two very different things," he said. "There is no guarantee that one leads naturally to the other and in fact, many people have failed with even more obvious opportunities in the history of the entertainment business.

"See Matthew Broderick's 'Godzilla,' any G.I. Joe movie, and the last two Superman movies if you need further evidence."

@highlight

Microsoft announces Xbox Originals, a slate of original TV series

@highlight

The move is part of a tech trend toward producing original streaming content

@highlight

Yahoo also announces two comedy series this week

@highlight

Netflix led the way with shows like Emmy-winning "House of Cards"