Sanaa, Yemen (CNN) -- The Yemeni government has lost control over five provinces, and security in the country is deteriorating, the nation's acting president told CNN in an exclusive interview Wednesday.

In his first interview with a Western TV network, Vice President Abdu Rabu Mansoor Hadi detailed how U.S. drones are using voice recognition to target al Qaeda leaders and help the government win back control.

Hadi has been Yemen's acting president since June 3, when President Ali Abdullah Saleh was wounded in an attack on the mosque at the presidential palace.

During Wednesday's hour-long meeting, Hadi said Saleh's wounds from what he described as an assassination attempt were so severe that he has no idea when the president will return from medical treatment in Saudi Arabia.

Hadi said he saw Saleh immediately after the bomb attack. The 68-year-old ruler's chest had been pierce by a piece of wood and his face, arms and upper body had been burned, Hadi said. But, he added, the president's health was improving daily.

The interview in the sprawling and heavily defended defense ministry underlined the many challenges facing the vice president, who many in the opposition consider to be a weak placeholder until the president returns from Saudi Arabia.

He acknowledges that his house is surrounded by opposing forces, but he challenges claims that he is unable to use the presidential palace. Hadi says he calls Saleh's son, commander of the powerful Republican Guard at the palace, whenever he wants to give him orders.

He countered opposition accusations that he has no power, saying he has been given full authority to sign a new, U.N.-sponsored peace proposal. He outlined plans that are even less favorable to Saleh's opponents than a Gulf Cooperation Council initiative he has already turned down.

Hadi said the new deal would have Saleh stepping down only when a new president has been elected, a far cry from the Gulf Council proposal that would have Saleh handing power to Hadi after 30 days with new elections within 60 days.

At times, Hadi -- who lived in Britain during the 1960s -- shifted uncomfortably in his seat, even joking at the end of the interview that he felt he'd been through an interrogation. Nevertheless, he gave a robust defense of Saleh, challenging the widely held view that the embattled leader is now part of the problem, rather than part of the solution. Saleh still has 3 million supporters, Hadi said.

"He is part of the political balance here in Yemen. He has been an expert in dealing with all differences, and with all political and tribal differences," Hadi said.

When asked how al Qaeda may have been taking advantage of deteriorating security, Hadi said government forces were targeting them aggressively. He detailed an ongoing operation in the southern Abyan province, where the capital recently fell to al Qaeda.

He also gave an account of how U.S. spy planes eavesdrop on al Qaeda conversations, running voice recognition analysis that is shared with Yemeni authorities, the CIA and the FBI before targets are attacked.

Hadi said there are two types of drones.

"One is taking pictures and collecting information, and the other one is carrying missiles. Drones carrying missiles, actually these missiles could not be fired ... unless the voice of the enemy himself is recorded," he said.

Often, he said, the United States provides the targeting information and Yemeni military forces carry out the attacks.

Hadi offered few insights into how he plans to end Yemen's spiraling economic hardships, growing fuel and power shortages and rising food prices -- issues that have sparked massive anti-government protests over the past several months and have worsened sharply since the president left for treatment in Saudi Arabia.

But he said he expected Saleh to make a speech to the nation in the coming hours that will help change the situation.

And he said the U.N.-sponsored peace proposal will create a new, parliamentary political system in Yemen, "so it will wipe out or vanish any grievances, any complaints."

Saleh went to Saudi Arabia for treatment after doctors examined him shortly after the attack in early June. They recommended he get attention from specialists, including an eye doctor. Since arriving there, he said, the president had been improving and fully intends to return.

But when asked when that would be, he said he did not know.

"It could be months. This is a decision up to the doctors. ... I have no idea about the exact date when he is coming," Hadi said.

In Washington, Chairman of the Joint Chiefs of Staff Adm. Mike Mullen said the chaos in Yemen has been a source of concern to the United States for years. "Al Qaeda, the federated group that's in Yemen, is an incredibly dangerous group that has taken full advantage of the chaos that has been in that country," he told the National Press Club.

But, he added, the military cannot provide the whole answer. "The security piece is a necessary condition, but it is insufficient in and of itself and it's taken us a long time to figure that out."

@highlight

NEW: "There's not a military answer anywhere," says Adm. Mullen

@highlight

Yemen's vice president says President Ali Abdullah Saleh will return

@highlight

VP Abdu Rabu Mansoor Hadi says two types of U.S. drones targeting al Qaeda

@highlight

Saleh's injuries are so severe that it's unclear when he will return, Hadi says