(CNN) -- The new iPhone 5S's performance upgrades and 64-bit processing chip will make the smartphone more responsive and faster. And mobile game developers are excited about the possibilities they see opening up with that newfound power.

Phil Schiller, Apple's senior vice president for marketing, said the new A7 chip has tested up to twice as fast as the iPhone 5's processor. It is also the first 64-bit chip in a smartphone -- an announcement that caused some developers to smile.

Perhaps it was no coincidence that during the Cupertino event on Tuesday, a mobile game was the first demonstration after the iPhone 5S was announced.

"Infinity Blade III," developed by ChAIR Entertainment and the final entry in the series, will launch on September 18 and was designed with the new A7 chip in mind.

Technical director Geremy Mustard said the new power in the iPhone 5S has allowed his team to craft the ultimate "Infinity Blade" experience.

"With the unmatched power of the iPhone 5S and its A7 chip, we can now combine full-screen rendering effects, tons of polygons, and advanced gameplay processing in one smooth package," he said. "And we are able to do all that with almost instantaneous load times, keeping gamers immersed in the experience instead of staring at a loading screen."

Creative director Donald Mustard believes mobile gaming will get another giant push forward with the phone's new technology, calling it "true next-gen gaming" on a device that fits in your pocket.

"The iPhone 5S allows us to have a huge, extremely detailed dragon spewing billowing flames that engulf the entire screen, while the hero, clad in armor that reflects the environment, swipes to defeat the beast," he explained.

"We're rendering a full depth of field blur and bloom pass, a color adjust pass, a vignette pass, and a distortion pass ... while maintaining a blazing frame rate."

"It sounds like voodoo magic -- but it's not."

The new chip with 64-bit capabilities and improved graphics has developers salivating. But other features could open the door for different types of mobile gaming.

"The 64-bit architecture, combined with the improved processor specs, has the potential to offer supercharged graphic performance that will enable more immersive experiences," said Ross Dixon, executive producer at XMG. "Combined with the A7 chip, and the upgraded camera, the motion coprocessor may also open up new opportunities for innovative gameplay that makes use of augmented reality and geolocation information."

Both Donald and Geremy said they did not have early access to iOS 7 or the new iPhone 5S when they were building "Infinity Blade III," but they design their games with future tech in mind. So when they were presented with the new operating system and device, they were blown away by how many features they could turn on and still have a great game.

But all that comes at a power cost, right?

"We are constantly pushing the devices to the limits," Donald said. "The Apple team historically has used 'Infinity Blade' as their internal benchmark. We don't know how long you'll be able to play on the new phone, but on the iPhone 5, I could game on a flight from Salt Lake to New York ... about 5 or 6 hours."

Schiller said during the Apple reveal event that the battery life would be "the same or better" than the iPhone 5.

Changes to the interface will also present opportunities for mobile game developers. The new "parallax effect" included in iOS 7 will create depth on what has traditionally been a flat display for the iPhone and game controller support will offer a new way to play games on the go with the smartphone.

"Important to gamers and game developers, the new interface provides a better game-playing experience," said Kabam CEO Kevin Chou. "The new controller puts Apple at the forefront of bridging the ever-shrinking gap between consoles and iOS devices."

Expect game controller makers to roll out a cornucopia of controllers after the iPhones are released later this year, but it may take some time. Developers are looking at all aspects of the new operating system.

"iOS 7 opens up some great opportunities for us," said Justin Swan, lead designer of "Trials Frontier." "Of course native controller support is really interesting for the types of games we are making, but new features like Airdrop and more ways to compete through Game Center could really pump up the highly competitive aspect of our games."

Mobile gaming will definitely get a boost from the new technology available to developers. Games should be deeper, richer and more interactive -- something only seen before on console platforms.

With 700 million iPhones in the gaming marketplace and the addition of the new hardware inside, developers think this very well could be mobile gaming's time to make a dent with the noncasual gaming audience.

"For the first time we can imagine adapting our console game development knowledge for mobile devices without sacrificing a lot in the process." Brice Ramard, mobile technical director for Ubisoft, said.

"With the (motion-sensing) M7 chip, we'll have the opportunity to look into bringing more movement-based games to iOS users," added Cyril Derouineau, CCO & CTO of Mobile for Ubisoft.

Donald Mustard said the younger generation is growing up with mobile devices and they are the ones who are going to spur the mobile gaming proliferation in terms of quality and power.

"I really think it is going to be hard for (home) consoles to compete with the console (smartphone) I've got in my pocket especially as we move forward."

@highlight

A 64-bit chip could make gaming more intense on new iPhone 5S

@highlight

Apple displayed "Infinity Blade III" as first app on the phone Tuesday

@highlight

New version of iOS operating system has new tools as well

@highlight

Developers say phone games are getting closer to console quality