(CNN) -- "Why does it seem that the elections are only being held on Facebook? Why is there no commotion on the streets yet? Where are the people?" This is a question that a journalist based in Tehran posted on his Facebook account eight days before election day.

Iranian public opinion is deafeningly silent, a silence that even the media close to the regime has complained about. Unlike the four previous presidential elections during which the streets were turned into lively and colorful carnivals with the supporters of different candidates engaging in unending debates and fervent speeches, this time it is only the walls of the streets that have been covered with banners and posters.

But if this situation is sad it is also strange. Domestic opinion polls and a few foreign ones -- such as the Information and Public Opinion Solutions LLC (iPOS) -- show that 60% to 75% of the people say they will participate in the elections. The same polls show that 60% of these people have yet to decide which candidate to vote for.

Under such circumstances, one would expect individuals to come together in a public sphere and have ongoing and meaningful discussions so that people could hear different opinions. But this is not the case.

Read more: Candidate quits Iran presidential race

Of course, people in taxis -- one of the most political public spheres in Iran -- talk about the elections but there is no discussion. Less people are seen trying to persuade or convince one another; therefore no political deliberation is taking place. It is as if this time it is not the public per se but individual observers who are deciding in their heads what to do on election day.

Contrary to what that journalist from Tehran thought, compared to 2009 even online political engagement is less, colder and more indifferent. In 2009, cyberspace was a battle scene for the campaigns of candidates -- particularly reformist candidates Mir-Hossein Mousavi and Mehdi Karroubi, who are currently under house arrest.

The Facebook pages of these candidates had tens and sometimes hundreds of thousands of likes and each post received hundreds of comments every day. One could easily see the accumulation of emotional energy in the interesting and untiring debates of Facebook users, bloggers, and micro-bloggers.

The supporters of the two Reformist candidates tried to persuade those advocating banning the elections while at the same time engaged in passionate polemics over which one of their candidates was better.

Such a momentum was about to build up this year too. When former president Akbar Hashemi-Rafsanjani -- who is controversially considered the Islamic regime's godfather figure and also a democracy catalyst -- registered for candidacy one could see this built up energy begin to release.

Read more: The man to revive Iran's reformist movement?

The Iranian regime had different political calculations for Rafsanjani's disqualification but definitely one of them was to prevent the polarization of the election and ultimately seeing it turn into a carnival -- like in 2009 -- which was impossible to contain even after the election was over. This indicates that the regime fears election campaigns more than the ballot boxes.

Iranian state television took measures to ensure that in the three rounds of televised election debates there would be the least amount of confrontation among the eight candidates, unlike in 2009. The first two debates were so boring that it drew criticism not only from the candidates themselves but also the presenters of the state TV. It was as if the soup had been served up too cold.

But the third debate -- held on Friday June 7 - suddenly became heated. Not only did the reformist and "principalist" candidates [who back the Supreme Leader] attack each other but the principalist ones -- who were supposed to be in a coalition -- also went after one another. The candidates realized that even in the restrictive debate channels they could navigate and create waves. Still, with every debate, social media became a place for individual posts full of mockery, sarcasm and personal revelations rather than showing affect for a certain candidate.

While there are many pages dedicated to the eight presidential candidates on Facebook -- none of which are official -- their energy level is low. The Facebook pages of the two candidates close to the Reformists are more active and have daily posts.

But while commenting is allowed, there is a very short trace of vernacular voices under the posts. Among the five so-called principalist candidates, Mohammad Bagher Ghalibaf and Saeed Jalili are the most active on social media websites. Jalili supporters who are mostly young radical idealists associated with the cult known as Hezbollahi are digitally savvy enough.

Aside from a group of websites supporting him, a hub, which has identified more than 1,800 bloggers from all over Iran who advocate for Jalili, has also been launched. If the reformist and Green Movement -- which was formed after the disputed 2009 elections -- supporters are present on Facebook the principalist supporters of the regime have tried to "occupy" Google Plus. This ironically shows that the digital attitude in Iran conforms with political orientation to some extent.

What these two groups have in common is that they both access these websites with difficulty and using illegal anti-proxy software. But they have one main difference: Principalist online activists monitor and follow their opponents but they are less being seen.

Read more: Is Iran's next president the face of its nuclear program?

The popularity of social media and growing number of Internet websites in Iran causes fewer individuals and groups to feel isolated or that they are in a minority. But the downside is that anyone can have the illusion that they are in the majority because they have less opportunity to step out of their ghetto and be exposed to opposition and contesting voices.

The Iranian regime is not that concerned about the ghettoization or fragmentation of public spheres. The experience of the past election has taught the regime that they must prevent the clash of these publics and their beliefs which could cause the election atmosphere to become antagonistic.

This is why this year it was decided that the spring semester of universities would be finished sooner so that student bodies would not have the chance to have any election activity -- which even drew criticism from the pro-regime student bodies. Using Slavoj Zizek's analogy, Iran's 2013 presidential election so far resembles drinking decaffeinated coffee, it tastes like coffee but you are not supposed to get a caffeine buzz from it.

The opinions expressed in this commentary are solely those of Ali Reza Eshraghi.

@highlight

Iranians head to the polling booths on Friday June 14

@highlight

Polls show that 60% of voters are yet to decide which candidate to vote for

@highlight

Yet, Iranian public opinion on the elections is 'deafeningly silent,' writes Ali Reza Eshraghi