Thousands of former football players and their families reached a settlement with the National Football League on Thursday in a lawsuit that put concussions, and their impact on the brain, under the microscope.

The deal calls for the NFL to pay $765 million to fund medical exams, concussion-related compensation, medical research for retired NFL players and their families, and litigation expenses, according to a court document filed in U.S. District Court in Philadelphia.

The agreement still needs to be approved by the judge assigned to the case, which involved more than 4,500 plaintiffs.

"It's been a struggle to get to this point, but today I will say I'm very proud that the NFL has decided to stand up for all the former players who are suffering from brain injuries," Kevin Turner, a former NFL running back who has been diagnosed with ALS, said during a teleconference.

"Today is so important for those who are ... hurting. This will bring help for them today."

Former NFL player wants brain studied

The case mediator, former U.S. District Judge Layn Phillips, called it "a historic agreement, one that will make sure that former NFL players who need and deserve compensation will receive it, and that will promote safety for players at all levels of football."

"My hope is that any players or ex-players that are suffering, or begin to suffer, from symptoms of dementia, will be taken care of in a respectable manner through this settlement," said Chris Dronett, one of the plaintiffs, whose husband Shane Dronett committed suicide in 2009 at age 38.

Scientists found evidence of chronic traumatic encephalopathy, or CTE, in Shane's brain after his death.

At the heart of the lawsuit was plaintiffs' allegations that the NFL led a deliberate misinformation campaign -- primarily through its Mild Traumatic Brain Injury Committee -- to deny scientific data being presented in the medical community about concussion risks.

NFL concussions: The facts

The suit alleged that misinformation, which included studies by the committee suggesting no correlation between concussions and long-term brain damage, trickled down to players so that they did not not realize the true risks they were taking while playing.

The NFL didn't comment about the settlement, but a league spokesman previously has said, "Any allegation that the league sought to mislead players has no merit ... and stands in contrast to actions it took to better protect players."

Family members of former players, some of whom are suffering from neurodegenerative illnesses, said they were stunned to find out the lawsuit had been settled so quickly.

"I had two thoughts. First, I'm glad that the league will finally take responsibility," said Tia McNeill, the ex-wife of former Minnesota Viking linebacker Fred McNeill, a plaintiff who suffers with symptoms of early dementia. "The other thing I was thinking is that (the NFL) didn't want to go into the discovery phase of the case."

Study offers clues about how CTE begins

Without a trial, without a discovery phase to reveal evidence, there is no way to discern what the league knew -- or did not know -- about concussion risks, and whether in the face of scientific knowledge, it should have established safer practices for players sooner than it did.

In recent years, the NFL has attempted to strengthen rules that govern player conduct on the field and added sideline medical staff -- unaffiliated with the teams -- in an effort to evaluate more independently injured players.

But many have ventured that these rule changes could have been implemented years ago.

Tia McNeill said her decision to join the suit on behalf of her ex-husband was less about compensation and more about the NFL acknowledging the potential risks of repetitive traumatic brain injury.

What is most important, said Jamal Anderson, a former player and plaintiff, "is to bring attention to the plight of thousands of players and the importance of taking concussion and head trauma seriously."

In an interview on CNN, Anderson, who played for the Atlanta Falcons in the 1990s, said that by settling, the league was not accepting responsibility for allegations in the lawsuit. But, Anderson said, "at least they put the proper foot forward to say, 'Hey, these players, the guys who played the game before the current players actually matter.' "

Opinion: Why my son will never play football

The settlement includes a $675 million fund set up to compensate players who have suffered brain injury, or their families; a maximum of $75 million for retired players' medical exams, which could be used to diagnose future neurodegenerative disease; and $10 million devoted to research and education. The rest of the settlement would be devoted to legal fees and the cost of administering funds to plaintiffs. The funds will be doled out over 20 years.

Meanwhile, the impact of the settlement may never fully register for former players such as Fred McNeill.

Tia McNeill, who has not yet shared the news of the lawsuit's settlement with her ex-husband, said she can predict his reaction.

"I think he will pay attention for a minute, say 'Oh wow,' and then not really think about it until someone brings it up again," she said.  "It's not something he'll remember tomorrow."

A tale of two former NFL players -- and their brains

@highlight

NFL will pay $765 million to fund medical exams, research, mediator says

@highlight

Agreement between NFL and ex-players still needs to be approved by judge

@highlight

Class-action suit alleged league didn't do enough to warn players about brain damage risks