(CNN)  -- A move is afoot to make the oil-rich province of Basra a more potent political and economic power in Iraq.

Along with provincial elections in Iraq, residents in Basra may also be voting to become an autonomous region.

Lawmakers have started a drive that would give the Shiite-dominated province the status of a federal region -- the same legal power as the multi-province autonomous region of Kurdistan in northern Iraq.

The move would usher in self-government and could boost oil income in Basra, although the organizers of the drive have indicated they would be more cooperative with the central Iraqi government than Kurdistan is on oil matters.

Iraqi affairs scholar Reidar Visser suggests the autonomy initiative -- which he notes is the first of its kind outside the Kurdish areas -- "shows that the inhabitants in Basra may care more for their local patriotism than for their religious identity as Shiites."

"Basra holds perhaps 60 percent of Iraq's oil reserves, whereas most of the other Shiite areas of Iraq have only insignificant amounts of oil," said Visser, a research fellow at the Norwegian Institute for International Affairs.

Wail Abd al-Latif -- a Basra member of parliament and a former Basra provincial governor -- is leading the drive and has hinted that he wants the region to receive its own share of the oil income generated there, Visser said. The effort is also backed by a powerful local movement called the Fadhila Party.

Iraq is a collection of ethnicities and religions, and there has been a tug of war between a central government attempting to tie the country together and various groups pursuing their own interests.

The Kurds have had their three-province autonomous region in the north for years, and the central government and the Kurds have had their disagreements: The Kurds have used their autonomy to pursue oil contracts that aren't recognized by Iraq's central government.

But al-Latif said his Basra initiative is not seeking "to interfere with the central government when it comes to the administration of the oil sector and the signing of contracts."

"The federalists in Basra appear to be more prepared to work with Baghdad than the Kurds have been so far," Visser said.

A monthlong petition drive started Monday for a Basra region referendum -- which would be held if at least 10 percent of the more than 1.4 million registered voters in the province sign up, said the U.N. Assistance Mission for Iraq, or UNAMI, which is helping Iraq with its electoral process.

Residents have until January 14 to go to 34 locations in the province to submit their signatures.

A referendum could be held two to three months after Iraqi election officials certify that the required number of signatures was gathered, a UNAMI source told CNN.

The voting age in Iraq is 18, but anybody born in 1991 will be allowed to register and submit signatures after January 1.

Under the country's constitution, any of Iraq's 18 provinces may form federal regions, either alone or as a group.

Regions have the right to create their own constitutions, have separate executive, legislative, and judicial branches of government, and have security forces under their control.

"In the case of a contradiction between regional and national legislation in respect to a matter outside the exclusive authorities of the federal government, the regional power shall have the right to amend the application of the national legislation within that region," the constitution says.

"What rights the regions will have with regard to the oil sector remains controversial," said Visser, also the editor of historiae.org -- where he posts scholarly papers about Iraq, including one on Monday about the Basra region.

Another idea for an autonomous region has emerged from the Islamic Supreme Council of Iraq, one of the parties in the ruling United Iraq Alliance. It is looking at a nine-province federal region in the south.

Basra is the only Iraqi province that borders a body of water -- the Shatt al Arab waterway near the Persian Gulf. The province also borders Kuwait and Iran. Cities in the province include Basra city, Umm Qasr and Zubayr.

@highlight

Petition drive under way for a Basra region referendum

@highlight

Referendum to be held if 10 percent of 1.4 million registered voters sign up

@highlight

Regions have right to form constitutions, government branches, security forces

@highlight

Basra province produces a lot of oil and is next to body of water