The grand jury hearing evidence on the Michael Brown shooting is preparing to meet Friday for what might be its final session, and a decision on whether to charge Officer Darren Wilson could come the same day, law enforcement officials briefed on the plans said.

St. Louis County prosecutors are preparing to present more evidence to the grand jury before starting deliberations, and a decision on an indictment is expected soon after, the law enforcement officials said.

If a decision comes Friday, prosecutors are expected to provide law enforcement with 48 hours notice before making a public announcement, possibly on Sunday.

The current plans could still change and prosecutors could shift the planned grand jury session, the officials said.

In the shadow of the storm called Ferguson, a quiet grave

Prosecutor Robert McCulloch has said he plans to make public all evidence and testimony presented to the grand jury, but there is growing concern from some on how to deal with the identities of people who have testified, the sources say.

Concerns have also been raised that some witnesses could be put at risk once their testimony and identities become public, law enforcement officials said.

In some cases, witnesses might have testified differently under oath, providing different accounts than the ones they gave in media interviews, the official explained. Others may have provided testimony that may be interpreted as helpful to the officer's account of the August 9 shooting.

A spokesman for McCulloch's office said the prosecutor hasn't decided whether to redact names of witnesses. The spokesman declined to comment on possible timing of the grand jury decision.

A city on edge

A tense Ferguson is awaiting to hear whether a St. Louis County grand jury believes Wilson should stand trial in the fatal shooting of the unarmed Brown.

Jurors have until January, but the prosecutor's office has said a decision could come in mid-November. For weeks, lawyers, analysts and journalists have speculated on when it will be announced.

Ferguson became a flashpoint for racial tension after the teen's shooting; Brown, 18, was black, the officer is white.

Street demonstrations and violence erupted, and heavily armed police came face to face with angry protesters demanding justice.

Some predict that will be the case again when the grand jury's decision is announced.

Missouri Gov. Jay Nixon declared a state of emergency Monday as a precaution in the event of unrest or violence.

Along West Florissant Avenue, the ground zero of violent protests, businesses put back the plywood boards they had taken down from their windows and doors. Business owners were tired of answering questions about how they had fared through the weeks and weeks of tension.

"How do you think we are doing?" asked Dan McMullen, owner of Solo Insurance Services on West Florissant.

"I just want to get this over with and move on," he said, sitting at his desk behind the boarded-up entrance to his strip mall office.

He said some protesters came in wanting to leave fliers with information in his office.

"I told them to get the hell out. You broke my windows and now you want me to put out your literature?"

Ferguson Mayor James Knowles told local media this month that he expected demonstrations across the region and warned authorities to "prepare for the worst."

'We've had three months to prepare'

St. Louis Police Chief Sam Dotson said Tuesday that his officers are ready for whatever happens.

"We've had three months to prepare. ... Acts of violence will not be tolerated," he said. "Our intelligence is good. Our tactics are good. We can protect lawful people and at the same time arrest criminals."

On Tuesday, St. Louis Mayor Francis Slay wrote the city's aldermen, singling out Alderwoman Phyllis Young, chairwoman of the city's public safety committee, to explain that 400 National Guard troops would be requested for the city.

"We will not, unless something happens that we have not foreseen, post them where there are organized protests," Slay wrote.

Rather, he wrote, they will be placed with police officers at 45 locations around the city to prevent violence and property destruction.

The city's police will wear normal uniforms, as "we do not want to appear to militarize our response to the demonstrations and want to do everything we can to de-escalate," the mayor wrote, adding that police may don riot gear if public safety demands it.

"If our officers put on their personal protective gear, it is not to intimidate peaceful protesters. It is for the sole purpose of keeping everyone safe," he wrote.

Area school superintendents wrote a letter to city officials and authorities requesting that they announce the grand jury's decision on an evening or weeknight so it doesn't affect about 20,000 students traveling back and forth to schools.

Many parents received notice to fetch their children from school if the decision comes out earlier in the day.

A group of community members calling themselves the Don't Shoot Coalition has asked for 48 hours' notice before the ruling is made public. It also released 19 "Rules of Engagement" that touch on major points of contention between protesters and police.

The group wants assurances that neither police nor the government will interfere with the flow of information, as well as a guarantee that police won't use rubber bullets, armored vehicles, rifles or tear gas. The group also requested that officers wear attire "minimally required for their safety" and that "specialized riot gear be avoided except as a last resort."

Staging dry runs in cold weather

In the St. Louis area, protesters have been staging dry runs on how to face police. And continuing their demonstrations.

Despite below-freezing temperatures Monday, about 100 activists disrupted lunchtime traffic in the nearby city of Clayton.

Brown's shooting on August 9 also touched a national nerve, with protests decrying racism and police brutality taking place around the country since his death.

The Ferguson National Response Network expects that reaction to the grand jury ruling will not be limited to the St. Louis area. It has set up a Tumblr account advertising about 90 "planned responses" to the ruling. They will take place from West Palm Beach, Florida, to New York, Chicago and Los Angeles.

Brown's supporters have turned out in force, but Wilson's supporters have demonstrated on occasion as well. They point to witness testimony and leaked grand jury documents that suggest Brown might have attacked Wilson, struggled for his gun and perhaps even charged the officer after the tussle over the weapon.

McMullen, the insurance company owner on West Florissant, said that protesters have made this into a racial issue but have ignored the facts of the case.

"There is no way a police officer in America would just get out of his car and shoot someone for no reason," he said.

Protesters are aware of the other version of events, but it doesn't stem their anger.

Many told CNN in August that other witnesses allege Wilson shot Brown at least six times as he stood about 30 feet from Wilson's police cruiser. The fatal shots were fired as Brown had his hands up in surrender, they believe.

Perhaps stoking the most anger is that all six shots hit Brown above the waist, leading community members to believe Wilson never had any intention of arresting the teen.

Images of Brown's body lying on the street went viral through social media.

Where he once lay is a makeshift memorial -- half on the sidewalk and half on Canfield Drive, in the middle of the road, exactly where Brown fell.

Complete coverage in Ferguson

@highlight

Grand jury could rule in Officer Darren Wilson's case by Friday, source say

@highlight

St. Louis police chief says his officers are ready for reaction when grand jury rules

@highlight

Grand jury weighs evidence to determine whether Wilson will face charges

@highlight

Wilson fatally shot an unarmed Michael Brown in August, setting off protests