(CNN) -- "Hello 'true believers,' this is Stan Lee," said the world-renowned comic book creator as he filmed a video segment for CNN.com. His booming voice and magnetic demeanor made jaws drop and eyes widen everywhere in the room.

There's something magical about Lee: He is like a superhero disguised in a button-down shirt and tan slacks.

Lee played a major part in creating most of the world's favorite comic book superheroes. He conceived of -- or co-created -- and wrote decades of story lines for Spider-Man, The Incredible Hulk, The X-Men, The Fantastic Four, Iron Man, Thor, Daredevil, Doctor Strange and plenty others in the Marvel pantheon. All told, he has contributed to 90 percent of the company's comic book characters and made them recognizable through marketing and licensing.

Lee said the secret to taking his superheroes through so many successful forays into different mediums was having fun.

"I never really think of which [business offers] to take and turn down, because almost everything that's offered to me sounds like fun," he said.

"I like writing, I like trying to create new characters and new concepts for entertainment. I'm very much a ham, I love doing those cameos I do. So, I turn down almost nothing unless there's no time to do it."

Marvel became known for its collaborative creative efforts (called the "Marvel Method") and Lee sees it as one of the reasons his characters have been so memorable.

"All of my life in comics I have worked with artists, so I've collaborated with them," said Lee. "I would write down the original story, they would draw it and then I would edit it and do the art direction. So everything I've done has always been a collaboration.

"I feel, when you collaborate with talented people, they inspire you. I would hope that you spark them also. And I find that working with people whom you respect, and who are as eager as you to do things that will excite an audience, that's just the best way to go. I've been so lucky that I have found and worked with that caliber of people," he said.

He points out that his latest venture, POW! Entertainment, stands for "Purveyors of wonder! With an exclamation point!" His exaggerated speech patterns and confident posture make it hard to comprehend that he is nearly 88 years old. If it's a carefully crafted persona, it's based on his hard-earned legacy.

Through his prolific work and desire to entertain, Lee has influenced pop culture for 71 years. He started working as a writer and proofreader in 1939 for the comic book company that would become Marvel. He wrote his first entire comic book (Captain America No. 3) in 1941.

By the early 1960s he was editor and chief writer at Marvel, leading what became known as the "Marvel revolution." In response to DC Comics' re-vamped version of "The Flash" and successful superhero team comic, "Justice League of America," Marvel created a group of superheroes. They were distinguished in the comic book world for their complex narratives and continuity -- they all saved lives in the same world, and in some cases crossed over into each other's storylines.

But it was Lee's promotion and licensing of those characters that gave them a lasting influence. Since 1965, Marvel superheroes have jumped from the pages of comic books to costume and toy stores, Saturday morning cartoons and blockbuster movies.

He's not afraid to tackle serious issues either. He famously took the Comics Code Authority to task over rules banning the depiction of drug use. He used "The Amazing Spider-Man" to discuss the social problems of drug abuse in 1971. Despite the CCA's disapproval, Lee published the three-book story arc anyway, illustrating the havoc that LSD could wreak. It was so well received that the CCA changed the rules.

Many of Lee's superheroes and villains are complicated characters, allowing him to weave social discussions into comic book story lines.

"I thought, even though these were action stories for comic books, I thought it would be rather interesting to the readers to have a third dimension to the stories, which I've always tried to do in a subtle way," he said. "Inject a little bit of philosophy or a little bit of something to think about when the reader reads the stories."

X-Men characters "Professor X" and "Magneto," for example, struggled with opposing philosophies as mutant outsiders who were persecuted -- even outlawed -- which was a struggle that comic book readers could see similarly played out in real life on the evening news.

"They were meant to emphasize the conflict between people who felt that we've got to all work together and find a way to get along, and people who feel 'we're not treated well, therefore we're going to strike back with force!' " said Lee.

"With Magneto, whose people were hounded and hunted and almost tortured, he had every right to feel, 'We're trying to help mankind, and they're making us outlaws, and they're persecuting us, we've got to strike back.' "

Lee said he could understand that feeling, but could also understand Professor X's point of view, which was "No, we've got to give them time to learn and to understand and to cooperate."

For all his success and fame and fortune, Lee reaches out to fans in a very personal fashion, fostering an in-the-club-like feeling while at Marvel Comics. In all his comics, he wrote a column called, "Stan's Soapbox," as well as a page called "Bullpen Bulletins," in which he wrote directly to the reader, more like a letter from a friend than a letter from the editor.

"And I would end my columns with little catch phrases, like 'Until next time, gang, hang loose!' or 'Face front!' things like that," he said.

"And I found, little by little the competition was using the same phrases. And I didn't like that! So, I thought, 'I'm going to try to dream something up that A) they won't know what it means, and B) they won't even know how to spell it!' "

The catchphrase "Excelsior!" -- which Lee pronounces egg-zel-see-or -- was born. Lee said he found the word on the coat of arms of the state of New York. It's an old English expression that means "Upward and onward to greater glory!" said Lee, emphatically.

"And I thought," he said, "that's just perfect! So now I end almost everything that I write, when I'm just talking to the public or to fans, I end it with 'Excelsior!' And so far nobody has copied it. But of course now that I'm mentioning it here over the air, everybody is going to start doing it and I'm going to be sorry I said this."

Lee makes many cameo appearances in movies based on his comic books. He has appeared uncredited as himself in movies like 2007's "The Fantastic Four: Rise of the Silver Surfer."

He also makes more scripted appearances. Finding him in Marvel-based movies is almost like playing "Where's Waldo?" In 2000's "X-Men," he was a hot dog vendor. In 2003's "Hulk," he was a security guard. In 2005's "Fantastic Four" he appeared as Willie Lumpkin. In 2008's "Iron Man," Tony Stark mistakes him for Hugh Hefner.

"Wow! If I could be in a movie called 'Cameo Man' and play all the cameos I've done, that would be my superpower. I have the ability to be anyone, anytime, anywhere, anyhow!" said Lee. "As soon as I get back to the POW! offices, and you know, you know the power that POW! wields, I'm going to start working on that."

"That is, after I work on getting the movie academy to issue an Oscar for the best cameo of the year, and of course the television academy to do likewise," he said.

@highlight

Stan Lee's comic book and entertainment career has so far spanned 71 years

@highlight

Lee created many of the world's favorite superheroes, including Spider-Man, the X-Men

@highlight

Lee thoroughly enjoys playing cameo parts in all movies based on his comic book characters

@highlight

Lee pronounces his catchphrase, "Excelsior!" egg-cel-see-or