Hong Kong (CNN) -- Nestled within Hong Kong's dense skyscraper jungle, a $640,000 property sits among some of the world's most expensive commercial and residential spaces.

The price might sound like a steal. This Asian financial capital has the world's priciest property, according to Savills. Since the start of 2010, average Hong Kong home prices have doubled.

But the price tag mentioned here is neither for a home nor an office.

It is for a parking space: A slab of undecorated concrete, stained by black motor oil, about 8-feet-by-16-feet in size. Price per square foot: nearly $5,000.

Jacinto Tong has owned and used this space for the past ten years. Described in local media as "the tycoon of parking spaces," he is effusive when talking about this particular "priceless" gem.

"I think this is the best car park space I ever had," said the CEO of Gale Well Group, a property firm that owns hundreds of residential and commercial spaces across the city. "You can go straight to the office and the elevator. Only 20 steps -- 20 steps!"

The CEO does not own just one $640,000 parking space. Tong owns two. If he were to sell he could bank $1.3 million.

"People don't mind paying more," boasted Tong. "But I'm not eager to sell."

And yet that is the reality for Hong Kong.

According to the latest Parking Rate Survey by Colliers International, the global property services firm, this city has the most exorbitant monthly parking fees in the Asia-Pacific.

Hong Kong's monthly median parking rate was $744.72 in 2011. With less than a dollar's difference, Tokyo came in as Asia's number two.

The reason for Hong Kong's pricey parking rates is rooted in governmental curbs on the city's residential market, said Buggle Lau, chief analyst at Midland Realty, one of the city's largest real estate companies.

Many analysts believe Hong Kong's property market is a bubble waiting to burst. To deflate it slowly, the government has introduced a series of increasingly stringent policies since November 2010. These have made it more expensive for investors to buy or flip homes for a quick profit.

The regulations have produced desired results, said Lau, leading to a 31% fall in home sale transactions over the past 23 months. But, as a side effect, the squeeze on residential investors has pushed them into commercial property, like parking spaces, which have no such price curbs yet.

While homes sale transaction volumes have fallen since November 2010, trade in parking spaces has risen more than 25%, Lau added. The volume of industrial, commercial and retail have surged 16% as well.

Fast price rises and higher yields on leased parking spaces have attracted more investors to this niche market.

"If you look at this year's (total sales) number, it's the highest in the past ten years or so," Lau said. "Through November of this year, Hong Kong had car park transactions totaling $751 million. In 2010, it was $525 million." This rise marks an increase of 43% so far this year.

Tong, the parking space tycoon, breaks down rental yields by property category.

"The lowest yield of all property is (retail) shops, maybe less than 2%. The second thing is commercial, which is about 2% to 2.5%, and then residential which is about 3%. Parking spaces should be about 5%."

Hence, some of Hong Kong's hottest investment vehicles are where people keep their motorized ones.

But Lau, the property analyst, cautions against casual investment in parking spaces. If Hong Kong's economy stalls the first thing people will get rid of will be their cars.

No car means no need for a parking space. But a home will always have a use.

"If you buy a parking space," said Lau, "you can't live in it."

Vivian Kam contributed to this report

@highlight

In Hong Kong's Central district, an executive recently offered $640,000 for a parking space

@highlight

A record-high real estate market and lack of supply is spurring parking prices

@highlight

On average, Hong Kong is the third most expensive place to park in the world

@highlight

Average cost for parking is higher for car owners in London and in Zurich