LONDON, England (CNN) -- Dean Still had been researching and developing cleaner, more environmentally-friendly wood-burning stoves for almost two decades when, while working for the U.S. Environmental Protection Agency, he spotted a coal stove for sale on a street corner near Tibet, China.

Workers at Shengzhou Stove Manufacturers prepare wood-burning stoves for firing.

He had been looking for an established manufacturer who could mass-produce the more efficient, lower-emission stoves he had been developing with the Aprovecho Research Center (ARC), a non-profit research and education center based in Oregon in the United States.

"It looked perfect. It had all the components," Still told CNN. "I knew we could change it to a wood-burning stove. There was a cell phone number on the side, so I called it."

Shen Huiyang of Shengzhou Stove Manufacturers (SSM), based over a thousand miles away, answered. The two met and a short time later, in August 2007, an agreement was signed between ARC and SSM. Shen's factory began producing the new wood-burning stoves last year.

Last week, the two companies were declared "Global Energy Champions" by the Ashden Awards for Sustainable Energy at a ceremony in London, England.

The vast majority of the 60,000 stoves they've sold since entering their partnership have gone to Envirofit International, a U.S.-based non-profit organization which markets the stoves in India, supported by the Shell Foundation. Others are sold in Argentina, Chile, the Marshall Islands, Madagascar, South Africa and Tanzania.

Shen said: "We have produced coal stoves for many years, and it is wonderful to be able to use our experience to make a wood stove that brings benefits to so many people."

The pair won $65,000 to develop the scheme which Still says will be spent on research and development, and to employ more sales people.

"What I'm doing now is talking to the U.N., to relief agencies, just anybody in the world who might have an interest in burning wood more cleanly, and using less of it," he said.

The principle behind the stove is simple. With a better insulated combustion chamber, the fire requires less wood and burns hot enough for the smoke to combust as well, which means far fewer emissions.

According to the World Health Organization, about half the world still cooks with biomass or coal, using open fires or traditional stoves. The resulting emissions cause indoor air pollution, leading to pneumonia, chronic respiratory disease and lung cancer. This indoor air pollution causes 1.6 million deaths a year, primarily among children and women.

The emissions also contribute to climate change, and the collection of firewood contributes to deforestation and erosion.

ARC say tests performed on the stoves indicate major breakthroughs for both the environment and health in the developing world. The stoves reduce the use of wood for fuel by up to 50 percent, and cut carbon monoxide emissions by up to 70 percent compared to a traditional fire.

@highlight

U.S. research center, Chinese stove manufacter win joint environment award

@highlight

They make stoves that use less wood, reduce carbon monoxide emissions

@highlight

Since 2007, they have sold 60,000 stoves in India, Argentina and Chile

@highlight

Currently talking with the U.N. and relief agencies about potential deals