(CNN) -- Joe Miller is devouring his second steak of the day and the clock has barely nudged 2pm.

Those hefty slabs of meat make up a decent chunk of the 6,000 calories he is putting away daily in what has become an obsessive pursuit of distance.

But this intense training regime isn't designed to support a weightlifting crusade or an endurance run, it is built around thrashing a golf ball further than anyone else in the world.

"Joe's obsessed," coach Lee Cox says, as his protege chomps down on fillet number two. "His whole life at the moment is built around finding an extra yard here or there."

If anyone embodies golf's fixation with going further, faster it is Miller.

His specially crafted equipment, diet, gym workouts and coaching sessions are all based around him winning a battle of small margins against a legion of monster hitters.

The 29-year-old is homing in on his main target for 2014, the long driving world championship in Las Vegas, a title he won back in 2010.

Should the man currently ranked No. 1 in the world pitch the ball further than his competitors, prize money of $250,000 will be landing in his bank account.

"It is all-consuming, especially at the moment," the 29-year-old told CNN after lunch at Brocket Hall Golf Club, just north of London.

"You're living it, you're thinking about it, you're searching for it. This is the World Championships -- the big one. If you're not going to prepare properly for it, then forget about it."

As I waited for Miller to arrive, the staff had spoken in reverential tones of his hitting prowess.

"Have you seen him swing yet?" one asked. "It's ridiculous. Scary."

Miller's longest drive in competition is a mammoth 474 yards. That's the equivalent of hitting the ball ten yards shy of the antenna perched on top of the Empire State Building.

It is 50 yards past the longest drive recorded on the PGA Tour in 2014 -- 424 yards by two-time Masters champion Bubba Watson.

The speed at which Miller swings the club regularly clocks in at 155 miles per hour and the ball consistently flies off the face at a freakish 225mph.

In contrast, the club head speed of a distinctly amateur golfer (me, for example) is around 97mph, the ball taking off at a relatively pedestrian 145mph.

Its golf, but not as many people know it. Not even the tour professionals.

When Miller launches into his first drive on the range after a brief warm up, it is impossible to see the ball against the backdrop of a grey autumn sky.

What is evident, though, is the power Miller possesses. His swing is a violent twisting of limbs, unleashing the club with the potency of a speeding freight train.

Cox says instead of trying to pick up the ball using the line of trees at the back of the driving range, I have to watch it right off the club face or else I'll have "no chance, such is the angle it takes off at."

He's right. The next one I catch sight of immediately and focus on intently for the best part of 10 seconds until it comes to rest some 415 yards away.

So how has Miller altered his swing in order to maximize distance?

"I could sit here and bore you for eight or nine hours, going through each tiny little move," he laughs. "Basically, you need the right technique and a lot of speed.

"I always start off with teeing it higher -- I use a four inch tee. That is going to give us the right launch conditions.

"Then I take a wide stance, a longer swing and use tighter angles. We use our wrists a lot to create a lot of levers.

"It's the complete opposite of what you do for short or mid irons, or chipping, it's trying to gather as much speed as you can and unleash it at that last second."

Miller's obsession with distance is one reflected at all levels of golf, he says.

Every single player on the planet would snap your hand off if they were offered an extra 20-yards to add onto their drives and iron shots.

That has helped foster a dynamic design culture among the game's manufacturers, one that has helped grow the discipline of long driving enormously over the last five years.

Miller's specialist drivers are made with two degrees of loft (regular tour players use 9.5 degree drivers) and have minimum flexibility in the shaft. They are also built to withstand ferocious hitting.

"Technology as it has progressed -- with shafts and the heads -- it plays a huge part," Miller explains.

"When you are swinging 150mph or over, clubs even three or four years ago, weren't designed to hold that. The heads were blowing up in two seconds.

"The clubs now are a million times better. It was a learning curve for my sponsor, Callaway, to produce something that's got a flat face and has to withstand ball speeds coming off at 220mph.

"There are clubs out there that can't do that and would blow up with one hit. The technology is going to get better once other companies are on board -- then there is a rivalry. it is always going to grow, just like the game.

"I think it shows how long driving has progressed. When I came back to the UK after winning the world championships in 2010 nobody, apart from the real fans of it, knew about it.

"I had to come back and do something with it, I was going out and getting some exposure in magazines and the television. It's been a steady incline. It's paying dividends now -- people are noticing it. It feels great.

"It motivates me even more because people are recognizing the sport now."

Cox says there are up to 50 points of Miller's swing that have been tweaked from a regular tour pro's to maximize the length he hits the ball.

After studying over 100 long hitters they embarked on a process of trial and error, experimenting with different positions, swing techniques, hip and foot positions.

"It's been a learning curve for me and Lee," he said.

"He's been teaching for over 20 years and it's only now when you start looking at the bio mechanics of it and these tiny micro moves that are in a golf swing that you wouldn't see unless you have a trained eye.

"It's so fine, half a per cent here or there, whatever it is. Whatever the pros are working you can times that by five, six, seven, maybe ten times.

"When you are looking for those extra yards, all of a sudden you realize how much the body can change and how much is involved in that."

Miller's jet-propelled swing is backed up by numbers. A lot of numbers.

Propped up on the ground behind Miller is a Flightscope box that records all sorts of information from his swing.

It is almost as if he and his coach are speaking a different language when analyzing the data -- angle of attack, flight plane, dynamic loft and spin ratios are all mentioned.

It all boils down to this; Miller needs to execute the perfect technical swing, and connect with the ball, not only right in the middle of the club, but also at the right angle, for it to fly.

Doing it under pressure, in front of a 5,000 strong crowd at the Re-Max world championships, is next on the agenda, as Miller aims to recapture his crown.

"The crowd adds the adrenaline," he admits. "If you get the crowd behind you, for me it plays a massive part. I could never replicate that here when you've people shouting and screaming."

There's only a limited crowd on show at Brocket Hall but we are still in awe of Miller's hitting prowess. And when I (foolishly) challenge him to a competition, his game face is on immediately.

The brisk conditions do neither of us any favors, but I'm content with my drive that lands 238 yards away and trickles to the 260 mark. It was cold, remember.

The data shows my club head speed at a respectable 97mph, the ball coming off the face at a not slovenly 145 mph.

Unsurprisingly, Miller makes my effort look feeble -- his ball flies off the face at 208mph, hit by a club that was wielded towards impact at 144mph.

His lands 112 yards past the distance where mine finished and eventually comes to rest 397 yards away -- over 30 yards longer than the height of the London Shard.

Still, there's no disgrace in that. I play golf with some people who would struggle to hit it 397 yards in two shots.

@highlight

England's Joe Miller gunning to be crowned golf's world long driving champion

@highlight

Miller, who was champion in 2010, has a longest competition drive of 474 yards

@highlight

He eats an average 6,000 calories a day to maintain his ferocious hitting power