(CNN) -- Few of us can imagine living the opulent "Downton Abbey" lives of the fictional Crawley family at the turn of the 20th century.

There were servants to address one's every material need, dinner in white tie and lavish gowns, and rules designed to keep the upper crust on top and the lower classes in their place. You almost have to see the sprawling estate to believe that the lifestyle existed, yet the trip to visit Highclere Castle, the estate used by the television show in rural England, may cost more than the less well-to-do American can afford.

There's no need to cross the pond to get a taste of that life. Although the United States did not have lords or ladies living on grand estates, there were American millionaires who made their fortunes by harnessing the resources of a new country. With an eye to the style of their European counterparts, they built mansions on extensive grounds to show off their power and wealth. So if you're entering a period of "Downton" withdrawal, consider a peek into America's historic high life.

The places where masterpieces are born

"These homes represented the creation of immense wealth at the turn of the century in the United States, the kind of wealth acquired through fundamental commodities like water, gold, oil and food," said Katherine Malone-France, the National Trust for Historic Preservation's historic sites director of outreach, education and support.

"These estates represented the taste and sophistication of their owners, as well as the skills and labors of those who built them and worked in them. These places were icons then and now, and they make for great television and fantastic places to visit as historic sites, because they contain all of those complex, compelling and interwoven stories."

The new American wealthy didn't have hundreds of years to build their fancy homes and reputations, yet the Vanderbilts, Rockefellers and other wealthy families built houses to last for generations. These are just a handful of the homes where they were living large around the same time as the "Downton Abbey" story lines.

Downton Abbey creates tourism boom

The Rockefellers: Hudson Valley, New York

With the economic engine that is New York nearby, it makes sense that the country's new wealthy would build their homes and country homes in the city's suburbs and nearby Hudson Valley. The Vanderbilts, Roosevelts and Goulds all had homes in the area.

Completed in 1913, Kykuit was the home of Standard Oil founder and philanthropist John D. Rockefeller and the next three generations of his family. The six-story home, now a National Trust for Historic Preservation property operated by the Rockefeller Brothers Fund, is open to the public for tours.

Make sure to tour the gardens to see New York Gov. Nelson Rockefeller's 20th-century sculpture collection, including the works of Alexander Calder, Henry Moore and Pablo Picasso. Kykuit's elaborate gardens also feature classical sculpture, pavilions, fountains and Hudson River views.

The Douglas family: Cedar Rapids, Iowa

Like the fictional Crawleys, the Douglas family was touched by the sinking of the Titanic.

Although the Brucemore estate was built for wealthy widow Caroline Sinclair and her six children in 1886, the Sinclair family lived there just 20 years. The George and Irene Douglas family and its descendants, known for Douglas & Co. and Quaker Oats, lived there from 1906 to 1981.

It was George's brother Walter who perished on the Titanic. Reports say his wife, Mahala, asked him to join her on a lifeboat. He replied, "No, I must be a gentleman" and went to join a group of men waiting for later lifeboats. His body was recovered later and identified by his monogrammed shirt.

Visitors can tour the 21-room Queen Anne style mansion and grounds.

The Booths: Bloomfield Hills, Michigan

The Canadian-born owner of an ironworks company, George Booth settled in Detroit when he married Ellen Warren Scripps, the daughter of the founder of the Detroit News. The Booths purchased a rundown farm in Bloomfield Hills to turn into their summer home and eventually built a new year-round home, Cranbrook House, which was completed in 1908.

George Booth became a leading patron of the American Arts and Crafts movement in the early 20th century, and it showed in the designs he chose for his home and the art he collected. The couple also started six education and arts institutions on their property, including the famous Cranbrook Academy of Art.

While still alive, they deeded the house, much of its contents and the surrounding property to the Cranbrook Foundation they created, living the rest of their lives not as owners but under a life trust at Cranbrook House. It is the oldest surviving manor home in the metro Detroit area.

The Vanderbilts: Asheville, North Carolina

George Vanderbilt didn't care for the city life as much as the rest of his family. So it was no surprise that after he visited the mountains of North Carolina, he eventually built his 250-room estate in Asheville. The Biltmore was completed in 1895, when he was still single. Vanderbilt married Edith Stuyvesant Dresser in Paris in 1898, and the couple raised their only child at Biltmore.

Descendants of the Vanderbilts still own and operate the estate as a for-profit company, and the home is now open to the public for tours. There's a 10,000-volume library, a bowling alley, a banquet hall featuring a 70-foot ceiling, an indoor pool and the artwork of Pierre Auguste Renoir and John Singer Sargent, among others.

Architect Richard Morris Hunt modeled the house after three 16th-century French chateaux. With more than 30 bedrooms, it's still shy of the 50 plus bedrooms at Downton's Highclere Castle. Still, Biltmore seems more than adequate for a house party.

Don't miss the butler's tour if you want to see how the other half lived on the estate. Modern guests can stay at an inn built in 2001 or a historic cottage that once served as the gardener's house.

The Bourns: Woodside, California

Filoli was completed in 1917 as the country estate for Mr. and Mrs. William Bowers Bourn, San Franciscans whose money came from water and gold. Filoli is just 30 miles outside San Francisco.

The European influence can be found all over the property: Tuscan columns in the portico, art from the Bourns' travels to Europe and even some of the house's walls. (The house library was copied from the library at Denham Place, a 1690s home in England.)

The expansive formal gardens were designed and constructed between 1917 and 1929. The next owners lived in the house until 1975, when the house and formal gardens were donated to the National Trust for Historic Preservation.

The Berwinds: Newport, Rhode Island

Downton fans might remember that the mother of American-born Cora, the countess of Grantham, had a home in Newport. That's where rich Americans summered, and it's where visitors can tour several grand homes at a time.

Mr. and Mrs. Edward Julius Berwind, who made their money in coal mining, built the Elms as their summer residence in Newport. Now one of the famous Newport Mansions and a National Historic Landmark, the Elms was finished in 1901. Unlike some residents of fictional Downton, who grudgingly adapted to modern conveniences like telephones and electricity, the Berwinds had the Elms outfitted with the latest modern conveniences. The house was among the first in Newport to be fully electrified with no gas backup. There was even an early ice maker.

The couple's art collection featured 18th-century Venetian and French paintings and Renaissance ceramics.

To get a good sense of life among the servants, the Preservation Society of Newport County, which owns and operates 10 historic properties in Newport, added an Elms servant life tour last year.

@highlight

Wealthy Americans at the turn of the 20th century built elaborate homes to show off their status

@highlight

Many of these estates required servants to support the homes and grounds

@highlight

Inspired by their European counterparts, rich Americans collected European art