(CNN) -- David Wallechinsky didn't invent what's on the Internet. It just seems that way.

In 1977, Wallechinsky, his father Irving Wallace and his sister Amy Wallace published "The Book of Lists." The compendium of cleverly presented facts, such as "15 People Who Became Words," "10 Men Who Were Supported By Their Wives" and "6 Positions for Sexual Intercourse -- In Order of Preference," wasn't just simple enumeration.

It featured detailed explanations about its subjects, proving itself a worthy and entertaining reference work. "The Book of Lists" immediately took its place on another list -- the bestseller list -- and spawned three sequels.

More than three decades later, in the Internet age, its impact is everywhere. Countless websites, including CNN.com, have turned to lists -- sometimes in the form of galleries -- to help tell stories in a digestible way and boost page views. Topics range from "History's Biggest Mysteries" to "13 Team Names That Will Make a Lot More Sense When You Know Their Origins" to "11 Things You Didn't Know About Spinal Tap."

Sure, you can't copyright an idea that goes back to God and Hammurabi, but one might think that Wallechinsky might be seething about seeing his child so misused.

Not in the least, says the author, Olympic historian and creator of the website AllGov.com.

"I was thrilled when the Internet came around," he says. He understands that the list concept makes it easier to process information, and "I'm glad to have done what I could."

These days, Wallechinsky, 66, devotes his time to AllGov.com, an attempt to create a different kind of information repository: a site all about the business of government, including details about dozens of government agencies and names of hundreds of government officials. Currently AllGov features the United States, California and France; plans call for it to cover every U.S. state and every country in the world.

"We pride ourselves on accuracy, double-checking," he says. "The Internet is so full of junk and not-researched material. ... We try to emphasize policy instead of politics."

CNN spoke to Wallechinsky about lists, government and finding himself referenced on Wikipedia. The following is an edited and condensed version of the interview.

CNN: Have you ever reflected on the impact of "The Book of Lists" on the Internet as we know it?

David Wallechinsky: Oh, sure. But I can't take credit because I have in my collection a book of lists that goes back to the 17th century. Certainly the ideas have been there. I was thrilled when the Internet came around.

CNN: Why do you think the Internet is so full of lists?

Wallechinsky: I think we live in an era of over-stimulation -- too much information -- so lists are a way of grasping that information. It just makes it easier to do 11 of this or 7 of that. It just makes it easier to sort out that overwhelming amount of information.

CNN: What sites using lists do you admire?

Wallechinsky: I like Mental Floss. I feel like they've picked up the baton and done a wonderful job. They just have great categories.

I really admire their obscure categories. I think the best lists are the ones you can't just look up -- you have to really think about and research. The ones that aren't easy.

CNN: When "The Book of Lists" came out in 1977, it was a huge bestseller. Did you expect the reaction?

Wallechinsky: No, not really. My father and I had compiled a book, "The People's Almanac," and one of the chapters was lists, just list-lists. We got a lot of feedback on the list chapter, and my father said, look at all this. What if we did a whole book of lists? So we did it, and we thought, why just do one through 10, when you can tell a little story behind it. I think that's what really made it a success.

CNN: Many websites use lists for clickbait, not for shedding any light on the subject at hand. Does this bother you?

Wallechinsky: Oh, sure. One thing I don't like is where there's a list or a gallery and you have to click for No. 2, click for No. 3, click for No. 4. They're just trying to get you to have more page views and sell more ads. I don't want to have to do that. I just want to see the list on one page.

CNN: What's the story behind AllGov.com?

Wallechinsky: I was looking at the budget of the United States and I was overwhelmed by how much I didn't know as someone who follows politics. Something like 95% of what the government did doesn't get covered. I asked (Parade magazine, where Wallechinsky was a contributing editor) if I could do this article on where our tax dollars go. They said go ahead.

I (also) did a sidebar on ridiculous projects about to be funded. The one I picked out to visit was the Bridge to Nowhere, which wasn't so well known at the time, and it (became) the cover story.

But when all the publicity about this died down, it was the other article I couldn't get out of my mind. So I made this list of more than 300 agencies in the U.S. government, their budget, how many people they employ and that's how I got the idea for AllGov. (The site's been live since 2009.)

CNN: The Internet is supposed to be the great leveler, now that there's all this information out there. But are you concerned we get caught up in bread and circuses? The Bridge to Nowhere got a lot of attention partly because it had a catchy name.

Wallechinsky: Yes, certainly that's the case. All I can do with AllGov is put it out there. If people are interested in the Bureau of Indian Affairs or the Grain Inspection Bureau, then they will find this, and they will find the only independent view on the Internet of it.

CNN: Do you think the Internet has made us more tribal?

Wallechinsky: You started to see that with the introduction of cable television. It used to be that everybody watched the same news channels and that was it. The minute cable came in, you got that breakup of what people were watching. The Internet is just an extension of that.

But what makes the Internet so great is that it's interactive. You can see opposing sources -- if you know how to use it. I'm so honored it happened my lifetime, just from an information point of view.

CNN: I can't be the first person to ask you about creating the Internet.

Wallechinsky: I haven't looked in the last year or two, but at one point on Wikipedia it actually mentioned that either "The People's Almanac" or "The Book of Lists" was the progenitor of the Internet. (laughs) I don't know if it's still there.

@highlight

David Wallechinsky's "Book of Lists" used an influential format now all over Web

@highlight

"Book of Lists" was a bestseller when it came out in 1977, spawned three sequels

@highlight

Wallechinsky now head of AllGov, compilation of government news and info

@highlight

Wallechinsky: With lists, "it just makes it easier to do 11 of this or 7 of that"