What's good for the heart may not be so healthy for other organs, says the latest study that links omega-3 fatty acids to an elevated risk of prostate cancer.

It's not just an apple a day that keeps the doctor away anymore — recently, fish oils found in species like salmon, trout and tuna have been associated with a lower risk of heart disease and even Alzheimer's. In fact, the most recent revisions to the Dietary Guidelines for Americans in 2010 recommended consumers substitute high-fat protein sources with more seafood, including fatty fish.

Not surprisingly, fish oil has since skyrocketed to be the most popular supplement in the United States.

A new study in the Journal of the National Cancer Institute, however, shows that these fish fats may not be improving everyone's health — in the trial, those with high concentrations of marine-derived omega-3s in their blood showed a 43% higher risk of developing prostate cancer than those with the lowest levels.

TIME.com: Omega-3s as study aid?

Prostate cancer is the most common cancer in men, and while the latest statistics show that most men will eventually develop prostate cancer if they live long enough, only a specific type of cancer, known as high-grade, carries high risk of serious health problems.

While a quarter of a million Americans are diagnosed with prostate cancer each year, only about 30,000 of those cases are fatal, and almost all of them involve high-grade cancer. The latest research found that the association between omega-3s and prostate cancer held for both high- and low-grade prostate cancers.

It's not that omega-3s are harmful, but that the fatty acids may have more complex effects on the body than previously thought.

"We have this tendency to talk about good foods and bad foods, good nutrients and bad nutrients," says Doctor Theodore Brasky, a research assistant professor at The Ohio State University Comprehensive Cancer Center and the study's head author.

The nutrients commonly found in fish fight potentially damaging inflammation, but they may also increase oxidative damage to the DNA in cells, similar to the effects of stress, that can create fertile ground for cancers to grow.

TIME.com: Omega-3 supplements don't lower heart disease risk

The study measured omega-3 blood levels in the participating men, and did not include information on the volunteers' eating habits, so researchers could not differentiate between the effects of fatty acids from fish from those of supplements.

However, the overwhelming majority of the participants did not take fish oil supplements.

Based on the results, Brasky says that men with a family history of prostate cancer should discuss with their doctor whether fish oil supplements are safe for them, since these pills tend to contain concentrated doses of omega-3 — supplements contain between 30% to 60% of a serving of fish, and if a fish oil supplement is taken everyday, that adds up to a lot of daily fish oil. Brasky also suggested that men cut down on their fatty fish intake, though not eliminate it entirely.

Andrew Vickers, a statistician specializing in prostate cancer at Memorial Sloan-Kettering Cancer Center, agrees, saying that fish oil supplements may pose a relatively higher risk for prostate cancer than fish in the diet.

"The problem comes when you take components of a diet and put it in a pill," Vickers says.

While the omega-3 fatty acids may increase oxidative damage to prostate cells, for example, anti-oxidants, which might be part of an overall healthy diet that includes fish as well as fruits and vegetables, might counteract these effects. Because the study did not query the men about their diets, it's difficult to tell whether the men were consuming other healthy foods as well.

TIME.com: Omega-3s may not protect brain health after all

Most health experts recommend that people try to eat a healthy, balanced diet to protect against diseases and most cancers, and turn to supplements only if that's not possible, since supplements may provide only partial benefits.

That's why the American Cancer Society does not currently recommend that men take fish oil supplements, according to Marjorie McCullough, the society's strategic director of nutritional epidemiology.

Brasky's work isn't the first to suggest that omega-3 fatty acids may have both positive and negative effects on the body.

In a September 2012 article in the Journal of the American Medical Association, researchers found that omega-3 supplements were not associated with lower risks of stroke or cardiac death.

Those results were confirmed by another study in the New England Journal of Medicine that showed omega-3 supplements did not reduce risk of dying from a heart event among a group of people at high risk of heart disease.

Researchers involved in those studies, however, acknowledged that they were not able to account for the effect of other medications to treat heart problems, such as cholesterol-lowering drugs and blood pressure medications, in keeping death rates down. In the same way, more research will have to tease apart how other nutrients in a balanced diet — including antioxidants — work together to influence the effect of individual nutrients like omega-3 fatty acids.

This story was originally found on TIME.com

@highlight

Fish oils found in salmon, trout and tuna are associated with a lower risk of heart disease

@highlight

Nutrients commonly found in fish may also increase oxidative damage to the DNA in cells

@highlight

Supplements contain between 30% to 60% of a serving of fish

@highlight

The American Cancer Society says supplements may provide only partial benefits