(CNN) -- The Syrian government has said it will let the United Nations enter the country and deliver humanitarian aid to people in need, a U.N. official said Tuesday.

"After a long time of very intense negotiations, we now have an agreement in writing with the Syrian government on the scale, scope and modality of humanitarian action in Syria," John Ging, director of operations at the U.N.'s Office for the Coordination of Humanitarian Affairs, said in Geneva, Switzerland.

"Whether it's a breakthrough or not will depend on the action on the ground. I cannot predict what that will be, but we will work very hard to make it a breakthrough, because the people of Syria need us to break through with a much bigger humanitarian response."

Ging said the Syrian government has signed a memorandum that describes the planned humanitarian response for the approximately 1 million people who need humanitarian aid urgently.

'Audacious steps' needed in Syria, Arab diplomats says

The announcement followed a meeting between international aid organizations and representatives of the Syrian Arab Republic, the third such meeting and the first to result in an agreement, he said.

In New York, the U.N. Undersecretary for Humanitarian Affairs, Valerie Amos, said the need is urgent.

"If we don't get significant numbers of people in on the ground supporting the Syrian Arab Red Crescent, supporting those small NGOs (nongovernmental organizations) that are doing what they can, we are not going to be able to shift this," she told CNN International's "Amanpour."

The announcement of the delivery of humanitarian aid came the same day that Syria announced that it was expelling diplomats from 11 countries. The tit-for-tat move comes a week after those nations expelled Syrian officials in response to a massacre.

Residents of Houla, where more than 100 people were killed, nearly half of them children, pleaded via Skype for basic necessities.

Houla massacre: Tipping point, but in what direction?

"For more than 10 days now, the criminal regime forces have cut off basic food items from entering Houla area," said the statement from the opposition Houla Media Center.

"They stopped flour, gas and medicine from coming in, and they continue to cut off electricity because the main supplying plant was hit by the sporadic shelling. ... We call on relief and human rights organizations to help us and open humanitarian corridors for basic items so you do not become collaborators in the (regime's) massacres."

President Bashar al-Assad's regime denies responsibility for the massacre and has said it is fighting to stop "armed terrorist groups."

To press for tough action against the Syrian regime, the United States is sending a delegation to Russia this week led by special adviser Frederic Hof, a senior Obama administration official said. The official was not authorized to speak on the record.

Russia and China have previously used their veto power to block passage of U.N. resolutions condemning al-Assad's regime.

Both countries have major trade deals with Syria.

Russian Deputy Foreign Minister Mikhail Bogdanov said talks between Russia and the United States "continue at various levels," the state-run news agency RIA Novosti said.

Could Russia help push out al-Assad?

Saudi Arabia's foreign minister, Prince Saud al-Faisal, spoke out against Russia on Tuesday after a meeting of the Gulf Cooperation Council in Jeddah.

"We feel that the position which Russia has taken so far at the Security Council is unjustified," he said. "And we hope that Russia will re-evaluate its stance towards this region, especially Syria. If Russia is careful about its relations with Syria, then I believe it is mistaken to stand as an obstacle against the popular Syrian position.

"It is time for Russia to change its position from standing by the Syrian regime to sincerely try to stop the violence and support a peaceful transition of power," al-Faisal added.

Syria's Foreign Ministry said diplomats from the United States, Britain, Switzerland, Turkey, France, Italy, Spain, Belgium, Bulgaria, Germany and Canada were being declared persona non grata.

Among them is U.S. Ambassador Robert Ford, who has been in the United States since February, when the U.S. government closed its embassy in Damascus.

But a U.S. official said Ford will keep working. "This certainly isn't going to stop Ambassador Ford from continuing his important outreach to the Syrian people," Deputy State Department Spokesman Mark Toner said in Washington. "He's going to continue our efforts to support a peaceful political transition for which the Syrian people have so bravely fought."

British Ambassador Simon Collis, who is in Britain, is on the list as well.

Turkey's ambassador and all members of the embassy -- diplomats and administrators -- are expelled, the Syrian Foreign Ministry said.

All members of the Canadian Embassy are listed as well.

Last week, Syria expelled the Dutch charge d'affaires after the Netherlands was among countries expelling Syrian diplomats.

Despite the expulsions, Syria "stresses the importance of dialogue based on principles of equality and mutual respect between nations, and diplomacy is the necessary vehicle to connect with countries to resolve conflicts between countries, and pending issues," the Syrian Foreign Ministry said in a statement. "We hope that those countries that took this step believe in adopting these principles to allow the relationship to go back to its normal state of being."

The opposition Local Coordination Committees of Syria reported that 51 people were killed Tuesday in the nation, including 12 in Latakia province, where the opposition clashed with regime forces on the outskirts of Hiffa.

Residents of the Hiffa area "have issued a call for help to the U.N. observers after the regime's shelling in the area, and are warning of an impending massacre with the entry of Shabiha to the city," the Local Coordination Committees said.

U.N. and U.S. officials have blamed the Shabiha militia, acting on behalf of the government, for the massacre in Houla.

The Syrian Observatory for Human Rights, another opposition group, also reported the clashes Tuesday on the outskirts of Hiffa, saying at least 11 opposition members were killed: two civilians and nine rebel fighters. Dozens of civilians were wounded, the group said.

Medical sources and activists reported at least 22 members of the Syrian security forces and government militia killed as well, the observatory said.

Separately, "A colonel in the Syrian army was shot and killed outside his house, in the city of Deir Ezzor, by unknown gunmen," the observatory said on its Facebook page.

Syria, on state-run news agency SANA, said "armed terrorist groups" killed three officers.

Seventeen "army and law enforcement martyrs" were buried Tuesday, Syria said.

The head of the U.N. observer mission in Syria, Maj. Gen. Robert Mood, met in Damascus on Tuesday for more than an hour with Syrian Deputy Foreign Minister Faisal Miqdad, the United Nations said.

Meanwhile, U.N. observers in Hama found the atmosphere tense, the United Nations said.

"There is heavy military presence and several roadblocks where residents are stopped and screened. Tanks and armored vehicles are still visible on the outskirts of the city. The streets are empty, and many shops are closed. Many residents have fled their homes, and those that remain are mourning the loved ones they have lost," a U.N. statement said.

CNN's Amir Ahmed, Arwa Damon, Jill Dougherty and Josh Levs contributed to this report.

@highlight

U.N.'s Valerie Amos calls for "significant numbers of people on the ground"

@highlight

"We now have an agreement in writing," says U.N. official

@highlight

The Houla Media Center issues a statement pleading for humanitarian help

@highlight

U.S. sending delegation to Russia to press for action against Syrian regime