We're one of the first generations to have to deal with the torrent of information about things very far removed from our own lives. For most of history, it was extremely difficult to come by information about what was happening anywhere else. And you probably didn't mind. What difference would it make, if you were a crofter in the Hebrides, northern Scotland, to learn that a power struggle was brewing in the Ottoman Empire?

Much of what we now take for granted as news has its origins in the information needed by people taking major decisions or at the center of national affairs. We still hear the echoes in the way news is reported; timing is assumed to be critical, as it really would be if we were active agents. If you don't have the latest update you might make a terrible blunder or miss a wonderful opportunity.

Ease of communication and a generous democratic impulse mean that information originally designed for decision-makers, now gets routinely sent via the media to very large numbers of people. It is as if a dossier, with the latest news from Kiev, which might properly arrive on the desk of a minister has accidentally been delivered to the wrong address and ends up on the breakfast table of a librarian in Colchester or an electrician in Pitlochry. But the librarian or electrician might quite reasonably turn round and politely point out that they can't do anything with this knowledge and that, surely, the files have come to them by mistake. They don't, but only because habit has closed our eyes to the underlying strangeness of the phenomenon.

Every day the news gives us stuff that is both interesting for some people and irrelevant to you. So one reads a very insightful article on the prospects for political reform in Pakistan, meaning that if you were wondering whether Pakistan was a good place to locate a new factory you'd be able to make a better-informed decision. Or there are revelations that tensions in the Cabinet are more serious than previously supposed. So if you were wondering whether this might be a good time to launch your leadership bid, this would be a good piece to read. But otherwise...?

The modern idea of news is pleasantly flattering. Yet it's really quite strange. We keep getting information that isn't really for us to know what to do with. No wonder we're sometimes a bit bored. It's not our fault.

The news is also rather jealous. It wants to distract you from a private sense of purpose. It would be dangerous if hardly anyone paid attention to what the government was doing, or what was happening to the environment or events in Kiev. But it is not right to go from this to the demand that everyone should be interested in every item at the very moment when the news machine requests their attention.

Indeed, we badly need people whose attention is not caught up in the trends of the moment and who are not looking in the same direction as everyone else. We need people scanning the less familiar parts of the horizon. There was a time when a particular country in crisis hadn't reached the headlines, when the approved legislation hadn't even been formulated, when few people were interested in coral reefs... These things had to get going, and to do so, they needed a pool of independent thinkers of a kind who turn today's unpromising themes into tomorrow's mainstream, "obvious" topics of interest.

Indifference to big banner events can be churlish. But it can also be the mark of deep and important originality. Let's treat the phenomenon of not being interested in some stories with cautious respect.

The news wants you to keep reading, but you also know there are times you should stop. The news is the best distraction ever invented. It sounds so serious and important. But it wants you never to have any free time ever again, time where you can daydream, unpack your anxieties and have a conversation with yourself.

There are countless difficult things hiding away deep within us which we should give some thought to even though the desperate temptation is to keep clicking and looking. We need news sabbaths. We need long train journeys on which we have no wireless signal and nothing to read, where our carriage is mostly empty, where the views are expansive and where the only sounds are those made by the wheels as they click against the rails. We need plane journeys when we have a window seat and nothing else to focus on for two or three hours but the tops of clouds and our own thoughts.

We need relief from the news-fuelled impression that we are living in an age of unparalleled importance, with our wars, our debts, our riots, our missing children, our after-premiere parties, our IPOs and our rogue missiles. We need, on occasion, to be able to rise up into the air, to a place where that particular conference and this particular epidemic, that new phone and this shocking wildfire, will lose a little of their power to affect us -- and where even the most intractable problems will seem to dissolve against a backdrop of the stars above us.

We should at times forego our own news in order to pick up on the far stranger, more wondrous headlines of those less eloquent species that surround us: kestrels and snow geese, spider beetles and black-faced leafhoppers, lemurs and small children -- all creatures usefully uninterested in our own melodramas; counterweights to our anxieties and self-absorption.

A flourishing life requires a capacity to recognize the times when the news no longer has anything original or important to teach us; periods when we should refuse imaginative connection with strangers, when we must leave the business of governing, triumphing, failing, creating or killing to others, in the knowledge that we have our own objectives to honor in the brief time still allotted to us.

@highlight

It's of course vital we watch what our government is doing, or what is happening in Kiev, writes Alain de Botton

@highlight

However much of the news has little relevance to our lives, and we do not need to know it, he writes

@highlight

De Botton: Instead we should honor our own objectives in the brief time still allotted to us