(CNN) -- I was in the security line at an airport a few months ago when I watched a fellow passenger do something I'd never seen done before: He dissed the scan.

"I'd like to opt out," he said, as a security agent went scurrying for a male agent to give this man a full-body pat-down, the requirement for anyone who refuses to go through the full-body scanner.

Wow, I thought, this man really must want to avoid the scanner if he's willing to get groped by a total stranger.

The Transportation Security Administration says the so-called backscatter scans, which emit a small amount of radiation, are safe. "Multiple independent studies have confirmed that the technology used to protect passengers when they fly is safe for their health," says TSA spokesman Nicholas Kimball. "TSA takes many precautions to regularly verify that all machines are operating properly."

Another type of airport scanner uses "millimeter wave" technology, which uses electromagnetic waves and has not raised the same level of public concerns as the backscatter scans.

So why all the worry? In my obnoxious journalist way, I pounced on the guy to ask him why he'd done it.

"I'm a doctor at M.D. Anderson, and I don't want radiation if I can avoid it," he said.

I was next in line. I'd just watched a doctor at M.D. Anderson, a top cancer hospital, opt out because he wanted to avoid radiation. Does that mean I should, too? I had a second to make a decision. I decided to opt out, too.

The pat-down, I learned, is not such an easy option. First, you have to make a bit of a spectacle of yourself by publicly asking for something different. Secondly, it takes time (not a lot, but enough to be a problem if you're running late) and thirdly, I ended up being touched in places previously reserved for my husband and my gynecologist.

I began to wonder if the doctor was being a little paranoid. Was the radiation so dangerous that it was worth the hassle and embarrassment? To get a little perspective, when I returned home I randomly asked doctors I respect what they do in the security line. It was a completely unscientific sampling, but it yielded this interesting result: All these doctors are smart people with access to the same scientific data, and yet made very different choices.

Doctors who say "yes" to the scanners

I started, of course, with my colleague Dr. Sanjay Gupta, a neurosurgeon, who told me he hasn't opted out thus far.

Many other doctors feel the same way.

"I go through them," said Dr. Greg Zorman, chief of neurosurgery at Memorial Healthcare System in Florida. "The amount of radiation you get isn't worth worrying about."

Dr. Drew Pinsky, an internist and host of a new show on HLN that makes its debut on April 4, called the amount of radiation "inconsequential."

The radiation you get from a backscatter imaging machine used at many airports is the same amount of radiation you get from sitting on an airplane for two minutes, according to research released this week by the University of California San Francisco.

The researchers calculated for every 100 million passengers who fly seven one-way flights a year, six of them could get cancer as a result of the radiation exposure from the full-body scans.

The California researchers made these calculations based on information from the manufacturers. Some researchers question whether the manufacturers' measurements are valid. David Brenner, director of the Center for Radiological Research at Columbia University, says he thinks the exposure to radiation is actually 10 times more than what the manufacturers claim.

Even so, Brenner (who's a physicist, not a medical doctor) still goes through the scanners at airports because even by his calculations the amount of radiation is still small.

Doctors who say "no" to the scanners

Dr. Otis Brawley, chief medical officer of the American Cancer Society, takes a pat-down instead of going through a scanner when he travels. He says he's concerned about whether the machines are calibrated and inspected properly.

"USA Today did a piece on how badly TSA maintained their X-ray equipment for carryon bags, and this gave me little confidence," he wrote to me in an e-mail.

Brawley's deputy concurs.

"I do whatever I can to avoid the scanner," Dr. Len Lichtenfeld wrote to me in an e-mail.

He says as a frequent flier, he's concerned about the cumulative effect of the radiation.

"This is a total body scan -- not a dental or chest X-ray," he wrote to me. "Total body radiation is not something I find very comforting based on my medical knowledge."

Lichtenfeld says it doesn't necessarily give him great comfort that the TSA says the scans are safe.

"I can still remember getting my feet radiated as a child when I went to the shoe store and they had a machine which could see how my foot fit in the new shoes," he says. "We were told then that they were safe, and they were not."

(At first I thought Lichtenfeld was making this up, but you can actually see one of these foot scanners at the Museum of Questionable Medical Devices at the Science Museum of Minnesota.)

Another doctor who opts for the pat-down is Dr. Dong Kim, Rep. Gabrielle Giffords' neurosurgeon.

"There is really no absolutely safe dose of radiation," says Kim, chair of the department of neurosurgery at the University of Texas Medical School. "Each exposure is additive, and there is no need to incur any extra radiation when there is an alternative."

This was echoed by several other physicians, including Dr. Andrew Weil.

"All radiation exposure adds to the cumulative total you've received over your lifetime," Weil wrote to me in an e-mail. "Cancer risks correlate with that number, so no dose of radiation is too small to matter."

Doctors exposed to radiation at work are particularly sensitive to this issue, as I learned when I got through security that day in the airport and chased after the doctor who'd opted out.

I learned his name is Dr. Karl Bilimoria, and he's a surgical oncology fellow at M.D. Anderson. He says this is a frequent topic of discussion among his colleagues.

"If we can avoid a little radiation in exchange for the two extra minutes needed for a pat-down, then we will," he says.

@highlight

Seeing doctor decline airport full-body scan sparked correspondent's curiosity

@highlight

She asked other doctors randomly about whether they submit to "backscatter" scans

@highlight

TSA says multiple studies have shown that scanners' radiation levels are safe.