(CNN) -- On January 26, a ruling by the Librarian of Congress made unlocking a cell phone for use on other carriers illegal under the Digital Millennium Copyright Act of 1998.

Unbelievably, such a policy means that those unlocking their phones could face up to five years in jail and a $500,000 fine. This ruling affects average people, international travelers and hundreds of thousands of our service members.

Unlocking your phone not only allows you to move from one carrier to another when your contract is up; it also increases the resale value of your device.

This prohibition is a violation of our property rights. It makes you wonder, if you can't alter the settings on your phone, do you even own your own phone?

This ruling is a clear example of crony capitalism, a consequence of a few companies asking for the law to be changed to their benefit despite the invasion of our property rights, its impact on consumers and its impact on the overall market.

This decision makes it harder for new participants to enter the market, which hinders competition and leads to less innovation. This is why the trade association representing more than 100 wireless carriers across the country (Competitive Carriers Association), including T-Mobile and Sprint, is strongly in favor of unlocking. It's unfortunate that AT&T and Verizon's main lobbying organization was the main proponent of this ban (the Wireless Association).

In a number of articles for The Atlantic, I helped turn this into a mainstream issue: "The Most Ridiculous Law of 2013 (So Far): It Is Now a Crime to Unlock Your Smartphone" and "The Law Against Unlocking Cellphones Is Anti-Consumer, Anti-Business, and Anti-Common Sense."

I teamed up with Sina Khanifar, an entrepreneur whose company had been shut down for unlocking phones, and we led an advocacy effort for a White House petition.

Our White House petition reached 114,000 signatures, the first petition to reach the new threshold of 100,000, which requires a response. Our movement involved a new coalition of actors, many of whom were part of the vocal opposition to the doomed Stop Online Piracy Act, or SOPA, but also involved groups such as the Tea Party Nation and the National College Republicans.

The White House reversed course and came out strongly in favor of unlocking and against the criminal penalties:

"The White House agrees with the 114,000+ of you who believe that consumers should be able to unlock their cell phones without risking criminal or other penalties. In fact, we believe the same principle should also apply to tablets, which are increasingly similar to smartphones. And if you have paid for your mobile device, and aren't bound by a service agreement or other obligation, you should be able to use it on another network. It's common sense, crucial for protecting consumer choice and important for ensuring we continue to have the vibrant, competitive wireless market that delivers innovative products and solid service to meet consumers' needs."

The White House also came out in support of finding legislative fixes to solve this problem. The Federal Communications Commission has announced an investigation into this issue, and the chairman and a commissioner have publicly spoken in support of unlocking.

Rep. Jason Chaffetz, R-Utah, took the lead on this issue and announced that he is working on legislation to fix this problem. This is terrific news and a great way for those in Washington to help win over the digital generation. Other members of Congress are also coming out in favor. There is a groundswell of momentum on this issue.

But will Congress actually fix the problem, or will it just check the box? Ordinary and commonplace technologies have been made illegal by default without any serious policy consideration. Use of these technologies has to be approved for personal use every three years by the Librarian of Congress -- but even when approved -- developing, trafficking and selling the technologies is still illegal. That's the fundamental problem with unlocking, and that's the problem that must be permanently fixed, requiring nothing less than legislation to legalize unlocking for personal use permanently.

Merely temporarily reversing the decision of the Librarian of Congress and keeping the underlying technology still illegal, and the personal exception subject to periodic new approval would put us back in this boat every three years. Such a nonsolution would show that Congress, even in the wake of SOPA, still isn't serious about innovation. Unfortunately, legislation by Sen. Patrick Leahy, D-Vermont, and Rep. Bob Goodlatte, R-Virginia, does this very thing, but I have confidence that in the coming weeks it can be improved to fix the problem.

But beyond unlocking, there are other issues that need to receive serious review and consideration.

Currently, there is an exception for personal jailbreaking (allowing individuals to install unapproved applications by altering the phone's operating system), but developing, selling, trafficking or discussing the underlying technology is still illegal and there are no personal exceptions for tablets or other devices. This makes no sense, especially when according to @Saurik, 23 million iOS devices are running a version of Cydia -- a rough barometer of the number of devices that have been jailbroken.

Until recently, personal jailbreaking was illegal as well -- meaning that all of the owners of those devices could be criminally liable. A law that potentially makes 23 million people felons punishable by up to five years in prison for activity that does not harm anyone else is a law that must be fixed.

Additionally, accessibility technology for individuals who are blind and deaf is effectively illegal as well and subject to the same ridiculous approval process by the Librarian of Congress. It is unconscionable that persons who are deaf and blind are considered felons punishable by up to five years in prison and a $500,000 fine for using technology that they may need to access media.

We want every teenager who knows how to code to have an incentive to develop a new accessibility technology that may help these people enjoy media -- we may have no idea the potential innovations that we have criminalized senselessly. This technology should be made permanently lawful for personal use, creation, trafficking and selling.

Lastly, research into computer science and cryptography for academic purposes should be lawful (read more on the topic here). There is a current exception, but it is narrow and unclear, and this has a chilling effect upon a lot of legitimate research -- some of the research would actually help protect intellectual property by helping to make digital rights management software stronger. Computer science research should not be banned without explanation if we want economic growth in the technology sector.

Last year the proposed SOPA law would have censored the Internet and curtailed technological innovation. It is easy to see why it inflamed millions of Americans whose opposition killed the legislation.

In this case, the government has banned broad categories of technologies -- and broad categories of uses -- without any clear governmental interest. This is another extreme and unacceptable violation of personal freedom.

A free society shouldn't have to petition its government every three years to allow access to technologies that are ordinary and commonplace. A free society should not ban technologies unless there is a truly overwhelming and compelling governmental interest. Congress must act to legalize cellphone unlocking substantively, but then it must legalize other technologies that have been banned without explanation.

The opinions expressed in this commentary are solely those of Derek Khanna.

@highlight

Derek Khanna: A ruling made people subject to prosecution for unlocking phones

@highlight

He says ability to unlock phones gives consumers choice, increases phone value

@highlight

Khanna: Companies shouldn't be able to rely on law to bolster their competitive position

@highlight

Permanent changes are needed to make unlocking legal, he says