(CNN) -- When the biggest United Nations (U.N.) climate change talks of the year, COP18, get underway in Doha, the capital of Qatar, this week, it will be the first time that the meeting has been hosted by a Middle Eastern country.

As such, the talks provide the perfect opportunity for the countries in the region to prove that they have started to take climate change seriously. The best way to start proving that is to first pledge targets to reduce their carbon emissions.

The Middle East has been through a lot of change lately, but the region is often eerily quiet on climate change, not to mention that some countries of the region have been considered "obstructionist" in the process. This has been making a lot of countries coming to the negotiations very nervous.

The U.N. climate summit offers the opportunity for the "obstructionist" reputation to change, if the Arab communities play it right. Putting forward pledges to the international community is one step that countries of the region can take in the right direction, but also regional civil society should start a strong Arab climate movement.

Read: Greenhouse gases reach record highs

This has already started, and one only needs to look at the launch of the Arab Youth Climate Movement in a dozen countries earlier this month to see that the region's young citizens, who were so instrumental in the Arab Spring, are calling for their leaders to step up when it comes to the biggest environmental problem facing the Middle East and North Africa.

Of course, COP18 is not only about what the Arab world will do, but about what the rest of the world will do. COP18 is a key transition conference, where old negotiations tracks need to be finalized, and new ones started. One key tough issue that parties need to crack is when global carbon emissions need to peak and start declining rapidly.

According to science, emissions should peak by 2015, if, we want to have a chance of keeping global warming within two degrees Celsius. While a two degrees temperature rise is not without risks -- as this year's already worsening weather events such as Hurricane Sandy and the droughts in Russia and the U.S. have shown -- it is a target which can be realistically achieved by our leaders.

Agreeing to this peak will also mean that countries which have been big polluters historically, like the U.S., Canada, Europe, Japan and Australia, will have to increase their commitments on carbon emission reductions. The Kyoto Protocol is currently our only binding climate deal and it is up for renewal here at Doha. This should happen only after closing all the gaps that make this Protocol weaker.

Read: Chasing down the world's vanishing glaciers

While all this might seem difficult to achieve, failing to make progress at Doha would constitute a huge cost to society. A peer reviewed report, called "Beyond dangerous climate change: emission scenarios for a new world," written by Kevin Anderson and Alice Bows in 2011, pointed out that there is a widespread understanding among scientists that an increase of four degrees Celsius in global temperatures is incompatible with an organized global community.

This means that if we don't start reducing our greenhouse gas emissions urgently, it could lead to the collapse of human civilization. Our current emission patterns are leading us to a 2.5 to five degrees increase before the end of this century.

So far the world has only warmed 0.8 degrees Celsius, and we are already witnessing severe weather phenomena. With the latest estimates saying Hurricane Sandy killed over 100 people and will end up costing $50 billion in the U.S. alone, it makes sense on economic and humanitarian fronts to fund stringent responses to climate change.

Nevertheless, there is real hope building around the potential of the Doha meeting. Compared to last year's negotiations, the political climate change leadership in China and the U.S. -- both major emitters with big pull at these talks -- is now certain.

Newly reelected President Obama called for climate action in his victory speech and China's new leader Xi Jiping called for a "better environment" in his acceptance. Civil society is expecting these leaders to stand up where it matters -- inside the negotiating rooms of the U.N. climate talks and push toward a fair, ambitious and binding deal that will preserve the future of the planet for generations to come.

The views expressed in this article are solely those of Wael Hmaidan.

@highlight

Lebanese environmental activist, Wael Hmaidan calls for Middle Eastern countries to pledge support for climate action

@highlight

COP18 a "key transition conference where old negotiation tracks need to finalized, and new ones started"

@highlight

Youth activists instrumental in Arab Spring now calling for strong lead on climate from Middle East leaders

@highlight

Civil society expect political leadership to stand up to push for a fair, ambitious and binding climate deal, Hmaidan says