(CNN) -- Tropical Storm Debby shriveled to a tropical depression after hitting Florida on Tuesday, but it still packed heavy rains that threatened to worsen flooding along the Gulf Coast and inland towns, forecasters reported.

Debby lumbered onto the marshy west coast near Steinhatchee, about 160 miles north of Tampa, on Tuesday afternoon, the National Hurricane Center announced. But it was projected to dump another 4 to 8 inches of precipitation across the area through Wednesday evening, on top of the 2 feet reported in some towns south of Tallahassee by Tuesday.

In addition, storm and tidal surges caused flooding as far south as the Tampa Bay area, and it's blamed for one death from a tornado spawned Sunday afternoon in the town of Venus, far inland.

As of 8 p.m. ET, Debby had top winds of 35 mph. It was centered about 50 miles west of Gainesville, moving east-northeast at 6 mph and wasn't expected to lose much strength as it crossed the Florida peninsula, forecasters said.

Tropical storm warnings up and down the coast were dropped as the depression moved inland, but the storm left high water behind in several towns as it passed.

In Sopchoppy, westward across Apalachee Bay from the landfall site, Crystal Pesek said she got a text message from her sister Tuesday morning, asking how the work on her kitchen cabinets was going.

"I told her it's on hold," said Pesek. That's because the home she and her husband have spent hours painstakingly renovating was underwater.

"It's on pilings," Larry Pesek said. "The water's never been that high before, that goes without saying. It's just heartbreaking because we've put so much time and effort into the house."

In Sopchoppy, authorities rescued 57 people from homes surrounded by rising water, said Keith Blackmar of the Wakulla County Sheriff's Office.

"It's astonishing. I've never seen anything like this," Blackmar said Tuesday. "Our soil is sandy, so it handles water well, but not this much rain."

"The water levels came up so fast some of the folks didn't have time to actually pack their things and move out, so they're having to do it after the fact," Wakulla County Undersheriff Maurice Langston told CNN.

Florida State University researcher Jeff Chanton said the area's low-lying terrain contributes to the misery.

"The coastal gradient -- the rise of the land -- is very, very low here," Chanton said. "If you were to go swimming here and walk out from shore, you could walk out half a mile." That means a relatively small storm surge can push water "tens or hundreds of feet onshore," he said.

"When you get a lot of rain, it tends to spread out," said Chanton, a geochemist. "So the rivers have large floodplains, and the water gets very wide when it gets wet like this."

Storm surges along Apalachee Bay were expected to run 2 to 4 feet, with 1- to 3-foot tidal flooding expected to the south, including Tampa Bay, the hurricane center said.

More than 26 inches of rain had been recorded in Sanborn, south of Tallahassee, by Tuesday morning. Nearby St. Marks saw nearly 22 inches. Other areas on the north side of Apalachee Bay clocked in with between 15 and 20 inches.

Flooding and at least one sinkhole cut off parts of Interstate 10, one of the state's major thoroughfares, state transportation officials reported.

The Suwannee River surged more than 25 feet in a day, rising from 55 feet deep at White Springs, west of Jacksonville, on Monday to nearly 81 feet on Tuesday afternoon. That's about 4 feet over flood stage.

"We have significant flooding problems," said Harvey Campbell, a spokesman for Columbia County's emergency operations center. "I have people who don't remember in their lifetime the kind of rain we had overnight."

In Pasco County, north of Tampa, authorities issued a mandatory evacuation order Tuesday for 2,000 homes along the Cotee River. Officials were traveling by boat and car to get the word out, and water was standing in some homes as of Tuesday, county spokesman Eric Keaton.

Another area river, the Anclote, was above flood stage on Tuesday, and water is not expected to recede for two days. A total of 106 homes in the county are reported damaged, Keaton said.

President Barack Obama called Florida Gov. Rick Scott Tuesday "to ensure the state had no unmet needs as the governor and his team continue to respond to extreme weather and flooding," the White House said.

Flooding was seen as far south as Fort Myers, where the Caloosahatchee River overflowed its banks into the downtown area. CNN iReporter Alex Butler, who is also a reporter at CNN affiliate WFTX, said normally there is a wall separating the land from the river, but the wall was underwater Tuesday.

Obama "expressed his condolences for the loss of life as well as the extensive damage to homes in Florida as a result of the storm, and reiterated that his administration -- through (the Federal Emergency Management Agency) -- would remain in close contact with the state as they continued to respond to this event and stood ready to provide additional assistance if necessary," the White House said.

At the state's request, a FEMA liaison officer was on site at the Florida state emergency operations center, according to the White House.

Scott declared a state of emergency Monday "so we can coordinate the use of all state resources to make sure we can respond promptly if anything happens."

Near Tampa, wildlife officials assessed weather conditions so they could assist a manatee calf whose mother was found dead. Residents tied the mother to a sea wall so the calf wouldn't leave its side. An adult male manatee was also staying with the mother and calf.

The calf's mother was moved, and officials discovered the calf was older than initially thought, so it was allowed to swim away into Tampa Bay, said Andy Garrette of the Florida Fish and Wildlife Conservation Commission.

CNN's George Howell, Sean Morris, Matt Smith, Ashley Hayes, Sarah Dillingham, Kim Segal, John Zarrella, Rich Phillips and Dave Alsup contributed to this report.

@highlight

NEW: Debby, now a tropical depression, moves inland across Florida

@highlight

Heavy rain sweeps over low-lying coastal flats

@highlight

The Suwannee River is forecast to rise 22 feet in one day

@highlight

Flooding prompts the closure of parts of Interstate 10