(CNN) -- Scores of people died Thursday in and around the restive Syrian city of Hama, activists said, corroborating reports of widespread casualties a day after the start of a new military clampdown targeting protesters.

At least 109 people died in and around Hama, said Avaaz, a global activist group, citing a medical source. The Local Coordination Committees of Syria said 30 people were killed Wednesday.

"The brutality continues in Hama on the fourth day of Ramadan. Communication with the city and surrounding area is very difficult as the electricity supply has been cut off,"  Avaaz said.

The activist group, citing the medical source, said scores more were wounded. "Bodies are lying in the streets as ambulances and private vehicles are unable to get through," the group said.

The western Syrian city is the center of the country's anti-government movement, whose efforts have prompted a crackdown by security personnel on the huge demonstrations there in an effort to secure the city.

Citing the medical source, Avaaz said bodies taken to al Hourani Hospital had been shot at close range, most of them in the head. The geographic breakdown was 48 dead in the town of Hai al Hadyr, 31 in the town of Janoub al Manaab, and 30 in the northern part of Hama and the Hamidia area, it said.

One resident who spoke to CNN by satellite phone said some of the casualties who were taken to hospitals died there because the facilities were without electricity.

There were reports of a breakdown and cutoff in communications and electricity accompanying the siege, and of the military bombing the city.

The resident said entrances of the city were blocked, with no one getting in or out, and snipers were stationed across the city. People who tried to leave, he said, were being shot.

The man said about 10 people had been killed and dozens more were wounded.

Hama, which has seen massive demonstrations by anti-government protesters, was the site of the 1982 bloody crackdown by the Alawite-dominated government against a Muslim Brotherhood uprising.

Memories of that siege, carried out by late President Hafez al-Assad, the father of President Bashar al-Assad, have reverberated during the nearly five-month uprising, and the ongoing violence in Hama has prompted international anger against the al-Assad regime.

Reports of violence also emanated from the capital. Four people who were at al-Rifai Mosque in Kafr Sousa Square in the suburbs of Damascus offered separate but similar accounts. One of the sources is a representative of the Syrian Revolution Coordination Union, an opposition group. Two of the others were among the protesters.

After prayers, worshipers exited the rear of the mosque to join an anti-government demonstration, but were met by about 24 thugs -- men in civilian clothes armed with guns and batons, the sources told CNN in telephone interviews. The men fired into the air and beat some of the worshipers as they left the buildings, the sources said.

Upon reaching Kafr Sousa Square, where they chanted for freedom and the fall of the regime, they were set upon by gunmen and others who threw rocks at them. At that point, the demonstrators returned to the mosque and closed themselves inside, the sources said.

A few militia members entered the front yard of the mosque carrying batons and stun guns and attacked the protesters who were there, the sources said. The protesters were allowed safe passage out of the mosque after they promised to end their protests, the sources said.

But the protesters were expected to resume Friday, when rebels said the theme would be "God is With Us."

CNN is unable to independently confirm death tolls or events in Syria, which has restricted access to the country by international journalists, including CNN's.

The move came a day after the U.N. Security Council issued a presidential statement condemning the Syrian government's crackdown on protesters and calling for an immediate end to violence by all parties.

But Amnesty International on Thursday slammed the council's response as "completely inadequate" and "limp" because it failed to take action. The council issued a presidential statement, which carries no enforcement weight.

"It's crucial that a U.N. Human Rights Council fact-finding mission to Syria is able to investigate the situation as soon as possible," said Jose Luis Diaz, Amnesty International's representative to the United Nations. "Unfortunately, the Security Council has also failed to provide support for such a mission."

He noted that Syrian authorities have not permitted a U.N. fact-finding delegation into the country to investigate the situation.

"The U.N. must act now, with a firm and legally binding position. At the very least, its position must include imposing an arms embargo, freezing the assets of President al-Assad and other officials suspected of responsibility for crimes against humanity, and referring the situation to the ICC prosecutor," he said, in reference to the International Criminal Court.

Two permanent members of the Security Council weighed in on how to proceed.

The Russian Foreign Ministry said Syria's citizens should solve their problems themselves, state-run RIA Novosti said.

"The settlement in this country should be carried out by the Syrians themselves without outside interference and should be based on an all-Syria dialogue, which is the only way to resolve the conflict," the ministry said in a statement.

But later Thursday, RIA Novosti said that Russian President Dmitry Medvedev told reporters that he had told al-Assad during meetings and in letters that "it is necessary to hold a referendum, put up with the opposition, restore peace and create a modern state."

Medvedev added that if al-Assad were to fail, he would be destined to "a sad fate, and ultimately we will also have to make some kind of decisions."

French Foreign Minister Alain Juppe said Thursday that the Security Council may take a tougher stance on Syria "if nothing changes on the Syrian side."

The Syrian Observatory for Human Rights, an activist group, issued on Thursday an update about Deir Ezzor, a city in the country's northeastern region. It said an opposition leader in the city reported that the government had launched a series of measures to punish residents.

They include not paying government employees, halting wheat deliveries to bakeries, preventing hospitals from rescuing wounded protesters, and asking governmental medical staff to leave their posts. Some pharmacists have closed their shops over fears that they will be detained for giving medications to wounded protesters.

Meanwhile, al-Assad has issued a decree authorizing a multiple-party political system, state media reported Thursday.

Syrian lawmakers had already passed a law granting citizens the right to establish political parties with the aim of contributing to political life "through peaceful and democratic means," the state-run Syrian Arab News Agency reported.

However, the Syrian opposition has argued the decrees are intended for show and will not effect real change.

That's because it is questionable whether the move, absent constitutional reform, could end decades of single-party Baathist rule. One of the articles of the Syrian constitution guarantees supremacy for the ruling Baath party.

CNN's Kamal Ghattas and Jack Maddox contributed to this story

@highlight

NEW: Friday's theme will be "God is With Us"

@highlight

Medvedev calls for reform or "we also will have to make some kind of decisions"

@highlight

An activist group reports more than 100 deaths in and around Hama

@highlight

Amnesty International slams the United Nations' statement