(CNN) -- Guatemalan President Alvaro Colom should leave office during the investigation into whether he was connected to three recent slayings, his 2007 presidential opponent said Thursday.

Guatemalan President Alvaro Colom has said he has no intention of giving up power over the slayings inquiry.

Retired Gen. Otto Perez Molina, who lost to Colom in a runoff, said Guatemala is suffering its worst crisis since the democratic process began in 1985 after years of civil war. Demonstrations will continue and anger will mount unless Colom temporarily steps out of the way to allow an unblemished probe, he said.

"We want an impartial investigation, a transparent investigation," Perez told CNN. "The president must leave his post."

The crisis started Monday with the surfacing of a video in which Guatemalan attorney Rodrigo Rosenberg said Colom, the president's wife and a top aide would be responsible if something happened to the lawyer. Rosenberg was gunned down Sunday while riding his bike in Guatemala City. He had recorded the video last week.

Rosenberg was being threatened with death, he said, because he had blamed Colom and his associates for the April slayings of a prominent businessman and his daughter. Rosenberg had represented the businessman.

They were killed, Rosenberg said, because they had refused to participate in acts of corruption as the president wanted.

"It's the time-honored tradition in Guatemala that if someone gets in your way, there's likely to be a violent outcome," said Donald J. Planty, the U.S. ambassador to Guatemala from 1996 to 1999.

Colom took to the airwaves Monday night to vehemently deny that he, his wife or the aide had any connection to the slayings.

He promised a full investigation and said he would accept international help, asking the U.S. Federal Bureau of Investigation to become involved. A Guatemalan newspaper reported Thursday that an FBI agent had arrived in the country in connection with the investigation.

But Rosenberg supporters say they don't believe the Guatemalan government can carry out an impartial and thorough investigation and want Colom out. Perez said Vice President Jose Rafael Espada could take over until the investigation is complete.

"We are only asking that the state be strengthened," Perez said. "If he doesn't do this, we believe the situation will get worse."

Colom said in an interview Tuesday night with CNN en Español that he has no intention of resigning or otherwise giving up power. He blamed the deaths on unnamed people who want to bring down his government.

"It is evident that [Rosenberg's video statement] was written by someone who has been in on this plan to destabilize the government and for reasons that I don't know, because I don't know why Mr. Rosenberg mentions us in that video," Colom said.

For Perez and other critics, that's not good enough.

"The president has not wanted to confront this and has given evasive answers," Perez said. "Until the president confronts this, indignation will increase."

Some analysts say Colom needs to get the nation under control immediately.

"It's a very worrisome situation," said Planty, the former U.S. ambassador. "The country is in very serious trouble."

There were rumors two to three weeks ago that the military might stage a coup, Planty said.

"The security situation is out of control," he added.

Heather Berkman, a Latin America analyst with the Eurasia Group consulting firm, calls it "a major political scandal."

Larry Birns, director of the Council on Hemispheric Affairs, a Washington policy institute, agrees with that assessment.

"It's very damning for the president. Very damning," he said.

Fernando Carrera Castro, a fiscal analyst and executive director of the Instituto Centroamericano de Estudios Fiscales, said the upheaval could further tear apart a poverty-ridden nation trying to heal from a deadly civil war.

The three recently slain Guatemalans -- Rosenberg, businessman Khalil Musa and his daughter -- came from the upper economic class. As a result, Carrera said, many wealthy Guatemalans are being "radicalized" against the government.

Likewise, he said, many poor and disenfranchised Guatemalans also are becoming radicalized and are rallying behind Colom and the government.

"I fear that this crisis will lead to violence and destabilization of the government," Carrera said from Guatemala City. "We all want justice. That is clear."

Juan Tornoe, a Guatemalan who has lived in the United States for seven years, rejects what he says are efforts to forge a class divide.

"The powers that be are trying to make it a social issue -- the wealthy against the poor," he said. "This is not a social issue. This is Guatemalans are fed up."

Tornoe has personal connections with some of the key actors in the crisis. Rosenberg was his wife's law professor at La Universidad Francisco Marroquin, Tornoe said.

And he said he went to high school with Gustavo Alejos, the presidential aide Rosenberg mentioned in the video.

In his conversations with friends in Guatemala, Tornoe said, he sensed "a sense of desperation, of hopelessness."

He believes people are fed up.

"They're saying, 'OK. Let's do something. Let's not let this happen again and again and again,' " he said.

Carrera, the fiscal analyst, holds out hope. The investigation, he said, will be handled by an independent attorney general who does not report to the president. And the probe will be conducted under the watchful eye of a U.N.-Guatemalan commission set up to investigate corruption and political violence.

"That gives me more confidence," he said.

But Perez and others note that the attorney general, Jose Amilcar Velasquez Zarate, met privately with Colom on Tuesday morning, the day after the scandal broke. The meeting was not disclosed until reporters uncovered it and questioned Velasquez on his way out.

Colom's critics accuse the president of already meddling in the investigation.

Colom and Velasquez said the meeting had been planned days ahead of time.

"There is no interference in the investigation," Velasquez told reporters afterward.

Guatemala has "a culture of corruption," said Planty, the former U.S. envoy. A just investigation is necessary, he said.

"Until they fix it, they will limp along -- and that's the good scenario," he said. "They are in serious danger of becoming a failed state, if they're not already. There is complete impunity. Nobody is punished for anything."

Rosenberg said the same thing in the video, bemoaning the "narcos, assassins and thieves" who have taken over the country.

"Those thieves are sinking all of Guatemala," he said. "They kill people like dogs."

The lawyer's niece, Mariela Rosenberg, said her uncle learned to accept his fate.

"He had many threats," she told CNN en Español, "and when he saw it was inevitable, he taped a video."

Radio journalist Mario David Garcia told CNN en Español that Rosenberg was supposed to detail his allegations Monday afternoon on Garcia's program, "Hablando Claro" (Speaking Clearly).

Instead, his funeral was held that day.

@highlight

Lawyer who blamed Guatemala's president for two slayings was killed Sunday

@highlight

In video released after his death, lawyer says to blame president if he is slain

@highlight

President should step aside during inquiry, says man who lost '07 presidential race

@highlight

President blames deaths on people he says want to bring down his government