London (CNN) -- With the recent headlines emerging from Azerbaijan, you could be forgiven for assuming something more dramatic than a singing competition was about to descend on the country.

In recent weeks, the Eurovision Song Contest finals, which take place Saturday, have inspired clashes on the streets of the capital, Baku, between Azerbaijani police and opposition activists, and accusations by state-controlled media in Azerbaijan that a German "conspiracy" was waging an "information war" against the hosts.

That followed a boycott of the contest announced by neighboring Armenia in March, after the shooting of a soldier on their shared border.

Explainer: What is Eurovision?

It's all a far cry from American Idol. But Eurovision has always carried higher stakes than its sequins and songs in made-up languages would suggest.

A forum for geopolitics

A frothy, kitsch spectacle to some, Eurovision has long been a forum for heated geopolitical grandstanding, with allegations of bloc voting and political skulduggery dogging the contest for years.

Documentarian Montse Fernandez Villa has alleged that, as early as 1968, Spanish dictator Francisco Franco orchestrated a campaign of vote-buying that handed victory -- and an important public relations coup -- to Spain, over the favorite, British entry, Cliff Richard.

Despite the organizers' efforts to keep the contest apolitical -- the rules state that "no lyrics, speeches, or gestures of a political or similar nature shall be permitted" -- European political tensions have often been played out on its stage, says Eurovision researcher Dr Karen Fricker.

"How can it not be? It's a competition of nations,"said Fricker, a contemporary theater lecturer at Royal Holloway, University of London, and co-director of the Eurovision Research Network. "If it was just a song pageant, it would have disappeared after a few years. But the notion there's something being worked out there that's bigger than song is what gives the contest its interest."

Armenia's withdrawal from this year's competition is the result of tensions that have festered since a war with Azerbaijan over the disputed region of Nagorno-Karabakh in the 1990s, which left between 20,000 and 30,000 people dead. But it is not the first boycott to hit the contest.

Eurovision's rules hold that the country the winning artist represents has the option of hosting the following year's contest, and the year after Franco is alleged to have snatched victory from Cliff Richard, Austria refused to compete in Madrid as a protest against his regime.

More recently, Lebanon pulled out of its scheduled Eurovision debut in 2005 in a spat over its refusal to broadcast the Israeli performance. Lebanese TV channel, Tele Liban, told the European Broadcasting Union, which broadcasts Eurovision, that Lebanon's legislation made it almost impossible to broadcast Israeli content, putting Tele-liban in breach of contest rules.

And in 2009, a year after Russian-Georgian tensions had reached a flashpoint in South Ossetia, Georgia withdrew its entry for the Moscow contest, when their arguments that their entry "We Don't Wanna Put In" had nothing to do with the Russian premier fell flat with the organizers.

A stage to 'perform 'European-ness'

Why do states care about a contest that, even in the eyes of its admirers, is of dubious musical merit?

Fricker says that, much like the avowedly apolitical Olympic Games, the contest has become an important political forum because of its competitive nature, and the huge television audience it commands.

"It is a unique moment of 'live-ness,' where everybody in Europe is doing the same thing at the same time," she said. "There's a really compelling sense of a shared television space. It's a conduit for unity, but also a way to play out European tensions."

The lure of winning a little of that limelight has seen the contest expand, even as some of Eurovision's founding Western European nations question its relevance.

Since the fall of the Berlin Wall in 1989, the number of participating countries has almost doubled to 42, with former Eastern bloc nations joining the fray and, on many occasions, winning. Since 2001, wins for Estonia, Latvia, Turkey, Ukraine, Serbia, Russia and Azerbaijan have seen the "New Europe" dominate the contest.

Their success, says Warwick University's Dr Milija Gluhovic, co-director of the Eurovision Research Network, was largely down to the fact that they took it fairly seriously; as an opportunity to demonstrate their credentials as modern, independent European states to the rest of the continent.

"They started to realize they can use the contest as a platform to reclaim their European heritage, and show themselves in the best possible light," he said.

Eurovision victory brought not only a moment of prestige, but more importantly, a rare opportunity to showcase their country to a huge audience when they hosted the following year, said Fricker.

Host nations typically use the intermission between performances and the results announcement as an opportunity to "perform their 'European-ness' to one of the biggest television audiences of the year," she added.

Fricker cited popular 2001 winner Estonia as an example of a country that used its win, and subsequent host status, to project a positive image and engender goodwill ahead of joining the European Union in 2004. "It's soft politics, but it's politics," she said.

The emergence of voting blocs

The new arrivals have not been welcomed by everybody. Their success has fueled suspicion among Eurovision's old guard that the contest has become plagued with tactical "bloc voting" -- where groups of countries vote tactically, essentially rigging the voting.

In 2008, British broadcaster Sir Terry Wogan quit his Eurovision duties after 35 years, saying the event was "no longer a music contest."

Research published by a British academic in 2006 would appear to support his position.

Dr Derek Gatherer's analysis of Eurovision voting patterns between 1999 and 2005 concluded that bloc voting in the contest had increased.

He identified three major voting blocs from which a winner was usually produced: The Balkan Bloc (Croatia, Macedonia, Slovenia, Greece, Cyprus, Serbia and Montenegro, Turkey, Bosnia and Herzegovina, Albania and Romania), the Warsaw Pact (Russia, Ukraine, Belarus, Poland, Georgia and Moldova) and the Viking Empire (Norway, Sweden, Denmark, Finland, Iceland, Estonia, Latvia and Lithuania).

By contrast, France, the UK, Germany, Spain and Italy -- the so-called Big Five who make the biggest financial contributions to the contest, and are given an automatic place in the final ---- did not belong to a bloc, and so had not won since the UK's victory in 1997, according to Gatherer.

At the time the paper was published, Gatherer successfully predicted that Serbia would win in 2007. However since then, Big Five member Germany has also been successful.

Many Eurovision pundits reject the notion that voting patterns are a reflection of something untoward. Fricker says it is natural for countries to vote for neighbors with whom they may share cultural affinities, as the votes reflect public tastes.

"They like each other's music and in fact are a musical community in terms of the artists and producers that circulate," she said.

John Kennedy O'Connor, author of "The Eurovision Song Contest: The Official History" said he did not believe any organized tactical or political voting occurred, as the contest's current judging format -- a mixture of public televoting and national judging panels -- made it "virtually impossible" to rig results.

Sour grapes?

An Englishman based in the U.S., O'Connor said he saw the allegations of tactical voting as sour grapes toward the successful newcomers. He said in 2003, the first time a British entry had been awarded the dreaded "nul points," one of the singers from the duo Jemini suggested their low score could have been politically motivated in response to the UK's involvement in the Iraq War.

The view was echoed by many in the UK media. But O'Connor said that, viewing the performance today, he believed the singers were clearly off key. "Nobody wants to put up their hand and say, 'Actually, that was a rotten song, and it was horribly performed.'"

He said the reason the Big Five countries tended to fare less successfully was because, from the viewing public through to the organizers, they treated the contest "as a bit of a joke." "By contrast, the impression I get is the former Eastern bloc countries take it very seriously," he said.

But Gluhovic said this was only partly true, as it was "a bit of a myth" that the average Eastern European was much more invested in the competition than their Western European counterparts.

Gluhovic, who hails from Bosnia and Herzegovina, said it was clear that organizers in New Europe were "serious about sending their best acts."

But as for the viewers? In true spirit of the contest, viewers -- wherever they hailed from across the continent -- tended to share one of three common responses to the show.

"Just like in the UK, some people love it, some people hate it and some people love to hate it," he said. "In this respect, I don't think we have any huge differences."

@highlight

Organizers insist it is apolitical, but Eurovision has always been a political stage, say experts

@highlight

They say its competitive nature and vast audience make it a forum for tensions to manifest

@highlight

Armenia's boycott of host Azerbaijan is far from the first politically motivated withdrawal

@highlight

The success of "New Europe" has led to allegations of tactical voting ruining Eurovision