The United States warned Syria in no uncertain terms Monday not to use chemical weapons amid intelligence reports indicating President Bashar al-Assad's regime could be preparing to take that step as it escalates its fight against rebel forces.

"I want to make it absolutely clear to Assad and those under his command -- the world is watching," President Barack Obama said during a speech at the National Defense University in Washington.

"The use of chemical weapons is and would be totally unacceptable. And if you make the tragic mistake of using these weapons, there will be consequences and you will be held accountable," he said.

Obama has previously warned that any use of chemical weapons by Syria in its civil war would be crossing a "red line" that would prompt a swift U.S. response.

Earlier on Monday, Secretary of State Hillary Clinton issued a similar warning.

"I'm not going to telegraph in any specifics what we would do in the event of credible evidence that the Assad regime has resorted to using chemical weapons against their own people," she said. "But suffice it to say, we are certainly planning to take action if that eventuality were to occur."

U.S. officials are concerned that with fighting closing in on Damascus, forcing the temporary closure of the airport there, the regime may be feeling desperate and toying with the idea that chemical weapons could finally crush the persistent rebellion.

Official: 'Worrying signs' regarding Syria's chemical weapons

"We believe that with the regime's grip on power loosening with its failure to put down the opposition through conventional means, we have an increased concern about the possibility of the regime taking the desperate act of using its chemical weapons," White House spokesman Jay Carney said Monday.

The Syrian Foreign Ministry denied that the country had any plans to use chemical weapons, state TV reported. Citing a source at the ministry, state TV said Syria has repeatedly stressed it will not use such weapons, if they exist, against its people no matter the circumstances.

But U.S. officials say "worrying signs" suggest otherwise.

According to one U.S. official, Syrian forces have begun combining chemicals that would be used to make deadly sarin gas for use in weapons to attack rebel and civilian populations.

The United States obtained intelligence over the weekend indicating this development, according to the official who had direct knowledge of the latest information.

The intelligence, the official said, came from multiple sources but the official declined to provide any more details about how the United States learned of it.

Sarin gas, the source said, could most readily be used to fill artillery shells.

"This isn't just about movement, but about potential intent to make certain chemical weapons ready for use," said a separate source, another U.S. official who spoke on condition of anonymity because of the sensitivity of the matter.

Read more: Opposition accuses Syria of 'mental war' after Internet blackout

That source declined to describe the intelligence and acknowledged that the United States isn't entirely sure what the Syrian government is up to, or who ordered the moves.

Meanwhile, the United Nations said Monday that it is immediately pulling all nonessential employees out of Syria. It was unclear how many people were involved or what role they have been playing in Syria. The United Nations removed cease-fire monitors from the country in August.

At least 239 people were killed in violence across Syria on Monday, according to the Local Coordination Committees of Syria, a network of opposition activists.

The attacks included the bombing by Syrian warplanes of a town within sight of the Turkish border, which killed 10 people.

Thick black smoke rose from the border town of Ras al-Ain, where witnesses said warplanes dropped two bombs. One appeared to strike a three-story building where opposition forces were staying, neighborhood mayor Mehmet Saitavci said.

The strike sent panicked civilians running to the fence that separates the two countries, witnesses told CNN.

Saitavci said the wounded were making their way to the border, where they were being picked up by ambulances.

"There are people with arms and legs missing coming across," he said.

Read more: Turkish town on Syrian border deals with fighting, ethnic differences

In Damascus, apparent fighting around the airport forced Egypt's national airline to cancel flights to Syria, including recalling one flight that had taken off, after Syrian authorities contacted the airline to say the security situation was bad "at the airport and its vicinity," airline spokesman Dina el-Fouly said.

The airport had been closed for three days because of fierce fighting, and Egypt Air had planned to resume flights Monday. They are now canceled indefinitely, el-Fouly said.

Elsewhere, government forces bombed, shelled and rained rocket fire on cities across the country in the latest efforts by al-Assad's forces to drive back rebel advances, opposition activists said.

The airstrikes signal a sharp escalation in the fighting by forces loyal to al-Assad and rebels seeking his ouster, raising concerns among Syria's neighbors that the 21-month-old civil war could spill across the borders.

Neighboring countries have reported deadly border skirmishes with either Syrian forces or rebels.

In June, Syrian anti-aircraft defenses shot down a Turkish military reconnaissance jet, killing two pilots, after it briefly crossed into Syrian airspace in the eastern Mediterranean Sea. Months later, errant Syrian artillery shells hit the border town of Akcakale, killing five Turkish civilians.

As a result, Turkey has asked NATO for Patriot missiles to bolster its air defenses, a request NATO is expected to approve on Tuesday.

Read more: Young Syrian amputee makes dangerous journey to find help

The United States, Germany and the Netherlands, which all have Patriot capabilities, have signaled they may be willing to contribute missiles should NATO approve the deployment to Turkey.

NATO Secretary General Anders Fogh Rasmussen stressed to CNN's Christiane Amanpour on Monday that the possible deployment of Patriot missiles is "purely defensive," and not aimed at preparing a no-fly zone.

"We have no intention to intervene militarily in Syria. We will do what it takes to protect our ally Turkey," he said.

However, Russia reiterated its opposition.

"We don't consider that this will lead to the improvement of security in the current situation." President Vladimir Putin's spokesman, Dimitri Pesvok, said Monday.

In photos: The Syrian conflict through children's eyes

@highlight

At least 239 are dead in fighting Monday across Syria, opposition activists say

@highlight

President Obama issues a direct warning to Syrian President Bashar al-Assad

@highlight

Syrian forces are mixing chemical warfare agents, says a U.S. official

@highlight

The Syrian Foreign Ministry denies plans to use such weapons