After three days of poring over photos and video, investigators appealed to the public to help them identify two men now considered suspects in the Boston Marathon bombings.

The men were photographed walking down Boylston Street, one behind the other, near the finish line of Monday's race.

Suspect 1 was seen wearing a light-colored, collarless shirt underneath a dark-colored jacket and wearing a dark baseball cap.

The man identified as Suspect 2 was seen setting down a backpack at the site of the second explosion "within minutes" of the blasts that killed three people and wounded nearly 180, said Special Agent Rick DesLauriers, the head of the FBI's Boston office. He was wearing a light-colored hooded sweatshirt, a black jacket and a white baseball cap turned backward.

In particular, DesLauriers asked for help from anyone standing in front of the Forum restaurant, where the second bombing happened.

"Somebody out there knows these individuals as friends, neighbors, co-workers or family members of the suspects," DesLauriers said. "And though it may be difficult, the nation is counting on those with information to come forward and provide it to us."

People with possible information on the two men were urged to go to the FBI's website, https://bostonmarathontips.fbi.gov, or call 800-CALL-FBI (800-225-5324).

By Thursday evening, authorities already had received a "large volume of calls ... as a result of the photos," an FBI official said.  The FBI's website, moreover, had been inundated with record traffic.

It wasn't immediately known then whether any of the tips had led to the suspects. DesLauriers cautioned that anyone who think they know their identities should be careful, and consider them armed and "extremely dangerous."

"No one should approach them," he said. "No one should attempt to apprehend them except law enforcement."

'They acted differently than everyone else'

Other footage, still unreleased, shows that the two suspects stayed at the scene to watch the carnage unfold, a federal law enforcement official with knowledge of the investigation told CNN's Susan Candiotti.

"When the bombs blow up, when most people are running away and victims were lying on the ground, the two suspects walk away pretty casually," said the official, who has seen the unreleased video. "They acted differently than everyone else."

While video of at least one suspect planting the bomb exists, the FBI had chosen not to release it, according to the official. One reason, according to the official, is that were the media to repeatedly show the suspects leaving the bomb, it might cause some people to overreact if they came into contact with them.

DesLauriers said intelligence had been developed on the first suspect "within the last day or so." The official who spoke with CNN said images of the second suspect were isolated Wednesday.

Flood of digital evidence a blessing and a curse

The investigation also turned toward the possibility that the bombs had been detonated by remote control, a federal law enforcement official briefed on the investigation said Thursday.

Investigators contacted the maker of a battery found in the debris of the blasts, said Benjamin Mull, a vice president at Tenergy Corporation. One of the firm's batteries, typically used in remote-controlled hobby cars, was found in the aftermath of the attack, connected to some wires and a piece of plastic.

In the early hours of the investigation, a law enforcement official told CNN that the bombs were probably detonated by timers. The FBI has said details of the detonating system were unknown.

While the latest clues moved the investigation forward, it is still unclear whether the attack was an act of domestic or foreign terrorism.

Bombers 'picked the wrong city,' Obama says

Thursday evening's FBI announcement capped a day in which President Barack Obama brought a mixture of reassurance and defiance to an interfaith memorial service in the city's Cathedral of the Holy Cross. Whoever planted the bombs "picked the wrong city" to attack, he said.

"Every one of us stands with you," Obama told the crowd. "Boston may be your hometown -- but we claim it, too. ... For millions of us, what happened on Monday is personal."

Addressing the still-unknown perpetrators, Obama added: "Yes, we will find you. And yes, you will face justice. We will hold you accountable." And he looked ahead to next year's race, predicting that "the world will return to this great American city to run even harder and to cheer even louder for the 118th Boston Marathon. Bet on it."

How we're affected as a nation by the bombing, other incidents

Among the crowd of about 2,000 were first lady Michelle Obama; the president's Republican challenger last November, former Massachusetts Gov. Mitt Romney; the state's current governor, Deval Patrick; and Boston Mayor Thomas Menino. During an interlude, attendees were soothed by a performance by famed cellist Yo-Yo Ma.

Menino praised each of the three bystanders who were killed in the blasts -- Martin Richard, described as a "young boy with a big heart"; Krystle Campbell, whose spirit "brought her to the marathon year after year"; and Lingzu Lu, who "came to the city in search of an education."

The audience also included scores of police officers and other first responders. Crowds erupted in cheers as the cathedral emptied out at the end of the service, while others sang the national anthem.

How to help

Obama also stopped at a high school to thank a group of first responders and volunteers and met with patients recovering from the attacks at Massachusetts General Hospital.

"It was extremely uplifting for them," said Dr. David King, a trauma surgeon at the hospital. "I think it's incredibly inspiring that he would take time out and visit them and have a sincere interaction with all of these folks that have been hurt."

Obama "was humbled by the patients' bravery and their fortitude and their drive to continue," he added.

The first lady met with patients, families and hospital staff at Boston Children's Hospital and Brigham and Women's Hospital, the White House said.

The wounded: 59 still hospitalized

Investigators say the bombs, which exploded 12 seconds apart, were designed to deliver the most vicious suffering. A total of 59 people remained hospitalized on Thursday, six of them in critical condition, according to Boston-area hospitals. At least 13 people lost limbs as a result of the bombing.

One device was housed in a pressure cooker hidden inside a backpack, the FBI said. The device also had fragments that may have included nails, BBs and ball bearings, the agency said.

The second bomb was in a metal container, but it was unclear whether it was in a pressure cooker as well, the FBI said.

Photos obtained by CNN show the remains of a pressure cooker found at the scene, along with a shredded black backpack and what appear to be metal pellets or ball bearings. They were sent to the FBI's national laboratory in Virginia, where technicians will try to reconstruct the devices.

In the past, the U.S. government has warned federal agencies that terrorists could turn pressure cookers into bombs by packing them with explosives and shrapnel and detonating them with blasting caps.

Family and friends, meanwhile, were mourning the three dead:

• Richard, the 8-year-old boy with a gap-tooth grin and bright eyes. He loved to run and play in his yard.

• Campbell, a 29-year-old freckle-faced woman described by her mother as having "a heart of gold."

• Lu, the Chinese graduate student at Boston University who had moved to the city last fall, making friends and soaking up new experiences.

The U.S. State Department has been in contact with her family and the Chinese Foreign Ministry, Secretary of State John Kerry said in a statement released Thursday.

"We stand ready to provide whatever appropriate assistance we can to the family members of foreign nationals in the aftermath of this despicable act of terror," Kerry said.

@highlight

The FBI gets a "large volume" of calls after releasing photos of suspects, official says

@highlight

"Somebody out there knows" the 2 suspects in the case, an FBI agent says

@highlight

The 2 men walked away from the scene "pretty casually," a federal official says

@highlight

At an interfaith service, Obama tells Boston attackers: "We will find you"