Phoenix (CNN) -- Alex Teves treasured Marvel and DC comics with their Spider-Man and Batman icons, and he was at his best in high school when he wrote about the superhero genre in English class.

He revered the enduring themes of good versus evil, and he is remembered here, in the place where he grew into a man, as one of the good guys: a boy who inspired an "Alex Teves Day" at school, pursued a calling to heal both minds and bodies, and died at age 24 facing evil in the darkness of a crowded Colorado movie theater.

"If you want to describe Alex in one word, he was just good," says his father, Tom Teves. "He wasn't a standout in anything, but he cared about people."

It is the goodness of humanity that Teves wants the world to know and remember: the virtues of his son -- and the 11 others killed at a midnight premiere of the latest Batman movie, "The Dark Knight Rises," in a cinema in Aurora, Colorado.

That desire has taken shape as a crusade. In the midst of mourning his first born, Tom Teves has wrested purpose from his grief -- the Alex Teves Challenge, he calls it. He demands that the media stop naming and showing images of the gunmen in mass murders.

Publicity glorifies killers, he says, and the notoriety spurs others to commit the same barbarities just for attention.

Columbine. Virginia Tech. Tucson. And now Aurora.

Alex Teves had just completed his master's degree in psychological counseling. His father says he would have condemned the practice of focusing on the murderers.

Remember the victims, the heroic acts, Tom Teves exhorts.

Let good triumph over evil.

'A zest for life'

Alex Teves died shielding his girlfriend from the rain of bullets. His last act was more than just heroism.

It attested to his nature to help humankind.

Opinion: They lost their lives, upheld the code

Fresh out of the University of Denver with his master's degree, he was readying to seek another degree, a bachelor's in physical therapy at the University of Colorado at Boulder.

He chose this long path because he wanted to heal the whole person, his family says.

Tom Teves is deeply satisfied that the oldest of the couple's three children, all sons, came to know himself so well.

"He told me one day, 'I'm not going to do what you do -- because it's business,'" says Teves, an executive for a corporate services firm.

Alex said he didn't have it in him to order people around. "And it was my proudest moment. He knew what he wanted to do," the father adds.

Alex's mother, Caren, recalls his ever-present smile and appetite for life.

"He loved food. He loved to travel. He loved to explore new things. He just had a zest for life. He just wanted to experience everything he could.

"I'm glad he did as much as he could in the time he had here."

He met his girlfriend in graduate school, and Alex planned to marry her once he finished his studies, the mother says.

Tales of heroism in Aurora

In the elegantly designed Phoenix community of Ahwatukee, where the boulevards are desert-landscaped with saguaro cacti and palo verde trees, Alex was such an ordinary guy of irrepressible cheer that he was celebrated for it by his classmates at Desert Vista High School, a high-performing public school opened in 1996 that sends graduates to the Ivy League.

Every day, he wore a crisp, white T-shirt, blue jeans and loafers to school; he just wasn't into materialism and liked to think of the more important things, his mother said. By his senior year, his AP statistics classmates -- and then the entire class of 2006 -- decided to hold a day in his honor. Everyone came to school dressed like him.

And now, says his mother, friends and supporters of those slain in the movie theater massacre held a memorial service in Denver with an Alex Teves dress code, and friends in Hawaii told the family they were planning a similarly attired service.

Alex Teves was a cooperative student with a streak for being fun and funny, says high school math instructor Francoise Dastous, who teaches the statistics class. "He really didn't have a clique per se. He got along well with everybody, and everybody wanted to be friends with him."

Alex once recounted to the class a hiking adventure that went awry, Dastous says. For anyone else, the experience would have been horrific, "but Alex put a positive spin on it," Dastous says. "He was just really engaging and really fun to listen to."

Six years have passed since the 57-year-old teacher had Alex in class, but the memories are clear. "He just really kind of stood out from the other kids. He was always smiling."

Alex was an honors student whom other faculty recalled as having a sense of humor, says Anna Battle, principal of the 3,000-student school, one of the largest in Arizona.

"He wasn't Mr. Flamboyant. He wasn't Mr. Social Anybody. He was an even-keeled, pleasant, quality young man who loved superheroes," Battle says. "One English teacher said he was a good writer and wrote exceptionally about superheroes.

"Unfortunately, it sounds like the young man who created this incident (in the Colorado movie theater) had some challenges that Alex may have been able to help," Battle adds.

The alleged gunman is also 24 and was a neuroscience doctoral student at University of Colorado Anschutz Medical Campus in Aurora. According to a court document filed by his public defense attorneys, he was also a patient of a university psychiatrist.

'My hero every day'

Alex Teves will not be forgotten.

His father shares one more memory.

Alex was injured with a group of kids when their car rolled over in an accident in the desert. He was a student at the University of Arizona at the time.

When an ambulance arrived, Alex insisted the other passengers get inside first, his father recalls, even though he needed immediate treatment, too.

Once in intensive care, Alex asked his father to visit one of his friends who was hospitalized because that boy's parents had yet to arrive.

"That's the kind of kid he was," the father says. "The world is worse off because he's not in it."

4 Colorado shooting victims remembered for vitality, selflessness

That the suspect had dyed his hair red to resemble the villain Joker of the Batman series is a cruel turn of fate that enrages the grieving father.

Tom Teves doesn't want his son's legacy to be defined by a gunman. When the man first appeared in court last week in Colorado, Teves was there. He calls the suspect "a coward."

"He didn't look like much," Teves says. "My son could have wiped the floor with him."

Then the father continues: "If he would have known my son, he would have helped him."

He returns to his challenge to the media. He blames news outlets, including CNN, for playing a role in perpetuating mass shootings.

"You make him out to be a madman," he says of the man suspected of killing his son. "He knew he was going to be on television. These guys are playing you like fiddles. Either you're not that bright -- I used a better word than I was thinking of -- or you don't care and you're using it to sell advertising, and then you're the worst thing on the face of the earth."

Tom and Caren Teves have been married 28 years. He worked two or three jobs sometimes, so that their kids could benefit from having their mother at home full-time.

Now the couple faces raising their 16- and 17-year-old sons without their big brother.

"He was my hero every day," Teves says.

The father isn't surprised by the way Alex responded when savagery slipped inside the movie theater. "Alex is in heaven," he adds. "I'm quite sure of it."

His anger subsides. The couple is accompanied by Caren Teves' sister and her husband, whom the Teveses earlier picked up at the Phoenix airport. The in-laws, Joe and Carla Morgan, express outrage that the suspect's photo appears five times on the front page of a national newspaper, overwhelming any photos of Alex and the others who lost their lives.

"Stop showing cowards and start showing heroes," Tom Teves says, "so that another father doesn't feel the hole in his body that I have and I know will never go away."

He puts his hand over his heart. His wife extends her hand and joins his.

"It's got to end," he says. "You do your part, and I promise to do the other."

He says he will spend his days reminding the media of this challenge in his son's name.

Remembering Rebecca Wingo, Aurora victim

How to help the victims of the Colorado massacre

Driven by personal tragedy, man builds crosses for Aurora victims, thousands of others

@highlight

Tom Teves wants the goodness of humanity, not evil, to be remembered

@highlight

Alex Teves was one of 12 people killed in the Aurora, Colorado, theater shooting

@highlight

"If you want to describe Alex in one word, he was just good," his father said

@highlight

Media focus on violent criminals only encourages others, and insults victims, he says