San Antonio, Texas (CNN) -- The case of the New Mexico hotelier who required Latino employees to adopt English names and avoid speaking Spanish at work reminds us of the need for balance as we grapple with cultural evolution in America.

Many of us take our name and its pronunciation for granted. I imagine I did too -- until I was 5 years old.

That's when my dad dropped me off on the front porch of Sunnyside School in Brownsville, Texas, the border town where I was born and raised. Like any kid on his first day of school, I was engulfed by longing and loneliness, staring forlornly at my dad through the screen door as he walked away.

When I turned to face the classroom, the teacher's mouth moved and I heard words, but I failed to understand. Tears pricked my eyes. I didn't speak English yet, having been home with my mom up until that first day of kindergarten.

That day my world changed.

My introduction to the world as baby Rodolfo Ruiz -- the cocooned son of an immigrant mother and an eponymously named first-generation Hispanic father -- had ended. My journey as an American began.

My teacher, Mrs. Collins, was a tall, grandmotherly figure with neatly coiffed silver hair and wire frame glasses. She ran Sunnyside in a modest house she'd once called home. Quickly, I felt her casa was mi casa.

Patiently and kindly, she explained that to make us both more comfortable she was changing my name from "Rodolfo" to "Rudy."

"It'll be easier for the other kids -- and frankly for me -- to pronounce!" She smiled.

I nodded politely, just like my mamá had taught me.

And that was that. I became Rudy Ruiz without debate or anguish.

By the end of the school year I was fluent in English. And by second grade I was promoted to the advanced learners class of the elementary school to which my parents transferred me after Sunnyside.

There, in a predominantly Hispanic grade school run by Catholic nuns, I began to wrestle with what my name meant to me, and how I wanted it pronounced. I didn't mind "Rudy" but I didn't like "Ruiz" pronounced in English. It just didn't sound right to me.

Call it instinct, or since I was bilingual and my mother rigidly emphasized speaking both languages correctly, perhaps I felt the most respectful and authentic pronunciation of a name should be that of its language of origin.

Thus, I arrived at my own compromise by fifth grade. I began to say my name bilingually. "Rudy" in English. "Ruiz" in Spanish. Balance.

Balance, or the constant search for it, became a hallmark of my life. Maybe it was because I was reared on the US-Mexico border, a place akin to the fulcrum in a playground see-saw. To the south thrived my living heritage, which I experienced at home and with my family. To the north loomed my future, which I was learning and absorbing at school and in the media.

It took five minutes to commute from my house in the United States to my abuelos' home in Mexico, where I whiled away countless afternoons playing ball beneath a giant avocado tree in the backyard, devouring homemade corn tortillas hot off the plancha, and listening to the colorful yarns my abuelita spun and the wise dichos (sayings) my abuelito religiously repeated.

Meanwhile at school, I gobbled up books and determined to someday head north to Harvard and make my way as a productive American. And all along, as I introduced myself, I started my name in English and switched gears into Spanish for the second half.

Even though I was bilingual, it took practice. You see, different languages employ varying muscles in your mouth and face. Unseen, but not unheard, the tongue curves uniquely in each language, enabling one to enunciate not only different words but diverse vowel sounds, unique consonants, cadences and accents. And the alliteration of "Rudy Ruiz" provided a challenge in that the "r" in Rudy flows smoothly in English, while the "r" in Ruiz rolls like a locomotive thundering over the old railway bridge that spans the Rio Grande in Brownsville, often backing up traffic for miles.

That quick change-up from English to Spanish when pronouncing my brief, four-syllable name stopped me in my tracks more than a few times, causing my cheeks to flush with embarrassment at the struggle of pronouncing the name I had not chosen in the way I had chosen. But, despite the difficulty, I persevered.

Try quickly repeating "Rudy Ruiz" 10 times bilingually. It's a bicultural tongue twister, a "trabalenguas" as they say in Spanish. So I practiced some more. Until I got it right. Four letters in English. Four letters in Spanish. A smooth "r." A rolled "rrrr." Balance.

Pronounced completely in the native tongue, a name could be interpreted as a sign of a person's unwillingness to embrace American culture and integrate fully into society. On the flip side, translated entirely into English it can give the impression that one is trying to hide his or her heritage, that perhaps the past is a source of shame rather than pride.

The story of the innkeeper stirred my memory. Surely, it's no surprise that when a child finds challenge in something as simple as their name, he or she will likely also face a complex path in crafting an identity as a multicultural American. But what I take from these experiences is that an extreme approach in either direction is not the most constructive, healthy strategy.

Cultural evolution and acculturation take time and involve compromise and negotiation, in the hearts and minds of individuals as well as within our broader social discourse. The key to attaining the right balance is empathy. The secret to maintaining it is practice.

If the innkeeper had taken an empathetic, compassionate approach -- like Mrs. Collins did with me -- he might have elicited a more positive, collaborative reaction from his staff, media and observers.

In the end, if we achieve balance, we can enjoy the best of two worlds -- creating a new one that acknowledges our past while cultivating our future. A funny thing about "balance." While it sounds different in English and Spanish, in both languages it is spelled the same way and it holds the same meaning. Just like my name.

The opinions expressed in this commentary are solely those of Rudy Ruiz.

@highlight

Hotel owner who asked workers to take English names sparked a memory for Rudy Ruiz

@highlight

He says his teacher changed his name when he was 5 years old

@highlight

Ruiz says he kept Spanish pronunciation for his last name

@highlight

Key to adapting to a different culture is balance and empathy, he says