Washington (CNN) -- Health care reform backers won a key victory Saturday night as the Senate voted to move ahead with a floor debate on a sweeping $848 billion bill.

The 60-39 vote to prevent a Republican filibuster against the start of debate on Senate Majority Leader Harry Reid's legislation broke down along strict party lines. All 58 Senate Democrats -- along with independent Sens. Joe Lieberman of Connecticut and Bernie Sanders of Vermont -- supported bringing the measure to the floor.

Thirty-nine of the 40 Senate Republicans opposed the motion. Sen. George Voinovich, R-Ohio, didn't vote.

"Tonight's historic vote brings us one step closer to ending insurance company abuses, reining in spiraling health care costs, providing stability and security to those with health insurance and extending quality health coverage to those who lack it," White House Press Secretary Robert Gibbs said in a statement.

The polarized vote set the table for a holiday season now virtually certain to be marked by acrimonious deliberations on President Obama's top domestic priority.

Top Senate Democrats, who are trying to pass a bill before the end of the year, spent much of the day tarring their Republican colleagues as defenders of a broken status quo benefitting rich insurance companies at the expense of ordinary American families.

Republicans, in turn, slammed Democrats for pushing a bill that conservatives insist will force millions of Americans to drop insurance plans they like while boosting premiums, raising taxes and leading to government rationing of care.

Read the health care bill (PDF)

"Today we [decide] whether to even discuss one of the greatest issues of our generation," Reid, a Nevada Democrat, said shortly before the vote. "Whether this nation will finally guarantee its people the right to live free from fear of illness and death, which can be prevented by decent health care for all."

The Republicans "are frightening people," said Sen. Tom Harkin, D-Iowa. "Now is not the time to go wobbly in the knees. Now is the time to stand strong ... and move this country forward."

"This bill... is a massive monument to bureaucracy and spending," replied Senate Minority Leader Mitch McConnell, R-Kentucky. It "imposes punishing taxes on almost everyone. ... A vote in favor of proceeding to this bill is a vote in favor of adding to the tax burden of the American people in the midst of double digit unemployment."

The bill "does worse than nothing," said Sen. Chuck Grassley, R-Iowa. It "threatens the economic recovery. ... Changes to the health care system must be responsible and not break the backs of the taxpayers."

The procedural vote represented another milestone in what has become an epic battle over the future of America's health care system.

The House of Representatives narrowly passed a more than $1 trillion bill this month. If the Senate also manages to pass a bill, a congressional conference committee will then need to merge the House and Senate proposals into a consensus version requiring final approval from each chamber before moving to Obama's desk to be signed into law.

The nonpartisan Congressional Budget Office has projected that Reid's 2,074-page bill would extend health insurance coverage to 31 million additional Americans.

The agency estimates that the proposal would reduce the federal deficit by $130 billion over the next 10 years, through 2019. Any effect on the deficit in the following decade would be "subject to substantial uncertainty," but probably would result in "small reductions in federal budget deficits," according to budget office analysts.

A minimum of 60 votes is required to break a filibuster in the 100-member Senate. The outcome of the Senate vote was unclear before Saturday afternoon, when Sen. Blanche Lincoln, D-Arkansas, announced her intention to back a floor debate on the measure.

Lincoln, a key moderate probably facing a tough re-election campaign in 2010, said the issue deserved further debate and consideration. She made clear, however, that she opposes several aspects of Reid's bill, including a controversial government-run public option.

"Although I don't agree with everything in this bill, I believe it is important to begin debate," Lincoln said.

"The issue is very complex. There is no easy fix."

Republicans wasted no time tearing into Lincoln's vote, issuing a news release while she was still announcing her decision, proclaiming that she had caved to "pressure from the left wing of her party."

"There's no doubt that this vote will be a critical issue for Sen. Lincoln as she embarks on her uphill re-election bid," said Amber Wilkerson Marchand, a GOP spokeswoman. "The people of Arkansas will have an opportunity to hold her accountable when they cast their ballots next November."

Two other Democratic moderates whose support was considered to be in doubt -- Nebraska's Ben Nelson and Louisiana's Mary Landrieu -- also announced their decision to back a full debate shortly before the vote.

Reid's bill, projected to ensure coverage for 94 percent of Americans, includes a range of tax increases and new fees.

The Medicare payroll tax on individuals earning $200,000 a year and couples earning $250,000 a year would increase by half a percentage point, from the current 1.45 percent to 1.95 percent. In addition, insurers providing costly health coverage -- known as Cadillac plans -- would face a 40 percent tax on policies worth more than $8,500 for individuals and $23,000 for families.

The bill also includes a 5 percent tax on the cost of elective cosmetic surgery, as well as new fees for insurers and pharmaceutical manufacturers. The total projected revenue raised by all the taxes and fees would exceed $200 billion.

The bill would require individuals to buy health insurance, with a fine for non-compliance of $95 in the first year that would escalate to $750 by 2016.

Unlike the plan recently passed by the House, the Senate bill does not mandate that all employers offer health care. Businesses with more than 50 workers, where at least one employee qualifies for government subsidies, would face a penalty of $750 for every full-time employee if it does not offer health care coverage.

Reid's bill also would expand government-run Medicaid coverage for the poor to everyone making less than 133 percent of the national poverty level.

Democratic leaders in both chambers have been wrestling with the most contentious issues, including abortion and immigration, as well as how to pay for reform.

The House bill has more restrictive abortion language and includes a 5.4 percent income tax surcharge on individuals making more than $500,000 and couples earning more than $1 million.

Both bills include a government-run public option, but the Senate version allows states to opt out before the national program would go into effect in 2014.

The two bills are virtually identical on a broad range of changes, including creating health insurance exchanges, expanding Medicaid, subsidizing insurance for low- and some middle-income families, and capping out-of-pocket medical expenses while preventing insurance companies from denying coverage for pre-existing conditions.

Insurers under both plans would be barred from charging higher premiums based on a person's gender or medical history.

@highlight

"Tonight's historic vote brings us one step closer," White House press secretary says

@highlight

All 58 Democrats, two independents clinch vote

@highlight

Democrats rip into Republicans as defenders of status quo

@highlight

GOP decries "massive monument to bureaucracy and spending"