New York (CNN) -- The suspect in the Times Square bombing attempt was caught as he was seeking to flee to Pakistan, a nation that analyst Fareed Zakaria calls the "epicenter of Islamic terrorism."

"It's worth noting that even the terrorism that's often attributed to the war in Afghanistan tends to come out of Pakistan, to be planned by Pakistanis, to be funded from Pakistan or in some other way to be traced to Pakistan," said Zakaria. He added that Pakistan's connection with terrorist groups goes back decades and has often been encouraged by that nation's military for strategic reasons.

Faisal Shahzad, a 30-year-old naturalized citizen of Pakistani descent, had recently been trained in bomb making in Pakistan's Waziristan province, according to a federal complaint filed in court Tuesday. CNN reported Tuesday that Faisal Shahzad's father is a retired vice-marshal in the Pakistani Air Force.

Shahzad was arrested around 11:45 p.m. ET Monday at New York's John F. Kennedy International Airport just before he was to fly to Islamabad, Pakistan, by way of Dubai.

Zakaria, author and host of CNN's "Fareed Zakaria GPS," spoke to CNN on Tuesday. Here is an edited transcript:

CNN: Based on what we know so far, what lessons can be learned from this incident?

Fareed Zakaria:  This does not seem to be part of a larger and more organized effort to penetrate the United States. That doesn't mean such efforts are not under way....it does make you realize just how open we are as a country and how open we are as a society.  There is always a level of vulnerability that comes from being an open society and this guy, Mr. Shahzad obviously took advantage of that openness.

CNN: Apparently he traveled to Pakistan on a number of occasions. Does that signal that Pakistan isn't vigilant enough about terrorism?

Zakaria: Well it certainly signals something that we have known for a while, which is that Pakistan is the epicenter of Islamic terrorism. ... The British government has estimated that something like 80 percent of the terror threats that they receive have a Pakistani connection.

So there's no question that Pakistan has a terrorism problem. It has radical groups within the country that have the ability to recruit people and have access to resources that makes for a very combustible mixture.

It should remind us that even when looking at the war in Afghanistan, ultimately  the most important place where jihadis are being trained and recruited is not in Afghanistan but in Pakistan. And there's no other part of the world where you have quite the same concentration of manpower, resources and ideology all feeding on each other.

CNN: What feeds the ideology that drives the terror effort?

Zakaria: Pakistan has been conducive to this kind of jihadis for a number of reasons. For the last three or four decades, the Pakistani government, the Pakistani military has supported, funded many of these groups in a bid to maintain influence in Afghanistan, in a bid to maintain an asymmetrical capacity against India -- in other words, to try to destabilize India rather cheaply through these militant groups rather than frontally through its army.

So it has found it useful to have these militant groups and to support them. It has always assumed that these groups will not attack Pakistanis and therefore was not a threat to Pakistan itself. And to a large extent that's true, these groups by and large have attacked people in Afghanistan, India, in the West but not in Pakistan. But that is changing, because these groups are so intermingled and often sufficiently ideological, and also because the Pakistani military is beginning to take them on.

But fundamentally the reason this has gone on is that there has been a policy of the Pakistani state and particularly the Pakistani military, to encourage these groups, to fund them, to ignore their most pernicious activities. And some of it goes back even further than four decades. In the 1965 war against India, the Pakistanis used Islamic jihadis...

And the great hope now is that finally the Pakistani government is getting serious about this. Frankly it remains a hope.

CNN: Why do you say that it's only a hope?

Zakaria: Over the last few years, it appears that the Pakistani government has begun to understand that these groups all meld together, that they are a threat to a stable and viable modern Pakistani state. But when I talk about the Pakistani government you have to realize that there are different elements in it.

The Pakistani civilian government really does understand the danger that Islamic terrorism poses to Pakistan, but the civilian government in Pakistan appears quite powerless. Most power lies with the military.

The military in Pakistan has a somewhat more complex attitude. It does believe that these militants have gone too far. It does believe that it has to take on the militants. And it has actually battled them quite bravely over the last few years.

CNN: So what's the reason for thinking the military supports militant groups?

Zakaria: It still holds within it the view that at the end of the day, the United States will leave the region and that they will have to live in a neighborhood which will have a very powerful India and an Afghanistan that is potentially a client state of India's -- and that in order to combat this Indian domination, they need to maintain their asymmetrical capabilities, their militant groups.

It is interesting to note that Ahmed Rashid, who may be the most respected Pakistani journalist, has reported on the way in which Pakistani government  has thwarted and put obstacles in the way of any kind of talks between the Afghan government and the Taliban.

The message it has sent to the Afghan government is very clear. If you want to have any negotiations with the Taliban, you have to understand that since we are the critical intermediary -- since the Taliban leadership all lives in Pakistan -- the Pakistani military's terms to the Afghan government are, we want you to push back on Indian influence in Afghanistan, we want you to shut down Indian consulates in various Afghan cities.

In other words, the Pakistani government is still obsessed with the idea of an Indian domination of the region, and they're using their influence with the Taliban to try to counter Indian influence. This is the old game that the Pakistanis have played.

That's what makes me skeptical that there's been a true strategic revolution in Pakistan... There are still people who believe that there are good terrorists and bad terrorists, and some you can work with to further Pakistan's goals.

CNN: In the attempted car bombing in Times Square and the Christmas Day attempted bombing, you have two failed plots that don't appear to be highly sophisticated. Does that tell us anything about the terror groups?

Zakaria: At some level, that tells you about the weakness of the terror groups. You do not have highly organized terrorist groups with great resources and capacity that are able to plan spectacular acts of terrorism the way they were in the 1990s and on 9/11.

What you have now are more isolated, disorganized lone rangers and while they're obviously very worrying and one has to be extremely vigilant, it is also at some level a sign of the weakness of an organization like al Qaeda that it is not able to do the kind of terrorist attacks it used to.

To be sure, it's important to be very vigilant and make sure you have groups like al Qaeda on the run. But I don't know that in a free society, you will ever be able to prevent an individual with no background in terrorism who's broken no laws and is radicalized from attempting to make some kind of trouble.

@highlight

Naturalized U.S. citizen of Pakistani descent charged in Times Square bomb probe

@highlight

Authorities say he received bomb training in Pakistan's Waziristan region

@highlight

Fareed Zakaria says Pakistan has encouraged Islamic terrorist groups for decades

@highlight

Zakaria: Pakistani military sees militant groups as a weapon to prevent Indian domination