(CNN) -- Peggy Chenoweth woke up angry the first time she dreamed of herself as an amputee.

She'd found a certain measure of comfort in late-night reunions with her two-legged self, but for the first time since her surgery, the reality of her altered body seeped into her sleeping hours.

She felt cheated, took a moment to mourn, and went about the business of her day. Living with limb loss requires a certain toughness.

The graphic images and accounts from the Boston Marathon bombing have thrown the issue of amputation into the national spotlight. As tragic and violent as the circumstances of their injuries were, the 14 people who lost arms, legs, hands or feet as a result of the attack represent a fraction of who undergo amputation in the United States on any given day -- roughly 500 people, according to figures from the Amputee Coalition, the nation's largest limb loss advocacy and support group.

It is Chenoweth's mission to let every person who has lost a limb know they are not alone. Through her blog, The Tales of an Amputee Mommy, the 38-year-old writer and social media manager receives 10 to 20 e-mails a day from people newly dealing with limb difference, and feeling severed from the world as well.

By 2011, Chenoweth had been dealing with her own limb loss for nearly eight years. What started as an accident at a work conference -- a computer monitor falling off a cart and crushing her foot -- spiraled into a five-year nightmare of excruciating pain, endless and ineffective surgeries and finally a legal battle to win the right to the amputation that would finally end the physical part of her suffering. (Her insurance company contended that she could live a "happy, healthy and active lifestyle on narcotics and crutches." She disagreed.)

Frustrated that she rarely saw people like herself outside the confines of her prosthetist's office, Chenoweth declared the last Saturday of that April, which is National Limb Loss Awareness Month, to be "Strut Your Stuff Day."

In a blog entry titled "Starting a Movement," she encouraged her readers to forgo cosmetic coverings, wear shorts and other clothes that reveal prosthetics and residual limbs and "bring the amputee community out of the shadows."

It hit a nerve. Now in its third year, Chenoweth's movement has been adopted by the Amputee Coalition and retooled as "Show Your Mettle Day," with public outings and awareness events planned around the country for Saturday. There is also a Facebook contest for people to share pictures of themselves in public with the absence of their limbs evident.

Winners, determined by number of Facebook "likes" in four categories (individual, family and friends and community, support groups and facilities, or workplace) will receive recognition in several of the organization's publications. For each photo uploaded to the page during April, prosthetic limb maker WillowWood will donate $1 to the coalition.

The feedback Chenoweth has received steels her belief that this exposure, however uncomfortable it might be for both participants and onlookers, is a force for forward motion.

"I was astounded that so many people aren't living their lives out of fear of what other people are going to think," she says. "This event gives people a reason to stand up and say, 'This is who I am.' Not every amputee uses a prosthetic, but every amputee in their own right has shown that they're strong and they have gumption and courage to persevere. That's the definition of (showing) your mettle."

The journey toward public exposure can be terrifying, but both experts and members of the community agree on its importance in the process of seeing one's self as whole again.

"People are afraid of what they don't know," says Anissa Gustafson. The 41-year-old registered dietitian lost her leg (and the family dog) four years ago in a car accident 90 miles from her home in Las Vegas.

Gustafson vividly recalls her first public outing, picking up her children at day care, before she received her prothesis. "I remember walking into my children's classroom and all the little kids tilting their heads sideways, like they were looking for the rest of my leg," she says.

"The looks on their faces were priceless. It was such a sweet moment, explaining to a group of 3- and 4-year-olds what happened to my leg. But somehow, explaining it to those innocent little kids was kind of healing."

Gustafson also said goodbye to an emblem of her former self in the form of a "shoe funeral." No longer able to wear shoes with a heel higher than two inches, she had to get rid of 40 pairs of shoes and adapt her signature style to work with her new prosthetic -- a "realistic" model that cost her $20,000. For her, the price was worth it.

"I don't see it as being ashamed of my leg," she says. "For me it's just a matter of feeling more whole and beautiful. We all dress or style our hair a certain way as an expression of ourselves, and I felt a part of that was taken from me."

While she doesn't always care to draw attention to her prosthetic, Gustafson does always make sure the socket that fits around her residual limb has a bit of fun or sparkle to it. It's part of the process of embracing her changed physical self.

Over the past two years, Strut Your Stuff has inspired people to go out in their community for the first time without a cosmetic cover, reveal to co-workers that they're living with a prosthetic, or even leave the confines of their own homes, which they hadn't done since their limb loss.

Chenoweth designed an awareness ribbon that incorporates the image of a prosthetic leg, and last year received a large order for merchandise. A boy was about to return home from having his leg amputated, and his soccer team wanted to rally around him on Strut Your Stuff Day with the ribbon emblazoned on their jerseys.

"That's what it's about," Chenoweth says, "getting the community's support, raising awareness and letting people know that you can be missing a limb and still be very whole and live a fulfilling life."

Chenoweth says that, like most amputees, she still has "bad leg days." But she says the acceptance of her limb loss came about without fanfare one day when she realized what she had been missing. "I knew I was going to be OK when I got through my lunch and I realized I hadn't cursed out my prosthetic yet."

Artificial limbs push boundaries of art

Going out to strut your stuff?

Dr. Roberta Cone is a psychologist who specializes in dealing with limb difference. (She lost her arm below the elbow in a car accident and opts not to wear a prosthetic.) Here are some of her tips for situations your might encounter, both from friends and loved ones.

• If people stare at you, look back and smile. It is part of human nature to be curious, and they don't necessarily mean anything by it.

• If you do get positive feedback, put that in your self esteem bank for later when you might be having a difficult time.

• Do not define yourself by your lost limb. If people have a negative reaction, it is not personal toward you.

• It is natural to feel repulsed upon first seeing the absence of a limb, even when it's a loved one or romantic partner. Neither one of you should feel ashamed by this, and know that it does pass.

• There are tremendous resources available on the Amputee Coalition website. Educate yourself as much as possible, so you can be open to discussion if it arises.

See someone showing their mettle?

Peggy Chenoweth has some advice for those who may have questions for people with limb loss.

• Take their lead. If a person seems open to questions, you may ask them politely. Otherwise, just leave them alone.

• Don't conduct the Spanish Inquisition. Let the person share whatever they're comfortable with, but don't press. Not everyone is at the same place in their journey, and they don't owe you a story.

• For goodness' sakes, don't make fun. Within the community, a good sense of humor is necessary for survival and we'll make plenty of jokes -- but that doesn't mean you are free to as well.

• Don't tell them what they "should" be doing. Yes, Oscar Pistorius has those cool sport legs. Those cost a lot. The most basic prosthetics are almost a luxury item for most people and often aren't covered by insurance.

Are you or someone you love dealing with limb loss? We would love to hear from you. Please share your story in the comments below; we're paying close attention.

Follow the author on Twitter @kittenwithawhip

@highlight

"Amputee Mommy" blogger has mission to let people who have lost limbs know they aren't alone

@highlight

Saturday is "Show Your Mettle Day," when amputees are encouraged to reveal prosthetics

@highlight

The idea is to "bring the amputee community out of the shadows"