(CNN) -- The length of the Appalachian National Scenic Trail is constantly changing. In 2010 the Appalachian Trail was officially 2,179.1 miles long. This year it's 2,181. In 2004 it was 2,173.9. The added distance is due to upgrades and repairs. (Not because your group had to backtrack a half-day because one of you left the keys to the vehicle parked at the end of the section in the vehicle parked at the start of the section.) The Appalachian Trail stretches from Springer Mountain, in north Georgia, to Katahdin, in central Maine, crossing 14 states and five national parks. The route is marked by white blazes on trees, posts and rocks.

It's possible to hike the Appalachian Trail without a tent. There are more than 250 garage-size shelters "roughly a day's hike apart" along the length of the Appalachian Trail, according to Brian King of the Appalachian Trail Conservancy, the nonprofit corporation that leads efforts to maintain the trail. That's a shelter about every 8 miles on average. They're free. So "thru-hikers," people who walk the full distance in a continuous hike, often leave the tent at home, saving as much as 5 pounds from their backpacks. That's good, because that "day's hike" can be up to 30 miles, since shelters are built near sources of fresh water, King said.

What's in an Appalachian Trail hiker's backpack?

You won't see nearly as many animals as you'd expect. That's because most can hear, see or smell you long before you hear, see or smell them, and they'll flee. In the case of bears, wild pigs, raccoons and snakes, that's good. On hikes from Georgia through Connecticut, I have seen hundreds of birds, chipmunks and squirrels, spiders, a few deer, two wild turkeys as big as a washer and dryer, a wild pig, the backside of a bear running into the brush, and a rattlesnake lying across the trail warming itself in the morning sun. (Hint: It's less upsetting for all involved to hike around a timber rattler than to try to encourage it to move on by bouncing even a small stone off it.) Not wearing your glasses increases the number of animal sightings. But keep in mind that while without your glasses a tree stump can look like a bear, a bear also can look like a tree stump.

But you might experience mice -- and it will be your fault. They congregate at shelters to feast on scraps left by hikers who don't follow the No. 1 rule of the Appalachian Trail: Leave no trace. And don't think that stowing your food in your pack means it's safe. We were awakened one night by a mouse that had gnawed through the pocket of a backpack and was wrestling with the wrapper of a snack bar inside. That's why shelters have ropes to hang packs up and away from small critters. Some also have "bear boxes," lockers that keep food safe from larger beasts. The alternative is to hang your food in a stuff-sack from the branch of a tree.

It's hard. Literally. Most of the Appalachian Trail is strewn with rocks. That makes sense, since the Appalachian Trail, for the most part, follows the ridge of the Appalachian Mountains. Still, it seems there are more rocks on the trail than off the trail. A running joke among our hiking group was that if you lose the trail, look for rocks; it'll be there. There are rocks you must climb over, rocks that stick out from the ground to slam your toes into or trip over, irregular rocks that force you to use foot and leg muscles to maintain balance with each step and rocks covered with mud or muck that are as slick as ice. It's a good idea to stow anything breakable, like a smartphone, at the top or to the back of your pack to keep it from breaking when you fall on your rear end.

Downhill is worse than uphill. Hiking uphill carrying 20-30 pounds is strenuous, especially when it's a half-mile climb up large rocks. You've sweated out so much salt and potassium that you're experiencing the onset of hyponatremia, a condition in which you have difficulty using your muscles and may even experience some confusion (different from "Why am I doing this? What was I thinking?" which are coherent thoughts). Resting and a salty snack with water help. But on a steep downhill, your knee takes more impact. After some distance, each step is painful. Trekking poles and walking slowly can ease some of the discomfort. But knee damage is possible.

An estimated 12,000 people have hiked the full length of the Appalachian Trail since it was completed in 1937. The Appalachian Trail Conservancy's King says it usually takes from five to seven months. The numbers are derived from sign-in sheets at either end of the trail and at conservancy headquarters at the unofficial midway point in Harpers Ferry, West Virginia, as well as from "ridge runners," who keep an eye on logbooks at shelters in their area. But there is no requirement to sign in or out, and many don't. "So who knows what the variable is?" King said. Those who have hiked the Appalachian Trail "know they've done it," King said. Hikers usually are known by "trail names" they give themselves or earn, like Marty "Wounded Knee" Raffay (See "Downhill is worse than uphill").

Detailed maps, books and other information about the trail are available through the Appalachian Trail Conservancy website.

The trail is maintained by volunteers. Last year some 6,200 volunteers, led by members of 31 official Appalachian Trail maintaining clubs, worked 210,000 hours repairing trails, painting blazes and maintaining shelters, privies and wells, according to the Appalachian Trail Conservancy. The conservancy is staffed by 44 paid workers year-round and 12 to 15 seasonal workers, King said. Volunteers often give up some of their vacation so hikers can use some of theirs on the Appalachian Trail.

"Trail magic" comes from" trail angels." Trail magic is an unexpected act of kindness or generosity. It can be as simple as a day hiker giving a thru-hiker a candy bar or as grand as volunteers setting up a grill near a road crossing and passing out hot dogs. The little things are missed most. Anne Sharp, aka "Margolo," and Travis Olson, aka "Chaco Taco," are thru-hiking with Willett, a German shepherd, unofficially aka "Dog Quixote" (he occasionally chases imaginary threats in the woods, Sharp said). "We feel an immense appreciation for the simple experiences we rarely get these days," she e-mailed from the Appalachian Trail somewhere in New England. "Drinking coffee from a mug, having a chair to sit on, dry clothes after a storm. ..."

Follow "Margolo," "Chaco Taco" and Willett's thru hike.

One day hiking is better therapy than a year of visits to the shrink. After an hour of wisecracks ("Are we there yet?" "Oh, good, more rocks." "Did you bring the beer?") as the day's hike begins, we settle into a quiet time alone in the woods with our thoughts. (Are we there yet? Oh, good, more rocks. I wish I had a beer.) It's also better than a day in the gym. At my weight, 127 pounds soaking wet (which is what I was after a 16-mile hike in 14 miles of rain), carrying a 30-pound pack burns about 450 calories an hour.

You can trap thru-hikers with beer. "Samurai" was planning to catch up with some buddies at the next shelter when he ran into our group at the Wiley Shelter near Webatuck, New York. We had just come back from a 6-mile round-trip excursion into town to buy, um, supplies. Instead of hurrying to his friends, he spent the next few hours sitting with us around the "backpackers' TV," roasting marshmallows and singing Irish pub songs. If a shelter is near enough to a road and to a town, it's not unusual to see a pizza delivery or two. That's why a smartphone with GPS is essential; you can use it to find towns near the trail and supplies.

The world is your toilet ... as long as it's a "cathole" at least 6 inches deep and 200 feet from a trail, campsite or water source. Please pack out the paperwork or file it away at the site and cover it all with dirt. Remember: Leave no trace. Most shelters have privies. The more pleasant of these are composting outhouses, which require users to do a bit of yard work before use. They work by adding a handful of dirt after each visit. The dirt, called "duff," is the layer of soil and mold just beneath the layer of leaves on the forest floor.

@highlight

The length of the Appalachian Trail is constantly changing

@highlight

It's possible to hike this year's full 2,181 miles of the Appalachian Trail without a tent

@highlight

An estimated 12,000 people have hiked the full length of the trail since 1937

@highlight

The Appalachian National Scenic Trail is maintained by volunteers