(CNN) -- Four days after a U.S. civilian-operated cargo jet plunged into the ground shortly after takeoff from Bagram Air Base in Afghanistan, killing all seven people aboard, one expert said that a number of factors likely were involved in the incident.

"Accidents, of which this was among the worst that I've ever seen, are typically a confluence of circumstances of seemingly unrelated events, which all coalesce to create a disaster," said Arthur Rosenberg, a pilot, engineer and partner in the New York-based law firm, Soberman & Rosenberg.

The doomed plane's final moments appear to have been captured by a dashboard camera inside a vehicle on the base.

The approximately three-minute video shows what appears to be the National Airlines jet starting its climb at 11:20 a.m. local time Monday from the base.

National Air Cargo, the parent of National Airlines, said the flight had refueled at Bagram en route from Camp Bastian, a British military base in Afghanistan, to Dubai in the United Arab Emirates.

National said the aircraft had landed uneventfully in Bagram and no additional cargo or people were taken on there, it said.

Prior to departure, the cargo was reinspected, it added.

"The cargo contained within the aircraft was properly loaded and secured, and had passed all necessary inspections prior to departing Camp Bastian," the company said in a statement posted on its website.

It identified the crew members as two pilots, two first officers, a loadmaster and two people involved in maintenance.

U.S. military plane crashes in Kyrgyzstan

The pilots were likely doing a "maximum performance takeoff" in an attempt to climb to altitude as quickly as possible, thereby limiting exposure to any attempts to shoot it down, Rosenberg said Friday, citing the jet's pitch attitude, which he said appeared higher than normal.

National Airlines, which specializes in moving freight for the military and businesses, did not immediately return a call asking about whether the pilots had, in fact, performed such a takeoff.

About 12 seconds into the video, the Boeing 747-400 appears to stall, rolls from side to side, and drops.

At 23 seconds, the plane crashes nose first into the ground off the side of the road, erupting into a ball of orange flame and black smoke.

CNN cannot confirm the video's authenticity. It bears the date 2013/02/01, but date stamps can easily be inaccurate.

The cargo aboard ill-fated Flight NCR102 included five mine-resistant, ambush-protected vehicles that were being taken out of Afghanistan as part of the drawdown of U.S. forces, said Shirley Kaufman of National Air Cargo.

MRAPs can weigh 12 tons to 24 tons apiece, depending on the model, according to a 2011 Congressional Research Service report.

That would mean the MRAPs had a total weight of at least 60 tons, which is within the jet's specifications, according to Boeing.

If the takeoff had been rougher than usual, "it could have caused the cargo in the back of the plane to become loose," Rosenberg said. If that happened, and the cargo slid to the rear of the plane, it could have left the plane with an improper weight and balance, he said.

He compared that situation with what happens when a heavy person and a light person get on either end of a seesaw. "The light person is never going to get the heavy person off the ground," he said.

In the case of cargo that was not properly placed or secured, "You've got a big, heavy person at the end of the airplane, which outweighs the flight control's capacity to override that weight."

Rosenberg's law firm specializes in litigation stemming from plane crashes. He does not have direct knowledge from the investigation.

The critical role of the loadmaster in such flights was outlined in a posting published last month on Bagram's website.

"When you are a pilot flying a C-130 Hercules over potentially hostile territory, the last thing you need to worry about is whether your cargo is secure," it says. "That's why each sortie the 774th Expeditionary Airlift Squadron flies includes two loadmasters."

They are responsible for checking all the systems in the rear of the aircraft and overseeing the loading of the cargo, then making sure it stays that way, it says.

"Upon takeoff, we'll be looking back at the cargo until we get off the ground, making sure none of the chains break or pop out," Airman 1st Class Michael Brown says in the airfield's story. "If they do, we let the pilots know... and we taxi back."

"There's a lot of trust that we put in our loadmasters," said Capt. Kenneth Pedersen, 774th EAS aircraft commander, in the same story. "They're pretty autonomous ... making sure the cargo is secure and loaded correctly."

Other possible contributors to the crash include malfunction of the flaps on the wings, or some other flight-control system or even a massive loss of power, Rosenberg said.

But Rosenberg said he considered the last possibility to be the least likely, given the redundancy built into the four-engine jet. "It's a fantastic plane," he said.

The video leaves no doubt that, whatever the cause, the plane wound up flying too slow to generate sufficient lift on the wings to keep the airplane aloft, he said.

"In all my years of being involved in aerospace and piloting and litigation, I have never, ever, ever seen such a dramatic crash sequence as this one," he said. "It really is nauseating to look at, a monster like that falling out of the sky. That's not supposed to happen."

Rosenberg predicted that the cockpit voice recorder and digital data recorder will provide investigators with the answers to the questions they are asking.

In its statement, National Air Cargo said it "will not speculate as to the cause of the accident," and that it was fully cooperating with authorities as the investigation continues.

@highlight

"It really is nauseating to look at," pilot says of plane crash video

@highlight

National Air Cargo "will not speculate as to the cause of the accident"

@highlight

Military vehicles were "properly loaded and secured," company says