(CNN) -- From the continuing rise of tablet devices to the daily-deals craze and the return of the Internet IPO, 2011 has been a transformative year for technology.

The pace of change has become blisteringly fast, with traditional industries -- bookstores, video-rental chains, newspapers -- crumbling more quickly than we could have imagined.

Predicting what will happen in 2012, therefore, is a shot in the dark: A year is virtually a lifetime in the digital era. And yet we can at least make a guess at what will happen in the early part of next year simply by looking at the trends that are shaping the latter half of this year.

Here's my best estimate of some of the innovation we'll see in 2012:

1. Touch computing

New input methods will be the dominant trend of 2012. Tablet computers such as the iPad might seem like a nice alternative to desktop and laptop computers, but I believe they're more than that: They're replacements. Just as the command line (remember that?) gave way to graphical user interfaces, so the mouse will be superseded by touchscreens.

The signs are obvious: Windows 8 and Mac OS X Lion, the latest desktop operating systems, borrow heavy from their mobile counterparts. These new interfaces essentially impose a touchscreen-inspired interface over the traditional desktop environment.

Over time, this half-step will become a whole one, and mobile operating systems will dominate. The transition won't be complete by the end of 2012, but we'll be much further down the path, and using computer mice much less often.

2. Social gestures

In the social media realm, social gestures appear to be the leading trend of 2012. Launched by Facebook in September, this so-called "frictionless sharing" functionality removes the need to click a button to share media with your friends. Instead, everything you listen to, read or watch is automatically posted to your profile once you approve the relevant app.

If you've seen apps such as Spotify or Social Reader in your Facebook news feed, you're already aware of these features.

The trend makes sense for social networks: With 800 million people already on Facebook, its growth is bound to slow. But if sharing becomes automatic, the volume of content on Facebook will grow at an accelerated pace. There's a big problem, however: Users may be "creeped out" by all this automated sharing of their Web activity and grow suspicious of the apps using it.

3. NFC and mobile payments

Next year is likely to be the year when mobile payments blossom. While we've seen a great deal of innovation in mobile payments technology this year -- including the success of Square's iPhone dongle, allowing anyone to accept credit card payments -- 2012 is the year of NFC.

What's that, you ask? Near Field Communication essentially lets you replace your credit cards with your phone: Wave an NFC-enabled phone near the credit card reader in a store (or taxi cab), and the money is deducted from your account.

By 2013, 1 in 5 cellphones are expected to be NFC-equipped. Early contenders include Google Wallet, Visa Wallet, Serve (by American Express) and ISIS.

4. Beyond the iPad

If touch computing is the future, then the iPad is surely king. And yet the iPad came up against serious competition in the latter part of 2011: As I wrote previously, I expect the new Amazon Kindle Fire to outsell the iPad in 2012. Why? Simply put, the iPad costs $499 while the Fire costs $199.

Amazon's advantages don't stop at the price point, however: The company owns an entire content store of movies, e-books, TV shows and other media. With tablet devices, the hardware is somewhat important but the content available for the device is absolutely critical: With plenty of media available for the Fire right away, it's an appealing proposition.

Why does one device constitute an entire trend? Well, as a true competitor to the iPad emerges, content producers, distributors and even app developers may have an entirely new platform on which to push their wares. (And yes, the Kindle Fire does indeed run Google's Android operating system, but Amazon's version is so unlike other Android tablets that neither users nor app developers will perceive it as "yet another Android device" -- it's a whole new platform.)

5. TV Everywhere

So you thought you'd be able to watch all your favorite shows online and get rid of your cable subscription for good? Not so fast!

The cable companies have a cunning plan: They'll let you watch live TV, plus on-demand movies and TV shows, on your connected devices if you keep your cable subscription. Dish Network, Time Warner and Comcast are among those offering the service.

TV Everywhere has been buzzed about since 2010, of course, and could be a dud -- but the rise of tablet devices would seem to create increased demand for a "TV in your hands."

6. Voice control

Here's another trend that's got a moderate chance of taking off in 2012: Voice control.

The novelty of Siri on the iPhone 4S -- which allows you to send texts, create reminders, search the Web and much more using just your voice -- may be the start of a new trend in voice controlled devices.

Surely voice control has been around for years? Yes, but it wasn't very accurate.

Siri and its ilk define a new era in which we talk, and our devices understand -- often on the first attempt. Other device makers will likely follow suit. What's more, Apple may use voice control to replace the TV remote.

7. Spatial gestures

Other input methods are gaining traction too: Microsoft's Kinect, for instance, has given rise to interfaces that use spatial gestures. Just like in "Minority Report," your devices can be controlled simply by waving your hands in the air.

Thanks to the many innovators who have hacked Kinect to work with other platforms, we may see more devices using this input method next year.

8. Second-screen experiences

"Second-screen experiences" is a buzz-phase among TV and movie execs these days. It refers to apps (mainly on the iPad) that listen to the audio output of your TV and display content related to the show or movie you're watching. The chances are that you already use your tablet computer or phone while watching TV, so there's ample opportunity to make the viewing experience a more interactive one.

Disney already has second-screen apps for movies such as "The Lion King" and "Bambi," while multiple TV networks have similar offerings: We can expect many, many more to be released in 2012.

9. Flexible screens

Personally, I just can't wait for flexible screens: These awesome new bendable interfaces will let you zoom in, zoom out and scroll around a page simply by twisting your phone or tablet.

Nokia and Samsung have both hinted they may release phones with bendable displays in 2012. The really exciting stuff, however -- like paper-thin devices that roll up to fit in your pocket -- is still years away.

10. HTML5

Can I squeeze in one more trend? It's HTML5 -- the fifth iteration of the HTML standard -- and it lets developers create richer, more interactive applications than ever.

Why does this matter? As developers tire of building applications for every operating system out there -- from Android to iOS to Windows Phone and beyond -- HTML5 offers the opportunity to build an app once and have it work everywhere.

The rise of HTML5 is bound to be accelerated by a recent revelation: Adobe is killing off Flash for mobile devices, meaning one of the primary methods of serving videos and rich applications on mobile phones is about to disappear. HTML5 will fill that gap. For us as consumers, that means richer applications and experiences on all our devices.

In short, 2012 is all about new ways to interact with our devices through touch and voice control, new lightweight ways to share content, a revolution in mobile payments and a plethora of rich Web applications -- not to mention the hundreds of new innovations that we've yet to dream up. I can't wait.

@highlight

Mashable founder Pete Cashmore predicts which trends we'll see more of next year

@highlight

Led by Facebook, more social networks will offer automated sharing of users' Web activity

@highlight

Companies such as Apple may use Siri-like voice control to replace the TV remote

@highlight

Nokia and Samsung may release phones with bendable displays in 2012