Washington (CNN) -- Lithuania's Foreign Ministry on Wednesday rejected a report from lawmakers saying the country had hosted secret CIA prisons as part of the "war on terror."

"There are neither facts nor information that secret CIA detention centers existed in Lithuania," the ministry said in a statement, contradicting Amnesty International statements a day earlier based on a report by Lithuanian lawmakers.

"It has neither concluded that the territory of Lithuania was used to transfer persons under suspicion of terrorism nor that such persons had been brought in or transported from the territory of Lithuania," the Foreign Ministry said of the parliamentary report.

Amnesty International said a day earlier that the former Soviet republic, now a NATO member, had become the first country to admit it hosted secret CIA detention centers for terror suspects.

The tiny country on the Baltic Sea contained two "black sites," the group said -- the first holding a single prisoner in 2002. In 2004, a former riding school outside the capital, Vilnius, was converted to hold up to eight detainees, according to the Lithuanian parliamentary report, Amnesty International said.

The Bush administration came under fierce criticism for the alleged practice of "extraordinary rendition" -- capturing suspected terrorists in one country, moving them to another country without proper legal protections, and using "enhanced interrogation techniques" on them.

Opponents of the practice say the interrogations amounted to torture.

Former CIA agent Bob Ayers explained Tuesday how it worked.

"There were flights coming in from the battlefields and Iraq or Afghanistan. There were flights that were coming in from other nation-states which were not at war but we were collaborating with -- for example, Egypt or Jordan -- where suspected terrorists were picked up and brought to the interrogation centers where they were interrogated," he said.

"And then the information gained from those interrogations was then shared among the participating nations."

The Obama administration says it no longer operates black sites, but has not formally ended the process of extraordinary rendition.

A CIA spokesman declined to confirm or deny the Lithuanian lawmakers' report.

"The agency's terrorist detention program is over, and the CIA has not commented publicly on where facilities associated with that effort may or may not have been," said Paul Gimigliano of the CIA Office of Public Affairs. He added that the allegation that Lithuania hosted black sites was "not new."

Amnesty International said it was not important whether the allegation was new or not.

"Confirmation of the existence of a secret prison in Lithuania marks a modern low point for human rights protection in Europe," said Julia Hall, Amnesty International's expert on counterterrorism in Europe.

"But the Lithuanian inquiry signals a turning point in the quest for the truth about what role European states played in helping the United States in the aftermath of the September 11, 2001, attacks. Other European governments should take note and commit to full investigations of similar serious allegations."

Other European states, like Poland and Romania, have also been accused by human rights groups -- and even the European Parliament and the Council of Europe -- of housing secret CIA prisons and colluding in extraordinary renditions. Lithuania's parliamentary report may put more pressure on other states to come clean.

But there are lingering doubts about aspects of the report by the Lithuanian parliamentary Committee on National Security and Defense.

It accuses the Lithuanian security services of providing the CIA with the facilities without the knowledge of the country's political leadership.

Analysts say that seems unlikely.

"To think that any national government would have foreign aircraft flying into its airspace, people being taken from aircraft and moved to control facilities somewhere within their sovereign territories -- and neither the central government, police, customs or air traffic control, no one knew anything about this except for the head of the security service ... that's just not believable," said Ayers, the former CIA officer.

It would be a violation of Lithuanian law if true, Amnesty pointed out.

"The Lithuanian government should have known what its own agencies were doing and is ultimately responsible for the secret prison and any human rights violations that may have taken place there," the advocacy group said.

"The inquiry's findings are only a first step toward accountability," said Hall. "The investigation in Lithuania should continue and those persons responsible for any involvement in the secret site must be identified and prosecuted."

CNN's Matthew Chance in Moscow, Russia, and Jim Barnett in Washington contributed to this report.

@highlight

Lithuanian lawmakers reported Tuesday the country hosted CIA "black sites," group says

@highlight

Amnesty International says report shows Lithuania took part in "extraordinary rendition"

@highlight

Lithuanian Foreign Ministry denies the report in Wednesday statement

@highlight

CIA spokesman refuses to confirm or deny, says "terrorist detention program is over"