(CNN) -- No doubt, the Miami Heat's current 27-game win streak is impressive.

But the team still has a few games to go to top the 1971-1972 Los Angeles Lakers' run of 33 straight consecutive victories. And the Heat would need a few lifetimes to surpass Jahangir Khan.

Khan might not be a household name in NBA circles, but in Pakistan and the world of squash he's huge. Forget LeBron James. When it comes to impressive winning streaks, Khan is king by virtue of his taking 555 straight matches between 1981 and 1986.

The squash star's momentous mark is proof that there are record streaks everywhere. That includes in sports, yes, but also politics, business and more.

Here's a short list of 10 long-term milestones that might surprise you:

1. The heat is on, and on, and on

Death Valley, California, has that name for a reason. On July 10, 1913, the thermostat in a community called Furnace Creek topped out at 134 degrees Fahrenheit -- making it the hottest day ever recorded, anywhere. But the heat in this desert area is not only intense, it also endures.

Take summer 2001, when the high temperature met or exceeded 100 degrees for 154 consecutive days, according to the Death Valley National Park website. For those keeping score at home, that means every day for more than five months.

Depends on your heat-warped perspective if you think summer 1996 was worse. In that time, the high temps soared to or past 110 degrees for 105 straight days -- and exceeded 120 degrees for 40 consecutive days.

2. A really long shot on the court

If the Heat cruise past the Lakers, they'll have made NBA history. But not necessarily basketball history.

In the late 1960s and 1970s, the pinnacle of perfection in the sport was coach John Wooden's UCLA men's basketball team. Amid a run of 11 straight NCAA titles, the Bruins reeled off 88 straight wins between 1971 and 1974.

That mark stood until late 2010, when the University of Connecticut's women's hoops program under coach Geno Auriemma notched 90 straight wins.

To put it in perspective for Miami, they'd need to roughly triple their amount of victories to top that.

3. 'One Sweet' 16 weeks

Since the 1950s, the Billboard Hot 100 chart has been home to the biggest names in the music biz: Elvis Presley. Michael Jackson. The Beatles.

So, who was the biggest of them all, when it came to consecutive weeks as the No. 1 song?

None other than Boyz II Men and Mariah Carey, together singing "One Sweet Day." The song held the Hot 100's top spot for 16 weeks, beating out Whitney Houston's "I Will Always Love You" and Boyz II Men's "I'll Make Love To You" by two weeks. "Macarena" and Elton John's "Candle in the Wind," among others, later made a run at the top honor only to fall short.

For a single, topping the charts for basically four months is a stellar feat.

Still, it's one that falls well short of Billboard's most consecutive weeks for a chart-topping album. That record belongs to the "West Side Story" soundtrack, which was first on the Billboard 200 for 54 weeks in 1962 and 1963, an accomplishment not even Jackson's "Thriller" could match.

4. Up for 21 years running, down under

For the past few years, a recession has gripped much of the world. In the early 2000s, the United States and some other economies dipped in the months and years after the September 11, 2001, terrorist attacks. Before that, the tech bubble burst.

Basically, there's been a roller-coaster of bad and good news. Except in Australia, where it's been all good.

According to the Australian Treasurer Wayne Swan, Australia has notched 21 straight years of annual economic growth. Among other advanced economies, the next closest competitor, Israel, isn't even halfway there.

In other words, no developed country comes close.

This streak isn't over. So there's no telling if Australia will turn things upside down even more, by hurdling or skirting economic obstacles to grow for another 21 years straight.

5. Most famous for being a loser?

By most any measure, Susan Lucci has had an extraordinary career: as a long-running soap opera standout, a reality show star, an author and an entrepreneur.

Still, the measure that many most affiliate Lucci with is how many times she lost.

Eighteen, to be exact. That's the number of times the "All My Children" star had been nominated for a Daytime Emmy Award, and also how many times she went home empty-handed.

Her bad luck ended in 1999, when she finally broke through on her 19th try with a best actress award. It was a win for her, but also the moment she lost hold of one of her biggest claims to fame.

6. The Democratic bastion of Alabama

Follow current presidential politics, and the states don't get much more Republican red than Alabama. In 2012, GOP nominee Mitt Romney crushed President Barack Obama with 61% of the vote. Sen. John McCain, the Republicans' standard bearer, got the same percentage four years earlier.

But what some outside the South may not realize is that, when McCain ran, Democrats still had power in Montgomery -- just as, seemingly, they always had.

While it may seem the opposite holds true now, the South was once as staunchly Democratic as they come. But that started to change, especially in national politics, in the 1970s and 1980s.

Alabama was part of that tide, having last voted for a Democratic presidential candidate -- by the name of Jimmy Carter, the governor of neighboring Georgia -- in 1976.

But state politics was an entirely different story. It wasn't until the November 2010 election that Republicans were able to win a majority of seats in both chambers of the Alabama state legislature.

7. American juggernaut

Talent shows are nothing new, being found in most every town and seemingly most every television network nowadays. In this clutter, especially with so many entertainment options, it's hard to break through and remain in front year after year after year.

Then how do you explain "American Idol"?

There have been popular shows for generations, but none have had the success of "American Idol."

For eight years running, the Fox network show topped the Nielsen charts as the nation's most watched program, year in and year out.

In 2011 -- more than a year after CNN and others reported on the program's ratings "slide" -- the "American Idol" Wednesday night show still topped the Nielsen yearly chart. No. 2? "American Idol's" Thursday program.

The streak ended in 2012, when NBC's "Sunday Night Football" took Nielsen's top spot. Still, "American Idol" could take solace having already left other legendary TV shows -- "Seinfeld," "All in the Family" and "M*A*S*H" among them -- in its wake.

8. Newspapers that keep rolling

Some have said newspapers are dying. Then again, sometimes that happens when you're hundreds of years old.

But while many have gone out of print, some publications are still going -- under the same name, and just as ready to grab and read as they were centuries ago.

While the international honor for longest continuous published newspaper is subject to some debate, one title in contention is Italy's La Gazzetta di Mantova. That paper was founded in 1664 and is still around, website included.

There's less dispute in the United States, albeit two newspapers do boast the "oldest newspaper" title. One is the New Hampshire Gazette, a bi-weekly paper that first rolled off the presses in 1756, some 20 years before the birth of the United States. The other is the Hartford Courant (originally The Connecticut Courant), a daily that bills itself as "the country's oldest newspaper in continuous publication" by virtue of its founding in 1764.

9. Mexico's party of record -- for 71 years

Mexico gained independence from its colonial rulers in 1821, experiencing periods of stability and tumult in the subsequent decades. But for most of the 20th century, political stasis dominated the country, under the guise of the ruling Institutional Revolutionary Party.

The party also known as PRI began in 1929, 19 years after the launch of the revolution aimed at unseating dictator Porfirio Diaz.

Despite or, perhaps, because of criticisms that it was authoritarian and corrupt, the party won 12 consecutive national elections, which occurred roughly every six years. It wasn't just Mexico City the party controlled: The PRI held most top local and state positions as well, at least until the 1990s.

But its 12-election, 71-year winning streak ended in 2000, when the right-wing National Action Party broke through and Vicente Fox became Mexico's president.

Its ouster from power, however, wasn't permanent. In 2012, PRI unseated its rival party and regained the presidency under Enrique Pena Nieto.

10. Where have you gone, Joe DiMaggio?

56.

In American sports lore, that number speaks for itself. It is forever attached to legendary New York Yankees slugger Joe DiMaggio and his magical run during the 1941 baseball season.

During his career, which was interrupted about halfway by his service in World War II, DiMaggio compiled 361 home runs and a career .325 batting average. That was enough to win him a place in the National Baseball Hall of Fame and, in 1969, the distinction as the sport's greatest living player.

But it's the streak, it seems, that may be his most enduring legacy.

Every season, it seems, a player makes a run at the 56-game hitting streak. And every season, he falls woefully short.

CNN's Julie In contributed to this report.

@highlight

The Miami Heat have won 27 straight games and are aiming for an NBA record 33

@highlight

This is one of many streaks, in all different fields, that have made history

@highlight

Jahangir Khan won 555 straight squash matches; Susan Lucci lost 18 Emmys before winning

@highlight

From DiMaggio to "American Idol" to Australia's economy, there's no end to streaks