Kuala Lumpur, Malaysia (CNN) -- Cheng Li Ping is afraid to tell her sons their father might never come home.

"My heart can't handle it. I don't want to hurt my children," the Chinese woman told CNN Wednesday as she waited in Kuala Lumpur for evidence about what happened to her husband and the 238 others who were aboard Malaysia Airlines Flight 370.

Cheng says she cannot bring herself to accept that her husband is dead, even after authorities announced there were no survivors.

"I can't trust the Malaysian government. I can't work now because all I can think about is my husband and my children," she told CNN's Sara Sidner in Kuala Lumpur. "I don't have strength. ... My head is a mess."

Malaysian officials say they can tell you how Flight 370 ended. It crashed into the Indian Ocean, they'll say, citing complicated math as proof.

They can tell you when it probably happened -- on March 8, sometime between 8:11 and 9:15 a.m. (7:11 to 8:15 p.m. ET March 7), handing you a sheet with extraordinarily technical details about satellite communications technology.

What they still can't tell you is why, or precisely where, or show you a piece of the wreckage.

All those uncertainties are too much for Cheng and other relatives of people aboard the plane.

In Beijing, outraged family members marched to the Malaysian Embassy to denounce the airline, the country and just about everything involved with an investigation that has transfixed the world and vexed experts.

Steve Wang, whose mother was aboard the flight, told reporters he felt there was "no evidence" that the passenger jet crashed in the Indian Ocean.

"If you find something: OK, we accept," he said. "But nothing -- just from the data, just from analysis."

Where's the proof?

Cheng says the authorities' answers to questions don't make sense.

"They have been hiding the truth," she said. "Even though they know the truth, they have been delaying it and missed out on the golden time for the search."

Malaysia Airlines says it is giving the families all the information it can and is sharing it as quickly as possible. And authorities say they know the news is hard to take. But Tuesday, acting Malaysian Transportation Minister Hishammuddin Hussein defended the decision to release the analysis and the heartbreaking conclusions that flowed from it.

"It was released out of a commitment to openness and respect for the relatives, two principles which have guided the investigation," he said.

That investigation now focuses on an area of the southern Indian Ocean off Australia's west coast, where authorities believe the plane went down after a long, odd, unexplained flight that should have ended hours before in Beijing.

Searching there resumed Wednesday after bad weather grounded planes for a day.

Hishammuddin said authorities have stopped searching for the plane altogether along a northern arc that stretched from Vietnam to Kazakhstan. Analysis of data by British satellite company Inmarsat and British accident investigators show the Boeing 777-200ER was heading south at last contact, he said.

How 'groundbreaking' number crunching found path of Flight 370

Commercial satellite data from a U.S. company, first analyzed by Australian officials, as well as satellite data from China and France, have turned up evidence of debris bobbing in the general area where authorities believe the plane went down.

Australian and Chinese surveillance planes have both reported seeing debris on the water, but so far nothing has been recovered or definitively linked to the missing flight.

Authorities cautioned that despite the narrowing the search area, it could still be some time before crews find any sign of the airplane.

"We're not searching for a needle in a haystack," Mark Binskin, vice chief of the Australian Defence Force, told reporters. "We're still trying to define where the haystack is."

Search resumes after weather delay

After bad weather halted the hunt for a day, searching resumed Wednesday, the Australian Maritime Safety Authority said.

A Chinese plane took off for the search area in the Indian Ocean at 5 a.m. Wednesday (5 p.m. ET Tuesday), several hours ahead of schedule, the authority said.

Gale-force winds, large waves, heavy rain and low clouds lashed the search area Tuesday, making it impossible to dispatch surveillance planes to the scene and making it all but impossible to spot anything from ships.

"It's a pretty remote area and weather conditions can get very, very bad, very, very quickly," said Neil Bennett of the Australian Bureau of Meteorology. "At the moment, we're looking at a good day today, but we are expecting conditions to deteriorate again tomorrow."

Wednesday's search is set to include ships and aircraft from six countries: Australia, New Zealand, the United States, Japan, China and South Korea.

Twelve aircraft will be part of the search, Australian officials said.

Australia's HMAS Success and China's Xue Long polar supply ship are also in the search area, officials said.

U.S. equipment to help find the plane's locator beacon arrived in Perth on Wednesday.

But even with more searchers and equipment and calmer weather, the effort will still face severe challenges.

The area is extraordinarily remote -- some 1,500 miles from Perth, where military surveillance planes capable of searching the site are based. It is also astoundingly large --- some 400,000 to 500,000 square miles of ocean.

"With eight hours of flying to and from the search region, the fleet of P-3 Orion aircraft and other military aircraft have only a precious few hours to scour the search tracks they have been given," Australian Defence Minister David Johnston said.

To complicate matters, debris that may have been floating days ago, when some of the satellite images were taken, could have sunk by now. Other debris may have drifted hundreds of miles.

And time is running out to find the flight data recorder, whose locator beacon is expected to stop working sometime around April 7.

More than half a million square kilometers (193,000 square miles) have been searched to date, Australian authorities said.

How they're searching for debris

Crash conclusion explained

Hishammuddin spent part of Tuesday's briefing explaining how investigators came to the conclusion that the plane must have gone into the southern Indian Ocean.

He said the analysis was based on sophisticated mathematics calculating how long it took signals from a transmitter on the plane to reach an orbiting Inmarsat communications satellite.

Much like the horn from a passing car whose pitch rises as it approaches and then falls as it races away, engineers were able examine the satellite's signal and determine it had to be moving south, he said.

Engineers checked their calculations against data from other Boeing 777 flights that day and found their technique was sound, he said.

One mystery remains in the data: The plane's transmitter and satellite tried to make one final connection at 8:19 a.m.

"At this time this transmission is not understood and is subject to further ongoing work," he said.

The analysis shows that the plane didn't answer a ping from the satellite ground station at 9:15 a.m. (8:15 p.m. ET), leading investigators to conclude the plane's satellite transmitter stopped working sometime between 8:11 and 9:15 a.m.

"This," Hishammuddin said, "is consistent with the maximum endurance of the aircraft."

That partial ping could be a key detail that helps investigators unravel what happened, experts said Tuesday.

"I think it's very significant," CNN aviation analyst Miles O'Brien said. "This is the last time we hear from the aircraft. You have to wonder what was going on that might have sparked (it)."

Malaysia has convened an international working group to help further narrow the search area. It involves agencies with "expertise in satellite communications and aircraft performance," he said.

It will build on the existing analysis of satellite data in hopes of pinpointing a more exact location for the plane's location.

What happened to cause the plane to veer off course and presumably crash into the Indian Ocean hours after it was supposed to arrive in Beijing remains unknown. Authorities and analysts have speculated anything from mechanical failure to terrorism to pilot suicide could have played a role.

Police have interviewed scores of people, and the Royal Malaysian Air Force is conducting its own inquiry into the disappearance, authorities say.

Anguished families react

The Malaysian government's announcement was met with anger by relatives, many of whom said it was premature to declare their loved ones dead before locating any wreckage or bodies. Others accused Malaysian officials of lying or concealing facts.

Relatives first learned of the conclusion that the plane had crashed via a text message sent to their cell phones. Malaysian authorities followed up with briefings for families in Beijing and Kuala Lumpur, Malaysia.

"They have told us all lives are lost," a missing passenger's relative briefed by the airline in Beijing said Monday.

In Beijing, hundreds of friends and family members of missing passengers marched to the Malaysian Embassy to express their anger and frustration.

Uniformed police blocked journalists from joining the protesters as they approached the gates of the embassy. One woman in the crowd, overcome by stress and emotion, was carried to a nearby ambulance on a stretcher.

Malaysian officials said they are doing all they can.

Prime Minister Najib Razak explained Tuesday that he decided to make his official announcement Monday because he did not want the government to be seen as hiding information on purpose from the families of the missing passengers.

In an address to Parliament in Kuala Lumpur, he said his statement was based on "the most conclusive information we have."

Malaysia Airlines said Tuesday it has offered family members financial support of $5,000 for each passenger aboard the ill-fated flight and was preparing to make additional payments as the prolonged search continues.

CEO Ahmad Jauhari Yahya told reporters the airline shares in the families' grief.

"We all feel enormous sorrow and pain," he said Tuesday. "Sorrow that all those who boarded Flight MH370 on Saturday 8th March, will not see their families again. And that those families will now have to live on without those they love."

Ocean search has many challenges

Clues lead to new theories

CNN's Jethro Mullen reported and wrote from Hong Kong; CNN's Sara Sidner and Mitra Mobasherat reported from Kuala Lumpur, Malaysia; Catherine E. Shoichet and Michael Pearson from Atlanta; Pauline Chiou, David McKenzie, Jaime A. FlorCruz, Connie Young and Yuli Yang contributed from Beijing; Kyung Lah contributed from Perth, Australia.

@highlight

NEW: U.S. equipment to help find the plane's locator beacon arrives in Perth

@highlight

Wife of passenger: "I can't trust the Malaysian government"

@highlight

Weather in search area is expected to worsen again Thursday

@highlight

Indian Ocean search resumes; aircraft and boats from six countries participating