WASHINGTON (CNN) -- Over-the-counter cold and cough medicines don't work for children under age 6, and giving the common medicine to young children cannot be recommended, a Food and Drug Administration advisory committee said in October.

An FDA panel has called for more studies on how cold medicines affect children.

The panel of health experts, which looked at how safe and effective antihistamines, decongestants, antitussins and expectorants are in children, said it is not appropriate to take data from adults and apply it to children under 12.

After a two-day hearing, the panel called for more studies about how the medicines affect children.

Although the panel's recommendation is nonbinding, it could lead to changes in how cough and cold medicines are used. The votes are to be taken into consideration by FDA regulators, who might take action against the products at a later time.

Dr. Jeff Jenkins, of the FDA's Center for Drug Evaluation and Research, said it could take a year or even years for the agency to make a final decision on the recommendations.

During the panel's meeting, the experts looked at a number of proposals, including whether multiple-symptom over-the-counter pediatric cough and cold medicines should be banned for children under 6 years old.

FDA experts voted 13-9 that certain cold medicines with certain ingredients should not be used by young children. The committee said medicines with the same ingredients could be used by children ages 6 to 12.

The experts voted unanimously to require that standardized dosing devices accompany all liquid medicines, in an effort to reduce the likelihood of excessive or unintentional overdosing.

Separately, the committee voted to allow marketing of multiple-symptom products to children between the ages of 2 and 12 if new research showed the products to be safe and effective. Combination products can be particularly susceptible to problems with overdosing because parents sometimes don't realize they are duplicating ingredients.

Committee members also emphasized the importance of proper and easy-to-read labels.

Dr. Daniel Rausch, director of the pediatric hospital program for New York University, said that cold medicine is effective only at doses that are too strong for young children.

Rausch recommends a more traditional treatment where dosing isn't a problem: chicken soup.

"A cold does not kill, so people should just relax," Rausch said. "Kids get sick and there's nothing that people can do about it, but they will get better."

About 800 pediatric cough and cold products are sold in the United States, many using multiple ingredients that have been marketed for use in children for some 30 years.

Earlier this year, the FDA completed a review that found that between 1969 and the fall of 2006, there were 54 reported child deaths from decongestants and 69 from antihistamines.   Watch one family's tragic ending »

Most of the deaths occurred in children under 2.

In August, federal health officials recommended the "consult your physician" advice to parents on the labels of cold and cough medicines aimed at young children be replaced by a warning not to use the medications in children under 2 unless directed to do so by a health care provider.

Before the FDA hearings, some of the leading manufacturers of cold and cough medicines announced a voluntary recall of more than a dozen cold medicines for infants.

The Consumer Healthcare Products Association said the products were being pulled "out of an abundance of caution."

Potential misuse of the medications, not product safety, is driving the voluntary withdrawal, the group said.

The American Academy of Pediatrics applauded last week's decision to pull those products, saying, "These medicines are ineffective and can have serious side effects. There are other ways to treat cold symptoms."

The AAP suggests:

When the drug industry voluntarily withdrew products last week, it insisted that when used as directed, the drugs are safe, and they work. "Parents can continue to trust over-the-counter cough and cold remedies for their children," said Linda A. Suydam, president of the Consumer Healthcare Products Association.

"We strongly encourage parents to adhere to the recommended dosing instructions for all medicines, recognizing that the vast majority of adverse events associated with their use are due to inadvertent overdosing and misuse."

Suydam said CHPA will be launching a major educational campaign for parents and caregivers in coming months.

Baltimore Health Commissioner Dr. Joshua Sharfstein headed the push that led to the FDA hearing. He became alarmed when four Baltimore children died after their parents gave them excessive doses of cold medicines.

Until those deaths, he did not realize that a dose of cold medicine could turn into a life-and-death issue among young children, he said. E-mail to a friend

@highlight

Panel: No evidence that the over-the-counter medicines help young children

@highlight

More study sought about how cough, cold medicines work in children

@highlight

About 800 pediatric cough and cold products are sold in the United States

@highlight

Pediatrics group suggests "other ways to treat cold symptoms"