(CNN) -- With ticket sales closing in on $100 million, the surprise hit of the year is "The Best Exotic Marigold Hotel," a film about seven English retirees who travel to India to take up residence at the rundown Marigold Hotel, which, according to its misleading brochures, will provide them with inexpensive comfort in their remaining years.

But what makes "Marigold Hotel," which is directed by John Madden of "Shakespeare in Love" fame, far more interesting than its box-office success is how it has defied the patronizing reviews of critics --including those of The Times of India and The Telegraph in England -- who have categorized it as little more than entertainment for people in their 50s starring actors in their 70s.

Indeed, how patronizing the critics have been is reflected in the fact that review after review, starting with "Marigold Hotel" stars, Maggie Smith and Judi Dench (both of whom are 77), has made a point of dwelling on the ages of the ensemble cast.

The popularity of "Marigold Hotel" tells us that unlike the critics, today's audiences don't find the struggles of the old and middle-aged less worthy of their attention than those of the young. But the charm of the film isn't confined to its depiction of the elderly trying to make the most of the rest of their lives.

At the heart of "Marigold Hotel" lies a compassion that contrasts starkly with the coldness the film's retirees experienced in the England they left behind. The youthful manager of the Marigold Hotel, played with comic brilliance by Dev Patel (the lead in "Slumdog Millionaire"), may have misled his retirees about the quality of his hotel, but he has underplayed his own decency and enthusiasm.

There is a long tradition in English literature of pointing up the failures of British society by contrasting life at home with life abroad. E. M. Forester's 1908 novel, "A Room with a View," which in 1985 was successfully adapted for the screen, provided a searing critique of the stuffiness of Edwardian life by allowing its young heroine to find romance in Italy. "Marigold Hotel," which is based on Deborah Moggach's 2004 novel, "These Foolish Things," follows this same tradition, as it captures the English fascination with warm climates.

In this case, however, the Forester novel with which "Marigold Hotel" has the most in common is his 1924 masterpiece, "Passage to India." In Forester's story it is the Indians, over whom the British then ruled, who show the greatest capacity for love and friendship.

In "Marigold Hotel," the English retirees find a gentleness in the city of Jaipur that was not present in their homeland. In contrast to the British of the 19th century, the retirees of "Marigold Hotel" are not out to extract fortunes from their new land. They are instead out to preserve dwindling incomes and make peace with their past.

Not all of them succeed, but enough of them do to suggest modern India, even with its traffic jams and elephants and camels in the streets, is a land of opportunity:

Muriel Donnelly (Maggie Smith), a housekeeper who after years of service was fired from her job by the family she worked for, finds that in India she can get the hip replacement surgery she needs without waiting and, despite herself, she slowly loses the racial bigotry she brought with her.

Evelyn Greenslade (Judi Dench), a widow whose husband has died, saddling her with debt that forces her to sell her home, gets employment helping out at an Indian call center and in the process frees herself from the condescending pity of her children.

Graham Dashwood (Tom Wilkinson), a gay High Court judge, who left India full of shame when he brought his young Indian lover into disgrace, finds that he is welcomed back as an old friend.

Douglas Ainslie (Bill Nighy), who has fled to India with his quarrelsome wife Jean (Penelope Wilton) because their daughter lost most of their savings in a failed start-up, realizes that he is better off when his wife leaves him and returns to England.

The randy Madge Hardcastle (Celia Imrie) and the even randier Norman Cousins (Ronald Pickup) learn that in India age is not the barrier it was in England to the sexual adventure they are seeking.

Can these happy endings last? "Marigold Hotel" never provides a final answer just as it rarely allows tragedy to creep in.

But the "Marigold Hotel" does not need to offer they-lived-happily-ever-after reassurance to succeed. It is enough that, thanks to their change in scenery, the film's central characters have refused to resign themselves to ending their lives in quiet despair.

What in 1947 on the eve of independence India's first prime minister, Jawaharial Nehru, called his nation's "Tryst with Destiny" has become for the retirees of the "Marigold Hotel" a tryst with old age as a result of their new country and its people.

The opinions expressed in this commentary are solely those of Nicolaus Mills.

@highlight

Despite patronizing critics, "Best Exotic Marigold Hotel" is surprise hit movie of the year

@highlight

Nicolaus Mills: Movie's popularity shows audiences do care about older people's lives

@highlight

Mills: English literature often points up failures of British society by contrasting life abroad

@highlight

"Marigold Hotel" reveals the compassion in India that was lacking in life in England