(CNN) -- Cardiff University may be struck by lightning every day, but it's nothing to do with the miserable British weather.

Deep within the Welsh university's department of engineering is a state-of-the-art "lightning-lab" where bolts of electricity are shot onto aircraft components.

The idea is to recreate the conditions present when lightning strikes a plane at 35,000 feet, testing the fortitude of composite materials and conductor strips found on modern planes.

"There is a lightning strike every second around the world (and) every single aircraft is hit by lightning once a year," said Professor Manu Hadad of Cardiff University's Institute of Energy.

Displaying the charred remains of two recently zapped plane panels, Hadad explains that a thin layer of copper mesh on an aircraft's exterior can drastically reduce the damage caused when lightning strikes.

With support from the government and aerospace manufacturer, EADS, the ultimate aim of the $2 million project is to further refine and increase the working knowledge of how aircraft cope with these elements at altitude.

Explore more: How airports beat bad weather

But while of particular interest to the electrical storm specialists at Cardiff University, lightning is just one of the many extreme weather phenomena encountered by planes when in the air.

The build up of ice and strong winds in particular can also be issues and a host of academic institutions are applying hi-tech techniques to study the impact these conditions can have.

Watch this: Superjumbo visits in tiny French village

At Cranfield University just outside London a team of engineers specialize in analyzing the formation of ice around engines and on aeroplane wings.

Here, sub-zero temperatures are created and tests carried out in a specially designed "icing-tunnel" with the aim of understanding ice and its aerodynamic qualities.

According to Dr David Hammond of Cranfield's School of Engineering, a large build up of ice can alter the shape and performance of vital aircraft components.

Pointing to a freshly tested model wing, Hammond explains how "the ice that forms (during flight)... can have a big spike that reverses the curvature of the leading (wing) edge and creates unsteadiness."

"In an aircraft we work out which parts are most critical and make sure they're protected one way or another," he added.

Researchers at Cranfield are currently investigating how a wire mesh can act as an effective method of preventing ice build up near fuel tanks.

But Hammond is hopeful that other discoveries on how planes react to extreme weather will arise during the process of the group's studies.

"We're really trying to support the people who design and test aircraft," Hammond said.

"There's always a little bit of efficiencies that we can build in or maybe we can design slightly more efficiently to get performance for the passengers and for the environment."

@highlight

Extreme weather conditions can alter the performance of planes in flight

@highlight

A lightning-lab at Cardiff University recreates the conditions present when lightning strikes a plane

@highlight

An ice-tunnel experiment at Cranfield University analyzes the build up of ice on engines and wings