(CNN) -- Join me in a thought experiment. Take two individuals, A and B. A is a naturally gifted professional immersed in a hyper-competitive field where performance is publicly scrutinized and frequently re-evaluated. Continuous pressure makes A seek any advantage to excel. He takes medications to gain a physical advantage over competitors while risking chronic health problems.

B is a talented and motivated employee who has made innumerable sacrifices to get ahead at work. She is stressed by the knowledge that her productivity is always being analyzed and feels pressured to use any possible advantage to be the best. She takes a medication that makes her mentally sharper but could endanger her health.

A is maligned baseball star Alex Rodriguez. B is your co-worker with the newly acquired job title who seems to work 90 hours per week, escaping fatigue by inexplicable means.

Opinion: How A-Rod let us down

Is there really a significant difference between A and B, other than how much A has been publicly criticized? Not really. Their actions stem from the same premise: In competitive professional environments, winners do whatever is necessary to triumph.

Your new VP may lack A-Rod's bulk and salary, but they share a common style.

Rodriguez was recently suspended for 211 games for an alleged connection to a Florida clinic that has been accused of supplying professional athletes with performance-enhancing drugs. Even casual fans realize this action is the equivalent of a guilty verdict for doping.

Your enthusiastically efficient, work-obsessed colleague with the new job title and beautifully renovated office down the hall shares a similar philosophy as athletes accused of doping: Take advantage of any available mechanism to succeed. Consequently, Person B pursues the controversial advantage conferred by "neuroenhancement" medications.

In theory, these act as steroids for the mind. They include mixed amphetamine salts and other medications approved to treat attention-deficit hyperactivity disorder, or ADHD. Whether or not the medications objectively enhance cognitive performance is still under investigation. There are theorized risks of increased rates of hypertension, heart failure and psychosis with their use, but there is no definitive evidence that the use of neuroenhancement medications imposes these risks.

Nonetheless, some researchers are documenting that U.S. college students and professionals are increasingly using neuroenhancement medications for "nonprescription use," which may include the use of the medication in healthy adults seeking a cognitive advantage.

As contentious as the research on neuroenhancement may be, there is even less controlled research looking at the objective results and adverse effects of performance-enhancing drugs in athletics.

Regardless of the outcomes that these medications achieve, the motivations of their consumers are the same. Whether doping for physical or cognitive enhancement, both parties are using medications with indeterminate efficacy and risk to obtain an advantage. The only difference is the level of regulation and scrutiny of the abusers and who is more likely to be punished for the abuse.

Fear of public shaming and prosecution should not drive decision-making when it comes to the illegal use of performance-enhancing drugs. A-Rod has a large number of critics; at least one of them must have tried neuroenhancement to dominate in the office. This person may label A-Rod as a "doper" and question the validity of his achievements without acknowledging that his or her motivations may stem from similar desires.

Fans who are critical of athletes need to apply the same standards to themselves and to the people in their lives. A pharmacologically derived professional advantage in the office should not be seen as more appropriate than a similar advantage gained in a stadium.

A-Rod could potentially sit for hundreds of games as a consequence of the accusations against him. Maybe your new VP should forfeit that fancy new office for 211 days to maintain a moral norm.

The opinions expressed in this commentary are solely those of Bryan Moore.

@highlight

Bryan Moore: People who take neuroenhancement drugs to be sharper similar to A-Rod case

@highlight

Moore says some may take mixed amphetamine salts, used to treat ADHD, to gain advantage

@highlight

He says these medications may carry health risks but won't get high achievers fired at work

@highlight

Moore: Perhaps professionals should face same scrutiny as athletes such as A-Rod