HAVANA, Cuba (CNN) -- Cuban President Raul Castro is taking over leadership of a country whose government believes its citizens are not working hard enough.

Raul Castro was chosen Sunday to take over Cuba's presidency from his brother, Fidel Castro.

The state-run newspaper recently ran an article headlined "Work: Option or necessity?"

The writer pointed out that, judging by the number of people in the streets during the day, many Cubans don't seem to be on the job.

They have few motivations to buckle down: Salaries average about $15 per month on the island, and Cubans get monthly food rations even if they don't work.  Watch a report on the realities in Cuba »

"There is a strong desire to protect and to gradually increase the incomes and savings of the population, particularly of those least favored," said Raul Castro, 76.

The black market is so widespread that Cubans have coined a special term for breaking the law to make ends meet: "resolver" -- literally, "to resolve."  See Cuba through I-Reporters' eyes »

The new president, who took the reins of power Sunday from his ailing brother, Fidel, 81, has said the country must become more productive.

"The country's priority will be to meet the basic needs of the population, both material and spiritual, based on the sustained strengthening of the national economy and its productive basis without which, I'll say it again, development would be impossible," Raul Castro said in a speech Sunday.

Cubans, too, are calling for reforms, though not all of them related to productivity.

In a recent video that has made the rounds on the Internet, a student poses tough questions to the president of Cuba's National Assembly, asking why Cubans cannot travel freely to resorts -- a practice derided by critics as "tourist apartheid."

Though such a public display of discontent is rare, the video echoed sentiments often voiced in private for years, particularly since the fall of the Soviet empire in 1991 and, with it, the loss of billions of dollars in subsidies.

Cuban officials counter that Cubans are not granted access to the nation's most luxurious spots because they do not have the foreign exchange brought by the tourists and needed to run the country's social programs, such as free health care and education.

With a new president steering the island nation for the first time in 49 years, some Cubans have allowed their expectations to rise.

"I think those expectations are really very large indeed and it'll be the Achilles heel, potentially, of this new government if it doesn't attack them with some vigor," said Hal Klepak, a professor of history and warfare studies at the Royal Military College of Canada in Kingston, Ontario.

Indeed, Castro has promised to move within a few weeks to improve efficiency by cutting some of the red tape that can frustrate the most fervent of revolutionaries.

But Wayne S. Smith, a senior fellow at the Center for International Policy in Washington and chief of the U.S. Interests Section in Havana from 1979 to 1982, predicted Sunday in an editorial in the Atlanta Journal-Constitution that Raul Castro will not break strongly from his brother's policies.

"Rather, we will see a peaceful transition and the existing system remain largely intact," Smith predicted.

Still, changes are inevitable, he said. "Raul Castro has called for a nationwide debate on the country's economic future and for Cubans to propose reforms in group discussions.

"He has also called for new proposals to raise productivity, including discussion of more private ownership of land. The Cuban people want change, want reforms that will bring about a better way of life."

Smith credited the younger Castro's leadership over the past 1½ years, while serving as acting president, with having already resulted in "a greater openness, and open criticism of certain government programs."

But the degree of change remains uncertain, as does the possibility that "even from the shadow Fidel will try to discourage reforms," he said, adding "the prognosis, nonetheless, is hopeful."  See a timeline of Castro's rise to power »

The U.S. government's former man in Havana recommended current politicians exert pressure on the island with a light touch.

"We could accomplish far more by reducing tensions and beginning a meaningful dialogue," he said. "Raul Castro has several times suggested such a dialogue. Why not take him up on it? We have disagreements, yes, but how do we resolve them without talking?" E-mail to a friend

CNN's Morgan Neill contributed to this story.

@highlight

Cuban President Raul Castro says the country must become more productive

@highlight

Castro has promised to improve efficiency by cutting some red tape

@highlight

Expectations rise as a new president leads Cuba for the first time in 49 years

@highlight

Rare public displays of discontent show frustrations faced by Cubans