A judge's decision 27 years ago to throw the book at Jonathan Pollard still reverberates today.

Tuesday's news headlines focused on an effort to save imperiled Middle East peace talks, with a possible deal including Pollard's release from the life prison sentence that the U.S. naval intelligence analyst received in 1987 for providing stacks of classified documents to Israel.

Then as now, the case involves a convergence of diplomatic, political and religious issues that strain U.S.-Israel relations and evoke emotional, bordering on zealous, reactions in both countries.

To the U.S. intelligence and justice communities, Pollard is a turncoat who betrayed his oath and country, not an American Jew who acted out of allegiance to Israel.

U.S. intelligence community: no early release

"Mr. Pollard's apologists portray him as a sort of dual patriot: loyal to the United States, but also motivated to help Israel," former FBI lawyer and national counterintelligence official M.E. Bowman wrote in the New York Times in January. "In fact, he was primarily a venal and selfish person who sought to get rich."

To many Israelis and American Jews, Pollard wanted to help a U.S. ally by providing Israel intelligence information he believed the country should have. Israel has repeatedly sought Pollard's release over past decades.

"It is time for the American Jewish community to put the Pollard case to rest—not by letting him rot in prison, but by standing up against a real injustice," said an editorial in Tablet Magazine,  an online journal dedicated to Jewish affairs, in response to Bowman's op-ed.

Will U.S. free spy Jonathan Pollard?

On March 4, 1987, U.S. District Judge Aubrey Robinson Jr. rejected a plea agreement reached by federal prosecutors and Pollard that offered the possibility of something less than the maximum life sentence in return for an admission of guilt.

Journalists covering the case believed Pollard would get 25 years and perhaps less, with the chance for early parole, recalled CNN's Wolf Blitzer, whose book "Territory of Lies" chronicled the case. If he had been given the lesser sentence, Pollard would be free today.

Maximum sentence

Instead, Robinson imposed the maximum life term, meaning no chance for parole for at least 25 years.

According to Blitzer's book, Robinson cited the damage to U.S. national security caused by Pollard's leaks, as then-Defense Secretary Caspar Weinberger asserted in a classified memo to the court.

In the memo, parts of which were later declassified and published in Blitzer's book, Weinberger said he sought to "dispel any presumption that disclosures to an ally are insignificant; to the contrary, substantial and irrevocable damage has been done to this nation."

The memo noted that many documents that Pollard gave Israel were originals that included details on sourcing and the identifications of U.S. agents abroad, potentially putting them at risk.

"Unauthorized disclosures to friendly powers may cause as great a harm to the national security as to hostile powers because, once the information is removed from secure control systems, there is no enforceable requirement nor any incentive to provide effective controls  for its safekeeping," Weinberger's memo said, according to Blitzer's book.

"Moreover, it is more probable than not that the information will be used for unintended purposes," the memo continued. "Finally, such disclosures will tend to expose a larger picture of U.S. capabilities and knowledge, or lack thereof, than would be in the U.S. interest to reveal to another power, even to a friendly one."

The Tablet Magazine editorial, however, argued that the Pollard detractors overstated the risk created by the materials he provided to Israel, saying "the suggestion that passing satellite photos or communications intelligence to a friendly country is a crime on a par with causing the death of a U.S. agent in the field defies common sense."

Possible agreement

An Israeli official told CNN on Tuesday that Pollard could be released before the upcoming Jewish holiday of Passover as part of an agreement to extend the Israeli-Palestinian peace negotiations into 2015.

Under the proposal, the Palestinians would refrain from taking their case for statehood to international bodies such as the United Nations while the talks continue, the Israeli official said.

Meanwhile, Israel would release more Palestinian prisoners and limit its construction of new settlements in disputed territory, according to sources familiar with the talks.

A Palestinian spokesman dismissed reports of any deal, and U.S. Secretary of State John Kerry also said that no agreement existed "at this point in time regarding anyone, or any specific steps," adding "there are a lot of different possibilities in play."

At the White House, spokesman Jay Carney said U.S. President Barack Obama has made no decision on releasing Pollard. However, Carney made clear that the paramount goal remained a Middle East peace agreement.

"The need for and benefits of a peace between the Israelis and Palestinians, a peace that provides the Palestinians with their own state and provides security to a democratic Jewish state of Israel transcends (the Pollard) issue and any others that are part of the discussions that we have," Carney said.

Israeli hardliner: Don't free murderers to get Pollard out

In Israel, hardliners who support the release of Pollard say it should happen as part of the U.S. judicial process, rather than in a deal involving the release of Palestinian prisoners.

Uri Ariel of the Jewish Home Party said he opposed freeing "murderers" in exchange for Pollard's release.

Meanwhile, a U.S. law enforcement official told CNN that Pollard effectively withdrew his parole application on Tuesday by waiving a hearing. There was no immediate explanation for the move by Pollard, who is eligible for parole in November 2015.

Charles Leeper, a former U.S. attorney who prosecuted Pollard, told CNN's Evan Perez that any decision to let Pollard out should include a specific condition.

"If the professional diplomats and intelligence officials do decide to release Pollard to Israel," he said, "in my opinion, it should only be on the condition that Israel agrees to keep him and will not try to send him back."

Opinion: Trade a spy, get Middle East peace?

@highlight

The life sentence given to a spy for Israel in 1987 still reverberates today

@highlight

Israel has sought Jonathan Pollard's release for decades

@highlight

U.S. intelligence and justice officials oppose any early release

@highlight

The issue touches on diplomatic, political and religious concerns