(CNN)Romance. Suspense. Good versus evil. On the surface, Rwandan radio soap opera "Musekeweya," or "New Dawn," feels familiar. Like a Rwandan "Romeo and Juliet," it tells the story of lovers from two different villages at odds with each other.

But listen closely.

Burrowed in the narrative of "Musekeweya" is a metaphor for the genocide that took place in Rwanda over the course of 100 days in 1994, when Hutu extremists massacred over 800,000 Tutsis and moderate Hutus. "Musekeweya" conveys a message of healing and reconciliation.

Dutch photographer Anoek Steketee and filmmaker Eefje Blankevoort were in Rwanda in 2008 when they first heard "Musekeweya."

"We were intrigued by this radio soap, its background and its popularity in Rwanda," Steketee said. "Almost everyone we spoke to on the streets knows the program and can name at least five characters."

Launched in 2004 by Radio La Benevolencija, a Dutch nongovernmental organization, "Musekeweya" is broadcast on the same frequency that was used in 1994 to incite murder.

When they heard the show, Steketee and Blankevoort were immediately interested in its effect on Rwandan society.

"It shows people how to resist manipulation by charismatic leaders, how to prevent outbursts of group violence and how to deal with trauma," Steketee said.

The radio drama raised important questions for Steketee and Blankevoort, and they wanted to explore the way this fiction could contribute to real reconciliation.

"Is this positive programming simply a veneer in a country still grappling with deep trauma?" Steketee asked.

Steketee and Blankevoort began exploring this issue first through photography. The story, however, proved to be more complex.

"We came to the conclusion that we needed to provide a context, use the audio of the soap and find a form to tell a layered, nuanced story of the relation between the fictional story of the radio soap and the daily reality of contemporary Rwanda," Steketee said. "A Web documentary was for us the ultimate way to tell this story."

Steketee and Blankevoort's documentary, "Love Radio," combines the story from "Musekeweya" with behind-the-scenes insights from everyday Rwandans and people involved in the making of the radio drama.

"This is where we ask critical questions about the positive image portrayed and reveal what is not said on air," Steketee said. "Actors and audience have their say, thereby painting a picture of contemporary Rwanda."

Just as "Musekeweya" balances between fact and fiction, Steketee's photographs are not pure documentary. They serve, rather, as "a tool for the imagination," Steketee said. They are moody and evocative and reflect the struggle Rwandans face as they come to terms with the horror of two decades past.

"I photographed listeners in their homes, on the streets, during the broadcast of "Musekeweya,' " Steketee wrote in an e-mail. "These photographs are combined with poetic, gloomy photographs of (guilty) landscapes and well-paved empty streets. I have tried to capture the veneer that covers the complex and tense social fabric of Rwanda today."

The popularity of "Musekeweya" is evident in the amount of fan mail its makers receive each week. Listeners identify with the characters and have opinions about their actions.

"Rutaganira and Zaninka, stop spoiling Rwandan society," one listener wrote. "Enough is enough with your divisive thoughts."

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Steketee says it is difficult to understand what Rwandans really feel because of an authoritarian political system.

"There is rather a climate of control than dialogue," she said. "Resentments and distrust persist. Inequality and hardships are still there."

Underneath the tension, however, lies the desire to heal.

"Rwanda is doing remarkably well," Steketee said. "There is a lot of goodwill from everybody to restore the community. There have been good examples of restoration of trust and reconciliation."

Anoek Steketee is a Dutch photographer. She is represented by gallery Gabriel Rolt.

@highlight

"Musekeweya," or "New Dawn," is a popular soap opera in Rwanda

@highlight

The radio show conveys a message of reconciliation decades after genocide

@highlight

Dutch photographer Anoek Steketee explored the show's effect on Rwandan society

@highlight

View high-resolution photos of Steketee's "Love Radio" project