(CNN)A year later, it still sounds impossible: A sophisticated $270 million airliner carrying 239 people disappears, leaving very few clues about where it went.

But did the tragedy of Malaysia Airlines Flight 370 really have to be such a mystery?

Maybe not.

Lingering questions -- and the trauma experienced by friends and family of passengers and crew of the Boeing 777-200ER -- all might have been avoided if already proven technology had been put into place.

Believe it or not, in our modern world, airplane tracking technology has yet to enter the 21st century.

Take GPS for example. Why aren't air traffic controllers using it to constantly track all commercial airliners?

How about communicating with satellites? Why don't all airliners stream their so-called black box data to satellites in real time?

The technology is available. Yes, it's expensive, but so is searching hundreds of thousands of square miles of vast ocean.

Let's break it down. Flight 370 had eight ways to communicate with the ground while in flight:

• Five very high frequency and high frequency radios that could transmit and receive voice and data transmissions.

• Two transponders that could send identification and altitude data to air traffic control radar screens.

• One satellite transceiver that could transmit and receive text messages and phone calls.

Despite this technology, the world lost track of the flight with the airline industry codename MH370. To understand why, you first have to know a little about the technology and the gaps in the system.

Throughout most of the world, air traffic controllers still track airplanes with radar -- which uses technology dating back to the 1940s.

Radar is reliable, but it is limited. It comes with large gaps in coverage areas. Aircraft flying more than about 200 miles from land over oceans are not tracked by air traffic control radar screens.

Radar covers only about 2% or 3% of the planet's surface, experts say. The rest is a virtual aviation no man's land.

If an aircraft's transponders are turned off, an aircraft can be seen only through so-called primary radar. In these cases, air traffic controllers see only a blip on radar screens. The blip isn't identified and the plane's altitude is unknown.

In a nutshell, here's the electronic communication from Flight 370 after it left Kuala Lumpur on March 8, 2014:

• Nearly 30 minutes after takeoff, the plane sends a text via satellite that confirms it's headed to Beijing, as expected.

• Later, the plane sends a final radio call as it transitions between Malaysia air traffic controllers to controllers in Vietnam. But air traffic controllers in Ho Chi Minh City never heard from the crew.

• Three minutes after the radio call, the plane's two transponders mysteriously cease transmitting.

• But  primary radar operated by the military in Malaysia and Thailand is able to track the 777 for limited periods without its transponder being on.

• Later, an orbiting satellite checks in with the plane's satellite transceiver, kind of like a cell tower pinging a mobile phone. The aircraft responds electronically --  "shaking hands" with the satellite. This provides evidence that Flight MH370 ended somewhere in the southern Indian Ocean.

All of these clues offer us only a few scraps of information that leave investigators with very little to go on. It leads them to an almost inescapable conclusion: Whatever happened on MH370 was likely deliberate, experts say.

We might know more if the plane's transponders had remained active. In the wake of the tragedy, some called for airlines to modify their transponders to prevent anyone from being able to shut them off in flight.

But many pilots oppose that idea as a safety issue. They want to be able to turn off any electrical system on board in case of a fire or other in-flight emergency.

We might know more about what happened to MH370 if air traffic controllers used orbiting satellites to track airliners, instead of radar.

In the United States it's called the Next Generation Air Transportation System, or NextGen. An aircraft outfitted with this system determines its location using GPS and transmits that data back to controllers by radio -- which has a greater range than radar. The  technology is called Automatic Dependent Surveillance Broadcast, or ADS-B. It is the keystone component of NextGen.

But still, when an aircraft flies over the ocean, it will be out of range.

So the industry is testing a space-based system -- where planes would  determine their position via GPS satellites and report those coordinates via communication satellite network wherever they are in the world.

There are numerous technical details that need to be worked out, but moving from spinning radar domes to orbiting satellites could eventually make blind spots in airliner tracking a thing of the past.

Another emerging technology that might have helped us know more about what happened is called AFIRS, the Automated Flight Information Reporting System, developed by a Canadian company called FLYHT.

AFIRS monitors what the flight data recorder, one of the so-called "black boxes," is seeing. It starts transmitting key information automatically when it senses trouble or at the command of the flight crew or dispatchers on the ground.

Canada's First Air is among the first airlines to equip its fleet with AFIRS, which costs $100,000 per plane.

If all airliners were equipped this way, we could know a flight was in trouble even if the crew could not communicate by other means. It could make searching for the black boxes a thing of the past.

In the months since MH370 was lost, international aviation authorities have moved toward tracking airliners more closely.

The International Air Transport Association has announced new tracking mandates for member airlines, but there are no plans to require streaming data.

And this week, Australia's air traffic control manager, Airservices Australia, announced a test partnership with Malaysia and Indonesia to track long-haul flights over remote ocean routes.

They'll use satellite-based positioning technology to track flights at least every 15 minutes -- improving on the previous tracking rate of every 30 to 45 minutes, Airservices Australia said in a statement. "The system can be increased to real time monitoring should an abnormal situation arise."

Would any of these improvements in airline communication technology have helped the world learn what happened to Flight 370?

Possibly.

Unfortunately, we may never know for sure.

Although technology continues to shrink the planet in terms of communication, the tragedy offers a bitter reminder of how easy it still is to lose an entire airliner full of people.

@highlight

Modern tracking technology might have helped solve the mystery of Malaysia Airlines Flight 370

@highlight

A year after MH370 vanished, airline tracking is still largely the same

@highlight

Most airliners use ground radar instead of satellites; tracking over oceans is spotty, at best