(CNN) -- Before this week, most Americans had likely never heard of Kyrgyzstan and even fewer could place it on a map.

But the central Asian nation, which is about the size of South Dakota, is important to U.S. foreign policy for one simple reason: a vital military base through which tens of thousands of troops pass every month on their way in and out of Afghanistan.

The fate of the Manas Transit Center was thrown into question Wednesday when Kyrgyz President Kurmanbek Bakiev was forced to flee the capital after angry mobs seized government headquarters. Fighting between police and protesters left 75 people dead and hundreds injured, authorities said Thursday.

The protesters say they are in control of the government, but Bakiev sent word Thursday from southern Kyrgyzstan that he is not abandoning his duties.

The United States likely will retain use of the Manas facility even if Bakiev's opponents secure control of the government, said Alexander Cooley, a central Asia expert at Barnard College.

Latest news out of Kyrgyzstan

"It's going to survive, but it's going to generate a lot of noise, uncomfortable negotiations and a lot of hard bargaining," said Cooley, author of "Base Politics."

The Manas base plays a major role in internal Kyrgyzstan policy on several levels.

For starters, it is a major source of income in the small nation, which has a gross domestic product of less than $12 billion a year, according to the CIA World Factbook.  The nation ranks 143rd in the world in terms of its GDP.

In exchange for use of the base, the United States provides about $180 million in aid to Kyrgyzstan each year, Cooley said. Although the United States does not pay rent for use of any bases in the world, Cooley said, about $60 million of the Kyrgyzstan aid is considered payment for access to the Manas facility.

In addition, Cooley said, Bakiev's political opponents say the United States pays about $160 million a year to buy fuel for American aircraft using the base.

"The base is as much an economic investment as much as it is a security investment," Cooley told CNN. "Kyrgyzstan does not have a lot of economic assets. That's why the base is important."

But the base also has deep significance to Bakiev's opponents, who see it as a symbol of the deposed president's corruption and U.S. complicity in his abuse of power.

"The United States stayed silent as Bakiev built a criminal state," Cooley said.

iReport: Are you there? Share photos, video

Political opponents believe that aid paid for use of the base went into Bakiev's pockets, not the country's coffers.

"That money went to companies and shady off-shore enterprises controlled by the family," said Cooley. "It's the actual site of tacit deals and corruption."

The new government has said it will address citizens' concerns.

Kyrgyzstan has had a troubled history since shortly after gaining independence when the Soviet Union collapsed in 1991. Also gaining independence that year were the three other "stans," as some people commonly refer to the region: Kazakhstan, Tajikistan and Uzbekistan.

"Kyrgyzstan seemed to be in the 1990s the one bright spot," Cooley said.

Askar Akaev, who had been president since 1990, started off as a good leader, Cooley said, "and politics were pretty pluralistic. Then, he started regressing."

Akaev increasingly turned to repression.

"As they do, he stayed a few years too many," said Cooley. "Bakiev was bad, but Akaev was a real thug."

As happened this week, opponents took to the streets in 2005 and drove Akaev from power. Bakiev won election as president in July 2005.

But he, too, soon started to maneuver to increase his power and consolidate control.

Demonstrations by political opponents in April, May and November 2006 led to the adoption of a new constitution that gave some of the president's powers to parliament and the government. A year later, the parliament voted to restore some of those powers to the presidency.

In September 2007, the new constitution was declared illegal, and Bakiev resumed having the presidential powers he had inherited when taking office.

"The president then dissolved parliament, called for early elections and gained control of the new parliament through his newly created political party, Ak Jol, in December 2007 elections," the CIA World Factbook says. "In July 2009, after months of harassment against his opponents and media critics, Bakiev won re-election in a presidential campaign that the international community deemed flawed.

"Just a few months later in October, Bakiev engineered changes in the government structure that further consolidated his already considerable hold on power."

The CIA World Factbook says concerns about Bakiev's rule, "included privatization of state-owned enterprises, negative trends in democracy and political freedoms, endemic corruption, improving interethnic relations, electricity generation and combating terrorism."

That such turmoil should fall upon such a country seems incongruous to some.

"Kyrgyz are great," Cooley said. "They are very hospitable. Very mild-mannered."

The CIA World Factbook describes Kyrgyzstan as a land of "incredible natural beauty and proud nomadic traditions."

With an estimated 2009 population of about 5.4 million, Kyrgyzstan ranks No. 111 among nations.

It is a landlocked country and entirely mountainous, with 94 percent of the nation 3,280 feet (1,000 meters) above sea level and an average elevation of 9,000 feet (2,750 meters), the CIA World Factbook says. The topography includes many tall peaks, glaciers and high-altitude lakes.

Nearly two-thirds of the nation's citizens belong to the Kyrgyz ethnic group, while nearly 14 percent are Uzbek and more than 12 percent are Russian, the CIA World Factbook says. Likewise, nearly 65 percent of the people speak Kyrgyz, which is the official language. Nearly 14 percent speak Uzbek and Russian is the language for more than 12 percent.

Three of every four citizens are Muslim and one in five are Russian Orthodox.

Although Kyrgyzstan shares a 533-mile (858-kilometer) border with China, most people identify with mother-nation Russia. Kyrgyzstan was formally annexed to Russia in 1876 and became a Soviet republic in 1936.

"There's a strong cultural affinity to Russia due to media, education and the Soviet legacy," Cooley said.

Still, China is knocking at the door.

"China has moved in, but it's been a very recent development," said Cooley. "Last year, China did a lot more trade there than Russia did. But there's very little cultural affiliation with China."

There is no seeming affinity for the United States, a distant nation tied in the minds and hearts of many Kyrgyz to corruption at home.

The question that remained unanswered this week was whether millions of dollars in U.S. aid would provide enough affiliation to allow continued use of the Manas Transit Center.

@highlight

Central Asian nation is home to a military base that's vital to U.S. in Afghanistan war

@highlight

Kyrgyzstan initially showed great promise after the break-up of the Soviet Union

@highlight

Its rulers eventually fell into repressive rule; some residents say U.S. turned blind eye

@highlight

China is beginning to make economic inroads with the landlocked nation