Washington (CNN)The U.S. said Tuesday that deploying warships to Yemen to monitor nearby Iranian vessels has given America "options" for how it could react to Iran's behavior in the region.

The warships are being deployed to monitor ships traveling from Iran that could be trafficking arms to Houthi rebels in Yemen, U.S. officials told CNN, saying the move was also meant to reassure allies in the region.

"By having American sea power in the region, we have created options for ourselves," said Pentagon spokesman Col. Steve Warren.

He noted that the nine ships in the Iranian convoy were cargo ships, but he declined to specify what they were carrying beyond "containers." International officials are concerned that Iran could surreptitiously attempt to transfer weaponry to the Houthis.

President Barack Obama told MSNBC that the United States has been clear in its messages to Tehran on sending weapons to Houthi rebels inside Yemen.

"What we've said to them is if there are weapons delivered to factions within Yemen that could threaten navigation, that's a problem," Obama said in the interview, a clip of which aired on NBC Nightly News.

"We're not sending them obscure messages, we send them very direct messages about it," Obama said.

While the Iranian ships remain in international waters, the U.S. and other partner nations can keep an eye on the Iranian ships to see if they move toward Yemeni territorial waters. But it would be an extraordinary step and certainly not a foregone conclusion that the U.S. would attempt to board an Iranian ship if it entered Yemeni waters, U.S. officials said.

"I want to be very clear just so that no one has the wrong impression. They are not there to intercept Iranian ships," State Department Spokeswoman Marie Harf told reporters Tuesday. "The purpose of moving them is only to ensure that the shipping lanes remain open and safe."

Warren too added that he was unaware of any direct contact between the American and Iranian vessels at this point.

The Obama administration and U.S. defense officials maintain the primary purpose of positioning additional U.S. warships in the region is to ensure the free flow of commerce through established international shipping lanes and to ensure maritime security in the region. There is a message for Iran as well.

A U.S. military official told CNN that aircraft from aboard the USS Theodore Roosevelt are also conducting "manned reconnaissance" to monitor all maritime traffic moving through the area the Roosevelt is operating in to determine what is going on there in order to assist in making informed decisions.

This official stressed that the repositioning of U.S. ships in the region was taken in order to assure the freedom of navigation through established international shipping lanes and ensuring maritime security and not to interdict Iranian ships.

The Roosevelt aircraft carrier and the guided missile cruiser USS Normandy were the two ships the Navy moved into the waters off the coast of Yemen on Sunday. At this stage, there are nine U.S. naval ships operating off the coast in Yemen.

"The United States alongside the international community, including the United Nations, is serious about the Iranians not providing weapons to the Houthis," White House Press Secretary Josh Earnest told reporters Tuesday. "Providing weapons to the Houthis only exacerbates the violence and instability in this region in a way that will have continued terrible impact on the humanitarian situation in the country."

The heightened tensions could have broader consequences for the relationship between the U.S. and Iran, coming weeks after the announcement of a framework agreement to limit Iran's nuclear program. Officials on Capitol Hill and elsewhere pointed out that the situation in Yemen adds an additional challenge when it comes to reaching a final deal.

"I don't think this changes something directly, but it does highlight that Iran has a number of activities around the region and around the world that are problematic," Texas Rep. Mac Thornberry, the Republican chairman of the House Armed Services Committee, told CNN Tuesday. "It includes their missile program, it includes their growing influence in Iraq, it includes their propping up of (President Bashar al-) Assad in Syria and their fueling this war in Yemen."

U.S. warships from the carrier group of the Roosevelt are joining allied vessels from Saudi Arabia, Egypt and other partner nations prepared to intercept a convoy of seven to nine Iranian vessels believed headed for Yemen.

"We are closely monitoring all maritime activity in the Arabian Sea and Gulf of Aden," Cmdr. Kevin Stephens of the Fifth Fleet told CNN. "We not going discuss the number and types of vessels we are monitoring or speculate about the possible destination or cargo of those vessels."

When asked about warnings from Saudi Arabia and the U.S. to keep Iranian navy ships away from Yemen, the commander of Iran's Regular Navy, Flotilla Adm. Habibollah Sayyari, said his fleet was operating legally.

"We don't let anyone give us warnings and threats, because we are working according to international law and regulations," he said. "And we work for the security of our country and other countries."

Sayyari added that Iranian navy ships in the area were there to combat piracy and secure the safe transfer of goods through the waters.

U.S. ships do not have authority to forcibly board Iranian-flagged ships. Earlier this month, a U.S. Navy ship consensually boarded a Panamanian-flagged vessel suspected of trafficking people, drugs or weapons. Nothing was found.

The U.S. warships come to a region seeing a good deal of U.S. military activity.

The Roosevelt in particular only recently arrived in the theater and had been in the Arabian Gulf supporting Operation Inherent Resolve in Iraq and Syria, according to Stephens.

Sen. John McCain, R-Arizona, told CNN's Wolf Blitzer on the "Situation Room" that he would only endorse U.S. air power against Yemen if it was the only option.

"It is a very serious escalatory step," he said on Monday. "If you're going to use U.S. air power, what else is going to happen to make sure you stop the Houthis?"

McCain blamed President Barack Obama's foreign policy for the deteriorating situation.

"It was very obvious to many of us that this did not have to happen," McCain said. "We did not take care of the regime that was in place, the president that was in there. It is a symptom of our failure throughout the Middle East."

CNN's Jim Acosta, Frederik Pleitgen, Theodore Schleifer and Deirdre Walsh contributed to this report.

@highlight

U.S. Navy moves aircraft carrier, cruiser to waters near Yemen

@highlight

U.S., allied ships prepared to intercept Iranian vessel if they enter Yemen's waters

@highlight

Iranian admiral says his country's ships operating legally