LONDON, England (CNN) -- An American professor doing research in London stumbled across a series of previously unknown letters written by, to, and about Benjamin Franklin, a stunning find that sheds new light on early U.S. history.

The letters cover Benjamin Franklin's success in dealing with a British general.

The collection of 47 letters are hand-written copies made 250 years ago, when Franklin lived in London. That they were filed under the copyist's name, not Franklin's, may explain why they were overlooked by historians until now, said a curator at the British Library, where the letters are held.

The find is reported in the April issue of the William & Mary Quarterly, a journal of early American history and culture.

The letters are important in large part because they offer a "wealth of new details" that affect modern understanding of Franklin, writes Alan Houston, the political science professor who discovered the letters in the spring of 2007.

They also raise the question of how many other documents remain waiting to be found on Franklin and his life.

Houston, a professor at the University of California at San Diego, discovered the letters on the last day of his last research trip to London, just before the library's closing time.

"The first item was a letter from Benjamin Franklin to the secretary of the governor of Maryland, and I looked at it and I started to read, and I thought, 'This doesn't look familiar,'" Houston told CNN. "I've read everything Franklin ever wrote."

Houston said he quickly began to realize he had uncovered something previously unknown to historians.

"I swear, I just about shot through the ceiling I was so excited," he said. "It's like finding a treasure chest."

Houston had been working at the time on a book on Franklin, "Benjamin Franklin and the Politics of Improvement," published last year.

The letters cover Franklin's success in dealing with British Gen. Edward Braddock, who had been sent to Pennsylvania in 1755 to defeat the French at Fort Duquesne, in modern-day Pittsburgh.

The march to retake the fort was part of the French and British battle for control of the western lands in the colonies, part of a larger struggle for control of North America, Houston said.

The problem was that Braddock was given no horses or wagons when he arrived in America -- no means of transport for him and his 2,000 redcoats. Braddock started to blame his hosts, so Franklin -- the Pennsylvania assembly's leading politician -- stepped in to help.

Franklin went all over Pennsylvania trying to persuade farmers to lend their horses and wagons to Braddock and his men. It wasn't easy, because the farmers were tough negotiators who were also anxious and suspicious of the effort.

Eventually, Franklin managed to get the farmers to agree, and within weeks, Braddock and his men were on the march.

Braddock suffered a devastating defeat before he even reached the fort, however, when a much smaller contingent of French and Indian soldiers surprised the British. They killed Braddock and about 1,000 of his men.

Despite the defeat, Franklin's success -- in what became known as "the wagon affair" -- highlighted his skill as a colonial leader, Houston said.

When Franklin was sent to London in 1757 as a representative of the assembly, he brought with him a collection of letters detailing that success. It was proof of his political value to Great Britain and that the assembly's loyalties had been on the right side.

This collection of letters, which Franklin referred to in his autobiography as his "quire book," was never found, however -- until now.

Houston said he believes the documents he read at the British Library are copies of that collection. They were made by Thomas Birch, an industrious and obsessive transcriber of historical documents who copied anything he could get his hands on.

"There was a vogue. It was very common for letters to be copied," said Matthew Shaw, curator of the U.S. collections at the British Library. "Birch was very well known for being a copyist."

Birch and Franklin were friends in London, both members of the Royal Society, and Houston said he believes the copies were made sometime between 1757 and 1758.

"Birch undoubtedly found Franklin's quire book captivating, and he appears to have copied anything that remotely interested him," Houston writes in the journal.

Also, Braddock's campaign and defeat were widely discussed in London, and "Birch may have wanted to capture a crucial moment in the life of the (Royal) society's most famous American member."

Birch's transcripts were filed in the British Library as "Copies of Letters relating to the March of General Braddock." They form part of the massive Birch Collection containing the hundreds of volumes of his copies that Birch bequeathed to the library on his death, said Shaw.

They weren't properly catalogued until the early 1970s, Shaw said, which is largely why they haven't been used by scholars.

"It's the first time they've really been shared with a wider audience," Shaw told CNN. "We're very pleased."

@highlight

Collection of letters by, to, and about Benjamin Franklin found in London

@highlight

Letters were copied by hand and had been filed under copyist's name

@highlight

Letters concern war between British and French for control of North America

@highlight

Franklin was sent to London in 1757 to represent Pennsylvania's assembly