Washington (CNN) -- President Barack Obama will use Tuesday's State of the Union address to frame the message of his re-election campaign.

The annual speech to Congress will lay out in clear terms a theme he's been repeating recently about economic inequality and a government that should ensure "a fair shake" for all.

Democratic sources briefed on the draft speech say it will describe a "blueprint for an economy that's built to last."

That blueprint will focus on manufacturing, energy, education and middle-class values, according to a video released on the Obama's campaign website and Democratic sources who have been briefed on the address.

A Democratic source briefed on the latest draft of the speech said Obama will include a series of proposals, including:

-- Tax reform so that wealthy Americans pay more and the Bush tax cuts of 2001 and 2003 expire

-- More refinancing for homeowners in trouble

-- Additional tax breaks for companies that bring back jobs to the United States

-- More clean energy incentives

-- Enhanced education and job-training initiatives, especially for high school graduates seeking technical degrees

-- Establishment of the so-called "Buffett Rule" that would set a minimum tax rate for people earning more than $1 million.

The president has proposed such steps previously as part of his administration's efforts to spur the nation's still sluggish recovery from the recession.

Given the treacherous state of the economy, the president's campaign aides are attempting to make the theme of the upcoming election a choice about the role of government and the future of the middle class -- not a referendum on the president's handling of the economy.

They say this speech and its underlying theme -- income inequality -- go a long way to shaping that message.

The president will continue to challenge Congress over the ongoing gridlock that blocked most elements of his jobs bill and embroiled Washington in a debt fight last summer.

One Democratic official said the president will offer to work with Congress if Congress agrees to work with him. However, this official acknowledged that Obama's tone will not differ significantly from the approach he's taken in recent months when he's attacked Republicans in Congress for general inaction.

The speech will build on a theme the president laid out in Kansas last month -- that in today's economy, the game has been rigged against the nation's middle class. Obama will say he wants to return to the "values" that define America, where hard work pays off and where responsibility -- not recklessness -- is rewarded.

In a December 6 address in Osawatomie, Kansas, Obama described stark differences between a Republican ideology he described as leaving people to fend for themselves and his vision of government that helps provide equal opportunity for all Americans regardless of where they begin in life.

"It's not a view that we should somehow turn back technology or put up walls around America," Obama said. "It's not a view that says we should punish profit or success or pretend that government knows how to fix all society's problems.

"It's a view that says in America, we are greater together -- when everyone engages in fair play, everyone gets a fair shot, everyone does their fair share."

Democratic sources told CNN on Sunday that the bullet points of Obama's blueprint will focus on American manufacturing, including "insourcing" -- or bringing back jobs from overseas.

The sources say he'll argue that during his term, the United States has seen the manufacturing industry grow for the first time in 15 years -- especially in the auto industry that he helped with bailout funds.

On the topic of energy, the president will stress alternative energy development and energy independence from unfriendly nations. He'll also tout his record of doubling fuel efficiency standards for cars and trucks.

The address will include new proposals to prepare American workers and students for the jobs of the future. Obama will also suggest job training for the long-term unemployed and veterans, the sources said. He'll also highlight his record of expanding Pell grants for college students.

Throughout his speech, the president will weave in an emphasis on what his administration calls middle-class values, and that this is make-or-break moment for that segment of American society, likely putting it into stark terms, according to the sources. He'll suggest that the United States has a choice to either become a place where only the wealthy succeed, or it can level the playing field and give everyone an opportunity.

"They're big ideas, because we've got to meet the moment, and this speech is going to be about how we do it," the president's preview video released over the weekend said.

"We can go in two directions," Obama said. "One is toward less opportunity and less fairness. Or we can fight for where I think we need to go -- building an economy that works for everyone."

Democratic sources told CNN the draft version of the speech will also propose a task force to monitor and enforce trade rules with China, tough language on Iran and seek to put the president's foreign policy actions and vision in context.

The day after the speech, the president will begin a three-day swing to states that are expected to be battlegrounds in the upcoming election.

CNN's Ed Payne contributed to this report.

@highlight

NEW: A source says President Obama will propose tax reform, clean energy incentives

@highlight

Obama's address will focus on manufacturing, energy, education and values

@highlight

Sources: Obama will discuss "insourcing," or bringing back jobs from overseas

@highlight

This will be the president's third State of the Union address