Need outside help to feed your family? You're in solid company. A new survey reveals that one in seven Americans -- more than 46 million people -- relies on charitable programs and services to get the nutrition they need to remain healthy.

The quadrennial Hunger In America report was funded by The Howard G. Buffett Foundation on behalf of the nonprofit hunger assistance group Feeding America, and compiled from answers to confidential surveys filled out by over 60,000 individual recipients of food aid and 32,000 surveys completed by the group's network agencies.

The results paint a portrait of an America still struggling to meet its most basic needs in the wake of an economic downturn.

The survey was conducted during a historically high demand for food assistance, with unemployment and poverty rates remaining high after 2008's recession. While the number of households receiving nutrition assistance from the federal government's Supplemental Nutrition Assistance Program (previously known as food stamps) increased by approximately 50% between 2009 and 2013, the report found that this was matched by radically increased need for outside charitable resources.

How to feed your family from a food bank

So who is going hungry? Children, military families and the long-term unemployed -- and it's taking a toll on the nation's health.

"The results from this historic study are truly alarming. Many of the people we serve struggle not only to get enough to eat, but also to keep a roof over their heads, the lights on in their homes, and to cover their  healthcare and medicine costs," said Bob Aiken, CEO of Feeding America, in a statement.

The federal government defines "food security" as all people in a household having enough food for a healthy lifestyle at all times. According to a 2012 USDA report, more than one in seven households reported not meeting that criteria at some point during that year. Around 7 million of those included a family member who skipped meals or went hungry so that other members could have enough to eat.

Of the households included in the Hunger In America survey, 66% reported having to choose between paying for food and paying for medicine or medical care, 79% of households purchased the cheapest food available, even if they knew it wasn't the healthiest option. Thirty-three percent of those households include a member with diabetes and 58% include a member with high blood pressure -- both conditions are linked to poor nutrition.

How do you stretch your food dollars?

While SNAP provides some relief for the lowest-income families and vulnerable populations such as seniors, children and pregnant and post-partum women, the nation's 7% unemployment rate between late 2008 and late 2013 added significantly to the number of food insecure households. Many families considered "working poor" received no federal assistance because a member's employment, full-time or partial, nudged them over the maximum income allowed to qualify, even if others were unable to find employment.

It falls to charitable organizations, such as Feeding America's network of 200 member food banks to make up the shortfall. The group assists more than 46 million people annually, including 12 million children and 7 million seniors. Ten percent of its adult clients are students, and 20% of the families served include an active duty or veteran member of the military.

Among all of Feeding America's clients, 43% are white, 26% are black, and 20% are Latino. While just over half (55%) receive some assistance from SNAP, one in five survey participants indicated that they never applied for benefits because they assumed that they would not qualify.

Opinion: SNAP isn't about a 'free lunch'

On the national level, Aiken's group secures food from corporate manufacturers, retailers and suppliers, as well as government food supplies, and distributes them throughout its network, which encompasses all 50 states as well as Washington D.C. and Puerto Rico. Feeding America also provides its local networks with $30 million worth of grants annually, and assists with individual food banks' efforts to secure donations from local businesses.

Nearly 2 million volunteers provide the muscle -- 8.4 million hours' worth -- for the network's outreach each month, serving 3 billion meals over the course of the year. Still, hungry Americans are left with hard choices about how to keep their families healthy.

A query of Eatocracy readers in the wake of last November's SNAP cuts that left 47 million people with $36 a month less to spend on food revealed both innovation and sacrifice from both food bank volunteers and patrons alike.

"Soup is always good. You can make 10 servings of good hearty and filling soup for less than $10. Buy day or two old bread for toast, bread pudding or a breakfast. Many stores sell baked goods at a discount price once they are a day or two old. Purchase packed meats on their expiration day. You can often save $3-5 on such a meat package," wrote one respondent via Facebook.

Another emphasized the importance of advance planning, writing, "I'm homeless and I am still able to buy food and sometimes even meat! Why, because because I think about what I can buy before I get to the store with the money that I have! Aldis, Dollar General and Walmart are my usual choices. Hint, shop at the outside aisles because these are where the cheaper brands and clearance items usually are. I can forage for food better than most, so I leave the welfare for the welfare moms!"

In Aiken's eyes, the struggle for healthy food is one that all Americans must first acknowledge, and then help shoulder.

"The Hunger in America 2014 findings demonstrate the urgent need for all of us to address hunger in our communities," said Aiken. "This data provides a factual basis for decisions about how we as a nation approach hunger relief and protect our most vulnerable citizens."

@highlight

In the wake of 2008's economic downturn, a survey shows Americans are still struggling

@highlight

One in seven Americans relies on charitable donations to feed their families

@highlight

Two-thirds of households say they have had to choose between medical care and food

@highlight

The "working poor" often earn slightly too much to qualify for federal food benefits