(CNN)  -- By the year 2050, China will no longer be the most populous country in the world.

India will see its population grow by 700 million people by 2050, the U.S. Census bureau estimates.

That distinction will pass to India, where more than 1.8 billion people could be competing for their country's resources, according to the U.S. Census Bureau's International Data Base.

The 2007 population estimates from the U.S. Census Bureau and the United Nations Population Division set China's current population at around 1.3 billion people, and India's at around 1.1 billion. If population continues to grow at the estimated rate, such rapid growth in India between now and mid-century could lead to overpopulation and an uncertain future for the environment and the people living there.

And while organizations like the Population Institute and the United Nations Population Fund are working to promote the human rights and environmental consequences of overpopulation, not everyone views the newest population estimates with pessimism.

"Nothing ever continues at its present rate, neither the stock market nor population growth," said Doug Allen, the dean of the school of Architecture at the Georgia Institute of Technology, and an expert in the history of cities and urban design, which he's taught for more than 31 years.

"There is a substantial body of evidence that the world population will flatten out in about 30 years," he said. "Built into that model would be an assumption that more of the world's population will become urban, and as such the population will begin to decline."

Citing historical evidence of falling birthrates in urban populations, Allen looks to Italy as a current example of the phenomenon.

"Italy right now [is] not at a point where it can sustain its current level. And I don't think that's because people in Italy have suddenly become aware of the need to conserve resources. I think it has more to do with decisions that are made by families on the margin not to have as many children."

Consequences of overpopulation

Overpopulation occurs when a population's density exceeds the capacity of the environment to supply the health requirements of an individual, according to the Environmental Protection Agency.

Environmentalists have long been concerned about the resources threatened by rapidly growing human populations, focusing on phenomenon such as deforestation, desertification, air pollution and global warming. But the worst-case scenario for people experiencing overpopulation, according to Lawrence Smith, president of the Population Institute, is a lack of fresh, clean water.

"If the water goes, the species goes," he said.

"That sounds kind of alarmist," Smith conceded, "considering there's water all around us, but 97 percent plus is saltwater, and the freshwater that we use to sustain ourselves is just native to 3 percent. ... So the accessibility of water, the competition for water, the availability of water is going to be a major, major threat," he said, noting world population growth estimates at more than 9 billion people by 2050.

Nine billion is an exceptional amount of people, considering the world's population only reached 1 billion in 1830, according to the Population Institute, a nonprofit organization that works to fund population and family planning programs around the world.

By 1999, world population reached 6 billion, and in the relatively short time between 2007 and 2050, there could be roughly 2.4 billion more people on Earth needing clean water, space and other natural resources from their environment in order to survive.

Governments facing overpopulation will also struggle to manage waste, said Allen. "Handling your waste and the public health consequences of not handling it well is the biggest problem that will be faced in rapidly growing urban areas in the developing world." When London, England, faced a population boom in the 1850s, for example, its infrastructure was not prepared for the excess waste, which resulted in Cholera outbreaks.

"Huge outbreaks," said Allen. "Fifty-thousand people dying over the summer. That's the kind of thing that in the developed world we no longer have problems with, but in the developing world are very, very real."

Smith said that 97 percent of world population growth between now and 2050 will occur in the developing world, where governments face serious economic and social challenges.

"I would say most of this is in sub-Saharan Africa, where by every other health indicator, they rank at the bottom," Smith said. "This growth rate is taking place despite the high levels of HIV and AIDS and [tuberculosis] and malaria."

Health care -- and the lack of it -- is also a factor in the rising populations in developing countries, according to Stan Bernstein, United Nations Population Fund senior policy adviser.

"We've seen a global trend of people wanting smaller families, but in the poorer settings that's not quite the case yet," Bernstein said. "And it's certainly not the case within countries that the poor [do not] have access to the kinds of services that the wealthy avail themselves of."

Globally, Bernstein said the poorest fifth of people in countries with rapid population growth have twice as many children, on average, as the wealthy people in those same countries.

Birthrates make a difference

The massive growth in developing nations is due in large part to fertility rates, where women during their reproductive years will have an average of five children, said Smith. "That's considerably higher than it is in the developed world."

In addition to the growing demands of developing nations, emerging countries like China and India are rapidly industrializing, said Smith. "Their demands for food alone will have considerable impact on global markets."

China's government has instituted population control methods in order to curb growth. Their controversial "one child" policies have garnered an uneasy reception, especially in rural populations, where people complain of stiff fines or forced sterilizations and abortions as a result of breaking population laws.

Traditionally, rural populations are larger than urban populations, said Smith. This is because rural families need to be larger in order to work and live off the land, and urban populations -- with better education, health care and family planning opportunities -- offer parents the luxury of choosing how many children they will have, he said.

This year is the first year that rural and urban populations are nearly equal, according to the United Nations Population Fund's annual report. This creates a mixed bag of concerns, according to Smith, that include susceptibility of young urban populations in poor countries with weak governments to recruitment for terrorism and conditions of instability.

"We have never in the history of the world experienced urban growth rates or metropolitan growth rates at the same level that we are experiencing now," said Allen. E-mail to a friend

@highlight

India on path to become most populous country

@highlight

Overpopulation will tax water supplies worldwide

@highlight

Largest population growths occurring in developing nations