(CNN) -- Health coverage is easy to get if you're healthy. The problem is when you're sick or have a history of illness.

For decades, people with life-threatening chronic diseases such as cancer, diabetes, heart disease or stroke faced numerous barriers to getting the care they needed. Insurers could deny coverage to anyone with a pre-existing condition, terminate coverage when the cost of a patient's care exceeded arbitrary dollar limits, or raise premiums to unaffordable levels in response to a diagnosis. As a result, patients had to skip or cut short their treatment because of costs, or go deeply into debt to pay for needed care.

The patient protections enacted into law in 2010 are changing that, enabling more Americans to afford lifesaving care. These protections provide patients with the best chance to beat their illness. When fully implemented in 2014, they will require insurers to cover people with pre-existing conditions, eliminate dollar limits on the coverage a patient can receive and ban the practice of inflating premiums for people with health concerns.

The law makes these protections possible by requiring that most Americans buy health insurance. By ensuring that coverage extends both to healthy people, who are less expensive to insure, and to those who are sick, who cost more, the law helps to keep costs down for those who need care the most. Unfortunately, the "individual responsibility" requirement has been attacked as unconstitutional, posing a grave threat to the law's critical patient protections. Federal appeals courts are divided on the issue, and the U.S. Supreme Court hears arguments on the matter this week.

Opinion: Health reform could survive loss of individual mandate

Our organizations, which represent tens of millions of people across the country with life-threatening chronic diseases, together submitted a friend-of-the-court brief asserting that the individual responsibility provision is essential to preserving the protections that patients desperately need and deserve.

We already know what a health care system without such a requirement looks like: Many healthy Americans opt not to buy health coverage until they are ill, and costs skyrocket as insurance pools fill with people in urgent need of treatment and care. People with pre-existing conditions are charged exorbitant rates for health coverage, putting critical care out of reach for many American families. As a result, many people with a chronic illness must resort to emergency room care, which lowers their chances of surviving their illness and drives up costs system-wide.

Opinion: Why health care reform law is unconstitutional

Many of those who want the individual responsibility requirement struck down also express support for the patient protections that the provision makes possible. Several states have tried such an approach by enacting insurance protections for patients with pre-existing conditions without compelling healthy people to enter the insurance market as well. These states are now among the most expensive in the country in which to buy insurance, and two of them, Kentucky and New Hampshire, ended up repealing those protections because of increasingly unaffordable premiums.

Half of all non-elderly Americans are living with a pre-existing medical condition. They need the protection from discrimination by insurers that the Affordable Care Act provides. Our hope is that the Supreme Court will enable all Americans to benefit from the promise of access to guaranteed, affordable and adequate insurance. It is a promise our nation must keep.

The opinions expressed in this commentary are solely those of Nancy Brown, Larry Hausner and John Seffrin.

@highlight

Writers: Health coverage easy to get if you're healthy, not so if you're already sick

@highlight

They say cancer, diabetes, heart disease patients very vulnerable to insurance cutoffs

@highlight

They say mandate is essential to providing patient protections; keeps costs down

@highlight

Writers: Supreme Court should affirm Americans' access to affordable, adequate care