(CNN) -- For all the complexity of our national complexion, Americans still too often think that white makes right.

Consider a new study of census returns reported on by the Pew Research Center. It showed, apparently, that significant numbers of Hispanics are now identifying as white. The research was presented at the recent Population Association of America meeting.

Some news reports suggested that Hispanics, rather than solidifying a distinct ethnic identity and becoming the driving force of a "majority-minority" future, might instead try to be just the latest group of immigrants, such as Italians or Jews, to "become white."

Such a shift, if it's real, has potentially big implications.

Think about national politics, where the Republican Party plays to a shrinking, aging and increasingly anxious base of white voters. If large numbers of Hispanics were to start thinking of themselves as white, that could alter the calculations and rhetoric of the GOP.

But it turns out such scenarios are at best premature. What the new research really appears to reveal is just how confused we continue to be about race -- and how, even amidst this confusion, whiteness remains a dangerously malleable idea that Americans must deal with more candidly.

Let's start with the three points of confusion that Pew's report on the new research revealed.

First, and most basic, is a statement that has been repeated yet ignored so often that it's like the fine print in an ad: "Hispanics can be of any race."

That means there are black, white, even Asian Hispanics. The label "Hispanic" -- meaning, "with origins or heritage in Spanish-speaking countries" -- was intended by the census to be a category of linguistic and ethnic heritage, not an official "race" of its own.

Yet in recent decades, Hispanics or Latinos have indeed begun to forge a cross-cutting identity that can feel like a racial category (shorthanded as "brown") and is sometimes set beside the other major blocs of America's racial color grid. So Hispanics can be at once a race and not a race. It's no wonder that media coverage of Hispanics can be muddled.

The second point of confusion is that the new research did not in fact find a Hispanic flight to whiteness.

What it found was that growing numbers of Hispanics, when told by government forms that they were not a race unto themselves and that they had to choose a race, chose the category called "white." As the study authors noted, this reflected the convolutions and limits of the census forms (which are to change in 2020) at least as much any underlying yearning among Hispanics to be white.

But this brings us to the third point of confusion, which is that to the extent that some Hispanics did in fact want to be seen as white rather than Hispanic, they were using the clumsy language of color to express the subtle reality of class.

An earlier Pew report indicated that the longer their families had been in America, the more likely Hispanics were to check the "white" box. This suggests that the way Americans say "upward mobility for immigrants" or "mainstream integration" is still too often "becoming white."

Indeed, sometimes our national discourse on race proceeds as if it were all about groups of color vying to be acknowledged, while white people sit back and watch. The invention of panethnic categories such as "Latino" or "Asian American," categories that take on a racial life of their own, is in part a reaction to the white-norming of politics and pop culture. But it's also a time-tested, all-American tradition. For proof, look no further than the invention of the white race itself.

The great waves of immigration in the 19th and 20th centuries -- to say nothing of the baroque rules of racial categorization in the slaveholding South -- showed that Americans have always been deviously flexible about deciding who gets to be white. At first the Irish weren't, then they were. Same with the Italians and Jews.

In more recent times, Asian Americans who've achieved in visible ways have been granted "honorary white" status (wanted or not), while some people of color seeking middle-class success have been accused by their co-ethnics of "acting white" (whether they thought of it that way or not).

The great risk, underscored by the reactions to the new research, is that we go on unthinkingly treating whiteness as the ideal and social baseline of American life.

That's harmful because it subordinates people whose backgrounds aren't "white" and because it stunts the capacity of all people -- not least poor and working-class whites -- to name and reckon with class divides and inequality.

I propose a better way of talking about what third- or fourth-generation Hispanics, or ambitious new arrivals in Chinatown, or resilient African American first-in-the-family college students are all doing. They're not becoming white. They're becoming American.

And to become American is now a more colorful, complex and class-bound undertaking than it has ever been. Let's learn to see it that way.

Correction: An earlier version of this article misidentified the source of the new research reported on by Pew. It was presented at the Annual Population Association of America meeting.

Share your stories of your modern family

@highlight

Eric Liu: Pew study of census data shows many Hispanics now identifying as white

@highlight

Liu: It could have implications in national politics, but mainly tells us about our views on race

@highlight

He says longer Hispanics had been in U.S., more likely they were to check "white"

@highlight

Liu: Danger in treating whiteness as ideal social baseline; America is and should be colorful