Washington (CNN) -- On the walls of Barbara Mikulski's Capitol hideaway are some of her most prized possessions -- portraits taken every two years of all the women in the Senate.

The first picture from 1988 is Mikulski, a Democrat, and one other female senator, Republican Nancy Kassebaum of Kansas.

"The hemline's a little different, the hair color," Mikulski mused, staring at the photograph. "That's when there were two."

The two forged a bond across party lines.

The most recent picture, taken last year, features 17 female senators -- five Republicans and 12 Democrats.

Mikulski remarks that there are more women in that photograph than had served in the Senate in all of American history when she arrived some three decades ago.

The Maryland senator knows a lot about the history of female lawmakers, and she should. She has made a lot of it herself: the first Democratic woman ever elected to the Senate in her own right; the first woman in the Senate Democratic leadership; and in late 2010 she became the longest-serving woman ever in the Senate.

On Saturday she will top that, becoming the longest-serving woman ever in the history of the U.S. Congress, surpassing Rep. Edith Norse Rogers of Massachusetts, who represented Massachusetts from 1925 to 1960.

To mark the milestone, she invited three other women senators who span parties and generations, to talk about what Senate women call their "zone of civility."

Democrat Kirsten Gillibrand of New York and Republicans Olympia Snowe of Maine and Lisa Murkowski of Alaska joined Mikulski to sit at a table that came from her childhood home and explained how hard the women of the Senate work to maintain a lost dynamic in Congress these days: comity.

Ironically, it is a relic of the old boys network that doesn't really exist anymore in today's era of partisanship: Get to know each other personally, so they can work better together professionally.

Regular dinners across party lines

It starts with regular dinners organized by Mikulski, whom some call the "Dean," others call "Coach Barb."

"When the day's over, let's kick back and put our lipstick on and have a glass of wine, and keep the institution and America going," Mikulski said.

Though the dinners are strictly off the record, the senators spilled a few details.

"We talk about our families, our concerns in our lives. Sometimes we talk about what we are working on but it's a very collegial setting where we are trying to cultivate friendship first and foremost," said Gillibrand, who jokes they "rarely get nights off anyway, so that's our big night out."

Snowe, a moderate Republican who recently made a surprise announcement that she is retiring because she is fed up with the polarization in Congress, said, "We made the commitment to do it on a monthly basis, and to get together because it's critical, and we naturally bond, and we have an opportunity to let our hair down."

Murkowski said when her husband sees one of the Senate women dinners on the calendar, he knows it's non-negotiable.

"He doesn't say, 'My gosh, why are you at work so late tonight?' He knows that that is a time that I value because I derive so much from the conversation, from the camaraderie that we have in the hour and a half at the end of a very long day, so I make it a priority when the dinners are scheduled to be there and enjoy that conversation with friends," Murkowski said.

Mikulski notes that the Senate can be a "lonely place," so the dinners are a refuge with "no agenda, nothing to prove [except] finding common ground where we're going to talk about what we're going to work on in other committees or circumstances."

"I think it's a place that gives us energy, gives us a sense of our own community and we all really do know we can count on each other if something comes up we would be the first there," Mikulski said.

A bipartisan sisterhood

But does this bipartisan sisterhood translate into bipartisan legislative action?

Murkowski replied that just this past week she was able to work out differences in the highway bill with Barbara Boxer, the Democrat overseeing it, primarily because of their personal friendship.

Gillibrand recalled getting tremendous help from Snowe and Murkowski on the 9/11 first responders legislation.

"I remember when I was trying to so hard to pass the 9/11 health bill, both Lisa and Olympia were encouraging me. They said we're not going to be name sponsors in the bill for instance, but we believe in what you are doing, and I think that if you approach it a, b and c, you'll be more effective," Gillbrand remembered.

"I think we're just natural allies and we trust each other. It's almost instinctive," Snowe said, turning to Gillibrand, "I can remember the conversations that we had. She was eliciting ideas about how to advance the bill, and so we trust another to give solid advice and to take that advice."

"We are all a team as women. We may not agree on every issue but that's not the point," Snowe continued. "We know how to work together in the give and take of it and achieve results."

Murkowski offered another explanation for what makes Senate women different from the men: ego.

"I don't think that we have as much ego attached with who's getting the credit," said Murkowski, who noted that oftentimes with the men, it's "my way or the highway."

"We're all pretty competitive or we wouldn't have gotten here in the first place, but in order to achieve the results that we are looking for, I think there is less personal ego on the line," she said.

There is also another female trait that factors in here. They all say they instinctively know how to listen.

"I think it is how we communicate the message and how we listen to what is being communicated. And I think that the listening part of it is an important part of how we get the results," Murkowski said.

Four generally agree on women's issues

Though they differ on everything from taxes to energy policy, they generally agree on women's issues.

But Lisa Murkowski recently voted with fellow Republicans against free access to contraception. Women back home in Alaska got upset, and she said she regretted her vote.

Asked if any of her female colleagues went to her and urged her not to side with her party on this one, Murkowski made clear the answer was no.

"I wish that we had had that discussion, I can honestly tell you that," she said, and then ripped into the GOP on the issue.

"I think that my party is in an unfortunate place right now as viewed by many women in this country who are feeling very anxious about what they believe to be attacks on women's health," she said.

In a bitterly partisan era, Senate women cherish this cross-party sisterhood.

Columnist Margaret Carlson wrote recently in the Daily Beast that Senate men complain they no longer have time to forge such relationships. She joked that Senate women somehow do it, and it's certainly not like they get more time in the day from their extra X chromosome.

"If anything, these women have more demands upon them," said Mikulski, who notes Gillibrand has two young sons and Murkowski is the mother of teenagers.

"I had to make school lunch this morning," Gillibrand chimed in, laughing.

They talk surrounded by Mikulski's female-oriented memorabilia adorning her walls: a poster of Geraldine Ferraro, the first female vice presidential candidate; a photograph with Madeleine Albright before she was appointed the first female secretary of state; even a picture of the Girl Scouts.

Mikulski's female colleagues credit her with cultivating and maintaining these relationships, and say she starts by mentoring new Senate arrivals.

"I remember when I first got appointed, she was one of the first to ask me to visit her, gave me guidance on how things work, how to pass legislation," Gillibrand recalled.

After 12,858 days of service, that makes her the longest-serving woman in congressional history, it's abundantly clear that creating a collegial oasis for women inside the intensely partisan atmosphere is one of her proudest accomplishments.

"I won't always be here, but I hope the legacy of civility, that I've worked with the other women to create will remain," she said.

CNN producers Laurie Ure and Ted Barrett contributed to this report

@highlight

Mikulski will become the longest-serving female member of Congress on Saturday

@highlight

Women senators say they try to maintain their "zone of civility"

@highlight

Mikulski credited with cultivating relationships among women in Congress

@highlight

She is proud of creating a collegial oasis inside a partisan atmosphere