New York (CNN) -- America's job crisis is a result of decades of shopping on credit and underinvesting in research to fuel new industries, says analyst Fareed Zakaria.

In a recent cover story in Time magazine and in a special on CNN this weekend. Zakaria traces the growing loss of faith in the American dream and the ways that technology and globalization have put millions of middle-class jobs at risk.

The author and host of CNN's "Fareed Zakaria GPS" spoke to CNN on Thursday. Here is an edited transcript:

CNN: What can we do about the threat to American jobs?

Fareed Zakaria: The first thing we have to do is to stop doing what we've been doing for almost 20 years, which is pretending we don't have a problem. We've been kicking the can down the road, we've blamed other people, blamed other countries for these issues. And most important, we've deluded ourselves that there is no crisis because we've kept the economy going by overconsuming.

From the 1950s, America had a very stable pattern of consumption. Consumer expenditures made up between 60 and 65 percent of GDP [Gross Domestic Product] -- in the 1950s, the 1960s, the 1970s, that was the pattern. Then in the early 1980s, that starts going up, and it goes up to 70 percent of GDP by 2001 and it stayed there ever since.

Now this wouldn't be a problem if we actually had that money, but we have been consuming using borrowed money for the last 20 years. So the average American household now has 13 credit cards, 40 percent of which have an outstanding balance. Debt has gone from $700 billion in 1974 to $14 trillion now. This is completely unsustainable. A fundamental way to think about it is that we have to shift this economy from an over-reliance on consumption and move it more toward investment.

CNN: How do we do that?

Zakaria: Let's talk about what we need first. One of the things I'm struck by in talking to corporate CEOs -- these are all real free-market types -- but they all agree that the key to getting growth and middle-class jobs back is that we make massive investments, investments in technology, investments in research and development, investments in infrastructure. That is in a sense, investing in the middle class, because that is investing in the industries of the future, the industries that will create middle-class jobs.

We used to spend 3 percent of GDP on research and development. We don't do that now even though Obama has raised it a lot. I would argue that we actually need to do a lot more than we did in the 1950s, because in the 1950s there were millions of jobs for semiskilled labor, manufacturing jobs, making steel, making cars. All those jobs are under enormous competitive pressure from both technology and globalization.

And so we need jobs in the new industries, industries of the future, knowledge based industries, scientific industries. To get those jobs and to make sure that American companies dominate them will take huge investments.

CNN: Should they be government investments?

Zakaria: That's what's produced the semiconductor industry, it was government investment. That's what created the internet. Al Gore may not have created the internet, but DARPA certainly did. That's the Defense Department venture capital group. And GPS, the technology that's now fueling the next internet revolution, the mobile revolution, that was also a U.S. Defense Department project. Those are now producing hundreds of billions of dollars for the private sector, all started by government funding.

Zakaria: The middle class is being hollowed out

There's another urgency. We're falling behind. Just today in the news, on the front page of The New York Times, China has developed the fastest computer in the world. Why was that? Was it because of unfair trade practices or an undervalued currency? No. It was because the government of China has made massive investments in technology ... in many of these areas we've lost a lot of ground.

CNN: How can the United States pay for this?

Zakaria: I don't believe in a free lunch. For 20 years we've pretended that we can have our cake and eat it, too. We could have tax cuts and prescription drugs for the elderly and a war in Iraq and Afghanistan and nobody has to pay for it. The government did it just as individuals did it -- by borrowing.

This is going to cost money and you're going to have to raise revenue. The best revenue raising device is a consumption tax, sometimes called a value added tax, or a national sales tax. Every industrialized country in the world has it. We are the only ones who don't.

If we were to have a 5 to 7 percent consumption tax, it would be the lowest in the industrialized world. It would raise a lot of revenue. You could set it up so that the revenues from that tax would only go into investment, none of it is for current expenses.

And if there is a consequence of this tax, which is that Americans consume a little less, that ain't the worst thing in the world either.

CNN: You wrote in your piece in Time about immigration and skilled labor. How is that a part of the equation?

Zakaria: Perhaps the most intelligent investment we can make is in human capital, particularly in talented people in science, math and computers.

So what do we do? Well we can try to revitalize science education in America, which we must do, but it's going to be a long slog. We've fallen quite far behind. But we have been this amazing magnet -- the brightest students in the world come to America because we have the best colleges and universities in the world, and we are also seen as a place in which people find it attractive to study and work. But then, after we train all these hundreds of thousands of students from all over the world, the cream of the crop, we throw them out of the country, we tell them don't you dare work here, because that would mean you would invent here, and hire people here, create new companies here, file new patents here, pay taxes here. No, no, no, go back to your country.

We've trained them often at taxpayer expense. Someone getting a computer science degree at the University of California at Berkeley is being trained at the California government's expense and is then thrown out of the country. We don't reap any benefits from it. This is a great investment strategy for the future of China and India. But it's a terrible investment strategy for the United States.

CNN: What can be done?

Zakaria: [New York Mayor Michael] Bloomberg has suggested that everyone who gets a science or math PhD in this country should be given a green card along with their degree. And I think that's a wonderful idea. We should frankly make it incredibly easy for these people to stay here. They are the people who overwhelmingly create jobs. ... Within a year or two they begin to pay back into the system at multiples of what they might have ever cost. And yet because of the usual political paralysis and dysfunction, it is right now unthinkable that we would ever enact a program like that. On the contrary, we're trying to throw more people out.

CNN: You don't think there could be consensus on this in Washington right now?

Zakaria: The problem in Washington is that the minute one side suggests something, the other side demagogues it. So the incentive to come to the center is vanishing. The minute you try to come to the center, if you're a Republican, Rush Limbaugh will denounce you, Glenn Beck will denounce you. There will be a primary opponent in your district who will be able to raise money.

CNN: Will Tuesday's election change that?

Zakaria: No. I fear it will actually exacerbate it. A lot of Republicans will get elected, will tell you they are mad as hell about the deficit, and the solution is to cut taxes. This is insanity, cutting taxes will create an even larger deficit. This is math, this is not politics. ...

In the face of the problems we have, to have one more experiment in the idea that if we cut taxes, this will somehow goose the economy, we've been there done that. [President George W.] Bush had this massive tax cut and it produced almost no growth. What it did produce was an $800 million hole in the budget.

CNN: How does education fit into the picture?

Zakaria: The countries that have been able to maintain a manufacturing base, such as Germany, are really worth studying.

The Germans have high taxes, they have lots of regulations, they have strong unions and yet they've seen their imports increase year after year. They've weathered the economic crisis very well, they've had 15 months of falling unemployment numbers, and why is that? Because they have really focused on scientific education, technical education, apprenticeship programs, retraining. They focus on high-end manufacturing, they train and retrain their workers. We don't have any such systems in America. We need there to be more of a coordinated effort by government, business and educational institutions -- a triangle of training.

We've been too cavalier about letting skills of higher manufacturing erode among American workers. That work has not gone to India or China, that work has gone to Germany and Canada and Japan, other high wage, high income countries.

@highlight

For decades, Americans have been overconsuming on credit, says Fareed Zakaria

@highlight

He says government has to fund major investments in research and development

@highlight

Zakaria says investment will have to be paid for through new revenues

@highlight

"Restoring the American Dream" airs Saturday 9 p.m. ET/PT, Sunday 10 a.m. ET/PT