The world is smaller and people are more mobile than at any time in history. This makes it easier than ever for what's happening anywhere on the globe to harm Americans' health.  

Here are five ways diseases in other countries pose a threat:

The flu could threaten millions. Even in a mild year for flu, in the United States alone, there are thousands of deaths, hundreds of thousands of hospitalizations, and billions of dollars in productivity losses.

In a pandemic, millions of people worldwide could be killed. H7N9 influenza, also known as bird flu, is spreading in China, though fortunately it has not mutated to become an infectious disease outbreak that could threaten the health of people around the world.

Antibiotic resistance is on the rise. Antibiotic resistance just might be the most urgent health threat facing us now.

The nightmare strain of bacteria known as CRE, carbapenem-resistant Enterobacteriaceae, arose abroad and was introduced to one state in the United States. Now it's in at least 44 states. It can resist all or almost all antibiotics, kills many of the people who get it in their blood, and spreads its resistance capabilities to other bacteria.

The World Health Organization estimates multidrug-resistant tuberculosis already has infected a half a. million people across the globe.

A nightmare health scenario we can stop

Diseases don't respect borders. Going abroad can expose travelers to more than new cultures and once-in-a-lifetime experiences.

More than 1,500 U.S. travelers get malaria every year, and the numbers are increasing. Yellow fever is spread by mosquitoes and causes more than 30,000 deaths worldwide each year, primarily in tropical areas of Africa and Latin America. People coming back from safari might bring back more than just pictures; they could find themselves facing African trypanosomiasis, better known as sleeping sickness, transmitted by the tsetse fly found only in rural Africa.

"Foreign" diseases are now domestic threats.  We think of parasitic diseases as risks to travelers, but they harm people here at home as well.  For example, Chagas disease is a chronic infection generally acquired by people in rural areas of Latin America, but about 300,000 people now living in the United States have this disease.

Toxoplasmosis is a parasitic disease common in the tropics that infects more than 60 million people in the United States. While the immune system usually keeps the parasite from making people sick, it can cause death attributed to foodborne illness.

Emerging infections: What's the next HIV? Mosquito-borne diseases such as West Nile virus, dengue, and chikungunya infect hundreds of thousands of people each year and are spreading globally. In the past few years, we've seen global outbreaks of Ebola and other deadly viral hemorrhagic fevers.

5 health challenges for 2014

There are many diseases out there that we don't even know about. Our new effort can prevent them from becoming epidemics.

That's why CDC partners with nations all over the world to detect and respond to disease outbreaks. Together we responded to more than 250 outbreaks in 2013. No single country can deal with these health threats alone. Cooperation between countries has tremendous impact in early detection.

Early detection of a single case of Ebola virus in 2011 led to an immediate response and the disease was stopped in its tracks. Previous similar outbreaks were large and spread rapidly through communities there.

CDC is helping countries around the world strengthen their ability to prevent avoidable catastrophes and epidemics, detect threats early, and respond rapidly and effectively. Stopping outbreaks where they occur is the most effective and least expensive way to save lives at home as well as abroad. And it's the right thing to do.

That's why we announced Thursday that the United States, through the work of the CDC and the departments of Agriculture, State, and Defense, has committed to cooperate with at least 30 partner countries to better prevent, detect, and effectively respond to infectious disease threats, better protecting at least 4 billion people around the world -- including the United States -- from threats.

How to prevent the next pandemic

And we have called on partner countries to work together so that effective prevention, detection, and response are present in every country around the world.

This year CDC and the Department of Defense have pledged $40 million to expand to 10 additional countries in addition to the pilot projects in Uganda and Vietnam. President Obama will request an additional $45 million in 2015 to accelerate progress around the world.

It's an essential step in strengthening global health security that will protect Americans, strengthen our nation's global partnerships, and increase health security capacity around the world.  Helping other countries makes those countries, and the United States, safer.

The most infectious of all infectious diseases

@highlight

Millions could die in a worldwide influenza pandemic

@highlight

Antibiotic resistance is growing globally and in the United States

@highlight

Travelers may bring back more than souvenirs from abroad

@highlight

The CDC is partnering with other nations to strengthen disease response