(CNN) -- It's the elephant in the room of Formula One. Will Michael Schumacher ever recover from the serious head injury he suffered in a skiing accident six months ago?

The sport has continued its relentless rhythm unsure of what the future holds for its record-breaking former world champion, with the most recent update on his condition on the eve of June's Austrian Grand Prix travelling round the F1 community like Chinese whispers.

"Michael has left the [hospital in] Grenoble to continue his long phase of rehabilitation," read the June 16 statement from Schumacher's long-time manager and the family's spokeswoman Sabine Kehm.

"He is not in a coma anymore," added the statement, which was oblique enough to be left open to interpretation.

As the months have stretched on since the accident, so has the reluctance to openly discuss the state of Schumacher's health within the sport's inner circle.

Felipe Massa, who drove alongside Schumacher at Ferrari, has been to visit his former teammate in hospital on more than one occasion.

He found the news, as limited as it was, encouraging: "It's definitely positive that he's moved from the hospital and that he's going to another place that is specific for the recovery," the Williams driver told CNN ahead of this weekend's British Grand Prix

"I keep hoping that everything will be better and better all the time. The only thing I want is that the recovery takes as quick as possible and to see him here with us."

Red Bull's four-time world champion Sebastian Vettel has been cautious about making public statements on the health of his former mentor.

In Austria, the German broke his silence to reflect on the conflicting feelings of continuing his day job in F1 while the sport's seven-time world champion faces an even bigger challenge than the high-risk world of motor racing.

"It's been a long time and you try to follow as much as you can," Vettel told the media with an audible sigh as he searched to find the right words.

"It's very positive to hear but, like I said, it's been many, many weeks and months since the incident and obviously you find yourself busy in Formula One thinking about a lot of things.

"Sometimes it's crazy to imagine or realize that Michael is still in hospital and still fighting,

"Therefore it's good to finally have some good news and I hope that there will be more good news coming -- but I think it will still take a long time for his recovery."

In a sport of strategy, where risk and outcome are calculated in hundredths of seconds, the uncertainty and lack of knowledge about Schumacher, a global star, has hung like a pall over the sport.

Interest in Schumacher's state of health is so intense that stolen medical files that may belong to the German have been offered for sale.

"Even people in the paddock who should be quite close have the feeling that we don't know what's going on," Schumacher's biographer and respected F1 journalist Karin Sturm told CNN.

"The policy of the family is to keep everything very, very private. Perhaps Corinna [Schumacher's wife] maybe doesn't realize is that by this policy speculation is growing.

"There is a lot of public interest, they are concerned. A bit more information about what his current state of health is would be welcomed."

The difficulty with complex head injuries is that there is no predictable prognosis or timeline for recovery.

In the immediate aftermath of the accident at the French Alps resort of Meribel, neurosurgeons operated on Schumacher twice to remove blood clots and reduce swelling on his brain before placing him in a medically induced coma.

In April, a statement from the family said the 45-year-old had shown "moments of consciousness and awakening."

Last month, it was announced he was out of the coma and would continue his recovery at the University hospital in Lausanne close to the family home in Switzerland.

"What tortures the public is the same thing that tortures the family --progress is slow, progress is uncertain," said Peter Hamlyn, a consultant neurological and spinal surgeon and expert in the field of head injuries in sport.

"If you look at severe head injury victims who go on to make a good recovery -- and I'm not saying all do -- it will always be a story of years.

"The first months are dominated by questions of survival. Gradually as the weeks and months go by those questions of survival turn into questions of the quality of survival.

"It's a rollercoaster and if Michael Schumacher's rollercoaster takes him and his family somewhere happy then they will have been to places that will have been pretty unhappy on the way there.

"But I know they will have been buoyed by all the support that has been voiced."

Hamlyn speaks from a very public, personal experience following his successful high-profile treatment of brain-damaged boxer Michael Watson.

The British boxer collapsed in the ring after being knocked down by fellow Briton Chris Eubank in a world title fight in 1991.

Hamlyn, who operated to remove a blood clot on Watson's brain shortly after his collapse and then guided his slow and painful recovery, is credited with saving Watson's life.

Although the news on Schumacher's condition is scant, Hamlyn says the wording of the June statement is reason to be positive.

"If I was using that language I would be suggesting that there had been some improvement and if you see improvement you may see more," he explained. "I would take that as a hopeful sign.

"My reading of what I've seen in the press is that Michael has made it through the current cut and he's still in the game."

Watson could not speak or hear for eight months after his accident. After six years in a wheelchair, he completed the 2003 London Marathon in an agonizing but rewarding six days.

Now, more than 20 years on from his brutal boxing bout, Watson's mind is sharp, his speech slurred but understandable and he can walk unaided, albeit with some difficulty.

Hamlyn believes the boxer's training as a world-class sportsman aided his long physical and mental recovery -- and the same principles can also be applied to Schumacher.

"The thing about supreme athletes like Michael Watson and Michael Schumacher is that they have extraordinary physical reserves," Hamlyn said.

"Injuries that would carry away most people are things they can get past."

Watson underwent numerous operations at Hamlyn's hand but the surgeon credits the boxer's tenacity and indomitable spirit with his recovery as much as medical intervention.

"It played a huge part," Hamlyn reflected. "He's an absolutely humbling man when you get to know him. Things that would crush most of us, he does with extraordinary cheerfulness.

"I think that does come from the sort of tenacity, reserve and determination that you have to have if you're to get to the top of any world sport.

"Athletes also have this ingrained attitude towards training that you have to repeat a thing a thousand times and then another thousand times until you get the thing right.

"Providing the right environment for recovery is actually very difficult and specialized. You have to continually stimulate and draw people on.

"You have to keep changing the challenge, just moving it a little bit further forward so they relearn and regain their abilities as best they can.

"When you talk to individuals who've survived, they never gave up. The families never gave up. That's a tough thing to do year on year."

Nico Rosberg has recently commented to the German media that he witnessed Schumacher's famous mental resolve throughout three years as his Mercedes teammate and hopes this will guide the former champion through the next stage of his rehabilitation.

"Nico said he knows what a fighter Michael can be," explained Sturm, who reports on F1 for Tagesspiegel and Spiegel Online in Germany.

"He knew that Michael never let anything slip, even at the end of his career when he knew he was going to retire he was still fighting and pushing.

"If there is somebody who can really fight back and get into life, it is probably Michael."

For the watching world, it is difficult to know how far Schumacher has come on his journey since the accident and how far there is to go.

There may just be a moment of inspiration, of interaction, which provides hope when it is least expected -- because that is what happened as Hamlyn watched what he describes as Watson's "miraculous" recovery.

"One day, some months into this business, Muhammad Ali came to see him at the hospital," recalled Hamlyn.

"Ali, who was pretty ill already by then with Parkinson's disease, went up to the end of Michael's bed, said words to the effect of 'Hello champ' and held out his fist.

"Michael's eyes not only opened but focused on him, and this enormous smile appeared across his face as he realized who it was who had come to see him -- and it was at that point that I knew that things went in, got processed and could come out.

"It was at that point that you know that people have the capacity to relearn, and to recover.

"Now, in the world of motor racing I've no idea who Muhammad Ali is -- unless it's Michael Schumacher."

The world waits to see whether Schumacher, the ruthless racer, the sport's record-breaking world champion, can once again be his own inspiration.

@highlight

Michael Schumacher's treatment for a serious head injury is into its seventh month

@highlight

A statement in June said the seven-time F1 world champion was "not in a coma anymore"

@highlight

"It's crazy to realize Michael is still in hospital and still fighting," said Sebastian Vettel

@highlight

Neurosurgeon Peter Hamlyn says recovery is "always be a story of years"