(CNN) -- For more than a decade of my life, I struggled with debilitating anxiety, panic attacks and depression. And, like millions of people around the world, I longed to discover a magic pill to cure my ills and promise me nirvana.

But, despite taking many medications, ongoing psychotherapy, electroconvulsive therapy (ECTs), hospitalizations and failed suicide attempts, wellness remained a distant dream.

The anti-anxiety medications and antidepressants worsened my symptoms, and made me more agitated, depressed and suicidal. And I was utterly confused why the medications that were supposed to alleviate my symptoms exacerbated them instead.

Staring out of the fifth-floor hospital window one day after yet another failed suicide attempt, I promised to take charge of my life and create a life of wellness. I was sick and tired of being a chronically mentally ill patient. I just wanted to be well.

Most of all, I wanted to be able to take my little girl to school, play with her in the park, and tuck her to bed at night with her favorite story.

Somewhere deep in my soul, I was convinced that the medications were making me sicker instead of helping me heal. So, despite my fears and those of my family, I decided to listen to my inner wisdom and wean myself off all medications under the supervision of my psychiatrist and explore holistic pathways to health and wellness.

Transcendental meditation

When a medical resident at the hospital suggested I try transcendental meditation to manage my anxiety and depression, I did.

Ironically, it was an American teacher, Pat, who taught me this life-affirming practice that had originated in India, my country of birth. I still remember sitting cross-legged on a Persian carpet across from Pat, in the dining-room-turned-shrine in her home.

While Pat sat still, Buddha-like, eyes closed, breath steady, body relaxed, face serene, my breath was erratic, my eyelids fluttered like the wings of a hummingbird, and my "monkey mind" ran amok.

But, one day, one breath at a time, I learned how to sit still. Despite my mind's tendency to wander, like a mother lovingly guiding her wayward child back to its task I learned to gently guide my mind back to its still center. There, I discovered an oasis of energy, creativity, and restful calm.

In time, meditation offered me a sacred space to reflect on my life, and taught me to become an observer of my thoughts and emotions instead of getting entangled in them. Eventually, the daily practice of meditation helped me regulate my emotions and live each moment with mindfulness. Ultimately, meditation set me free from the limitations of my suffering, and awakened me to a life filled with eternal possibilities.

Exercise

During a visit, my psychiatrist recommended I start exercising, and educated me about the benefits of exercise in managing my anxiety and depression and promoting overall well-being.

I joined a health club and started working out three times a week, attended aerobics and yoga classes and trained with free weights.

I fell in love with my yoga classes. They relaxed and rejuvenated my mind, body, and spirit. Having never been athletic, I was surprised to find that exercise energized me and elevated my mood. It also provided a much-needed reprieve from my duties as a mother and homemaker, and helped me create a social network outside of my family.

Cognitive behavioral therapy

Although I was highly skeptical about how talking with a therapist could help me heal, it transformed my life.

For the first time in my life, Dr. Lin, my therapist, explained how our thoughts, feelings, moods and behavior were interwoven, and taught me how to identify negative, self-defeating thoughts and replace them with positive, life-affirming thoughts.

She also taught me how to regulate my breathing to manage my anxiety, and self-talk to break through the vicious cycle of depressive ruminations and suicidal ideation. She recommended I read "Feeling Good" by Dr. David Burns, which further reinforced the skills she taught, and served as a workbook for my life.

Difficult at first, with practice the cognitive behavioral skills gradually became autonomous as breathing. Albert Einstein once said, "The world we have created is a product of our thinking; it cannot be changed without changing our thinking." The tools of cognitive behavioral therapy, in essence, helped change my thinking, and, therefore, my world.

Over the past 24 years, I have learned that wellness does not come encapsulated in a pill; rather, it encompasses the way I live. The consistent practice of transcendental meditation, exercise, and cognitive behavioral therapy have helped me thrive in life despite recurrent bouts of anxiety and depression.

Depression is no longer a demon I fear, it is a teacher whose wisdom I seek.

The opinions expressed are solely those of Gayathri Ramprasad.

@highlight

Gayathri Ramprasad "was sick and tired of being a chronically mentally ill patient"

@highlight

She says medications were exacerbating her depression and anxiety

@highlight

Depression is "no longer a demon I fear," Ramprasad says