(CNN) -- A state trial judge on Monday blocked New York City's plan for a maximum 16 ounce size for a high-sugar beverage. The ban would have included sodas, energy drinks, fruit drinks and sweetened teas. But it would have excluded alcoholic beverages and drinks that are more than 50% milk, such as lattes. The ban would have applied to restaurants, movie theaters, stadiums and mobile food carts. But it would not have applied to supermarkets and convenience stores, such as 7-Eleven.

Mayor Michael Bloomberg's proposal was met with fierce opposition by the industry and public outrage at the loss of "liberty," the so-called "nanny state" run amok. Beyond all the hype, the industry's vociferous arguments, now adopted by a trial court, are badly flawed.

In fact, the Board of Health has the power, indeed the responsibility, to regulate sugary drinks for the sake of city residents, particularly the poor.

News: Mississippi governor reviews 'Anti-Bloomberg' bill

Would the ban work?

Nearly six out of 10 New York City residents are overweight or obese, as are nearly four out of 10 schoolchildren. This cannot be acceptable to our society, knowing that obesity is such a powerful risk factor for diabetes, cancer and heart disease. No one would disagree that government should act, but how? There is no single solution, but many ideas that would work in combination. One of those solutions is to control portion size and sugar consumption. Why?

First, the ever-expanding portions (think "supersized") are one of the major causes of obesity. When portion sizes are smaller, individuals eat less but feel full. This works, even if a person can take an additional portion. (Most won't because they are satiated, and it at least makes them think about what they are consuming.) Second, sugar is high in calories, promotes fat storage in the body and is addictive, so people want more. The so-called "war on sugar" is not a culture war, it is a public health imperative backed by science.

Opposing view: 'Anti-Bloomberg' bill stops overregulation

So, there is good reason to believe New York's portion control would work. But why does the city have to prove that it works beyond any doubt? Those who cry "nanny state" in response to almost any modern public health measure (think food, alcohol, firearms, distracted driving) demand a standard of proof that lawmakers don't have to meet in any other field.

When a law is passed to increase jobs, spur the economy or subsidize a corporate sector (oil, for example), we don't insist that lawmakers prove it works. At least public health officials rely on science and try to craft rules that have a chance of workingâ€”if not in isolation, then in combination with other obesity control measures such as food labeling, calorie disclosures, trans fat restrictions and access to affordable fruits and vegetables in schools and poor neighborhoods.

Is the ban consistent?

The industry stoked the fires of public discontent with its campaign against the "inconsistencies" in the soda ban. Why doesn't the ban apply to milky drinks, why can 7-Eleven sell large sugary drinks, and why not ban refills? Justice Milton Tingling Jr. bought both industry arguments: It won't work and it is inconsistent. He went so far as to call the ban "fraught with arbitrary and capricious consequences" and filled with loopholes. Again, we find a double standard.

Bloomberg did what every other politician does: balance public health and safety with realpolitik. Consider one of the judge's major arguments: balancing public health and economic considerations is "impermissible." This judicial reasoning makes no sense. If policy makers could not balance economic consequences, virtually every law in America would be flawed. There is another huge problem with this argument. It assumes that unless public health does everything, it can do nothing. The whole art of politics is compromise. The mayor gets a lot of what he seeks to fight obesity, but not everything.

Does the Board of Health have the power?

Admittedly, the soda ban would have been better coming from the city's elected legislature, the City Council. But the Board of Health has authority to act in cases where there is an imminent threat to health. Doesn't the epidemic of obesity count as an imminent threat, with its devastating impact on health, quality of life and mortality? In any event, the Board of Health has authority over the food supply and chronic disease, which is exactly what it has used in this case.

Members of the Board of Health, moreover, are experts in public health, entitled to a degree of deference. The fact that the proposal originated in the mayor's office does not diminish the board's authority and duty to protect the public's health. Many health proposals arise from the executive branch, notably the Affordable Care Act.

Should industry have an outsized influence on public health policy?

The fingerprints of the food and restaurant industries, with their clear economic conflicts of interest, are all over the public and judicial campaign to block the soda ban. Industry undertook a multimillion-dollar campaign, flying banners over the city and plastering ads over the subways. They immediately filed suit and hired the most elite law firms.

Rather than recognize the public health effects of large sugary drinks, they chose to fight, reminiscent of Big Tobacco. What is worse, the public (and now a judge) fell for the industry's manipulations. Most New Yorkers oppose the portion ban, while politicians in other states are scrambling to show their disapproval. Mississippi is about to pass a law forbidding portion control. Imagine that in a state with the highest obesity rate in America!

We are used to fierce lobbying for personal gain in America, but that doesn't mean we should be duped by industry propaganda. Is a portion limit really such an assault on freedom? It doesn't stop anyone from buying soda. If consumers really want, they can buy several smaller drinks. It doesn't stop companies from giving refills.

There is really no great burden posed on individuals, only a little nudge in the right direction. At the same time, it could make meaningful changes in the drinking habits of New Yorkers. Why is the industry fighting this so fiercely? Because when it is shown to be successful in New York, it will be emulated in major cities in America and worldwide. Isn't that exactly what we need to stem the tide of obesity?

The opinions expressed in this commentary are solely those of Lawrence O. Gostin.

@highlight

A New York state judge blocks the city's plan to limit the size of sugary drinks

@highlight

Lawrence Gostin: A portion limit is not an attack on freedom; people can still buy soda

@highlight

He says like Big Tobacco, industry has spent millions to fight this effort to combat obesity

@highlight

Gostin: The Board of Health has the power to regulate sugary drinks; portion control can work