Cairo (CNN) -- For a second day, Egyptian President Mohamed Morsy's home was not spared from the wrath of protesters who remain unconvinced of his defense of recent controversial decisions.

Dozens of protesters threw rocks and glass bottles at the home in Sharkia province Friday and tried to push aside a police barrier, said Alaa Mahmoud, a spokesman for the Interior Ministry.

Two policemen and several protesters were injured, and four people were arrested.

Protesters also made their message clear at the presidential palace in Cairo, where thousands broke through a barricade and sprayed graffiti on the palace walls. Guards at the palace did not engage the protesters.

Crowds also gathered at Cairo's Tahrir Square but were largely calm, unlike the night before.

In remarks Thursday night -- his latest since the bloodiest stretch in two weeks of political unrest -- Morsy refused to back off the controversial edict he issued or his nation's upcoming constitutional referendum, saying he respects peaceful opposition to his decisions but won't stand for violence.

On Friday, Egyptian Vice President Mahmoud Mekki told CBC, a private Egyptian TV station, that Morsy would consider postponing the referendum, so long as there are no legal challenges to the postponement.

The president has agreed to delay the vote for expatriates until Wednesday, said chief of staff Refaa El-Tahtawy. That vote was previously set for Saturday.

During his Thursday speech, the president condemned those involved in the clashes -- referring specifically to those with weapons and who are backed by members of the "corrupt ... ex-regime." He promised they'd be held accountable.

Opinion: Morsy miscalculating Egyptians' rage

"(They) will not escape punishment," the president said in a televised speech.

Yet Morsy's threat not only failed to mollify many protesters on the streets, it further enraged them. Activists camped in the square chanted "Leave! Leave! Leave!" as the president talked.

And minutes after the speech ended, the Muslim Brotherhood headquarters in Cairo was "ablaze," state TV reported, citing witnesses. The Islamist group said on its website and Twitter that the building had come under "a terrorist attack," with hundreds surrounding it. By early Friday, there was no sign of a fire or significant damage.

The National Salvation Front, an umbrella group of opposition organizations, called for large-scale demonstrations against a government it says has "lost legitimacy," said the group, as reported by the semiofficial al-Ahram newspaper.

Such a call for action -- and the sustained presence in Tahrir Square -- suggests activists are undaunted by threats from Morsy and members of the Muslim Brotherhood, the Islamist group tied to him. The group was banned under longtime President Hosni Mubarak but is now Egypt's dominant political force.

On Twitter, the Brotherhood has said it will hold opposition figures "fully responsible for escalation of violence & inciting their supporters."

iReport: Bloody clashes around Egyptian presidential palace

Adel Saeed, a spokesman for Egypt's newly appointed general prosecutor, said Friday morning that Hamdeen Sabahi, Mohamed ElBaradei and Amr Moussa are being investigated for allegedly "conspiring to topple" the government. All three are well-known internationally -- with ElBaradei being a Nobel Peace Prize laureate and Moussa a onetime head of the Arab League -- and are now being probed for their role in the opposition against Morsy, who defeated all three in this year's presidential election.

ElBaradei said on Twitter: "I call upon all the national forces and figures not to participate in a dialogue that lacks all the basics of a truthful discourse. We support a dialogue that is not based on the policy of arm-twisting and forcing the status quo."

During an interview with Al-Arabiya, an Arabic news network, ElBaradei called on Morsy to postpone the referendum vote and to "rescind the constitutional declaration." He added that "only then will the opposition engage in dialogue."

Those taking part in the protests around the North African nation say the scenes are similar to those of the 2011 uprising that led to Mubarak's ouster. This time, they say, dissent is being vigorously stamped out by Morsy's backers in government and on the street.

Specifically, they spoke of thugs with knives and rocks chasing activists, presidential backers belittling opponents and pressure from various quarters to go home and be quiet.

"It's exactly the same battle," said Hasan Amin, a CNN iReporter.

A November 22 edict by Morsy, in which he made his decisions immune to judicial oversight until a new constitution is voted upon, set off the latest wave of political unrest. And it's been growing -- and growing more violent -- in recent days.

Opposition leaders have been clear in saying what would mollify them: Morsy must roll back his edict granting himself expanded presidential powers and must postpone a December 15 referendum on a proposed constitution, which they say doesn't adequately represent or protect all Egyptians.

Morsy previously said the edict was necessary to defend the revolution, and his administration has insisted the proposed constitution was drafted legally. If people vote it down, the president said Thursday night that he'd form a new assembly to draft another constitution.

Yet opposition activists haven't shown any indication that they trust Morsy on that or other counts. They accuse him of consolidating power for himself and the Muslim Brotherhood, in part by having an Islamist-dominated group push through the draft constitution.

This internal strife has helped transform the area around the presidential palace in Cairo into a war zone. Streets littered with rubble and burned cars were defined by barbed-wire barricades, patrolling soldiers, parked tanks and armored personnel carriers.

Read more: The factors driving Egypt's unrest

Beyond the popular unrest, Morsy's inner circle was shaken when Rafik Habib, the deputy head of the Freedom and Justice Party, resigned Thursday, party spokesman Ahmed Sobe said. Habib did not give a reason.

His resignation brings to five the number of presidential advisers who have left in the past two days. It is the first, however, from the Freedom and Justice Party.

Egyptian judges and media organizations also staged strikes to show their displeasure with the situation. And 11 organizations representing lawyers, journalists, writers, actors, musicians and tour guides said Morsy and the Muslim Brotherhood were behind the violence, al-Ahram reported.

The group said it would call for Morsy's ouster if the administration failed to protect protesters and "fulfill the aspirations of the January 25 revolution," the newspaper said.

Vice President Mekki asked critics Wednesday to submit their proposals for improving the constitution, and Morsy invited political opponents to a meeting Saturday at the presidential palace.

If you're in Egypt, please send us your photos and videos and share your story, but stay safe

Reza Sayah and Ian Lee reported from Cairo; Greg Botelho reported and wrote from Atlanta. CNN's Saad Abedine, Michael Pearson, Karen Smith, Amir Ahmed, and journalist Mohamed Fadel Fahmy also contributed to this report.

@highlight

NEW: President Mohamed Morsy would reportedly consider postponing a referendum vote

@highlight

Protesters break barricade at the presidential palace in Cairo

@highlight

Dozens throw rocks and bottles at Morsy's home in Sharkia province

@highlight

Morsy says those responsible for violence must be punished