(CNN) -- A seismic shift is taking place in the Greek political system. The series of bailouts and austerity measures implemented during the last two years has led to a fundamental political crisis affecting both the function of government and the standing of key politicians and political parties.

Sunday's debate in parliament regarding the latest austerity and bailout package was marked by unprecedented scenes of tension both inside and outside the building. The bill passed but left both historic buildings in central Athens, as well as both major parties of the interim coalition government, in tatters.

Yet, it would be a mistake to attribute Sunday's destruction to the austerity measures -- similar events took place in December 2008, well before any talk of a debt crisis had reached Greece. What these events symbolize is the mainstreaming of extremism in Greece and the rejection of the rule of law.

Extremism -- both from the far left and from the far right -- is visible throughout the public sphere: it has permeated the political rhetoric; it has polarized social groups against each other; it is present in the everyday discourse of ordinary citizens who single-handedly condemn not only individual politicians but the institutions of representative democracy altogether.

What the politics of extreme austerity does is to offer the ideal excuse -- the perfect cover -- for the further breeding of extremism.

It looks as if public opinion in Greece can tolerate the continuous and widespread destruction of central Athens, but would not accept any police or state action that would contain those few extremist groups that cause mayhem.

The reasons for this self-destructive pattern are historical and cultural. They stem from the long divide between left and right in Greece, which in fact goes back almost one century. Right-wing governments -- either elected or imposed -- dominated Greek politics for much of the 20th century.

The army and the police were instrumental in containing communism and suppressing the left, culminating in the 1967-1974 military junta which scarred the Greek psyche. In the minds of many Greeks, police action is associated with the suppression of fundamental civil liberties.

However, what many don't see is that Greece has now reached the other extreme, in which the lack of law and order hurts those who need it the most.

Widespread tax evasion, which creates huge deficits, hurts pensioners and the working classes. Ongoing strikes and protests hurt commuters, workers and tourists. Greeks have a love-hate relationship with the state -- they have historically depended on it, while always trying to undermine it.

The role of the state and of the public sector is usually at the heart of political debates between left and right. Yet, for the first time in recent memory, the political battle lines in Greece are not drawn between left and right, but between the modernizers and the populists existing in most political parties across the spectrum.

The modernizers support Greece's position within the eurozone at all costs and favor radical reforms, including a smaller and more efficient role for the public sector. The populists reject the austerity packages arguing that they will eventually lead to a default anyway. The former camp has so far failed to prove that austerity works. However, the latter camp has not offered an alternative.

On Sunday night, Greek TV carried two live feeds. The first feed was from inside the parliament building, showing a disconnected political class engaging in their usual micro-political infighting and self-congratulation; the other feed was of ongoing semi-apocalyptic destruction in the streets of Athens. The juxtaposition could not have been more telling. It bore a chilling resemblance to the last days of Germany's Weimar Republic in the 1930s.

One thing is certain -- the political system in Greece is changing and the repercussions may well be felt across Europe and the world.

Sunday's vote led to the expulsion of 45 MPs from the caucuses of three parties. No political party now holds an absolute majority on its own. In addition to international skepticism, the Greek Prime Minister Lucas Papademos is facing a power vacuum at the heart of the political system. While unelected, he has a unique opportunity to reframe the political debate and realign the political system utilizing an emerging social movement in support of stability, rationality and reform.

The opinions expressed in this commentary are solely those of Roman Gerodimos.

@highlight

For many Greeks, police action is associated with the suppression of civil liberties, says Roman Gerodimos

@highlight

Extreme austerity does offers the perfect cover for the further breeding of extremism, he says

@highlight

TV feeds from inside and outside parliament 'bore a chilling resemblance to the last days of Germany's Weimar republic in the 1930s'

@highlight

Gerodimos: The political system in Greece is changing and the repercussions may well be felt across Europe and the world