(CNN) -- Kenya's most critical and complex election in its 50th year since independence kicks off on March 4, next Monday.

Critical because it'll be the first real road test of the new Western-style liberal constitution promulgated in August 2010 in the aftermath of Kenya's near-death experience after the controversial 2007 elections that resulted in a convulsion of violence that saw over 1,000 killed and at one point over 600,000 displaced.

Critical as well because, crucially, two of the leading contenders, Uhuru Kenyatta and William Ruto of the Jubilee Coalition are defendants before the International Criminal Court (ICC) accused of crimes against humanity. They deny the charges, and will both run in the election.

Rather unfortunately, an election many had hoped would be about the new constitution and resolving the underlying issues that made the last election so toxic, has ended up, thus far, defined by the ICC and the tribal mobilization this has enabled.

Read this: Can mobiles help stop Kenya election violence?

It is a complex election as well because Kenya is implementing a devolved 47-county system of government via these polls -- electing governors, senators, county representatives and other officials to a brand new federated structure of government -- an election that will be, per capita, the most expensive in the world.

Still, Kenyans -- especially the rural poor -- are enthusiastic about devolution as it promises greater accountability on the part of one of the continent's most durable, sophisticated, well resourced, corrupt and ruthless elites.

While much attention has focused on the close and potentially troublesome presidential election the real action may actually turn out to be at the county level that is totally new. Kenyans are coming to terms with the fact that what "normal" means is about to change forever.

All these factors, combined with reports of continuing ethnic balkanization in informal settlements, threats and arming for both defensive and offensive violence, have served to create an atmosphere of high anxiety preceding the polls.

The anxiety is in part because the country is trying to move so many big governance boulders at the same time informed by the violence that took place last time.

Peace-building activities (prayers, concerts, roadshows, talk shows, plays, films etc.) have been legion, competing for overloaded national political bandwidth during this hectic electioneering period. It all reveals a country that terrified itself out of its own wits as a result of the sheer barbarity and speed of the meltdown in 2008.

Read this: Kenyan DJs go without food for peaceful elections

That said, barring some catastrophic blunder by the nascent Independent Election and Boundaries Commission (IEBC) that shall be conducting the election, which pollsters predict will be so close between the two leading candidates, Kenyatta and Odinga that a run-off is likely, Kenyan elections are usually smooth affairs. Trouble usually comes afterwards. A second round is an innovation to Kenyans and much will transpire between the first and second rounds if there isn't a clear winner on March 4.

The ICC has destabilized Kenya's politics but introduced a new measure of elite accountability, raising the cost of elite-driven violence to a level that has meant the tribal vitriol of previous electioneering hasn't been in such evidence this time around.

Going by remarks of the ICC's president, the Kenyan case has clearly challenged the ICC too. Indeed, the future of the institution as a credible agent of change on the continent is dependent on how the Kenyan process plays out.

However, regardless of the outcome, it is likely that a sizeable chunk of the Kenyan population will vote for ICC indictees with all the implications that has for the rule of law, Kenya's posture with regard to international standards of human rights and good governance, and for the country's standing within the African continent and global community.

It will also hopefully lead to a good dose of national introspection. Indeed, it seemed to dawn on the business community and middle class (roughly 10% of the 14.3 million registered voters) only in the past month the terrible implications of "getting this one wrong."

At a time when there has been considerable excitement about Africa's economic prospects, underpinned by deepening democratic culture in places like Ghana and Kenya, if Kenya falters in this transition it is not unlikely that the implications will be a review of the African renaissance that has at times caused excessive hyperventilating by hedge fund managers in the West as the world's latest "emerging market" emerges.

What's clear, however, is that for Kenya the emergence will be bumpy and even bloody at times. But emerge it shall. According to the U.N. OCHA, between January last year and the start of this year, for example, almost 500 Kenyans (including dozens of police) have been killed in a worrying trend of the normalization of violence, and 112,000 citizens have been displaced.

Read this: Can tech revolutionize African elections?

Lots of unfinished business lingers from the last convulsion of violence and underlies it. Tribalism, historical grievances with regard to land, corruption, drug trafficking, money laundering and impunity among the elite in general have served to hold back the most globalized, diverse, industrious, economically innovative and dynamic country on the eastern side of the African continent.

But most Kenyans, if not all their leaders, have a great will to make a success out of a transition that will lay the foundation for a stable, peaceful and prosperous future for the next generations. The need for a peaceful transition is particularly powerful in the collective imagination.

There is an understanding that change won't come overnight, however, for while the new constitution has changed the forest, as a local saying goes, the monkeys have remained the same.

All the leading presidential contenders are part of the old elite. That said, the constitution includes a raft of institutions and checks and balances that are also unprecedented. Secondly, Kenya has never had a younger, healthier, better educated, more globally connected and tech-savvy population in its entire history -- 75% of Kenyans are below 30 years of age. Indeed, there are five million first-time voters between the ages of 18 and 25.

Kenyans are acutely aware that the conduct of the upcoming polls and the implementation of the new constitution, our handling of the ICC cases, will impact not only our future but the way Africa, and the world, views Africa.

Honor means we have to get it right, despite the apparent odds.

The opinions in this commentary are solely those of John Githongo.

@highlight

John Githongo: Kenya is holding its most complex election since independence

@highlight

Two candidates are accused of crimes against humanity by ICC

@highlight

It will implement system that promises greater accountability on the part of the elite

@highlight

Kenyans aware that conduct of the election will be closely watched, says Githongo