(TIME.com) -- Curious about how a disease gets started? Researchers may soon be able to "street view" the inner workings of the human body.

An international group of researchers have successfully created the most comprehensive map of the human metabolism, called Recon 2, which details how the body's converts food into energy, and assembles all of the hormones and proteins that contribute to a normal day's work for cells and tissues.

Genes may form the foundation of the human condition, but it's their activity, in the shape of the products they make â€” from enzymes and hormones to nutrients and signaling factors â€” that dictate how cells interact with each other, and how body systems, such as the way we breakdown food into energy, operate.

"It's like having the coordinates of all the cars in town, but no street map," Bernhard Palsson, a professor of bioengineering at the University of California San Diego Jacobs School of Engineering said in a statement. "Without this tool, we don't know why people are moving the way they are."

By putting together how genes and their products interact across entire networks, Palsson and his colleagues are confident that Recon 2 could help to expose some of the still mysterious causes of diseases like cancer and diabetes, as well as lead to better treatments.

TIME.com: Can you be fat and fit?

"Ultimately, I envision it being used to personalize diagnosis and treatment to meet the needs of individual patients. In the future, this capability could enable doctors to develop virtual models of their patients' individual metabolic networks and identify the most efficacious treatment for various diseases including diabetes, cancer and neurodegenerative diseases," said Ines Thiele, a professor at the University of Iceland in a statement describing the work.

Recon 2 resembles a "Google map" since it consolidates all the details of human metabolism functions into one interactive tool and allows users to zoom in to view as much detail, at a cellular level, as they want, or to zoom out to get a broader perspective of all the different metabolic reactions that might be involved in a particular function.

Such analyses can reveal patterns in function that might not otherwise be obvious to scientists working on more limited projects. In a release describing the scope of the project, University of California San Diego officials wrote:

"This is not unlike how you can get a street view of a single house or zoom out to see how the house fits into the whole neighborhood, city, state, country and globe. And just as Google maps brings together a broad set of data -- such as images, addresses, streets and traffic flow -- into an easily navigated tool, Recon 2 pulls together a vast compendium of data from published literature and existing models of metabolic processes."

TIME.com: How exercise can change your DNA

As the name suggests, there was also a Recon 1, which mapped 3,300 metabolic transformations occurring in tissue and cells. Recon 2 more than doubles that number of metabolic activities by covering more than 7,400 different reactions. To develop Recon 2, the original group of researchers from UCSD brought together research groups from around the world to contribute their findings and develop standards for the map.

Researchers are already excited by Recon 2â€²s potential in a number of medical applications, including the ability to trace gene expression patterns to specific metabolic pathways, which can lead to more useful targets for drugs that can intervene in these processes and alter the reactions that can lead to disease.

"Recon 2 allows biomedical researchers to study the human metabolic network with more precision than was ever previously possible. This is essential to understanding where and how specific metabolic pathways go off track to create disease," said Palsson in a statement.

TIME.com: Diet strategies may help in lowering diabetes risk

Although it is the most expansive map of the human metabolism available, it's still not complete. According to the researchers, Recon 2 includes only about 1,800 genes of the estimated 20,000 protein-coding genes in the human genome, so there is plenty more to map in coming years.

The study was published in the journal Nature Biotechnology.

This article was originally published on TIME.com

The Human Body -- In 'Google Map' Form

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Researchers have created the most comprehensive map of the human metabolism

@highlight

They hope it will help expose some of the still mysterious causes of diseases

@highlight

"Recon 2" consolidates details of human metabolism functions into one interactive tool