Everyone was all smiles when Chinese First Lady Peng Liyuan -- sporting a black coat with a big red ribbon on its lapel -- took center stage at an AIDS event in Beijing last month, posing with young volunteers working with awareness groups around the nation.

Peng, a famous folk singer who has been compared to Michelle Obama, is the glamorous public face of China's fight against AIDS.

But campaigners say the photo ops and lofty words offered by Peng and other public figures do little to improve the lot of the almost half a million people living with HIV or AIDS in China.

In 2011, the same year Peng was appointed as a U.N. goodwill ambassador for AIDS, Hao Yang tested positive for HIV, the virus that causes AIDS, when he was trying to donate blood as a young military officer.

After the discovery, he says his army bosses ordered him home "to rest."

"I worked so hard to get where I was," he recalled of his promising career in the People's Liberation Army, which had sent him to a military academy for graduate studies. "Then all of a sudden they just wanted me out because of my HIV status."

Although he still receives a monthly salary from the army, Hao Yang -- a pseudonym he uses to protect his identity -- feels his life is in limbo.

He is no longer welcome in the military but can't be transferred to civilian work either. Former officers normally become civil servants -- a dead end for Hao as a physical examination that includes HIV screening is mandatory for government job applicants and HIV-positive candidates are disqualified.

"If the government itself still discriminates against us, how can it expect the rest of society not to?" asked the 28-year old who now volunteers with a Beijing-based HIV/AIDS advocacy group.

Inconsistency

Some 430,000 people are living with HIV/AIDS in China, according to the latest count by the Joint United Nations Program on HIV/AIDS (UNAIDS).

Chinese laws and regulations prohibit discrimination against people with HIV, but activists cite myriad of real-life examples -- including the exclusion from public sector jobs -- as evidence of inconsistency in the official policy.

Their most recent outcry was triggered by a Commerce Ministry proposal that would bar people with HIV from entering bathhouses, including those offering spa and massage services. Failure to comply would result in fines for the businesses.

Announced in mid-October, the draft regulation appeared to be backed by the public.

A poll of 10,000 people on a popular Twitter-like site showed more than 70% of the respondents supported the ban. But it drew immediate fire from many experts and activists who blasted the ministry for lacking basic health knowledge as well as reinforcing public ignorance and prejudice on the issue.

"HIV transmission in a bathhouse or spa setting is not possible, and the use of such facilities by people living with HIV poses absolutely no risk from a public health perspective," the China office of UNAIDS said in a statement.

"Addressing HIV-related stigma and discrimination is a critical component of a successful response to HIV."

Protests

Liu Shi, an activist who is HIV-positive, became so incensed by the proposal that he staged a brief protest outside the ministry shortly after the announcement.

Under the watchful eyes of police and soldiers, Liu -- donning a white bathrobe -- held up a sign that asked: "Mr. Commerce Minister, can we go to your house to take a bath?"

"Even people knowledgeable of HIV's transmission still feel scared because of many half-truths reported by the media," said the former sound mixer, 22, still fuming over the proposal's negative impact on his cause.

"This government proposal would only make things worse."

Amid the controversy, the Commerce Ministry pledged to consult experts and review the draft.

For HIV carriers, though, the fight against discrimination remains an uphill battle. Liu and Hao both recounted their difficulty in accessing medical care as many public hospitals still turn away HIV-positive patients when they seek treatment for other illnesses.

Some have tried to redress their grievances through the courts.

In 2010, a young man in Anhui Province sued the local educational authority after his application for a teacher's position was rejected because of his HIV status. He lost the case.

Last month, another HIV-positive man in Jiangsu Province sued local officials, when he was denied a government job despite scoring the highest among all applicants. The case is pending.

Concerted effort

In recent years, China's top leaders have made a concerted effort in recognizing and addressing the country's growing HIV/AIDS problem.

Although the total number of cases seems low for a population of 1.3 billion, the government has acknowledged an alarming trend among young people. In 2012, 1,700 Chinese students were found to be HIV-positive, a 25% jump over the previous year and mostly attributable to same-sex contact, state news agency Xinhua reported.

Last year, President Xi Jinping visited sufferers at a Beijing clinic and called them "our brothers and sisters whose lives should be brightened with love from the whole society."

"HIV/AIDS isn't terrible in itself," Xi said at the time. "What's really dreadful is the ignorance on HIV/AIDS and the prejudice against AIDS patients."

Heartened by the president's words, many activists nevertheless caution that the challenge is translating the leadership's gesture into government actions.

They agree that one top priority should be revamping the country's inadequate sex education, which they blame for the sharp rise of HIV infections among young people as well as the continued public  prejudice against sufferers.

"We have brought the topic of HIV/AIDS into schools but we only talk about the harm caused by the disease," said Meng Lin, who tested positive for the virus some 20 years ago and now runs the China Alliance for People Living with HIV/AIDS.

"Students are taught that only gay or immoral people with multiple sexual partners get infected. Linking the disease to morality further stigmatizes it -- and that really is the problem."

@highlight

Laws prohibit discrimination against the 430,000 people living with HIV/AIDS in China

@highlight

But real-life experiences suggest inconsistency in official policy

@highlight

Hao Yang was kicked out of the army because of his HIV status

@highlight

Liu Shi campaigns against a proposed ban on people with HIV from entering bathhouses