Washington (CNN) -- Lenient enforcement of a law requiring U.S. citizens to have passports when re-entering the country at land border crossings has heightened the risk that an imposter might get in, according to a government report released Monday.

Under the law, which took effect in June 2009, U.S. citizens must show passports or some other authorized travel documents like a military ID when returning to the United States. Those who don't are supposed to undergo further screening to confirm their citizenship.

But, during a phase-in period that now has stretched over 18 months, very few travelers have been referred to secondary screening, the report from the Homeland Security department's inspector general's office found. That assertion -- the study concluded -- "increases the risk that someone could enter the U.S. under false pretense of citizenship."

The federal Customs and Border Protection agency, though, contends that the program is working, adding that it believes it is better to encourage compliance gradually then to enforce it right away.

The inspector general's report is one of the first to look at compliance with the new passport law, which is known as the Western Hemisphere Travel Initiative. The law impacts all U.S., Canadian and Bermudian citizens, who previously were able to enter the United States at checkpoints along the Canadian and Mexican borders without passports.

On a typical day, some 700,000 people arrive at U.S. land borders, trying to get into the country.  But every day, authorities say, some 4 percent -- or 28,000 people -- do not have the required documents.

In an effort to implement the law without clogging international borders, Customs and Border Protection instituted a phase that it called "informed compliance" to transition the law into effect over time. It sought compliance through a carrot-and-stick approach, by promising the benefit of speedier travel and punishment of secondary screening and travel delays.

The results have been mixed. Compliance has been greatest along the northern border, where 98 percent of travelers had the appropriate documents, the inspector general's report says.  Along the southern border, compliance has been spottier, with an average of 93 percent of travelers having required documents.

Compliance is lowest at Texas border crossings, where 91 percent of travelers had everything they needed.

The report suggests that the threat of slower travel has not led to higher compliance, noting that compliance rates have leveled off over time.

The inspector general says the non-compliance rate could spell trouble when Customs and Border Protection seeks "full compliance" with the law, saying the latter agency does not have the resources to process large numbers of non-compliant travelers through secondary screening.

As an example, it said the workload among secondary inspectors at the El Paso, Texas, border crossing could increase 125 percent with "full compliance" of the law.

As the San Ysidro crossing in California -- the busiest land border crossing in the United States -- officials have only eight computer workstations at which to process an estimated 1,834 secondary inspections per day.

"Processing this number of travelers with these few computer workstations may cause considerable traveler delays," the report says.

In a letter to the inspector general, Customs and Border Protection officials took issue with the statement that the passport law's full benefits will not be felt until the final "full enforcement" phase takes effect.

The agency said the program is working, adding that it believes it is better to encourage compliance then to enforce it at this time.

"Travelers are never admitted until identity, citizenship and admissibility are established to the satisfaction of the inspecting officer," the agency said.

"In the event that a traveler does not possess a (passport or other authorized document), the inspecting officer will use all available documentary and system information, as well as oral questioning and inspection techniques, to establish identity and citizenship."

@highlight

A Homeland Security department IG report looks at enforcement of a new passport law

@highlight

The study finds that many people get in the U.S., by land, without required documents

@highlight

Compliance rates are much higher along the Canadian border than the Mexican one

@highlight

The border patrol agency says its phased-in compliance effort is working