(CNN) -- To some, it may sound like a strange way to spend a vacation.

But for many visitors, the carefully manicured grounds of cemeteries can provide beautiful moments to remember history's fascinating figures.

St. Louis No. 1, New Orleans

New Orleans is situated below sea level. Early in its history, each time there was a flood, the dead would literally rise. Residents soon learned that bodies shouldn't be buried in the ground.

At the colorfully named St. Louis Cemetery Number 1 -- the city's oldest -- visitors see only above-ground tombs.

Some are magnificent while others stand in various degrees of ruin.

One intriguing figure said to be buried here is voodoo priestess Marie Laveau (1794-1881), who held sway over her wealthy white clients as well as the Creole faithful.

Tours of the cemetery include haunted outings.

425 Basin St., New Orleans

La Recoleta Cemetery, Buenos Aires, Argentina

The first lady of Argentina from 1946 until her death in 1952, Eva Peron lies in the Duarte family tomb in La Recoleta Cemetery. Every day, tourists pay their respects at the black granite tomb.

A public cemetery since 1822, it was only when the wealthy of Buenos Aires moved to this area that the elaborate above-ground mausoleums became common. The cemetery is home to a roll call of famous Argentineans, from presidents and military leaders to scientists and writers.

Azcuénaga, Buenos Aires, Argentina

Highgate Cemetery, London

In the 1830s, parish cemeteries in central London became a health hazard, leading parliament to authorize seven new cemeteries in outer London. Highgate Cemetery was dedicated in 1839.

Now listed on the English Heritage Register as one of London's great Victorian cemeteries, its most famous occupant is Karl Marx, but others buried here include novelist George Eliot (Mary Ann Evans) and the parents of Charles Dickens.

Guided tours are available for the East and West Cemeteries -- a tour is the only way to get into the latter.

Was there ever a Highgate vampire? Readers can draw their own conclusions about reports in the 1970s and subsequent investigation by the British Psychic and Occult Society.

Swain's Lane, London, Highgate

Central Cemetery, Vienna

Designed to accommodate expected population growth, the Zentralfriedhof opened in 1874 on the outskirts of Vienna. It's "central" in terms of significance, not location.

Home to 3.3 million souls, many visitors nonetheless focus on its connection to Vienna's musical history. Composers Beethoven, Brahms and Strauss lie in rest here, while Wolfgang Amadeus Mozart has an honorary monument in Group 32a, his actual grave being in another cemetery.

Notably, and controversially at the time, the cemetery has a Catholic section, a Protestant cemetery, a small Russian Orthodox burial area and two Jewish cemeteries.

Simmeringer Hauptstrasse 234, 1110 Vienna

Bonaventure, Georgia, United States

Located on the site of a former plantation, Bonaventure was established as a public cemetery called Evergreen in 1847. It became Bonaventure when the City of Savannah bought it in 1907. It's now listed on the National Registry of Historic Places.

Notable people buried here include Confederate general Hugh Mercer, novelist and poet Conrad Aiken and singer-songwriter Johnny Mercer, who wrote lyrics for Hollywood movie songs, including "Moon River."

The Jewish section has a memorial to victims of the Holocaust, whose ashes were brought here from a Nazi labor camp.

Bonaventure's fame grew when a sculpture of the so-called Bird Girl from the cemetery was featured as the cover of the 1994 book, "Midnight in the Garden of Good and Evil."

330 Bonaventure Road, Savannah, Georgia, United States

Punta Arenas Cemetery, Chile

A small angel stands with head bowed and palms together in prayer, a beautiful figurine atop one of the 19th-century tombs in the municipal cemetery of Punta Arenas in southern Chile.

The chapels built in the early part of the 20th century house the remains of some of the wealthiest families of the time, including Sara Braun. It's said that when she donated the money for construction of the cemetery entrance, she had but one request: that once she passed through the central doorway in death, the door would remain closed forever.

And so it is till this day.

9, Magallanes and Antártica Chilena region, Chile

Novodevichy Cemetery, Moscow

Adjacent to the World Heritage listed 16th-century Novodevichy Convent, the Novodevichy Cemetery is said to be Moscow's third most popular tourist site.

Inaugurated in 1898, it grew in importance from the 1930s when the remains of many Muscovites, including writer Anton Chekhov, were transferred from small cemeteries that were being demolished. It's now used only for the burial of significant people.

Among a host of famous Russian singers, writers, scientists, cosmonauts and generals buried here lie Soviet leader Nikita Khrushchev and Boris Yeltsin, first president of the Russian Federation.

Luzhnetsky proyezd, 2, Moscow

Woodlawn Cemetery, New York

Opened in the Bronx in 1863, Woodlawn Cemetery is one of New York's largest, with 300,000 souls at rest. It's a listed National Historic Landmark.

At its entry stands a marble memorial to Civil War hero, Admiral Farragut.

Within its grounds many larger-than-life figures are interred, including jazz supremo Duke Ellington, songwriter Irving Berlin, writer Damon Runyon and newspaper publisher Joseph Pulitzer.

Many monuments and mausoleums were designed by top architectural firms and noted sculptors' talents are in evidence, such as the angel at the Angie Kinsley Monument created by Daniel French, whose credits include the seated Abraham Lincoln at the Lincoln Memorial.

E. 233rd St., New York

Waverley Cemetery, Sydney

They may be dead and buried but "residents" of Waverley Cemetery, set high on the clifftop above Bronte in Sydney's east, have spectacular ocean views.

While its sculptures and architecture are fascinating, there's much to notice about the names on the graves. Among the 80,000 interments since 1877 are literary figures who helped define Australia's character, including Henry Lawson and Dorothea Mackellar.

When viewers watch the funeral scenes in Baz Luhrmann's film "The Great Gatsby," due for release in 2013, they may think they're in Long Island. In fact, those scenes were shot at Waverley Cemetery.

St. Thomas Street, Bronte

Père Lachaise, Paris

At the Cimetiere du Pere Lachaise, home to a million souls, lies the grave of Jim Morrison, whose visitors leave tokens of love. A crowd gathers at Chopin's grave, which is adorned by a statue of the muse with a lyre. There are kisses for Irish playwright and novelist Oscar Wilde. The list of the famous goes on.

A moving site is the series of sculptures memorializing victims of the Nazis. There's a tribute to those who died in the French Resistance and a poignant sculpted figure of an emaciated victim of the concentration camps.

Others place red roses on the tomb of singer Edith Piaf, whose funeral in 1963 was attended by 40,000 people.

16 Rue du Repos, 75020 Paris

Have we missed any? Tell us about any beautiful cemeteries you've seen on your travels below

@highlight

Highgate Cemetery was created in 1839 after others in central London became health hazards

@highlight

Beethoven, Brahms and Strauss share Vienna's Central Cemetery as final resting place

@highlight

Novodevichy Cemetery is reportedly Moscow's third most popular tourist site

@highlight

A million people are buried at the Cimetiere du Pere Lachaise in Paris