Princeton, New Jersey (CNN) -- As he stood before the delegates of the 1964 Republican Convention in San Francisco, California, Arizona Sen. Barry Goldwater, the party's presidential nominee, said, "I would remind you that extremism in the defense of liberty is no vice. And let me remind you also that moderation in the pursuit of justice is no virtue."

The delegates, who had booed New York Gov. Nelson Rockefeller when he called for the party to respect moderation, were thrilled. Many of Goldwater's supporters were determined to push their party toward the right wing of the political spectrum. They felt that their party leaders, including President Eisenhower, had simply offered a watered-down version of the New Deal.

Yet Goldwater soon learned that extremism could quickly become a political vice, particularly to a party seeking to regain control of the White House. The right wing of the Republican Party in the early 1960s inhabited a world that included extremist organizations, such as the John Birch Society, that railed against communism.

The Birchers developed a huge network of local activists, reaching more than 100,000 members. They published pamphlets and books and threw their support behind local candidates. Some mainstream conservative outlets depended on supporters who were in these groups. Many right-wing organizations in the South were opponents of civil rights and advocates of racial segregation.

During the fall campaign of 1964, President Johnson devastated Goldwater and his running mate, William Miller, by painting them as an extremist duo with close ties to military hawks and racist demagogues.

Since Miller, a New York congressman, was known for his close ties to the right, Democrats could charge that Republicans had not balanced their ticket.

The "Daisy" advertisement had Americans look into the eyeball of a young girl as it reflected the image of a nuclear explosion. Another advertisement showed images of the Ku Klux Klan decked out in their garb and carrying burning crosses.

The ads played on statements by the candidates and extremist organizations. The narrator of the KKK ad reminded viewers that Robert Creel, grand dragon of the Alabama KKK, had said: "I like Barry Goldwater. He needs our help."

Democrats certainly had their extremists as well in the 1960s, as all the discussions about Bill Ayers and the Weathermen in the 2008 campaign reminded us. Yet in the 1960s, the Democratic leadership was removed from these elements of the liberal spectrum.

Indeed, radical left-wing activists were primarily revolting against what they saw as the bankrupt leadership of the Democratic Party.

They hated Lyndon Johnson even more than they hated Richard Nixon. Always nervous about being tagged by Republicans in a conservative era as too close to socialism, Democrats in Congress and in the White House since the 1960s have tended to distance themselves from fringe elements of the left.

Now Republicans are facing the danger of being associated with extremism once again. Last week, following the vote on health care, members of Congress have were the targets of death threats and vandalism.

In the final hours of the health care debate, there were reports about how health care opponents uttered racial slurs at Georgia Democratic Rep. John Lewis, a hero of the civil rights movement, and sexual epithets against Rep. Barney Frank, who is openly gay.

Sarah Palin sent out a statement on Twitter that urged followers, "Don't Retreat, Instead-Reload!" Palin explained later that her use of those words was not about "inciting violence," but rather about inspiring people to get involved in the political process.

Some ugly elements of the Tea Party movement, which have been held in check since the original Washington protest in September, have returned to the  political debate.

In the short-term, the Tea Party movement has helped to revitalize the Republican Party.

Without question, the kind of energy that has been fostered by the activists associated with these groups has helped Republicans mobilize their supporters and can clearly be helpful at bringing out the vote in the midterm elections.

By generating interest in the libertarian and anti-government arguments of conservatism, the movement will help keep conservatives motivated after their loss on health care. It is fair to say that many Americans who support this cause are simply expressing legitimate and deeply held antipathies toward Washington.

But extremism is there, and it has flared in the past few weeks. This kind of rhetoric will not produce long-term gains for the Republican Party. Realizing the threat, Republican leaders have begun to disassociate themselves from these elements of the movement.

There have been a few voices of condemnation, such as House Minority Leader John Boehner who said "violence and threats are unacceptable." Local Tea Party organizers have also stepped forward with words of condemnation.

Leaders from the Florida Tea Party said in a letter to President Obama that they stood in "stark opposition to any person using derogatory characterizations, threats of violence, or disparaging terms toward members of Congress or the president."

These statements are encouraging and strike the right note. Yet Republicans need to follow through by continuing to exert pressure on local organizational leaders to stamp out this kind of activity.

They must also avoid contradictory messages, such as the statement of House Minority Whip Eric Cantor, who accused Democrats of "fanning the flames" by using the incidents as a "political weapon." Cantor had a bullet fired at his campaign office after receiving anti-Semitic threats, but local police described the bullet as random gunfire not directed at his office.

The leadership statements must be unambiguous and firm, leaving no question in voters' minds that this is not what conservatism is about.

When Ronald Reagan ran for the presidency in 1980, he worked hard to weaken the connections that existed between Republicans and the fringes. He learned the lessons of 1964 and sought to remake a Republican Party that could appeal to mainstream America. Reagan realized that if he did not, the perception of extremism would pose a long-term threat to the party's future.

Now Republicans are facing the Goldwater threat once again. At the same time that conservatives have every right to oppose and challenge President Obama's agenda, they must make clear that there are limits and that the kinds of actions that we have seen in recent days are not something that either party will be willing to tolerate in the year ahead.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

In 1964, Barry Goldwater said: "Extremism in the defense of liberty is no vice."

@highlight

Party's association with extremists hurt the GOP in that election, Julian Zelizer says

@highlight

He says extreme reactions to passage of health care bill pose danger for Republicans

@highlight

Zelizer says Democrats have extreme fringe but have taken pains to dissociate from far left