(CNN) -- What is happening in Tunisia?

Following a month of largely leaderless popular protests against the government, Tunisia's President Zine El Abidine Ben Ali fled the country on Friday. Fouad Mebazaa, the speaker of parliament, was sworn in the following day as interim president, and new elections are due within 60 days.

.

What were the protests about?

They were sparked by the suicide of an unemployed college graduate in December. The man set himself on fire in front of a government building in the town of Sidi Bouzid after police confiscated his fruit cart, saying he was selling without a permit, according to Amnesty International. He died January 4 from his injuries.

The event tore the lid off what appears to have been long-simmering fury at Ben Ali and his associates. Tunisians accuse the ruling circle of rampant corruption and nepotism. Recent diplomatic cables from the U.S. Embassy in Tunisia obtained by WikiLeaks revealed growing disquiet with the government -- especially over nepotism.

Why does Tunisia matter?

It could be the canary in a coal mine, since it's far from the only Arab nation with a long-time president and a young, underemployed population.

Riots broke out in neighboring Algeria after weeks of demonstrations in Tunisia, and Egypt, Libya and Yemen will certainly be watching closely to see what happens in Tunis.

Libya's Moammar Gadhafi said he was "sad and hurt" after Ben Ali fled Tunisia, warning that the country was heading for "more unjustified chaos.

"It used to be a safe, secure and friendly nation. Development was going on, with job opportunities, work training, education. And suddenly, one day people destroy their own houses," Gadhafi said in a nationally televised speech.

With a population of just over 10 million, Tunisia is not one of the major players in the region. It's not an oil exporter, does not have disputes with its neighbors, and is relatively prosperous and liberal for north Africa. So if popular protest can topple a president there, the region's autocrats must assume they need to be on their guard.

How violent have the protests been?

At least 21 people died in protests before Ben Ali fled, according to the government. Local unions put the figure at more than 50.

The U.N. High Commissioner for Human Rights, Navi Pillay, citing reports, said the protests had been peaceful and that security forces used excessive force.

Prime Minister Mohamed Ghannouchi on Thursday declined to answer a CNN question about whether live ammunition or snipers were used against demonstrators, saying those matters will be part of an investigation into the conduct of the security forces.

.

Does this mean Tunisia is becoming a fully-fledged democracy?

It's too soon to say. The protests have been dubbed the "Jasmine Revolution," but CNN's Ben Wedeman in Tunis, the capital, says the military has moved quickly to fill the power void. Curfews are in place and tanks and armored personnel carriers were on the streets of the capital's main streets.

.

Are events like this unusual in Tunisia?

They're very unusual, not only in Tunisia but across the Middle East. Ben Ali was only the second president of Tunisia since it gained independence from France in 1956. His predecessor, President Habib Bourguiba, ruled for more than 20 years until he was succeeded by Ben Ali -- then the prime minister -- in 1987. Ben Ali claimed victory in five successive presidential elections since then, most recently officially taking nearly 90% of the vote in November 2009.

.

@highlight

The country's longtime president fled on Friday

@highlight

Popular protests toppled him after a month

@highlight

He'd been in power since 1987

@highlight

Other long-serving leaders in the region will be paying close attention to Tunisia