(CNN) -- I'm standing in the secret Amsterdam apartment where Anne Frank and her family spent two years hiding from Nazis during the Second World War.

The place is a mess -- crumpled sheets cover the bed in the corner, pots and pans clutter the dinner table and stubbed-out cigarettes fill the ashtray.

This isn't surprising given that the Frank family and four others hiding alongside them were dragged away by German security police just the night before.

It's an arrest I saw happen -- along with more than a thousand other people watching a spectacular new stage show that brings Frank's time in hiding to life so vividly that some were moved to tears.

The play, simply titled "Anne," is a major new production staged in a purpose-built theater on the outskirts of Amsterdam.

It's hoped the production -- which features lavishly designed sets that revolve and glide across a giant panoramic stage -- will bring the story of the young Jewish diarist to a new generation.

No expense has been spared.

Intensely realistic stage sets

Two of Holland's best known playwrights were commissioned to pen the new drama and a multimillion dollar budget spent on intensely realistic stage sets.

"The level of detail is crazy," says Robin De Levita, the show's Tony Ã…ward-winning producer, as he takes me behind the scenes, where a life-sized Amsterdam apartment block is parked, ready to roll on stage.

De Levita's sets include the Franks' original home, and a rotating replica of the annex where they hid from Nazi persecution between June 1942 and August 1944.

"It's really the only way you can experience exactly what went on in all those rooms and what the relationship was between all those rooms," he says.

There's also a breathtaking and beautiful final scene in the snowy desolation of Bergen-Belsen, the concentration camp where Frank died at the age of 15 -- her childhood dreams snuffed out by the Holocaust.

Standing ovations followed the play's premiere in May, as did largely glowing reviews.

It's acted in Dutch, but subtitled and dubbed audio translations will be introduced in July, opening it up to international audiences.

Its creators hope it will become a permanent fixture, attracting some of the visitors who line up for hours to see the original annex inside Amsterdam's canal-side Anne Frank Museum.

The new dramatization aims to present a more faithful image of the ambitious teenager -- whose rebellious nature and adolescent desires were originally edited out of her published diary.

'Glimpses of a life she never had'

Husband and wife co-authors Leon de Winter and Jessica Durlacher used Frank's original writings to conjure scenes of a postwar dream life in Paris -- another stunning stage set.

There Frank discusses her unpublished book with a handsome young publisher, who falls in love with her and joins us as we flashback to her time in hiding.

"It's all inspired by Anne's own writing," says De Winter.

"It's her dream to have this grand student bohemian life in Paris and London -- and to become famous and we used these remarks to see glimpses of a life she never had."

Despite its tough subject matter, there are a moments of levity, such as when Frank clashes with Fritz Pfeffer, a dentist who shared a room in the secret annex with Anne and her sister.

The writers say they tried to strike a careful balance in showing respect for the memory of those involved while still producing an entertaining play.

"It's almost like a tragic-comedy -- a very cruel sitcom," says De Winter. "But if the diary was not entertaining, we would not be talking about it right now."

'Dreams and hopes'

Among those enjoying the show during one recent performance was Amber Nijmcen, a 21-year-old student from Amsterdam.

"It's just such a big part of Dutch history," she says. "It happened just around the corner, and it's important for us to know about it.

"For tourists something like this is good. They should be aware of what happened here -- and not just come to Amsterdam for the drugs."

In the play's current cast, the role of Frank is taken by Rosa da Silva, a formidable 27-year-old actress who flits effortlessly between portrayals of childhood, adolescence and young adulthood.

Not Jewish herself, she joined the rest of the cast on fact-finding trips to Auschwitz concentration camp and spoke with Jewish people who went into hiding like Anne.

"She was such a small girl and she had so many dreams and hopes," she says. "But because she was Jewish, those dreams weren't possible."

Da Silva says she recognized some of Frank's determination in herself and a similar childhood ambition to succeed.

"And that's the really big thing with Anne, a lot of people identify themselves with her," she says.

The Anne Frank Foundation, an educational charity that holds soon-to-expire copyright to the diary, commissioned the play in the hope of reaching out to a new generation almost 70 years after Frank died.

De Levita says judging by the experience of showing the play to his own teenage son and his friends, it hits the mark.

"They're watching themselves and they're completely relating to all of this because they're going through it right now: annoying parents, being trapped in the house, falling in love, sexuality.

"I promise you, any 14-, 15- or 16-year-old will go crazy over this. It will be a meaningful experience. And that's what we have to achieve -- to find that audience."

"Anne" is performed at the Theater Amsterdam, Danzigerkade 5/Westpoortnummer; +31 88 123 2411; tickets from $48

Barry Neild is a freelance journalist based in London. He is a longtime contributor to CNN and other major international news organizations.

@highlight

A new play about Anne Frank features stunningly realistic sets

@highlight

The play is staged in a purpose-built theater on the outskirts of Amsterdam

@highlight

Audiences have been moved to tears, and standing ovations

@highlight

The play is presented in Dutch, but subtitles or audio translations are scheduled to be introduced in July