Monte Dinero, Argentina (CNN) -- When we landed in Rio Gallegos, Argentina it didn't take me long to spot Richard Fenton.

He was the only six-foot tall bearded red-headed guy wearing an olive-green fatigue jacket and a wide-brimmed bush hat. When his hearty welcoming words: "Hello, Brian, how are you?" boomed out in English amongst the Spanish-speaking crowd at the arrival gate, I was certain we had located our host.

We loaded our gear into his 4x4 truck and began the two-hour journey towards his home at the southernmost tip of continental South America.

The Fenton family has always been a bit different than everyone else in this part of Patagonia -- and that is exactly why we came here. They are eco-pioneers in more ways than one.

Richard's great-great grandfather, Arthur, came to Argentina from County Sligo, Ireland in 1885 to become Santa Cruz Province's first medical doctor. Arthur married a wealthy widow and began living on her homestead overlooking the rough seas at the mouth of the Strait of Magellan.

The area had been christened Monte Dinero -- "Money Mountain" -- by gold prospectors -- and sheep were soon introduced. Five generations later, the Fentons are still tending sheep here, producing high-quality wool and meat that is in demand around the globe.

A few years ago though, 40-year-old Richard began to have doubts about the farming methods that his forbearers had passed on to him.

Traditionally, he tells me, sheep mostly stay put, continually grazing on the same pastures. A century's worth of this overgrazing had caused the desertification of much of the fragile grasslands at Monte Dinero.

So Richard began to devise a method to change his sheep herding practices, and after research in Argentina, Australia and England, he introduced a new system that constantly rotates the sheep to different pastures, thus allowing the grass to regenerate. This holistic herding has had a tremendous effect on his land, and helped bring much of it back to life.

"What we are really trying to do here is imitate what Mother Nature used to do -- which is the natural herding of the wildlife," says Richard.

Essentially, Richard has switched from being a sheep farmer that uses grass, to a grass farmer that uses sheep.

But getting his stubborn fellow farmers to make the switch too was a challenge. But slowly his efforts have paid off, and now 120 farms in Argentina, Chile and Uruguay are a part of the Ovis XXI -- a network which fosters innovation in sheep breeding and land management across South America.

"We use biological indicators to assess the health of ecosystem processes," says Pablo Borrelli, an Ovis XXI director.

"We disclose the land health status of every farmer to the customers. A farmer must have positive biological indicators. If he doesn't, he has to change his management and fix the problem."

As Richard and I walk through thick grass in a steady rain on Monte Dinero, the evidence is clear. He shows me areas where new green grass is now growing despite having been dry and dead just a few years earlier. Later, we drive past a neighboring farm that still does things the old-fashioned way and there was a distinct difference in the look and feel of the grasslands.

The pioneering method employed by the Ovis XXI partners has now attracted the attention of conservation groups and clothing makers alike.

The Nature Conservancy is providing technology like satellite mapping and its scientists are working with the farmers to continue the effort to regenerate the grasslands.

And California-based clothing company, Patagonia, Inc., plans to use the wool in their upcoming clothing lines.

"Ovis XXI has an on-the-ground reach that is amazing, plus great respect from the ranchers they have been working with for a long time. This fact spoke volumes to our company; it isn't often we get to see that far back in the supply chain," says Jill Dumain, Patagonia, Inc.'s director of environmental strategy.

This international recognition also bodes well for the Fenton's other business: agro-tourism.

They were amongst the first in Argentina to open their estancia to curious travelers from around the globe to hear how an English-speaking Irish family has thrived in a remote part of Spanish-speaking Argentina.

"The people that make the effort to come here, they arrive and they say there's something special about this place. What it is, I don´t know. You have to see it with your own eyes," says Richard's mother, Peggy, as we sit in the cozy living room of their ranch house.

That's not to say that living at the end of the earth is easy, for the sheep or their herders. I spent three days at Monte Dinero and I can attest to the challenges there: it is windy, cold and wet, and the sun is temperamental, at best. It is also breathtakingly beautiful.

"People often say to me: 'What a sacrificed life you live here with the climate and lack of social life.' But this is a type of life you either love or hate. And we love it," says Richard's father, David.

Perhaps most important to the Fentons is that their new shepherding methods are not only helping them to better sustain and profit from their land, but are also helping reduce the build-up of greenhouse gases in the atmosphere.

"Natural grasslands today in the world could capture as much or more carbon than forests and could be a very big help to the environment," says Richard.

And that shows that making progress in Patagonia can have a positive impact on the entire planet. The earth could use more pioneers like the Fentons.

@highlight

Brian Byrnes travels to the tip of South America to meet a pioneering family of farmers

@highlight

Richard Fenton employs "holistic herding" of sheep to improve yield for business and land

@highlight

Continuing grazing on same land causes desertification of fragile grasslands

@highlight

Fenton is part of a network which promotes sustainable methods to other farmers in South America