Health officials are looking for the cause of a neurologic illness that's affected 10 children in Colorado.

The children were hospitalized between August 9 and September 28 with muscle weakness in their limbs, according to the Centers for Disease Control and Prevention.

Something is affecting the children's motor nerves, causing weakness primarily in their shoulders, triceps, biceps and hips, says Dr. Joyce Oleszek, a pediatric rehabilitation specialist at Children's Hospital Colorado. Doctors are also seeing some weakness in the neck and facial muscles in these patients.

"It seems to be attacking the spinal cord and brain stem," Oleszek said at a press conference Monday.

MRI tests spotted abnormalities in the children's spinal gray matter. Most of the children experienced a respiratory illness before being admitted to the hospital, although only two had a history of asthma.

The latest case was a girl who arrived at Children's Hospital Colorado over the weekend. She and three of the other patients are still at the hospital. The rest have been discharged, said Dr. Sam Dominguez, a microbial epidemiologist at the hospital. Doctors do not know if the neurological damage will be permanent.

The CDC is investigating the cause of these symptoms. Health officials do not believe that the cases were caused by polio, as at least eight of the 10 children are up to date on their polio vaccinations.

"We don't know, at this point, if there is any association between the enterovirus EV-D68 that's circulating and the paralytic conditions some of the children in Colorado are experiencing," CDC spokesman Tom Skinner said.

Tests of the children's cerebrospinal fluid came back negative for enteroviruses and West Nile virus. But a test of their nasal passages found enterovirus in six out of eight patients who were tested.

Of those six, four tested positive for enterovirus D68, which has been sending children across North America to the hospital with severe respiratory illnesses. The other two test results are pending.

"It could be something else. That doesn't prove cause and effect, but it's circumstantial evidence," said Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases. The cause "still remains a puzzle."

Enterovirus: My son was 'like a goldfish gasping for breath'

A cluster of children with similar paralysis symptoms was identified in California last year. Samples from two of the children tested positive for enterovirus D68.

Enterovirus D68 is part of the Picornaviridae family, which also includes the poliovirus, other enteroviruses and rhinoviruses. Enteroviruses are very common, especially in late summer and early fall. The CDC estimates that 10 million to 15 million infections occur in the United States each year.

These viruses usually appear like the common cold; symptoms include sneezing, a runny nose and a cough. Most people recover without any treatment. But some types of enterovirus are more serious. These can cause hand, foot and mouth disease; viral meningitis; encephalitis (inflammation of the brain); an infection of the heart; and paralysis in some patients.

This year, enterovirus D68 seems to be exacerbating breathing problems in children who have asthma. The virus has infected at least 277 people in 40 states, according to the CDC. Cases have also been reported in Canada. Children's Hospital Colorado has treated over 4,000 children with severe respiratory illness since August 18, said Dr. Chris Nyquist, medical director for Infection Prevention and Control. About 10% were admitted.

CNN affiliate WCBS reported Friday that a New Jersey toddler died last week from a severe respiratory illness and that the CDC will be testing samples to see whether he had enterovirus D68.

The CDC is asking other hospitals across the country to be on the lookout for similar cases and to send in information on any patients with these symptoms.

"Parents shouldn't panic," Nyquist says. "This is very, very uncommon. "

Common-sense things, like frequent hand-washing and avoiding sick people, can help protect kids from becoming infected, she said.

@highlight

"It seems to be attacking the spinal cord and brain stem," doctor says

@highlight

MRI tests spotted abnormalities in sick children's spinal gray matter

@highlight

Health officials are looking for the cause; it may be enterovirus

@highlight

Ten children in Colorado hospitalized with limb paralysis