(CNN) -- What do you get when you combine a hotel and a boat? Inevitably, you get a boatel.

Catering for those who seek the romance of the high-seas without sacrificing the creature-comforts of dry land, an increasing number of enterprising hoteliers are converting historic vessels into over-night stays.

From old lifeboats to classic military ships, these are our top five.

The American dream

For many new immigrants arriving in New York last century, the first glimpse of their new home would have been from the Ellis Island ferry.

The 1907 Yankee Ferry was one such boat, shuttling passengers from the immigrant inspection station to the bustling American metropolis.

Now the oldest ferry boat in the country has a permanent home moored on the Hudson River -- and a psychedelic new interior.

Renovated by artists Richard and Victoria Mackenzie-Childs, the five-bedroom vessel features an eclectic collection of vintage furniture with carnival-esque flourishes.

Floating beside a vegetable garden and with a family of chickens strutting on deck, the Yankee is a bohemian oasis overlooking the glittering Manhattan skyline.

A real lifesaver

In her former life, the Harlingen Lifeboat Hotel worked for Britain's Royal National Lifeboat Institution between the 1950s and the 1970s.

The handsome red and white wooden vessel, then christened Lilla Marras, carried out more than 100 rescue operations along the notoriously rough North Sea and saved 45 people from drowning.

Today Lilla has a much gentler existence, permanently moored in the quiet fishing town of Harlingen in the northern Netherlands.

The renovated 14-meter boat includes a double bedroom, dining room and two-person wooden bath.

Fit for a queen

From Hollywood heartthrob Clark Gable to stalwart British Prime Minister Winston Churchill, the who's-who of the 1930s chose to rest their heads on luxury liner, Queen Mary.

Boasting five dining lounges, two cocktail bars, a swimming pool, ballroom, squash court, and even a small hospital, the whopping 310-meter cruise ship set a new benchmark in transatlantic travel when she was launched in 1936.

During World War II, the historic vessel was stripped of her luxurious amenities and painted a camouflage gray as she transported more than 16,000 troops across the world.

Fast forward to today and the Queen Mary has been restored to her former art deco glory, though her sailing days are long over.

Instead, guests can stay in one of 314 original staterooms and nine suites, in her permanent home in Long Beach, Los Angeles.

We all live in a silver submarine

History buffs can experience life as a World War II sailor -- without the combat -- aboard the historic USS Silversides submarine.

The mighty military vessel sank 23 Japanese ships during the war, making her the third most prolific U.S. submarine of the time.

No longer patrolling key enemy shipping routes, today the Silversides is moored in the Muskegon Channel, Michigan.

The 95-meter vessel, popular with school groups, features 72 bunk beds, giving youngsters the chance to step back in time and dream of life as a wartime sailor.

Guests can also take part in a Remote Operated Vehicle (ROV) design class, including lessons on building their own underwater robot.

An adjoining museum also features artifacts from the Pearl Harbor attack and a 70-seater theater screening archival naval footage.

Room with a view

Not all boatels have to float on water though. Perched on top of London's Queen Elizabeth Hall, this fantastical boat looks out over the city's River Thames, Big Ben and St. Paul's Cathedral.

A Room for London is a one-bedroom installation intended to be a space for artists, writers and musicians, to stay for one night and create new works inspired by the great city rumbling beneath them.

The building is based on the Roi des Belges, the riverboat that author Joseph Conrad sailed up the Congo in 1889, and later used as the inspiration behind his famous book Heart of Darkness.

The modern reincarnation however, includes a crow's nest, octagonal library and a cabinet of visual curios.

"With its combination of painted wood and hand-worked gold and silver coated metals, it seems to echo the simplicity of a Japanese tea-hut or the rural haphazard quality of a midwestern farm building," said organizers.

@highlight

Enterprising hoteliers are converting historic vessels into over-night stays

@highlight

Top five from across the world include WWII submarine and 1960s lifeboat

@highlight

Perfect for guests wanting water views with the convenience of dry land

@highlight

Not all float on water -- art installation, A Room for London, perched on building