(CNN) -- My great-grandmother used to laugh in moments of misfortune and confusion. It was a reflex honed by the constant daily pressures of being an immigrant in a country where the language and the culture were alien. Years later, she said it was a form of stress release. But thinking back, I can also see how laughter felt like the safest bet when confronted with threatening situations in an unfamiliar world.

So, maybe genetics explain my inappropriate hilarity when I heard that the U.S. House killed the Violence Against Women Act this week -- or at least stood by and did nothing while it died. The bill has been almost automatically extended every five years since its initial passage in 1994. This trend came to a sickening halt this week when the Senate sought to extend critical protections to immigrant and Native American women, as well as LGBT people. The current political climate that allows for this betrayal of the fundamental right to safety of body and being feels as alien to me as early 20th-century Texas must have felt to my Polish great-grandma.

Drafted in the mid-'90s by then-Sen. Joe Biden, VAWA provided greater authority to investigate and prosecute domestic violence cases. It also beefed up scant funding to support victims. Before VAWA, women saw little incentive and an ominous downside to reporting abuse. More often than not, their abusers saw no punishment, but victims faced losing jobs, homes, marriages and custody of their children.

Offer women a safe way out of a terrible situation, however, and the results are impressive.

Reports of gender-based violence dropped a remarkable 64% from 1993 to 2010 -- from 2.1 million reported cases to 907,000 reported cases. Even better, the more robust reporting incentives and mechanisms illuminated societal blind spots where abuse still occurs.

That led the Senate to pass an expanded version of the reauthorized bill -- one that extends protections to populations that remain vulnerable. The bill was drafted jointly by Sen. Patrick Leahy, D-Vermont, and Sen. Mike Crapo, R-Idaho, and passed the Senate by a comfortable margin last Spring.

The need is clear: A full third of Native American women will be raped in their lifetimes; an even higher number will experience physical and emotional abuse. Lesbian and gay people will be brutalized at the same rate as general society -- approximately 27% -- but will have far bleaker prospects of finding help.

Some 45% of those seeking refuge at a shelter were turned away, and 55% who sought restraining orders against abusers were denied. Undocumented women in the United States risk being held hostage by abusive spouses who lord citizenship over them as a means of control. These same husbands often threaten deportation and separation from children if their wives seek help or report abuse.

Opinion: House GOP failed women on Violence Against Women Act

Meanwhile, 80% of migrant workers who work in American agriculture report sexual harassment; many of those include rape. The crisis is so endemic in those industries that the workers often refer to their workplace as "fil de calzon" or "field of panties."

The reforms in the Senate bill that seek to right these devastating and rampant wrongs are modest and simple: Tribal authorities can prosecute offenses on reservations when state and federal prosecutors fail to do so, the government can issue a visa to abuse victims to halt deportation if they agree to testify against their abusers and shelters that receive federal grants are prohibited from discriminating against LGBT abuse victims who seek their services.

These reforms seem like no-brainers in the face of so many brutalized women. But not to a House GOP caucus that is scoring political points off the pain of people reviled by the extreme GOP base. It seems that sanctioning an underclass of women who live in fear is a small price to pay for approval ratings at home.

Even worse, at least one GOP supporter actually profited from killing the bill.

Natasha Spivack is the owner of a mail-order bride company successfully sued by a bride who had been continuously beaten by her husband. She is also a top official on the advocacy group Stop Abusive and Violent Environments, or SAVE, which, according to a report in the Huffington Post, lobbied the "House of Representatives to include a 'reform to curb VAWA immigration fraud' in its version of the bill." More protections for these immigrant women would cost Spivack's company a lot of money. These are among the folks with whom the GOP has cast its lot.

In the past couple of months, Americans lent their voices to the global chorus of horror as a young Indian woman died from internal injuries after being gang raped, and we shook our collective heads self-righteously when a Pakistani girl was shot by the Taliban simply for wanting an education. Perhaps keeping our eyes on the horizon distracts us from having to face the unchecked bigotry in our own Congress.

But the result today is millions of ignored and vulnerable women within our own borders. Aside from the moral repugnance of this, the actions of this minority make our great nation a hypocrite in the eyes of so many around the world who have looked to us to be beacons of democracy and equal rights. And that's not a laughing matter, no matter how alien that makes me feel in my own home country.

The opinions expressed in this commentary are solely those of Ilyse Hogue.

@highlight

Ilyse Hogue: The House GOP killing VAWA is betrayal of women's right to safety

@highlight

She says it extends critical protections for LGBT people, immigrants, Native American

@highlight

She says House GOP scoring political points off pain of those reviled by extreme GOP base

@highlight

Hogue: We decry rape, abuse in other lands, and these distract us from abuses in our own