(CNN)Native Americans often speak of straddling two worlds: the America where pop culture and political gridlock dominate headlines, and a world where the culture of their ancestors lives on through ritual celebrations, language and artisan traditions.

It's a tough balance to strike, especially as Native youth leave tribal lands in search of education and career opportunities. Across the nation, members of the nearly 600 federally recognized tribes are working to keep their traditions alive to pass on to the next generation and to show mainstream America that Native culture is a living, breathing entity.

Some faces of these efforts are captured in "Red Road," an ongoing photo series by Italian photographer Carlotta Cardana and writer Danielle SeeWalker, a member of the Standing Rock Sioux Reservation.

The name "Red Road" comes from the Lakota concept of "the good path" that should be followed in life, the project's website says: "The people we've met and photographed all follow this 'Red Road' in some way, rising above to be role models to their people and their way of life."

"Red Road" consists of portraits taken in a setting of the subject's choosing and a short biography, showing how each person bridges the gap between modern America and Indian Country.

One photo shows 33-year-old Tanksi Morning Star Clairmont, who grew up off the reservation in Denver.

She was usually the only Native American in school growing up. She began to embrace her Native identity in high school by performing cultural dances for her classmates. She also learned the Lakota language and rituals from her grandmother and mother, and she continues to share them with her community in Denver, where she works for the American Indian College Fund.

Her portrait shows her dressed in hand-beaded regalia in the colors and patterns of the Lakota and Dakota tribes, standing near a river in a park close to her home in Denver.

"I'm proud that we, as Native Americans, can maintain our traditional lifestyle whether we live in the city or on the reservation and that we can be educated and be professionals, too," Clairmont said in "Red Road."

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Another photo shows Danielle Finn, a member of the Hunkpapa Lakota tribe, sitting on a pink bedspread in a bedroom of her family's home. If not for her traditional green dress and accessories made by her and mother, the portrait could be mistaken for an image from a decor catalog.

A law student in Albuquerque, New Mexico, Finn also represented the Hunkpapa Lakota tribe at the 2014 Miss Indian World pageant. She also visits reservations on behalf of the Center for Native American Youth's "Champion for Change" program, discussing topics such as teen pregnancy, alcohol abuse and the importance of Native culture.

"Running in pageants is a way to show you are a leader, be an inspiration to other young Native girls and teach others about your tribe," she said.

Cardana and SeeWalker met in 1998 while in high school. SeeWalker had just moved to Nebraska from her tribal land in North Dakota, and Cardana was an exchange student. They bonded as the new kids in town over a love for thrift clothes and blue hair, and they became lifelong friends.

They decided to pursue a project together in 2013 after Cardana visited SeeWalker and her family on the Standing Rock reservation. The goal was to capture stories that portrayed Native Americans in a positive light to counteract the negative headlines coming out of Indian Country related to substance abuse and poverty.

"We envision this project as a celebration of Native American culture rather than portraying all the misery," Cardana said.

"There's a richness of cultural differences among the tribes. We tend to generalize and think of them as just a few tribes, but there's so much more."

Carlotta Cardana is an Italian portrait and documentary photographer based in London. You can follow her on Facebook, Twitter, Instagram and Tumblr.

@highlight

The portrait series "Red Road" takes a closer look at modern-day Native Americans

@highlight

The subjects are embracing their culture and maintaining traditions

@highlight

"Red Road" comes from the Lakota concept of "the good path" to be followed in life