(CNN) -- It's been six years -- 2007, if you're into counting numbers -- since the once sleepy fishing port of Macau surpassed Las Vegas as the world leader in gambling revenue.

We love the flash. And the occasional winning night at the tables.

But there's a slower side to this city of just less than 600,000 residents, one of cobblestone lanes, colonial mansions, art deco buildings and tranquil parks, all done in a fusion of Chinese and Portuguese motifs.

The best part is that Macau (just an hour from Hong Kong by ferry) is compact, making it a breeze to explore.

Here's a primer.

1. Baccarat is the game of choice

Macau is the gambling capital of the world.

By far the most popular game is baccarat, a relatively simple game with a low house advantage (less than 1%).

Baccarat tables dominate the city's 33 casinos.

There are plenty of slot machines as well, but they offer a high house advantage and aren't popular. This is the reverse of Las Vegas where gamblers favor slots.

Macau's revenue from gambling is $33 billion, more than five times that of the Las Vegas Strip.

Tycoon Stanley Ho's 40-year reign as the city's casino kingpin came to an end in 2002 when the Macau government ended the monopoly system.

Today, there are six casino operators: SJM Holdings (Stanley Ho), Wynn Macau, Sands China, Galaxy Entertainment Group, MGM China Holdings and Melco Crown Entertainment.

2. Macau was the first and last European colony in China

The Portuguese settled in Macau in the 16th century and the island was handed back to China in 1999.

Today, Macau is a Special Administrative Region (SAR) -- as is Hong Kong -- and is governed under the "one country, two systems" principal, which was the brainchild of late paramount leader Deng Xiaoping.

Although no longer a colony, Portuguese is still an official language and the Portuguese influence can be seen everywhere from blue tiled street signs to tiled floors and beautiful gardens.

More: Top-notch hotel under $100: Macau's best boutique stay

3. It's the world's most densely populated place

Macau has the world's highest population density with 20,497 people per square kilometer.

No surprise then that it needed to do something dramatic to make room for new casinos and 30 million visitors that come every year.

The solution was a massive land reclamation project that joined the two islands south of the mainland -- Coloane and Taipa. This gave Macau an extra 5.2 square kilometers to create a gambling mecca to rival Las Vegas.

It's known as the Cotai Strip -- drawing on the names of the two islands, Coloane and Taipa.

The Venetian Resort, City of Dreams, Sands Cotai and Galaxy Macau Resort are all on the Cotai Strip.

There's another big one on the way -- Steve Wynn is spending $4 billion on a huge resort called Wynn Palace set to open in 2016.

4. Coloane is still chill

The most southern island, Coloane, remains wonderfully untouched by the casino craziness.

This is largely due to strict rules over title deeds that make it difficult to buy property on the island.

The low-rise houses and quiet tree-lined streets that give Coloane its charm remain as they have for decades.

Coloane is home to Lord Stow's Bakery, birthplace of Macau's much-loved egg tart. Not too sweet, these tarts with their crispy pastry are worth queuing for.

Another Coloane favourite is Fernando's. Like the rest of Coloane, it's super laid-back and the food is reliably good. The garlic prawns and suckling pig are must orders.

More: Insider Guide: Best of Macau

5. Heritage is here to stay

Before the big casino operators rolled into town the Macau government did something clever -- it applied to UNESCO for World Heritage status.

In 2005, the historic center of Macau was put on the list.

The city's historic monuments are one of the city's biggest draws, a wonderful example of the early encounter between Chinese and European civilizations.

The old heart of the city is small and a walking tour can easily take in the key sites from the iconic Senado Square, the Ruins of St. Pauls, the beautiful churches and temples and the old city wall.

Most of the sites are open daily and free to visit.

6. Macanese cuisine is fusion food

Macanese cuisine is unique to Macau and combines the best of Chinese and Portuguese ingredients and cooking along with influences from Brazil, Goa and other former Portuguese colonies.

There's plenty of seafood -- codfish, sardines, crab -- as well as rabbit, duck and chicken.

Portuguese influence is seen in the flavoring, with plenty of turmeric, cinnamon, chili and coconut. Dishes are often baked or roasted for a long time to allow the flavors and spices to develop.

Macau's caldo verde soup is a popular starter and is similar to the Portuguese original, but uses bok choy instead of collard greens.

The national dish is minchi -- minced beef or pork cooked with potatoes, onions, soy sauce and sometimes an egg.

7. Broken Tooth is out and about

He was once Asia's most feared gangster, the leader of the 14K triads, and after 13 years behind bars he's now a free man.

Wan Kuok-koi was born in Macau's slums and worked his way up triads.

Along the way he broke several teeth in street fights and earned his nickname.

As head of the largest triad society in Macau, he and his crew waged a violent turf war against a rival gang, the Shui Fong, in the years running up to the 1999 handover. It was a time of drive-by shootings and car bombs that came to an end only when he was jailed in 1999.

Broken Tooth must have had a shock when he was released in December last year. Macau changed dramatically while he was in prison and the swathe of new monster casinos has totally transformed the city.

Today, the triads have almost total control of the junket operators and keep a low profile.

8. It's a city of longevity

People in Macau live a long time -- an average of 84.4 years.

Macau takes second place in global life expectancy.

Only the residents of Monaco -- ironically another place beginning with the letter "M" that's known for its casinos -- live longer (89.6 years).

The fantastic economy is thought to have a lot to do with the great life expectancy. This year Macau was named the world's second fastest growing economy (after Mongolia) and more than 50% of Macau's revenue comes from gambling.

So while the chain-smoking high rollers might be knocking off years with stressful, risky gambles, the locals are almost guaranteed their golden years.

More: 40 Hong Kong dishes we can't live without

9. One in five locals work in a casino

Macau's casinos employ 20% of the population.

When a casino takes on new staff, it checks to see if he or she has family working in the casino and in which section, to avoid the possibility of fraud.

Locals rarely visit the casinos to gamble and government employees are forbidden from gambling here. The overwhelming majority of gamblers are from mainland China and Hong Kong.

New regulations brought in early this year means that 50% of a casino floor must be non-smoking. The massive open plan Venetian Macau -- the largest casino floor in the world -- uses a smart ventilation system that creates areas of low and high pressure to ensure that the smoke is drawn up into air vents.

10. The beach has black sand

Hac Sa Beach -- which translates as "Black Sand Bay" -- is Macau's largest natural beach.

It's on the southeast side of Coloane Island.

The beach is a kilometer long and famous for its black sand. It gets its unique color from minerals in the seabed that are washed ashore.

The sand isn't as black as it used to be. Erosion was gradually chipping away at the beach so the government decided to top up the beach, but the replacement sand is yellow, which has muted the dark sand.

More: World's 100 best beaches

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

It's the gambling capital of the world, but there are plenty of ways to spend your winnings or forget about your losings

@highlight

Macanese cuisine combines Chinese and Portuguese styles

@highlight

Macau is the world's most densely populated place

@highlight

Residents have one of the world's highest life expectancy rates