Tunis, Tunisia (CNN) -- Basma Khalfaoui was helping her daughters prepare for school the morning she heard the gunshots.

Unfamiliar with the sound, she thought maybe children were throwing rocks outside. Her curiosity drew her to the balcony of the family's third floor apartment in the quiet Tunis suburb of Menzah, where she found her husband's colleague standing next to his car, panic-stricken. "They hit him," he cried out.

As she rushed downstairs, her mind raced. "At the beginning, I thought maybe they hit him with a stone or a knife, but not with a gunshot," Basma explained.

After all, it wouldn't be the first time Basma's husband, attorney and opposition leader Chokri Belaid, had been assaulted in broad daylight. It was only a few days earlier that a mob of radical Islamist Salafists attacked him during a meeting of the Democratic Patriots Movement in Kef, a town about 160 kilometers (100 miles) southwest of Tunis.

"One month before his death, as he was leaving a cafe in Pastor Square in Tunis, a number of people came looking for him and shouting his name while holding sticks in their hands," Basma added.

As the most visible leader of Tunisia's Popular Front -- a coalition of a dozen leftist political parties formed last October -- Belaid had been tasked with countering the rise of the Islamist-led Nahda party, which swept into power following the revolution that toppled longtime President Zine el Abidine Ben Ali in January 2011.

Belaid had prepared for leadership from an early age. He was a legend of Tunisia's student movements and eventually founded the leftist Watad party. A lifelong human rights advocate, he championed democratic reform, secularism, and vehemently confronted the rise of radicalism.

And as a result, he and his family were often the target of death threats, harassment, and on occasion, violence at the hands of his political opponents.

"He was being watched before the revolution. After the revolution he got direct and written threats. The last threats came from the mosques, in which the Imams there called for him to be killed," Basma says. "They always used me and the two girls to threaten Chokri. He used to tell me about these threats in his own way in order not to put fear in us."

But as Basma approached her husband slumped in his car, she discovered the worst. "I found him in the car. It was locked but all the windows were broken. I saw the traces of gunshots, and at that time, my only concern was to save him. But I made sure not to touch anything in the car for the sake of investigation."

The assailants, according to witnesses, had waited for Belaid to emerge from his home. As he got into his car, a gunman approached and fired four shots which struck Belaid in the head and chest, then fled by motorcycle with the help of an accomplice driver.

"Opposite to us, there was a medic. He lived next door... He was also worried so I calmed him down. My only concern at that time was taking Chokri to the hospital as soon as possible." Not long after the shooting, Chokri Belaid was pronounced dead at a nearby clinic.

But this wasn't just another politically motivated murder in another unstable Arab country. Prior to Belaid's murder on February 6, Tunisia had been widely hailed as the poster child of the Arab Spring.

Having ousted Ben Ali and having held free and fair elections, and while their Arab counterparts in Egypt, Libya, and Syria continued to struggle under the rule of dictators desperately clinging to power, Tunisia was setting the precedent for democratic transition in the modern Arab world.

And though President Moncef Marzouki pledged Belaid's "odious assassination" would not derail Tunisia's democratic transition - it did just that.

The assassination, the first time since Tunisia's independence in 1956 that a politician had been the target inside the country, set off a wave of political setbacks which caused a security vacuum, creating a vicious cycle of instability that has come to characterize, and still plagues, Arab Spring nations in their post-dictator transitions.

Building on an already growing dissent against the Islamist Nahda party, the opposition immediately took to the streets following Belaid's death.

Three days of persistent outrage by hordes of Belaid supporters forced Prime Minister Jebali to the negotiating table. He proposed handing over key ministries, such as justice and foreign affairs, to independents in an attempt to form a more inclusive government and avoid further political instability and pledged to step down if his efforts were not successful. But despite gaining broad support from the general public and the opposition, Jebali also succeeded in alienating himself from his party's most-ardent supporters.

Just 13 days after the Belaid assassination, Jebali resigned as prime minister. On February 22, ruling party leaders elected serving interior minister Ali Laarayedh to replace Jebali. Laarayedh had been a founding member of Nahda and its spokesman from 1981 until 1990 when he was imprisoned by the Ben Ali regime. A party loyalist and hardliner, the election of Laarayedh signaled the Islamist-led party had no intentions of relinquishing any substantial power.

Few Tunisians had probably heard of Basma Khalfaoui before her husband's death, but in the last two months she has attained rock star status in her country.

Leftist supporters clearly lacking the charismatic charm and leadership that died with Chokri, rallied behind Basma who was adored for her strength and determination immediately following her loss.

It wasn't long before the widow would become the new face of Tunisia's opposition. Turn on the television or open a newspaper in Tunisia and chances are Basma's picture will be there.

"The number of people who attended the funeral and the spotlight I am put under has increased the amount of responsibility I am feeling. The whole thing has changed the destiny I have chosen, and yet I feel I am in the middle of the way," Basma says as she clutches tissues with one hand and constantly fiddles with a charm on her necklace bearing the image of her late husband with the other.

Being a political celebrity was not part of Basma's plan. She had long ago left her activist life behind to raise her family. Like her husband, Basma was a leader in Tunisia's student movement in the General Union of the Students of Tunisia, a group of leftist and nationalist students concerned with the rising Islamist presence on campus. Following her time at university, she went on to join the Tunisian Association of Democratic Women, a prominent part of the Ben Ali opposition.

"The negativity here is that I am a person who dislikes spotlights. My concern is my daughters, but now I feel the amount of responsibility towards the people of Tunisia. I don't want to collapse, for the sake of Tunisia. I feel proud for spreading courage in the atmosphere. Nahda party wants to spread fear and I want to stop that feeling," Basma says.

As she spoke, a local Tunisian TV station was still breaking down its equipment which cluttered her modest apartment. Soon, another would arrive for yet another interview where she would, once again, relive the morning that changed her life. "Undoubtedly, his death is a loss to me and to our two daughters. To me, he was a husband, friend, colleague in the same party and profession."

Later that week, Basma and thousands of supporters donning Chokri Belaid masks and carrying posters bearing Chokri's trademark mustache and mole, an image which has come to represent the revival of revolutionary fervor in Tunisia, gathered at her husband's graveside.

Chokri's father and members of the Popular Front addressed the crowd flooding the Tunis cemetery over a loudspeaker between chants of "who killed Chokri?"

Rally leaders then marched to Mohammad Bouazizi Square, named in honor of the street vendor who lit himself on fire which triggered Tunisia's revolution. The square was soon filled from curb to curb with activists.

Barbed wire lined the streets as hundreds of Tunisian police, equipped with batons and riot gear, looked on suspiciously. That afternoon, the eager crowd lining Habib Bourguiba Avenue, the birthplace of the Arab Spring, parted as a large truck crept past, draping behind it a giant, cascading Tunisian flag. Coming to a stop in the center of Bouazizi Square, Basma emerged from behind the flag to address to thousands of supporters and well-wishers.

The day ended without incident, a stark contrast from the funeral procession for Belaid that just a few weeks earlier had ended in violent clashes between supporters of the leftist martyr and those of the ruling Nahda party. Though the opposition was able to display its newfound strength without backlash, it was just another day without justice for Basma.

Despite her obvious fatigue, she refuses to rest until those that are responsible for her husband's death are brought to justice. But buried beneath the sadness and anger, Basma still clings to hope.

"I still feel optimistic as he was before he died. He once said, "if they assassinate me, a flower will grow." Now, thousands of flowers have grown in Tunisia."

@highlight

Widow of opposition leader reluctantly became a Tunisian political celebrity

@highlight

Basma Khalfaoui is inspiring opposition to the ruling Islamist party

@highlight

What she really wants is justice for her assassinated husband

@highlight

His death was the first political assassination in Tunisia since 1956 independence