(CNN) -- The agreement between President Barack Obama and President Xi Jinping of China to reduce greenhouse gas emissions is the most important advance in the several decades-long history of international climate negotiations. It has been greeted with rage by those in Congress whose positions on the science are denialist or evasive ("I am not a scientist"). Their criticisms are specious and predictable.

But while most climate scientists I know are still sharing a period of joy following its announcement, some substantive criticisms of the agreement have also been raised. I want to address two of them here.

One is that the agreement doesn't do enough to solve the problem of global warming. The other is that it doesn't promise anything that wasn't likely to happen anyway. Both of these criticisms have some truth, but neither diminishes the importance of what Presidents Obama and Xi have achieved.

First, critics say the agreement doesn't go far enough.

The argument here is that the emissions cuts will not be enough to limit the global mean surface temperature increase to 2 degrees Celsius, the benchmark beyond which climate change will be "dangerous," according to the nonbinding international agreement reached in Copenhagen in 2009. The new U.S.-China agreement alone is indeed very unlikely to keep future warming below 2C.

To achieve 2C, further cuts beyond those spelled out in the agreement will be needed. Or -- or better, and -- we need Earth's climate sensitivity (how much warming we'll get for a given level of greenhouse gas increases) not to be at the high end of the range that the best current science, with its attendant uncertainties, has it.

The first is within the control of the world's politicians. On the second, we all just have to hope -- and we scientists have to keep working hard to try to reduce the uncertainties.

But we have to take success where we can get it. After decades of failed climate talks -- in which the U.S. was often a big part of the reason for failure and China was a big part of our excuse for dragging our feet -- this is every bit the political breakthrough it appears to be.

While it's not enough on its own, the momentum couldn't be more welcome after so many years of inaction and bad news. It was gratifying to see President Obama pushing the issue at the G20 summit in Australia, a country with as much denialism in its current government as the United States.

Further, while we need goals, and 2C is an important one, we have to understand that we don't get to give up if we miss them. If 2C is dangerous, 3C or 4C is more so. Emissions reductions that don't get us where we want to be are still a lot better than none at all.

The second big criticism is that the emissions cuts might have happened anyway.

The argument here is that Obama had already committed to cuts putting us along the trajectory in the agreement until 2020 (with the EPA regulation of carbon dioxide as a pollutant and the new rules on power plants) and has now just extended the same trajectory to 2025. Similarly, some argue that the Chinese too would be aiming for their targets in the agreement even without it.

On the U.S. side, at least, the howls from Congress show that this argument isn't completely true. It will take real political capital for Obama, or any future U.S. president, to fight off the attacks of the deniers and fossil fuel industry shills. And the new targets certainly represent a major policy change for China as well - even if it's one they were ready to make, recognizing a need to cut back on coal for air pollution as well as climate reasons.

But for the sake of argument, let's accept this criticism as true. This is not something wrong; history suggests that it's how these agreements work, when they work.

The most successful global environmental agreement to date is the 1987 Montreal Protocol, which began the phasing out of chlorofluorocarbons (CFCs) in order to stop the depletion of stratospheric ozone. The Montreal Protocol didn't happen because politicians found a way to force recalcitrant factions in government and industry to go along with it.

It happened because the chemical manufacturers had already come up with CFC substitutes. They were not just ready to accept the protocol's restrictions; they were looking forward to selling a whole lot of new air conditioners and refrigerators.

Unfortunately, the currently available alternatives to fossil fuels are not as ready to take over our energy systems now as the CFC substitutes were ready to take over our refrigeration systems in 1987. And neither government nor the private sector has made the large-scale investments in getting them ready that the scale of the problem warrants.

Under the circumstances, this new agreement couldn't realistically solve climate as completely as the Montreal Protocol solved ozone. But it's a sign that things have started to move.

If the United States and China had reached an agreement now that everyone could agree was definitely enough to keep us below 2C -- despite the political challenges, the technical challenges and the possibility of a more rather than less sensitive climate -- it would have been at best highly aspirational, at worst simply unrealistic.

So indeed, the actual agreement is far from a complete solution to the climate problem. But it's a huge step forward. And it is one not despite the fact that its goals are attainable, but because of that.

The opinions expressed in this commentary are solely those of Adam Sobel.

@highlight

U.S.-China accord on curbing carbon emissions is a huge step, says Adam Sobel

@highlight

He says critics who say it doesn't go far enough are in danger of missing key points

@highlight

A more far-reaching agreement wouldn't have been possible at this point, he says

@highlight

Sobel: The key thing is that there's finally momentum toward solving the problem