Fort Meade, Maryland (CNN) -- Bradley Manning, the Army private whose disclosure of hundreds of thousands of U.S. military and diplomatic documents gave American officials a global case of heartburn, was sentenced to more than three decades in prison Wednesday.

A military judge sentenced Manning to 35 years -- less than the 60 prosecutors sought and far shorter than the 90 he could have received -- minus credit for the about three and a half years he's already been behind bars.

He showed little to no reaction when the judge, Army Col. Denise Lind, sentenced him at Fort Meade, outside Washington. But in a statement read by his attorney afterward, he said he acted "out of a love for my country and a sense of duty," to expose what he said were abuses committed in the wars in Iraq and Afghanistan.

The attorney, David Coombs, said the statement was part of Manning's application for a pardon from President Barack Obama.

"If you deny my request for a pardon, I will serve my time knowing that sometimes you have to pay a heavy price to live in a free society," the statement said. "I will gladly pay that price if it means we could have a country that is truly conceived in liberty and dedicated to the proposition that all women and men are created equal."

White House spokesman Josh Earnest had no comment on a possible pardon, saying only that Manning's request would be considered "like any other application."

Manning's lawyer: He should not 'rot in jail'

Manning, 25, was convicted in July of stealing 750,000 pages of classified documents and videos and disseminating them to WikiLeaks, the online anti-secrecy group. Lind also reduced his rank from private first class to private, ordered him to forfeit pay and benefits and be dishonorably discharged.

"We're still here fighting for you Bradley!" a supporter yelled as Manning was hustled out of the courtroom. "We love you Bradley!" another said. An aunt and a cousin of Manning's wept openly in the courtroom.

Manning was found guilty of 20 of the 22 charges against him, including violations of the U.S. Espionage Act. He avoided a potential life sentence when Lind rejected charges that his actions aided the enemy.

Lind already had agreed to reduce Manning's sentence by 112 days after ruling that the harsh treatment he was subjected to in the brig at the Marine base in at Quantico, Virginia, was out of line.

Manning will be eligible for parole in 10 years, Coombs said. In the meantime, he called on Obama "to focus on protecting whistleblowers, instead of punishing them."

The sentencing wraps up a case of what prosecutors called the biggest leak of classified materials in Army history. The documents included field reports from Army units in Iraq and Afghanistan, video of a U.S. helicopter attack that killed two journalists in Iraq and unvarnished assessments of other countries' leaders by American diplomats overseas.

Prosecutors have said Manning acted as a "determined insider" in leaking classified information about the wars in Iraq and Afghanistan, arguing his actions created grave risk, disrupted diplomatic missions and endangered lives.

WikiLeaks founder Julian Assange, who last week criticized what he called a "forced" apology by Manning, said the sentence was "a significant tactical victory" for the defense. But he called Manning's prosecution "an affront to basic concepts of Western justice."

"Mr. Manning's treatment has been intended to send a signal to people of conscience in the U.S. government who might seek to bring wrongdoing to light," Assange, now holed up in the Ecuador's embassy in London, said in a written statement. "This strategy has spectacularly backfired, as recent months have proven. Instead, the Obama administration is demonstrating that there is no place in its system for people of conscience and principle. As a result, there will be a thousand more Bradley Mannings."

But the chairman of the House Armed Services Committee, Rep. Buck McKeon, criticized what he called a light sentence compared to the life terms some convicted spies have received.

"Bradley Manning betrayed his country, his obligations as a soldier and the trust of all Americans. He put the lives of our troops and our allies in danger," McKeon, R-California, said in a written statement.

"Given the vast damage he did to our national security and the need to send a strong signal to others who may be tempted to disclose classified information, this is a dangerous conclusion," McKeon added.

Judge explains verdict

The disclosure of more than 250,000 cables from U.S. embassies in late 2010 came in for particular criticism, with State Department officials arguing the leaks would make it harder for Washington to get accurate appraisals of the countries where American diplomats work. A CNN analysis of the first batch of cables WikiLeaks published found 170 that named sources whose identity was meant to be protected.

But in 2011, the human rights group Amnesty International said the leaked documents helped galvanize opposition to longtime Tunisian strongman Zine El Abedine Ben Ali by revealing the depth of his government's corruption. Ben Ali was toppled by a popular uprising that January -- the first of the "Arab Spring" revolutions still roiling the Middle East.

Capt. Joe Morrow, the prosecutor, said Manning's arrogance meant that he "felt he alone was knowledgeable and intelligent enough to determine what information was to be classified."

"There may not be a soldier in the history of the Army who displayed such an extreme disregard" for his mission, Morrow said Monday during final sentencing arguments.

But Coombs said Manning was "a young man capable of being redeemed" and urged Lind to hand down "a sentence that allows him to have a life." He told reporters later that Manning's case should be seen as a watershed in the debate over secrecy that's now raging in the United States.

"The ultimate role of oversight in America has always belonged to the American people, and it's only to the extent that the American people can be informed as to these matters that oversight works at all," he said. "There are too many things we don't know about our national security apparatus."

Manning apologizes, tells court he must pay price

CNN's Chris Lawrence contributed to this report.

@highlight

NEW: Manning's leaks did "vast damage" and deserved more prison time, lawmaker says

@highlight

Manning will seek a pardon, says he acted "out of a love for my country"

@highlight

Assange says case will yield "a thousand more Bradley Mannings"

@highlight

Prosecutors said Manning was arrogant and showed "extreme disregard"