(CNN) -- While the United Arab Emirates draws international visitors to its flashy five-star hotels and massive shopping malls, its neighbor to the east, Oman, has taken a slightly more subtle approach to developing its tourism industry.

Oman is hoping that the preservation of its heritage sites and spectacular landscapes -- rather than rapid modernization of both -- will attract visitors seeking a more laid back Arabian experience.

The capital, Muscat, may not have many towering glass skyscrapers, but that doesn't mean that visitors to this Gulf nation have to rough it.

Oman has a wealth of luxury experiences that provide modern comforts in a unique Middle Eastern setting.

1. The Chedi, Muscat

Muscat's waterfront has a charming promenade next to the city's old Matrouh souq, perfect for a sunset stroll. The bazaar next door is small, but has narrow alleys lined with carpet and spice vendors, and is one of the most authentic in the Middle East.

The beachfront Chedi Hotel, just west of the old city, is one of Muscat's best. Built in traditional Omani style and with a bright white facade, its 182 rooms and high ceilings offer an atmosphere of palatial grandeur.

The Chedi's narrow infinity pool, which the hotel claims is the longest pool in all of Oman, stretches to the Indian Ocean and is major draw.

The Chedi Muscat; North Ghubra 32, Way No. 3215, Street No. 46, Muscat; +968 2452 4400

2. Royal Opera House

Abu Dhabi and Doha may be building world-class museums like the Louvre and the Guggenheim, but Muscat is the only city on the Arabian Peninsula with its own opera house.

Oman's ruler, Sultan Qaboos bin Said, opened the Royal Opera House Muscat in 2011. The main hall seats around 1,000 and regularly stages concerts, ballets and theatrical productions.

It has hosted international artists such as Placido Domingo and the London Symphony Orchestra.

The beautifully constructed building itself is worth a visit even if you can't catch a show; it blends traditional Omani design with modern acoustic technology and is one of the most recognizable sights in Muscat.

Royal Opera House Muscat; Al Kharjiyah St., Muscat; +968 2440 3300

3. The Green Mountain

No visit to Oman would be complete without seeing the stunning views from the top of Jabal Akhdar, located at nearly 10,000 feet (3,048 meters) up in the Hajar Mountain range. It's just a short drive from the capital.

Jabal Akhdar, whose name means "green mountain" in Arabic, is covered with trees and shrubs in an otherwise mostly desert landscape.

With its mild temperatures year-round, Jabal Akhdar is the perfect retreat for visitors looking for outdoor adventure or an off-road trek.

Tourists can discover Oman's green mountain from the comforts of a newly built five-star hilltop resort. The luxurious Alila Jabal Akhdar opened earlier this year, and offers a pool, spa and 86 rooms with sweeping views of the mountains.

Alila Jabal Akhdar; Plot No.4 Al Roose, Jabal Al Akhdar, Nizwa; +968 2534 4200

4. Zighy Bay

Located just north of the United Arab Emirates, the small enclave of Musandam is one of the most geographically unique areas in Gulf region.

For centuries, only boats could access the traditional Omani fishing villages that dot the coastline of this mountainous peninsula.

But a new dirt road built over the jagged cliffs now allows for land access to Zighy Bay, a secluded cove that has a stunning stretch of white-sand beach.

Zighy Bay is also home to a Six Senses resort with more than 80 villas, many with their own private pools. The resort offers the region's most unique way to get to a hotel room: parasailing from a rocky overlook 1,000 feet above.

Six Senses Zighy Bay; Musandam Peninsula; Dibba Bayeh, Oman; +968 2673 5555

5. Sailing explorations

Centuries ago, Omanis dominated the Indian Ocean and earned a reputation as the best seafarers in the world. Omani sailors like the legendary Sinbad used wooden dhows to expand their Gulf sultanate's reach as far south as Zanzibar in East Africa.

Today, the government is hoping that its maritime heritage will draw tourists to its own shores.

"Oman's dramatic coastline with its secluded coves, beautifully sandy beaches, enchanting islands and rich marine life is undoubtedly best explored by sea," says Oman Sail's Ghada Al-Said.

Oman Sail is a government-funded project that teaches Omani children modern sailing techniques. It also offers bespoke charter packages for tourists, from sunset cruises to overnight yacht tours.

Oman Sail; 18th November St., The Wave Muscat, Muscat; +968 2418 1400

6. Wahiba Sands

Camping under the stars in the desert is a favorite Omani pastime and Wahiba Sands is one of the favorite locations to do it -- a rejuvenating desert retreat far from Muscat, where Bedouin tour guides offer desert safaris and overnight camping treks.

The 1,000 Nights Camps may be the most exclusive "hotel" in the entire desert. The rooms are large air-conditioned tents that have all the amenities of most five-star hotels: bathrooms, televisions and even a refrigerated mini-bar.

1,000 Nights Camps; Mandinat Al Sultan Qaboos, Oman; +968 9944 8158

7. Shuwa

One of the most popular dishes in Oman is called shuwa, succulent lamb served with spice-infused rice.

Preparing shuwa typically involves slaughtering a sheep, marinating the meat with coriander, black pepper, cumin and cardamom, and then slow-cooking the morsels in an underground sand oven with charcoal.

The whole process can take a full day, which is why shuwa is typically served as a feast only on Omani holidays and special occasions.

There are several high-end restaurants in Muscat that serve home-cooked shuwa within minutes of ordering. One of the better ones is called Kargeen, a family-style restaurant with outdoor garden seating low to the ground in typical Omani fashion.

Kargeen; Al Bashair St., Muscat; +968 2469 9055

@highlight

The Chedi Muscat hotel claims its infinity pool is the longest pool in Oman

@highlight

Six Sense Zighy Bay offers a unique way to get to your room: parasailing from a rocky overlook 1,000 feet above the resort

@highlight

Shuwa is a lamb with rice dish typically served as a feast only on Omani holidays and special occasions