(CNN) -- Labor Day used to be a big deal for the Democratic Party. For much of the 20th century, organized labor was at the heart of Democratic politics. Unions were a driving force that gave the party its heart and its muscle.

Unfortunately for Democrats, the importance of organized labor has diminished dramatically since the 1970s. Union membership has declined from nearly 30% of the workforce in the 1960s, according to the Congressional Research Service, to what the Bureau of Labor Statistics pegs at about 11% today. Politically, unions have become more controversial among Democrats: Once the status quo among Democrats, now they are often seen as outliers.

Many Democrats since the 1960s, including some environmentalists and civil rights advocates, concluded that unions were too often in opposition to their goals. Even though he came from a progressive background, President Obama has repeatedly disappointed union leaders with his failure to support key proposals that would make it easier for unions to grow.

The loss of organized labor's clout within the workforce and among the Democrats has been a devastating loss for the party. As the party turned away from this constituency and hesitated to support policies that would reverse the damaging trends that have hindered union membership, they have lost an animating force that could help sustain them in their struggles against a rightward bound Republican Party.

The relationship has a long, important history. The union movement was pivotal to the success of Franklin Roosevelt's New Deal in the 1930s. FDR and northern Democrats pursued policies greatly benefiting the organization of industrial workers in Northern states like Michigan and Wisconsin.

In 1935, Congress passed the National Labor Relations Act (also known as the Wagner Act), which formally gave workers the right to join a union and created the National Labor Relations Board, ensuring that employers allowed legitimate elections to take place. In 1936, Roosevelt said: "The Fourth of July commemorates our political freedom. Labor Day symbolizes our determination to achieve an economic freedom for the average man which will give his political freedom reality."

While FDR's policies benefited workers, including the new Congress of Industrial Organizations, or CIO, labor came out in droves for the Democrats. They rallied workers on Election Day, encouraged their members to show support for the party that had helped them, raised money to help Democrats succeed, and their lobbyists on Capitol Hill constantly helped round up votes for a liberal agenda that ranged from bills that directly benefited workers to other measures with even greater constituencies. At the height of its power, the civil rights movement relied heavily on union leaders like Walter Reuther to win support for legislation in Congress.

Unions were not simply useful allies; their core mission embodied the basic goals of the Democratic Party after FDR. The entire point of collective bargaining was to create an economic system that would ensure a base of financial security for a large number of workers. Unions could fight for the kinds of jobs that would create a ladder for hardworking Americans to enter into the middle class.

Without unions and the kinds of policies they helped Democrats find support for, leaders like Reuther realized, there would be very little to prevent the middle class from gradually withering away. From a very early moment in the centuryâ€”long before economist Thomas Piketty was publishing his controversial book on inequality, "Capital in the Twenty-First Century" â€”unions insisted that the organizational basis of economic opportunity depended on workers acting in unison.

The situation for organized labor took a terrible turn starting in the 1970s. Many of the industries that were most heavily unionized in Northern states weakened. Owners moved factories and their jobs to Southern states, which had tough right-to-work laws that made it illegal to force workers in an organized workplace to join the union and pay dues, or transported business overseas.

Many of the most vibrant parts of the economy, such as the service and high-tech sector, did not offer unionized jobs. Federal policies were no longer hospitable to unions. Conservatives turned to legislation like the Taft-Hartley Act (1947) to squeeze union power. Some workers from unions turned to the Republican Party as part of the backlash to liberalism that unfolded after the 1960s.

As labor became less important, a large number of Democrats became cool to unions. President Carter angered union leaders in the late 1970s when he pushed for fiscal austerity and didn't back legislation that would have protected boycotts. President Clinton clashed with unions over issues, including the NAFTA free trade treaty, while President Obama disappointed many when he didn't push for the Employee Free Choice Act in 2009 and 2010.

This tension is one that Democrats need to ease. Not only would the party benefit from healthier, more harmonious ties to the union movement, but also benefit from making the expansion of union membership and protection of labor rights a more central part of its national agenda.

In an era when so many Americans worry about growing economic inequality and are desperate for answers to how the federal government and the private marketplace can stop the damage to the middle class, stronger support for unions would be a powerful step for Democrats to take.

"As unions shrank," wrote Harold Meyerson, "inequality grew." Democrats could offer a real alternative. It would offer a stark contrast to a Republican Party that has been extremely aggressive, at the national and state level, in its attacks on unions and the organization of the workforce.

Only if Democrats take this step will they be able to nurture the part of their political coalition that was once so strong but is now so frail. Only then will Democrats once again start to celebrate and appreciate the importance of Labor Day to their party.

@highlight

Julian Zelizer: Democrats and unions used to link their fortunes for mutual gain. That's declined

@highlight

He says union membership down, Democrats shy away, vexing union leaders

@highlight

But unions' core mission reflects Democrats' basic goals: financial security for workers, he says

@highlight

Zelizer: In era of income inequality, Dems, unions should be allies, especially as GOP isn't