Nick Wilkins was diagnosed with leukemia when he was 4 years old, and when the cancer kept bouncing back, impervious to all the different treatments the doctors tried, his father sat him down for a talk.

John Wilkins explained to Nick, who was by then 14, that doctors had tried chemotherapy, radiation, even a bone marrow transplant from his sister.

"I explained to him that we're running out of options," Wilkins remembers telling his son.

There was one possible treatment they could try: an experimental therapy at the University of Pennsylvania.

He asked his son if he understood what it would mean if this treatment didn't work.

"He understood he could die," Wilkins says. "He was very stoic."

A few months later, Nick traveled from his home in Virginia to Philadelphia to become a part of the experiment.

This new therapy was decidedly different from the treatments he'd received before: Instead of attacking his cancer with poisons like chemotherapy and radiation, the Philadelphia doctors taught Nick's own immune cells to become more adept at killing the cancer.

Two months later, he emerged cancer-free. It's been six months since Nick, now 15, received the personalized cell therapy, and doctors still can find no trace of leukemia in his system.

Trusting her intuition led to two cancer diagnoses

Twenty-one other young people received the same treatment at The Children's Hospital of Philadelphia, and 18 of them, like Nick, went into complete remission -- one of them has been disease-free for 20 months. The Penn doctors released their findings this weekend at the annual meeting of the American Society of Hematology.

"It gives us hope that this is a cure," Nick's father says. "They're really close. I think they're really onto something."

'A whole new realm of medicine '

At the conference, two other cancer centers -- Memorial Sloan-Kettering in New York and the National Cancer Institute -- will be announcing results with immunotherapies like the one Nick received. The results are promising, especially considering that the patients had no success with practically every other therapy.

"This is absolutely one of the more exciting advances I've seen in cancer therapy in the last 20 years," said Dr. David Porter, a hematologist and oncologist at Penn. "We've entered into a whole new realm of medicine."

In the therapy, doctors first remove the patient's T-cells, which play a crucial role in the immune system. They then reprogram the cells by transferring in new genes. Once infused back into the body, each modified cell multiplies to 10,000 cells. These "hunter" cells then track down and kill the cancer in a patient's body.

Essentially, researchers are trying to train Nick's body to fight off cancer in much the same way our bodies fight off the common cold.

Tumor Paint: Changing the way surgeons fight cancer

In addition to the pediatric patients, Penn scientists tried the therapy out in 37 adults with leukemia, and 12 went into complete remission. Eight more patients went into partial remission and saw some improvements in their disease.

The treatment does make patients have flulike symptoms for a short period of time -- Nick got so sick he ended up in the intensive care unit for a day -- but patients are spared some of the more severe and long-lasting side effects of extensive chemotherapy.

Penn will now work with other medical centers to test the therapy in more patients, and they plan to try the therapy out in other types of blood cancers and later in solid tumors.

A university press release says it has a licensing relationship with the pharmaceutical company Novartis and "received significant financial benefit" from the trial, and Porter and other inventors of the technology "have benefited financially and/or may benefit financially in the future."

Searching for one-in-a-million cancer cells

The big question is whether Nick's leukemia will come back.

Doctors are cautiously optimistic. The studies have only been going on since 2010, but so far relapse rates have been relatively low: of the 18 other pediatric patients who went into complete remission, only five have relapsed and of the 12 adults who went into complete remission, only one relapsed. Some of the adult patients have been cancer-free and without a relapse for more than three years and counting.

Relapses after this personalized cell therapy may be more promising than relapses after chemotherapy or a bone marrow transplant, Porter explained.

First, doctors have been delighted to find the reengineered T-cells -- the ones that know how to hunt down and attack cancer -- are still alive in the patients' bodies after more than three years.

Stigma lingers for deadliest cancer

"The genetically modified T-cells have survived," Porter said. "They're still present and functional and have the ability to protect against recurrence."

Second, before declaring patients in remission, Penn doctors scoured especially hard for errant leukemia cells.

Traditionally, for the kind of leukemia Nick has, doctors can find one in 1,000 to one in 10,000 cancer cells. But Penn's technology could find one in 100,000 to one in a million cancer cells, and didn't find any in Nick or any of the patients who went into complete remission.

'It's not a fluke'

One of the best aspects of this new treatment is that it won't be terribly difficult to reproduce at other medical centers, Porter said, and one day, instead of being used only experimentally, it could be available to anyone who needed it.

"Our hope is that this can progress really quite quickly," he said. "It won't be available to everyone next year, but I don't think it would take a decade, either."

Right now patients can only get this therapy if they're in a study, but Dr. Renier Brentjens, director for cellular therapeutics at Memorial Sloan-Kettering, says he thinks it could become available to all patients in just three to five years.

"When you have three centers all with a substantial number of patients seeing the same thing -- that these cells work in this disease - you know it's not a fluke," he said.

Two days ago, Brentjens became the co-founder of Juno Therapeutics, a for-profit biotech start-up company that's working on immunotherapies.

"Fifteen years ago I was in the lab looking at these cells kill tumor cells in a petri dish and then I saw them kill tumor cells in mice, and then finally in humans," Brentjens said.

He says he'll never forget the first patient he treated, who initially had an enormous amount of cancer cells in his bone marrow. Then after the therapy, Brentjens looked under the microscope and, in awe, realized he couldn't find a single cancer cell.

"I can't describe what that's like," he said. "It's fantastic."

@highlight

Nick Wilkins was out of options for battling leukemia

@highlight

He is now cancer free after an experimental treatment

@highlight

Doctors taught Nick's immune cells to become adept at killing cancer

@highlight

Experts hope the treatment will quickly become more widely available