(CNN) -- President Obama attracted a lot of attention when he went on "Between Two Ferns," going mano-a-mano with comedian Zach Galifianakis. The President handled Galifianakis' barbs well, throwing some back at the comedian (ridiculing his film "Hangover 3," for example) and successfully stoking interest in his health care program, based on the uptick in traffic that followed.

The show was condemned by some who saw it as disrespectful of the office of the presidency; others said the president performed brilliantly, doing what presidents need to do in this day and age, by appearing on a hip and edgy popular culture outlet.

Reaching young people any way he can is particularly urgent with the March 31 deadline for health coverage enrollment under the Affordable Care Act. The administration has not made its sign-up targets, and evidence suggests balance between young and healthy versus old and infirm is not what the President wanted.

But while gimmicks like the "Ferns" appearance may produce some quick-hit results, they won't go far in re-energizing young people about Obama's presidency. In the case of the health care program, for example, it seems that many young people have not been convinced the program is in their best interest. A good part of this has to do with the failure of the administration to explain this complex program to the public since its inception.

If President Obama -- or politicians from either party -- really want to engage younger Americans and reignite the energy of 2008, they will need to do much more. Americans in their late teens and early 20s who are just starting to vote are not so gullible or pliable.

They are looking for help in tough times. They want their government to offer real solutions to real problems that they see, not just cool appearances that might make them laugh a bit.

Like all the other Americans who are struggling in the modern economy, younger voters want job security. Too many leave college without any good job prospects and those who do succeed often find jobs with meager benefits and limited long-term stability. This is a far cry from the 1950s and 1960s, the era when young Americans who finished their high school education and went to college could expect to enter careers that would bring them financial security and allow them to do better than their parents.

As Sarah Ayers of the Center for American Progress noted, the unemployment crisis for young Americans includes "high school students who are having a harder time finding after-school jobs, twenty-somethings who are increasingly stuck in unpaid internships instead of paying jobs, and college students who are settling for low-wage, low-skill jobs such as waiting tables or serving coffee."

Many younger Americans exiting college work multiple jobs to make ends meet or find work in transitory positions without benefits. According to the New York Fed, unemployment is at its worst rate in two years for recent college graduates and many fortunate to have employment are in jobs that don't require their degrees.

President Obama has not been able to do much about this situation. While he worked hard to push a stimulus bill that would move the nation out of recession in 2009, long-term investment in jobs has not been a big part of his record.

In his stimulus bill, passed at the height of his influence, the President focused too much on tax cuts and not enough on the kinds of public jobs that would have been attractive to younger Americans struggling to find a place in the workforce. The cost of using his political capital on health care, moreover, was to diminish the possibility for greater public investments in growing areas of the job market.

Neither has the President figured out how to halt the flight of jobs to other countries.

What's more, young people also see a Washington that is broken, a city gridlocked in partisan conflict as decisions revolve around powerful single-issue lobbyists who gain influence by throwing money at candidates.

When Obama originally ran for the presidency, he promised to promote a different kind of politics. He took the political process seriously, and argued that without campaign finance, lobbying and other kinds of government reforms, politics would never get better.

Yet after taking office he abandoned many of those efforts in order to focus on immediate economic and foreign policy crises. The decision to leave government reform behind has had long-term costs, among them a loss of trust among younger Americans in the basic character of the political process. The institutions of government seem as broken in 2014 as they did in 2008.

President Obama also lost many millennials by continuing to uphold and expand aspects of President Bush's War on Terrorism that trampled on civil liberties. While young people, like all Americans, agree that the federal government needs to protect the nation from terrorist threats, they also don't like all the revelations about how the National Security Agency has conducted intensive surveillance into telephone conversations, texting and Internet traffic.

For millennial Americans who distrust so many institutions, the freedom and right to communicate through the Internet has defined much of their lives. This has been the realm through which they experience the world. As they have learned how President Obama's administration oversaw data logging efforts that undermined some of the very freedom they desired, he has continued to lose some of their trust. According to a poll by Harvard University's Institute of Politics in December 2013, many Americans between 19 and 29 years of age think the surveillance programs go too far.

Nor has President Obama been able to make much progress on an issue that matters very much to younger Americans, one that will affect them much more than seniors who have greater political clout: climate change. Younger Americans have grown up learning about the disastrous consequences of human decisions on the environment and observing frightening swings in the weather that portend greater dangers. A bipartisan poll in 2013 found strong support among younger voters for a climate change bill.

Yet despite bold words of support for climate change legislation, the President has been unable to move Congress on this issue and, by many accounts, he has not made this a real priority in his administration. For many younger Americans this has been a great disappointment. The activism surrounding the President's upcoming decision on the Keystone pipeline has highlighted this.

To be sure, the President has faced intractable opposition from Republicans in Congress who have refused to move on this issue and have stifled one of the initiatives that could have been hugely attractive to younger Americans.

Even his biggest policy accomplishment for younger Americans—allowing people to stay on their parent's health insurance policies until age 26—has been blunted by the unpopularity of the individual mandate many of them will be subjected to, as well as the failure to impose tougher cost controls, which may mean higher prices for those who do buy insurance.

Going on fun entertainment shows is certainly an interesting and probably effective way to reach young Americans on the Affordable Care Act, but after all the disappointment and heartbreak they have experienced since he took office, that's about as far as it can go.

In the near future, the administration must do a better job to explain how the particulars of the health care program benefit younger Americans and to at least try to make progress—even if through executive power—on issues like climate change. It must be clear to young voters, if Democrats can overcome this political problem, that the GOP rather than the President's lack of interest is to blame for the lack of progress. With Keystone, the decision is in Obama's control.

The President should also continue to work on smaller programs, such as student loans, where he has been able to deliver tangible results to this population.

Obama and other politicians, in both parties, must remember: To excite disenchanted voters distrustful of all institutions, you must show that you can make progress on the policy issues that matter to them and to do so through a stronger political process that leads them to believe in politics once again.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Obama used turn on Galifianakis show to draw young people to Obamacare

@highlight

It helped get health care signups, but to draw millennials, Obama needs more, he says

@highlight

He says young people disenchanted with Obama on jobs, climate, surveillance

@highlight

Zelizer: Obama must show these are his priorities, to regain support, trust of young people