(CNN) -- With mostly mild cases of swine flu in the United States, swine flu fears are lessening. But viruses have a way of re-appearing. While nobody has a crystal ball, here are some thoughts about what the 2009 H1N1 virus might do in the months to come.

Don't pack your face masks just yet. Public health officials expect the 2009 H1N1 virus to linger a while.

1. Is the swine flu outbreak in the United States winding down?

Not yet. Health officials expect to see more cases.

However, there are two reasons to think the 2009 H1N1 outbreak will wind down in the coming weeks. First, cases of influenza tend to dwindle when the weather gets warmer. Second, the 2009 H1N1 virus outbreak in Mexico has reached its peak, and numbers there are going down. It is expected that same pattern could happen in the United States. For the latest information from the Centers for Disease Control and Prevention, click here.  Look at a map of swine flu cases »

2. So does this mean 2009 H1N1 will be gone for good?

No. Andrew Pekosz, associate professor of immunology and microbiology at Johns Hopkins University Bloomberg School of Public Health, says it's important to keep in mind that the 2009 H1N1 virus is new, which means no one has immunity to it. He points out that the three outbreaks in the last century that were caused by new viruses -- in 1918, 1957 and 1968 -- started with a mild wave followed by more severe waves months later. Scientists dig for lessons from past pandemics

3. If swine flu comes back, when would it return?

"H1N1 flu could die down soon and return later again this fall when the flu season enters back in full swing," says Secretary of Homeland Security Janet Napolitano. "This is always a concern with a new strain of a flu virus."  Watch more answers to your swine flu questions »

Napolitano adds that public health officials will be keeping a close eye on the Southern Hemisphere, where flu season starts soon. "We'll be working very closely with the international community to understand what happens to this virus over the next few months as flu season begins in the Southern Hemisphere," she says. "That will tell us a lot about whether the virus is changing, whether it's becoming more severe and what measures we might want to take in the fall." For the latest comments from  Napolitano, click here.

4. In the fall, could we have a pandemic like we had in 1918?

At a press briefing last week, World Health Organization spokesman Gregory Hartl brought up the specter of the 1918 pandemic, which killed more than half a million people in the United States. "In 1918, that pandemic started out as a very mild case of disease in the spring of 1918. ... Cases of the disease almost completely disappeared over the summer, only to reappear in the autumn of 1918 with the vengeance which we all know," he said. "So even though we might be only seeing mild cases now, we cannot say what will happen in the future."  Learn more about the swine flu »

But many experts believe it's highly unlikely there would be an outbreak anything like 1918. First of all, scientists have a much better understanding of infectious diseases, and health care has improved greatly since 1918. Secondly, the 2009 H1N1 lacks a gene that is present in highly virulent flu viruses, such as the one in 1918.

"I don't think this virus has what it takes to become a major problem," says Peter Palese, chairman of the department of microbiology at Mount Sinai School of Medicine in New York.

Johns Hopkins' Pekosz adds that people remember the horrific 1918 flu season, but often forget that the two other flu outbreaks caused by new viruses, the ones in 1957 and 1968, were far more mild.

5. Will there be a vaccine for swine flu?

Scientists are already working on a vaccine for 2009 H1N1. Making a new vaccine takes five to six months, according to the World Health Organization.

The first step is for government scientists to grow "seed stock" of the virus to send to pharmaceutical companies, who would turn that stock into a vaccine. Pilot lots of the vaccine would then be tested on people. The National Institute of Allergy and Infectious Diseases alerted its eight vaccine testing centers to be ready to test a 2009 H1N1 vaccine.

6. Will the vaccine be a separate shot, or will it be put in the regular seasonal flu shot?

The Centers for Disease Control has said either is possible. Pekosz says there are concerns the seasonal flu shot might not work well if it includes the 2009 H1N1 vaccine, and so the decision might be made to make a separate shot.

7. If a vaccine is available in the fall, who will get it?

Public health officials have emphasized that even if a vaccine is available by fall, it doesn't mean everyone will be encouraged to get it. "I imagine that the choice of vaccination strategy will be a subject of intense discussion and study over the next several months," says Dr. Ted Cohen, an assistant professor of epidemiology at the Harvard School of Public Health.

Cohen adds that if the vaccine is available only in limited quantities, priority might be given to health care workers and to those at high risk of complications from the flu, such as the elderly, the very young and those with certain chronic diseases.

CNN's Jennifer Pifer Bixler and Shahreen Abedin contributed to this report.

@highlight

Swine flu cases may have peaked, but the 2009 H1N1 virus will probably return

@highlight

Public health officials to watch Southern Hemisphere to see what 2009 H1N1 does

@highlight

Scientists are working on a vaccine against 2009 H1N1; won't be ready for 6 months

@highlight

2009 H1N1 lacks a gene that is present in very virulent flu viruses, like 1918 strain