(CNN) -- Ukraine has been hit by protests during the past few weeks, as the country finds itself split between the rest of Europe and Russia.

What sparked the protests?

The protests began in November, when Ukraine's president, Viktor Yanukovych, did a U-turn over a trade pact with the European Union that had been years in the making.

Yanukovych refused to sign the agreement, which would have strengthened cooperation with the European Union, opting instead for closer ties with neighboring Russia.

Since November 21 hundreds of thousands of Ukrainians have taken to the streets of Kiev to demand that the EU deal be signed. The epicenter of the protest has been in the city' central Independence Square, known as the Maidan.

The demonstrations are the biggest the country has seen since the Orange Revolution which toppled the country's government nine years ago. Protesters in Ukraine see the demonstrations as a way of choosing between Europe and Russia.

CNN contributor David Frum says the stakes are even higher now than they were in 2004-05: "Upholding Ukrainian independence is a deep concern, not only to the Ukrainians, but to all the free countries of Europe -- and thus to the United States... What's at stake in the streets of Kiev is the future of the European continent."

Why did Yanukovych refuse to sign the EU deal?

Viktor Yanukovych, who has been in power since 2010, said he could not sign the trade and political association deals with the EU because of Ukraine's "complex economic situation."

He said Ukraine could not afford to sign the deal, alluding to economic pressure from Russia, which had threatened its neighbor with trade sanctions.

"The Ukrainian government will suspend the negotiations for signing the Association Agreement with the EU, until we find a solution for the situation is found and when the drop in industrial production and our relations with CIS countries are compensated by the European market, otherwise our country's economy will sustain serious damage," said Ukrainian Deputy Prime Minister Yuriy Boiko when the EU deal was suspended.

Russian President Vladimir Putin has not publicly admitted pressuring Yanukovych into foregoing the agreements, which would have moved Ukraine further from Russia's sphere of influence, instead insisting he wants the country's difficulties to be resolved.

"I very much hope that all political forces of the country will manage to come to an agreement in the interest of the Ukrainian people and solve all the piles of problems," Putin said in his State of the Nation address on Thursday.

But as Ulrich Speck, visiting scholar at the Carnegie Europe think tank in Brussels, wrote in a piece for CNN, Putin wants to see Ukraine -- and other former Soviet republics -- brought back into line with Russia "through integration into a Moscow-led customs union which in the future shall be transformed into a fully-fledged 'Eurasian Union'."

Another factor in Yanukovych's decision not to sign the deal is likely to have been the EU's demands that he free former Prime Minister Yulia Tymoshenko, his political opponent, from jail.

Russia said Thursday December 12 that the European Union is trying to bully Ukraine into signing a free trade deal against the wishes of the majority of Ukrainians.

"The EU offers a token package, which is not of any interest to the Ukrainian government," Alexei Pushkov, head of the Foreign Affairs Committee in Russia's Parliament, told CNN's Hala Gorani, who was sitting in for Christiane Amanpour.

Tymoshenko was found guilty of abuse of office in a Russian gas deal two years ago, and sentenced to seven years in prison in a case widely seen as politically motivated.

On Thursday December 12th, The EU's foreign policy chief, Catherine Ashton, spoke to Yanukovych and told CNN afterwards that he "still wishes to sign the association agreement with the European Union."

Pushkov said he was not so sure.

"He never actually rejected the possibility of signing a deal with the European Union," he said. "But he said on many occasions that he is not happy with the content of the deal."

Why is Ukraine torn between the EU and Russia ?

Ukraine is the biggest frontier nation separating Russia and the EU. Once part of the Soviet Union, the country gained its modern Independence in 1991 following the fall of the Berlin Wall.

Since then, Ukraine has made an effort to move towards Western ideals when it comes to politics and human rights, but the nation is still ranked 144th out of 177 countries in Transparency International's corruption index.

The Ukrainians who have taken to the streets in recent weeks say they want to see a better-governed, less corrupt and politically liberal country, more closely aligned with its western neighbours.

"People see a prosperous, well-governed EU next to their borders -- in sharp contrast with their own economic and political misery," wrote Speck, in his piece for CNN. "That's why they are on the streets now, in Kiev and elsewhere."

Under Soviet rule, many Ukrainian farmers lost their lands and homes, and many ethnic Russians settled in the Ukraine. Under Soviet Rules the country's people their language and culture all suffered.

"No nation suffered more from Soviet communism than the Ukrainians," wrote Frum in his recent piece for CNN. "Ukrainian farmers lost their lands and homes to Soviet collectivization... millions died in the man-made famine that followed... their language and culture were stunted under Moscow rule; their intellectuals and writers were suppressed, banished, murdered, and defamed."

This caused a split which still exists in the Ukraine today, where a strong east-west divide remains, with the East of the nation being mostly Russian-speaking, with a large ethnic Russian population, and the West of the country being Ukrainian.

Ukraine's economy has been slow to follow its western neighbours who were also under Soviet control-- Poland, for example, where the economy has grown exponentially.

Poland was not part of USSR, but can say "also part of the Soviet Union or under Soviet control -- for example, Poland, where the economy has grown exponentially."

By contrast, Ukraine's economy has deteriorated further and has suffered its worst years since the fall of the Soviet Union..

Many Ukrainians hope that an EU deal would offer the chance of economic recovery.

Why is Russian gas a key issue?

Ukraine with a population of over 45 million is heavily dependent on Russian gas to keep the country running during its bitterly cold winters. Its geographic location it is also a key transit country through which gas flows to many countries in Europe.

This puts Russia in a commanding position -- energy is a lever the Russians have used in the past, either by cutting off supplies in mid-winter (most recently in 2009) or by promising price cuts or increases.

Ukraine, with a population of 45 million, is heavily dependent on Russian gas to keep the country running during its bitterly cold winters.

How does the situation affect the rest of the region?

The West -- the EU, together with the US -- has been working on its relations with former Soviet Bloc countries for over two decades, with the aim of restoring democratic rule and improving quality of life for Ukrainians.

It views the decision by Ukraine, the largest of the former republics, not to partner up with the EU as bowing to Russian pressure.

Ukraine is something of a pawn between Russia and the West. For the West, the deal would mean its reach would spread further east; by contrast, the Russians see the Ukraine as key to holding on to their turf.

When asked about the situation in Ukraine, Russian Foreign Minister Sergei Lavrov insisted it was a "domestic issue" and that it is the prerogative of the government to decide whether to sign the agreement.

@highlight

Ukraine protests are the country's largest in nine years

@highlight

The country finds itself split between closer ties with the EU and cooperating more with Russia

@highlight

The country is heavily dependent on Russian gas, especially during its bitter winters

@highlight

Russia says the situation in Ukraine is a "domestic issue"