(CNN) -- "Matchmaker" isn't a job that appears on Claudette Breve's rÃ©sumÃ©, but she's been responsible for more than 100 successful wedding proposals. Part-time actor Rudy Rasmussen spends much of his leisure time on stages across New Orleans. Catch him performing and you'll note that he's fit and trim, despite making dozens of dinner reservations every day.

In less than a minute, either of them can spew a list of ideas to fill a travel itinerary focused on romance, family, business or Southern culture, including directions, prices, operating hours, weather conditions and insider tips. Walk up to their desk at the Ritz-Carlton New Orleans, and it's like meeting Google in human form.

Defining the job

"Concierge" is a French term that evolved from the phrase "comte des cierges," or "keeper of the candles." It dates to medieval times, when both candles and keys were required at night to open the doors of a castle and cater to the needs of visiting nobles. Nowadays, the concierge is also the keeper of cufflinks, toothpaste, chargers, combs and hair gel.

"Whether on business or leisure travel, no one wants to spend too much time trying to coordinate, plan, organize, et cetera," said Jeanne Mills, president of the U.S. branch of Les Clefs d'Or (The Gold Keys), an international organization of professional concierges with more than 3,000 members worldwide. Members of Les Clefs d'Or are seasoned pros with proven track records of making the mundane memorable.

Mills has been a concierge in Las Vegas for 23 years and is currently the chief concierge at the MGM Grand.

"My favorite part of the job is the reward that comes with playing an instrumental part of so many special moments in people's lives. Guests I took care of more than a decade ago have never forgotten me," she says.

"We're approachable, and we're not snobs!" That's the message Rasmussen would like guests to know. He makes every effort to overcome misconceptions about the job, such as the belief that the main purpose of a concierge is to make reservations and hand out maps. Those essential services are only the tip of the iceberg.

The concierge "to-do" list is ever-changing, and Rasmussen thrives on the revolving roles. One day, he's getting stale bread from the kitchen so visiting kids can feed the ducks at City Park, and the next he's helping facilitate the freezing and shipping of breast milk for a traveling mother on her first post-maternity-leave business trip.

All major resorts and five-star hotels provide concierge services to their guests. Many boutique hotels also offer the services, often on a smaller scale.

Mills says advanced technology is bringing more savvy travelers to the concierge desk. She believes that access to so much information online actually makes the demand for a concierge even greater. "Guests are seeking the guidance of concierges now, more than ever, to help them filter the barrage of information and to seek personal insight."

"Never hesitate to go to your concierge, even if you think your request is impossible," said Breve, who has been making the impossible possible for more than 25 years, primarily as senior concierge at the Ritz-Carlton on Canal Street.

She says she feels honored to be an ambassador not only for the hotel but for the city of New Orleans -- and she has no fear of being replaced by an Internet search engine. "Does a computer have a personality and charm or hands-on experience? I'd say no. Can a computer get you courtside seats for playoffs or a front-row seat at a sold-out concert? That's the difference between a computer and a concierge."

Even so, many frequent travelers say they have never ventured to the concierge desk. What keeps them away? Here are a few myths debunked.

Myth No. 1: A hefty tip is required. 
Reality: Tipping is at your discretion.

There is no set fee for using a concierge. However, as with so many jobs in the hospitality industry, gratitude is certainly appreciated. Cash tips are appropriate, especially if you are asking for more than directions or help with an easy dinner reservation.

Les Clefs d'Or maintains that while gratuity for great service is customary, it's never expected. If you do tip, placing cash in an envelope or handing a tip to a concierge during a departing handshake is appropriate. A verbal "thank you" as you're passing the desk is meaningful, as is a handwritten note or a post-trip e-mail.

Jeff Brooks, a New Jersey-based financial consultant, says most of his business travel details are worked out in-house, but he'll never forget the concierge who helped him skate off thin ice one February.

"I was in New York City without a dinner reservation on Valentine's Day," says Brooks. The hotel concierge came to the rescue, securing a table at a very nice restaurant, resulting in a memorable romantic evening. Brooks tipped the concierge $20.

That's in line with recommendations from hotel guru Glenn Haussman of Hotelinteractive.com, who says special requests merit a tip of at least $10 or $20, depending on time spent.

"If the concierge is getting you something that would be otherwise impossible, then you are looking at a tip of $50 or more," Haussman said.

Consider your own timing as well. "If you want to get their attention, it's always a good idea to tip the concierge at the start of a trip. Ten dollars to say 'I appreciate you looking out for me while I am here' will go a long way."

Myth No. 2: They are primarily meant to serve elite clientele. 
Reality: The concierge desk is a perk available to all hotel guests.

Fashion stylist Cathie Arquilla often travels for business, but she's always been wary of using a concierge. "I'm actually sort of intimidated by them. I figure they're for big businessmen on an expense account who want something fast and reliable, a sure bet where money is no object."

Arquilla is the perfect example of a savvy traveler who's packing a flawed perception.

It's true that celebrities have been known to keep a concierge or two busy. One high profile guest at the Ritz-Carlton New Orleans called ahead to request that all the furniture in his room be set up so that he was always facing east, whenever sitting or lying down.

"I don't know if it was feng shui or if it was just a personal proclivity. It took a little bit of work, but we got it together," Rasmussen said.

Breve once chased down a pet psychic for a celebrity guest whose dog was feeling down.

"If it's not illegal or immoral, we'll do it," Rasmussen said.

One of Breve's most memorable non-celebrity requests came to her at 11 a.m. on a busy Saturday. A man wanted to propose in the French Quarter at 1 p.m. In two hours, she found a stunning location, made the arrangements and found a photographer. Passers-by thought they were filming a scene from a movie.

Having ready answers for day-to-day demands is also critical for concierge success. On most days, Breve says, she answers the question, "How do I take the streetcar?" more than 100 times. And Rasmussen finds himself constantly explaining the difference between Cajun and Creole cuisine.

Myth No. 3: Only overnight guests currently at the hotel can ask for help. 
Reality: They serve anyone visiting the hotel for any reason, and hotel guests can start the process upon booking.

Many people assume the concierge desk is available only once you've arrived at your destination. Not true! Rasmussen says he does his best work when clients call or e-mail ahead of time. More time to work on your agenda means you're likely to get your preferred picks.

Hotel concierges also cater to people visiting their properties for special events, such as business conferences or weddings. Maybe you've checked in elsewhere but you're a bridesmaid who somehow forgot to pack your shoes, which were dyed to match your dress. That's when it's time to call on the concierge.

The bottom line

Part travel agent, part magician, the concierge is dedicated to defining details and supplying travel joy. In medieval times, they may have held the candles and the keys, but the modern-day concierge is an expert at guarding items even more precious: guest sanity and satisfaction.

@highlight

Some hotel guests are intimidated or confused by concierge services

@highlight

"We're approachable, and we're not snobs," says a Ritz-Carlton concierge

@highlight

Concierges serve all guests, and tipping is appreciated, not mandated