LONDON, England (CNN) -- If your neighbor mentions their green roof you might think they have a moss problem. Maybe they are simply referring to the color. But you're unlikely to think that they have just had a mini ecosystem installed.

Majora Carter says green roofs can help alleviate the problems caused by storm water

Simply put, green roofs are gardens on your roof. They come in all shapes and sizes and range from a simple layer of turf to bite-sized hanging gardens of Babylon.

But green roofs are not just aesthetic. They have important environmental benefits: they absorb storm water, reduce noise pollution, absorb heat (thus lessening the urban heat-island effect) and add an extra layer of insulation to buildings. That's why they are increasingly being used on new builds as the construction industry looks to make use of greener technologies..

The concept of a green roof goes back centuries: The turf roofed dwellings of the Vikings are early examples, but the modern green roof we know today was developed in Germany 50 years ago. Since then, they have become increasingly popular, yet the industry still struggles against skeptics, who believe green roofs to be expensive and liable to leaking.

The exception to the rule has been Germany, where the industry is now annually worth $77 million. Even by the end of the 1990s, 50 million square meters of German roofs, the equivalent of 10 percent of flat roofs, were recorded to be green.

The industry is not faring so well in other parts of the world. While the UK has seen a steady increase in interest since the 1960s, a lack of input from the industry and policy-makers has left Britain far behind Germany's booming market.

In North America, green roofs have taken even longer to catch on. Green Roofs for Healthy Cities, a Canadian non-profit industry association, conducted a survey in 2005 which indicated that only 233,000 square meters of green roofs existed in North America. But this was up 80 percent from the previous year, and the market continues to grow.

Majora Carter, who set up Sustainable South Bronx to help lift the area out of poverty by creating green-collar jobs, is frustrated by this difference between the European and American industries. "In Germany they are down to $20 per square meter, which is way cheaper than a regular roof here," she told CNN.

"There are mandates over there because of the storm water they retain," she continued, "Which is a huge drain on their resources, as it is on ours. What we are trying to do is champion the policies behind storm water."

Storm water is a growing problem in cities. The lack of permeable surfaces are loading drainage systems and increasing the risk of flooding. It's green roofs' ability to retain high levels of precipitation that are seen as way to control and slow the water run-off.

The mandates Carter refers to are part of Germany's Green Area and Biotope Area Federal Law. They are not a legal requirement, but through incentives set up at a city level, the mandates have helped to encourage cheaper prices.

Dusty Gedge, co-founder of Livingroof.org, a UK Web site promoting the green roof industry, believes it is the government's responsibility to help the industry grow. "We need government bodies to accept certain civil engineering benefits, such as storm water amelioration, like the Germans, Austrians and Swiss do," he told CNN. "This will encourage uptake."

In many countries, the green roof industry is vulnerable to non-acceptance and a lack of understanding. Gedge says, "There are problems with the construction industry viewing vegetation as a problem and not a benefit." Green roofs also struggle against better-known technologies such as solar panels, but Gedge points out, "Solar panels can work better on green roofs than on gray roofs."

Despite this lack of support, the green roof industry is growing. In London alone, there are approximately 1 million square meters of green roofs planned, with about 200,000 square meters already installed.

And as climate change stays in the headlines, the popularity of green roofs is growing. According to Gedge, "Over the last eight years, green roofs [in the UK] have gone from being a very marginal approach to a mainstream approach. Cities such as London and Sheffield are now asking for them as part of planning applications."

But Gedge also believes that support from local government, as opposed to a centrally driven policy, is key to the industry's growth. "In Switzerland, green roofs are federal law, but again this is interpreted at a cantonal and city level," he told CNN. "This is a much better approach than driven by the center." Managing the industry through federal laws offers a general framework which can then be interpreted as needed. In an industry that varies from project to project, this flexibility is a valuable asset.

So the green roof industry continues to grow -- but there's a feeling that government support could be better. With a little more encouragement, what once was an eccentric way to roof your home could soon become the universal standard, turning our cities into lush, green metropolises. But then, it's not easy being green.

...................................

Would you put a green roof on your home? Do green roofs really help the environment -- or are they an expensive indulgence? Share your views in the Sound Off box below.

@highlight

Green roofs date back to before the time of the Vikings

@highlight

Not just aesthetic, they help fight against climate change, especially in cities

@highlight

Germany's green roof market is the biggest, making up 10 percent of all flat roofs

@highlight

Supporters say government support is need to spur growth elsewhere