A respiratory virus is sending hundreds of children to hospitals throughout the Midwest and beyond, health officials say.

The unusually high number of hospitalizations reported could be "just the tip of the iceberg in terms of severe cases," said Mark Pallansch, a virologist and director of the Centers for Disease Control and Prevention's Division of Viral Diseases.

Twelve states have contacted the CDC for assistance in investigating clusters of enterovirus: Alabama, Colorado, Michigan, Georgia, Ohio, Iowa, Illinois, Missouri, Kansas, Oklahoma, Kentucky and Utah. Four -- Colorado, Illinois, Missouri and Iowa -- have confirmed cases of Enterovirus D68, also known as EV-D68.

What is Enterovirus EV-D68?

At a news briefing Monday, the CDC confirmed that samples it tested from children who had been hospitalized in Illinois and in Kansas City, Missouri, did show signs of the EV-D68 virus, meaning there is a possible regional outbreak.

The Iowa Department of Public Health confirmed that EV-D68 cases have been identified in Iowa. Officials are hearing of illnesses across the state, they say, though there is not a firm count of how many people have been infected.

Dr. Christine Nyquist, medical director of infection control at Children's Hospital Colorado, said the hospital sent around 25 samples to the CDC from patients with respiratory illness. Around 75% were confirmed to be EV-D68. The hospital has seen a 12% to 15% increase in emergency room visits and admissions this month compared with the same time frame last year, she said.

Enteroviruses, which bring on symptoms like a very intense cold, aren't unusual.

"It's important to remember that these infections are very common," said Dr. Anne Schuchat. Schuchat is the assistant surgeon general for the U.S. Public Health Service and the director of the National Center for Immunization and Respiratory Diseases.

When you have a bad summer cold, often what you have is an enterovirus. The CDC estimates there are 10 to 15 million viral infections each year in the United States. The season often hits its peak in September.

This particular type of enterovirus -- EV-D68 -- is uncommon but not new. It was identified in the 1960s, and there have been fewer than 100 reported cases since that time. But it's possible that the relatively low number of reports might be because EV-D68 is hard to identify.

"It's one that we don't know as much about as we would like," Schuchat said.

EV-D68 was seen last year in the United States and this year in various parts of the world. Over the years, clusters have been reported in Georgia, Pennsylvania, Arizona and various countries including the Philippines, Japan and the Netherlands.

The reason health officials are concerned this year is that there have been so many hospitalizations.

"That's the scary part -- the unpredictability, I think," Nyquist said.

What parents should know about EV-D68

Missouri

The virus has sent more than 30 children a day to a Kansas City, Missouri, hospital, where about 15% of the youngsters were placed in intensive care, officials said.

In Kansas City, about 475 children were recently treated at Children's Mercy Hospital, and at least 60 of them received intensive hospitalization, spokesman Jake Jacobson said.

"It's worse in terms of scope of critically ill children who require intensive care. I would call it unprecedented. I've practiced for 30 years in pediatrics, and I've never seen anything quite like this," said Dr. Mary Anne Jackson, the hospital's division director for infectious diseases.

"We've had to mobilize other providers, doctors, nurses. It's big," she said.

The Kansas City hospital treats 90% of that area's ill children. Staff members noticed an initial spike on August 15, Jackson said.

"It could have taken off right after school started. Our students start back around August 17, and I think it blew up at that point," Jackson said. "Our peak appears to be between the 21st and the 30th of August. We've seen some leveling of cases at this point."

An analysis by the CDC showed at least 30 of the Kansas City children tested positive for EV-D68, according to the Missouri Department of Health and Senior Services.

Vaccines for EV-D68 aren't currently available, and there is no specific treatment for infections, the Missouri agency said.

"Many infections will be mild and self-limited, requiring only symptomatic treatment," it said. "Some people with several respiratory illness caused by EV-D68 may need to be hospitalized and receive intensive supportive therapy."

Some cases of the virus might contribute to death, but none of the Missouri cases resulted in death, and no data are available for overall morbidity and mortality from the virus in the United States, the agency said.

"It's not usually fatal, thank God for that," Schuchat said. "But I'm not sure why it's infecting so many kids as opposed to so many people."

Symptoms include coughing, difficulty breathing and rash. Sometimes they can be accompanied by fever or wheezing.

The majority of the children who have been hospitalized with the virus, at least on the samples the CDC tested, did have asthma to start with.  The virus made their symptoms worse.

"We want parents to know that it's important to make sure your children with asthma are on their medicines and keeping up with their medication routine," Schuchat said.

Jackson said physicians in other Midwest states reported cases with similar symptoms.

"The full scope is yet to be known, but it would appear it's in the Midwest.  In our community, meticulous hand-washing is not happening. It's just the nature of kids," Jackson said.

Colorado

Denver also is seeing a spike in respiratory illnesses resembling the virus, CNN affiliate KUSA said.

More than 900 children have gone to Children's Hospital Colorado emergency and urgent care locations since August 18 for treatment of severe respiratory illnesses, including enterovirus and viral infections, hospital spokeswoman Melissa Vizcarra said. Of those, 86 have been sick enough to be admitted to the Aurora facility.

And Rocky Mountain Hospital for Children had five children in intensive care and 20 more in the pediatric unit, KUSA said last week.

"This is the worst I've seen in my time here at Rocky Mountain Hospital for Children," Dr. Raju Meyeppan told the outlet. "We're going to have a pretty busy winter at this institution and throughout the hospitals of Denver."

Will Cornejo, 13, was among the children in intensive care at Rocky Mountain Hospital for Children after he came down with a cold last weekend and then woke up Tuesday night with an asthma attack that couldn't be controlled with his medicine albuterol. His mother, Jennifer, called 911 when her son's breathing became shallow, and her son was airlifted to the Denver hospital, she told KUSA.

Her son was put on a breathing tube for 24 hours.

"It was like nothing we've ever seen," Jennifer Cornejo told KUSA. "He was unresponsive. He was laying on the couch. He couldn't speak to me. He was turning white, and his lips turned blue.

"We're having a hard time believing that it really happened," she added. "We're much better now because he is breathing on his own. We're on the mend."

Risk of infection

In East Columbus, Ohio, Nationwide Children's Hospital saw a 20% increase in patients with respiratory illnesses last weekend, and Dr. Dennis Cunningham said patient samples are being tested to determine whether EV-D68 is behind the spike, CNN affiliate WTTE rep

Blessing Hospital in Quincy, Illinois, saw more than 70 children with respiratory issues last weekend, and seven of them were admitted, CNN affiliate WGEM reported. The hospital's Dr. Robert Merrick believes that the same virus that hit Kansas City is causing the rash of illnesses seen at the Quincy and Hannibal hospitals, which both imposed restrictions this week on children visiting patients, the affiliate said.

"Mostly we're concerned about them bringing it in to a vulnerable patient. We don't feel that the hospital is more dangerous to any other person at this time," Merrick told WGEM.

Like other enteroviruses, EV-D68 appears to spread through close contact with infected people, the agency said.

"Unlike the majority of enteroviruses that cause a clinical disease manifesting as a mild upper respiratory illness, febrile rash illness, or neurologic illness (such as aseptic meningitis and encephalitis), EV-D68 has been associated almost exclusively with respiratory disease," the Missouri health agency said.

Clusters of the virus have struck Asia, Europe and the United States from 2008 to 2010, and the infection caused relatively mild to severe illness, with some intensive care and mechanical ventilation, the health agency said.

To reduce the risk of infection, individuals should wash hands often with soap and water for 20 seconds, especially after changing diapers; avoid touching eyes, nose and mouth with unwashed hands; avoid kissing, hugging and sharing cups or eating utensils with people who are sick; disinfect frequently touched surfaces such as toys and doorknobs; and stay home when feeling sick, the Missouri agency said.

Rare outbreak in Tokyo as WHO warns of spread of dengue fever

Sierra Leone plans nationwide lockdown to stop spread of Ebola

@highlight

Iowa, Colorado, Missouri and Illinois have confirmed EV-D68 cases

@highlight

Missouri doctor calls situation "unprecedented" in terms of kids in intensive care

@highlight

About 475 children were recently treated at one Kansas City hospital

@highlight

Enterovirus EV-D68 causes respiratory illnesses like a cold, only worse