New York (CNN) -- She may be out of Washington and on the road for the week, but the heavy machinery of office has followed Secretary of State Hillary Clinton to New York as she attends the annual United Nations General Assembly meetings.

To be sure, the secretary always has a traveling staff with her wherever she may be in the world. But UNGA, with its hundreds of diplomats, ministers and heads of state converging on New York every September, is a much different animal from a trip to a world capitol. Basically, Foggy Bottom moves up to the Big Apple and sets up a mini-State Department on the 24th floor of the Waldorf Astoria.

CNN was granted rare and exclusive access to this massive operation, one that involves hundreds of employees, planeloads full of equipment and a ton of coffee.

As we exited the elevator on the 24th floor, it became clear this was indeed a secure work space, with numerous Diplomatic Security guards and several signs reminding staff not to discuss classified information in the hallways.

It seemed as if U.S. foreign policy hadn't skipped a beat despite being a few hundred miles removed from home base. With the beds in each room removed (though the head boards where still bolted to the wall), the rooms have been transformed into working offices with secure telephone lines, computers, fax machines and all of the equipment needed to do the job of executing the nation's diplomacy.

As we were escorted down one of the halls, Capricia Penavic Marshall, the department's chief of protocol, was working with her staff to prepare for what was already shaping up to be an marathon of a week. Marshall's office is responsible for advising on matters of international diplomatic protocol, making sure the right atmosphere is created for conducting diplomacy.

Even though Marshall was congratulating the staff for an earlier event that went off successfully, staff members have a long week ahead assuring there are no diplomatic glitches when President Barack Obama and Secretary Clinton meet with many of their counterparts. Helping manage protocol for more than 190 U.N. member states is a juggling act Marshall's protocol team has to perfect every UNGA.

Every regional office, such as the Bureau of African Affairs, the Bureau of East Asian Affairs, and the Bureau of Near East Affairs, which oversees the Middle East, had taken over a room or two and had staff busy working the phones trying to set up meetings for Clinton while she is in town.

Benjamin Sand with International Organization Affairs -- the bureau responsible for managing the U.S. relationship with United Nations and all other international organizations -- said the pressure of managing the week's itinerary was more like "finals week" in college, except that it would be the entire world grading his office's performance as opposed to a lone professor. Despite the enormity of the task at hand, some of his staff was already at work preparing for next year's UNGA.

Tuli Mushing set up Clinton's executive office at the Waldorf. He said brought "a lot" of people up from Washington to make sure the secretary had everything at her disposal to operate effectively.

Special Agent T.J. Lunardi of the Diplomatic Security Service has an office set up to oversee the security for Clinton as she travels around New York for her meetings, as well as the security for all other non-head of state dignitaries. Lunardi says he has to create "a protective bubble" so the State Department can move into a hotel building where employees can handle and discuss sensitive information the department needs in order to function.

Lunardi's work also extends to the 34th floor of the Waldorf , the floor where Obama and Clinton will hold bilateral meetings with their counterparts this week.

A separate staff works on the 34th floor, preparing the room where Clinton would be meeting with the Japanese and Russian foreign ministers, and the pool of reporters who would shuffle in to ask questions and take pictures of the two shaking hands.

Linda Dewan works on 34th floor setting up the "bi-lat" room. Each has what looks like an ordinary conference table dressed up with flowers, but Linda explains how every name card, glass of water and pencil is placed just so, according to diplomatic procedure established under former Secretary of State James Baker.

Back on 24, the General Services Office is busy preparing briefing books of information for Clinton to cover the subject of every meeting on her daily schedule. George Rowland, a senior support specialist in the office, said he expected to go through 40 to 50 cases of paper this week to prepare the books.

Many of the rooms had the large brown "burn bags" -- the final destination for much of that paper -- in which the shredded remains of sensitive documents are placed before they are burned.

Down the hall in room 24M, members of the press are getting ready for Clinton's "photo-op" with the Japanese foreign minister. Bomb dogs are sniffing cameras and Gladys Boggs is rounding up the journalists and cameramen. Boggs has been running these photo ops for decades. It's not just shuffling the press into a room: Boggs spends months advancing the site, making sure the media gets a good shot to illustrate the diplomacy secretaries of state are conducting.

Matt Lee, a veteran State Department reporter, says UNGA week is always a big hassle because of the famous New York City traffic, but it's a good opportunity to see lots of sources and get a better sense of the full diplomatic picture. Lee is well-known for his tough questions, but he says he wouldn't be doing his job if he didn't push the State Department to explain how all the meetings here at UNGA translate in to U.S. foreign policy.

As we take the freight elevator up to the 34th floor and wait in a elevator vestibule, reporters are discussing what question to toss out to Clinton. Along with Cami McCormack from CBS, we ask Clinton about her hopes to avert a showdown with Palestinian President Mahmoud Abbas at the U.N. Security Council over the Palestinian statehood issue.

Usually Clinton doesn't speak at the photo-ops, but she had a message to deliver: The United States doesn't think action at the United Nations will lead to a peace deal and she hopes to find a compromise before Abbas' speech on Friday. It's not breaking news, but reporters fly back down to 24M file the comments for their outlets.

As Obama and Clinton continue a whirlwind schedule of meetings and dinners, the frenetic pace of work will continue on the 24th floor of the Waldorf. When Clinton leaves the secure lines will be removed and the sensitive documents destroyed, and a new set of guests will take their place. Until next year.

@highlight

U.N. General Assembly week brings the world to New York City

@highlight

The Waldorf Astoria hosts the huge State Department contingent

@highlight

It's no easy process setting up the meetings that will take place

@highlight

Reams of paper go into producing documents, many of which are later burned