Edinburgh, Scotland (CNN) -- Let's not pretend Queen Elizabeth doesn't have opinions. She's human and must have strong views on the potential break-up of the United Kingdom, which she represents. What matters is whether she expresses those views in public, which would compromise her constitutional role to remain impartial, and could undermine the position of the monarchy. The Queen has managed to "stay above politics" for more than 60 years -- and with Scotland voting on independence Thursday she's not about to upset things now.

The closest Elizabeth II has come to commenting on the referendum was something she said to a well-wisher outside a Scottish church on Sunday, that she hopes people "think very carefully about the future." This is a rare moment of candor for someone who's well aware that anything she says to a member of the public has the potential to be picked up by reporters, who she also knows have the referendum at the forefront of their minds. This came amid UK newspaper reports that the Queen felt a great deal of concern over independence.

Her grandson, Prince William, also appeared to step into the debate, according to some newspapers, when he was asked about his wife's second pregnancy on the day it was announced. Of course, he said, the couple were thrilled -- but then he added: "It's important that we focus on the big news, the big international and domestic thing going on at the moment." That comment was seen by parts of the UK media as a reference to the Scottish referendum.

So what's the official line? A palace spokeswoman told me: "Any suggestion that the Queen would wish to influence the outcome of the current referendum campaign is categorically wrong. Her Majesty is firmly of the view that this is a matter for the people of Scotland."

The Queen has come under pressure from some politicians to step into the debate but that idea was given short shrift. "The Queen is above politics and those in political office have a duty to ensure that this remains the case," said the spokeswoman.

One of the Queen's great achievements has been to retain cross-party support in parliament throughout her reign (remember, she came to the throne in 1952). She's done this by refusing to take sides, in public at least. Due to her popularity, she could sway opinion but royalty is about the long game. If she involves herself in policy then she risks alienating people and parliamentarians who could ultimately de-throne her and bring in a president.

The Queen's role in Scotland isn't actually at any immediate risk. The frontman of the pro-independence campaign, Scottish First Minister Alex Salmond, says he looks forward to the Queen remaining as "Queen of Scots" in an independent Scotland. That doesn't, however, do justice to the historic significance of the moment.

The United Kingdom was born out of the merger of the English and Scottish royal families more than 400 years ago, which in turn led to the Treaty of Union of 1707 and the joining of parliaments. This new country went on to build an empire that spanned the globe, at various points taking in the United States, India, Australia, Canada and much of Africa.

The managed decline of the empire after World War II is held up as one of Queen Elizabeth's great achievements. As territories broke away, she helped rebrand a Commonwealth of independent nations. But bringing Scotland into that fold has an entirely different significance.

Scotland isn't some breakaway outpost of the British Empire; it's home turf which has remained uncontested since the Renaissance. Breaking up the United Kingdom now would prompt an identity crisis for Queen and country. Factor in that her mother was Scottish and it's intrinsically personal too.

The last time Elizabeth II touched publicly on this idea was in 1977 during a speech to mark her Silver Jubilee. At the time, Scotland and Wales were voting on forming national assemblies. She said: "I cannot forget that I was crowned Queen of the United Kingdom of Great Britain and Northern Ireland. Perhaps this Jubilee is a time to remind ourselves of the benefits which union has conferred, at home and in our international dealings, on the inhabitants of all parts of the United Kingdom."

Empires may come and go, but the Queen's facing the break-up of her home country. It's personal and professional for her.

@highlight

Scotland votes this week on whether to become an independent country

@highlight

Foster: The Queen has been careful not to become involved in the debate

@highlight

The UK resulted from a merger of the English and Scottish royal families 400 years ago

@highlight

The Queen's role in Scotland isn't actually at any immediate risk, says Foster