(CNN) -- On December 16, a young medical student in one of India's major cities was gang-raped, her body destroyed by the bodies of the men who allegedly assaulted her and also by the rusting metal bar doctors say they used to penetrate her. The bar removed part of her intestines. The rest were removed in a hospital far from home where she struggled for her life for just a few days.

It has taken an attack that lies nearly outside of comprehension to prompt demonstrations, but the outcry has begun.

Over the weekend, women rose up in Nepal, protesting outside the prime minister's house against gender-based violence.

What are your experiences of being a woman in India? Send us your stories

Egyptian women have faced ceaseless sexualized violence since the start of that country's revolution, but are now protesting to stop the ever-present sexual harassment and assault.

According to Eve Ensler, the head of V-Day and One Billion Rising, a movement calling for women to rise up on February 14, 2013, and demand an end to violence, women in Somalia are planning what may be their first-ever major demonstrations against rape and violence. Ensler will be in Mumbai Jan. 4 and Delhi Jan. 7 and will meet with activists and leaders for events aimed at raising awareness of the movement.

This groundswell -- what Ensler calls "a catalytic moment" -- is the perfect chance for us to consider how we think about subjugation, rape, and degradation of women globally.

Gloria Steinem and I have written about how a cult of masculinity is behind the constant violation of women around the world -- that some men brutalize women against their own self-interest because of an addiction to control or domination. To put it plainly: Rape is not about sex.

Opinion: Misogyny in India -- We are all guilty

"Rape is about violence," Steinem says, "proving 'masculine' superiority; often inserting guns and other objects into women's bodies; playing out hostility to other men by invading the bodies of 'their' females, including old women and babies; occupying wombs with sperm of a conquering group; owning female bodies as the means of reproduction; and raping men and boys to make them as inferior as females."

This is born out everywhere that rape occurs but especially in war zones like the Democratic Republic of Congo, where Dr. Denis Mukwege, the medical director of Panzi Hospital, told me men use objects as a means to mark a woman -- to indicate that she now carries the message of violence impressed on her body. She becomes an emblem of terror meant to warn the world that nobody is safe. And while rape in war zones carries its own particular kind of horror, there is no escaping the cult of masculinity geographically. The culture of rape imbues whatever space we inhabit.

For women, "peacetime" does not exist.

Nearly 1 in 5 women in this country surveyed said they had been raped or had experienced an attempted rape at some point, according to the National Intimate Partner and Sexual Violence Survey.

That women are expected to put up and shut up is universally understood: A 2012 UNICEF report found that 57 percent of Indian boys and 53 percent of girls between ages of 15 and 19 think wife-beating is justified. A recent study by two nonprofits found that 65 percent of men surveyed in the Democratic Republic of Congo believe "women should accept partner violence to keep the family together."

And, as in India, where the appalling remarks of Andhra Pradesh Congress chief Botsa Satyanarayana appeared to place blame on the Delhi gang-rape victim -- she chose a strange private bus, she shouldn't have been out after dark -- politicians, clergymen, husbands, and others around the world perpetually blame rape survivors. (See this beauty from an Italian priest. Or reacquaint yourself with the stunners from Rep. Todd Akin or Senate candidate Richard Mourdock.)

These are more than just manipulative words; victim-blaming has consequences. Women are literally dying from fault-finding from Syria to Sudan in honor killings, suicides, and murders because they are blamed for their sexual assaults.

We have to move the focus off the victim. Indian Prime Minister Manmohan Singh has said that the "safety and security of women is of the highest concern to our government."

OK. That's one part of the equation. But what about the larger part -- what about prosecuting men who are committing these crimes? Yes, women often do not report sexualized violence. But they do not report because they know that, at least in this country, only three of every 100 men accused of rape will ever spend a day in jail.

It's time to focus on the perpetrators. And it's also time for men and women to engage in a consistent dialogue on stopping rape.

Let's publicly and privately declare all sexualized violence unacceptable.

Let's hold perpetrators legally accountable and once and for all change laws and justice systems that continue to fail women.

Let's understand that rape is not a problem that affects only women: It affects families, communities, entire cultures. It is not an inevitability, but the outcome of a system based in discrimination, just as slavery was.

Let's declare 2013 The Year to End Rape. If this is a problem that men have created, this is a problem that men can help solve.

The time is now.

The opinions expressed in this commentary are solely those of Lauren Wolfe.

@highlight

Lauren Wolfe: Brutal rape that killed an Indian women has caused a global outcry

@highlight

In Somalia, women are planning protest next month against gender violence

@highlight

She says acceptance of rape culture in domestic life and war is rampant

@highlight

Wolfe: In 2013, make all sexualized violence unacceptable