(CNN) -- There are several reasons why Yann Martel's Man Booker prize-winning novel "Life of Pi" was considered unfilmable when it was published in 2001.

That most of the story takes place on a lifeboat in the middle of the Pacific Ocean surely didn't help. That the shipwrecked hero, a young Indian boy named Piscine Molitor Patel -- "Pi" for short -- didn't have another human soul to talk to for 200 days presented another significant challenge. But the most glaring problem facing any aspiring filmmaker would have to be Richard Parker, the full-grown 450-pound Bengal tiger who shares the lifeboat with Pi.

Well, it's amazing what they can do with special effects these days: Richard Parker is such a fabulous and fully realized creation, perhaps nothing is unfilmable now?

We don't usually think of "Brokeback Mountain" director Ang Lee as an effects filmmaker, but he gave us the romantic swordplay above swaying bamboo forests in "Crouching Tiger, Hidden Dragon" and, less happily, "Hulk" bouncing across the desert like a rubber ball.

Here he's embraced 3-D, and it's a masterstroke. The slightly artificial quality that comes with this technology -- even wearing the spectacles puts a barrier between the movie and reality -- complements Pi's magical realist yarn, and Claudio Miranda's luminous, glossy, color-saturated cinematography gives the movie a picture book look.

No surprise, really, that 3-D is ideally suited to lunging tigers and pitching sea. But it's more than that. In this story Pi must remain acutely aware of distance: the distance between him and the big cat, the restricted space of the lifeboat, and the overwhelming open horizons of the ocean all around him.

Underneath, too. Some of the loveliest, most magical images plunge beneath the surface to reveal the myriad marine creatures separated from Pi by nothing more than an inch or two of wood. And, at night, the water reflecting the deep glimmering stars. This is stereoscopic CGI image-making as pure visual poetry, a demonstration of what the medium can do in the right hands that is worthy of comparison with "Avatar" and "Hugo."

So how does Pi find himself in this unusual predicament? That's prosaic in comparison, and the first act is not quite as nimble as it might have been (there's a necessary framing device, but also a redundant romantic interlude concocted by screenwriter David Magee for reasons that have more to do with conventional Hollywood wisdom than the demands of this particular tale). It's only when Pi's world is turned upside down that the film really finds its sea legs.

Interesting to note that the movie revises and pretty much demolishes the tiger-taming tips Martel came up with -- worth bearing in mind should you ever find yourself in close proximity to a man-eater for a prolonged period of time. The movie's Pi (Suraj Sharma) is considerably more circumspect than the novel's, and understandably so -- Richard Parker is more ferocious in the flesh than he was on the page. The tension is welcome and also a discreet approach to violence which should make the movie accessible to children. Even then, to his credit, Ang Lee is never tempted to domesticate this cat, except briefly, when both boy and beast are starving and at death's door.

It's at this point that the movie conjures its most surreal and outlandish episode, an alluring strange interlude on a floating island that doesn't quite catch the horror in the novel's description.

If this climax feels a shade hurried, the poignant coda is written and acted with immense delicacy by Irrfan Khan and Rafe Spall. This transcendent fable carries a real sting in its tail. Ang Lee has made a bold and wondrous movie, one of his best.

@highlight

"Life of Pi" is based on Yann Martel's Man Booker prize-winning novel

@highlight

The story centers on a young Indian boy named Piscine Molitor Patel and a tiger

@highlight

The film is directed by Ang Lee