(CNN)A sign you'd expect to see in a war zone, hanging at a police station. Two unarmed civilians shot more than 20 times after a high-speed chase. A man in the middle of a medical emergency, jolted with a Taser while strapped to a gurney.

These are alarming examples, federal investigators say, that show police in Cleveland have been using unnecessary and unreasonable force at a "significant rate," employing "dangerous tactics" that put the community at risk.

A report released Thursday details a nearly two-year Justice Department investigation which found that Cleveland police use guns, Tasers, pepper spray and their fists excessively, unnecessarily or in retaliation. Officers also have used excessive force on those "who are mentally ill or in crisis," the Justice Department said.

Now a federal court will keep tabs on the Cleveland police as part of a legal agreement going forward.

The Justice Department's investigation started in 2013, after several incidents, including a controversial case the previous year when more than 100 officers were involved in a high-speed chase that ended with the deaths of two unarmed civilians.

Here's a look at that case, and several others examples federal investigators pointed out in their report:

A chase gone awry: Police began chasing Timothy Russell and passenger Malissa Williams after officers and witnesses thought they heard a gunshot coming from their car as they drove by a court building. But it turns out, they didn't have weapons. The Justice Department's report said it now appears that what they heard was the car backfiring.

More than 100 officers participated in the high-speed chase. After a 25-minute chase that reached speeds of more than 100 mph and ended in a school parking lot, 13 officers fired 137 rounds hitting Russell and Williams more than 20 times each, the report said.

"The officers, who were firing on the car from all sides, reported believing that they were being fired at by the suspects. It now appears that those shots were being fired by fellow officers," the Justice Department wrote. Both Williams and Russell were killed.

Suspect kicked in the head: Video from a police helicopter captured officers arresting a man after a January 2011 police chase. After the suspect was handcuffed and lying on the ground, officers used excessive force by kicking him in the head numerous times, the report said.

Many officers were there, but none identified any fellow officers who had exacted excessive force on the suspect, and no officer was disciplined, the Justice Department said.

Accountability, or the lack thereof, was a theme of the Justice Department report. Of the period reviewed, 2010-2013, the investigation found that officers were suspended on only six occasions for improper use of force.

"Discipline is so rare that no more than 51 officers out of a sworn force of 1,500 were disciplined in any fashion in connection with a use of force incident over a three-and-a half-year period," the report said.

Taser used inside ambulance: Officers were flagged down to help a man lying on a sidewalk having seizures. When paramedics arrived, they helped him into an ambulance, where he was strapped onto a gurney. That's when the man, who the Justice Department reports identifies as "Mark," got angry, threatening the officer and trying unsuccessfully to stand up.

"Mark continued to try to stand up while threatening to beat the officer. The officer then drive stunned Mark on his top left shoulder. Mark had committed no crime, was strapped down and was in the midst of a medical crisis," the Justice Department report says.

"His repeated seizures may also have left him confused and disoriented. Indeed, there is no indication that Mark could carry out his threat against the officers, particularly when he was strapped to the gurney."

13-year-old punched: After a handcuffed 13-year-old arrested for shoplifting began to kick a police car's door and kicked an officer in the leg, the 300-pound police officer sat on the boy's legs and punched him in the face until he had a bloody nose.

The 13-year-old "was pushing against the officer with his legs, but was handcuffed and posed no threat to the officer," the Justice Department's report says, noting that Cleveland police have used excessive force on people who are handcuffed or subdued and "pose little or no threat to officers."

Sign of the times: Above a vehicle bay at one of the Cleveland Division of Police's district stations hangs a sign that reads, "forward operating base," a term usually used to describe an area of tactical operations in a war zone. The sign sends a message indicative of the community's opinion of the division, Justice Department officials said.

"This characterization reinforces the view held by some -- both inside and outside the Division -- that CDP is an occupying force instead of a true partner and resource in the community it serves," the investigative report said. It's one illustration, the Justice Department's report says, that "officer training instills in officers an 'us-against-them' mentality."

Issues resonate beyond Cleveland

The results of the federal review come as the Cleveland Division of Police is under fire for the November fatal shooting of 12-year-old Tamir Rice. The incident sparked even more outrage amid high tensions over Michael Brown's shooting death in Missouri and similar situations that have put police use of force under a microscope.

Cleveland police Chief Calvin Williams has defended Rice's shooting, saying he reached for an air pistol that was "indistinguishable from a real firearm."

While Thursday's announcement was set in Cleveland, Attorney General Eric Holder said Thursday that the problems it highlights aren't contained by city limits.

"As President Obama and I have indicated, the time has come, we think, to do even more. The tragic losses of these and far too many other Americans, including just last month, the shooting death of 12-year-old Tamir Rice here in Cleveland, have really raised urgent national questions," Holder said Thursday. "And they have sparked an important conversation about the sense of trust that must exist between law enforcement and the communities that they serve and protect."

What's next?

Authorities say Cleveland police need better training and more accountability going forward.

"Deeply troubling to us was that some of the specially trained investigators who are charged with conducting unbiased reviews of officers' use of deadly force admitted to us that they conduct their investigations with the goal of casting the accused officer in the most positive light possible," the Justice Department's report said.

The department fails to review its officers' use of force, investigate other allegations of misconduct, "respond to patterns of at-risk behavior," enforce appropriate policies and establish "effective community policing strategies," according to the Justice Department.

"Throughout the investigation, the Department of Justice provided its observations and concerns to the city, and in response, the division has begun to implement a number of remedial measures, however, much more work is needed," the department's statement said.

As a result of the findings, the city and Justice Department have signed an agreement "to develop a court-enforceable consent decree that will include a requirement for an independent monitor who will oversee and ensure necessary reforms."

Holder, Acting Assistant Attorney General Vanita Gupta and U.S. Attorney Steven Dettelbach met Thursday with community leaders, law enforcement officials and elected officials to discuss how to improve that relationship.

"Together, we can build confidence in the division that will ensure compliance with the Constitution, improve public safety and make the job of delivering police services safer and more effective," Gupta said in a statement.

Williams told reporters his officers are committed to improving the department.

"We will work to make this police department better," he said. "I have confidence we will."

@highlight

Guns, Tasers, fists, chemical sprays are all used inappropriately, probe finds

@highlight

Cleveland, feds agree to independent monitor to oversee reforms, Justice Dept. says

@highlight

Investigators reviewing deadly force cast officers in "positive light," report says

@highlight

Report comes as police are under fire after fatal shooting of 12-year-old Tamir Rice