(CNN) -- HBO has just launched a new TV series based on a novel by Tom Perrotta called "The Leftovers," which in turn is based on the fundamentalist Christian idea of the rapture. Apart from the title, which suggests a refrigerator full of stale food, the series looks promising.

It's a terrific premise: Jesus returns and calls to heaven 140 million people, leaving behind billions of stupefied, confused, and grief-stricken others. In the show, a mother loses her baby, who disappears. A boy's father seems to have vanished as he pushes a shopping cart. Cars collide as drivers go missing. Chaos strikes in the fictional Mapleton, New York -- and throughout the world. How to cope?

The famous "Left Behind" series by Tim LaHaye and Jerry B. Jenkins was already out there. It consisted of 16 best-selling novels on the same premise, and it's about to come to the big screen again, in a film starring Nicholas Cage. The original film adaptation (of three) appeared in 2000. And then there is the Christian real-time strategy video game called "Left Behind: Eternal Forces." If anyone hasn't noticed, the rapture has become a commercial juggernaut, endlessly shape-shifting, finding new and highly entertaining outlets.

But what about the theology behind this industry?

The rapture notion goes like this: Jesus is coming back, and when he does, he will first return before a time of so-called tribulation begins, calling up into the clouds with him those who are "saved." Horrible suffering will then occur on the miserable Earth for seven years. Then Jesus will come yet again, for a final judging. There are many different versions of this scenario, so it's difficult to summarize. It's fair to say, however, that only fundamentalist Protestant churches bother to think about the rapture at all. (Catholics discount the idea completely.)

The rapture concept is relatively new. It started with an Anglo-Irish theologian, who in the 1830s invented the concept. This may come as a shocker to many, but it's a fact: Before John Nelson Darby imagined this scenario in the clouds, no Christian had ever heard of the rapture.

The idea was popularized by Cyrus I. Scofield, an American minister who published a famous reference Bible in 1908, one that developed the idea of an elaborate series of final periods in history known as dispensations. Scofield, like Darby, read the Book of Revelation as a vision of the future, not a fiery dream of the destruction of Jerusalem by the Romans in A.D. 70.

The latter view remains, in fact, the most common interpretation of the Book of Revelation by mainstream theologians and was described recently by Princeton scholar Elaine Pagels in "Revelations: Visions, Prophecy, and Politics in the Book of Revelation."

It's a problem, however, for rapture-minded Christians that the word "rapture" doesn't appear anywhere in the Bible, unless you're willing to think in broadly metaphorical terms. Rapture thinking is most often traced back to the Apostle Paul's first letter to the Thessalonians, where he writes: "For the Lord himself will descend from heaven with a shout of command, with the voice of an archangel and the trumpet of God. The dead in Christ will rise first; then we, who are left alive, will be snatched up with them on clouds to meet the Lord in the air; and so we shall always be with the Lord." (1 Thessalonians 4:16-17)

First, it's important to note that Jesus himself never talked about the rapture, ever. We read in Mark about the "Son of Man coming in the clouds," but this is a reference back to the Old Testament Book of Daniel, where we get the image of a "son of Man" who is actually going the other way, up to meet the Ancient of Days.

It's all broadly metaphorical, a kind of dream. In Mark, the oldest gospel, this passage is about the vindication of Jesus as he comes to heaven and is recognized as a true son of the father. In Luke 19, we read about a returning king, but close study of this passage suggests that Luke is talking about God coming back to Jerusalem, not about Jesus returning to Earth.

It's clear from looking carefully at everything Paul says about the future, as in I Corinthians 15:51-54 or Philippians 3:20-21, that he believes only that some day Christians will experience a kind of physical and spiritual change. They will be resurrected, but this is a complex term that suggests not necessarily resuscitation but evolution, a thorough transformation.

In Thessalonians, Paul is writing like the poet he is, creating a spectacular vision of a returning lord who will be given a great reception in the air. The crucial word in the relevant verse is "meet": Those who are left alive will be caught up on clouds to meet the Lord in the air.

The word "meet" in Greek is "apentesis," and it means to gather for a reception for visiting dignitaries. Even the idea of being "snatched up" is thoroughly inadequate for the Greek word "harpazo," which is better translated as "gathered" -- a point made by many biblical scholars over the years. In any case, Paul is being dramatic, imagining a holy reception committee that will greet the returning Christ. And why not?

Yet it's amazing how scriptures get misused, and relatively new theological ideas -- such as the rapture -- get deeply embedded in certain circles. The rapture is really a plot device for popular entertainment and a bizarre theological teaching in fundamentalist circles, where it functions in a variety of ways. But it's bad theology, and Jesus himself would have been astonished to learn that thousands of years after him there were such notions afloat.

At least he won't have to watch "The Leftovers" on TV.

@highlight

Jay Parini: New HBO series takes off on novel based on Christian idea of 'the rapture'

@highlight

He says it's a fun TV idea, but the rapture concept is rubbish made up by theologian in 1800s

@highlight

The idea is that Jesus will come back, collect "saved" people before tribulation time begins

@highlight

Parini: Bible doesn't mention rapture. It's proponents distort apostles' metaphors to cook it up