(CNN) -- Even though the Internet has become a key tool for accessing services, getting an education, finding jobs, getting the news, keeping up with people you know and much more, one in five U.S. adults still does not use the Internet at all, according to a new Pew report.

Why? Mostly they're just not interested -- not in the Web, e-mail, YouTube, Facebook or anything else that happens online.

"Among current non-internet users, almost half (48%) say the main reason they don't go online now is because they don't think the internet is relevant to them -- often saying they don't want to use the internet and don't need to use it to get the information they want or conduct the communication they want," said the report.

The respondents' next-most common reasons were that they don't have a computer or that it's too expensive, too difficult, or a waste of time.

Most Americans who don't currently go online have never gone online before -- and no one else in their household uses the Internet. Just over 20% of non-users say they know enough about technology to start going online if they wanted to, and only 10% said they're interested in using the internet or e-mail in the future.

Who are these neo-Luddites?

Mostly they're older -- 59% of U.S. seniors don't go online. Also, nearly 60% of U.S. adults who never completed high school don't use the Internet. And they're mostly poor -- nearly 40% of people with an annual household income under $30,000 don't go online. (Pew notes that people with an annual household income under $20,000 are especially unlikely to use the Internet.)

People with disabilities also are more likely to not use the Internet. One- quarter of U.S. adults live with a disability that interferes with activities of daily life -- and only 54% of these people are Internet users, Pew found.

But in terms of ethnicity, the U.S. digital divide has narrowed. According to Pew: "The internet access gap closest to disappearing is that between whites and minorities. Differences in access persist, especially in terms of adults who have high-speed broadband at home, but they have become significantly less prominent over the years -- and have disappeared entirely when other demographic factors (including language proficiency) are controlled for."

Having broadband access at home is one of the best ways to get the most benefits (or at least the most use) from the web -- and Pew found that right now 40% of U.S. adults don't have broadband at home.

In fact, after U.S. home broadband penetration peaked in May 2010 to cover 66% of U.S. adults, in the past year there's been a slight decline. As of August 2011, only 62% of U.S. adults had broadband at home -- a 4% drop.

The people who lack home broadband access are -- not surprisingly -- from the same demographics as people who don't go online at all: mostly older, with lower educational attainment and income, or living with a disability.

The racial aspect of the home broadband gap has narrowed, but not vanished. According to Pew: "By 2010, while national home broadband adoption had slowed, growth in broadband adoption among African Americans jumped well above the national average, with 22% broadband adoption growth since the previous year.

Even with these gains, however, minorities are still less likely than whites to have home broadband overall. And foreign-born and Spanish-dominant Latinos trail not only whites but also native and English-speaking Latinos."

Mobile devices are making a dent in the U.S. digital divide.

"Groups that have traditionally been on the other side of the digital divide in basic internet access are now using wireless connections to go online," said the report. "Among smartphone owners, young adults, minorities, those with no college experience, and those with lower household income levels are more likely than other groups to say that their phone is their main source of Internet access."

Many of these "cell mostly" users have other ways to get online, such as a desktop or laptop computer. However, a third of these people don't have home broadband -- and their smartphone is the main way they access the internet.

Mobile devices also tend to make people more avid Internet users.

"Once someone has a wireless device, she becomes much more active in how she uses the internet -- not just with wireless connectivity, but also with wired devices," said Pew. "The same holds true for the impact of wireless connections and people's interest in using the internet to connect with others.

These mobile users go online not just to find information but to share what they find and even create new content much more than they did before."

@highlight

Almost 48% say they don't go online because they don't think the Internet is relevant to them

@highlight

Nearly 60% of U.S. adults who never completed high school don't use the internet

@highlight

Having broadband Internet access is the best way to get the most use out of the web

@highlight

A common reason why people shy away is they think it's a waste of time