(CNN) -- A young boy in a photograph holds a cigarette while sitting cross-legged on a dirt road. We don't know his name, but it's clear by his face his life is full of pain and struggle.

In another picture, a mother sits on a rock clutching a barefoot child. Their faces offer a stark contrast: She looks away, concerned and distraught while he stares at the camera with an inquisitive gaze, trying to make sense of it all.

A third dramatic image is striking. With laser-like focus, a boy who looks to be about 6 wearing a bright red sweater shoots the photographer a hardened look. It's the face of someone older than his years.

These photographs -- depicting the lives of Mideast street children -- were taken by children.

It's part of a unique project dubbed Capturing Neverland. Founder Sara Khazem has learned that these young photographers' own lives are not that different from the children they photograph.

A photographer herself, Khazem launched Capturing Neverland in Lebanon when she was just 22 years old, fueled by her passion for photography and her inspiration to help underprivileged children.

While growing up in Beirut, she would see street children cleaning the windshield of her parents' car and would wonder, "Why am I so different from them?" Eventually that question spurred her desire to help street children by teaching them a skill: photography.

"I realized I can give them a camera and hopefully that will impact their lives -- just like the way camera has impacted my life when I received a camera from my mentor," Khazem, now 26, told CNN via Skype.

"Being young has really helped me get through to the kids, they feel that we are close in age and that makes them a lot more comfortable with me, which ultimately gets them more responsive in the workshop."

In a nutshell, Khazem's 10-day workshop teaches photography skills to underprivileged street children and orphans. The project offers an escape from their stressful concerns of street survival and a rare opportunity to develop their artistic talents.

For many of these children, this is their first time even holding a camera.

One of the program's teaching exercises involves taking at least 100 photos of a single object. This forces the young students to think about different perspectives and varied styles of shots. And it pushes them to see the subjects of their photos more creatively.

 "I gave one a guitar once," Khazem said. "I gave one a cross. I gave one an egg .... they broke the eggs." They are -- after all -- still kids.

Khazem decided to conduct her first workshop in Egypt where, according to a report from the International Organization for Migration in Cairo, there are an estimated 2 million children living on the streets. Several are subjected to begging, human trafficking and drug abuse before even reaching age 14.

Worldwide, exact statistics are difficult to come by, but the United Nations has estimated the number of street children in the tens of millions -- perhaps around 100 million.

The children of Capturing Neverland range from eight to 16 years old. Most of them, Khazem said, have been found either living in shelters run by non-governmental organizations or on the streets.

Many have been abandoned by their parents, and some don't even know who their parents are.

Some were born into their lives on the streets, and have never had a place to call home.

"I dealt with a couple of kids that were actually second generation off the street and that was really different," Khazem said.

At the conclusion of the workshop, a gallery of the children's work is set up to display their once-hidden talents. The experience of having their images seen and appreciated by the public is entirely new for these young artists.

"I love being a photographer who can show the world what I see," wrote one of the children. "They might not listen to me, but they can see like me when they look at my photos."

The conclusion of the workshop doesn't necessarily mean the children will end their exploration of photography. They return to their shelters and caregivers with their shiny new cameras in hand to continue learning about their craft.

In a few cases, the program has paved the way to future employment. Some of Khazem's former students are now getting jobs working as freelance photographers. Another was shortlisted in a photography competition for children hosted by National Geographic.

Related: Help for Syria's children

The program is ongoing. Last March Khazem conducted her sixth workshop -- this time in Marrakesh, Morocco -- working with another nongovernmental organization like her own that helps underprivileged children.

Thirteen children participated in that two-week project. Several discovered a new outlet for their creativity.

"They learned the importance of photography, not just as an art but as a tool to self-expression," Khazem said. "They have also gained self-confidence as the gallery provides a space for them to be acknowledged by the audience for their artistic talent."

That's evident from what some of the children said after finishing the program. "I learned that saying what I think or feel is a good thing -- not bad thing," one child wrote in an e-mail. "I also learned that I can tell a story with one picture. I cannot write very well, but I can now take photos and tell stories."

The civil war in Syria has pushed countless refugee children into neighboring Lebanon, Turkey and Jordan. If you'd like to help, contact War Child UK, Save the Children or other support groups listed at CNN's Impact Your World.

@highlight

Sara Khazem runs unique child photography workshops in Lebanon, Egypt and Morocco

@highlight

Her students gain skills by creating stunning, dramatic images of life on the street

@highlight

The program aims to help some of the millions of homeless children in the Mideast

@highlight

Many street children become beggars or victims of human trafficking and drug abuse