The most senior Syrian diplomat to defect and publicly embrace his country's uprising is calling for a foreign military intervention to topple President Bashar al-Assad.  He also accused the Damascus regime of collaborating with al Qaeda militants against opponents both in Syria and in neighboring Iraq.

"I support military intervention because I know the nature of this regime," Nawaf al-Fares told CNN. "This regime will only go by force."

Until a few days ago, Fares was Syria's top man in Baghdad.

His defection marks a shocking about-face for an official who occupied a critically important post. Until Fares was sent to Iraq in 2008, Syria had no ambassador stationed in Baghdad for more than 20 years.

"I was at the top of the Syrian regime," Fares said in his first interview with a U.S.-based TV network since his defection. "But what happened in the last year during the holy revolution, all of the killing, the massacres, the refugees, and the declaration of war by Bashar al-Assad against the Syrian people, stopped any kind of hope for reform or real change, which had been promised previously by Bashar al-Assad.

"I tried during the last year and a half to convince the regime to change its treatment of the people," Fares added. "But I wasn't successful, so I decided to join the people."

Opposition calls on Obama to act now

Damascus confirmed news of Fares' defection in a short article published by Syria's state news agency SANA, which announced that the ambassador had effectively been fired for leaving the Syrian Embassy in Baghdad without official authorization.

Prior to his diplomatic assignment in Iraq, Fares served as a provincial governor in different parts of Syria for a decade. He was also a regional boss in Syria's ruling Baath Party.

Photographs on Syrian government websites as well as from Fares' personal collection show that on more than one occasion, this native of the eastern city of Deir Ezzor reported directly to the Syrian president.

In an interview that lasted for nearly two hours in the gilded halls of a luxury hotel in the Qatari capital, Fares laid the blame for large-scale allegations of human rights abuses in Syria squarely at the feet of the country's president.

"The regime in Syria is a totalitarian regime and a dictatorship. There is only one person who gives the orders: one person who is the president," Fares said.

Iran offers to host talks

Syria's state news agency has maintained that "armed terrorist groups" are behind the violence, which the United Nations estimates has killed more than 10,000 people since March 2011. CNN cannot independently verify reports from Syria, including Fares' allegations, because the nation has restricted access by international journalists.

Syrian opposition leaders applauded the very public departure of such a high-ranking Syrian official because it clearly embarrasses and weakens the Damascus regime.

But they appeared reluctant to invite one of al-Assad's trusted lieutenants into the ranks of the opposition movement.

"We don't reject him because we want everyone to quit the ship," said former Syrian National Council chairman Burhan Ghalioun, who spoke to CNN in the lobby of the same Doha hotel where Fares was staying under Qatari protection.

Ghalioun insisted he did not know the former Syrian ambassador was sharing the same quarters.

"But we cannot put him in a political position (in the opposition) ... no one will accept Tlas or Fares at the head of the movement," Ghalioun added.

The activist was referring to Gen. Manaf Tlas.

Like Fares, Tlas is a Sunni Muslim who once held a high rank in an Alawite-dominated regime. He abandoned the Syrian government and fled into exile just days before Fares' departure.

"I know General Tlas. ... There is friendship between us," said Fares.  "But there has been no coordination between me and him in terms of defecting."

Throughout the interview, Fares played down growing sectarian divisions between the ruling Alawite minority and the Sunni majority, who make up much of the current uprising.

He also rejected the Syrian government's common claim that the rebellion is being led by militants from al Qaeda.

Instead, he accused Damascus of cooperating closely with al Qaeda militants, ever since the U.S. invasion of neighboring Iraq in 2003.

"The Syrian regime felt threatened and felt that it, too, might fall," Fares recalled. "So they had an agreement with al Qaeda to keep the road open to Iraq.  The militants started coming from all over the world through Syria, under the eyes of the Syrian secret police, which are directly responsible for the killing of thousands of Iraqis in Iraq as well as Americans and coalition forces.

"The secret police were encouraging enthusiastic young people in Syria to go for jihad in Iraq and join al Qaeda," Fares continued. "Bashar al-Assad and his security forces are directly responsible for the killing of thousands and thousands of Iraqis and coalition forces, because he gave al Qaeda everything it needed. He trained and provided shelter and he built safe havens for them to hide in."

One of these "safe havens," Fares said, was the Syrian border village of al Sukariya, near the border city of Abu Kamal.

In response to the accusations, a senior U.S. administration official said that Fares' claims about the Syrian government 's cooperation with al Qaeda during the war in Iraq are "broadly consistent with our understanding."

"Since 2003, al-Assad allowed al Qaeda and associates to facilitate weapons, money and fighters to al Qaeda's Iraq-based affiliate, setting the conditions for those same elements to shift from Syria-based facilitation to active attacks -- this time focused against the al-Assad regime," the official said.

"This emerging al Qaeda operational presence in country bolsters our own argument that the sooner al-Assad leaves, the better," said the official, noting that that the current al Qaeda-linked effort in Syria is small and not representative of either the opposition or the broader population.

In October of 2008, the U.S. government claimed responsibility for a controversial cross-border raid into Syria near Abu Kamal. U.S. officials later told CNN that special forces soldiers and helicopter gunships targeted an Iraqi man named Abu Ghadiya, who they called "the top facilitator of al Qaeda foreign fighters into Iraq."

At the time, the Syrian government angrily protested the violation of its airspace and what it said was the killing of eight civilians.

Four years later, however, Fares claimed the American forces had in fact struck an al Qaeda training camp run by one of al-Assad's close relatives by marriage.

"This was a hiding place for al-Qaeda on the border with Iraq, and it was under the control of Assif Shawkat, the brother-in-law of the president," Fares said.

"One hour after the raid, Assif Shawkat was there at the location. A conversation took place between me and him ... and he was angry about the attack made against al Sukariya and he was kind of scared," Fares recalled.

Claims like this, which CNN cannot independently confirm, will likely make the former Syrian ambassador a much sought-after asset for Western intelligence agencies, as well as for the Qatari government. Doha has publicly lobbied for arming Syrian rebels against the al-Assad regime.

Fares went on to repeat a long-stated Syrian opposition accusation: that the Syrian government is staging al Qaeda-style attacks in Syria as a fear-mongering tactic.

The former ambassador was reluctant to explain the details of how he escaped from Baghdad to Doha. He said he timed his departure with the escape of his wife and grown children from Syria.

But he had a message to the Syrian president and his former colleagues in the government.

"My former colleagues, I ask them to join the people and leave this corrupt regime. There is still time," Fares said. "To Bashar al-Assad, I say you don't know history.  Two wills cannot be defeated: the will of God and the will of the people. ... History will curse you for the crimes you committed in Syria."

@highlight

A U.S. official says defector's claims about al Qaeda cooperation are "consistent"

@highlight

Nawaf al-Fares, former Syrian ambassador to Iraq, is the highest-ranking diplomatic defector

@highlight

"I tried to convince the regime ... to change its treatment of the people," he says

@highlight

Syria denies accusations of massacres and attacking civilians