Editor's note: Peter Bergen, CNN's national security analyst, is a fellow at the New America Foundation, a Washington-based think tank that promotes innovative thought from across the ideological spectrum, and at New York University's Center on Law and Security. He's the author of "The Osama bin Laden I Know: An Oral History of al Qaeda's Leader." This commentary is adapted from a longer article

Peter Bergen says the evidence is that coercive interrogations likely did more harm than good.

(CNN) -- Former Vice President Dick Cheney said in an interview Friday that just-released CIA documents demonstrate the effectiveness of coercive interrogation techniques.

"My sort of overwhelming view is that the enhanced interrogation techniques were absolutely essential in saving American lives and preventing attacks on the Unites States," Cheney told FOX News Sunday. "I think they were directly responsible for the fact that for eight years we had no further direct attacks on the United States."

So what do the newly-released CIA documents show, in combination with the other records on the matter already in the public domain?

The first al Qaeda member to be subjected to "enhanced interrogation techniques" was Abu Zubaydah, a Palestinian al Qaeda logistician in his early 30s. Zubaydah was captured in March 2002 in a shoot-out in Faisalabad, Pakistan.

He was the subject of intense interest from American officials as they believed he was the first al Qaeda insider whom they could interrogate who might know the form of the next terror attack. And so Zubaydah was the first prisoner to be placed in a secret overseas CIA prison, this one located in Thailand.

There he was interrogated by Ali Soufan, one of the FBI's few Arabic-speaking agents. Zubaydah described Khalid Sheikh Mohammed, al Qaeda's operational commander, as the mastermind of 9/11, and he confirmed that Mohammed's alias was "Mukhtar," an important clue in helping to track him down.

Abu Zubaydah's confirmation of Mohammed's role in the attacks on Washington and New York was arguably the single most important piece of information uncovered about al Qaeda after 9/11 and it was discovered during the course of a standard interrogation without recourse to any form of coercion. Soufan told Newsweek that "we were able to get the information about Khalid Sheik Mohammed in two days."

Later, over Soufan's vociferous objections, a CIA contractor stepped in to take over Abu Zubaydah's interrogations. The FBI's standard, non-coercive techniques were jettisoned and Abu Zubaydah was stripped naked, deprived of sleep, subjected to loud noise and wide variations in temperature and he was later "waterboarded" 83 times.

Following his arrest in Pakistan in March 2003, Mohammed was also subjected to intensive coercive measures. He was taken to a secret CIA prison in northern Poland where he initially proved resistant to interrogation. In the words of the 2004 CIA's inspector general report on detainees that was also released this week, Mohammed was an accomplished resister, provided only a few intelligence reports prior to the use of the waterboard, and analysis of that information revealed that much of it was outdated, inaccurate or incomplete."

Following his defiance, Mohammed was subjected to a number of coercive interrogation techniques including being waterboarded 183 times. But did Mohammed's coerced interrogations really lead to any substantive plots against the American homeland being averted? The short answer is no.

A document the government released in 2006 around the time Mohammed was transferred from his secret CIA prison to the prison camp at Guantanamo offered details on the plots he had hatched against the United States:

"KSM [Khalid Sheikh Mohammed] launched several plots targeting the U.S. Homeland, including a plot in late 2001 to have ... suicide operatives hijack a plane over the Pacific and crash it into a skyscraper on the U.S. West Coast; a plan in early 2002 to send al-Qaeda operatives to conduct attacks in the U.S.; and a plot in early 2003 to employ a network of Pakistanis ... to smuggle explosives into New York and to target gas stations, railroad tracks and a bridge in New York."

The newly-released CIA documents merely rehash the range of anti-American plots cooked up by Mohammed that the government already made public three years ago. And while this "second wave" of attacks all sounded very frightening, there is no indication that these plots were ever more than just talk.

The chances of success, for instance, of al Qaeda's plan to attack the skyscraper on the West Coast -- since identified as the 73-story U.S. Bank Tower in Los Angeles -- were described by Mohammed in one court document to be "dismal."

Of the terrorists, alleged and otherwise, cited by the CIA inspector general that Mohammed fingered during his coercive interrogations, only Ohio truck driver Lyman Faris was an actual al Qaeda foot soldier living in the United States who had the serious intention to wreak havoc in America. However, he was not much of a competent terrorist: In 2002 he researched the feasibility of bringing down the Brooklyn Bridge by using a blowtorch, an enterprise akin to demolishing the Empire State Building with a firecracker.

If that was the most threatening plot the United States could discover by waterboarding the most senior al Qaeda member in American custody, it was thin stuff indeed. And when the English journalist David Rose asked FBI director Robert Mueller last year if he was aware of any attacks on America that had been disrupted thanks to intelligence obtained through "enhanced techniques," Mueller replied: "I don't believe that has been the case."

Historians will likely judge the putative intelligence gains made by abusive interrogation techniques were easily outweighed by the damage they caused to the United States' moral standing.

That is certainly the view of Adm. Dennis Blair, the director of national intelligence, who wrote in April 2009, "These techniques hurt our image around the world, the damage they have done to our interests far outweighed whatever benefits they gave us and they are not essential to our national security." Quite.

The opinions expressed in this commentary are solely those of Peter Bergen.

@highlight

Bergen: Dick Cheney says coercive interrogations saved lives and stopped attacks

@highlight

Bergen says evidence shows the most valuable information came without coercion

@highlight

He says information gained through coercion was of dubious value

@highlight

Bergen: History will show coercive techniques did more harm than good