Peosta, Iowa (CNN) -- President Barack Obama placed the blame for Washington's current political paralysis squarely at the feet of his Republican opponents Tuesday, telling CNN that the GOP's "ideological rigidity" is standing in the way of compromises necessary for stronger economic growth.

In a wide-ranging interview with Wolf Blitzer, the president said the inability of GOP leaders in Congress to support a recent $4 trillion deficit reduction deal focused more heavily on spending cuts than revenue increases is evidence of a party placing political considerations before national interests.

Americans want to see "Democrats and Republicans putting country before party," he said. "The fact that Speaker (John) Boehner and folks in his caucus couldn't say yes to that (deficit deal) tells me that they're more interested in the politics ... than they are in solving the problem."

Obama's interview on the campus of Northeast Iowa Community College was conducted in the midst of a three-day presidential swing through the politically pivotal Midwest, a region believed to be critical in determining the outcome of the 2012 campaign. The discussion touched on a host of domestic and international topics, though the president noted the importance of the fragile economy heading into next year's election.

"Ultimately, the buck stops with me. I'm going to be accountable," Obama said. But the president was quick to emphasize the "mess" he inherited from former President George W. Bush in 2009. He also stressed the economic drag created by state and local government layoffs, as well as "headwinds" from Europe's debt crisis, a tsunami-ravaged Japan and higher gas prices resulting from the Arab Spring.

"We've made progress since the start of this recession back in 2008. (But) it hasn't been fast enough. We've got to accelerate it," Obama said.

The president stressed that he is "going to need a partner" in Congress -- now partially controlled by the Republicans -- in order to pass legislation needed to strengthen the economy in the short term.

Obama renewed his call for an extension of payroll tax cuts as well as some business tax breaks. He also urged Congress to pass stalled trade deals with Panama, South Korea and Colombia.

He noted his intention to unveil new job growth legislation for senators and representatives to consider once they return from their summer recess after Labor Day.

"I'm going to make my best case for where we need to go" as a country and make "one more run at Congress," he said.

The president was largely dismissive of the Republican presidential field, claiming he was not thinking about it too much at the moment.

"I'll let (the Republicans) winnow it down a little bit," he said. But once the GOP chooses a presidential standard-bearer for 2012, "I'll be ready for them," the president promised.

Asked to respond to Texas Gov. Rick Perry's assertion that members of the armed services would prefer a commander in chief who has served in the military, Obama said presidential candidates have "got to be a little more careful" about what they say. But as Perry had just entered the race over the weekend, Obama said, he will "cut (Perry) some slack" for the moment.

Regarding former Massachusetts Gov. Mitt Romney's remarks that "corporations are people," Obama conceded that corporations play a critical role in the generation of wealth. He stressed his disagreement with some conservatives, however, over the closure of tax loopholes benefiting certain major corporations.

"If you tell me that corporations are vital to American life, that the free-enterprise system has been the greatest wealth creator we've ever seen ... that I absolutely agree with," Obama said. But "if, on the other hand, you tell me that every corporate tax break that's out there is somehow good for ordinary Americans ... then that I disagree with."

Romney and Perry are considered by most political analysts to be leading contenders for the Republican presidential nomination.

The president also dismissed growing Republican calls for a balanced budget amendment to the Constitution, arguing that such a dramatic change shouldn't be necessary to put America's fiscal house in order.

"We don't need to amend our Constitution in order to do that," Obama said. "Why can't Congress simply make good choices?"

The president stressed that the federal government often needs to run deficits in cases of war or recession, partly in order to help state and local governments that are now required to keep their budgets in balance.

While admitting that politically popular entitlement programs such as Medicare are contributing to Washington's spiraling deficits, Obama refused to offer details about what he is willing to do to help control medical costs. He stressed the need to lower health care costs as a whole, as opposed to going along with GOP attempts to "voucherize" Medicare and leave more responsibility for health expenses in the hands of vulnerable seniors.

Turning his attention to national security, the president said federal officials are remaining vigilant as the country approaches the 10th anniversary of the September 11 terrorist attacks.

"The risk is always there," he said in response to a question about the prospect of an attack launched as revenge for the killing of al Qaeda leader Osama bin Laden.

Obama said the greatest threat at the moment is a potential "lone wolf" terror attack from a single individual, similar to what recently occurred in Norway. But "as president of the United States, I worry about all of it," he said.

Shortly before his sit-down interview with CNN, Obama talked about the best and worst parts of being president -- a position he called the "greatest job on Earth."

He said the best part is hearing from regular people about how policies he has put in place have improved their lives. The worst part, Obama said, is when he talks to a family member of a fallen soldier.

"You're reminded of the incredible sacrifices that people are making for our country. And then when you see sometimes our politics not living up to that level of commitment and patriotism that we see from our troops, that gets a little bit frustrating," he said.

The president wrapped up his regular interview by noting that if he is re-elected in 2012, his gift to daughters Sasha and Malia will be "a continuation of Secret Service so that when boys want to start dating them, they are going to be surrounded by men with guns."

When he was elected in 2008, Obama told his daughters he would get them a puppy -- a promise that was eventually fulfilled.

CNN's Alan Silverleib contributed to this report.

@highlight

President Obama says greatest terror threat now comes from possible "lone wolf" attack

@highlight

Obama says he will be "accountable" for economy but blasts GOP cost-control plans

@highlight

Obama tells Wolf Blitzer he's not thinking much about possible GOP opponents

@highlight

Obama says he'll cut Perry slack over claim that military members want veteran in office