(CNN) -- Undisturbed tropical forests are absorbing nearly one-fifth of the CO2 released by burning fossil fuels, a new study has found.

Trees in undisturbed tropical forests are soaking up more CO2 than people realized.

The scientific report published in "Nature" magazine suggests that the world's remaining tropical forests remove 4.8 billion tons of CO2 emissions from the atmosphere each year. This includes a previously unknown carbon sink in Africa, which annually absorbs 1.2 billion tons of CO2.

The study was based on taken data on African tropical forests from the past 40 years and has shown that for at least the past few decades each hectare of intact African forest has trapped an extra 0.6 tonnes of carbon per year.

The scientists then analyzed the new African data together with South American and Asian findings to assess the total sink in tropical forests.

Analysis of these 250,000 tree records reveals that, on average, remaining undisturbed forests are trapping carbon, showing that they are a globally significant carbon sink.

"We are receiving a free subsidy from nature," said Dr. Simon Lewis from the University of Leeds, and the lead author of the paper, in a press statement.

"Tropical forest trees are absorbing about 18 percent of the CO2 added to the atmosphere each year from burning fossil fuels, substantially buffering the rate of climate change."

The study also found that trees of comparable age are gaining girth, though the reasons are unclear. For example, a 20-year-old tree is on average bigger than a 20-year-old tree measured a decade ago. A leading suspect is the extra CO2 in the atmosphere, which may act as a fertilizer..

However, Lewis warns, "Whatever the cause, we cannot rely on this sink forever. Even if we preserve all remaining tropical forest, these trees will not continue getting bigger indefinitely."

The Intergovernmental Panel on Climate Change reports that each year human activity emits 32 billion tons of CO2, but only 15 billion tons actually remain in the atmosphere adding to climate change.

The new research suggests just where some of the "missing" 17 billion tons per year is going.

"It's well known that about half of the 'missing' carbon is being dissolved in to the oceans, and that the other half is going somewhere on land in vegetation and soils, but we were not sure precisely where. According to our study about half the total carbon 'land sink' is in tropical forest trees," Lewis said.

The protection of tropical forests is likely to become a key theme at the U.N. Climate Change Conference in November in Copenhagen, Denmark.

Co-author on the study, Dr. Lee White, Gabon's chief climate change scientist said, "To get an idea of the value of the sink, the removal of nearly 5 billion tons of carbon dioxide from the atmosphere by intact tropical forests, based on realistic prices for a ton of carbon, should be valued at around £13 billion ($18.5 billion) per year. This is a compelling argument for conserving tropical forests."

Dr. Lewis added, "Predominantly rich polluting countries should be transferring substantial resources to countries with tropical forests to reduce deforestation rates and promote alternative development pathways."

@highlight

Nearly 5 billion tonnes of carbon absorbed by undisturbed tropical forests

@highlight

Study found that trees in forests are getting bigger

@highlight

New carbon sink discovered in Africa that mops up 1.2 billion tons of CO2

@highlight

IPCC says each year humans emit 32 billions tons of CO2