Tripoli, Libya (CNN) -- Hundreds of Islamist militants were among the prisoners freed from a notorious Tripoli prison this week, according to a former Libyan jihadist.

The freed militants had been imprisoned in Tripoli's Abu Salim prison by Moammar Gadhafi's regime during the height of the insurgency in Iraq, according to Noman Benotman, once a senior figure in the Libyan Islamic Fighting Group. Benotman said he believes as many as 600 militants may have been among the prison population at Abu Salim.

It's not known how many prisoners were held in the vast facility. Human Rights Watch said Gadhafi's prisons "have been filled to the limit in the last few months with thousands of people who were arrested for taking part in the anti-Gadhafi protests, or because of their suspected support for Libya's democratic opposition."

The human rights group, which recently had a team visit the prison, estimates that before the uprising, there were a few hundred Islamists held at Abu Salim.

Benotman said many of the militants released are pro-al Qaeda.

"Nobody knows what these released prisoners are going to do next," he said. "Will they take part in the fighting and if they do will they join pre-existing rebel brigades or form a separate fighting force?"

Benotman, now a senior analyst at the Quilliam Foundation in London, said the freed prisoners are Salafists, embracing a puritanical interpretation of Islam that has gained ground in Libya in recent years.

Gadhafi's regime imprisoned thousands of suspected pro-al Qaeda militants after the 2003 U.S. invasion of Iraq stoked radicalization in Libya, especially in its impoverished eastern provinces. According to Benotman, those rounded up by the regime included militants who had tried to travel to Iraq and some who had returned from fighting against U.S. forces there. He said many of them had already been released by the Gadhafi regime.

Internal al Qaeda in Iraq records seized by the U.S. military in 2007 indicated that proportionately more Libyans traveled to fight with al Qaeda in Iraq than from any other Arab country. Some saw fighting in Iraq as a "a last act of defiance against the Gadhafi regime," according to a confidential 2008 State Department cable made public by the website WikiLeaks, because of the rapprochement at the time between Gadhafi and the United States.

Wednesday's prison release, which occurred as rebel forces took control of the Abu Salim area of Tripoli, comes as Islamists are taking on an increasingly prominent role in the fight against the Gadhafi regime -- to the concern of some in the West.

Former members of the Libyan Islamic Fighting Group (LIFG) have assumed leadership positions in several rebel brigades, according to Benotman. Their current prominence, he said, was due to their quick mobilization -- as armed opposition replaced peaceful protests in Libya -- and their valued military skills.

The former leader of the LIFG, Abdullah al Sadeeq, now commands one of the most powerful rebel brigades in Tripoli, according to Benotman and, according to reports, took charge of successful rebel efforts earlier this week to storm Gadhafi's Bab al-Aziziya compound, further bolstering his prominent position in rebel ranks.

Sadeeq was a well-known figure in the jihadist movement. He fought the Soviet-backed government in Afghanistan and helped found the Libyan Islamic Fighting Group there. In the mid-1990s the LIFG conducted a deadly campaign of attacks on Libyan security services, before a crackdown largely constrained the group's ability to operate inside the country.  After the fall of the Taliban, Sadeeq fled Afghanistan to Iran and was eventually arrested in Hong Kong in 2004. According to Benotman, he was then held and interrogated by the CIA before being transferred to Libya where he was held in Abu Salim prison until his release in March 2010.

But Sadeeq has now become a powerful voice against al Qaeda's terrorism, according to Benotman, who says that Sadeeq always resisted requests by Osama bin Laden for his Libyan group to join forces with al Qaeda.

In 2009, Sadeeq and other senior LIFG leaders formally repudiated al Qaeda style terrorism and disbanded their campaign to overthrow the Libyan regime. The breakthrough was the result of a two-year dialogue with the regime brokered by Benotman. CNN interviewed leading figures of the LIFG in Abu Salim prison in Tripoli in September 2009, shortly before the group's leaders were released. Although they were then behind prison bars, the leaders' disavowal of violence appeared genuine.

Benotman says that former LIFG members who have again taken up arms have fused their efforts with rebel forces and do not operate as a separate armed group. Instead they have created a new political organization called the Islamic Movement for Change, which Benotman says is committed to working within a future democratic process.

He says other Islamist units are operating in Libya but does not know of any former members of his group who are fighting with them.

Benotman says that it will be important for the National Transitional Council to keep a close watch over the militants released from Abu Salim jail -- especially if they begin operating as a group outside the NTC chain of command.  According to Benotman, the presence of former LIFG leaders in rebel ranks like Abdullah Sadeeq may help prevent this happening.

LIFG members and the younger generation of Salafi jihadists were often incarcerated in the same wing of Abu Salim prison. Benotman believes the presence of former LIFG commanders in rebel front lines will enhance their credibility amongst the released prisoners.

But he says some among the younger generation of jihadists have already begun operating outside the orbit of the NTC.  In the east, where radicalization has historically run highest, young Salafi jihadists have linked up with foreign militants and may even have started their own training camps to train volunteers to fight the Gadhafi regime, according to Benotman. A number of jihadists, he says, have entered Libya from other Arab countries.  In June, the NTC detained two suspected Jordanian jihadists in al-Brega in eastern Libya and expelled them, according to Benotman.

Neighboring Algeria, which waged a long battle against Islamist insurgents in the 1990s, has already expressed concern about the instability in Libya being exploited by al Qaeda in the Islamic Maghreb and other jihadist groups. Algerian officials are also concerned that weapons such as ground-to-air missiles may have fallen into militant hands, a worry that has also been expressed by U.S. commanders.

@highlight

"This is potentially a very dangerous development," a former Libyan jihadist tells CNN

@highlight

Moammar Gadhafi's regime imprisoned thousands of suspected pro-al Qaeda militants

@highlight

The former jihadist says the prisoners embrace a puritanical interpretation of Islam