LOS ANGELES, California (CNN) -- For 65 years, Elisabeth Mann has carried with her the pain only a Holocaust survivor can know.

Elisabeth Mann, the only member of her family to survive the Holocaust, sits with her children, Nancy and Thomas.

The only one in her Hungarian Jewish family to make it out of the Nazi death camps, life for a long time felt like punishment.

Branded in her mind are the images of, for example, a pile of babies set ablaze, snarling dogs and the laughter of an SS officer pointing to the black smoke of incinerated bodies that filled the sky. And on her heavy heart is the anguish, including the blame she feels for her brother Laci's death.

He was 13 and not feeling well when the family arrived by cattle car at Auschwitz-Birkenau.  Watch Mann describe the brutal trip to the camp »

"I told him to go with my mother because mothers are the people who take care of sick children," she cried, while sitting in her Los Angeles, California, home.

"I didn't know that with my advice I killed my brother because all the mothers and all the children were taken to the gas chamber right away."

Given the horrors she's lived and witnessed, one might think Mann, now in her 80s, would be among those demanding that Nazi war criminals be brought to justice. And yet she's uncomfortable with the ongoing attempts to deport to Germany for trial John Demjanjuk, an 89-year-old Cleveland, Ohio, man allegedly linked to mass killings at Sobibor, a death camp in Poland.

Demjanjuk insists it wasn't him. The pursuit of him -- and of suspects like him -- isn't one Mann supports.

She said she never wanted revenge, because "I did not want to be like them."

Mann doesn't think going after war criminals now is worth the cost and energy, nor does she think the legal process will make a difference to such men who've already lived a full life.  Watch Mann explain why money is wasted in the hunt »

"What is punishment for a person who is capable to do such horror, such horrible things to living people?" Mann, an artist, wondered aloud. "I cannot imagine that that person has a soul or conscience or heart. ... He simply wouldn't feel it. ... What kind of punishment could you give to a person like that?"

Her argument doesn't work for Efraim Zuroff, who has spent nearly 30 years hunting Nazis responsible for the Holocaust, a systematic effort that wiped out 6 million Jews, or two-thirds of European Jewry.

"It has to be clear to everybody that the Holocaust was not a natural disaster. ... It was created by man, against man," he said from Jerusalem, Israel, where he coordinates Nazi war crimes research for the Simon Wiesenthal Center, a Jewish human rights organization. "When responsibility can be determined, people have to be held accountable."

On Monday, the day before Holocaust Remembrance Day, the center released its latest status report on Nazi war criminal investigations and prosecutions. Demjanjuk tops the list of the 10 most wanted.

Others on the list include Sandor Kepiro, a former Hungarian officer who allegedly helped kill 1,200 people in Novi Sad, Serbia, as well as Milivoj Asner, a onetime Croatian police chief, now believed to be living in Austria, who allegedly persecuted and deported to the Nazi camps hundreds of Jews, Serbs and Gypsies.

In a written statement about the report, Zuroff said that since the start of 2001, there have been 76 convictions, at least 48 indictments, and hundreds of investigations have been launched.

Central to these actions has been a project Zuroff has helped oversee called Operation: Last Chance, a push -- started in 2002 -- to support worldwide government efforts to pursue aging Nazi war crime suspects.

While some countries have stepped up, including the U.S., Germany, Serbia and Spain, others, such as Australia, Austria and Ukraine, have shown a "lack of political will" and have failed to act, the statement says.

"The easiest thing in the world is to just forget," Zuroff, 60, said by phone. "The passage of time in no way diminishes the guilt of the murderers. ... We don't think people deserve a prize for reaching an old age."

Mann's own children couldn't agree more. Like Zuroff, they think pursuing Nazi war criminals is the least that can be done to honor victims.

"I'm definitely in favor of going after these folks, regardless of their age," said Mann's daughter, Nancy. "A lot of people suffered, and are still suffering, because of the crimes that were done in the past."  Watch daughter explain that 'murder is murder' »

Thomas, Mann's son, said that going after Nazi war criminals "sends a message to our society and the world that it's not OK to do these things," and that it helps bring awareness "to people who don't know about the Holocaust, and there are lots of them."  Watch son on why punishment falls short »

He told the story of a college freshman in Southern California who stood up during a presentation his mother was giving and said she'd never heard of the Holocaust.

"That really brings it home," Thomas said. By pursuing suspected Nazi criminals, the process "reminds people that this did happen" and shows that "people do care that this happened."

@highlight

A Holocaust survivor isn't convinced Nazi hunting is worth it

@highlight

Her children, and a decades-long Nazi hunter, say justice must be served

@highlight

Meantime, the deportation case of alleged Nazi criminal, John Demjanjuk, continues

@highlight

Tuesday marks Holocaust Remembrance Day