(CNN) -- Americans are in a war that pits the politically correct against Christmas carolers, some say. They say it's a battle that plays out in the halls of Congress, retail stores and public schools across the country, and it's one that's been raging for years.

Republican Rep. Henry Brown of South Carolina introduced a resolution this month asking that the House express support for the use of Christmas symbols and traditions and frown on any attempt to ban references to the holiday.

"Each year, I could see a diminishing value of the spiritual part of Christmas," Brown said. "It would seem like another group would go from the Christmas spirit to the holiday spirit."

"What I'm afraid of -- if we don't bring some kind of closure to this continuous change, then in 20 years it will almost be completely different from what we see today ... and so we would lose the whole emphasis of what the very early beginnings of Christmas was all about."

So far, the resolution has one Democrat and 72 Republicans as co-sponsors. The House hasn't taken it up, but the chamber adopted similar resolutions in the past.

Barry Lynn, an ordained minister and executive director of Americans United for Separation of Church and State, isn't keen on the prospect of congressional action.

"Resolutions like this come up because there is this bizarre view by some members of Congress that there is a war on Christmas and that they have to be the generals in some responding army," he said.

"My advice to the lawmakers would be promote any religion you have through your private acts, and don't try to 'help' the baby Jesus by passing a resolution on his behalf. It is arrogant and ridiculous at the same time," Lynn said.

Christmas is in no danger of being ignored, Lynn said, noting that signs of the holiday emerge as soon as Halloween passes.

"You would literally have to be living in a very deep cave not to understand that there is a religious holiday called Christmas that is soon to come," he said.

In his view, some people feel a "false sense of some kind of attack on Christmas" if a school holds a winter concert instead of a Christmas concert, or if retailers declare "Happy Holidays" instead of "Merry Christmas."

Time.com: Brief history of the war on Christmas

In California, Tea Party activist Merry Hyatt is trying to get support for a ballot initiative that would require that public schools give their students an opportunity to hear Christmas songs. (Parents could opt out for their children).

Lynn said the move violates the principles of church-state separation.

"It's not being anti-Christmas to recognize that most Christmas carols are really hymns, and a hymn is a prayer set to music."

Mathew Staver, law school dean at Liberty University, a Virginia college founded by the late Rev. Jerry Falwell, said, however, that some schools and businesses are going too far to "censor" Christmas because they don't know the laws.

Staver founded the Liberty Counsel, a nonprofit litigation group dedicated to advancing religious freedom and conservative values. The counsel provides free legal advice and defense for government entities to ensure religious viewpoints on Christmas are not censored.

One example Staver cited began in Oregon, where an elementary school principal replaced Christmas trees with snowmen and banned all religious symbols, saying Santa Claus fell into the category.

Liberty Counsel sent the principal a letter telling her the law doesn't require her to "secularize" the holiday. The counsel also pointed out that by banning religious symbols for a holiday with secular components, she risked violating the Constitution by not being "viewpoint neutral," Staver said.

Parents were upset as well. The principal eventually changed course and restored the tree and jolly St. Nick.

Staver keeps a "Naughty & Nice" list that shows which retailers include references to Christmas in their advertising and which do not.

When he started the list five years ago, both sides were about even, but this year the "nice" list is longer.

"It's better this year than it was in 2005, but I think it's better this year because we and others have made a point to make sure that Christmas is not forgotten," he said.

Peter Sprigg, a senior fellow for policy studies with the Family Research Council, which promotes Christian values, said the "pro-Christmas side" has made progress in recent years.

In some circles, he said, "Political correctness is preventing people from even sayings 'Merry Christmas.' "

He said it's important to defend the right of people to celebrate the holiday and noted that December 25 is a federal holiday the government recognizes as Christmas.

"If we want to be concerned about the fact that we are a multicultural nation, then the solution is to allow everyone the freedom to celebrate what they want rather than stifling the celebration of the majority because it might be offensive to the minority," Sprigg said.

In Washington, Republicans have taken up the war on Christmas as their own battle.

"Republicans and conservatives have definitely gained a lot of political points by pointing out some of the silliest and more extreme examples of political correctness," said Tom Smith, director of the General Social Survey at the National Opinion Research Center.

But Republicans also should worry about pushing it too far, he added, because the American people believe in "good liberal thoughts" like "diversity and different people all being treated the same." It's OK to attack political correctness, he said, but the GOP must be careful not to come off as "anti-minority or against diversity."

The attack can backfire as well if voters think their representative is more committed to protecting Christmas than protecting jobs or economic stability, Smith said.

For Staver, the campaign to save Christmas continues, and it's one he will never abandon.

"What happens this year is not necessarily an indication of what will happen next year, so I think each Christmas has to stand on its own and I think each one is worth fighting for," he said.

"I think we are winning a lot of the battles in the war on Christmas, but I don't think the war is done, and I don't think it ever will be."

@highlight

There's a resolution in the House to frown on attempts to ban references to Christmas

@highlight

Others say signs of the holiday are everywhere in public space; "war" over Christmas is not real

@highlight

Some go too far to "censor" Christmas because they don't know the laws, Mathew Staver says

@highlight

Attacking political correctness is a balancing act, survey research expert says