The remains of U.S. Ambassador to Libya J. Christopher Stevens and three other Americans landed on U.S. soil Friday afternoon in flag-draped caskets.

The four men were killed in an attack this week on the U.S. Consulate in Benghazi.

Teams of seven Marines carried the caskets off a C-17 plane at Joint Base Andrews in Maryland in a ceremony attended by a color guard and a chaplain, Army Col. Wesley Smith.

President Barack Obama and Secretary Hillary Clinton gave remarks at the solemn transfer of remains in an airport hangar, where four hearses with rear doors open waited for the caskets. Families of the victims and dignitaries were seated facing the hearses and a lectern.

"There's no doubt these are difficult days," said Obama. But he pledged that "the United States of America will never retreat from the world."

"Four Americans, four patriots, they loved their country and chose to serve it and serve it well," the president continued. "They had a mission and they believed in it, and they knew the danger and they accepted it. They didn't simply embrace the American ideal, they lived it, they embodied it: the courage, the hope and, yes, the idealism.

"We will bring to justice those who took them from us," Obama said.

Clinton said that Libya, Egypt and Tunisia "did not trade the tyranny of a dictator for the tyranny of a mob." Those countries' leaders "need to do everything they can to restore security" in the face of anti-American protests arising from an "awful Internet video," she said.

Clinton said the four victims' lives -- as well as all people who work in the Foreign Service -- "are at the heart of what makes America great and good."

"America must keep leading the world. We owe it to the these four men to continue the long, hard work of diplomacy," Clinton said. "We will wipe our tears and stiffen our spines and face the future undaunted."

Defense Secretary Leon Panetta and Vice President Joe Biden also attended the ceremony.

The other men killed in Libya include Tyrone Woods and Glen Doherty, both former Navy SEAL commandos working as diplomatic security officers. The fourth was Sean Smith, an information management officer who also had an online alter-ego legendary in the gaming world.

Four people have been arrested in connection with the attack that left Stevens and the three other Americans dead, the top aide to the president of the Libyan parliament said Friday.

Those arrested were not directly tied to the attack, Monem Elyasser, the chief aide to Prime Minister Mustafa Abushagur, told CNN by telephone.

Elyasser did not release the identities of the four suspects in custody, nor did he detail the allegations against them.

The announcement came as the United States is struggling to determine whether a militant group planned the attack that killed the four Americans.

Blog: Arrest and violence updates

The head of Libya's ruling General National Congress, Mohammed Al-Megaryef, also confirmed the four arrests but declined to say to what group the suspects are linked.

However, the government now believes the suspects are part of one of the many armed extremist groups operating especially in the eastern part of the country and Benghazi itself, he told CNN.

Authorities also believe the attack was planned and deliberately carried out to inflict maximum damage on key Western interests, particularly the United States, he said.

The government believes the attack was intended to drive a wedge between Americans and Libyans.

Asked what the Libyan government was doing to ensure security, al-Megaryef answered, "We are doing our best to avoid further attacks." But he acknowledged that authorities had little capacity to defend against the powerful extremist groups.

State Department Under Secretary Patrick Kennedy has said that the attack appeared to be planned because it was so extensive and because of the "proliferation" of small and medium weapons at the scene. He was briefing congressional staffers when he offered that theory.

But on Thursday, three U.S. officials told CNN that they had seen no evidence the attack was premeditated.

A team of FBI investigators is expected to be in Libya by Saturday, a source with knowledge of the investigation told CNN. Agents are first conducting interviews outside the country to gather information about the attack, the source said.

Obama vowed Thursday that those responsible for the attack would be brought to justice.

"I want people around the world to hear me. To those that would do us harm -- no act of terror will go unpunished. It will not dim the light of the values that we proudly present to the rest of the world. No act of violence shakes the resolve of the United States of America."

Source: Al Qaeda central not behind Benghazi attack

During an interview on CNNI's "Amanpour," Abushagur said Thursday that there had been one arrest early Thursday in Benghazi and that three or four others were being pursued.

"The evidence itself is based on mostly pictures that were taken around the compound at that time, and also through some witnesses," the prime minister said.

Conflicting theories flew in the hours after the four Americans were killed late Tuesday.

They died amid a protest outside the U.S. Consulate over a film that ridiculed Muslims and depicted the Prophet Mohammed as a child molester, womanizer and ruthless killer.

The demonstration was one of several protests across the region that day.

Protest as diversion

U.S. officials believe the attackers used the protest as a diversion.

Given what officials know about al Qaeda in Libya, intelligence officials believe it is very unlikely that core al Qaeda was behind the attack, a U.S. intelligence official told CNN on condition of anonymity. The official was not authorized to release the information.

Meanwhile, Shawn Turner, director of communications for U.S. National Intelligence, denied news reports that American officials had been warned of a possible attack.

"This is absolutely wrong," he said. "We are not aware of any actionable intelligence indicating that an attack on the U.S. post in Benghazi was planned or imminent."

Slain ambassador warned in '08 about extremists near Benghazi

The United States is deploying warships and surveillance drones in its hunt for the killers of the diplomatic staffers, and a contingent of 50 Marines has arrived to boost the security of Americans in the country.

The United States and Libya have embarked on a new relationship since rebels toppled longtime dictator Moammar Gadhafi last year.

U.S. and NATO warplanes helped the Benghazi-based rebellion against Gadhafi, who was wanted by the International Criminal Court for charges of crimes against humanity before he was killed in October.

The jihadists suspected in Tuesday night's attack "are a very small minority" who are taking advantage of a fledgling democracy, said Ali Suleiman Aujali, the Libyan ambassador to the United States.

Sources tracking militant Islamist groups in eastern Libya say a pro-al Qaeda group responsible for a previous armed assault on the Benghazi consulate is the chief suspect. A senior defense official told CNN the drones will be part of "a stepped-up, more focused search" for a particular insurgent cell that may be behind the killings.

Rights groups have raised concerns about the Libyan legal system, which is in the early days of being rebuilt following the fall of the Gadhafi regime.

"Due process violations against detainees in Libya are the norm," Human Rights Watch said in a June report. "Libyan government officials told Human Rights Watch that very few detainees have been formally charged and that very few of the cases have been reviewed by a judicial authority."

At the same time, the dominance of militia groups, "which in most towns and cities are stronger than the army and police, has complicated the rebuilding of Libya's justice system," the report says.

Amnesty International has similarly warned of serious problems with Libya's legal system. Its researchers also "found that hundreds of armed militias are acting above the law."

Questions swirl around the attack

There are numerous questions about what happened at the consulate where protesters had gathered to demonstrate against the film "Innocence of Muslims," which reportedly was made in California by a filmmaker whose identity is unclear.

Chief among the questions is what happened to Stevens, who went missing during the attack.

What is known is that during the attack, a rocket-propelled grenade set the consulate on fire, and American and Libyan security personnel tried to fight the attackers and the fire.

As the fire spread, three people -- Stevens, Foreign Service information management officer Smith, and a U.S. regional security officer -- were inside a safe room, said senior State Department officials, who spoke on condition of anonymity as a matter of practice during a briefing with reporters.

Smith was later found dead, apparently of smoke inhalation, officials said.

The State Department has not released details about how Stevens died, though numerous media reports have said the ambassador was taken from the consulate to the Benghazi Medical Center by locals.

He arrived at the hospital, according to the reports, unresponsive and covered in soot from the fire.

A doctor was unable to revive him and declared him dead, the reports said.

Stevens' body was turned over to consulate personnel as they were evacuated from Benghazi.

As of Friday night, funeral plans had not been announced for the four Americans.

Have you witnessed the attacks? Share your images but stay safe.

@highlight

"There's no doubt these are difficult days," president says

@highlight

But "the United States of America will never retreat from the world," Obama adds

@highlight

Prime minister says evidence for arrests is based on photos around compound, witnesses

@highlight

An aide says those arrested are not directly tied to the attacks