The coal ash poured out of a broken pipe into the Dan River, turning water into dark muck.

It took nearly a week to stem the spill, which sent millions of gallons of sludge from a retired power plant into a river that supplies drinking water to communities in North Carolina and neighboring Virginia.

Workers stopped the spill by plugging the broken pipe with concrete this weekend. Now government scientists and the United States' largest electric utility face a daunting task: cleaning it up.

Tests since the spill have turned up higher levels of harmful chemicals such as arsenic in the river. But so far, officials say tap water is safe to drink.

Some environmental activists in the area say they aren't so sure. They fear the consequences for wildlife and say that the situation shows state regulators haven't done enough to crack down on Duke Energy.

The utility has apologized for the spill and vowed to clean up any damage.

"We're committed to the Dan River and the communities that it serves," Charlie Gates, the company's senior vice president of power generation operations, said in a statement Saturday. "We are accountable for what has happened and have plenty of work ahead of us."

Concerns over drinking water, wildlife

Duke Energy announced last week that it found the leak in a 48-inch stormwater pipe at the retired Dan River Steam Station in Eden, North Carolina, on February 2.

On Saturday, six days later, the company said it had plugged the broken pipe that was causing the spill and was working with officials on developing a cleanup plan.

Coal ash, the material that remains after burning coal for electricity, contains metals such as arsenic, selenium and cadmium.

Tests of the river last week revealed levels of copper, aluminum, iron and arsenic above state standards for surface water, state environmental officials said.

It's unclear what that could mean for wildlife in the area, said Jamie Kritzer, a spokesman for the North Carolina Department of Environment and Natural Resources.

"It's certainly cause for concern for the long-term impacts of this coal ash spill on the health of the Dan River," he said.

Environmental advocates warn that the damage could be significant, potentially harming fish in the river and impacting the food chain.

"You have a cleanup effort that is going to be difficult," said Sam Perkins, who works for the Catawba Riverkeeper Foundation, a nonprofit advocacy group dedicated to protecting waterways in the area. "This shows even a small spill has an impact on the ecosystem."

Some activists accuse authorities of deliberately playing down the danger of the situation and taking too long to notify the public.

"This is another shameless attempt by (environmental officials)  to downplay the risks facing the communities along the Dan River downstream," Peter Harrison of the Waterkeeper Alliance advocacy group said in a written statement to CNN on Friday.

"Are we supposed to feel good that there are only four hazardous toxins, including a carcinogen, in our drinking water supply?"

Samples taken by the Waterkeeper Alliance last week contained "extremely high levels of arsenic, chromium, iron, lead and other toxic metals," the group said in a statement.

State environmental officials said Sunday that arsenic levels appeared to be decreasing, but recommended avoiding prolonged direct contact with the river in the area of the spill until further notice.

Unclear how long cleanup will take

Kritzer said authorities have been open about what they've found.

"We're not downplaying risks. We're doing our objective analysis of what we're seeing so far, and I think we are concerned," he said. "The Dan River is a gem, and people value it throughout the state for not only being a source of drinking water, but also for its aquatic life that it provides a home to and all the recreational uses. This is certainly something that concerns all of us."

Tiffany Haworth, executive director of the Dan River Basin Association, first learned about the spill from a mail carrier, who warned that the river's water had turned black. The situation is heartbreaking, she said.

"I stood on the bank a day or two after the spill, and I can say that I openly cried," she said. "I was thinking, 'How can this ever heal? How can this ever be cleaned up? And what is this going to do to what I would consider one of the most beautiful parts of our country?'"

Now, she said, cleanup is key.

"The longer it's allowed to sit there ...t he sediment that has not gone down the river will be constantly churned up as it goes downstream, and the longer that we wait, obviously the more damage can occur," she said.

The North Carolina spill comes weeks after a chemical spill in West Virginia left 300,000 people unable to use their water supply for days. Now, a federal grand jury is looking into that spill in what one official called a criminal investigation.

In North Carolina, authorities will investigate the coal ash spill to determine what violations occurred, Kritzer said.

State and federal agencies are working with Duke Energy to figure out the next steps for cleanup, he said. At this point, it's unclear how long that could take.

Authorities were still working to develop a cleanup plan Sunday, Duke Energy spokeswoman Lisa Parrish said.

"Simultaneous efforts have been under way to not only plug the pipe and cap the system, which we successfully achieved last night, but also to test water quality. We've been testing water quality since the leak occurred and will continue to do so," she said. "Water quality tests will inform our cleanup efforts and accelerate our planning for the best long-term solution at the site."

Even before last week's spill, coal ash contamination was a concern for North Carolina officials. The state filed lawsuits against Duke Energy last year, asking the court to order the utility to deal with groundwater and wastewater violations at 14 sites where the byproducts of coal power plants are stored, according to a statement from Gov. Pat McCrory's office.

Parrish said Sunday that the utility is in the midst of plans to close the sites where it stores coal ash in North Carolina.

"Ash basin closure planning is already well under way for the ash basins located in North Carolina, including the one at Dan River," Parrish said. "We look forward to moving ahead with that project."

Governor has close ties with company

Before he ran for governor, McCrory worked for Duke Energy for nearly three decades, and critics have claimed he's shied away from regulation during his time in public office due to his close ties with the utility.

In a statement last week, McCrory said his administration was the first in the state's history to take legal action against the utility over the ponds.

"We have been moving on this issue since the beginning of my term and will continue to do so," he said.

Environmental advocates say the spill is a reminder of a troubling problem that's widespread in the state: coal ash ponds storing large amounts of waste close to drinking water supplies.

The spill raises questions, the Catawba Riverkeeper Foundation advocacy group said in an online post.

Key among them -- what chemicals are scientists testing for, was drinking water contaminated and will the utility change its coal ash disposal approach as a result?

According to figures released by Duke Energy, last week's spill appears to be similar to, but smaller than, a 2008 coal ash spill at a power plant in Kingston, Tennessee, which sent 1.1 billion gallons of sludge into the adjacent Emory River.

State authorities slapped the Tennessee Valley Authority with $11.5 million fines after that spill, which authorities said violated state clean-water and solid waste disposal laws.

In statements announcing the North Carolina spill last week, Duke Energy said up to 82,000 tons of ash had been released and up to 27 million gallons of basin water had flooded into the river. That amount of ash, the company said, would fill up to 32 Olympic-size swimming pools.

@highlight

A broken stormwater pipe sent millions of gallons of sludge into the Dan River

@highlight

Duke Energy and regulators are coming up with a cleanup plan

@highlight

Environmental activists have concerns about drinking water and wildlife

@highlight

The river supplies water to communities in Virginia and North Carolina