(CNN) -- The last political drama of 2012 and the first one of 2013 suggest that if you love America, you might want to consider making your New Year's resolution quitting whatever political party you belong to.

The "fiscal cliff" debate and the last-minute deal it produced have so far resolved nothing except to show that our system is profoundly broken and that radical changes are needed to fix it.

While many in Washington are breathing a sigh of relief and some are trying to spin the outcome as a win for the president, those who characterize this bill as a genuine victory for anyone at all have clearly lost perspective. The deal brokered by Vice President Joe Biden and Senate Minority Leader Mitch McConnell does make good on President Obama's promise to bring a little more equity to the tax code by raising rates on wealthier Americans, and it temporarily averts the most draconian "sequestration" cuts. But the list of what it does not do, and what it does wrong, is long.

By midday Tuesday, the Congressional Budget Office had concluded that the Biden-McConnell package would add nearly $4 trillion to federal deficits over the next 10 years. This was largely because it actually extends and makes permanent more than 80% of the Bush tax cuts. So much for the idea that this whole struggle was supposed to help America get its financial house in order.

Just as bad, or perhaps worse in terms of the day-to-day lives of average people, the bill only postpones the forced cuts of sequestration by two months, to precisely the moment the country will be engaged in another ruinous debate about lifting our national debt ceiling to ensure the country can pay its bills. It thus creates a new, even more dangerous fiscal cliff. Next time around, the markets will not be so blasÃ© about congressional brinkmanship if the national credit rating and the stability of a bedrock of the international financial system are at stake. It is an ominous sign for America that the only direction our top officials seem to be able to steer us is into yet another game of chicken.

Opinion: Now look beyond the fiscal cliff

It is utter lunacy for the United States to face invented hazards that virtually no other major country does. We face plenty of profound challenges without having to invent new ones that only bring out the worst in our political gangs. I would use the term "leaders" as was common in the past, but precious few in this crowd actually deserve that label.

The Senate package does not include any material spending cuts, infuriating those on the right. It angered many on the left because it worsened unionized government workers' job insecurity, is overly generous to the rich on inheritance taxes, and it doesn't protect entitlement programs. The head of the AFL-CIO, Richard Trumka, said the deal "sets the stage for more hostage taking."

Further, the deal addresses only a tiny slice of the economic problems confronting America. Not only does it not address the $16 trillion national debt, it ignores the far bigger and more challenging deficit associated with looming retirement health care obligations. It also does not in any way address the still great need to help stimulate growth and create jobs in the U.S. economy. And it leaves in place most of the loopholes and provisions that allow America's richest to steadily accumulate more and more while inequality in this country gets worse and worse.

So, this was both a manufactured crisis and an unnecessary distraction from bigger issues. The deal that was hastily cobbled together actually increases our deficit, and it creates an even bigger potential crisis just weeks from now. That said, other than its lack of vision, creativity, accountability, sense of responsibility, courage, basic math skills, wisdom or competence, this cliff deal is not bad.

Zelizer: GOP faces choice: leadership or gridlock

Which raises two questions. One -- the one Washington will focus on -- is "who is to blame?" This question is based entirely on the illusion that there are two sides in our political battles. There are not, of course. All of us are in this together. One party speaks on behalf of one set of interests. The other party speaks on behalf of another. They dress it up in the language of principle and ideology, but at the end of the day, they act on behalf of the perceived economic interests of their bases -- not those who vote for them, but those who fund them.

You may feel one party has done more than the other to cause this problem. That may be fair, but it is also a distraction from the bigger point. The only effective collaboration between both sides in this process has been inadvertent: A problem-creating partnership.

In his late night remarks following the House passage of the bill, Obama lamented that this bill was not the "grand bargain" the country needed to meaningfully raise revenue, cut spending and focus sensibly on growth. He said there was not enough time for that. But of course, we knew this deadline was looming from the moment it was manufactured in our political sausage factory. Both sides decided not to address it during the political campaign.

Oh, and then there is the additional reality that neither side even raised a grand bargain of the type proposed by the president's own Simpson-Bowles commission in a serious way. The fact that we even call the type of agreement that adequately starts to address our multiple needs a "grand bargain" as if it were some impossible dream reveals much about the current state of play in our nation's capital.

Which brings us to the other question: How do we get out of this mess? The only solution is to recognize that everything in our system that institutionalizes and deepens our partisan divides and makes the compromises and collaboration that are the essence of democracy impossible must be seen as an obstacle to the greater good.

It is time to realize that gerrymandering, campaign finance practices and the embrace of extra-constitutional traditions like filibuster rules deepen the divides that have made Washington dysfunctional. The two-party system is a boon for America when it is seen as providing a voice for two parts of a unified whole. But today's Washington is a zero-sum world of ideologues, men and women who have lost sight of who and what they are working for.

It may be that only a real massive movement away from the existing parties and the corrupt system they have created can break the destructive cycle in which Washington -- and the American people -- are trapped.

I've always felt such a move away from the current system was impossible, unrealistic. But then again, I never imagined a situation in Washington so dangerous to the well-being of so many Americans.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: Fiscal cliff deal resolves little, shows how broken political system is

@highlight

Rothkopf: CBO says deal adds $4 trillion to deficits; it only postpones sequestration cuts

@highlight

He says debate on cuts will come just as Congress debates debt ceiling

@highlight

Rothkopf: Two-party system no longer able to unite around objectives