(Financial Times) -- Eurozone finance ministers last night postponed agreement on Greece's long-delayed €31.3bn aid payment for yet another week as divisions between the International Monetary Fund and EU creditors over how fast Athens must reduce its burgeoning debt levels burst into the open.

Christine Lagarde, the IMF chief, and Jean-Claude Juncker, chair of the eurogroup of finance ministers, publicly sparred over whether Greece must reduce its debt levels to 120 per cent of economic output by 2020, long viewed the target to get Athens back to a sustainable debt level.

An agreement between the IMF and eurozone governments is essential to releasing the bailout tranche since both creditors disburse financial assistance concurrently.

In a rare breach, Mr Juncker told a post-meeting press conference the target would be moved to 2022, prompting Ms Lagarde to insist the IMF was sticking to the original timeline. When Mr Juncker again insisted it would be moved -- "I'm not joking," he said -- Ms Lagarde appeared exasperated, rolling her eyes and shaking her head.

"In our view, the appropriate timetable is 120 per cent by 2020," Ms Lagarde said. "We clearly have different views." Officials will meet again November 20 in an effort to reach agreement, Mr Juncker said.

Despite the delay, officials insisted Greece would not default on Thursday, when Athens must make a debt payment of about €5bn without the benefit of international aid.

Greece's ability to raise the money on its own has been cast into doubt after the European Central Bank refused to increase the amount of treasury bills it would accept as collateral from Greek banks seeking low-interest ECB loans. Without the ability to use treasury bills as collateral, Greek banks have little financial incentive to purchase them.

But Olli Rehn, the EU's top economic official, said even if the ECB did not raise the ceiling of treasury bills it would accept, Greek banks had improved their cash position enough that they were expected to purchase the debt anyway, getting over what Mr Rehn termed a "Greek fiscal cliff".

The Lagarde-Juncker spat was a public manifestation of a fight that has been simmering behind closed doors for months. The IMF has insisted the overhauled bailout plan include a credible debt reduction proposal, which may force eurozone countries to accept losses on bailout loans.

But European Commission officials believe the IMF is being overly pessimistic, arguing Greece can grow faster economically and should be given more leeway to meet debt targets.

According to senior officials, the IMF believes that without any relief, Greek debt will stand at nearly 150 per cent of gross domestic product by 2020, while the European Commission believes it will be just over 140 per cent. Without agreement on the baseline, officials cannot come up with a debt relief plan, which will involve both eurozone governments and the ECB giving up cash they had originally been owed by Greece.

If the target is moved to 2022, eurozone governments will have an easier time formulating a plan, since it likely will only involve cutting interest rates on bailout loans. Standing firm to 2020 may require write downs on those loans, something Germany and other creditor countries have refused to do.

"We started to discuss a certain number of avenues," Mr Juncker said. "My personal feeling is that [official write downs] will not be the one that will be privileged."

© The Financial Times Limited 2012

@highlight

Eurozone finance ministers postponed agreement on Greece's long-delayed €31.3bn aid payment

@highlight

Shows divisions between IMF and EU creditors over how fast Athens must reduce its debt

@highlight

IMF: Greece must reduce its debt levels to 120 per cent of economic output by 2020

@highlight

Juncker told a post-meeting press conference the target would be moved to 2022