(CNN) -- This month, a federal judge allowed North Carolina to put into effect new laws that would make it more difficult to vote. Most of the American public didn't notice.

The Republicans pushing to restrict voting rights nationwide are betting on such inattention. Emboldened by a recent Supreme Court case limiting the reach of the 1965 Voting Rights Act, GOP legislators have moved swiftly in numerous states to cut early voting and same-day registration, and to require ID cards at the ballot box.

Democrats claim these measures will discourage young and nonwhite voters from voting, who tend to vote more often for Democrats. GOP legislators insist they're only worried about voter fraud and the integrity of the electoral system.

But there is little evidence of significant fraud. And these legislators don't actually dispute the Democrats' basic claim. Indeed, rigging the rules to dampen turnout among youth and minorities appears to be a key strategy for some Republicans.

When people complain about the impact of voting restrictions, they're often dismissed as Democratic mouthpieces. Voting rights, to the average citizen, becomes just another partisan football.

This is bad for the country. But it's particularly bad for the GOP. While it may seem that the Republicans who want to restrict voting are winning right now, their strategy in fact threatens to isolate the party in the long term.

Republican leaders insist, correctly, that plenty of young, Asian-American, Hispanic, and African-American voters respond positively to a message of smaller government and more economic freedom.

But prior to stances on issues, what voters of color and young voters pick up on is a vibe -- an overall sense of whether we are welcome. And the vibe that many in the GOP have been sending lately has been less than welcoming.

Consider not just the efforts to invalidate the Voting Rights Act and to restrict access to the ballot, which many Millennials and African-Americans have taken personally, but also the hostility of many Republicans toward undocumented immigrants.

Consider too the remarks of people like Alabama congressman Mo Brooks, who declared recently that President Obama and the Democrats are prosecuting a "war on whites."

Whipping up the anxieties of older whites may be rational politics -- after all, they are still the likeliest voters -- but it alienates what demographer Paul Taylor calls "the next America." As Richard Land of the Southern Baptist Convention recently put it, the GOP, having painted itself in a corner, "applied a second coat."

I am a Democrat, so I know my comments will be presumed partisan. But I am foremost an American who is quite conscious of what it took for me, the son of Chinese immigrants, to get to vote.

A few weeks ago I met John Lewis, icon of the civil rights movement and longtime Georgia congressman. It happened to be the 50th anniversary of the signing of Civil Rights Act into law. I asked him how today's youth should engage, given that the obstacles and challenges are so different from what he experienced as a teenager. His answer was simple: Participate. Vote.

This is the moment for a rising Republican to deliver precisely that message to people of color and young voters: Participate. Vote. It's the moment for a leading Republican to argue that his or her party should be on the side of more democracy, not less; more inclusion, not less. If there is actual voter fraud, root it out, this leader should say, but not in a way that seems like a whites-only backroom plot.

Sen. Rand Paul has shown signs that he could be such a voice. He's met with constituencies that national Republicans often ignore, like African-American voters and college students. His outreach has seemed in earnest, and he has been a refreshing voice on issues like reform of criminal sentencing.

But telling, also, was the quick getaway he made when an undocumented "Dreamer" recently came up to him and another GOP congressman to ask them about immigration reform. Outreach can't be only scripted and packaged, it has to come from readiness to engage.

More importantly, it has to emerge from a sincere belief that more participation is better. A party confident about its ideas doesn't work in a cynical way to shrink the electorate. It sees in "the next America" a majority waiting to be made.

Rock the Vote has just launched a new nonpartisan campaign to push back against voting restrictions. Celebrities, musicians and students and many progressives have joined. All that's missing are some Republicans to argue -- in a visible, unexpected, Nixon-goes-to-China way -- that rocking the vote is better than rigging it. Are there any? Their party needs them, and so does their country.

@highlight

Rock the Vote recently launched a campaign to push back against voting restrictions

@highlight

Eric Liu: Republicans who restrict voting may win now, but party suffers long term

@highlight

He says a confident party doesn't work in a cynical way to shrink the electorate

@highlight

Liu: The next America is waiting to be made, GOP should embrace all people