(CNN)There's a new scavenger hunt on the weekends in Johannesburg.

Cars snake around the blocks as drivers slow down to peer through what could be the windows of an abandoned warehouse covered in graffiti.

Or it could be the doorway to one of the city's gourmet food markets, havens of organic produce, Seussian cupcakes and fresh roasted coffees.

Three major markets have turned into anchors of redevelopment in the city, driving Johannesburg's renaissance as the surrounding blocks become magnets for restaurateurs, artists, students and increasing numbers of tourists.

The Neighbourgoods Market (73 Juta St., Braamfontein, Johannesburg; +27 11 403 0413) is a place people hear before they see it.

On Saturday mornings, artisanal food and hipster fashion fill the second and third floors of a parking garage.

The entrance is down an alley off DeBeer Street and then up a ramp, but the way is marked and decorated with lights.

It shouldn't be a struggle to find the entrance, just follow the crowds of Beautiful People who come every week for lunch.

For shoppers, there are cured meats, rustic breads, endless cheeses, cut flowers and raw chocolates.

For diners, it's a straight shot toward the back for a tray of raw oysters with champagne.

Those who prefer their food cooked can head across the way for the best fried chicken in the city (served over watermelon and fries).

On chilly days there's a potjie, a cast iron cauldron brimming with stew.

Up the stairs is an open-air level with seating that overlooks the neighborhood's pricey new condos and the tangle of train tracks leading to South Africa's main rail hub.

A bit higher up is the fashion level, where racks of leather jackets hang alongside children's dresses printed with Nelson Mandela's beaming smile.

The Braamfontein neighborhood pulls a curious mix of people.

One of the country's most prestigious universities is nearby, along with the Joburg Theatre complex (158 Civic Boulevard St., Johannesburg; +27 11 877 6800) and the headquarters of some of the country's biggest corporations.

A decade ago, Braamfontein felt like it had slipped irretrievably into urban decay.

Now it's one of the most dynamic neighborhoods in the city.

The people who pack into the market are the lifeblood of the small shops and galleries on the surrounding streets, which now do most of their business on Saturdays selling photos taken by street kids, vintage clothing and high-design furniture.

On the east end of downtown, the weekly market at Arts on Main (268 Fox St., Johannesburg; +27 11 334 5947) opened five years ago in a century-old building that was originally a liquor warehouse.

Inside there now, there are craft beers and cocktails to sip every Sunday while shoppers wander aisles of food as cosmopolitan as the city itself.

There's the option of sitting on a stool in a sunny courtyard and enjoying Ethiopian coffee, then moving on to an Argentine barbeque and Italian gelato.

If that doesn't suit, keep walking to find paella, burritos, dim sum and crepes.

This is also one of the city's best places to sample food from around South Africa.

The traditional bread known as roosterkoek cooks on the braai barbecue, waiting to be stuffed with vegetables and meat.

Nearby is a table of curries from Durban, which can be served as "bunny chow" inside the hollowed end of a loaf of bread.

There's freshly sliced biltong, the dried meat that could be beef or game.

Out on the sidewalk, there's a braai shack where fresh meats are grilled on the street and served with chips or pap, finely ground corn meal served thick like mash potatoes.

When the eating's done, the rest of the building and neighborhood make for a great walk.

Artists have set up studios and galleries around the warehouse where visitors can buy super-enlarged copies of iconic "Drum" magazine covers from the 1950s, see how prints are made or pick up a gorgeously illustrated art book.

The surrounding streets host independent shops and cafes, as well as the city's only art house cinema, the Bioscope (286 Fox St., Johannesburg; +27 11 039 7306).

Staying the night is an option.

There's Curiocity Backpackers (302 Fox St., Johannesburg; +27 728 80 9583), run by the charismatic Bheki Dube, who also organizes walking tours and volunteer experiences.

A step above the backpacking circuit is the nearby 12 Decades Hotel (286 Fox St., Johannesburg; +1 866 332 3590), offering boutique-style lodging in 12 rooms decorated by artists to reflect each decade of Johannesburg's history.

At the opposite end of Fox Street, The Sheds (1 Fox St., Ferreirastown, Johannesburg; + 27 84 057 0015) is the newest of the markets, housed in a complex of former mining warehouses.

From the doorstep visitors can see the offices of the mining companies and banks built on Johannesburg's gold wealth.

Inside, well-tended urban farm beds lead to a dizzying expanse of shopping and dining. Indigenous plants like Kalahari melons are transformed into body creams, while old packets of laundry detergent and potato chips become purses and makeup bags.

It's the food, and drink, that draw in the crowds.

Bartenders pull pints of craft beers, next to an American-style barbecue stand and a taco stall.

There's a curious Latin infusion in many of the food stalls, with an emphasis on spicy salsas and novel chocolate sauces.

And there's the full range of traditional South African market fare, including biltong and fantastic cheeses, but also a surprising selection of bubble teas -- the milky drinks often filled with tapioca pearls or fruit jellies that originated in Taiwan.

The driving force behind The Sheds is Gerald Garner, whose passion for Joburg history has turned into a beloved series of walking tours, books and now this market that aims to turn into more than a weekend event.

They're currently open Thursday through Sunday, with a busy calendar of live music and performances.

Griffin Shea is a writer and traveler based in South Africa. His latest project is a travel app for African cities for iPhone and Android.

@highlight

Gourmet food markets are revitalizing Johannesburg's most depressed neighborhoods

@highlight

Markets offer a mix of local and global cuisines, along with clothing and art stalls