(CNN) -- For the sorcerers who practice the dark arts of politics, the hot summer months are generally known for their focus on triviality, hyperbole and petty posturing. This "silly season" is marked mostly by frivolous debates over manufactured controversies as voters tune out and cook out in parks and backyards across the country.

So it comes as no surprise that the latest bit of feigned outrage to embroil the United States Department of Agriculture involves an interoffice newsletter recommending that employees consider taking a modest stab at common sense.

Joining the ranks of thousands of companies, restaurants, schools, average Americans and Oprah, a recent newsletter from the USDA made a humble suggestion for its employees to reduce their environmental footprints: Consider eating a meat-free lunch once per week. The agency was referring to "Meatless Monday," a project of Johns Hopkins, Columbia and Syracuse universities and supported by many other health-related organizations.

After angry press releases from the meat industry and outraged tweets from Republicans in Congress, a USDA spokeswoman announced the agency does not endorse the "Meatless Monday" initiative and said the suggestion was posted on the agency's website "without proper clearance." Problem solved, I guess.

But the rationale behind an idea like "Meatless Monday" is crystal clear. It's exactly the kind of step USDA should be endorsing. The reality is that it takes massive amounts of land, water, fertilizer, oil and other resources to produce meat, significantly more than it requires to grow other nutritious and delicious kinds of food. Because meat production is so resource intensive, livestock farming actually accounts for 18% of global greenhouse gas emissions. Cattle farming alone consumes nearly 8% of global human water use.

My own organization, Oxfam, an international relief and development organization, recently endorsed the idea of eating less meat and dairy as part of our GROW campaign to fight global hunger. We did a study and found that if a family of four decided to swap burgers or other beef for lentils just one meal a week, they could save about 12Â½ Olympic-size swimming pools of fresh water over the course of a year. If that seems like an astronomically large amount of water for such a small change, it's because it is.

Meatless Mondays might seem like an unlikely cause for a humanitarian organization to champion. But Oxfam is working on this issue because as diets around the world change and the population swells to 9 billion over the coming decades, our planet will need to produce up to 70% more food even as we use fewer resources.

If we don't reduce our environmental footprints as we increase production, poor people, particularly women, will be the first to suffer. Eating less meat is a simple way to reduce the pressure on global resources and help ensure that everyone has enough to eat. To say it simply, eating less meat helps fight hunger.

The meat industry would argue that eating less meat would damage the bottom line of American farmers. But farmers are already struggling just to keep up with the spiking global demand for meat, which experts predict could nearly double by 2050. Eating less meat could help slow this unsustainable increase, but U.S. farms won't suffer as a result.

Swapping out meat just once per week would also help reduce the emissions that are contributing to climate change and extreme weather. Farmers across the United States are facing the worst drought in a generation, leading the USDA to declare 1,369 counties in 31 states as disaster areas.

The weather has caused massive crop failures, driving a significant spike in the price of corn. While it may be hard to know exactly what role climate change has played in causing the drought, there is no doubt that these kinds of events are exactly what we expect to experience more frequently and with greater severity because of the changing climate.

Our study looked at what would happen if urban and suburban households in just four countries -- the United States, United Kingdom, Spain and Brazil -- decided to swap beef for lentils just once a week. We found that the emissions reductions from this tiny step alone would be the equivalent of taking 3.7 million cars off the road for a year.

Sadly, facts like these are not enough to avoid the silly season altogether, or to persuade the USDA to ignore the self-serving indignation of the meat industry and keep a reasonable suggestion on its site.

The opinions expressed in this commentary are solely those of Ben Grossman-Cohen.

@highlight

USDA's newsletter suggesting employees forgo meat once a week causes uproar

@highlight

Ben Grossman-Cohen: Meat industry, politicians slam USDA, so it backs off

@highlight

It takes huge amounts of land, water, fertilizer, oil to produce meat, he writes

@highlight

He says eating less meat reduces use of resources and ensures everyone gets fed