Tunis, Tunisia (CNN) -- World powers meeting Friday in Tunisia called for a political solution in Syria and what one diplomat called a "tsunami wave" of pressure to peel away internal support for the embattled regime of Bashar al-Assad.

"We agreed on increasing the pressure on Assad, getting humanitarian aid in as quickly as possible and preparing for a democratic transition," U.S. Secretary of State Hillary Clinton told reporters. "That was my message, and that was the message of the chairman statement that reflected the consensus reached here."

That consensus was reached during a day of meetings by the "Friends of Syria" in the cradle of the Arab Spring, where participants laid out the groundwork for a political transition in Syria, not unlike the international planning that preceded the changes in Libya, where Moammar Gadhafi's regime was toppled last year.

Representatives of dozens of countries and entities developed a plan to deliver immediate humanitarian aid, to give political legitimacy to the Syrian opposition and to endorse the idea of a joint Arab-U.N. peacekeeping force.

As the conference unfolded, Red Crescent volunteer rescue crews evacuated seven wounded people in the besieged Syrian city of Homs to Al Amin Hospital on the outskirts of the city's Baba Amr neighborhood, a spokeswoman for the International Committee of the Red Cross said. Twenty unhurt Syrians were also taken to safety, she said.

The evacuation of victims marks a glimmer of hope for residents who'd been pinned down under shelling and sniper fire for weeks.

ICRC spokeswoman Carla Haddad Mardini told CNN that the organization planned to ask Syrian authorities for a pause in the fighting every day. "We would prefer to have a two-hour humanitarian pause daily, where we would enter the different affected areas, including Homs, and deliver much-needed humanitarian aid," she said in a telephone interview from Geneva.

Asked whether international journalists wounded in the city would be taken out, Mardini said the mission was "to evacuate all wounded and sick in urgent need of medical assistance without any exception."

The state-run Syrian Arab News Agency (SANA), citing an official source at the Foreign Ministry, said Red Crescent vehicles were dispatched Friday, "for humanitarian considerations, to retrieve the foreign journalists who entered Syria illegally. The source added that the armed groups in Baba Amr declined to hand over an injured journalist and the bodies of two others, which jeopardizes the life of the injured journalist and thwarts efforts to return the two bodies to their countries."

Activists acknowledged that they had declined to turn over the journalists' bodies or the wounded journalists unless civilians also were taken to safety. They said the wounded journalists agreed with that decision. In addition, they said, Friday's ambulance runs were carried out as shelling continued in the area.

The meeting in Tunis took place as Syrian security forces continued a nearly year-long crackdown on civilian protesters.

European foreign policy chief Catherine Ashton said Friday that the "humanitarian situation and lack of access for food and medical supplies is our most urgent and immediate concern."

At least 103 people were killed Friday. The dead include 18 corpses found in the Hama province town of Khatab and 30 people in Homs, the epicenter of resistance that has endured 21 days of daily shelling, according to the Local Coordination Committees of Syria, a network of opposition groups.

SANA said terrorists shot and killed a law enforcement member and wounded two others Friday in Homs. It also said that dozens of members of "armed terrorist groups" in the city had surrendered and given their weapons to authorities.

Regarding events in Tunis, Syrian state television was dismissive. "It is quite ironic that in a conference called 'The Friends of Syria,' we haven't seen one Syrian delivering a speech," said an anchor, who added that the conference was dominated by "icons from the colonial era who are conspiring against Syria and the Arab world."

A guest implied that some of the countries in attendance had been paid, bribed or ordered to show up against their will.

At the conference, Clinton said the end of al-Assad's regime "can mark a new beginning."

She urged a negotiated political solution and a democratic transition for Syria, and announced that the United States is providing $10 million for humanitarian efforts. Clinton also said the "crimes against humanity must stop."

In a statement, the Syrian National Council said it was seeking international recognition "as the legitimate representative of the Syrian people."

The group formed last October as a coalition of local coordinating committees, political, ethnic and religious groups. It asked for humanitarian assistance and the creation of safe havens inside Syria to protect refugees seeking sanctuary.

"The clear goal of the SNC and one for which tens of thousands of Syrians have died or suffered is to achieve full regime change through a process controlled by the Syrians themselves," the statement said.

Clinton gave the group qualified support, calling it "a leading, legitimate representative of Syrians seeking peaceful democratic change."

She continued to hold out hope for a political solution.

"Assad can still make the choice to end the violence, save lives and spare his country from descending further into ruin but, if he continues to reject that choice, we and the Syrian people will keep pressure on him until his deadly regime cracks and collapses, because it will," she said.

And she appealed to Assad's security forces to end the killing.

"Their continuing to kill their brothers and sisters is a stain on their honor," she said. "Their refusal to continue this slaughter will make them heroes in the eyes of not only Syrians, but people of conscience everywhere. They can help the guns fall silent. We know from many sources there are people around Assad who are beginning to hedge their bets. They didn't sign up to slaughter people, and they are looking for ways out."

She made no reference to helping the militias fighting the al-Assad regime. But Saudi Arabian Foreign Minister Prince Saud al-Faisal said that arming the Syrian opposition is an "excellent idea."

U.S. officials have said they are not ready to take that step but they have not ruled out other options. Clinton said she would address the issue later.

In Washington, U.S. President Barack Obama said he was "encouraged by the international unity" displayed in Tunis. "We are going to continue to keep the pressure up and look for every tool available to prevent the slaughter of innocents in Syria," he said.

Neither Russia, which is a Soviet-era ally and arms dealer to Syria, nor China is participating in the Tunisia meeting. Both countries vetoed the U.N. resolution.

The nations participating in the meeting unveiled a plan for delivering emergency aid. It called on al-Assad to "immediately cease all violence" and allow unimpeded access for aid, an effort that would be spearheaded by the United Nations.

The United Nations is expected to play a major role in a post-Assad Syria. Former U.N. Secretary-General Kofi Annan was named Thursday joint special envoy of the United Nations and Arab League on the Syrian crisis.

The Friends of Syria group stressed that an alternative to al-Assad exists and it believes it can persuade traditional regime supporters, such as business elites, the military and minority Alawites -- who prevail in the military -- to switch allegiances.

"To those Syrians who still support Assad, especially members of the Syrian military: understand that this regime has no future," Clinton said. "The longer you carry out its campaign of violence, the more it will stain your honor. But if you refuse to take part in attacks on your fellow citizens, your countrymen will hail you as heroes."

A senior State Department official said members of the council told Clinton they were pleased with the conference turnout and the initiative.

"The Syrian people have not surrendered, nor will they give up," SNC leader Burhan Ghalioun said. " A free people was born in Syria and it does not fear death, nor does it accept any bargain to give away its long-deprived rights or give up its sovereignty by any definition."

The Friends of Syria intends to address economic issues by creating a working group on economic recovery and development, a diplomat said.

The diplomat said the conference communique will endorse the Arab League's request to the Security Council to form a joint Arab-U.N. peacekeeping force after the cessation of violence.

CNN's Elizabeth Joseph, Saad Abedine, Raja Razek, Hala Gorani, Salma Abdelaziz, Chelsea J. Carter, Tracey Doueiry, Kareem Khadder and Joe Sterling contributed to this report.

@highlight

NEW: At least 103 killed Friday

@highlight

Red Cross asks two-hour humanitarian pause in fighting

@highlight

Clinton says Syrian security forces can help "guns fall silent"

@highlight

Evacuation of wounded and sick begins in Homs