Washington (CNN) -- When the polls close in most other democracies, the results are known almost instantly. Ballots are usually counted accurately and rapidly, and nobody disputes the result. Complaints of voter fraud are rare; complaints of voter suppression are rarer still.

The kind of battle we are seeing in Florida -- where Democrats and Republicans will go to court over whether early voting should span 14 days or eight -- simply does not happen in Germany, Canada, Britain or France. The ballot uncertainty that convulsed the nation after Florida's vote in 2000 could not happen in Mexico or Brazil.

Almost everywhere else, elections are run by impartial voting agencies. In France, elections are the responsibility of the Ministry of the Interior, which establishes places and hours of voting, prints ballots (France still uses paper) and counts the votes. In Germany, an independent federal returning officer oversees a complex state and federal voting system.

Share your reaction to the election results

In Canada, federal elections are managed by a specialized agency, Elections Canada. Mexico, emerging from a sad history of electoral manipulation, created in the 1990s a respected independent agency, the Federal Electoral Institute. Brazil has nationwide electronic voting, producing instantaneous, uncontested results.

President Barack Obama: My vision for America

No voting system is perfect. Britain has faced allegations of chronic fraud in absentee balloting. As I write, Lithuanian politics are convulsed by allegations of vote buying by one of its political parties.

But here's what doesn't happen in other democracies:

Politicians of one party do not set voting schedules to favor their side and harm the other. Politicians do not move around voting places to gain advantages for themselves or to disadvantage their opponents. In fact, in almost no other country do politicians have any say in the administration of elections at all.

Here's a story from the 2000 election.

Like many old cities, St. Louis has not invested in modern voting equipment. Voting delays are notorious. At the scheduled poll-closing time, voters were still lined up throughout the city. Al Gore's campaign, desperate to win the state, asked a judge to extend voting for three more hours in the heavily Democratic city -- but only in the city. A state judge agreed. Republicans appealed, the state judge was overruled, and the polls were closed after remaining open a total of 45 additional minutes beyond the legal closing time.

Republicans won Missouri's 11 electoral votes by a margin of 78,786 out of the almost 2.4 million cast.

Think about what's incredible here:

Lines were lengthy in St. Louis City because in the United States, almost uniquely, local governments choose how voting is cast and counted. People who live in localities with less capable governments, such as St. Louis, will face greater delay and difficulty in casting their vote.

Mitt Romney: My vision for America

When local Democratic officials saw themselves disadvantaged by the existing rules, they appealed to a judge for special treatment for its (likely) voters -- and only for those voters. (Good news: In Missouri, circuit judges are appointed by the governor and then confirmed in office by nonpartisan vote. In many states, however, judges are themselves elected in partisan elections.)

The other party demanded that the existing rules be upheld, and the case was litigated on the fly, ending in a weird compromise that only failed to become a national scandal because the events in Florida were so much more dramatic.

In any other democracy, voters nationwide would have cast their votes on the same kind of balloting equipment, subject to the same rules.

Your take: Should we have polling places in churches?

The parties would have had a minimal role in supervising the election, and certainly would not have been allowed to ask for rule changes as the vote occurred.

The voting would have been overseen by a national election commission, not by local judges, who might be nonpartisan -- but who very well might not.

Change the list: You convinced them to vote

Americans worry more about voter fraud than do voters in other countries, because they are the only country without a reliable system of national identification.

In no other country, including federal systems such as Germany, Canada and Australia, does the citizen's opportunity to vote depend on the affluence and competence of his or her local government.

In every other democracy, the vote is the means by which the people choose between the competing political parties -- not one more weapon by which the parties compete.

The United States is an exceptional nation, but it is not always exceptional for good. The American voting system too is an exception: It is the most error-prone, the most susceptible to fraud, the most vulnerable to unfairness and one of the least technologically sophisticated on earth. After the 2000 fiasco, Americans resolved to do better. Isn't it past time to make good on that resolution?

Opinion: On Election Day, pause to soak it in

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Tuesday's vote is subject to all manner of disputes between parties

@highlight

He says U.S. voting system is locally controlled, gives too much power to politicians

@highlight

Other democracies establish national standards and enforce them equally, he says

@highlight

Frum: After dispute over 2000 election, reforms were promised but haven't materialized