(CNN) -- The Middle East is currently the setting of a new form of airspace race. As the economies grow in a handful of countries in the region, so too do ambitions -- and few things symbolize a country's aspirations as aptly as an airport.

It's no wonder, then, that Abu Dhabi, Dubai, Doha, Istanbul and Riyadh are each vying to throw up the biggest and grandest transportation hub in the region.

"The Middle East likes to use words like 'iconic' and 'world class,'" says Anthony Mosellie, a managing principal at Kohn Pedersen Fox Associates, the architecture firm in charge of the Abu Dhabi Midfield Terminal Complex design.

The total airport expansion for Abu Dhabi, which is slated for completion in 2017, will clock in at $6.8 billion (Delta's $1.4 billion JFK upgrade pales in comparison).

Though this sounds like a hefty sum, Mosellie notes that per-square foot, it's pretty reasonable. It just happens that the new complex will take up seven million square feet -- just a little larger than the Pentagon. It will also alter the Abu Dhabi skyline.

"It might be the tallest terminal building in the world," he notes.

The new airports are already battling for superlatives. Doha's impending Hamad International Airport will house the world's second longest runway, while Istanbul and Dubai are competing for the title of world's largest airport. Fittingly, all are implementing state-of-the-art facilities -- be it specially designed runways or tiered bridges -- to accommodate the Airbus A380 -- the world's largest passenger aircraft.

Read more: Google goes inside the Airbus A380

To a degree, these looming hubs are also meant to be a showcase for the city beyond the passport controls. Retail, five-star hotels and landscaping are as much a part of the designs as customs and security features. The Abu Dhabi terminal, for instance, will also house a museum to pique interest in the city's impending Louvre and Guggenheim additions.

"A number of passengers may not make it to Abu Dhabi, because they're only connecting. The plan is to use the airport to introduce them so they can come back on subsequent visits," says Mosellie.

Perhaps more telling than the various design features are the airports' planned capacities; combined, they will ultimately accommodate 450 million passengers a year -- a significant jump from the 140 million that currently make their way through the region.

"When you add the numbers together, it feels over the top. It seems it will be quite difficult for them to reach their aspirations when you view them in a cluster," says Rend Stephan, partner and managing director of The Boston Consulting Group. Still, Rend expresses doubts that any of the proposed airports will flounder.

"Maybe they won't fill capacity in the next five years, but I don't think any of the airports will collapse. The whole region has adopted an 'if-you-build-it-they-will-come' strategy. When you're advanced structurally, that strategy can work."

The airports are part of a wider expansion scheme across the region. Increased airport activity also means increased landing fees and duty-free revenues. In Dubai, aviation already accounts for 28% of the city's GDP -- a figure that's expected to grow to 35% once the new airport is fully operational.

"This is a country that sees the value of aviation and embraces it," says Lorne Riley, head of corporate communications at Dubai Airports.

Read more: Inside Dubai's A380 concourse

Since its inception, Dubai International has seen its passenger numbers grow an average of 15% per year (roughly three times the global average). This year, it surpassed Charles de Gaulle in terms of international passenger traffic, making it the second busiest airport in the world. As a result, Riley is not worried they're overreaching with their plans.

"We're not overextended... yet. While it's not an issue now, it could become an issue in the 2020s when we max out our capacity, which is 74 million. By the end of the year, we should reach 66 million," says Riley.

While Stephan thinks some of the airports might have to "adjust their aspirations," he thinks each holds its own advantage. In particular, he predicts tremendous growth for the projected Istanbul New Airport, which is aiming for a yearly capacity of 150 million.

"Istanbul is growing. They are capturing a market share from European carriers, and compared to the GCC countries, they have a strong domestic market. Will they hit the exact numbers they talk about? Who knows? But they are quite strong, and I have no doubt this will continue into the foreseeable future," he says.

Of greater concern, perhaps, is the limited amount of airspace available when all airports are up and running. Riley admits that there won't be room for two Dubai airports.

"You probably couldn't operate two airports of that size at full capacity so close to each other because of air traffic. Airspace is a finite thing," he says. What will ultimately happen to Dubai International, though, remains to be seen.

"We don't have a firm answer on that right now," Riley admits. "Right now, the master plan is being looked at and fine tuned."

@highlight

Dubai, Abu Dhabi, Doha, Istanbul and Riyadh are all upgrading their main transport hubs.

@highlight

There is pressure in the region to build the most 'iconic' airport.

@highlight

The combined capacity in the region will number 450 million -- three times current traffic.

@highlight

Istanbul and Dubai are both claiming their airports will be the world's biggest.