(CNN) -- U.S. drug agents in Thailand took custody of five men wanted in the United States on allegations of being part of a drug ring that sought to traffic in North Korean methamphetamine and other drugs, CNN has learned.

The men, who have British, Filipino, Taiwanese and Slovak citizenship, were being flown to New York to face charges, according to a source.

Thai authorities announced the arrests after the men were turned over to U.S. authorities. A U.S. law enforcement official said the charges would be made public soon.

The men are part of a broader investigation that federal prosecutors made public in September, filing charges against a group of former U.S. and European ex-military men in a murder-for-hire and drug-importation plot.

The Drug Enforcement Administration concocted a sting operation and arrested Joseph Hunter, a former U.S. Army sniper trainer nicknamed Rambo, and four others in the sting case.

The five more recently arrested were expelled by Thai authorities and put on a DEA plane to New York.

Additional details of the charges couldn't be learned because they remain under seal.

Drug trafficking from North Korea has occurred for decades with at least 50 documented incidents. In previous years, North Korea had been linked to shipments of heroin and methamphetamine, according to the CIA World Factbook.

In 2003, a North Korean ship, Pong Su which was carrying nearly 300 pounds of heroin, was seized along the eastern coast of Australia after a four-day chase.

There isn't enough information to determine whether the North Korean government is currently involved in drug trafficking, according to the 2013 International Narcotics Control Strategy Report issued by the U.S. State Department

"There have been no confirmed reports of large-scale drug trafficking involving DPRK (Democratic People's Republic of Korea) state entities since 2004," it stated. "This suggests that state-sponsored drug trafficking may have ceased or been sharply reduced, or that the DPRK regime has become more adept at concealing state-sponsored trafficking of illicit drugs."

The report also highlighted that the "proximity and availability of precursor chemicals in China likely contribute to the production of methamphetamine within North Korea." It alluded to reported transactions between North Korean traffickers and organized crime groups.

Corrupt security agents and government officials are likely responsible for transnational drug operations, according to a different report published in North Korean Review in 2010.

There is great difficulty in collecting data or accurate information regarding drug trafficking because of the secrecy in North Korea.

So the report's authors, Minwoo Yun and Eunyoung Kim relied on interviews with 28 North Korean defectors living in China and Thailand as well as various documents. They could not be reached Wednesday for this story.

Their report alleges that in the 1980s, the North Korean state "deliberately chose various transnational crime businesses including drug trafficking" during economically troubled times. The North Koreans specialized in heroin trade and kept the drug away from the ordinary population.

Once the economy veered into famine and economic disaster in the 1990s, individuals desperate to survive turned to private drug enterprise, according to Yun and Kim's report. Corrupt agents and officials sold drugs to transnational organized crime operations through the North Korea-China border, they wrote. Family members also became private drug traffickers, they added.

After poppy production failed due to weather, methamphetamine became more popular, according to a 2007 Drug Trafficking and North Korea report prepared for the U.S. Congress.

One of the interviewees in Yun and Kim's report said that the city of Hamhueng is the center of methamphetamine production, because it produces the country's chemicals.

Internally, North Koreans started using opium instead of hard-to-obtain and pricey medication, according to the report. And recreational drug users are more likely wealthy businessmen or members of the Party, according to South Korean media.

More recently, methamphetamine is more widely used in North Korea as stricter China border controls forced drug producers to seek a local market for "ice," according to a report in the Spring 2013 edition of the journal North Korean Review.

@highlight

5 men arrested in Thailand are being flown to the United States, CNN has learned

@highlight

They are accused of trafficking North Korean drugs, a source says

@highlight

The arrests are part of a broader investigation made public in September

@highlight

North Korea has been producing drugs since the 1980s, report says