LONDON, England (CNN) -- "I'm having a vision of the near future.

Boom or bust? Experts have varying predictions on the future of CDs and albums as we know them.

"I see an artist pictured with her best friend. The friend is her manager and webmaster. The caption congratulates them for a Gold Click Award from Amazon.com for 500,000 play events.

"The two gals don't mention the RIAA, Best Buy or any label. They are thanking Facebook. They are thirteen years old."

These words from well-known music artists' rights advocate, educator and industry commentator, Moses Avalon, illustrate the degree to which the music industry is in rapid change.

Almost symbolic of this change is the significant deal between social networking web site MySpace and three major record labels -- Sony BMG, Universal Music Group and Warner Music Group -- to form MySpace Music.

The company is set to launch later in September, and for the record labels involved, it offers the chance to establish a greater online presence and earn advertising income as they challenge the effects of P2P file-sharing and the proliferation of online music promotion web sites.

MySpace Music will allow users to listen to any song from the catalogs of the music giants for free. They will also be able to create playlists on their own page, and purchase tracks -- all while consuming advertisements.

Such a project has been almost inevitable as record labels scramble for answers to declining album sales. But does MySpace Music offer the solution?

While most experts believe record labels and the wider music industry have a strong future, there are mixed feelings about MySpace Music as a panacea for album sales. Do you think recording industry can have a strong future in the face of the Internet?

Degree leader in music industries at Birmingham City University, Andrew Dubber, believes the company will not have a massive impact on sales.

"I don't think it's going to have an impact on album sales or how many singles are sold," he said. "This is just one of these cases where big businesses are getting together... it's just mutually beneficial. It's kind of 'business as usual' for the companies."

Long-time music industry figure Bob Lefsetz was more critical of the new venture.

"Radio on demand, in one's home, in front of the computer, which is what MySpace actually is, is not a sexy alternative to owning what you want and taking it to the beach, to the party, to your workout," he said.

Avalon, however, told CNN he was optimistic about its chances. "It's going to be an accounting nightmare and wrought with speed-bumps, but it's a step in the right direction.

"They know they can't simply survive selling CDs. The future is clearly in digital. It gives them an important piece of leverage over iTunes," he said.

Working against the record labels is a plethora of other online music promoters.

The likes of tunecore.com, rawrip.com, sellaband.com and prominent social networking sites have all offered opportunities for artists to get their name and music to a global audience.

However, will these sites be enough to topple the recording label giants? Not for a second, said Avalon.

"These are massive entities that are not just simply going to go away. They are still making money."

He said the Web sites were claiming a space in the market, but they are no match for the labels.

"We will see pretty soon an indie artist who finally sells 500,000 albums just off the downloads. But, if you are talking about someone who wants a worldwide hit or to sell a million or more CDs there's still no way to do that other than through a major record label," Avalon said.

Dubber agreed about the power of the labels.

"While you may not need a record label to get yourself out there, you still need a lot of the things that a record label has. It used to be that there were signed and un-signed artists. Now there's a big, long gray area."

Lefsetz told CNN that record labels had too many valuable catalogs to disappear, but he felt they would decline if they did not find a new business model.

What does the future hold then?

Avalon sees some major changes, but also continuity, describing the current situation as the "beginning of a new beginning".

"It's (album sales) probably going to continue to decline, but not at the level we have seen. The reason they are always going to be around is because there are so many CD players in everything."

He believes that file-sharing is a "fad" and predicts it will fade in popularity.

Lefsetz disagrees, saying that the industry needs to either legitimize file-sharing or create something "just as good" that is also cheap.

Avalon also forecasts more deals where 'sales' can be regained as music gets bundled in with products.

He cites cellular phone companies offering downloads as a part of pay-monthly packages. Such a service has been announced by Nokia in the United Kingdom, where subscribers can get a year of unlimited access to the Nokia Music Store catalogue.

Although the move has drawn comment from analysts, who believe this could rival iTunes and form a future path for the industry, Lefsetz is again skeptical, saying: "Don't give me any restrictions on when, where or what I can download!"

Lefsetz instead sees the future in a new business model for selling music, which offers the sale of bundled music at cheaper prices.

He predicts it won't be the companies that create the change.

"Somebody under the age of 30 is going to create a trusted model and everybody will go with them. It's not going to be a corporation, it will be an entrepreneur," he said.

Dubber, meanwhile, is not convinced that the music industry will find a new model.

"There's a lot of people trying to find the 'new model'. My thought is that there isn't one. We are not in a period of change that's going to settle into one new thing."

As fresh developments are realized, and the nature of music "sales" transforms, Avalon suggests the way in which we define "successful" records will need to change.

He questions whether it would be fair to celebrate artists only for their album sales when other musicians may not gain the same recognition for having 500,000 downloads from a Web site.

And Avalon's answer: surely not.

@highlight

MySpace Music will allow users to listen to songs from record labels for free

@highlight

Major labels hope new deal will stem flow of declining record sales

@highlight

Experts agree industry needs a new model to overcome P2P file sharing

@highlight

The way in which 'successful' records are defined may change