Washington (CNN) -- The shocking murder last weekend of 16 Afghan civilians -- 9 of them children -- by a U.S. soldier is raising many questions about the war. Coming right after the accidental burning of several Qurans at a U.S. base last month, which sparked mass protests across the country, it seems reasonable to ask: what is coming next?

The sad answer is that there probably won't be a huge public reaction to the killings. The burning of the Qurans -- which the U.S. claims was accidental -- was a fresh outrage to many Afghans.

While the Taliban often claims the U.S. disrespects Islam and wants to destroy it, few Afghans had any real reason to believe that in their daily lives. The Quran burning shocked the Afghan public enough for some political opportunists to whip up protests in response.

In contrast, Sunday's mass murder is not a new outrage for Afghanistan. While the deliberate killing of civilians is (thankfully) rare, many Afghans do not distinguish between accidental and deliberate civilian death.

Last May, U.S. helicopters in Kunar province came under rocket fire from insurgents; in responding they accidentally fired back at what turned out to be children gathering firewood, killing 9.

General Petraeus was quick to apologize for the incident, but nevertheless the reaction in Kabul was angry and resentful: many simply could not believe that children could be accidentally mistaken for insurgents. Sunday's mass killing is still shocking and upsetting -- but it is no longer surprising.

Sunday's mass murder, in other words, is not a game-changing event. The game has already changed, and many Afghans are not surprised when the U.S. kills a bunch of civilians.

Al-jazeera interviewed some of the survivors and uncovered a darker angle as well: one reason the victims did not resist is that they were used to the so-called "night raids" -- nighttime special operations raids on housing compounds. They were so used to Americans kicking in the doors to their homes and even shooting their guns that at first the rampage didn't seem strange.

So where does the war go from here? A huge challenge facing President Obama is that the U.S. is fighting one war while the insurgency is fighting a very different one.

The U.S. war is obsessed with the traditional metrics of warfare: holding territory, killing or capturing bad guys, exacting details of building roads, schools, and hospitals. The insurgency, on the other hand, is obsessed with influence, undermining confidence in the government, and creating the perception that the U.S. is at war with Islam.

Put simply, the U.S. never put in place the strategic and political framework to make much headway in Afghanistan. Despite the renewed push for negotiations with the Taliban, there is no political strategy for the country. There is no end state for the war, either -- right now, the plan is to drawdown to about 20,000 troops or so -- similar to troop levels in 2008 -- and stay that way for the indefinite future. That's not a strategy, and it's not a plan.

Because there is no political strategy for the war -- nothing that takes Afghan and Taliban politics into consideration -- the U.S. has no concept of how to manage or react to the political consequences of incidents like Sunday's rampage. That's why the military was clueless in responding to last month's Quran burnings, or to January's Marine urination scandal, or to the "kill team" in Kandahar last year.

At this point, there is little the U.S. can do to salvage the situation in Afghanistan. Sunday's mass killing is tragic but it is not a game-changing event. Focusing on a long-term commitment to working through Afghanistan politics is a good start -- de-emphasizing the military's role in the conflict and shifting to a politically and socially engaged role would actually address some of these shortcomings.

But shifting Afghanistan from a military engagement to a political one would, by design, extend U.S. operations there. An ABC News-Washington Post poll released Monday shows 60% of Americans no longer think the war is worth the costs. From the public's perspective, the house of cards is falling and the U.S. would do best to just pull out and cut their losses.

Ultimately, Afghans will suffer the consequences -- of Sunday's raid, of the war, of America's withdrawal from the region. Abandoning Afghanistan will impose huge costs in Afghanistan but the last ten years of directionless fighting has left Americans tired and frustrated with a war that seems to go nowhere but down. There needs to be a long-term strategy for the country but, especially now, it probably won't happen.

Join us on Facebook/CNNOpinion

The opinions in this commentary are solely those of Joshua Foust.

@highlight

Foust: Sunday's mass murder is not a new outrage for Afghanistan

@highlight

U.S. soldier slaughtered 16 Afghans in their homes during early hours

@highlight

U.S. officials say it was the work of a lone gunman who is now in custody

@highlight

Foust: U.S. lacks political strategy for Afghanistan after pullout