Brussels, Belgium (CNN) -- The United States is prepared for "any contingency" when it comes to dealing with North Korea, Secretary of Defense Leon Panetta told CNN.

"We're within an inch of war almost every day in that part of the world, and we just have to be very careful about what we say and what we do," Panetta said Wednesday on "The Situation Room with Wolf Blitzer."

During a wide-ranging interview at NATO headquarters in Brussels, Panetta and Secretary of State Hillary Clinton talked about Syria, the Secret Service and North Korea. The two were in Belgium for meetings to prepare for a NATO summit in Chicago next month.

Panetta's assessment of North Korea followed last week's launch by Pyongyang of a long-range rocket. Despite the failure of the launch -- with the rocket breaking apart 81 seconds after liftoff, it drew condemnation from the United States and countries in the region.

When asked whether the threat posed by North Korea kept him awake at night, Panetta said: "Unfortunately these days, there's a hell of a lot that keeps me awake. But that's one that tops the list."

Since the failed rocket launch, there has been speculation that North Korea would carry out a nuclear test -- something it did before following a failed rocket launch.

Panetta said a nuclear test would be considered a provocation and "worsen our relationship," though he refused to discuss specific action the United States would take in response.

International leaders had urged North Korea to cancel the launch, but Pyongyang refused to back down, insisting the operation is for peaceful purposes.

North Korea said the rocket was designed to carry an observation satellite, though the United States, South Korea and Japan said it was a cover for a long-range ballistic missile test. The use of ballistic missile technology is a violation of U.N. Security Council Resolution 1874.

Kim Jong Un, the grandson of Kim Il Sung, became the new head of the secretive regime in December, following the death of his father, Kim Jong Il. The leadership transition has added to uncertainties about Pyongyang's intentions.

"We really are waiting and watching to see whether he can be the kind of leader the North Korean people need. If he just follows in the footsteps of his father, we don't expect much other than the kind of provocative behavior and the deep failure of the political and economic elite to take care of their own people," Clinton said.

Clinton said it was too early to determine if there was a prospect for a shift in relations on the Korean peninsula with the younger Kim, who lived outside of North Korea for a time.

"We believe that he may have some hope that the conditions in North Korea can change. But again, we'll watch and wait," Clinton said. "He gave a speech the other day that was analyzed as being some of the same old stuff and some possible new approach. "

As a result of the launch, the United States has suspended an agreement reached in February to provide food aid to North Korea.

North Korea has been plagued by famine for years and unable to feed its 25 million people. The country lost a million people to famine in the 1990s. A report last year by aid agencies, who were invited to North Korea, found that the food shortage was so severe that North Koreans were being forced to forage for wild grasses and herbs.

"The United States, as you know, was willing to try to reach out to him, which we did," Clinton said. "We had several high-level meetings. We agreed to provide some food aid in return for their ending some of their uranium enrichment and missile development, and they do what has been already termed by Leon (Panetta) and the rest of the world as a provocative action.

"It's hard for us to tell right now, is this the way it will be with this new leader or does he feel like he has to earn his own credibility in order to have a new path for North Korea?"

North Korea had drawn world attention with the announcement of the launch, which came during a two-day nuclear summit in South Korea that brought together leaders from the United States, Russia, China and dozens.

The launch also coincided with celebrations surrounding the 100th anniversary of the birth of its late founding leader, Kim Il Sung.

The regime had invited international journalists and space experts to view the launch pad and the satellite, and called the effort "an inspiring deed and an event of historic significance."

The last time Pyongyang carried out what it described as a satellite launch, in April 2009, the U.N. Security Council condemned the action and demanded that it not be repeated.

When asked about recent comments made by Republican presidential hopeful Mitt Romney who said North Korea's rocket launch highlights the "incompetence" of the Obama administration, Panetta said: "It's pretty clear that this administration took a firm stand."

"The fact is it was provocative, and we have made it very clear to them they should not taken any additional, provocative actions," Panetta said.

"I think that was a clear, strong message that not only our country, but the world sent to North Korea. That's the way, frankly, that United States ought to behave."

On the unrest in Syria, Clinton said it was a "long shot" that Russia and China would change their position and allow for a U.N. Security Council resolution that calls for an end to the violence and a transition of power. Russia and China have previously vetoed resolutions condemning the violence in Syria.

"There doesn't seem to be any willingness on their part to go further than where we are right now. But this is a fast-changing situation," Clinton said.

There are a number of countries concerned about what will happen if Syria descends into a civil war or cause a regional conflict, she said.

"I don't think we're half way through this story yet," Clinton said.

On the alleged misconduct involving prostitutes by Secret Service agents and military personnel in Cartagena, Columbia, Panetta called allegations "disturbing."

"The reason it was disturbing is that whether it takes place in Colombia or any other country or in the United States, expect that our people behave according to the highest standards of conduct," Panetta said.

"That obviously didn't happen here. As a result we're investigating the matter, and as a result of that investigation we'll hold these people accountable."

CNN's Chelsea J. Carter contributed to this report.

@highlight

Hillary Clinton and Leon Panetta sit for a joint interview at NATO in Brussels

@highlight

Panetta says a nuclear test by North Korea would be a provocation

@highlight

He refused to discuss what specific action the U.S. would take against North Korea

@highlight

Clinton says it was too early to know if Kim Jong Un will follow the lead of his late father