Anthea Raymond no longer has to break the law to kayak on the Los Angeles River.

This week, the namesake waterway of the nation's second-largest city opened for unrestricted public recreation for the first time since the 1930s -- when devastating floods prompted officials to close public access to the river and pave its banks with concrete to improve storm drainage, officials said.

Raymond was the third person to paddle a 2.5-mile section that's now wide open for public use. Even the name of this stretch of the 51-mile river captures its natural allure: Elysian Valley.

"My experience was, 'wow,'" said Raymond, who plied the waters as a representative of the Los Angeles River Expeditions and the Los Angeles Kayak Club. "There's always the sound of water. That's what's so awesome."

Unlike other big city rivers -- such as New York's Hudson River or the Chicago River -- the Los Angeles River is more a seasonal desert waterway: It's flush with rapids during the rain season but becomes a modest stream in the hot summer, slowing to a trickle in some places.

Except for guerrilla kayaking by river lovers such as Raymond and others in the expedition club, the concrete-lined river has been strictly off-limits since the Depression era because the river is technically an Army Corps of Engineers flood control channel, officials said.

After public pressure and leadership from a local councilman and the corps' commander, officials at several levels of government created the Los Angeles River Pilot Recreation Zone along a lush segment that features tree-lined islands, vistas of the San Gabriel Mountains and abundant wildlife such as herons, egrets, hawks and kingfishers.

Oasis parks are colorfully named Rattlesnake, Steelhead and Egret. And, yes, there are even fish in the river -- carp, catfish and bass -- and anglers can drop a line as long as they have a state permit.

Opinion: When the audience paddles a canoe to the play

In this recreation zone, the public can launch a kayak, canoe or other nonmotorized boat without a permit or cost, said spokesman Dash Stolarz of the Mountains Recreation and Conservation Authority, which manages the pilot recreation zone. This soft-bottom portion of the river is also called the Glendale Narrows.

The pilot program allows for the open recreation between Memorial Day and Labor Day, a period when local storms are unlikely. Officials expect the program to be renewed in subsequent years, Stolarz said.

Accompanied by government officials, kayakers such as Raymond celebrated the river's opening Monday, and her kayak club even made a video. Raymond, who's in her 40s, compared the Los Angeles River to New York City's Hudson and East rivers, where she took up kayaking. New York's rivers are vastly larger and indeed are major commercial corridors, she said.

The Los Angeles River, however, has a history of ridicule and neglect: A state legislator in the 1980s wanted to build a highway on it. It's better known as the cinematic home for violence and car chases in films such as "Grease" and "Terminator 2." In the 1990s, the conservation group American Rivers placed it six times on the list of the country's 20 most threatened and endangered rivers.

In 2010, however, the U.S. Environmental Protection Agency declared it a "traditional navigable water," allowing for Clean Water Act protections, officials said. The river ultimately ends in the Pacific Ocean at Long Beach, California.

Another maiden kayaker this week, Councilman-elect Mitch O'Farrell, almost capsized during his adventure.

"People were downright giddy to get into a kayak on the Los Angeles River," he said. "Even that 2.5-mile has rapids. It takes some concentration. It's a real river. It does take certain risks."

Alissa Walker, a blogger who wrote about her experience Monday, said she was among a small group of enthusiasts who received federal permits last year for trips on another stretch of the river just to prove it was safe.

Kayakers earn bragging rights in Green River Narrows

Like others, she hopes officials will open other sections of the river to the public.

"'Cool' is a good word for it," Walker said. "The difference about kayaking here is that we're going under major freeways right in the city. That was the most jarring part of the whole experience.

"You never would have guessed we were in L.A. It was so lush. There were so many birds. And it didn't smell, which many people worried about," she said. "There were a couple parts where we had to get out and hop over a rock because it was pretty shallow."

For the past two years, another portion of the Los Angeles River has been open to kayakers for short periods in the summer, but access was strictly limited under permits from the Army Corps of Engineers. Those tours were on a 1.5-mile section in a 2,000-acre park called the Sepulveda Basin Recreation Area, and the permits sold out in a matter of hours, denying large numbers of river lovers a legal chance to ply the waters.

The Elysian Valley section was able to open without restrictions because of government cooperation, infrastructure improvement and public safety measures, said Councilman Ed Reyes, whose district includes the west bank of the river. The city relocated homeless people from riverside encampments, and the bicycling and running trail provides passersby a way to keep an eye on one another, Reyes said.

For Reyes, the river opening is a capstone to a long campaign and elected office career. He's entering his last month of his 12-year tenure on the City Council, forced to step down because of term limits. He's now 53, but he recalls illegally swimming in the river and bicycling its banks as a 10-year-old boy with other youths -- until they discovered how filthy the water was, he said.

About a decade ago, local AM radio shock jocks mocked Reyes' grand vision to revitalize the river: his school-age daughter even came home upset, Reyes said.

But now there's been a shift in the Los Angeles culture and the way Angelenos view themselves. They can truly identify a river in the city, he said.

"They had me in the loony bin talking about my efforts as a mad man," Reyes said of the public mockery against him. "For many years, it's been the butt of jokes and used as a throwaway and undesirable location and used as a backyard.

"Today, it's a front yard," Reyes declared.

15 ways to see the world on water

@highlight

Since the 1930s, the Los Angeles River has been an off-limits flood control channel

@highlight

But this week, officials open a 2.5-mile section of the 51-mile river to the public

@highlight

Now kayakers and others can legally paddle past the islands, birds, fish in the river

@highlight

For decades, the Los Angeles River had been ridiculed as a backwater