(CNN) -- There was a phrase, or so we have long been told, that was heard in occupied Europe during World War II.

It was often said as a whisper, the story goes. It had the sound of a prayer.

The words were so simple, but to people who were feeling utterly abandoned and who needed help, those words meant so much.

Four words:

"The Americans are coming."

Sometimes we forget about the power of those words, and about how, for so long, they defined the real meaning of what this country, at its best, could be.

Sometimes, in the midst of all the bad news, in the midst of the mistakes this country inevitably makes, we lose sight of how much the people of the United States are counted on by those in need.

Which is why the humanitarian efforts in Haiti this month, in the wake of the earthquake, have been a reminder of who we are when we strive to find our finest selves.

The relief efforts have been an international undertaking; the heartache on the streets of Haiti has summoned compassionate and heroic assistance from around the globe, all of it deserving of praise and gratitude.

But the United States has been at the forefront, as it has so often seemed to be in so many places when hope was in short supply. It is almost beyond imagining to think what has been in the terrified minds of the citizens of Haiti who have been without water, without food, without a way to rescue their trapped and dying children. When there is nothing left to depend on, when all is desolation and despair, what must the hungry and the hurt wish for as they look into the empty distance?

Someone to care.

Someone to travel many miles, with the will and the means to heal.

The slowness with which medical supplies and water and heavy equipment have reached the people of Haiti has been thoroughly reported. Some of the results of the relief effort have been troubling, beset by bottlenecks and breakdowns under arduous conditions. But this is not about the frustrations in getting the job done. It is about the American impulse to help.

There is nothing particularly controversial, these days, about pointing out the failings of the United States. You can say just about any derogatory thing about the U.S., and it's not especially shocking. We're used to hearing it.

Already, as the tragedy in Haiti continues to unfold, there have been pockets of harsh criticism of America's efforts to help. French Cooperation Minister Alain Joyandet alluded to the United States "occupying" Haiti instead of assisting it. It is not the first time the United States has been chastised, and it will not be the last. The history of the U.S. involvement in Haiti has not always been a happy or unsullied one.

But perhaps we can take just a moment to think about the honor that is inherent in being the ones who, at junctures like this one, are counted on -- the ones who show up, every time.

During World War II, those four words -- "The Americans are coming" -- referred to the armed forces who had traveled across the ocean to liberate the people the Nazis had enslaved. In times of natural disaster, the context is different.

In Haiti the words refer to the 82nd Airborne, yes, but they also refer to the American doctors who are volunteering their time and risking their own safety to soothe the pain of people they had never before met. The words refer to the American volunteers assisting at Haitian orphanages, not giving up on the children who have no families to comfort them. The words refer to the American search-and-rescue teams who work past the point of exhaustion as they seek signs of the living among the rubble, and they refer to the Americans back home who, during difficult economic times in the U.S., have donated their money to help people who, for now, have no way to say thank you.

The focus of the news will shift soon enough -- that shift has already started. There will be other crises, other major stories. We, as a country and as individuals, will continue to be imperfect.

There will be political squabbles and high-decibel partisan fights. We will at times focus on the trivial and the coarse.

At such times, we might do well to pause and recall the sound of those four words.

And to let the words remind us that, when we set our souls to it, we still can aspire to be the hope of the world.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Haiti aid operation continues tradition of U.S. helping around the world, says Bob Greene

@highlight

He says there were criticisms of the speed of the aid

@highlight

Greene says that the response shows that Americans are eager to contribute and to help

@highlight

He says Americans can still aspire to be the hope of the world