(CNN)When people are faced with overwhelming trauma in their lives, some become consumed by their difficulties, while others emerge stronger for it.  In special circumstances, they may find their destiny, and seek to heal the world and make all of us stronger.

Myrlie Evers-Williams and Sybrina Fulton are two great women whose achievements demand our attention.  Although their personal stories are separated by five decades, these women share parallel lives.  Thrust into a position of leadership for the greater good of society, they have used personal grief over the loss of a loved one to become agents for change.

Each of these extraordinary women experienced unthinkable tragedy: the killing of a black man in their life who was gunned down while still young. Recently, the two women met in person for the taping of a video for CNN and theGrio.

Evers-Williams is the widow of Medgar Evers, the iconic civil rights leader who served as the field secretary for the NAACP in Mississippi.  On June 12, 1963, Evers, who fought against discrimination and segregation and led voter registration efforts, was assassinated by a white supremacist named Byron De La Beckwith, a founder of the state's White Citizens Council.

Evers, 37, was shot in the back while in his driveway after coming from an NAACP meeting. The Mississippi State Sovereignty Commission, a state agency that spied on the civil rights movement and was complicit in the death of civil rights workers, assisted Beckwith's lawyers.  Evers' murder received national attention and was a factor leading to the passage of the Civil Rights Act of 1964.

For the Evers family, the fear of Medgar's murder was ever present.  "Both Medgar and I knew the day would soon be upon us when he would be killed, and that last night that we had together, I said, 'I can't make it without you,' '' Evers-Williams said.  "And he told me 'You're stronger than you think you are.'"

Following her husband's death, Evers-Williams emerged as a civil rights leader in her own right, serving as chairwoman of the NAACP in 1995 and helping to revive what was then a financially troubled, debt-ridden civil rights organization.  She has continued the fight for those things that were important to her husband.

Evers-Williams served on the NAACP board for 30 years and was awarded the organization's Spingarn medal, served as editor of "The Autobiography of Medgar Evers: A Hero's Life and Legacy Revealed Through His Writings, Letters, and Speeches", and through the establishment of the Medgar and Myrlie Evers Institute, she has kept his legacy alive.  On January 21, 2013, she delivered the invocation at President Obama's second inauguration, becoming the first layperson and the first woman to serve in that capacity.

Further, Evers-Williams sought justice for Medgar through Beckwith's 1994 murder conviction, following two trials with deadlocked all-white male juries 31 years earlier. "All of us have a job to do, and mine has been to rear those three children, to be a strong, loving but strict mother, to give to society, to give back to Medgar," she said.

Meanwhile, not unlike Myrlie Evers-Williams, Sybrina Fulton found her calling through grief nearly 50 years later.  Three years ago, on February 26, 2012, Fulton's son, Trayvon Martin, was shot to death by George Zimmerman, a self-proclaimed neighborhood watch volunteer in Sanford, Florida.  Martin, 17, was visiting his father, and Zimmerman, who is a Latino of Afro-Peruvian and German ancestry, claimed Martin looked suspicious and killed the black teen, invoking self-defense.  The police would not arrest Zimmerman for several weeks.

In July 2013, a jury acquitted Zimmerman of second-degree murder.  The case shone the national spotlight on the killing of innocent, unarmed African-Americans such as Martin, who was armed with nothing more than a pack of Skittles and an iced tea.

Sybrina Fulton realized the need to fight not only for justice for her own son, but also for other families and their children as well.  "When this initially happened to Trayvon, we thought this was about Trayvon," Fulton said.  Then, when she saw how many lives were touched by Trayvon's death, she became a voice for the voiceless, like others before her. "We have to speak out for those people, just like Trayvon, and just like Dr. King, and just like Medgar; they were sacrifices for better lives in a better world."

Fulton founded the Trayvon Martin Foundation, and has reached out to others such as the family of Michael Brown, 17, who was fatally shot by police in Ferguson, Missouri, while unarmed on August 9, 2014.  Last year, she testified before the United Nations in Geneva on racial discrimination in the United States.

In addition, Fulton has spoken out against "Stand Your Ground" laws, which are often used to claim self-defense by whites who shoot African-Americans. Zimmerman's lawyers did not raise the stand your ground defense at trial, but a juror admitted the jury had discussed the law before acquitting him.  Further, the judge's instructions to the jury included mention of the law.

In the eyes of many, these laws have ushered in an open season on black men—and women.  "It just amazes me how God is using me to go from that average life, and using me to be a vessel to speak to so many people.  I would not voluntarily give my son's life, and the loss of his life was because of the color of his skin. I feel like I just have to do my part," Fulton said.

Despite the half century separating the death of Medgar Evers and Trayvon Martin, the grieving women-turned-activists have lived and struggled under similar circumstances.  And the more America has changed, the more it has remained the same.

Whether during the Jim Crow era or 21st century America, the lives of black people have been under siege, their bodies devalued.  Then and now, African-Americans have faced lynching at the hands of white men, whether police officers, self-proclaimed cops, vigilantes, mobs or domestic terrorists who were empowered to take matters into their own hands.

History is about change, and yet it represents a continuum as well,  with injustice likely to repeat itself, particularly if society fails to heed its lessons.  As we celebrate progress, we must also acknowledge the relentless nature of injustice, and the need to remain vigilant in order to eradicate it.

The two black women both have faced a fight against what the Rev. Martin Luther King Jr. called unjust laws. The regime of Jim Crow segregation was an attempt to block the full freedom of black Americans and stifle their aspirations, backed by the authority of the government and the courts, and secured through the threat of violence. People such as Medgar Evers were willing to take the risk of becoming martyrs to break down those arbitrary, oppressive laws.

However, today the country is witnessing a backlash against progress, with a rollback of the civil rights legislation of the 1960s, restrictions on the right to vote, and gun laws that endanger black lives such as that of Trayvon Martin.  Unjust laws have turned America into a nation of entrenched poverty and heightened economic inequality, unparalleled gun homicide and the largest prison population in the world.

Meanwhile, in the midst of a nascent, multiracial #BlackLivesMatter movement led by black women, Myrlie Evers-Williams and Sybrina Fulton continue the struggle and teach a new generation of leaders. "Life does go on, but we must never forget that we cannot stop at one point, that it calls us to continue," said Evers-Williams. "And there are young people out there who need to be reached, who need to know what this is about, and who will eventually dedicate themselves to justice, to peace, to equality and to love."

During Black History Month, we are reminded that civil rights martyrs become catalysts for new movements.  And great women lead and transform the world.

@highlight

Three years after Trayvon Martin's killing, his mother meets Medgar Evers' widow

@highlight

David Love: Both women confronted injustice, were made stronger by the trauma they endured