(CNN) -- Planning a road trip vacation can be tricky and downright frightening for people who are susceptible to carsickness.

CNN's Dr. Sanjay Gupta says motion sickness is "paralyzing" and sometimes leaves him "incapacitated."

Once the illness settles in, even the most soothing scenery whizzing past a car window will be no match for the symptoms: nausea, sweating, racing heart and difficulty breathing.

It's a subject all too familiar to CNN chief medical correspondent Dr. Sanjay Gupta, who spoke with CNN.com about his own history of acute carsickness and how sufferers can treat it.

CNN: What happens in the body when someone experiences carsickness or motion sickness?  Watch what you can do to fight carsickness »

Gupta: Basically, everything in your body, all your senses are activating at the same time. If there is some sort of mismatch between your senses, say your eyes are telling you that you're moving -- or not -- and your ears are telling you [the opposite] and for some reason they're not connecting, you start to get what's called disequilibrium, or motion sickness. And it's the body's response of telling you "something is not quite right here."

CNN: So what part of that disconnect is most likely to make you feel motion sickness?

Gupta: The inner ear is probably the biggest culprit, mainly because you literally have these bones in the inner ear and these fluid-filled canals that detect your motion, and they are constantly giving you feedback right to your brain stem about what your position in space is. It's called proprioception, and that is the ability to know your place in space.

CNN: Are there other circumstances, besides riding in cars, which make people feel motion sick?

Gupta: Certainly there are certain things that are designed to do that, big theaters where you feel like you're moving but you're actually stationary in a chair, IMAX theaters for example. Besides car rides, boat rides can certainly do that and are probably the biggest culprit. Amusement park rides, that sort of thing as well.

CNN: Can anyone get motion sickness?

Gupta: You know it's funny, I think that probably anybody could get motion sickness. [When I rode] with the Blue Angels, I was talking to some of the pilots ahead of time, because I know that I'm pretty prone to motion sickness. I have certain techniques that I've taught myself so that I can ward off some of the awful symptoms. But some of the pilots I was talking to said they never -- and these are Naval pilots they go on boats and they fly planes: two things that you could really be subjected to it -- and they said that they've never been motion sick, which I thought was kind of interesting. The trainer of the pilots said all of these guys on their first couple of rides lost their cookies, at least once.

CNN: Are some people more likely than others to get motion sickness?

Gupta: People who have some sort of inner ear problem, we know that that can be an issue. Someone who has difficulty with their vision is more likely to have that mismatch between what they see and what they're feeling in their inner ear. Diabetics -- because they have numbness in the feet -- often times won't be able to tell if they're moving when they are, so they'll get a mismatch. There have been some studies that have shown that genetics play a role so that if your mother gets motion sick, you're more likely to, but ... there's a pretty weak association, genetically.

CNN: What does carsickness feel like for you?

Gupta: It is an awful feeling. It is paralyzing, really, for me. I go to New York a lot, and the ride from La Guardia to Time Warner Center ... it's a quick ride. And I need to be ready to go when I get there. If I'm having a bad ride, I am pretty much incapacitated for a good half an hour, 40 minutes after I get there. And it is all those things: I get sweaty, I feel really sick to my stomach, I feel like I'm going to throw up, I can't think straight, I can't even talk on the phone at that time because any kind of stimulus just really throws me off.

And what's interesting is I never know exactly what to do. I think if the symptoms have already started, then a lot of times I'll try to lie down and close my eyes, basically taking away one of the sensory stimuli, the vision. But you get a lot of starting and stopping and that can make it a lot worse.

So it is pretty bad, and it's actually a real problem. I have to do certain things now. I have to sit in the front seat. Sometimes I'll ask the guys to let me drive. I'll drive even in New York, because I don't get sick when I drive. All your senses are firing on the same level when you're driving the car. I open the windows, even in the colder weather to get some fresh air. That seems to help. Sometimes I will eat something that's calming on my stomach beforehand so I at least don't get the nausea associated with it. It's very problematic for me. It's like a migraine. If I get there, if I allow myself to get to the point where I'm motion sick, then I'm pretty much toast. I'm going to have a bad 45 minutes or so.

CNN: Why is it best to sit in the front seat as a passenger if you get carsick?

Gupta: I do that because you're able to look at those things moving around you, you have much more window space, you're able to have a sense of what the driver's doing. So if the driver's hitting the brakes, you see that happening and it matches up with your inner ear. If you're sitting in the backseat and all of the sudden the driver hits the brakes, you get that queasy feeling in your stomach because your brain wasn't expecting that. Your inner ear is telling you that they hit the brakes, you know that it's happening, you may even clutch the hand rest and stuff, but it takes a second for your eyes to catch up. That whole process can make you motion sick.

CNN: Is there any kind of therapy for motion sickness?

Gupta: Being someone who answers that not only as a doctor but a patient, there really isn't. Motion sickness is something that people -- if you're particularly bothered by it -- might resort to a Dramamine patch, or something like that to get rid of the symptoms, but to have it not actually occur in the first place is a pretty difficult thing to do, particularly through training. The Blue Angels, coincidentally, told me the best therapy for me, was to just throw up. Throw up as quickly as possible. And they were absolutely right, because I tried not to, for the first 30 minutes of the ride, and I was miserable. I kept turning the fans on because I was starting to get that cold sweat, and then I threw up and I felt a thousand times better.

CNN: Why are antihistamines and antimuscarinic drugs used for motion sickness?

Gupta: They're all basically designed to prevent the nausea part of it. For the diaphoresis and the sweating and all that, they're not going to help you that much. You have different receptors -- histamine and muscarinic receptors. Once you have these chemicals released in your body for whatever reason, they trigger those receptors. Histamine will cause you to release acid into your stomach, it will cause your skin to turn red, it feels like an allergic reaction. Muscarinic is sort of a similar thing, it's a different type of receptor but it's similar. But they do the same thing, they sort of quiet your stomach, quiet some of the symptoms associated with motion sickness but they don't really take care of the cause of it in the first place.

CNN: So what can people do to alleviate carsickness on road trips -- either for themselves or for people they're riding with?

Gupta: I have two kids and we take road trips, and I will tell you that the DVD player can be a double-edged sword. It's great because it keeps them quiet even for just a little bit. My younger one, I know, is prone to motion sickness, and she wants to watch the DVD, but it's the worst thing you can do. It's stationary and everything else around you is moving.

[To avoid getting carsick] keep your head up as much as possible. Point out the beautiful scenery outside because it's moving with you, so that's a good thing. Get as much fresh air as much as possible. Try not to eat any particularly spicy foods, especially when you're on road trips. Blander, drier foods, those are going to be good things. Soda water is a really good thing, clear sodas if possible. Heat tends to worsen the symptoms, so if it's too hot to have the windows open and you can afford to have your air conditioning on these days, try and run your air a little bit. And get the kids and elderly people in particular out of the car as much as possible. Get them on terra firma from time to time, that also helps.

@highlight

Dr. Gupta: Fighter pilots said the "best therapy for me ... was to just throw up"

@highlight

Car sickness caused by mismatch between senses, Gupta says

@highlight

Big culprit: Watching DVDs during road trips

@highlight

Treatments: Keep head up, get fresh air, drink clear soda water, exit car