(CNN) -- This is Linda DeRegnaucourt's last summer off. When school starts in August, it will be her last year to think about high school classes, advanced placement tests and calculus.

If all goes as planned, this will be her last year teaching at Palm Bay High School in Brevard County, Florida.

She doesn't want to go. After 13 years of teaching high-level math, she has a tested stable of learning methods that helped all her students pass the AP calculus exam. Her room is a popular place for students to escape the drama of the high school cafeteria. Few jobs can indulge her excitement for linear functions and matrix calculus.

"I hate to have to leave it," DeRegnaucourt said. "I really thought I was going to be that teacher, 65 years old and retiring from the education field. That's not going to happen."

She's quitting, she said, because she can't afford to stay.

Two years ago, a divorce left 47-year-old DeRegnaucourt with a single income. Rental properties she owned only caused more financial strain as Florida's real estate market fell apart in recent years. Despite her years of experience, she earns $38,000, she said, less than she made in the past, when teachers received larger supplements for additional certifications.

Once she made a budget, she realized she didn't make enough money to cover her expenses and save for her future. Changing careers felt like the only wise financial move, she said.

DeRegnaucourt isn't the only one.

Attracting the best students to teaching -- and keeping them -- is tough for schools across the country. Average starting teaching salaries are $39,000, and rise with experience to an average of $54,000, according to "Closing the Talent Gap," a 2010 report by McKinsey & Company. Teacher salaries can't compete with other careers, the report said, and annual teacher turnover in the United States is 14%. At "high-needs" high schools, it is 20%.

The Organization for Economic Co-operation and Development data from 2007 said the United States ranks 20th out of 29 for starting teacher salaries, and 23rd out of 29 for teacher salaries after 15 years.

But it's not just the pay, DeRegnaucourt said, "It's the way we're treated."

Her colleagues have waited until just before school starts to learn what courses they'll be teaching, she said. Uncertainty makes it impossible to prepare, hard to succeed.

"Five years ago, 10 years ago, kids would ask me, should they become teachers? I was like, 'Oh, God, yes, I love what I do,' " she said. "Now, I tell my kids, 'You're really, really bright. Why don't you think about going into (this or that?)' They have the potential to be doctors, lawyers, nurses, CEOs and scientists . Why would I recommend to my kids, who I absolutely love, to struggle for years?"

This year, she's finishing the prerequisite courses needed to enroll in nursing school. DeRegnaucourt hopes to spend a couple of more years learning, then work in emergency care nursing to gain experience.

"It's challenging," she said, "but there's not a whole lot that's more challenging than doing upper level mathematics."

Here's what DeRegnaucourt had to say about her decision to leave teaching.

CNN: Why did you go into teaching?

DeRegnaucourt: When my son was 6 years old, the school system that he was in in Georgia, it did not allow the teacher to take her planning days unless she could find a volunteer sub. She had to ask for parental volunteers. I told her at the beginning of the year, 'I work at night. I'll take every single one of your days. I can substitute for you.' I really enjoyed working with the kids. Then I read an article in the paper, and it said that (most) boys get the same educations as their mothers. I had not gone to college. I wanted my son to be college educated. It was time for me to go back to school.

I knew that math was an area where I would never, ever worry about getting a job as a teacher. If you're in math or physics or chemistry, you can write your own ticket.

CNN: Had you always been interested in math?

DeRegnaucourt: I was not a good student in high school. I really needed a teacher to take me under their wing and go "Look, you have potential." I didn't have that teacher. I missed a lot of school. You can't be good at math unless you are present to learn it.

When I went back to school, my first math class was pre-pre-college math ... you didn't even get a grade for it, you just got pass or fail. I remember starting in negative numbers; I never even knew negative numbers existed, except in my checking account. Whatever I did learn in high school, I had forgotten. I was 29 years old. I had been out of school for 11 years.

I had a teacher for developmental math named Ms. Sifton, and she was amazing. Out of my entire career, she was the best math professor I ever had. I loved math.

CNN: Did that influence how you teach?

DeRegnaucourt: I didn't take Ms. Sifton for granted. The way she made it so elemental, and gave me that strong base to go ahead and succeed. What I have found is most people aren't awful at math, even if math is not your strength. You can be successful, given the right mentor. It definitely influenced the way I teach.

I have always had a very open relationship with my students. I don't believe I deserve respect because I'm older. I deserve it because I've earned it, and you deserve it because you've earned it.

The majority of the really, really amazing techniques I have came from students. I worked summers for years. I taught a six-week class where students could either remediate or jump ahead. You taught it for an eight-hour day. I had a young man, Victor Rodriguez. He came up to me, "Ms. D, we're just learning and learning and learning. We're just forgetting and forgetting and forgetting. We need to practice it." I asked "What do you think we should do?" He said, "I think we need to go to the boards." Every day, except on test days, my kids go to the board (to work math problems in front of each other). If they finish and they get it right, I give them a thumbs up and they go help another student.

The best teaching technique I have -- it came from Victor Rodriguez.

CNN: Why did you decide to leave teaching?

DeRegnaucourt: I have had to learn how to budget. In those thoughts, I came to the realization that the money I make isn't enough. It isn't enough to live alone. That realization was daunting. As educators, we make what we make, nothing more, nothing less. In industry, if I'm valuable, my company can keep me by making the package they offer me more attractive. In education, the principal's hands are tied. You just never know what the future holds. I still need to plan for the future.

CNN: Why did you choose nursing?

DeRegnaucourt: I'm happiest when I feel like I'm making a difference in another individual's life. There are other things I could do. I could take actuarial exams. I could easily pass those; it's math. Do I want to be an actuary, doing risk assessment for an insurance company with no human contact? No, thank you. What's really amazing is that nurses, with a two-year degree, make $20,000 more than I do.

CNN: How did your students react when they learned this would be your last year teaching?

DeRegnaucourt: My students were the first ones to know. One student comes to mind: Just the other day, he e-mailed and asked me to call him. He wanted to confirm again I would be there next year. The ones who were leaving, they don't care. I've already done for them what I needed to do. My juniors moving up to calculus, they were distraught. They know I know what I'm doing. They know what it's like to have a teacher who doesn't know what they're doing. They've all had bad teachers. We all have.

CNN: What do you hope your students take away from their time in your classes?

DeRegnaucourt: Kids come into my classroom, and everyone thinks they're all math geeks. They're not. I have so many kids who take my class because they want the calculus credit for college, but they're not the kind of kid who could go to a college calculus class and meet with success. I want them to get a love not of mathematics, just knowledge, just learning. I want them to always remember how anything was possible.

@highlight

After a successful 13-year teaching career, Linda DeRegnaucourt plans to quit.

@highlight

She earns about $38,000 per year -- too little to cover expenses, she says

@highlight

Nationally, attracting the best students to teaching is hard because of low pay.

@highlight

DeRegnaucourt plans to pursue nursing, which is likely to pay $20,000 more per year.