(CNN) -- Until recently, fears of peak oil and dependence on Middle Eastern suppliers were the key factors shaping our energy policy, pushing governments to scramble for fossil fuel alternatives. Then came shale gas, tar sands, and other unconventional sources. Industry found ways to affordably extract fuel for decades to come. So many are now imagining an end to the energy crisis. That's a dangerous mistake.

First, even the most optimistic predictions leave our grandchildren exposed to an uncertain future. More immediately -- and maybe more importantly -- burning fossil fuels is the number one cause of global warming and its catastrophic consequences.

We need to innovate alternative energy sources now more than ever ... and our choices are limited. There are few viable options that will preserve the levels of prosperity that modern industrial economies have come to expect.

Solar, advanced nuclear fission, and fusion offer the best hope but, unfortunately, none are ready for large-scale deployment. All need time-consuming innovations so we cannot afford to hesitate; research must be ramped up across the board and government must keep up the pace.

Of our three most promising technologies, fusion would be the biggest prize. It is in many respects the perfect energy source. Sea water provides millions of years of fusion fuel. Fusion reactions are safe, they emit neither radioactive waste nor greenhouse gasses and fusion reactors would take up relatively little space.

The catch is fusion is very hard to do. Two isotopes of hydrogen (deuterium and tritium) must be held at 200-million degrees until they collide and fuse to make helium. It is not easy to build a device that runs at ten times the temperature of the Sun, but it is possible.

In fact, the European experimental facility, JET -- hosted in the UK, has already done it. For a couple of seconds, it generated 16 megawatts of fusion power -- enough to supply around 8,000 homes. This is an astonishing achievement. We must now extend that duration and power and innovate technologies to make fusion electricity at a price that the consumer will pay.

We're working flat out on the first of those goals. Seven international partners representing more than half the world's people are constructing the critical experiment right now in Southern France. Called ITER -- it is designed to reach a self-sustaining fusion burn -- the last scientific hurdle to fusion power. Construction will complete in 2020 with a fusion burn expected by 2030.

There are other approaches to fusion -- for example the laser experiments at the National Ignition Facility in California -- but for many of us in the scientific trenches, the fusion burn on ITER is expected to be the defining moment.

But what about our second objective of economic viability? ITER isn't meant to achieve that goal. In addition to clearing our last remaining scientific hurdle, we need to advance a parallel engineering agenda into key reactor technologies that will enable commercial fusion power plants to reliably deliver electricity in a highly competitive market.

This means technological advances in areas such as structural and functional materials, power conversion, and reliability. China and Korea are on the job but the U.S. and Europe are reluctant to face the engineering issues. Certainly, cost increases on ITER haven't helped. If we continue to starve the technological research agenda of funds, however, we risk delaying fusion power and ceding technological leadership to China and Korea.

It goes without saying that resources are limited in our recession-ravaged economies ... but disinvesting in seed corn is obviously self-defeating.

What can we afford? The world energy market is approximately €5-€10 trillion ($6.5-13 trillion) a year. The total world spend on energy research is about 0.5% of this -- strikingly low. Fusion research including ITER construction is less than €1.5 billion ($2 billion) a year -- not even 0.05% of the market.

We are, it seems, not taking the threat of climate change and energy shortages seriously. In this context, the roughly €200-500 million ($260-650 million) per year needed to vigorously pursue the parallel track of technology innovation in fusion seems absurdly small.

We often hear that Thomas Malthus' dire predictions about population growth were wrong because humans innovated solutions to food shortages. Will we innovate ourselves out of our long-term energy constraints too? Only if we sufficiently fund alternative energy research now.

The opinions expressed in this commentary are solely those of Steven Cowley.

@highlight

Fusion power is, in many ways, the perfect energy source, says Steven Cowley

@highlight

Few viable energy options will preserve prosperity in modern industrial countries

@highlight

Experiments at ITER in France aim to create fusion power by 2030

@highlight

More alternative energy funding and research required to help solve energy crisis