The U.S. military races to the moon to build a base -- to beat the Russians to the punch. Maybe test a nuclear weapon on the surface. Consider a lunar-based bombing system to target earthbound foes.

That was the plan in the 1960s, according to declassified national security documents released this week -- some of them stamped as "SECRET."

Today those schemes may sound as outlandish and dusty as a relic black-and-white episode of "Space Patrol."

But consider this:

Currently, a vision of sending humans to Mars has begun to form in our collective imagination. Technological advances are swelling our anticipation of touching that dream in a decade or two.

And already, the wild idea has sprouted of sending up a crew to Mars who would die there.

Hold that mindset.

Now, transport it back 55 years to the Cold War, when rockets born out of World War II had grown into skyscrapers with such enormous power that it was becoming clear they would put a trip to the moon within reach.

It was only a matter of time before humans would set foot on a celestial body for the very first time.

But the same rocket technology made for intercontinental ballistic missiles tipped with nuclear warheads, propelling an arms race against the West's opponent, the Union of Soviet Socialist Republics.

One slip could result in a global nuclear holocaust.

Neither side wanted to get behind, and in 1959, the Soviet Union was already ahead in the space race -- putting the first unmanned spacecraft on the moon, the Luna 2.

Protecting the American way

The U.S. Army brainchild "Project Horizon" was born.

Its proposal to leap beyond the Soviets opened with the line: "There is a requirement for a manned military outpost on the moon."

The paper argued that it was imperative for the United States to develop and protect its potential interest on the Earth's natural satellite -- and to do so quickly to protect the American way of life.

"To be second to the Soviet Union in establishing an outpost on the moon would be disastrous to our nation's prestige and in turn to our democratic philosophy," the paper surmised.

It should have the kind of priority and authority given to the Manhattan Project, which developed the atomic bomb, the Army said.

"Once established, the lunar base will be operated under the control of a unified space command." The space around the Earth and moon would be considered a military theater.

Lunar nuclear power plants

After a thorough justification of the scientific, political and military need for the base, the proposal -- two documents and more than 400 typewritten pages -- calculated out the details of what could be done on the outpost and what it would take to make it reality.

It offered graphs and mathematical formulas; considerations for low gravity and magnetic field, lack of water and air, and ballistic dynamics on the moon's surface; and design drawings of spacecraft, lunar bulldozers, modular moon cabins and special space suits.

It contained photos of the moon with desirable spots for a colony mapped out on them.

Project Horizon would start out with 10 to 20 crew members on a mission to build a somewhat self-sustaining colony capable of producing its own oxygen and water.

Supply ships would bring the rest. Page after page was dedicated to the future capabilities of the Saturn rockets that would boost the supplies there.

With expansion would come lunar nuclear power plants.

Construction of the basic outpost would start in 1964 and be completed five years later.

The visions were a bit ahead of schedule. Humans did not land on the moon for the first time until July 1969. And in the end, it wasn't the military, but NASA that sent them there.

Lunar nuclear detonation

The nuclear arms race was omnipresent in the '60s, and Project Horizon made room for its possible expansion to the moon. It pondered the pros and cons -- scientifically, militarily and psychologically -- of detonating a nuclear device on the moon or nearby.

And it reflected on the possibility of using nuclear weapons in space.

Technological advances accelerated the Cold War and the space race through the 1960s, and U.S. military and intelligence agencies expounded in further papers on how the moon could be used for military purposes or intelligence gathering.

George Washington University has collected the papers and published them on its National Security Archive website.

The U.S. agencies also documented their space rivalry with the Soviet Union, how U.S. intelligence picked up Soviet anti-ballistic missile radar images, when their signals reflected off the moon.

Intelligence officers feverishly studied Soviet space capabilities and intercepted pictures their spacecraft signaled back to Earth.

And in 1967 the CIA documented how operatives "borrowed" a Lunik space capsule, analyzed it and returned it to the Soviets.

The purpose of a nuclear detonation near or on the moon would be for show, a document said.

Its "foremost intent was to impress the world with the prowess of the United States."

The security archive said that Air Force leaders scrapped the idea after deciding that it was too risky.

In 1967, the U.N. adopted the Outer Space Treaty banning the use of nuclear weapons from space -- including from the moon.

Out of this world: The best selfies from space

Buzz Aldrin: After moon, next stop Mars

Britain's spaceport ambitions revealed

@highlight

"Project Horizon" proposed a leap beyond the Soviets in the space race

@highlight

The U.S. Army said a military base on the moon was a "requirement"

@highlight

Military officials considered the detonation of a nuclear device near the moon

@highlight

The military outpost was to have bulldozers, cabins, nuclear power plants