(CNN) -- Hong Kong's narrow streets were once a dazzling gallery of neon, where banks and even bordellos plied their trade under sizzling tubular signs.

But while the city's nights remain bright, its fluorescent facades are fast disappearing as science and safety concerns make them obsolete.

The lights are unlikely to go out completely, however, thanks to a new museum that hopes to preserve Hong Kong's colorful past so that it can illuminate generations to come.

M+, a state of the art "visual culture" museum due to open in 2017 has already acquired two classic 1970s neon logos -- one depicting a red rooster and the other a large cow.

Now it's seeking public help to keep Hong Kong's neon heritage ablaze.

Light bulb moment

Aric Chen, head curator of the museum's art and design section, came across the rooster sign, the well known mascot of Hong Kong's Kai Kee Mahjong schools, in 2013 while touring an area earmarked for redevelopment.

That was to prove a light bulb moment.

"It was a no-brainer for us to collect neon signs," he says.

"They are a marriage of craft and technology, as well as typography and graphic design.

"They are used by artists and filmmakers as a lens for us to look at Hong Kong visual culture."

To drum up interest in its new acquisition, M+ is holding an online exhibition of Hong Kong's neon signs.

The show calls on the public to submit images and information on their favorites.

The crowd-sourcing approach is more than just a digital-era gimmick -- it's a necessity.

"Neon signage is a highly under-researched topic," says Chen.

"We are asking the public to tell us what they know about them so we can document what is left."

Fading neon glory

The museum's spotlight on neon is well timed since the signs are rapidly becoming obsolete in Hong Kong, unlike 30 years ago when they supported a thriving industry.

"There were so many orders we almost couldn't handle it," veteran neon craftsman Leung Lap Kei says in a video documentary by M+.

Those neon glory days are gone.

William Tam, the second generation owner of Hong Kong signmakers Nam Wah Neonlight & Electrical Manufacturing, says orders have decreased by 85% since the 1970s.

One reason is a government crackdown on illegal and unsafe structures that in 2009 led to the removal of about 5,000 signboards, many of them neon.

"In the 1980s, whenever we had a serious typhoon, several signs would get blown down," recalls Lawrence Yau of Hong Kong's Urban Renewal Authority (URA).

"There has been an official campaign as early as the 1980s to remove illegal signage. This wasn't only due to safety concerns. Many of the signs removed in Mongkok and Yau Ma Tei districts were also related to prostitution."

The neon cow that will enter the M+ collection was deemed unfit as, at 4.5 meters wide, it busts official size limits.

In 2010, authorities issued an ultimatum to the owner of Sammy's Kitchen, the steakhouse where the cow had been hanging for three decades, to take it down or face a fine of up to HK$200,000 ($25,000) and a year in jail.

Yau, a curator for Hong Kong's Heritage Museum before taking up post at the URA, is sorry to see the cow go, but says: "Life has to move on. Today's design is tomorrow's history."

Buzzing bulbs

Perhaps the biggest enemies of neon are its own idiosyncrasies.

The lights are tricky and expensive to make, requiring a neon tube-bending technician and, for something like the neon cow, a budget of HK$250,000 ($32,225).

Plus, that classic neon sign buzzing sound gets on some people's nerves.

The city's streets continue to be bathed in fluorescence -- so much so that it's considered the most light-polluted place in the world.

But these days, Hong Kong business owners who want their brand name up in lights opt for cheaper, energy efficient LEDs that lack the whimsy and extravagance of handmade neon.

A push from mainland China to use LEDs has also dimmed Hong Kong's love of neon.

"Many cities in China no longer support neon signage and this inevitably affects Hong Kong's businesses," says Tam.

Since LED light is harsher than the soft glow of neon, it's a trend that has worsened Hong Kong's light pollution.

It also creates other environmental issues since LEDs, unlike neon, aren't normally repaired or reused.resurrects

But the neon lights aren't going out for good.

"It's fairly safe to say neon's heyday is over and not coming back," says Chen.

"However, it is such a compelling medium and holds so many associations that artists, designers and filmmakers will continue to use it in their work.

"Neon is increasingly being seen on its own terms. In terms of quantity, neon will recede. In terms of content, it is almost growing."

@highlight

Hong Kong's newest museum now owns a rooster and a cow sign

@highlight

Neon production has decreased by 85% since 1970s

@highlight

Unauthorized signs can lead to HK$200,000 fine and jail

@highlight

China pushes the use of LED lights over neon