(CNN) -- In 2012, when people build farms on Facebook, kill pigs on their phones and gun down mutant space aliens on their home consoles, how do you define the word "gamer"?

It's not so easy, is it?

The evolution of that question factors deeply in the plans of game hardware manufacturers and software development companies heading into this week's Electronic Entertainment Expo (E3) in Los Angeles.

The annual convention, which kicks off Monday with a handful of press announcements, acts as a launching point for new games and improved gaming hardware in advance of the fall and holiday buying seasons. Because being a gamer has grown from someone playing for hours on a console to include people who may play only for short periods on a smartphone or tablet, designers and developers are scrambling to meet changing demands.

In responding to this evolution of gamers, the companies say they have very distinct ideas about who they want to reach and how. Perhaps not so strangely, the player split -- between so-called traditional gamers and more casual ones -- begins in the living room.

Wii U, 'Halo 4' boost anticipation for E3

I spoke with five prominent gaming companies -- Sony, Microsoft, Electronic Arts, Bethesda and 2K Games -- who will be pulling back the curtain at E3 on their latest and greatest titles, features and plans. While they offered no big spoilers, they did explain how targeting different types of gamers weighed heavily into their decisions for E3.

A fractured market

Some game makers are continuing to build powerhouse franchises, such as the "Call of Duty" series, that take hours to play. Others, like Electronic Arts, are leaning in the other direction to develop shorter, intense experiences -- sometimes with stand-alone titles or as smaller pieces of a larger game.

"We're going to be where the consumers are and, right now, they are basically everywhere," said Patrick Soderlund, executive vice president of EA Games Label, referring to the growth of mobile and social gaming. Soderlund said EA will be showcasing five console games during their Tuesday press conference, and most of the games will be deeply integrated with other products.

"We treat our games as a service," he said. "We continue to listen to what consumers are telling us and what consumers want more of."

Sony is also prepared to broaden play beyond the traditional console, with software enhancements and games for its PS Vita handheld device. The company wants its PlayStation experience to be available at all points in the gamer's life.

John Koller, director of PS Vita marketing, said the Vita is a foundation of Sony's strategy. Consumer trends since the handheld console's launch in February show an appetite for small, indie games that take less time to play, he said.

"'Escape Plan' is a good example of what I think we are going to see more of -- unique, Vita-specific content," he added, referring to the puzzle game that launched with the Vita.

Targeting core gamers

If Sony and Electronic Arts want to capture gaming on the move, other companies want to appeal to gamers who want to stay inside. These companies recognize that mobile and social gaming are growing, but that doesn't stop them from pitching their games at core gamers.

Microsoft is expected to show off enhancements to its Kinect motion controller, which the company hopes will transform the Xbox from a gaming device into an entertainment center for the entire family.

"From games to movies, TV and music -- how can we expand our footprint in that area?" said David Dennis, Xbox product manager. "What you'll see from us at E3 is certainly an expansion of that. We've got some amazing partnerships lined up to fully round out the different options of entertainment."

Two software companies, Bethesda Softworks and 2K Games, are positioning themselves at E3 to attract those players who want lengthy, immersive games that can take days to complete.

Pete Hines, vice president of public relations and marketing for Bethesda, said their big titles for E3 are designed with the heavy-duty player in mind. Two of them are "Elder Scrolls Online," a massively multiplayer online game with a medieval setting, and "Dishonored," a new stealth action game with a steampunk look.

"People like to play good games," Hines said. "We tend to focus more on that as opposed to what is our lineup of social games, what is our lineup of mobile games. That really isn't what Bethesda is about. We're not going to ... try and be somebody we're not because that's the new buzz in that type of gaming or audience," he said.

5 games to watch at E3

Christoph Hartmann, president of 2K, believes their E3 lineup of games will appeal to the type of gamer who wants to spend a lot of time playing. Their three titles -- "Borderlands 2," "XCOM," and "Spec Ops" -- are existing franchises with deep fan bases.

"I think people are going for deeper and longer experiences," he said. "Compare it to restaurants. Some people want a McDonald's world and others want a AAA Michelin star-rated restaurant. I think people really want to be engaged long term in a franchise or title."

So whether you want to spend hours gaming on a TV screen or just minutes on a smartphone, E3 is poised to show you new experiences. The trade show runs through Thursday and offers something for every gamer -- even if you don't stay in your living room to play.

@highlight

Game developers must decide which kind of gamers to target

@highlight

This schism will be on display this week at the Electronic Entertainment Expo

@highlight

Game exec: "We're going to be where the consumers are ... they are basically everywhere"