Washington (CNN) -- Attorney General Eric Holder made clear Thursday that the Obama administration recognizes the authority of federal courts, including the Supreme Court, to rule on whether the 2010 health care reform law or any other laws passed by Congress are constitutional.

The declaration by Holder came in a letter to a federal appeal's court that had ordered the government to respond by Thursday in a legal and political spat over the health care law championed by President Barack Obama.

The attorney general personally met the deadline with a three-page, single-spaced letter-- following the specific instructions of the 5th U.S. Circuit Court of Appeals, which is hearing a challenge to the health care law.

Holder's letter affirmed the government's stance that federal judges indeed have the authority to decide the fate of the 2010 Affordable Care Act -- and any other law Congress passes.

"The power of the courts to review the constitutionality of legislation is beyond dispute," Holder said.

Read the letter (PDF)

His personal involvement in crafting the response signaled the issue's hot-button importance within the administration four days after Obama made controversial remarks that advised the Supreme Court not to take an "unprecedented" step by overturning the health care reform law.

Obama and the White House have since attempted to clarify the president's initial comments, which were in response to a reporter's question about the Supreme Court's three days of hearings on the health care law last week.

However, Holder's letter made clear that the substance of Obama's remarks were in line with the administration's recognition that the high court has the power of judicial review.

"The President's remarks were fully consistent with the principles described herein," concluded Holder's letter.

The dispute involving the court and the executive branch has highlighted the political dispute over whether the health care law will survive various legal challenges, including the pending Supreme Court decision on the constitutionality of a key provision. The high court's ruling, expected in June, would take precedence over any other courts hearing similar appeals.

The outcome of the health care cases in an election year could have a lasting impact on Obama's re-election chances as well as the credibility of the federal courts, which are supposed to be beyond politics.

On Monday, Obama said he was "confident that the Supreme Court will not take what would be an unprecedented extraordinary step of overturning a law that was passed by a strong majority of a democratically-elected Congress, and I just remind conservative commentators that for years, what we've heard is, the biggest problem on the bench was judicial activism or a lack of judicial restraint, that an unelected group of people would somehow overturn a dually constituted and passed law."

Some conservative critics interpreted those remarks as a challenge to judicial authority, suggesting Obama was putting political pressure on the high court.

A day after the president's initial remarks, the three Republican-appointed appellate judges held a hearing on a challenge to the health care law from physician-owned hospitals.

Judge Jerry Smith, a Reagan appointee, was especially tough on a Justice Department lawyer defending the law and specifically mentioned the Obama remarks from the day before.

"I'm referring to statements by the president in the past few days to the effect, and I'm sure you've heard about them, that it is somehow inappropriate for what he termed 'unelected' judges to strike acts of Congress that have enjoyed -- he was referring to, of course, Obamacare -- to what he termed broad consensus in majorities in both houses of Congress," Smith said.

"That has troubled a number of people who have read it as somehow a challenge to the federal courts or to their authority or to the appropriateness of the concept of judicial review," Smith continued. "And that's not a small matter. So I want to be sure that you're telling us that the attorney general and the Department of Justice do recognize the authority of the federal courts through unelected judges to strike acts of Congress or portions thereof in appropriate cases."

Government lawyer Dana Lydia Kaersvang appeared initially taken aback, but replied such authority has existed for centuries.

Nevertheless, Smith and Judges Emilio Garza and Leslie Southwick then ordered the Justice Department to submit by noon Thursday Texas time a three-page, single-spaced letter addressing whether the Obama administration believes courts do indeed enjoy that power.

In a sign of the political nature of the imbroglio, Smith's phrasing in open court of the law as "Obamacare" used a term coined by opponents of the law.

Holder's letter Thursday offered repeated deference to the power of the federal courts. He said the Justice Department "has not in this litigation, nor in any other litigation of which I am aware, ever asked this or any other court to reconsider or limit long-established precedent concerning judicial review of the constitutionality of federal legislation."

Legal analysts say the administration is walking a fine line in trying to tamp down criticism from legal and political circles.

"There are two things going on, of course," said Thomas Goldstein, a prominent Washington attorney, law professor, and publisher of SCOTUSBLOG.com. "First, Holder (in the letter) says that we have an argument courts can't hear this case. Second, if you can hear the case, you certainly have the power to invalidate part of the statute as constitutional. But (he says) you shouldn't do that lightly."

The last part of Holder's letter "is how they are framing the president's point -- that the courts need to give the elected branches deference," Goldstein added. "It's a respectful letter, but it has an element of, 'What are you talking about, the president never said that.' "

The specific issue before the appeals court was a provision in the health care law restricting doctor-owned hospitals from expanding their facilities. The challenge was brought by an East Texas spine-and-joint hospital, and the case is separate from the cases being considered by the Supreme Court.

After his initial remarks Monday proved controversial, Obama sought to clarify them Tuesday.

"The point I was making is that the Supreme Court is the final say on our Constitution and our laws, and all of us have to respect it, but it's precisely because of that extraordinary power that the court has traditionally exercised significant restraint and deference to our duly elected legislature, our Congress," Obama said. "And so the burden is on those who would overturn a law like this."

The imbroglio continued Thursday, with Senate Minority Leader Mitch McConnell, R-Kentucky, using a Rotary Club speech in Lexington to tell Obama to "back off" and let the courts do their work without political interference.

"The president crossed a dangerous line this week. And anyone who cares about liberty needs to call him out on it," McConnell said. "The independence of the court must be defended. Regardless of how the justices decide this case, they're answerable, above all, to the Constitution they swore to uphold. The fact that this president does not appear to feel similarly constrained to respect their independence doesn't change that one bit. So respectfully, I would suggest the president back off."

Even Obama's former Harvard Law School professor and mentor, Laurence Tribe, said the president "obviously misspoke," telling the Wall Street Journal that "I don't think anything was gained by his making these comments and I don't think any harm was done, except by public confusion."

Meanwhile, White House Press Secretary Jay Carney faced skeptical reporters Thursday just before Holder's letter arrived at the appeals court.

Carney said it was "preposterous" to suggest Obama does not respect the power of courts to rule on the constitutionality of legislation.

"It is kind of ridiculous to believe that the president wasn't talking about the context of the (health care) case, but I completely concede that he did not describe the context when he took the question and answered it on Monday," Carney said.

Two years ago, Obama attracted similar outcry when he criticized the high court's conservative majority for striking down a campaign finance reform law, giving corporations greater power to spend in federal elections.

Some conservative legal sources privately expressed disappointment in the appeals court's order this week, saying it appeared punitive and petty to demand the Justice Department defend a position it had never disputed in court.

"It was like he (the judge) was giving a homework assignment to an unprepared student," said one right-leaning lawyer, who opposes the health care law. "It has the effect of putting the judiciary on the defensive, and could give rise to concerns the courts will look at the law from a political, not constitutional, perspective."

The Supreme Court held three days of oral arguments on the health care last week. The justices have not, and by custom will not, comment on pending appeals.

Their written opinions, due in the next three months, will be the final word on the Affordable Care Act's constitutionality, particularly the "individual mandate" provision that requires most Americans to have health insurance by 2014 or face a financial penalty.

CNN's Brian Todd, Dugald McConnell and Tom Cohen contributed to this report.

@highlight

NEW: Sen. McConnell says President Obama should "back off" on the issue

@highlight

NEW: The White House acknkowledged Obama's initial remarks lacked context

@highlight

Attorney General Holder says federal courts have the power to review laws

@highlight

The Supreme Court is deciding whether to rule the 2010 health care law unconstitutional