(CNN) -- Here at an international gathering of Japan specialists currently underway in Ljubljana, Slovenia, the actions of Japanese Prime Minister Shinzo Abe in honoring his country's war criminals have come in for sharp criticism.

Nobody attending the European Association of Japanese Studies conference seems surprised, but I have yet to meet anyone who thinks Abe has done Japan any favors.

One attendee suggests that, in sending a personal message to a ceremony commemorating Japan's war criminals, Abe has yet again handed a strategic gift to China and South Korea, while making Japan look churlish about its war responsibility.

Another said that if Chancellor Angela Merkel made a similar gesture repudiating the verdicts against Nazi war criminals at Nuremburg, her political career would end and Germany would face strong condemnation and isolation in Europe.

So yet again Prime Minister Shinzo Abe has scored an own goal on history through sending a message to the ceremony, held at the sacred site of Koya-san in the mountains of Wakayama in April this year.

'Foundation of the fatherland'

The site is the heartland of the Shingon sect of Buddhism and is designated as a UNESCO World Heritage site.

The ceremony is held annually at the Okunoin cemetery, where there is a statue inscribed with the names of 1,180 war criminals, including the 14 Class-A war criminals enshrined at Yasukuni Shrine in Tokyo.

The statue was erected 20 years ago with the explicit objective of restoring the honor of these war criminals and honoring their sacrifice "for the foundation of the fatherland."

An inscription on the statue decries the punishment of war criminals by the Allied powers as "a harsh and retaliatory trial never before seen in the world."

Abe's message was read out at the ceremony on April 29 this year, but only came to light this week.

Chief Cabinet Secretary Yoshihide Suga told a press conference that the message was not sent in Abe's capacity as prime minister, and as such the government would not comment on it.

According to Japanese newspaper the Asahi Shimbun, Abe's message stated:

"I would like to sincerely express my feelings of remembrance to the spirit of the Showa era martyrs who staked their souls to become the foundation of their nation so that Japan could achieve the peace and prosperity of today."

Defenders of Japan's wartime conduct commonly use the phrase "Showa era martyrs" -- which refers to the period of Japanese history corresponding to the 1926-89 reign of Emperor Hirohito -- to refer to the war criminals.

This is how they are described at the Yushukan Museum on the grounds of Yasukuni Shrine, the talismanic site for those who seek to glorify Japan's devastating war of imperial aggression in Asia from 1931 to 1945.

It is not the first time Abe has sent a message for the Koya-san ceremony. Last year, he wrote: "I want to establish the existence of a new Japan that would not be an embarrassment to the spirit of the war dead."

Perhaps, but many living Japanese are embarrassed by his efforts to burnish Japan's wartime record.

'Disingenuous' excuse

Abe's spokesman said that his statement, and offerings at Yasukuni Shrine twice this year, were made in his private capacity.

Apparently Abe is under the illusion that he can call a timeout as Japan's political leader whenever it suits him.

This is disingenuous, but a dubious sleight of hand that Japan's leaders often invoke when trampling on the dignity of Japan's wartime victims.

World leaders don't get to declare timeouts.

Although most Japanese don't share Abe's enthusiasm for Japan in jackboots, Brand Japan suffers from Abe's revisionist views because he is the nation's leader 24/7 and the world scrutinizes all of his words and gestures.

By showing a lack of contrition about the horrific suffering Japan inflicted on much of the rest of Asia, Abe has inflamed tensions with China and South Korea, and left Japan even more isolated.

Tokyo's friends in Washington cringe every time Abe lets loose one of his boomeranging salvos on history. Like most Japanese they wonder why Abe can't just stick to Abenomics and leave history to the historians.

There are good reasons why Japanese are proud of what Japan has accomplished since 1945 in promoting peace and prosperity in the Asia-Pacific. But by trying to rehabilitate an era when Japan ran amok in Asia, Abe keeps everyone's focus on Japan's embarrassing 20th century misadventures.

Abe insists that his door is "always open" for dialogue with China and South Korea, but his knack for slamming it in their faces by trying to airbrush the past keeps Japan isolated in northeast Asia.

What is he thinking?

Why would Abe make such a gesture, given the predictable consequences for Japan's regional relations?

It is not just myopia that explains Abe's blunders.

Abe is waging a culture war to redefine Japanese national identity, one that he thinks is way too masochistic.

He wants to nurture pride and patriotism among Japanese and, for him, that means revising history.

Abe is a true believer and his gestures are a message to his political base that he has not given up the fight to overturn the postwar order imposed by the US, including what he views as the unjust verdicts handed down by the International Military Tribunal for the Far East, aka the Tokyo Trials.

Earlier this year he caved into US pressure to pledge he would not overturn the 1993 Kono Statement in which Japan acknowledges its responsibility for the comfort women system, having earlier made noises that he might do so.

Washington is eager to get its two Asian allies, Japan and South Korea, talking again, but this been difficult because Abe's revisionist views on history deeply offend Koreans.

Abe's reassurances about the Kono Statement was the minimum necessary to convince President Park Geun-hye to agree to meet with Abe and President Barack Obama in the Netherlands on the sidelines of a nuclear proliferation summit.

Chilly reception

But Abe's minor concession got a chilly reception in Seoul. He is known there for his apologist views about the comfort women system and quibbling about the level of coercion used in recruiting tens of thousands of young women to serve as wartime sex slaves for the Japanese armed forces.

Moreover, a month after signaling he would not repudiate the Kono Statement, Abe sent his message praising the war criminals.

And his supporters in the Diet proceeded with an investigation of the comfort women system aimed at discrediting the Kono Statement, a damaging hit-and-run attack aimed at sowing doubts among Japanese who are showing signs of perpetrator's fatigue and the burdens of war responsibility.

The attack was also red meat for Abe's reactionary base.

Abe's defiant and unrepentant attitudes towards history are unlikely to change enough to satisfy the neighbors. But will they continue to cold shoulder Japan?

President Park is under a lot of U.S. pressure to get over the past so that plans to jump-start a strategic dialogue next month might proceed.

But a meeting with Chinese President Xi Jinping on the sidelines of the November APEC summit in Beijing now looks more difficult due to Abe's actions, which ensure that Japan's wartime past continues to cast a long shadow into the 21st century.

The opinions expressed in this commentary are solely those of Jeff Kingston.

@highlight

Japan's PM Shinzo Abe has drawn criticism for a message honoring war criminals

@highlight

His spokesman says the comments were made in a private capacity

@highlight

But Abe cannot call a timeout as leader whenever it suits him, says Jeff Kingston

@highlight

Abe's comments have handed a strategic gift to China and South Korea, Kingston writes