Washington (CNN) -- A JPMorgan Chase executive admitted to Congress that the bank did a "terrible job" of dealing with military home loans.

The bank has admitted to overcharging approximately 4,500 members of the U.S. military on their mortgages and said it accidentally foreclosed on 18 service members' homes.

Active duty personnel are covered under the Servicemembers Civil Relief Act (SCRA). The law caps interest on debt incurred before service, such as mortgage or credit card debt, at 6% while active, and also prevents foreclosure proceedings from beginning until nine months after the service member returns from active duty.

"I would like to express to the men and women serving our country and to the members of this committee, Chase's deepest regret over the mistakes we've made in applying these protections. I commit to you that we will get this right," Stephanie Mudick, an executive vice president in JPMorgan Chase's Office of Consumer Practices, told the House Committee on Veterans Affairs Wednesday.

But Mudick's mea culpa was not enough for many on the committee.

"You broke the law, your bank broke the law, shouldn't someone go to jail for that?" Rep. Bob Filner, D-California, charged. "Who's responsible? Are you, as the executive VP who was given to us from the bank to answer for this stuff, should you go to jail?"

Mudick said an internal review would be conducted and that JPMorgan Chase would advise the committee on the results of that probe.

But Filner said someone must be held responsible.

"You'll take this seriously, if somebody went to jail with a white collar," he said.

Mudick blamed much of JPMorgan Chase's mistakes on human error, citing the complexity of reading military orders that are needed to prove active duty service, and problems with not coding SCRA cases to reflect their eligibility for the interest cap and foreclosure prevention benefits.

"We were misreading orders and not calculating the period of eligibility correctly. As a result, we were not correctly ascertaining when and how the interest rate adjustment should be made," Mudick explained.

Rep. Timothy Walz, D-Minnesota, is a veteran of the National Guard. He suggested Mudick's answer was ridiculous.

"That is the weakest answer I have ever heard given in front of this committee, that we couldn't read the military orders, coming from one of the largest financial institutions in the world," he said.

The congressman pulled up his Chase credit card agreement on his iPad. He pointed out that Chase seemed to have no problem creating a 63-page document "to calculate interest to the exact penny," but then claimed to not be able to understand a military order.

"Are you going to stick to this that you couldn't read this? That is a standard military order... that any 17-year-old kid can read," he said.

Mudick again acknowledged the bank's failure, but pointed to new safeguards that had been put in place to make sure the mistakes were not repeated.

They include a centralized unit set up to specialize in SCRA loans, with employees trained in reading military orders, as well as a new hotline staffed by employees trained specifically on how to answer SCRA borrower questions.

JPMorgan Chase will return $2.4 million to the thousands of servicemember borrowers affected, adding 7.25% interest to the refunds owed. Out of the 18 homes wrongfully foreclosed upon, 12 have either been canceled or a settlement with the borrower was reached. The other six are still being worked on.

JPMorgan Chase wasn't the only target in the committee hearing. Lawmakers also faulted the Defense Department for not staying on top of the banks with regards to the Servicemembers Civil Relief Act.

"Did (Defense) Secretary (Robert) Gates say, 'Hey, we've got to protect our people and make sure the banks serve them?' It didn't happen," Filner said to Col. Shawn Shumake, who was representing the Defense Department. "Get the damn presidents of Chase and Bank of America into a room and say 'You have a responsibility here.' Don't send us the 150th ranking executive vice president, but you all take responsibility for this. Bring them into the room."

The committee's concerns that banks are not taking the civil relief act seriously enough were echoed in the testimony of one attorney representing service members in a class action lawsuit against Chase.

"I was a state prosecutor for 12 years in South Carolina. Every person we ever caught breaking the law, taking something that wasn't theirs, was more than willing to give it back, give them mea culpa and be on their way," said Richard Harpootlian.

Harpootlian is representing Marine Capt. Jonathan Rowles, the first servicemember to sue Chase. The attorney charged that stiffer sanctions should be applied to those who break the law, including upgrading the crime of knowingly not complying with SCRA from a misdemeanor to a felony, removing the one-year sentence cap associated with it, imposing civil fines, and providing for the recovery of attorney fees.

Rowles says he spent the last five years dealing with "harassing" phone calls from Chase. He agrees that the criminal penalties should be increased and he'd like to see Chase prosecuted.

"It was difficult. Everybody wants to be strong, but when you call your wife at 2 a.m. to see how things are going and you spend 20 minutes discussing how you can send another letter... instead of 'I love you, how are the babies,' it's rough... It's still in the back of your mind," said Rowles.

A recent Defense Department study showed that service members consider their finances to be the second largest source of stress in their lives, ahead of deployments, health, family and war. Many on the committee worried about the toll this issue is taking.

"Anything that's adding stress to a service member, especially in a combat zone, is incredibly risky behavior, so no stone should go unturned," said Walz.

@highlight

Bank admits faults in military home loans

@highlight

JPMorgan Chase executive says changes have been made

@highlight

Service members cite finances as their second largest source of stress, a study shows