(CNN)  -- When 12-year-old Mason went to lunch each day last year, he could choose between orange juice and milk, but he couldn't get a cup of water.

Like many public schools, his doesn't provide cups. To have free water with his lunch, Mason would have to wait in line at a water fountain shared by hundreds of other middle-school students and take a few sips of water before returning to eat.

Not surprisingly, he usually didn't bother.

His mother, Johanna Whittlesey, like other parents across the country, assumed her child had enough water, but nutrition advocates believe schoolchildren's access to water is a national problem the federal government has only begun to address.

Fifteen percent of kids in Mason's age group consume adequate amounts of water, according to the CDC's National Health and Nutrition Examination Survey.

"Since children spend a large percent of their waking hours at school, they should be consuming at least one-half their total water intake at school," says Dr. Melina Jampolis, CNNHealth's Diet and Fitness Expert.

"The standard recommendations are for children to get 6-8 glasses of water per day. Teenage boys need even more, 11 glasses per day," she says. "Mild dehydration can affect learning as well as mental and physical performance."

Change you can drink

Last year Michelle Obama continued with her "Let's Move!" campaign to target childhood obesity, former military leaders warned that obesity could be a threat to national security and the ABC series "Jamie Oliver's Food Revolution" attempted to show Americans what their children are eating in school.

On the heels of those headlines, Congress passed the Healthy, Hunger-Free Kids Act of 2010 in December to improve school nutrition in the National School Lunch Program.

The legislation requires that clean water be easily available in school. Advocates welcome the new legislation but say it's not clear if the new rules will go far enough to address the lack of hydration.

According to the new federal law, school districts will have to provide water in student eating areas, but the law doesn't discuss accessibility.

Vista Middle School outside Los Angeles has approximately 1,700 students and four water fountains in the student eating area.

It's still to be decided if a school with those numbers -- 1,700 students, four water fountains and a 30-minute mealtime -- satisfies the new legislation.

"As part of the Healthy, Hunger-Free Kids Act, the USDA will be engaging in a dialogue with schools and communities as we develop a proposed rule to implement this provision of the law," the USDA says.

Where we are now

Schools face a variety of challenges when trying to provide something -- water -- that Americans take for granted.

One such challenge: drinking cups.

Advocates say, and many educators admit, that too many of America's largest school districts elect not to provide cups.

Chicago Public Schools do not. Miami-Dade County Public Schools do not. Newark Public Schools do not. Atlanta Public Schools do not. Clark County School District in Nevada does not.

Broward County Public Schools, in Fort Lauderdale, says drinking cups aren't provided unless a student asks for one.

In the New York City Department of Education, the largest school district in the country by number of students, cups are "generally available to all students," but spokesperson Margie Feinberg cannot say in which of its schools cups are available only upon request.

Hillsborough County school district in Tampa says it does not provide cups of water and there is usually one water fountain in student eating areas.

Educators say that providing cups can get expensive and take too much of their already dwindling school budgets.

Another issue is the water fountains themselves.

Some schools, advocates say, don't have enough to handle the number of students. At other schools, the fountains are old, don't work or work poorly. According to the California Food Policy Advocates, filling cups is "likely a slow process at most water fountains."

Other barriers to student hydration include poor-tasting water and fears that municipal tap water is not safe.

Sitting down with water

"Water fountains aren't providing adequate hydration," says Matt Sharp, senior advocate of the California Food Policy Advocates. "When have you ever gone to a restaurant and been encouraged to go to a water fountain for a sip between bites of your meal?"

The UCLA/RAND Center for Adolescent Health Promotion, a CDC-funded prevention research program, has been test-driving a way to get children drinking more water at mealtime to help combat America's obesity epidemic.

It's called a water intervention -- a five-week research program that includes a water filter and cups for five schools in the Los Angeles school district, provided free from the UCLA/RAND project.

The test includes these steps: Install a water filter in the school. Fill five-gallon jugs. Chill jugs overnight. Place in the eating area during mealtime. Serve with cups. The results will not be published until next year, but anecdotally, the program is a success, researchers say.

"We've seen students really gravitate towards the water out here and fill up their cups right before and after lunch to hydrate" says Burt Cowgill, the project manager. "The water is very popular and we have a lot of participation."

Now that the research has ended, it's up to the school district to continue funding if it so chooses, but the Los Angeles Unified School District says it cannot afford the estimated $1.8 million to $2.3 million annually it says it would cost to provide the cups and water for the entire district.

Free drinking water and cups could also decrease revenue from bottled water sales.

"If students drink free water served at school instead of purchasing competitive beverages that fund extracurricular activities, schools may have to seek alternative fundraising strategies," said a report published in the journal Preventing Chronic Disease. The report was based on CDC-funded researchers' interviews with school personnel and families, primarily within the Los Angeles school system.

Research shows that making water more accessible to children at school increases consumption of water and improves health.

Researchers in Germany found that by installing a cooled, filtered water fountain with plain or optionally carbonated water, providing children with water bottles, educating them on the importance of drinking water and encouraging them to fill up their water bottles, they were able to reduce the risk of children becoming overweight by 31%.

Those children were allowed to store their water bottles at school. When children have to take their water bottles home, they start forgetting to bring them back, and water consumption declines, according to a pilot program in a Los Angeles school.

What the school district wants

David Binkle, deputy director of Los Angeles school district food services, would like the federal government to help pay for water instead of only mandating that water be made available.

When schools serve children milk, they receive money from the federal government reimbursing them for that milk; when schools serve orange juice, the same. But water is not a reimbursable beverage, either from the tap or from bottles. Binkle says that has to change.

"It's an unfunded mandate," says Binkle. "If the federal government let us offer water as part of a reimbursable meal, then the children, many of them, instead of taking a milk or juice, would take a water."

Cindy Garcia, an eighth-grader at Vista Middle School, says having free water available in cups during the UCLA/RAND research program changed her drinking habits.

"I wouldn't really drink water because it's sort of hard to be eating your meal and then stop and go drink water at the water fountain," she said. "Before, I would just drink whatever they have at the cafeteria, like juice or milk, and now I drink water in the cups that's available."

The 'Good Old Days,' updated

Students have been drinking water from water fountains for decades, but research shows that children are not getting enough water throughout the day.

"Water maybe has always been insufficiently available, but schools have a unique and special responsibility to create an environment that makes it easy for students to make good choices," says Sharp of the California Food Policy Advocates.

"The environment has changed in so many ways in recent decades, sweetened beverages are cheap and widely available and heavily promoted, family mealtimes are fewer, and briefer, and convenience foods are a much more common part of youngsters' routines."

At Vista Middle School, Principal Nidia Castro says she will do her best to keep cups of water in her school, even suggesting she might pay out-of-pocket to provide cups for her students.

She wouldn't be the first school administrator to provide school supplies from her own wallet.

"I see how much the kids really like the water," she says. "It is documented that if we provide the choices for them they will really go for it."

@highlight

Parents assume water at their kids' schools is a given, but access is a problem

@highlight

Congress passed the Healthy, Hunger-Free Kids Act of 2010 in December

@highlight

Educators say the federal government should help pay for water if it's mandated