Orlando (CNN) -- "Oi -- Sejam bem-vindos!" -- meaning "Hi, welcome!" -- is a Portuguese phrase heard more and more these days at Florida's tourist spots.

That's because Florida is the top U.S. vacation destination for Brazilians, who are taking advantage of a favorable exchange rate and low prices. Brazilians outnumbered all other international travelers to Florida in 2011, up 41% from the previous year, according to state tourism officials.

And there's no sign of this Brazilian invasion slowing down: The U.S. Commerce Department projects 1.5 million Brazilians will visit the United States in 2012 -- and most of them will head to Florida.

Floridians are used to seeing Brazilian tour groups marching through outlet malls and theme parks, usually dressed in matching T-shirts in single-file lines behind their leader. These Brazilian tourists are usually loaded with cash and ready to clear the shelves of the name-brand outlets. That's because even at regular price, many goods and services in the United States are much cheaper than in Brazil, where tariffs, taxes and transportation costs can mean higher prices.

"We [took] about 15,000 passengers on shopping tours, and they on average spend about $300 to $400 each person," said Claudia Menezes, vice president of Pegasus Transportation. And those were just the Brazilian tour groups visiting outlet malls and theme parks in South Florida and Orlando.

Menezes says she expects her business to double in 2012. That could be a conservative estimate as the United States plans to expand its global entry program, which aims to speed up the visa approval process for international visitors.

President Obama announced the expansion of the plan last week at a news conference at Disney World in Orlando, Florida. He said he hopes to make it easier for visitors from countries "with rapidly growing economies, huge populations and emerging middle classes" like Brazil and China to visit the United States. He said he wants the plan expanded "this year."

He said Brazil was "especially important for Florida" because it has "a huge population that loves to come to Florida ... but we make it too hard for them."

"We want them spending money here, in Orlando, in Florida in the United States of America, which will boost our businesses and our economy," he said.

It's a long process for many Brazilians to get to the United States: On average, people have to wait 76 days just to get an interview at the largest U.S. consulate in Brazil, in Sao Paulo. And with only four U.S. consular offices in a country that is bigger than the continental United States, a lot of Brazilians trying to visit the U.S. must travel long distances for their interview. As a result, many are opting to travel to Europe because the visa process is easier.

Menezes says her tour business depends on the United States improving its visa process:

"If they make it easier, it would be even more people coming here," she said.

On a recent afternoon at the Orlando Premium Outlets near Disney World, one of the hottest-selling items among the Brazilian tourists is luggage. They buy the suitcases, then stuff them with recently purchased shoes, clothing, bags and electronics until the luggage is almost bursting at the seams.

That kind of spending has translated into billions of dollars in revenue for the United States. In 2010, Brazilian visitors spent nearly $6 billion on U.S. travel and tourism-related goods and services, nearly 30% more than the prior year, according to a report from the U.S. Commerce Department. It's a trend that has been going on since 2003 and has, according to the report, "propelled Brazil up the rankings to become the fifth largest international market for U.S. travel and tourism-related exports."

Florida's retailers aren't the only ones getting an economic boost: Many of Central Florida's numerous theme parks have also seen a large increase in Brazilian tourists. Disney World says 2011 was a record-breaking year for Brazilian guests at its parks.

As a result, Disney hired 54 Portuguese-speaking "Super Greeters," most of them from Brazil, to assist Brazilian tour groups throughout Disney's parks.

SeaWorld Orlando has seen a steady increase in guests from Brazil over the past five years, says Peter Frey, senior marketing officer with SeaWorld Parks.

As a result, SeaWorld recently launched a website in Portuguese, and Frey says the company is looking to expand its Portuguese-speaking employees.

"We are offering classes for employees to learn the basics of Portuguese," he said.

Brazil's economy is booming after a quick recovery from the global economic downturn, and a new class of Brazilians is traveling and spending money, giving Florida a much-needed economic shot in the arm, according to Sean Snaith, an economics expert at the University of Central Florida.

"There is an emerging middle class [in Brazil] who has disposable income," he said.

Only a few years ago, Brazilian tourists were not always welcomed by shop owners in Central and South Florida, a tour guide said. Today, businesses are catering to these cash-laden Brazilian tourists.

Brazilians are also investing in Florida's sagging real estate market, particularly in South Florida, either for a vacation home or just as an investment. The prices in Miami are a bargain, compared with the prices in Brazil, according to Miami Realtor Cristiano Piquet.

"In Brazil or Rio, high-end real estate is around $1,000 per square foot, while in Miami, you can find high-end oceanfront property, like the Trump Towers, for only $500 per square foot," said Piquet, who gets 80% of his business from Brazilians. He has 75 agents.

"Brazilians love Miami, the weather is similar to Brazil, [it's] very safe ... [and there are] daily flights from Brazil to Miami," he said.

Diego Gasques from Rio de Janeiro, who owns two condominiums in Miami, agrees.

"It's kind of a vacation place for us," he said. "Of course Miami is a beautiful place, a lot of nice people around -- a lot of bodies ... it's a nice place to hang out to have some fun."

While Spanish is still the most popular second language in most South Florida businesses, these days it's becoming more common to hear, "Obrigada e volte sempre!" -- Portuguese for " Thank you, come again!"

CNN's Shasta Darlington and John Zarrella contributed to this report.

@highlight

Officials say 1.5 million Brazilians will head to the U.S. in 2012 -- most of them to Florida

@highlight

Brazilians outnumbered all other international travelers to Florida last year

@highlight

President Obama hopes to speed up the visa approval process for countries like Brazil

@highlight

Brazil is the fifth largest market for the U.S. travel and tourism industry