(CNN) -- As another Labor Day comes to pass, it's worth reflecting on the legacy of Detroit and its workers.

Detroit's bankruptcy is a warning to other cities -- and even states -- that public pension systems are a ticking time bomb with potentially catastrophic consequences.

Unfunded pension debt, which in Detroit stands at $3.5 billion and is roughly one-sixth of the city's total debt, is a national problem that has already put other city and state governments on the same road to insolvency.

The problem is being ignored amid a rash of finger-pointing and blame-shifting. Few are calling for the kind of pension reforms that could prevent other places from encountering the Motor City's crisis.

Quite simply, cities and states need to consider switching from the prevailing "defined benefit" pension plans to the "defined contribution" plans common in the private sector. This single fix could drastically change the course of a government's financial health by making retirement plan for public-sector workers affordable for taxpayers and predictable for actuaries.

First, consider the illness. Detroit's pension debt pales in comparison to the hundreds of billions of dollars that other cities and municipalities owe their pensioners.

Opinion: Detroit, the 'used to be' city

New York City, for instance, is much worse off than Detroit, with some $69.9 billion in pension debts. The only difference between the Big Apple and the Motor City is that it the former has a burgeoning economy that masks the looming crisis, keeping the tax bill at bay even as the pension debt grows larger.

Worse yet, city pension debt is dwarfed by that of state pension debt.

In Pennsylvania, the unfunded total in the state's two pension funds is $47 billion. Next door, New York faces pension debts of $133 billion, while Illinois' clocks in at $167 billion. California is the worst, with $370 billion in unfunded pension liabilities.

Combined, city and state unfunded pension debts amount to $4.6 trillion, according to an analysis published by State Budget Solutions, a conservative-leaning group.

The crisis is recognized by many, but unfortunately, most of the proposed solutions are either shortsighted or just plain silly. In Illinois, for instance, Gov. Pat Quinn at one point suggested a federal bailout of the state's pension debt, a call that has been echoed by many for Detroit. Given the federal government's own fiscal problems, this proposal has been dismissed as irresponsible.

Tax increases are another option. One analysis estimated that an average tax hike of $1,385 per household would be required to fix the debt. In my home state of Pennsylvania, we estimate that working families will soon need to contribute an additional $878 per year to pay rising pension costs -- a devastating blow to those still recovering from the recession.

While the problem is already enormous, it will only get worse in the coming years unless governments transition to defined contribution systems, like the 401(k).

RoboCop creator: Detroit shows the film's fictional future is upon us

Both defined benefit plans -- which purport to guarantee a set income for life -- and 401(k)-type plans carry with them some risk for public employees. In the case of defined benefit plans, Detroit shows that taxpayers may not always be able to pay what the government promises.

As for the 401(k), individual retirement investments are subject to the ups and downs of the market, requiring more attention, planning and personal responsibility on the part of the employee.

The private sector, being more responsive to market pressures, realized the dangers posed by defined benefit plans and the benefits of 401(k)s long ago and acted accordingly. From 1979 to 2011, the percentage of businesses offering defined benefit plans plummeted from 62% to a mere 7%. Over the same period, defined contribution plans more than quadrupled from 16% to 69%.

Businesses made these changes because defined benefit plans are unpredictable, inefficient and too costly in the long run. But cities and states aren't so different: They can pass costs on to taxpayers and their children only for so long, until eventually --as in Detroit -- the bill comes due.

Unfortunately, Detroit's public pensioners will likely pay this bill themselves when their pensions are cut in bankruptcy proceedings. They need only look to San Bernardino, California, which received court approval to do just that on August 28.

Opinion: How Detroit can rise again

But other cities and states can still prevent the crisis from boxing their own public workers into a similar financial bind. If governments across the nation seize the moment and make the change to a defined contribution system -- as Pennsylvania is poised to do this fall -- they'll save their citizens from a fate like Detroit's, where opportunity and prosperity have been replaced by bankruptcy and hoped-for bailouts.

The opinions expressed in this commentary are solely those of Matthew Brouillette.

@highlight

Matthew Brouillette: Detroit's pension mess is a warning to other cities and states

@highlight

Brouillette: Solution is to switch to 401(k) plans which is common in the private sector

@highlight

He says market risks of 401(k)s require more personal responsibility for workers

@highlight

Brouillette: If cities and states keep the pension system, it will be too costly in the long run