(CNN) -- There's a big difference between a political debate about same-sex marriage and the recent hard-fought court challenge to the California ban, Proposition 8.

In politics, anything goes: Vague, sinister comments about same-sex marriage threatening children or undermining the sanctity of heterosexual marriage were prevalent during the Prop 8 campaign. In court, same-sex marriage opponents needed solid evidence to back up these and other claims.

Despite "able and energetic counsel," they never produced it. That's why they lost, resoundingly, in the federal district court. And that lack of evidence should dog opponents up through the chain of appeals that is now beginning, because appellate courts are required to review only the evidence in the court record and to give great deference to Judge Vaughn Walker's findings of fact. He was there, after all, presiding over the trial, and the appellate judges weren't.

And what a lopsided trial he presided over. All the anti-same-sex marriage arguments imploded when subjected to the rules of evidence.

"You don't have to have evidence of this point," counsel responded to the judge's question asking what support existed for their claim that "responsible procreation is really at the heart of society's interest in regulating marriage."

No, sorry, at trial, you do have to have evidence. Of this point and every point. (And since -- as even Supreme Court Justice Antonin Scalia once pointed out in another case -- the sterile and elderly are allowed to marry, it can't be all about procreation.)

Trials turn on admissible evidence -- primarily credible witness testimony or documents, in this type of case. And Prop 8 proponents did not have it. Over and over again, Walker's decision focused on the evidence, the mountain of reliable facts offered by gay marriage advocates, and the glaring lack thereof proffered by gay marriage opponents.

The same-sex-marriage advocates presented eight lay witnesses and nine expert witnesses.

One plaintiff testified that marriage would be a way to tell "our friends, our family ... that this is a lifetime commitment ... we are not girlfriends. We are not partners. We are married." The other three presented similarly compelling, credible testimony about the damage to their dignity, the economic losses, the sting of discrimination they suffered daily due to their legally enshrined second-class citizenship.

Opponents offered exactly zero lay witnesses to explain, say, how their heterosexual marriages would be undermined by same-sex marriage, or how children would be harmed by a neighbor's same-sex marriage -- though these were central arguments made during the Prop 8 campaign.

The evidence at trial proved that children raised by gay or lesbian couples are just as likely to be well-adjusted as children raised by heterosexual parents. That gay folks are no more likely to be child molesters than heterosexuals. That marriage has evolved in this country to allow for women's equality and interracial marriage. That no "undermining" of straight marriage would occur if marriage further evolved to allow same-sex couples to marry, too.

This evidence was put forward by an impressive roster of Harvard and Yale marriage historians, UMass Amherst and UCLA School of Law economists, a UCLA psychology professor, a Columbia University epidemiologist, a psychologist and a political scientist. Many had written extensive peer-reviewed articles and books in their areas of expertise. All their testimony withstood full and fair cross-examination.

On the other side, pretrial, same-sex marriage opponents had designated a number of witnesses. But when push came to shove, at trial they elected not to call most of them. Walker pointed out that they didn't call a single official proponent of Prop 8 to explain the discrepancies between the arguments in favor of Prop 8 presented to voters and the arguments presented in court. Ouch.

In a nice trial "gotcha" moment, gay marriage advocates read in deposition testimony from two witnesses who were to testify for the other side -- yet their pretrial testimony instead supported the gay marriage advocates. Opponents offered no explanation for why their witnesses flipped. Another embarrassment.

Ultimately, same-sex marriage opponents called only two witness, the founder of the Institute for American Values, who the court found lacked qualifications to offer expert testimony, and a Claremont College professor, who "sought to rebut only a limited aspect" of the plaintiffs' case.

Here's the kind of "evidence" gay marriage opponents offered at trial: Homosexuals are 12 times more likely to molest children, their witness argued, and allowing same-sex marriage would cause states "to fall into Satan's hands." The witness' source of information? "The internet."

There's not a judge in this country who could rely on "evidence" like that.

Walker made 80 meticulous, detailed findings of fact on every aspect of marriage, with hundreds of citations to the evidence cited at trial. Perhaps the most critical finding was No. 58: "Proposition 8 places the force of law behind stigmas against gays and lesbians, including ... gays and lesbians are not as good as heterosexuals."

Ultimately, Walker found, that was the heart of what same-sex marriage opponents advanced: "a desire to advance the belief that opposite-sex couples are morally superior to same-sex couples." Constitutionally, in a country that guarantees all Americans "equal protection" of the laws, that is unacceptable.

Given all these detailed evidentiary findings that follow ineluctably from the marriage opponents' failure to put on much of a case at all, and given Walker's finding that Prop 8 violated two separate constitutional provisions -- the due process and equal protection clauses -- it will be extremely difficult for an appellate court, following well-established rules of deference to lower court findings, to reverse.

The opinions expressed in this commentary are solely those of Lisa Bloom.

@highlight

Lisa Bloom says political arguments don't necessarily hold up in court

@highlight

Opponents of same-sex marriage won the political battle on Prop 8, she notes

@highlight

But when they had to defend the law in court, they couldn't come up with evidence, she says

@highlight

Based on opponents' lack of a case, the verdict will be upheld, she says