(CNN) -- When I think of Gloria Steinem approaching 80, I think about the women of my generation, growing up at the end of the Baby Boom. We internalized a lot of stereotypes of what it meant to be a woman in those days. Until Gloria changed the rules.

My earliest memories of gender inequity involve "I Love Lucy." I was 7 years old when I asked my mother, "Why does Ricky act like Lucy's boss?" My mother laughed and said it was "just a joke." I didn't get it.

The unspoken rules were evident in grade school, when teachers signaled their high expectations for boys but not girls. And when I looked at the larger world, I found that men were the leaders of countries, companies, churches, schools -- although the teachers were mostly women.

I felt different, really different, but mostly I kept quiet about it until I was 17. In the summer of 1972 I bought the first issue of Ms. magazine, a vivid image of Wonder Woman bursting from its cover. Steinem, a founding editor, examined the myth that "Women Voters Can't Be Trusted." Letty Cottin Pogrebin wrote about the insidious ways that women compete with other women. A piece titled "Populist Mechanics" helped women demystify the workings of their car, complete with a detailed diagram of an auto engine. An etiquette column headlined "Manners for Humans" counseled, "Anyone can hold doors for anyone else. It is only decent to see that it doesn't slam behind you."

I used my babysitting money to subscribe. I was hooked.

Gloria's words rang in my head when I challenged the status quo for girls in high school. A faculty advisor for the National Honor Society announced that the boys could run for president and treasurer and the girls for vice-president and secretary. Like Gloria, I came from a working-class family where you didn't question authority. My heart pounded as I argued for gender equality. I found my voice through Gloria's.

Opinion: Feminism is no longer a dirty word

By the time I was in college, I was taking courses on sex roles and dressing like Gloria for Halloween: I streaked my straight blonde hair and topped off my outfit with aviator glasses.

After college, life got more real. And so did the pressures to conform. "Gender roles are policed," Gloria taught us. I went on to study psychology and learned the academic term for this policing: "coercion to the bio-social mean." Stray from the behavioral norms of your social group, and people -- men and women alike -- will conspire to push you back to the middle.

In the workplace, such policing is clear when it involves discrimination. Other times it is subtle, but it can be just as effective. Be good, but not too good; be strong, but not too strong; be competent, but not too competent. Cross those subtle lines and you'll be branded with the "B" word: "bossy." A recent article in the European Business Review put it this way: "Women must live up to collective expectations of what makes a leader, while at the same time remaining true to gender expectations."

A year ago I led an executive education workshop for school principals aspiring to become superintendents. I asked how many of them had been accused of being bossy. Nearly every woman raised her hand. I talked about society's gendered perceptions of leadership. Some participants welled with tears as they began to understand that sexism often masquerades as a hurtful personality attack.

5 reasons why we love Gloria Steinem

In a 1995 speech to graduating seniors at her alma mater, Smith College, Steinem analyzed this phenomenon with her typical anthropological incisiveness: "Some of us women have been successfully socialized to feel that women can't be leaders, and vice versa."

When we have children, people double down on the pressure for women to conform. Often this comes in the form of never-ending questions about balancing work and family. Wouldn't you rather be at home with your baby? Don't you worry about the effects of child care? Why are you working so hard?

Once again, Gloria had the answer. In 1984, she observed, "I have yet to hear a man ask for advice on how to combine marriage and a career."

Women pressure other women about work and family, a phenomenon that has continued well past the "mommy wars" of the 1980s. I am still troubled by Anne-Marie Slaughter's 2012 Atlantic Monthly essay, "Why Women Still Can't Have It All." In the most widely cited Atlantic piece of all time, Slaughter wrote about the challenges of balancing a demanding career and raising children. If Gloria had been her editor, we might have seen a different headline: "Why Parents Still Can't Have It All ... and How to Raise Everyone's Consciousness About It."

One of my favorite expressions of Gloria's is, "The truth will set you free, but first it will piss you off." The truth is that we need to continue the work of identifying how gender biases operate in our everyday lives. We are not living in a post-gendered world or a post-feminist world. Leaders of countries, companies, churches and schools are still mostly men.

"A feminist is anyone who recognizes the equality and full humanity of women and men," Gloria taught us. The work of feminism goes on because Gloria's voice continues to resonate across the world. The woman whose words changed the trajectory of my life at 17 continues to speak to me and millions more. "Whatever the question," Gloria said recently, "women are part of the answer."

The opinions expressed in this commentary are solely those of Kathleen McCartney.

@highlight

Kathleen McCartney: Gloria Steinem changed rules on what it mean to be a woman

@highlight

In 70's Steinem co-founded Ms. magazine to upend sexist status quo. McCartney was hooked

@highlight

Steinem helped her find voice to seek posts reserved for males, resist 'policed' gender roles

@highlight

McCartney: Steinem's work still resonant, necessary; we don't live in post-gendered world