(CNN) -- I am black, though for most of my life, I've heard from various people that I wasn't.

From children with skin the same color as mine saying that my normal speaking voice was somehow faked and that I spoke and therefore acted "like a white man"; from a black woman who berated me for listening to the Beatles in my car because, in her words, their music "wasn't yours"; from strangers and would-be acquaintances of varied races over several decades who openly wondered if I was something other than African-American because of an eclectic range of interests (Jewish novelists, New Wave French movies, Wallace Stevens' poetry, etc.) that didn't quite jibe with whatever was expected from African-Americans.

There was even a liberal white teacher in my high school who suggested to me, straight-faced and with the very best of intentions, that if I was feeling out of place among my fellow black students I should just spend more time around what was then called "the ghetto" and learn how to speak as they would prefer; maybe even to adopt their speech as my own, so as to ....I don't remember the exact words, but I'm guessing it was to better embody whatever her idea of legitimate blackness was back in the mid-60s.

If you came of age in mid- to late-20th century America when the civil rights movement gave way to growing consciousness of, and pride in being of African descent, the charge from within the black community that you were Not Black Enough was almost as wounding, even debilitating, as a racial epithet from a white person.

Apparently, you can't even win a Super Bowl as a black quarterback without somebody slurring your authenticity. There were reports swirling around the Internet last week that Russell Wilson, signal caller for the defending NFL champion Seattle Seahawks, was being accused by some of his black teammates of being Not Black Enough. "I don't even know what that means," Wilson, who has mixed-race parentage, told a press conference yesterday after his team rallied from a two-week losing streak to beat the Carolina Panthers.

The great heavyweight boxer Joe Frazier went to his grave carrying the psychological scars from the often-vicious verbal abuse his great foil Muhammad Ali dealt him before each of their epic bouts, accusing Frazier of being an Uncle Tom and a "white-man's champion." And those were some of the milder (but no less dehumanizing) taunts that Ali later regretted and for which he repeatedly apologized to Frazier.

Yet that dismal transaction represents one of the very few times in history that wrangling over whether somebody is or isn't Black Enough extended beyond the parameters of the African-American community itself.

Lately, though, issues of black cultural authenticity have poked into broader public view; likely as part of the widening space for racial dialogue opened by Barack Obama's election as president, if not set off by it: Hard to remember now, but some black Americans questioned back in 2008 whether the son of a Kenyan man and a white woman could be considered as authentically rooted to the black American experience as those whose racial background went back generations on this country's soil.

This fall, what was once a mostly insular discourse among black folks has gone even more public through two cozily familiar entertainment genres: the family sitcom and the campus comedy.

The latter, "Dear White People" is writer-director Justin Simien's Sundance Film Festival sensation about culture clashes between white and black students (and among black students themselves) at a mythical Ivy League college. There's a black Big Man On Campus named (what else) Troy, who besides being the son of the dean of students is dating the daughter of the white university president. There's also a gay nerd-outcast named Lionel, who wears a retrograde Afro hairstyle so big as to be compared to a weather system, listens to Mumford & Sons, loves Robert Altman movies and, as he puts it, "isn't black enough" for either the black or the white students.

The most radical character is a mixed-race young woman named Sam White, a rabble-rousing radio jock and aspiring filmmaker whose acerbically funny barbs aimed at genteel racial stereotyping at mythical Winchester University sets off a nationalist insurgency among the black students. Yet, as with Lionel, she carries a portfolio of seeming contradictions, such as a white lover and a preference for Ingmar Bergman's movies over Spike Lee's.

Neither these characters nor their creator Simien insist on reconciling or dismissing such seeming incongruities. They're just thrown in as part of the movie's implicit challenge to the audience to look beyond whatever's obvious or shallow -- and not just in matters of race.

I only wish it had been around 40 or 50 years ago. But America had too many other things to figure out about black people back then to dig out this elemental truth: That there are as many ways to be black as there are to be white. Or brown.

It's a truth that "Black-ish," the new ABC sitcom, pokes at with, so far, erratic results. There was much hype in advance about the "innovative" aspects of this series about African-American ad executive Andre Johnson, whose preference for being called "Dre" betrays his uneasiness with his fast-tracking lifestyle and whether sending his four children to elite Los Angeles schools disconnects his family from their black heritage, or, at least, those aspects of black heritage he thinks he's left behind in the working-class, predominantly black neighborhood where he grew up.

"Black-ish"â€”like Andre-- often tries too hard to make any real headway in this dilemma as it places its chief protagonist in such overbearing activities as combing school bus stops to find what he considers appropriate black friends for his eldest son, Andre Jr.; or devising elaborate African-based rituals in the backyard to mark his son's 13th birthday. All of which would be "innovative" territory only to those who can't recall all those decades of sitcoms featuring bumbling, clueless family patriarchs embarrassing themselves in front of their children.

The most intriguing, revelatory moments in "Black-ish" are, thus, the smaller, more offhanded ones, most especially in the debut episode in which the two youngest children in the Johnson household say they can't see the significance of Barack Obama being the first black president because they've never lived in a time when there were white ones. Or when, during an episode about corporal punishment, "Dre's" multicultural office mates all agree they benefited from spankings when they were children, but abhor the idea of Dre spanking his own child.

It is in these slivers of dialogue that we can see ourselves stumbling awkwardly toward new ways of looking at ourselves that are no longer tethered to superficial typing, whether self-imposed or otherwise. Some may wish calling out who is or isn't "Black Enough" would remain a covert operation. Others may prefer that all of us, within and beyond the black community, feel empowered enough to tell each other what we really mean. The future has a way of settling these arguments, one way or another.

@highlight

Gene Seymour challenged for most of his life by other black people as "not black enough"

@highlight

He says it's as wounding as a racial epithet from white person

@highlight

TV's "Black-ish" and "Dear White People" movie are taking on the subject

@highlight

Seymour: Both show there as are many ways to be black as there are to be white, or brown