(CNN) -- Call it the ultimate in military logistics. As land routes from Pakistan into Afghanistan are cut, sabotaged or otherwise interrupted, the U.S. military has developed alternative railroad routes that make the Orient Express look like a branch line.

They are called -- rather prosaically -- the Northern Distribution Network, or NDN. The main route begins at the port of Riga in Latvia, from where freight trains roll across Russia, and continues along the edge of the Caspian Sea. It crosses the deserts of Kazakhstan and into Uzbekistan. About 10 days after beginning their odyssey, the containers cross into Afghanistan, carrying everything from computers and socks to toilet paper and bottled water.

Other routes begin at the port of Ponti in Georgia on the Black Sea and at Vladivostok in the Russian Far East.

The Russians first offered transit for nonlethal equipment bound for Afghanistan in 2008. According to diplomatic cables released by WikiLeaks, it took nearly a year for the U.S. and NATO to negotiate transit rights with central Asian governments such as Uzbekistan, although two-thirds of jet aviation fuel bound for Afghanistan was already transiting Uzbekistan.

The first shipment of supplies crossed Russia in May 2009; just in time, because the "surge" meant that even more U.S. troops needed resupplying, and transit routes through Pakistan were about to become a pawn in the deteriorating relationship between the two countries.

Use of the routes has since grown rapidly; the NDN now carries 40% of the supplies U.S. forces in Afghanistan need (while Pakistani routes see 30%, according to the Department of Defense). It doesn't carry ammunition or weapons, which are flown in to airbases such as Bagram and Kandahar. But airlifting cannot be much expanded; the U.S. Military Airlift Command is already stretched, and air transport is much more expensive (about $14,000 per ton of freight, according to NATO estimates) than overland transport. NATO estimates the cost of moving supplies overland is one-tenth that of airborne freight.

The NDN poses challenges of its own. Ships have to use Riga because other ports in the Baltic are not reliably ice-free in winter. There are bottlenecks, especially at the Afghan border terminus at Hairatan. And there have been allegations of "improper payments" made for fuel in Uzbekistan to keep the trains running and for preferential treatment to ensure that supplies get across the border as quickly as possible. Rules change frequently, according to one contractor involved in getting freight into Afghanistan. And one diplomatic cable about negotiations to use Uzbek territory in 2008 noted that "corruption remains endemic throughout all levels of the economy."

But with U.S. lobbying, funds from the Asian Development Bank enabled Uzbek engineers to extend the line last year to the Afghan city of Mazar-e-Sharif. As one Uzbek official puts it: "Afghanistan is the only country in the world without railways; that's why it's not developed."

(A historical aside: The Mazar route is the first working railway line in Afghanistan since 1929, when there was a line all of four miles long out of Kabul. Only recently, NATO helped move one of the historical locomotives from that line to the National Museum in Kabul.)

The NDN may seem a daunting and expensive challenge, but as U.S. relations with Pakistan have frayed, the northern option has proved good insurance. Land convoys through Pakistan from the port of Karachi travel nearly 1,000 miles to reach Afghanistan, with the last part of the journey often being a painfully slow trek through the Khyber Pass. There is the added risk of ambush -- many tankers and trucks have been attacked and destroyed in the last two years. In one incident alone in December 2008, the Pakistani Taliban set ablaze 100 trucks at a rest stop near Peshawar.

The Pakistan routes are also vulnerable to the vagaries of the U.S.-Pakistan relationship. For 10 days last year, Pakistan closed the overland routes (via Tulkarm on the Khyber Pass and Chaman south of Kandahar) into Afghanistan in retaliation for U.S. air attacks that mistakenly killed Pakistani soldiers.

The northern routes are safer and more reliable, but not entirely immune to disruption. Relations between the U.S. and Russia are sometimes tense (over such issues as the ballistic missile defense shield), and central Asian states have taken offense at U.S. complaints about their human rights record. Even so, Russia gains advantages from allowing its territory to be used; it doesn't want Afghanistan sliding into chaos. Russian President Dmitry Medvedev said at the U.S./Russia summit 2009: "We value the efforts that are being made by the United States together with the other countries in order to prevent the terrorist threat that was emanating and still coming from the Afghan soil."

The NDN benefits plenty of other parties. For Uzbekistan, it helps defray the heavy cost of investment in its railway network, largely with loans from Asian banks, and increases demand for local goods. For Riga and other ports, it provides income at a time when economic growth is weak. And most of all, Afghanistan stands to benefit from the "transformational potential" (in the words of one U.S. diplomat) of a rail network that could make it an Asian transport hub.

As the U.S. drawdown gathers pace next winter, the NDN may acquire another role: helping to remove the vast amounts of equipment invested in the decade-long mission in Afghanistan.

The irony is that tracks now carrying supplies to U.S. soldiers in Afghanistan were first built to resupply Soviet forces when they occupied the country in the 1980s.

@highlight

The U.S. military has developed an alternative railroad into Afghanistan

@highlight

The Northern Distribution Network's main line begins in Latvia

@highlight

Along the main line, it takes about 10 days to move supplies from load to delivery