(CNN) -- Foxconn, the high-profile electronics company that builds Apple's iPhone and other products in China, is back in the headlines after workers rioted at its Taiyaun factory. Foxconn has attracted attention in the past for poor working conditions and a series of employee suicides.

Fang Zhongyang, one of the factory workers, told Bloomberg Businessweek that "The guards here use gangster style to manage. We are not against following rules, but you have to tell us why. They won't explain things, and we feel like we cannot communicate with them."

On Friday, a labor rights group reported that Foxconn workers had gone on strike over production demands for the iPhone 5; the company denied there was a strike.

Although employees at Apple and Foxconn are treated very differently, the two companies are known for keeping their workers and others in the dark. Yet both are enormously successful, causing many people to question whether the popular management advice in favor of "openness" actually makes business sense.

I was reminded of this when speaking at this year's TED Global conference. The conference's theme was radical openness, an idea I helped develop a number of years ago in a book I co-authored entitled "The Naked Corporation."

My talk argued that openness has several meanings, and for each there is a corresponding principle. One meaning of openness refers to transparency, with a company making available pertinent information to stakeholders such as customers, employees, business partners and shareholders. I believe companies can often benefit from being more transparent with these groups.

TED.com: The self-organizing computer course

Another meaning of openness applies to the sharing of intellectual assets. I believe a company can benefit by sharing some of its intellectual property given the right conditions.

In the subsequent discussion on TED.com, some challenged my thesis by citing Apple. How could I explain the company's success, since it is known for the shroud of secrecy within which it operates?

But when you look closely at Apple, a different picture emerges. Apple has become more open in a number of areas, and the pressures of the market forces I describe are forcing it to open up even further.

Transparency

To begin, Apple is more transparent than one might think. Like all companies it has four major stakeholders: customers, employees, business partners and shareholders.

Apple is obviously super-secretive with its customers about product announcements. And at the moment it can get away with this behavior because it so powerful in the niche markets in which it operates, and it has a small array of products. But as it tries to expand its share of the corporate market, business customers will demand to be well briefed regarding Apple's intentions and its product road maps.

RIM is a good example of this. The struggling company is forced to share details about its upcoming Blackberry 10 platform. It hopes to release the product early next year, and it is trying feverishly to pump up the buzz around the software to encourage its customers to stay loyal and developers to make apps. And as Apple continues to lag well behind Android in market share, eventually it will be forced to be more open with consumers, as well.

TED.com: The currency of the new economy is trust

Apple's customers aren't alone in being kept in the dark; the company treats its employees the same way. The vast majority of them have few details about what is in the company's product pipeline. But such opacity does not derive from some inherent benefits of closed work systems. Rather it is purely in aid of ensuring secrecy of its product strategy with customers.

Apple doesn't want its workers leaking information to the media or blogosphere. But increasingly Apple pays a price for this employee secrecy. It doesn't get the serendipitous collaboration across company silos that many other businesses enjoy. That among other things could have prevented the premature release of defective mapping software on the iPhone 5. Think of Google and how its workers are encouraged to dream up new products.

In terms of its supply chain, Apple itself has huge transparency and visibility. It can see down through Foxconn all the way to suppliers two levels below. True, this visibility had not extended to the rest of the world, but in this age of transparency Apple can no longer keep its supply chain practices secret.

As a result, everyone knows about Foxconn's labor relations and how its factories are run under tight security and employees are treated and compensated poorly. This is an enormous problem for Apple, not just for its reputation, but also the disruptions such working conditions can cause in the supply chain. So as Apple becomes naked it is being forced to get buff -- to clean up its supply chain practices.

(In March, a report on working conditions at Foxconn by auditors from the Fair Labor Association, a watchdog group hired by Apple, found serious violations of worker rights and salaries too low to cover living expenses. Foxconn promised to improve conditions, and Apple said "We think empowering workers and helping them understand their rights is essential.")

As for transparency with its shareholders, Apple is actually very open -- respected as being one of the best companies on the planet for providing shareholders with pertinent information. The only area in which it had been faulted is whether it had been sufficiently candid about Steve Job's declining health.

Sharing

Paradoxically Apple's success is largely due to another kind of openness. The iPhone or iPad are nice pieces of hardware, but that's not what created their market success. But by opening up what are called "application programming interfaces" Apple has enabled its customers and the world of software developers to build apps on its platform. In this sense Apple's corporate borders are quite open and porous. It is a design and marketing company at the heart of an enormous business web of suppliers and software developers -- based on openness.

TED.com: The future of business is "the mesh"

To be sure, Apple is obsessed with guarding its intellectual property and has sought refuge in outmoded intellectual property laws and in courts that today stifle innovation in our economy. But increasingly this comes at a cost, too. Android, the open-source software platform developed by Google, quickly became the dominant operating system in the mobile marketplace. Open-source software stimulates creativity and attracts attention, and over time openness tends to win out in the market.

Google was smart to release the Android software's inner workings so that manufacturers could tweak the operating system to their specific devices. Other companies have made equally smart moves. IBM gave away $400 million worth of software to the open-source Linux movement and in exchange received billions of dollars in savings and new business.

Apple also has failed miserably in terms of sharing within society and the global community. It is sitting on $100 billion in cash but during the Jobs era made little effort to be a good corporate citizen and reach out to the larger community. It has long provided lower-cost computers to schools and universities, but purely as a marketing strategy, and otherwise has done little to help America's education system. It has been a philanthropic miser and has declined to take part in important social partnerships.

TED.com: The new open-source economics

With Tim Cook now having been CEO for a year, Apple seems to be increasingly aware that in the long term, business cannot succeed in a world that's failing. It has started to make more donations and is joining social causes, which will prove popular with its customers, especially with young people who increasingly want to do business with companies that behave well.

In fact, Apple should consider taking a large portion of its $100 billion and applying it to transforming some important institutions like education. Such a bold move would benefit everyone, including shareholders, and Apple could be positioned to dominate some important emerging markets.

Apple became the world's most valuable company for a number of complex reasons, including the design genius of its brilliant founder. But when you look under the surface, it is more open than you might think, and there is no real evidence that its secrecy has helped it succeed. And increasingly as it comes under more intense competitive pressures, Apple will need to become an even more open company.

The opinions expressed in this commentary are solely those of Don Tapscott.

@highlight

Don Tapscott: Apple seems like an exception to idea that openness helps companies

@highlight

He says Apple is more open than many people realize, and it is becoming more transparent

@highlight

Apple guards its software but has opened interface to app developers

@highlight

Tapscott: Apple has to open further as it expands offerings to business customers