(CNN) -- It's that time again, time to pull out the ballots and read the tea leaves and see who's going to take home the trophies at Sunday's 86th Academy Awards.

Will it be "12 Years a Slave"? Leonardo DiCaprio? "Let It Go" from "Frozen"?

Oscar forecasting is a lighthearted parlor game for many and a "who cares" shrug for others. (Go ahead, commenters, let us know how you really feel!)

But to studios, agents, managers and many of the nominees, winning the Oscar is not only first-line-of-the-obituary recognition, but it also means "cold, hard cash," as Oscar winner Wendy Hiller once bluntly put it, in box-office receipts and future contracts.

With that in mind -- and with the possibility of some of this article's readers taking home cold, hard cash for winning their Oscar pools -- here are a few key indicators to follow at the 2014 Oscars Sunday night. Of course, the Oscars being the Oscars, nothing is guaranteed.

What are the best picture front-runners?

There may be nine nominees for best picture, but only three have a good chance of winning, says Tom O'Neil of the awards handicapping site GoldDerby.com: "12 Years a Slave," "Gravity" and "American Hustle." "12 Years" is the favorite among his 30 experts, with "Gravity" second at 10-3 odds and "Hustle" at 50-1. Everything else is 100-1.

The site TheCredits.org agrees. Its social awards season app, DataViz, crunched the numbers based on mentions on Facebook, Twitter, Pinterest and film-related sites. It determined that "12 Years" has 42% of the online mentions (as of February 24) and "Gravity" is second with 33%.

But, points out Clayton Davis of AwardsCircuit.com, in a year with divisive choices -- and "12 Years," though widely hailed, is not necessarily widely loved -- the preferential voting system for best picture can favor everybody's second choice. That's "Gravity," which also has the benefit of being the people's choice as the highest-grossing film among the nominees.

Film editing is your friend

Of course, best picture is the last category of the night. What are some of the early signs that one of these films has an edge?

The film editing category may seem minor to Oscar viewers, but it often has an outsized role in showcasing best picture winners. O'Neil observes that the best picture has won the editing Oscar more than half the time -- and if you rule out action-oriented flicks such as "Bullitt," "Star Wars" and "The Bourne Ultimatum," it's even more predictive.

This year's editing nominees include all three best picture front-runners along with "Captain Phillips," directed by the handheld-camera-favoring, quick-cutting Paul Greengrass, and "Dallas Buyers Club." "Gravity" is the favorite, says O'Neil, and that could foretell a spacey night. But even more notable will be if "12 Years" or "Hustle" grabs the trophy, since a win would be so unexpected. As for "Phillips," that would simply acknowledge the expertise of Greengrass and editor Christopher Rouse -- who won for "Ultimatum" six years ago.

Pressing the flesh

Though overt Oscar campaigning is frowned upon, there's nothing wrong with showing up at industry functions, saying the right things, posing for pictures and shaking a few hands.

That could make a difference in the best actor category, whose favorites are Matthew McConaughey ("Dallas Buyers Club") and Leonardo DiCaprio ("The Wolf of Wall Street").

Though both have some high-profile wins, they have yet to face off in the same category. (Both won Golden Globes, but McConaughey's was for a drama and DiCaprio's was for comedy.) And when it comes to politicking, DiCaprio has played the game well, says O'Neil, who points out that the "Wolf" star has been making the rounds with humor and class.

"When I look at the list of past winners of best actor, I see movie stars," he says. "There's kind of a veteran glow to it. With Leo being overdue, it's to his advantage -- and he's given the biggest performance of his career in the most talked-about movie of the year."

But McConaughey may have a secret weapon. No, not his extreme weight loss. Try "True Detective" on HBO, which has become an addictive hit.

"(One academy member) told me he's voting for McConaughey because he's addicted to 'True Detective,' " says O'Neil.

Technically speaking

"Gravity" is up for several technical awards, including production design, sound editing, sound mixing and visual effects. It's considered the front-runner for most of them. If it falters, it could be a long night for director Alfonso Cuaron and his film.

"If you see 'Gravity' lose some techs, it's indicative that it's not going all the way," says Davis.

A 'Slave' surprise

"12 Years a Slave" has fewer technical nominations but has a number of acting nods: best actor Chiwetel Ejiofor, best supporting actor Michael Fassbender and best supporting actress Lupita Nyong'o. Only Nyong'o is given a strong shot to win -- she's the top pick of GoldDerby's experts -- but if Fassbender and Ejiofor triumph, expect "Slave" to take it all.

Fassbender has the toughest road, says O'Neil. The academy has softened up about giving Oscars for villainous roles, but there's usually a wink involved -- think Christoph Waltz in "Inglourious Basterds" or even Anthony Hopkins in "The Silence of the Lambs." Not so for Fassbender's character, a vicious slave owner.

"He's pure Satan," says O'Neil.

Do the "Hustle"

"American Hustle" did even better among the major categories -- it's the only film nominated in the Big Six of picture, director, actor, actress, supporting actor and supporting actress. But of all the film's nominees, only Jennifer Lawrence -- who's won a Globe and a SAG Award, and who's the most popular actress in the world right now -- is considered a threat in her category, best supporting actress.

The key is probably Amy Adams, up for best actress. That category is considered a runaway for Cate Blanchett of "Blue Jasmine," but if the Woody Allen controversy has rubbed off on her, five-time nominee Adams could take the Oscar and indicate bigger things for the film about the '70s Abscam scandal.

Davis is doubtful, though. Even the Seahawks gave up a touchdown during the Super Bowl, he says.

"I'm sure she'll lose a couple votes, but not enough to matter," he says.

Watch Weinstein

Producer Harvey Weinstein is the master of awards gamesmanship. He makes high-quality, often audience-friendly films with good casts -- "Shakespeare in Love," "The Artist," Quentin Tarantino's films -- and he knows how to promote them.

This year he's putting his chips on his best picture nominee, "Philomena." The film has earned good reviews, done respectable box office and features the ageless Judi Dench. It has a good shot at adapted screenplay, which was co-written by star Steve Coogan, and Dench is a seven-time nominee who's won once before.

Along with Martin Scorsese's "The Wolf of Wall Street," it's probably the leading dark horse -- but whereas "Wolf" is divisive, "Philomena" is liked.

O'Neil thinks screenplay is possible -- "sometimes the most emotional movie wins" -- but thinks that might be it.

Still, at least "Philomena" picked up a best picture nomination. Weinstein's other major film, "August: Osage County," didn't even get that.

Splitting tickets

Finally, this is an odd handicapping year. Usually the best director has directed the best picture, but this year the handicappers are picking "Gravity's" Cuaron for best director and "12 Years a Slave" for best picture. When the two categories differ, it's a surprise, not an expectation.

Davis can't shake the feeling that voters won't split their votes -- and that will make "Gravity" the big winner. (Sorry, "12 Years" director Steve McQueen.) Cuaron not only won the top award from the Directors Guild, but "Gravity" also tied "12 Years" as the best film picked by the Producers Guild -- which, given the PGA's use of the preferential ballot, was an incredible shocker.

And O'Neil suggests another indicator: "Gravity" star Sandra Bullock, who's up for best actress.

"If 'Gravity' wins best picture, Sandra might go along for the rocket ride," he says. "She is 'Gravity' -- she's the whole movie."

One sure thing?

This won't predict the best picture winner, but if you're looking to check off a category on your Oscar ballot, look no further than "The Lady in Number 6: 'Music Saved My Life'," a documentary short subject about a Holocaust survivor who lived to be 110. As Mark Harris noted in Grantland, she died Sunday -- two days before Oscar voting ended. Harris sums it up: "We're done here."

Dominoes and randomness

A lot of the foregoing, of course, assumes the Oscars are logical. Let us emphasize: The Oscars are not logical. They are a popularity contest, a business proposition, a plea for attention, a throw of a dart.

Sometimes films gather momentum like so many falling dominoes, as "Argo" did last year. Other times big favorites fall short at the end: 1976's "Network" won three of four acting categories but lost best picture to "Rocky"; 1972's "Cabaret" took home eight Oscars -- including best director -- but lost best picture to "The Godfather."

And if you need any more proof that the Oscar universe can be as random as a roll of the dice, consider two words: Roberto Benigni.

Good luck in your pool.

@highlight

"12 Years a Slave," "Gravity," "American Hustle" are Oscar front-runners

@highlight

Each film has route to the big prize

@highlight

Voting for Oscar only partly about art; it's often about personalities

@highlight

86th Academy Awards scheduled for Sunday night