(CNN) -- The first thing offered to me at Suntory's Yamazaki whiskey distillery -- the birthplace of Japanese whiskey -- is a glass of water.

It's so delicious it comes as a shock.

Even before the reason is explained to me, I'm asking: why does it taste so crisp, so different?

The distillery is surrounded by beautiful bamboo forests on a mountain -- they must be getting to my brain.

It turns out the water in the area is the reason the first whiskeys in Japan were distilled here.

"The distillery was built here almost 100 years ago for the legendary water," says Makoto Sumita, who's been with Suntory for 20 years, as we walk past a pond to the tasting room.

Drawn from deep mountain wells and designated one of the best mineral waters in the country by Japan's Ministry of the Environment, Yamazaki's water is also reportedly the inspiration for the legendary Japanese tea ceremony that originated centuries ago.

These days, it's used to make some of the most remarkable whiskeys on the planet.

For some, Japanese whiskey even trumps Scotch as the go-to after-dinner dram.

Secret's out

Any serious whiskey drinker is likely to recall, with perfect clarity, where and when they had their first taste of Japanese whiskey.

My first was a Hibiki 17, on a first date in Hong Kong two years ago (I was latecomer).

From the first sip, I loved how approachable it was, with hints of sweet fruit mingled with the oak.

For most drinkers, the draw of Japanese whiskey isn't just that its smoother, complex taste belies its years -- it's the allure of being let in on something rare and refined.

"Drinkers seeking new flavors and tastes are increasingly turning to Japan for new drinking experiences," says Whisky Magazine editor Rob Allanson.

"There are some whiskies that have become esoteric, like the Karuizawa, which are hard to obtain and represent a holy grail for drinkers and collectors."

"People who care about what they drink want something more interesting, not just the same selection (available at) any duty free store," says Richmond Lee, owner of Nocturne, the latest high-end whiskey bar to open in Hong Kong's trendy Central district.

Despite a prominent display of Scotch (Nocturne stocks 150 different whiskeys), Lee says his customers overwhelmingly seek out Japanese selections.

"What really surprised me was that female customers comprise a third of my clientele and they drink Japanese whiskey straight," says Lee.

"I think it's because it's more smooth and sweeter than Scotch. And from a value perspective, with Japanese whiskey you don't need to go for an older vintage to get quality."

Out-Scotching Scotch

Thus is the world of whiskey being shaken.

The 21st-century ascendancy of Japanese whiskies recalls the Judgment of Paris, the 1976 blind-tasting wine competition in which California wines were rated the best in every category for the first time, sending shock waves throughout the Francophile wine world.

For the past decade, Japanese brands have begun to outrank Scots labels, a similarly unimaginable phenomenon.

It started in 2001, when Nikka's Yoichi 10 was named "Best of the Best" by Whisky Magazine.

Then the Yamazaki 12 won gold at the International Spirits Challenge in 2003.

Since then, Japanese whiskeys have consistently taken home medals at most major tasting competitions.

At the International Spirit Challenge 2013 held in the UK, Suntory was named "Distiller of the Year" for the third time and its blended Hibiki 21 Years Old won the Trophy prize, the highest award in the competition's World Whiskeys category.

Though in terms of global sales Japanese whiskies amount to barely a drop in the glass -- none are among the world's ten best selling brands -- Japan's top distillers have seen a steady increase in production and exports since at least 2006, with Suntory expecting to double its overseas exports by 2016.

Archrivals of alchemy

Hibiki.

Yamazaki.

Hakushu.

Yoichi.

Taketsuru.

Miyagikyo.

The most highly regarded Japanese whiskeys (the exception being Ichiro's Chichibu) are produced by the distilleries of Japan's great rivals, Suntory and Nikka.

Suntory is the reigning king to Nikka's scrappy underdog, but Nikka holds its own on the battlefield.

This year's $16 billion purchase of Jim Beam made Suntory the world's third-largest distiller; meanwhile Nikka's exports reportedly grew by 18 times between 2006 and 2012.

Both their origin stories can be traced back to the same place, the Yamazaki distillery, built in 1923.

That's when Suntory founder Shinjiro Torii hired Masataka Taketsuru, the godfather of Japanese whiskey, to set up the country's first whiskey distillery.

Taketsuru had gone to Scotland to learn the craft of whiskey making, and returned to Japan with a Scottish wife.

After 10 years with Suntory, Taketsuru left to build his own whiskey empire in Yoichi, Hokkaido, in a climate he preferred for its similarities to Scotland.

Japanese whiskey tour

My Japanese whiskey pilgrimage begins from the Yamazaki station, with a 25-minute scenic train ride from Osaka.

The countryside along the route is dotted with traditional houses and bamboo groves.

The heady aroma of whiskey mingles with the clear mountain air.

Unlike the bastions of Scotland's finest, the Yamazaki distillery is one of the few in the world that can produce a variety of whiskeys from the same distillery, thanks to the different shapes and sizes of the distillery's pot stills.

With its 3,000 casks, the storage room is the most impressive sight on the distillery tour.

In the Japanese tradition of obsessive and innovative craftsmanship, the wood used in these casks has been the subject of extensive experimentation.

While 200-year-old American white oak has traditionally been the wood of choice, Yamazaki has also introduced virgin Mizunara (Japanese oak) barrels to give aromas of kara (incense) and sandalwood.

The tour finishes at the beautifully rendered whiskey library, bar and gift shop where visitors can purchase varieties sold only on site -- including extremely rare single cask whiskeys -- in addition to the usual Suntory offerings.

Onward, to the north

Two days later, I'm on my way to Nikka's main distillery in snowy Hokkaido, the northernmost of Japan's four main islands.

What a different world it is.

The train ride to the Yoichi distillery is a stunning journey, past snow-dusted forests and white mountains, with the train running perilously close to the sea.

At tiny Yoichi station, which has been blasted by alarming snowfall, only a handful of people get off.

The Nikka headquarters are as different from Suntory's as a building can be -- a stone castle, with its own European-style insignia carved into the entrance.

It's the Winterfell of whiskey distilleries -- stark and gray and empty.

The focus of the tour is emphatically on Taketsuru's astonishing story.

Photographs, journals, maps of Scotland, even snatches of tartan are displayed with detailed captions explaining how they influenced Nikka's founder.

Unlike the light, modern feel of Suntory's bar, Yoichi's bar looks like an old boys' club, with mahogany finishes and mood lighting.

I take a whiff of the rare single casks that can only be bought here.

Their scarcity makes them pricey compared with many older blends.

Single Cask Yoichi 20 (500 ml) is ¥15,000 ($147), while Single Cask Yoichi 15 (500 ml) sells for ¥10,000 ($98).

While a Nikka whiskey may be closer to Scotch than say, a Yamazaki, Japanese whiskeys are still much sweeter and more fragrant than their overseas counterparts, with even the most peaty varieties still balanced.

Drinkers of Islay Scotches might enjoy the Single Malt Yoichi Peaty and Salty available at the distillery.

I end up purchasing a bottle for ¥6,500 ($64).

Grand finale

The highlight of the tour is the airy, open tasting room, where each visitor is given three samples of Nikka's most popular whiskeys.

Setting down my tray next to the window, I look out at untouched fields of snow-covered trees and take my time sipping.

I've been traveling to Japan since I was a child -- of all the onsens and sushi restaurants and shopping forays and mountain walks I've done and loved, I have to say, this is my absolute favorite Japan experience.

Until my next visit, anyway.

Suntory Yamazaki Distillery, 5-2-1 Yamazaki, Shimamotocho, Mishimagun, Osaka, Japan; +81 75 962 1423; 9:30 a.m.-5 p.m., closed New Year's holiday and during plant shutdowns; free guided tours in Japanese; free audio guides available in English, Chinese and French.

Nikka Yoichi Distillery, 7-6 Kurokawacho, Yoichimachi, Yoichigun, Hokkaido, Japan; +81 135 23 3131; 9 a.m.-5 p.m.; closed Christmas and New Year's holiday; free guided tours in Japanese, visitors can do a self-guided tour with free English maps.

@highlight

Japanese whiskeys are being judged among the best in the world

@highlight

A Japanese whiskey pilgrimage starts at Suntory's Yamazaki Distillery

@highlight

Nikka's main distillery is in a stone fortress in Yoichi, Hokkaido

@highlight

At both distilleries, visitors can buy rare whiskeys only available on site