(CNN) -- The World Health Organization says the current Ebola epidemic trend "shows a mixed picture" in Africa, according to a statement released early Tuesday.

Liberia has reported 16 new cases with nine deaths. Sierra Leone has had 34 new cases and 14 deaths since last week. The WHO statement suggests the growing number of cases in these countries means that there is still a problem with active viral transmission.

There has been some progress in Guinea. WHO says there has been a reduction in the number of new cases reported in Guinea. In fact, it has been a week since a new case has been reported in that country. There have, however, been two deaths reported.

With their countries facing an Ebola epidemic, the health ministers of 11 African nations have agreed to a joint strategy to try to stem its deadly advance.

As part of the plan, the World Health Organization will set up a "sub-regional control center" in Guinea -- one of the three West African nations at the heart of the outbreak -- to help coordinate the response.

The strategy was announced last week at the end of a two-day summit in Ghana that brought together ministers from the Democratic Republic of the Congo, Gambia, Ghana, Guinea, Guinea-Bissau, Ivory Coast, Liberia, Mali, Senegal, Sierra Leone and Uganda with health experts, Ebola survivors and WHO representatives.

It also calls for better surveillance and reporting of cases, the mobilization of community and political leaders to improve awareness and understanding, and greater cross-border communication.

WHO has previously warned that "drastic action" is needed to halt the spread of the virus, which can kill up to 90% of those infected.

Addressing the closing session, Dr. Luis Gomes Sambo, WHO regional director for Africa, welcomed the move.

"It's time for concrete action to put an end to the suffering and deaths caused by Ebola virus disease and prevent its further spread," he said.

WHO reports there have been 844 cases, including 518 deaths, in Guinea, Sierra Leone and Liberia as of July 6.

'Enormous' impact

The impact of the outbreak, which began in March, "has been enormous in terms of loss of human lives and negative socioeconomic effects," Sambo said.

The disease's spread "is in great extent associated with some cultural practices and traditional beliefs" that run counter to preventive health measures, he said.

According to a WHO statement, such traditional practices foster "mistrust, apprehension and resistance" in local populations regarding health workers' efforts.

These include the hiding and treatment at home of Ebola victims and funerals at which mourners touch the body of the deceased. "These are very high-risk practices leading to extensive exposures to Ebola virus in the community," the statement said.

Sambo added, "The extensive movement of people within and across borders has facilitated rapid spread of the infection across and within the three countries."

He also paid tribute to those on the front lines of the fight against the deadly disease, saying health workers have been "disproportionately affected," with more than 60 cases and 32 deaths reported among their ranks.

What you need to know about Ebola

Uganda takes steps

Uganda's health authorities, who took part in the summit in Ghana, announced new measures Friday to screen people arriving from Ebola-affected countries.

"All border posts have been told to intensify disease surveillance check points," Ugandan Health Minister Ruhakana Rugunda said.

"Special focus is on anyone with travel history of the past three months from the three West African countries of Guinea, Sierra Leone and Liberia."

Although no travel ban is in place, Ugandan residents have also been urged to limit nonessential travel to those three countries.

Rugunda said Uganda, which has experience in dealing with Ebola outbreaks, most recently in 2012, had been asked by WHO to provide technical assistance in the latest battle to contain the virus.

Internal, external hemorrhaging

Ebola is a violent killer. The symptoms, at first, mimic the flu: headache, fever, fatigue. What comes next sounds like something out of a horror movie: significant diarrhea and vomiting while the virus shuts off the blood's ability to clot.

As a result, patients often suffer internal and external hemorrhaging. Many die in an average of 10 days.

People are traveling without realizing they're carrying the deadly virus. It can take between two and 21 days after exposure for someone to feel sick.

The good news is that Ebola isn't as easily spread as one might think. A patient isn't contagious -- meaning they can't spread the virus to other people -- until he or she is showing symptoms.

The disease is transmitted by direct contact with the blood and body fluids of infected animals or people, according to WHO.

The scientist who discovered the Ebola virus in the 1970s, Dr. Peter Piot, told CNN's Christiane Amanpour this week that the situation is "unprecedented."

"One, (this is) the first time in West Africa that we have such an outbreak," he said. "Secondly, it is the first time that three countries are involved. And thirdly, it's the first time that we have outbreaks in capitals, in capital cities."

Officials believe the wide footprint of this outbreak is partly because of the proximity between the jungle where the virus was first identified and cities such as Conakry, Guinea's capital, which has a population of 2 million and an international airport.

Complicating matters, the countries hit hardest by the epidemic have major medical infrastructure challenges.

There is no cure for Ebola, but in theory, the disease should be easy to fight since close contact is needed to become infected, Piot said.

Simple hygienic measures such as washing with soap and water, not reusing syringes and avoiding contact with infected corpses are sufficient to stop spread of the disease, Piot said.

"This is an epidemic of dysfunctional health systems," he added. "Fear of the virus, and the lack of trust in government, in the health system, is as bad as the actual virus."

Get the fast facts on Ebola

We're aliens in Ebola's world

What is Ebola, and why does it kill?

CNN's Mick Krever, Danielle Dellorto, Miriam Falco and Jen Christensen contributed to this report. Journalist Samson Ntale in Kampala also contributed.

@highlight

NEW: Uganda announces extra screening for people arriving from Ebola-affected nations

@highlight

African nations agree on a joint strategy to try to stop spread of Ebola virus

@highlight

"It's time for concrete action to put an end to the suffering and deaths," health official says

@highlight

Traditional practices around care for the sick and funerals aid in Ebola's spread, WHO says