Clearwater, Florida (CNN) -- After a second day of jury selection in the Casey Anthony murder trial, more prospective jurors facing weeks and possibly months away from home, family, work and school have been excused.

While a few were dismissed for expressing opinions about the defendant, most were let go after revealing compelling hardship issues during questioning by the judge and lawyers from both sides.

One woman in her 50s, who works at a hospice, said she cannot go weeks without an income. Her employer would not compensate her during the trial and she said she would not be able to pay her mortgage.

Another woman said she is in school and would have no one to care for her 4-year-old daughter.

The obstacles to serving represent a vivid cross-section of everyday struggles for Americans, especially in a fragile economic recovery.

Financial difficulties, chronic illness, single parents trying to care for children while earning a living were among the excuses offered in court.

The judge in the case, Belvin Perry, previously ruled that the jury would be sequestered throughout the trial.

Perry wants to shield the panel of 12 and eight alternates from media coverage of the trial and other factors that could sway the outcome. "Black's Law Dictionary" defines jury sequestration as ''the custodial isolation of a trial jury to prevent tampering and exposure to publicity.''

Other major cases that have been sequestered in recent years include the O.J. Simpson double murder trial in Los Angeles and the trial of Mary Winkler, found guilty of voluntary manslaughter in the death of her husband, a minister in Selmer, Tennessee.

Casey Anthony's 2-year-old daughter, Caylee, disappeared in the Orlando area in 2008. After a protracted search amid national news coverage, a repairman found the toddler's remains in woods near her parents' home.

That the case is so high-profile makes it difficult to find a jury without prejudices. Legitimate personal hardships -- universally considered grounds for dismissal in U.S. courts -- present an extra challenge.

A male juror said Tuesday he is one of four nurses on a 24-hour rotation for treating heart attack patients. His co-workers would have to "scramble" without him on the job, he said.

Others included a middle-aged woman who may need surgery; a man who runs group homes for delinquent youths and is getting married this summer; a man who wants to see his dying uncle in Puerto Rico, and a woman who is the sole caregiver for her disabled husband. She brings him to doctors and reminds him ''to take his pills.''

A woman in her 40s pays her children's college tuition and works two jobs to supplement her income. She said she would have to borrow money or ''pull funds from other places'' to avoid falling behind on her mortgage.

But not every juror claiming hardship was released. A man in his 30s said he runs a family-owned Ace Hardware store. His father has had heart attacks and strokes over the past several years, leaving his son to manage the business on his own.

The man, who has two dogs, no children and no wife because he hasn't ''found the right woman yet,'' said leaving the store for eight weeks would be a big problem, even though he has 34 employees. None of them are trained as managers, he said.

However, when asked what else is on his calendar in the next several months, he said he has a business and pleasure trip to Panama.

That's when he lost his argument. Cheney Mason, Anthony's lead defense attorney, said if the man can go to Panama, he has someone to take care of the store.

According to authorities, Casey Anthony took about a month to report her daughter's disappearance to police. Widely known as "Tot Mom" from media coverage, Anthony was arrested and charged with first-degree murder. She could face the death penalty if convicted.

Anthony was transported to Clearwater, Florida, and booked into the Pinellas County Jail for jury selection. Perry is holding jury selection in this Tampa Bay Area city of more than 100,000 to avoid assembling a panel that is likely to be more familiar with the case.

Anthony will return to Orlando, about 100 miles to the east, for the trial, which could kick off next week.

Lawyers have also dismissed several potential jurors who expressed opinions about the case during voir dire, questioning to ensure jurors are not biased. The old French phrase means to speak the truth.

Jury selection is scheduled to resume Wednesday morning.

Belvin dismissed a panel of candidates on Tuesday, saying they were contaminated by a prospective juror overheard discussing the case. By sheer coincidence, the juror is a witness in the Anthony case and was serving in Pinellas County.

After screening for hardship, the court will ask remaining prospective jurors about their knowledge of the case, whether they could set that aside and if they were to find her guilty could they impose the death penalty.

In a moment of limited levity on Tuesday, Belvin asked one potential juror who planned to visit Savannah, Georgia, with his wife in June for their wedding anniversary whether he would ''be in the dog house'' if the trip were put on hold.

''I think she'd be a bit more upset than I would at this point,'' he said.

@highlight

Casey Anthony case indicates how many need every paycheck

@highlight

Others have no one else to care for child or spouse

@highlight

Several dismissed for expressing opinions