(Health.com) -- Many people who are overweight and obese either don't realize it or are in denial -- and too few doctors are setting them straight, according to a new study in the Archives of Internal Medicine.

Researchers analyzed data on roughly 5,500 people who took part in government health surveys between 2005 and 2008. One-third of the obese participants and 55% of overweight participants had never been told by a doctor that they were overweight, the study found.

If a doctor did comment on a patient's weight, it seemed to make an impression. Nearly 20% of obese people whose doctors hadn't brought up their weight described themselves as "not overweight," compared with just 3% of those whose doctors had addressed their weight. Obese and overweight patients who discussed the issue with doctors were also more than twice as likely to have tried to lose weight in the previous year.

Health.com: Best and worst advice from top diet plans

"If people are told by their doctor that they are overweight, it corrects their perception," says the lead author of the study, Robert Post, M.D., research director of the Virtua Family Medicine Residency in Voorhees, New Jersey.

Overweight is defined as having a body mass index  between 25 and 29, and obesity is defined as a BMI of 30 and up. (BMI is a rough estimate of body fat based on the ratio of a person's height and weight.)

Doctors may be reluctant to broach the subject of weight for a number of reasons, Post says. For instance, busy physicians might not want to fall behind schedule by adding another topic to their list of things to discuss during an appointment. And many doctors have negative attitudes toward their heavier patients, whom they see as unlikely to stick to a diet and exercise program, he adds.

Health.com: Surprising celebrity BMIs

The researchers weren't surprised by the high percentage of overweight people who thought their weight was normal, as several studies in recent years have found comparable -- or higher -- rates. A study published last year that used similar data from government surveys showed that 23% of overweight women and 48% of overweight men considered their weight to be just right.

Post and his colleagues chalk this up to what they call the "'norming up' of society." Roughly two-thirds of U.S. adults are now overweight or obese, and as Americans have grown heavier, the perception of what constitutes a normal weight has changed as well, Post says.

In fact, most of the overweight study participants accurately estimated their BMI. But many didn't see their weight as unhealthy or recognize the need to shed some pounds.

Health.com: America's healthiest diet tricks

Although it might seem obvious that excess weight is unhealthy, being reminded of this by a doctor can be an effective wake-up call, says Robert B. Baron, M.D., director of the weight management program at the University of California San Francisco.

In an editorial accompanying the study,  Baron notes that studies have shown that smokers whose doctors remind them of how unhealthy the habit is and encourage them to quit are more likely to do so successfully than those whose doctors stay mum. Simple reminders and encouragement to lose weight could have a similar effect on overweight and obese patients, he says.

Health.com: Obese? What your doc may be overlooking

Baron proposes calculating BMI and entering it on a patient's chart at every doctor's office visit, as is done with blood pressure and other vital signs. "This is very, very easy to do," Baron says. "If it were required or strongly suggested, it would not be very onerous.... We need to be as aggressive as we were with smoking cessation."

Copyright Health Magazine 2010

@highlight

"If people are told by their doctor that they are overweight, it corrects their perception"

@highlight

Doctors may be reluctant to broach the subject of weight for a number of reasons

@highlight

Roughly two-thirds of U.S. adults are now overweight or obese