Rome (CNN) -- Italian President Giorgio Napolitano said Wednesday that his country will adopt a series of austerity measures promised to the European Union, as officials try to allay investor fears and head off a eurozone debt crisis.

Silvio Berlusconi, the embattled Italian premier who has offered his resignation, is expected to step down shortly after the measures are approved.

After the Italian Parliament passes reforms meant to address the country's long-term fiscal health and its broader effect on global markets, either an interim government will be formed or elections called, the president said.

Italian authorities say that if officials opt for elections, they would take place in January and likely result in a new government by February, at the earliest. The prime minister would typically remain in office until a transition takes place, though mounting market fears have raised questions about whether lawmakers might take swifter action.

Investor confidence plummeted Wednesday when the yield on 10-year Italian government bonds rose above 7%, the level at which other European countries -- including Greece, Portugal and Ireland -- have sought international bailouts.

The bond yields -- which represent the level of risk of lending Italy money -- surged to their highest levels since the euro was launched in 1999.

The move, analysts say, could suggest that Italy may need more than a change in leadership to address investor concerns.

But Italian lawmakers, for their part, could approve the new austerity measures as early as Saturday, officials say, compelling Berlusconi to resign shortly thereafter.

The heart of the measures, said Finance Minister Giulio Tremonti, would increase the pension age by two years to 67 in 2026, sell state property, invest in infrastructure and liberalize portions of the Italian economy, privatizing some state-owned businesses.

The moves are meant to address the country's soaring â‚¬1.9 trillion debt load, which is nearly six times that of Greece.

As attention focused on Italy, the head of the International Monetary Fund painted a stark picture of the challenges facing the world's economic stability.

"The global economy has entered a dangerous and uncertain phase," Christine Lagarde said in remarks prepared for delivery at the International Finance Forum in Beijing.

"If we do not act, and act together, we could enter a downward spiral of uncertainty, financial instability and a collapse in global demand. Ultimately, we could face a lost decade of low growth and high unemployment," she said.

Although she made no specific mention of Italy in the prepared remarks, Lagarde spoke as even more bad news came from Rome.

Italy has been under pressure from investors and its trading partners to get its fiscal house in order. The nation has debts equal to about 120% of its overall output and an economy that has been stagnant for years.

U.S. stocks, meanwhile, sold off sharply after Italy's bond yield spiked, with The Dow Jones industrial average tumbling 3%. European markets also sold off and the euro slumped nearly 2% against the U.S. dollar.

On Tuesday, Berlusconi won a parliamentary vote approving a new budget that includes austerity measures sought by international lenders, but lost his majority in parliament. Berlusconi later said he would resign, and on Wednesday his spokesman, Paolo Bonaiuti, said Berlusconi would not run in the country's next parliamentary elections.

In recent weeks, international concern has focused increasingly on Italy, the third-largest economy in the eurozone, as analysts have worried that the financial crisis centered in Greece could spread.

At a meeting Wednesday of the European Parliament in Belgium, British Deputy Prime Minister Nick Clegg described the pace at which the bad news has been accumulating.

"I cannot remember a time when events in Europe moved so swiftly. Many hoped that, by now, we would no longer be lurching from one headline to the next. But the focus has shifted from Athens to Rome, and it is clear that much still needs to be done to ensure stability in the eurozone," he said.

"Today I do not intend to provide further commentary on these specific events. For one thing, it would probably be out of date by the time I sat down," he added.

"Europe is suffering from a crisis of competitiveness," Clegg said, issuing a challenge to EU nations. "The choice is stark: Reform or wither. Reform now or regret it forever."

For now, analysts are keeping their focus largely on Italy. Although the country is solvent, it holds a huge debt pile, and investors fear it may not be able to sustain that level of borrowing. Italy is the world's eighth-largest economy. A meltdown would send shock waves through the global economy.

Analysts say the problem is a lack of investor confidence, rather than solvency, which is plaguing debt-laden eurozone neighbors like Greece.

"This is a crisis of confidence, not of fundamentals," said Mark McCormick, currency strategist at Brown Brothers Harriman. "Italy's debt level is sustainable, but it needs to implement policies that will support economic growth."

Though the timing of Berlusconi's resignation is unclear, news of his imminent departure signaled the end of an era in Italian politics.

The 75-year-old business tycoon has been a dominant force since forming his Forza Italia party in 1994.

He has weathered many crises, including sex scandals and corruption trials, in his three terms in office. But the loss of his parliamentary majority -- and with it his ability to command the government -- was a blow from which Berlusconi could not recover.

A senate budget commission is soon expected to vote on the measure.

Berlusconi told Italian newspaper La Stampa that his decision gives him freedom.

"I will not put myself up for elections," he told the newspaper. "Actually, I feel liberated. Now it is time for Alfano. He will be our premier candidate. He is extremely good, much better than one can expect, and his leadership has been accepted by all."

Berlusconi was referring to former Justice Minister Angelino Alfano, who has been known as his hand-picked successor.

But others are expected to seek to replace Berlusconi.

Names being floated include political figures such as Gianni Letta, Berlusconi's chief of staff, and Mario Monti, a former commissioner with the European Union.

President Napolitano announced Wednesday that he had nominated Monti as "senator for life," a title bestowed on those who have held distinguished roles, raising speculation about his candidacy.

A Yale-trained economist and professor at Milan's Bocconi University, Monti has also worked as an international adviser to the investment firm Goldman Sachs.

Dubbed "Super Mario" for his work in international finance, the former EU commissioner gained notoriety for his role in blocking a merger between U.S. firms Honeywell International and General Electric, thought to be a move that highlighted Europe's newfound regulatory clout.

Other business figures such as Luca Cordero di Montezemolo, chairman of Ferrari, and Alessandro Profumo, former CEO of Italy's largest bank, UniCredit, are also considered candidates.

CNN's James Partington, Hada Messia, Josh Levs, Pete Wilkinson, Nick Thompson, Laura Smith-Spark and Nina Dos Santos contributed to this report.

@highlight

Either an interim government will be formed or elections will be called

@highlight

Italian bond yields pass a dangerous threshold

@highlight

Italy's Finance Minister details austerity measures

@highlight

Italy has a â‚¬1.9 trillion debt load