(CNN) -- Malaysia Airlines Flight 370 drastically changed course then soared to near its peak altitude, a senior Malaysian aviation source said -- adding yet another wrinkle to the enigma of the plane's last flight.

Before disappearing from radar screens on March 8, the commercial airliner deviated from its planned route from Kuala Lumpur to Beijing by turning leftward over water while it was still inside Vietnamese airspace, the Malaysian aviation source told CNN's Nic Robertson.

The aircraft then climbed to 39,000 feet, just short of the Boeing 777-200ER's 41,000-foot safe operating limit, and maintained that altitude for about 20 minutes over the Malaysian Peninsula before beginning to descend, the source said.

Why? That and so much else -- including where the plane is now -- remains a mystery. Investigators have been trying for weeks to piece together bits of information trying to get the answers being demanded by relatives of the 239 people aboard the plane, not to mention millions more around the world who have been captivated by this ordeal.

In addition to this newly revealed development, investigators have determined that the missing jet was equipped with four emergency locator transmitters, or ELTs, which are designed to transmit a plane's location to an emergency satellite when triggered by a crash or by contact with water, the source added.

The ELTs were at the plane's front door, its rear door, in the fuselage and in the cockpit, said the source, who was puzzled over why they appear either not to have activated or, if they did activate, why they were not picked up by the satellite.

Relatives of the 239 passengers and crew have raised questions about the ELTs with Malaysian authorities, suggesting there were at least three aboard the plane, including two portable units and one fixed device.

No comment from Malaysia Airlines

Malaysia Airlines has declined to answer CNN's questions about the ELTs and other matters pertaining to the flight, which vanished six weeks ago after taking off shortly after midnight from Kuala Lumpur, Malaysia.

The airline said it could not comment on "any questions that relate to information held by other authorities and/or fall under the jurisdiction of the ongoing investigation. ..."

Besides this probe, the plight has spurred an expansive, expensive search to find the aircraft.

That includes the dispatching of up to 11 military aircraft and 12 ships Saturday across three areas off Perth, Australia. They will cover about 20,000 square miles (50,000 square kilometers) and brave isolated showers, according to Australia's Joint Agency Coordination Centre.

There may not be much more of this, however. Officials have said searches from air and ships are probably nearing an end.

That doesn't surprise former U.S. National Transportation Safety Board Managing Director Peter Goelz, given the results so far. "There's a lot of resources being expended there; it's turned up nothing," he said.

But Goelz predicts the underwater phase of the search will continue for the six to eight weeks needed to cover the current search zone. If that turns up nothing, he predicted, towed array sonar probably would be used to search a wider zone.

"This is a very complex operation," ocean search specialist Rob McCallum said. "It's going to be a game of patience now."

As of early Saturday, the underwater drone scouring the bottom of the Indian Ocean had taken six trips looking for the missing jetliner with a seventh mission then underway.

The Joint Agency Coordination Centre said the Bluefin-21 search has covered about 50 square miles. While the information gleamed from the sixth trip was still being analyzed, the first five didn't yield any breakthroughs.

Malaysia's acting transport minister, Hishammuddin Hussein tweeted Friday that authorities are looking at deploying more unmanned underwater probes.

Officials might consider searching along a large portion of sea highlighted by a partial digital "handshake" between the jetliner and an Inmarsat PLC satellite, said Martin Dolan, Australia's top transport official.

That arc of sea is more than 370 miles long and 30 miles wide.

A prolonged undersea search by private contractors could cost a "ballpark rough estimate" of $234 million, said Dolan.

Passengers' kin list questions

The continuing search efforts came as relatives of the people who were aboard the jetliner pressed for answers.

They have drawn up 26 questions that they want addressed by Malaysian officials, who are to meet with them next week in Beijing. Most of the Flight 370 passengers and crew were Chinese.

Among their questions: What's in the flight's log book? Can they review the jet's maintenance records? Can they listen to recordings of the Boeing 777 pilot's conversations with air traffic controllers just before contact was lost?

Hishammuddin has defended his government's handling of the operation and accused members of the news media of focusing on the Chinese families. He said relatives of passengers and crew from other nations represented have not had problems.

"The most difficult part of any investigation of this nature is having to deal with the families," he said.

CNN's Greg Botelho, Pamela Boykoff, Mitra Mobasherat, Ivan Watson, Brian Todd, Elizabeth Joseph and Erin Burnett contributed to this report.

@highlight

NEW: 6th underwater drone mission finishes; 7th such trip is underway

@highlight

NEW: Agency: Up to 11 military planes, 12 ships to take part in Saturday search

@highlight

Flight 370 is said to have deviated from flight plan while inside Vietnamese airspace

@highlight

There's still no sign of the Boeing 777, now 6 weeks after it went missing