(CNN) -- An Organization of American States commission condemned Monday the slayings last month of three Honduran political activists opposed to a military-led coup that removed the elected president in June.

The Inter-American Commission on Human Rights also said it deplores the kidnappings, arbitrary detentions, torture, sexual violations and illegal raids that the panel maintains other members of the political resistance have suffered since the June 29 coup.

The commission cited more than 50 detentions, eight cases of torture, two kidnappings, two rapes and one raid on a residence during the past month. The attacks have been made against members of the resistance, union members and journalists, as well as their children, the panel said.

Honduras returned to democracy in January, and the newly installed government of President Porfirio Lobo Sosa bears responsibility for safeguarding civil liberties and human rights, the commission said.

"Honduras must adopt urgent measures to guarantee the rights to life, humane treatment and personal liberty," the panel said in a report. "All persons, without distinction, must be equally protected in the exercise of their rights to freedom of expression, assembly, and political participation."

Honduras' top law enforcement official said he "laments and deplores" violence that resulted from the coup that removed President Jose Manuel Zelaya from power and installed interim President Roberto Micheletti.

"We will strengthen our investigations aimed at clearing up these events, appointing a special squad that will produce the arrests of those responsible and the unrestricted application of justice," Minister of Security Oscar Arturo Alvarez Guerrero said last week.

Micheletti instituted martial law during his seven-month rule, and some Zelaya supporters say they were harassed, arrested or worse.

Human rights will be respected under Lobo, who was elected in November and assumed the presidency January 27, national Police Commissioner Leonel Sauceda said Monday. Alvarez has been in office for only about a month but has promised to tackle the problem, Sauceda said.

The OAS commission said that one of the recently killed activists was 29-year-old Vanessa Zepeda Alonzo, who was found February 3. According to the panel, witnesses said her body was thrown out of a car.

Another activist, union member Julio Funez Benitez, was chatting outside his home in Olancho on February 15 when two men on a motorcycle fatally shot him twice, the rights commission said.

A third person, Claudia Maritza Brizuela, 36, was killed in her home February 24, the commission said. She was the daughter of union and community leader Pedro Brizuela, who participated against the coup.

"Two unknown individuals came to her door, and when she opened it, Claudia Brizuela was shot and killed in front of her children, ages 2 and 8," the report said.

The Inter-American Commission on Human Rights also expressed concern that activists' family members are being threatened and harassed, with two of them killed in the past few weeks.

"The commission observes with dismay that it appears that sons and daughters of leaders of the Resistance Front are being killed, kidnapped, attacked and threatened as a strategy to silence the activists," the report said.

Dara Gudiel, 17, was found hanged February 17 in Danli, the commission said. She was the daughter of journalist Enrique Gudiel, who broadcasts the resistance radio program "Siempre al Frente con el Frente" ("Always Up Front with the Front").

"Days before she was found hanged, Dara Gudiel had been released after having been kidnapped and held for two days, during which time she was alleged to have been physically mistreated," the panel's report said.

Eight days earlier, the commission said, seven heavily armed men dressed in military uniforms and wearing ski masks abducted five members of a family active in the resistance. One of those taken captive, the panel said, was a young woman who reported in August being raped by four police officers who detained her in connection with an anti-coup demonstration.

In the February 9 abduction, the armed men intercepted the vehicle in which the young woman was traveling with her brother, her sister and two other people.

When the occupants offered to turn over the car keys, the report said, the men answered that they wanted the young woman, "to see if she would report them this time."

"The five were forced at gunpoint to walk into the mountains, where two of the women were sexually violated; the third was the victim of robbery and death threats, and the two men were subjected to physical torture," the report said. "They were released hours later."

Analysts note that violence is not new to Honduras, nor is it limited in scope. The violence can be political, from all sides of the spectrum. It can be criminal, either random or organized. And it can occur in urban or rural areas.

"Unfortunately, Honduras has a history of violence," said Otto Reich, who served the past three Republican presidents in a number of high-level Latin American posts.

A State Department advisory admonishes that "crime is endemic in Honduras and requires a high degree of caution by U.S. visitors and residents alike. U.S. citizens have been the victims of a wide range of crimes, including murder, kidnapping, rape, assault and property crimes."

Poverty, gangs and low apprehension and conviction rates contribute to a critical crime rate, including mass slayings, the State Department said.

But political violence deserves special attention to safeguard democracy, the OAS panel said.

"People from all political sectors have the right to fully and freely exercise their right to freedom of expression and their right to assembly, without violence and in accordance with the law and with inter-American standards for the protection of human rights," the report said.

Reich, who supported Micheletti, spent three days in Honduras last week and met with Lobo, the new president. The new administration, Reich said, is committed to reconciliation and putting an end to divisions that resulted from the coup.

Micheletti and the coup plotters maintained that Zelaya was trying to remain in power by maneuvering to hold a referendum that ultimately could have allowed him to run again. The nation's congress had outlawed the vote, and the supreme court said it was unconstitutional.

Reich said he hopes the OAS report does not blame the new government for the violence. But the report bears noting, he said.

"Any allegation of violations of human rights has to be taken very seriously, especially in a country with a history of human rights violations," Reich said. "There's a lot of ad hoc violence, but if there's organized violence against political supporters of Zelaya, then that is wrong, and it should be condemned."

The Inter-American Commission on Human Rights is an autonomous panel created by the OAS. The commission consists of seven independent members who act in a personal capacity, without representing a particular country. They are elected by the OAS General Assembly.

@highlight

Organization of American States panel targets kidnappings, torture, raids

@highlight

Report says political activists have suffered since June coup

@highlight

New president must safeguard rights, report says

@highlight

Security minister has promised to tackle problem