Arne Duncan, the U.S. secretary of education, set off a firestorm last week when he suggested that most of the opposition to the Common Core State Standards for education was coming from "white suburban moms" who have suddenly discovered from standardized test results that their children aren't as "brilliant as they thought they were and their school isn't quite as good" as they thought it was.

Duncan later apologized for the remarks, made at the annual meeting of the Council of Chief State School Officers. But the damage was done.  Opponents of the Common Core academic standards seized on his remarks as a sign that the Obama administration was unwilling to acknowledge legitimate concerns about the standards and that it would insult anyone who criticized its education agenda.

Unfortunately, the way Duncan framed his comments -- and the backlash they've created -- are just more distractions in what should be a serious conversation about the very real education problems we face, and about the role the Common Core might play in increasing rigor and improving opportunities for American students.

Education Sec. Duncan under fire for comment about 'white suburban moms'

I can't presume to know exactly what Duncan meant, but I suspect he was hinting at the notion that pushback from parents to reform driven by standards and accountability was fairly muted when those policies shined a spotlight on achievement gaps and the relative low achievement of our nation's most disadvantaged students. But it began to explode when test scores in states implementing Common Core-aligned tests showed that our typically high-performing students were also failing to meet expectations.

The truth is that the backlash against the Common Core has grown strongest in areas where state tests results showed many previously "proficient" students failing to meet expectations. We've seen this most clearly in New York, where anti-Common Core sentiment reached a peak after the release of results from the latest state reading and math tests, which showed less than one-third of students across the state met grade-level expectations.

The question, though, is not whether Duncan's comments were ill-advised -- they were -- or insulting. Focusing on his gaffe distracts us from the very real and important conversation we should be having about the educational challenges we face in an increasingly competitive world, where school quality matters more than ever.

The evidence suggests that for too long, the expectations we have set have been too low for far too many of our students. Too many students, for instance, simply don't have access to the rigorous courses they need to propel them forward. And even within courses, expectations can and do vary so that some students are being fed a watered-down curriculum while others are being exposed to rigorous content.

We see expectation gaps not just within states but across states. Year after year, the gap between the number of students deemed "proficient" on state assessments and the number meeting proficiency standards on the Nation's Report Card is unacceptably large across all grade levels and in most states.

Even more critically, far too many of our nation's high school graduates, students who've been told they successfully completed requirements necessary to move from K-12 to the postsecondary level, have been ill-prepared for the rigors of college-level coursework and careers.

According to the National Conference of State Legislatures, between 28% and 40% of four-year college students have to enroll in at least one remedial course to learn content and skills they should have learned before earning their high school diplomas. It goes up to more than 50% at community colleges. Worse, according to a U.S. Department of Education study, only 27% of students who needed a remedial math course completed college. For those who took remedial English, only 17%  eventually graduated.

Although these challenges are most obvious in schools and districts that serve our nation's most disadvantaged youth, Common Core implementation in at least a few states has shown, perhaps uncomfortably, that may well be reaching beyond our urban centers.

In the end, the most unfortunate consequence of Duncan's gaffe is that it suggested a division where instead urban and suburban schools and parents could have found unity in talking about the school and classroom changes we need to give all students access to the rigorous content and skills they need to succeed.

@highlight

Education secretary caught flak calling opponents of standards "white suburban moms"

@highlight

Kathleen Porter-Magee: His comments distract from serious consideration of Common Core

@highlight

She says standards are more rigorous than before for proficiency, which upsets many

@highlight

But she says expectations for students have been too low for them to succeed