Washington (CNN) -- The retired general who took charge of relief efforts in New Orleans, Louisiana, after Hurricane Katrina said Thursday that the U.S. military should have arrived in earthquake-devastated Haiti 24 hours earlier.

"The good Samaritans who moved early on the first day are to be applauded. They made a difference," said Lt. Gen. Russel Honore, a CNN contributor.

"What we've got to do now is get the heavy equipment in. I thought the U.S. military could have been there a day earlier. They're on the ground now, and they have a brigade en route, and that's going to make a big difference," he said.

Honore, best known for his management of the recovery efforts after the hurricane that killed about 2,000 people on the Gulf Coast, said "time is of the essence" in helping quake survivors.

Repairing the seaport at Port-au-Prince and keeping the airport open are key to bringing in equipment, food, water and medicine, Honore said.

Regarding the airport, he said, "You need to put the right commander there who's going to be a battle captain and keep those aircraft flowing. You come in, you drop off what you have, you put the sick and wounded on and then move out. No one is standing any time on the airfield. You can be in and out in a half hour."

Speaking at the House Democratic Caucus Retreat later Thursday, Obama acknowledged the scrutiny focused on U.S. response.

"This is a time when the world looks to us and they say -- given our capacity, given our unique capacity to project power around the world -- that we have to project that not just for our own interests but for the interests of the world as a whole," he said. "And my national security team understands that I will not put up with any excuses for us not doing the very best in this time of tragedy."

State Department spokesman P.J. Crowley defended the pace of the rescue.

"We are 40 hours into the crisis. In that time, we have reopened the airport and brought it up to 24/7 operations. We continue to look at the port facility, which will be critical to be able to bring in substantial amounts of aid, and we're trying to figure out a strategy for how to function," he said.

"We now have multiple search and rescue units on the ground. They're already at work," Crowley added.

"Logistics matter. You have an airport with a single runway. So we have things that are queued up. You're going to see a significant increase in the flow, but there is a capacity issue," he said.

Airlines such as American, Delta, Jet Blue and United were helping provide assistance to the country in the form of free miles for its program members and seats for aid organizations.

American was operating humanitarian flights, with three American Eagle aircraft flying 30,000 pounds of supplies into Haiti on Thursday. Three more such flights were planned Friday.

American is also partnering with the American Red Cross by offering one-time awards of 250 or 500 bonus miles for donations.

In the afternoon, the Federal Aviation Administration announced that Haiti had suspended flights into the Port-au-Prince airport because ramp space -- where aircraft are parked, unloaded, loaded, refueled or boarded -- was overcrowded. There also was no fuel, FAA spokeswoman Laura Brown said.

Several U.S. military units planned to depart from the United States for Haiti during the day, but it was unclear whether all would be able to do so.

Among those apparently delayed was a battalion of more than 100 soldiers from the XVIII Airborne Corps based at Fort Bragg, North Carolina. They had planned to fly out Thursday afternoon.

Paratroopers from the U.S. Army's 82nd Airborne Division, also based at Fort Bragg, were on their way to Haiti, said Rajiv Shah, coordinator for U.S. assistance to the stricken area. He also is administrator of the U.S. Agency for International Development.

The 82nd was deployed to New Orleans in the aftermath of Katrina.

The first of about 3,500 paratroopers were to board C-17 aircraft from Pope Air Force Base in North Carolina and arrive in Haiti before nightfall. On Friday, another 800 soldiers from the 82nd Airborne were to deploy.

In all, the U.S. military has 329 people in Haiti, including a group that arrived Tuesday night to help open the airfield in Port-au-Prince, the commander of U.S. Southern Command said Thursday. The Southern Command, based in Miami, Florida, is leading the Department of Defense's quake response.

"We're working feverishly and aggressively to support and provide life-sustaining capability to the citizens of Haiti," Air Force Gen. Douglas Fraser said. "They've suffered a great deal."

Offshore, four U.S. Coast Guard cutters and a destroyer were providing support, including helicopter support, he said.

A disaster relief assessment team was surveying the area, and a battalion of paratroopers along with a command-and-control element from the 82nd Airborne arrived Thursday, he said.

The aircraft carrier Carl Vinson is to arrive in Haiti on Friday morning, carrying 19 helicopters and 30 pallets of relief goods, he said. The carrier will help relief workers get around Haiti's decimated infrastructure "to get good where they need to be," Fraser said.

Within four days, 700 soldiers from the 82nd Airborne will be in Haiti, he said.

Those numbers will swell considerably. On Tuesday, three more ships will arrive, carrying 2,200 Marines and heavy equipment, he said.

By Saturday, 5,000 to 6,000 men and women dedicated to supporting the relief effort will be in Haiti, he said.

And a week from Friday, the USNS Comfort, a hospital ship, is slated to arrive, he said. "We are aggressively pursuing every action we can to provide relief to Haiti." The ship is staffed by a crew of 64 and 560 hospital personnel.

Rear Adm. Steve Branham, commander of the 7th Coast Guard District headquartered in Miami, said four Coast Guard cutters were in the area, each of them at least 210 feet in length and capable of carrying helicopters.

Two more cutters capable of providing heavy-lift capability were en route, he said.

Coast Guard aircraft were used Wednesday to move nine critically injured people from the U.S. Embassy in the capital to hospitals in Guantanamo Bay, Cuba, he said.

State Department Counselor Cheryl Mills said U.S. Ambassador to Haiti Ken Merten met Thursday with Haitian Prime Minister Jean-Max Bellerive to coordinate aid efforts.

Responding to questions as to whether the United States was in charge in Haiti because of the lack of Haitian government capacity, Mills said, "We have no intention of supplanting the leadership of Haiti. We actually see our role as ensuring that the leadership of Haiti is able to provide the leadership that the Haitian people properly expect them to provide."

The United States is providing support to the approximately 45,000 Americans in Haiti, only 300 of whom have expressed an interest in leaving the country, Mills said.

Obama has promised $100 million in immediate American relief aid to Haiti, an amount the president said will grow.

"This is one of those moments that calls out for American leadership," he said at the White House. "One of the largest relief efforts in our recent history" is now en route to Haiti.

The 7.0-magnitude earthquake that struck Tuesday afternoon was centered about 10 miles (15 km) southwest of Port-au-Prince, Haiti's capital, which bore the brunt of the destruction.

The port was demolished by the earthquake, which left huge chunks of concrete that blocked the road to truck and other traffic, CNN's Chris Lawrence reported. Those trying to transfer supplies from ships to people who need them will face major hurdles, he said.

Secretary of State Hillary Clinton said the United States is providing security help to the the United Nations, which was "equally devastated by the collapse of its headquarters" for its peacekeeping force in Haiti. As many as 150 of its personnel are missing.

She said a contingent of 2,000 Marines will assist international peacekeepers helping to police Haiti, which has no army.

Because the U.S. Embassy is one of the few structures that remains intact, it has become a point of support, providing medical assistance for Americans and Haitians who are able to reach it, Mills said.

The United States has been trying to contact U.S. citizens in Haiti to see what they need, Mills said. Embassy families and nonessential personnel have been ordered to leave.

CNN State Department Producer Elise Labott contributed to this story.

@highlight

NEW: Airlines offer miles for donations, seats on planes for aid organizations

@highlight

NEW: Obama says he will not put up with U.S. not doing "the very best in this time of tragedy"

@highlight

Haiti suspends flights into Port-au-Prince airport because ramp space is overcrowded

@highlight

Several U.S. military units plan to go to Haiti, but it's unclear whether all will be able to