Washington (CNN) -- Leading American Muslims on Wednesday strongly criticized this week's planned congressional hearing into the alleged radicalization of members of their community, calling it an unfair attack on loyal citizens and a dangerous break from the traditional U.S. embrace of tolerance and pluralism.

Rep. Peter King, the chairman of the House Homeland Security Committee, has said Thursday's hearing is necessary to explore the extent to which al Qaeda is trying to influence and indoctrinate U.S. Muslims, among other things. But his plans have created an uproar, with critics accusing Republican leaders of bigotry and comparing the hearings to Sen. Joseph McCarthy's allegations of Communist infiltration in the early years of the Cold War.

American Muslim leaders have also taken issue with King's assertion that they haven't sufficiently cooperated with law enforcement officials, and dismissed his claim that the overwhelming majority of mosques are run by extremist imams. Such claims are "demonstrably false," said Nihad Awad, executive director of the Council on American-Islamic Relations (CAIR).

"Except for a tiny minority," extremists have found "no fertile ground in America," he said. He said King is engaged in "fear-mongering," and called the New York Republican "unfit" to head the Homeland Security Committee.

"We are not in denial as a community that something is going on, that there are bad actors in every community," said Imam Johari Abdul-Malik, a member of the Council of Muslim Organizations.  King is "onto something, but he is going in the wrong direction."

And Attorney General Eric Holder weighed in as well, disputing King's premise that Islamic leaders haven't done enough to help police during a news conference Wednesday afternoon.

Holder said the Justice Department has tried to establish a dialogue with American Muslims, "so that information flows to us, information flows from us." And he warned against doing anything to "alienate entire communities."

"Leaders of the Muslim community and the Muslim community itself have contributed significantly to the resolution of many of the things that we have resolved over the course of the last 12 to 18 months," Holder said. "Tips that we have received, information that has been shared, has been critical to our efforts to disrupting plots that otherwise might have occurred."

In an interview with CNN, King shot back, "That's not my experience."

"New York is the epicenter, and I'm not aware of any tips that have been given in Nassau, Suffolk [counties] or New York City," he said. "That's one. And then talking to officials around the country, I get the same complaints."

Holder has not been called to testify in King's hearings, because he would contradict those complaints, King acknowledged. And he said top Obama administration officials also say al Qaeda is attempting to radicalize American Muslims, so "Where else would we look?"

"I won't demonize anyone," he said. "We're going to show the threat is coming from certain elements and in many ways threatens Muslim Americans as much as it does the entire country."

But Shahid Buttar, executive director of the Bill of Rights Defense Committee, said King is more interested in "scoring cheap political points by vilifying vulnerable communities."

On Tuesday, a national group, Muslim Advocate, launched a website aimed at tracking what it calls anti-Muslim rhetoric, particularly among elected officials.

"Our concern is that the King hearings are going to sow fear and mistrust of the Muslim community at a time when the nation needs to be coming together," said Farhana Khera, executive director of the group that launched WhatUnites.Us. "It's essentially a congressional stamp of approval for anti-Muslim hate."

In an earlier interview on CNN's "American Morning," King promised a "thoughtful, meaningful, very fair hearing" and insisted he was not condemning Islam as a religion or American Muslims as a group.

"I would never question anyone's religious beliefs," he said.  "The overwhelming majority of Muslims are outstanding patriots."  But he added, "There is a very small percentage who have allied themselves with al Qaeda," and he said U.S. Muslim leaders "do not face up to that reality."

"I want to encourage people in the Muslim community ... to be more aggressive in choosing their leaders," he said. "I don't think the leadership right now -- groups such as CAIR -- are doing an adequate job.  I think in some ways doing a very poor job of representing the Muslim-American community."

CAIR spokesman Ibrahim Hooper dismissed King's criticism, telling CNN the congressman "doesn't like that CAIR criticizes his past anti-Muslim statements and his Keystone Cops hearing."

Some critics of the hearings have called King's efforts against Islamic-American terrorism hypocritical. In the 1980s, King, an Irish-American, was an active supporter of the Irish Republican Army, an organization the State Department then deemed a terror group, and Gerry Adams, the leader of the IRA's political wing.

The IRA was responsible for hundreds of civilian deaths in terror attacks. But King, however, has defended his efforts, calling the IRA "a legitimate force" for decades. The congressman has insisted he only got involved so heavily with Adams because he knew Adams would be willing to broker peace with the British government.

A January 2010 study from researchers at Duke and the University of North Carolina concluded that the threat stemming from radicalized Muslims is overblown.

In the eight years following the September 11, 2001, attacks, 139 Muslim-Americans engaged in terrorism-related violence or were prosecuted for terrorism-related offenses with violent elements, the researchers concluded.  That level -- roughly 17 individuals per year -- "is small compared to other violent crime in America, but not insignificant."

"Homegrown terrorism is a serious, but limited, problem," they asserted.

The report concluded that effective self-policing, denunciations of terrorism, and heightened political engagement were among the factors helping to minimize radicalization in the Muslim-American community.

Critics such as King, however, point to a number of recent examples of alleged homegrown terrorism as evidence of a dangerous trend, including the case of Army Maj. Nidal Hassan, a psychiatrist charged with killing 13 people at Fort Hood in 2009.

Hassan had been in contact with militant cleric Anwar al-Awlaki, who was born in New Mexico and preached at a mosque in Virginia before leaving the United States for Yemen.

Last April, New York taxi driver Zarein Ahmedzay pleaded guilty to involvement in a 2009 plot to blow up crowded subway trains.  Prosecutors said Ahmedzay conspired with another man -- Najibullah Zazi -- who also pleaded guity and cooperated with authorities.

According to a recent study from the New America Foundation and Syracuse University, the number of cases of American citizens or residents charged with or convicted of taking part in terrorist activities has jumped in recent years.  There were 76 such cases in 2009 and 2010 -- nearly half the total since September 11, 2001.

But Muslim-Americans have played a key role in stopping such plots, noted Peter Bergen, a CNN national security analyst.  More than 20 percent of post-9/11 Islamist terror cases in the United States began with tips from Muslim community members or involved cooperation from the family members of alleged plotters, he said.

Frank Cilluffo, director of George Washington University's Homeland Security Policy Institute, told CNN Wednesday that the threat of radicalized Americans "continues to metastasize (and) comes in varies shapes, sizes, and forms."

"To suggest that we don't face a threat is wrong," Cilluffo noted.  "But to look for a single profile, unfortunately that doesn't exist right now."

CNN's Richard Allen Greene, Alan Silverleib, Dana Bash, Mike Ahlers, and Jeanne Meserve contributed to this report.

@highlight

NEW: Holder says hearings shouldn't "alienate entire communities"

@highlight

NEW: Congressman pledges: "I won't demonize anyone"

@highlight

Muslim leaders say they are being unfairly targeted by King's committee

@highlight

King says attacks inspired by al Qaeda could have killed thousands