(CNN) -- In the midst of uncertainty, Mizune, 14, one of thousands of refugees who fled Syria since the civil war began, is sure of one thing: "We can help and improve our nation with education."

These are not just words; she turns them into action. Despite her young age, she is determined to make it known in the camp that a brighter future begins in the classroom.

Mizune, whose father asked not to use her last name, arrived in Za'atari, Jordan, along with her family when the massive refugee influx began. She has spent her time promoting education in the camp, where half of the population is made up of children. Much of her time in Za'atari has been spent going from tent to tent, from mosque to mosque, talking to children and parents about why getting back in the classroom is important.

"It's very important to me and important to society that I raise awareness. I want to emphasize the importance of education," she said.

For her effort, she has been called the "Malala of Za'atari," in reference to Pakistani education activist Malala Yousafzai. On October 9, 2012, a gunman shot Malala when she was going home from school. She survived and has continued to speak out on the importance of education.

In fact, Malala and Mizune are friends, having spent many hours together in the Za'atari camp when Malala visted there in February..

Mizune shares the same passion for education. "We would go to tents and talk to people about their most pressing problems that prevent them from going to school. We would try to find solutions and talk about the rights of children to education," she said.

Mizune's work started when UNICEF began building schools in Za'atari. Mizune saw this and decided to help.

"Children are the most important people in society," she said. "Parents influence their kids, so the most important thing was educating the parents. People listened, and some had different points of view, but we were able to convince a big number to come to school."

At this point, about 70% of the children in the camp attend school. According to Michele Servadei from UNICEF, the children's parents have been the biggest challenge when it comes to education.

"In many cases, parents think that they're going to go back (to Syria) soon," he said, "and it's not worth sending the children to be educated."

The ongoing Syrian civil war, which started its third year in March, began when protests against President Bashar al-Assad's regime erupted in Daraa. Demonstrations and unrest spread to nearly every city in Syria. The government responded with military action. Thousands have died, and millions have fled the country. As of February, there are an estimated 2.6 million Syrian refugees are spread across Iraq, Jordan, Lebanon, Turkey and Egypt.

Back in Za'atari, challenges are infinite, ranging from water supply and mobile home distribution to keeping warm during the winter. Za'atari has become the second largest refugee camp in the world. If it were a city, it would the fifth-largest in Jordan. As many as 150,000 people live in the camp. However, that number changes every day as hundreds come or go.

Days go by, and an end to the Syrian crisis does not seem near, but Mizune, who dreams of someday becoming a Journalist, is already thinking of better days for her country's future.

"A kid will face many challenges in their lives," she said, "and it's important to take advantage of education despite the circumstances, because life will go on."

@highlight

With the help of one teen, 70% of children at Jordanian refugee camp now attend school

@highlight

Mizune has been called "the Malala of Za'atari" for her efforts

@highlight

If Za'atari were a city, it would be the fifth largest in Jordan