When we think of terminal cancer patients, we don't imagine someone like Brittany Maynard.

She is 29 years old. In photos from her wedding, and in snapshots of her boating and rock climbing, she looks young, vigorous and happy.

And yet soon, according to her own self-imposed schedule, she will take a handful of pills that will end her life.

Since revealing her plans on a website and in a column this week for CNN, the Oregon woman has become the new poster child for the "death with dignity" movement, which advocates that terminally ill patients be allowed to receive medication that will let them die on their own terms.

Maynard is one of a small but growing fraternity of such people in the United States and, due to her age, one of the most unusual.

There were 71 physician-assisted deaths last year in Oregon, one of five states where the practice is legal. The median age of those people was 71, and none was under 35. Since Oregon passed its Death with Dignity Act in 1997, fewer than 1% of its 752 doctor-assisted deaths have been people Maynard's age.

In neighboring Washington, where physician-assisted death has been legal since 2009, 3% of those patients who died last year were under 45.

"It is extremely rare. Luckily, it's very rare for young people to get a terminal illness in the first place," said Katrina Hedberg, state health officer and epidemiologist with the Oregon Public Health Division. "A lot of times people think if you don't look sick from the outside then you must not be. And that's not always the case."

Maynard was diagnosed with a malignant brain tumor in January, barely a year after she and her husband were married. After several surgeries, doctors said in April that her brain tumor had returned and gave her about six months to live. She moved from California to Oregon to take advantage of that state's law and says she plans to end her life soon after her husband's October 26 birthday.

Since being posted Monday to YouTube, a video detailing Maynard's decision has more than 3 million views. News outlets everywhere have reported her story, which has sparked online discussions around humans' right to choose how we die.

"Because (Maynard) is young and vibrant and articulate, she has generated a lot of attention," said George Eighmey, a board member of the Death with Dignity National Center, which advocates for physician-assisted death for terminal patients. In recent days the center has received calls from around the country, he said, including from people with illnesses who want to move to Oregon.

Three states -- Oregon, Washington and Vermont -- have "death with dignity" laws that allow terminally ill, mentally competent residents to voluntarily request and receive prescription drugs to hasten their death. Judicial decisions in two other states, Montana and New Mexico, authorize doctors to prescribe fatal drug doses in such circumstances, although the rulings haven't become state law.

When assisted suicide is not the answer

Under Oregon's law, doctors treating "death with dignity" patients prescribe doses of barbiturates, Hedberg said. The patients then decide on their own whether to take them, and when. Oregon public health records show the pills typically render a patient unconscious in a few minutes, with a median time of 25 minutes between ingestion and death.

The so-called "death with dignity" movement is opposed by many religious and right-to-life groups, which consider it assisted suicide. But polls have shown that most Americans support having a say in how they die, especially if the process is described not as doctors helping a patient "commit suicide" but as ending a patient's life "by some painless means."

"I think there is something of a movement here," Arthur Caplan, professor of bioethics at NYU's Langone Medical Center, told CNN's Don Lemon. "When you push Americans to say, 'Do you want choice on this matter?' I think a lot of them are going to say yes."

When surveyed about why they wished to end their life, Oregon's terminally ill patients said they most feared losing their autonomy as their illnesses worsened.

Maynard may feel the same way.

"I've had the medication for weeks. I am not suicidal. If I were, I would have consumed that medication long ago. I do not want to die. But I am dying. And I want to die on my own terms," she wrote on CNN.com.

"Having this choice at the end of my life has become incredibly important. It has given me a sense of peace during a tumultuous time that otherwise would be dominated by fear, uncertainty and pain."

@highlight

Brittany Maynard, 29, plans to take medication soon that will end her life

@highlight

The terminally ill woman is a patient under Oregon's "death with dignity" law

@highlight

Health official: Her situation is "extremely rare" for someone so young

@highlight

Only five states in the U.S. allow physician-assisted deaths