Say "laptop" or "tablet" or "app" to a technophile and you may get them interested. Say "robot," and you've got them excited.

For centuries, we've been intrigued by the concept of creating mechanized beings that are as much like us as possible. And as our technological know-how marches ever forward, we're closer than ever to doing it.

From robots you can buy right now to the ones invading the work force to tech giant Google's move into military robotics, our automated friends are no longer just the stuff of science-fiction double features.

But like many scientific advances, fantasy was a prime motivator.

"Both scientific research and science fiction begin with the same two words: 'What if?'" says University of Minnesota physics professor physics professor James Kakalios, who teaches a course called "Everything I Know About Science I Learned From a Comic Book."

So, as we ponder the real-world arrival of robots in our midst -- delivery drones, self-driving cars -- it's worth taking a look at 10 of the most influential robots from pop culture that helped inspire us along the way.

Leonardo's robot

Was Leonardo da Vinci the first celebrity to put the concept of a human-like, mechanical companion into the public consciousness? You can argue the answer is "yes."

Some time around 1495, Leonardo -- the famed painter, sculptor, inventor, engineer and all-around genius -- sketched his idea for a "mechanical knight." The result was a suit of armor, automated by a system of pulleys and levers, that he is believed to have displayed at a party at the court of Milan.

It could stand, sit, raise its visor and move its arm.

When his notes were discovered in the 1950s, researchers re-created the "robot," suggesting that his idea would have really worked.

The automaton likely was powered by humans, meaning it's not technically a robot. But Leonardo later worked on programmable constructions, like an automated lion, suggesting he was definitely onto something.

The first 'robots'

"R.U.R." -- or "Rossum's Universal Robots" -- was a Czech play that premiered in 1921. It is believed to be the first time the term "robots" was used to describe artificial people (who, in the tale, are made in a factory from synthetic material).

In Czech, "robota" means forced labor.

As happens in these cases, the cyborg-like creations in the play seem perfectly happy to serve humans, until an uprising ends in the extinction of the human race. Can't win 'em all.

The play was a huge success and, by 1923, it had been translated into 30 languages.

Maria, the Maschinenmensch

The first movie robot wasn't far behind.

In 1927, Fritz Lang's "Metropolis" became the first feature-length sci-fi film, painting a picture of a dystopian future that would be echoed decades later in movies like "Blade Runner."

In it, rich industrialists deploy a female robot to impersonate Maria, a woman they fear will organize the workers they oppress.

Pop artists from Queen to Nine Inch Nails to Madonna have made music videos either inspired by "Metropolis" or using clips from it. A half-century after "Metropolis," the appearance of "Star Wars" droid C-3PO would be largely inspired by the robotic Maria.

Asimov's Three Laws

The short story they come from, "Runaround," was written in 1942, but would become more widely known when the story appeared in science-fiction writer Isaac Asimov's 1950 collection, "I, Robot."

Before Asimov, most robot stories followed a similar pattern: Scientists create robot; robot goes haywire and attacks its creators. Bored with that, he set up new rules of the robotic road. His Three Laws are:

• A robot may not injure a human being or, through inaction, allow a human being to come to harm.

•  A robot must obey orders given it by human beings except where such orders would conflict with the First Law.

• A robot must protect its own existence as long as such protection does not conflict with the First or Second Law

It wasn't that things would always go well from there. Many of Asimov's stories, and the stories and films that his laws inspired, focus on trouble that arises when robots have trouble knowing how to obey the laws in tricky real-world situations.

But they are also credited with helping create the "lovable" robot in science fiction: an archetype popularized in TV and movies, from "Lost in Space" to "Star Wars" to "Short Circuit."

Robby the Robot

Robby made his first appearance in the 1956 movie "Forbidden Planet." From there, he became arguably the silver screen's first mecha-celebrity.

In old Hollywood's great tradition of over-the-top, and often misleading, ballyhoo, the movie's poster showed Robby manhandling a maiden, but he's actually a helpful robot with a dry wit to boot.

After "Forbidden Planet," Robby, or sometimes just the vaguely humanoid suit, went on to appear in dozens of movies and television shows, from "The Twilight Zone," "Lost In Space" and "The Addams Family" to the much later "Mork & Mindy" and "Earth Girls Are Easy"

Robby was inducted into Carnegie Mellon's Robot Hall of Fame in 2004.

HAL 9000

"2001: A Space Odyssey" was Stanley Kubrick's epic, groundbreaking film from 1968, and HAL 9000 was unquestionably its star.

Represented by an impassive, disembodied voice but able to mechanically control the spaceship Discovery, which he's tasked with running, HAL represented our fears of technology gone awry as the Space Age dawned.

Instead of obeying Asimov's Laws, HAL, first and foremost, is devoted to making sure his ship's mission is a success. And that command has a deadly, and near-disastrous outcome.

Some argue that since he didn't have a physical form (at least by the strictest standards) HAL is not really a robot. But Carnegie Mellon thought he deserved to go into the Robot Hall of Fame with its inaugural class in 2003.

R2-D2 and C-3PO

It's hard to argue anyone did more to propel robots from hardcore science fiction into the wider public consciousness than these two when they hit the screen in 1977.

Full of personality, gallant and always helpful, the pair have appeared in all six "Star Wars" films to date.

Creator George Lucas has said that R2-D2 is his favorite character from the movies.

Terminator

Mention any major advance of robotics, technology or artificial intelligence and, to this day, you'll inevitably hear something like this: "Skynet just became self-aware."

Skynet is the system that leads to the Terminators, the titular robots of the series of movies (and later TV shows) which began in 1984.

A new embodiment of our worst fears, the robots of "Terminator" are time-traveling killing machines -- and it's all because the people in charge let what we can do get ahead of what we should do.

Data

Call Data the "anti-Terminator."

The android from "Star Trek: The Next Generation" is a creation that science has made so painfully close to human that his hyper-powered mind can't help but yearn to be one of us.

The bad jokes weren't enough. Ultimately, an "emotion chip" granted Data's Pinocchio-like wish to become "real."

Wall-E

The idea of a friendly robot with a ton of personality was well established by the time "Wall-E" came along in 2008.

But the Academy Award-winning film is arguably Pixar's best, and a huge reason for that was Wall-E's wordless yet emotionally moving "performance." Like much great science fiction, "Wall-E" also tackles larger societal issues like rampant consumerism and environmental waste, while still offering up a robot who connected with millions of viewers, young and old, on a personal level.

@highlight

Real-world robotics have been inspired by pop-culture creations

@highlight

Leonardo da Vinci was working on an "automaton" as early as 1495

@highlight

The term "robot" comes from a 1921 Czech play

@highlight

Six years after that, "Metropolis" brought us the first movie robot