The burgeoning field of 3-D printing got a big boost Tuesday night when President Obama highlighted it as something that could fuel new high-tech jobs in the United States.

The shout-out in Obama's State of the Union address was perhaps the biggest public endorsement so far of a technology that has its roots in the 1970s, but has recently begun to boom on two fronts -- as an increasingly accessible consumer product and an industrial one that advocates say could change the face of manufacturing.

Obama spoke about the National Additive Manufacturing Innovation Institute, a public-private partnership established in the hard-hit manufacturing city of Youngstown, Ohio, last year to research how cutting-edge 3-D printing technology can be moved from the research phase to day-to-day use.

"A once-shuttered warehouse is now a state-of-the art lab where new workers are mastering the 3-D printing that has the potential to revolutionize the way we make almost everything," Obama said.

The process of 3-D printing (also known by the clunkier "additive manufacturing" moniker) uses computer-created digital models to create real-world objects -- everything from simple chess pieces to more complex objects such as functioning clocks. The printers follow the shape of the model by stacking layer upon layer of material to make the objects.

Obama announced plans for three more manufacturing hubs where businesses will partner with the departments of Defense and Energy "to turn regions left behind by globalization into global centers of high-tech jobs."

"And I ask this Congress to help create a network of 15 of these hubs and guarantee that the next revolution in manufacturing is made in America," Obama said.

Edward A. Morris, the director of NAMII, said the organization was "tremendously honored" to be mentioned by the president in such a high-profile speech.

"It is rewarding to know that NAMII's efforts to promote innovation and entrepreneurialism within the additive manufacturing sector is highly recognized and supported," he said in a statement on the partnership's website.

While primarily a novelty among the tech-obsessed, 3-D printing been used successfully for a variety of tasks, from making jewelry or medical supplies to larger projects in industrial design and engineering.

A Dutch architect has even announced plans to print an entire innovative building, piece by piece. That's an outlier to be sure, but one that could signal things to come.

Three-dimensional printing has entered the public consciousness enough for Congress to be considering legislation banning people from making guns using the technology.

A weapon made with a 3-D printer could theoretically be formed from plastic, making it undetectable by traditional security measures. No one is known to have created an entire working firearm with a 3-D printer, although usable parts of one reportedly have been printed.

MakerBot, the most prominent maker of 3-D printers that the public can buy, has cracked down on printed guns by enforcing terms on its website that prevent users from sharing blueprints for firearms.

It's also MakerBot that's been at the forefront of of the move to put 3-D printers in the hands of the general public.

One of the biggest obstacles has been cost. But the company's Replicator 2 desktop printer is now selling at a relatively accessible $2,200, roughly the equivalent of a basic Apple iMac computer.

MakerBot was listed this week as one of tech blog Fast Company's top 10 most innovative consumer tech companies with the likes of Apple, Samsung and Google. CEO Bre Pettis said Wednesday that the company's goals are in line with those voiced Tuesday by Obama.

"We created MakerBot to help innovators iterate faster, more affordably and (to help them) invent more," Pettis said. "We're proud to be recognized by the president in his State of the Union address and we're going to do our part to get it done."

While some consumers may have new visions of 3-D printers in their garages, Obama was speaking mostly of the technology's industrial potential.

He pitched it as a way to prod what he called an encouraging recent trend: the return of tech-industry and other manufacturing jobs to the U.S.

Apple has announced it will begin manufacturing some of its iMacs in the United States this year, a fact Obama noted in his speech. Lenovo, the world's second-largest PC maker, is starting a production line in North Carolina, and Intel is spending a whopping $5 billion to build an Arizona plant to make its processors.

Analysts have said that as regulations and wages increase in places like China, and as U.S. workers gain expertise in tech manufacturing, it will increasingly make more sense for U.S. companies to keep their plants closer to home.

@highlight

Obama's State of the Union address puts focus on emerging 3-D printer field

@highlight

President calls for 15 innovation centers like one promoting the printers in Ohio

@highlight

Consumers can buy 3-D printers for the price of a high-end desktop

@highlight

They're being used to make everything from jewelry to buildings