(CNN) -- Iran is in possession of the building blocks to construct a promising, fast growing, developing economy.

The basics are all there -- a sizable population of 78 million people, with a median age of just 27. A highly cultured and educated society, and by its own geological surveys the country is blessed with 9% of the world's oil reserves. Utilizing a conservative IMF calculation of $75 a barrel, that means Iran sits on $10 trillion of oil reserves and another $3.5 trillion of gas reserves.

Iran, minus the intense sanctions put forward by the West starting in mid-2010, would warrant a slot in the N-11 group of countries -- this is the next wave of the most promising economies within the emerging market sphere of Jim O'Neill at Goldman Sachs.

That is the promise, but the reality today with its devalued rial is the polar opposite.

According to economist Steve Hanke, Professor of Applied Economics, at Johns Hopkins University, the Republic is the first country in the Middle East to ever have hyperinflation -- defined as an economy seeing its monthly inflation rate soar 50% or more each month.

Iran joins Zimbabwe (2008) and North Korea (2009-2011) as the only three in the 21st Century to experience that fate and at the same time share a common link of being subject to international sanctions.

Iranian President Mahmoud Ahmadinejad in his United Nations address toned down the rhetoric from the recent past and suggested the post-war institutions are not benefiting all citizens.

"There is no doubt that the world is in need of a new order and a fresh way of thinking," he said in his eighth and final address to the General Assembly as President.

But that call for a new global order may ring hollow with those struggling on the ground. With daily insights from our reporter Shirzad Bozorgmehr in Tehran, we know that the costs of staples in society are soaring. Chicken prices have risen three-fold in the past year, barbari bread a five fold increase. This is directly linked to its currency.

When U.S. President Barrack Obama signed the sanctions legislation into law in July 2010, the rial was trading at just over 10,000 to the dollar. It is recovering from a low last week of 37,500 on the black market, but at 28,500 the currency is still down nearly 70% in the last year.

In 2010, Iran began removing subsidies for fuel, from heating oil to engine petrol, which amounted to $4,000 per year for the average family of four according to the IMF. This was a sign Iran was starting to normalize its economy and at the same time began introducing a privatization program to reduce the size of the state. That effort, economists say, stalled since it clashed with Iran's isolation from the global economy due to its pursuit of its nuclear development plan.

It has been a toxic result for the average Iranian who is caught in the middle of a "cat and mouse" game of uranium enrichment and negotiations with the Vienna based agency, the IAEA. All the while, the screws linked to sanctions are being tightened.

Oil makes up 90% of the country's export earnings, but their customers have trimmed back volumes due to the sanctions and difficulty getting systems insured. China, South Korea, Japan and India are big customers. Beijing, energy consultants say, is using the plight of sanctions to reduce the price they pay.

Iran's daily production, according to OPEC, is the lowest in over two decades. It is down nearly a million barrels a day in the last five years. The sanctions also limit any new investment by the international oil giants who are already operating in Iran. So the sanctions of today will leave a terrible aftertaste for years to come.

With rising import prices due to a plummeting currency, Iran Inc. is also no longer able to compete. There are reports that the industrial sector has laid off up to 800,000 workers this year and those who have kept their jobs are seeing their wages eroded by skyrocketing prices.

Tehran bazaar reopens after currency protests

This is a critical window for Iranians. President Ahmadinejad's term expires in June of next year. Most candidates, whether moderate or not, are keeping their heads down during this flashpoint of anger being expressed on the streets linked to the falling rial.

Meanwhile, Iranians must be asking the question: What if we joined the global economic community, even with its imperfections after the 2008 debt crisis? At this juncture it is far too early to answer that question, but most would likely say Iran's isolation to date has not been the answer to their financial woes.

@highlight

Iran is in possession of the building blocks to construct a promising, fast growing economy

@highlight

But CNN's John Defterios says the reality today with its devalued rial is the polar opposite

@highlight

With rising import prices due to a plummeting currency, Iran Inc. is also no longer able to compete

@highlight

Defterios: Iranians must be asking the question: What if we joined the global economic community?