Editor's note: Gene Seymour has written about movies, music and culture for The New York Times, Newsday, Entertainment Weekly and The Washington Post. He lives in Brooklyn, New York.

Gene Seymour says we want to relive Michael Jackson's youth, not the sad and bizarre aspects of his later life.

(CNN) -- Seconds after the news first hit the airwaves, your own shock merged with everyone else's in the immediate vicinity. And you could feel it rolling through the rest of the planet like a runaway diesel.

As with most things you neither expected nor wanted to hear, you thought that there had to be more to it than what was being said.

Especially because it was Michael Jackson, who seemed too dominant, too other-worldly and, more than anything, too complex to be brought down by anything as simple as cardiac arrest. And also because most of what we'd been hearing about Jackson's personal life over the last decade and a half had been bizarre, sordid and sad.

It was to those aspects -- the deepening isolation, the child molestation trials, the financial woes, the "Wacko Jacko" moments like that 2002 interlude on the balcony with the baby -- that the talking heads on TV devoted tentative attention within minutes of the official announcement.

The commentariat presumed it had a responsibility to poke those embers for clues of something beyond the single, dreadful fact of Jackson's death. Even if we didn't care for this conversation, we had been conditioned by the most recent events to wonder, deep down, if there was something stranger or more unpleasant attached to his passing.

But acceptance came easier -- and sooner -- than any of us expected last night. And when it did, we wanted the talking heads to go away and leave us with our memories ... and nothing but the good ones, thank you very much.

We wanted the loop of performances and hit singles. Retrieve for us, please, the electricity of the 10-year-old wunderkind who literally leapt into our consciousness in that shattering year of 1968 with "I Want You Back" and "ABC."

Let us see that transfiguring moment 15 years later at the Motown Anniversary TV special when Jackson seized dominion over the pop firmament with his shattering, moon-walking recital of "Billie Jean." We wanted the videos -- "Beat It," "Bad," "Thriller," "Black and White" and all that incredible, unearthly dancing. That was all we needed to see and hear. Save the armchair psychoanalysis for later. Maybe, much later.

No one would have understood or indulged such yearnings as quickly or as intuitively as Michael Jackson. As surely as he was the King of Pop, Jackson was also a high priest of wish fulfillment.

His performances as both precocious child and child-like adult made growing up or growing old the only unimaginable things in the known world. This Peter Pan mystique even became part of the Jackson brand to the point of naming his combination of retreat and theme park the Neverland Ranch.

The promise of eternal youth was embedded in pop music way before Jackson and his four brothers emerged from the grit of Gary, Indiana, to jump-start Motown's winning streak. But it's when that promise expands to shatter boundaries and expand possibilities beyond Top-40 parameters that pop music becomes pop phenomena. And Michael Jackson, in the early 1980s, was a pop phenomenon powerful enough to pool together previously polarized audiences -- heavy metal, disco, funk -- and get them all on the same bandwagon.

Only twice before -- with Elvis Presley and the Beatles -- had the cultural landscape been changed as decisively by a pop star. It hasn't happened since -- and may never happen again. Certainly, "Thriller," the best-selling LP of all time, won't be surpassed because LPs have been superseded twice over by discs and downloads.

Jackson's off-stage public diffidence gave the impression that his transformations of both self and society were all happening by off-hand magic. But his wispy speaking voice belied a steely resolve to control his image, his artistry and his product. The energy he devoted to keep what he considered "negativity" at bay was meant to nurture his audience's dreams of release -- and to maintain his primacy in the pop marketplace.

Even the eccentricities, at the peak of his influence, seemed calculated to promote, if not perpetuate, his product. But time (by far, Jackson's worst and most formidable enemy) couldn't stop even his most devoted admirers from wondering what drove him to change his appearance so drastically over the years. Or why he wanted to both save the world and hide from it with the same ferocious intensity.

If he'd been able to stop the clock at 1985 or even 1987 (the year of "Bad"), life would have been so much easier. The magic faded. Setbacks and embarrassments were occasionally offset by a tour or show that transported us back to the better, happier times when we were willing to overlook real life for our most elemental dreams of release.

We seek those dreams even more urgently now that we know, for certain, that we'll never again see him on stage -- the one place where he was happiest and most assured.

But perhaps the hardest dream to give up -- and the reason so many people in so many countries were almost physically leveled by yesterday's news -- is of finding common ground and sharing common awe in a song or a dance or a single act of outreaching, transcendent audacity.

However divided (or worse) we may have felt about Michael Jackson at the end, we cherish how he brought out the best in us at the beginning. Whatever the days ahead, that will be more than enough for now, forever.

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Gene Seymour: We want to relive the promise of Jackson's eternal youth

@highlight

He says the final years of his life were bizarre and sad

@highlight

Seymour: Jackson pooled heavy metal, disco and funk audiences

@highlight

Jackson's "Thriller" LP will never be surpassed, he says