(CNN) -- The Middle East might account for less than one tenth of global private jet sales, but the passengers flying on the region's luxury planes can be the most demanding in the world.

"Yes the people who fly our planes are demanding, and they have a right to be," says Faisal Ghazi Kayal, managing director of Saudia Private Aviation.

"You're talking about the businessmen who very much invented the rules of the game."

Capturing the small but significant patronage of the region's super rich is becoming increasingly competitive as more private jet charter companies tap into a market that is expected to grow by around 12% in the next two years, according to the Middle East Business Aviation Association.

To do that "it's about offering the full experience, from pre-flight through to well after the plane has landed," says Kayal.

"The journey doesn't end with the aircraft landing, we have to think 'Where should we take him to, to which hotel?'"

The in-flight experience is just one part of it, although private jet manufactures and companies that fit out jets are continually pushing the limits of what can be done to meet client needs on board.

Later this month Lufthansa Technik is set to flight test its first steam shower aboard a Boeing 737 -- not an easy job given the hazard of creating pressure and heat within the cabin. Condensation also must not be allowed to form inside or on the plane's structure.

The royal treatment

For Kayal's clients who wish to be treated like kings, Royal Jet, the UAE-based charter company, actually caters for members of the Emirate's royal family.

The company is jointly owned by Abu Dhabi Aviation and the Presidential Flight Authority, the royal flight service.

"It's like having a fleet of boutique hotels," says Shane O'Hare, the company's CEO, from the luxurious confines of one of the firm's 737 Boeing Business Jets.

Cultural needs are taken into particular consideration.

"Among Arab clients there is a desire for separate areas for men and women and they are very specific where the bedroom may be located," says O'Hare.

"It's important that the bedrooms are located near the front of the plane, while for some other markets its OK for them to be located near the back; so configurations are very important."

Other business jet manufacturers like Gulfstream find their larger models are more popular in the region.

They attribute the popularity to how many more high net worth individuals in the region travel with extended families, than those from other parts of the world.

"Gray market"

Together Saudi Arabia and the UAE account for around 70% of the private jet market in the Middle East and North Africa, according to Middle East Business Aviation Association, but there are some clouds on the horizon for the charter companies.

One of the biggest problems they face in the region is the "gray market" -- planes owned by private individuals who then rent them out without having to go through the same regulatory scrutiny (or expense) of the charter companies.

"It's like having unlicensed taxi cabs," says O'Hare. "There is a network or brokers out there who cater for this and it actually undercuts the legitimate businesses."

"We like competition but we like competition that is fair and legal. It's a very expensive business to be in, the margins are razor thin, and we'd prefer it to be an industry of well-funded organizations experienced in aviation rather than aviation enthusiasts -- the owner-operator syndrome."

This is one of the reasons companies like Royal Jet and Saudia Private Aviation are keen to highlight the safety and security of their planes and the experience of their pilots, as well as the level of service.

Efforts are being made to close the loops in the system, according to Kayal, "and ultimately it will be [fixed], like in any maturing market."

Until then private jet charter companies will continue to provide luxury services and play the necessary "game" in order to secure the loyalty of clients.

"The price has to be right and the product has to be right," says Kayal.

@highlight

Middle East's private jet market expected to grow 12% in next two years

@highlight

Configuration is important: Arab clients want separate areas for men and women

@highlight

Bathrooms must be located near the front of the plane

@highlight

Regional industry's biggest problem is "gray market" -- unlicensed renting by private individuals