Editor's note: Jameel Jaffer and Amrit Singh are attorneys for the American Civil Liberties Union and co-authors of "Administration of Torture: A Documentary Record from Washington to Abu Ghraib and Beyond". Jaffer is counsel to the plaintiffs in ACLU v. Department of Defense, a lawsuit that has forced the release of more than 100,000 pages of government documents concerning the abuse of prisoners. Singh is lead counsel in the suit seeking disclosure of photographs of U.S. personnel abusing prisoners at overseas locations.

Jameel Jaffer says the courts have ruled that refusal to disclose the abuse photos was unlawful.

(CNN) -- Last week President Obama announced that he would suppress prisoner abuse photographs that he earlier said he would release. Given the president's stated commitment to government transparency, this reversal was both surprising and profoundly disappointing.

The ACLU has sought release of these photos for almost six years. In October 2003, we filed a request under the Freedom of Information Act for records -- including photographs -- relating to the abuse of prisoners in U.S. detention facilities overseas.

In 2005, a federal judge in New York ruled that the Bush administration's refusal to disclose the photographs was unlawful, and in 2008 a federal appeals court unanimously affirmed that decision. The Bush administration continued to suppress the photos, and now President Obama has vowed to do the same.

The photos are a critical part of the historical record. The government has acknowledged that they depict prisoner abuse at locations other than Abu Ghraib, and it's clear that the photos would provide irrefutable evidence that abuse was widespread and systemic.

The photos would also shed light on the connection between the abuse and the decisions of high-level Bush administration officials. As the district court recognized, the photos are "the best evidence of what happened."

In explaining his change of heart, President Obama said that the release of the photos "would not add any additional benefit" to the ongoing public debate about the abuse of prisoners. But the ongoing public debate is rife with false claims, and the photos would expose the truth.

The Bush administration told the public that abuse was aberrational and isolated, and many media organizations adopted this fraudulent narrative as their own. But even President Obama, in explaining his reversal, perpetuated the myth that the abuse of prisoners "was carried out in the past by a small number of individuals."

President Obama's statement was meant to explain why the photos would not inform the public debate, but it only underscored why the release of the photographs is so important. Many Americans still believe that abuse took place in spite of policy rather than because of it.

The truth is that senior officials authorized the use of barbaric interrogation methods that the U.S. once prosecuted as war crimes, and even abuse that was not expressly authorized was traceable to a climate in which abuse was tolerated and often encouraged. The photos would help tell this story.

President Obama's other rationale for suppressing the photographs is that they would "inflame anti-American opinion and put our troops in greater danger," an argument that was repeatedly rejected by the courts when made by the Bush administration.

Nobody, of course, wants to see anyone get hurt by the release of this or any other information. But the fundamental problem with the government's argument is that it lacks a limiting principle.

Any photograph of prisoner abuse, civilian casualties in Afghanistan, or U.S. military operations in Iraq could be used to "inflame anti-American opinion"; indeed, the same is true of any news article that discusses (for example) torture, Guantanamo, or the CIA's secret prisons. iReport.com: Did Obama make the right decision on photos?

To give the government the power to suppress information because it might anger an unidentified set of people in an unspecified part of the world and ultimately endanger an ill-defined group of U.S. personnel would be to invest it with a virtually unlimited censorial power. And by investing it with such power, we would effectively be affording the greatest protection from disclosure to records that depict the worst kinds of government misconduct.

President Obama has inherited a legacy of lawlessness and abuse, and it's not easy to untangle that. But the idea that suppressing the photographs will help the country turn the page on the last eight years is misguided.

We cannot make a clean break with the past until the public knows what happened in the detention centers and why. Blinding ourselves to the ugly consequences of the Bush administration's policies only deprives us of the opportunity to learn from recent history. And if we fail to learn from this history, we are bound to repeat it.

The opinions expressed in this commentary are solely those of Jameel Jaffer and Amrit Singh.

@highlight

ACLU lawyers: We filed Freedom of Information request for abuse records

@highlight

They say courts have ruled that government can't withhold the photos

@highlight

Lawyers: Release of photos would show extent of prisoner abuse

@highlight

They say government shouldn't stop release because of possible negative reaction