Jerusalem (CNN) -- Yair Lapid, the charismatic journalist-turned-politician who surprisingly vaulted to second place in Israel's national election, has long been a familiar face across the Jewish state.

The 49-year-old leader of the centrist Yesh Atid party is a former journalist and talk show host, son of a prominent politician, and a one-time amateur boxer with a rep as one of Israel's sexiest men.

Lapid segued his journalism into politics and emerged as an archetype -- a voice of the middle-class Israeli striving for success, but anxious about the high cost of living, a voice representing Israelis who've had it with the exemptions from mandatory military service for the ultra-Orthodox, a voice of everyday optimism.

Opinion: Split vote offers options to Israeli leaders

He now has the clout to choose between leading the political opposition or becoming the key partner in a Netanyahu-led coalition. Or, the question has been raised, would Israeli President Shimon Peres decide to ask Lapid to form a government?

Members of Yesh Atid range across the spectrum, Lapid said after the election in Tel Aviv. The bloc has attracted Jews from the West, the Middle East, and Africa, the religious and secular, centrists, leftists, and rightists, men and women.

"What unites all of them is that they said yes for hope and yes for mutual responsibility and yes to the fact that the truth is not being held in any side," Lapid said.

Lapid emerged in an election that displayed Israel's political polarization, between staunch right-wingers focused on security and centrists focused on a better economy and society.

Prime Minister Benjamin Netanyahu remains the front runner to be prime minister, with exit polls reporting his rightist Likud-Beitenu party gaining 31 seats in the 120-seat Knesset. Naftali Bennett's far-right Jewish Home pulled in between 11 seats, according to exit polls numbers from the daily newspaper Haaretz. Shas, a religious party, gained 11 seats.

But the center and the left showed strength. Lapid's party gained at least 19 seats, onetime powerhouse Labor, 15, former Foreign Minister Tzipi Livni's Hatnua, 6, and leftwing Meretz, 6.

'There is a future'

The Hebrew Yesh Atid means 'There is a future.' The party's platform is decidedly domestic: Reforming government, seeking affordable housing, improving a "failing" education system, and the biggest hot-button issue, putting an end to the exemption from mandatory military service for ultra-Orthodox Jews who have traditionally been legally allowed to avoid military service in order pursue religious study.

There's much less from Lapid on how to resolve the Israeli-Palestinian conflict. But in interviews, Lapid has proposed Israel should give up much of the West Bank -- while retaining control of Jersualem.

The bio on his party's website details his career. He worked as a newspaper correspondent, hosted talk shows, published seven books, including children's books, thrillers and a memoir in the voice of his father. He wrote a TV drama, and acted in a film. He's a family man, married to a woman he met on reserve duty, and has three children.

Barak: Israeli coalition difficult to predict

Yair Lapid is the son of the late politician Tommy Lapid, whose one-time anti-religious party Shinui battled the power and influence of the ultra-Orthodox.

When Yair Lapid transitioned into Israeli politics, he didn't shy away from dealing with ultra-Orthodox military exemptions.

"We will fight for equality in national responsibilities with everyone serving and everyone working," he said.

But he used diplomatic language and persuasion in an effort to forge partnerships and policies with religionists. That's a contrast to his father's combative stance toward the ultra-Orthodox.

His party leadership reflects the championing of the diversity he espouses.

They include the mayors of Herzliya and Dimona, a former Jerusalem police chief, Russians, Ethiopians, rabbis and a former personal aide to slain Prime Minister Yitzhak Rabin.

Voices from the center

One of the leaders is Rabbi Dov Lipman, a confidant of Lapid and an American immigrant to Israel. He represents the ultra-Orthodox, Yesh Atid's website says, Haredim who want to combine Torah study with national/Israel Defense Forces service and participation in the workforce.

In an interview this month before the election, Lipman said he was drawn to the outreach to the religious community from Lapid whom he characterizes as "very much a secular icon of sorts."

"He was saying it was time to stop focusing on our own sectors and it was time for us to work together," Lipman said. "That really spoke to me."

Lapid is optimistic, Lipman said, "that Israeli society has reached a point where they are saying 'no more' to the way things have been handled."

"One of our slogans is 'The future of Israel is in our hands.' With leadership there are two steps, the first is to give people the belief that something can happen, and then to execute it," Lipman said.

"I think Part 1 he's really done. It's a breath of fresh air. In Israel politics, you don't really hear people talking about vision and where we can be and setting our sights high. He's really doing that. I think he on a certain level has instilled that hope. I think he's optimistic because he's seen the response to his call for making this change and that we can actually get this done."

Netanyahu dips into centrists' playbook for Israel's new government

Yossi Klein Halevi, a noted Israeli author, wrote an essay Wednesday in Tablet, an online magazine about Jewish issues. The piece is entitled "Why I voted for Yair Lapid."

"As a centrist Israeli," he said, "I have no other political home."

Netanyahu tried to make Likud more of a center-right movement, "but the ideological right within the Likud revolted. Today's Likud appears more hospitable to the far rightist Moshe Feiglin than to centrists like Dan Meridor, denied a safe seat in the Likud primaries," Halevi wrote.

In contrast, Lapid has an "eclecticism" that "reflects his ability -- alone among today's leaders -- to define the Israeli center."

"He is a secular Israeli who has shown increasing interest in Judaism. He supports a two-state solution and opposes settlement construction outside the large settlement blocs. Yet he launched his campaign from the West Bank city of Ariel, sending the message that settlers are part of Israel too. He opposes the wholesale draft exemption of ultra-Orthodox young men, but he advocates a gradualist approach and has an ultra-Orthodox rabbi on his Knesset list. He emerged as the voice of middle class disaffection, yet included in his list two Ethopians, representatives of one of the country's poorest constituencies."

Halevi says Lapid is "frankly, unapologetically, in love with the state of Israel."

"There is nothing complicated about Yair's Israeliness. He is not a hyphenated Israeli, whose loyalty to the state depends on its fulfillment of an ideological agenda. Yair conveys the impression of a man comfortable in all parts of Israel," Halevi wrote.

CNN's Joe Sterling reported from Atlanta. CNN's Atika Shubert reported from Jerusalem

@highlight

Yair Lapid focuses on middle-class issues

@highlight

An author who is a well-known journalist and TV personality

@highlight

His Yesh Atid list is a cross-section of Israel

@highlight

One rabbi says Lapid's optimism is a "breath of fresh air"