(CNN) -- One hot summer morning in Monrovia, Liberia, I came across a group of young men who had been snatched from their classrooms by paramilitary groups and turned into child soldiers. They had been drugged and forced to rape, torture and kill people. At the end of our talk, they said: "We just want to go back to school." The oldest was 16. Educating these youths meant more than imparting knowledge.

Information alone wouldn't satisfy the thirst of these war victims-turned perpetrators. Their faith in education was immense. They thought it would bring meaning to their lives. They wanted to understand what humans are made of, they wanted ethics and wisdom and skills to master acceptance or apply compassion.

In short, they wanted their dignity back. And besides crucial economic, peace and health factors, this is what education is all about.

Education is the most efficient weapon with which to address the world's most pressing problems. And as a new analysis released by UNESCO's Education for All Global Monitoring Report Team demonstrates, education's transformative power knows no boundaries.

Investing in education, especially for girls, result in substantial benefits for their health and productivity. It also increases democratic participation and empowers women, according to the UNESCO report, "Education Transforms Lives."

The research reveals that if all women had a primary education, child marriages and child mortality could fall by a sixth and maternal deaths by two-thirds.

With a visceral instinct to protect their children from harm, mothers work miracles every day to provide their children with education.

One day in Uganda, a woman who was dying from AIDS because of an unfaithful husband, told her eldest daughter that she had made her choice. Rather than buy medicine to save her own life (this was before anti-retroviral drugs were widely available and affordable), she would spend her money to send her daughter to school. She asked her child to become a doctor and help save her people from this devastating disease.

Julian Atim, whom I met after her mother had passed away, indeed became a doctor. She created the first alliance of Ugandan health workers to fight HIV in a country where professionals tend to leave in droves and practice abroad for economic reasons.

Julian went on to study at Harvard University before returning to the war-torn rural area of northern Uganda, where for the longest time she was one of two doctors serving a population of 300,000. She didn't only study medicine; at 35, she's also an expert in advocacy and human rights. There are countless mothers like Julian's out there, and they are everywhere -- mothers for whom education doesn't merely prepare one for life, education is life.

Yet 57 million children are out of school. This means we are yet to make free and compulsory education a priority. The world leaders who are about to meet at the U.N. General Assembly should do everything in their power to meet this goal now and look at this effort as the safest investment into our common future.

Beyond all the conflicts tearing the world apart, it is the human aspiration to learn and grow that might hold us together. Education is our guiding hope.

You can't change your life if you don't know how.

Education saves lives, averts hunger, promotes tolerance and gives purpose. People overcome impossible odds thanks to education. For example, if all women had secondary school, they would know how to feed their children. They would know the hygiene rules that they should follow. And they would have a stronger voice in the home to ensure proper care.

This change would save more than 12 million children from being stunted -- a sign of early childhood malnutrition.

Learning gives us the means to lead meaningful lives and a proper education will awaken the desire to benefit others. The difference between a primary and secondary education can improve tolerance towards people of another race by 50%, according to the UNESCO report.

Arguing that we should all get better educated to become better people doesn't mean that the need for basic education isn't dire.

Recently, on Chime for Change, I published an astonishing story brought to me by journalist Veronique Mistiaen and her colleague, photographer Fjona Hill, about the practice of trokosi in rural Ghana.

The trokosi practice calls for virgin girls to be sent to the shrines of fetish gods to pay for crimes committed by one of their relatives. They become living sacrifices, protecting their families from the gods' wrath. Some stay at the shrines for a few years; others for life. The young girls become slaves to the priest. They live with a rope tied around their neck, fighting hunger and working from dawn to dusk.

The Ghanaian government outlawed the practice in 1998 and over the years about 3,000 of the trokosi slaves have been liberated, but many more have been brought to more remote shrines. A young woman named Millicent Thenkey tried to defend herself but learned the hard way that the law wasn't enough to protect her.

She had been allowed to go to school while preparing to take her final initiation at Kilkor shrine in Ketu South district. There, she learned that the practice was a violation of human rights. She reported her initiation to the police and took her parents to court -- something no one had dared to do before. But her parents refused to attend the hearing and the police didn't force them, so the case was thrown out of court and Millicent became a slave.

As she pursued her investigation, interviewing priests and families, Mistiaen met a priest who told her: "We just heard that trokosi was against the law and that women were human beings and needed to be treated as equal. We hadn't ever heard before that women needed to be treated as equal." This is how deep the need to educate is.

But there is a school now in the area, and the priest admits that education will succeed in eradicating slavery even where the law has failed.

"The new generations are learning new things, reading about the world. I don't think they will be interested in sitting behind the shrine wearing this hat of mine," he said.

Aristotle thought that an uneducated man was as good as dead. Julian's mother chose her daughter's education over her own life. Torgbi Abiaeu, the priest in Ghana, reluctantly admitted the defeat of tradition by education.

In all these cases, the conclusion remains the same. It is education that makes life worth living and the best I can wish to anyone is to never stop learning.

The opinions expressed in this commentary are solely those of Mariane Pearl.

@highlight

UNESCO releases a report that shows education can radically transform people's lives

@highlight

Mariane Pearl: Education is the most efficient weapon to combat world's pressing problems

@highlight

She says if all women had a primary education, child mortality could fall by a sixth

@highlight

Pearl: It is education that makes life worth living; we should all never stop learning