Saran Kaba Jones was just eight years old when she fled Liberia in 1989, escaping the horrors of a ruinous civil war that would plague the small West African nation for well over a decade.

As the daughter of a diplomat, Jones went on to live a fairly privileged life abroad, following her family to countries like Ivory Coast, Egypt, France and Cyprus before moving to the United States to attend college.

Meanwhile, back in Liberia, the country descended into a conflict that left an estimated 250,000 people dead and many more displaced, as well as destroying much of its economy and infrastructure.

The fighting came to an end in 2003 and five years later Jones decided to pay a visit to Liberia. Returning home for the first time in nearly 20 years she encountered a wrecked nation that still bore the scars of years of conflict.

"When I got there I was absolutely shocked and devastated by what I was seeing," says Jones. "It just wasn't the Liberia which I remembered as a young child -- things like basic necessities were non-existent: access to clean water, access to health care, access to basic education were non-existent and the challenges just seemed so enormous for the government."

Read this: Off-road bikers race to save lives in rural Africa

Witnessing her country's dire need for redevelopment was a life-changing moment for Jones. She immediately put aside her aspirations to follow in her father's footsteps pursuing a career as a diplomat. Instead, she decided that it was time for her to find a way of giving back to her country.

One year later, Jones joined a number of state and private efforts to rebuild Liberia by setting up FACE Africa, a U.S.-based non-profit organization that's working to provide access to clean drinking water in Liberia's rural communities, where running water and sewage infrastructure is often a rare luxury.

"I decided to focus specifically on water because the issue of water really crosses all aspects of development," says Jones, 30. "It affects education, it affects health, it affects gender issues, so for me there was nothing more basic than the issue of water so I decided to make that my cause."

FACE Africa, which relies on fundraising events and donations for its projects, focuses on implementing low-tech water solutions in the country's hard-to-reach rural areas, many of which had their major water points and systems destroyed during the war.

So far the grassroots group has completed about 20 low-cost clean water, sanitation and hygiene projects, including hand dug wells, rehabilitation of existing wells and construction of communal latrines, that have benefited at least 7,000 people.

Jones, who travels to Liberia every three months to oversee the group's projects, says that at least half of Liberia's 4 million population lack access to adequate drinking water.

The desperate situation is exacting a huge toll on the country's society: approximately 3,000 people, more than half of which are children under the age of five, die each year from diarrhea due to poor water and sanitation conditions, according to World Bank figures.

Read this: 'Western diseases' drive pharma boom in Africa

As well as saving lives, Jones says that access to safe drinking water can also encourage economic growth and improve the educational development of children, especially girls.

"This is the highlight of my work," says Jones, who was recently named by the World Economic Forum as one of its Young Global Leaders for 2013. "Hearing from people who feel gratitude, mothers coming up to me saying that their children no longer suffer from diarrhea; they spend more time in school; girls don't have to walk miles every day to go and fetch water; men and women can now focus on more productive economic activities like farming and selling in the market."

In recent months, FACE Africa has embarked on a  major initiative that's aiming to solve the water crisis in River Cess, one of Liberia's most underserved areas, where only one fifth of its 80,000 population has access to adequate drinking water.

Called "County by County," the plan is to provide water coverage to 60,000 people in the region by building 250 water points by 2017 and to ensure that the country meets its Millennium Development Goals target of 250 people per safe water point.

"It's an ambitious goal for such a young organization like ours but we're absolutely confident that with the right focus and the right funding, if we're able to raise $1.2 million over this time, we can prove that with focus, with strategic implementation, we can solve the water crisis in River Cess."

'Read this: Solar sisters' spreading light in Africa

Yet raising funds has always been a big challenge for FACE Africa, which faces stiff competition from bigger, more established NGOs eager to tap into donors' generosity.

Jones says that limited funds affect the group's scaling capacity as well as its ability to have more people on the ground. FACE Africa employs two full-time staff, including Jones, and works with up to 30 volunteers annually.

Despite all the challenges, Jones says she is determined to continue working to improve living conditions in her country. She says her long-term goal is to bring access to safe drinking water, sanitation and hygiene to as many regions of Liberia as possible, as well as other post-conflict countries that face similar problems.

"If I can be known as the woman that helped solve the water crisis in Liberia and beyond," she says, "if I can be a part of that solution, then for me I would have achieved success."

@highlight

Saran Kaba Jones is the founder of FACE Africa

@highlight

The group works on clean water, sanitation and hygiene projects in rural Liberia

@highlight

Liberia was torn apart after a 14-year civil war that ended in 2003

@highlight

FACE Africa aims to build 250 water points in one of the country's most water-deprived areas