Baltimore (CNN) -- Marcus Dixon refers to the tattoos on his face as the "art of war": an eye etched on his forehead, five stars down the left side of his face, and the words "don't cry" on his eyelids.

The tattoos are permanent reminders of his past life as a drug dealer.

Dixon got the tattoos, he said, to send a message to his enemies and the police to leave him alone.

"I had to create a character that no one would dare challenge," he said.

But Dixon's mother and his best friend feared for his safety. They staged an intervention and convinced him to make a fresh start.

Dixon stopped selling drugs and moved to Atlanta. But with a criminal record and no connections, he had a difficult time finding a job. After a few months, he moved back to Baltimore, dejected.

"I was at the lowest of my lows," he said.

He also wasn't in contact with his two sons, which troubled him since his own father hadn't been involved in his life.

"I was confused, lost, and didn't have the slightest idea of how to be a good father," said Dixon, now 30. "I didn't have examples that could guide me."

Dixon's outlook began to change, however, when he followed his mother's advice and went to the Center for Urban Families in Baltimore. There, he's gotten job training, life skills and support that have made him much more optimistic about his future.

Since 1999, the center has helped thousands of Baltimore residents find jobs and enabled hundreds of fathers to become more responsible parents.

"What we want to do is get these people above ground and back into the mainstream," said Joe Jones, the nonprofit's founder and CEO. "We help them get them jobs so they can pay taxes and child support."

Most men, like Dixon, walk through the center's doors because they need help finding a job.

But Jones believes that jobs are just the first step. For him, the key to creating real change in Baltimore's troubled communities is ending what he calls "the cycle of father absence."

"If we don't crack the code of men having babies for whom they're not responsible for, all of our efforts to build a better Baltimore will be limited," said Jones, 57.

"We're there to create a pathway to help them to understand how to begin to take on that responsibility."

According to the 2012 American Community Survey just released by the U.S. Census Bureau, more than 19 million children across the country -- 26% -- are living without a father in the home. In Baltimore, among African-American children, the rate is 69%.

Jones says many of the men he tries to help grew up without fathers themselves. He also knows that children who grow up without fathers are more likely to become teen parents, use drugs and commit crimes, according to the National Fatherhood Initiative.

"The one thing that is consistent with all these men is that they want to be involved with the lives of their children, but they just don't know how," Jones said.

His nonprofit runs a Responsible Fatherhood program to give men the support and tools they need to become better parents and reverse the cycle.

A large part of that is helping men with their financial responsibilities. Jones says you can't fix the problem of deadbeat dads unless you address that many of them are dead broke. In the four Baltimore ZIP Codes where Jones' nonprofit works, there are nearly 3,000 men who together owe more than $40 million in child support, according to the Maryland Department of Human Resources.

When Dixon first came to the Center for Urban Families, he owed $47,000 in child support. The size of this debt discouraged him from seeking employment, he said, because it usually only paid minimum wage and most of his wages would be garnished.

But a counselor at the center helped Dixon arrange a plan with Child Support Services, which forgave more than $30,000 of his debt as long as he stayed employed.

The center also helped Dixon land a full-time job -- loading trucks on the overnight shift at a clothing warehouse -- so he could earn money while taking classes at Baltimore City Community College. Dixon, who now covers his tattoos with makeup every day, is six credits away from earning his associate's degree in general studies. He plans to apply to more colleges soon to study pharmacology and molecular sciences.

Jones' program also teaches men that being a father is about more than finances. They are taught nurturing skills, such as how to change diapers and communicate with their kids.

"You have a group of men speaking about issues they are having about their children," Dixon said. "That's unheard of. Men don't do that, especially black men in the neighborhoods that we come from.

"Without these meetings, I would not know how to be a father."

Dixon has now embraced his role as a dad. He recently filed for visitation rights with his eldest son, who is 10 years old, and he takes his younger son, age 3, to school at least three times a week.

"The first day I took him to school, I got the sense of fatherhood," Dixon said. "It has made me feel (like) more of a man."

Jones knows firsthand the struggles Dixon endured and the satisfaction he feels from having turned his life around. It's a transformation he experienced himself.

Jones grew up in Baltimore and remembers the day his own father left, when he was 9 years old. As a teenager, Jones became a heroin and cocaine addict and spent 17 years selling drugs and committing petty crimes to support his habit, spending time in and out of jail.

Jones said his biggest regret is that when he was 21, he had a son who he didn't take responsibility for.

In 1986, after being charged with multiple drug-related offenses, Jones decided to turn his life around. He begged a residential rehabilitation program to let him into the program, and he persuaded the judge to let him complete the one-year rehab instead of going to jail.

"I didn't want to go to jail anymore," Jones said. "I was physically and psychologically tired and my conscience was bothering me."

Jones earned his associate's degree at Baltimore City Community College, and he says he hasn't looked back. He found a series of nonprofit jobs and was hired by the Baltimore City Department of Health, eventually working on an initiative to improve maternal and child health.

Working there, in the early 1990s, it struck him that there were no programs for fathers.

So in 1992, Jones started the Men's Services program at the Department of Health, and the experience led him to found his nonprofit seven years later.

"It's my way of giving back ... in ways in which I took from my community many years ago," Jones said.

Now married, he's raised two children with his wife and has been able to repair his relationship with his eldest son Trey. Today, they often go to baseball games together, along with Jones' youngest son.

Jones' turnaround is an inspiration to Dixon and the other men in his program.

"When I learned Joe's story, (it) pretty much blew me away," Dixon said. "And look what he has obtained. So nothing's impossible.

"He's more than a role model. He's that North Star."

Now Dixon feels confident that he can follow Jones' example.

"Joe allowed me to find and restore my dignity," he said. "That's one of the greatest things that you can offer anyone."

"You can't become a better father without being a better man."

Want to get involved? Check out the Center for Urban Families website and see how to help.

@highlight

CNN Hero Joe Jones is trying to build a better Baltimore through better families

@highlight

His nonprofit is giving men the tools they need to become more responsible fathers

@highlight

He says many absentee fathers want to change but just don't know how