(CNN) -- An undersea cable carrying Internet traffic was cut off the Persian Gulf emirate of Dubai, officials said Friday, the third loss of a line carrying Internet and telephone traffic in three days.

Dubai has been hit hard by an Internet outage apparently caused by a cut undersea cable.

Ships have been dispatched to repair two undersea cables damaged on Wednesday off Egypt.

FLAG Telecom, which owns one of the cables, said repairs were expected to be completed by February 12. France Telecom, part owner of the other cable, said it was uncertain when repairs on it would be repaired.

Stephan Beckert, an analyst with TeleGeography, a research company that consults on global Internet issues, said the cables off Egypt were likely damaged by ships' anchors.

The loss of the two Mediterranean cables -- FLAG Telecom's FLAG Europe-Asia cable and SeaMeWe-4, a cable owned by a consortium of more than a dozen telecommunications companies -- has snarled Internet and phone traffic from Egypt to India.

Officials said Friday it was unclear what caused the damage to FLAG's FALCON cable about 50 kilometers off Dubai. A repair ship was en route, FLAG said.

Eric Schoonover, a senior analyst with TeleGeography, said the FALCON cable is designed on a "ring system," taking it on a circuit around the Persian Gulf and enabling traffic to be more easily routed around damage.

Schoonover said the two cables damaged Wednesday collectively account for as much as three-quarters of the international communications between Europe and the Middle East, so their loss had a much bigger effect.

Without the use of the FLAG Europe-Asia cable and SeaMeWe-4, some carriers were forced to reroute their European traffic around the globe, which could cause delays, Beckert said.

Other carriers could use SeaMeWe-3, an older cable that remained the only direct connection from Europe to the Middle East and Asia. Because this cable is older, it has a smaller capacity than the two damaged cables, Beckert said.

Still, Beckert stressed that although the problem created a "big pain" for many of carriers, it did not compare to the several months of disruption in East Asia in 2006 after an earthquake damaged seven undersea cables near Taiwan.

TeleGeography Research Director Alan Mauldin said new cables planned to link Europe with Egypt should provide enough backup to prevent most similar problems in the future.

Schoonover said a similar Internet problem could not happen in the United States.

"We have all the content here," he said. "It's not going to be felt other than we won't get the BBC."

TeleGeography officials also said most traffic between the U.S., Canada and Mexico is carried over land, and there is a plentiful supply of undersea cables carrying traffic under the Atlantic and Pacific oceans.

Meanwhile, Internet service was slow Friday in Dubai and Egypt, where online service was intermittent, but there was less demand because many businesses in those countries aren't open on Fridays.

Service providers in Egypt said they hoped to have improved capacity by Sunday.

Web surfers in India were experiencing a marked improvement in service, though graphic- or video-heavy sites were still taking longer to load.

Most of the major Internet service providers in India, like Reliance and VSNL, were starting to use backup lines Friday, allowing service to slowly come back, said Rajesh Chharia, president of the Internet Services Providers Association of India.

The Indian ISPs were still alerting customers to slowdowns over the next few days with service quality delays of 50 percent to 60 percent, he said.

The Internet slowdowns had no effect on trading at the country's two main stock exchanges, the SENSEX and the NSE, because they aren't dependent on the downed cables, Chharia said.

Individual Web users were still feeling the effects.

Madhu Vohra, who lives in the city of Noida on the outskirts of Delhi, said she uses Internet phone service Skype to call her son in the United States, but she hasn't been able to reach him since the slowdown.

"We keep trying for a long time and the message comes up, 'This page can't display,' so finally we just turn the computer off and give up," Vohra said.

Internet cafes typically full of teenaged gamers are nearly empty with speeds still frustratingly slow.

"I felt like beating the ... modem, throwing it away, because we compete on the Internet and it feels really bad," said Aman Khurana, 13.

State-owned Dubai telecom provider Du and Kuwait's Ministry of Communications estimated Thursday that the problems might take two weeks to fix. E-mail to a friend

CNN's Elham Nakhlawi, Mustafa Al Arab, Caroline Faraj, Tess Eastment, Aneesh Raman and Brad Lendon contributed to this report.

@highlight

Repairs to one Mediterranean cable expected by February 12

@highlight

Cable reported cut Friday off Dubai in Persian Gulf

@highlight

Extensive Internet failure has affected much of Asia, the Middle East, north Africa

@highlight

Analysts say no chance of similar Internet loss in United States