Bab al-Salama, Syria (CNN) -- It's raining on the camp, and water is seeping into the unheated tents.

Women use long brooms to try to sweep muddy water out from in between their shelters. They stack up foam sleeping pads and roll up blankets, in a vain attempt to keep them from getting soaked. When artillery rumbles in the distance, the camp's residents don't even flinch.

Like so many of the other children here, 9-year-old Mohammed Hoot is wandering around the camp, bored. To keep his head dry, Mohammed wears an oversized leather jacket over his head. Inside a pair of plastic sandals, his feet are bare, unprotected from the puddles and plummeting temperatures.

"We've been living here for a month ... it's too small, it's not big enough for us," the surprisingly vocal little boy says, pointing at the tent where he and nine other family members sleep at night.

Hoot's family fled fighting in Aleppo, Syria's largest city, like many of the more than 6,000 people living in this rain-soaked camp, erected in a border customs compound on the Syrian side of the border with Turkey.

"We want to enter Turkey ... they are not letting us in," says Hoot.

Photos: Life inside refugee camp | Refugees face brutal winter

The Turkish government says it no longer has room to house displaced Syrians in the 14 refugee camps it is currently operating on Turkish soil.

Unsafe in Syria, unwanted in Turkey, these people are living in limbo. They are but a fraction of the legions of Syrians made homeless by the war.

According to the United Nations' admittedly conservative estimates, the conflict has pushed close to two million Syrians out of their homes. In other words, roughly one in 10 Syrians is now living on the run.

The U.N. says some 1.2 million Syrians are displaced inside Syria. Meanwhile, more than half a million Syrians have registered with the United Nations High Commissioner for Refugees after fleeing across borders. And there are more coming every day.

"Since the beginning of November, the number of registered refugees region-wide has risen by about 3,200 a day," the UNHCR announced this week.

More: Refugee figures only part of the crisis

Agency officials estimate there are hundreds of thousands of additional Syrian refugees who have not registered with local authorities in Turkey, Lebanon, Jordan and Egypt, because they are surviving off of their savings or the hospitality of friends and relatives. But after more than 20 months of conflict, there are signs that resources for wealthier refugees are running out.

"A lot of the increase is from people who are in neighboring countries but they've run out of everything," said Ron Redmond, a UNHCR spokesman in Beirut.

"Some of them have already been displaced internally for weeks and months moving from place to place and they are now coming out. And some of them are in a weakened state and the cold weather is certainly a danger to them, especially the children," Redmond added.

"And these are people who lived a good life at one time. They had nice homes, they had good apartments, they had cars."

As Syrian refugees go, Ali Moraly knows he is one of the luckier ones.

After he ran away from Syria three months ago, Moraly had enough money and connections to rent a small one-room apartment in Istanbul, where he practices his violin daily.

More: Inside Syria's underground TV channel

"I feel so much ashamed of myself, being in a warm place and having my violin with me and playing music while people have to stand in long queues in order to have something to eat," he says.

Insecurity and a feeling of hopelessness drove him to pack his bags and leave his home and parents in Damascus, possibly forever.

"I used to practice the violin while hearing gunshots just go by my window," Moraly recalls.

Now, this 32-year-old violinist -- who used to perform at the Damascus Opera House -- is one of the faceless millions of Syrians now living on the run.

"The moment when you know that this time, if you just pack and leave, you might not be able to decide the time when you come back ... that itself is a very painful experience," Moraly says.

More: Rebels say endgame in sight

The exiled musician tries remain optimistic about the conflict that is ravaging his homeland.

"If this is a part of a process which will make my country more free and a more promising nation that will have tolerance and social fairness and equality, then this the price that we have to pay," he explains.

Moraly's future is uncertain. He does not know where he will be living several months from now, and he has no idea when he will be reunited with his sister, who fled with her husband and children to the U.S., or with his parents, who remain in Damascus.

Like so many others, Moraly focuses on the present, unable to plan for the future.

"We don't think about the future any more, all we are waiting for is the toppling of the regime," says Adham Ismail, a 24-year-old resident of the camp in Bab al Salama.

He speaks while trimming a defected soldier's hair in the makeshift barber shop he set up in his tent.

He has a message for the international community.

"I want people to feel our pain," says Ismail, who is bundled up in a sweatshirt and coat for warmth. "These are Arabs, these are humans. I just want people to feel for us."

That appeal for empathy is echoed by the lone Syrian violinist now living on the banks of Istanbul's Bosphorus Strait.

"If you look at these people as your brothers in humanity," Moraly says, after completing a mournful rendition of Niccolo Paganini's Caprice No. 6, "then you should know that what is happening to them might happen to you one day."

@highlight

Turkey say it's out of room for displaced Syrian in its 14 refugee camps

@highlight

U.N.: Since November, registered refugees region-wide rising by 3,200 a day

@highlight

Refugee: "I want people to feel our pain. These are Arabs, these are humans."