Bangalore, India (CNN) -- As one of India's richest self-made women, Kiran Mazumdar-Shaw has an impressive resume.

Her business Biocon, worth $800million, is one of India's leading drug companies and employs more than 6,000 people at its vast campus in Bangalore.

Mazumdar-Shaw was named among Forbes Magazine's 100 "Most Powerful Women" in the world in 2012, in the Financial Times' "The top 50 women in world business" in 2011 and Time Magazine's "100 Most Influential People in the World" in 2010.

But it was a very different story in 1978 when Mazumdar-Shaw started Biocon at the age of 25 with the equivalent of less than $200 in today's money.

She founded the company in a garage and -- as a woman and one of the first pioneers of biotechnology in India -- found it difficult to obtain both staff and funding.

"I had a lot of foolish courage because when I started up the company I found I had huge credibility challenges to overcome," said Mazumdar-Shaw. "I was a 25-year-old woman with no business experience, I was trying to pioneer a sector called biotechnology which nobody had heard of.

"I therefore had huge challenges from getting financial backing to even getting people to work in the organization."

Mazumdar-Shaw originally qualified as India's first master brewer, but became an entrepreneur after failing to find a job in brewing.

"I was finding it very difficult to get a job as a brew master," she said. "It was a chance encounter with a biotech entrepreneur from Ireland that got me started as an entrepreneur in India, because I partnered this Irish company in setting up India's first biotech company."

She added: "It has taken me over 30 years to get from a garage to the huge campus that we have today. And it's been a long journey -- it's been a very exciting journey."

Having built up a leading company from scratch, many would expect Mazumdar-Shaw to have her mind fixed solely on the business.

But she also has a social mission to expand access to healthcare in India.

Also on Leading Women: A brighter picture for women in art

"India is a country where 80% of healthcare (spend) is out of pocket; where 80% of healthcare infrastructure is in the private sector; where most people don't have access to quality healthcare," she said.

In 2009, she founded a low-cost cancer hospital with the aim of making usually expensive cancer treatment accessible to more people.

"I felt there was a crying need for a comprehensive cancer center which also addresses affordability," said Mazumdar-Shaw.

Her goal to make healthcare more accessible for all Indians has driven her to search for a cheaper model of drug development.

"We simply cannot afford to develop drugs that cost $1-3 billion to develop, because these drugs will not actually reach people who really need (them) the most," she said.

"You will only be confining it to a very few people in the world who can afford it.

"We've got to change this model. I believe that we have enough technology in the world to bring down this cost of innovation."

Also on Leading Women: Why women will impact global economy as much as China

One achievement of which Mazumdar-Shaw is particularly proud is helping to reverse India's brain drain of scientists.

She employs almost 5,000 scientists, of whom just under 40% are women and many have returned to India from abroad.

"One of my objectives when I started Biocon was to make sure that I create a company for women scientists to pursue a vocation," said Mazumdar-Shaw. "And I wanted to make sure that we created a research environment for scientists, because at that time we were facing a very strong brain drain of scientists and engineers from India, there just weren't enough companies to employee such people."

The challenges ahead for Mazumdar-Shaw include getting Biocon to the billion dollar mark, and continuing to innovate.

"There's a huge journey ahead for me. There are many, many more milestones ahead," she said.

"I want to be remembered as someone who put India on the scientific map of the world in terms of large innovation.

"I want to be remembered for making a difference to global healthcare. And I want to be remembered as someone who did make a difference to social economic development in India."

A side effect is that people might also remember how wealthy she is.

"I hate the title of being called the richest woman in India, but it's the recognition that this was the value that I had created as a woman entrepreneur and that makes me very, very proud."

@highlight

Kiran Mazumdar-Shaw pioneered biotech in India in a garage at the age of 25

@highlight

Biocon is now worth $800 million

@highlight

Biocon employs more than 6,000 people, the majority of them scientists

@highlight

She also aims to widen access to affordable healthcare in India