(CNN) -- A testy exchange erupted on Thursday between Sen. John McCain and Joint Chiefs Chairman Gen. Martin Dempsey during the latter's testimony about September's deadly attack on the U.S. diplomatic mission in Benghazi, Libya.

"Gen. Dempsey, I was just going over your written statement and I have to admit it's one of the more bizarre statements that I have ever seen in my years in this committee," McCain said, referring to the Senate Armed Services Committee.

Thursday's testimony is the latest in a string of accounts to congressional committees about the attacks, which occurred September 11 and resulted in the deaths of four Americans, including U.S. Ambassador to Libya Chris Stevens.

"When you're talking about the Benghazi issue, you say, 'We positioned our forces in a way that was informed by and consistent with available threat estimates,'" McCain continued. "Then you go on to say, 'Our military was appropriately responsive,' even though seven hours passed and two Americans died at the end of that. Then you go on and say, 'We did what our posture and capabilities allowed.'"

McCain said a base in Crete was just 90 minutes away.

"We could have placed forces there," he said. "We could have had aircraft and other capabilities a short distance away at Souda Bay, Crete. So, for you to testify before this committee that they were consistent with available threat estimates is simply false; that our military was appropriately responsive."

"I stand by my testimony, your dispute of it notwithstanding," Dempsey replied.

McCain countered, "Well, perhaps you can give me some facts that would substantiate it."

Dempsey then said that a contingent was not sent because the State Department didn't request one.

"So it's the State Department's fault," McCain challenged.

"I'm not blaming the State Department," Dempsey responded. "I'm sure they had their own assessment."

Dempsey said he stood by the conclusion of an independent review board, which concluded the "interagency response was timely and appropriate, but there simply was not enough time, given the speed of the attacks, for armed U.S. military assets to have made a difference."

The board has made 29 recommendations, all of which have been accepted by the State Department.

Later in his testimony, Dempsey told Sen. Angus King, I-Maine, that the bases in the Mediterranean have aircraft, which "wasn't the right tool for the particular threat we faced."

Dempsey noted that, at the time, he was also concerned with other potential flashpoints -- Sanaa, Yemen; Khartoum, Sudan; Islamabad and Peshawar, Pakistan; Kabul, Afghanistan; and Baghdad, Iraq. "We had some pretty significant intel threat streams against those places as well," he said.

But McCain said he had seen the threat estimates "and none of them rose to the level of the threat in Benghazi ... that they could not withstand a sustained attack."

In response to a question from Sen. Kelly Ayotte, R-New Hampshire, Defense Secretary Leon Panetta said he was aware of a cable sent in August by Ambassador Stevens that said security in Benghazi was not adequate.

"Unfortunately, there was no specific intelligence or indications of an imminent attack on that -- U.S. facilities in Benghazi," Panetta said. "And frankly without an adequate warning, there was not enough time given the speed of the attack for armed military assets to respond."

He also noted that the National Counterterrorism Center had identified some 281 threats to U.S. diplomats, diplomatic facilities, embassies, ambassadors and consulates during the six months before the attack in Benghazi.

"And to deal with that, I mean, that's not our responsibility," he said. "That's the State Department's responsibility."

Panetta said that U.S. officials learned in the months after the incident that "there were actually two short-duration attacks that occurred some six hours apart," the first on the consulate and the second on an annex two miles away.

"The bottom line is this: That we were not dealing with a prolonged or continuous assault, which could have been brought to an end by a U.S. military response, very simply, although we had forces deployed to the region," he said.

Dempsey said he could not have gotten troops on the ground within 13 to 15 hours.

Panetta was firm throughout his testimony that there were no "undue delays" in decision making and there was no denial of support from Washington or from the military combatant commanders when the attack happened.

"Quite the contrary: The safe evacuation of all U.S. government personnel from Benghazi 12 hours after the initial attack" and transfer to the Ramstein Air Base in Germany "was the result of exceptional U.S. government coordination."

He said the U.S. military response helped save lives.

Obama's talk with Panetta

In the months since the attacks, Washington has been a center of debate about how much the State Department had known about threats in the region and whether, after the attacks, the administration tried to mislead the public about its nature.

An independent review released in December lambasted the State Department, saying "systemic failures and leadership and management deficiencies" led to inadequate security at the Benghazi post.

In his remarks, Panetta said the initial reports of the attack were given "almost immediately" to the U.S. Embassy in the Libyan capital of Tripoli.

Within 17 minutes, Panetta said, an unarmed, unmanned surveillance aircraft was dispatched to give U.S. officials a better idea of what was happening. It arrived at the site about 70 minutes after the attack, he said.

Soon, Panetta and Dempsey met with President Barack Obama, the secretary told lawmakers.

Obama ordered that the Defense Department respond to the attack with "all available DOD assets" and try to protect U.S. personnel, Panetta said.

Ayotte and Sen. Lindsey Graham, R-South Carolina asked how many times Obama spoke with Panetta and Dempsey after learning about the attack.

Once, in a half-hour conversation with the president, the men said; Obama did not personally get back in touch with them to ask how the mission to help personnel in Benghazi was going.

"Do you think it's a typical response of the president of the United States to make one phone call, do what you can and never call you back again and ask you, 'How is it going, by the way?'" Graham asked.

Panetta replied, "The president is well-informed about what is going on, make no mistake about it."

"Was any airplane launched in the world before the attack was concluded?" Graham asked.

"If you're talking about a strike aircraft, no, senator," Dempsey said.

"Did anybody leave any base anywhere to go to the aid of the people under attack in Benghazi, Libya, before the attack ended?" Graham asked.

"No," Panetta responded. "Because the attack ended."

Orders without action

But orders to prepare had been given, the defense secretary testified.

Panetta said a Marine security team platoon stationed in Spain was ordered to prepare for deployment while another platoon prepped to head to the embassy in Tripoli. A Special Operations force, then training in Central Europe, was told to prepare to deploy to a staging base in Southern Europe, and another Special Ops force, based in the United States, was told to prepare to move there, too.

"Some have asked why other types of armed aircraft were not dispatched to Benghazi," he said. Armed drones, AC-130 gunships or fixed-wing fighters with the associated tanking, armaments, targeting and support capabilities were not near Libya, and it would have taken at least nine hours to deploy, he said.

"This was, pure and simple, in the absence, as I said -- of any kind of advance warning -- a problem of distance and time," Panetta said.

The quickest response option available was a Tripoli-based security team, he said.

Within hours, Panetta said, that six-person team, including two U.S. military personnel, chartered a plane and flew to Benghazi.

Within 15 minutes of arriving at the annex facility, they came under attack by mortar and rocket-propelled grenades, he said.

Members of the team and others at the annex facility provided emergency medical assistance and supported the evacuation of all personnel.

All remaining U.S. government employees were evacuated from Benghazi, Panetta said.

Beefing up security

There will "always be tension" between how much security is adequate and how much would create a "bunker-like mentality" at global posts, Panetta said. The answer is not to assign the military to run a "fire house" next to every U.S. diplomatic location.

Panetta noted that Congress, too, plays a role in the security of the nation's diplomatic missions, and that the Department of Defense faces the prospect of sequestration -- which would result in billions of dollars of cutbacks to the Defense budget -- on March 1. "If Congress fails to act, sequestration is triggered," he said.

Panetta also said there must be some reliance on host countries to help with security. The attack in Benghazi "raises concerns" about whether that's always possible. Libya's government has been on shaky ground since Libyan leader Moammar Gadhafi was ousted in 2011.

The defense secretary's testimony comes a few weeks after Clinton told lawmakers that the State Department was moving fast to beef up security at U.S. posts worldwide.

During her testimony, Clinton teared up as she recounted meeting the arrival of the caskets containing the bodies of Stevens and former Navy SEAL commandos Tyrone Woods and Glen Doherty, both of whom had been working as diplomatic security officers. Sean Smith, the fourth American killed, was an information management officer.

Panetta said an FBI team that includes CIA and DOD members "has made very good progress" in identifying the attackers.

@highlight

Aircraft "wasn't the right tool," Dempsey says

@highlight

Joint Chiefs chairman and Sen. McCain square off in testy exchange

@highlight

Panetta says he didn't receive any specific threats related to Benghazi before attack

@highlight

Terror attack last September in Benghazi killed U.S. ambassador, three others