LONDON, England (CNN) -- Naomi Klein's 2000 book "No Logo" galvanized a generation to resist the lure of brands and corporatization.

Bono, rock star and new style activist

Direct action such as protests and guerilla tactics such as culture jamming and graffiti were encouraged. Back then the movement had teeth and energy, but very quickly it has not just deflated but sharply turned into a world of hyper consumption, according to Klein.

Welcome to the Pro-Logo generation that is more likely to buy a wristband and ticket to Live Earth than hit the streets in protest. Speaking this week at the Cheltenham Literature Festival in the UK,  to promote her new book "The Shock Doctrine," Klein attacked the "Bono-ization" of the protest movement, referring to U2 frontman Bono who is also an active anti-poverty campaigner.

"The Bono-ization of protest particularly in the UK has reduced discussion to a much safer terrain." Referring to the Make Poverty History Campaign at Gleneagles in 2005 she said, "It was the stadium rock model of protest -- there's celebrities and there's spectators waving their bracelets. It's less dangerous and less powerful (than grass roots street demonstrations.)"

Speaking to CNN.com, Klein said the new style of anti-poverty campaigning, where celebrities talk directly with government and business leaders on behalf of a continent (such as Africa) is another form of "noblesse oblige" where the rich and powerful club together to 'give something back.' "They are saying we don't even need government anymore, it's the replacement of nation states with corporate rule -- this Billionaires Club, including Bill Clinton that gets together to give a little something back."

"What's complicated about the space that Bono and Geldof (Bob Geldof, founder of Live Aid) are occupying is that it's inside and outside at the same time -- there's no difference. What's significant about the Seattle movement (the WTO protests in 1999 and 2000) is that it's less the tactics but the fact that it identifies that there are real power differences, winners and losers in this economic model."

Klein believes when celebrities such as Bono engage in talks with world leaders at forums such as Davos they are legitimizing the structures in place, and the inequalities that arise from these structures, rather than promoting any radical change; "The story of globalization is the story of inequality. What's been lost in the Bono-ization is ability to change these power structures. There are still the winners and losers, people who are locked in to the power structures and those locked out."

Protests such as the Seattle anti-globalization protests, "were really demanding a structural change." But now but according to Klein, the rise in blogging and on-line protests has taken the heat out of direct action. "It's safer to mouth off in a blog than put your body on the line. The Internet is an amazing organizing tool but it also acts as a release, with the ability to rant and get instant catharsis. It's taken that sense of urgency away."

Bono's Red initiative is emblematic of this new Pro-Logo age. He announced a new branded product range at the World Economic Forum in Davos Switzerland last year called Product Red. American Express, Converse, Armani and Gap were initial partners, joined later by Apple and Motorola. The corporations sell Red branded products, with a percentage of profits going to Bono approved causes. In this Pro-Logo world there is an irony of consuming to end poverty. Perhaps an even bigger irony: through initiatives like the Red card, consumer culture and branding is buying a stake in anti-globalization and alleviating poverty movement.

Klein says, "What they've tapped into is a market niche. There's nothing that's inherently wrong with these initiatives except when they make radical claims that it's going to end poverty. There's a long history of radical consumption -- what's pretty unbelievable about this (the Red Label) is that they say it's revolutionary and it's going to replace other forms of politics."

Instead Klein advocates for a more confrontational and engaged form of activism, "We have had mass social movements that are messy -- and that leads to some kind of negotiation and some kind of representation. What I see from the Bono camp is that they dismiss street protest as bunch as gripers whereas they (Bono) are being constructive because they engaging with power (but) if you look at the history of the labor movement its people outside trying to enforce change."

CNN spoke to a London-based activist Susie (who did not wish to give her real name) from the Climate Camp who said "charity concerts are pathetic, just pathetic and a way to recorporate the issue. It changes nothing. It's enjoyable but (from a political point of view) it's a waste of time. It diverts attention away from taking action and protest. Nobody ever changes anything from attending a concert."

Klein agrees saying, "I think people go to concerts because it's fun but I don't get a sense from anyone I talk to that it's effective politically."

Long time human rights activist, Peter Tatchell says despite the huge numbers marching in the anti-Iraq war marches three years ago, "There is a sense of political powerlessness plus there's been a shift to the right."

He sees the Bono-ization effect in the way "the protest movement has been incorporated -- the corporate agenda around consumerism and spending has just become another form of protest."

Yet he does see the value in having people working with power to effect change: "The classic model of social change is that you need people on the inside talking to people in power and people on the outside shaking up the establishment -- a combination of the two getting results. The good cop, bad cop routine seems to have worked in the past."  E-mail to a friend

@highlight

Protest movement shifts with rock star activists' involvement

@highlight

Author Naomi Klein criticizes the Bono-ization of activism

@highlight

Celebrity charity concerts do not change the status quo, says Klein