(CNN) -- It started with the denial of a growing health crisis.

Nearly 40% of Georgia's children are overweight or obese -- the second-highest rate in the nation -- yet 50% of Georgians don't consider child obesity a problem. What's more, 75% of parents of obese children don't think they have a problem on their hands, according to Children's Healthcare of Atlanta, the state's largest pediatric health care system.

In response, Children's Healthcare crafted an ad campaign intended to highlight the roles of parents and caregivers in the widening epidemic.

The posters and TV spots of obese children with doleful eyes were as stark as their accompanying messages: "Being fat takes the fun out of being a kid," and "It's hard to be a little girl if you're not," to name a few.

"We felt that because there was so much denial that we needed to make people aware that this is a medical crisis," Chief Administrative Officer Linda Matzigkeit said.

"We knew flowery ads don't get people's attention. We wanted to come up with something arresting and hard-hitting to grab people."

The buzz began almost as soon as the ads started appearing in September on billboards, buses and train platforms around Atlanta. Critics felt images from the Strong4Life campaign were too negative and perpetuated weight-based stereotypes without providing concrete solutions.

"There seems to be this perception that it's OK to shame children and families struggling with obesity because that will provide an incentive to lose weight," said Rebecca Puhl, director of research and weight stigma initiatives at the Rudd Center for Food Policy & Obesity at Yale University.

"However, research in weight bias shows that when individuals feel shamed or stigmatized because of weight they're actually more likely to engage in behaviors that reinforce obesity: unhealthy eating, avoidance of physical activity, increased caloric intake."

The TV spots stopped airing in Georgia in October and most of the billboards have come down. But conversations around the campaign continued online and in media coverage worldwide, raising debate over what makes an ad effective when it comes to combating obesity.

Mommy bloggers take on anti-obesity ads

As far as Children's Healthcare is concerned, the fact that the ads sparked debate means they achieved their goal, regardless of the reaction.

"Our intention was to get people talking about childhood obesity and we did that. We can't do this alone; it's going to take a whole community of physicians, parents and caregivers to solve the problem," Matzigkeit said.

"If parents continue to be in denial we're not going to get past this crisis."

It's a crisis that has been fostered by a culture of convenience: fast food, calorie-dense meals and car-centric cities slowly building up to national obesity rates of 33.8% among adults and 17% in children, according to the Centers for Disease Control and Prevention.

Stormy Bradley realizes now that she was one of those parents who didn't recognize her daughter had a real problem. "It's just a phase; she'll grow out of it," she told herself.

"I think I should've been more proactive earlier on," the Atlanta mother said. "I just didn't want to have a conversation that would upset her or put a rift between us, also because I knew that would mean me having to face my own issues with weight."

Then, Bradley saw an ad on Facebook in February 2011 looking for overweight children. She asked her 13-year-old daughter, Maya Walters, if she was interested and at the audition, the two learned about the substance of the ads.

They also heard about the potential backlash they could face if she accepted the part.

"I was a little bit hesitant but then when I thought about it, I was like well it'll be a good message to other kids like me," Maya said. What's the message? "Being overweight is a problem, but you're not the only one dealing with it," she said.

Feedback from her peers has been positive, she said -- most were surprised to see her on TV and billboards. She also became involved in the media blitz defending the ads, appearing on local news and the Today Show.

Through the experience, Maya and her mother were offered the chance to utilize the hospital's Health4Life clinic, where she developed small changes to her daily routine through consultations with doctors, psychologists, nutritionists and exercise physiologists. And, she's sticking with it, she and mother attested.

Fruits are surprisingly filling, she said. She can't remember the last time she drank soda after giving up sugary beverages for water and the occasional packet of sugar-free drink mix. She typically exercises at least 30 minutes a day, either by walking the dog with her mom or going to the park or playing on the Wii her younger brother.

By the time school began last fall, she was ready to try out for the cheerleading squad and made it, which means two training sessions a week along with two to three games.

"The smaller things definitely make a change," she said in a phone interview Sunday as she and her mother drove to a "Black Girls Run" event in Lithonia, Georgia.

"It's very hilly in my neighborhood but now when I walk the dog I don't get as tired. With cheerleading, we have to run a mile at least. And before I couldn't do the whole thing but now I can."

Maya came to the campaign as a paid model, but the hospital considers her an example of how Strong4Life helps children set goals for a healthy lifestyle, complete with videos documenting their journeys.

She's not the only one, according to the hospital. The Health4Life Clinic had 350 patient visits in 2010 and nearly 600 patient visits in 2011, with physicians treating more than 100 children with fatty liver disease and/or cirrhosis, conditions that are rarely seen among children who are not overweight.

The multi-disciplinary approach is widely regarded as an effective tool in helping families make small changes in their daily routine. But among critics, those tools were buried far too deep within the initial ad campaign.

"The stark settings, their forlorn looks and body language convey an image of kids who are alone and don't have the support of the community. They teach us that we should feel sorry for fat kids and that it's normal to tease and abuse them," said Amy Farrell, author of "Fat Shame: Stigma and the Fat Body in American Culture."

"The approach should be to try to change those ideas with positive messages that encourage kids, parents and the community to get involved in encouraging kids to be active and eat well," said Farrell, a professor of American studies and Women's & Gender Studies at Dickinson College.

In recent weeks, critics of Strong4Life's ads have compared them to a new campaign encouraging New Yorkers to cut their portion sizes. The Health Department's posters also employ austere black-and-white scenes of obese people, but the messaging is more direct.

One poster shows a man with his leg amputated below his knee, crutches leaning against the wall, with the message "Portions Have Grown: So Has Type 2 Diabetes, Which Can Lead to Amputations."

Still, the poster is generating controversy for a different reason, after the New York Times revealed that the image had been digitally altered to remove the man's leg.

"This issue isn't about one actor, but rather the 700,000 New Yorkers who struggle with diabetes, which kills 1,700 people a year and causes amputations in another 3,000," Health Department spokesman John Kelly said in a statement to the paper. "Advertising to warn the public about health concerns saves lives, and we will continue our efforts to warn New Yorkers about diabetes."

The hard-hitting tone of Children's Healthcare's ads were inspired by Georgia METH Project's "Not Even Once" campaign, along with other state-led campaigns against smoking and drug abuse, which tend to pair a minimalist aesthetic with brutal, straightforward wording.

With smoking and drug abuse, the main targets of public health initiatives are users. But campaigns to combat obesity, especially childhood obesity, set their sights on those struggling with their weight, caregivers and the community -- essentially, society at large.

"The target is everyone, whether they're fat or not, that somehow we should all be taking responsibility for what's perceived as an epidemic," said Farrell.

"The stigma itself needs to be addressed itself because until we do that, why would a fat child want to go out on the playground and be teased? We want to create an environment where people are not treated so poorly because of their bodies that they'll want go out and enjoy physical movement."

It's a sentiment that representatives from Children's Healthcare agree with, one that they say moves the discussion beyond an ad campaign to a movement that fosters healthier lifestyles. That means training pediatricians and health care providers on how to talk about obesity with families; it means giving families the tools to start making steps toward positive change.

"If you look at steps it takes to initiate long-term change, the first thing you need is to be aware that there's a problem and then you need the intent to change," said Dr. Mark Wulkan, the hospital's chief surgeon and professor-in-chief of pediatric surgery at Emory Hospital in Atlanta.

"The first phase of the ad campaign was about raising awareness and generating the intent to change. Now, it's becoming a movement, where we move on to changing the culture that has created this epidemic."

@highlight

Ads meant to raise awareness among parents of child obesity epidemic, hospital says

@highlight

Strong4Life ads being phased out but debate lingers over whether they did more harm than good

@highlight

Critics say they reinforced negative stereotypes, failed to provide solutions

@highlight

Hospital wants focus to shift from ads to steps that will change culture