(CNN) -- Kenyan troops are battling the Islamic extremist group Al-Shabaab in neighboring Somalia, westerners are being targeted at Kenyan tourist resorts and fears are high of terror attacks in Nairobi. What are the reasons behind the unrest and what is likely to happen next?

What is the source of the unrest?

A state of near-anarchy has existed in Somalia for more than two decades: the government has little authority, violent conflict has left thousands dead, and the country has recently been hit by a devastating famine.

Pirates have taken advantage of the power vacuum to prey on vessels large and small off the country's coast, but over the past few months, Al-Shabaab militants appear to have added a new tactic: kidnapping foreign tourists and aid workers in Kenya (though some in Al-Shabaab deny involvement in the abductions.) Al-Shabaab already generates tens of millions of dollars a year, much of it by controlling ports along the Somali coast, according to a recent United Nations report.

U.N. report: Al-Shabaab is raising millions illegally in Somalia

How has Kenya responded to the kidnappings?

Responding to fears that foreign investors and tourists could be scared away, Kenyan forces last month entered Somalia, saying the kidnappings threatened security and constituted an attack on Kenyan sovereignty. Kenyan forces say they are ultimately seeking to take the Somali port city of Kismayo, described by the U.N. as a key stronghold and source of cash for Al-Shabaab.

Fears grow over Somali pirates' 'new tactics' after kidnaps, killing

What has been the response?

The incursion has raised fears of reprisals with Al-Shabaab saying it considers it an affront to Somalia's sovereignty. Last month (October) the U.S. Embassy in Kenya said it had credible information of an imminent terror attack on foreigners. The following day, twin explosions in Nairobi killed at least one person.

Many worry the action will make Kenya less safe, not more so. Security analyst Rashid Abdi, from International Crisis Group, told CNN: "There is a risk that while the argument for going in is to stop terrorism, the contrary could now be the case. Al-Shabaab will now have the pretext to strike Kenya."

How likely is Kenya's operation to succeed?

Any foreign intervention in Somalia is a big risk, say experts who point to recent history as proof, in particular America's ill-fated "Black Hawk Down" mission in 1993 when U.S. forces tried to capture a local warlord - resulting in many deaths on both sides, Ethiopia's U.S.-backed invasion that contributed to the rise of Al-Shabaab, and the African Union's long and bloody campaign to control the Somali capital Mogadishu.

"If there is anything we have learnt in the last couple of decades it is that foreign intervention, especially military intervention, doesn't work in Somalia," said Abdi.

Kenya's largely conventional army is being hampered by heavy rains and Al-Shabaab's ability to melt into the background. However officials say their operation should be over within months. "We don't want to go off and get stuck in Somalia," Kenyan government spokesman Alfred Mutua said. "When the United States, Ethiopia and others went there, they were trying to support an existing government. Our main objective is just to go in, dismantle the Al-Shabaab and get out."

What is the background to the unrest?

Somalia has known only conflict since the 1991 fall of dictator Mohamed Siad Barre, who had seized power in 1969, nine years after independence from Britain and Italy. Meanwhile, as the EU tightened fishing controls in Europe, fleets from Europe and Asia -- many operating illegally -- moved into East African waters to fish. According to many reports, in the absence of any Somali navy patrols, those fleets plundered fish stocks, decimating the livelihoods of many Somali fishermen.

Fertile territory for Al Shabaab in chaos of Somalia

Many of these destitute former fisherman "took matters into their own hands," according to the African Development Bank, and turned to hijacking ships to make up for lost income. The new "industry" was quickly co-opted by the Somali warlords and is now an organized, hierarchical gang-like operation.

According to academic William Jelani Cobb, "Somalia is like Afghanistan in that we had a great deal of interest in the place during the Cold War and more or less forgot about it afterward."

In an article written for CNN in 2009 in response to the kidnapping of an American ship captain, Cobb wrote: "Part of combating terrorism means addressing the conditions in which it flourishes. Extortion and kidnapping on the high seas is certainly wrong, but by ignoring ... the threats to the regional food supply, we effectively created a niche for these pirates."

Commentary: A lesson of Somali pirate attacks

How will the unrest affect the region?

With famine causing misery for millions in the Horn of Africa, the conflict between Al-Shabaab and Kenyan forces is likely to hinder humanitarian efforts. Even before the incursion, aid workers found it difficult to provide relief, according to Roger Middleton, consultant researcher on Chatham House's Africa Program.

"If you've got a big war going on, it's difficult to distribute relief. Bombings only increase the risk," Middleton said, adding that discussions about access between aid workers and Al-Shabaab were unlikely to be eased by the conflict.

How is the international community reacting?

The Kenyan government says the decision to attack was its alone. Key western allies such as the U.S. and the UK have been quick to state publicly they are not assisting in this action, though the French say they will help. In the region, Rwanda and South Africa have issued statements backing Kenya.

"The international community is being quietly supportive," Middleton said, "but only because they have no idea what else to do.

"I'm sure the U.S. and others have provided intelligence assistance, but there have been no overwhelming offers of support. Most governments believe sending troops into Somalia is not a good idea, but there is no plan B, apart from the status quo.

"Their reasoning is that Kenya forces could be stuck in Somalia for ages, or there could be an insurgent campaign in Kenya itself. It could go horribly wrong -- who knows?"

@highlight

Somali pirates have started kidnapping foreigners in Kenya as well as hijacking boats

@highlight

Last month Kenyan forces entered Somalia, saying kidnappings threatened security

@highlight

Analysts warn Kenyan forces' mission in Somalia is risky

@highlight

Conflict is likely to hinder humanitarian efforts againsnt famine in the Horn of Africa