Beijing (CNN) -- At first glance, Chinese President Xi Jinping enters 2014 as the country's most powerful and popular leader in recent memory.

A year into his expected decade-long reign, he has amassed more titles than his two immediate predecessors.

Heading not only the ruling Communist Party, the 1.5-million strong military and the state, Xi also sits atop two newly created entities with ultimate authority on the most important issues facing the government: a national security council and a leadership group that decides on the course of the country's "overall reform."

His star power has soared, too. Xi's recent visit to a Beijing restaurant for some cheap steamed buns has turned the eatery into an instant shrine -- with crowds lining up to snap pictures of the table he sat on and order the so-called "presidential set."

Even his brief New Year's address won admiration on social media for its human touch, when viewers noticed family photos in the background featuring his glamorous singer wife.

With all the apparent political capital and personal charisma at his disposal, is Xi strong enough to launch bold reform amid slowing economic growth and rising public discontent? In answering the question, people on opposite ends of the political spectrum are surprisingly united in their skepticism.

Flies and tigers

One of Xi's most applauded moves since he became the Communist Party chief has been an intensified fight against corruption, a lightning rod for mass discontent across the country. He pledged to target "flies and tigers" alike in describing his resolve to spare no one regardless of their position.

According to state media, some 108,000 officials were disciplined in the first nine months of 2013 and almost 20 minister-level senior officials have fallen from grace since late 2012.

State media has cited the trial and conviction last year of former high-flying politician Bo Xilai -- though called politically motivated by Bo supporters -- as one prime example of Xi's determination.

Bo Xilai: From rising star to scandal

China watchers have also detected signs of a possible investigation into Zhou Yongkang, the former domestic security czar and one-time patron of Bo. If announced, Zhou would be the highest-ranking official ever to face corruption charges.

"Xi has made good on his word," said Han Deqiang, an economics professor at Beihang University in Beijing well known for his passionate advocacy of Maoism. "There is an obvious link between Xi's move and the revival of Maoism -- which emphasized the principle of 'serve the people' and a frugal lifestyle, and allowed Chairman Mao to establish a relatively corruption-free bureaucracy."

Pointing to a series of recent orders to ban official extravagance -- from banquets to year-end gifts -- as well as Xi's visit to the steamed bun eatery, Han says the new leader is taking a leaf out of the late chairman's book.

However, economist Mao Yushi -- no relation to Chairman Mao -- says Xi has failed to address the roots of corruption.

"Without systemic reform, new cases of corruption will pop up while old ones are being addressed," he said. "The fundamental solution is to destroy the soil that breeds corruption -- the opportunities for officials to take bribes in areas like land control and family planning."

War and peace

On December 26, Xi paid homage to Mao Zedong in his mausoleum on the 120th anniversary of the late chairman's birth. The same day, Japanese Prime Minister Shinzo Abe defied Chinese warnings and visited a controversial war shrine in Tokyo, capping a year of fast-deteriorating Sino-Japanese relations stemming from competing claims over a chain of islands in the East China Sea.

China, Japan deploy Harry Potter villain in latest spat

China has certainly flexed its military muscles since Xi took control, sending its only aircraft carrier for a month-long training mission late last year in the South China Sea, where it is also locked in territorial disputes with several neighboring countries.

Most noticeably, though, the Chinese military last November declared an air defense identification zone (ADIZ) in the East China Sea that includes the disputed islands. Despite objections from the United States and its allies, the Chinese military has warned that it would identify, monitor and respond to any air threats or unidentified flying objects coming from the sea.

China's air defense zone: What you need to know

Cheered by nationalists, who have yearned for the return of Mao-era hardline stance against the Americans or Soviets, the ADIZ move is seen by some hawks as a sign of Xi's increasing strength and confidence. Following Abe's shrine visit, the Beijing government has declared him "not welcome" in China.

"Abe's shrine visit has given Xi the perfect excuse to project his power both at home and abroad," said Hu Jia, one of China's most prominent human rights activists, who was imprisoned for more than three years for his advocacy.

"Abe helped Xi, who needs a rallying cry and an angle to divert public attention from domestic problems.

"But more and more ordinary citizens are seeing through this and no longer willing to be used as the government's pawn."

'Who am I?'

Left, center or right -- no matter where one stands ideologically -- Xi seems to keep sending everyone mixed signals.

Before Maoists could finish savoring the news of Xi bowing in front of Mao's preserved body in his mausoleum and praising the late chairman on his anniversary, the president reportedly made no mention of Mao in his extensive remarks to senior government advisers on New Year's Eve and emphasized "liberating our thoughts" instead.

Xi's fight against corruption and populist style have won him genuine admiration from a young, well-educated urban crowd. But he has also stifled freedom of speech in social media and cracked down on a nascent civil society movement -- often alienating or antagonizing the same demographic.

China 'employs 2 million to police internet'

Most controversial of all, in a widely circulated speech, Xi raised the notion of "not using the second 30 years (of the People's Republic) to repudiate the first 30 years, and vice versa."

The first three decades of Communist rule after 1949 -- commonly referred to as the Mao era -- was largely remembered in the West as an isolated regime, a failed planned economy and a nation thrown into chaos by Mao's Cultural Revolution.

The second three decades started in the late 1970s when late paramount leader Deng Xiaoping launched economic reform and re-opened the country to the outside world -- a period marked by breakneck economic growth as well as rising social tensions brought by a widening income gap and rampant corruption.

For Maoists, the "two 30 years" concept appears to be a natural correction to Deng and his successors' deviation from the orthodox system.

"Chairman Mao is our founding father -- rejecting him means the rejection of the regime's legitimacy," said Professor Han, who has expressed disapproval of what happened to Bo, a big proponent of reviving Maoism.

"The top leadership has noticed the grassroots support for Maoism and taken action to reaffirm the regime's foundation."

Economist Mao holds a more nuanced view. He says Xi has made some progress with reforms amid strong resistance from entrenched interest groups.

"Maoists are his biggest threats because they are against reform and opening-up, which they consider to be a path of capitalist exploitation," he said. "Why bother reform at all if you don't thoroughly reject the Maoist ideology?

"So the fundamental questions about Xi remain: What does he stand for? What does he want? What are his values?"

Other than an ambiguous notion of fulfilling the great Chinese Dream, it seems that Xi hasn't given clear answers to these challenging questions.

And as divisions in Chinese society grow deeper, time may not be on his side -- and the future of 1.3 billion people is at stake.

@highlight

President Xi Jinping has assumed complete control of China in past 12 months

@highlight

One of Xi's most applauded moves has been an intensified fight against corruption

@highlight

He's pledged to spare no one regardless of their position or influence

@highlight

China has also flexed its military muscles since Xi took control