(CNN) -- At least one corner of the solar system may be serving up an ice-and-water sandwich, with the possibility of life on the rocks.

NASA researchers, publishing in the journal Planetary and Space Science, have demonstrated that this "club sandwich" phenomenon may be happening on Ganymede, the largest moon in the solar system and a satellite of Jupiter.

This finding means that life could have even arisen on Ganymede. The study suggests there may be a layer of salty water directly on top of Ganymede's rocky core. Chemical interactions between rock and water could lead to the formation of life, scientists say.

"This is good news for Ganymede," said lead study author Steve Vance of NASA's Jet Propulsion Laboratory in a statement. "Its ocean is huge, with enormous pressures, so it was thought that dense ice had to form at the bottom of the ocean. When we added salts to our models, we came up with liquids dense enough to sink to the sea floor."

The oceans of Ganymede may have 25 times the volume of Earth's oceans, scientists said. But Ganymede is also smaller; it has an average radius of 1,634 miles, about 41% of Earth's.

There is only a handful of places in the solar system thought to have subsurface oceans. There is strong evidence that Europa, another moon of Jupiter's, and Saturn's moons Enceladus and Titan have oceans under ice as well. Jupiter's moon Callisto is also a contender.

Data from NASA's Cassini spacecraft suggested last month that Enceladus has an ocean at least the size of Lake Superior under its ice layer.

Signs of underground ocean found on Saturn moon

Vance and colleagues did not visit Ganymede, obviously, but they performed laboratory experiments here on Earth to simulate what would happen to ice and salty water on the Jupiter moon.

They showed that the density of liquids goes up with the presence of salt under extreme conditions inside moons such as Ganymede. Because salt ions attract molecules of H2O, liquid water becomes denser when salt is added.

There are many forms of ice, which makes modeling conditions on icy moons complex. You are probably most familiar with Ice I, the ice that floats in a soda fountain beverage because it is lighter than water.

But ice molecules get packed together more tightly at high pressures, Vance said. In deep oceans, the dense ice would actually be heavier than water, plummeting to the ocean floor. Vance and colleagues use Ice VI to refer to the most dense and heavy ice that Ganymede may have. On this moon, however, scientists believe the saltiest liquid would be so dense that it would be at the very bottom, above the rock.

Computer models taking all of that into account suggest that Ganymede has as many as three ice layers with liquid ocean between them.

The models also suggest that ice could form in the seawater -- a process that leaves heavy salts to fall down and lighter ice to float up -- an upward snow effect. In the middle of the layers may be slush from that ice that then melts.

Scientists don't know if this model is correct, of course. Senior author Christophe Sotin, also of NASA's JPL, said in a statement that the "sandwich" model reflects a stable state, but there are various reasons why the moon might not achieve this structure; it may even alternate between a "club sandwich" phase and a structure with fewer layers: light ice, ocean, high-pressure ice.

Galileo Galilei discovered Ganymede as well as three other moons of Jupiter in 1610. These moons contributed to the knowledge that our sun and other planets in our solar system do not orbit the Earth, but rather the solar system revolves around the sun.

We may learn more about Ganymede and other moons with the potential of life through a space mission called Jupiter Icy Moons Explorer, or JUICE. The mission, being developed by the European Space Agency, will visit Europa, Callisto and Ganymede. It is scheduled to launch in 2022.

@highlight

Ganymede's oceans may have 25 times the volume of Earth's

@highlight

Life may arise from chemical interactions between water and rock, scientists say

@highlight

Ganymede is one of several moons in our solar system that may support life