Washington (CNN)This isn't how House Speaker John Boehner wanted to start 2015.

He's presiding over a historic majority in the House while the Senate is controlled by Republicans for the first time in nearly a decade. But the Ohio Republican is still wrestling with a familiar problem that could threaten his agenda over the next two years: conservative unrest.

That dynamic was on display Tuesday when a surprisingly large group of Republicans voted against giving Boehner a third term as Speaker.

"I think a lot of Republicans are looking for a new direction," Oklahoma GOP Rep. Jim Bridenstine, one of those saying he'll back another candidate, told CNN.

This group, which includes about a dozen lawmakers, is almost certain to fail. But even if they don't block Boehner from another term wielding the Speaker's gavel, their opposition is a fresh reminder of Boehner's struggles to control his rank-and-file just as he and incoming Senate Majority Leader Mitch McConnell try to prove that Republicans can govern heading into 2016.

And the drama is all playing out amid turmoil in the leadership ranks after revelations that House Majority Whip Steve Scalise once spoke to a white supremacist group, unfortunate news for a party that is trying to expand its reach to minorities ahead of the next presidential election.

Although he already got the nod to keep his post by the House Republican conference after the midterms in November, Boehner doesn't officially get the gavel again until a majority of members vote for him on the House floor on Tuesday. If 29 GOP members vote for someone else, they can force a potentially embarrassing second ballot -- with the scene playing out on live C-SPAN cameras.

The opposition movement isn't entirely unexpected. Two years ago, Boehner faced a similar, poorly organized effort when a dozen House Republicans backed other candidates or declined to vote for him.

Some Boehner opponents say their position isn't personal. They just don't like the way he ran the House.

"This isn't about John Boehner," Bridenstine said. Republicans looking for an alternative "just want to make sure that we're doing the right thing on behalf of our constituents."

Texas Rep. Louie Gohmert and Florida Rep. Ted Yoho, who are tea party favorites, announced they would run for the Speaker. In an interview on CNN Monday, Rep. Steve King of Iowa floated Florida Rep. Daniel Webster as another possible candidate. But even Bridenstine conceded no one can defeat Boehner outright.

Kentucky Republican Rep. Tom Massie told reporters he opposed Boehner not because he wasn't conservative enough, but because he failed to give members enough input into legislation like the massive spending bill that passed in December. Conservatives were angry that the bill didn't do anything to block President Barack Obama's immigration executive order.

Massie estimated there were between 10 and 50 House Republicans who could back an alternative to Boehner. Still, he said he was only confident that those who have publicly announced they opposed Boehner would actually follow through and vote for someone else on the House floor.

Massie declined to tell reporters on Monday night who he was supporting.

Indiana Rep. Marlin Stuzman, another conservative Boehner critic, told reporters Monday he was still deciding who to back and was hoping he and others trying to force a change in leadership could agree on a "consensus candidate."

Boehner's allies say they aren't worried about him losing his job and GOP members across the ideological spectrum left the first meeting of all House Republicans on Monday night predicting the Speaker would be re-elected.

Even Texas Rep. Roger Williams, who told CNN he didn't always support Boehner, said he thought the Speaker would overcome the challenge, and that he deserved a chance to shepherd a conservative agenda through a new session.

At a time when GOP leaders want to turn the page on the dysfunction that has dominated Capitol Hill, this latest effort feeds into the familiar narrative that played out over the past four years that Boehner can't control his conference.

"This is a last moment sideshow," Rep Tom Cole of Oklahoma, a Boehner supporter, told CNN.

He added: "the sad thing is it distracts from what our messages ought to be. We ought to be talking about the Republican agenda -- about the possibilities now that we have the Senate -- about Keystone, about fixes on Obamacare, trade regulatory reform."

Michael Steel, a spokesman for the Speaker, said Boehner is "confident he'll remain the Speaker."

Indeed, Boehner has laid a groundwork for being re-elected. He reached out individually by phone to House GOP members after the midterms and was the party's top fundraiser in 2014, collecting chits along the campaign trail. According to his political staff, the Speaker brought in over $100 million over the 2014 cycle, and traveled extensively for members and candidates, attending 150 events.

In Monday evening's meeting in the Capitol basement, Boehner didn't specifically address his critics. But he made a general pitch to his fellow Republicans on the need to stay united in the new Congress, according to several GOP members who attended the session. He noted his party had a real opportunity to get some of their top priorities done if they worked as a team.

Still, some outside groups are trying to whip up a grassroots campaign to get conservative activists to call in and demand members vote against Boehner.

FreedomWorks, a group with strong tea party ties, is part of this effort, but Boehner supporters say this group and others who have been critical of the Speaker have a history of seizing on internal feuds to raise money. Boehner slammed some of these conservative groups out after the 2013 government shutdown, arguing they are more concerned with their elevating their own profile than helping the GOP govern effectively.

South Carolina Rep. Mick Mulvaney, who didn't vote for Boehner in 2013, wouldn't say how he would vote on Tuesday. But he appeared to criticize the anti-Boehner forces for not standing up and saying they wanted someone else earlier this fall.

"We had an election for Speaker in November and no one opposed John Boehner. I find it hard to believe that those folks who really don't like Mr. Boehner today suddenly discovered they didn't like him between November and today," Mulvaney said.

In addition to his own political problems, Boehner is also opening the new Congress grappling with a scandal caused by a top Republican ally.

Louisiana Rep. Steve Scalise, the third ranking House GOP leader who is tasked with counting votes, admitted last month he spoke to a white supremacist group in 2002. Scalise apologized and renounced the group, which has ties to former Klu Klux Klan leader David Duke. Boehner stood behind him calling him a "man of high integrity and good character."

But some Republicans outside Congress are calling on Scalise to step aside, to prevent any damage to the party's efforts to diversify its supporters.

House Democrats are already using the Scalise story -- targeting 30 House Republicans in competitive districts and challenging them to publicly say whether or not they support him remaining in his post.

White House Press Secretary Josh Earnest, asked Monday whether Scalise should stay, took a jab at the GOP, saying who Republicans choose as their elected leaders "says a lot about who the conference is and what their priorities and values are." He also repeatedly noted that Scalise had referred to himself as "David Duke without the baggage," but said it's up to Republicans on who they elect as their leaders.

As the former chair of a group of influential House conservatives, Scalise is viewed as Boehner's bridge to those on the right, so any effort to push him out could hurt the Speaker at a time he needs to hold conservative support to keep his own job. For now, Scalise seems poised to remain in the leadership.

Republicans are facing high expectations as they take full control of Congress. Many House GOP members and outside groups are saying they expect many items -- such as changes to banking rules, Obamacare, environmental regulations -- that Senate Democrats blocked to sail through now that McConnell is in charge.

That might be easier said than done since Senate Republicans will still have to rely on Democratic votes to overcome filibusters and pass legislation.

North Carolina Republican Sen. Richard Burr, who is a close personal friend of Boehner's said the Speaker will have to guide House members to concentrate on things that are doable.

"I think he has to tap down unrealistic initiatives and focus people on the tools we do have," Burr told reporters, mentioning using spending bills to strip away money for programs or limit the Administration's actions.

CNN's Dana Bash, Adam Levy and Ted Barrett contributed to this report.

@highlight

House will vote Tuesday on whether John Boehner will serve a third term as Speaker

@highlight

Boehner is facing conservative opposition but is still expected to win