(CNN) -- Want to try for a cease-fire to end the burgeoning conflict between Israel and Hamas in Gaza?

Mix a cocktail of three ingredients: urgency, the desire of both sides to climb down; an agreement that allows them to do so; and a mediator to bring it all together. Egypt's latest cease-fire proposal, clearly coordinated with (and accepted by Israel), can't get us there -- at least not yet. Hamas, weak and desperate for a victory, isn't ready to stand down.

And even if it were ready to do so, any agreement that's merely a cease-fire won't provide a real solution to the Israel-Hamas problem. Indeed, without a more comprehensive solution to the Israeli-Palestinian problem, a cease-fire, even if accompanied by more economic openings for Gaza, will at best offer a temporary respite for these two adversaries. Sooner or later, Israel and Hamas will once again find themselves back in bitter confrontation.

We've seen two prequels to this tragic movie. In 2008-9, a conflict over Hamas' high-trajectory weapons ended in an Israeli ground incursion and a unilaterally declared Israeli cease-fire. Then again in November 2012, a weeklong conflict ended in an Egypt-brokered accord that lasted until the latest outbreak.

There's no real end state to this confrontation, in large part because of the diametrically opposed objectives of Israel and Hamas, a resistance organization whose very being depends on continued confrontation.

Yet Hamas isn't al Qaeda or the Islamic State in Iraq and Syria. Over the years, despite their enmity, Israel and Hamas have at times actually managed to find a way to accommodate one another. In a perverse way, Hamas and Israel serve one another's needs.

Hamas needs an enemy to maintain its legitimacy and popular appeal. And Israel may even see advantages in a weakened Hamas that can rule Gaza and control the behavior of smaller jihadi groups. At the same time, for those Israelis opposed to a two-state solution, Hamas' radicalism and rockets represent an ideal argument as to why Israel can't make concessions to achieve one.

And that's why it isn't at all surprising that this round, like previous ones, will sooner or later have to end. Israel doesn't want to launch a ground incursion, let alone reoccupy Gaza; and Israeli strikes are hurting Hamas -- and Gazans too -- while Hamas rockets are unable to inflict serious damage on Israel.

But de-escalation isn't a do-it-yourself project. It requires mediation, and for the past week nobody has appeared ready to take on the job.

The U.N. is viewed as too biased by Israel. The United States rightly didn't want to jump in until both sides seemed more ready to deal. And with no ties with Hamas, Washington isn't especially well-placed to mediate. Turkey has influence with Hamas, but its ties with Israel are too rocky. The Saudis really don't want to get into the middle of this. The Palestinian Authority's Mahmoud Abbas has little influence with either Israel or Hamas. The Qataris do have close ties with Hamas and might play a role, particularly as bankers to pay thousands of Hamas employees, a key Hamas demand.

So enter Egypt, the party that brokered the last Israel-Hamas cease-fire in November 2012 . But as Hamas rejection of the Egyptian offer makes clear, it's going to be harder this time around.

In 2012, you had a Muslim Brotherhood government in Egypt, led by Mohamed Morsy, that maintained very close relations with Hamas. After all, the Muslim Brotherhood spawned the Palestinian organization.

This time around, you have a government led by Abdel Fattah el-Sisi, whose agenda is quite different. El-Sisi is no Brotherhood lover, to say the least. His rise to power occurred against the backdrop of what he perceived to be an existential threat from the Islamists. And he has made good on his promises of countering Islamists at home and in Gaza. El-Sisi's government has been at the forefront of shutting down Gaza smuggling tunnels and keeps the Rafah border crossing closed (except for a brief opening this past week to let through some wounded Gazans for medical treatment).

This environment of extreme distrust between Hamas and the Egyptian government complicates matters. But el-Sisi may have other reasons to engage. He must be sensitive to the civilian casualties in Gaza, which can create political trouble on the Egyptian street, empower Egyptian Islamists, and force him to blast Israel, which he doesn't want to do. And by prewiring the cease-fire with Israel, he keeps the Qataris and Turks who might take Hamas' part in all of this at bay -- for now.

Can the Egyptians pull it off? This brings us to the deal itself. Hamas entered the conflict badly weakened by a terrible economic situation in Gaza. It needs some relief and some kind of victory trophy to justify the destruction in Gaza. It has at least three demands: release prisoners picked up in the recent Israeli West Bank sweep; open up Rafah and eliminate other restrictions on moving people and goods; and pay salaries for thousands of Hamas employees. (Qatar has offered to provide money for the salaries, using an intermediary, but Israel has thus far blocked these efforts.)

Israel, on the other hand, wants to make sure Hamas doesn't gain too much politically.

Squaring this circle won't be easy. Getting rid of Hamas' rockets -- like Syrian President Bashar al-Assad's chemical weapons -- through some kind of international mechanism is likely a bridge too far. And a broader agreement that really guarantees long-term stability, with a real economic opening in Gaza and a formal truce between Israel and Hamas, just doesn't seem possible now.

This is the Middle East, not Switzerland. And right now, Cairo will be lucky to work out a more modest deal. Hamas will lose the political battle too if Israel accepts Egypt's offer and it doesn't. Right now, however, its military wing is resisting.

Clearly, there's more negotiating in the cards. An agreement that eventually delivers a return to the status quo -- quiet for quiet -- is hardly ideal, but it is more real in the world which Israel and Hamas inhabit than a more ambitious peace deal between the two.

How long the clash will last is anyone's guess, but a deal is preferable to the events of last week. The longer the fight goes on, the greater the chances of some truly horrific incident involving massive civilian casualties. That would make escalation, not a deal, inevitable. And nobody -- least of all the people of Gaza -- can afford that.

@highlight

Aaron Miller and Josh Nason: Three elements are needed for a cease-fire

@highlight

They say both sides need to have urgency about ending the Gaza clash

@highlight

An acceptable agreement and a mediator also must be in place, they say

@highlight

Authors: Hamas is looking for some way to claim a victory from the confrontation