(CNN) -- Often forgotten in our national political discourse are those who need our attention the most: the poor.

On Thursday evening in Washington, D.C., prominent broadcaster and author Tavis Smiley is setting out to remedy the situation with an important bipartisan discussion of poverty in America entitled, "Vision for a New America: A Future Without Poverty." The goal of the discussion, for which Smiley deserves credit, is to bring much-deserved attention and aid to America's poor.

Systemic poverty maligns every generation of Americans, but the 2008 recession and subsequent lackluster recovery have exaggerated the problem to a crisis level.

Smiley cites government figures that nearly half of all Americans are living in or near poverty. In 2011, the Census Bureau found that 49.7 million Americans were in actual poverty and the national poverty rate topped 16%. Worse, almost 20% of American children live in poverty.

Food stamp use hit a record high in June of 2012 with 46.7 million Americans. Since October 2008, food stamp use has jumped more than 50%. An estimated one in four children was on food stamps in 2011.

For decades, America has wrestled with poverty but with little success. In 1964, President Lyndon Johnson famously declared "war on poverty." A 2012 study by the Cato Institute estimates that the United States has spent roughly $15 trillion since then, and yet the poverty rate is close to where it was more than 40 years ago. Cato reports that the United States spends nearly $1 trillion a year between federal and state programs to fight poverty.

That amounts to more than $20,000 per poor person and more than $60,000 for a family of three. And yet, the problem has not improved.

Both liberals and conservatives recognize this reality. However, Smiley and some on the left think the problem is that the government has not gone far enough. They call for more government intervention, like living wages and expanded social services. Granted, the government has a role in aiding the poor, particularly the disabled, handicapped and those who are poor largely at no fault of their own.

But if history is any indicator, government transactions and services don't seem to be the key drivers of upward mobility. In fact, they can have the opposite effect and insulate lower classes from upward mobility.

Instead, conservatives would argue that education, earned success and the all-important mediating institutions -- families, churches, communities, private and philanthropic enterprises, associations of coaches, teachers, parents, doctors, civil servants and religious and non-religious volunteers, the Boy Scouts and other worthy mentoring groups, all what Edmund Burke called the "little platoons" that make up healthy civil society -- are the pillars of upward mobility.

The evidence seems to support that. In a landmark study, the Brookings Institution found that young adults who finish high school, get a full-time job and wait until age 21 to get married and have children have just a 2% chance of falling into poverty and a 74% chance of ending up in the middle class. Furthermore, young adults who violate all three conditions have a 76% chance of ending up in poverty and only a 7% chance of making it to the middle class.

The threshold for middle-class success -- sound education and moral training -- is not high, but even on these measures our nation is falling short.

Our education system is failing our children. In Washington, D.C., public schools, only 59% of high school students graduated on time in the 2010-2011 school year. We're not talking about academic excellence here, just basic graduation and completion of high school. It should come as no surprise then that the poverty rate in Washington was 18.7% in 2011.

While many high school dropouts join the ranks of low-wage workers or the unemployed, American employers estimate 3 million skilled jobs are available right now. But our students, specifically our poor and underprivileged, lack the skills and education to fill those jobs. That must be remedied.

At the same time, America's family unit is decaying in record fashion. In 1965 Daniel Patrick Moynihan, then assistant secretary of Labor and later a U.S. senator, authored The Moynihan Report to bring light to the economic and social breakdown of the black family. He warned about the catastrophic out-of-wedlock birth rate for blacks, which was at that time less than 25%. Today, it is more than 70% for blacks and more than 40% for all Americans.

With the nucleus of the family in shambles, the fabric of American society is unraveling one thread at a time. Conservatives are often criticized for harping on family values, but what many of the critics fail to acknowledge is that strong, healthy families are essential for a strong, healthy economy. We know that the poverty rate is higher among single parent households than in families with married couples. In fact, the marriage gap accounts for much of the income inequality in the labor force today.

The first step to alleviating poverty is to promote better schools, families and churches. A national conversation about poverty must include these critical institutions. While we may disagree on economic solutions, Tavis Smiley acknowledges this much and I'm encouraged that with voices like his we can start building consensus around issues crucial to the upward mobility of many poor and disadvantaged Americans.

The opinions in this commentary are solely those of William J. Bennett.

@highlight

William Bennett: Often forgotten in our national political discourse are the poor

@highlight

Bennett: More government intervention may not solve the problem of poverty

@highlight

He says education, family values, earned success are the pillars of upward mobility

@highlight

Bennett: The first step to alleviating poverty is to promote schools, families, churches