(CNN) -- It may sound crazy. Why would a high-ranking executive lie about his or her credentials, especially now, when all it takes is a quick phone call or Internet search to verify information?

Yet it happens more often than you might think. From a white lie about time spent as a customer service rep to a whopper about earning an MBA, résumé padding occurs regularly across industries, experts say. In a 2010 survey of 1,818 organizations, 69% reported catching a job candidate lying on his or her résumé, according to employment screening service HireRight.

The most common lie on a résumé has to do with education, said Kim Isaacs, founder and director of ResumePower.com and Monster.com's résumé expert. The discovery that Yahoo CEO Scott Thompson does not have a bachelor's degree in accounting and computer science (he has a bachelor of science degree in business administration, with a major in accounting) makes him the latest executive to be targeted for falsely claiming to have a degree.

Or, at least, a certain kind of degree.

In the wake of the allegation, made by shareholder firm Third Point, Yahoo removed all references to Thompson's degree from his biography on its website and said the error "in no way alters that fact that Mr. Thompson is a highly qualified executive with a successful track record leading large consumer technology companies." The company's board said Tuesday that it has hired an outside counsel to conduct a review of the false statement.

The incident has raised debate over whether the gaffe counts as inconsequential "fudging" or "exaggeration" of his credentials or a lie that casts a shadow over his long career.

Readers weigh in on résumé padding

Many in the tech industry, including Third Point, are demanding Thompson's ouster. Others have spoken out on his behalf, calling upon the "Silicon Valley bloggerati" to stop picking on Thompson.

"Thompson has a degree in accounting, not computer science, but frankly at this point in his career does it really matter what he studied as an undergraduate?" Newsweek technology editor Dan "Fake Steve Jobs" Lyons asked in a Daily Beast column.

"(Thompson is) 54 years old, has been CEO of PayPal, and before that held high positions at Inovant, a subsidiary of Visa, and Barclays Global Investors. He's qualified to run Yahoo."

CNNMoney: Yahoo may need to go back to the drawing board

Résumé "embellishments" among titans of industry have led to mixed results. Former RadioShack CEO Dave Edmondson resigned less than nine months after taking his post after the revelation that he did not have degrees in theology and psychology. On the other hand, Bausch & Lomb's Ronald Zarrella offered to resign when it was discovered that he had not earned his MBA from NYU, as he'd claimed. The board did not accept his resignation, but he was forced to give up his bonus that year.

It's not a phenomenon exclusive to Fortune 500 companies. Former Notre Dame football coach George O'Leary resigned after five days on the job when it came to light that he did not have a master's in education from NYU or play football at the University of New Hampshire.

Résumé padding has become a point of increasing concern for companies big and small, prompting them to step up screening methods and background checks for job applicants, according to HireRight's Employment Screening Benchmarking Report.

"Screening continues to be a heavily adopted practice by employers in order to protect their business from unnecessary risks, maintain compliance and avoid poor quality hires," the report said. "Even where lies may not represent a huge loss to the employer, companies report that catching a candidate in an untruth undermines confidence and credibility."

The 2010 survey found that 94% of respondents performed criminal checks, 70% performed identity and previous employment verification, and about half verified education and references.

Isaacs sees résumé padding with growing frequency in her role as a résumé adviser because of the fluctuating job market and high unemployment rates. People often omit months in the start and end dates of their last jobs to exaggerate periods of employment and minimize unemployment. They also exaggerate accomplishments, like raising sales from 15% to 25%, or take individual credit for a project that was accomplished through teamwork, she said. Inflating titles from receptionist to administrative assistant, for example, also occurs frequently, she said.

People see job postings for which they feel they have the right experience but not the requisite degree, prompting them to fabricate an extra line on their résumés, Isaacs said.

"People feel inadequate and that they have to do whatever it takes to get their foot in the door. It's a combination of wanting to get an edge and jobs being limited due to the economy," she said. "People see others getting ahead and think, 'maybe it's my résumé.' The temptation arises from a desire to stay competitive."

It comes at a high price, including eventually being found out or, for those with a guilty conscience, the constant fear of being found out, she said.

It's easy to disparage Thompson, she said, but given the high incidence of résumé padding in general, people should use this opportunity to take a second look at their own résumés.

"He got caught, so he's the obvious target. But it's quite likely that many of the people who will talk about him have a similar lie on their résumés," she said.

"Sell your benefits, the ones that reflect ... why you're perfect even though you don't have the degree," Isaacs suggested. "Armed with an excellent résumé, you'll get your foot in the door, and there'll be something that comes along that's perfect for you, and you can start a job on honest footing, and it's just better for everybody."

Do you think Scott Thompson deserves a pass or should he be reprimanded? Let us know in the comments or tweet your thoughts to @CNNWriters!

@highlight

Yahoo blames "inadvertent error" for claim that CEO had computer science degree

@highlight

Most common résumé error has to do with academic credentials, experts say

@highlight

High unemployment, desire to stay competitive lead to résumé fibs, adviser says

@highlight

Companies respond with more background checks, screening procedures