Washington (CNN) -- A divided federal appeals court has ruled that federal regulators went too far with new rules to control air pollution in parts of the eastern United States.

The decision Tuesday is a blow for several states, the Obama administration and environmental groups, which had sought to prevent "upwind states" from emitting possibly unhealthy levels of contaminants across state borders, a requirement known as the "good neighbor" policy.

But the U.S. Court of Appeals for the District of Columbia concluded that the Environmental Protection Agency exceeded its authority when imposing the restrictions.

"When EPA quantified states' good neighbor obligations, it did not allow the states the initial opportunity to implement the required reductions with respect to sources within their borders," the 2-1 panel said. "By doing so, EPA departed from its consistent prior approach to implementing the good neighbor provision and violated the act."

The issue was tossed back to federal officials to rewrite the regulations.

A number of states and power companies had sued over the July 2011 rule limiting power plant emissions in 28 "upwind" states.

The court opinion written by Judge Brett Kavanaugh said some upwind states were unfairly being required to reduce emissions "by more than their own significant contributions to a downwind state's nonattainment."

Kavanaugh described a "Catch-22" scenario that would make it hard for states to comply with federal rules.

"EPA faults the states for not hitting that impossible-to-know target with their (State Implementation Plans) submissions," Kavanaugh said. "In effect, EPA's view is that the only chance states have to hit the target is before EPA defines the target. By the time EPA makes the target clear, it's already too late for the states to comply."

He was supported by Judge Thomas Griffith. Both were named to the bench by President George W. Bush. Less stringent rules set up by the Bush administration will now go into place until the rules are rewritten.

The requirement is known as the Transport or Cross-State Air Pollution Rule. Under the Clean Air Act, the good neighbor provision requires upwind states to bear responsibility for what the appeals court said was their fair share of "the mess" in downwind states.

In dissent, Judge Judith Rogers said the court majority exceeded its authority, ignoring congressional intent.

"The result is an unsettling of the consistent precedent of this court strictly enforcing jurisdictional limits, a redesign of Congress's vision of cooperative federalism between the states and the federal government in implementing the CAA based on the court's own notions of absurdity and logic that are unsupported by a factual record, and a trampling on this court's precedent on which the (EPA) was entitled to rely in developing the Transport Rule rather than be blindsided by arguments raised for the first time in this court," wrote Rogers, a Clinton appointee to the appeals court.

Environmental groups also criticized the ruling.

"This decision allows harmful power plant air pollution to continue to aggravate major health problems and foul up our air. This is a loss for all of us but especially for those living downwind from major polluters," said John Walke of the Natural Resources Defense Council. "This rule would have prevented thousands of premature deaths and saved tens of billions of dollars a year in health costs, but two judges blocked that from happening and forced EPA to further delay long overdue health safeguards for Americans."

But Texas was among those states critical of the administration's new rules.

"Yet another federal court has reined in an overreaching EPA for violating federal law and intruding on Texas sovereignty," Texas Attorney General Greg Abbott said. "Vindicating the state's objections to EPA's aggressive and lawless approach, today's decision is an important victory for federalism and a rebuke to a federal bureaucracy run amok."

The federal government now has the option now of asking the Supreme Court to accept the case for review.

The agency finalized separate new federal standards on toxic pollutants and mercury emissions from coal power plants last fall. That move was praised by environmentalists but criticized by others, who predict lost jobs and a strain on the nation's power grid. Lawsuits over those new rules have been filed.

The case decided Tuesday is EME Homer City Generation LP v. EPA (11-1302).

@highlight

The regulations sought to limit contaminants released by "upwind states"

@highlight

A U.S. Appeals Court panel said the EPA exceeded its authority

@highlight

Federal officials will rewrite the regulations