London (CNN) -- In an era of porn star politicians, legalized marijuana trade and same-sex marriage, it might seem that our liberalism knows no bounds. But this idea runs aground at the door of the bathroom, a subject still abjured in polite society.

"Nobody knows better than me," laughs Professor Barbara Penner, Senior Lecturer at The Bartlett School of Architecture and a leading toilet specialist. "Everybody asks why I don't talk about Shakespeare or something nice. It's hard to talk about toilets in a serious or critical way."

But the author of Bathroom 2014 wants us to try, because she believes there is something deeply unhealthy about the way we perceive and relate to our most intimate facilities. In a new exhibition Toilets: Evolution or Revolution, hosted by Japanese manufacturer TOTO as part of the London Design Festival, Penner critiques the designs that have dominated the era, as well as exploring the possibilities of more progressive ideas.

"We tend to think of our model as normal and natural," says Penner. "An underlying aim of the exhibition is to make people think why a toilet looks the way it does, and how else it could look."

The collection of classic images shows the dominance of the modernist aesthetic over the 20th Century in the West, which the professor defines as: "white, functional and utilitarian...the toilet was a symbol of modernist values of hygiene and cleanliness, supposed to represent progressive civilization."

Penner contrasts this with ancient civilizations such as Rome, with its culture of communal bathing, and contemporary mores abroad, such as the Indian disregard for privacy. She highlights the futuristic designs of Buckminster Fuller, who envisioned a portable bathroom with inbuilt recycling features in his Dymaxion house.

The exhibition also charts the emergence of alternatives to the "hard, unyielding, standardized space" of modernists, which placed greater emphasis on pleasure and style, placing bathrooms on a par with other rooms of the house. From the soft shapes and warm colors that accompanied the 1960's sexual revolution, to the incorporation of technology in Sanyo's self-cleaning bath of the 1970's - subsequently adapted for nursing homes - innovation thrived in the post-war period.

Today, the modernist style has endured, but is being updated with technology advances that also change and personalize the experience, shown in Toto's display models of self-cleaning, germ-killing, temperature-controlled, resource-efficient "Cadillac" models. But to popularize a new concept requires cultural change that allows openness about the subject.

"It happened with sex and now I believe toilets are the final frontier of taboo", says Penner, who believes we have something approach a psychological disorder. "I would characterize it as schizophrenia. We lavish money on bathrooms, it's common for people to spend $25,000 on them...but in public they are supposed to be invisible."

An imperative to increase our engagement with our bathrooms comes from resource scarcity, which makes the 50 liters of potable water lost with every flush ever less affordable. Penner highlights California's drought, which has driven a movement to recycle toilet water for drinking, as an example of the need to move beyond "flush and forget".

Whether it is through low-tech, off-grid systems, closed-loop recycling, or luxurious experiences for the indulgent, new concepts for bathrooms are finally arriving to meet modern challenges. If only we could face them.

@highlight

Toilets: Evolution or Revolution explores our relationships with these intimate facilities

@highlight

In the exhibit, Barbara Penner, a leading toilet specialist, criticizes the dominant modernist toilet design

@highlight

According to Penner, newer toilet innovations won't catch on until people are more open about discussing them