(CNN) -- Artist Rachel Sussman spent the past decade documenting the world's oldest living things. Working with biologists, she has traveled to deserts and islands, from the Australian Outback to Antarctica, to photograph organisms that are 2,000 years old or older. She has given a TED talk about her project. Her new book of photographs and essays, "The Oldest Living Things in the World," came out on Earth Day, April 22. Follow her on Twitter: @OLTW

CNN asked Sussman about her work in an e-mail interview.

How did you get involved with this project?

Before I got the idea for "The Oldest Living Things," I was searching for something I could really sink my teeth into. That search was both an intellectual one -- pondering ideas about combining art with science and philosophical concepts like deep time -- as well as a literal one. A visit to Japan in 2004 resulted in a surprising and eye-opening adventure to a supposedly 7,000-year-old tree, which ended up being the ultimate catalyst that brought all these different threads together.

Environmentalism also plays a vital role in my work. The ancient survivors I've photographed have weathered thousands of years in some of the harshest environments on Earth, but are now threatened by the climate crisis.

Of all the oldest living things that you came across, what moved you the most?

It's hard for me to choose, but I was particularly moved by some of the most diminutive organisms. We expect to be awed by the grandeur of Giant Sequoias, and they are indeed moving. But it was the little beings -- the ones that you'd have no idea are old at all -- that I found to be the most compelling. Examples of this include the map lichens in Greenland that grow only 1 centimeter every 100 years, and the spruce tree on the cover of the book, which, despite its spindly appearance, has been growing clonally for 9,950 years.

If there's one place in the world that one must see before one dies, where would it be?

This is a tough question, as I think we should weigh the environmental impact of our travels against the potential for cultural and personal enrichment. Developing clean energy sources to get us to places should be a global priority.

What that in mind, some of my travel experiences -- like visiting South Georgia Island in the Antarctic Convergence -- felt more like traveling back in time than visiting a remote location. It is stunning, and I'd love everyone to be able to see through that window back into deep time.

However, some of the last pristine locations on Earth have only remained so because of lack of human contact. I urge everyone to travel responsibly, and remember the Girl Scout motto to always leave a place in better shape than when you found it!

What are a few things that one can start doing today to become more environmentally conscious?

My suggestion is to get involved with Al Gore's fantastic organization, the Climate Reality Project. Whether you spread some truth to the naysayers about climate change, reflect on the things you love that are made possible by a healthy climate, or choose to apply to become a member of the Climate Realty Leadership Corps, Climate Reality is building community and momentum around the global fight against the climate crisis.

Who inspires you?

In no particular order some of my favorite people are: David Foster Wallace, Werner Herzog, David Lynch, Ernest Shackleton, the women of art and science that history overlooked or forgot, risk-takers, climate crusaders, makers of eye-opening art, boundary breakers, fighters of injustices, and anyone forging a connection where one didn't previously exist.

I believe everyone should follow and cultivate their curiosity -- because you never know where it will lead you. There is so much to see, know and do in the world, and I hope that we can all get out there -- in our own ways -- and do some good.

@highlight

Artist Rachel Sussman's book, "The Oldest Living Things," comes out on Earth Day

@highlight

Sussman: When I visited Japan I saw a very old tree that inspired my project

@highlight

She says environment is important, and urges all of us to fight climate change