Seattle, Washington (CNN) -- It only takes the touch of a finger to locate the nearest bank, purchase tickets for a movie or find directions to just about anywhere in the world.

The digital revolution has changed the way the current generation carries out everyday tasks. But some say that convenience has come at the price of your privacy.

Your personal interests and where you shop is valuable data for companies that want to effectively target their direct marketing. And it's not just a matter of companies recording your IP addresses and credit card swipes.

"Almost anything you do in today's society involves leaving a track," said Doug Klunder of the American Civil Liberties Union. He's the director of the ACLU of Washington's Privacy Project.

As you go about your daily routine, you inadvertently share more data than you realize.

"It starts the moment you get up," Klunder said.

"Just moving around is tracked. If it's on a bus, and you are paying with bus cards, that can be tracked. If you are driving your car, there are increasingly video cameras that recognize license plates. Anytime you have a cell phone on, it's talking with cell towers and creating a record of where you are down to 100 feet."

And that can put your personal information at a higher risk. Last year, more than 11 million U.S. consumers were victims of identity theft, according to an annual survey released last month by Javelin Strategy and Research. It found that the No. 1 targets are people 18 to 24.

Their salaries might be lower than the older, less digitally savvy generation, but they are more likely to share their personal information online. And that isn't always a bad thing.

Private investigator Steve Rambam argues people are in a sense compensated for the personal information they divulge.

"The average American finds a very healthy acceptable balance between privacy and convenience, they give up some privacy and get a lot of convenience," said Rambam, who regularly gives a talk at conferences titled, "Privacy is Dead: Get Over It!"

Rambam has become an expert using someone's digital tracks to locate the person, whether they are a fugitive, a missing person or a writer that Rambam challenged to try and hide from him for a year.

Rambam found him nine times just from electronic bread crumbs he left, and the two are working on a book about the experience. It's very hard to function in society and not leave those kinds of clues, Rambam said.

"If you want to have access to the largest, most fantastic marketplace in the world, eBay has to know what you have searched for," Rambam said. "If you want to be able pull a phone out of your pocket and talk on it anytime you want, well, that phone reports where you are 24/7. If it's a smart phone like an iPhone or an Android phone, it tell us where you eat, what books you buy, what restaurants you like."

But is it possible for someone who truly wanted to go off the grid to avoid leaving any tracks? Frank Ahearn helps people who are desperate enough do just that.

"I teach people how to disappear," Ahearn explained. For more than 20 years, Ahearn was a skip tracer; his job was to track down people who had skipped town. Then he realized there was opportunity in aiding people who didn't want to be found.

Ahearn is something like a one-man witness protection program. For a fee, he helps people with personal or financial problems, but who are not wanted by law enforcement, vanish.   He has also written a book, "How to Disappear."

One of the people Ahearn said he helped disappear was a female attorney being threatened by a client who blamed her when he lost his case in court.

"He turned his anger on her, basically started throwing dead animals on her lawn," Ahearn said. "The problem with stalkers is there are no boundaries. You don't know where, how or if it's going to end."

In cases like those, Ahearn says he sets up new identities for people so they can't be tracked down by someone like him.

"If I am looking for you, you have got some problems. But if I am helping you to get out of town, you're going to be OK because I know what they are looking for," he said. "The key is your old life and your new life never connect."

But odds are it won't be an easy life.

Evan Ratliff, a writer and editor for Wired Magazine, decided last year to test out the idea of living without leaving a trace. He dared his readers to find him. Ratliff moved across the country living under false identities, trying not to leave any electronic clues.

"I think in the first few hours of it I thought, 'No one's really paying attention, no one cares about this topic,' " Ratliff said. "Then the flood started."

Dozens of strangers formed social media search parties and traded tips about so-called "Evan sightings."

"One post after another, they had already started digging up information about me," Ratliff said. "After about the first night, I was fully freaked out."

He didn't make it easy, using prepaid cell phones, physical disguises and software that masked his Internet usage.

Eventually he was tracked down in New Orleans, Louisiana, living under an assumed name, 2,000 miles from where he started.

Ratliff said paranoia and suspicion quickly set in when he was on the run. There was little romance to living like a fugitive, he said.

"It's hard to let go of that idea that if you really did it right, you could end up on a beach in South America for the rest of your life drinking margaritas," he said. "That's always still there, but I think the actual process of living on the run in the United States -- in the end, it's almost never going to be worth it."

@highlight

ACLU official: "Almost anything you do in today's society involves leaving a track"

@highlight

Cell phone can leave record of your travels even if you aren't making or taking calls

@highlight

One expert points out reward for less privacy is highly convenient lifestyle

@highlight

Experiment by writer shows disappearing without a trace is difficult to pull off in digital age