Former President George W. Bush is enjoying another bounce in the post-presidential polls. First, the opening of his presidential library produced a spate of positive coverage about his time in office. Now, Gallup has released a survey showing that for the first time since 2005, more people approve than disapprove of Bush.

This kind of shift in public opinion is likely to continue, with more upswings as well as downturns ahead. This is the nature of presidential legacies. They are a bit like what Mark Twain once said about the weather in New England: if you don't like it, just wait a second and it will change.

Presidential reputations are never fixed in stone.

With the exception of a few of our leaders, such as Abraham Lincoln of Franklin Roosevelt, people tend to remember presidents in different ways at different times. Even some of the more unpopular presidents have seen their support rise in the post-presidency period.

Why is it the case?

The most obvious reason is that the passions for presidents -- both good and bad -- tend to go down after they leave office. Americans turn their attention to the new boss and to new issues, and the focus of their sentiment shifts elsewhere. This is particularly true in our heated political times when voters become so polarized on their feelings about a leader -- feelings that can become most intense as we approach the elections.

Another factor has to do with what the successor does in office.

Much of the controversy that surrounded Bush had to do with his national security policies. The war in Iraq caused a huge controversy with many Americans feeling the president had gone into an unnecessary war based on false evidence. By the second term, many Americans were also upset with some of the tactics the administration had used to pursue terrorists, such as interrogation.

But President Barack Obama, who campaigned as a critic of these policies, ended up leaving many of the programs in place and actually becoming more aggressive on certain fronts, such as the use of drone strikes. Obama has given these controversial policies a certain bipartisan imprimatur that has dulled the anger that existed toward Bush.

The ways in which a president's policies unfold over time is also essential. In some ways, Obama did Bush a favor. By bringing Iraq and Afghanistan to an end, he took these issues off the public radar. Without any kind of mass chaos in those countries, as some critics had warned would occur, the issues that caused Bush so much problems faded from the public mind.

The flip side is that some policies look better in perspective. Although the TARP program still has many critics, the fact that it stabilized the financial markets and ended up not costing the federal government any money makes one of Bush's most controversial decisions look better in hindsight.

Presidential reputations also can be shaped, in the relative short term, by what a president does after leaving office.

For example, former President Jimmy Carter has been successful in rehabilitating his image through his extensive post-presidential activities on foreign policy. Former President Bill Clinton has enjoyed strong approval for his work with his international foundation and, among Democrats, through his decision to engage in partisan wars after his time was done.

Bush might have helped himself by staying outside of the media spotlight.

There is a certain amount of good will that emerges as the structural problems with politics become clear. When a president is in office, they tend to receive all the blame, or credit, for what happens in Washington. When there are problems moving forward a policy, such as in reviving the economy, the public tends to blame the president. But when those problems continue long after a president is gone, as has been the case with the economy, the public tends to gain some perspective (even as they attack the existing president) about how the sources of discontent stem from the structural problems with the government and the economy rather than any individual person.

We judge a president based on the political times we are living in -- not simply in the times that they governed. Presidential reputations could improve if the polls are tallied at a moment when a president resonates with the politics of the moment.

Finally, and this is not relevant to Bush yet, the opening of archival records from the period a president is in office can dramatically change how we see him.

President Dwight Eisenhower, who was once treated as a popular yet bumbling president, was found to have had a firm grip on decision-making in the White House. Discoveries from the Ronald Reagan archives in Simi Valley, California, revealed that he was much more than a former Hollywood actor who moved to the top through charisma and luck.

Obama might want to take a close look at these kinds of swings.

On the one hand, it might give him some solace that even with all the grief he has faced over issues such as health care and sluggish economic growth, it is easy to see how his record could look much stronger to Americans over time.

On the other hand, he might want to be a bit cautious about taking too much comfort from positive approval ratings. After all, it's all relative with respect to time.

@highlight

Julian Zelizer: President George W. Bush is enjoying another bounce in the polls

@highlight

Zelizer: With a few exceptions, presidential reputations are never fixed in stone

@highlight

He says one reason is that passions for presidents tend to lessen after they leave office

@highlight

Zelizer: President Obama has done Bush a favor by continuing some of his policies