(CNN) -- When one of Brazil's newly-elected congressmen rose to give their victory address, his speech was delivered with all the confidence of a political pro.

"The 150,000 people who believed in me can rest assured that I will become a great politician," he told Brazil's Globo TV network.

But the man elected as a federal deputy in Rio de Janeiro was anything but the stereotypical statesman. It was, in fact, Romario, one of Brazil's most feted and controversial footballing legends who helped his nation win the 1994 World Cup.

The former Barcelona striker is now a member of the Brazilian Socialist Party (PSB) and, despite having relatively little political experience, won a seat in the country's lower congress with the sixth-highest number of votes in the city.

If that was not unusual enough, Romario's former international teammate Bebeto has also completed the move from pitch to politics in the South American nation's most recent elections, securing 30,000 votes for the governing Democratic Workers' Party (PDT) and a place in Rio's state legislature.

The pair are heroes for many Brazilians, with the so-called "Diabolical Duo" having helped to secure the country's fourth world title at the 1994 finals in the U.S.

And they are just two of the new wave of politicians who have been elected in Brazil, including the country's newly-appointed President Dilma Rousseff.

Both have said they want to improve participation in sport as well as the lot of the poor in their country, and voters seem willing to back the unconventional politicians despite their lack of experience.

"Romario and Bebeto made a big number of fans during their career, and for many they are idols. They did well in the soccer fields and won many championships -- so why not give them a chance to become politicians?" said Julio Sobral, a voter from Sao Paulo.

"The population are tired of the same old story: professional politicians promise lots during the campaign, then never deliver."

But Mariana Menezez, another voter from Sao Paulo, disagrees and describes the situation in Brazil, where voting is compulsory and many unusual candidates are often elected, as "embarrassing for Brazilians that take the elections seriously."

"Romario and Bebeto are very popular footballers, so most people don't even care about their proposals -- their popularity is enough," she said.

Simon Kuper, football author and sports columnist for British newspaper The Financial Times, believes that the reason such former players are elected without any experience is because voters can relate to them in a way they cannot with career politicians.

"Footballers have not historically got into politics because they are not often educated -- Romario is not educated but he is associated with the poor as he came from a poor background himself," Kuper told CNN.

"Even before he decided to become a politician he had said he wanted to help the poor and many people identify with that."

It is this perceived connection with the poor that perhaps explains the allure of footballers who turn to politics. Many have tried with varying degrees of success.

Despite being raised in the slums of Liberia's capital Monrovia, George Weah -- a national hero following a career that saw him play for AC Milan and Chelsea, as well as becoming the first and only African winner of FIFA's World Player of the Year award -- was very nearly elected president of the African nation in 2005.

George Brock, a former International editor of British newspaper The Times, thinks the political climate in developing countries like Brazil also contributes to footballers and other candidates from the world of sport being voted into office.

"Some political systems have existed unchanged for decades and insist that candidates have years of experience, so it wouldn't happen as easily there," Brock told CNN.

"In Brazil the political parties have been shaken up over the last few years by the victories of former president [Luiz Inacio] Lula [da Silva]. They are not as well entrenched so it allows different candidates to get in."

But Brock also believes that those sports personalities can compete against more sophisticated and experienced rivals because they gained their popularity outside the political sphere.

"Coming from outside the political class works as an advantage. Those that are extremely well-known have an enormous advantage as they don't have to establish themselves.

"You have to show some aptitude to get there though -- lots of famous people decide they want to be involved in politics but then they realize that they aren't suited to it."

Yet the career move is common among footballers. Romario and Bebeto are following in the footsteps of Pele, arguably football's greatest star, who was Brazil's Minister of Sport.

Other footballers who have enjoyed notable political careers include Albert Gudmundsson, the first professional footballer from Iceland, who in the 1980s served as his country's minister of finance and minister of industry.

Kaj Leo Johannesen of the Faroe Island's also succeeded in swapping football for political office. The current prime minister of the Danish autonomous region enjoyed a 15-year career as a goalkeeper from 1986 until 2001, representing his country four times.

Elsewhere, Gianni Rivera, the former AC Milan and Italy player, is currently a member of the European Parliament while Tottenham Hotspur's Russian forward Roman Pavlyuchenko won a seat in regional council elections representing Vladimir Putin's United Russia party in 2008.  Back in Brazil, only time will tell whether the duo of Romario and Bebeto can enjoy the same success in politics as they did on the football pitch. The ever-confident Romario certainly has every belief he will score as many goals in politics as he did for his former football teams.

"I'm still learning the trade. I'm not a full politician but I was the best in my profession and was always under pressure. Now it's the same thing, but in a different area. The people can rest assured I will score a lot of goals in Brazil."

@highlight

Two members of Brazil squad who won the World Cup in 1994 have moved into politics

@highlight

Ex-Barcelona striker Romario was voted into the country's congress in October elections

@highlight

Former teammate Bebeto was also elected, as a state representative for Rio de Janeiro

@highlight

Other footballers have run for office in Liberia, Iceland and France, among others