Editor's note: Timothy P. O'Neill, a professor at The John Marshall Law School in Chicago, Illinois, has written and lectured widely on criminal law and criminal procedure. Among his articles was a 2007 piece for the Oklahoma Law Review: "The Stepford Justices: The Need for Experiential Diversity on the Roberts Court." He is a graduate of Harvard University and the University of Michigan Law School.

Timothy P. O'Neill says there are striking similarities in the backgrounds of the Supreme Court justices.

CHICAGO, Illinois (CNN) -- With the retirement of Justice David Souter, President Obama has the opportunity to bring a special kind of diversity to the Supreme Court: the diversity of broad and varied governmental experience.

It is certainly true that the court needs more racial and gender diversity. Yet the homogeneity of the work résumés of the current justices is unprecedented. The right nominee would help to correct this.

Many commentators have noted that this is the first Supreme Court in American history in which every justice has come from exactly the same job: judge on the U.S. Circuit Court of Appeals. But there are other "firsts" that are equally disturbing.

For the first time in American history, not a single justice has had any legislative experience. Not one has ever been elected to Congress, a state legislature or a city council.

For the first time in American history, not a single justice has ever held -- or even run for -- any elective office at any level of government. (Although Souter once served as a state attorney general, that is an appointed office in New Hampshire.)

For the first time in American history, eight of the nine justices attended one of only two law schools: Harvard or Yale. (Although Justice Ruth Bader Ginsburg graduated from Columbia, she transferred from Harvard Law School.)

Traditionally, the Supreme Court has been composed not only of former judges, but also lawyers who have come directly from serving as senators, governors, Cabinet members, heads of administrative agencies, and even from private practice. Yet it has been almost 30 years since a justice has been confirmed who was not then a federal appellate judge.

What caused this change? Some point to the acrimony that surrounded the failed appointment of Robert Bork in 1987. Since that time, presidents of both parties have stressed the judicial competence -- not the ideology -- of their appointees. The implied promise is that the technical proficiency of an Ivy League-trained federal appellate judge somehow trumps issues of ideology.

This, of course, is an illusion. The cases that come to the Supreme Court are there precisely because they fall between the cracks of established legal doctrine. There is no single "Ivy League judge's answer" to any issue pending before the Supreme Court.

For example, take a look at the Supreme Court's 2006 term. The Court decided 72 cases. With all the justices coming from the federal appellate bench and eight of them having attended Harvard or Yale, did this help achieve consensus? On the contrary, the percentage of cases in which there was a unanimous decision was the second lowest in a decade. And 24 decisions -- fully one-third of the docket -- were decided by a 5-4 vote, the highest percentage of 5-4 decisions in over a decade.

The best example of how there is no single "judge's answer" to Supreme Court issues can be found in the eight death penalty cases decided during the 2006 term. The cases had a variety of issues, including questions concerning the selection of jurors, the giving of jury instructions and competence of defense counsel. Yet every single case was decided 5-4.

In every single case, Justices Antonin Scalia, Clarence Thomas, Samuel Alito and Chief Justice John Roberts held for the prosecution. In every single case, Justices John Paul Stevens, Souter, Ginsburg and Stephen Breyer held for the defense. Every case was decided by Justice Anthony Kennedy's vote: four times for the prosecution and four times for the defense.

Looking for a single "judge's answer" to an issue before the Supreme Court is usually futile. In order to decide the great legal issues before the court, a justice needs to bring more than mere legal competence; a justice also needs to bring real-world experience, values and intuition.

That is why it is self-defeating to restrict the range of possible Supreme Court nominees to the small group of sitting federal appellate judges. Supreme Court decision-making would be richer if it included people who had actually written legislation or had run federal agencies or had governed states.

As Vermont Sen. Patrick Leahy recently said, there is a need to select Supreme Court nominees "from outside the judicial monastery." We should welcome, and not irrationally restrict, the variety of experience that can be brought to Supreme Court decision-making.

Professor Lee Epstein of Northwestern has observed that "Diversity of inputs makes for stronger outputs." Obama should cast the widest possible net to find a person who can bring a fresh set of experiences and perspectives to the work of the Supreme Court.

The opinions expressed in this commentary are solely those of Timothy P. O'Neill.

@highlight

Timothy P. O'Neill: No judge on Supreme Court now has legislative background

@highlight

He says none of the nine have held, or even run for, elective office

@highlight

O'Neill: All but one attended Harvard or Yale Law School

@highlight

He says court would perform better if its membership had broader backgrounds