Washington (CNN) -- They are the nation's first African-American President and attorney general, so Barack Obama and Eric Holder always were going to face extra scrutiny over their approach to racially charged issues.

Conservative critics howled when Obama said in 2009 that police acted "stupidly" in arresting black Harvard Professor Henry Louis Gates outside his home.

Holder prompted a similar outcry earlier that year when he called America a "nation of cowards" about racial issues.

Now past the two-thirds mark of the Obama presidency, the pair have avoided such loaded language in response to the August 9 shooting death of unarmed 18-year-old Michael Brown by a white police officer in suburban St. Louis.

Root causes

While Holder recently reiterated his "nation of cowards" statement, he and Obama have tried to focus attention on root causes of racial division in the aftermath of Brown's killing, which has sparked more than a week of unrest on the streets of Ferguson, Missouri, chronicled by widespread media coverage.

"The eyes of the nation and the world are watching Ferguson right now," Holder said Wednesday during a visit to the community. "The world is watching because the issues raised by the shooting of Michael Brown predate this incident. This is something that has a history to it, and the history simmers beneath the surface in more communities than just Ferguson."

On Thursday, he said "few things have affected me as greatly" as his trip to Ferguson, and he cited a "sense of mistrust and mutual suspicion" between law enforcement and residents as something that needs to change.

"I wanted the people of Ferguson to know that I personally understood that mistrust," Holder said.

In commenting on the matter earlier this week, Obama also spoke of troubled minority communities that "as a consequence of tragic histories, often find themselves isolated, often find themselves without hope, without economic prospects."

"You have young men of color in many communities who are more likely to end up in jail or in the criminal justice system than they are in a good job or in college," he said. "And, you know, part of my job -- that I can do, I think, without any potential conflicts -- is to get at those root causes."

Racial issues

To CNN political commentator LZ Granderson, a series of divisive racial issues since Obama took office have shaped the President's approach.

First came a white police officer's arrest of Gates, a prominent African-American scholar, as he tried to get into this own locked home. In 2012, the shooting of unarmed Florida teenager Trayvon Martin by neighborhood watch captain George Zimmerman roiled the nation, and now there's the Brown killing.

"Any time a situation like this occurs, he becomes more of a more centrist, emotionally," Granderson said Wednesday. "But in terms of what he is actually saying to the American people, he's becoming much more thoughtful."

In the aftermath of the Martin killing and soaring gun violence in Chicago and elsewhere, Obama this year launched the My Brother's Keeper program to provide mentoring and other support for African-American and Hispanic boys in rough neighborhoods.

Holder, meanwhile, has launched 20 investigations of police practices and alleged discriminatory enforcement patterns in the past five years, more than twice the number of such inquiries in the previous five years.

Calming affect?

He said Wednesday that he hoped his visit to Ferguson would have a calming affect by showing the federal government was investigating.

At the same time, Holder made clear that federal authorities were examining possible civil rights violations under their jurisdiction, while state and local authorities would continue their criminal investigation of Brown's killing.

A child of the civil rights era, Holder told his own stories of racial profiling -- his car being searched during a traffic stop on the New Jersey Turnpike; police officers stopping him as he ran to a movie theater in Washington's tony Georgetown neighborhood.

"At the time that he stopped me, I was a federal prosecutor," Holder said. "I wasn't a kid. ... I worked at the United States Department of Justice. So I've confronted this myself."

"A good step"

Antonio French, a St. Louis city alderman, called Holder's visit "a good step" because it showed that the community's plight was "at the top of his priority list."

A decade younger than Holder, Obama has taken a present-day approach to personalizing his experience as black in America.

After Martin was killed by Zimmerman two years ago, the President called for a full investigation, noting that "if I had a son, he would look like Trayvon."

In his remarks Monday, Obama avoided any assessment of blame in the Brown killing, saying "I have to be very careful about not prejudging these events before investigations are completed."

He admonished an overzealous police response that has dispersed peaceful demonstrators, as well as looting and other protest violence that he said undermined the goal of seeking justice.

Magazine: The Aftermath in Ferguson

Read more about the flash point in the Heartland at CNN.com/US

CNN's Evan Perez contributed to this report.

@highlight

NEW: Holder cites mistrust between police and residents of Ferguson

@highlight

No loaded language this time from President Obama, Attorney General Holder

@highlight

In the past, both made controversial statements in response to racial issues

@highlight

Granderson: Obama has become more centrist in response to racial issues