Johannesburg, South Africa (CNN) -- After 10 days of mourning and thousands of emotional eulogies and speeches, South Africa finally buried its most famous son, Nelson Mandela, on Sunday at his rural village of Qunu in the Eastern Cape.

Speaking at the funeral, Ahmed Kathrada, Mandela's close comrade and a man he spent 26 of his 27 years in prison with, brought tears to the 4,500 assembled dignitaries and the nation when he concluded his eulogy:

"When Walter [Sisulu, another Rivonia trialist with whom the two were imprisoned] died I lost a father. Now I have lost a brother. My life is in a void and I don't know who to turn to."

Today the country blinks the tears away from its eyes and confronts its own void: Mandela is gone, and what now?

South Africa is a country adrift. Despite the admirable peace and stability of the past 20 years, storm clouds are looming for the nation today led by President Jacob Zuma, Mandela's third successor.

Mandela's passing will not herald any shock new direction, but his funeral took place against the backdrop of massive political and economic disappointment, most powerfully demonstrated by the booing of Zuma -- for traditional Africans an unprecedented break with culture -- at Mandela's memorial service at the FNB stadium on December 10.

The spat over the apparent failure by government to make proper arrangements for Nobel laureate Archbishop Desmond Tutu -- a fierce Zuma critic -- to attend Mandela's funeral added to perceptions that a small coterie of arrogant, out-of-touch leaders around Zuma were at the helm of the country.

In the same week, Parliament published a notorious new secrecy law (the Protection of State Information Act) which will criminalize whistleblowers and journalists for exposing stories such as the spending of ZAR208-million ($20M) of taxpayer funds on Zuma's rural palace in his home village, Nkandla.

Zuma ascended to power in 2009 with promises of jobs for the poor, but unemployment has stubbornly hovered at 25%. About 52.8% of young people under 34 are on the streets.

The economy is in trouble, with growth forecasts cut again and again over the past four years. Third quarter growth was an anaemic 0.7%, and full-year GDP growth is forecast at 1.9% by most economists, while the rest of South Africa's peers such as Nigeria forge ahead at growth rates of about 5.6%.

Perceptions of corruption are on the rise, says the non-governmental organization Corruption Watch. The country slipped three places in Transparency International's corruption index this year to 72nd out of 177 countries.

Thabo Mbeki, Mandela's successor who was removed from the presidency by Zuma in 2008, said last week that there was increasing frustration among ordinary people about the direction the country was taking.

"So when they look at some of the things that are happening....when they see this corruption in the country, which seems to be increasing at all levels of government, the people are aggrieved. They are saying but this is not what freedom was for," he said.

The 10-day period of Mandela's mourning amplified Mbeki's words.

'Fake interpreter' scandal

The now internationally notorious "fake interpreter" at Mandela's memorial, for example, has extensive links with the ruling ANC: he is employed at a company owned by the party's religious desk chief.

The man is not proficient in sign language. He is also schizophrenic -- and he stood a meter from some of the world's most powerful leaders, including U.S. President Barack Obama.

Not a single person has been sanctioned for hiring him, seven days after the scandal broke. Ordinary South Africans inured to corruption told me last week that they have no doubt that his hiring was corruptly influenced.

Apart from shining a harsh new light on our current leaders' failings, though, there is an added silver lining to Mandela's death. Members of the ruling ANC and society are now asking questions about the current crop of leaders' ability to get South Africa out of its current slump.

As Mandela was buried, the big political question is whether Zuma's presidency -- wracked by scandal and presiding over a protest for services such as water and electricity every second day -- would survive after he was booed in front of the international media and more than 91 heads of states and dignitaries.

Zuma has a firm grip on his party's machinery (he was re-elected with 74% of the votes at the party conference in December 2012), but he is increasingly seen as a liability by party insiders.

A snap poll by South Africa's largest weekend newspaper, the Sunday Times, published on the day of Mandela's funeral, shows that 51% of registered ANC voters believe Zuma should resign following widespread coverage of the use of taxpayers money to build his rural palace.

South Africa's fifth democratic elections will be held in the next six months, and although analysts expect the ANC to win without much trouble, few expect the party to hold on to its huge majority. From its current 65.9% the ANC's support could fall to less than 60% according to one group.

Is South Africa about to descend into racial conflagration because Mandela is gone, though? Doomsayers have beaten this drum many times before in the past 19 years, even when Mandela left government in 1999. It has not come to pass, and is a scenario that is unlikely.

The real challenges for South Africa today are poverty, inequality and unemployment. Zuma's presidency has failed to implement necessary structural changes -- the ANC is in alliance with the powerful trade union federation Cosatu and kowtows to it on labour policy, leading to government paralysis -- to create jobs and economic growth. Education is poor -- last year the government failed to deliver textbooks to some pupils for up to nine months.

The young are ubiquitous on the streets and they are now being attracted in significant numbers by the young, former ANC radical Julius Malema's breakaway party Economic Freedom Fighters. It advocates Zimbabwe-style nationalization and land grabs.

It is highly unlikely that these challenges will unseat Mandela's ANC from power - yet. However, with Mandela gone and the halo of the liberation era slowly slipping away, coupled with revulsion in many quarters of the rampant corruption and stasis of the current regime, a change is coming.

For many here, that change will come with the 2019 national elections. In the meantime, South Africa will have a noisy election in 2014, remain on an unremarkable growth path and fail to live up to the promise it showed when Mandela became president in 1994.

It is a path that the unemployed young, standing at the fence outside the largesse enjoyed by their leaders, may one day want to tilt at unless something is done, urgently, to improve their lives.

@highlight

After Nelson Mandela's death, South Africa is a country adrift, says Justice Malala

@highlight

Despite the peace and stability of the past 20 years, storm clouds are looming

@highlight

Spats over memorial, funeral led to accusations country's leaders are out-of-touch

@highlight

Next election planned for 2014; ANC likely to retain power but may lose massive majority