Washington (CNN) -- Speaker John Boehner, R-Ohio, indicated Wednesday that the GOP-controlled House of Representatives will not back a resolution sponsored by Sen. John McCain, R-Arizona, expressing congressional support for limited American involvement in the NATO-led military campaign in Libya.

"I don't think that's where the House is," Boehner told reporters on Capitol Hill.  "The fact is the president has not made his case to the members of Congress.  He has not made his case to the American people."

McCain's resolution, introduced Tuesday along with Massachusetts Democrat John Kerry, authorizes the commitment of U.S. forces for one year while stressing the lack of support for any use of American ground troops.

McCain, the GOP's 2008 presidential nominee, said Tuesday he believes President Obama "did the right thing by intervening (in Libya) to stop a looming humanitarian disaster."

House leaders are preparing to hold a vote on the McCain-Kerry measure, but are also considering another resolution that would strictly limit U.S. involvement in Libya to a noncombat role.

House Republicans will meet behind closed doors Wednesday afternoon to discuss the issue.

The allied military effort, which already has formal United Nations support, was launched to protect Libyan civilians from violence stemming from a crackdown launched by the North African country's longtime ruler, Moammar Gadhafi.  Western leaders have made clear, however, that they believe the mission cannot be successfully completed without Gadhafi's ouster.

The Obama administration has already promised not to use U.S. ground troops, but bipartisan congressional opposition to the military campaign has been mounting. An unusual coalition has formed between traditionally anti-war Democrats and conservative Republicans worried about the cost of the conflict and skeptical of its national security importance.

Support for the war has also been shaken by evidence presented by Gadhafi's government of several noncombatant deaths caused by recent NATO airstrikes.  NATO officials admitted over the weekend that aircraft from countries in the alliance had mistakenly struck vehicles aligned with the Libyan opposition.

In addition, critics contend the administration has violated the 1973 War Powers Resolution, which gives the president 60 days to get congressional approval for sending U.S. forces to war, followed by a 30-day extension to end hostilities.  The combined 90-day period ended Sunday.

The White House argues the president didn't need congressional authorization because U.S. forces are playing only a supporting role in Libya and haven't engaged in what the law defines as hostilities. Obama, however, personally overruled contrary legal opinions put forward by both the Pentagon and the Justice Department's Office of Legal Counsel, according to a Saturday report in The New York Times.

Boehner indicated Tuesday the House proposal seeking to limit U.S. forces to a noncombat role reflects growing frustration over Obama's alleged failure to inadequately consult Congress.

"If the commander-in-chief believes that intervention in Libya is important for our national security, he has a responsibility to make a case for it -- clearly and publicly -- and seek authorization," the speaker said in a written statement.

"In the three months since military action in Libya began, none of this has occurred. ... Congress has a responsibility to hold the White House accountable."

In the Senate, however, Majority Leader Harry Reid, D-Nevada, and Minority Leader Mitch McConnell, R-Kentucky, have resisted holding a vote on the war because of divisions within their respective caucuses.

Reid said Tuesday that there is bipartisan support for the McCain-Kerry resolution in the Senate Foreign Relations Committee, but that he was still in discussion with the two sponsors on when to bring the measure from the panel to the Senate floor.

He indicated it could be brought to the floor as early as this week.

McConnell, meanwhile, told reporters that "we all anticipate that there will be some kind of Libya debate in the Senate in the near future."

McCain has expressed anger that the White House didn't push for an earlier congressional vote on the war. The veteran senator, considered a leading voice on military matters, contends that a resolution of support would have passed easily when NATO first intervened.

"The administration's disregard for the elected representatives of the American people on this matter has been troubling and counterproductive," McCain said Tuesday. "The unfortunate result of this failure of leadership is plain to see in the full-scale revolt ... that is occurring in the House of Representatives."

The House is also planning to take up the 2012 defense spending bill later this week, and liberal Rep. Dennis Kucinich, D-Ohio, intends to propose an amendment cutting off funding for the mission. However, that amendment is likely to only come up next month after the House returns from its Fourth of July recess.

To prevent a similar resolution from Kucinich from passing earlier, Boehner pushed through a resolution giving the president two weeks to send Congress information justifying the U.S. strategy in Libya.

Obama responded with a 32-page report arguing in part that he has not violated the War Powers Resolution.

Even if the Republican-controlled House passes measures intended to limit funding for the Libya mission, it is unlikely the Senate would do the same.

"The president's done a lousy job of communicating and managing our involvement in Libya, but I will be no part of an effort to defund Libya or to try to cut off our efforts to bring Gadhafi down," conservative Sen. Lindsey Graham, R-South Carolina, told NBC's "Meet the Press" on Sunday.

Obama "needs to step up his game with Libya, but Congress should sort of shut up and not empower Gadhafi," Graham argued.

In March, the Senate unanimously passed a nonbinding resolution supporting the no-fly zone over Libya. Some Republicans, however, have now expressed opposition to that effort, citing growing concerns about its cost.

In its report on the mission, the administration said the cost of military and humanitarian operations through June 3 was about $800 million. It estimated the total cost through September 30 would be $1.1 billion.

Questions about the war's financial and other costs have also been raised in the United Kingdom, which has played a leading role in the NATO effort.

British Prime Minister David Cameron insists that Britain's military involvement in the North African country can continue "as long as we need."

CNN's Dana Bash, Deirdre Walsh, Dan Lothian, Alan Silverleib and Tom Cohen contributed to this report.

@highlight

NEW: Speaker Boehner says the House won't back the McCain/Kerry resolution

@highlight

The House may consider a resolution limiting U.S. role to noncombat activities

@highlight

Senators Kerry and McCain introduce a resolution offering support for the Libya mission

@highlight

Pressure is mounting in the House to cut U.S. support for the NATO-led mission