(CNN) -- We've been at the same point many times before. The industry has repeatedly promised a "mobile advertising tipping point," yet despite the proliferation in smartphones, new advertising formats and new promises, mobile advertising is yet to come of age.

But as the mobile industry meets in Barcelona this week, there are many reasons to feel optimistic about mobile's benefit to advertisers. There are still some hurdles to overcome and lessons to learn, but it is our belief that mobile advertising will have a long and healthy life in the future.

Read more: Future of mobile is virtual reality, according to Android

Whether mobile will kill digital advertising is not the most pressing question the industry faces. True, we live in an era where disruption is the norm. We expect new businesses to emerge - often seemingly overnight - to usurp standard practice. But should we fear it? I think not.

If we focus on mobile phones - then it is our expectation that mobile media will take no more than 20% of digital revenues by 2016. Yet if we include tablets within mobile media, we can predict that mobile advertising will surpass traditional digital spending by 2016.

Read more: Mozilla to launch mobile phones with Firefox

In many ways digital advertisers have it easy. Seen through an advertisers' eyes, mobile is so much more complex than other media formats. Mobile screen sizes are, on average, 10 times smaller than PC screens. Mobile advertisers are working with real estate that the advertiser has to carefully plan.

Additionally, the personal nature of the device means consumers do not like to be interrupted unnecessarily by untimely messages.

Finally, the plethora of device and operating system choices, make it supremely challenging for brands and advertisers to understand how, when and with what to target their audiences.

Read more: What smartphone feature would you like to see in the future?

The mobile landscape is fast-paced and will continue to evolve, meaning existing and new challenges will continue to provoke the industry. Orange's annual independent study into mobile media habits for advertisers, showed that in the UK 82% of mobile media users access the internet primarily via the browser, compared to 61% who accessed internet information from an app.

With growing HTML5 penetration, we expect web apps usage to continue to grow beyond where we are today. This will allow a much more consistent and richer offering around advertising on mobile.

So mobile will certainly challenge digital. It may erode digital budgets. But it should not kill it. To think that mobile could kill off another media format would completely miss the benefit of mobile devices.

Read more: 5 things to watch for at 2013's biggest mobile-tech show

Our research also revealed that one in two mobile media users is happy to receive advertising messages on their mobile phone, as long as those adverts are relevant and bring benefits to the end user, for example in the form of coupons, useful alerts, or location challenges.

We see three principle reasons as to why mobile has tremendous potential: It is often the last touch-point before a purchase. Secondly it is the "connective tissue" linking and integrating other media formats. Finally, mobile is more personal, more social and more local than any other media.

And in real terms we believe we're still two or three years away from mobile truly coming of age. But it is a tremendously exciting time, where we will see experimentation and new forms of engagement emerge, based on mobile habits.

So back to the question, will mobile kill digital advertising? I don't think so.

But perhaps mobile advertising's biggest threat at the moment is itself. Unless the industry works together, addresses complexity and properly understands mobile behaviours, we risk being held at a standstill and never reaching the promised tipping point.

@highlight

"Many reasons to feel optimistic about mobile's benefit to advertisers," writes Hospital

@highlight

Hospital: We expect web apps usage to continue to grow with HTML5 penetration

@highlight

Mobile will challenge digital and erode budgets. But it should not kill it, says Hospital