(CNN) -- Brazil might be the biggest country most of the world doesn't know a whole heckuva a lot about.

This is beginning to change as financial fortunes for some have soared in recent years, helping lift some 50% of the country into the middle class. Of this figure, 40 million were added to the middle class between 2004 and 2010, under the government of President Luiz Inacio Lula da Silva.

But success hasn't come without problems.

The mass June demonstrations over chronic economic disparity and dissatisfaction with the federal government united poor and middle classes alike, exposing a troubling social reality.

Still, if there's one thing Brazil is known for worldwide it's a gregarious and energetic population.

World's coolest nationalities: Where do Brazilians rank?

Now that Brazil will be hosting the World Cup next year and the Olympics in 2016 (massive public expenditures that many here deeply oppose), it's time for a crash course in all things Brazilian.

There are no introverts in Brazil

Or at least none you can find without a private detective.

It's a vivacious culture that can bring you out of your shell, help you unwind and have the best time of your life.

It can also jack up the decibel count. Brazilians like to express themselves and don't have many restraints on the volume with which they do it.

That goes not just for conversation, but car horns, TV pitchmen and sound trucks blasting advertisements through the neighborhood from 16 speakers.

English isn't spoken widely

As Portuguese speakers on a Spanish continent far from the English-speaking world, Brazilians have been a linguistic universe unto themselves.

Not many Brazilians speak English, particularly outside Rio de Janeiro or Sao Paulo.

They've seen all the American movies and know all the Adele songs, but the premium has traditionally been on getting a good education in Portuguese, still difficult in a land where education is far down the list of priorities.

Brazilians are hospitable, though, and most will figure out a way to communicate.

It's helpful to come prepared with a good phrasebook. Key phrases to master: Todo bom? (How are you? All good?), Eu nao entendo (I don't understand) and futebol (you'd better know this by now).

If all else fails, go with the all-purpose Brazilian sign that everything is cool: stick both thumbs in the air and pump them up and down.

Ahead of the Brazil World Cup, free English classes planned for prostitutes

The juice bars are amazing

Maybe because they're surrounded by so many varieties of exotic fruits the rest of us have never heard of -- caju, camu-camu, pitanga -- Brazilians are experts in the creation of especially tasty fruit drinks, or sucos.

Just about every other street in Rio has a juice bar.

Even delicatessens whip up outstanding juices and smoothies, such as graviola, which comes from the spiky, green graviola fruit. It's a great thirst quencher on a hot day, subtle, not overly sweet, a kind of natural Squirt -- it's also a good digestive aid.

The Brazilian banana is the tastiest in the world, far superior to the bland Central American version (say Brazilians), and it makes for super savory drinks.

Brazil is an outdoor world

From the sidewalk cafes of Rio, to backyard barbecues, to beaches up and down the long coast, to the wild interior, Brazil is a place to be outside.

Brazilians revel in an outdoor culture, as befits a tropical land, and they have world-class natural environments to play in.

Beaches, jungles, waterfalls -- it's here, often on an epic scale.

One of the largest wetlands in the world, the Pantanal, spans 70,000 square miles in southwestern Brazil. It's home to a thousand species of birds and 300 different mammals, from the South American tapir to jaguar.

For scale, it's hard to match the immensity of the Amazon rainforest, the largest in the world, or the power of Iguazu Falls, which is the second widest and in volume in the world.

Brazil's Northeast Coast: The next tropical paradise

There's an enormous gap between rich and poor

In world rankings for the gap between rich and poor, Brazil has the 11th biggest gulf, coming in after a group of impoverished African countries.

Even though living standards have risen over the last decade and a number of Brazilians have entered the middle class, there's still a huge chunk of the population living day to day.

Some 6% of Brazilians live in the favelas (slums), according to the 2010 census. These mountains of bricks, rising in intricate forms, border the country's largest cities like Sao Paulo and Rio de Janeiro. Hospitals, schools, security and an end to police abuse have been the principle demands of recent protestors from this social sector.

Combine this with drug problems and crime syndicates infamous in the favelas, and you have a massive crime problem.

Tourists aren't usually the targets, but it's smart to do what you would in any place where safety is a concern. Stay in a safe area, don't carry more money on you than you can afford to lose, keep your valuables in the hotel safe, use taxis vetted by your hotel, don't take van taxis and make sure you know what part of town you're in at night.

One of its biggest cities is in the middle of the Amazon

The seventh largest city in Brazil sits halfway up the Amazon River, where the Rio Negro intersects the great river.

An obscure outpost home to rubber barons in the 19th century, today it's an industrial titan of 2 million residents that produces goods from mobile phones to motorcycles to CDs.

Why make products as far away from the point of sale as you can get in Brazil? Tax incentives.

The Free Economic Zone of Manaus was created to spur economic growth in the isolated Amazon region.

It's cheaper to make some products in the Amazon than other parts of the country, where taxes are legendary.

Today, the city of Manaus has gleaming office buildings and modern factories and is growing faster than many other parts of the country. The docks of the Rio Negro still show vestiges of an older way of life -- double-decker ferryboats that carry people and products up and down the two behemoth rivers.

Parties are important

Brazilians produce two of the biggest bashes the world has known in Carnival and the New Year's Reveillon celebration.

But the festivities continue throughout the year, thanks to an abundance of regional celebrations, cities that promote the arts and a stockpile of religious holidays.

In Rio de Janeiro, the city puts on free music fests, with top bands performing on stages across the city, while in Recife, at the city's outdoor concert stage across the street from the beach, free concerts range from rock to forro to an event featuring every drummer with a drum kit in the city, more than 100 of them playing in unison.

The Northeast of Brazil has a lot of festivals. The Bumba Meu Boi festivals in Sao Luis, in the northeast state of Maranhao in July mix the folkloric traditions of Africa, indigenous Indian and Europe together into a party unlike any other in Brazil.

It's Carnival time in Rio

Rhythm is king

The Brazilian knack for improvising on any musical theme makes this country unrivaled in the quantity and quality of different musical rhythms and styles.

The outside world knows bossa nova, a slowed-down samba mixed with American jazz and French impressionism; and samba, a blend of African drum circles and European marches.

But Brazil dances to the beat of many different drummers, reflecting its diverse population.

The top Afro-Brazilian styles range from afoxe, ceremonial soundtrack for the religious processions of candomble, to lundu, maracatu, axe, ijexa, and frevo, the latter of which comes with a feverishly playful dance.

Keeping track of all the different beats has made Brazilian percussion the most sophisticated in the world, with a slew of drum instruments found nowhere else, such as the comical cuica, which sounds like a dog in heat.

The Northeast of Brazil has its own country-style beats -- embolada, baio, xote and forro, which is also a hugely popular dance in Brazil.

The rural folk music of the south gave rise to musica sertaneja, a romantic ballad style that is the most popular music in the country today.

Kissing strangers is customary

Getting to know people in Brazil is a fast-track process.

Since they don't place much stock in personal space, Brazilians have an easier time of breaking through the emotional space, too.

It's customary for a male introduced to an adult female to provide a kiss on both cheeks -- and on leaving, too.

A day heavy in meet-and-greets can lead to a lot of cheek nuzzling, which for some makes Brazil a wonderful thing and for others a place of more colds and flus.

Body language is as important as Portuguese here.

Guys aren't afraid to put an arm around another male to emphasize a point.

Placing a hand on a shoulder or providing a robust bear hug and a salvo of air kisses is part of an intricate social dance that results in a welcoming vibe for travelers.

Piranha won't eat you if you fall in an Amazon river

It's burned indelibly into every movie fan's mind -- the fiendish feeding frenzy of piranha stripping a human down to dental work.

It turns out these pint-sized demons aren't nearly the sociopaths they're cracked up to be.

Piranha live in the major river basins of South America, and the Amazon tributaries of Brazil are well-stocked with them.

They do have nasty choppers that bite Brazilians swimming in rivers, but they don't strip them to the bone.

Some trace the origin of that legend to a visit by early 20th-century President Teddy Roosevelt. Locals blocked off a river and filled it with starving piranha, and then tossed in a cow to guarantee a good show for the President.

It set off the famous piranha swarm, embellished later by newsreel and movie makers.

Taming the piranha and busting myths in the Amazon

@highlight

Brazil produces two of world's biggest bashes in Carnival and New Year's Reveillon

@highlight

One of the larger cities in Brazil sits halfway up the Amazon River

@highlight

In world rankings for gap between rich and poor, Brazil has the 11th largest gulf