(CNN) -- Go to any provincial city in China -- small hayseed towns where the population barely nudges three million people -- and you'd be forgiven for thinking the national youth pastimes, after smoking, are online gaming and flirting.

"I like the personality tests and I like chatting with people, but I haven't been brave enough to meet anyone yet," says Nolan Lee from Guiyang in China's central Guizhou province.

The 20-year-old student says she uses social media more than she cares to admit.

"I still use [microblogging website] Weibo for a lot of things but new things like Pengpeng come up all the time -- this one is pretty good actually. If I shake my mobile, it finds new people for me to meet and to compete with.

"I like the fact that it uses traditional Chinese games like truth or dare -- you can think up things that will be funny or embarrass the other person. It's fun."

Launched in June, Pengpeng is a new mobile phone app that combines games and online chat. The Beijing-based start-up launched with $4.2 million in seed funding and since then has gone from strength to strength. Even outside China, it has proved sticky, recently hitting the number two position in Malaysia.

For Andy Tian, the brains behind Pengpeng, elbowing a space into China's crowded and ferociously competitive social networking space requires financial backing but, more than this, it demands a keen eye for how young subscribers are using the net.

"We have four million users which makes it one of the fastest growing mobile apps in China," Tian told CNN. "More than 90% of the users were born after 1990 so they're below the age of 24.

"These people are the most active on social networks in China."

Throwing a good party

Pengpeng uses location-based technology that allows users to meet strangers through playing games. As well as the usual Facebook-style feed and group chat, the app hosts quizzes, competitive games, horoscopes and the staple of teenagers everywhere on the net: personality tests.

"A lot of social networks out there enable you to meet someone and just start chatting [and] sharing pictures," said Tian. "That's great but the next generation should be able to interact in a much more fun way."

Tian likens Pengpeng to throwing a good party.

"We see mobile social apps as something like an amusement park -- you come and you're always playing with other people; you meet them in a 'no pressure' way," he says. "If you throw a party with good music, good drinks and good food, if you have a good theme -- maybe it's 1920s and everyone wears a Fedora hat -- then everyone has a good time.

"But if you throw a singles' party just to find the member of the opposite sex of your dreams, then it's not going to be very much fun.

"We are creating all the amusements -- all the food and the drink -- and marrying it to a social platform. It might seem to be pretty obvious but no one has thought of it before."

Strong growth

While Facebook still dominates the social media landscape globally with 1.32 billion monthly active users (MAU), its Chinese rivals are starting to close the gap. Qzone, which runs the massively popular QQ instant messaging service, is second on the list with 645 million MAU.

Other Chinese sites such as Wechat, or Weixin as it is known in Chinese, have gained as many as 438 million MAU in a short few years, stealing a march in terms of numbers on sites like Twitter.

Twitter, Facebook and YouTube have been locked out of the Chinese market since 2009, leaving the field open to homegrown social media sites such as Sina Weibo and Tencent Weibo.

While some say the ban is motivated by a need to censor the web in China, most analysts believe that protectionism for its own domestic versions of YouTube - namely Tudou and Youku - has been behind the move.

Nevertheless, the progress of Chinese social media is keenly monitored in the West where companies such as Facebook and Google hope to one day re-enter the market.

"Pengpeng is just one of many of these new startups -- but these are up against very big companies. They're only getting a small slice of the pie," says analyst Xiaofeng Wang of Forrester.

"The most popular social platform used to be Weibo -- which combines elements of Facebook and Twitter -- but mobile messaging apps are now the most popular apps like Wechat from Tencent."

But she says the growth of anonymous social networking platforms are now the latest development in China -- not unsurprising in the light of the strict controls the government places on online debates.

"Sites such as UMi and Mimi are gaining more and more users -- it won't become mainstream however," Wang says. "When it's anonymous, users are more willing to share information. Users may have nicknames, but behind those nicknames are real social connections, friends and colleagues."

Fittingly, UMi literally translates as "no secrets" while Mimi means "secrets". As for Pengpeng, users are as anonymous or as open as they want to be.

"So far, I haven't been bothered to meet anyone off any of the games," says Lee. "But who knows, one day I might put on some make up and a nice dress," she jokes.

@highlight

Pengpeng uses location-based technology to allow users to meet strangers through playing games

@highlight

Founder Andy Tian says Pengpeng has four million users and is one of the fastest growing apps in China

@highlight

The Beijing-based startup launched with $ 4.2 million in seed funding earlier this year

@highlight

Social media in China is seeing the rise of sites that allow users to post anonymously