It's been almost two decades since I was separated from my family, my home and my past as a war child. Last year I was able to travel back to East Africa to find my parents, reconnect with others who survived the war and place my vote in the referendum that would eventually lead to the division of Sudan into two independent states.

On July 9 2011, the Republic of South Sudan was born. It's hard to describe how I felt that day as I stood among tens of thousands of South Sudanese men, women and children waving our new flag and screaming "South Oye! Separation Oye!"

Through two civil wars that lasted a total of 39 years, this is what we had hoped, prayed and fought for; it was hard to believe it was happening in my lifetime.

Yes, each one of us has fears, hopes and dreams about how we are transforming into a nation. As a citizen, I don't mind us having to crawl and take small steps in our progress. Development is not a race and for it to be sustainable it should be holistic. We're starting from scratch and have a lot of ground to cover.

I was born into Sudan's civil war and before I could read or write I was using an AK47 in the conflict between the Muslim north and Animist/Christian south over the land and natural resources. I protected myself, survived and ended up in the Western world where I had to play catch-up with youth who had much calmer childhoods.

It was never easy, but I always tried my best and kept complaints out of my heart by holding tightly onto the hope that one day, I would read and write. This is a dream for many boys and girls who were born on the battlefields of Sudan simply because during the civil war there were no schools at all. Now there are a few in Juba and a significant need for more all across the country.

My main concern for the newest nation in the world is not tribalism or corruption -- though they both exist, it's the fact that we are still at war with the National Congress (NCP) of Sudan, the governing official party of Sudan, and this needs to be permanently addressed before moving onto smaller issues.

Five months ago I went to South Sudan to vote and raise the flag on the soil of my new country. While we were beginning the countdown to independence the NCP, which is headed by Sudan President Omar Hassan Ahmad Al Bashir, raided Abyei and forced innocent people from their land. Why? Well, the region produces 70% of our oil.

As I write this article there are still many innocent people suffering and dying all across the country. If the International Criminal Court does not increase its pressure on President  Al Bashir, a return to war and bloodshed over The Republic of South Sudan's land and natural resources is very likely.

That being said, I am very optimistic about the future of my country. We all feel a strong sense of ownership when we think of The Republic of South Sudan because everybody sacrificed and suffered to get us to where we are now. We need to feel the same sense of ownership towards finding solutions to our problems; homemade solutions need to be found to fix what we messed up.

To do this we need to work together with world powers while ensuring that the resulting plans hold the interests of South Sudan at heart. The Republic of South Sudan is still a baby; our leaders should be willing to take small steps towards developments and not move too fast.

The solutions we put into place need to be in line with our long-term interests while offering short-term relief, which is not always that easy to do. But if the government of South Sudan can provide security and education, the rest will begin to fall into place and matters such as finding alternative energy sources for Juba city can be taken care of.

As the youngest nation in the world we have the advantage of learning from the experiences of others, starting with sustainable solutions from the beginning -- electricity made by generators can only take us so far!

With my fellow brothers I walked to Ethiopia barefoot without adequate food or water in the rain and burning sun, eating unripe mangoes and dodging the corpses of those who perished along the way.

It took 18 years for me to find my way home again and through it, I was blessed to not experience any forms of physical war. But it became clear to me that human drama is unavoidable.

All around the world there is corruption, tribalism and division, as many find it easier to pick on those that are different, which is why we need to hold tightly to the good in this world. We are all trying to make it the best way we know how, so when we look at each other as individuals and nations we should do so with compassion.

@highlight

18 years ago, Ger Duany walked barefoot to Ethiopia from Sudan to escape its civil war

@highlight

The former "Lost Boy" is optimistic about the future of South Sudan

@highlight

"Homemade solutions need to be found to fix what we messed up," he says

@highlight

He fears a return to war with South Sudan's northern neighbor