London (CNN) -- The embattled British tabloid News of the World, one of the oldest and best-selling newspapers in Britain, will shut down after Sunday's issue, its owner, News International, told CNN Thursday.

The dramatic announcement follows accusations that the paper illegally eavesdropped on the phone messages of murder and terror victims, politicians and celebrities. The scandal could have far-reaching consequences and may be politically damaging to Prime Minister David Cameron.

British media reported Thursday that Andy Coulson, Cameron's former director of communications, has been told by police that he should go to a police station to be arrested Friday morning over his alleged knowledge or involvement in the mobile phone-hacking practices that took place while he was editor of the News of the World.

He resigned as editor of the newspaper in January 2007 after the News of the World royal editor Clive Goodman and a private investigator, Glenn Mulcaire, were jailed for intercepting voicemail messages on royal aides' phones.

After Coulson moved to his communications role with the Conservative party, the scandal resurfaced. He was questioned by police in November and resigned from his Downing Street position in January, despite the Crown Prosecution Service ruling that there was "no admissible evidence" to bring criminal charges.

British media have reported that Coulson will be formally questioned on Friday under suspicion of involvement in hacking and have speculated that he is likely to be released on bail and appear in court at a later date, alongside other arrested former News of the World journalists.

Coulson has previously insisted that he did not know about widespread phone hacking at the newspaper and offered, last year, to meet with police voluntarily to discuss the case.

News International Chairman James Murdoch said Thursday, in announcing the shutdown, that the scandal "sullied" the newspaper and "has no place in our company."

And paying out-of-court settlements to some victims was "wrong and a matter of serious regret," Murdoch said. He is a son of media magnate Rupert Murdoch, the head of News Corp., which owns News International.

The paper's roughly 200 employees are now out of jobs, but are free to apply for other positions within News International, the company said.

"The rug's being pulled out from underneath our feet," said David Wooding, political editor at the News of the World. "I can only assume he (Murdoch) feels the brand has been so badly damaged that the best thing to do is a scorched earth policy and get rid of it. But it's one hell of a decision."

The National Union of Journalists condemned the move to shut down the paper.

"James Murdoch was absolutely right when he said in his statement today that 'Wrongdoers turned a good newsroom bad.' Yet those wrongdoers are still there today, at the top of the News International empire and ordinary staff at the paper are paying with their livelihoods," NUJ General Secretary Michelle Stanistreet said in a statement.

The 168-year-old newspaper, which sells more than 2.5 million copies every Sunday, was brought down by an avalanche of public and political fury in the wake of revelations that the hacking victims included a missing 13-year-old girl who was later found to have been murdered.

In an interview for UK media, James Murdoch said he, his father and the company felt "regret" over what had happened.

He insisted he was satisfied that Rebekah Brooks -- the current chief executive of News International and former editor of the News of the World who has been the target of calls to step down -- "neither had knowledge of nor directed the activities."

He said the company was committed to doing the right thing, by cooperating with police and putting in place a process to make sure such practices did not happen again. All revenue from the paper's final edition will go to "good causes," he said earlier.

On Wednesday, Rupert Murdoch himself called allegations against his flagship Sunday paper "deplorable and unacceptable."

Prime Minister Cameron Wednesday called the possibility that the hacking had taken place "absolutely disgusting" and backed calls for an independent inquiry into the affair after a police investigation concludes.

The scandal is potentially damaging to Cameron himself because he is close to current and former top officials at the News of the World's parent company, former Tony Blair spokesman Alastair Campbell told CNN Thursday.

Police launched a special investigation into the allegations of phone hacking on behalf of the newspaper in January of this year. It was the second police probe into the issue.

On Thursday, shortly before James Murdoch's announcement, police said they have identified the names of nearly 4,000 potential victims.

Police launched the new investigation this year in response to widespread complaints from high-profile figures who feared they may have been targets.

But the revelation this week that victims may have included the murdered girl, the families of terror victims and of British troops killed in Afghanistan and Iraq, raised the scandal to a new level.

The Royal British Legion, a top military veterans' organization, said Thursday it was suspending ties with the newspaper after the accusations.

A flood of advertisers announced Wednesday and Thursday that they were dropping campaigns with the tabloid.

Prof. Steven Fielding, at the Centre for British Politics at the University of Nottingham, told CNN it seemed News International had decided the brand was so badly damaged that it made more sense to close the paper.

But he believes the company will soon launch another paper in its place.

"I'm deeply skeptical that this actually means they will not be producing a Sunday paper in the near future, relaunched and repackaged -- a Sunday newspaper that will do very similar things to the News of the World, because it's the biggest selling Sunday (paper). It's a cash cow that will be subsidizing other papers, certainly The Times."

Chris Goodall, an analyst at the media research firm Enders Analysis, said the News of the World was the "sacrificial lamb being taken out into the desert and killed" in order to try to save the Murdoch empire's bid to take over UK broadcaster BSkyB.

"It's a recognition that for whatever reason, the News of the World was affecting the public perception of the bid for BSkyB and was likely to make it more difficult, so it was easier and cheaper to close it down," he told CNN.

He suggested News International might publish the News of the World's sister paper, The Sun, seven days a week instead.

Meanwhile, News International says it is co-operating with the police investigation into the accusations against it, which also include bribing police officers, and has welcomed "calls for a broad public inquiry into standards and practices in the industry."

The company is "close to identifying" how the hacking of murdered teenager Milly Dowler's phone happened, a News International source told CNN, declining to be named discussing internal corporate business.

The revelation that the girl's phone had been hacked after she was reported missing in 2002, and that messages were deleted, giving her parents hope she was alive when she had already been murdered, outraged Britain this week.

News International said Thursday that if the accusation of hacking into the messages of fallen troops' families was true, "we are absolutely appalled and horrified."

It made similar statements about the Milly Dowler accusation and the allegation it had targeted the families of people killed in the July 7, 2005, suicide bombings in London.

Graham Foulkes, whose son was killed in the terrorist attack, said Wednesday his phone number and home address were found in the files of a private investigator working for the News of the World.

"We are no longer talking about politicians and celebrities but murder victims, potentially terrorist victims. It's absolutely disgusting what has taken place," Cameron said Wednesday. "I think everyone in this house and country will be revolted by what they've heard and seen on their TV screens."

But Cameron said the inquiry could not begin until after the police investigation was done, for fear of interfering with it.

On Thursday, London's Metropolitan Police said they were asking the Independent Police Complaints Commission to investigate the possible bribery of police officers by people working for the media group.

The announcement came a day after the police said they would investigate the case themselves.

"However, in view of the significant public and political concern expressed following the publication of this information," police Thursday "made a formal referral to the IPCC," they said in a statement.

News International Wednesday confirmed it had given police paperwork related to the possible bribery, calling the handover evidence of its "determination as a company to deal responsibly and correctly with the issues."

Phone hacking involves calling a phone from two other phones at the same time, sending one caller to voice mail. That caller then enters the code number to retrieve voice mail remotely. Hackers depend on the fact that many people never change the default PIN for voice mail retrieval.

The paper has apologized for hacking into the voice mails of celebrities and politicians, paying compensation to actress Sienna Miller and offering money to others.

At least five people have been arrested in connection with phone hacking investigations this year since a new investigation, Operation Weeting, was launched in January.

Private investigator Glenn Mulcaire and a journalist working for the News of the World were sent to prison in 2007 for hacking into the voice mails of royal staff in an earlier investigation.

News of the World was the first British Fleet Street newspaper Rupert Murdoch bought, in 1969, as he began to propel himself from Australian newspaper proprietor to international media magnate.

In addition to owning News of the World, News International owns the Sun, the Times and the Sunday Times in Britain.

Murdoch's News Corp. also encompasses Fox News, the Wall Street Journal, the New York Post and Harper Collins publishers.

CNN's Carol Jordan, Claudia Rebaza, Antonia Mortensen and Laura Smith-Spark contributed to this report.

@highlight

NEW: "Ordinary staff at the paper are paying with their livelihoods," says NUJ general secretary

@highlight

British media report PM Cameron's former communications director will be arrested

@highlight

James Murdoch says he and his company feel regret over what's happened

@highlight

Sunday will be the last issue of the best-selling News of the World