On CNN's "State of the Union," host and chief national correspondent John King goes outside the Beltway to report on the issues affecting communities across the country. This week, King traveled to New Orleans, Louisiana, to look at recovery from Hurricane Katrina in the Lower Ninth Ward compared to the rest of the city.

The Lower Ninth Ward Health Clinic was clinic director Patricia Berryhill's home before Hurricane Katrina.

NEW ORLEANS, Louisiana (CNN) -- Patricia Berryhill sits behind a desk in what not too long ago was her living room, cheerfully greeting those who walk in and reaching for the phone as it rings yet again.

"Lower Ninth Ward Health Clinic, Patricia Berryhill, may I help you?"

Sometimes the questions are routine -- this time more anxious.

"As for the HIV testing, if you come in on Tuesdays from 11 to 1, there is no charge," Berryhill tells the caller. "As for the Herpes virus, you are going to have to see a physician and make an appointment for that."

The patient files in the cabinets behind her now number more than 1,300, and 95 percent of those who walk through the door have no health insurance. The clinic asks for a $25 "co-payment" but no one is turned away if they cannot afford it.

A half dozen patients are waiting as executive director Alice Craft-Kerney takes a visitor on a tour. In the reception area, there are health awareness brochures, hurricane preparedness brochures, and a bookshelf about half-filled with children's books. Craft-Kerney tries every day to give some away.  Watch John King preview this Sunday's show »

"Because we have such a low literacy rate here in Louisiana," she says. "So they come by, browse, and take whatever books they want free of charge."

The staff is cheery; the clinic neat and clean. A sign in the window making clear there are no narcotic drugs inside is a sign of the clinic's rough surroundings. And within a few steps of the door is a reminder that 43 months after Katrina changed everything, the Lower Ninth Ward is still a mess.

During a helicopter pass over the neighborhood, we saw concrete slabs and weedy spaces where houses once stood. Yes, there is a fair amount of new home construction, and renovations under way at some homes gutted by Katrina.

But while the debris is mostly gone, much of the neighborhood remains an abandoned wasteland.

Overall, Tulane University geographer Richard Campanella says, the population of New Orleans stands at about 330,000 -- roughly 75 percent of its pre-Katrina level. Before the storm, it was about 70 percent African-American; now it's about 60 percent.

And it is a more affluent city. Campanella says median household income is up to $40,000 from $27,000 before Katrina, "and it is not because the city is doing better economically."

Significantly, Campanella says the "curves" suggesting major changes during the post-Katrina period are "flattening."

"My sense is the post-Katrina city we all wondered about 3½ years ago what would it look like -- that we are there now," Campanella said in an interview on the Tulane campus. "The patterns are stabilizing and we are in a 'new normal' period."

A new normal in which the Lower Ninth Ward trails significantly behind.

Only about 19 percent of its pre-Katrina population has returned; roughly 3,600 people live there today, compared to some 19,000 when Katrina hit.

There are new twists on the resentments and suspicions that dominated community discussions in the horrible days just after Katrina and Rita. In the place of resident complaints that their neighborhood was slow to get help in the hours and days after the storm are accusations their rebuilding hopes are being deliberately ignored or set on the back burner.

Craft-Kerney says a commitment to add a second school in the Lower Ninth, or enticements to bring in a supermarket or a major pharmacy, would help bring more people back, or attract new residents.

"Much of it has been the lack of political will on the part of our government entities," she said.

City officials say there are myriad reasons the rebuilding is slow. One part of this divisive debate is the threshold question of whether it makes sense at all to have people living so close to where the levee breach was most destructive.

But Craft-Kerney and many other community activists see this debate in black and white, or rich and poor.

"As my teacher used to say, 'Them that got, gets,' " she said.

The Bush administration's response to Katrina was one of the turning points in American public opinion toward that administration. But Craft-Kerney says the clinic would not be in operation had it not been for the help of Mike Leavitt, the Bush secretary of health and human services.

It sits in what was Berryhill's home. After Katrina, she decided to move elsewhere in the city, but agreed to donate her former home as a clinic. It was gutted, rebuilt, and Berryhill now serves as its clinical director.

It survives mostly because of a Bush administration grant that runs through 2010. Whether the clinic gets additional federal funding will be one of the tests of the area's priority for the federal government.

Craft-Kerney will soon face the new administration. While she speaks highly of President Obama, she says she worries New Orleans and the Lower Ninth will be forgotten in the long list of major challenges facing his administration.

"I don't know exactly what his game plan is," Craft-Kerney told us during the clinic interview. "But I do believe in my heart that he is going to eventually do some things to help New Orleans. I don't expect it overnight -- but he did say he would make good on President Bush's promise to make New Orleans whole again."

@highlight

95 percent of Lower Ninth Ward clinic's patients have no health insurance

@highlight

While most of the debris from Katrina is gone, area still abandoned wasteland

@highlight

City's demographics changing as it enters its 'new normal' after storm

@highlight

Clinic director hopes Lower Ninth won't be forgotten in ambitious Obama agenda