Cuban-Americans have had an outsized influence in keeping the U.S. embargo since Fidel Castro seized power. Now a younger generation, with strong familial ties there but far removed from the memories of Castro's revolution, want the embargo to end.

"Asking whether someone is for or against the embargo was a good question in 1962," said Giancarlo Sopo, a 31-year-old Miami-born marketing executive in New York. "We've allowed this policy to become the 800-pound gorilla in the room and a distraction from the atrocities of the regime, the human rights abuses, and the aspirations of the Cuban people," he added.

His statement is startling. Sopo says his grandfather was murdered by the Castro regime. Sopo's father, who he says witnessed the killing, fought in the Bay of Pigs invasion.

According to analysts, as more Cuban-American millennials begin to question the embargo, more will begin to abandon their Republican roots for the Democratic Party, like Sopo did.

Democrats have long-hoped to make inroads with Cuban-Americans, the only Latino group that still leans Republican, and have taken notice of the generational shift.

Former Secretary of State, Hillary Clinton, deemed the clear front-runner for the Democratic presidential nomination in 2016, recently said she would like to see the U.S. move toward normalizing relations with Cuba.  "I think it has propped up the Castros because they can blame everything on the embargo," she said during a July interview on Fusion.

CNN reached out for comment but no one from Clinton's office was immediately available for a response.

This year's Florida gubernatorial race will measure just how strong the GOP's grasp on Cuban Americans remains.

Incumbent Republican Gov. Rick Scott who supports the embargo faces former Republican-now-Democrat Governor Charlie Crist who during a July campaign stop in Miami's Little Havana openly called for an end to the embargo, a move that had been considered political suicide in the state.

At a debate sponsored by CNN in Florida earlier this week, Crist said he wouldn't be willing to go so far as meeting with Raul Castro, but he defended his opposition to the embargo.

"The embargo has been in place for over 50 years, it has not worked. The intent of the embargo was to get rid of the Castro brothers. They're still there," Crist said.

Related: Florida debate turns bitter

"The message that worked well in the past -- Cuban Embargo -- and moved older Cubans to vote Republican, is not as impactful for younger U.S. born Cubans," said Luis Miranda Jr., a managing partner at MirRam Group, a political consulting firm. He says messages of employment, economic recovery and fixing the broken immigration system is what resonates with this group.

It's not just Cuban-Americans, many young Latinos are questioning the embargo.

Twenty nine-year-old old Chicago-based writer Hector Luis Alamo, who is of Puerto Rican and Honduran descent,  says people in his generation feel that "It's about damn time" for the embargo to end. Alamo says that he and every other millennial he knows desperately want the opportunity to travel to Cuba -- even those that are not Cuban.

"I don't believe that [being of Cuban descent] matters," Alamo said. "As an American, I have a vested interest in the policies of my government not only towards its own citizens, but also towards the citizens of other countries."

On Oct. 11, the NY Times joined the anti-embargo chorus.

"For the first time in more than 50 years, shifting politics in the United States and changing policies in Cuba make it politically feasible to re-establish formal diplomatic relations and dismantle the senseless embargo", wrote the Times' editorial board. "The generation that adamantly supports the embargo is dying off. Younger Cuban-Americans hold starkly different views, having come to see the sanctions as more damaging than helpful."

A June poll by Florida International University found that more than half of Cuban-Americans surveyed in Miami support an end to the embargo and a solid majority of them also favor restoring diplomatic relations with Havana.

The Obama administration has not endorsed lifting the embargo, however. And it can only be lifted by Congress and as Mauricio Claver-Carone, Director of the U.S.-Cuba Democracy PAC, a lobby group in favor of keeping the embargo, points out, all seven Cuban-American legislators, including senators Marco Rubio, Ted Cruz and Bob Menendez, are against doing so.

Still, the Cuban-American community is changing.

"The Cuban-American community is definitely different from that of several years ago," says Professor Mauricio Font, Director of New York University's Bildner Center for Western Hemisphere Studies. "It has a large number of post-1990 immigrants who generally oppose the Castro regime but may want to keep the options to travel to Cuba. Furthermore, the 'historicos' who came to the U.S. in the late '50's and 60's are also experiencing attrition from aging."

The United States and Cuba have been at odds for over 50 years. Both sides have recently taken small steps towards a reconciliation. In 2011, President Barack Obama eased travel restrictions to the island for American citizens and last week, Cuba said it would be willing to cooperate with Washington to help fight the Ebola epidemic in West Africa.

But, only time will tell if a new generation of young, engaged Latino voters can exert enough political heat to completely thaw a relationship frozen during the Cold War.

@highlight

A new generation of Cuban-Americans is re-thinking the 50 year-old embargo

@highlight

Democratic politicians have endorsed ending the embargo