(CNN) -- Imagine you are sitting in your office simply doing your job and a nasty e-mail pops into your inbox accusing you of being a fraud. You go online and find that some bloggers have written virulent posts about you. That night, you're at home with your family watching the news and a talking head is lambasting you by name. Later, a powerful politician demands all your e-mails from your former employer.

It sounds surreal. But it all happened to me.

What was my offense? I worked on climate change research that indicated the world is a lot warmer today than it was in the past. Because that research caught the public's attention when it was released in 1998, I became one of dozens of climate researchers who have been systematically targeted by a well-funded anti-science campaign.

Ironically, as these attacks have grown, the scientific facts have become ever clearer. Climate scientists know the world is warming and human activity -- particularly burning coal and oil -- is the primary driver. The idea of addressing climate change threatens some people in the fossil fuel industry. And a vocal minority of corporate interests and their ideological allies are spending a lot of money to hijack the public debate about climate change.

I call all this the "scientization" of politics. Attacks on science and scientists are an effort to advance a political agenda, not an effort to better understand science or the risks it uncovers. The tobacco industry did it when scientists linked cigarettes to cancer. The lead industry tried to discredit a scientist who found that lead exposure hurt children's cognitive abilities.

Now, it's climate scientists' turn.

In the most infamous episode, somebody stole thousands of e-mails and documents from leading climate researchers, including me. They cherry picked key phrases from the e-mails and published them out of context, like a black-and-white political attack ad with ominous music. Fossil fuel industry-funded groups gleefully spread the e-mails online and badgered the mainstream media into covering the "controversy" they had manufactured.

It was no accident that this happened on the eve of a major international climate change meeting. Saudi Arabia, the world's largest exporter of oil, was the first to call for an investigation.

The dozen independent investigations that did follow -- all of which exonerated the scientists -- got much less media coverage than the original nonscandal. Last year, the inspector general of the National Science Foundation found the charges against me were all baseless and reaffirmed mainstream climate science.

Larger political factors helped sink the climate change talks. But the stolen e-mail "scandal" has lived on. Virginia Attorney General Ken Cuccinelli (also a candidate for governor) cited it in his demand from my former employer -- the University of Virginia -- for all my documents and e-mails dating back several years.

On March 2, the Virginia Supreme Court ruled in our favor -- a Pyrrhic victory considering all of the money and resources wasted that could have been invested, for example, in measures to protect Virginia's coastline from the damaging effects of the sea level rise it is already seeing.

These attacks have prompted me to tell my own story in a new book, "The Hockey Stick and the Climate Wars: Dispatches from the Front Lines." Before it even came out, a coal industry front group ran radio advertisements condemning my employer, Penn State, for allowing me to speak on my own campus. Later, a former tobacco industry apologist offered $500 to anyone who would ask me a challenging question at another talk and provide him with video.

This is a silly -- and indeed, dangerous -- way to have a climate change debate in this country. What keeps climate scientists working away in our labs and in the field, is that we keep uncovering more evidence of how climate change will impact our planet and our lives.

In the face of these attacks, scientists are doing more to speak out, forming a Climate Science Rapid Response Team to connect scientists with journalists and a Climate Science Legal Defense Fund to help scientists defray legal costs. Groups like the Union of Concerned Scientists are redoubling their efforts to defend scientists and advance public understanding of climate change. And scientific societies are starting to do more to help their members deal with the poisonous political environment around climate change.

I first tackled climate science as a graduate student in theoretical physics, looking around for a topic that would be worthy of a lifetime's work. Attacked both professionally and personally, I became a reluctant public figure in the climate wars. And now, as the father of a 6-year-old girl, I want to make sure the planet we leave her is at least as beautiful and healthy as the one we grew up on. At the very least, our nation's political and business leaders deserve to have a debate about her future that is grounded in reality.

My daughter, and all of our children, deserve no less.

The opinions expressed in this commentary are solely those of Michael Mann.

@highlight

Climate scientist Michael Mann says he was target of nasty campaign to discredit his work

@highlight

Mann: Attack against scientists was funded by fossil fuel industry, anti-science ideologists

@highlight

All accusations proven false, he says, but it galvanized scientists to counter misinformation

@highlight

Mann: Poisonous politics must not hijack the conversation about climate change