(AOL Autos) -- The little two-passenger smart fortwo is the most fuel-efficient car (not counting hybrids) in the U.S. market, with EPA fuel economy ratings of 33 mpg city, 41 highway. For high-mileage frugality, it appears to beat the five-passenger Toyota Yaris and its 29/35-mpg ratings by a long shot.

Look at the inside of your car's fuel door to find out whether you're required to use a certain octane gasoline.

But wait! Premium fuel -- which cost about 12 percent more than regular at U.S. pumps last month -- is required for the fortwo. Suddenly the gap closes and the Smart no longer looks like as strong of a fuel-budget buster. And with the requirement, they mean it: smart says you'll lose your warranty coverage if you don't ante up.

With premium fuel averaging about 24 cents more per gallon than regular, your choices at the pump can add up very quickly. If you drive a 20-mpg vehicle 15,000 miles a year, that's an extra $180, each year, toward those extra few octane points. If you have a thirstier truck or SUV or cover more mileage, it could amount to hundreds of dollars a year.

New-car buyers, take notice. Add fuel requirements to your shopping checklist, because it will impact your wallet with every visit to the gas station, for years of ownership.

The expensive stuff is typically recommended -- though not always required -- for luxury and high-performance cars, while less-expensive sedans, coupes, and SUVs only require 87-octane. But there are plenty of exceptions.

Alan Hall, a spokesman for Ford, says that the automaker no longer has any models that require premium grade and only a few for which it's recommended. Regular unleaded is fine across all the models of Ford's Lincoln  luxury brand, says Hall, so "as a luxury car buyer you don't have that added premium of premium fuel."

Ford now does all of its engine development and vehicle testing on 87-octane, regular-grade fuel. "We don't want to give you a product that will have durability issues," explains Hall, if premium-grade isn't available everywhere.

Another exception in the luxury-car realm is Hyundai; the automaker chose to tune the new high-performance V-8 engine in its Genesis sedan for premium fuel, but it also certified it for regular-grade.

The automaker is the first to list power figures both with premium (375 hp) and regular (368 hp), letting owners opt for either top performance or a substantial savings at the pump. For the record, there's no measurable difference in fuel economy between the two grades, or any greater potential for damage, according to Hyundai.

"We wanted to give customers the choice," explained Hyundai spokesman Miles Johnson. "If you want a few extra horsepower, go ahead and spend a little more at the pump."

Along with several European automakers, the BMW Group recommends premium fuel for all of its vehicles -- including the economical MINI Cooper -- yet Ford doesn't even recommend premium for its sporty, V-8-powered Mustang GT. The high-performance, 540-hp Shelby GT500 is the only new Ford vehicle to carry the recommendation for premium ... and Hall concedes the engine will get a "slight boost" from premium.

Throwing money away?

You might have been led to believe at some point that your vehicle will do better with premium, but with most newer vehicles, that's simply not true. Provided yours just calls for 87-octane, chances are you won't notice the difference, according to a number of experts, and you're essentially throwing the money away.

The best way to tell, advises John Nielsen, director of AAA's Auto Repair and Buying Network, is to simply look at the inside of the fuel door; if it says, "use premium fuel only," and specifies a higher octane number (regular is typically 87, premium is 91 or higher), then the expensive stuff is actually required for the vehicle. But for people with vehicles only requiring 87-octane, Nielsen advises, "Don't do it; it's a waste of money."

Don't let the filthy images get to you either. If you've seen commercials for gasoline, you've likely heard that premium-grade will keep maintain your vehicle's full power and smoothness, and otherwise your valves and injectors will become clogged with 'gunk,' and you'll have to shoulder premature repairs.

Typically, within the same brand of gasoline, between regular and premium, "the difference is really just octane," confirms Prentiss Searles, Marketing Issues Manager at the American Petroleum Institute. To call a fuel regular, midgrade, or premium, Searles explains, only relates to octane; there's no other requirement that assures greater purity, more detergents, or better additives.

Nielsen says that the emphasis on detergents and additives for premium fuels is also misleading because in most fuels you have plenty of detergents to keep modern computer-controlled engines clean. "Unleaded is just fine," he insists.

More drivers are discovering that. Last year, as gasoline prices crept past four dollars a gallon for regular grade and approached five dollars in some places for premium, many motorists with rapidly emptying wallets broke the premium habit and filled up their vehicle with regular for the first time.

The market share of premium gas has been on a downward trend for many years -- going from 16.6 percent percent of U.S. sales in 1997 to just 9.5 percent in 2007, according to the Energy Information Administration -- and although 2008 data hasn't yet been released, it's anticipated that last year even more turned to the less-expensive nozzle.

Pinging is a thing of the past

For cars made several decades ago, it was up to you to listen for deadly knocking or pinging sounds -- a sign that the fuel was prematurely detonating and could quickly cause damage to engine components. But since the 1980s, most vehicles have had knock sensors. These little microphones listen for the telltale 'ping' of early detonation and your car's electronics automatically retard ignition timing to smooth it out. You don't even need to worry that your knock sensors have broken, Nielsen says, because it would set off the 'check engine' light.

The actual heat energy in gasoline is typically the same whether it's regular or premium, but the higher octane rating means it can burn in a more controlled fashion -- useful only if the engine can take advantage of it. "Higher-octane gasoline doesn't make any more power, but it enables higher compression, or enables the turbochargers to produce more boost," says Nielsen.

For vehicles that only require 87-octane, using a higher-octane fuel won't yield any noticeable difference from the driver's seat. It's a bit more complicated when premium is recommended. Look at the language in your owner's manual first, and if it mentions that regular is acceptable there will still likely be cautions of compromised performance; if it cautions against the regular use of regular you might be compromising your warranty.

Honda spokesman Chris Martin advises against using regular for any vehicle for which premium is recommended. "There could be some short-term knocking or pinging, but nothing lasting," he says. "I wouldn't recommend it for the long term."

Nielsen, of AAA, adds that drivers of high-performance or luxury vehicles for which 91-octane is recommended might actually negate their savings with regular depending on their driving style, seeing lower fuel economy.

In a lot of cases, Nielsen sums, the fuel specs are simply an engineering issue; the engine was designed and tested with premium fuel, and they didn't design it to run on premium -- although it might do just fine.

If your car wasn't built with an appetite for premium, save yourself the money.

@highlight

Fuel octane requirements can be found on inside of car's fuel door

@highlight

Using a higher-than-required octane won't make car run better, experts say

@highlight

Ford says it does all vehicle development on regular-grade fuel now

@highlight

Check the gas requirements for new fuel-efficient car to maximize savings