(CNN) -- The Seattle artist Moxie makes sculptures out of felted wool that are, like her, desperately playful and mad.

"I like to make wool do impossible things, to turn it from something soft to something hard," says the artist whose blog is called "We are All Angry."

Moxie's latest creations were on exhibit at Gallery Hanahou in Manhattan in March. "Icons & Totems & Pieces of the Past" included everyday objects, from a brick-sized white aspirin to a matchbook with only a single, middle-finger match.

At the heart of her life and art is a childlike sincerity. The 40-year-old former director of an aftercare program sees people as full of troubled stories but essentially worth connecting to.

Moxie is part of the "indie craft" generation whose slow, repetitive work is an antidote to and comment on today's fast-paced world. Their work is featured in magazines like "Make" and "Craft" and the documentary "Handmade Nation." She also has a shop on Etsy.

Even before her creative career took off, Moxie simplified her life and identity by changing her name to her nickname.

She tried many crafts before stumbling, through a children's workshop, on feltmaking. Like a crayon, felt is a colorful, harmless material reminiscent of childhood. Turning airy tresses of bright wool into a flat sheet of felt came easy to her and evoked her sense of play.

"What would happen if I ...?" she asked herself, then started poking "a bajillion times." Finally the wool formed into a solid, sculptured mass of fiber.

"Each poke, you are deciding what the piece will be and mean," she said. "There is a lot of possibility in the slowness and simplicity of the tool."

She chatted with CNN.com. Following is an edited transcript.

CNN: How does your personal story, growing up as a "Jewish marshmallow in northern California," influence your art?

Moxie: Talk about a clash of wealth and status. Back when Marin County (outside San Francisco) had a poor section, I grew up in tiny crap houses next to the wealthiest people in California. I come from a working-class family with complicated family dynamics.

In the last five years I lost both my parents, which is not exactly a tsunami tragedy, but it's powerful stuff when you've had a complicated relationship.

I did an embroidery piece from the perspective of being behind a crowded street with a lot of people. That was about my parents. That was about loss. You never stop missing your parents. You never stop knowing life is different when they are gone. But life is so enriched with that knowledge, too.

Their deaths really focused me as a working person to ask why we are here on this planet. I don't think it's to say yes to people who want us to do the wrong things. We all have a complicated back story and I'm sure it's there in my work.

CNN: Your "Hunger" series (priced $80 to $400 each) featured doll parts being gobbled up by felted aliens. What was that about?

Moxie: There is a whimsy and desperate nature and a shameful feeling to some of those creatures. It is just about my feelings about humanity -- embracing it and also being repelled. (When) every question I could answer poses for me more questions. That's when I know my piece is working.

CNN: How did working with children influence you?

Moxie: I was teaching an after-school program for 65 kids and hiring artists to come in once a week to teach them. I learned along with them when I hired Nikola Davidson, a (flat) needle felter. ...

I was like someone playing with a new toy, getting some satisfaction from the look, feel and whimsy of it. I started wondering what would happen if I made up stories for myself and made 3-D finger puppets to tell my story. No one else had done anything like that with felt.

If someone gave me clay at the same time, would it have been the same transformational effect? I don't know. It's hard to say what your own outliers are.

CNN: What's your technique?

Moxie: Wool, like every animal hair, has scales up and down each fiber. My industrial felting needle has notches on it. When I poke it into the wool, the needle opens and shuts the scales so they lock like Velcro. Basically the wool is my clay and the needle is my fingertips. I poke it where I want it to indent. I add more wool where I want to build shape.

CNN: Is that connecting of fibers a metaphor for the connection you want your art to make?

Moxie: I believe in the high five. Everyone has a context, a history that no one can know like you know your own. I look for the opportunity every day to celebrate, in a spontaneous and deliberate way, to laugh with someone in a grocery line about something funny that happens or to give someone change for a dollar. I'll offer to high five you. I'm not a special ed kid or anything. I just believe in the potential of people. My day will only be what I make it, and I look for ways to feel human every day. One way is to connect to you. I encourage everyone to try it.

CNN: How does doubt and fear influence you?

Moxie: More than anything else, I've mastered the ability to ignore the voice in my head that tells me I don't know how to do anything. Some people call it the lizard brain, and it never goes away. I've learned to just do it anyway -- not that I'm not afraid.

CNN: Do you listen to or watch anything while felting?

Moxie: I can't watch films that are important to me, like any cinematography. I don't watch TV. I listen to podcasts like "You Look Nice Today: A Journal of Emotional Hygiene," "Stitching n  Junk," and "WireTap."

A relatively new one, "Back to Work," is about productivity and creative process. It's about how to stop getting distracted by people teaching you not to be distracted, and putting your butt in the chair.

I also love "WTF," because I'm an old-school stand-up comedy nerd and Marc Maron, the host, is really smart and complicatedly broken. He interviews his colleagues and sometimes talks about how broken they are. That is white hot, really good.

Moxie published an instructional book, "I Felt Awesome" (North Light Books) in 2010.

@highlight

Seattle artist Moxie creates creatures and objects from bright wool felt

@highlight

She learned how to felt when she hired an artist while running an afters-school program

@highlight

Her "Hunger" series features doll parts being gobbled up by felted aliens

@highlight

She says there's a "whimsy, desperate nature and shameful feeling" to some creatures