As Weibo, the largest social media platform in China, gets ready for its initial public offering (IPO), a recent university study claims Chinese micro-blogging activity might not be as vibrant as expected.

Only 5% of Weibo users generate original posts, while the rest of the Chinese micro-blogging world just re-posts from them, according to research by Fu King-wa from the University of Hong Kong. He also found that more than half of the registered accounts were "empty" with little or no activity.

Weibo claims it has 130 million active users -- though Fu believes the definition of "active user" is debatable.

In March, Weibo filed to debut on the U.S. NASDAQ exchange. It updated its regulatory filing last week, adjusting its offer to 20 million shares for $17 to $19 apiece, which would value the company at $3.9 billion. The IPO launch sparks discussions on the company's worth.

Weiboscope

Fu has been running his Weibo monitoring project since January 2011. Dubbed the "Weiboscope," the computer program was originally set up to expose and make publicly available the censored posts from a select group of users with more than 1,000 followers.

Weibo penetrates deep into the Chinese online world. By 2012, one in every two Chinese netizens used Weibo, according to the China Internet Network Information Center. That year was also when Fu began analyzing the usage pattern of Weibo's registered accounts.

To obtain representative data, Fu and his team obtained the timelines of a random sample of micro-bloggers.

In March 2013, Fu had looked at nearly 30,000 Weibo accounts. He found that 57% of the account timelines were empty, and out of the active ones about 4.8% contributed more than 80% of the original posts.

Fu stepped up his research in January and found the figures were becoming more pronounced.

Sampling 1,500 accounts each week, Fu found only 5%, or just 10 million users, generate most of the original posts on Weibo. In contrast, Weibo claims it has 130 million active users but does not say whether these users post original content.

But Weibo spokesperson Liu Qi questioned the analysis.

"The researcher doesn't have any cooperation with our database and he didn't obtain any data by accessing our official interface, as far as I know," he said. "We know better than they do about our own numbers. I don't intend to offend third parties, but I believe our data are more accurate."

However, Fu argued his study is a better reflection of user activity.

"In the Sina Weibo's IPO F-1 document, 'active users' is defined as those micro-bloggers who logged in the system by different means," he said. "I would say that this definition cannot reflect the real activities on Sina Weibo. For example, a mobile user commonly keeps the app in 'logged in' state but indeed has no usage at all.

"In contrast, my figures are calculated on the basis of the very nature of user-generated-content -- that is those who generate original posts. I think this is a much better way to indicate social media usage in the Web 2.0 era."

More reposts, more value

For Internet service watchers, Weibo's low active-user rate is not entirely a surprise.

"Research has consistently shown that active, original contributors constitute a tiny proportion, typically 1-2%, of any Internet service. So the figure of 5% cited in that research is comparatively high," according to Dominic Yeo, Research Assistant Professor from the Department of Communication Studies at Hong Kong Baptist University.

Yeo pointed to one of the earliest and most often cited studies on the so-called "free-riding" of Internet users, where the Gnutella network -- a popular peer-to-peer file-sharing service -- was scrutinized to reveal that 70% of users share no files, and nearly 50% of all responses are returned by the top 1% of sharing hosts.

He explained that active and original participation on the Internet by ordinary users has always been low because people do not primarily go on to these platforms to create content. For Weibo, users specifically join the community to share other users' interesting posts with their friends," he added.

It also just takes a lot of effort for people to create original content.

"There is a considerable amount of 'social risk' in creating original content because you can't be sure that what you create will be popular or appreciated by others. Thus the costs far outweigh the benefits, unless you're passionate enough to write or create something original, you'll realize that it's much better to re-post something already out there," said Yeo.

As for whether Fu's new findings will affect Weibo's upcoming IPO, Yeo predicted it would actually confirm Weibo's influence and value even more.

"The value of Weibo comes from having many users re-posting a particular item," he said.

"It is the ability to encourage people to re-post content rather than create their own that really matters. The company ultimately wields some control as to what becomes popularly shared and gains prominence through its data management. A business model based on a tiny proportion of active, original contributors is actually a norm for social media platforms."

Other Weibo critics point to larger problems on the company's horizon. Doug Young, author of "The Party Line," an in-depth look at Chinese media says that even though he is a user of the micro-blogging service, he won't be investing in Weibo because "there is the sense that Weibo has passed its prime.

"Most people treat Weibo as a news source, because they don't trust traditional media. The big question though is whether it can keep up with the times. I don't see how they have done much to innovate beyond knocking off Twitter."

@highlight

Independent research shows 10 million Weibo users generate nearly all the original content

@highlight

Weibo will launch IPO putting the company at a value of $3.9 billion

@highlight

Researcher says Weibo's definition of "active use" is debatable

@highlight

Weibo says its own data is more accurate and refutes the Hong Kong research claims