Hamid Dabashi is the author of "Iran: A People Interrupted." He is Hagop Kevorkian Professor of Iranian Studies and Comparative Literature at Columbia University in New York. His Web site is http://www.hamiddabashi.com/.

Hamid Dabashi says Muslim Americans can send a powerful message of support for Baha'i minority in Iran.

(CNN) -- In their latest communique regarding the fate of seven arrested members of the Baha'i religious minority in Iran, Amnesty International has expressed grave concern they may face the death penalty if they are found guilty of the charges of "espionage for Israel," "insulting religious sanctities," and "propaganda against the system."

As the Islamic Republic of Iran experiences the most serious challenge to its legitimacy in its 30-year history, the vulnerability of religious and ethnic minorities is the most accurate barometer of the crisis that all Iranians face in these dire circumstances.

Of all the various Iranian minorities, the Baha'i community historically has been the weakest and most vulnerable. The world's attention is rightly drawn to the fate of prominent reformists charged with treason, and to the arbitrary arrest, torture, rape and murder of young Iranians. But the fate of the Iranian Baha'is should not be eclipsed under the cloud of other civil rights abuses, for they represent much more than their own small community.

Minorities have always been at the mercy of belligerent authorities, particularly when they face a crisis of legitimacy. Kurds in western Iran, Arabic-speaking communities in the south, Azaris in the north, as well as Turkmans and Baluchis in the east have been at the forefront of such discriminations, which has in turn instigated chronic separatist movements in these areas.

At the same time, Iranian Zoroastrians, Jews and Armenians have also faced varied degrees of discrimination, at official or cultural levels and registers, as they have joined their Muslim brothers and sisters in opposing domestic tyranny and foreign intervention alike.

Among all these minorities, the Baha'is remain the most fragile in part because of intra-Shia sectarian hostilities that go back to mid-19th century and the rise of a vastly popular messianic movement known as Babism, of which the contemporary Baha'is are an offshoot. Its adherents consider themselves the followers of an entirely new religion, in fact the very latest Iranian monotheistic faith with over five million followers scattered over 200 countries.

While other religious minorities are specifically protected under the Constitution of the Islamic Republic, this is not the case for the Baha'is.

Article 13 of the Constitution has specifically and exclusively recognized Zoroastrian, Jewish and Christian Iranians as "the only recognized religious minorities, who, within the limits of the law, are free to perform their religious rites and ceremonies, and to act according to their own canon in matters of personal affairs and religious education."

The word "only" in this article seems specifically designed to exclude the Baha'is from this clause. Having the same effect, Article 14 of the Constitution stipulates the constitutional protection of the minorities to be exclusive to those "who refrain from engaging in conspiracy or activity against Islam and the Islamic Republic of Iran.

The location of the Baha'i holy sites in Haifa, Israel, has been a principal source of harassment and intimidation against the Baha'is. This goes back to the late Ottoman period and obviously predates the establishment of the Jewish state in 1948. It's also something over which the Baha'is have had no control.

In the face of systematic abuse of civil liberties of the Baha'is, there is very little that the American government can do, particularly in the aftermath of the Bush presidency and eight years of widespread Islamophobia in the United States that did not leave even the last presidential campaign unscathed.

Having waged war on two Muslim nations, the U.S. government is in the least favorable position to defend the rights of non-Muslim minorities in their own homeland. In addition, during the eight years of Bush presidency, and in the aftermath of the events of 9/11, being a Muslim became a liability in the United States, creating PR problems even for President Obama's middle name.

It was not until former Secretary of State Colin Powell came out strongly against such vilification of Muslims that a prominent public figure put the problem on the national consciousness.

As much as the U.S. government is in the worst position to come to the Baha'is' aid, Muslim Americans are perfectly poised to voice their outrage against the abuse of religious minorities in Iran or anywhere else in the Muslim world, for they know what it feels like to be a political pariah and a religious minority in an overwhelmingly alternate context.

Since the terrifying events of 9/11, American Muslim communities have endured much religious and racial profiling and suspicion, as they have seen the terms and icons sacrosanct to their faith maligned and ridiculed in Western Europe, North America and Australia.

Multiply that experience many times and extend it back to the late 19th century and that would be the experience of the Iranian Baha'is, trapped inside their own homeland, banned from or exercising the terms of their own sacrosanct principles.

The experiences of Muslims as a minority here in the United States, or in Europe for that matter, gives them a unique position to raise their voice against the abuse of non-Muslim minorities in Iran and the rest of the Muslim world.

In a world now defined by the presence of multiple faiths inside many nations and as American Muslims learn to come together to protect their own constitutional rights in an old democracy, it would only be fitting if they were to raise their voice in defense of other religious minorities seeking to secure their basic rights to religious liberties in countries aspiring to become democracies.

The fate of Iranian Baha'is is not only a matter of their fundamental civil rights in the context of any republic, Islamic or otherwise. It is the very cornerstone of democratic citizenship without which the Muslim majority of Iranians is denied their constitutional protection. Watch the fate of the Iranian Baha'is carefully.

The day they are free to practice their religion without fear, Iranians at large will have finally secured their civil liberties.

The opinions expressed in this commentary are solely those of Hamid Dabashi.

@highlight

Hamid Dabashi: Seven Baha'is on trial in Iran, perhaps for their lives

@highlight

He says the Iranian regime doesn't support freedom for the Baha'i minority

@highlight

He says Muslim Americans are in unique position to speak out for Baha'is in Iran

@highlight

He says when Baha'is are granted liberty, all Iranians will have civil rights