Hong Kong (CNN) -- This is the story of two entrepreneurs with two very different interests. One thing they have in common: Both took major risks and started a business in the middle of the global financial crisis. What was the motivation?

For Mike Haskamp, January 2009 was a low point. He was laid off and divorced that month. He had been an investment banker for Lehman Brothers, whose bankruptcy in September 2008 catalyzed the financial crisis. He was only 30.

This was not supposed to happen to a Harvard grad armed with an MBA from Columbia. "I started interviewing for jobs at private equity firms and five weeks into it, I realized I wasn't really in love with the job or the industry anymore," Haskamp says.

So he did what most entrepreneurs do. He networked with friends, brainstormed and came up with a business idea that embraced his passion: martial arts. Haskamp, who grew up in Macau and Hong Kong, has practiced martial arts his whole life. He wanted to start a mixed martial arts company in Asia for Asian-Pacific fighters. He and a friend Chris Pollak, who was ready to leave his job at McKinsey Consulting, sold all their possessions, put up their own seed capital and set up the business.

Legend Fighting Championship was born in July 2009. "We saw that Asia was doing better than the rest of the world, looking to recover faster and we saw that trends in entertainment, the growth of the middle class, the deregulation of media. Those all sort of pointed in my mind to a much more favorable environment than ever before to start a sports media-oriented business," Haskamp says.

Two and a half years later, Legend has carved a niche for itself in the mixed martial arts world. They will put on their eighth major championship at the end of March in Jakarta. Initially, their revenues came from ticket sales. Today, it's a combination of television licensing, sponsorships, ad sales and ticket sales. China is their biggest revenue market followed by Indonesia and Australia. Haskamp says he sees a surge of interest in the Philippines, Malaysia and India.

Taking the Risk

Maximilian von Poelnitz found a problem and started a business to solve it. After living in Hong Kong for four years, the 27-year-old discovered it was difficult to find good quality food - especially meat - at affordable prices. He had worked in corporate real estate for CB Richard Ellis but was getting the itch to start his own business.

He and two friends came up with the concept for Secret Ingredient, a delivery service of fresh ingredients for ready-to-cook dishes with the cooking instructions included. One selling point is all the meats and fish are imported from Australia and New Zealand. They pooled their own money together for $100,000 to start up the business. They rented an old print shop, converted it into a test kitchen and spent several months trying out different recipes. "The success of our business depends on logistics," von Poelnitz says. That means figuring out how to deliver the meals during crunch dinner time in a busy city like Hong Kong. Secret Ingredient uses couriers on foot, vans and mopeds.

After about 250 test meals -- mostly with friends -- Secret Ingredient launched last fall in Hong Kong. Since then, Von Poelnitz says the young business is close to serving its 1000th meal. One regular client is Petrina Vos, a vice president of human resources at Blackrock. "I work really long hours from 7 a.m. to 8 p.m. It's the time question for me ... the price point is really reasonable," she says. "My meals average HK$250 (US$ 32) for two people. I think that's good for the quality of food, ease and time it saves you."

Both Legend and Secret Ingredient started in a period of global economic fragility. What made Haskamp believe investors would buy into the niche idea of setting up mixed martial arts fights and that the public would pay good money to see a fight? "Economies go through cycles and if you're always waiting for the perfect time to do something then you might miss the opportunity," Haskamp explains.

Von Poelnitz says, "I think in our case, the timing and all the chips kind of fell into place. It was less the macro (situation) and more the timing of our individual lives that made it work." His two partners bring different skills to the table. One is a former lawyer and the other is a chef who used to run a private kitchen in Hong Kong.

Lessons Learned

Both businesses benefited from running a lean business from the start. Legend started out in Haskamp's small Hong Kong apartment. "We paid an intern to work from our dining room table," Haskamp said. In order to decide which fighters to invite to championships, Haskamp and his partner do their initial research by watching fight videos on the internet. Then they fly to the fighter's home country to meet and hammer out individual contracts.

Between Secret Ingredient's three co-founders, they have a large social network of friends to spread the word. "We don't have very much of an advertising budget," says von Poelnitz. They utilize Twitter and have dabbled in Facebook advertising. They've also bartered with friends in public relations: free meals for free PR..

One unexpected lesson for Secret Ingredient was realizing the timing of their launch was not ideal. They opened for business a few months before Christmas and Lunar New Year when many new customers leave Hong Kong for the holidays. "Being in the food business, holidays are your big enemy which seems counterintuitive," says von Poelnitz.

Neither Legend nor Secret Ingredient will say whether they're profitable or breaking even at the moment. The one thing the founders will say is they're glad they went against conventional thinking and took the plunge. "I knew this was a good idea. I trusted my partner. I trusted myself and ultimately, I think it's paid off," says Haskamp.

@highlight

Mike Haskamp started his own business the month he was laid off and divorced

@highlight

Haskamp went from working in markets to launching his own martial arts championship

@highlight

Maximilian von Poelnitz found a problem and started a business to solve it

@highlight

Von Poelnitz started a high quality meals delivery service aimed at the executive set