Washington (CNN) -- It should have been a happy day for Raymond Jose: He had been accepted to college, with scholarships to help pay for it.

But when he told his parents, his mother started to cry.

"I was puzzled why she was crying after hearing such great news," said Jose, who was to attend Montgomery College in Maryland. "That was when she started to explain to me we were undocumented, that we had overstayed our tourist visas."

Jose's family had come to the United States from the Philippines in 2000, when Jose was 9. They first lived in the Tampa Bay, Florida, area but moved four years later to Maryland.

Jose had been assimilated into American life and culture and didn't know that he was undocumented until that day. When he found out, he was heartbroken. His undocumented status prevented him from using scholarship money to help pay for school.

"Every day after that, it was really hard to get out of bed," Jose said.

The debate over immigration reform has been focused on border security and immigrants from Latin America.

But the Asian population in the U.S. grew by more than 40% between 2000 and 2010, according to the U.S. Census Bureau. The number of those identifying themselves as Asians, either alone or in combination with another racial group, grew from 11.9 million to 17.3 million.

U.S. settles case in immigration raids, must follow new guidelines

Of the more than 11 million undocumented immigrants in the U.S., 1.3 million are from Asia, according to the Department of Homeland Security.

As this year's immigration reform efforts began, Asian-American advocacy groups laid out their priorities to the Gang of Eight negotiating a bill in the Senate, along with other key legislators like House Speaker John Boehner and Minority Leader Nancy Pelosi. Their priorities in the immigration debate include establishing a humane pathway to citizenship, restricting the use of electronic employment verification systems such as E-Verify and reducing visa backlogs.

The groups are also trying to fight efforts to increase the number of business-related visas at the expense of those that allow immigrants to join resident family in the U.S. and change the policy of deportations for minor offenses.

The Asian American Justice Center, based in Washington, has been focused on family visas.

"Lindsey Graham and others have been very public on eliminating the married adult children category and brother-sister category," Mee Moua, president and executive director, said of the Republican senator from South Carolina.

The justice center has met with legislators to argue that such visa categories shouldn't be eliminated and has provided information for Asian-Americans, Latino Americans and those in the African and Caribbean communities on the impact if these visas were to be eliminated.

"Our aim is to fight for and be the champion for a common-sense solution for the family visa situation," Moua said.

Meeran Mahmud, a staff attorney at the Asian Pacific American Legal Center, has an older sister in Pakistan who is waiting to be reunited with her family in the U.S.

Her uncle applied for their papers in 1986. Mahmud was able to come to the U.S. 10 years later, but her sister had turned 22 and was no longer eligible.

Her sister has since married and had children of her own.

"Been waiting since she was a little girl, and she will be turning 40 this year," Mahmud said.

Another major issue for the Asian Pacific American Legal Center is the detention and deportation of immigrants and refugees.

Anoop Prasad, a staff attorney for immigrant rights at the Asian Law Caucus, points to the Illegal Immigration Reform and Immigrant Responsibility Act of 1996 as increasing deportations. Prasad says that under the law, the U.S. can deport someone who was convicted of minor offenses as a teenager, like possession of a small amount of drugs or shoplifting.

Springtime for immigration reform?

The law has severely affected the Cambodian, Laotian and Vietnamese communities, Prasad said.

"It is a complicated question but has a good deal to do with issues with refugee resettlement issues in the '80s. Many were dealing with mental health issues from the (Vietnam) war. Almost all Cambodian refugees had lost a relative in the genocide, and many had seen relatives killed or starved to death."

Post-traumatic stress disorder and depression rates among Cambodian refugees are over 80%, Prasad said. "Yet mental health services weren't available when they arrived. Most were resettled in neighborhoods with high unemployment and poverty rates along with drugs and high incarceration rates. In the absence of a strong family support structure, many joined gangs when they were in high school and picked up convictions."

Prasad wants more discretion when dealing with deportation cases rather than having someone's fate decided simply by a look at their convictions.

"These are actual people with names and stories and families," Prasad said, "and it's our job to make sure their voices get heard."

The Chicago-based Asian American Institute has also been meeting with legislators and organizing Asian-Americans to talk with their congressmen about issues like immigration.

The institute has been collecting and posting personal stories from Asian-Americans.

For example, Connie wants to bring her son from the Philippines to live with her in the U.S.

"Applications where her son's is categorized normally take 11-12 years," Connie's story says. "In the interim they have tried to spend every Christmas together for the past 8 years since Connie came to the US. It's a form of bonding; a pact that only gets more painful and emotional every goodbye time -- and expensive."

As for Jose, he's making do, whatever ultimately happens in Washington.

After he graduated high school, his father handed him an envelope with enough money for one semester at community college.

'Illegal immigrant' title seen as a challenge

Since then, his family has been helping him pay for school. His father does landscaping and sometimes works as a vendor at RFK Stadium in Washington.

His mother babysits, take cares of the elderly and cleans houses. Even his older sister has taken odd jobs to help.

Jose has had to skip semesters so he could work and help his family financially.

He also took part in the campaign to help pass the Maryland DREAM Act, which grants in-state tuition rates to undocumented immigrants, last year and has continued to raise awareness about others like him.

"We're here, and we're not leaving, and we want a just and inclusive immigration reform," Jose said.

@highlight

More than 1.3 million Asians are undocumented in the U.S.; many arrived here as children

@highlight

The Asian population in the U.S. grew by more than 40% between 2000 and 2010

@highlight

The Gang of Eight in the Senate is negotiating a sweeping immigration reform bill