(CNN)  -- As the United States works with Israelis and Palestinians to sustain Mideast peace talks, another diplomatic effort to forge a two-state solution is quietly but quickly moving to the center of American foreign policy.

In about 100 days, the people of South Sudan are to vote on whether to declare independence from the government in Khartoum. That deadline was set when the two sides signed the Comprehensive Peace Agreement of 2005, which promised this option.

There is little suspense as to the outcome: Every reliable source indicates that South Sudan will vote for separation, dividing Africa's largest country and taking with it some 80 percent of known Sudanese oil reserves. No, the critical choice that leaders in both North and South face is between a future of peaceful coexistence or a return to chaos and war in a place tragically familiar with both.

While there are obviously differences, these situations in the Mideast and Sudan have more in common than the painful process of division. Each features disputes over land and resources, religious and ethnic differences, and conflicting narratives of bloodshed and loss. Time is a critical element in every peace process. And with its referendum fast approaching, Sudan, too, faces the tyranny of the onrushing calendar.

The deadline for the Southern referendum promised in the peace agreement, January 9, 2011, is not negotiable. But exactly how the North and South will simultaneously separate while remaining interconnected must be.

Southern Sudan may possess most of the known petroleum reserves, but the pipelines to market for that oil run through the North. Millions of Southerners displaced by the war will continue to live in Khartoum, and Northerners will live in the South.

Every dry season, herders from the North's Arab Misseriya tribes cross into what will likely become the country of Southern Sudan and then return. The Nile will continue to flow northward, regardless of borders and politics. Boundaries must simultaneously be demarcated and accommodating. And the parties need to finalize the details fast enough to ensure that violence cannot fill the vacuum.

The last war between North and South lasted for decades and claimed millions of lives. Earlier this year, then-Director of National Intelligence Dennis Blair told Congress that, over the next five years, Southern Sudan is the place where "a new mass killing or genocide is most likely to occur." And while we try to prevent the next potential wave of genocide, we cannot ignore the fact that Darfur's tragedy remains unresolved. Even as America asks how it can help Southern Sudan prepare for the likely burdens of statehood, it must also consider the Sudan that remains. Attention to Darfur must not be a casualty of our necessary fixation on the North-South crisis.

Recognizing the urgency of the situation, the administration has launched a heightened campaign of diplomatic engagement. President Obama joined U.N. Secretary-General Ban Ki-moon and Vice President Ali Osman Taha of the North and Salva Kiir, leader of the South, in New York last week to highlight the imperatives of peace, while he has also reinforced the American diplomatic presence in the region.

Congress must also weigh in. I have written legislation to put Congress on record to reinforce the American commitment to see the peace agreement through, to lay the groundwork for what will come and to reinvigorate the Darfur peace process.

One painful lesson from years of Mideast peacemaking is that even when the elements that will constitute an accord may seem clear from the outside, the compromises and choices that will make it possible are difficult to accept, sequence and execute.

Time in Sudan is short and the stakes are high. Although the Sudanese themselves will own their future, America must now help North and South Sudan to find a peaceful path forward.

The opinions expressed in this commentary are solely those of John Kerry.

@highlight

John Kerry: South Sudan likely to vote for independence, raising specter of more war with North

@highlight

Congress must commit to laying groundwork for peace between North and South, he writes

@highlight

Senator says the situation resembles Middle East in its complexity and pitfalls

@highlight

Commitment to revive peace process in Darfur also essential, Kerry writes