Cairo (CNN) -- The man who held Egypt in an autocratic grip for three decades is apparently soon going free. The man who replaced him in the nation's first democratic election is now the military's prisoner.

And while the criminal case against Hosni Mubarak -- accused of involvement in the deaths of protesters calling for his ouster -- remains alive, news that a court has ordered him released pending retrial naturally has some asking whether Egypt's Arab Spring moment was all for naught.

It's a good question, says Robin Wright, a Middle East analyst with the Woodrow Wilson Center. But it may also be premature.

While she says Mubarak's pending release is a "extraordinary development" and a "potent symbol," its impact could be muted by the long list of worries Egyptians are already dealing with on the ground -- violence, curfews, economic woes.

"It may not play as big there as it does here," she said.

The 85-year-old Mubarak has been held since shortly after he was removed from power in 2011. He was convicted last year on charges of inciting violence against protesters during the popular uprising the led to his ouster and, eventually, the elections that brought Morsy to power.

Muslim Brotherhood's spiritual leader is arrested in Egypt

He was sentenced to life in prison but appealed, and a retrial was granted early this year.

While he still faces a retrial on that charge, state-run media outlet Al-Ahram reported Wednesday that an Egyptian court ordered the deposed leader freed in a separate corruption case.

The court ordered Mubarak's release because he has been held past the maximum time he can be detained before being convicted.

Egypt's military issued a decree to place Mubarak under house arrest, state-run Masriya TV reported. He would be required to remain in the country.

Egypt's general prosecutor has said he will not appeal to keep Mubarak in custody, state media reported, clearing the way for him to be released.

He could be out as soon as Thursday, state-run TV channel Al-Masriya reported, citing a Mubarak lawyer.

Unrest in Egypt

Mubarak's impending release comes at a time of turmoil in Egypt, where an interim military government has been in charge since Mubarak's successor, Mohamed Morsy of the Muslim Brotherhood, was ousted as president last month.

Over the past week, about 900 people -- security personnel as well as citizens -- have been killed. Deaths occurred when the military used force to clear two pro-Morsy sit-in sites in Cairo on Wednesday last week and violence raged after pro-Morsy supporters staged demonstrations Friday.

Mubarak ruled Egypt, the most populous Arab country, for three decades until demonstrators opposing his rule forced his ouster in 2011 as part of the Arab Spring revolutions across Africa and the Middle East.

Life during chaos: Egyptians talk about coping

Despite the release, there's no possibility of his return to power, Wright said.

"He's an old man, and ailing," she said.

Mubarak suffered a heart attack after relinquishing power and argued that he was physically unfit to stand trial.

He spent months of his detention in a military hospital but was ordered back to prison in April.

'Deeply divided'

Eric Trager, with the Washington Institute for Near East Policy, told CNN that Mubarak's release would likely prompt mixed reactions among Egyptians.

"For many Egyptians, Mubarak's release will be met with a shrug. Some will cheer it because obviously a regime cannot last for 30 years without some societal support," he said. "Others will certainly take to the streets in response to it."

But, he added, "the revolutionary youths who will certainly be outraged by this will probably also worry about finding themselves in the streets alongside the Muslim Brotherhood."

Egyptian tourism in crisis

According to Trager, many Egyptians now believe -- thanks to a persistent state media campaign since Morsy was ousted -- that the Muslim Brotherhood was responsible for the deaths of protesters during the 2011 uprising, not the Mubarak regime.

As for the timing of the court's ruling, some Egyptians may see a conspiracy behind it in which the old regime seeks to reassert power following Morsy's ouster, Trager said.

"Others, who see this as a normal, understandable process in which a leader who they now associate with a better time in Egypt is now being released, will give a different response," he said.

"I expect that Egyptians will be divided on this as they have been deeply divided in every point of the last two-and-a-half years."

Tamarod, the anti-Morsy protest movement which called for the mass rallies that led to his ouster, said it was not surprised by the ruling on Mubarak's release.

In a statement on its official website, the group blamed Morsy's administration for failing to do enough to push Mubarak's trial forward.

The group called for a retrial of the former president, with new evidence before the court, and for Morsy to be put on trial as well.

The military, which has governed Egypt since forcing Morsy out of office, continues to hold him in detention and controls the judiciary.

Egypt explained: 6 key questions

CNN's Karl Penhaul reported from Cairo and Laura Smith-Spark wrote and reported in London. CNN's Slma Shelbayah, Tommy Evans and Saad Abedine, Michael Pearson and journalist Sarah Sirgany contributed to this report

@highlight

NEW: Egypt's military issues a decree placing Mubarak under house arrest, state TV says

@highlight

Analyst Robin Wright says Mubarak's pending release is an "extraordinary development"

@highlight

But she says it could be diminished amid long list of Egyptian worries

@highlight

He was convicted in the deaths of numerous protesters but was granted a retrial this year