(CNN) -- Six inches of snow in Chicago. A foot or so plastering the Upper Midwest. And up to 20 inches expected just west of Washington.

Surely, there's a silver lining to these snow clouds though, right? Don't they bring much-needed moisture to parched states?

Not quite.

Snow is very fluffy, and it takes up to a foot of it to squeeze out an inch of rain, meteorologists say.

Snowfall is "definitely a benefit, but not a drought-buster," said CNN meteorologist Dave Hennen.

Many drought-stricken states need a foot of rain, not snow.

Frozen ground

When the ground is frozen, little of the moisture left by snow sinks into the soil.

"All of the snow that has fallen over the winter by and large remains on top of the landscape," said Minnesota's state climatologist Greg Spoden.

Winter storm moves in on D.C.

When the sun comes out, it melts the snow first, while the ground remains hard, causing the water to flow off into lakes and rivers, or evaporating, instead of sinking in.

Lake City, Minnesota, has received 11.5 inches of snow since Sunday morning, which amounts to about an inch of rain. Not much for a state with levels of soil moisture near all-time lows, according to Minnesota's Department of Natural Resources.

"Even flooding at this point won't alleviate a drought," the agency said. But the recent snow will give river and lake levels a nice bump.

The snow sent motorists sliding off of slick roads Tuesday, in spite of widespread coverage with salt spread by trucks.

Plains states have it worst

Comparatively, Minnesota doesn't have it that bad, according to U.S. Drought Monitor. About half of the United States is now "abnormally" to "moderately" dry, or worse.

Things look particularly bad west of the Mississippi River.

When 21 inches fell on Wichita, Kansas, in February, it broke a monthly snowfall record set in 1913. But the state is still plagued by "severe," "extreme" and "exceptional" drought, U.S. Drought Monitor said.

Oklahoma and Kansas will keep more of the moisture the snow left behind, because the ground there isn't frozen, said meteorologist Joel Widenor.

Only one state is drier, Nebraska, where U.S. Drought Monitor is located at the University of Nebraska in Lincoln. Most of the state is going through an "exceptional" drought.

Climate change and snowfall

Record snow falls combined with record drought comes as no surprise to climatologists studying climate change.

Total snowfall in the western half of the country is dropping, said Princeton climatologist Sarah Kapnick, which will mean less accumulation of moisture from snow.

At the same time, the storms that sweep the United States should grow more intense, said meteorologist Marshall Shepherd from the University of Georgia. With global warming, "we're loading the dice or stacking the deck toward more intense blizzards," he said.

River water levels

Snowfall has bolstered water levels on the Mississippi River, which had dropped due to drought, said Ann McCulloch, spokeswoman for American Waterways Operators.

When high temperatures dried out much of the country last summer, barges were restricted to floating at a depth of nine feet instead of 12 feet. Recent snows have pushed water levels up enough to allow barges to run at 12 feet of depth again.

McCulloch is afraid this might not hold, when the summer heat returns.

Water where it's not needed

As the current storm reaches the Atlantic coast, dumping snow on the nation's capital, the white precipitation should become slushier and deliver more moisture per foot of snow, according to CNN's Weather Center.

The District of Columbia and Baltimore are bracing for potentially significant accumulations, according to the National Weather Service. Snow plows have been readied.

Airlines have canceled flights to and from Washington's Dulles airport ahead of the storm's arrival: United 650, U.S. Airways 350, American 20.

But by the time the storm gets there, it could turn to rain.

The Northeast doesn't need it. It is already plenty moist, Drought Monitor said.

In the parched Plains states, snow hasn't helped enough.

They could use that rain.

CNN's Mariano Castillo, Dana Ford and Phil Gast contributed to this report

@highlight

It takes up to a foot of snow to deliver an inch of rain

@highlight

About half of the United States is too dry

@highlight

Chicago sets snowfall record for the day