(CNN) -- As the story goes, in 2010 there was a dramatic political course correction. The electorate that just two years earlier had overwhelmingly voted for hope and change, sweeping Democrats into office, up and down the ballot, across the country, had buyers' remorse.

America changed its mind after 2008 and broke hard for the tea party, building a wave that would devastate Democrats. At least that's the conventional lazy narrative about the 2010 midterm elections.

That narrative draws a picture of a tea party wave that swept Republicans to victory on the back of a set of conservative policies in reaction to President Barack Obama and Democrats.

As often is the case with Washington, reality and spin aren't necessarily on the same page. Reality is actually a little different; well no, it's actually really, really different than the tea party wave narrative would have you believe.

And as we are a few weeks out from the 2014 midterm elections where many believe Democrats are poised once again to be battered into oblivion by another tea party wave, it's important to dissect what happened in 2010 and why there is a possibility that this time might be a little different from what conventional wisdom is trying to tell you.

The 2010 tea party wave is a lie. In truth, if you look at the enormous drops in voter participation from 2008 or 2012 in comparison with 2010, instead of referring to it as the "2010 Tea Party wave election" a more accurate description might be "the 2010 Democratic ebb election."

Ebb is a particularly fitting depiction because much of the 2010 election dynamic that helped Republicans then, and which the GOP is banking on for this November as well, can be explained by the rush back away from the polls of the younger diverse wave that swung the country toward Democrats two years earlier.

Indeed, when we analyze the voter file (looking precinct by precinct at the number of voters in 2012 versus the number in 2010) across a sampling of key battleground states with critical down-ballot and federal races at either the congressional or Senate level (North Carolina, Michigan, Ohio, Florida and Virginia) to see in reality who is voting and not voting, what you find is that not all midterm drop-off is geopolitically equal.

The reality is that Republicans had a much smaller drop in turnout in the midterm compared with the presidential election.

In key battlegrounds, Republicans have a 17-point advantage in the actual voter turnout between base Democratic precincts and base Republican precincts.

While base Republican precincts remain fairly energized from presidential to midterm elections, Democratic base precincts do not. In these key battleground states, 65-plus performing Democratic precincts (precincts that vote Democratic at a rate of 65% or better -- in other words, Democratic base) turned out at 34%, while Republican 65-plus precincts (precincts that vote Republican at a rate of 65% or better -- base Republican) turned out at 51% as a percentage of registration.

Those precincts in the middle between the two ideological bases turned out at a rate of 44%. That in a nutshell is how Democrats lost in 2010 and how Republicans are poised to have a stellar year again in 2014 -- not a wave, but a Democratic base ebb.

If Democratic base precincts across the battleground states turn out on average 17 points lower than Republicans precincts in November, Republicans will take the Senate and swell their majority in the House of Representatives along with their numbers in statehouses across the country.

Regardless of how brilliant our candidates are, or how well our campaigns are run, Democrats simply aren't going to win if our base precinct turnout is some 40 points off from the presidential election. That's not theory, that's just cold hard math.

Yes, Democrats have to persuade swing voters, but there isn't enough persuasion in the world to make up for a 17 percentage-point difference between Democratic base precincts and Republican base precincts; that's a nearly a 2 million vote difference in these five key states alone.

Republicans get that midterms are all about firing up their base. The election map and history are set up to create a perfect storm for Republicans to run up the score and have a spectacular year; the only thing standing between them having a spectacular year and simply a good year is the Democratic Party's base. A base that has been underestimated before by Washington conventional wisdom.

Note, much of the conventional thinking in 2012 had Obama in a really tight race, if not outright losing to Mitt Romney, and Republicans making net gains in the Senate. In actuality, the race wasn't really that close as Obama won by an electoral landslide and Democrats picked up seats in both the House and Senate.

Many observers, riding on the backs of Republican pollsters' models that miscalculated the Democratic base, missed the possibility of a rising and determined, diverse younger electorate in 2012 that would ultimately lay waste to their perceived reality.

If Democrats have any chance of surviving the perfect midterm storm on the horizon, it will be because the same underestimated younger and diverse cohort of voters that anchored the Obama majorities are awakened and engaged. As it stands now, they are not.

But there are signs that their value to civic participation has been stirred, and they are looking for vehicles to express their voice for change. You hear elements of it in the grass-roots protest by young people happening now; you hear it in their anxious frustrated refrain, "Hands up don't shoot," which has spread from Ferguson, Missouri, to across the globe. The question is: Will that refrain become hands up go vote as these younger diverse voters connect their frustration to the ballot box in post-Obama campaigns?

Join us on Facebook.com/CNNOpinion.

@highlight

Cornell Belcher: Conventional wisdom says a tea party wave drove results of 2010 midterms

@highlight

He says numbers show a huge drop in Democratic voters doomed candidates in 2010

@highlight

In midterms, Democrats stand to lose Senate and more if base doesn't turn out, he says

@highlight

Belcher: Young, diverse base of Obama voters can make a difference if they turn out