(CNN) -- Carrie Johnson is representing the United States at the 2012 Olympics in pursuit of the gold medal in women's kayaking.

But while she battles for the gold, Johnson is fighting another battle: with Crohn's disease, one of the two most common inflammatory bowel diseases, according to the U.S. Centers for Disease Control and Prevention.

In a recent SI.com interview, Johnson talked openly about her illness.

One of the first things she did after being diagnosed in 2003, she said, was "take to the Internet and library to read about the disease." She had to -- like many people, she had heard of Crohn's disease but had little understanding of it.

More than 1 million people currently suffer from Crohn's disease, and thousands more are diagnosed each year. However, many suffer in silence, as the effects of Crohn's are often not openly discussed.

About seven of every 100,000 people in the United States are diagnosed, most of them between the ages of 15 and 30, according to the Crohn's and Colitis Foundation of America. There is no cure for the chronic condition.

Crohn's disease is named after Dr. Burrill Crohn who, along with two colleagues, recognized and documented the symptoms in 1932.

Those diagnosed with it include some well-known personalities such as former President Dwight D. Eisenhower; Mike McCready, guitarist for Pearl Jam; former Miss America Mary Ann Mobley; and actress Shannen Doherty.

Crohn's disease is an autoimmune disease of the digestive tract that most often affects the small or large intestines, and sometimes both.

According to the CDC, Crohn's is "a condition of chronic inflammation potentially involving any location of the gastrointestinal tract, but it frequently affects the end of the small bowel and the beginning of the large bowel. In Crohn's disease, all layers of the intestine may be involved and there can be normal healthy bowel between patches of diseased bowel."

In a healthy body, the immune system creates an infection-fighting protein called tumor necrosis factor. When Crohn's disease is present, TNF is produced in excess as the immune system mistakenly identifies healthy bacteria as a foreign presence.

This causes the body to launch an attack and begin fighting the excess TNF, which leads to more inflammation, which results in more TNF.

As this internal battle takes place, it causes severe pain, abdominal swelling, cramping, bleeding, diarrhea and deterioration of the affected portion of the intestinal tract.

Dr. Dennis Choat, a board-certified colon and rectal surgeon with the Georgia Colon and Rectal Surgical Associates, is all too familiar with the effects of Crohn's on patients.

"Crohn's is a chronic, lifelong disease for which there is no cure," he said. "Because its cause is unknown, and because flare-ups happen without warning, those diagnosed with Crohn's face a life of challenges and uncertainties.

"For some, treatment will bring about favorable results. For others, treatment will have little or no effect. Each patient is different, and treatment is a trial-and-error process. The only certainty is that it is a lifelong battle."

The cause of Crohn's is not known, but the National Institutes of Health notes that it can run in families and have a genetic component. Unknown triggers can also be caused by the environment.

Early treatments for Crohn's disease primarily centered on steroid drugs such as prednisone, which relieved the inflammation but did little more.

In recent years, there has been significant success in treating symptoms, and in some cases bringing about remission, with the use of newer anti-TNF drugs such as Remicade, Humira and Cimzia. However, they too have their own set of complications and side effects.

The man who couldn't eat

A diagnosis of Crohn's disease often brings more questions than answers, and patients can face a long list of ever-changing complications.

In addition to pain, bleeding and bowel changes, they have difficulty absorbing nutrition and often deal with malnourishment, anemia and crippling fatigue.

Left untreated, Crohn's spreads throughout the intestinal tract, causing more severe symptoms and a bleaker prognosis. The disease itself is not classified as a terminal illness, but the complications that arise from it can sometimes be life-threatening.

Crohn's patients face another stark reality: In spite of their and their doctor's best efforts, the disease can stop responding to medication. When that happens, surgery becomes a last resort.  
According to the Crohn's and Colitis Foundation of America, about 70% of Crohn's sufferers eventually require surgery. About 30% of patients who have surgery for Crohn's disease experience a recurrence of their symptoms within three years, and up to 60% will have a recurrence within 10 years.

The two most common surgeries for Crohn's disease are bowel resection surgery, which involves removal of the deteriorated portion of intestine, and fistula repair surgery.

Fistulas can result from Crohn's disease permeating the intestinal wall, leaving an opening or "hole" in the intestinal tract. This is one of the most serious complications of Crohn's. Developing infection during the healing process is not uncommon, and often leads to temporary ostomies and lengthy periods of intravenous feeding.

Could I have inflammatory bowel disease?

Crohn's will always bring about a change in the quality of life, but recent studies are painting a picture for a more hopeful future. Medical research funding is critical, and raising funds presents a challenge in the current economic environment.

"It's not a matter of if we find cures; it's a matter of when, and that's determined by available funding," said Richard Geswell, president of the Crohn's & Colitis Foundation of America.

The foundation is the largest voluntary nonprofit health organization dedicated to finding cures for inflammatory bowel diseases, a classification that includes Crohn's and colitis. It is one source of funding for studies across the country and has chapters nationwide.

The foundation's website allows patients to become part of online study groups by sharing their symptoms, progress and complications. This allows the patient to develop an understanding of his or her individual case, and allows the foundation to have access to more patient histories for use in its research.

Living with Crohn's disease: 'Today I will fight again'

@highlight

More than 1 million people in the United States have Crohn's

@highlight

Patients face ever-changing complications

@highlight

Those with Crohn's include Olympian Carrie Johnson