In unscheduled and unusually personal remarks, President Barack Obama tried Friday to explain why African-Americans were upset about last week's acquittal of George Zimmerman in the shooting death of Trayvon Martin while lowering expectations for federal charges in the case.

"Trayvon Martin could have been me 35 years ago," Obama told White House reporters in a surprise appearance at the daily briefing.

His remarks, which lasted about 20 minutes, escalated a nationwide debate on the verdict that has prompted protests, including some that turned violent.

A Florida jury acquitted Zimmerman last Saturday in Martin's February 26, 2012, shooting death, inciting anger among many who considered the incident racially motivated murder.

Obama issued a written statement on Sunday, noting that the jury had spoken and urging calm and reflection. Despite some calls for him to speak about the case, the nation's first African-American president had made no further public comment until Friday.

Speaking without a teleprompter, Obama noted a history of racial disparity in law as well as more nuanced social prejudice that contribute to "a lot of pain" in the African-American community over the verdict.

"There are very few African-American men in this country who have not had the experience of being followed when they are shopping at a department store. That includes me," the president said.

"There are probably very few African-American men who have not had the experience of walking across the street and hearing the locks click on the doors of cars. That happens to me - at least before I was a senator," he continued.

Read the full transcript of President Obama's remarks

"There are very few African-Americans who have not had the experience of getting on an elevator and a woman clutching her purse nervously and holding her breath until she had the chance to get off. That happens often," he said.

Saying he didn't intend to exaggerate those experiences, Obama added that they "inform how the African-American community interprets what happened one night in Florida."

"The African-American community is also knowledgeable that there is a history of racial disparities in the application of our criminal laws, everything from the death penalty to enforcement of our drug laws," he said. "And that ends up having an impact in terms of how people interpret the case."

African-Americans feel the context of the Martin killing is little known or denied, "and that all contributes, I think, to a sense that if a white male teen was involved in the same kind of scenario that, from top to bottom, both the outcome and the aftermath might have been different," Obama said.

These cases usually matter for states

At the same time, Obama responded to calls by civil rights groups for federal hate crimes charges to be filed against Zimmerman by saying the Florida legal process had reached a verdict.

"Once the jury's spoken, that's how our system works," the president said, later adding that while Attorney General Eric Holder was looking further at the case, those calling for federal charges must "have some clear expectations here."

In America, law enforcement and the criminal code are "traditionally done at the state and local levels, not at the federal level," he said.

On Saturday, "Justice for Trayvon" vigils are scheduled outside federal buildings across the country by Rev. Al Sharpton's National Action Network.

Sharpton called Obama's remarks Friday "significant and much needed," saying in a statement that the president "set a tone for both direct action and needed dialogue."

Martin's parents said they were "deeply honored and moved" that Obama spoke publicly about their son, saying the president's comments "give us great strength at this time."

"Trayvon's life was cut short, but we hope that his legacy will make our communities a better place for generations to come," said the statement by Tracy Martin and Sybrina Fulton. "We applaud the president's call to action to bring communities together to encourage an open and difficult dialogue."

However, some conservative commentators criticized Obama for what they called divisiveness by speaking as an African American instead of representing the entire country. Todd Starnes, a Fox News Radio anchor, tweeted "race-baiter in chief."

Stark contrast: How comments sparked very different reactions

Zimmerman's defense team cited Obama's courage in addressing the case and its racial context, but said the facts showed their client acted in self-defense and the jury reached the proper verdict.

"While we acknowledge the racial context of the case, we hope that the president was not suggesting that this case fits a pattern of racial disparity, because we strongly contend that it does not," the lawyers said in a statement.

A White House official told CNN Chief White House correspondent Jessica Yellin that Obama decided Thursday night to make his public remarks after watching the reaction to the Zimmerman verdict over the past week.

The official, who spoke on condition of not being identified, said Obama talked to friends and family members about the verdict, and told his senior staff he wanted to speak publicly about it. His staff recommended that he make the remarks in the White House briefing room, as opposed to an interview.

In his remarks, Obama said demonstrations and other responses to the Zimmerman verdict must be non-violent or they will dishonor what happened to Martin and his family.

He outlined possible future steps, calling for the Justice Department, state governors and city mayors to work with law enforcement agencies "about training at the state and local levels in order to reduce the kind of mistrust in the system that sometimes currently exists."

For example, he noted that racial profiling legislation he pushed as a state senator in Illinois helped police departments think about the issue and act more professionally, which helped build trust with communities they serve.

Stand your ground laws

Obama also called for reconsideration of "stand your ground" self-defense laws in Florida and other states, that he said "may encourage the kinds of altercations and confrontations and tragedies that we saw in the Florida case, rather than diffuse potential altercations."

Sharpton and other civil rights leaders call for abolishing the "stand your ground" laws.

"If we're sending a message as a society in our communities that someone who is armed potentially has the right to use those firearms, even if there's a way for them to exit from a situation, is that really going to be contributing to the kind of peace and security and order that we'd like to see?" Obama asked.

Protesters stand up to 'stand your ground,' but laws likely here to stay

To supporters of such laws, Obama said they should consider if the right to fight back with a gun would have applied to Martin.

"Do we actually think that he would have been justified in shooting Mr. Zimmerman, who had followed him in a car, because he felt threatened?" the president said. "And if the answer to that question is at least ambiguous, then it seems to me that we might want to examine those kinds of laws."

While rejecting any "grand new federal program," Obama also called for providing more support for African-American boys and young mans who disproportionately end up in prison or homicide victims.

No national conversation

However, he rejected calls for him to launch a national conversation on race, saying "I haven't seen that be particularly productive when, you know, politicians try to organize conversations."

His comment could have been a slap at his own response to the 2009 arrest of African-American university professor Henry Louis Gates by a white police officer responding to a report of a possible burglary at his Boston-area home.

After coming under criticism for saying police acted stupidly, Obama later invited the Harvard professor and the arresting officer for a beer at the White House.

On Friday, Obama instead endorsed "soul-searching" discussions in homes, churches and workplaces where people might be more honest about whether they were "wringing as much bias" out of themselves as possible.

"As difficult and challenging as this whole episode has been for a lot of people, I don't want us to lose sight that things are getting better," the president concluded, making a reference to his daughters' generation.

"It doesn't mean we're in a post-racial society. It doesn't mean that racism is eliminated," he said. "But, you know, when I talk to Malia and Sasha and I listen to their friends and I see them interact, they're better than we are. They're better than we were on these issues.  And that's true in every community that I've visited all across the country."

@highlight

Obama decided Thursday to speak out on the Martin case

@highlight

Zimmerman's defense team says the verdict was just

@highlight

President Obama explains African American frustration over the Trayvon Martin killing

@highlight

He says demonstrations over the verdict must remain non-violent