(CNN) -- Today's world increasingly challenges us to think differently about value and money. How important is your reputation? Does it have an impact on your finances? What is the currency of reputation and is it transferable or exchangeable?

How is reputation created?

Reputation is co-created by individuals having experiences. Looking for a great Italian restaurant for dinner tonight? Search Yelp reviews and see what people who have already dined at a place have to say about it. Want to know what it's like to work with a potential hire? Read their LinkedIn referrals. Wondering whether or not other people are happy with a product you're about to buy? Amazon reviews will tell you.

You've probably even shared your own experiences with something you enjoyed or warned others about a less-than-positive experience. Your FICO score in the United States measures your credit risk, which is really credit reputation, based on your behavior.

Reputation is crucial for the new economics of the 'Sharing Economy'

Reputation is a requirement of the sharing economy. For Airbnb hosts and Uber and Lyft drivers, positive ratings are paramount to their success. It might seem crazy to stay at a stranger's house, but on Airbnb host reviews facilitate trust among strangers. Your AirBnB, Yelp and eBay reviews have immense values outside their immediate platforms. Even though these reputation systems have been created for the specific company -- imagine how powerful it would be to have your reputation in one place.

Uber and Lyft are both independent operator ride-sharing platforms. Both companies facilitate the connection between driver and passenger. Drivers must be reviewed and approved before giving rides through their system. In a move to gain more drivers and compete with Lyft, Uber reportedly offered bonuses to tempt already-approved Lyft drivers to the Uber platform. In some cases, it was apparently easier for a new driver to go through the Lyft approval process and then switch companies, than it was to apply directly to Uber.

Reputation and the future

Reputation will become an increasingly visible part of our everyday transactions. While we will create reputation on individual platforms, there will be an increasing demand for fluid exchange of reputation and ratings from one system to another. We'll see tools to aggregate your reputation in one place. We may even see reputation system APIs developed to enable the transfer of your reputation to new platforms.

Picture this: four friends having dinner in a restaurant in the not-too-distant future. After the meal, they pay using a "Smart Check," using integrated mobile payments, credit cards and private coins. As part of the Smart Check experience, diners can rate their experience immediately -- everything from individual dishes, the service, and even the restaurant itself.

Or how about this -- it's the year 2020 and a woman is searching for a motorcycle at an online classified site. As part of her search results, the seller's reputation is shown. This makes it easy to decide which seller to deal with.

Beyond these scenarios, expect to see more fluid exchange of reputation between their original systems -- akin to monetary exchanges. We'll see more of personal reputation integrated in person-to-person transactions, which will enable deeper transactions in the resource sharing economy.

This is an excerpt of a report on reputation currencies, written by Heather Schlegel and commissioned by the Institute of Customer Experience. You can download the full report here.

The opinions expressed in this commentary are solely those of Heather Schlegel.

@highlight

Reputation is crucial to the new "Sharing Economy," argues Heather Schlegel

@highlight

Airbnb, Uber, Lyft and eBay all depend on trust

@highlight

Schlegel says reputation will soon be transferable from one platform to another