(CNN) -- If you're good enough at what you do, it is possible to live forever.

That's a lesson to be drawn from the news out of Amsterdam last week. A painting by the Dutch artist Vincent van Gogh, which was previously believed to be a forgery, has been authenticated. "Sunset at Montmajour," a landscape painted by van Gogh in 1888, has been painstakingly studied by experts at the Van Gogh Museum, using sophisticated chemical-and-technological analysis. Their conclusion: It's the real thing.

It is said to be the first full-sized canvas by van Gogh to be found in 85 years. In the past, paintings by van Gogh have sold for tens of millions of dollars apiece.

He has been dead since 1890, when, in one of many moments of despair, he took his own life. He was only 37. Even before he entered the world, there were omens that his might not be a conventional existence. On March 30, 1852, Vincent van Gogh was stillborn in the Netherlands. That was his older brother. A year later -- to the day -- a second child was born. This child, too, was given the name Vincent. He would be the boy who grew into an artist.

He left school at 15. He worked as an art dealer, a clergyman and a bookseller. He never found material success. He battled depression and deep loneliness. His mental health deteriorated. He famously mutilated his left ear; he was confined to an asylum. His attacks of anxiety and bottomless melancholy kept him in his room for months at a time. His brother Theo would write that, very near the end, Vincent said to him: "The sadness will last forever."

Yet what has lasted forever is his brilliance. Because of his artistry, van Gogh has proved to be immortal. He has been gone for more than a century, and we are talking about him today, studying every detail of his work, trying to decipher what it was he was trying to say on his canvases.

Making art, in any of its myriad forms -- music, literature, drama and beyond -- is like sending messages out in bottles. The artists, on the days they drop the bottles into the water, can have no idea where they will end up, or who will find them.

You don't have to be an aficionado of fine art to walk into a public gallery, stand before a painting done by someone long dead, and think: One day, many generations ago, whoever created this work decided that this tiny brushstroke here would be preferable to another, subtly different one; that this shade of red in this corner was the ideal one, instead of a shade more vivid or more muted; that the shadows over on this side of the canvas were what was needed to set the proper mood. And now, all these years later, a stranger standing in front of the painting in a town the artist never visited is thinking about the mind behind those choices.

Walk into a public library. Pull a book from any shelf. The book can be by an acclaimed author -- F. Scott Fitzgerald, the wonderful writer of Westerns Dorothy M. Johnson, Philip Roth -- or by an author with whose work you are unfamiliar. Flip through the book until you find a paragraph that strikes you as being especially beautifully constructed, a paragraph you immediately esteem.

Linger over it, and consider: This writer chose to put this comma here for a reason, for the desired rhythm and cadence; discerned that this particular combination of words would be most pleasing to the eye and ear of a reader; pondered, at least momentarily, whether a semicolon was the right way to break a thought, or whether a period followed by the start of a new sentence would serve a reader more gracefully. The writer, on that day, may not have known whether his or her book would ever be published. Maybe the book has sat on this library shelf for years without anyone coming along to free it from its hardbound neighbors.

But on this day, someone -- you -- has, in fact, come along, and is thinking about what the writer may have been thinking, alone at a typewriter or with a fountain pen poised over a clean sheet of paper, so many years ago. That message in a bottle: The writer is alive again -- alive still. The work, suddenly, is new once more.

This is artistry's payoff, its greatest reward. During the summer, the singer Phil Everly spoke about an antebellum house that he and his wife had renovated and repaired in Maury County, Tennessee. Everly, 74, told Marc Myers of the Wall Street Journal that "The house makes me feel kind of solid. I like things that are way older than I am and are going to outlast me."

But he is being too modest. The house is not going to outlast the music of the Everly Brothers; eventually and inevitably the house will fall apart or be torn down. The songs that Phil and Don Everly recorded, though, with their gorgeously blended voices, will never die. The brothers themselves, like all artists, will leave this earth, but the harmonies they created will go on and on.

Immortality: Now that van Gogh's "Sunset at Montmajour" has been discovered and authenticated for the world to see, his every artistic choice that reveals itself on the canvas will be peered at and discussed for centuries to come, by admirers hoping to glean further insights into the man he was.

He painted more than 800 canvases and did more than 1,000 drawings and watercolors.

He went to his grave a pauper, knowing that, for all his talent and heart and inspiration, he had been able, in his lifetime, to sell only one painting.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Discovery of Van Gogh painting points up immortality of the artist

@highlight

He says Van Gogh struggled with his art--and depression--died young, but art endured

@highlight

He says art in all its forms is like message in a bottle, sent from the mind of artist to the ages

@highlight

Greene: Art, whether Phil Everly or van Gogh, keeps artist's perceptions alive