(CNN) -- Has Gary Player found the secret to eternal life?

The 78-year-old completes 1,300 sit ups every day, follows a strict and mainly vegetarian diet and sleeps on average nine hours per night.

During a remarkable competitive career spanning six decades, Player won nine majors and 165 tournaments, adopting a grueling fitness and a practice regime to help underpin his game.

"The more I practice the luckier I get," was his most famous quote in reference to his unerring ability to hole shots from green side bunkers.

Player's forays on to a golf course are now confined to exhibitions -- "Jack Nicklaus and I were 10-under for a better ball three weeks ago," he says -- though he still regularly beats his age by several shots.

"I was 12-under par (18 holes in 66 shots) recently," added the South African, who turns 79 in November.

The day before this interview he'd hit 100 practice shots, so it's hardly surprising Player is still able to average about 70 shots per round, which is the mark he achieved during his professional career on the PGA then Seniors Tour, one of the best of all time.

Nowadays Player is driven by a different mission.

"I have a passion to save lives," he says, in reference to his desire to help confront the western world's growing obesity and type 2 diabetes problem.

"Thirteen percent of the world is now obese," Player told CNN ahead of the British Open, which starts on Thursday.

"We talk about wars, the number of people dying from diabetes and cancer and heart attacks -- in comparison to the numbers killed in wars are insignificant, but nobody cares about health or exercise.

"I don't know why only one out of 20,000 people taka exercise and has a proper diet. How can governments allow it?

Golf's "Black Knight" -- a reference to his trademark all-black attire he wore on the fairways -- doesn't expect the world to emulate his own punishing fitness regime, but he does have some simple tips to stay healthy.

"My advice to fellow menfolk is every day to take you wife by the hand and go for a brisk 30 minutes walk, or get yourself a dog, they demand to be exercised!

"Secondly don't go for all these fad diets, just eat half the portion of food that you originally dished up. It will change your life."

The golf icon's foundation, run by his son Marc -- Player has six children and 22 grandchildren -- has raised over $50 million for underprivileged children in South Africa and around the globe.

It aims to improve educational outcomes and Player is passionate that his message about health, fitness and diet reaches the younger audience globally.

"We are not teaching children in school, that's a great frustration for me."

Player with Nicklaus and legendary American Arnold Palmer revolutionized golf in the early 1960s and under sports management guru Mark McCormack earned the label of the "Big Three" as they dominated the majors and took the sport to a new television audience.

Player had an unquenchable thirst for victory, racking up more air miles than any athlete in history as he competed in tournaments around the world.

He is particularly proud of his nine 'senior' majors -- in competitions for golfers aged over 50 -- helping to raise the standard and profile of the events as he battled it out with the likes of Palmer and Nicklaus again.

Don't dare tell Player that golf isn't a physically demanding sport.

The South African recounts a story about basketball legend Michael Jordan, a low handicap golfer, telling him that 36 holes of golf in a day was pretty much as exhausting as playing in a match in the NBA Finals.

A slight exaggeration perhaps, but judging by the number of nonagenarians who still inhabit the fairways the notion of Golf: "A Game for Life" -- the title of Player's latest instructional offering -- might not be too far amiss.

In keeping with his reputation for supreme physical fitness there is a clip which shows him -- donned in black golf wear -- running at maximum speed on a treadmill -- to the astonishment of the accompanying interviewer.

Watch: Player in incredible running demonstration

It's a breathless demonstration that men several decades younger would fail to emulate but does back up Player's central theme about a healthy life.

"I tell you, walk 18 holes, it's tremendous exercise and you can play golf for a lifetime," he said.

On the evidence of Player's fitness -- a recent test showed he had a resting heart beat of 39 -- the South African will be gracing the fairways of golf courses for many years to come.

But he clearly wants to leave a legacy stretching beyond his sporting fame.

"I said when I'm a champion I'm going to change people's lives.

"On my epitaph I want it to read: 'Here was a man who contributed to society and saved lives.'"

So for now he continues his punishing schedule of travel to meet burgeoning business commitments,such as golf course design, real estate, a winery and farm, as well as work for his foundation, which runs four high profile tournaments each year.

"Show me a busy man and I'll show you someone who gets things done."

That work ethic was engrained in him from an early age, with his mother dying when he was just eight and his father having to travel away to earn a living in gold mining.

"You must accept adversity with gratitude and never give up. You will overcome it," said Player.

@highlight

Gary Player won nine majors and nine senior majors in stellar career

@highlight

South African golfer renowned for his grueling fitness regime

@highlight

Travels world to preach health and fitness message

@highlight

Has a 'passion to save lives'