(CNN)  -- Around the world, commemorations have taken place this month to mark the 70th anniversary of the outbreak of World War II.

Rosa Larsen, right, with her mother Reiza and brother Mario, taken in Italy in 1945 after they were reunited.

The bloodiest conflict in human history claimed the lives of more than 70 million people -- most of whom were civilians -- and irrevocably shaped the world in which we now live.

Institutions and organizations such as the United Nations, NATO and the Geneva Convention were all built from its rubble.

Within this narrative, however, there are millions of smaller tales. Fascinating and moving stories passed down within families that tell of the incredible heroism, resilience and honor of ordinary people in unimaginable circumstances.

CNN invited iReporters to submit their accounts of their own families' involvement in the conflict. Here we present a selection.

--- Reiza Guida, a Jewish girl from South Africa, moved to Italy in 1937 to pursue her studies as a musician, her daughter Rosa Larsen recalls. En route she fell in love with Vincenzo, a young Italian naval officer whom she married a year later.

But Reiza's in-laws despised her for being Jewish and offered her no support when Vincenzo drowned off the coast of Taranto after his ship was bombed in March 1942. Read Rosa's iReport about her mother's life.

When Nazi officers in the region were passed information of Reiza's Jewish background, she was forced to flee the family home with her young children.

"Alone and bereft, my mother ran for her life, escaping the SS (Gestapo) by a hair-breath each time," recalls Rosa, who was just one when war broke out in 1939.

"On one occasion, whilst hiding in a cupboard in a flat owned by a mean 95-year old French woman who was determined to see my mother go to her death with her, the bombs started falling.

"The old woman sat in front of her mirror putting on lipstick, determined not to save herself and refusing to let my mother save herself. Ignoring her stubbornness, my mother dragged her to the underground shelters in spite of the old woman's protestations."

In the meantime, the young Rosa and her brother Mario hid in the countryside with their Italian aunt. "Here too, we had some very narrow escapes," recalls Rosa, "and my brother and I vividly remember a Nazi officer going from house to house looking for Jews and the two of us hiding and shivering below the boards under the big feather-bed."

The two siblings were separated shortly after -- packed off to Catholic convents where they were subjected to "exceptional cruelty" by the nuns and priests.

Reiza -- who had fluent command of seven languages -- repeatedly evaded capture by the Gestapo and, when the Allies reached Italy, was appointed by British officers to the Entertainments National Service Association (ENSA), organizing entertainment for Allied troops in Genova and Udine.  With help from British intelligence, Rosa says, she and Mario were reunited with their mother and lived at the large villa from which Reiza hosted ENSA events. Reiza, who died in 1999, eventually moved to South Africa and remarried.  Rosa, now a grandmother, lives in Perth, Australia with husband Peter, whose grandmother and aunt were murdered by the Nazis in Pinsk, Belarus in 1942.

--- Michael Rutkowski, from Manhattan, New York City, told iReport how his grandfather, Polish count Alojzy Wojcinski, formed an unusual alliance with a German nobleman he believes was called Baron von Puglis.

He recalled how, during WWII his grandfather was an officer in the Home Army, the Polish resistance movement. The baron colluded with the count to undermine the Nazi presence in Warsaw, Michael says, despite being an officer in the Wehrmacht, the German army. Read Michael's iReport about his grandfather

"Both of them would go outside Warsaw to pick up gold dropped by the British planes at night and go through all the checkpoints to Marszalkowska Street where they would distribute all the gold to other Home Army members," Michael says.

According to Michael, the baron's defection was probably motivated by his marriage to Wojcinki's sister, or the fact that he just "hated Nazis."

Michael says that towards the end of the war his grandfather was captured and sent to a German prison camp from which he later escaped.

The baron was killed by a bomb during the Warsaw Uprising in 1944, says Michael, who was told the family history by his late grandmother ("I'm kicking myself for not recording it because here WWII stories were terrific") and is keen to track down more details on just who the German nobleman was.

--- Jon Mankowski of Portland, Oregon explains how his mother, Christine Mankowski, found her way to America after fleeing from Eastern Europe.

"On September 1, 1939 she was celebrating her 13th birthday when she heard the Nazi bombers flying over the city of Warsaw," says Jon of the day that Germany started the war in Europe. Read Jon's iReport about his mother

"Within weeks she and her family were picked up for distribution to various forced labor camps around Eastern Europe. Somehow she and two of her sisters and mother made it here after the war."  Christine, who died in 2007, eventually reached America, at one point working at the Goodyear Tire and Rubber company in Los Angeles.

--- Alexander Breuer, a 13-year old Austrian Jew who fled to America in January 1940 with his parents and brother, was among the first liberators into the notorious Buchenwald concentration camp in Germany, his daughter Heddy Abramowitz explains.

Alexander had to wait until he was 18 before he could be drafted into the U.S. Army and was sent, as a German speaker, to help negotiate the surrender of the town of Weimar. Read Heddy's iReport about her father

It was during these negotiations, Breuer told the 1981 International Liberators Conference, that local officials alerted Allied officers to the nearby Buchenwald concentration camp.

"As I understand it, this was the first U.S Jeep into any concentration camp in Europe," says Heddy, who now lives in Jerusalem.

Alexander, who died in 1983, went on to marry Heddy's mother, Lee Feig Breuer, a Holocaust survivor from Romania. Heddy recalls that Lee's one surviving brother from the death camps, Eliezer Feig, volunteered to fight in Israel's War of Independence in 1948 and was killed in the Battle of Yafo at the age of 17.

"I am just skimming over the lives of these people, which were very full," Heddy says. "They all lived before the internet, and never sought self-promotion. Their deeds speak louder."

-- George Webster contributed to this report

@highlight

iReporters tell of World War II family experiences and how it shaped their lives

@highlight

Millions were displaced by the conflict, which began 70 years ago

@highlight

Some fought with the resistance or Allied armies; others separated from families