San Francisco (CNN) -- While Google waits for regulatory approval on its bid to acquire Motorola Mobility, company executives have repeatedly worked to assuage partners' fears that the Android software developer is preparing to compete with them.

Partners in Google's mobile-phone venture were understandably skeptical when the Android maker said this summer that it planned to acquire one of their rivals, creating a potential reason to roll out improvements to its popular smartphone operating system on Motorola phones before offering them to others.

Google has offered free and open-source versions of Android to anyone ambitious enough to download it and tinker with the code. Dozens of smartphone and tablet makers have taken Google up on this, and have come to rely on it for their businesses.

Google, which assured them it is focused on software, not hardware, seemed like a logical partner. Then, when the company's intentions to buy Motorola surfaced, Google execs said they were mainly doing so in order to protect themselves and their partners against patent litigation. (Motorola has about 24,000 patents either approved or pending).

The $12.5 billion acquisition still has not cleared federal oversight, and so Google has not been talking publicly much about its plans. A spokesman declined to comment on the matter last week.

Since CNN's inquiries, Google Chairman Eric Schmidt has been discussing some plans for Motorola on a three-city tour of Asia this week. He told an audience in South Korea on Tuesday that the acquisition will "not change in any material way the way we operate," and then told a group in Taipei, Taiwan, on Wednesday that Google plans to continue providing legal defenses to Android partners, according to Reuters.

Sony Ericsson CTO Jan Uddenfeldt said at a conference last week that Google still maintains it is buying Motorola primarily for the patent portfolio of one of the world's oldest mobile-phone companies.

"The last thing they would like to happen is to create a vertical, because that would destroy the market share for Android," he said onstage at the Open Mobile Summit here on Thursday. Google led the market in the most recent quarter, thanks in part to wide adoption by many companies, with 43% of smartphone owners using Android phones, according to research firm Nielsen.

Apple and BlackBerry-maker Research in Motion operate vertical businesses in which they maintain and control their own hardware and software. In the nearly three months since announcing a bid for Motorola, the strategy to remain a neutral player "has been clearly communicated to us by Google, and it makes sense," Uddenfeldt said in an interview.

"We are an all-Android company now," Uddenfeldt said. "We do not hesitate to be an Android company."

Even with Motorola's help, Google could struggle to transition from a software developer to bringing hardware products to market, Uddenfeldt said. "Google is a great software company, but they are not a consumer brand," he said.

Google has suggested that it plans to leverage Motorola's hardware expertise in order to understand how to integrate software more closely with hardware, Kevin Packingham, the senior vice president for Samsung Electronics products, said in an interview. Patents are perhaps secondary in terms of how the acquisition will benefit partners, he said.

"I wouldn't say that it's black and white about wanting to be vertical," Packingham said. "Google needs the capability to understand how to deeply integrate with the hardware."

That could turn Motorola, a storied mobile innovator, into a glorified research-and-development arm. In the meantime, Motorola is laying off 800 of its 19,000 workers, and the company is preparing to launch the Droid Razr, the spiritual successor to one of the most popular phones of the last decade. Not surprisingly, the new version runs on Android.

Even more so than Motorola, Samsung has been very close with Google over the last two years. The pair has twice partnered for what's called the "lead device program," in which Google and a hardware maker collaborate on the first product that will run a major new version of Android. Together, they developed the Nexus S and the upcoming Galaxy Nexus. Google has also worked with HTC for the Nexus One and Motorola for the Xoom tablet.

Being chosen as the lead-device partner is a competitive advantage, Packingham said, because the company gets direct access to Google engineers and to Android code before rivals. Samsung expects to continue to work with Google on some lead devices in the future, he said.

Andy Rubin, Google's head of mobile, said during a Google conference call in August announcing the Motorola acquisition that the new unit will be run as an independent business. As for preferential treatment regarding lead devices, Rubin said Motorola "will be part of that bidding process."

According to Packingham, Samsung was chosen for two of the three Nexus phones because of its hardware expertise and access to components, and there is no bidding involved in the lead-device program. The Google spokesman declined to comment on how exactly the process works.

@highlight

Google's mobile partners say the Android maker won't be like Apple

@highlight

They say Google has no plans to become a "vertical" phone maker

@highlight

Google has said it plans to run Motorola as an independent business