(CNN) -- In South London, a life-size wax house is melting. In the city's busy Covent Garden shopping piazza, a building floated above the ground. A 20-minute walk away, a townhouse is flipped on its head.

No, you're not hallucinating. These are the most recent irreverent installations from Alex Chinneck, the British artist making a name for himself with site-specific works that appeal to the imagination and beg for a photo-op. For the past year, he's been achieving this through architecture.

"Architecture is the fabric and surroundings of our daily and habitual environments," says Chinneck, 30. "It provides a very good canvas for creative exploration and abstraction."

An architectural chapter

When I meet with Chinneck at his psychiatric ward-turned-apartment in Hackney (seriously), Take My Lighting, But Don't Steal my Thunder -- the polystyrene building floating above Covent Garden -- has just been taken down after its three-week run.

"It was on the national news in 24 countries that piece, and footfall was up 18 percent in respect to trade and the piazza. So that's just great," he says.

The floating building is part of what Chinneck calls the "architectural chapter" of his career, which has born four large-scale installations that use the materials, language and shapes associated with the craft. Though he'd previously used construction materials to create small sculptures, he only recently started working on a larger scale, partly inspired by Rachel Whiteread's House (a concrete mold of a Victorian house that won the Turner Prize in 1993) and the installations of Richard Wilson.

"It just made sense to integrate those creative explorations into an architectural context and scale, back to where they belonged."

Making the familiar strange

What makes Chinneck's work distinctive -- other than its obvious mind-bending properties -- is how each one seems both at home and out of place in its surrounding neighborhood. A Pound of Flesh for 50p, built in Southwark as part of Merge Festival, would look like a typical Georgian house were it not made of wax and melting a little more each day. The floating building looks like a part of the 184-year-old market has just been plucked and suspended in mid air.

"I don't like to disrupt a district too much, so the work is contextually sensitive. The material and visual decisions are informed by the district and the area and the architectural language of that region," he explains. "The concepts are extremely considered despite their playfulness and simplicity. They're tailored to their environment and their audience."

His installation in Covent Garden, for example, needed to speak to the piazza's high levels or foot traffic and tourists to please the commissioning landlords.

"The demographic through the piazza is incredibly eclectic, but it's very fast-paced and recreational. People come and go, take a photo and move on, so the artwork had to deliver an impact for the Instagram generation."

This last phrase seems to sum up his installations well. The pieces are difficult to execute, simple to enjoy and, he insists, free of any particular meaning or concept. The priority is public enjoyment.

Conceptually light, sculpturally complex

The response to the floating house, as well as his other works, has been overwhelmingly positive. Along with comments on-site, Chinneck says he regularly receives emails, tweets and links to articles from people who have enjoyed his installations. The owner of a vintage shop near From the Knees of My Nose to the Belly of my Toes, his sliding house in the seaside town of Margate, even gifted him a free suit because of the number of shoppers his installation attracted.

Though he tries to avoid the usual traps -- internet comment sections, namely -- Chinneck still receives his share of negative criticism too. He's grown immune to accusations that his work is pointless, a waste of taxpayers' money, or, alternately, a waste of private commissioners' money, but he's still occasionally frustrated by the assumption that his work is easy or banal because of its simplicity and lack of intellectual intent.

"I don't understand at what point the experience needed this intellectual justification to be an important and valuable one," he says. "I'm often criticized for this lack of conceptual content. But what we lose in conceptual content we make up for in structural and sculptural complexity."

(To wit: The floating house took eight months to realize, and had over 100 people involved from design to construction, The melting house -- which was commissioned, designed and constructed concurrently -- required about 75 people to take care of wax fabrication, carpentry, steelwork, painting and brick-laying.)

"With art, and I think really a lot of public art, you create it and then you have to abandon it a little bit, distance yourself from it, because it's not really yours anymore," he says. "There's no safe place in the public eye."

Creating a legacy

With the melting house now a pile of hardened goo being scraped off a pebbled lot (the installation finished Sunday), and the floating building broken down and hauled away, Chinneck is focusing on the future. He's currently investigating how to tie the Tate Modern's distinctive chimney into a knot, and developing a windmill that has fallen from its base, causing the building to spin while the sails remain stuck in the ground, efforts he suspects could trump his past projects in size and ambition.

"I'm kind of bored by the last and excited by the next, which is a healthy attitude," he says. "I think it encourages progress."

The greatest buildings you'll never see: Priceless monuments lost in conflict

Art works that mess with your sense of scale

'Avant gardens': When art, design and a whole load of plants collide

The most spectacular buildings of 2014

@highlight

British artist Alex Chinneck creates large-scale installation art inspired by architecture

@highlight

His most recent works include a melting house made of wax, and a floating building in Covent Garden market

@highlight

His installations are largely inspired by the neighborhood they inhabit, and take up to eight months to execute