The nation's largest veteran organization, The American Legion, and one other veterans group, Concerned Veterans for America, on Monday called for the resignation of Veterans Affairs Secretary Eric K. Shinseki.

The calls for his resignation came after months of CNN exclusive reporting on U.S. veterans who have died while waiting for care at VA hospitals across the country, including in Phoenix.

"It's not something we do lightly. But we do so today because it is our responsibility as advocate for the men and women who have worn this nation's uniform," said Daniel M. Dellinger, national commander of the American Legion, speaking in Indianapolis.

Responding to the legion's call for the secretary's resignation, the VA issued a statement late Monday:

"Secretary Shinseki has dedicated his life to his fellow veterans, and nobody is more committed to completing the work that lies ahead," said a VA statement by Drew Brookie, VA spokesman. "As the secretary says, providing veterans the quality care and benefits they have earned through their service is our only mission at VA."

The White House also responded with a statement: "The President remains confident in Secretary Shinseki's ability to lead the department."

CNN's ongoing look at health care for veterans

CNN has been reporting on delays in care and patient deaths at VA hospitals for the past six months, including at hospitals in South Carolina, Georgia and Texas.

After CNN's coverage, the VA acknowledged this April that 23 veterans had died as a result of delayed care in recent years. But sources tell CNN that number could be much higher.

In an exclusive report two weeks ago, CNN interviewed a retired VA doctor from Phoenix who charged that more than 40 American veterans have died waiting for care at the VA hospital there.

A fatal wait: Veterans languish and die on a secret list

Many of the veterans, the doctor and other VA sources told CNN, were placed on a secret list created by VA managers to hide the wait times of veterans seeking medical care.

VA officials in Phoenix denied there was any secret list or that they had given any orders to cover up or hide wait times. They acknowledged that veterans had died waiting for care but said they did not know whether those deaths were tied to waiting for care.

But following those reports on Friday, Shinseki placed the Phoenix VA Director Sharon Helman and two members of her staff on administrative leave.

On Monday, Dillinger of the American Legion said that growing concerns about the problems at numerous VA facilities are what led him to call for the resignation of Shinseki and two other top VA officials: Under Secretary of Health Robert Petzel and Under Secretary of Benefits Allison Hickey.

"These disturbing reports are part of what appear to be a pattern of scandals that has infected the entire system," Dillinger said Monday.

Another VA facility under the spotlight

Also Monday, the Fort Collins, Colorado, VA facility came under scrutiny as concerns were raised that officials there might have allegedly instructed workers to change records in an effort to make veterans' wait times appear less severe.

"The House Committee on Veterans' Affairs has learned of appointment scheduling manipulation occurring at the Fort Collins, Colorado, Community Based Outpatient Clinic that is remarkably similar to issues recently referred to you regarding the Phoenix VA Medical Center," stated a letter to the VA's Office of Inspector General and signed by Rep. Mike Coffman, R-Colorado.

The director of health care at the U.S. Government Accountability Office, Congress' watchdog organization, told CNN on Monday that even the VA does not truly know how many American veterans are waiting for care across the country.

Director Debra Draper said that's because they do not keep careful track of how many "consults" or doctor-requested appointments are open at any given time. Draper said some of the VA numbers and details of wait times are "unreliable."

The VA reported that in just the last year, it basically cleared 1.5 million backlogged orders of patient care or services, which they call consults, but Draper said there is no way of knowing why they were closed.

Draper said it is "a little disconcerting that 1.5 million records were closed. ... We can't determine that they did a review, a clinical review and appropriately closed out the consult."

She added that to find out how many consults have been truly closed, "you'd have to really go back to each individual patient record and see how the consult, why it was closed."

Rebuffed on repeated interview requests

Throughout the network's reporting, CNN has submitted numerous requests for an interview with Shinseki.

Yet in the six months that CNN has been reporting on these delays, Shinseki has not publicly spoken about the issue.

CNN is not alone in getting virtually no response from VA officials.

U.S. Rep. Jeff Miller of Florida, chairman of the House Veterans Affairs Committee, issued this statement late Monday:

"For nearly a year, we have been pleading with top department leaders and President Obama to take immediate steps to stop the growing pattern of preventable veteran deaths and hold accountable any and all VA employees who have allowed patients to slip through the cracks.

"In response, we've received disturbing silence from the White House and one excuse after another from VA."

Brookie's statement, released by the VA late Monday, read:

"The Department of Veterans Affairs (VA) takes any allegations about patient care or employee misconduct very seriously.  If the VA Office of Inspector General's investigation substantiates allegations of employee misconduct, swift and appropriate action will be taken. Veterans deserve to have full faith in their VA care.

"Under the leadership of Secretary Shinseki and his team, VA has made strong progress in recent years to better serve veterans both now and in the future.  The secretary knows there is more work to do.

"VA's progress includes enrolling 2 million more veterans in high-quality VA health care, reducing veterans' homelessness by 24 percent, providing post-9/11 GI Bill educational benefits to more than 1 million students, and decreasing the disability claims backlog by nearly 50 percent."

But veterans groups were not convinced. Late Monday, another veterans group joined the American Legion in the call for Shinseki to resign.

Pete Hegseth, CEO of the Concerned Veterans of America, issued the following statement:

"We're proud to stand with The American Legion as they take this courageous and historic stand. As America's largest veterans organization, their moral authority on this issue is unimpeachable. We applaud their demands for accountability at the very top of the Department of Veterans Affairs."

Tears, angry accusations mark hearing on delayed VA care

January: Veterans dying because of health care delays

January: Congress demands answers

November: A dire situation in South Carolina

@highlight

The American Legion and Concerned Veterans for America call for the resignations

@highlight

Eric K. Shinseki is the secretary of Veterans Affairs

@highlight

CNN has been reporting on veterans who have died waiting for care at VA hospitals

@highlight

VA on Shinseki: "Nobody is more committed to completing the work that lies ahead"