(CNN) -- Since the dawn of the iPhone age in 2007, loyal BlackBerry users have watched their favorite device maker stumble into an ever-steepening decline.

Some of the collapse is due to the consumer changeover to Apple and Google Android products, but the company -- once known as Research In Motion -- hasn't helped itself with poor planning and delayed product introductions.

On Monday, the company that once blazed the trail in the smartphone market announced it's being taken private by its largest shareholder, Fairfax Financial, a Canadian insurance company.

The move comes on the heels of an announced $1 billion quarterly loss and layoffs of 4,500 employees. Its future as a maker of smartphones may be in doubt.

Now the dwindling numbers of loyal BlackBerry users must decide: Is this the last straw?

It's no idle question. For all the attention paid to BlackBerry's fall and the rise of iPhone and Android, there's still a sizable BlackBerry market out there. Forbes magazine estimates that there are in excess of 50 million BlackBerry users, and they remain fiercely devoted to their phones, with their secure e-mail software and physical keyboards.

"You can tear my Blackberry's real keyboard out of my cold dead fingers," user Charles Wright of Toronto wrote on Twitter.

BlackBerry: Why breaking up is hard to do

Ronen Halevy, an IT security professional who runs the site BerryReview.com, still prefers his BlackBerry because it "focuses on communications first" -- even though he's familiar with both Android and iPhone platforms.

"They're very good devices to consume information, but the main point of the phone is that it's more like a computer," he says of the Apple and Google phones. BlackBerrys, he says, are better at "flow" from e-mail to calendar to other applications.

He hopes that the company returns to its roots.

"I think that Fairfax should double down on BlackBerry 10 and the combination of corporate and consumer market that appreciated the rock solid communication platform it offered," he wrote on BerryReview.com. "This means an end to the 'me too' additions of features to BlackBerry 10 and instead appealing to the market that made BlackBerry take off."

One commenter observed, however, that the company will be hard pressed to win new converts.

"Not good news for consumers, people hate the BB name and what it stands for. Self-inflicted suicide," kingbernie wrote. He suspected that becoming a corporate-focused software business might be the company's best way out of the wilderness -- even if it means leaving the consumer market behind.

From CrackBerry to 'depressing': The BlackBerry's 5-year fall

Chris Umiastowski, a tech analyst and regular contributor to the BlackBerry boards on CrackBerry.com, says BlackBerry fans should remain wary.

"Going private doesn't necessarily change the outcome for the company. All it is guaranteed to change is the ownership structure," he said via e-mail. "It's not a nail in the coffin, nor is it some massive opportunity to fix themselves. No matter who owns the shares they still have to compete with solid competitors. Going private just lets them operate outside of so much public scrutiny."

For those who want to put their BlackBerrys in a drawer next to their PalmPilots but want to keep a physical keyboard on their devices, your options are limited. The Motorola Photon Q and the Motorola Droid 4 are Android-compatible and have relatively large slide-out keyboards, but reviewers have taken issue with their camera capabilities.

In addition, BerryReview.com's Halevy observes, those keyboards -- which are landscape-oriented instead of the portrait-style versions on BlackBerrys -- seem like "afterthoughts."

"Even if you're in an e-mail and you want to hit the 'delete' button to delete an e-mail -- you think that's logical -- it doesn't work," he says.

What killed BlackBerry: Terrible apps

The NEC Terrain, another Android phone with a physical keyboard, is marketed for its "rugged innovation" but, says Halevy, he doesn't think it's really aimed at the general consumer.

That leads to the host of smartphones with virtual keyboards, including the new iPhone 5S and 5C, the Android-compatible Samsung Galaxy S4 and the Android HTC One, among many others. All have their pros and cons, whether it's your comfort with their operating systems or your desire for certain accessories.

But for those, like Umiastowski, who want to stick with BlackBerry, it will hard to get them to change.

His household includes a number of Apple items -- including his wife's iPhone -- but he prefers the BlackBerry. He's frustrated by the lack of apps for the device but still prefers the overall experience.

"BlackBerry has always been (and still is) the best experience for communicating. At first it was push email and physical keyboards. Now I'm on a Z10 and I find the multitasking + software keyboard + email experience is second to none," he wrote. "An iPhone would feel like a step backwards on those things which matter to me."

Besides, says Halevy, he likes how the BlackBerry creates community.

"The one thing you notice immediately when people change from BlackBerry to other devices is you never hear from them anymore," he says.

Opinion: Why I'll never ditch my BlackBerry

@highlight

On Monday, BlackBerry announced that it was being taken private

@highlight

Despite decline in consumer sales, there are still 50 million BlackBerry users

@highlight

They're very loyal to the brand and hope change is harbinger of an upswing