(CNN) -- When American basketball player Kevin Sheppard moved to Iran in 2009, he was greeted by elaborate graffiti that read "Down with the USA" and "America is the Devil."

Similar rhetoric came from the United States, with the government decrying a nuclear weapons program from the country that was part of the "Axis of Evil." It was in this tense political climate that the 6-foot point guard from the Virgin Islands accepted a job with the Iranian Super League after being recruited to carry his team to the playoffs.

Filmmaker Till Schauder joined Sheppard on his journey, chronicling the basketball player's experience in one of the most feared countries in the world in a documentary called "The Iran Job."

Although Sheppard had played basketball in several countries around the globe -- including Israel, Spain, China and Brazil -- he accepted the job in Iran with some reluctance.

"I said to myself, 'Well, if I get there and it's everything like the news said it was, weapons of mass destruction, these people are crazy ... then I'm just going to get on the next plane and come right back home,' " Sheppard said.

Yet, what he encountered upon arrival was the unexpected: a team of dedicated basketball players, devoted fans cheering his name, friends with a sense of humor and families that opened their doors and their homes.

"They love Americans!" Sheppard exclaimed. "It was so ironic, because here I was in a country where they have all these signs: 'Down with USA' and 'USA's the Devil' and 'USA's the Evil One.' And then with the people, they're like, 'Man! I love Kobe Bryant! I love LeBron James! I love you guys. I want to be like you. I want to go to America and be a superstar!'"

Understanding Iran: U.S. athlete reveals his inside story

Sheppard became a local star in the cultural center of Shiraz, where he gradually led his low-ranking basketball team to more wins and ultimately to the playoffs. And with nothing more than a than a small HDV camera, a wireless mic and an extension cable packed in an unassuming backpack, Schauder began filming Sheppard's progress "under the radar."

Without a journalist's visa and running the risk of imprisonment, the German-American filmmaker planned to tell authorities he was a European tourist filming Iran's ancient sites if questioned.

Yet despite the rigid measures, Schauder saw the opportunity for intercultural dialogue through the charismatic ball player.

Sheppard, along with 12 other American basketball players in the country, came under investigation by the U.S. State Department for technically breaking the trade embargo against Iran by accepting a salary. The investigation reminded Schauder of the lack of diplomatic relations between the two nations and the fact the U.S. hadn't had an embassy in Iran since the 1979 Islamic Revolution.

"It struck me that these players could potentially be bridge-builders," Schauder said.

As an athlete, Sheppard strove to avoid politics and focus on the game but soon learned that politics is the game for nearly every aspect of Iranian life. The women he befriended could be imprisoned for visiting his apartment; police could stop a car that they suspected carried unmarried women with men; people who spoke out against the government could be detained without explanation.

Sheppard found himself literally in the middle of the tense political situation in spring 2009, when Iranians took to the streets to protest the results of the presidential election. It was the beginning of the country's Green Movement, when demonstrators claimed a rigged election and demanded the removal of President Mahmoud Ahmadinejad. Sheppard, in the capital of Tehran for the playoffs with his team, unwittingly found himself in the heart of the protests.

"I was getting ready to go to practice, and they had this street, like this long street as far as your eyes could see," Sheppard explained. "On one side was Hezbollah, which is like their police, their military police, and the other side were the Green protesters. I had to go through the middle of that road, and I was just saying to myself, 'If one of these guys throw a bottle, a stone, shoot a gun, I'm going to be caught between almost a million people.' That's when I said, 'Man, this thing right here ain't no basketball; this thing right here is starting to get serious.' "

Although the protests were quickly quelled by the government, Iran's Green Movement was the prelude to the Arab Spring, laying the groundwork for subsequent uprisings across the Middle East and even the United States' Occupy Wall Street movement.

"It's important to remember that all of these uprisings in the countries that we now associate with the Arab Spring, all of these uprisings were initiated by the Green Movement in Iran," Schauder said. "So it's ironic that Iran, of all places, hasn't quite gotten there yet. ... I really hope at some point in history, we'll remember the Iranian people as the ones who got things going."

Schauder is determined to record that piece of Iranian history, and as the revolutionaries go online to mobilize support, the filmmaker likewise utilizes the Internet to spread their story. Along with his co-producer and wife, Sara Nodjoumi, Schauder launched one of the most successful Kickstarter campaigns in the fundraising site's history, raising $100,466 for the production of "The Iran Job." Another campaign is under way to fund distribution of the film.

"When you get so much support from every corner of the world, you literally feel the love," Schauder said. "It's a combination of basketball fans, people interested in bettering relationships between the two religions, between the two cultures, and a lot of people coming together and entering this big tent that we're trying to create."

The ultimate goal of the documentary for Schauder and Sheppard is intercultural dialogue. Both hope that a clearer understanding of the Arab world in the West will lead to more informed policy decisions and will foster support for the ordinary people who are fighting to realize democracy.

"This story here needs to be told because we're grouping Iran with the government and not the people," Sheppard said. "We're not understanding that the people wanted an opportunity to change the government."

@highlight

Kevin Sheppard moved to Iran in 2009 to play basketball

@highlight

Filmmaker Till Schauder joined Sheppard on his journey to chronicle his experience

@highlight

As an athlete, Sheppard said, he strove to avoid politics and focus on the game