Washington (CNN) -- Top White House and congressional negotiators failed to reach agreement Tuesday on a spending plan for the rest of the current fiscal year, bringing the federal government closer to a shutdown at the end of the week.

Key Democrats rejected a Republican proposal to keep the government running for one more week at the cost of an additional $12 billion in cuts. Republicans, meanwhile, dismissed Democrats' insistence that there had been an agreement to cut $33 billion for the rest of the fiscal year.

If there is no deal by midnight Friday, when the current spending authorization measure expires, parts of the government will close down.

Later Tuesday, Senate Majority Leader Harry Reid and House Speaker John Boehner met privately to discuss the matter. Statements issued by each of their offices described the talks as "productive" and said they agreed to continue working to find a solution.

The budget brinksmanship showed the political stakes of the situation, with both parties trying to depict the other as unwilling to do what's right for the country.

Republicans, under pressure from the conservative Tea Party movement for deep cuts that will reduce the size of government, blame Democrats for failing to pass a fiscal year 2011 budget last year when they controlled both congressional chambers and say that President Barack Obama and his party are ignoring the peril of the rising federal deficits and national debt.

Democrats contend that spending cuts sought by House Republicans in response to the Tea Party movement pressure will harm economic recovery and slash education and innovation programs essential for continued growth. Obama and Reid, D-Nevada, both insisted Tuesday that Democrats are agreeing to more than 50% of the spending cuts sought by Republicans, which they said should be sufficient for a compromise on an issue that has little overall effect on the deficit and debt issues.

Obama discussed the growing budget crisis behind closed doors at the White House with key House and Senate leaders. The president met with two Republicans, Boehner and House Appropriations Committee Chairman Hal Rogers of Kentucky, and two Democrats, Reid and Senate Appropriations Committee Chairman Daniel Inouye of Hawaii.

The president then made an unannounced appearance in the White House briefing room to tell reporters that Boehner and Reid would meet on their own later in the day.

Obama said that if the two men failed to make progress on their own, he expected them to return to the White House on Wednesday. And "if that doesn't work, we'll invite them again the day after that," the president promised.  "There's no reason why we should not get this done."

The administration will put in "whatever resources are required in terms of time and energy" to reach an agreement, Obama said.

But what "we can't do is have a 'my way or the highway' approach to this problem," he added. "If we start applying that approach ... we're not going to get anything done."

Obama also said he could support one more short-term funding extension to avert a partial shutdown, but only if a deal is reached on spending for the rest of the current fiscal year, which ends September 30.

He and Reid rejected the GOP proposal for a seven-day extension that would include $12 billion in spending cuts while providing the military with funding for the rest of the fiscal year, but Reid added he would consider amending the measure if it reached the Senate in time for action before the current spending resolution expires.

Reid also said House Republicans should start doing "what the country needs, not what the Tea Party wants," noting the Democratic-controlled Senate rejected a House spending bill favored by conservatives that would cut $61 billion in discretionary spending this fiscal year.

Democrats consider that bill draconian, complaining that, among other things, it would cut key programs for continued economic recovery while eliminating funding for others opposed by conservatives, such as Planned Parenthood and National Public Radio.

Boehner, meanwhile, insisted House Republicans wouldn't let Senate Democrats and the White House put them "in a box" by forcing them to choose between a government shutdown or continued government funding with insufficient spending cuts.

"We want the largest spending cuts that are possible," said Boehner, R-Ohio. "We're going to continue to fight for those."

Boehner also said he would not drop the GOP's insistence on including provisions relating to hot-button social issues such as abortion, calling them important to his conservative caucus. Democrats oppose the so-called "policy riders" in the spending bill.

The speaker cast aside assertions by Obama and Reid that they had already given the GOP over half of what it initially wanted in terms of cuts, saying the Democrats were using "smoke and mirrors to get there."

"Our goal is to keep the government open," Boehner insisted.  "We have no interest in the government shutting down, but we are interested in cutting spending."

As the potential for a shutdown grew, an aide to Boehner said the lawmaker also told House Administration Committee Chairman Dan Lungren, R-California, to issue guidance to all members on how the House would operate in the event of a government shutdown.

Meanwhile, the U.S. Office of Personnel Management posted information about how a shutdown would affect federal employees on its website Tuesday. The posting said that most federal workers paid with funds appropriated by Congress will go on temporary furlough in the event of a shutdown.

It would be up to Congress to decide if furloughed workers get paid for the work time missed when the shutdown ends, the posting said. Health benefits continue if the shutdown lasts for less than a year, it said.

A senior Democratic source with knowledge of the ongoing negotiations said the biggest obstacle to a deal involves whether reductions in mandatory spending programs, known in appropriations parlance as "Changes in Mandatory Spending" or CHIMPS, should be part of spending cuts.

Examples of mandatory spending programs include Pell grants, the Children's Health Insurance Program and some types of highway funding. Such programs are funded for multiple years at a time, with the spending set for the time period covered, exempt from congressional authorization each year.

According to the senior Democratic source, the chiefs of staff to Inouye and Rogers negotiated throughout the weekend, and the gap between them is about $8 billion to $10 billion.

Democratic sources said they want about half the overall cuts in this spending bill to come from mandatory spending programs, and that they have proposed the necessary reductions in programs at the U.S. Department of Agriculture, the Justice Department, the Treasury Department and Pell Grants.

Republicans, who want any spending cuts to reflect a reduction in the size of government, note that reducing the spending in a mandatory program for one year doesn't prevent the amount from returning to its original level the following year.

CNN's Dana Bash, Deirdre Walsh, Ted Barrett contributed to this report

@highlight

NEW: Federal workers paid by appropriated funds will be furloughed in a shutdown

@highlight

Reid and Boehner meet and agree to keep working on a solution

@highlight

White House, congressional budget negotiations fail to reach an agreement

@highlight

Without an agreement, the government will shut down after Friday