(CNN)Why do Muslims "speak out" and "condemn" violent acts with which they have no connection, and why do others, across the political spectrum, expect it?

People should demand public statements like, "I condemn this act," from those who have some kind of accountability in connection with the act. There is always a crucial line between feeling revulsion at a crime and feeling it necessary to dissociate oneself from that crime. Did you benefit from a crime? Could you have stopped the crime? Did you contribute, even unwittingly, to the crime? If so, you may have to stand up and denounce it.

In connection with the recent Paris killings, some mainstream commentators such as New York Times columnist Roger Cohen ask why "moderate" Muslims cannot simply "come out and say" that "I do not support this." Former congressman Barney Frank writes that he wishes that Muslims would "speak out more strongly." Such liberal commentary is not substantially different from Rupert Murdoch's tweet that Muslims like myself "must be held responsible."

They should know that groups like ISIS and al Qaeda believe fanatically that most Muslims are misguided and hell-bound, and that only a small group (themselves) are members of an exclusive "saved sect," a belief that makes them immune to critique. Any condemnations they receive from the wayward Muslim majority only entrenches them in this belief.

Moreover, it is Muslims themselves who stand to lose the most when crimes are committed by these vigilantes. The vast majority of victims of jihadist groups are other Muslims, and when an attack takes place in the West it is the Muslim community that suffers the backlash from the societies in which they live.

Worst of all, Muslims offer the much sought-after condemnations all the time. Just type "Muslims condemn" into a search engine. If the goal of our detractors were really to get Muslims to do more "speaking out," then what Muslims have already done would have been enough years ago.

This is really about political statements and maintaining a certain social hierarchy. Demanding that innocent Muslims always make new statements about crimes they could not have stopped, from which they do not benefit, and have always condemned anyway, is an act by the powerful assigning collective guilt against the powerless. The critics who want Muslims to "speak out" only grow more demanding when Muslims actually do speak out, because by doing so Muslims have publicly affirmed the right of others to blame them collectively, regardless of whether they are accountable or not.

Such political manuevers -- and that is what they really are -- increase the leverage that can be exerted over Muslims in public life. Muslim voices are thus uniquely kept out of view unless they are apologizing for some atrocity they had nothing to do with.

In the case of the Charlie Hebdo massacre, Muslims were asked not only to condemn murder (which they did) but also to champion a "free speech" that took the form of denigrating their sacred beliefs (which they deplored). For Barney Frank, this refusal to follow the script was to "condone their terrible acts with qualified condemnation"  while Roger Cohen laments our use of, "Yes, but." Muslims are thus tarred as being sympathetic with murder if they point out that the very publication that portrayed the Prophet Mohammed so grotesquely had fired an editor, who was later taken to court, for quipping that Nicolas Sarkozy's son converted to Judaism because of social ambition.

Muslims have no duty to celebrate a general hypocrisy that singles them out for ill treatment. Not approving of the murder is quite enough. It is possible to consider the cartoonists at Charlie Hebdo to be vile people who did not deserve to die.

It is worth remembering that the perpetrators of crimes such as the Charlie Hebdo massacre are always screaming "Revenge!" but Western commentators choose to dwell on what innocent Muslims are going to do about it, or whether Islam is to blame.

Why do they not instead ask, as New Yorker writer George Packer chose not to do, "Revenge for what?" Do they fear they might bring to light crimes, much greater crimes, that they themselves should have "spoken out" about long ago? Perhaps it is more comfortable to keep the conversation focused on Muslims and their religion than it is to investigate whether one's own country or one's own group has anything it might have to "condemn."

@highlight

Some mainstream commentators have urged moderate Muslims to condemn terrorism, in particular the recent Paris killings

@highlight

Caner Dagli says though that groups like ISIS and al Qaeda believe fanatically that most Muslims are misguided and hell-bound

@highlight

For many, it's more comfortable to focus on Muslims than to ask if one's own country may have anything to "condemn," Dagli adds