Cairo, Egypt (CNN) -- Egyptians go to the ballot boxes on Monday to vote for their fourth president in as many years. Unlike the last time they elected a president, the result of this election is a foregone conclusion. The former defense minister Abdel Fattah el-Sisi is widely expected to win in a massive landslide. What remains, however, rather difficult to predict is: what will an el-Sisi presidency bring to Egypt?

Egyptians have gone to the ballot box more than a half dozen times in the past four years.

The last presidential elections resulted in a large number of candidates emerging, splitting the vote and leading to a run off between Ahmed Shafiq and Mohamed Morsy. The result was close, leading to the Muslim Brotherhood candidature of Morsy barely triumphing over Hosni Mubarak's last prime minister, Shafiq.

This time round, however, there is no possibility of a runoff round, because there are only two candidates. Morsy's former defense minister, el-Sisi, who removed him from office after substantial protests almost a year ago, and the Nasserist contender, Hamdeen Sabahi, who came in third in the last presidential elections.

The outcome is in little doubt -- el-Sisi can count on the support of the state's main institutions, various media apparatuses, the political and economic elite, and a substantial proportion of the Egyptian population. Sabahi will struggle tremendously -- if he were to win even 25% of the vote, it would be a respectable showing in the circumstances.

The question remains, however: how will el-Sisi govern? It is not entirely clear, because as yet, no official and complete presidential platform has even been released. His campaign team has indicated they do not believe it is appropriate to do so. Nor has el-Sisi himself been openly campaigning in rallies and so forth, with his team citing security concerns.

That leaves room for a great deal of speculation, based on the few television interviews that the candidate has had and a few written ones, where he has constantly tried to lower expectations.

What seems to be clear, however, is that el-Sisi's most oft-repeated themes can be summed up in two: the Egyptian version of the "War on Terror," and an emphasis on the likelihood that Egyptians will not "rest" as the economic difficulties are addressed.

The first theme relates to a number of radical violent groups, such as "Ansar Beit al-Maqdis," which have been targeting police officers and military personnel over the past year.

It also relates to the Muslim Brotherhood, an Islamist group that has been banned by the Egyptian government as a terrorist organization, although the designation has been disputed.

Thousands of their supporters and members are either on trial or detained by the Egyptian state -- the most famous trials have resulted in scores of death penalty verdicts being recommended by Egyptian judges. It is, however, unlikely such sentences will be carried out, regardless of an el-Sisi presidency, even though he announced in an interview that in his presidency there would be "no" Brotherhood.

Nevertheless, the presidency of el-Sisi, who is blamed by the Brotherhood for orchestrating a military takeover last July, as well as massacres of their supporters, will still be regarded as illegitimate by supporters of that organization. Sisi's non-Islamist opposition may acquiesce to the electoral result -- but they could still prove to be an additional thorn in the government's side, agitating for progressive change.

That may mean that the polarization of Egyptian society will continue for the foreseeable future. Regardless of the hopes of some, it is doubtful that the Brotherhood, or dissent in general, will simply disappear.

The second theme relates more to the Egyptian economy, which is in a deeply worrying situation. It may continue to deteriorate, but wholesale collapse does not seem to be on the horizon.

Egypt's new authorities can count on the support of several Gulf countries, and the Egyptian military, as an institution, is expected to play a significant role in pushing forward on several projects designed to improve the Egyptian economy. The military's top brass generally supported el-Sisi's retirement, in order for him to run for the presidency, and for the time being at least, that institution will back him.

Be that as it may, however, el-Sisi will become president at a time when the Egyptian public is more tired than ever.

The last four years of instability have not delivered what that public expected, and while a significant proportion of it may give him a bit of breathing room in order to produce positive change, he will not be able to count on it indefinitely.

If el-Sisi does not tackle the weighty problems concerning the economy, security (including security sector reform), and corruption, he should expect there to be a reaction.

In a country where the majority live either under or close to the poverty line, and youth (who make up the majority of the population) unemployment is incredibly high, minute changes may not be enough to bring genuine stability to this country.

The opinions expressed in this commentary are solely those of H.A. Hellyer.

@highlight

Egyptians go to the ballot boxes Monday to vote for their fourth president in as many years.

@highlight

H.A. Hellyer says the former defence minister Abdel Fattah el-Sisi is widely expected to win.

@highlight

But he says what el-Sisi will bring is harder to predict as his platform is unclear.

@highlight

Egyptians need economic, security and corruption issues to be tackled, Hellyer says.