(CNN) -- It seemed a promising development, a team of investigators tearing up a basement in hopes of answering a three-decade-old question: What happened to Etan Patz?

It was a tantalizing lead offering hope that investigators would solve the mystery -- at last -- of what happened to the 6-year-old boy who disappeared on his way to the school bus stop 33 years ago.

There have been a series of such leads over the years in the case, which changed the nation's attitudes toward children's safety and helped launch the missing children's movement.

First there was the drifter living in a drainage tunnel with pictures of boys who looked eerily similar to Etan. A rash of false leads that took investigators as far afield as Israel chasing look-alikes. Then, most recently, a cadaver dog picking up the scent of human remains in a basement near Etan's home.

Each time, the result has been the same: sometimes a few answers, often more questions, and rarely anything resembling the full truth for Etan's parents, Stan and Julie Patz.

The family has endured years of crank calls and far-fetched theories on the home telephone number they never changed in hope Etan might some day try to call.

"They exacted the biggest emotional cost, riding Stan and Julie on a steep vertical incline up the tracks, to plunge straight back down to hell every time," journalist Lisa Cohen writes in her definitive account of the case, "After Etan: The Missing Child Case That Held America Captive."

Such dramatic ups and downs have long been part-and-parcel of the investigation into Etan's disappearance.

In the days and weeks after he went missing in May, 1979, police, the family and neighborhood volunteers worked tirelessly tracking down leads, according to Cohen.

In the two weeks following Etan's disappearance, police put in more than 4,000 hours on the case, interviewing some 500 people, Cohen writes in her book.

Police cruisers swarmed the neighborhood as volunteers plastered the area with 10,000 posters, according to Cohen's account.

Then came the first letdown.

The police officers who'd camped in the Patz home, answering phones and dispatching detectives to follow up on possible leads, packed up and left, the emergency phase of the response over.

In their place, they left a legal pad next to the phone and instructions to log each call. What had been a stream of calls slowed to a trickle, but kept coming, with their stories of boys matching Etan's description seen in places near and far.

None panned out.

Three years later, in 1982, the roller-coaster would start its climb again with reports that a man, Juan Antonio Ramos, had swiped a boy's book bag and tried to lure him and another boy into the drainage tunnel where he was living.

Police found photos of young boys among the man's possessions, and took them to Etan's parents to see if their son was one of them.

"Almost three years into their ordeal, the half-formed scab covering their private life and private pain was being picked off yet again to ooze fresh blood," Cohen wrote in her book. "They greeted the news with the now familiar mix of trepidation tinged with the faint hope, one that could never be discounted, that new exposure could yield new information."

The case didn't pan out, at least initially, and Ramos vanished.

Interest moved on to other reports, Cohen wrote in her book: A photo in Israel, another in Massachusetts. A cab driver who said he picked up the boy the morning of his disappearance.

Like the other leads, nothing came of them.

In 1988, the cycle began turning again. Investigators turned their attention back to Ramos after locating him in a Pennsylvania prison -- where he was serving time on a molestation conviction.

They brought Ramos back to New York for questioning, and got a bombshell, Cohen writes.

Ramos acknowledged picking up a boy he believed was Etan and bringing him back to his apartment for sex, according to Cohen. But he said the boy declined his advances, so he took him to the subway and waved goodbye.

Three years later, in 1991, after helping secure another conviction against Ramos, federal authorities visited the Patz family again. They were there to deliver the news the family had long dreaded -- that investigators believed their son was dead and they believed Ramos was responsible, Cohen writes.

"The words were not earth-shattering; they weren't saying anything that twelve years into the case both parents didn't already know," Cohen writes in her book. "But now for the first time law enforcement was sitting across the table, telling them that the weight of evidence supported their worst fears."

At the same time, the federal authorities said they'd come to the end of their journey, saying only New York state prosecutors could take the case to court.

They never have.

There have been more milestones since that day in 1991.

In the summer of 2000, New York investigators examined evidence from the basement of the apartment building where Ramos once lived. In 2001, Stan Patz had his son declared legally dead, and in 2004, a judge found Ramos liable for Etan's death in a wrongful death civil lawsuit.

But none of those milestones brought them closer to what the family has long said it wants, barring the return of their son: a criminal conviction.

In 2010, Manhattan District Attorney Cyrus Vance reopened the investigation after his election, something he had promised to do during his campaign.

The promise that authorities were closer to mounting a criminal case seemed alluringly close last week, when investigators flooded the neighborhood and began dismantling the basement where handyman Othniel Miller once had a workshop.

Etan knew the man and had sometimes helped him with odd jobs before he disappeared, Cohen said in a Monday interview on CNN. Authorities had looked at the basement workshop years ago, but never tore up the place as they were doing last week, she noted.

Investigators recently renewed their interest in Miller, 75, in part after interviewing him about his connection to the basement. During the interview, a source said he blurted out, "What if the body was moved?"

About a month ago, a cadaver dog picked up the scent of human remains. Then investigators began to tear down drywall and cut through concrete in search of clues.

"It was a huge number of resources being thrown into this case," forensic scientist Lawrence Kobilinsky said Monday in an appearance on CNN. "It shows you that this case is still alive in the minds, (of) not only the public, but certainly, of law enforcement."

Mike Huff, a retired police detective and cold-case investigator in Tulsa, Oklahoma, who now heads the International Association of Cold Case Investigators, said as he watched coverage of the case, the kinds of details that were emerging led him to believe investigators were confident they had finally come up with a solid line on hard physical evidence in the case.

The big news came over the weekend, when it leaked out that investigators had recovered a chunk of concrete that appeared to be stained with blood.

"I thought, 'Man, this is going to be a slam dunk, they already know the answer to this story,'" Huff said.

Then, suddenly, once again, nothing.

The blood wasn't blood, it turned out. No human remains had been found.

Etan's family learned Sunday the search had come up empty.

It's not clear where the investigation goes from here. Through his attorney and daughter, Miller has denied any role in Etan's disappearance.

Cases as old as this one can be tough to crack, Huff said.

"The longer it gets away, the more you really have to have hopes and prayers for technology to come into it," he said.

While investigators didn't get the answers they wanted -- again -- Huff says there's still some good to take out of the effort.

"It's a success that 33 years later, somebody is still looking at it," he said.

@highlight

The 33-year-old Etan Patz case continues to stymie investigators

@highlight

Investigators recently concluded their search of a basement near where the boy disappeared

@highlight

Like other leads, it has failed to definitively reveal what happened to Etan Patz

@highlight

A cold-case investigator says it's a success that the case is still getting attention and resources