The announcement that Russia's prime minister, Vladimir Putin, will run for president in next March's election and will, if elected, appoint the current president, Dmitri Medvedev, as his prime minister brings to mind one of the most famous lines of Italian literature.

In Giuseppe di Lampedusa's novel "The Leopard," set in 19th century Sicily, a young nobleman tells his conservative uncle that clinging to the past will not work. "If we want things to stay as they are," he says, "things will have to change."

The Kremlin's proposed game of musical chairs is the kind of change whose only purpose is to keep things as they are.

Putin and company have made clear for years that they do not intend to leave the scene quietly in 2012 when Medvedev's presidential term expires. The only question was in what configuration the two leaders would return.

To stay in the same positions would have smacked of stagnation. Switching places, although hardly an inspired move, is the simplest way to stir the waters without fear of rocking the boat.

It will provoke a temporary burst of indignation from Putin's many critics in the West, some of whom saw in Medvedev a champion of liberalism and civil rights. Some will predict a tightening of authoritarian rule.

Yet the reality is that Putin's return to the Kremlin will not, in itself, change much. For the last four years, he has made all key decisions, with Medvedev's advice, and he will continue to do so. Those who imagine that a second Medvedev term would have produced dramatic breakthroughs face the problem of explaining why his first term did not.

Unless Western leaders seek to punish Putin for his return, there is no reason to think it will undermine the "reset" of recent years. Improved relations with the US could not have been pursued had Putin not approved of the policy.

Despite rumors of disagreements between the two leaders -- or, more often, their aides -- Putin and Medvedev have always worked together as a close-knit team. Ordinary Russians understand this well. Fifty-eight percent think stories about conflicts between the two are dreamed up by journalists and opposition politicians. Seventy-three percent see Medvedev as having continued Putin's policies rather than introducing new ones of his own.

Both want to make Russia a strong, modern country and understand the need for an efficient economy linked into global markets and capital flows. At the same time, both want to protect a circle of friends and acquaintances who have grown rich during their years in power. Obviously, these two goals at times conflict.

To maintain their popularity, the two leaders have employed a political division of labor. Putin's priority has been to keep mainstream Russians loyal. His occasional anti-Western jibes and earthy aphorisms aim to appeal to provincial sensibilities.

But his main weapon has been money. During the financial crisis, the prime minister spent lavishly to soften the pain, increasing pensions by 24% in real terms in 2009 and another 13% in 2010. Although the economy shrank by 8% in 2009, government spending grew from 34 to 41% of GDP. Russians' real disposable income rose by 2% in 2009 and almost 5% in 2010.

The strategy has largely worked. Although Putin's -- and Medvedev's -- approval ratings have fallen in the last two years, the decline has been relatively slow. The latest polls by the respected Levada Center show that 68% still approve of Putin's performance while 63% approve of Medvedev's.

Barring a sudden collapse, this should be enough to get Putin comfortably through next March's election, even without the predictable electoral irregularities. But the support, although high, is thin, resting on economic performance and little else. Russians are worried about the future. Even as the economy stabilized after the worst of the global crisis, the percentage who think the country is heading in the right direction fell during the past year from 48% to 36%.

Medvedev's political constituency has been the urban, educated elites in business, academia, the arts, and other spheres. He has courted them with articulate interviews, technology incubators, and tweets about modernization. The problem is that, after years of empty promises and speeches, almost all have given up on him.

As prime minister, Medvedev will be plunged into the operational details of managing the economy at an unusually tricky moment. Although Russia achieved growth of 4% last year, it is not clear how long it can continue at this rate without major reforms to restore battered investor confidence. Oil and gas output is unlikely to increase much in coming years, especially if growth in the developed economies stalls.

Aware of this, the two leaders have already announced reforms to simplify rules for investors and privatize large stakes in state-owned companies. Medvedev's first task will probably be implementing unpopular cuts to rein in public spending. He may have to back away from a commitment to triple defense expenditures -- a promise that prompted Alexei Kudrin, the long-serving finance minister and leading budget hawk, to say he would refuse to serve under Medvedev. The need to trim social spending threatens to turn Medvedev into a lightning rod for discontent, and could shorten his tenure.

Yet there is also the chance that he will survive for long enough to see reforms bear fruit -- and claim a share of the credit. Having visibly chafed at the lack of levers to get his policies implemented, he will now get opportunities to implement some himself. How effective he proves in this new role -- and how much leeway Putin allows him -- remain to be seen.

@highlight

Vladimir Putin will run for Russian president; Medvedev to become prime minister

@highlight

Daniel Treisman says the change is mostly about preserving the status quo

@highlight

He says Putin and Medvedev both recognize the importance of keeping economy growing

@highlight

Treisman: The two work together, dividing up tasks in bid to remain in power