(CNN) -- The tragic death of Moritz Erhardt, a 21-year-old intern at Bank of America Merrill Lynch, has cast a spotlight on the extreme work culture in the financial industry.

The hours that Erhardt had been working are not unusual. Many finance professionals often work into the wee hours of the morning. Their weekends are spent recovering from grueling workweeks. Their holidays are spent constantly checking in with the office. The result is that work begins to take up nearly every waking hour. There is little time left for life.

The extreme work culture used to be the preserve of a few elite professions, such as banking or law. Now it seems to be spreading. Employees in many jobs are being asked to make themselves constantly available. Partly, it's because new technologies allow people to be connected and reachable at all times.

But it comes at a huge cost. There is a significant body of research that shows long working hours have negative physical and psychological effects on people.

A recent study by professor Alexandra Michel tracked investment bankers over a nine-year period. These bankers would routinely work from early morning to well past midnight. To cope with these hours, many became gym junkies, taking to the treadmill after midnight for an hourlong run. However, after about seven years of this relentless grind, the bankers began to suffer serious psychological and physical breakdowns.

In addition to damaging the body and mind, long hours at work cut people off from their family and friends. People who spend most of their waking hours at work or dealing with work-related activities have little time to build and nurture relationships outside of work.

Their intimate relationships with family can become strained. Their friendships can become weak. If something goes wrong, they may feel isolated and helpless because they lack a healthy ecosystem for emotional support. The result is that their social network withers and, over time, can die.

Extreme hours have been proven to be unhealthy for workers. They are also bad for communities.

If days are spent only working, then there is little time to put into local clubs, faith groups and associations. Harvard professor Robert Putnam has pointed out that the long working hour culture has led to a stunning decline in the numbers of people who are members of clubs and associations. It has effectively weakened the fabric of our communities. People are increasingly cut off, to the extent that it's common not to know your neighbors or anyone in your neighborhood.

What is perhaps most surprising is that long hours are not even good for companies.

The most productive countries among the developed economies often have the shortest work hours. Employees in Germany and France work less hours but get more done. Their British counterparts spend much longer at work but produce far less. Not only that, when people are tired from long hours, they tend to make more irrational and risky decisions.

A recent study by the Swedish sociologist Roland Paulsen has shown that long hours at work also lead to the prevalence of unproductive "empty work" such as checking Facebook, watching YouTube videos or even undertaking personal projects at the office. It's possible that these are ways for employees to show resistance.

There are so many good reasons to end the extreme work culture. But how can it be done?

A first step is for companies to introduce policies and practices that stop employees from working through the night. These might include having work-life balance programs, or closing the doors to the office at a reasonable hour or banning e-mail traffic after a particular time at night.

As important as these top-down changes are, employees need to instigate bottom-up changes. These require us to avoid modeling and encouraging the practice of working long hours among new recruits. We have to make it acceptable to say "no" to an extreme work culture.

Remember, we work to live, not live to work.

The opinions expressed in this commentary are solely those of Andre Spicer.

@highlight

Andre Spicer: Intern's death casts spotlight on extreme work culture in finance industry

@highlight

Research shows that long working hours have negative effect on people, Spicer says

@highlight

He says extreme hours are bad for employees, for communities and even for companies

@highlight

Spicer: The most productive countries often have the shortest work hours