Momentum in the Senate may be building for passage of a comprehensive immigration reform bill after a border security deal was announced this week, but House GOP opposition to immigration legislation remains the biggest roadblock to a bill getting to the president's desk, and that opposition only appears to be hardening.

Senate immigration deal includes tougher border security

The messy demise of the farm bill on the House floor on Thursday demonstrated the divisions within GOP ranks and the willingness of dozens of rank-and-file members to ignore their leadership.  While there's not a clear parallel between that bill's failure and the road ahead for immigration reform, the episode does underline the exceedingly tough task House Speaker John Boehner, R-Ohio, faces as he attempts to guide immigration legislation through the House.

Boehner insists he wants to tackle immigration reform, but hasn't been clear about how he intends to navigate the controversial issue through his own conference.

CNN Poll: Big generational divide in immigration battle

"After all this talk about the Senate there has been so little focus on the House and that it has been, pre-farm vote -- and will continue to be post-farm vote -- the choke point for any immigration reform, " Amy Walter, national editor of the Cook Political Report told CNN.

House GOP leaders knew many conservatives would vote against the farm bill because they viewed the food-stamp programs as too expensive.  But 62 members, roughly a quarter of all House Republicans, broke with Boehner, who made a rare endorsement of the bill, and joined with the vast majority of House Democrats to take down the bill.  Even if Democrats produced the level of support Republicans say they anticipated, GOP leaders still didn't have support within their own ranks to get the farm bill through.

The farm bill's defeat "exposed the vulnerabilities of so called compromise legislation in the House," Walter added.

But even before the farm bill fiasco Boehner began pouring cold water on the immigration momentum coming out of the Senate.  As news was breaking on the Senate deal on Thursday morning Boehner compared immigration reform to Obamacare, the bill Republicans constantly malign as the prime example of government overreach.

"Every day as Obamacare is being implemented, Americans are reminded of what happens when you have big legislation rammed through Congress with minimum support," Boehner said at his weekly news conference.  "Americans' confidence in their government is near an all-time low, so if immigration reform is going to work it's essential that we have the confidence of the American people and that it's done the right way," the speaker added.

The deliberate move to put immigration in the same category as Obamacare showed Boehner is in no mood to muscle through a massive immigration overhaul unless it can garner significant votes from both sides of the aisle -- a tall order in the House.

Boehner didn't comment directly on the new "border surge" provisions that would double the number of agents on the U.S.-Mexico border or the new money to construct a 700-mile-long fence.  But he raised questions on whether that plan would be enough to address concerns among conservatives, saying, "If we're going to get the kind of bipartisan support I think we need, and we're not going to get that confidence unless the American people look up and say, 'Yes, this border security package meets the straight-face test.' "

Another key House GOP player on immigration reform, Judiciary Committee Chairman Bob Goodlatte, R-Virginia, was skeptical that the Senate's border security plan was going to work, telling reporters, "Just throwing bodies at it" does not solve the problem.

Goodlatte said the larger issue is addressing the 35%-45% of the 11 million people in the U.S. without legal status who he says enter the country lawfully -- through visas, but are allowed to overstay or gain a waiver to remain.  He argued there has to be a bigger emphasis on interior enforcement programs.  And Goodlatte repeated his intention to move immigration reform through a "step by step" process instead of the sort of comprehensive bill the Senate is considering.

Navarrette: Border security push is a joke

"Anything attached to a path to citizenship even if it secures the border I wouldn't support it," Pennsylvania Republican Rep. Lou Barletta said when asked by CNN about the Senate's new border security plan.  Barletta said he could support additional resources but said he wanted "a guarantee" that enforcement measures in fact worked, and he thought what the Senate was doing would end up speeding up eventual citizenship for undocumented workers, something he said was unacceptable.

"I don't have any confidence that it's ever going to be implemented, " Iowa Republican Rep. Steve King told CNN when asked about the Senate border security plan, saying he didn't believe Secretary of Homeland Security Janet Napolitano would follow the law.

The dynamic inside the House Republican conference on immigration could be seen outside the Capitol on Wednesday afternoon with two groups delivering polar opposite messages about immigration policy.

House GOP Conference Chair Cathy McMorris Rogers, R-Washington, held a news conference with several House Republicans and a group of Hispanic religious leaders and stressed the party's outreach efforts to Latinos on immigration.  Just yards away, the loud voices of a hundreds of activists opposed to a path to citizenship -- branded "amnesty" -- could be heard at an event King organized.

Boehner already made it clear earlier in the week that he would only move an immigration bill if it had the support of the majority of House Republicans.  But even if he gets more than half of the 234 House GOP members, he'll still needs to rely on House Democratic Leader Nancy Pelosi to get most of her members on board to pass a bill.

Democratic support for immigration reform has never been in question.  But House Republican congressional aides, still incensed about the failure of the farm bill, question whether Democrats on Capitol Hill are more focused on scoring political points in the next election than joining with them to pass a bill.

"How are we supposed to trust a promise or a whip count from House Democrats now?" one senior House GOP leadership aide said when asked about what the farm bill's defeat means on immigration.

Walter noted that all along many Republicans on the Hill have been suspicious about how serious congressional Democrats were about actually getting an immigration bill over the finish line.

"It speaks to this deep seeded belief among many Republicans that Democrats are going to pull the rug out from them and use it to beat them about the head in 2014," Walter explained to CNN.

The Senate could be on track to pass its immigration package before July 4, but the bipartisan group in the House that has been working for months on a similar proposal hasn't been able to finalize their deal yet.

The House Judiciary Committee has begun working on more narrow proposals aimed at enforcement and security, and those could come up for votes as early as next month.

Even those in the House who are pressing for major immigration reform say it's unlikely to play out in the House until later this fall.

But that schedule poses difficult decisions for Boehner about how to move immigration as it comes around the same time as the House has to deal with an equally divisive issue -- addressing how to deal with the country's debt limit.

Biden urges final push on immigration reform

@highlight

Opposition to immigration reform appears to be hardening in the House

@highlight

Failure to pass farm bill in the House demonstrated divisions in GOP ranks

@highlight

Roughly a quarter of House Republicans broke ranks with Speaker Boehner

@highlight

Boehner recently compared immigration reform to Obamacare