(CNN) -- The scandal embroiling the empire of media mogul Rupert Murdoch's News International might extend from London to Washington, legal experts not personally involved in the unfolding matter said Monday.

The potential liability flows from journalists at individual newspapers, such as the recently defunct News of the World, to its parent, News International, to its parent, News Corp., which is a publicly held company in the United States.

"The allegation so far with this phone hacking scandal includes a component where someone within News Corp.'s organization perhaps made payments to London police officers to perhaps obtain information that would thus allow News of the World to write newspapers and sell newspapers," said Mike Koehler, a professor of business law at Butler University in Indianapolis, Indiana.

If true, that might violate the Foreign Corrupt Practices Act (FCPA), which Koehler described as "a U.S. law that generally prohibits the payment of money or anything of value to a foreign official for a business purpose.

"So, there does seem to be a basis for a U.S. investigation at this point."

If anyone at News Corp. participated in payments to police officers or authorized such payments or even knew about them and failed to stop them, the case could wind up in the lap of the U.S. Department of Justice.

The potential implications for the Murdoch media empire are numerous and none of them are good, Koehler said. "Many FCPA enforcement actions have what I call 'a point of entry' -- a set of limited, discrete facts that give rise to the inquiry in the first place. But it's also very common for the 'where else?' question to be asked on the theory that, if News Corp. employees within the organization were making these payments to London police officers, perhaps others in this organization -- all over the world, for that matter -- were making similar payments."

The decision to close the News of the World followed accusations that it illegally eavesdropped on the phone messages of murder and terrorist victims, politicians and celebrities, and claims it may have bribed police officers. Police said last week that they had identified almost 4,000 potential targets of phone-hacking.

"There could be potential exposure," concurred Don Zarin, author of "Doing Business Under The Foreign Corrupt Practices Act" and a partner with the Washington-based law firm of Holland & Knight.

The act stipulates that U.S.-listed companies, their employees or agents may not make bribes to foreign officials. A second portion of the law applies to accounting requirements for public companies. "They have to keep books and records in reasonable detail that reflect the transactions," Zarin said.

So, if a bribe was made and not properly noted, the U.S. Securities and Exchange Commission and the DOJ could each have a case, he said. A telephone call or an e-mail from an editor in London to his or her boss in New York could prove key, he said. "If you send an e-mail to the boss saying, 'I'm going to pay $10,000 to police officers for this information,' that would provide the jurisdictional basis or potential liability on the part part of possibly the British employees."

If any employee of News Corp., which is listed in the United States, knew about and authorized such a payment, "they could have potential exposure," he said.

And if Rupert Murdoch -- the 80-year-old Australian-born head of News Corp. who became a U.S. citizen in 1985 -- knew what was going on and authorized it -- even implicitly -- "he could have some potential exposure," Zarin said.

The penalties can be severe, including jail time and fines, he said.

Ignorance confers no protection, he said. "The SEC has brought cases against U.S. companies who had no knowledge of what foreign subsidiaries were doing, but had misbooked it," he said, adding that the SEC blamed the companies for not having set up the internal controls that would have caught the illegal behavior.

A DOJ spokeswoman said she could not comment on possible Justice Department involvement.

If the charges wind up being nothing more than civil accounting violations, the SEC would handle the case and DOJ would not become involved, said James Tillen, coordinator of the FCPA Practice Group at Miller and Chevalier, a Washington-based law firm specializing in international regulatory issues, tax and litigation.

That would still carry a major risk to those involved. "The SEC has a lot of bite in significant fines, penalties, prohibiting people from serving as officers in public companies," he told CNN in a telephone interview. "That can derail a career quickly."

But a criminal prosecution by DOJ would be the most to fear, since it would carry the potential of jail time, he said.

SEC fines can range up to $25 million per violation in such cases, but totals regularly exceed $100 million because the agency can force the company to disgorge ill-gotten gains. The DOJ can impose a criminal fine on individuals of up to $100,000 and five years in prison for each count on a bribery charge, he said. Multiple counts could lead to higher fines and sequential prison terms. But fines are typically pegged to how much a company or an individual gained as a result of the crime, he said. That can be easy to figure out when the subject is a contract, but any case involving Murdoch's empire might present more of a challenge. "How many more newspapers did you sell?" he asked.

Still, U.S. authorities may choose not to intervene at all. "If the Department of Justice were satisfied that the U.K. had sufficient ability to prosecute this, then they may step aside," Tillen said. "If they weren't satisfied, then they could be very interested."

England passed an aggressive law, the U.K. Bribery Act, which became law on July 1, but it is not retroactive, Tillen said. The predecessor legislation that would apply "is a hodgepodge" of laws, some of which date back more than a century, he said. "That's part of the problem."

Still, as things now stand, the nearly 4,000 miles that separate Washington from London won't put off U.S. investigators. "Of the 10 largest fines in FCPA history, eight have been against foreign companies," Tillen said.

But that may change. Rep. James Sensenbrenner, R-Wisconsin, has criticized the act as putting U.S. companies at a competitive disadvantage and held hearings last month intended to water it down, Tillen said. "The criticism is that it's being overly enforced by SEC and DOJ to reach activities that it shouldn't reach," such as taking officials out for free meals, he said.

A spokeswoman for Sensenbrenner provided CNN with a statement Monday from the congressman.

"I plan to introduce a bill that would reform the Foreign Corrupt Practices Act and bring it up-to-date with the changing world," Sensenbrenner said in the statement. "We need to bring clarity to what is and what is not illegal. My intent is to make sure that the stop signs and red lights are clearly visible for American companies doing commerce internationally.

"Right now, there is confusion regarding who qualifies as a foreign official. Foreign law enforcement officers are clearly foreign officials and it is absolutely absurd to imply that any changes to the FCPA would change that status or permit U.S. businesses to bribe policemen," he added.

@highlight

The U.S. Foreign Corrupt Practices Act prohibits bribing foreign officials

@highlight

A second portion of the law applies to accounting requirements

@highlight

"There does seem to be a basis for a U.S. investigation," says a business law professor