(CNN)  -- There are thousands of football stadiums around the world, ranging from multi-million-dollar, all-seater arenas to traditional old grounds that could probably do with a bit of TLC and a lick of paint.

Everyone knows about iconic structures such as Brazil's Maracana, the mark II Wembley in London and Spain's Santiago Bernabeu and Camp Nou, but many quirkier venues are also worth a visit.

CNN has picked out eight that offer something slightly different to the norm. Tell us what you think, is your favorite ground missing off the list?

1. Estadio da Madeira, Portugal  At first glance this 5,500-capacity stadium is not at all unusual, although two ends of the ground are wire fencing with no seats.

But the location, high above Madeira island's capital of Funchal, qualifies this venue for attention.

Games are often called off for fog and it is no wonder. The only road up to the ground is a narrow twisting track, easy to miss with just a single makeshift sign to indicate the right direction.

Driving up the narrow road it is hard to believe you are heading to a ground which has hosted Europa League football, until after a couple of kilometers you can spot the floodlights, high above the tree line like a scene from the film "The Field of Dreams" and its imaginary baseball ground.

This stadium is for real and boasts good facilities, including the Cristiano Ronaldo football academy, but its surreal setting takes some beating.

2. Braga Municipal Stadium, Portugal

Portugal's second entry in our list was designed by famed architect Eduardo Souto de Moura, winner of the 2011 Pritzker Architecture Prize, and is unique for its rugged beauty.

Built in 2003, in time to be one of the venues for Euro 2004, Moura carved the stadium into the face of the adjacent Monte Castro quarry which overlooks the city of Braga.

And, since it was built, the team's fortunes on the pitch have improved as well, culminating in them reaching the final of the Europa League last year.

Moura received his Pritzker prize this year from a well-known statesman, who said: "This is Eduardo's most famous work -- he took great care to position the stadium in such a way that anyone who couldn't afford a ticket could watch the match from the surrounding hillside."

That statesman? U.S. President Barack Obama.

3. Stadion Kantrida, Croatia

Situated in the Croatian city of Rijeka and home to the club of the same name, this stadium might be small, holding only 10,000 fans, but is perfectly formed.

Like Braga's ground, one side of the arena is dwarfed by a giant cliff face. However, the Kantrida offers visual beauty on the other side as well, being perched alongside the crystal blue waters of the Adriatic Sea.

The setting is so beautiful that since 1990 it has hosted some of Croatia's home international matches.

4. Allianz Arena, Germany

No apologies for the inclusion of Munich's new stadium. In an age when impressive new arenas are being built every year, this one takes the breath away for its unusual exterior.

Despite the controversy that surrounded its huge cost (reported to be in the region of $400 million) and allegations of corruption and underhand dealings in its construction, this makes the list for its magnificent tire-shaped design that dominates its surroundings.

But what really sets it apart is the paneling that makes up the facade, which can be independently lit with white, red, or blue light depending on which team is playing there -- something no other arena in the world can do.

The Allianz Arena hosted the 2006 World Cup semifinal between France and Portugal and is the setting for the 2012 Champions League final.

5. Estadio Hernando Siles, Bolivia

Although not officially the highest stadium in the world -- that honor goes to a ground in Peru -- this one makes the list because of its national importance and controversial history.

Situated in the capital city La Paz, at 3,637 meters (11,932 feet) above sea level, it is Bolivia's national arena and plays host to three club teams, including the appropriately named The Strongest.

For years, international opponents claimed Bolivia had an unfair advantage playing there, and it's hard to argue with some of the results it has spawned.

Just two years ago, the mighty Argentina were humbled 6-1 there -- the two-time world champions' worse defeat for six decades -- while Brazil suffered their first World Cup qualifying reverse in 40 years when losing 2-0 in 2003.

FIFA has made attempts to ban the stadium from hosting such matches in the past, but the Bolivians fought tooth and nail to fight the suspension and -- in the end -- football's world governing body relented.

6. Stade Velodrome, France

Love it or hate it -- and most people hate it -- Marseille's famous old arena is just plain odd.

It's the largest club ground in French football, holding 60,000 fans, and has hosted two World Cup semifinals (in 1938 and 1998) as well as numerous top rugby matches.

Yet, despite its location on the windy Mediterranean coast, and repeated proposed renovation projects, spectators must suffer everything that nature has to offer, as the stadium has no roofing on the stands.

Finally, work is now in progress to provide spectators with some respite from the elements, with work expected to be completed in plenty of time for when France hosts Euro 2016.

7. Svangaskard Stadium, Faroe Islands

This is a real gem of a stadium. Situated in the village of Toftir, it used to be the permanent home for all Faroe Islands home matches, although it has now been usurped as the national team venue by a newer ground in the capital Torshavn.

The Svangaskard holds just 6,000 fans but once been, never forgotten. From afar it looks like it is perched precariously on the edge of rugged rocks and once up close, you realize just how near it is to the sea.

Breathtakingly beautiful views surround the ground, so take a camera, and also some very warm clothing because you really will be at the mercy of the north Atlantic Ocean.

8. Cape Town Stadium, South Africa

Possibly the most beautiful stadium in the world for a variety of reasons. Built at a cost of $600 million in time for the 2010 World Cup, not only is it pleasing on the eye, but its location is simply stunning.

With the landmark Signal Hill on one side, the Atlantic Ocean on the other and Table Mountain also in the background, it is a stadium that shows off Cape Town's natural beauty with sumptuous effect.

And, as if it didn't have enough going for it, the stadium also played host to some of the best matches during the World Cup, with Germany beating Argentina 4-0 and the five-goal semifinal thriller between the Netherlands and Uruguay just two of its highlights.

@highlight

CNN takes a look at some of the world's most unusual football stadiums

@highlight

Portugal's Madeira island has a ground which is partly built into a cliff face

@highlight

One of the grounds highest above sea level can be found in the Bolivian capital La Paz

@highlight

South Africa's Cape Town Stadium has the scenic Table Mountain for a backdrop