(CNN) -- Twenty years ago last month, the North American Free Trade Agreement was born. The goal of NAFTA was straightforward -- to encourage the free movement of goods and capital between the U.S., Mexico and Canada. Few points in history have been as important in forging bonds between our three countries.

While NAFTA is a relatively new pact that ties our nations, there are some things that go back far longer that bind us. Like the annual monarch butterfly migration, which started long before the trades, borders or foreign affairs were even an issue.

There's no record telling us when monarch butterflies first began their journeys of up to 2,800 miles between southern Canada, the northern U.S., and central Mexico. It's easy to assume that an end date for the migrations is just as elusive, but reality tells a different story.

In January, we got grim news from the central mountains of Mexico, the southernmost destination for migrating monarchs and sanctuary for their winter hibernation.

According to surveys carried out by World Wildlife Fund, together with Mexico's National Commission on Protected Areas and other partners, the entire hibernating population of monarch butterflies in the 2013-2014 season occupied an area of forest not much bigger than a football field -- a mere 1.6 acres. This is a 44% drop from the previous season, and a continuation of the freefall migrating monarchs have taken since data collection began two decades ago.

2013 was the worst year for these butterflies in recorded history. Now people are talking about the migration disappearing altogether.

There are several reasons for the decline, including extreme climate events in the U.S. and Canada as well as deforestation in Mexico. Yet the biggest culprit is likely the widespread extermination of milkweed, a flowering plant critical to monarch butterfly reproduction and development.

Across much of the monarch's range, particularly in the midwestern U.S., milkweed has fallen victim en masse to changing land use and the advent of herbicide-resistant crops. In short, the cupboard is bare for monarch caterpillars, and as a result one of North America's most dazzling natural wonders is on the brink of vanishing entirely.

If you've been fortunate enough to witness any part of the monarch spectacle, you understand why we can't let this happen. Whether a blanket of orange against a deep blue sky; a forest draped from root to leaf in dormant monarchs; or a single butterfly fluttering past you en route to join the masses, there is nothing quite like it.

The proverbial silver lining to this dark news on migratory monarch numbers is that it may have come at an opportune time.

Next Wednesday, February 19, U.S. President Obama will meet with Canadian Prime Minister Stephen Harper and Mexican President PeÃ±a Nieto at the North American Leaders' Summit in Toluca, Mexico. Toluca is just a short distance from the monarch's hibernation sites. During the summit, the butterflies will still be in nearby forests, poised to emerge from a four-month siesta that began in early winter.

White House officials have said the three leaders will discuss "a range of issues important to the daily lives of all of North America's people." What isn't clear is whether the plight of the monarchs will make the agenda, and if the three countries bound by an age-old butterfly migration will together show resolve in making sure this unique connection isn't permanently severed.

Whether monarchs flying south from Ontario, across America's heartland to converge on the oyamel fir trees of the Sierra Madre; gray whales hugging the California coast as they migrate from Baja to the Beaufort Sea and back again; or pronghorn antelope clinging to strongholds from the Northern Great Plains to the Sonoran Desert, the natural bonds connecting the U.S., Mexico and Canada stretch back millennia and transcend anything that can be traded or written on paper. They are bonds to take pride in, that unite the countries of North America in unexpected, beautiful ways. Something we simply cannot let disappear.

The summit in Toluca may be the last hope we have of saving the monarch migration. President PeÃ±a Nieto himself has been committed to the conservation of the monarch sanctuaries of Estado de Mexico since he served as governor there from 2005 to 2011. He knows firsthand the significant efforts and sacrifices of Mexico's local indigenous communities, authorities and civil society organizations to protect the sanctuaries. He also knows the important contribution the butterflies bring to local social and economic well-being.

Only a joint effort from all three countries will turn the tide in favor of the monarch. Our leaders must re-energize efforts to conserve the monarch butterfly, like those under the North American Agreement on Environmental Cooperation that was born alongside NAFTA. This plan must include concrete actions to halt destruction of milkweed in the U.S. and Canada, restore monarch habitat in all three countries, and strengthen law enforcement in Mexico to stop deforestation.

If together we could pull off something as big and ambitious as NAFTA, solving the monarch crisis must be within our means. We urge our heads-of-state, on behalf of all the people of North America, to use this opportunity to commit to the long-term preservation of one of our most ancient and spectacular bonds.

The opinions expressed in this commentary are solely those of Carter Roberts and Omar Vidal.

@highlight

President Obama and his counterparts from Canada and Mexico will meet at summit

@highlight

Carter Roberts, Omar Vidal: They should discuss plight of monarch butterflies

@highlight

2013 was the worst year for these butterflies in recorded history, they say

@highlight

Roberts, Vidal: They're a special to North America, we must stop their decline