San Diego, California (CNN) -- In Washington, a lot of the meetings that take place between lawmakers amount to nothing. But recently, there was a get-together that was really something.     

The participants: Reps. Luis Gutierrez, D-Illinois, and Charles Gonzales, D-Texas, along with Sens. Marco Rubio, R-Florida, and Robert Menendez, D-New Jersey.     

The problem: What this country should do with so-called DREAM'ers, undocumented young people who were brought here by their parents as children and who face the threat of deportation.

One proposed solution that didn't go anywhere was the DREAM Act, a bill that politicians passed around like a hot potato for more than a decade. It would offer legal status and a pathway to citizenship to anyone who goes to college or joins the military.

The good news is that there was bipartisan support; the last time it was put to a vote, in December 2010, a slew of Senate Democrats voted for it, but so did three Senate Republicans -- Lisa Murkowski of Alaska, Richard Lugar of Indiana and Bob Bennett of Utah. The bad news is that there is bipartisan opposition; a slew of Republicans opposed the legislation, but so did five Senate Democrats -- Jon Tester and Max Baucus of Montana, Kay Hagan of North Carolina, Ben Nelson of Nebraska and Mark Pryor of Arkansas.

Clearly we need a new approach. Enter Rubio. The Cuban-American GOP rock star and potential GOP vice presidential nominee is floating the idea of a modified DREAM Act that would keep undocumented immigrant students from being deported by giving them legal status in the form of a student visa followed by a work visa.

The idea was originally shared with me about five months ago by Sen. Kay Bailey Hutchison, R-Texas, who, along with her colleague, Sen. Jon Kyl, R-Arizona, was eager to find a way to break the stalemate over the DREAM Act and help get these young people out of legal limbo and on with their lives.

Now Hutchison and Kyl have faded to the background, and Rubio is shopping the idea. No formal proposal has been released, but that hasn't stopped pundits and politicos from voicing their opinions about the concept.

Under the proposal, there is no yellow brick road to citizenship, but nor is there a roadblock. The young people would just have to find their own way there, if they even wanted to be U.S. citizens. Not every immigrant does.

You know who does want to give these students automatic citizenship? Democrats, who are salivating over the prospect of perhaps hundreds of thousands of new voters with a grudge against Republicans. And you know who is dead-set against giving them citizenship? Republicans, who want to avoid the ire of these newly minted voters.

There's a catch. Democrats may think these kids are adorable, but they don't want to adopt them and become known as the "illegal immigrant party." I suspect that's the real reason five Democrats helped kill the DREAM Act.

Follow @CNN Opinion on Twitter and at Facebook/CNNOpinion

The fact that Rubio is now attached to the proposal is a mixed blessing. Rubio might have enough leverage within his party to persuade some Republicans who voted against the old DREAM Act to support DREAM Act 2.0. The bad news is that Democrats are afraid of Rubio, and many of them have no interest in supporting any bill that makes the rising star look good.

Given all that, I'll bet the Latino "hangout" on the DREAM Act was not exactly an event that was officially sanctioned by either party. So what? That's a good thing. This is an encouraging new model. Let's hope we see more of these efforts to informally reach across party lines and forge bipartisan solutions on a variety of public policy issues. 

Providing legal status to undocumented college students and members of the armed forces is one issue where the partisan lines are blurred and the politics are very complicated. There are no good guys and bad guys, just both parties pushing their own interests without caring about what happens to a bunch of undocumented students.         

Someone needs to care. It seems these four lawmakers do. What Rubio has in mind might not be perfect, but it's the only entree on the menu. If the Latino Democrats think they can make it better, they should make suggestions. Then both sides should go back to their respective parties and pressure their colleagues to come onboard.

It matters to the deliberations that these lawmakers are all Latino. Regardless of party, whether they realize it or not, they have a natural kinship. A Republican like Rubio has a cultural connection to Democrats like Gutierrez, Menendez and Gonzales. That is something to build on. These guys might argue when they talk politics, but at least they can argue in Spanish.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Latino legislators met recently to seek progress on status of "DREAM'ers"

@highlight

Ruben Navarrette says it's encouraging that they're talking about a compromise

@highlight

He asks: Will political parties let that happen, or kill it to preserve a campaign issue?

@highlight

Navarrette: Marco Rubio's proposal isn't perfect but it does show progress