It's a national outcry. Republicans and Democrats have urgently pressed President Barack Obama to do something to stem the flow of child immigrants crossing the southern border -- and fast.

But in the hours after Obama announced Tuesday his request to Congress for $3.7 billion to slow the surge, objections began to mount on Capitol Hill.

The opposition is entrenched and extends beyond the current crisis of more than 52,000 unaccompanied minors crossing the border since October. It's rooted in distrust of the President, especially on immigration.

"There's widespread doubt about whether this administration can be trusted to enforce our laws and it's going to be difficult to move any immigration legislation until that changes," House Speaker John Boehner said in February.

As a central example, Republicans point to Obama's decision in 2012 to defer deportations of children brought to the United States illegally by their parents. They claim that's a reason for the unexpected surge of kids today from Central America.

With the door closed to any action on immigration reform this year with midterm campaigning in full swing, Congress and Obama now face a crisis around that issue, which Republicans do not want to touch as it's politically charged and complex.

And they're signaling that Obama's proposal to address the situation on the southern border won't be dealt with quickly, even though the White House casts it as an emergency.

Obama on Wednesday called the flow of "unaccompanied children" an "incredibly dangerous" situation, and said his proposal offers Congress "the capacity to vote immediately" on a solution if it wants to address the problem swiftly.

Obama heads to Texas amid 'urgent humanitarian situation'

Is immigration crisis Rick Perry's second act?

But Boehner said earlier on Wednesday, "We've got to do something about sealing the border and ending this problem so that we can begin to move onto the bigger questions of immigration reform."

House Judiciary Committee Chairman Bob Goodlatte of Virginia got to the heart of GOP sentiment, saying Obama "created this disaster" with his action to ease deportations.

"No amount of resources or changes will be effective in stemming the surge of illegal border crossings if President Obama continues to ignore the law," he wrote in a statement, resurrecting the common refrain when immigration reform was still a possibility.

Republicans also balked at the size of Obama's request, which was twice what they anticipated.

It includes $1.8 billion for the care of immigrant children while in holding facilities and $1.1 billion for the transportation and removal of any children ineligible to remain in the country.

"What disappoints me so much is he's asking for a blank check," Texas Sen. John Cornyn said.

Fiscal hawk Sen. Tom Coburn of Oklahoma said it's an extraordinary amount.

"We can put them all on a first class seat to their homes, that's $8 million," Coburn said Tuesday on CNN's "Crossfire."

The issue of immigration is ripe with politics, especially in an election year. It motivates the Republican base, which is skeptical of reform and despises Obama.

But Democratic strategist Maria Cardona said Republicans are trying to have it both ways -- ask for a solution and criticize the President.

"They can't scream about the house being on fire and then cut off the water supply to put out that fire," she said.

The situation also plays well for Democrats. They have consistently and increasingly captured the Hispanic vote, and used immigration as a wedge to keep Latinos in their camp.

While Democrats indicate they support Obama's request, they want more details before signing off.

At least one has expressed some frustration with the White House on this issue and, too, raises trust, but in a different context.

"We just can't just trust the President and say we are going to give you exactly every penny you want," Rep. Henry Cuellar, whose South Texas district is one heavily impacted by the current crisis, told CNN.

Democrats want to maintain the status of current law giving youth the right to make their case in an immigration proceeding.

"I hope at the end of the day it is basically fair and humanitarian and we keep in mind repeatedly that we're dealing with children here," said Sen. Richard Durbin of Illinois.

A law signed by President George W. Bush just prior to Obama's swearing-in, was meant to address child victims of illegal trafficking.

It says unaccompanied children from countries other than Mexico or Canada cannot be immediately deported. Instead, they must be treated humanely, turned over to the Health and Human Services Department, and given an immigration hearing to determine if they qualify for asylum.

5 things you need to know about the immigration crisis

Republicans want the law changed so unaccompanied youth can be immediately sent home without due process. Cuellar and Sen. John Cornyn, also of Texas, are set to propose legislation on Thursday to reverse that measure.

While the White House says it will ask Congress to give the Homeland Security Department more discretion to send such immigrants home, it's unclear if Obama will request changes to the anti-trafficking law.

White House Press Secretary Josh Earnest said this week the administration would meet humanitarian and due process standards. More judicial resources to accelerate immigration proceedings is one step the White House indicated was necessary.

Even some Democrats want more information, especially regarding asylum for trafficking victims who may be fleeing abuse or life threatening situations in their domestic surroundings.

"I want to see what is written. I trust this president but I want to verify," Durbin said.

@highlight

President Obama asked Congress for $3.7 billion for border solution

@highlight

Republicans immediately raised concerns, especially over cost

@highlight

Democrats are also wading cautiously on the issue in a midterm election year

@highlight

Obama says Congress can solve problem now if it wants by passing his plan