(CNN) -- The proposal by the Cordoba Initiative to build an Islamic center near Ground Zero has drawn major media attention and engendered fierce debate.  Right-wing political commentators, politicians, hard-line Christian ministers, bloggers and some families of 9/11 victims have charged that it is insensitive to 9/11 families, dishonors memories of the victims and will be a "monument to terrorism."

But here are the facts:The center is not at Ground Zero but two blocks away, and the Cordoba Initiative seeks to build a center, not a mosque. The center is not designed as a local mosque for a Muslim community but rather to serve the wider community.

It is meant to improve interfaith and Muslim-West relations and promote tolerance -- not just to provide services to Muslims. The proposed 15-story community center will include a prayer room, offices, meeting rooms, gym, swimming pool and performing arts center.

The controversy over Cordoba House is not an isolated event. It is part of a much more far-reaching pattern and problem.

Mosque construction in the United States has become a catalyst for increased anti-Islam and anti-Muslim sentiment, discrimination and hate crimes in recent years.

Efforts to construct mosques to accommodate growing Muslim populations have sparked intense opposition. A commentary appearing in the New York Post last month attacked plans to construct mosques in the state of New York:

"...There's no denying the elephant in the room. Neither is there any rejoicing over the mosques proposed for Sheepshead Bay, Staten Island and Ground Zero because where there are mosques, there are Muslims, and where there are Muslims, there are problems."

It continued: "Before New York becomes New Yorkistan, it is worth noting that the capital of Great Britain was London until it became known as 'Londonstan,' degenerated by a Muslim community predominantly from South Asia and Africa, whose first generation of 'British Asians' has made the United Kingdom into a launching pad for terrorists."

In the face of such rhetoric, where do we go from here?

Globalization and an increasingly multicultural and multireligious America (and Europe), with their significant Muslim populations, tests the mettle of Western democratic principles of free speech and freedom of worship.

Unfortunately, American attitudes toward Islam and Muslims often blur the line between the peaceful and rational mainstream majority of Muslims on the one hand and the acts of a small but dangerous minority on the other.

In some states, opposition to mosque construction has been led by politicians -- individuals charged with representing and upholding democratic values.

In June 2010, a Tennessee Republican candidate, Lou Ann Zelenik, opposed the Muslim community's proposal to build a mosque in Murfreesboro, charging  the Muslim center was not part of a religious movement, but a political one "designed to fracture the moral and political foundation of Middle Tennessee."

She warned, "Until the American Muslim community find it in their hearts to separate themselves from their evil, radical counterparts, to condemn those who want to destroy our civilization and will fight against them, we are not obligated to open our society to any of them. "

The charge that Muslims do not condemn terrorism has been made repeatedly, despite that post-9/11, many Muslim leaders and organizations in America and globally have consistently denounced acts of terrorism. But major media outlets do not seem to find them newsworthy, and thus they must be found in smaller outlets on the internet.

Even though major polls by the Gallup Organization and PEW research center show that the vast majority of American Muslims are well-integrated and, in contrast to many Muslim countries, pluralistic in outlook, a 2006 USAToday-Gallup poll found that substantial minorities of Americans admit to having negative feelings or prejudices against Muslims.

Fewer than half the respondents believed U.S. Muslims are loyal to the United States. About four in 10 favored more rigorous security measures for Muslims than those used for other U.S. citizens and requiring Muslims who are U.S. citizens to carry a special ID and undergo special, more intensive, security checks before boarding airplanes in the United States.

Islam-bashing charges leveled with no concrete evidence by pundits and politicians ring hollow. The call by some New York politicians for a delay in the construction of the Cordoba Center to examine its funding is simply grandstanding that reinforces the notion that somehow all Muslims, mosques and Islamic centers are guilty until proved innocent.

Muslim center flap recalls earlier N.Y. controversy over Arabic-language school

Why should Muslims who are building a center be any more suspect than Jews who build a synagogue or center or Christians who build a church or conference center?

As New York's Mayor Michael Bloomberg put it: "If somebody wants to build a religious house of worship, they should do it and we shouldn't be in the business of picking which religions can and which religions can't. I think it's fair to say if somebody was going to try to on that piece of property build a church or a synagogue, nobody would be yelling and screaming. And the fact of the matter is that Muslims have a right to do it, too."

Muslims are part of the mosaic of America, citizens and believers who are economically, educationally and politically integrated. No longer predominantly new arrivals, many are second- and third-generation citizens. Despite terrorist attacks by a very small but dangerous minority of extremists, the majority of Muslims, like their non-Muslim fellow citizens, are loyal citizens.

Islamophobia must be recognized for what it is, a social cancer as unacceptable as anti-Semitism, a threat to the very fabric of our democratic, pluralistic way of life.

The line that distinguishes Islam from those who commit violence and terror in the name of Islam --between the majority of mainstream Muslims and the acts of a minority of Muslim terrorists -- must be maintained.

Blurring these distinctions risks the adoption of foreign and domestic policies that promote a clash rather than co-existence of cultures and threaten the rights and civil liberties of Muslims.

The opinions expressed in this commentary are solely those of John L. Esposito.

@highlight

John Esposito says there's fierce debate over Muslim center planned near Ground Zero

@highlight

Esposito: Cordoba House is meant to improve interfaith connections in community

@highlight

Polls show many Americans leery of Muslims; they also show Muslims integrated, loyal to U.S.

@highlight

Esposito: Opposition to center goes against democratic principles, is Islamophobic