(CNN) -- When Ann Arbor, Michigan, advertising executive Al McWilliams finished high school in the late 1990s, he made a vow.

He swore he would "never, ever again" commute to work by car, "no matter what I was doing in life."

Most of his teen friends were getting their first cars and feeling free, but McWilliams didn't see it like that.

For him, freedom was being able to spend three hours a day doing something other than driving to and from private school. Driving was "oppressive," and his VW GTI felt like a "ball and chain."

Flash-forward to the present. McWilliams, now 32, either walks or rides the bus to his office every day, making his way to the back of the Route 5 bus, where he'll find a window seat and maybe enjoy a nice book.

"I feel more free when I take the bus," McWilliams said. "I don't have to worry about a car, where it's parked, gas or maintenance." He's secure knowing that, just outside his door, "a bus is going to come by every 15 minutes and and take me where I want to go."

McWilliams represents a growing segment of America that has embraced public transit from coast to coast in communities like Seattle, Dallas, Nashville and Los Angeles.

And the numbers are bearing that out. Statistics released Monday from the American Public Transportation Association show that 2012 ranks as the second-highest transit ridership year since 1957. Only 2008 was higher.

Trips in 2012 on U.S. subways, commuter trains, light rail, trolleys and buses beat the previous year by 1.5% -- or about 154.3 million rides.

That despite damage from one of the worst East Coast storms in decades. Last fall, Superstorm Sandy shut down some of America's largest transit systems, resulting, according to the transportation association, in a loss of an estimated 74 million trips.

In Boston, the storm closed subways for several hours. The annual traffic increased 2.8% despite a 25% fare increase earlier in the year. Nationwide, ridership still increased.

What's going on here?

Well, several things, say experts. For one, the price of gas spiked north of $4 a gallon in 2008. That year, a lot of commuters who economized by using transit got a surprise: They liked it. They liked it because they could work on their laptops or phones. They could call friends, read books, chat with other commuters. Take naps.

It was all so much more enjoyable than crawling in rush-hour traffic on Washington's Beltway, Atlanta's Connector or even in Ann Arbor at the intersection of Washtenaw Avenue and Platt Road.

So they kept on riding, even as gas prices dropped.

Another reason: Cities that didn't have many public transportation options in the '80s and '90s have been getting on board.

Places like Salt Lake City and Phoenix, which fostered rail transit during the past decade, are now seeing community benefits like lower traffic congestion and increased economic activity.

The ballot box revealed another signal of support. Last year, voters approved nearly 80% of the nation's local and state transit funding initiatives, the American Public Transportation Association said, allowing their tax money to go toward public transportation systems.

Some of the winners in Monday's public transit report include:

• New York City MTA subways, up 1.82%

• Los Angeles MTA heavy rail, up 3.70%

• Chicago elevated trains, up 4.32%

• Ann Arbor, Michigan, buses, up 6.6%

• Canton, Ohio, overall, up 9%

• Lewisville, Texas (northwest of Dallas), overall up by 11%

• Nashville, Tennessee, overall up 6.8%

• Phoenix light rail, up 6.7%

• Riverside, California, overall up 8%

• Seattle, overall up 12%

• Utah commuter rail up 14.74%; light rail up 14.73%

Cities that reported fewer trips included:

• Washington Metro subway, down 3.2%

• Atlanta MARTA subway/elevated rail, down 5.02%

Riders as customers

Less than 5 years old, Phoenix's light rail line gained nearly 7% in riders last year. Experts credit the increase to the train's convenient access to the city convention center, schools, shopping and nighttime entertainment.

"We look at riders as customers and try to design the experience from a customer's point of view," said Valley Metro's Susan Tierney. A special phone number offers riders real-time updates on arrival times. Managers are considering adding Wi-Fi to the trains.

Plans call for Phoenix light rail to expand to 57 miles by 2026 at the earliest, depending on the economy.

Linking up Utah

Utah's young rail system showed a nearly 15% gain on both its light rail and commuter rail lines in the Salt Lake City area. A commuter railroad linking the city with Provo opened in 2012, helping commuters avoid annoying vehicle traffic on I-15. Utah's light rail debuted in 2001 and commuter rail in 2008.

This year, two more light rail lines are expected to open for business.

Lawmakers are considering using public transit to battle the region's smog problem. A proposal would offer free access to light rail during January and July, Utah's worst months for smog.

Generations

And something else: The shift to embrace public transit appears to have a generational component. Younger people are waiting longer to get their driver's licenses, studies show. Many of these folks are using public transit.

Millennials, age 18 to 34, like McWilliams are more likely to use public transit than older Americans, according to surveys.

"Our parents moved to 'burbs where we grew up riding around in cars," McWilliams said. "My generation is going the other way. It may be as simple as that."

@highlight

New stats show rides on U.S. subways, light rail, commuter rail, trolleys increased 1.5%

@highlight

Americans took 154.3 more rides on public transit in 2012 compared to 2011, study says

@highlight

Big increases in Ann Arbor, Michigan; Nashville; Los Angeles, Boston, New York

@highlight

Cities with dropping subway ridership include Atlanta and Washington