Beijing (CNN) -- Watch out, America. China is steadily catching up in space.

Between June and August this year, China plans to launch its manned Shenzhou-9 spacecraft and then rendezvous and dock with a space lab which has been orbiting the earth since September.

Three astronauts will undertake the voyage, but one of them will not board the space lab. He will remain inside the spacecraft as a precautionary measure in case of emergency.

It will be China's first crew expedition involving manual docking.

If all goes as planned, China will become only the third nation, next to the U.S. and Russia, to dock capsules in space.

"It demonstrates China's continued commitment to becoming a first-class space power with an independent space capability," says Taylor Fravel, associate professor at Massachusetts Institute of Technology (MIT). "This is very exclusive club."

China's space program goes farther.

"The Chinese manned space program has announced its plan on 20 future space voyages," wrote Zhou Erjie of the official Xinhua News Agency. "China also plans to establish its own space lab around 2016 and assemble a 60-ton manned space station around 2020, when the current International Space Station is estimated to likely retire."

China has also begun efforts to explore the moon using space robotics. The country's eventual goal is a manned lunar landing.

The Chinese exploration plans, announced in December, come as the United States has been scaling back its plans and funding for space exploration.

China's space program has become a campaign issue in the United States.

In recent debates among presidential aspirants in the Republican Party, candidates criticized America's flagging space program.

Mitt Romney called for a partnership among "corporate America as well as the defense network and others" to "create a plan that will keep our space program thriving and growing."

Newt Gingrich cited China's soaring ambitions.

"Every serious analyst understands that the Chinese are going all out to dominate space," Gingrich said. "I would like to have an American on the moon before the Chinese get there."

To be sure, China is still decades away from a moon-landing.

Chinese officials speak of a three-step manned space flight plan: send man into orbit, dock spacecraft together to form a small space lab, and ultimately build a large space station.

"They are currently in step two," says Joan Johnson-Freese of the U.S. War College. "For comparative purposes, it's about where the U.S. was during the Gemini program."

China has been striving to put man into orbit since 1992.

China has developed its own spaceship, the Shenzhou, or Divine Vessel, which observers say resembles Russia's Soyuz space capsule.

Over the years, it has upgraded its launch vehicles, built new spaceflight facilities and trained a stable of astronauts.

Still, China did not put a man in space until 2003, 41 years after John Glenn became the first American to orbit earth.

That year, Colonel Yang Liwei orbited the Earth 14 times aboard the Shenzhou 5 space capsule.

Yang became an instant celebrity, paraded around the country and overseas. Several months later, he was promoted to general.

Yang's voyage has enhanced China's image overseas and boosted national pride at home. Only Russia, the United States and China have sent men into space.

Before that, China's space program was largely seen as capable but lacking in sophistication.

I saw that myself up close.

In August 1997, I had the rare chance of visiting the Xichang Satellite Launching Center in rural Sichuan province to observe the launch of Mabuhay, the first Filipino communications satellite.

Inside a windowless building, we watched Chinese staff work frenetically behind rows of computers and panels.

They struck me as quite unassuming in their white wrinkled robes that made them look MORE like doctors in a hospital ward than aerospace experts.

There was palpable anxiety before the launch.

Two years earlier, a rocket exploded in this launch site after liftoff and killed several people on the ground.

This time, when the Chinese-made rocket rumbled skyward, the crowd in the hall cheered.

The glitch-less launch restored China's reputation and self-confidence.

Over the years, China has been vying for a bigger slice of the lucrative satellite-launch market.

China also looks to harness aerospace technology for trickle-down spinoffs in telecommunications, weather forecasting, agriculture, medicine and navigation.

Experts say the upcoming launch will place China close to putting a space station in orbit. Such a station, a la ISS, will enable China to conduct scientific and military research.

Experts say the Chinese could use the station to conduct biological, genetic and energy research. At the same time, they could also use it as a platform to spy on potential adversaries or to develop lasers capable of blinding or disabling other satellites.

The Chinese space program is largely run by government-owned enterprises or military-affiliated groups. Many of the pilots, scientists and engineers are active or demobilized army officers.

China promises to never use space research for military purposes. "A rapidly developing space industry does not mean China has renounced its commitment to peace," says Qi Faren, the chief designer of the Shenzhou spaceship series. "All China is doing is to pursue a peaceful development of the space industry as planned."

Still, experts say, the U.S. remains concerned about Chinese space activities. "Over 95% of space technology is dual use, meaning of value to both civil and military communities," says Joan Johnson-Freese of the U.S. War College. "While the U.S. is still far ahead of China technically, China has something critical that the U.S. does notâ€”the political will to push forward."

If the trajectory remains unchanged, experts say, China's space activities may well surpass those of Russia and the European Space Agency within a decade or so. That will position China just next to the U.S. as a dominant space power.

@highlight

China plans to launch its first manned flight to dock at space lab in 2012

@highlight

Country plans to build a space station, working towards a manned lunar landing

@highlight

China's space ambitions are a campaign issue in the upcoming U.S. election

@highlight

China's may overtake Russia and Europe's space activities in a decade, experts says