(CNN) -- Once again, Obamacare has made its way back before the Supreme Court.

The high court decided Tuesday to review two challenges by for-profit corporations and their religious owners over comprehensive contraception coverage required by the Affordable Care Act. And if the justices follow more than 200 years of constitutional law and history on what it means to enjoy the free exercise of religion in America, the court should yet again hand a victory to the act.

It had little choice but to agree to hear the cases this term.

Using unprecedented legal reasoning, three federal circuit courts of appeals have ruled that secular, for-profit business corporations and/or the individuals who own them have a valid claim that the mandate to provide no-cost, FDA-approved contraception in their employer-sponsored health plan violates their asserted right to the free exercise of religion.

Two other federal circuit courts of appeals have rejected these claims; the Supreme Court frequently steps in to resolve such disagreements among the federal courts of appeals.

Unless the Supreme Court reverses these radical decisions, the consequences could reach far beyond the Affordable Care Act, making this particular roadblock for Obamacare more problematic in the long term than the well-publicized problems associated with the health exchange website's rollout.

By accepting the religious free-exercise claims, these three federal courts have turned first principles of religious freedom, as well as fundamental tenets of corporate law, on their head.

From the nation's founding until today, the Constitution's protection of religious liberty has been seen as a personal right, inextricably linked to the human capacity to express devotion to a God and act on the basis of reason and conscience.

Business corporations, quite properly, have never shared in this fundamental constitutional tradition for the obvious reason that a business corporation lacks the basic human capacities -- reason, dignity and conscience -- at the core of the right to free exercise of religion. Obviously not "persons" in the usual sense of the word, these corporations are also not religious organizations, which have historically received some constitutional protection and are, in fact, given exemptions from the contraception mandate.

These businesses do not hire employees on the basis of their religion and their employees are not required to share the religious beliefs personally held by the corporation's owners. In all of American history, secular, for-profit corporations have never been understood to "exercise" religion -- have you ever seen Exxon Mobil in the pew next to you at church? -- and have never been protected by the right to free exercise.

To be sure, the devout individual business owners behind the corporations in these challenges have their own personal rights to exercise their religion, but those rights have nothing to do with Obamacare's contraception coverage requirement. Why? Because federal law does not require the individuals who own the company to personally provide health care coverage or to satisfy any other legal obligation of the corporation. The law places requirements only on the corporate entity.

To conflate the corporations in these cases with their owners violates basic principles of corporate law.

When business owners create a corporation as the means of carrying out their business, they create a distinct legal entity with rights, obligations, privileges and liabilities that are different from the individuals who set up the corporation. This generally works to the benefit of the individual owners, which is why people choose to incorporate in the first place. And it means that certain rights specific to individuals do not carry over to the corporate form.

For example, the Supreme Court has held that an individual acting in his personal capacity has the right to "plead the Fifth" and refuse to turn over documents that could incriminate him, but that same individual acting in his official capacity as a corporate owner has no such right against self-incrimination. Like the right to the free exercise of religion, the right against self-incrimination has always been understood to be a personal right of freedom and conscience that artificial corporate entities simply do not share.

A business owner simply does not have the right to move back and forth freely between individual and corporate status to obtain all the advantages and avoid any of the disadvantages of the respective forms.

Whether you have cheered the misfortunes Obamacare has suffered over the past month or bemoaned them, the distortion of basic principles of corporate law and free exercise jurisprudence by the three federal courts that have endorsed the corporate challenges to the ACA's contraception mandate should be troubling.

The Supreme Court, as always, will have the final say.

If the justices follow more than 200 years of constitutional law and history, not to mention basic principles of corporate law, the court should hand another victory to Obamacare.

I'm sure the administration -- and more importantly, the women and their families who risk losing important health benefits to which they are legally entitled -- would welcome the win.

The opinions expressed in this commentary are solely those of Elizabeth B. Wydra.

@highlight

Elizabeth Wydra: Supreme Court to review contraception challenge to Obamacare

@highlight

Owners of corporations say providing that coverage violates religious freedom, she says

@highlight

She says business owner can't shift between individual, corporate status for advantage

@highlight

Wydra: If justices follow more than 200 years of law, they'll hand victory to Obamacare