Horrific images of dozens of mutilated children's corpses in the village of Houla prompted a rare moment of unity on Sunday from the United Nations Security Council.

Children shot, knifed, axed to death in Syria's Houla massacre, reports say

Even Russia, the staunchest defender of the Syrian regime on the council, signed on to a statement that condemned the Syrian government for its "outrageous use of force against (the) civilian population."

What is Shaam News Network?

But few Middle East watchers predict the atrocities in Houla will break the diplomatic deadlock that has cemented itself around Syria for the last 15 months.

"Nobody can see these images and not react," said Rami Khouri, a veteran analyst of the Arab world who lectures at the American University of Beirut in Lebanon.

"The problem is no one has figured out an effective way to get involved and bring this conflict to an end."

As part of a ruthless campaign to crush what started out as a peaceful protest movement, President Bashar al-Assad's security forces shelled cities, carried out systematic torture in prisons, and opened fire on opposition demonstrations and funerals.  The United Nations Human Rights Commissioner has repeatedly accused al-Assad's regime of carrying out crimes against humanity.

Annan meets Syrian president al-Assad as crisis reaches 'turning point'

It did not take long for Western governments to call for al-Assad's ouster.  But nearly 15 months after the uprising began, opponents have been unable to formulate a plan to dislodge the family that has ruled Syria for more than 40 years.

"We don't have any idea how to make these guys go away," conceded a high-ranking Western diplomat based in the region, who spoke to CNN on condition of anonymity.

"Read between the lines," the diplomat added. "In the immediate future, there is not going to be a Western intervention in Syria."

As the body count in Syria mounted over the last year to more than 9,000 killed, many Syrian opposition members began calling for military intervention along the lines of the NATO bombing campaign against Libya's now-deceased strongman Moammar Gadhafi.

Al-Assad's reign defined by violence

But analysts agree the American public has little appetite for involvement in another Middle Eastern conflict, as Washington has struggled to wind down lengthy wars in Iraq and Afghanistan.

Unlike Libya, where a number of high-level officials abandoned Gadhafi's regime, the Syrian government has succeeded in maintaining discipline at the highest government levels, even as it has been forced to cede entire towns and villages to the rebels.

"Partly it's Allawite solidarity," said Khouri, who was referring to al-Assad's Allawite minority sect, which holds a disproportionately large number of positions in the security forces and in government.

"Partly, these people all have blood on their hands and they sink or swim together.  If they try to break away, their families will get killed or shot. It's a combination of terrorism and solidarity."

"The biggest problem is the regime in Syria is not that weak," argued Omer Taspinar, a Washington-based analyst with the Brookings Institution.  "They still have a critical mass supporting them: the Sunni merchants, who see the world is not doing anything and that Bashar al-Assad can get away with murder."

Should the U.S. 'airdrop' millions of phones into Syria?

While the rebellion has roiled through second-tier cities as well as broad swaths of countryside, Syria's economic powerhouse cities -- Aleppo and Damascus -- have largely remained under government control.

Also, unlike Gadhafi, al-Assad has powerful regional allies in his corner: Iran, Russia, and, to an extent, China.

Exploring the Russia-Syria link

"The Obama administration doesn't really want a clash with Russia, China, or Iran in Syria.  That would negatively impact oil prices (in an election year)," said Taspinar.

"Overall, the strategy coming from the White House is procrastinate, try to emphasize the diplomatic initiative, talk about helping the opposition, but do not really ratchet up rhetoric into full confrontation with Russia and Iran."

After initially rejecting armed rebellion against the government, the Syrian opposition has morphed into a patchwork of loosely coordinated rebel groups determined to bring down the Syrian president.

But they have been woefully under-funded and poorly armed.  For months, demonstrators across Syria have chanted, "Arm the Free Syrian army" at protests that are filmed and then distributed around the world via YouTube.

Over the past month, there have been signs that the rebels have gotten their hands on new sources of weapons, though no government will publicly admit to arming the fighters.

Recently, the leader of a rebel band called the Green Idlib Battalion in northern Syria confirmed to CNN that the prices for rifles and ammunition had dropped in half.

Timeline: Syria -- How a year of horror unfolded

Early Monday morning, the Green Idlib Battalion's commander, who goes by the nom-de-guerre "Akil," claimed to have carried out an attack in coordination with other rebel groups against the town of Atareb near the northern city of Aleppo.

"We burned the town's police station and the city hall in order to force the security and armed forces out of this area," Akil said in a phone interview from the battlefield, as gunshots and explosions could be heard in the background.

But rebel fighters and residents said the government retaliated with armored vehicles, artillery and rocket fire from helicopter gunships.

As always, civilians paid the greatest price.

"As the regime's artillery was shelling our town, our home was destroyed and me and my brother were seriously injured," said Mohamed Haj Taha.

He spoke to CNN by telephone from a hospital in Turkey, where he fled with his brother and five other wounded Atareb residents early Monday morning.

Hours later, Haj Taha said doctors pronounced his brother Abdo dead.

"Now I'm in the hospital filling out paperwork after my brother's death," Haj Taha said.

The growing specter of a civil war in Syria clearly has policymakers worried.

"There's genuine concern about it turning into a huge-scale civil war with no way to influence the outcome or pick the winner," said the Western diplomat.

Opinion: Only Russia, China can stop the carnage

The Syrian government blames al Qaeda-linked groups for a series of devastating suicide bombings targeting the headquarters of security forces in Damascus and Aleppo.

Recently, even some of the secular activists who participated in the first waves of protests against Damascus expressed concern about Islamist elements cropping up within the armed opposition.

"Last week I was driving out of the city and two armed guys with long beards stopped me and asked me whether or not I pray," said Mamoon, a teacher from the southern city of Dera'a, who asked only to reveal his first name for security reasons.  "We don't want our revolution to transform into armed gangs that are out of control."

"I'm scared of those who say they are rebels and then start to appear alongside the protesters, but then start dirty business like kidnapping people for ransom," a female student from Hama recently told CNN, on condition of anonymity.

Opposition groups are clearly concerned about damage to their international image.

At a recent weekly protest in the northern town of Binnish, demonstrators performed a choreographed demonstration holding up letters from the English alphabet that spelled out the sentence: "We are not terrorists."

One of the only measures that rival members of the U.N. Security Council have been able to come to agreement on was the deployment of hundreds of U.N.military observers to Syria.

The mission was denounced from the start by opposition groups. They accused U.N. special envoy Kofi Annan of brokering a cease-fire that gave the Syrian government diplomatic cover for more killing.

"The plan had a lot of deficiencies, but it was the only plan that the Syrians and the Russians would agree to," said Rami Khouri, of the American University of Beirut.

"The monitors are just monitors, they are not peacekeepers.  They have been an easy but I think unfair target."

Kofi Annan calls for accountability

The much-maligned monitoring mission does not have the numbers or the weapons to force Syrian combatants to stop fighting. It did, however, play a vital role revealing the terrifying scale of the Houla massacre, which left at least 49 children under the age of 10 dead.

The Syrian government routinely prevents international news organizations like CNN from reporting in Syria and thereby being able to verify accounts of fighting and casualties.

And as the Syrian government and rebels accused each other of killing the children, the U.N. observers visited Houla and swiftly published a report that concluded the Syrian army fired artillery and tanks into the town.

Syria's ambassador to the U.N. later responded by accusing some Security Council members of launching a "tsunami of lies" against Damascus.

There appears to be no immediate end in sight for Syria's grinding war of attrition.  Neither al-Assad nor his allies show any signs of backing down, and al-Assad's opponents are unwilling to risk direct intervention.

Some analysts argue the current bloody stalemate is better than allowing Syria to become the battleground in a regional proxy war.

"This idea that somehow if the West intervenes, it will stop things from getting worse seems naive," said Taspinar, the director of the Turkey project at the Brookings Institution.

"It's a bad situation, but its not as bad as it would be if you had a proxy war erupt between Iran and Saudi Arabia in Syria, or between Iran and Turkey in Syria.  That would be a full-bore Sunni-Shia confrontation."

America's regional allies Turkey and Saudi Arabia are majority Sunni Muslim countries that increasingly find themselves at odds with Shiite Muslim Iran throughout the Middle East.

The Western diplomat was left hoping for what he called "a game-changer" -- a coup or an assassin's bullet that would bring down the Syrian president.

But, he conceded, "That's what we hoped would happen for more than 10 years to Saddam Hussein."

@highlight

"We don't have any idea how to make these guys go away," a diplomat says of regime

@highlight

"In the immediate future," he adds, "there is not going to be a Western intervention in Syria"

@highlight

Analysts: The American public has little appetite for involvement in another Middle Eastern conflict

@highlight

The growing specter of a civil war in Syria has policymakers worried