(CNN) -- When Enric Sala dips his toes in a pool of water, he does so in the knowledge he may well be the first man on the planet to do so.

As he lowers himself below the surface of the ocean in his diving gear he becomes something of a fish whisperer, an underwater pied piper. In short, marine life flocks to the pony-tailed Spaniard.

"It's an amazing experience to see fish that have never seen humans," he says. "They come really, really close to us. That's just unthinkable where people are fishing. Normally, we're used to them swimming away from us.

"What we're doing is hard to do almost anywhere in the world. We're seeing large fish and sharks in almost every dive. People could spend years in, say, the Caribbean and see less sharks than we can in just one single dive. This latest trip has been a really, really special experience. It's so wild and we expected to see healthy reefs but not like this."

Sala is a novelty -- well, certainly to sea life -- with his passion for untouched waters as National Geographic's explorer-in-residence, whose mission is to help protect the last wild places in the ocean. The society's "Pristine Seas" initiative has been set up to fend off the long-distance fishing fleets that have started to encroach in these remote waters.

Just 2% of the world's waters are protected, and Sala knows he has a gargantuan task ahead of him that needs massive backing by the world's governments.

Slowly but surely he is chipping away at ensuring a better future for the world's waters. Of the eight areas he has so far visited under the program, four are now protected with a further two currently pending protection.

His most recent expedition is to New Caledonia, an archipelago that separated from Australia 60-85 million years ago, coming to rest 1,210 kilometers east, and is now a special collectivity of France at the behest of Napoleon III, who ordered his navy to take formal possession of the 18,500 kmÂ².

A day's boat ride north from New Caledonia's most northern tip, the Waitt's Institute research vessel has, until recently, been bobbing for the last three weeks slowly on the water's surface. A team of 12 people, made up of scientists, cameramen and crew, with Sala at the epicenter as expedition leader.

Previously an academic, he recalls: "I was studying the effects of humans on the ocean. It was so depressing. I thought saving the ocean was a lost battle but then I decided I wanted to be part of the solution, so we started the Pristine Seas project.

"Now I feel like there's hope. Now I go to these places and see what it used to be like, to see what the future could be elsewhere with regeneration."

Sala's passion for all things underwater is addictive, he talks with a childlike enthusiasm for his current expedition.

He was a boy when first captivated by the magic of the sea, inspired by the famous former diver and explorer Jacques Cousteau.

"Since I can remember, my dream was to be a diver on his boat but I was born too late for that. But now I'm getting to do something similar myself. He showed us a lot and in later years showed us what was wrong with what we were doing. I'm trying to go one step beyond that and find solutions."

So how would his idol have perceived what Sala and his team are now doing?

"I think he would have been proud of what we're doing," says Sala, who grew up on the Spanish Mediterranean coast. "If he had lived on, I think he would have done something like this himself. But he was just an amazing man known by so many people around the world."

Sala's current quest is aimed at not just protecting certain waters but regenerating those that have been fished to within an inch of their lives. The aim is to ensure protected areas become increasingly rich in fish and other underwater life, thereby spilling into other waters as it becomes overly abundant, thus in the long-term having a positive knock-on effect to fishermen.

But he and his team are also learning about healthy coral and reef, among other things, to learn how to help regenerate damaged varieties in other global waters.

Their days are spent diving, filming, photographing and researching.

Sala, indeed, is most at home in the ocean.

"Once in the water, all the problems on the surface disappear," he insists. "You're in a world where you're in complete focus but also at peace. It's a world where you don't feel the strong gravity from the planet, you feel like you're flying.

"It completely changes your perspective on the world. I think it probably helps that endorphins are being released especially in these pristine places.

"Being able to experience nature, and raw nature at that, first hand is like going back in the past. On these trips, it's like I go into a time machine and go back. It's quite spiritual."

Sharks have become synonymous with fear in the sea, thanks in part to Steven Spielberg's "Jaws" film with John Williams' ominous stringed musical buildup to each unwitting victim of a shark attack. But Sala's experience of the underwater predators has been the complete antithesis.

"Every moment is wonderful, like spending just one dive following clown fish for the whole dive," he says. "All the animals are special but the most special are sharks.

"They are just so beautiful and elegant in the water. They're perfect in their environment and their shape has not really changed in 300 million years.

"They are also great for the health of the reef, and the idea that they are dangerous is wrong. They have a bad reputation but in my five years doing this, diving sharks, I've not had one problem. I've never once been threatened by sharks."

His long-term aim, and that of National Geographic, is to protect 20 seas in total. So how exactly can you protect large swathes of water?

"It's become much easier as governments who we've worked with pass laws limiting the areas that can be fished," he explains. "Obviously some of these are in remote waters so the best way to do that is via satellite. For example in New Caledonia, we found out that the French Navy had intercepted an illegal Chinese fishing vessel. Having a naval presence is also a great deterrent."

Next on his tick list is Mozambique in April. Slowly, sea by sea he is clearing up the planet's waters, and he is determined to continue.

@highlight

Enric Sala, National Geographic's explorer-in-residence, is aiming to clean up the seas

@highlight

His latest mission took him to relatively unknown waters off New Caledonia

@highlight

As a child he was inspired by the work of prestigious explorer Jacques Cousteau

@highlight

Previously he thought all hope was lost to restoring the seas, he has since changed his mind