Editor's note: Jeffrey A. Miron is senior lecturer in economics at Harvard University. A Libertarian, he was one of 166 academic economists who signed a letter to congressional leaders last week opposing the government bailout plan.

Economist Jeffrey Miron says the bailout plan presented to Congress was the wrong solution to the crisis

CAMBRIDGE, Massachusetts (CNN) -- Congress has balked at the Bush administration's proposed $700 billion bailout of Wall Street. Under this plan, the Treasury would have bought the "troubled assets" of financial institutions in an attempt to avoid economic meltdown.

This bailout was a terrible idea. Here's why.

The current mess would never have occurred in the absence of ill-conceived federal policies. The federal government chartered Fannie Mae in 1938 and Freddie Mac in 1970; these two mortgage lending institutions are at the center of the crisis. The government implicitly promised these institutions that it would make good on their debts, so Fannie and Freddie took on huge amounts of excessive risk.

Worse, beginning in 1977 and even more in the 1990s and the early part of this century, Congress pushed mortgage lenders and Fannie/Freddie to expand subprime lending. The industry was happy to oblige, given the implicit promise of federal backing, and subprime lending soared.

This subprime lending was more than a minor relaxation of existing credit guidelines. This lending was a wholesale abandonment of reasonable lending practices in which borrowers with poor credit characteristics got mortgages they were ill-equipped to handle.

Once housing prices declined and economic conditions worsened, defaults and delinquencies soared, leaving the industry holding large amounts of severely depreciated mortgage assets.

The fact that government bears such a huge responsibility for the current mess means any response should eliminate the conditions that created this situation in the first place, not attempt to fix bad government with more government.

The obvious alternative to a bailout is letting troubled financial institutions declare bankruptcy. Bankruptcy means that shareholders typically get wiped out and the creditors own the company.

Bankruptcy does not mean the company disappears; it is just owned by someone new (as has occurred with several airlines). Bankruptcy punishes those who took excessive risks while preserving those aspects of a businesses that remain profitable.

In contrast, a bailout transfers enormous wealth from taxpayers to those who knowingly engaged in risky subprime lending. Thus, the bailout encourages companies to take large, imprudent risks and count on getting bailed out by government. This "moral hazard" generates enormous distortions in an economy's allocation of its financial resources.

Thoughtful advocates of the bailout might concede this perspective, but they argue that a bailout is necessary to prevent economic collapse. According to this view, lenders are not making loans, even for worthy projects, because they cannot get capital. This view has a grain of truth; if the bailout does not occur, more bankruptcies are possible and credit conditions may worsen for a time.

Talk of Armageddon, however, is ridiculous scare-mongering. If financial institutions cannot make productive loans, a profit opportunity exists for someone else. This might not happen instantly, but it will happen.

Further, the current credit freeze is likely due to Wall Street's hope of a bailout; bankers will not sell their lousy assets for 20 cents on the dollar if the government might pay 30, 50, or 80 cents.

The costs of the bailout, moreover, are almost certainly being understated. The administration's claim is that many mortgage assets are merely illiquid, not truly worthless, implying taxpayers will recoup much of their $700 billion.

If these assets are worth something, however, private parties should want to buy them, and they would do so if the owners would accept fair market value. Far more likely is that current owners have brushed under the rug how little their assets are worth.

The bailout has more problems. The final legislation will probably include numerous side conditions and special dealings that reward Washington lobbyists and their clients.

Anticipation of the bailout will engender strategic behavior by Wall Street institutions as they shuffle their assets and position their balance sheets to maximize their take. The bailout will open the door to further federal meddling in financial markets.

So what should the government do? Eliminate those policies that generated the current mess. This means, at a general level, abandoning the goal of home ownership independent of ability to pay. This means, in particular, getting rid of Fannie Mae and Freddie Mac, along with policies like the Community Reinvestment Act that pressure banks into subprime lending.

The right view of the financial mess is that an enormous fraction of subprime lending should never have occurred in the first place. Someone has to pay for that. That someone should not be, and does not need to be, the U.S. taxpayer.

The opinions expressed in this commentary are solely those of the writer.

@highlight

Jeffrey Miron: Government encouraged lenders to relax their standards

@highlight

Mortgages were given to people unqualified to repay them, he says

@highlight

Miron: Rather than a bailout, government should let firms go bankrupt

@highlight

Talk of economic Armageddon is scare-mongering, Miron says