New York (CNN) -- The first time Chris shot up heroin, he was too scared to do it himself. So his friend did it for him -- when he was 16. "I would shoot up mostly in my feet," he said. "It escalated to almost five or six bags every time I shot up."

He spent hundreds of dollars a day feeding his addiction. "I was stealing money from my parents, I was doing illegal actions with my friends, I broke into houses, I've done all of the above besides selling myself."

Chris, now 17, is in treatment at Outreach House, a long-term substance abuse program on Long Island, New York, for youths ages 12 to 17. His road to recovery hasn't been a smooth ride, however. After three failed attempts at outpatient treatment, Chris entered an in-patient program at Outreach, but he ran away five times in the first few months. That is not uncommon, said John Venza, vice president of adolescent services at Outreach.

"It really requires an extended amount of time," he said.

4 arrested, 350 bags of suspected heroin seized in Hoffman case

For Chris and the others at Outreach, treatment means removing any distractions to recovery. There are no cell phones, personal televisions or computers allowed, except for doing homework. Teens in the program have mandatory jobs, like service crew, and can work their way up to leadership positions among their peers. There's a primary focus on youths taking responsibility for their own behavior.

Chris' parents said that in short-term treatment programs, he made new connections with other users that caused him to relapse when he got out.

"We're able to have them here for a longer window, where we're really able to shift the values," Venza said. "We do very intense work with the families. So we help shift the family's support system."

From heroin addict to PTA mom

Heroin use has exploded in what is being described as an epidemic on New York's Long Island, where addiction counselors are seeing users as young as 12 -- many from middle-class, suburban families. Several factors have contributed to this "perfect storm" of addiction according to experts -- among them, proximity to major airports and transportation centers, and a statewide crackdown on prescription painkillers, that has had the unintended effect of pushing more kids to cheaper and more accessible heroin.

The trend appears to be national. The Centers for Disease Control and Prevention says U.S. drug poisoning deaths involving heroin went up 45% from 2006 to 2010. And the Drug Enforcement Administration says the amount of heroin seized each year at the southwest U.S. border increased 232% from 2008 to 2012.

And the trend is bad for younger users. Among four age groups, "drug poisoning deaths involving heroin" increased only for the youngest group, ages 15 to 24, from 2008 to 2010. For all the other age groups, the number of deaths was steady or went down, the CDC says.

In Long Island, it's gotten so bad that one official dubbed the Long Island Expressway, which runs east across the island from New York City, the "Heroin Highway."

Jeff Reynolds, executive director of the Long Island Council on Alcoholism and Drug Dependence, said the death of actor Philip Seymour Hoffman puts a national spotlight on drug abuse. But he fears the attention won't last.

Are heroin death probes created equal?

"What will happen, and what we're seeing now, is some attention on the overdose, attention on treatment and recovery. And then, in a few days, we'll go back to life as it was," he said.

Hoffman "was one of an estimated 100 people yesterday who lost their lives through a fatal overdose," Reynolds said Monday. "We probably could have prevented most of those overdoses, through prevention, access to treatment, recovery support. Yet we didn't. So each one is an indictment of what we failed to do. But it also should energize us to say we need to get serious about this disease."

And Reynolds sees another disturbing trend: "Ten years ago, if you used two to three bags of heroin a day, you were considered a chronic heavy user. For kids these days, that's breakfast."

How heroin kills you

A deadly one. Heroin has killed a record number of people on Long Island in the last two years, data shows. Heroin arrests on Long Island by the DEA are up 163% in just the last year.

Reynolds says he's seen a seven-fold increase in patients in the past five years -- 80% of them from heroin and other opiates. Users often don't fit the stereotype of the heroin addict. Many are cheerleaders, athletes and straight-A students from loving homes.

"You couldn't have looked at my daughter and said she was a heroin addict," said Susan Roethel, whose daughter, Megan, died of an overdose at 22. "The girl was beautiful. She was blond like the rest of these kids -- absolutely beautiful and you didn't know it. (Heroin) was all over."

Doc: My state in addiction stranglehold

Parents are caught between denial and shame over the stigma of having a heroin-addicted child.

Chris' mother, Joanne, said she was shocked to learn her son was using the drug. "Heroin? My son? Never. How did I not see that?"

Dorothy Johnson, who lost her son Maxwell at age 28, says stigma is keeping families from seeking help. "Our children are just like every other mother or father's child and they're not junkies. And that term needs to change."

Getting an addicted child into treatment is difficult, and insurance won't always pay. Roethel said short-term programs also did not help her daughter. "There have to be long-term recovery programs," she said. "Well over a year. I think it's very difficult for these kids to come back."

Robert Scarabino, whose 24-year-old daughter, Jaclyn, died of an overdose in her own bed, said in short-term rehab, "You work the best of the best. They all know how to conceal, contrive, steal, get more money to support the habit."

Chris says he believes his 11 months at Outreach saved his life. "I put myself in so many circumstances where I could have died," he says. "Being able to say that I have different ways that I can manage my emotions besides getting high, it makes me very happy and excited to go through my future."

He'll begin that future next week, when he graduates from Outreach, moves back home with his parents and faces the challenge of staying sober.

His mother, Joanne, says the program not only saved her son, "It saved us, too."

Opinion: My mother's addiction comes from pain

@highlight

Heroin has killed a record number on Long Island in the last two years

@highlight

Drug counselor: A decade ago 2-3 bags of heroin a day was "a heavy user"

@highlight

He adds: "For kids these days, that's breakfast"

@highlight

CDC says nationwide heroin deaths up 45% from 2006 to 2010