(CNN) -- Have you heard the news? Because Antarctic ice sheets are melting, the sea level is likely to rise "unstoppably" by at least 10 feet, dooming many coastal towns and displacing millions of people. And it's all going to happenâ€”within several centuries.

Well.

Who.

Cares.

This is news you can snooze. So go ahead and hit that snooze button.

Could we plan for what will happen centuries from now if we wanted to? Should we plan for what will happen? Will there even be people centuries from now? If there are, do we owe them anything? The next 200, 500 years, are not for us to worry about.

The future isn't what it once was, but their business isn't our business. Unimaginable technology has always come to the rescue and always will. Like, we will invent giant, cost-effective floats for New York City and all the other cities and towns on the world's coasts, or something.

The announcements about the collapsing ice sheets came from two teams of scientists with different approaches, focused on different parts of the Antarctic. "A large sector of the West Antarctic ice sheet has gone into irreversible retreat," according to Eric Rignot, a glaciologist at the University of California, Irvine, who led one of the teams. "It has passed the point of no return." His team measured shrinkages of 10 to 35 kilometers in several retreating glaciers since the early 1990s. Those glaciers are also thinning.

Warming air is intensifying the winds that sweep round the Antarctic, but it's not warming air that is melting the glaciers there. Those winds are drawing warm waters to the surface. The warm waters are eroding the ice.

Causes? Seems to be mainly the warming caused by the greenhouse effects of increasing carbon dioxide from burning gas, oil, and coal. But the ozone hole, also human-caused but having nothing to do with greenhouse gases or fossil fuels, might also be intensifying the winds.

So far, sea level rise worldwide has been caused mainly by the heat-caused expansion of seawater, much more than melting ice. But melting land ice will have a big effect on sea level rise.

Ian Joughin, leader of the other research team, said that nothing can stop the collapse of the ice sheet, adding, "There's no stabilization mechanism."

But, again, it will be slow. Centuries. John H. Mercer of the Ohio State University was first to predict this way back in 1978. He died without seeing the Antarctic glaciers break up. And so will we all.

So, back to bed. People 200 years from now? Not our problemo.

The only wrinkle in that thought is that centuries ago, about 225 years ago to be more precise, some people wrote a Constitution and Bill of Rights that affect our lives every day and that we refer to daily to guide us legally and morally. Those people could have said, "Screw it, let's make money." I think about my debt to them for wanting to be better than that. I often wish we wanted to be as good.

Closer to home, closer to now, the Intergovernmental Panel on Climate Change predicts that in this century, sea levels could rise as much as 3 feet.

And that is our problem. Some of us will be alive then. Many of us will have children who will live to this century's finish line. Between then and now, there will likely be more devastating Sandy-like hurricanes as winds intensified by warmer waters devastate shores.

While reading about the Antarctic ice melt, I noticed three side articles, and clicked.

One talked about flooding-related displacement already affecting people in low-lying areas around the world, from the natives of Kiribati to the people of Florida. Another speaks of misery caused in Bangladesh by rising seas, where 18 million people will be displaced in the next 40 years by rising seawater or having their well-water and farms ruined by salt.

The third article talked about our dysfunctional Congress's new defeat of yet another energy bill. Voice of America says, "A bill with strong bipartisan support to make the United States more energy efficient has been blocked in the Senate." Efficiency is bad; we need wastefulness. Thank you, senators.

Either we have a moral responsibility to others or we don't. It doesn't matter whether they live around the block or in the next state or in the future. Morally there's not much difference between a person flooded out by Superstorm Sandy and a person flooded out 200 years from now by our collective, willful inaction.

But some days, I'm not even sure how willful it is. When I was in high school in the 1970s, I learned that we were too dependent on other countries for energy, and that oil and coal are non-renewable and polluting, and that we needed to begin a shift to harnessing clean renewable energy sources. The shift to petroleum-based economy had taken a century. The shift to clean renewables would be my generation's most important task.

A lot has happened but, bottom line, there's been very little progress.

Technology advanced, but it hasn't been embraced. It's been outmaneuvered by denial and inertia backed by entrenched big-energy lobbying and campaign money. Globally, we're not exactly coming together to stabilize climate and institutionalize clean energy.

I think we could do what's needed. But collectively we simply aren't. Sometimes I don't see humanity as being capable of fixing the problems we're creating. We'd have to agree to fix them. Before that, we'd have to care. We're not doing enough of any of those things. Too often, we're in denial. And we feel fine. Our main solution is that snooze button.

So, let's not worry about the people of Bangladesh, Kiribati, New York and Miami, or the 23rd century. Pleasant dreams.

@highlight

Scientists say Antarctic's ice land melting 'appears unstoppable'

@highlight

Carl Safina: Who cares if sea level rises and wipes out coastal cities?

@highlight

He says either we have a moral responsibility to others or we don't

@highlight

Safina: But given our track record, we might as well hit the snooze button