(CNN) -- Last fall, you could typically find my mom teaching, mentoring her students, nagging me to study for the SATs, taking my sister to soccer practice or cooking dinner.

She took on one new responsibility as well: driving another mother and her son to and from the Stanford hospital, where the son was undergoing treatment for lymphoma. Mom had never met them before last fall. Yet, when she heard that they were new to the area, she gave them support and gained friendship.

This type of behavior is not out of the ordinary for my mom. When one of her colleagues in Boston got diagnosed with breast cancer, Mom organized a food drop-off for the family. When she saw that a bright student was failing her class, she took him aside and bought him a textbook after learning he couldn't afford them. This Thanksgiving, she learned that a group of students could not go home for the break. Mom invited them over for a home-cooked dinner.

The day after that Thanksgiving dinner, my mom was diagnosed for the second time with acute myelogenus leukemia (AML), a cancer of the blood -- after eight years in remission.

Now, she desperately needs a bone marrow transplant as soon as possible.

Robin Roberts found a match, but others likely won't be as lucky

Due to certain genetic markers, her match will almost certainly come from someone from her birthplace -- Kerala, in southern India.

But South Asian donors of Indian, Pakistani, Bangladeshi, Nepalese, Bhutanese, Maldivian or Sri Lankan descent are some of the least-represented groups in the National Marrow Donor Program. Some campaigns recruiting South Asians suggest that a South Asian like my mom has a 1 in 20,000 chance of finding a match, while the chance is 1 in 8 for Caucasians.

When the news of my mother's illness became known, it seemed like everyone we had ever met -- and even people we hadn't -- were asking how they could help us. Our friends in California set up an Internet-based food delivery system. Our friends in Boston flooded us with care packages.

Once we learned that Mom needed a transplant, her former students, friends, and colleagues -- even those she did not know personally -- started setting up bone marrow drives around the country.

On December 27, we got a belated but incredible Christmas present -- Mom's doctors had found 12 potential bone marrow matches! The drives stopped, and we breathed a sigh of relief.

It didn't occur to us that none of the 12 potential matches would work out, or that people would back out of donating their bone marrow. So we were shocked when we got the heartbreaking news that half of the potential donors had refused to follow up. The other six did, but were ruled out upon further testing. Our spirits were crushed.

Why I donated my bone marrow

Once more, those who care about Mom stepped up to bring us hope. They launched a campaign site, NaliniNeedsYou.com, and a Facebook site that has been seen by more than 1 million people (including more than 60,000 in India) and received more than 3,500 "likes" so far.

They also created a video (NaliniNeedsYou.com) that had 4,500 views in its first three days on YouTube and more than 100,000 views through the Stanford Facebook page.

More than 150 drives targeting South Asians were organized all over the world, held at colleges, temples, companies and festivals. Thousands of people signed up to be on the National Bone Marrow registry.

Although we have not yet found a match for my mom, at least six of these people have proved to be potential matches for other people desperately needing a transplant.

Two weeks ago, we found out that Mom had a match from India. We were ecstatic. But two days later, we found out that donor, too, was unwilling to donate.

Although donation is generally safe and painless, the chief barriers are psychological and cultural. There is a diversity of opinions about biological donation across cultures, with some more traditional ones considering the practice taboo.

This might be one reason why India, the world's second-largest nation, has a bone marrow registry of 39,000 people, according to DATRI, a nonprofit organization which drives and maintains registries worldwide. In comparison, there are 10.5 million donors on the United States' National Marrow Donor Program. Of those, only 208,000, or nearly 2%, are South Asian. In fact, we learned that the potential match two weeks ago -- a young man from India -- had been talked out of donating by his parents.

Why many would-be bone marrow, blood stem cell donors back out

Being a bone marrow donor is easy. Screening is a simple swab of the cheek, and if you are found to be a match, donation is usually a simple outpatient procedure called Peripheral Blood Stem Cell collection. The donor receives injections for a few days before the donation to boost their own blood-forming cells. These new cells are then collected through an IV and filtered from the rest of the blood.

My dream is to give Mom the gift of life -- in the form of a bone marrow donor. Sadly, neither my sister nor I are matches. So I'll settle for challenging everyone who reads this to get on the Bone Marrow Registry. If you are already a member, I salute you, but I challenge you to spread the word, so that my mom -- or someone else's mom, dad, sibling, child or friend -- can receive the gift of life. Act now.

You can register at Join.BeTheMatch.org. If you would like to try to donate for Mom, please submit the code "nalini" so that your swab kits can be expedited.

@highlight

My mother's leukemia returned after eight years in remission

@highlight

She desperately needs a bone marrow transplant as soon as possible

@highlight

South Asian bone marrow donors are hard to find

@highlight

Barriers to donating can be psychological or cultural