(CNN) -- Hispanics are described as the largest minority group in the United States, as a burgeoning force in the electorate and as an untapped frontier of the business market. Yet these descriptions belie the complexity of the 44 million people to whom they refer.

Susana Clar, with daughters Vanessa (left) and Virna (center), says the labels "Hispanic" and "Latino" are limiting.

Even the terms used to name them -- Hispanics, Hispanic-Americans, Latinos, Latino-Americans, the Spanish-surnamed -- too tightly package the people categorized by those definitions, some observers say.

"We are mixed and we are many things," said Phillip Rodriguez, a documentary filmmaker. Many of his films, such as "Los Angeles Now" and "Brown is the New Green: George Lopez and the American Dream," explore the experience and identity of Latinos in the United States.

Latinos "very often don't share language, don't share class circumstances, don't share education; it's very difficult to speak about them as one thing," he said.

From a census standpoint, being of Hispanic or Latino origin means a person identifies himself in one of four listed categories: Mexican, Puerto Rican, Cuban or "other Spanish, Hispanic or Latino" origin. In the latter more open-ended category, respondents can write in specific origins, such as Salvadoran, Argentinean or Dominican.

According to a Pew Hispanic Center/Kaiser Family Foundation survey in 2002, that is how most Latinos choose to identify themselves. When asked which terms they would use first to describe themselves, 54 percent said they primarily identify themselves in terms of their or their parents' country of origin. About one quarter choose "Latino" or "Hispanic," and 21 percent chose "American." But the broader terms -- Latino, Hispanic -- are the ones tossed about when the media want to discuss a "trend among Latinos," or when a politician appeals to the "Hispanic vote."

The U.S. government came up with the term "Hispanic" in the 1970s to generally refer to people who could trace their origin to Spanish-speaking countries. The term "Latino" refers to origins from Latin America, which includes non-Spanish speaking countries like Brazil. The terms are often used interchangeably, which is a point of some contention in the wider community.

But do the terms carry meaning among the people to whom they refer, or are they merely governmental designations?

"That's the way you call our people," Susana Clar, 52, said of the terms. She and her family emigrated from Uruguay nearly two decades ago, and she works as a vice president in her daughter, Vanessa Di Palma's, Salt Lake City, Utah-based communications firm.

"Either you are Latino [or] Hispanic. I'm fine with that, but I think that we are so much more than that," Clar said.

Manuel Baez, 49, a native of the Dominican Republic who owns an insurance agency in Tampa, Florida, laughingly answered the question of how he identifies himself.

"Manuel or Manny," he said, adding, "We're being put together in this package and that's too hard," he said, stressing that he didn't like labels. He continued, "Dominican-American really represents who I am, instead of Dominican or Latino."

He never uses Hispanic to identify himself because "I am mixed," Baez said. "Hispanic doesn't go with me because I don't believe that Spain was the best thing for Latin America."

"For me...there is no such thing as a Latino identity," said Suzanne Oboler, professor of Puerto Rican and Latino studies at John Jay College at the City University of New York.

"There's certainly a cultural understanding... [And] a political identity," she said, noting that the many different groups will join on particular issues such as immigration and wages.

But she stressed that it was not a homogenous group. "Not all Latinos speak Spanish, for example. Not all Latinos are going to vote Democratic... All Latinos are not immigrants."

Others, such as Carl J. Kravetz, a longtime veteran of Hispanic marketing, said similarities among the different subsets of Latinos do show a Latino identity, one partly fused through the group's experience in the United States. Kravetz heads a Los Angeles-based Hispanic advertising agency called cruz/kravetz: IDEAS.

The Association of Hispanic Advertising Agencies embarked on a Latino cultural identity project last year -- when Kravetz was the organization's chairman -- to better understand a group of consumers they felt could not be adequately reached through the traditional Spanish-language market.

There is "very definitely a Latino identity," Kravetz said. It is drawn along parallels in values and ways of thinking and regardless of country of origin, the group tends to "cluster" in a few areas, he said.

Those areas include interpersonal relationships (Latinos tend to emphasize family; individuality is not as important), perceptions of time and space (they have longer time horizons and have a relaxed sense of privacy), and spirituality (religion and spirituality have a strong influence on Latino life and perception of the world).

David Chitel, the founder of New Generation Latino Consortium, a group of advertising and media companies, also said there are definite cultural ties among Latinos, particularly between those born in the United States. So much so, he said, that he and others coined the term "new generation Latinos" to refer to them.

"We're talking about people that have grown up here in the U.S. in Latino households, most likely with their parents speaking Spanish at home, eating certain foods at home, certain values and traditions that are instilled in them, from music to religious beliefs to the importance of family, these sorts of things," Chitel said. "And it creates very much an identity that is Latino."

Chitel said this group of U.S.-born Latinos should be reached with culturally nuanced media, in the same way the African-American market functions.

Still, some chafe at the labels. "Every time it comes up it just kind of annoys me and makes me mad," Anna Rivas, of Boulder, Colorado, said of her background. Her parents emigrated from Mexico before she was born, but she said she's never identified with the Mexican culture. "On a regular basis I get asked where I'm from," she said.

"And I'll usually reply, 'My parents are from Mexico.' And I don't say, 'I'm Hispanic or Latino, or I'm from Mexico,' because I'm not." E-mail to a friend

@highlight

There are more than 44 million people of Hispanic origin in the U.S.

@highlight

The community includes diverse national origins, generations, languages

@highlight

Some observers say enough similarities exist to project a communal identity