(CNN) -- If buttons are a thing of the past and touch screens are the present, what are the screens of the future?

It's not a riddle, but it is a trick question: if the projections of companies like Displair are true then the screens of the future won't be screens at all but interactive images floating in mid-air.

According to Russian designer Max Kamanin, creator of Displair, high-tech displays made from mist and air are "the next step in visual technology".

Tired with "electronic junk" such as TV sets and monitors, Kamanin wanted to invent something that would allow people to display and interact with information without cluttering the physical environment.

His solution? Projecting 3D images onto sheets of mist, giving the illusion of a hologram: "An airstream is created from tiny water drops, similar to the ones in the clouds. The water drops are so tiny they don't have any moisture in them; you can test it on paper or your glasses -- your piece of paper will remain dry and your glasses won't steam up. We can then see images that are projected onto these tiny water drops," he explains.

With the technology consisting of air, water and light Displair is one of the simpler concepts in the burgeoning holographic and 3D projection industry.

"I realised that everything already exists in nature and everything that people create comes from nature: we just need to watch it carefully and you will soon get your answers."

With Displair, users need not wear special glasses as with many other new screen systems because the image is being displayed onto an invisible screen; and that screen responds "intuitively" to hand movements -- 1500 of them -- many of which are similar to those used on our mobile devices, such as pinch-and-zoom.

Today the technology is being used in advertising by big companies such as Google, Coca-Cola and Pepsi, but Kamanin can see practical applications elsewhere, such as in medicine.

"A heart surgeon could see in the air a patient's heart and could blow it up and search for information immediately without having to wash his hands."

The screen-free display comes at a time when concerns are emerging over the hygiene of digital multi-touch displays: "By creating Displair we have developed a product which can be used as a public terminal for extracting necessary information such as timetables and restaurant menus," says Kamanin. "It means that in the future when bigger displays are created numerous people can use Displair at the same time, play games and search for information."

Projecting forward, Kamanin says that in the future he and his team hope to explore scent, to offer users a multi-sensory experience. For now though, he says the basic technology needs further refinement to improve the picture quality and interaction speed.

For more on the future of tech visit Blueprint

@highlight

Displays made from mist and air are "the next step in visual technology"

@highlight

With Displair, users need not wear special glasses

@highlight

Screen responds 'intuitively' to hand movements