(CNN) -- Japanese Prime Minister Shinzo Abe wants a mandate. Apparently, the one he and his Liberal Democratic Party of Japan, or LDP, claimed less than two years ago wasn't enough. So, as his policy agenda faltered and his approval ratings plummeted, the Prime Minister called snap elections last month (less than half way through the Japanese Diet's term) to try to claim a vote of confidence from the public and crush dissenters who oppose his agenda.

Abe will almost certainly get his election victory; a mandate is another matter, however. The most notable outcomes of the December 14 ballot are likely to be apathy and cynicism, even if his party holds its majority in Parliament or -- as polls last week predicted -- increases it.

Abe and the LDP returned to power in December 2012 determined to reassert Japan's role in a rapidly changing East Asia. Abe put economic rejuvenation at the top of his policy agenda, seeking to end two-plus "lost decades" to both consolidate political support and, perhaps even more significantly, to provide the foundation for a more robust international role.

"Abenomics" was an instant success. The yen plunged in value, spurring exports (and corporate profits), and producing growth that, while mild, well outpaced that of the year before. With that accomplishment in his pocket, the new Prime Minister turned to his real interest: an activist foreign policy that would remind the world that Japan is a "first tier nation." Abe traveled the globe, offering political and financial support to diplomatic partners and reasserting Japanese national interests. A core, if not the most important, component of his agenda was lifting domestic obstacles to a more intense regional security role, long inhibited by constitutional constraints.

For the vast majority of Japanese voters, support for the LDP stemmed from the prospect of economic revival, and they were prepared to swallow parts of Abe's security agenda if that was part of the package. Unfortunately for Abe, the economy has slowed in recent months with Japan now technically in recession after two consecutive quarters of negative growth. Companies are doing well, but wages remain stagnant, and with inflation picking up -- an integral part of Abenomics is getting consumers to spend before prices rise -- pay packets are shrinking.

The economic woes mean Abe can't buy support for the rest of his agenda; in fact, public complaints about the Abe administration are increasing. The public is hostile to his goal of restarting Japan's nuclear energy program, shut down since the triple catastrophe of March 11, 2011, is suspicious of the National Secrecy Law his government passed, and does not share his eagerness to revise Japan's constitution to allow it to more readily use its military, even if in the service of the U.S.-Japan alliance, as the Prime Minister and his team insist they intend.

And for all the talk of Japan's turn to the right -- Abe is a conservative nationalist -- the Prime Minister is not representative of his country or his party. The Japanese public is reluctant to unshackle its military and is wary of the high-profile security role Abe seeks. The LDP contains a spectrum of political positions, and if the party has a center, it is left of the current government's views.

Yet opinion polls show the LDP increasing its share of seats in the parliament, despite dropping approval ratings for the Cabinet and Abe. Why?

The anomaly is best explained by the state and structure of Japanese politics. The LDP returned to power after three years of a Democratic Party of Japan administration, a party voted into office in 2009 by a public that had lost hope in the LDP after it had governed Japan for nearly half a century. Those hopes were dashed: The DPJ proved incapable and incompetent, although the LDP helped with intractable opposition to every DPJ policy. Not surprisingly, support for the DPJ, still the largest opposition party, today hovers around 10%; 37% of voters say they will back the LDP in this month's vote. Most of the rest remain undecided. As a result, turnout may prove to be the lowest since World War II.

The structure of the voting system magnifies the impact of this disaffection. There are significant population differences among districts (sufficient in fact for the Japanese Supreme Court to rule them unconstitutional; the court hasn't overturned an election result, however). Parties that are strong in sparsely populated districts get disproportionate seats from an election win. The LDP is such a party. This is how Abe and company, despite increasing unpopularity, increase seats in an election.

The Prime Minister knows the math and that is why he called an election. Snap elections are usually the result of a loss of support within the legislature: a government loses its majority. That isn't even an option in Japan. In this case, the Abe government is threatened by the failure of its own policies, not a real opposition. While Abe claims to have called the vote to win a mandate for election reform, in reality, he aims to exploit a disorganized opposition and lock in his party's electoral majority for an extended period.

The public knows that, too, and that is why cynicism is on the rise among voters. They also fear that Abe will instead focus on foreign policy and press the more controversial elements of his national security agenda. If he does, the Prime Minister will simply end up undermining whatever mandate he will claim after this week's ballot.

@highlight

Japan holds a general election this Sunday

@highlight

Prime Minister Shinzo Abe's party is leading in the polls

@highlight

Brad Glosserman: Fear is Abe will press controversial parts of security agenda