London, England (CNN) -- Whether in the form of personal history or political biography, Jung Chang has spent her writerly life telling the story of China's tumultuous recent past.

The best-selling author of "Wild Swans," an account of three generations of women in her family, Chang gained a following for her frank portrait of life in China in the 20th century.

More recently, she's made waves with "Mao: The Unknown Story" -- the scathing, 800-plus page biography of the Chinese leader that she wrote with her husband, historian Jon Halliday.

Born in 1952 in Sichuan, a province in China's southwest, Chang came of age during the height of the Cultural Revolution. She served briefly as a Red Guard and worked a variety of odd jobs in the countryside before turning to studying English.

She left China for Britain in 1978 to further her studies and earned a doctorate in linguistics. She rose to literary fame after "Wild Swans" was published in 1991. "Mao: The Unknown Story," which took a decade to research, was released in 2005.

CNN caught up with Chang, who currently lives in London, and asked her about China and why it's so important to remember the past.  CNN: Your memoir and biography of Mao use different means to tell a story about China's recent history. Why is it so important to tell this story?

Jung Chang: Well, it's very important to me. "Wild Swans" is the story of my family -- my grandmother, my mother and myself. I started writing the book after my mother told me the stories of her life and my grandmother's life. So those things are written primarily for myself.

And then with Mao, there is still a lot of myth about him perpetuated in China today. I feel the Chinese don't know about the real man and the world still knows relatively little about him. I, myself, when I started writing the book in the early 1990s felt I didn't know all that much. I wanted to find out more, then tell the story to the world.

CNN: Your books are banned in China. How does that make you feel?

JC: I feel frustrated and very unhappy of course. The Chinese should be allowed to remember. What happened under Mao affected so many people's lives, and that sort of agony and that terrifying past has not been properly processed in people's memories. I think that's not healthy.

But my books are published in Hong Kong. Hong Kong is still largely separate from mainland China, which is wonderful from my point of view as a writer. It means many copies have gone into mainland China from Hong Kong.

CNN: China is such a rapidly changing country. What changes stand out most to you?

JC: I think particularly in the initial years what stuck me most was the dramatic diminishment of fear. When I was growing up, we lived in fear all the time. People aren't living like that any longer.

People are under the impression that China is what it is today because Mao had laid the foundation. Far from it. Mao held the country back. The dramatic change that happened after Mao died was because he had died. The force and the terror that held the Chinese back, was suddenly removed.

Of course now there is a dramatic improvement in people's lives, in all aspects, not only material but in terms of personal freedom, the freedom of travel and lots of other personal freedoms.

Of course, having said all that, there are still many things that frustrate me. There is still no freedom of expression in the public arena. Books are banned, including my books, which is intensely frustrating.

CNN: What future do you see for the country and what do you hope for?

JC: If there isn't anything dramatic happening, I think the country will probably go on as it is for a very long time. People's lives will probably continue to improve slowly but there will still be repression in many ways.

I hope, of course, for the obvious and the best -- I want people to enjoy the kind of freedom they do in Britain for example. From my point of view as a writer, I hope the country will find a way to talk about the past in an honest way -- to debate about the past without inhibition.

CNN: What do you miss most about China?

JC: I sometimes ask myself this question, but I realize I don't miss any particular thing. What I miss is something intangible. China -- as a culture, as a people -- is something that I care about. It is under my skin.

But exactly what it is that makes me feel restless, I'm not sure. I guess I miss the whole place, the people who have been through so much and the country, which is so old and yet so young and energetic. It has experienced so much tragedy and yet remains so optimistic and upbeat. All these things make tears come to my eyes.

@highlight

Jung Chang came to fame in 1991 for her account of life in Communist China

@highlight

Her books "Wild Swans" and "Mao: The Unknown Story" are banned in mainland China

@highlight

She says she feels frustrated by China's repression of expression

@highlight

She hopes the country will find a way to debate the past without inhibition