(CNN) -- Cancer has surpassed heart disease to become the leading cause of death among Hispanics in the United States, according to an American Cancer Society report released Monday.

Every three years since 2000, scientists at the cancer society have published Cancer Facts and Figures for Hispanics/Latinos. Such studies provide data that help develop an efficient science-based cancer control plan.

Hispanics are the fastest growing demographic group in the United States. Approximately 16.3% of America's population (50.5 million out of 310 million people) is Hispanic. It is estimated that 112,800 people of Hispanic ethnicity will be diagnosed with cancer and 33,200 will die of the disease in 2012.

The finding is due in part to the younger age distribution of Hispanics. Approximately one in 10 Hispanics is age 55 or over, compared to one in three non-Hispanics.

Among non-Hispanic whites and African-Americans, heart disease remains the leading cause of death, according to Monday's American Cancer Society report, the fifth.

While cancer is the most common cause of death for all three populations under the age of 85, there are fewer Hispanics in the United States over the age of 85, where heart disease is predominant.

Overall cancer incidence and mortality rates are lower in Hispanics than in the non-Hispanic U.S. population, meaning Hispanics have a lower risk of cancer diagnosis and death. Hispanics do have higher diagnosis and death rates from cancers of the stomach, liver, cervix and gallbladder.

There are a number of Hispanic subpopulations, each with a different ethnicity and culture. A weakness in the study of Hispanic cancer rates is the fact that much of the available U.S. data is an aggregate, masking important differences between Hispanic subpopulations according to country of origin. As better data for subpopulations are available, more efficient targeted prevention efforts might be possible.

For example, it is known that Mexicans in the United States tend to have lower cancer rates than Puerto Ricans. On the other hand, Cubans in America tend to have higher cancer rates than Puerto Ricans. This is heavily driven by the fact that Cubans and Puerto Ricans have higher smoking rates than Mexicans.

'Selena' co-star Lupe Ontiveros dies at 69

Intensive culturally sensitive anti-smoking efforts in Cuban and Puerto Rican communities could have a substantial impact. It is estimated that 63% of Hispanics in the United States are Mexican, 9.2% are Puerto Rican, 3.5% are Cuban and 2.8% are Dominican.

The cancer death rate in Hispanics has been declining since 2000, one of the first years in which accurate Hispanic numbers were available. Cancer death rates for all Americans have been decreasing since 1991.

Since 2000, the cancer incidence rate (risk of cancer diagnosis) declined by 1.75% per year among men and 0.3% per year among women. This compares with declines of 1% and .02% among non-Hispanic men and women, respectively.

The cancer mortality rate (risk of cancer death) among Hispanics has also declined by 2.3% per year in men and 1.4% per year in women. This compares with declines of 1.5% and 1.3% among non-Hispanic men and women, respectively.

The research indicates that cancer deaths can be prevented and lives saved among Hispanics if we increase use of proven cancer screening tests; make the hepatitis B and human papilloma virus (HPV) vaccine more widely available; and reduce tobacco use, alcohol consumption and obesity rates. Indeed, this message could be life-saving for all Americans.

The triad of poor nutrition, lack of physical activity and obesity is the second leading cause of cancer in the United States, surpassed only by tobacco use.

This triad is an especially significant problem among Hispanic women. Current data indicate that among Hispanics, 43% of women and 34% of men are obese. This compares with 33% of all women in the United States and 32% of all men.

Stress, depression may affect cancer survival

@highlight

Hispanics are the fastest-growing demographic group in the United States

@highlight

There are important differences among Hispanic subpopulations

@highlight

More screening, less alcohol use and lower obesity rates would help reduce cancer deaths