South Africa may be the dominant force in Africa's wine economy, but as the continent's middle class emerges and disposable incomes increase, entrepreneurs in some unlikely destinations are making inroads in the fine wine industry.

As the world's eighth largest wine producer, South Africa's wine trade contributed 26.2 billion rand ($2.4 billion) to the country's economy with exports increasing by more than a quarter in 2013, according to the South African Wine Industry Information and Systems.

Matome Mbatha, market manager at Wines of South Africa, said that wine is becoming increasingly popular on the continent but the industry is still in its infancy outside South Africa.

He added: "The process of production and sustainability of wine in African nations, other than South Africa, still has a long way to go in order to be competitive in the global market. We are still to see another African country produce wine at the level and quality of South Africa."

By opening vineyards and chateaus across the continent, some of Africa's lesser known winemakers are hoping to challenge that assertion and South Africa's 350-year dominance of the region's wine business.

From fruity Chenin Blancs to rich-berry Cabernet Sauvignons, CNN takes a look at the next generation of "New World" wines from some of Africa's lesser-known producers.

Charlevale (Zimbabwe)

Nestled in a plush Zimbabwean valley on the Nyamasanga River, the Bushman Rock Estate is one of the country's most prominent vineyards, producing a range of fine wines.

The Charlevale is the winery's flagship tipple. A dry, oaked white wine blend of Semillon, Sauvignon Blanc and Muscat, the Charlevale has hints of fresh gooseberry and an acidic, lemony finish.

Bushman Rock manager Jonathan Passaportis said a combination of high-altitude vineyards, hot summers and cool nights make land-locked Zimbabwe an ideal location for wine growing.

He added: "Whilst great wines are being made from Zimbabwean vineyards, some of which have received awards in international competitions, there is still room for growth in both quality and quantity."

Passaportis said that Zimbabwean wines are gaining recognition on the international stage as tourists visit the country's vineyards.

"Our wines have more in common with traditional European wines and yet, as is the way with our wonderful continent, the old world grape varieties have been altered by our conditions, resulting in a truly Zimbabwean wine."

Visitors to the Bushman Rock chateaux can take away a case of Charlevale and Stellagalen, a classic red Bordeaux, for $25.

Leleshwa Sauvignon Blanc (Kenya)

A light and tropical blend with a summery aroma, the Leleshwa Sauvignon Blanc is the Rift Valley Winery's flagship vintage.

The wine is produced high up in Kenya's Rift Valley, thousands of meters above sea level, and is owned by the Kenya Nut Company.

Emma Nderitu, a spokesman for the winery, said: Leleshwa is "unique in the sense that it is thought impossible to grow vines in this region. More than that it is thought that it can't be a good quality wine."

With a growing consumer base and plans to expand around Africa, the Rift Valley Winery, which sits on the equator, is proving that good quality wine can be produced in extreme climates, according to Nderitu.

But she added that the winery does not have enough volume to export to European and U.S. markets yet: "We are currently intensively expanding our vineyards to cover 250 hectares ... we have received requests to export here but we are still at our expansion phase."

A Leleshwa Sauvignon Blanc retails in local supermarkets for about $6 and the brand's red wine for $7.

Dodoma wine (Tanzania)

Tanazania's Dodoma region produces three wines -- dry white, red and "natural sweet."

Khadija Madawili, technical manager at SABMiller Tanzania, said the red wine has a smooth, rounded taste and is best with "Nyama Choma," a local delicacy of roasted spiced meat, while the "natural sweet" wine is the perfect complement for light salads or simply enjoyed as an aperitif.

The Dodoma region is home to a number of varieties including Chenin Blanc, Shiraz, Cabernet Sauvignon and Makutupora, a local dry red.

Madawili added that the dry earth and sandy soil, combined with low humidity, is perfect for producing dry white and red wines in Dodoma.

She said: "We have two harvests seasons a year, in March and August/September. After harvest the farmers leave the plants to rest for only one month."

Ifrikia Rouge Reserve (Tunisia)

With a deep maroon color and sweet aroma similar to port, Ifrikia Rouge Reserve is a Cabernet blend with a smooth flavor and a rich tangy aftertaste with hints of raspberry.

Ifrikia Rouge Reserve, made by Domaine Atlas in Tunisia, is produced in the foothills of the Atlas Mountains, a series of peaks that run through northwest Africa.

Just 10 kilometers from the sea, the vineyards are located in the middle of Cap Bon, a peninsula in the northeast of the country, which boasts a Mediterranean climate with wine-growing conditions similar to parts of Spain and Italy.

And at $7 dollars a bottle, Ifrikia competes on cost with many of its European counterparts.

Tej (Ethiopia)

For something very different, but very traditional, Tej is an East African honey wine, primarily consumed in Ethiopia. The white wine, which can be either sweet or dry depending on the amount of honey used, also includes Gesho, which is a buckthorn shrub native to the Horn of Africa nation.

Harry Kloman, an expert on Tej and Ethiopian cuisine, said that there are very few, if any, wineries that produce Tej as the wine tends to be homemade or served in a "Tej Bet," a bar that specializes in the wine.

Araya Selassie Yibrehu is one of the producers to have mastered the art of Tej brewing over the years. He said: "Unlike other wines my Tej and Tej-based wines are all 'happy drinks' that have a delicate taste and are thirst quenching. It's a great stimulating aperitif and complement to most dishes or desserts."

Yibrehu added that sales of Tej wine are increasing internationally as social media and international wine competitions raise awareness of alternative African wines.

He said: "It has also taken tremendous effort to bring these ethnic, but ancient wines to the 21st century recognition ... Obviously, my goal is to keep producing these delicious Tej wines."

Tej costs between five to 15 Ethiopian birr (26 cents to 78 cents) locally.

@highlight

South Africa is continent's biggest wine producer, but other countries also make wine

@highlight

Tanzania, Ethiopia, Zimbabwe all hoping to compete with South Africa

@highlight

Kenya's Rift Valley has a unique climate for its vineyards

@highlight

Non-South African wines still have a way to go, says one expert