(CNN) -- In the hills of Burundi, farmers tend their coffee crop. Their livelihoods depend on a good harvest.

Coffee in the small central African nation is more than just a hot drink; it's a valuable commodity that props up Burundi's agrarian-based economy.

The world of Starbucks baristas and double macchiatos are an alien concept to coffee growers in one of Africa's poorest nations, where 55% of the population earns their livelihood from Arabica beans.

Read more: Africa's giant infrastructure projects

Chantal Ka-Hor-Rury, a coffee trader and head of a collective that helps farmers bring their crop to market, is committed to helping Burundi expand its coffee industry.

"We chose to cultivate coffee because in our country, it's a crop that gives a lot of money," she said.

Coffee accounts for 80% of Burundi's export revenues but with market prices slipping to their lowest level since 2009, according to the International Coffee Organization's index, profit margins are thin.

"The market is very low but it does not discourage us," Ka-Hor-Rury said, "because when you have a lot to sell you always make a lot of money."

Wedged between resource-rich Democratic Republic of Congo and the rapidly expanding economy of Tanzania, Burundi is trying to carve out a reputation as one of Africa's leading coffee producers.

Ka-Hor-Rury, who began trading five years ago, said: "We will continue to grow crops and increase the production and the quality too."

Read more: Ethiopia bids to be Africa's powerhouse

Burundi is trying to rebuild following a brutal civil war that lasted over a decade, ending in 2005. But the country's scars remain as two thirds of Burundians linger below the poverty line and 60% of the population is chronically malnourished, according to a U.N. report.

Increasing domestic production

Today, Burundi's coffee producers are trying to transform the country's fortunes, with farmers harboring ambitions to process coffee domestically.

Ka-Hor-Rury wants to buy her own roaster, but according to the latest figures from the United Nations, less than 5% of the Burundian crop was processed in the country in 2009, with raw beans, known as "green coffee," making up the majority of exports.

Read more: Johannesburg's crime hotspot transformed to hipster hangout

Mauricio Galindo, head of operations at the International Coffee Organization, said that Brazil and Colombia are the only coffee-growing countries that have successfully managed to export roasted coffee, but even then with great difficulty.

He said that many farmers in Africa lack the harvesting skills needed to compete in the premium coffee market and do not have the access to consumers in Europe and the United States.

"It's not that they don't have the right varieties." he said, "It's that the growing, then harvesting and processing is not done properly in many cases. Coffee is a surprisingly complicated thing to make perfect."

Every stage counts, according to Galindo, from the altitude at which coffee is farmed to the temperature in storage.

He added that the gap in specialist training and knowledge is hindering Africa's ability to compete with products from Central and South America.

"Coffee comes from Africa so it should be able to produce the best coffee in terms of the characteristics of the bean," he said.

The future for Burundi's coffee markers

In a United Nations report published this year, experts stated that coffee revenues in Burundi "represent the difference between food security and hunger for much of the population."

And Galindo believes more needs to be done to increase revenues for Africa's coffee producers.

"Every single African country has increased production over the last few years," he said "yet there is a failure in the supply chain that doesn't allow the farmer to capture the premium."

Read more: From warzone to holiday paradise

However, he expressed a positive outlook for the future of African coffee producers by adding: "It's only recently that we've seen the comeback of African countries, so I think there is hope, no doubt. There is a greater awareness in these countries that is quality based, but I wouldn't say it's a process that will happen overnight."

@highlight

More than half of Burundi's population makes a living from coffee beans

@highlight

Only 5% of Burundi's beans are processed in the country

@highlight

Farmers need new skills to add value to their coffee, says expert