SARAJEVO, Bosnia-Herzegovina (CNN) -- Richard Holbrooke first visited Bosnia in 1992 as a private citizen.

Richard Holbrooke's 'bombs for peace' policy was vindicated when bombings brought an end to the war.

Three years later, he would become one of the most influential U.S. figures working to end a war that had introduced a new euphemism for genocide: ethnic cleansing.

Holbrooke, who had worked as a diplomat, journalist and investment banker, was intrigued, disgusted and challenged by what he saw in the early days of the war in Bosnia.

A month before his first visit, reporters had learned of Bosnian Serb concentration camps where Muslim prisoners were tortured, sexually mutilated and executed. The news photographs and footage seemed like an echo of the Holocaust.

In the ethnically mixed capital, Sarajevo, Holbrooke saw Bosnian Serb forces laying siege to the city to drive out Muslims. U.N. peacekeepers even had to negotiate with the aggressors just to truck food into the starving city.

In Banja Luka, Holbrooke saw Muslim families being forced to sign over their property to Bosnian Serbs -- Orthodox Christians -- in exchange for their lives and a one-way bus ticket out of town.

Returning with CNN Chief International Correspondent Christiane Amanpour in 2008, Holbrooke remembered feeling the connection with his own family history: His Jewish grandfather fled Germany shortly after Hitler took power.

"I thought I'm seeing a color remake of the black and white scenes we'd seen in World War II of Jews signing away their property at the point of a gun and then being shipped off to who knows where," Holbrooke said.

"I don't think you have to be Jewish to understand that what you're seeing was a genuine crime against humanity. The Europeans were doing nothing, and the Americans were doing less."  Watch as Holbrooke talks with CNN's Christiane Amanpour at the scene of the crime »

Holbrooke thought only a U.S.-led intervention would stop the slaughter. "The [Bosnian] Serbs would have melted away because they were thugs and bullies," he said.

But the White House was vowing to stay out. "The United States is not going to inject itself into every single crisis, no matter how heart-rending," then-President George H.W. Bush said.

Holbrooke, who had served President Jimmy Carter as an assistant secretary of state, offered his recommendation to Bill Clinton's advisers during the 1992 presidential campaign: Direct use of force against the Bosnian Serbs.

"I took a stand that I believed was correct," Holbrooke said. "I didn't think it was so controversial."

When Clinton embraced a get-tough policy, Holbrooke was optimistic. In the back of Holbrooke's mind, there was a lingering question: "Will he do as president what he said he would do as a candidate?"  Watch Clinton's campaign pledge »

Holbrooke wanted to handle Bosnia for the Clinton administration. But after the election, Holbrooke -- the consummate insider -- found himself on the outside. Instead of getting the Bosnia portfolio, he was named U.S. ambassador to Germany.

"By advocating vigorous action [in Bosnia], I was kind of marginalized by people inside the government who were less in favor of vigorous action," he told Amanpour.

America's European allies opposed airstrikes, fearing retaliation against their peacekeepers on the ground.

Clinton's national security adviser, Anthony Lake, told CNN that the Europeans "were, to put it mildly, extremely reluctant to see us pursue unilaterally any actions which could imperil their troops."

Lake said the president's hands were tied. "We tried to convince them. And the Europeans said, 'Absolutely no.'"

Over the course of the next year, Clinton was able to persuade his European allies to at least use limited air strikes against the Bosnia Serbs. But it didn't stop the killing.

Under mounting criticism in the press, Clinton asked Holbrooke in May 1994 to leave his post in Germany and return to the White House to help with Bosnia.

But Holbrooke and others in the administration who advocated force would nonetheless see Bosnia's Muslims endure another 15 months of heartbreak and death -- including the slaughter of 8,000 at Srebrenica.  Watch as a Bosnian concentration camp survivor describes the torture and rape she witnessed »

The massacre shook the world's conscience -- and Clinton's foreign policy. He was now ready to lead, with or without approval from other nations.

"What I said to the Europeans was, 'We're going to do this. And it'll work best if you come with us,'" Lake recalled.

After a Serb mortar attack on a Sarajevo market in August 1995, Clinton pulled the trigger. With the Europeans on board, U.S. and allied planes began attacking Bosnian Serb positions.

After eight weeks of NATO bombing, Holbrooke got enough concessions to negotiate an end to 3 ½ years of war. It was vindication for a policy Holbrooke calls "bombs for peace."

"I don't like to advocate the use of force, [because] I know people will get killed," Holbrooke said. "But there are times when you have to use force in order to stop people from being killed in larger numbers, and it seemed to me this was a clear-cut example."

@highlight

Richard Holbrooke first went to Bosnia in 1992 in the early days of the war

@highlight

The former diplomat recommended using U.S. force against the Bosnian Serbs

@highlight

He watched as Bosnia's Muslims suffered years of heartbreak and death

@highlight

In 1995, after weeks of NATO bombing, Holbrooke negotiated an end to the war