(CNN) -- Over the past decade, an increasing percentage of Americans lost health insurance coverage because they couldn't afford it. As a family physician, I have seen the devastating effects of losing health insurance. Without it, patients die unnecessarily.

Since passage of the Affordable Care Act, it is heartwarming to see patients gain insurance, get healthier and catch up on health care services they were unable to obtain before. But it is heartbreaking to see the Herculean efforts to eliminate subsidies that made it possible for these working Americans to finally afford health insurance.

Recently, there have been two opposing court of appeals rulings on a crucial aspect of the ACA. The first, if it eventually prevails, would not allow about 4.5 million people who gained subsidized insurance in the federal exchanges to get financial assistance. Thankfully, a different court of appeals found just the opposite.

FAQ: What the Obamacare court decisions mean for you

There will be no shortage of court challenges trying to chip away at the Affordable Care Act, but gutting the ACA would just strip patients of their means to obtain cancer treatment and other life-saving health care.

Two years ago, I diagnosed a 52-year-old uninsured man with Stage IV colon cancer, which took his life. Months earlier, he had noticed blood in his stool and had been scheduled for a colonoscopy. Without health insurance to pay for this costly test, he postponed it while waiting for financial assistance to help him buy health insurance coverage. It is likely that a health insurance subsidy would have saved his life.

Appeals courts differ on Obamacare; Supreme Court case likely

Another patient, diagnosed with Stage I breast cancer on a routine mammogram, said to me: "Doc, I don't care whether I have to eat beans and rice every day for the rest of my life, I am saving every cent to hold onto my health insurance because it will save my life!" She is now cancer-free and living a full and meaningful life.

Health insurance saves lives. When Massachusetts expanded health insurance coverage through policies similar to Obamacare, the state death rate fell by nearly 3% in the four years after the law went into effect. The decline was steepest in counties with the highest proportions of poor and previously uninsured people.

Study: Obamacare gave 10 million Americans health insurance

In other states with populations similar to Massachusetts, the death rate was largely unchanged. For every 830 people who gained health insurance in Massachusetts, one life was saved. Nationally, this 3% decline in mortality among adults under age 65 translates to about 17,000 fewer people dying each year.

Health insurance matters for health and well-being. Americans with health insurance are far more likely to receive primary and preventive care as well as timely and appropriate care for chronic conditions. Without health insurance, Americans have significantly more unmet health care needs and higher rates of delayed care.

When faced with illness, the uninsured are forced to make an impossible choice: incur unaffordable health care costs or gamble on their health, forgoing needed care. The Affordable Care Act enables millions of uninsured Americans to gain coverage and finally shed the fears of what might happen to themselves and their families if faced with this impossible choice.

Watchdog: Fake applicants got Obamacare subsidies

Let's keep moving forward with covering the uninsured in this country, there's no time to waste. The millions of dollars being spent in courts across the country to challenge the ACA and to eliminate insurance subsidies for working Americans might be better spent to create subsidies ensuring access to health insurance coverage that saves lives.

I have been involved in efforts as a physician-scientist working to discover new cures for the American epidemic of "uninsurance" and finding new treatments for our nation's "inequitable access to care" disease. Recently, I heard several top scientists debating whether we should keep asking the question: "Does health insurance matter?"

Consider the following two questions. Are you willing to drop your health insurance policy immediately and go without health insurance indefinitely? Are you willing to enroll in a study where you are randomized to receive health insurance or go without health insurance for a long period? If your answer to either or both of these questions is "no," then we should stop asking whether insurance matters and move forward toward insuring every American.

There's no time to waste in court battles. Americans are dying unnecessarily. And, the U.S. health care system has plenty more problems in need of immediate and urgent attention, including the primary care workforce shortage, the unsustainable costs of care and the disparities in health care access. Let's get people insured.

@highlight

Before Obamacare, Jennifer DeVoe saw people lose insurance and suffer

@highlight

Today, she sees patients gain insurance, get healthier, and get care they couldn't afford before

@highlight

She laments "Herculean efforts" to end subsidies for working Americans to finally get insured

@highlight

DeVoe says court battles are a waste of time: Americans are dying unnecessarily