(CNN) -- A child throwing a ball. On the face of it, a simple act, but for four-year old Hannah Mohn this is a milestone.

Hannah was born with the neuromuscular disease arthrogryposis, which makes her joints curve and muscles extremely weak. She can't lift her arms very high without help.

"We knew about five months into the pregnancy that something was not right," says Hannah's mother, Jennifer Mohn.

"We were told that they did not believe that she would survive birth and that we should really think about what we wanted done and make arrangements for the day that she were to be born."

Hannah survived, but with severe challenges and a long road ahead.

Jennifer explains: "When we saw my pediatrician ... for one of her first visits, she said even if her legs don't work well enough for her to walk, the biggest thing that we need to work on is making sure that her hands and arms are working to the fullest extent, because if she has use of her hands and arms, she will be able to care for herself. If she doesn't have the ability to use her legs, she can at least use a wheelchair. And that stuck with me."

Hannah's chance at a normal life came aged 18 months, when she visited the dupont Hospital for Children in Wilmington, Delaware -- a leading hospital in the United States. She began using a device the hospital designed, called the "WREX" -- robotic arms made from 3-D printing.

"WREX stands for Wilmington Robotic Exoskeleton," explains Whitney Sample, a research design engineer at the hospital. "Most of the kids that we deal with have neuromuscular issues that affect their ability to raise their arms. So they have a lot of difficulty getting their hand to their mouth, doing typical activities of daily living -- combing their hair, scratching their nose ... so it allows their arm to pretty much float."

The WREX uses special elastic bands to give a child's arm a weightless feeling. "The mechanism is similar to how a luxo lamp works to make it 'effortless' to move and position the head of the lamp," says Sample.

It's a life-changing device, and one that's benefitted hugely from 3-D printing. Producing components on site by printing them layer by layer greatly reduces the time it takes to create a WREX.

"We can print a full set of plastic parts for one pair of WREXs for one patient overnight, and by the end of the next work day we can clean the parts and have the WREX fully assembled," says Sample, adding that metal components must also be made by traditional methods prior to assembly.

Read more: How 3D printing will reshape the world

Even after 25 years designing devices for those with disabilities, Sample still gets emotional when children he has helped thank him for the difference he's making.

When one child was given a school assignment to write a story about their personal hero, they chose to write about Sample.

"It's really nice to have that recognition when the families come back and say 'Hey, this has been wonderful for us,'" he says.

Arthrogryposis is a condition that affects one in 3,000 children born in the United States, according to the American Association of Neuromuscular and Electrodiagnostic Medicine. The dupont Hospital for Children says it sees a little more than 30 new cases each year.

"We treat all spectrums of orthopedic disease," says Dr. William Mackenzie, chair of the hospital's orthopedics department.

"3-D printing is allowing us to build devices very precisely -- to build a device that can be attached and be closely adapted to that individual person's physique and improve function.

"The next step, we think, is when we could put small motors in these joints that the child would control with either a twitch of the muscle or perhaps a laser. We don't know quite how might it be controlled, but we see that that is the future of the WREX."

Read more: 'The night I invented 3D printing'

The device has helped improve Hannah's movements, even when she is not using it.

"The biggest change that we've seen is the ability for her to reach up higher and the ability to sustain that," says Jennifer. "Her elbows are typically stuck at her sides and that's where she's been limited to raising her arms and reaching for things.

"She's gaining muscle strength in her arms that she hasn't had. It definitely teaches her about things with different textures and colors, shapes and where things go and how things work."

Teaching her, and opening up a future that knows no limits.

"My hope is that she grows up to be as independent as she can," says Jennifer. "I'd love to see her go to college. As sassy as she is and as much as she likes to be in charge, she might run for president someday -- who knows?

"Up to this point there hasn't been much that she has let stop her. Whatever it is, she's going to achieve it."

Read more: How a 3-D printed arm gave hope to boy maimed by bomb

Mark Tutton also contributed to this report.

@highlight

Hannah Mohn was born with a disease that makes her muscles weak

@highlight

She uses an exoskeleton called a "WREX" -- robotic arms made from 3-D printing

@highlight

It allows her to raise her arms without assistance