In places such as Murrieta, California, and Oracle, Arizona, the message is clear: Thousands of immigrant children fleeing Central America are unwelcome in Small Town U.S.A.

The children, many of them arriving unaccompanied from El Salvador, Honduras and Guatemala, have traveled up to 3,000 miles across deserts and rivers, clinging to the tops of trains.

They sometimes face rape and beatings at the hands of "coyotes," smugglers who are paid thousands of dollars to sneak them across the southern border with Mexico.

Earlier this month in Murrieta, busloads of babies in their mothers' laps, teens, 'tweens and toddlers were turned back from a detainee facility.

They were met by screaming protesters waving and wearing American flags and bearing signs that read such things as "Return to Sender."

And so it goes. Southwest border towns, West Coast suburbs, and middle-America enclaves have become the newest battleground in the vitriolic political debate over immigration.

The showdowns highlight the scope and depth of challenges the Obama administration grapples with as officials try to use immigration-related fixes to resolve what politicians on both sides of the aisle have called "a humanitarian crisis."

Here's a snapshot of how things are playing out across the country:

Arizona: In Oracle, a town of roughly 3,700, protesters faced off Tuesday at Sycamore Canyon Academy, a nearby boys ranch that is to be used as a temporary housing facility for the immigrant minors, according to CNN affiliate KOLD.

Protesters representing both sides of the debate screamed and waved signs reading such things as "Send 'em to Coyote Obama," according to video from CNN affiliate KPNX. One man trumpeted a Mariachi-version of the "Star-Spangled Banner" as people around him yelled. Protesters even tried to stop a bus of kids from the local YMCA , which they had mistaken as the immigrant children. But the Central American children never arrived, according to media reports.

Pinal County Sheriff Paul Babeu said accepting the unaccompanied juvenile immigrants only encourages more to come.

"Their very hope was realized when we took them in. Nobody was turned back and what I believe, and I think a lot of Americans would agree, is instead of accepting these 90,000, they should have -- the humanitarian way to address this is reunite them with their families and their country of origin because this 90,000 is going to be hundreds of thousands," he told CNN's Chris Cuomo Wednesday.

"These children should be returned to their home country -- not to Oracle, Arizona, paid for by American taxpayers," Babeu said earlier in a statement on the department's Facebook page.

California: In sharp contrast to the reception similar children received in Murrieta, Central American immigrant children have been welcomed by the community of Fontana.

Just over 40 immigrants on Homeland Security buses arrived at the St. Joseph's Catholic Church there on Thursday and were greeted by staff and community donations of food, clothing and toys, according to CNN affiliate KTLA.

And a group of California state lawmakers headed to Central America on Monday to discuss the surge of immigrant children with leaders from that region, according to CNN affiliate KCRA.

Texas: Protestors in Waco, Texas, meanwhile, are demanding better conditions for the 250 men from El Salvador being held at the Jack Harwell Detention Center, according to CNN affiliate KCEN.

And the League City, Texas, City Council approved a proposal banning the housing or detention of undocumented immigrants within the city at a recent meeting, according to KHOU.

New Mexico: In Artesia, New Mexico, hundreds of residents turned out for a contentious town hall meeting to decry the hundreds of women and children being housed at the Federal Law Enforcement Training Center, a facility that also trains Border Patrol agents, according to CNN affiliate KOAT.

Iowa: Gov. Terry Branstad told CNN affiliate WHO on Monday that he does not want federal officials to send Central American children to his state, adding that by accepting them, the United States is sending "a signal to send kids illegally."

Some local aid groups are appalled.

"My God. This is a humanitarian crisis," said Kathleen McQuillen, the Iowa Program Director of American Friends Service Committee.

McQuillen's group, a Quaker-based organization, questions how the country could spend trillions on war and not have the pennies on those dollars to spend to take care of children in dire need.

She said, "It's a simple thing to begin to say, what's important in this world?"

Nebraska: At a National Governors Association meeting in Nashville earlier this month, Nebraska Gov. Dave Heineman complained that federal officials did not notify him that they were placing hundreds of immigrant children with family members in his state.

Michigan: Protesters headed to city hall in Vassar earlier this month to oppose a social service agency's plan to temporarily house 60 immigrant children according to CNN affiliate WNEM.

"It's about the American government, Democrat or Republican, getting off their lazy butts and passing a decent bill where we can screen our immigrants, make sure they're not felons, diseased or whatever, and get a program set up to bring them into this country," Vassar resident Jack Smith told WNEM.

Virginia: Federal officials shelved plans to send the children to an unoccupied, historically black college campus in Lawrenceville, a small community of about 1,400, after nearly the entire town showed up at a meeting and furiously denounced the proposal.

"Our staff will immediately cease any further activities in your community," Mark Greenberg,  the Department of Health and Human Services acting assistant secretary for children and families, wrote the community in June.

Prince William County officials were frustrated to learn second-hand that some children are being housed in shelters in the region.

"HHS did not inform the county. We're somewhat upset about that," Prince William County Board of Supervisors Chairman Corey Stewart told CNN affiliate WJLA. "I'm concerned these children may be housed here permanently and of course there is going to be a drain on our educational system and other county services."

Maryland: Maryland Gov. Martin O'Malley told CNN in an interview that he asked the White House to not send the minor immigrants to a site in western Maryland that was under consideration.

"What I said was that would not be the most inviting site in Maryland. There are already hundreds of kids already located throughout Maryland," O'Malley said. The plan was scuttled.

O'Malley officials pointed to graffiti that was found spray painted on the shelter site in Westminster, Maryland, last weekend as an indication of hostility the migrant housing plan was generating.

"No illeagles here. No undocumented Democrats," the graffiti read.

A Maryland law enforcement official told the Washington Post the message would be investigated as a hate crime.

Washington: Roughly 600 unaccompanied immigrant children from Central America may soon be heading to Joint Base Lewis-McChord south of Tacoma, according to CNN affiliate KING.

Representatives with HHS are slated to meet Wednesday with Lakewood city leaders and staffers from the office of Democratic Rep. Denny Heck to discuss the matter.

"The biggest concern we have here in DuPont is the security," DuPont City Administrator Ted Danek told the station. "You've got a lot of people coming here (with) no known backgrounds."

And on Monday, the U.S. government deported the first group of what authorities promise will be many more -- about 40 mothers and children. They flew to Honduras on a charter flight.

Despite the perils of their journey to the United States and their failed attempt to stay, one woman plans to make the trek again. There is nothing left for them at home, she said.

@highlight

A number of U.S. towns have protested the arrival of unaccompanied immigrant kids

@highlight

The harshest clashes have been in border states and communities in Western states

@highlight

As feds search for more space to house immigrant minors, some states say there's no room

@highlight

Religious and humanitarian aid groups, as well as others, have offered help