(CNN) -- In Texas, 33-year-old Marlise Munoz's body is being maintained with technology after being reportedly declared dead based on neurologic criteria, meaning her brain can no longer keep her body alive and functioning. Her husband said she wouldn't want to be kept alive by medical technology. But state law requires that her body be sustained because she is 19 weeks pregnant.

The issues surrounding Munoz's case are not isolated. In California, 13-year-old Jahi McMath's body is also being maintained with technology. Her family wants to continue keeping her alive even though her doctors consider her legally dead. There are families all over the world who have faced similar wrenching decisions.

For the medical community and families affected in these cases, thorny ethical issues remain unanswered. Conventional wisdom says that the patient has the right to make a decision, but when he or she is unable to, the legal surrogate decides.

With Munoz, there are two lives at stake: hers and that of her unborn child.

Some believe that the life of the mother is directly linked to the life of the infant. They are viewed as an inextricable unit; they live and die together. For others, the mother and fetus are viewed as separate beings with independent interests.

As a nurse and clinical ethicist, I have witnessed firsthand the anguish of family members who must make a choice about continuing pregnancies under such uncertain circumstances, or the aggressiveness of treatment for their extremely premature infants.

Generally, under conditions where there is great uncertainty about outcome for either the mother or the infant, we defer to the family to make an informed decision.

Do Munoz's preferences become nullified because she is pregnant? Should Mr. Munoz's request that his wife be allowed to die in a way that is consistent with her wishes be disregarded?

What is the ethical justification of mandating continued treatment that is contrary to the patient's and surrogate's wishes? Does the fetus become a ward of the state and the woman's body merely a biologic incubator for the fetus? Who then is responsible for the ongoing costs and care of the woman's body and the fetus should it be sustained to the point of viability (24 weeks)?

Keep in mind that there are significant unknowns. How would the lack of oxygen or other treatments impact the developing fetus? Even if the fetus could be sustained to the point of viability, complications resulting from dependence on technology, severe disabilities or premature death are quite possible.

Another ethical aspect of this tragic case is the impact on Munoz's medical personnel, who are providing treatments that are not desired by the patient or her surrogate, and who are perceived to sustain death rather than life.

Clearly, the first priority of doctors, nurses and other clinicians is the well-being of their patients. Their mandate is: First, do no harm. They want to help patients and avoid or remove their suffering. Whose interests are they obliged to promote when they have a patient like Munoz?

But medical personnel are not merely mindless robots who implement the decisions of others. They, too, have moral stakes in the process and outcomes of their care. In order for them to do their work with competence, respect and compassion, they must preserve their own sense of integrity.

When doctors and nurses begin to view their actions as causing physical, emotional or spiritual harms to their patients, it causes them moral distress. They begin to wonder: How can I see myself as a good doctor or nurse when I am participating in actions that I perceive as wrong or ethically unjustified? The result is that clinicians can burn out. They become cynical, detached or numb.

There are no easy answers. Cases like Marlise Munoz are always heartbreaking. There are many things that technology in medicine cannot cure or repair. We cannot know whether attempting to sustain her biologic function to support her pregnancy will yield a healthy infant. Using technology is always a double-edged sword; the very technology that creates hope can also create suffering. It is time to pause to examine again our "technology default."

We must engage with our communities about the boundaries of using technology, and what the appropriate interventions are when a person's life is sustained with technology.

Some would argue that the Texas law rightly protects the interests of the developing fetus and restricts the family's choices. Is the state a better guardian for the fetus than his or her biological parents?

We should always have a reverence for life and the ending of life. If there is uncertainty about the degree of brain damage a person has suffered, then it is ethical to use medical technology to keep him or her alive until a better determination can been made.

However, as in the case of Marlise Munoz, we must consider whether keeping her alive by invoking a state law honors her and her memory.

We need to find ways to make decisions that are respectful, fair and promote integrity. We also need to accept the limits of what medicine can and cannot do. The time has come for a new paradigm for ethical practice in health care.

The opinions expressed in this commentary are solely those of Cynda Rushton.

@highlight

The husband of a pregnant brain dead woman asks she be taken off of life support

@highlight

Cynda Rushton: But Texas law says she must be kept alive because of her unborn fetus

@highlight

She asks: Is it ethical to keep her body alive against the wishes of her family?

@highlight

Rushton: Technology can be a double-edged sword, it can create hope or suffering