London (CNN) -- "It is a myth that rape is an inevitable part of conflict. There's nothing inevitable about it. It is a weapon of war aimed at civilians. It has nothing to do with sex, everything to do with power."

So said Hollywood star Angelina Jolie on Tuesday in London, as she opened the biggest summit of its kind aimed at ending the scourge of sexual violence in conflict.

The four-day Global Summit to End Sexual Violence in Conflict, hosted by the UK government, will bring together representatives of more than 100 countries, as well as hundreds more experts, survivors, faith leaders, and staffers from NGOs and international organizations.

According to the U.N. children's agency, UNICEF, more than 150 million young girls and 73 million boys experience sexual violence every year, and children in conflict-affected countries are the most vulnerable.

Yet shockingly few perpetrators are ever prosecuted or convicted.

Jolie called for the international community to put priority on efforts to hold those responsible for sexual violence to account.

And she said it was time to end a culture of silence and denial that helps war zone rape to thrive, and means that the rapists rarely face justice.

"They feel above the law because the law rarely touches them and society tolerates them," she said.

"We must send a message around the world that there is no disgrace in being a survivor of sexual violence -- that the shame is on the aggressor."

'Shatter impunity'

The summit organizers have four main aims: ending the culture of impunity by agreeing on an international protocol for documenting and investigating sexual violence in conflict zones; taking practical steps to protect women, including by training soldiers and peacekeepers; increasing support for survivors and human rights activists; and achieving a "seismic shift" in attitudes so that the problem is recognized and tackled globally.

"We need to shatter that impunity and make justice the norm, not the exception, for these crimes," Jolie said.

"I have met survivors from Afghanistan to Somalia and they are just like us, with one crucial difference: We live in safe countries, with doctors we can go to when we're hurt, police we can turn to when we're wronged and institutions that protect us."

It is up to everyone to help make this summit a turning point, Jolie said, and to work across borders, governments and religious faiths to bring an end to the use of rape and sexual violence in war.

"We really can do it," she said.

Speaking alongside Jolie, with whom he launched the campaign to end sexual violence in conflict two years ago, UK Foreign Secretary William Hague pledged another Â£6 million ($10 million) from the UK government to help support survivors.

"We want people around the world to understand the scale of the problem and the urgent need for action, to recognize the damage it does to international peace and security and to be mobilized and inspired to work within their societies and with us to bear down on this terrible injustice," he said.

Time to act

UNICEF called on those at the summit, which runs until Friday, to agree on "concrete measures" to protect children in conflict from rape and abuse.

Its own figures give an idea of the scale of the problem.

According to UNICEF, about 40% of Congolese women are believed to have been subjected to some form of sexual violence at some point in their lives, while in the most recent conflict in South Sudan, rape has been used by both sides of the conflict during fighting.

During the 1994 genocide in Rwanda, an estimated 250,000 to 500,000 women survived rape, UNICEF says, while an estimated 20,000 to 50,000 women were raped during the war in Bosnia and Herzegovina in the early 1990s.

In an online post, the agency recounts the "sadly typical" story of a woman in Goma in the Democratic Republic of the Congo whose daughter, born from rape, was called a witch and herself raped, at age 6, by her 14-year-old cousin.

Amnesty International also said it was "time to deliver" on the ambitious goal of ending violence against women in conflict -- and the broader but related problem of gender inequality.

Pope Francis, the head of the Roman Catholic Church, added his voice to those calling for change.

"Let us pray for all victims of sexual violence in conflict, and those working to end this crime," he tweeted Tuesday, using the hashtag #TimeToAct.

Violence against women: By the numbers

CNN's Richard Allen Greene contributed to this report.

@highlight

Angelina Jolie opens summit with a goal to shatter impunity for those who rape during war

@highlight

"There is no disgrace in being a survivor of sexual violence," says Jolie

@highlight

UK government hosts representatives from around the world at a summit in London

@highlight

Organizers hope to launch concrete steps to tackle issue of rape, abuse in war zones