WASHINGTON (CNN) -- A federal appeals court has slammed the reliability of U.S. government intelligence documents, saying just because officials keep repeating their assertions does not make them true.

A guard looks over the U.S. military detention facility at Guantanamo Bay, Cuba, in this file photo.

A three-judge panel from the U.S. Court of Appeals in Washington likened the Bush administration's case to a line in an 1876 nonsense poem by Lewis Carroll: "I have said it thrice: What I tell you three times is true."

Portions of the court's findings were released a week ago, including a ruling that a Chinese Muslim accused of being a foreign fighter was wrongly imprisoned.  The full ruling was released Monday.

Hazaifa Parhat is being held by the U.S. military at the Guantanamo Bay Naval Base in Cuba. In its ruling, the court ordered that Parhat be released or transferred, or that a hearing be held quickly to determine whether he is being held properly.

The judges criticized the government for offering unsubstantiated evidence, and referred to Carroll's poem,"The Hunting of the Snark," in which the line is uttered by a pompous character called the Bellman.

"The government suggests that several of the assertions in the intelligence documents are reliable because they are made in at least three different documents," wrote Judge Merrick Garland. "We are not persuaded. Lewis Carroll notwithstanding, the fact the government has 'said it thrice' does not make the allegation true. In fact we have no basis for concluding that there are independent sources for the documents' thrice-made assertions."

The court also ruled the military improperly labeled Parhat as an "enemy combatant," marking the first time a Guantanamo Bay detainee has been given an opportunity in a civilian court to seek his release. The decision throws into serious doubt the underlying reasons for keeping Parhat in custody for more than six years.

The Carroll poem is similar to many of his other works, nonsensical in nature, described by the author as an account of "the impossible voyage of an improbable crew to find an inconceivable creature." Carroll, who lived from 1832 to 1898, is best known for the children's fantasy "Alice's Adventures in Wonderland."

The ruling came 18 days after the Supreme Court concluded that the approximately 270 men held at Guantanamo have a basic constitutional right to challenge their detention in federal courts, another setback for the Bush administration's anti-terror and war policies.

A different panel from the federal appeals court in Washington concluded last July that the U.S. military could not limit what information the courts hear when foreign detainees are challenging their imprisonment.

The government had argued national security concerns gave the military the discretion to decide what documents were pertinent for judicial review. Lawyers for the Justice Department also claimed the lower court decision would "impose extraordinary compliance burdens."

About 180 detainees have appealed their continued imprisonment and complained the government is unfairly restricting access to evidence that could clear them of wrongdoing -- evidence the men may not even know exists.

Hearings known as combatant status review tribunals determine whether a prisoner can be designated an "enemy combatant," and prosecuted by the military. Some legal and military analysts have likened them to civilian grand jury proceedings.

Those who are designated as enemy combatants have restricted ability to challenge tribunal procedures and findings before the D.C. Circuit federal appeals court under a federal law passed in 2006, the Detainee Treatment Act.

The legal issues surrounding the foreign nationals held in U.S. custody have reached greater urgency in recent months. Many of the men are in their seventh year of detention, and several have already had pretrial hearings before the military tribunal.

Parhat, a Muslim of ethnic Uighur descent, is accused of attending a terror training camp in Afghanistan at the time of the September 11, 2001, attacks. He denies the charge.

The Supreme Court on three occasions since 2004 has limited the government's power to detain and prosecute foreign nationals held at Guantanamo. Federal judges in Washington have met with the prisoners' lawyers in recent days, trying to coordinate an expected flood of appeals in the wake of the high court's June 12 ruling. Those judges are expected to meet privately among themselves, probably this week.

The government has promised to comply with the justices' latest ruling, but President Bush said he would still consider proposing further legislation limiting the power of federal courts to oversee appeals from enemy combatants.

The case is Parhat v. Gates (06-1397).

@highlight

Appeals court faults government argument in case of Chinese Muslim held at Gitmo

@highlight

Just because claim is repeated doesn't make it true, court says, citing Lewis Carroll

@highlight

Suspect has been detained for six years, accused of attending terrorist training

@highlight

Court says he must be released, transferred, or get new hearing quickly