(CNN) -- Recently, technology enthusiasts around the planet had the opportunity to get better acquainted with Elon Musk, the creator of SpaceX, the first privately owned company to send a spacecraft to the space station.

Launched in the same manner as a Silicon Valley startup, SpaceX designed and manufactured the Dragon capsule, which successfully completed a mission with the International Space Station before splashing down into the Pacific Ocean.

I see Musk, a 40-year-old entrepreneur who made his fortune by co-founding PayPal, as a "visioneer." That is to say, he is someone who combines scientific and engineering prowess -- in his case, a degree in physics -- with an expansive view of how technology will upend traditional economic models, and has the ability to inspire others to support his work.

Musk has bold visions for the future. When he finished college, he identified three areas that could change the world. One was the Internet; another was new sources of energy; and the third was transforming our civilization in such a way so that it could expand out into the solar system.

His success with PayPal and then with Tesla Motors -- a company he started that makes high-performance electric roadsters -- pushed him to take on the challenge of SpaceX. The successful launch of Dragon was a big step toward the completion of Musk's trifecta.

Musk's entrepreneurial activities rest on the shoulders of previous visioneers. In the 1970s, Princeton physicist Gerard O'Neill achieved celebrity status for designing and advocating free-floating space colonies as the new frontier for humanity. In 1977, when California hosted its first Space Day, O'Neill's ideas were discussed by scientists, aerospace executives and politicians, including then-Gov. Jerry Brown.

While today, such visions of the future seem fantastical -- space colonies ... really? -- they make more sense if seen in the context of their time. In O'Neill's day, fears of overpopulation, resource shortages and general eco-catastrophism permeated public discussions and popular culture as people fretted about an impending era of limits. Compared with that era's other mega-projects such as the Trans-Alaskan Pipeline, O'Neill's ideas were not so far-fetched.

Musk has inherited O'Neill's concept for the "humanization of space." But like other dot-com billionaires who make up the so-called NewSpace movement, his pursuits have a decided libertarian strain. Many visioneers champion free markets, less government, fewer regulations and profits for those who test the technological envelope. This is different from what O'Neill had in mind, which aimed mostly to benefit society at large.

Musk may be the most prominent visioneer, but he is not the only one. Recently, the New York Times profiled J. Craig Venter, the biologist-entrepreneur who is hoping to create bioengineered bacteria that can generate food and fuel for an increasingly crowded planet. Then there are others who have proposed radical geoengineering schemes, such as injecting tons of sunlight-reflecting particulates into the stratosphere as a way to address the threat of climate change.

So far, America has remained the No.1 destination for people such as Musk or Venter. As the rest of the world catches up -- think China -- and competes with us on innovation and technology, we must make sure that our country can continue to attract brilliant minds who can take speculative ideas out of the hands of sci-fi writers and technological forecasters and put them on firmer ground. The U.S. government as well as private groups like the X Prize Foundation can play an important role in stimulating and helping budding visioneers through prizes, funding or other forms of support.

For someone like Musk, the present is merely a prototype -- a provisional plan for what may become a magnificent and perhaps less limited future. Who knows, his trailblazing might just make it feasible and affordable for you to take a vacation to Mars.

The opinions expressed in this commentary are solely those of W. Patrick McCray.

@highlight

SpaceX successfully launched the Dragon capsule to the space station

@highlight

W. Patrick McCray: Elon Musk, founder of SpaceX, is a "visioneer"

@highlight

He says people like Musk can take ideas out of science fiction and turn them into reality

@highlight

McCray: America must make sure it remains the top destination for visioneers