President Barack Obama delivered one of the most crucial addresses of his presidency, seeking to convince an overwhelmingly skeptical public of the need to punish Syria militarily for alleged chemical weapons use while demonstrating a commitment to pursuing a surprise diplomatic opening to remove those stockpiles from the war-torn nation.

With many in Washington and on Main Street demanding clarity during fast-moving events, Obama had five questions to answer Tuesday night: Did he do it?

1. With diplomacy in play, why is military action necessary?

This was the most important question the president needed to tackle in his 15-minute, prime-time address.

In a major development, Syria has reportedly accepted a Russian proposal to hand over its chemical weapons stockpile to international control, but the details of what was actually agreed to are still murky.

The White House is skeptical, cautioning that it could be a stall tactic. But it said it would take a hard look, and it pledged to work with international partners to see what can be achieved.

Obama is dispatching Secretary of State John Kerry to Geneva, Switzerland, on Thursday to meet with his Russian counterpart to see where the initiative may go.

A stunning turn that could silence Syria war drums

Obama spent most of the speech laying out a chronology of events and pushing for military action on moral, political and strategic grounds, saying that previous efforts to resolve the Syrian conflict diplomatically had failed.

He painted a graphic picture of an August 21 attack that his administration says was carried out by the regime of Bashar al-Assad and killed more than 1,400 people.

"The images from this massacre are sickening: Men, women, children lying in rows, killed by poison gas. Others foaming at the mouth, gasping for breath. A father clutching his dead children, imploring them to get up and walk. On that terrible night, the world saw in gruesome detail the terrible nature of chemical weapons, and why the overwhelming majority of humanity has declared them off limits -- a crime against humanity and a violation of the laws of war," he said.

He only brought up the Russian development later in the address, calling the offer an encouraging sign. But he warned that "it's too early to tell whether this offer will succeed, and any agreement must verify that the Assad regime keeps its commitments."

He left open the possibility of diplomacy falling short, saying that he has ordered the military to maintain its posture in the region "to keep the pressure on Assad."

And he wrapped up by arguing that America must lead and that force was just in this case.

"America is not the world's policeman. Terrible things happen across the globe, and it is beyond our means to right every wrong. But when, with modest effort and risk, we can stop children from being gassed to death, and thereby make our own children safer over the long run, I believe we should act. That's what makes America different. That's what makes us exceptional," he said.

He did, however, put on hold the domestic effort intended to approve a military strike. He asked Congress hold off on voting on the issue -- a vote he probably did not have majority support for.

Commentators said after the speech that most Americans probably understand the moral case, but they questioned whether Obama could ultimately sway public opinion to see things his way.

A CNN/IRC International initial poll of viewers of the speech found that 47% said Obama made a convincing case for action, compared with 50% who said he did not.

U.S. Rep. Elijah Cummings, a Maryland Democrat and staunch Obama supporter who is undecided about the Syria issue, praised him for "a very good job" but said his position remained unchanged.

"It was not a wasted speech," said Cummings, noting that his constituents are tired of war. "I thought he made a great moral argument."

Share your view of the speech

2. Why should Americans worry about Syria?

Obama stressed again that the use of sarin gas in Syria was a moral abomination that Americans and the international community simply cannot tolerate.

But, simply put, Americans are sick of war.

In a CNN/ORC poll released Monday, six in 10 say the Iraq war was a mistake, and about half say the same thing about Afghanistan. Three-quarters say the United States is not the world's policeman.

Additionally, nearly seven in 10 say that it's not in the U.S. national interest to get involved in Syria's civil war. Moreover, 72%, say a U.S. airstrike would not achieve significant American goals.

Still, Obama laid out a strategic rationale for military force, saying that what happens in Syria could affect allies in the region, including Israel -- all in the U.S. interest, he said.

Inaction, he said, would leave al-Assad "with no reason to stop using chemical weapons."

And as the global ban against them erodes, "other tyrants" could acquire them and use them, as well against civilians and even American troops.

"If fighting spills beyond Syria's borders, these weapons could threaten allies like Turkey, Jordan and Israel. And a failure to stand against the use of chemical weapons would weaken prohibitions against other weapons of mass destruction, and embolden Assad's ally, Iran, which must decide whether to ignore international law by building a nuclear weapon or to take a more peaceful path," Obama said.

CNN Poll: Part of Syria strike opposition is the messenger's fault

Bruce Riedel, director of the Intelligence Project at the Brookings Institution, said an indirect connection to Americans' security is a difficult case to make, "and the president is not making it."

"I don't think he can make a case, because I don't think he knows what to do," Riedel added.

3. What would be the endgame?

Obama explained the goal of military strikes. He has said the United States does not want to use the strike to take out al-Assad, institute regime change or even aid the rebels in the civil war.

"The purpose of this strike would be to deter Assad from using chemical weapons, to degrade his regime's ability to use them and to make clear to the world that we will not tolerate their use," Obama said.

Obama did say the United States could not "resolve someone else's civil war through force," and he said he would not send in American troops or pursue an open-ended war like those in Iraq or Afghanistan.

"I will not pursue a prolonged air campaign like Libya or Kosovo. This would be a targeted strike to achieve a clear objective," he said.

"Even a limited strike will send a message to Assad that no other nation can deliver," he said. "A targeted strike can make Assad, or any other dictator, think twice before using chemical weapons."

He said that "the day after any military action, we would redouble our efforts to achieve a political solution that strengthens those who reject the forces of tyranny and extremism."

Sen. Rand Paul, a Kentucky Republican and a member of the Foreign Relations Committee, told CNN after the speech that Obama did not provide a clear military objective for attacking Syria.

He said bombing the regime will not truly hold al-Assad accountable and "will create instability in the Middle East" that would leave an opening for extremist elements in Syria allied with al Qaeda.

U.S. Rep. David Valadao, R-California, agreed with Paul. "The president has failed to deliver some sort of plan that tells the American people that we can do this and this is what we are trying to accomplish," he told CNN.

U.S. Senate: How they'll vote on Syria strike

4. If the U.S. attacks, what if al-Assad retaliates?

This is a major risk that concerns many members of Congress.

If the U.S. military attack is extremely limited and al-Assad retaliates, what are the contingency plans? Sen. Susan Collins, R-Maine, asked that critical question: "What if we execute this strike and then he decides to use chemical weapons again. Do we strike again?" She said it's one of her biggest concerns.

Obama did not address the contingency scenario directly, other than to say that not responding would carry unacceptable risks.

"If we fail to act, the Assad regime will see no reason to stop using chemical weapons," he said, adding that continued use could make it easier for terrorists to get their hands on them.

Al-Assad has said he would respond. "You should expect everything," he told PBS and CBS interviewer Charlie Rose.

Obama said the United States does not dismiss threats.

"But the Assad regime does not have the ability to seriously threaten our military. Any other retaliation they might seek is in line with threats that we face every day.  Neither Assad nor his allies have any interest in escalation that would lead to his demise," Obama said.

5. Now that Syria welcomes diplomacy, why did Obama address the public?

Obama told CNN's Wolf Blitzer this week that he isn't convinced that Syria is telling the truth. The administration distrusts Syria and its ally Russia, and it worries that the proposal to hand over its chemical weapons stockpile is simply a tactic to buy time and derail a potential U.S. strike.

While the administration indicated that it will look into Syria's offer, the president doesn't want to get burned. So he continued to press his case for a military strike. And if Syria's offer proves empty, the president won't have lost any time waiting on the sidelines.

Obama told the nation from the start: "I want to talk to you about Syria -- why it matters and where we go from here."

Riedel said the speech put the president in a difficult situation. "He was trying to convince people of a war they don't want, but he's also saying wait," Riedel noted.

Former House Speaker Newt Gingrich, a co-host of CNN's "Crossfire," said Obama was misguided in going on national television with the situation so fluid and having told Congress to hold off on considering a force resolution to give diplomacy a chance.

Rep. Valadao said the president's speech did nothing to convince him to support a possible military strike. He said that after attending every possible briefing and listening to the speech, "It's locked me more into a solid 'no' than anything."

@highlight

Obama addressed the nation from the White House on Tuesday night

@highlight

He addressed several key questions in a bid to sway public opinion

@highlight

Poll: Many think Obama has not done a good job explaining the need to attack Syria

@highlight

A Russian proposal on Syria's chemical arms is affecting Obama's case for action