(CNN) -- A few months ago, after drinking scorpion shots with Zappos' CEO Tony Hsieh, he gave me a tour of the Downtown Project, a formerly blighted neighborhood in Las Vegas being revitalized. Hsieh and others are investing $350 million to help turn the desert town into the smartest city in the world. Sound ambitious? It is.

Hsieh's interest in cities strikes many people as a curiosity, given his track record at Zappos. Talk to him (especially over scorpion shots), and you find out it's actually the reverse. "Every time the size of a city doubles, innovation per person increases, but when a company gets bigger, innovation per person goes down. Why is that?" he asked.

"In a city," he explained, "people and businesses are self-organizing. We're trying to do the same thing at Zappos."

Part of that goal involves moving Zappos to holacracy -- an organizational system that throws out all job descriptions, job titles, management (as we know it), and the organization chart, and starts over. Since Zappos' announced this move, people have wondered whether holacracy is just another fad or something to be taken seriously.

Let's take a closer look at holacracy. (Full disclosure: I endorsed Hsieh's book "Delivering Happiness," and he wrote the preface for my book, "Tribal Leadership." He's spoken to my USC classes, and I've spoken at several Zappos events.)

You should care about holacracy because it tries to fix many things we all hate about companies, including:

1. The organization chart on the wall has nothing to do with how people do their jobs.

2. The title you have probably doesn't reflect what you do, unless you own the company.

3. Your manager knows nothing about what you do much of the time, and yet makes decisions that determine your success.

4. Traditional management creates "my life sucks" cultures.

If any of these problems sound familiar, then you and Hsieh (and many of us in the leadership world) are on the same page, so far at least.

Holacracy was pioneered by Brian Robertson and outlined in his upcoming book, "Holacracy: Evolution for Organizations." The basic building block is a role, which is a breakdown of the organization's work. Roles work together in "circles" that self-organize. Circles can spawn sub-circles, and connect with other circles with "links"â€”roles that form conduits between circles. People "energize" roles, and one person can energize multiple roles. Circles have regular governance meetings in which people talk about roles, accountabilities, authority and policies.

If this description (which I ran by Robertson word-for-word) sounds like he's been reading the rules of Monopoly translated into computer code by way of Burning Man, you're not far off. Holacracy is complex, and designed to be so. It is hard to implement. To date, Zappos is by far the largest adopter of holacracy.

When it works, holacracy is amazing, so it's no wonder business leaders are paying attention. David Allen, author of "Getting Things Done" and founder of a consulting and training company that runs on holacracy, told me that after a tough adjustment period: "The company becomes much like a well-tuned machine that, to some degree, is self-correcting. You don't have to spend a lot of time going through channels to get things handled."

So, will it work at Zappos? Probably. Holacracy requires a great culture, and people who value egalitarianism. It's not communism (despite what some critics are saying), but it does throw out conventional ideas of power and hierarchy. It helps if people are grounded in customer service, can tolerate weirdness, and can take a leap of faith into the unknown.

If this description isn't your company, then holacracy will not be a great fit.

Holacracy is not coming to a company near you, at least not in its current form. Few have the value set of Zappos and very few have great cultures. It remains to be seen whether it can scale to a company of Zappos' size.

The real story here is that there are many new organizational forms out there, holacracy being one. Most emphasize ownership thinking, agile methods and great cultures. Like cell phones in the 1980s, these new organizational models are big, bulky and hard to use. Many don't work at all. But over time, some of them will become sleek, easy to use, more powerful, and even elegant.

Holacracy may just surprise us.

The opinions expressed in this commentary are solely those of Dave Logan.

@highlight

Zappos is trying out holacacy, an organizational system that does away with hierarchy

@highlight

David Logan: Holacracy tries to fix many things we all hate about companies

@highlight

He says as a company gets larger, innovation per person tends to go down

@highlight

Logan: Holacracy might just work at Zappos because of its unique culture