Beijing (CNN) -- Wang Kang looks every bit what he is: a Chinese scholar.

With his Confucian beard, graying hair and a deep, resonant voice enunciating Putonghua tones, he epitomizes gravitas.

But it's not his appearance so much as the power of his story. For Wang is one of the few insiders who dare to speak publicly about something most people in China only whisper about: the fall of the man once touted as a potential Chinese president.

"I know I'm taking a little risk by agreeing to this interview," he says.

"Several foreign media have told me they cannot find one single person to speak in the vast city of Chongqing. No one dares go public. This is sad."

Why Bo scandal might not be all bad

All of this plays out in this choking metropolis in southwest China.

It is a city Wang knows well.

He is a well-known identity, plugged into local politics and personally familiar with the people at the center of this scandal, which has grown to encompass a murder investigation, allegations of spying, and rumored sexual affairs that have led to the sacking of the party chief, who until last month ruled the city with an iron fist.

Wang says it all leads back to Bo Xilai, a man known in China as a "princeling," the son of a communist revolutionary hero.

Why the scandal plays bigger abroad

Bo saw Chongqing as the place to make his stand. He drove out criminal gangs, locking up or executing the ring-leaders.

All of this to a soundtrack of old-style revolutionary songs and slogans: smash black, sing red he called it.

On the streets he won praise, but to his critics Bo was orchestrating a naked power grab, wiping out rivals and enemies.

The insider, Wang, says the crackdown went too far.

"Extortion of confessions through torture was commonplace -- too many unjust and mistaken cases were made in the process. That is for sure," he says.

Bo fashioned himself on China's fabled leader Mao Zedong.

Wang says Bo tried to recreate the Mao era and frightened communist reformers, making new enemies.

"He's been playing the role of Mao's successor," he opines. "He was visiting PLA camps and giving the soldiers Mao's bust as a gift.

"None of the other politicians has ever done that. I think it has been a huge misjudgment of Bo. Going back to Mao's path is definitely not an option. That has proven to be a dead end. Mao led a road to ruin."

This particular path has lead to Bo's own ruin.

His inner circle turned on itself. In February his police chief fled and sought asylum in a United States Consulate.

Diplomatic, political and business sources now paint a picture of a man fearing for his life after linking Bo's own wife to the murder of a British businessman.

Neil Heywood was a fixer. He linked British firms with Chinese companies. He even did some work for a firm run by former British spies.

Heywood, who was married to a Chinese woman, then befriended Bo and his wife Gu Kailai.

Somewhere it all allegedly went sour.

Rumors now abound, each more sensational and lurid than the last, and equally hard to substantiate.

But they are explosive: now police suspect Bo's wife had Heywood killed.

"It's said in the official report that Gu was involved in the murder of Heywood. As for her motive, I think it's either struggling over financial interests or disagreements related to their personal affair," Wang says.

"It somehow became impossible for Gu to end this relationship with Heywood. My guess is both factors exist. They were involved both financially and romantically."

Intimate relations, suspected murder, political intrigue: all of it leading to a hotel on the outskirts of Chongqing.

CNN gained access and found a place well past its glory days. Stained walls and bedrooms with worn bedding and chipped furniture.

But from this rundown hotel, to the corridors of the Great Hall of the People, the downfall of Bo and his wife is not just about a family in disgrace.

Wang, the man who won't keep quiet, says China has glimpsed its future.

On the one hand, a return to Mao's cultural revolution with Bo personally pushing a hard line rule.

On the other, greater freedom and reform, a government more responsive to the people with protection for all under the law.

One leader has fallen, but Wang says China may have taken big steps to saving itself in the process.

@highlight

Wang Kang is personally familiar with the people at the center of the Bo Xilai scandal

@highlight

Bo was widely tipped to be a future president of China

@highlight

He says Bo's crackdown in Chongqing went too far, with torture commonplace

@highlight

Wang: Demise of Chongqing party chief may be good for China itself