(CNN) -- 3-D printers are currently being used or explored by a multitude of industries -- from printing toys and automotive parts to meat and even houses. In medicine, they are already used to print prosthetic limbs and make patient-specific models of body parts that surgeons can use as guides during reconstructive surgery. It's no surprise, then, that scientists around the world are investigating whether living cells can be used to print replacement organs and tissues.

3-D printing is an exciting technology that I except to play a significant role as scientists expand their ability to engineer tissues and organs in the lab. What many people don't realize, however, is that the printer itself is not the "magic" ingredient for making lab-built organs a reality. Instead, printers are a vehicle for scaling up and automating a process that must begin at the laboratory bench.

Before any organ can be engineered -- whether it's printed or built by hand -- there is much groundwork that must be accomplished. Vital to the process is a thorough understanding of cell biology. Scientists must determine not only what types of cells to use, but how to expand them in the lab and how to keep them alive and viable throughout the engineering process. Do they need to be imbedded in biocompatible material? If so, which biomaterial is most suitable? The bar for success is high -- the structures we engineer must function like native tissue.

Interactive: How 3-D printing will reshape the world

Lab-built organs

Scientists on multiple teams have already demonstrated that lab-built organs can function quite well in patients. Engineered airways, bladders, blood vessels and urine tubes have been successfully implanted. What these structures have in common is that they are a combination of cells and biomaterials made in the shape of an organ or tissue. In our initial experience engineering tissues, we made these 3-D structures by hand. For example, by suturing a strip of biocompatible material into a tubular shape, we made scaffolds for urine tubes. With a pipette, cells were then added by hand to these structures.

3-D printers, on the other hand, offer the opportunity to very precisely combine cells and materials into the desired shape. The replacement tissue or organ can be designed on a computer using a patient's medical scans. The computer then controls the printer as it precisely prints the desired shape and determines cell placement. The printers we've designed give us the option of using two or more different cell types and placing them exactly where they need to be -- something not possible by hand.

Read this: Regenerative medicine's promising future

3-D printers also have the flexibility of using a variety of biomaterials so that cells can be printed in either gel-like or rigid scaffolds, or printed without scaffolds. In addition, structures can be printed without cells, as was the case of a printed airway splint developed by the University of Michigan that saved a young child's life.

An ultimate goal of bioprinting, of course, is to be able to print complex structures such as kidneys that can help solve the shortage of organs available for transplant. While I believe this is achievable, there are many challenges to overcome before this is a reality.

Oxygen supply

Any large organ structure -- regardless of how it is engineered -- is not like the fully functioning organ harvested from a donor. Instead, even when printed structures are made with living cells, they must "incubate" in the body to become fully functional. As the scaffold gradually degrades, the cells lay down new tissue -- resulting in a new organ. A major challenge in tissue engineering is to supply these structures with oxygen while they integrate with the body.

One possibility is to print small channels into the structures that can be populated with blood vessel cells. Another option might be to print oxygen-producing materials into the scaffolds. While there are many challenges to solve, I believe the printing of complex organs will become reality, but not for decades.

Other projects involving bioprinting are further along and closer to benefiting patients. For example, for the military-funded Armed Forces Institute of Regenerative Medicine, our team is working to print smaller tissues, such as bone and muscle, that would be used in facial reconstruction. We are also working to print skin cells directly onto burn wounds.

But implantable tissue is not the only way 3-D printing can benefit patients. Our team and others are using 3-D printers to print miniature livers that have the potential to be used for drug testing. In addition, in collaboration with five other institutions, we are working to print miniature hearts, lungs, blood vessels and livers onto "chips" that will be connected with a blood substitute. Called a "body on a chip," the system has the potential to speed up the development of new drugs because it could potentially replace testing in animals, which can be slow, expensive and not always accurate.

Bioprinting is a rapidly developing field of science that obviously has many potential applications in medicine. Even five years from now, I suspect researchers will be pursuing potential treatments that are unimaginable today.

It is important to remember, though, that the process involves more than putting cells in a cartridge and pressing "print." Developments that occur at the laboratory bench are an integral part of the equation and what can be accomplished with printing depends, in large part, on advancements in cell biology and materials science.

The opinions expressed in this commentary are solely those of Dr. Anthony Atala.

@highlight

Scientists are trying to use living cells to print replacement organs and tissues

@highlight

We will eventually be able to transplant complex printed organs, says Dr. Anthony Atala

@highlight

A major challenge is supplying these structures with oxygen while they integrate with body

@highlight

Dr. Atala and others working to print miniature organs onto "chips"