(CNN) -- An elderly man stares forlornly at his feet, surrounded by twisted reindeer carcasses, their matted blood stark against a field of endless snow.

He clutches a knife, and at first glance you'd be forgiven for thinking he caused the carnage himself.

Instead, the two reindeer locked antlers in battle, and unable to untangle themselves, starved to death over many days.

Sven Skaltje, the herder in the haunting photo, discovered their entwined bodies and finally cut them apart. Erika Larsen, a 37-year-old American photographer living with the mysterious Arctic tribe, caught the moment forever.

Larsen is one of 11 female National Geographic photojournalists whose remarkable images are now on display in a new exhibition in Washington D.C., called -- aptly enough -- "Women of Vision."

From Larsen's dramatic images of Scandinavian tribes people, to Stephanie Sinclair's intimate photographs of Yemeni child brides, and Beverly Joubert's action shots of leopards in the wild, the exhibition delves deep into hidden communities, often in some of the most inhospitable environments on the planet.

"You must have a certain amount of resilience and courage to be a photographer in general, and perhaps especially to be a photographer for a magazine like National Geographic," said the show's curator and senior photo editor, Elizabeth Krist.

"We put people into the field for quite long times -- eight weeks would be the average."

Women's work?

Featuring almost 100 images taken since 2000, the exhibition is a world away from when first female staff photographer, Kathleen Revis, started working in the 1950s.

The male chief of the photographic lab at the time had some advice for Revis: "If you find the going too tough, why not run over to Paris for a weekend and get some new clothes -- I understand that is good for a woman's morale."

It's enough to make any feminist's blood boil. But as Krist explains, "Unfortunately, it was really characteristic of the time."

Indeed, in the 125-year-history of National Geographic, a magazine which prides itself on intrepid exploration, there have been four female staff photographers, compared to around 50 men.

"At National Geographic there probably was more of a sense that people needed to be really tough to do some of these stories on the other side of the world. And it was much harder for a woman to counter these societal norms and be on her own in a lot of remote areas," said Krist.

"Now, seeing all these women working in really difficult conditions -- not just conflict but also in the middle of epidemics, facing wild animals, political repression, severe climates. It really shows what women are capable of, it's a direct answer to the person who said that to Kathleen Revis."

True grit

If ever there was an indication of how far female photojournalists have come in the last century, it's in the work of Larsen, who spent four years living on-and-off with traditional reindeer herders, called Sami.

The mother-of-one learnt their language and even worked as a housekeeper, or beaga, in an effort to immerse herself in their ancient culture, spread across Scandinavia and parts of Russia.

Living in a tepee-like structure called a laavo, in temperatures plunging to -40C, Larsen says being a woman actually helped her integrate into the family.

"Sami culture in general has this tradition of having a beaga, which is a woman that would come into the home, help with the children, help with the meals, help with the cleaning, help prepare skin, which I did," explained Larsen.

"I don't think a male photographer would be able to sit around the table and sew with the women, and hear their stories in quite the same way."

Similarly, fellow photographer Stephanie Sinclair found her gender gave her unique access to the women's barracks of Yemen's elite counter-terrorism unit, capturing a khaki-clad officer patrolling the lurid pink halls.

Meanwhile, Amy Toensing went on an impromptu swim with three elderly women on America's Jersey Shore, using an underwater camera to photograph the sprightly women in the ominous surf.

For Larsen, it was the pioneering female photographers of the last 50 years who really paved the way for her today, admitting: "I haven't found the obstacles I believe they have come up against."

Krist agreed, saying: "Today it feels much more 50-50 to me in the photojournalism schools. It's becoming much more even, but I think there's still a residue of all the generations which have come before."

The perfect shot

Following an assignment, it's up to photo editor Krist to sift through over 50,000 images, before publishing the best handful. "What I'm looking for is something that's both meaningful, that reveals something, and something that's really striking visually," she said.

Larsen's haunting photograph of Skaltje the reindeer herder made the grade when it was published in 2011. But it also summed up the photographer's fascination with mysterious hunting societies.

"What I realized from Sven in this moment is that we are all part of this cycle of life," she said.

@highlight

New exhibition of National Geographic female photographers opens

@highlight

Includes Erika Larsen, lived with Scandinavian reindeer herders for four years

@highlight

Women photojournalists must have tenacious spirit to travel world for "perfect shot"