(CNN) -- The Soma mining disaster is already the deadliest industrial catastrophe in Turkey's history. Yet Turks are unable to grieve for the appalling loss of human life. Utter shock and fury are the overriding public sentiments against the brazen lack of humility and sense of responsibility displayed by those in positions of power, both in the government and private sector.

But Prime Minister Recep Tayyip Erdogan's scandalous attempt to justify the death of more than 280 miners by pointing to mining disasters that occurred in France, Britain and the United States more than a century ago reveals more than the worldview of a ruthless politician with a skewed sense of chronology.

It also exposes Turkey for what it has become: a grim 21st-century Dickensian dystopia, where a new class of political and business elite grows rich and powerful on the back of cheap labor and expendable lives.

The comparison with 19th century Europe is hardly superfluous: worker's rights have been systematically weakened and are routinely violated in Turkey since the 1980s, to the extent that the country was "blacklisted" by the International Labor Organisation (ILO) in 2008. Trade unions, once powerful and influential, have been emasculated and seen their ranks dwindle. Over a million subcontracted workers in the public and private sector are without job security, deprived of their right to join unions and participate in collective bargaining.

Cheap labor and weak regulation make Turkey an attractive destination for industrial production and fuel the country's construction sector, which has been driving growth over the past decade. Yet they also come with a terrible price tag: the ILO ranked Turkey first in Europe and third in the world for fatal work accidents in 2012. Coal mining is among the deadliest of professions. According to a 2010 report by the Turkish think tank TEPAV, the ratio of deaths to production capacity in Turkey was five times the figure for China and 361 times the figure for the U.S., two of the world's leading coal producers.

An overwhelming majority of the work related deaths are caused by poor working conditions, inadequate training and a general lack of job security, and are thus preventable. Erdogan seems to disagree. "Dying," he declared following an explosion that killed 30 workers at a Zonguldak mine in 2010, "is the fate of the miner." In Soma, he casually suggested that accidents were in the nature of this work; they were "usual things."

As he spoke, his normally animated face remained calm and expressionless, devoid of any visible sign of remorse or empathy. He accepted no responsibility, including for his party's rejection of a parliamentary proposal by the opposition CHP only three weeks ago to investigate a string of past accidents and deaths at the very mining facility in Soma.

It would appear that Erdogan views such "accidents" as unfortunate but unavoidable side effects of Turkey's rise as a regional power under his leadership. After all, no empire is built without the blood and sacrifice of the nation, whose "will" he claims to embody and grandeur he seeks to restore.

As in Britain and France at the turn of the last century, tales of imperial glory constitute a central part of the ruling AKP's populist discourse. And in a country that is deeply divided along identity issues, especially along the secular versus religious fault line, such discourse has powerful appeal.

But even Erdogan cannot sustain his tremendous popularity through nationalist propaganda and perpetuated feelings of social resentment, if he and his aides continue to dismiss the plight of "his people" and respond to their ultimate sacrifice with kicks and punches.

In this regard, the Soma disaster may turn out to be a watershed moment. Numerous times in recent years, the government's security apparatus harassed those who were experiencing unspeakable agony for having lost loved ones, some at the state's own hands. The families of those killed in an airstrike near the Kurdish village of Roboski in December 2011, in the terror attack in Reyhanli in May 2013, or during the anti-government protests across the country since last June have been deprived of their right to grieve and forced into a continuous state shock and outrage.

But these were mostly poor Kurds, Alevis or secular Turks, who are unlikely to support Erdogan's party. In Soma, on the other hand, the AKP is popular. It carried the town comfortably both in the general election in 2011 and the municipal election held in March this year. And it is here that the AKP's headquarters have been ransacked, and the prime minister hackled and called on to resign by furious residents.

In Huxley's Brave New World, "soma" was the hallucinogenic substance used by the state to induce a feeling of contentment and happiness among citizens. It remains to be seen whether in Erdogan's Brave New Turkey, Soma will have the opposite effect.

@highlight

Karabekir Akkoyunlu: Disaster exposes Turkey as 21st-century Dickensian dystopia

@highlight

Those in power have displayed a brazen lack of humility and sense of responsibility, he says

@highlight

Akkoyunlu: Erdogan views such "accidents" as unfortunate but unavoidable side effects

@highlight

Erdogan cannot sustain his popularity through nationalist propaganda, he writes