(CNN) -- Carole Dunham, 69, loved the ocean. Last July, she was diagnosed with cancer and had only a few months to live. Dunham knew her last footprint had to be a green one, and she started looking into eco-friendly alternatives to traditional burial.

Carole Dunham, 69, had her remains memorialized on an offshore reef.

The concept of "going green" has taken new life in the death care industry as eco-minded companies tap into the needs of those like Dunham.

From biodegradable caskets to natural burial sites, death is becoming less of a dark matter than a green one.

Dunham, an avid scuba diver, chose an eco-friendly company that would combine her cremated remains to form an artificial memorial reef.

"She loved the idea of always being in the water as an alternative to being cremated and scattered," said her daughter Nina Dunham.

Dying is arguably the most natural phenomenon in the world, but modern death rituals -- embalming with formaldehyde-based solutions and traditional burial in concrete vaults -- are not nature-friendly, according to environmentalists.

Along with its dead, the United States buries 1.6 million tons of reinforced concrete, 827,060 tons of toxic embalming fluid, 90,000 tons of steel (from caskets), and 30 million tons of hardwood board each year, according to the Green Burial Council, an independent nonprofit organization based in Santa Fe, New Mexico.

"We can rebuild the Golden Gate Bridge with that amount of metal," said Joe Sehee, the council's executive director. "The amount of concrete is enough to build a two-lane highway from New York to Detroit."

Sehee established a burgeoning network of death-care providers that have earned a green thumbs-up in the council's eco-certification program, the first of its kind in the industry.

"We want to reduce carbon emissions, waste and toxins in the death care industry and utilize burial to steward natural areas in the U.S.," said Sehee.

Among the certified eco-providers is Eternal Reefs, based in Decatur, Georgia.

"We're the surf and turf of natural burial," said George Frankel, CEO of Eternal Reefs.

The company takes the green movement to sea level by offering a living legacy in the form of underwater reefs used to create new marine habitats for fish and other sea life. The artificial reefs are cast from a mixture of environmentally safe cement and cremated remains.

Eternal Reefs was the logical choice for Dunham, who died on November 3. "She liked the idea of being a home for fish," said her daughter.

This month, Dunham will travel to Florida to see her mother's reef lowered off the coast of North Miami Beach. Other families will join her, wearing shorts and T-shirts instead of dark suits and dresses. They will have a chance to decorate the reefs with flowers and other sea-friendly mementos.

A brass plaque will help Dunham identify her mother's reef. She intends to visit the underwater memorial by scuba diving there in the future.

"These reefs will be covered up with sea life in a very short period of time, so they make a significant contribution," Frankel said. The reefs last about 500 years, and so far about 300 have been dropped off the coasts of Florida, South Carolina, Maryland, New Jersey, Texas and Virginia.

Another eco-provider certified by the Green Burial Council is UK-based Eco Coffins Ltd., which allows its customers to design their own 100 percent biodegradable coffins, made from 90 percent recycled grid honeycomb cardboard. The company says the coffins release 72 percent less carbon monoxide in the cremation process compared to a traditional coffin.

"We are appealing to customers to make the responsible choice," said Sophie Dansie, founder and director of Eco Coffins. "The fact that standard chipboard is full of resins and formaldehyde, which is either released into the earth when buried or as emissions when burnt, is really unknown to the general public."

The vibrant coffins have even captured some attention in Hollywood. They have a cameo as props in the upcoming film "Powder Blue."

An eco-friendly funeral can also help conserve land and protect it from development. The Texas Parks and Wildlife Department is working with the Green Burial Council to become the first state-park agency to offer cremation-based green burials. The funds raised from the services will be used to acquire new state park lands.

"We want burials to be more sustainable for the planet, more meaningful for the planet and economically viable for the provider," said Sehee. "We don't want this to be a marketing gimmick that diminishes the social and ecological benefits of this concept," he emphasized.

The death care industry, like others, has its share of green hype. While it might be a bit macabre for some, CoffinCouches.com sells eclectic couches made out of used coffins. Founder Vidal Herrera buys unwanted or slightly damaged coffins from funeral homes that would otherwise go to a landfill.

From these discarded materials, Herrera designs artsy Goth couches you might see in a music video or a tattoo parlor. Herrera's clientele includes musicians, actors and others who can afford $3,500 for a couch.

Hype or no hype, the decision is a personal one that ultimately rests with an individual or family. Sehee emphasizes that the Green Burial Council is careful not to diminish anyone's choices or make recommendations about the greenest way to go.

"There are shades of green and people can distinguish one shade from another," he said.

@highlight

Eco-minded companies in death care industry offer "green" funerals

@highlight

Dying woman had her ashes added to an artificial reef off Florida coast

@highlight

CEO of Eternal Reefs: "We're the surf and turf of natural burial."

@highlight

1.6 million tons of concrete, 827,060 tons of toxic fluid buried in United States yearly