Hong Kong (CNN) -- For the first time in almost two weeks, the name of presumptive Chinese leader Xi Jinping has appeared in state media, but it wasn't to dampen speculation about his "disappearance" weeks before a major Communist Party congress.

Instead, the 59-year-old vice president's name appeared on a message of condolence following the death on September 6 of a former official in Guangxi Province.

"After the passing of Comrade Huang Rong, Hu Jintao, Xi Jinping, Li Yuanchao, Zhu Rongji and Li Zhaozhuo expressed their condolences and conveyed their deep sympathies to his family," it said.

Xi's name appeared second on the list after current President Hu, and before other leaders including Li Yuanchao, head of the powerful Organization department who, like Xi, is tipped for a place on the Politburo Standing Committee, the nine-member team who leads China.

Jockeying for position ahead of China's leadership jamboree

The message did not include any direct quotes from Xi, and its existence doesn't provide any explanation as to why Xi has dropped from public view.

The vice president has not been seen in public since September 1 when he was reported to have given a speech to the Central Party School in Beijing. Images published by major news websites after the date showed Xi looking well and smartly dressed in a dark suit and purple tie.

However, since then, the cancellation of a number of meetings with high-profile foreign dignitaries has created a storm of speculation as rumor and hearsay fill the void of official information.

Who are the next generation of Chinese leaders?

For a number of days, Chinese foreign ministry spokesman, Hong Lei, has declined to answer queries on Xi at the Ministry's daily press briefings.

When Xi's meeting with U.S. Secretary of State Hilary Clinton was abruptly canceled on September 5, American officials said their Chinese counterparts had blamed a "scheduling conflict."

No official reasons were given following the cancellation of other appointments, including a meeting with Singaporean Prime Minister Lee Hsien Loong.

The lack of comment has fueled unsubstantiated rumors, including wild plot lines ranging from a car crash, to an assassination attempt. Others say Xi has been sidelined by a suspected heart attack or stroke, neither of which have been denied or confirmed.

It is not unknown for Chinese leaders to suffer serious illnesses in secret. In April 1993, Li Peng, the then premier, disappeared for six weeks after a heart attack. The foreign ministry said he had "a cold" and confirmation that he had been treated in hospital did not come until this July.

"In most countries including in Asia, people are entitled to know the health of their leaders, but in China this is still regarded as state secrets," Willy Lam, a longtime China watcher who teaches politics and history at universities in Hong Kong and Japan, told CNN Monday.

During Xi's absence, other Chinese leaders have made a number of high-profile appearances outside China. Hu has addressed APEC delegates in Vladivostok, Russia and China's top legislator, Wu Bangguo, met with Iranian President Mahmoud Ahmadinejad in Tehran.

China expert Linda Jakobsen, of the Lowy Institute for International Policy in Australia, says that the mere presence of a high-ranking official on foreign trips indicates that China's leadership is not dealing with a crisis.

"If Xi was gravely ill or had encountered political problems, which would call into question his anointment as head of the Chinese Communist Party (CCP) at the upcoming Party Congress, senior leaders would not be traveling and the leadership would be convening in Beijing. That is standard CCP practice at a time of crisis," she wrote in a recent column.

In a matter of weeks, more than 2,000 delegates are expected to meet in Beijing for the Communist Party's 18th National Congress.

During their event, China's political elite are expected to announce the results of months of political maneuvering, and the names of the five to seven new entrants to Politburo Standing Committee.

"The Chinese leadership is worried about social stability," said David Zweig, a seasoned China observer and a professor at Hong Kong University of Science and Technology. "But nothing creates greater social instability than this kind of lack of information about the leadership."

Already, China's leadership transition has been marred by extraordinary twists and turns.

In April, Bo Xilai, once considered to be among party royalty and a fast-rising star within the party, was stripped of his leadership positions for an unspecified "breach of party discipline." He has not been seen publicly since.

Disgraced Party chief looms large over China's leadership

Bo's wife, Gu Kailai, was convicted last month of murdering Neil Heywood, a British businessman, and received a suspended death sentence.

And Bo's former police chief, Wang Lijun, whose attempt in February to seek asylum in a U.S. Consulate triggered the scandal, was charged last week with defection and bribe-taking. Wang is awaiting trial.

Although most analysts agree the all-important 18th Communist Party Congress will be held in the middle of next month, though authorities have yet to confirm the date.

"More questions are now being asked about the transparency of Chinese politics since everything is in a black box," said Lam.

Observers say the official silence could also signal last-minute negotiations among senior political figures before they present a facade of unity to the public. The current generation of leaders has been particularly sensitive to maintaining a united front since 1989, when the party hierarchy split over how to deal with pro-democracy protests in Beijing's Tiananmen Square.

"Xi Jinping is already projected to be a weak leader because he doesn't have a power base of his own," said Lam, who predicted Hu will remain the head of the Chinese military for two to three years after relinquishing his party and state titles to Xi.

"Hu could be the ultimate winner here -- he will be the power behind the throne."

@highlight

Chinese media mentions Xi Jinping in statement of condolence

@highlight

Vice President Xi hasn't been seen in public since September 1

@highlight

Chinese officials have failed to comment on why he's dropped from public view

@highlight

Xi is expected to replace Hu Jintao in the leadership transition later this year