Washington -- Good night, Loran.

In a series of small ceremonies, the U.S. Coast Guard on Monday shut down Loran-C, a navigation and timing system that has guided mariners and aviators since World War II.

The death blow came last May when President Obama called the system obsolete, saying it is no longer needed in an age in which Global Positioning System devices are nearly ubiquitous in cars, planes and boats.

Killing Loran-C will save the government $190 million over five years, Obama said. But supporters of Loran -- including the man known as "the father of GPS" -- say the nation's increasing reliance on GPS paradoxically has increased the importance of maintaining Loran as a backup.

Supporters also argue that the mere existence of Loran makes the GPS satellite system a less attractive target for cyber-thugs, terrorists or future military adversaries.

GPS systems today are used not only for navigation, but also to provide precise timing for ATM machines, cell phone towers, water plants and other enterprises, and positioning information for precision-guided weapons for the military. GPS disruptions can be costly to business, dangerous for travelers, and debilitating to the military.

Supporters of Loran -- short for long range navigation system -- say the system is a near-perfect backup because it provides similar information to GPS, but has dissimilar infrastructure.

GPS is based on a constellation of at least 25 satellites; Loran is based on 24 ground stations in the United States, and others elsewhere. GPS transmits a very faint signal and is vulnerable to interference or jamming; Loran has a high-power signal which can penetrate obstacles like foliage and is harder to interrupt.  GPS is powered by solar panels; Loran is tied to ground power. And while GPS operates in outer space, outside of controlled perimeters, Loran operates inside controlled perimeters in the United States.

The vulnerability of GPS and the consequences of an outage became evident in 2007 during a Navy training exercise in the Port of San Diego, California.  Participants unintentionally jammed GPS signals in the region, shutting down satellite navigation and cell phone service up to 10 miles inland for three hours.

The satellite-based system's vulnerability became apparent a second time that year, when China tested an anti-satellite weapon, destroying one of its own aging weather satellites.

Indeed, in recent years, as the popularity of GPS soared and the number of Loran users dwindled, the fate of the Loran system has followed a meandering path of near-death and rebirth experiences that even the most sophisticated navigation system would have difficulty tracking.

During the Bush administration, the system was at one point placed on the chopping block, but was resurrected amid a flurry of reports from Loran backers.

In late 2006, an Independent Assessment Team headed by Bradford Parkinson, known as the "father of GPS," unanimously recommended that an enhanced version of Loran, known as eLORAN, "be completed and retained as the national backup system for GPS," saying it had "critical safety of life, national and economic security, and quality of life applications."

The assessment team recommended that the government complete the eLORAN upgrade and commit to eLORAN as the national backup to GPS for 20 years.

But the Obama administration has described Loran as unnecessary and antiquated. In a May 7 speech, Obama used Loran as an example of government waste.

"This system once made a lot of sense, before there were satellites to help us navigate," Obama said. "Now there's GPS. And yet, year after year, this obsolete technology has continued to be funded even though it serves no government function and very few people are left who still actually use it."

So at 3 p.m. Monday, the U.S. Coast Guard turned off Loran signals at 19 of the 24 Loran stations. Signals remain at five stations because of agreements with Russia and Canada, but the Coast Guard expects those stations to be decommissioned by June after the United States receives verification that those countries have been notified of the change.

The five stations that temporarily remain on line are at Attu, in Alaska's Aleutian Islands, and Caribou, Maine; Nantucket, Massachusetts; Shoal Cove, Alaska; and George, Washington.

Chief Warrant Officer 4 Dave Robbio said the Loran signals at the 19 closed stations will be on a "hot stand-by" for the next week, allowing the signals to be turned back on if something unforeseen occurs. If there are no problems, the transmitters will be completely powered down next Monday.

Some congressional critics say it is a mistake to shut down the system. In a November letter to Homeland Security Secretary Janet Napolitano, two top members of the Senate Homeland Security Committee urged that Loran-C be spared. Deploying an enhanced Loran, or eLORAN, would cost about $100 million, Sens. Joseph Lieberman, I-Connecticut, and Susan Collins, R-Maine, wrote -- about one half the amount of placing one new GPS satellite in orbit, they said.

But the case for dismantling Loran also has its advocates, including the U.S. Coast Guard. In a submission to the Federal Register, the Coast Guard said Loran-C was not established as, nor was it it intended to be, a backup for GPS. Other radio navigation systems, or operational procedures, can be used as backups for GPS navigation and other critical applications, the Coast Guard said.

The Department of Homeland Security says it is currently reviewing the nation's critical infrastructure "to determine if a single, domestic system is needed as a GPS backup."

"The continued active operation of Loran-C is not necessary to advance this evaluation," DHS said.

But hope springs eternal for some Loran supporters, who hope the Coast Guard will mothball the system rather than destroy it.

Mothballing the stations would allow the government to resurrect the system if ongoing studies show Loran is the appropriate backup for GPS. But one Loran supporter acknowledged that hopes of reviving the system, at this point, may just be "wishful thinking."

@highlight

U.S. shut down 19 of 24 land-based Loran-C navigation stations on Monday

@highlight

Administration says Loran no longer needed in era of Global Positioning System

@highlight

Critics warn GPS is vulnerable to cyber-attacks, suggest keeping Loran as backup