(CNN) -- It has been eight years since people in my state of Virginia got a chance to debate the meaning of the Civil War in front of the nation, and the comments posted on CNN and other news Web sites suggest our passion over the topic has not dimmed.

If Governor Bob McDonnell wants his fellow Virginians to think deeply about "how our history has led to our present," then his declaration of April as Confederate History Month has accomplished this goal, if not exactly in the manner he intended.

The problem with the celebration of Confederate History Month, however, goes far beyond McDonnell's "mistake" in not discussing the centrality of slavery in the Civil War in his original proclamation.

Confederate "history" means more than the four years during which Virginia and other states fought a war to form a separate country called the Confederate States of America. It refers to the many uses of Confederate symbols and evocations of Confederate history in the almost century-and-a-half since Appomattox as well.

This long history offers nothing to memorialize. Former Confederate soldiers quickly formed the Ku Klux Klan after the war to attack Reconstruction officials and the black and white Republicans who were trying to run the state, and they sometimes displayed Confederate symbols as part of their work. After congressional hearings shut down the Klan, copycat organizations continued to make use of Confederate symbols as they engaged in acts of political terrorism.

Former Confederates openly supported and participated in what many white Southerners called the "redemption" of the region, the reassertion of their control over state and local governments as Reconstruction ended.

In the 1870s and 1880s, the decoration of Confederate graves with flowers and flags and celebratory speeches and parades increasingly signaled a commitment to what came to be called the "Lost Cause," a decidedly partisan and self-consciously politicized account of the Civil War.

Though many supporters of secession believed during the Civil War that they were fighting against other Americans over the issue of slavery, amateur and professional historians, many with ties to the Confederacy worked to rewrite this history as a noble fight for states rights and a celebration of the sacrifice of Confederate soldiers. What members of the Sons of the Confederacy offer today as the "true" history of the region has its roots in this effort.

By the end of the 19th century, organizations like the Confederate Veterans and the Daughters of the Confederacy organized public acts of commemoration and the celebration of the "honor" of former Confederates.

Members of these organizations actively used their version of history to support the disfranchisement of African-Americans and the expansion of a white supremacist social order grounded in segregation. Across the region, Jim Crow segregation and Confederate commemoration expanded hand in hand, as the Lost Cause version of the Southern past justified the contemporary elimination of black rights.

iReporter: Gov. McDonnell "wrong and right" on the issue

When more subtle displays of Confederate symbols and history were not enough, white Southerners violently attacked and murdered African-Americans, sometimes publicly before large crowds. Lynchers sometimes brandished Confederate symbols.

In the early 20th century, monuments to Confederate soldiers appeared on courthouse lawns across the South and on the grounds of southern state capitols, marking these public spaces as the property of the white people who celebrated this "Confederate" version of the past. By the 1920s, a revived Klan made the Confederate battle flag their second-most important symbol, after the fiery cross, as they once again used violence and threats of violence to uphold white supremacy.

With the NAACP's victory in Brown v. Board of Education and the success of the Montgomery bus boycott, some white Southerners revived the use of Confederate versions of the past and Confederate symbols in their fight against the civil rights movement and integration.

Crowds who attacked civil rights activists sometimes carried Confederate flags as civil rights supporters carried American flags and sang "The Star-Spangled Banner" to counter these Confederate symbols. Called the "country club Klan" because of its public condemnation of violence, the White Citizens Council also used Confederate versions of the past in its opposition to African-American equality.

Today, Confederate history is as much about 1965 and the Voting Rights Act as it is about 1865 and Lee's surrender. The long history of the ways Confederate symbols have been used and Confederate history has been evoked to support racist violence and African- American oppression haunts Gov. McDonnell's declaration of Confederate History Month.

Confederate history cannot be separated from the issue at the center of the Civil War, slavery. But it also cannot be separated from the history of segregation, massive resistance, and the fight against the civil rights movement.

Historically, Confederate versions of the past and Confederate symbols have meant opposition to equal rights for all Americans. In officially recognizing Confederate History Month, Gov. McDonnell is asking Virginians to join together in celebration of this history of white supremacy.

The opinions expressed in this commentary are solely those of Grace Elizabeth Hale.

@highlight

Virginia Governor Bob McDonnell designated April as Confederate History Month

@highlight

Grace Hale says Confederate symbols have denoted opposition to equal rights

@highlight

She says many soldiers thought Civil War was fought over slavery

@highlight

Some tried to rewrite history to make the war solely about states' rights, Hale says