(CNN) -- When Linda Waterhouse was 16, she went out with a friend who had too much to drink and couldn't drive home. If her friend's car had been an automatic, there wouldn't have been a problem -- but it had a manual transmission.

Luckily, Waterhouse had driven a tractor before, giving her some familiarity with stick-shift driving. She wrestled the car into second gear and managed to drive them home.

Now a mother of three girls, Waterhouse and her husband have already taught two of their daughters to "drive stick."

"You never know when you're going to need the skill," she said.

The ability to drive a car with a manual transmission has long been considered an essential skill, especially for young drivers. Yet decades after Waterhouse's impromptu introduction to stick shifts, changes in the makeup of the automobile and American consumer habits mean mastering the manual may no longer be a practical necessity.

Downshifting: Thinning of manual herd

In the earliest days of the automobile industry, cars came with only one type of transmission: the manual.

After General Motors released the first automatic transmission -- the 1940 Oldsmobile Hydra-Matic -- automobile manufacturers swiftly moved away from manuals. By 1957, 82.7% of American-made cars were equipped with automatic transmissions, according to "Ward's 1958 Automotive Yearbook."

Though manuals have accounted for about 4% of American car sales in recent years, experts were surprised to see the percentage jump almost 3% in the first quarter of 2012, according to a report by Edmunds.com.

The percentages may seem small, but with nearly 12.8 million cars sold in the U.S. last year, those sales add up to more than a half million manuals.

Some manufacturers have inferred that the 6.98% "take rate," or percentage of total cars bought, signifies a manual comeback in the consumer market.

Despite earlier worry about appealing to millennials, Cristi Landry, Chevrolet's small car marketing manager, said General Motors believes there's a future for manuals in the U.S. consumer market. The company has gone so far as to create mechanisms meant to make manuals more appealing to drive, like the rollback-ready Hill Start Assist feature.

Upshifting: comeback or blip?

Chris Terry, a product communications representative for Ford Motors, said that while he's not so sure manuals are making a comeback with average consumers, he believes some people will always want them.

"Most people are just interested in getting from A to B," Terry said.

People who purchase manuals, Terry said, either love the act of driving or are enticed by manuals' historically lower price tag. (Some small cars like the Chevrolet Sonic, however, are more expensive as manuals.)

"Manual transmissions are considered common novelty. In the rest of the world, it just isn't so," Terry said.

If automatics become cheaper in other countries, this may change, he said.

Despite the uptick in manual take rates, not everyone is convinced manuals are making a comeback.

"The U.S. market has been moving away from manuals over the past couple of decades," said Steve Yaeger, Nissan's technology and motorsports communications manager. "We do not see a change in that trend in the foreseeable future."

Nissan, which only offered manual transmissions in 10 of its 19 models in 2011, had an overall manual take rate of 2.1% last year. Just over half of manual sales came from two cars -- the Z Coupe and the Frontier pickup truck.

"It might look like there's a stick-shift revival under way in 2012, but we're not so sure," Edmunds.com Features Editor Carroll Lachnit said. "Fewer manual transmission cars on the road will mean, eventually, that there will be fewer parents or friends who know how to drive them, and so fewer teachers for the next generation."

Pumping the brakes on hype

Manuals, when driven correctly, have traditionally been more fuel efficient than other transmission types, but new transmissions and improvements to automatics have rendered this moot in some models. The automatic Ford Focus gets slightly better gas mileage than its manual counterpart; moreover, new options like continuously variable, dual-clutch and semi-automatic transmissions with paddle shifters, while expensive, can make up for their price tag with fuel efficiency.

"Almost all the high-mpg cars you see advertised on TV, whether they're hybrids or a Chevy Cruze, get their best mileage with one of these other types of transmissions," Cars.com Managing Editor David Thomas said.

It's important to remember that gas prices, while high, have been high for the past few years -- and manual take rates haven't skyrocketed in that period of time.

Where are manuals' advantages?

For some consumers with children, technological advancements in other transmissions are outshined by perceived experiential benefits of the manual.

Margaret Menotti, an account manager in Boston, is wary of teaching new drivers in automatic cars.

"We made both of our children learn to drive on a stick," Menotti said. "And it's still the only thing they drive."

Menotti said the prevalence of manuals overseas was a major factor in her decision.

"It takes time and practice, but it's worth it," said Christina Menotti, Margaret's daughter. "Once it clicks you don't even think about it."

Many parents also falsely believe that having their children drive manuals will keep them safer because it's more difficult to text or talk on the phone while driving. But neither is impossible, and you can't control other drivers on the road.

Multiple federal and state transportation agencies stated accident logs do not differentiate between transmission types.

Lessons from the brains of driving instructors

While there remain parents who want their kids to drive stick, most driving schools consider such requests anomalous, Lachnit of Edmunds.com said.

"Chances are at some point they are going to be exposed to a car with a standard manual transmission," added Robert Lindsay of The Driver Training Group, a driving school based in Washington state. "Depending on where the teen lives and the types of cars they are allotted to drive, it is relevant and necessary for some and not others. Our teens tell us unless there is a direct need, they can learn later in life."

Lindsay said no more than 15% of his school's students come from families owning manuals and that fewer students actually drive them. Overall, the school gets only about two or three manual training requests a month.

"I think the old school thought is, 'I learned on a stick back in the day, so my kid should,'" Lindsay said, "but that doesn't mean it's right. Those that are into cars are much more likely to want to learn."

His school starts all of its students in cars with automatic transmissions if they do not request otherwise, and does not keep a manual car in its fleet, he said.

Ken Stout, president of DriveTeam Inc. in Independence, Ohio, recently purchased a six-speed manual Mini Cooper for his fleet after finding out some students wanted to learn to drive it.

"I don't know how many of (the students) just want to drive a Mini Cooper and how many of them actually want to learn to drive manual as a life skill, though," Stout said.

Drive Team's manual student population has held steady at 15% for the last five years, and parents usually are the ones who ask for their children to learn manual rather than the children themselves, Stout said.

Still, Lindsay and Stout concur with those who think learning manuals can make a student a better driver than those who simply drive automatics. Stout added that the desire has to be there.

"It's wonderful for them to learn it," Stout said, "but you have to want that. You have to want to play golf to go take a golf lesson."

He's not so sure that matters to all parents, as some seem disinclined to make their children the independent drivers they should be.

"I've got parents asking me why we teach their kids to parallel park when the car does it for you," he said.

Do you teach your kids how to drive a stick shift or do you think it's unnecessary? Let us know in the comments below.

@highlight

Long considered an essential skill in America, driving stick might be endangered

@highlight

2012 uptick in sales led some to say manuals making a comeback; experts aren't sure

@highlight

Manuals aren't always less expensive, more efficient, or safer to drive than automatics

@highlight

Driving a manual may make you a better driver, or at least teach you something about cars