(CNN) -- Throughout this primary election season, as tea party candidates in Kentucky, Georgia, Texas and elsewhere faltered, a media narrative started taking shape that the Republican establishment was taking back control of the party.

Then, stunningly, House Majority Leader Eric Cantor lost Tuesday night.

Some will insist that this historic upset was simply a fluke. But the reality is that the "Establishment Strikes Back" storyline has been wrong all along. The tea party has in fact been on a roll ever since it burst on the scene. Its success needs to be properly understood -- then emulated by its foes in both parties.

The tea party is resilient partly because for many in the movement, winning is not primarily about election results. Even when it loses primaries, it wins -- by forcing the winners so far to the right that they would be unrecognizable by establishment Republicans of a generation ago. And when tea party candidates win primaries outright, as David Brat did Tuesday night in Virginia, they of course directly push their party rightward.

When it comes to actual policymaking and governing, the same dynamic applies. In cases where the tea party didn't get what it wanted, as in the debt and default crisis, it still succeeded in redefining the frame of the possible. In the House it can always veto proposals such as immigration reform that have cleared the Senate.

In short: The tea party wins when it loses and wins when it wins.

This is a pretty good setup. And it's not an accident. I disagree profoundly with the tea party's policy agenda. Yet I also have come to see that nobody is better at democracy today than the tea party.

Cantor's electoral autopsy will surely describe how Brat's campaign, out-funded and out-endorsed, was never out-organized. Tea partyers win elections by old-fashioned person-to-person proselytizing, plenty of new-media mobilizing and a fair amount of time-tested fear-mongering. They create a sense of urgency, and they convert that urgency into turnout. After the election, they continue to meet, rally and apply effective pressure on elected officials.

Yes, it's not all grass roots, and pools of big money and the power of Fox News have much to do with tea party clout. But when you spend time with activists, you come to appreciate that there is no secret playbook at work. At the core is a network of citizens who've decided to deploy the full range of tools available. They show up. They work the phones. They work the media. They elect people. They un-elect people.

That full-range deployment has given a minority of the nation's minority party truly outsize voice in American politics. Consider immigration. Just Tuesday morning came reports of a new poll showing majorities in both parties supporting a pathway to citizenship for undocumented immigrants. By nightfall, with Brat's uncompromising stance against such a pathway, the new conventional wisdom was that immigration reform is now dead.

Never mind that Lindsey Graham, who shaped the Senate immigration bill that included a pathway to citizenship, handily defeated his primary challengers. Never mind that anything's possible in a lame-duck session with a House leadership in flux. Now many in the Beltway will simply say immigration is untouchable because the tea party wants it that way and if the tea party can beat Cantor it can beat anyone.

Cantor 'earthquake' rattles Capitol Hill

You can decry the tea party's ability to create such self-fulfilling perceptions, but you cannot dismiss it. In fact, activists along every other point of the political spectrum should study the tea party more closely and learn just how it endows relatively small blocs of voters with the force of much larger blocs.

What if the progressive left, centrist Democrats and moderate Republicans all organized and mobilized their people as effectively as the tea party has? What if citizens of every stripe, even without access to big campaign cash, learned to activate people power? What if leaders of all leanings thought harder about how to wake up their base and get them actually to vote? It may be harder to do that in the middle than on the extremes, but it's not impossible.

The political scientist E.E. Schattschneider once wrote, "All that is necessary to produce the most painless revolution in history, the first revolution ever legalized and legitimatized in advance, is to have a sufficient number of people do something not much more difficult than to walk across the street on election day."

As Cantor can now attest, the activists of the tea party understand this. They count votes and make votes count. Want to join them? Learn from them. Want to beat them? Learn from them. Either way, it's how we'll make a new democracy.

@highlight

Eric Liu: GOP establishment seemed to be reasserting itself, then Eric Cantor loses

@highlight

Liu says tea party wins even when it loses, forcing GOP candidates further to the right

@highlight

Liu: Tea party uses every strategy to give a minority of the minority party outsize clout

@highlight

Nobody better at democracy, and other groups can learn from tea party, he says