(CNN) -- "Lose weight" is one of the top New Year's resolutions every year. You've probably made it once or twice yourself, and we commend you for accomplishing such an ambitious goal.

Oh, you didn't?

Don't worry, the majority of your fellow resolutioners didn't either.

"Do you know the meaning of 'resolution'?" asked Dr. Caroline Cederquist, medical director for bistroMD and the Cederquist Medical Wellness Center. "It's 'solution,' meaning you are solving a problem, with the prefix 're,' which usually means again. ... We strive to solve a problem again and again and again.

"They tend to become empty promises to ourselves."

The good news is that losing weight isn't the only path to well-being in 2014. If there's one thing we've learned at CNN Health, it's that a lot of factors affect your health, from where you live to how much TV you watch.

"Good health happens when the physical, emotional and social or environmental parts of our lives are in balance," said Dr. Amy Crawford-Faucher, a family physician at the University of Pittsburgh Medical Center. "When people resolve to 'lose weight,' they are actually saying, 'I want to feel and look better.' "

So this year, we challenge you to make a new kind of New Year's resolution. We asked a few of our favorite experts for recommendations, and their answers may surprise you.

Pick one, or several, from the list below. Then make a deal with yourself: This year, "lose weight" isn't going to be your main goal, just a nice side benefit to being happy and healthy.

Get some fresh air

Simply being in nature can have a big effect on an overloaded mind, says Jennifer Beaton, vice president for fitness with the Bay Club Company in San Francisco.

When the body's sympathetic nervous system mobilizes our fight-or-flight response, it can't tell the difference between stress caused by a bear attack and stress caused by a meeting with the boss.

In other words, it's always on. "Though we might not feel it directly, our bodies do," Beaton said.

Find a place in nature that speaks to you, whether it's a spot in your backyard or a bench at a local park. Visit there regularly, even if it's only for a short time.

Then make an effort to get some fresh air every day. Park your car a little farther from the door in parking lots, take a quick walk around your office building at lunch, or wake up 15 minutes earlier and jog around your neighborhood, suggests Dr. Rebecca Cipriano, co-founder of Healthy Woman USA.

You'll be surprised by how much you missed the great outdoors.

Step away from the screen

As shiny as that new device you got for Christmas is, once in a while, you need to put it down.

Research shows children who spend too much time in front of screens -- computers, TV, video games -- are at a greater risk for obesity, have a harder time falling and staying asleep, don't focus well and experience more anxiety and depression. Who's to say adults are any different?

"My 9-year-old daughter loves when I paint with her, so I make sure to turn off the cell phone and step away from all things work, and just enjoy the moment," Cipriano said. "Turn the TV off, leave the tablet out of your bedroom, and pick up a good book."

Sleep more

If you want a major life overhaul without much effort, getting more shut-eye is the way to go. Sleeping helps you burn fat, decreases stress, improves your immune system and boosts your mood and mental clarity, says Jae Berman, a registered dietician and personal trainer with the Bay Club Company.

"Slowly change your routine to add 15 minutes a night until you get to eight hours," she said.

Add something

Instead of subtracting soda, sugar or fat from your diet, make a resolution to add something, suggests Crawford-Faucher. Add a serving of vegetables to every meal. Add protein to your snacks. Add two glasses of water to your daily routine. You'll find over time that these additions will leave no room for unhealthy habits.

The same resolution can be used for other areas of your life, too. Add 15 minutes of meditation to your bedtime routine or 15 minutes of classical music to your commute to help you destress. Add some organization time to your daily schedule. Add a book on financial planning to your reading list.

Get the point? Good, add this one to your New Year's resolutions.

Stop multitasking

If there's one word that sums up health advice in 2013, it's mindfulness: a "state of active, open attention on the present," according to Psychology Today.

"We teach our guests to be mindful around their eating," said registered dietician Kimberly Gomer of the Pritikin Longevity Center + Spa. "What does this mean? It means not eating in front of the TV, while on the computer, checking e-mails on the phone or iPad, eating while driving in the car. ... The list goes on and on."

Research shows that people who practice mindfulness weigh less, stress less and smile more. And those who try to multitask do it badly. So make an effort to be present this year.

Take time to breathe

When was the last time you inhaled deeply, feeling your ribcage lift and your chest expand?

Most people take only shallow breaths throughout the day. This limits the oxygen circulating throughout the body, leading to increased anxiety and higher blood pressure, according to Harvard's Family Health Guide.

"When a thought comes to your mind, acknowledge it and let it go," Berman recommended. "Count your breaths until you get to 10 breaths and then start back at 1."

Try something new

Try a yoga class or a Spin class. If you don't enjoy that, try Pilates or Zumba. Go ice skating, snow tubing or skiing, says Deborah Levy, a health and nutrition consultant for Carrington Co., LLC. Want to eat better? Take a healthy cooking class.

If you enjoy something, you're more likely to do it again. And meeting people who share your passion will help incorporate those healthy habits into your social life.

"The goal is to rediscover yourself," Levy said. "Find those things that bring a smile to your face and good health to your body, and your New Year's resolution will become a way of life."

Be better

No one is perfect. But what if every day, you made a pact with yourself to be a little bit better?

Today at lunch, instead of chips, you could buy an apple. Instead of watching TV to relax after work, you could do 15 minutes of yoga. Today, you'll take the kids to the park instead of handing them a video game controller. Not all at once but one thing every day.

"How can you truly treat yourself and your loved ones better? That should be the start of your New Year's resolution," said Paula Procida, a personal trainer at CLAY Health Club + Spa. "The good habits will follow."

Choose a theme

If we were giving prizes for the most innovative New Year's resolution, trainer Shay Kostabi would take home the gold.

Every year, Kostabi picks a theme as her New Year's resolution. In 2011, it was "authenticity." In 2012, it was "clarity." Next year, her theme will be "Maitri," a Sanskrit word that means gentle, loving kindness toward oneself.

"Choosing just one word that describes how you want to feel instead of what you think you should do or accomplish in the New Year is really powerful," Kostabi said. "Once you've chosen your theme or your one word, say it out loud, write it down and make sure you really connect to it on a personal level."

"Throughout the year, your theme will guide you in aligning actions, behavior, goal-setting and even how to make the best use of your free time."

@highlight

Losing weight, although a popular resolution, isn't the only path to well-being in 2014

@highlight

Make a New Year's resolution to go outside daily or try one new thing every week

@highlight

Instead of subtracting things from your diet, add healthy options to every meal