San Francisco (CNN) -- The MacBook Pro, with a shiny new high-definition screen, may have been the sexiest star of Apple's keynote address at its Worldwide Developers Conference on Monday.

But updates to its mobile operating system may make the biggest impact on users in the months, and years, to come. And they both clearly target Google, Apple's fellow tech titan and, increasingly, its key rival.

A brand new map system, complete with 3-D imaging and voice-assisted, turn-by-turn navigation is clearly Apple's effort to keep iPhone and iPad users home instead of clicking on what had been the system's go-to app, Google Maps.

And an upgrade to Siri looks to turn the iPhone 4S's feature from a novelty with a few useful applications into the full-fledged "digital assistant" the company promises, with voice-activated search being a key component.

Some might view these changes as continuing the late Steve Jobs' feud with Google over what he felt was that company's theft of iPhone features for its mobile Android system. "I'm willing to go to thermonuclear war on this," Jobs told his biographer, Walter Isaacson, after suing Google in 2010.

At least one expert on Monday saw Apple's latest moves as a strategic way to limit Google's mobile growth.

"We believe the biggest takeaway is that Apple is strengthening not only the interaction within its own ecosystem, but also creating a consortium of powerful web partners to offer an experience that largely falls outside of Google's walls," said Gene Munster, an industry analyst with Piper Jaffray. "We believe Apple will continue to add content partners for Siri to marginalize Google's presence on the iPhone."

Even enhanced Facebook integration (it's cooked right in to iOS 6, making sharing to the site seamless), can be seen as a jab at Google's efforts to gain a foothold in the social media world with Google+.

But it was Maps which may have marked the most direct anti-Google move. Google has been providing mapping information to Apple since the iPhone launched in 2007.

"In iOS 6, we have built an entire new mapping system from the ground up; and it looks beautiful," Scott Forstall, Apple's vice president in charge of the mobile system, said Monday. "This is a worldwide effort. We're covering the world."

There was turn-by-turn navigation, with voice assistance delivered in the same voice that iPhone 4 users know as Siri. And then there were the stylistic flourishes Apple has made its trademark, like "Flyover," images recorded from planes and helicopters that give the user a panoramic look at their location from just about any angle.

Google didn't have much to say Monday, handing out a brief, basic statement.

"We've been working on maps for years, in fact just announced some exciting new developments for Google Maps and Google Earth last week and are looking forward to continuing to build the perfect map for our users in the months and years ahead," a spokesperson said.

Google clearly saw at least that part of the broadside coming. In anticipation of the Apple announcement, Google announced a set of improvements last week to Google Maps in what it called part of "the never-ending quest for the perfect map."

Significantly, 3-D modeling, one of the features touted by Apple on Monday, was among the upgrades. And the "never-ending quest" bit highlights one of Google's perceived advantages here.

And Google has, in fact, been working on mapping the world since Maps was introduced in 2004. Duplicating those efforts with an essentially new product will be a tall order for Apple, and if it doesn't work smoothly from the outset, users will find it easy to migrate back.

Another, more subtle swipe at a Google stronghold, came voiced by Siri. The iPhone voice assistant, which will soon be available for the new iPad, has been fun for the past eight months. But now, Apple wants to make her more useful.

She's learned how to give you sports scores. And movie times. And restaurant recommendations. You know ... the sort of things you now Google.

The iOS update is scheduled to roll out this fall (which, not coincidentally, is around the time analysts expect a new iPhone to be introduced). That's plenty of time for Apple to build buzz around the new features. But it's also plenty of time for Google to roll out something new of its own.

The company hasn't been shy about encroaching on what Apple considered its own turf. The relative success of Google's Android operating system, which is now on more phones than Apple's iOS, hasn't shown any signs of slowing down.

All of which means tech consumers might be able to just sit back and reap the benefits.

@highlight

Apple hopes new map system keeps users away from Google Maps

@highlight

New Facebook integration with iOS 6 is a jab at Google+

@highlight

Siri upgrade seeks to change feature from novelty to digital assistant

@highlight

The iOS update is scheduled to roll out this fall