(CNN) -- As the boat slowly approaches the quiet shores of Bunce Island, it's hard to shake off the eerie feeling of being transported back into one of history's darkest chapters.

Located some 30 kilometers from Freetown, this tiny strip of land in the Sierra Leone river served as a major post for the transatlantic slave trade in the 18th century.

For tens of thousands of Africans, this was the place where their life in the continent ended -- men, women and children were kidnapped and brought to the island's fort to be traded and eventually put on slave ships bound for the Americas.

"The African-American story is very much here," says Joseph Opala, director of the Bunce Island Coalition, a group of historians and archaeologists working together to turn the island into a national landmark that can be appreciated for its historical value.

Upon arriving in the American colonies, West African slaves were forced to work in rice paddies, cotton fields and indigo plantations along the South Carolina-Georgia seaboard where the moist climate and fertile land were very similar to their African homelands.

Read this: African slave traditions live on in U.S.

"There are 40 big castles like this along the West African coast, but this is the only one that sent appreciable numbers of captives to what is now the U.S.," says Opala.

'The place where history sleeps'

Stepping onto the uninhabited island, you quickly realize that this is a place forgotten by time, its ancient structures gradually decayed by the two centuries of tropical rain seeping down.

Unlike other slaving trading posts, nothing was ever built on the island after its abandonment in the mid-1800s. Its crumbling ruins, blanketed by overgrown weeds and ivy roots, remain relatively untouched to this day, serving as a reminder of the island's dark past.

"One Sierra Leonean years ago used to refer to Bunce Island as the place where history sleeps," says Opala. "And there's no better description of it -- it's a kind of slave trade ghost town."

Read this: Tracing the slaves who shaped America

Opala says that to this day, many people in Sierra Leone are not aware of Bunce Island's grim place in history. He says that the island receives just a small number of people each year, mainly foreign visitors or expatriates.

"For tourists, it means renting a boat for 500, 600, $700, or there are tourist services oriented toward tourists that will take you for $60-70," says Opala. "But for local people, it's absolutely not affordable. But at the same time, there's not a lot of local interest yet in going there because people still don't know much about it."

To change that, and remind both tourists and locals about its importance, the Bunce Island Coalition has launched a $5 million project to conserve what's left of the island. The group also wants to build a museum in Freetown as part of efforts to shed light on the island's dark past.

"There's an awakening now out here by the political elite and many ordinary citizens that this place is not just important for history," says Opala.

"But it also can serve as a source of revenue for the country, and can strengthen the links between African-Americans and Sierra Leoneans which may in the end be the most important outcome of this, because that can last forever."

Check out the Bunce Island gallery above. Images by Matthew Oldfield -- Matthew Oldfield Photography.

@highlight

Bunce Island was a British slave trading post in the 18th century

@highlight

From its shores, tens of thousands of Africans were put on slave ships to Americas

@highlight

Abandoned in the 19th century, it's one of the most authentic slave trading facilities still in existence

@highlight

One group is working to conserve the island's crumbling ruins