(CNN) -- In the four weeks since his daughter cut her leg in the Tallapoosa River, Andy Copeland has experienced several low points. But nothing was as desperate as a moment in the surgical waiting room on May 4.

A doctor called from the operating room at Tanner Medical Center in Carrollton, Georgia, where his daughter was having surgery.

"When your daughter arrived, I was trying to save her leg," the doctor said. "Now I'm trying to save her life.'"

Copeland felt his legs turn to rubber. His head went light. A hospital volunteer put a chair beneath him that caught him from falling. His wife, Donna, came into the room, and Andy repeated what the surgeon had told him.

"We cried and cried in each other's arms," Copeland recalled. "We sobbed uncontrollably for 10 minutes. Then the chaplain came in and I grabbed his hand and I said, 'Let's pray.' "

The prayer gave them great comfort, but the couple believes prayer has done even more. They believe faith in God has healed their daughter, and they cite her medical progress as proof.

'Aimee Day' milestone arrives for Georgia woman fighting flesh-eating bacteria

On May 1, Aimee Copeland cut her left calf when the zip line she was holding snapped near the Little Tallapoosa River. The cut allowed a flesh-eating bacteria to infect her blood stream. Days later, doctors determined she had necrotizing fasciitis caused by the flesh-devouring bacteria Aeromonas hydrophila.

Aimee was in multiple organ failure. A respirator had to breathe for her. Her kidneys didn't work and she was on full-time dialysis. Her heart barely beat -- her ejection fraction, a measure of the heart's ability to pump blood, was 10%, when the normal rate is 55-75%.

On May 8, a cardiopulmonologist told her parents that Aimee's chances of survival were "slim to none." The next day, they were told Aimee might not survive the night.

Now, Aimee's lungs breathe on their own. Her heart is "strong and normal," according to her father. While she's still on dialysis, she's strong enough to sit up for hours at a time. Once unconscious, she can now mouth words and even make jokes. Sunday, she spoke again for the first time, Copeland wrote.

Surviving flesh-eating bacteria

"The words I hear from the medical professionals to describe Aimee's continued recovery are 'astonishing, incredible, confounding, mind boggling, and unbelievable,' " Copeland wrote on Aimee's Facebook page on May 12. "My favorite word is miracle."

'God has worked miracles'

Many studies have shown that people who have spiritual or religious lives are healthier than people who do not. For example, a Brazilian study published last year in the journal Explore, examined 28 other studies, found that religious and spiritual people had an 18% lower mortality rate, which represented an 18% reduction in mortality over the course of the study.

"The results suggest that spirituality and religiosity play a considerable role in mortality rate reductions, comparable to fruit and vegetable consumption and statin therapy," the authors wrote.

Not all studies have shown such dramatic results, and spirituality is not a guarantee of good health.

"There are plenty of religious people who die young and plenty of atheists who live to 103," said Dr. Andrew Newberg, director of research at the Myrna Brind Center of Integrative Medicine at Thomas Jefferson University.

For some people of faith, the explanation for these findings is simple: God is healing the sick.

"God has worked miracles in Aimee's life," her father said.

But experts who study faith and healing have different explanations for better health outcomes among the religious. For example, churchgoers might be healthier because they have the social support of their fellow congregants, who can help them when they're sick.

Another theory has to do with stress reduction. Increased levels of stress hormones, such as cortisol, hurt the body's immune system.

"If somebody is anxious and upset and stressed, they're just not going to heal as quickly," said Dr. Harold Koenig, director of the Center for Spirituality, Theology and Health at Duke University.

'I am joyous'

Reporters who've interviewed Andy Copeland have remarked on how upbeat he sounds, considering that his daughter is in critical condition and doctors predict she won't be out of the intensive care unit for another three or four weeks.

"Her life is still on the line," Copeland said. "But I am joyous."

That's different, he said, than being happy. He's not happy about what his daughter has had to endure -- organ failure, an amputation of her left leg, right foot and both her hands -- but he said God's love has filled him with joy and inner peace.

"I just feel confident she's going to be fine. I can't really explain it. Maybe there's something wrong with me. Maybe I need a psychologist to examine me," he said. "But I don't think so."

Copeland, a financial adviser with Edward Jones who attends the First Baptist Church in Snellville, Georgia, said part of his faith means being positive and not dwelling on the past. He does not wonder what might have been if Aimee hadn't gone on that zip line on the Tallapoosa River and cut her leg, allowing bacteria in the water to infect her bloodstream.

"Driving down the road looking through your rear view mirror is going to get you killed," he said. "You have to be calm and collected and live in the moment."

That kind of attitude -- with or without faith in a higher power -- will go a long way toward healing, experts say.

"Stewing and ruminating on doubts can consume what resources one does have on unproductive things," said Doug Oman, an associate adjunct professor at the School of Public Health at the University of California, Berkeley, and an expert on health and spirituality.

'Do not be anxious about anything'

When things get tough -- such as this past Wednesday when Aimee was weakened from surgery -- Copeland sits in her hospital room, reading Bible verses online on his cell phone or laptop.

"I really need a pocket Bible," he laughed.

He has his go-to verses, such as Philippians 4:6: "Do not be anxious about anything, but in every situation, by prayer and petition, with thanksgiving, present your requests to God."

One of Aimee's favorite Bible verses is from 1 Corinthians. "Love is patient, love is kind," it reads. "It always protects, always trusts, always hopes, always perseveres. Love never fails."

The Copelands hope Aimee's strength inspires others. Before her accident, she hoped to get a masters degree in psychology and do wilderness therapy to help people with physical and mental problems.

"As a wilderness therapist she could impact maybe a thousand people," her father said. "Now she can help millions."

CNN's William Hudson contributed to this report.

@highlight

Parents of Aimee Copeland have coped with uncertainties of daughter's illness

@highlight

They believe prayer has had benefits in Aimee's recovery

@highlight

Father said the most important thing is to look forward, rather than back