(CNN) -- A potentially deadly disease that can maim the brain has befallen two prestigious American institutions that educate the mind.

With federal health authorities' permission, Princeton University is distributing a drug not approved in the United States to fight a campus outbreak of a rare strain of meningitis.

As of Thursday, 5,268 people had received the vaccine at the Ivy League school, representing 91% of those who were eligible to receive it. Princeton has about 5,000 undergraduate students.

California health officials are considering following suit. If they and the Centers for Disease Control and Prevention approve, the same vaccine could be offered at University of California, Santa Barbara, where four students came down with meningococcal disease type B, the same strain that caused the Princeton outbreak.

An assessment is ongoing about the effectiveness and potential risks of the vaccine, Santa Barbara County Public Health Department spokeswoman Susan Klein-Rothschild said in an e-mail Friday. Part of that effort will determine which UCSB students would be considered high-risk and would be the best target for the vaccine, she said.

Meningitis is an infection of the protective tissue called the meninges that surrounds the brain and spinal cord. Meningococcal disease can cause meningitis or other illnesses such as bloodstream infections.

All four of the students infected at UCSB got meningococcal disease, although not all four cases are meningitis. Two students have recovered, and another is expected to soon, but the fourth has suffered serious complications.

Other germs like fungus and viruses can also lead to meningitis, but they are milder or harder to catch. The bacterial type is contagious and very dangerous.

"It's the bacterial meningitis branch that packs the most powerful punch. Its bacterial swarm can cause brain damage, hearing loss, or learning disabilities," according to the CDC.

There is no FDA-approved vaccine to fight the type B bacterial strain, so one had to be imported for Princeton.

The CDC is communicating with local and state officials about the UCSB situation and is the "lead on the vaccine issue," Klein-Rothschild said.

It starts with a 'cold'

Meningococcal disease starts out like a bad chest cold, but it can spread via phlegm to the meninges.

Patients with the condition can fully recover, but UCSB student Aaron Loy has not been so fortunate.

If things go bad, meningococcal disease can bring on a stiff neck, headaches, fever, delirium and vomiting, and can result in permanent neurological damage. The disease can also get into the bloodstream and attack extremities, and can result in death.

Doctors may have to amputate a limb while fighting the disease, the CDC said.

They had to remove Loy's lower legs.

Loy had been doing well in school, developing strong friendships and competing for a starting position on the lacrosse team, said his father, Mike Loy.

"It's absolutely devastating to have Aaron, in the prime of his life, be stricken" with the disease, Mike Loy said. "We hope that Aaron's horrific illness brings increased awareness and rapid approval by the FDA of the vaccine" for the type B strain.

Aaron Loy is also an avid soccer player. The charity HelpHOPELive is taking donations to help him meet medical expenses, including prosthetic legs and physical therapy.

Target: young, healthy groups

The viral and fungal types attack mostly infants and the elderly, but the bacteria like young, healthy adults who live in close quarters -- places where they sneeze and cough on each other, forget to wash their belongings and hands, or share a glass or a kiss, the CDC said.

Students in dorm rooms make perfect targets.

UCSB spokesman George Foulsham said on December 3 that the school is sending a letter to its fraternities and sororities, most of which are based off campus, asking them to refrain from large social gatherings where cups might be exchanged.

"We're almost certain that they'll go along with that as we head into the holiday period here," he said.

Luckily, bacterial meningitis is not commonplace.

There were only 480 cases of it last year in the United States. The chances of dying go down to 15% if someone who is infected takes vaccines and antibiotics, the CDC said.

The vaccine

The CDC recommends that college freshmen living in dorms receive a meningitis vaccine, but the vaccine approved for use in the United States does not protect against the kind caused by type B bacteria.

Swiss pharmaceutical company Novartis makes an inoculation called Bexsero, which is approved in Europe and Australia but is pending FDA approval.

More than 1,000 students at UCSB have received preventive antibiotics as of December 9, but those at Princeton are already getting the vaccine. The university is offering the shot to about 5,800 people -- mainly students in dorms and similar living quarters, but also some others in the community with certain medical conditions.

Health officials are not making any additional exceptions for the use of the Swiss vaccine in the United States.

Anything that weakens resistance to disease -- such as age, diabetes, an AIDS infection or drugs that suppress the immune system -- make people more susceptible to meningococcal disease, the Mayo Clinic said.

That includes excessive use of alcohol, another reason to put off campus bashes until the bacterial scourge is eliminated.

CNN's Chuck Johnston and Paul Vercammen contributed to this report.

@highlight

Bacterial meningitis can cause brain damage, deafness and lead to amputations

@highlight

One Santa Barbara student lost his lower legs to the disease

@highlight

It starts out as a respiratory infection but can progress to tissue around the brain

@highlight

Vaccines and antibiotics reduce the risk and help prevent the infection from killing the patient