Hours before the top diplomats from his nation and the United States begin a high-stakes meeting, Russian President Vladimir Putin took to The New York Times to argue against military intervention in Syria and jab his U.S. counterpart.

Using an op-ed "to speak directly to the American people and their political leaders ... at a time of insufficient communication between our societies," Putin made a case much like U.S. President Barack Obama did Tuesday night -- although their arguments could hardly have been more different.

Striking Syria would have many negative ramifications, Putin argued in a piece that went online Wednesday night, including the killing of innocent people, spreading violence around the Middle East, clouding diplomatic efforts to address Iran's nuclear crisis and resolve the Israeli-Palestinian conflict and "unleash(ing) a new wave of terrorism."

Moreover, the Russian leader said such action without the U.N. Security Council's approval "would constitute an act of aggression."

"It could throw the entire system of international law and order out of balance," Putin said.

Contrast this to Obama's assertion that failing to act in Syria opens the door to more chemical weapons attacks in Syria and in other nations -- as well as among terrorist groups -- by giving the impression that the international community won't act in the face of blatant violations on bans of their use.

And whereas the U.S. president blamed the August 21 sarin gas attack that U.S. officials estimate killed 1,400 people squarely on Syrian President Bashar al-Assad, Putin wrote "there is every reason to believe it was used not by the Syrian army, but by opposition forces to provoke intervention by their powerful foreign patrons, who would be siding with the fundamentalists."

Calling Syria's ongoing civil war an "internal conflict, fueled by foreign weapons supplied to the opposition," Putin cautioned against siding with an opposition in Syria he says includes "more than enough (al) Qaeda fighters and extremists of all stripes." (He did not mention the fact Russia has long supplied arms to Syria's government, or that U.S. officials have said they are funneling aid only to members of what they call the "moderate opposition.")

The Russian president ended his op-ed -- just after mentioning a "growing trust" between him and his U.S. counterpart -- with a swipe at a remark Obama made Tuesday contending that "with modest effort and risk, we can stop children from being gassed to death and thereby make our own children safer over the long run."

"I believe we should act," Obama said then. "That's what makes America different. That's what makes us exceptional. With humility, but with resolve, let us never lose sight of that essential truth."

Putin challenged the statement, saying, "It is extremely dangerous to encourage people to see themselves as exceptional, whatever the motivation."

"We are all different," the Russian leader concluded, "but when we ask for the Lord's blessings, we must not forget that God created us equal."

Reacting to that remark and Putin's op-ed generally, a senior White House official said Wednesday night "that's all irrelevant."

"He's fully invested in Syria's (chemical weapons) disarmament and that's potentially better than a military strike, which would deter and degrade but wouldn't get rid of all the chemical weapons," the official said.

"(Putin) now owns this," the official added of the Russian plan to have Syria's leadership give up its chemical weapons. "He has fully asserted ownership of it, and he needs to deliver."

All eyes turn to U.S.-Russia talks in Geneva

Putin's piece went online around the time U.S. Secretary of State John Kerry headed to Geneva, Switzerland, to meet with Russian Foreign Minister Sergey Lavrov.

Their two days of talks will revolve around a Moscow proposal to avert a U.S.-led strike in Syria by having the Syrian government put its chemical weapons stockpile under international control.

In his speech Tuesday, Obama said he was willing to test the seriousness and feasibility of the initiative before resuming his push for congressional authorization for military action, which at the moment appears unlikely to succeed.

Kerry is taking the lead in dealing with the Russians. That includes regular conversations with Lavrov, including Wednesday when the two talked by phone about "their shared objective of  having a substantive discussion about the mechanics of identifying, verifying and ultimately destroying Assad's chemical weapons," said a senior State Department official.

"It's too early to tell whether this offer will succeed, and any agreement must verify that the Assad regime keeps its commitments," Obama said in his prime-time address to a war-weary public skeptical of another military venture in the Middle East.

"But this initiative has the potential to remove the threat of chemical weapons without the use of force, particularly because Russia is one of Assad's strongest allies."

Russian officials have submitted a plan to the United States, Russia's Itar-Tass news agency reported Wednesday, citing a Russian diplomatic source.

Yet White House spokesman Jay Carney said that while conversations have taken place, he was unaware of a full, formal proposal.

"I think we're not at the stage of putting down public pieces of paper," he said.

Vladimir Chizhov, Russia's emissary to the European Union, said the plan calls for Syria's chemical weapons to be placed under international supervision -- inside that country initially, at least.

"The ultimate aim is to have these weapons destroyed," Chizhov told CNN's Christiane Amanpour.

He acknowledged the task of gaining control of the weapons and destroying them with a civil war raging in Syria won't be easy, voicing worries about what rebel fighters might do.

Separately, the United States, France, and Britain discussed a U.N. Security Council draft resolution, according to a spokesman for British Prime Minister David Cameron.

How long will window be open?

Ambassadors from the U.N. Security Council's five permanent members -- the United States, Russia, China, Britain and France -- met the same day for less than an hour, a diplomat with knowledge of the meeting said.

While the focus now is on Switzerland, U.N. headquarters in New York is expected to become the focal point early next week when U.N. chemical weapons inspectors deliver their report to the Security Council -- as early as Monday or Tuesday, sources say -- on the August 21 attack in Syria.

In Washington, the debate about what the United States should do in Syria is not over.  While Obama has said he wants to give the diplomatic process a chance, he hasn't said how long he'll wait before possibly pushing again for military action.

After his meeting earlier this week with Senate Democrats, Sen. Dick Durbin said the president asked lawmakers "for some time to work things out -- a matter of days into next week." Another Senate Democrat, though, said it could take weeks to determine if diplomatic efforts will pan out.

Members of Congress will watch Kerry's trip closely for a sense of Obama's next move after weeks of beating the drum for military action against Syria.

"If diplomacy fails, he's painted himself into a corner," Sen. Lindsey Graham said after Obama's speech. "The leader of the free world can't say all these things at the end of the day and do nothing."

Senior State Department officials have cautioned that negotiations over the proposed deal may not conclude after the scheduled round of talks in Geneva. The plan would be to take any final deal to the U.N. Security Council to be formalized in a resolution.

Outcome far from certain

While that process unfolds -- if it does successfully -- Obama continued to keep the door open for military action, despite exhortations from Putin that he drop any hint of a threat.

The U.S. president has said any military operation in Syria would be targeted, limited and not involve U.S. ground forces. Its goal would be to degrade al-Assad's ability to use chemical weapons.

Obama has also said any strike would be effective -- saying Tuesday that "the United States military doesn't do pinpricks" -- and he has ordered armed forces to be poised in the region "to keep the pressure on Assad."

U.S.-funded (if not U.S.-made) weapons began flowing to Syrian rebels about two weeks ago, a U.S. official said. Coordinated by the CIA, the supplies include light weapons, ammunition and anti-tank weapons in addition to nonlethal aid the United States has long been providing.

A big question looming over the diplomatic talks is whether any U.N. resolution includes a potential for military action should al-Assad not cooperate. That's something the United States and its allies have favored, while Putin has said his country could veto any measure there that contains such a threat.

CNN Poll: Part of Syria strike opposition is the messenger's fault

Analysts say Kerry, as leader of the U.S. diplomatic efforts, has his work cut out for him.

"I think it's unlikely the Russian government is going to relent on this issue of whether or not it would support the use of force in a security council resolution," said Nicholas Burns, a former senior State Department official now at Harvard University's Kennedy School of Government.

"They've been consistent since day one of the Syrian crisis that they did not want to see the United States or anyone else use force. I think that's one of the ambitions the Russians have going into this negotiation in Geneva," he added.

Obama makes case: opinion

Former Secretary of State Madeleine Albright said in an exclusive interview on CNN's "The Lead with Jake Tapper" that Kerry must not take the threat of force off the table in his talks with the Russians even if they insist he drop it.

"This is the way that diplomacy works. You use the threat of the use of force to get some action in diplomacy, and then diplomacy just to figure out what you do about the threat of the use of force," said Albright, who served as America's top diplomat under President Bill Clinton.

"One of the things I know from trying to get Security Council resolutions is that they take a while," said Albright. "But my personal feeling here is that it is that threat of the use of force, and the president made very clear that our ships would stay in the area, and that the use of force would stay on the table."

@highlight

Putin's op-ed is "irrelevant" and he "needs to deliver" on Syria, U.S. official says

@highlight

U.S.-funded weapons began reaching Syrian rebels 2 weeks ago, official says

@highlight

In a New York Times op-ed, Putin says striking Syria will hurt the region and world

@highlight

U.S. Secretary of State John Kerry will meet with Russian counterpart Thursday