(CNN) -- Days after allegedly causing death and devastation at the finish line of the Boston Marathon, two brothers "spontaneously" decided to head to a new place to unleash terror -- New York City -- that city's mayor said.

Dzhokhar Tsarnaev, the surviving suspect in the Boston bombings, told investigators that he and his brother decided to bomb Times Square as they talked the night of April 18 in a Mercedes SUV they'd just carjacked, New York City Police Commissioner Ray Kelly said.

The 19-year-old initially told investigators from a Boston hospital bed that he and his brother, Tamerlan Tsarnaev, had talked about going to New York to "party." Then he offered a new account during a second round of questioning Sunday evening into Monday, during which Kelly said Dzhokhar was "a lot more lucid" than the first time he was interviewed.

The brothers had five pipe bombs and a "pressure-cooker bomb" -- the latter similar to the bombs used in the Boston blasts -- with them in the SUV that they could have used in New York, Kelly said.

Instead, their plan "fell apart" when the SUV ran low on fuel in the Boston area and the Tsarnaevs ordered the driver to pull into a gas station, Kelly said. The driver escaped during the refueling, he said, and police subsequently caught up with the Tsarnaevs -- first in a shootout after which 26-year-old Tamerlan died, then by capturing Dzhokhar on Friday.

"We don't know that we would have been able to stop the terrorists had they arrived here from Boston," Mayor Michael Bloomberg said. "We're just thankful that we didn't have to find out that answer."

Rep. Mike Rogers, chairman of the House Intelligence Committee, said investigators believe the Boston bombing suspects were planning another attack "likely in the Boston area."

"The notion they decided to go to New York was a rushed event after this thing unraveled on them," the Michigan Republican said.

Latest developments in the Boston bombings probe

There is no evidence that New York City is currently a target of a terror attack stemming from the Boston bombings, Kelly added. Still, he said authorities are investigating two visits that the surviving suspect made to New York City last year.

In one of those trips, in April 2012, Dzhokhar Tsarnaev is photographed in Times Square.

Official: U.S. wars in Afghanistan, Iraq motivated bombings

One person pictured in that picture was in federal custody Thursday, as he's been for the last six days, on alleged visa violations. This man, whom a federal law enforcement source said Dzhokhar shared a cell phone with, was originally detained last Friday with another person when federal agents swarmed a residence thinking Dzhokhar might be inside, a federal law enforcement source said.

Neither of these two detained men -- both foreign exchange students from Kazakhstan at the University of Massachusetts-Dartmouth, where Dzhokhar also was enrolled -- has been linked to the Boston Marathon attack. Yet investigators hope they can better piece together the suspected bombers' movements before and after the marathon.

"These guys are not being cut loose immediately, and there's a reason why," the federal law enforcement source said.

Sources: Russia raised concerns about mother, son

While investigators continue to look into the Boston bombings, the killing of a Massachusetts Institute of Technology campus police officer and a violent chase and shootout in Watertown, Massachusetts -- all of which authorities have blamed on the Tsarnaev brothers -- the probe has also been focused some 5,500 miles away in the semi-autonomous Russian republic of Dagestan.

That's where the suspects' parents live and spoke to reporters Thursday.

Their mother, Zubeidat Tsarnaev, told CNN's Nick Paton Walsh that she didn't want to accept the reality of the bombing, saying it was fake. She has seen a video pushing the wild idea, she said, adding that there was no blood -- and that paint was used instead.

Photos: Galleries from the attack and aftermath

"That's what I want to know, because everybody's talking about it -- that this is a show, that's what I want to know. That's what I want to understand," she said.

But her disbelief broke down when she spoke of the victims.

"I really feel sorry for all of them. Really feel sorry for all of them," she said, her voice cracking even as she remained resolute that her sons were not involved.

While her husband Anzor Tsarnaev has said he plans to fly to the United States -- though those plans may be in limbo after Zubeidat said she called for an ambulance for him on Thursday in Makhachkala -- his wife isn't planning to join him.

She's wanted on 2012 felony charges of shoplifting and property damage in Massachusetts, according to court officials.

The family lived there before she jumped bail; the parents moved the same year to Dagestan.

Dead Boston bomb suspect posted video of jihadist, analysis shows

A year before, Zubeidat and her son Tamerlan were both added by U.S. authorities to the Terrorist Identities Datamart Environment, or TIDE, database -- a collection of more than a half million names maintained by the National Counterterrorism Center, an intelligence official said.

That came as Russia raised concerns to U.S. authorities about her and her son, sources told CNN.

Zubeidat Tsarnaev said the FBI had visited her family "several times" in 2011 with questions about Tamerlan's "Islamic interests."

A senior U.S. official with direct knowledge of information from the Russians said that the case then "was extremely thin," adding that Russia wanted Tamerlan Tsarnaev questioned to see if he and others had become "radicalized." U.S. authorities closed the case a few months after opening it.

Suspects' mother describes her last conversation with her sons

Suspect's widow is assisting investigation, lawyer says

Putin: 'We were right'

Russian President Vladimir Putin on Thursday urged closer cooperation between other countries' security services in the wake of the Boston attack

"If we combine our efforts, we will not suffer blows like that," he said during a live televised call-in session in Moscow on Thursday.

The Tsarnaevs are originally from the embattled Russian republic of Chechnya but fled from the brutal wars there in the 1990s. The two brothers were born in Kyrgyzstan and moved at different times to the United States.

In his first on-camera comments since the bombing, Putin also lashed out against those in the West who have slammed Russia for human rights abuses in its actions toward Chechnya.

The truth about the Chechen threat

"Russia is among the first victims, and I hate it when our Western partners call our terrorists -- who committed some heinous crimes in Russia -- when they call them freedom fighters and never call them terrorists. They supported them," said Putin, accusing unnamed people or groups of providing Russia's foes with political, financial and "media" support.

And U.S. authorities have come under fire at home, with lawmakers asking if the FBI and CIA failed to share information. Sources told CNN that Russia had separately asked the FBI and the CIA to look into Tamerlan Tsarnaev in 2011.

Sen. Lindsey Graham, a South Carolina Republican, said Thursday he believes "ultimate blame" for the attacks goes to the Obama administration.

"The FBI and the CIA are, they have great people but, you know, we're going backwards in national security. Benghazi and Boston to me are examples of us going backward," he said.

But a ranking Democrat on a House intelligence subcommittee said Thursday he does not see an intelligence-sharing failure.

"This information was put in a database, it was shared among different agencies, it was shared with a joint terrorism task force, and that's exactly what should happen," U.S. Rep. Adam Schiff, D-California, told CNN, referring to the TIDE database.

Sources: Suspect was unarmed in boat

More details, meanwhile, continue to emerge about the April 15 bombings as well as authorities' engagement days later with the two suspects.

A law enforcement official told CNN Thursday that at least one of the two bombs -- the second to explode -- was detonated by remote control. Rep. Dutch Ruppersberger, a Maryland Democrat and member of the House Select Committee on Intelligence, said that the brothers used a remote control device similar to those used to guide toy cars.

While video taken near the scene of the explosions shows Dzhokhar Tsarnaev talking on a cell phone, it is not known whether he used it to trigger a device, a law enforcement official said.

Those twin blasts killed three people and injured more than 260 others, 14 of whom had limbs amputated. As of Thursday evening, 34 of those wounded were still being treated at Boston hospitals, including one patient in critical condition.

The manhunt for those responsible ended last Friday, when Dzhokhar Tsarnaev was captured after a tense standoff after he'd hidden in a boat in the yard of a home in the Boston suburb of Watertown, Massachusetts.

The teenager was unarmed when he was wounded in a barrage of gunfire, and there was no firearm found in the boat, said several sources from difference agencies familiar with the investigation.

Authorities previously said in a criminal complaint that there was a standoff involving gunfire before Dzhokhar's capture. Watertown Police Chief Edward Deveau told CNN's Wolf Blitzer on Saturday that it was his understanding that the suspect fired from the boat.

This came after Tsarnaev and his older brother allegedly shot and killed Massachusetts Institute of Technology campus police officer Sean Collier in Cambridge.

The Middlesex County District Attorney's Office hopes to bring charges against Dzhokhar Tsarnaev for his alleged role in incidents last week in Cambridge and Watertown, spokeswoman Stephanie Guyotte said Thursday.

Biden: 'Knock-off jihadis' can't break American spirit

Tragedy in Boston: How to help

CNN's Drew Griffin, Dave Alsup, Carol Cratty, Nick Paton Walsh, Brian Todd, Barbara Starr, Susan Candiotti and Ben Brumfield contributed to this report.

@highlight

NEW: A congressman says suspects "likely" planned Boston attacks, then changed plans

@highlight

NEW: Russia voiced concerns to the U.S. about one suspect, his mother, sources say

@highlight

Police: Suspect told investigators he and his brother decided "spontaneously" to bomb NYC

@highlight

Dzhokhar Tsarnaev, 19, was "more lucid" the second time he was interviewed, police say