New Bataan, Compostela Valley, Philippines (CNN) -- Two months ago, on December 4, Super Typhoon Bopha made landfall in the Philippines packing winds of 160 mph (260 km/h).

It cut a swathe of destruction across the southern island of Mindanao, claimed the lives of over 1,000 people and affected over six million as it tracked across the Island.

Coconut and banana plantations were flattened and 216,000 homes were damaged or destroyed.

Today, more than 6,000 people in the worst affected provinces of Davao Oriental and Compostela Valley remain in evacuation centers, unable to go home.

Since Bopha struck, Lydia Inungam, 38, has lived with her family in a tent provided by the Red Cross in the grounds of an elementary school in New Bataan Municipality in the Province of Compostela Valley. Altogether, 90 families live on the site and most won't be returning home any time soon as their homes were totally destroyed.

Ten days ago Lydia gave birth to a daughter, her seventh child.

"I gave birth in a classroom because it was raining so hard and a storm was blowing outside," she said. "I have never given birth away from my home and I was panicking when the labor pains started, I was afraid to give birth inside the tent."

For Lydia, nursing a newborn in the tent city isn't easy.

"It gets really hot in here," she said. "At night the baby keeps on crying, she's not comfortable so we sleep at the classroom. We used to live in a cool breezy place by the river, unlike here."

A short walk away is the remains of Lydia's shattered village. Simple wood and bamboo huts lie crushed and splintered under the weight of fallen coconut palms.

Lydia had a narrow escape.

"We first knew something was really wrong when the coconut trees started to fall and the river started to flood," she explained.

"As we ran to the rice fields the trees were thumping down all around us. The wind was so strong we had to crawl to the school building."

Driving through village after village in Compostela Valley, the massive scale of humanitarian needs is clearly evident. Partially collapsed houses line the roads, patched up with tarpaulins that serve as roof coverings and temporary walls.

Tom Bamforth heads up the Shelter Cluster, an inter-agency coordination platform that brings together local and international humanitarian organizations that are responding to emergency shelter needs in Mindanao.

He feels that support from the international community has been woefully inadequate. So far, only 20% of families have received any help to carry out emergency repairs on their homes.

"Donors don't seem to view shelter as the humanitarian priority here," he said.

"Ninety five per cent of those affected are living in their damaged homes or makeshift shelters, but the funding shortfall for shelter repair kits means that 54,000 families may not receive the help they need."

The International Federation of Red Cross and Red Crescent Societies (IFRC) is one of the few agencies committed to providing tools, materials and technical training to families repairing their homes. Together with the Philippine Red Cross it also aims to help some whose houses were totally destroyed to rebuild from scratch.

"The current funding reality means that we can only provide a third of the 15,000 shelter repair kits that we included in our emergency appeal," explained Necephor Mghendi, the IFRC's head of operations in the Philippines.

In terms of providing help to build more permanent shelter for families whose homes were totally destroyed, the IFRC is only able to support 700 out of target number of 4,000 families.

Compared with other natural disasters of a similar scale, the donor response to Bopha has been muted, despite the Philippine government's appeal for international assistance.

Even though it ranks as one of the most disaster-prone countries in Asia, the Philippines is widely perceived by donors as a middle-income country, less deserving of humanitarian assistance than some of its neighbors.

The global financial crisis has also put the squeeze on humanitarian aid budgets and impacted levels of public giving to disasters overseas.

Bopha didn't get much traction in the international media. Competing against Syria for the headlines, the story appeared to drop off TV screens within days.

With scant media coverage, the job of NGO fundraisers was made even more difficult. Barely any British NGOs launched public appeals in the full knowledge that levels of public sympathy just weren't high enough. But if a category 5 super typhoon -- the largest on the scale -- does not warrant donor attention the future looks very bleak.

Bamforth takes a hard line on the indifference shown by the international community to the disaster.

"The paradox is that while donors view the Philippines as more developed and less deserving, when a disaster like Bopha strikes, those development gains become very fragile as people's levels of vulnerability increase so dramatically," he said.

Mindanao is one of the poorest regions of the country. Development has lagged behind other parts of the country, hindered in part by various long running insurgencies spanning four decades which have led to the displacement of hundreds of thousands of people.

It has been the rural poor who have been hit hardest by Bopha. Areas such as Compostela Valley and Davao are the fruit bowl of the country exporting thousands of tons of bananas each year, but overnight the commercial plantations were decimated and thousands of workers lost their livelihoods.

One worrying aspect of the social and economic impact of the losses inflicted by Bopha has been the increasing numbers of people seeking work overseas.

"Recruiters" have begun to appear in some villages in Davao Oriental, targeting women to work as domestic help in the Middle East. Having lost much of their source of income as well as their major family asset -- their house -- many are prepared to face the risks and leave behind their children to support their families from afar.

With no work, 63-year-old Rodrigo Palaga spends his days salvaging bits of debris to patch up his battered home in San Roque, New Bataan. But just as he fixed the corrugated iron roof, a wave of fresh flooding caused by heavy rains a week ago have left the shell of his home covered in a layer of stinking mud.

With no running water since the typhoon, his daughter has no option but to bath their grandchild in bottled mineral water donated by an aid agency.

As the house is still uninhabitable, at night the family of six sleeps in a tent at the bottom of his land made from a tarpaulin distributed by the Red Cross.

"We worry that the floods will come again, the children wake at the slightest sound outside," he said. "We have been given some food supplies and household items but what I really need is plywood and tools to fix up the house."

There is no disputing that emergency relief is certainly needed by families such as Rodrigo's. But without support in all sectors, in particular shelter and livelihoods, already fragile communities will be left highly vulnerable to future disaster events and their situation will only keep deteriorating with the next storm season.

For Bamforth, the priority is to provide households with the tools, materials and know-how to build back better.

"Unfortunately we are seeing the opposite situation," he said. Most NGO's are operating skeleton teams in the field and the funding gap has meant that humanitarian standards are being compromised. At the moment people might receive a tarpaulin and a piece of roof sheeting and are simply told 'that's it'."

@highlight

Philippines island Mindanao was hit hard by Typhoon Bopha

@highlight

Two months on, 6,000 people remain homeless, living in evacuation centers

@highlight

Muted international response to disaster hinders rebuilding

@highlight

Donors view Philippines as 'less deserving' of humanitarian assistance