New York (CNN) -- Can buskers from around the world inspire an international peace movement?

That's the idea behind "Playing for Change," a multimedia movement designed to break down global barriers and connect people of every race through the power of music.

More than 150 -- mostly street -- musicians from 25 countries have joined their voices to spread their message of peace and create a truly global phenomenon with millions of followers across the world.

It all started in 2004, when Grammy award-winning producer Mark Johnson set off on a musical journey to capture street musicians around the world and combine their voices together.

Bringing his mobile studio and cameras with him, Johnson's mission led him and his small crew to an escapade across the globe -- they tracked the street musicians, put headphones on them and started recording each of their parts, before blending it all together to create unique versions of classic songs, such as "Stand By Me."

The powerful and versatile performances were mixed and posted online, quickly becoming a worldwide sensation. The band's version of the Ben E. King classic -- which interwove the performances of 18 street musicians, including a South African choir -- has become an internet hit with more than 40 million views on YouTube alone.

Read more: Ladysmith Black Mambazo: How we inspired Mandela

The band's bestselling CD/DVD set "Playing for Change: Songs Around The World" was also a big hit, debuting at number 10 on Billboard's Pop Chart in April 2009.

The recordings gave rise to the Playing for Change Foundation, an initiative aiming to inspire, educate and empower youth in Africa and other developing regions by building music schools in communities from Ghana and South Africa to Mali and Tibet.

"We are building schools to give those kids who are deprived...to give them a chance to express themselves tomorrow -- at least they can learn music, they can be confident, they can learn how to dance, they can be somebody," says honey-voiced Mermans Kenkosenki from the Democratic Republic of Congo, one of the main singers of Playing for Change.

Kenkosenki, along with his compatriot Jason Tamba and Titi Tsira from South Africa, are some of the African voices representing the continent in the movement.

They share the stage with musicians from the Netherlands to the United States as part of an international touring band that brings artists of all backgrounds together, raising money and awareness for the foundation.

"There are people who play music for the fame, for money, and there are people who play for the love of it," says Kenkosenki, who is also the frontman and founder of the band Afro Fiesta.

See also: Kanya King: MOBO founder's top 5 pop picks

The foundation's first school was opened in the spring of 2009 in Gugulethu, a township a few miles outside of Cape Town, South Africa.

"You got so many lost young kids that their parents don't work, they are unemployed and the kids get to hang around in the streets, they don't get to go to the school because there is no money to send them," says Tsiri who is from Gugulethu.

"This school being built in that township is giving that child a chance, a chance to get a free education, get a skill of music and become a professional musician and be the breadwinner of their family," she adds.

So far, the foundation has been running eight programs, working with over 600 children and creating more than 150 jobs.

"It is a great feeling to give a child a skill," says Tsiri. "It is the best movement ever -- it is really making a huge change and I am very happy being a part of it."

The Playing for Change roster also includes world-renowned artists such as Manu Chao, Tinariwen, Vusi Mahlasela and Bono. Songs they've covered include classics such as "I'd Rather Go Blind," "Gimme Shelter," "(Sitting On) The Dock Of The Bay and many more."

"When you look at us you see in each of us a different character," says Tamba, a skilful guitar player. "Everyone is doing their thing, it's not following somebody but is bringing what he has deep in there [heart] and together that brings the fire."

Read also: Meet Asa, African pop legend in the making

Last year, Playing for Change also joined forces with the United Nations to present "United," an original song penned to raise awareness about the opportunities and challenges arising from life in a planet populated by seven billion people.

In the acoustic guitar-driven anthem, Kenkosenki sings lines like "I want to see the world united" before crooning in Lingala, a Bantu language spoken in parts of the DRC.

He is then joined by a host of singers across the world, who deliver their parts in Arabic, Hebrew and other languages.

"The whole world played the music," says Kenkosenki. "We need to be together to listen to each other -- that's how it should be, bringing people from different cultures to work together, that to me is powerful."

Teo Kermeliotis contributed to this report.

@highlight

Playing For Change is a multimedia music movement with millions of followers

@highlight

Over 150 musicians from 25 countries have joined forces to spread a message of peace

@highlight

They're also involved in the work of building schools for music education in Africa and beyond

@highlight

The band's version of Stand By Me has over 40 million views on YouTube alone