(CNN) -- If Monday's inauguration displayed the gushing, ceremonial aspect of American democracy, Wednesday revealed its more sober and confrontational side -- a Senate committee hearing. The hearing was Secretary of State Hillary Clinton vs. the Republicans on the painful subject of Benghazi, Libya.

After a lot of anger from the senators and a surprising amount of emotion from Clinton, the final score was a draw. But some Republicans did better than others, and Clinton probably emerges with a healthier reputation than the administration that she's leaving. Moreover, the debate throws up some tantalizing "what ifs" about 2016. Is America ready for Hillary Clinton vs. Rand Paul?

To take Clinton first, it's remarkable how much her role as secretary of state has transformed her.

Five things we learned from the Benghazi hearings

To conservatives, she was once the Lady Macbeth of liberalism; the feminist power behind Bill Clinton's throne whose every utterance seemed calculated to upset the right. Her book "It Takes a Village" was greeted like a manifesto of anti-American collectivism -- so much so that Rick Santorum felt compelled to pen a response called "It Takes a Family." But secretaries of state often find themselves elevated from partisan politics in to the heavenly realm of "national interest" (think Henry Kissinger or Colin Powell), and therein Clinton has redefined herself as a competent and admirable public servant.

Consider John McCain's first words at the Senate hearing: "We thank you for your outstanding and dedicated service to this nation and ... all over the world where I travel, you are viewed with admiration and respect." Given her extraordinary hard work and efforts to advance the rights of women and children, she has certainly earned that respect. It's found in ample supply at home, too. According to Gallup, the former controversialist is now America's "most admired woman."

But even if Clinton did get through the hearing with her reputation intact, that doesn't mean that Benghazi doesn't leave scars on the administration. The critical -- and most electric -- round of questioning was started by Sen. Ron Johnson, R-Wisconsin. He demanded to know why Clinton didn't try to find out what was really happening on the ground sooner and why the administration persisted so long in refusing to label the Benghazi incident a "terrorist attack."

Opinion: Benghazi blame-game is useless

Clinton's defense was similar to Obama's during the presidential election: something went wrong, we didn't want to interfere with ground operations and it took a long time to gather the intelligence to know what really happened.

But Clinton lost her cool and summed up that position in a breathtakingly callous phrase: "What difference, at this point, does it make? It is our job to figure out what happened and do everything we can to prevent it from ever happening again, senator." All the difference in the world, I would imagine, to the relatives of the personnel who died.

This rare loss of composure perhaps underlines the weakness of the administration's case.

The White House seems to think -- as John Hayward at the Conservative website Human Events puts it bluntly -- "the game ends when they say the magic phrase 'I take responsibility,' and they win." But it does not.

Part of "learning" from the attack on the U.S. Consulate in Benghazi is admitting the basic errors that were made and providing the public with a clearer narrative of what really happened. But all we have at the moment are a catalog of errors that make up a very confusing story.

It's obvious that the political situation in Libya is not more stable since Moammar Gadhafi was removed from office (just ask any Algerian), that insufficient security was provided at the consulate, that the administration fumbled its explanation of what occurred on September 11, 2012, that the rescue operation was delayed and that the CIA had some shadowy role to play in the whole mess. Clinton's assurance that "I do feel responsible" is not reason enough to stop asking these questions and just move on.

Who then made the best case for the prosecution from the Republican side?

Given that Sen. Marco Rubio of Florida was participating, it felt at moments like an audition for 2016 -- and Rubio's staff put the video of his questions up on his website with remarkable speed.

Clinton lays out daunting security challenges in North Africa

But the most impressive performance by far was from Rand Paul. He delivered a cool, withering statement that climaxed in this devastating paragraph (and you have to watch it to get the full effect): "I'm glad that you're accepting responsibility. I think ultimately with your leaving that you accept the culpability for the worst tragedy since 9/11. And I really mean that. Had I been president and found you did not read the cables from Benghazi and from Ambassador (Christopher) Stevens, I would have relieved you of your post. I think it's inexcusable."

This performance might be -- and should be -- remembered well by the Republican base when the primary campaign of 2016 starts. Ever since the last president election, Rand Paul hasn't set a foot wrong. From his bridge-building visit to Israel to his opposition to the fiscal cliff deal, he seems well placed to become the tea party candidate.

And what an unusually satisfying choice Clinton vs. Paul would be.

It would be a genuine contest between big government liberalism and small government conservatism: Clinton's internationalism and support for welfare programs vs. Paul's anti-interventionism and opposition to pork.

The question of who could win such an unusual contest is difficult to answer. The Paul family has a tradition of winning votes from Democrats, but Clinton's new respectability could also pull votes away from the Republicans. One Kentucky poll found that in a head-to-head contest, she'd even beat Rand in his home state of Kentucky.

It would be a campaign that any elections scholar would relish.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Timothy Stanley: Benghazi hearing with Secretary Clinton was emotional, confrontational

@highlight

He says her strong reputation likely intact, but administration still must answer for incident

@highlight

He says Rand Paul's blunt critique pointed up administration's obfuscation

@highlight

Stanley: Paul vs. Clinton in 2016 is a compelling idea; could hearing be a harbinger?