Tensions between U.S. President Barack Obama and Israeli Prime Minister Benjamin Netanyahu have been strained for years. But the conflict in Gaza has ushered in a new low, some analysts say.

"It's probably the worst relationship between a leader of the United States and a leader of Israel since all the way back to the Eisenhower days," says David Gergen, a senior political analyst for CNN who served as adviser to four U.S. presidents. "The relationship has gotten rockier over this period during the war."

While Obama and Netanyahu emphasize friendship and mutual support publicly, a series of recent events present a different picture.

Blaming Israel for an attack that killed several people at a school in Gaza, the United States said it was "appalled" by the "disgraceful shelling" -- sharp criticism from Washington rarely heard when Israel is engaged in battle.

"When you have a situation where innocent civilians are killed in Gaza, there's more that Israel can do to hold themselves to their own standards," State Department spokeswoman Jen Psaki said.

"We do hold ourselves to a very high standard. And when innocent civilians are caught in the cross fire between us and Hamas, it's an operational failure from our point of view," Israeli government spokesman Mark Regev countered on CNN.

More than than 1,800 Palestinians have been killed in Gaza during the conflict, according to the Palestinian Health Ministry. The United Nations estimates about 70% were civilians, but Israel Defense Forces say about 900 militants were killed, as were 64 Israeli soldiers and three civilians in Israel.

Netanyahu did not deny reports that he told U.S. Secretary of State John Kerry and U.S. Ambassador to Israel Dan Shapiro "not to ever second-guess me again" on how to deal with Hamas, which is in charge of the Palestinian government in Gaza.  Hamas has launched hundreds of attacks, including rockets, against Israeli civilians.

In describing its military action publicly, Israeli officials have compared it to U.S. military actions against terrorism.

U.S. anti-terror tactics in recent years have included drone strikes, which Obama has increased in Pakistan and Yemen. Hundreds of civilians, including children, have been killed, according to The Bureau of Investigative Journalism.

So when the United States slams civilian deaths in Israeli military actions, Israel can in turn point to U.S. military actions -- including wars in Afghanistan and Iraq -- that also have killed civilians. "That's a logical, compelling argument, and Israelis have made it repeatedly," says Aaron David Miller, who served as an adviser on Arab-Israeli negotiations under both Republican and Democratic administrations.

That resonates with the American public, Miller says. But it does not speak to a central concern for Obama. "His priority is to make the bad pictures from Gaza go away...  He is much more focused on the middle class than on the Middle East."

Why things are different with Obama

There's always been some dysfunction in the U.S.-Israeli relationship, says Miller, now a vice president with the Middle East program at the Wilson Center.

But there have also been strong personal connections. "I loved him as much as anyone I've ever known," Clinton once said of slain Israeli Prime Minister Yitzhak Rabin.

But Obama and Netanyahu "haven't liked each other from the beginning," Gergen says.

In 2011, inadvertently open microphones caught French President Nicolas Sarkozy calling Netanyahu "a liar," followed by Obama's reply: "You're tired of him; what about me? I have to deal with him every day," according to reports.

Despite differences, in the past, U.S. and Israeli administrations "got a lot done" together, Miller says. By contrast, he says, the Obama administration "can't produce anything."

"These guys haven't found a project on which they can basically cooperate."

While united in the goal of preventing Iran from getting nuclear weapons -- which Tehran insists it is not seeking -- Obama and Netanyahu are split in how to go about it.

And Kerry is "is 0-for-3," Miller says. His nine months of pushing for peace talks failed, as did his two efforts to achieve a cease-fire to halt the hostilities in recent weeks. The truce under way now was brokered by Egypt -- and apparently quite similar to the Egyptian cease-fire plan that Israel accepted and Hamas rejected throughout the conflict.

Miller believes a "generational divide" on Israel separates Obama from preceding presidents. Clinton and President George W. Bush felt "emotionally bonded to Israel," Miller says. "Obama is not."

'Too big to fail'

Despite the tensions, the countries remain critical allies, analysts say.

Netanyahu on Sunday praised President Obama's "unequivocal stand with Israel on our right to defend ourselves" as well as the "untiring efforts" of Kerry. He also called Shapiro "a great ambassador."

And White House spokesman Josh Earnest said "the nature of the relationship is strong and unchanged."

At a joint appearance in March, Obama said, "There's nobody I've met with more or consulted with more than Bibi. And it's a testimony to the incredible bond between our two nations. I've said before and I will repeat, we do not have a closer friend or ally than Israel and the bond between our two countries and our two peoples in unbreakable. And that's the reason why on a whole spectrum of issues we consult closely."

The United States has continued supplying Israel with weapons during the conflict.

And documents revealed by NSA leaker Edward Snowden allegedly detail how the United States shares raw intelligence data with Israel.

"The relationship is one between two close allies and there is tension between them at this moment," says Nathan Thrall, senior analyst with the International Crisis Group.

They can "overcome" it "once the conflict is ended," says Robert Danin of the Council on Foreign Relations.

Outside of their top leaders, the connection between the two countries seems unshakeable, analysts say.  "Unlike Lehman Brothers," says Miller, "this relationship is too big to fail."

@highlight

"Probably the worst relationship" for U.S., Israeli leaders since Eisenhower, an analyst says

@highlight

In the past, U.S. and Israeli administrations "got a lot done," an analyst says

@highlight

"Generational divide" separates Obama from previous presidents, an analyst says

@highlight

Recent strain can be "overcome" after hostilities end, an analyst says