(CNN) -- How can educating girls change the world?

"Girl Rising" tells the stories of girls from around the world and their determination to overcome extraordinary odds. Filmmakers enlisted celebrities and renowned authors to participate in the project, which took six years to complete.

Filmmakers traveled to some of the most remote regions in the world, interviewing hundreds of girls and selecting a few to give voice to the challenges and hopes of millions.

Watch a preview of 'Girl Rising'

Academy Award nominee Richard Robbins, who directed "Girl Rising," talks about why he made the film, how crowd-sourcing was key and why the word "revolutionary" kept sticking with them, in this interview, edited for length and clarity.

CNN: Why did you decide to make the film?

Richard Robbins: I started reading about some of the new research about girls' education in about 2005, 2006, and I thought at first that it was just information that was new to me. That somehow I had missed this incredible fact about how powerful educating girls could be. And then over the course of a couple of months in my research, it became clear that this is not a widely known fact. Although it was well-known inside the development community, out in the general public, it didn't seem to be well understood.

As a filmmaker, that's an opportunity that's hard to pass up. When you come across something that is clearly important and unequivocally proven and yet not widely known, you pay attention.

CNN's 'Girl Rising'

CNN: How would you define the making of?

Robbins: One of the great luxuries we had in making this film was time. The time to go to each of these countries three times to really spend time thinking about what the issues were and what we wanted to say in each place and how we wanted to say it.

On the first trip to each country ... we went and did dozens and dozens of interviews and tried to find the right girl to be the focus of the film, although those choices about which girl it would be were ultimately made by the writers. It felt important to me that the writers who were going to write their stories choose for themselves who they felt most compelled to write about.

And then the second trip, we went back and spent time with the writer and the girl together. ... It wasn't until the third trip that we actually sat out to try and make each piece.

So, we got to know each girl very well. That was a real virtue for us. Sometimes, when you're working on film and television projects, you sort of parachute in and spend a couple of days and then leave. But coming back for the second and the third time, I felt like we really earned the trust of both the girls and their families and their communities.

... There's more to come for each of these girls. I do think we want to protect them. We're very concerned about their safety going forward. And we are careful in the film not to talk about these girls' last names, not to talk too specifically about where they live. ... In both Egypt and Afghanistan, there were safety concerns for the girls themselves, so we ended up using actresses in those two chapters because we just wanted to be sure that the girls who were telling their stories were safe.

CNN: What is the message you want this film to communicate to the world?

Robbins: Well, I think there are sort of two key messages in my mind, and one is intellectual, and one is more emotional. The intellectual message is simple: Educating girls works. We know it works; we know why it works; we know how it works.

And unlike a lot of big global problems that we face in the world, whether it's global warming or religious conflict or the AIDS epidemic, we actually know what the solution is to this problem. We know how to educate girls. Most of us know what a good school looks like, a good teacher looks like. So this is change we can really create in the world. And I think that's really important.

But even for people who know that information, for people who understand how powerful education can be, we want them to understand that these girls out there are not victims, they're opportunities. They just need a little bit of help, and they are going to be more determined and work harder than any of the rest of us have to work to help them achieve their goals.

... Ultimately, they're just like the girls that we know: our girls and our sisters and daughters and friends. You know, I think so often, we tend to see people out there in poor parts of the world as so different from us because their world looks different from the one that we live in. But they're really not. You know, at the end of the day, they're just kids, and they're kids who want to learn.

CNN: "Girl Rising" had its theatrical release beginning in March. How did crowdsourcing play a role in the project?

Robbins: We really opened up the filmmaking process to people out there who were interested in this issue. And we posted videos, photographs and blog posts (because) we really wanted people to get engaged long before there was even a film to show.

And then once we got to the place where there was a film, it became clear to us that we had an incredible team of supporters and fans out there in the world. And that they were a very powerful resource to get the film out into the world.

So we had partners, we had campus groups, we had our nonprofit partners in the field, and we had regular folks who had been following our progress either on Twitter or on Facebook. We reached out to them and said, 'Look, the film is done. We really want as many people as we can to see it. We don't have a huge advertising budget, so lend a hand, be an organizer for us.'

We almost modeled the distribution of this film like a political campaign. We thought of it more as a movement than as a piece of entertainment.

So if we could get people out there to host a screening and do a little bit of the leg work to organize it, publicize it, sell tickets and bring it to their community, that was an asset that I think most films don't have, and that was completely invaluable to us.

CNN: In "Girl Rising," one of the narrators, Meryl Streep, says a line about how there's a single moment between what is and what could be. Do you think a girl somewhere will see this film and have that singular moment and it propels them to do something as well?

Robbins: When we were making the film, we talked a lot about the idea that these girls really did feel like revolutionaries. And we had a lot of talk about that word: revolutionary. And the reason it kept sticking with us is because when you meet these girls you realize that their goals, the things that they want to change, are not just about their own lives. It's about changing their entire community, their family, the world for the better.

So often, we think of young people, particularly in the United States, as being very self-interested, but over and over again, we found girls who wanted to create change not for themselves but for everybody around them.

... So, it really is a forward-thinking push from those girls and from the film. The idea that we really do, as individuals, have the power to create change in the world. I think so often, we are led to feel helpless because of the forces that play in the world are big and overwhelming and very challenging.

But small-scale change, cumulatively, can be incredibly powerful. We saw it in the lives of each one of these girls and with our incredible partners that were doing amazing work in the field to help girls go to school. That idea is really at the crux of this film, which is that change is possible, we know how it works, and it's within our reach. It's not some impossible dream. We really can make this happen. We understand how to do it, and we just need the will to make it a reality.

CNN's 'Girl Rising'

Write an open letter to girls of the world

Photos: The girls' stories from 'Girl Rising'

@highlight

"Girl Rising" tells the stories of girls around the world and their quest for education

@highlight

Director Richard Robbins says the project took six years

@highlight

Crowdsourcing and grass-roots support were key from the start, he says