(CNN) -- Budget-conscious travelers rejoice: Hostels aren't what they used to be.

Forget cafeteria-style meals, windowless rooms and the college dormitory approach to decor. Think more along the lines of handcrafted cocktails by the pool, complimentary bike rentals and design so stylish you'd swear you were in a boutique hotel.

In other words, the modern-day hostel will wow you. But get this -- they are still affordable. Plus, many offer the same amenities as hotels: private rooms, concierge service, Wi-Fi, restaurants, bars and more.

Kex Hostel -- Reykjavik, Iceland

Good things happen when a group of buddies, including filmmakers and former soccer players, get together to design a hostel inside an old biscuit factory.

Their grand scheme: to create a place where locals and travelers could hang out, have beer and experience the awesome quirkiness of Reykjavik. The result: a cult following.

More often than not, guests will catch a band playing in the bar area or at Gym& Tonic, a small venue within Kex equipped with old-school punching bags (it also doubles as an art gallery and movie theater).

Then there's the occasional pop-up concert. In fact, Russell Crowe once showed up to belt out some tunes with rock legend Patti Smith. Even comedian Ben Stiller has been seen there nursing a pint of local stout.

Don't worry: There are peaceful activities, too. Like yoga and meditation. There's even a retro barbershop so you can go home looking snazzy.

Skulagata 28, 101 Reykjavik, Iceland.

From about $25.

Digging deep: 15 ancient ruins you might not know

U Hostels, Madrid -- Madrid

The fact that this hostel is in a 19th-century palace should tell you something.

The fact that the owner is a former backpacker himself will tell you even more. In other words, the space is unique and inviting and caters to its audience.

Better yet, it's within walking distance of Madrid's uber-trendy Malasana, Fuencarral and Chueca neighborhoods.

Inside the hostel, the whitewashed walls are bright and inviting. The rooms are spacious and stylish with a clean, minimalist design. Bike rentals are available as well as group outings to flamenco shows and free tours of the city each morning.

At the end of the day, kick back in the hostel's private cinema room. Or check out the chillout zone, which is stocked with books and a huge magnetic map, where you can plot your excursions for the next day.

Not your cup of tea? Grab a cocktail at the onsite bar and make a beeline for the rooftop terrace.

C/ Sagasta, 22, 28004, Madrid.

From about $20.

Generator Venice -- Venice, Italy

This high-style hostel, in a 19th century grain house on the island of Giudecca, has loads of character and plenty of history. Outside, it has the charm of yesteryear and views of Laguna Veneta, the enclosed bay of the Adriatic Sea.

Inside, there are exposed, original wooden beams, worn metals and cozy seating.

Thrifty hipsters will appreciate that this place hasn't skimped on design; there are customs decor elements throughout that make for a fun, creative atmosphere.

Better yet, freebies abound. Guests get complimentary Wi-Fi, continental breakfast, secure lockers, live music and art shows. And the in-house cafe serves Venetian-style tapas, filling pasta dishes and glorious focaccia breads.

Fondamenta Zitelle 30133, Venice, Italy.

From about $21.

Discover the world's most visited museums

Freehand Miami -- Miami Beach, Florida

This super stylish gem of a hostel complete with vintage furniture and lush tropical hangout space is housed in a 1930s art deco building.

Each of the 60 rooms (some private, some shared) is handcrafted with a fun boho-chic vibe with colorful Mexican serape throws and handmade rugs from Peru.

Here, it's easy to get to know your fellow travelers out by the veggie garden, the palm tree-lined pool or at art class. Plus, it's only a block from the beach.

Don't worry, the activities concierge is always around so you won't miss out on any pingpong games or bocce ball tournaments.

2727 Indian Creek Drive, Miami Beach, Florida.

From $35.

Plus Florence -- Florence, Italy

Step out onto the terrace of this hostel, and you'll be smiling from ear to ear. The 360-degree view of Florence is superb.

Grab a fruity cocktail at the Opera Terrace Bar and gaze at the Duomo, Fiesole, Piazzale Michelangelo and Palazzo Vecchio to name a few.

Best part is, if you want to hop over to these landmarks, you can. They are all within walking distance.

In the summertime, you can do laps at the outdoor pool. Come wintertime, there's an indoor pool. Plus, you can kick back in the sauna and Turkish bath (not usually found in a hostel) or burn some calories in the fitness area.

Via Santa Caterina D' Alessandra, Florence, Italy

From about $28.

Sand sculpture shindigs: A bucket list

Hostel Suites Florida -- Buenos Aires

Hostel Suites Florida will win you over from the get-go. For starters, it offers free shuttles from the airport.

And once you get to the hostel, there's a travel agency inside so you won't waste any time booking tango lessons, free walking tours and Spanish classes.

Not only will you be highly entertained, you will also get a wallop of Argentine culture in the form of massive prints throughout the hallways. As you walk to your room, you'll see the likes of Eva Peron, Che Guevara, Diego Maradona and more.

When you're ready to venture out, you are in the perfect spot. Hostel Suites Florida is in the heart of Buenos Aires on Florida Street, a popular area jampacked with shops, restaurants and bars. And it's within walking distance of Obelisco and Plaza de Mayo.

328 Florida St., Buenos Aires, Argentina.

From about $18.

HI Whistler -- Whistler, British Columbia

This ultra-modern hostel was built specifically to house athletes during the 2010 Winter Olympics. So, needless to say, it's pretty impressive.

For starters, all rooms come with flat-screen TVs. Not to mention, some pretty dreamy vistas of the Coast Mountains.

There is a large dining room just off the kitchen with lime-green and white chairs and tables, modern art and photography on the walls.

On this level you'll also find the games room with a fireplace, comfy sofas and Internet terminals. The cinema-style TV room, with a 52-inch high-definition television, is on this level, too.

Of course, it doesn't hurt that it's only a 15-minute drive from the slopes. You can even store your equipment on-site in a large storage area.

Beyond snowboarding, the hostel hosts group bike rides, group hikes, poker nights and even yoga sessions (pay by donation).

1035 Legacy Way, Whistler, British Columbia, Canada.

From about $30.

@highlight

Kex Hostel in Reykjavik, Iceland, has a retro barbershop

@highlight

U Hostels' rooms are spacious, stylish and have a minimalist design

@highlight

The terrace at Plus Florence has a 360-degree view of the Italian city

@highlight

Hi Whistler was built to house athletes during the 2010 Winter Olympics