(CNN) -- After weeks of fruitless searching for the missing Malaysia Airlines plane, it sounds like a promising sign.

When a Chinese patrol ship picked up two pulses in the southern Indian Ocean, the head of the Australian agency coordinating search efforts called it "an important and encouraging lead."

Investigators hope the audio signals are locator beacons from the plane's data recorders, but they're not sure yet.

Is it the discovery we've all been waiting for? Could those be Malaysia Airlines Flight 370's pingers?

Here are four reasons to believe and six reasons to doubt:

REASONS TO BELIEVE

1) The frequency doesn't occur in nature.

The Chinese Haixun 01 patrol ship detected pulses at a frequency of 37.5 kHz, the Chinese state-run Xinhua news agency reported. That's the same frequency of black box pingers -- and that frequency is no accident. The pingers were designed to have that frequency because it does not occur in nature.

2) There were two separate events.

The Haixun 01 reported two pulses within 2 kilometers (1.25 miles) of each other. Air Chief Marshal Angus Houston, head of the Joint Agency Coordination Center, described them as "fleeting, fleeting acoustic events." One was described as being 90 seconds long; no time was given for the other, but it was evidently shorter.

"I think the fact that we have had two detections, two acoustic events, in that location provides some promise which requires a full investigation of the location," Houston said.

3) You usually know a ping when you hear one.

The pings are, under ideal conditions, easily recognizable. They "ping" like a metronome â€” with a steady pulse about once a second.

4) They're in the right spot.

According to the latest analysis of Inmarsat satellite data and aircraft performance, the Haixun 01 is in the right spot. In fact, search supervisors, citing the new analysis, are moving the focus of the search to an area that includes the location of the Haixun 01.

"The area of highest probability, we think is now probably in the southern part of the area, pretty close to where Haixun 01 is operating," Houston said.

Pulse signals raise new questions

REASONS TO DOUBT

1) The ocean is noisy.

In addition to the Haixun 01's two "acoustic events," ships detected two other events in a very short time, showing exactly how noisy the ocean is.

The British ship HMS Echo recorded one event that was determined to be unfounded. The Ocean Shield, an Australian naval vessel equipped with sophisticated listening equipment, has also detected "an acoustic noise" in another area of the ocean to the north. According to a CNN calculation, the Australian ship was about 350 miles (565 kilometers) away from the spot where the Chinese ship detected the pulses. It's also unclear whether the sound the Australian ship detected was related to Flight 370.

The search team is urging patience and restraint.

2) Only one pulse was detected at a time.

The Haixun 01 detected only one pulse at a time. Assuming both black box pingers are working, are close together, and are unobstructed by debris or terrain â€” and those are, admittedly, big assumptions â€” they should have heard two pingers, perhaps like a metronome with an echo.

3) These aren't ideal conditions.

While pingers are easily identifiable under ideal conditions, the current conditions are far from perfect. Video of the searchers show them listening to the hydrophone with earbuds, not headsets that would block out ambient noise.

So the steady "pings" -- which actually sound like the snap of fingers -- could be confused with or overwhelmed by other noise, such as the waves lapping against the boat.

The Chinese said they did not have time to record the pulses, precluding a scientific analysis of the sounds.

4) A spare pinger on the boat might have sent the signal.

In video of the Haixun 01, it appears the Chinese had a spare pinger in the boat.

Anish Patel, president of pinger manufacturer Dukane Seacom, says it is not recommended to have a pinger near the area where you are trying to listen.

If that pinger gets wet, it will start transmitting, potentially confusing search teams.

"I wouldn't put one where I'm measuring," Patel said. "It's just not good common practice."

5) The equipment was designed for shallow water.

The hydrophone the Chinese used to detect the pulse is "designed for shallow water applications," not for the deep water, said Thomas Altshuler of Teledyne Marine Systems, manufacturer of the hydrophone.

"They are using it in a scenario outside of our normal operation," he said.

Is it possible that it heard a ping from the depths of the Indian Ocean?

"It is possible, but it would be right at the edge of that detection (capability)," he said.

6) The underwater search of a vast area started only recently.

The search area is so large, and the underwater search has just begun. It almost defies belief that the pingers could be found so soon. But then again, almost everything about this case defies belief.

THE BOTTOM LINE

We'll give the final word to Angus Houston.

"This is an important encouraging lead, but one which I urge you to continue to treat carefully," he told reporters. "We are working in a very big ocean and within a very large search area, and so far, since the aircraft went missing, we have had very few leads which allow us to narrow the search area."

CNN's Aaron Cooper and Catherine E. Shoichet contributed to this report.

@highlight

Are the pulses detected by a Chinese patrol ship MH370's pingers?

@highlight

The frequency and location are indications they might be

@highlight

There are also a number of reasons to doubt the latest lead