(CNN) -- It was a love affair begun long before the levees broke.

From left, U2's The Edge, Billie Joe Armstrong of Green Day and Bono perform at the Superdome in 2006.

Before the images of a crowded and toxic Superdome and desperate survivors waving down help from rooftops, entertainers the world over had a special place in their hearts for New Orleans -- the sultry Louisiana city that served as muse to musicians, playwrights and novelists for more than a century before Hurricane Katrina roared into the city four years ago this week.

Celebrity response to disasters was nothing new. From George Harrison's Concert for Bangladesh in 1971 to Live Aid and USA for Africa in the early '80s, musicians and others have acted in times of need.

But something about Katrina -- something about New Orleans -- spurred an unprecedented response from the entertainment world that continues four years later, experts and activists say.

"Anybody, whether they're a performer or not, who has studied or been touched by American music has been touched by New Orleans," said Jordan Hirsch, director of the nonprofit aid group Sweet Home New Orleans.

"It's jazz. It's R&B. It's funk. ... For everybody of every generation who's making music in America, there's a touchstone in New Orleans that has affected their work."

In the days after the floods, many of the rich and famous stepped up with perhaps the most obvious response, writing a check.

George Clooney donated $1 million to United Way and Oprah Winfrey added another million through her Angel Network and urged her famous friends to follow suit. Director Steven Spielberg gave $750,000 to the Red Cross and another $750,000 to the Bush-Clinton Fund.

Hip-hop stars P. Diddy and Jay Z pitched in with big checks, as did actor Nicholas Cage and singers Celine Dion and Hillary Duff.

Michael Jackson donated the proceeds of a song, "From the Bottom of My Heart," to relief efforts and actor Jamie Foxx raised $600,000 -- including $200,000 paid for a date with Paris Hilton -- through a celebrity auction.

Others took more direct action.

John Travolta flew relief supplies into the region on his private plane, Sean Penn took a private boat (albeit a leaky one) into New Orleans to rescue people. Brad Pitt founded the Make It Right Foundation, an organization dedicated to rebuilding the Lower 9th Ward in New Orleans.

Almost to a person, the performers who stepped up cited a special love for the city's artistic tradition -- from the Creole brass bands that invented jazz in the city's streets to the colorful Mardi Gras krewes whose elaborate floats and costumes are an emblem of the city's annual pre-Lent bacchanal.

U2 guitarist The Edge helped form Music Rising, a group initially dedicated to providing instruments for New Orleans musicians who had lost their own during the floods. The group gave instruments to 2,700 musicians from the Gulf region before shifting its focus to helping churches and schools rebuild their music programs.

"The New Orleans tragedy was a twofold tragedy," Edge said in 2006 during the city's JazzFest. "It was a tragedy because of the fact that this great city was devastated, but it was a tragedy because of the incredible music culture that was also destroyed."

As the city continues to struggle, assistance is still arriving in a way that's different from the aftermath of most disasters, experts said.

"There have been some institutions created as a result of it," said James Ferris, director of the University of Southern California's Center on Philanthropy and Public Policy.

"It has sort of garnered ongoing attention, not from the general public as much as from organized philanthropy."

A key difference in the case of Katrina was the 24-hour media coverage the disaster received, at least some of which was spurred by celebrity responses, Ferris said.

"Obviously, that's one of the assets that a celebrity brings to an endeavor," Ferris said. "It gets attention; it gets name recognition."

Celebrity interest in Katrina, like other public causes, didn't come without some criticism. The Katrina response was part of what led Time magazine to dub 2005 the "Year of Charitainment."

Some accused celebrities at the time of donating or volunteering simply to gain positive publicity or to take a swipe at then-President George Bush and perceptions his administration responded slowly and inadequately to the disaster.

There were reports that Penn invited photographers to follow him during his boat rescue, a claim he denied and attributed to a single tabloid newspaper that spread the story.

Penn, who had filmed a remake of the film "All the King's Men" in New Orleans and other parts of Louisiana, said getting attention wasn't a concern during his mission, which he said rescued 40 people.

"You know, it doesn't really matter," he told CNN's Larry King on September 7, 2005. "The point was that, out of the benefit of celebrity, I could afford to get on an airplane and get down there. And we got a lot of people out of the water. The rest is for people to talk about."

Hirsch, whose Sweet Home New Orleans focuses on helping musicians and members of New Orleans' famous Mardi Gras krewes, said there's value in celebrity support, not just in their ability to raise or donate funds, but to spread the word and keep the story of New Orleans alive.

"They have fans that are listening to them and are interested in their point of view," said Hirsch, whose organization has benefited from concerts by acts including the Indigo Girls, My Morning Jacket and former Rage Against the Machine front man Tom Morello. "When an artist shares their point of view with an audience, that carries weight."

@highlight

Even before Katrina, entertainers had a special place in their hearts for New Orleans

@highlight

Katrina spurred unprecedented response from entertainment world that continues

@highlight

George Clooney, Oprah Winfrey, Steven Spielberg and others donated millions

@highlight

Others like John Travolta, Sean Penn and The Edge of U2 took more direct action