(CNN) -- Johnson and Johnson will partner with Massachusetts General Hospital to develop and market a blood test that could find a single cancer cell circulating in a person's blood, the company said Monday.

Researchers hope the test will be used by oncologists as a diagnostic tool aimed at discovering as early as possible if a cancer has spread, as well as by researchers in coming up with new drug therapies.

Dr. Mehmet Toner, director of the BioMicroElectroMechanical Systems Resource Center in Massachusetts General's Center for Engineering in Medicine, says while it will take at least five years before the test is on the market, it's another step toward personalized medicine and the implications for patients are significant. "It is very big. It has the potential to turn cancer into a chronic disease, because we can monitor patients individually and respond with treatment to the genetic makeup of their cancer."

Toner says the test is like a liquid biopsy and targets almost all solid cancers -- cancers found in "solid" organs like the breast or prostate. The cancer cells it finds would be analyzed and their genetic makeup determined, which would be useful in monitoring patients and targeting therapies to the individual.

Veridex, a Johnson and Johnson company, announced the partnership in a statement, saying it involves Ortho Biotech Oncology Research and Development, a unit of Johnson and Johnson Pharmaceutical Research and Development.

"This new technology has the potential to facilitate an easy-to-administer, noninvasive blood test that would allow us to count tumor cells, and to characterize the biology of the cells," said Robert McCormack, Veridex's head of technology innovation and strategy. "Harnessing the information contained in these cells in an in-vitro clinical setting could enable tools to help select treatment and monitor how patients are responding."

Veridex launched the first commercial test using circulating tumor cell technology in 2004, the company said. It describes circulating tumor cells as cancer cells that have detached from a tumor and are found at very low levels in the bloodstream. Capturing and counting those cells can provide information to patients and doctors about prognoses with certain types of metastatic cancers, the statement said.

"The value of capturing and counting CTCs is evolving as more research data is gathered about the utility of these markers in monitoring disease progression and potentially guiding personalized cancer therapy," the Veridex statement said.

Toner said you are likely to find just one circulating tumor cell in 5 to 10 billion blood cells. In fact, a tube of blood taken during an annual exam would only have a few CTCs.

"The challenging goal of sorting extremely rare circulating tumor cells from blood requires continuous technological, biological and clinical innovation to fully explore the utility of these precious cells in clinical oncology," Toner said. "We have developed and continue to develop a broad range of technologies that are evolving what we know about cancer and cancer care."

The American Cancer Society said the new research is exciting, but it's important to remember it's just another step in the scientific process. "Researchers have been working on this and similar technologies for some time, and others have predicted a day when we will be able to diagnose cancers before they are otherwise visible by current techniques," said Dr. Len Lichtenfeld, the group's deputy chief medical officer. "It is appropriate to view announcements such as the one today with enthusiasm, but recognize that we must temper that excitement with the realization that there is still much research to be done to determine the true impact of this test on the treatment of patients with cancer."

CNN's Jennifer Bixler contributed to this report.

@highlight

NEW: It will be at least five years before test is on the market, doctor says

@highlight

Johnson and Johnson and Massachusetts General Hospital have teamed up

@highlight

The test can be used as a diagnostic tool and in research