Washington (CNN) -- All Cedric wanted was lunch.

A 14-year old student in a special education classroom in Texas, Cedric was living with a foster family because of a history of neglect, including malnutrition. But on this day in 2002, his teacher tried to punish him by withholding food, despite the abuse he had suffered as a young child.

Cedric's teacher delayed his lunch for hours to discipline him for refusing to do his work. When he wouldn't comply, his teacher put him in a face down restraint and sat on him in front of his classmates. Cedric said repeatedly that he could not breathe. He died minutes later on the classroom floor.

Cedric's tragic story isn't an isolated case in America's schools today.

According to the U.S. Government Accountability Office, over the last 20 years there have been hundreds of allegations of school personnel using restraint and seclusion in abusive ways on children. It's happening disproportionately to students with disabilities, often at the hands of untrained staff. Many of these students bear haunting physical and emotional scars. And in a number of cases, students have died.

It's difficult to believe, but there are no federal laws to prevent this from happening.

Local newspapers recount bone-chilling stories of schoolchildren tied to chairs, or with their mouths taped shut, sometimes locked in dark closets, or pinned to the floor for hours at a time. If parents treat their kids this way, it's considered a criminal offense.

But unlike in hospitals and other institutions that receive federal taxpayer funding, there are no federal protections against these abusive practices when they happen in schools.

The Children's Health Act of 2000 regulates how and when restraint and seclusion can be used in medical settings and community facilities. But classrooms, where students spend the majority of their day, are exempt.

In the absence of a federal standard, state protections for kids are all over the map. Many states have no regulations whatsoever. Children are left vulnerable and staff untrained.

Restraint and seclusion techniques should be used only as a last resort, when someone is in imminent danger of physical injury and there are no alternatives. Without proper training, staff can be hurt and students, especially small children, are at risk.

Yet the GAO and news reports confirm that these practices are used frequently, often as discipline, when students aren't physically aggressive. While there is no centralized reporting, data from the few states that do track incidents paints a troubling picture. In the 2007-2008 school year in California alone, the GAO reports, there were more than 14,300 cases of restraint, seclusion and other "emergency interventions." We don't know how many of these merited real emergencies.

In one California case, Paige, a young girl with Asperger's syndrome, was restrained in class because she was wiggling her loose tooth. Her mother, who had never consented to physical interventions, had no idea restraint was regularly imposed until her daughter came home with bruises.

As parents, when we send our children to school, we expect they will be safe from danger. And when the very people we entrust with our children's well-being inflict this type of abuse, it's not just the victims and their families who suffer. It hurts their classmates, who witness these terrifying events. It undermines the vast majority of teachers and staff who are trying to give students a quality education. It's a nightmare for everyone involved.

The easy answer here would be to blame teachers. But it would be the wrong one.

Ultimately, the root of this problem has been our system-wide failure to provide direction and enforcement. As long as school systems continue to lack the tools they need to create good policies and properly train staff, these incidents will continue.

The solution is a balanced approach to make classrooms safe for students and teachers.

With that goal in mind, on Wednesday we are introducing legislation to finally ensure that schools in every state have the resources they need to prevent inappropriate restraint and seclusion.

Our bill would set minimum safety standards in schools, similar to the protections children already receive in other institutions, so that states can ensure appropriate school district policies. It would limit physical restraints or locked seclusion to situations involving imminent danger, and require staff to be trained in administering these practices. It would outlaw mechanical restraints, such as strapping kids to chairs, and prohibit restraints that restrict breathing.

It will increase transparency and oversight, so we will finally know just how widespread these practices are, and provide the Secretary of Education with tools to enforce the law.

And it would give schools the support they need to equip their staff to handle difficult situations in the most positive manner possible.

In a time of deep partisan divide, some may wonder what prompted strange bedfellows -- a member of Democratic leadership and a member of Republican leadership -- to team up.

It's as simple as this: Schools are places for our children to learn, grow, and thrive. As a nation we must do better.

It's time to ensure that no child in this country suffers the same fate as Cedric.

The opinions expressed in this commentary are solely those of U.S. Reps. George Miller and Cathy McMorris Rodgers.

@highlight

Reps. Miller and McMorris Rodgers say kids sometimes restrained abusively in schools

@highlight

No federal laws prevent this, they say, and it happens disproportionately to special ed kids

@highlight

They say students, teachers, classmates are all harmed by abuse, with lasting effects

@highlight

Miller, McMorris Rodgers: New law would train teachers, limit restraint, provide oversight