(CNN) -- Relatives of Osama bin Laden want proof that the terrorist leader is dead and are calling for an investigation into how he was killed, according to Jean Sasson, an author who helped one of bin Laden's sons write a memoir.

"They just really want some answers, and they would just really like to know what exactly happened, why they weren't called," said Sasson, who worked with Omar bin Laden to pen a memoir titled "Growing Up bin Laden."

The United States says U.S. Navy SEALs killed bin Laden during a May 2 raid in Abbottabad, Pakistan, where he was hiding out.

On Wednesday, a key lawmaker on Capitol Hill said the death of bin Laden presents an opportunity to "break the back" of al Qaeda.

The forces collected a trove of intelligence from the compound and later buried bin Laden's body at sea. While the Obama administration has decided not to release photos of the slain bin Laden, some U.S. lawmakers will be allowed to view them.

Bin Laden's relatives "would like to have been able to have witnessed seeing the body, at least identified the body, because, you know how it is in the Middle East so many times: They really need proof or people start believing -- this has been discussed by a lot more people than me -- that many people will not believe that he's dead," Sasson told CNN Wednesday.

Her comments come a day after a statement from Omar bin Laden and his brothers was provided to The New York Times.

Asked about the statement, Sasson said Omar bin Laden -- who has publicly denounced his father's violence -- contacted her and told her he has some things to say. She said she prepared a letter for him and he approved it.

Another family member had gotten an attorney to write a letter about what relatives were thinking and feeling and Sasson said it was decided to go with the attorney's letter.

The statement published in The New York Times is from bin Laden's sons -- "the lawful children and heirs" of the notorious al Qaeda leader.

It says that despite the extensive coverage of his death, "we are not convinced on the available evidence in the absence of (a) dead body, photographs, and video evidence that our natural father is dead."

"We seek such conclusive evidence to believe the stories published in relation to 2 May 2011 operation Geronimo as declared by the President of United States Barack Hussein Obama in his speech that he authorized the said operation and killing of OBL and later confirmed his death," they said.

The statement argued that if bin Laden has been "summarily executed," "international law" might have been "blatantly violated" and that U.S. legal standards were ignored.

The statement cites the trials for late Iraqi President Saddam Hussein and late Serbian strongman Slobodan Milosevic, and notes that Osama bin Laden didn't get a "fair trial" or "presumption of innocence until proven guilty by a court of law."

"If OBL has been killed in that operation as (the) president of United States has claimed then we are just in questioning as per media reports that why an unarmed man was not arrested and tried in a court of law so that truth is revealed to the people of the world."

"We maintain that arbitrary killing is not a solution to political problems and crime's adjudication as justice must be seen to be done," the statement said.

Three other men, including one of bin Laden's sons, and a woman were killed in the raid, and bin Laden's 29-year-old Yemeni wife, Amal Ahmed Abdulfattah, was wounded.

All three of bin Laden's wives and a number of children, some of whom were bin Laden's, were taken into Pakistani custody after the raid. A U.S. official identified the other two women as Khairiah Sabar, also known as "Umm Hamza," and Siham Sabar, or "Umm Khalid."

"It is also unworthy of the special forces to shoot unarmed female family members ... killing a female and that of one of his sons," the statement said.

"In making this statement, we want to remind the world that Omar (bin Laden), the fourth-born son of our father, always disagreed with our father regarding any violence and always sent messages to our father, that he must change his ways and that no civilians should be attacked under any circumstances.

"Despite the difficulty of publicly disagreeing with our father, he never hesitated to condemn any violent attacks made by anyone, and expressed sorrow for the victims of any and all attacks. As he condemned our father, we now condemn the president of the United States for ordering the execution of unarmed men and women," the statement said.

It also urged Pakistan "to release and hand over" the wives and the children of bin Laden. The authors of the statement called for a U.N. investigation into the event and said they will pursue justice in bodies such as the International Criminal Court if questions aren't answered.

A senior U.S. official Wednesday angrily rejected the charge that international law was violated.

"There is an inherent right of self-defense enshrined in the U.N. charter within Article 51. This is a man who is a terrorist, who declared war on the United States, killed Americans and continued to plan operations against the U.S. and its allies," the official said.

On Capitol Hill, one lawmaker was talking about the opportunity the death of bin Laden presents. House Intelligence Committee Chairman Mike Rogers, R-Michigan, said that although al Qaeda is still alive and well, "they are hurt, they are damaged. Their inspirational and operational leader has been taken off the battlefield, which is a huge opportunity for us.

"The confusion with them is opportunity for us and this is the time to step on the gas and break their back."

Rogers raised the possibility that there are Pakistani officials who knew about bin Laden's hideway in the country.

He spoke of a "confusing" relationship with Pakistan, one which was cooperative at times, taking thousands of casualties battling extremists and helping arrest hundreds of al Qaeda and Taliban leaders, bomb makers, financiers and weapons dealers. However, Rogers maintained there are renegade intelligence officers and others in the Pakistani government who are sympathetic toward the Taliban and al Qaeda.

The raid in which bin Laden was killed dealt a blow to the relationship between the United States and Pakistan. The revelation that bin Laden had been living in Pakistan has fueled suspicions that Pakistani officials knew the whereabouts of the terrorist leader, while Pakistan has complained about the U.S. military incursion.

But while the ties between the CIA and Pakistan's intelligence agency are strained, they are not shut down, another U.S. official said.

This official, who did not want to be identified for safety concerns, said both sides need to continue working together.

"Both sides understand the importance of the relationship," the official said. "Cooperation is continuing, discussions are continuing, but there are issues to work through."

Sen. John Kerry, D-Massachusetts, chairman of the Senate Foreign Relations Committee, plans to go to Pakistan soon, a Senate source familiar with his plans said Wednesday. He has visited the country at other times and has the trust and respect of many senior Pakistani officials.

Most recently, Kerry visited Pakistan to help defuse tensions over the detention of Raymond Davis, a CIA contractor who was jailed in Pakistan after he shot and killed two Pakistani men in what he said was a robbery attempt. He was released from jail after compensation was paid to the victims' families.

White House spokesman Jay Carney said the administration is encouraging Kerry's trip.

"We think it's important as part of the overall efforts by the United States government to continue our collaborative relationship with Pakistan and the cooperation that we have seen in the past," Carney said.

"While we don't see eye to eye on the issues, that cooperation has led to some very important successes in our war against al Qaeda. We are working at the administration level to continue our consultations with Pakistani leaders, to continue that kind of cooperation, and are glad to see Senator Kerry make that trip as well."

In the aftermath of the U.S. raid on bin Laden's compound, Pakistani Interior Minister Rehman Malik told CNN Tuesday that the United States will be given access to bin Laden's wives and children "so they can interrogate them, they can interview them."

A senior Pakistani intelligence source had said earlier that the United States could question bin Laden's wives only if their "country of origin has been asked for permission."

Malik did not say when or where the United States would be able to question the wives. Pentagon spokesman Col. Dave Lapan said Tuesday U.S. and Pakistani officials were discussing the matter.

Carney said the administration is optimistic that U.S.-Pakistani cooperation "will continue with regards to" access to bin Laden's wives "and also to the materials that were collected by the Pakistanis after the U.S. commandos left" the compound where they killed bin Laden.

He described the U.S.-Pakistani relationship as "important and complicated."

CNN's Pam Benson and Dana Bash contributed to this report

@highlight

NEW:Lawmaker says Osama bin Laden's death a chance to "break the back" of al Qaeda

@highlight

Author says family members of bin Laden want some answers about the raid

@highlight

The New York Times publishes a statement from bin Laden's sons

@highlight

Sen. John Kerry, D-Massachusetts, is headed to Pakistan, source says