(CNN) -- Recent newspaper articles and a flurry of online responses have put the role of job training in our economic recovery under a microscope.

Even in the midst of high unemployment, some industries are having trouble finding workers with the right skills. And yet some people graduating from federally funded workforce programs are still not able to find jobs.

This "new" debate actually reflects a question policymakers have asked for several decades: Does job training work?

But is this the right question to ask? Experts project an increasing gap between workforce skills and employer needs. The gap is already pressing in some places and will worsen as the economy recovers.

For example, in Cleveland, Ohio, manufacturers have had difficulty finding people with the English, math and technical skills to operate the high-tech machinery that today's jobs require.

Worker skills are a critical ingredient in making any business go -- ask any small or medium-sized business owner, particularly in industries facing global competition. Other national governments invest a much larger portion of their GDP in worker skills. Training cannot erase the job losses we have seen in the past year, but done right it could build worker skills and help American businesses compete in the global economy.

If we want to deal with the skills gap and put more Americans to work, then training is the only option. So the question is not whether training works, but rather what kind of training is most effective?

So what's wrong with the way training works now? Our current approach is built on the idea that getting someone quickly into the workforce is the best first step.

Today, the lion's share of public workforce training dollars is spent on short-term job readiness training -- basic computer skills, interview prep, and resume development -- rather than on industry-specific skills. Organizations that offer workforce services are typically funded to get people quickly into jobs, an approach to workforce development that was built during the high-employment '90s when it was much easier to find a job. In this economy, that approach is not working as well.

But there is an approach that works better. Some organizations -- swimming against the tide of public policy and supported in large part by private philanthropy -- have developed an approach known as sectoral employment. This approach cultivates a deep understanding of local industries and employers and provides training that is closely tailored to their needs.

At Public/Private Ventures (P/PV), we have just completed a rigorous evaluation of three such programs: one in New York's South Bronx that prepares people for jobs in the IT industry, another in Boston, Massachusetts, that trains medical billers, and a third in Milwaukee, Wisconsin, that focuses on both health care and construction.

Following a two-year study funded by the Charles Stewart Mott Foundation, the results are clear and difficult to dispute: Participants in these sector-based programs were more likely to be employed and found jobs with higher wages and better access to benefits than those who did not participate in the programs. They earned about $4,000 more, or 29 percent, in the study's second year alone.

What makes these programs work? First, a flexible and nimble organization that has the ability to make connections between local employers and job seekers and that can marshal money from public and private sources to provide needed training.

On their face, these programs might not look much alike, yet they share key elements, including an understanding of what local employers need and a focus on teaching relevant technical skills; a careful recruitment and screening process that helps ensure a good match between program participants and available jobs; and connections to resources that participants might need -- like child care subsidies and transportation assistance -- to complete training and succeed on the job.

This study shows that job training can work -- if it is closely tied to local labor market needs and offered by organizations nimble enough to change as those needs, and the needs of workers, change.

The study was referenced on July 19, as the House passed the Strengthening Employment Clusters to Organize Regional Success Act of 2010, with bipartisan support. This legislation is an effort to provide more resources for developing programs that bridge the gap between employer needs and worker skills -- a complex and vitally important task as the economy begins to recover.

The SECTORS Act reflects a growing understanding on both sides of the aisle that investing in skills is critical to our economic recovery. The Senate should move to pass it quickly.

But much more needs to be done to foster public policies that support effective sectoral programs -- and to expand our base of knowledge about successful approaches to training. We must invest in research that will help us better understand the many types of programs that fall under the umbrella of "sectoral employment," improve their ability to serve job seekers, and, crucially, forge a path by which effective approaches to training may be brought to scale.

Among other things, this research should examine specific program practices and costs; the role of sector-based programs in supporting local businesses; and the most effective mix of services for different populations.

The debate about whether or not training works is a distraction from the urgent need to learn more about and build on the specific strategies that have demonstrated success. Developing an effective workforce training system is too important for America's workers and businesses to let it be derailed by an outdated debate.

The opinions expressed in this commentary are solely those of Sheila Maguire.

@highlight

Experts have debated whether job training works, says Sheila Maguire

@highlight

She says giving people basic job skills isn't enough

@highlight

Maguire: New research says training people in specific industry sectors pays off

@highlight

Job training needs to be tailored to the kinds of skills employers need, she says