(CNN) -- When CNN highlighted some excellent historic restaurants in major cities across the country last month, readers wondered why their small-town and smaller-city favorites didn't make the cut. Thus, in this follow-up tribute to more laudable veteran restaurants, we've zeroed in -- thanks to suggestions from our commenters -- on the decades-old, and in certain cases centuries-old, icons that thrive outside of America's biggest metropolises.

Columbia Restaurant, 1905

The Hernandez/Gonzmart family claims the title of Florida's oldest restaurant and America's oldest Spanish restaurant with their 107-year-old icon Columbia in the Ybor City area of Tampa. What started as a corner cafe for the cigar workers in town has ballooned into a 1,700-seat restaurant specializing in Cuban and Spanish cuisine. Live jazz and flamenco shows are offered on most nights, and the gift shop comes complete with cigar rolling demonstrations in the afternoon. The restaurant expanded with locations across Florida -- including one in Tampa International Airport -- but the locals still stop in here for the famous Cuban sandwiches, the 1905 salad, tossed tableside and the old-school Spanish decor.

2117 East 7th Avenue, Tampa, Florida (813) 248-4961

Louis' Lunch, 1895

The supposed originator of the hamburger, Louis' Lunch in New Haven, Connecticut, has been serving beef patties on white toast since before buns were even invented. Legend has it that in 1900, a customer asked the restaurant's founder, Louis Lassen, for a quick meal he could eat on the run. He broiled some steak trimmings, put them between two slices of bread, and voila, the burger was born. Over a hundred years later the lunch wagon has evolved into a squat, Victorian-looking restaurant, featuring wooden chairs and carved graffiti-ridden tables and a menu offering just four items: burgers, potato chips, potato salad and pie. The patties are placed on vertical, antique 1898 cast iron grills that cook the burgers on both sides simultaneously to medium rare. And don't ask for ketchup. Only three condiments are offered: cheese spread, tomatoes and onions.

261-263 Crown Street, New Haven, Connecticut (203) 562-5507

Samoa Cookhouse, 1893

Back in the heyday of logging in the late 19th and early 20th centuries, companies set up cookhouses to feed their workers. These mess halls/community centers offered three hot meals a day (and cold meals on Sundays) for an affordable price, served family style. The Louisiana-Pacific Samoa Cookhouse in Samoa, California, began as one such kitchen in 1893 and continues the tradition of serving affordable, family-style meals in a no-frills setting. Current menu items include French toast, pancakes and sausage for breakfast, chicken parm and pot roast for lunch, and roast beef, short ribs and ham for dinner. Those with a strong sense of nostalgia should check out the restaurant's museum on the second level, which is filled with old photographs along with logging and maritime relics.

908 Vance Avenue, Samoa, California (707) 442-1659

Smackdown: Tampa Bay area boasts sandy shores, surrealism

Brookville Hotel, 1870

When the Brookville Hotel, the home of famous, affordable and hearty fried chicken dinners, was forced to move locations in 2000 due to a sewage issue, the owners decided to make an exact replica of their former home, one their loyal regulars would recognize. The new version, located 40 miles away from Brookville in Abilene, Kansas, includes a rebuilt facade and as many of the old doors and fixtures from the original hotel restaurant, with origins dating back to 1870, as possible. Brookville Hotel stopped welcoming overnight guests decades ago, but the name lives on. The chicken dinner, served since the current owners' great-grandmother originated it in 1915, includes coleslaw, half a fried chicken, mashed potatoes, creamed corn, biscuits and ice cream, all for $15.

105 E. Lafayette, Abilene, Kansas (785) 263-2244

Shady Glen, 1948

Manchester, Connecticut, institution Shady Glen began back in 1948 as a classic soda fountain and ice cream maker, the offshoot of a dairy farm. When the original owners, John and Bernice Rieg, decided to branch out to lure business in the colder months, they added savory diner staples to their menu -- including a special take on the classic griddle-top cheeseburger featuring a giant crown (using four slices) of crispy cheese. Burgers and homemade ice cream are still served in the old diner today, which was enlarged and renovated over the decades but has kept the same look since 1978.

840 Middle Turnpike E, Manchester, Connecticut (860) 649-4245

Cold Springs Tavern, 1886

Cold Springs Tavern, founded in 1886 on a site established as a stagecoach stop in the 1860s, is located 20 minutes north of Santa Barbara, California, nestled on a mountainside off a winding road. Its buildings, a group of low log cabins outfitted with fireplaces, taxidermy and animal hides, have been preserved through the decades, making this a local destination, even without much signage or promotion. The place is big with bikers, especially on Sundays when live music is offered and the Log Cabin Bar offers their locally famous tri-tip steak sandwiches.

5995 Stagecoach Rd., Santa Barbara, California (805) 967-0066

Race for the next presidential birthplace

Red Fox Inn and Tavern, 1728

Those looking for an old Colonial experience should seek out the Red Fox Inn and Tavern, right in the middle of Northern Virginia's hunt country. Founded in 1728, the inn housed presidents and Revolutionary War heroes, was a medical center for the Confederate Army during the Civil War, and has attracted famed guests like Jackie Onassis and Elizabeth Taylor. The tavern looks as it might have in the 18th century, with thick stone walls, large fireplaces, beamed low ceilings and long oak tables. The menu changes seasonally but features old Southern classics like fried chicken, crab cakes and peanut soup.

2 East Washington Street, Middleburg, Virginia (540) 687-6301

Al's Restaurant, 1925

A guide to old-school American restaurants wouldn't be complete without a grand steakhouse, and Al's Restaurant, a St. Louis fixture since 1925, fits the bill. Stepping inside the restaurant, located in an unassuming building by the city's waterfront, is like entering a time warp. Though Al's began as an outpost selling egg sandwiches to the dock workers nearby, the founders' son transformed it into a fine-dining chop house with white tablecloths, wood paneled walls and a verbal menu -- servers come around with raw cuts of meat and fish to choose from -- of chops, steaks and seafood. It's not cheap by any stretch, but Al's is a staple in the area and is run by the grandchildren and great-grandchildren of the original immigrant founders.

1200 North 1st St., St. Louis, Missouri (314) 421-6399

Chef Vola's, 1921

Up until the 1980s, when the current owners bought it, Chef Vola's had no phone number, no signage and survived for 60 years in the basement of an Atlantic City row house strictly by word of mouth. Though it's a little easier to access now, reservations are still tough to come by, with good reason. The setting is unique in that it feels like someone's home -- until recently diners had to walk through the dishwashing area to get to the bathroom -- and the vibe is that of a large family gathering. And then there's the food: fettuccine in clam sauce, a primal-sized veal parmigiana on the bone, steak charred "Pittsburgh style," famed banana cream and caramel ricotta pies, and dozens of others delectables. Try calling the day of to see if there are any cancellations, and note it's BYOB and cash only.

111 S. Albion Pl., Atlantic City, New Jersey (609) 345-2022

Oktoberfest closer to home: Five U.S. festivals

The Bright Star, 1907

A large contingent of customers have been coming to The Bright Star, a 105-year-old casual Greek/Southern restaurant in downtown Bessemer, Alabama, for decades. A large contingent of the restaurant's workers have been there even longer. And its owners, Nicky and Jimmy Koikos, one of whom is there almost every shift, have been keeping the family tradition alive since 1966. Why all the dedication? First there's the fresh seafood, trucked in from the Gulf Coast daily and served with a Greek flair. But also, it serves as a community gathering place and hub for Bessemer locals, growing from a 25-seat cafe to a 330-seat restaurant over the decades. Specialties include the seafood gumbo, the Greek snapper and the lemon ice box pie.

304 19th St. North, Bessemer, Alabama (205) 424-9444

Where have you had a favorite meal that stands out and brings back fond memories? (It doesn't have to be fancy. ) Please share in the comments below.

@highlight

A recent story on historic restaurants generated a flood of reader suggestions

@highlight

Here are 10 historic restaurants outside of America's biggest cities

@highlight

Try famous fried chicken in Kansas or the original hamburger in Connecticut