Washington (CNN) -- Homeowners who wound up paying thousands more dollars in special taxes than their neighbors for the same sewage service found no relief at the Supreme Court on Monday.

The justices, by a 6-3 vote, upheld the decision by city officials in Indianapolis to deny refunds for some residents who paid their assessment fees up front, while forgiving the remaining taxes of those choosing an installment plan.

Chief Justice John Roberts, in a tough dissent, said the result was a "gross disparity."

Those with the heftier bills sued, saying their Equal Protection rights under the Constitution were being violated.

The city had abandoned its installment plan option after just one year, and Justice Stephen Breyer said that was a proper exercise of government, since it reduced administrative costs.

"The city had a rational basis for distinguishing between those lot owners who had already paid their share of project costs and those who had not. And we conclude there is no equal protection violation," he said. "State law says nothing about forgiveness, how to design a forgiveness program, or whether or when rational distinctions in doing so are permitted."

He said the Supreme Court stepping in "would risk transforming ordinary violations of ordinary state tax law into violations of the federal Constitution."

Indiana allows public works projects to be apportioned, meaning costs can be spread equally along "all abutting lands or lots."

The Brisbane/Manning Sanitary Sewers Project began in 2001, to connect about 180 Indianapolis homes to the city's existing sewage system. Thirty-eight homeowners individually decided to pay their assessments up front -- $9,278. The rest agreed to monthly installments spread over 10 to 30 years, including interest.

But the city soon decided to shelve the long-standing assessment plan, concluding the lot-by-lot payments were discouraging families from moving from less healthy septic systems to more efficient sewer systems.

The new public improvements financing system adopted by Indianapolis now relies on a single, flat $2,500 fee to connect sewer lines. City-issued bonds would help cover remaining costs. Outstanding payments under the old method were canceled, but refunds were denied those who had already paid in in full.

Court records show some property owners on the installment plan paid as little as $309, and a quarter of the rest put in less than $1,000.

The 38 homeowners who had paid in full asked for a partial refund, but officials in the state capital said in a letter that to provide one "would establish a precedent of unfair and inequitable treatment to all property owners" who had also paid the assessments throughout the city, even partially. Thirty-one homeowners then sued, claiming disparate treatment. The average claim was about $8,000.

Breyer said the city's desire to reduce "financial hardships" for those paying under the old lot-by-lot system was adequate justification for the change, and did not amount to a constitutional violation. He said the controversy was a local one, not implicating interstate commerce.

But Roberts disagreed sharply. "Every generation or so, a case comes along when this court needs to say enough is enough, if the Equal Protection Clause is to retain any force in this context."

Joined by Justices Antonin Scalia and Samuel Alito, Roberts added that the city promised to treat all homeowners the same, but "ended up charging some homeowners 30 times what it charged their neighbors for the same hook-ups. The equal protection violation is plain."

Groups opposing the city were disappointed in the decision.

"The Equal Protection Clause is supposed to mean what it says: that people are entitled to equal treatment," explained Institute for Justice attorney Robert McNamara, who filed a supporting brief in the case. "But the lesson of today's decision is less 'people must be treated equally' and more 'never pay the government up front.'"

The case is Armour v. City of Indianapolis (11-161).

@highlight

Homeowners seeking a refund of special tax payments lose their appeal

@highlight

The Supreme Court, in a 6-3 ruling, says the city had a rational basis for its action

@highlight

Some homeowners paid thousands more before the city changed its payment plan