RICHMOND, Virginia (CNN) -- Lawyers for convicted September 11 conspirator Zacarias Moussaoui urged an appeals court panel Monday to throw out his guilty plea and grant their client a new trial. They argued Moussaoui did not have an adequate defense and lacked key information to defend himself.

Zacarias Moussaoui is serving a life sentence at the federal prison in Colorado known as Supermax.

Legal analysts believe the appeal has only a slim chance of success.

In arguments before the 4th U.S. Circuit Court of Appeals, lawyers for Moussaoui said he was confused about the charges he was pleading guilty to, and he did not have access to information that would have shown he was not supposed to be part of the 9/11 plot.

One defense lawyer characterized Moussaoui as "unknowing." Defense lawyers point to statements, later made public, from the man who plotted the attacks, Khalid Sheikh Mohammed, who said Moussaoui was not intended to be a participant. Moussaoui did not know what Mohammed had said because it had been classified.

"A guilty plea that is invalid is invalid," defense attorney Justin Antonipillai told the three-judge panel.

A Justice Department lawyer strongly countered, telling the court Moussaoui's plea was voluntary and unconditional. Referring to a letter Moussaoui sent the district court at the time of the plea, Justice Department attorney Kevin Gingras said, "He understands what he is pleading guilty to."

Gingras told the court Moussaoui knew in general that there was information that could help his defense but chose to plead guilty anyway, thereby waiving any right to now challenge that decision.

"He understood there was stuff out there," Gingras said. "He knew the gist," referring to redacted copies of appeal court rulings about what detainees might testify to and the 9/11 commission report.

In April of 2005, Moussaoui pleaded guilty to terrorism conspiracy charges, and in May of 2006 he was sentenced to life in prison after a jury decided not to impose a death sentence.

Moussaoui, who is being held at the maximum security federal prison in Colorado known as Supermax, was not in the courtroom for the hearing. It's expected to be several months before a ruling is issued.

His attorney was met with mostly skeptical questioning by the judges.

"He insisted on pleading guilty and was allowed to do so only after extensive efforts to assure that it was knowing and voluntary," said former U.S. Attorney Kendall Coffey, adding the district judge presiding over the case tried to make sure Moussaoui's rights were protected.

Moussaoui's attorneys argued his original defense team, which vehemently tried to dissuade him from pleading guilty, should have been able in an unclassified way to brief their client on the contents of the classified information so he knew the full scope of the evidence.

They had "one hand tied behind their backs," Antonipillai said.

The judges hearing the case and the Justice Department attorney pointed out he probably would have received some of that material if he had gone to trial instead of pleading guilty.

"It is his choice to pull the plug" on the process and plead guilty, Gingras said.

Another argument made by Moussaoui's team was that he was denied the right of counsel because he could not hire a lawyer he wanted. After telling the court he did not want the court-appointed attorneys to represent him, Moussaoui tried to be his own attorney. But after constant outbursts the judge ended that effort.

The court-appointed lawyers then took over the defense, but Moussaoui never had a good relationship with them. He wanted a Muslim lawyer from Texas, Charles Freeman, to be his attorney, but Freeman did not have security clearance.

Moussaoui was arrested in August of 2001 in Minnesota after instructors at the flight school he was attending reported he was acting suspiciously and did not have much flying experience. Throughout his legal proceedings he changed his story -- at first claiming he was not supposed to be part of the September 11 attacks and then saying he was scheduled to fly a fifth plane that day and then reversing himself back to his original claim of non-involvement.

His sentencing trial, which included evidence collected by the FBI relating to the 9/11 attacks, was supposed to showcase how a high-profile terrorism suspect could be tried in federal civilian court. But his trial ended up delayed for several years over a series of legal fights, including his attempt to defend himself, which included rants in the courtroom and the defense trying to gain testimony from some of the high-ranking al Qaeda detainees in U.S. custody.

Several relatives of those who died in the 9/11 attacks traveled to Richmond for the hearing. Rosemary Dillard, whose husband was on the plane that went into the Pentagon, told CNN, "People need to know this process works." Abraham Scott, whose wife worked in the Pentagon, said attending the hearing shows "we are still interested. ... We are still supporting the legal process." Both Dillard and Scott attended every day of the 2006 sentencing trial.

With the prospect that more terrorism suspects could be tried in federal courts with the promised closing of the Guantanamo Bay detention camp, Dillard and Scott say Moussaoui's case shows the civilian trials can work.

However, the appeal judges grappled with such key questions as how to guarantee a terrorism detainee access to classified information without compromising national security, and how to determine what degree of involvement in a terrorist plot is needed to justify a death sentence.

Analysts say some detainees, because of evidence and other reasons, should be brought to trial in other systems.

"The extraordinary challenges of balancing national security with the rights of a terrorism defendant in a civilian trial vividly illustrate why the new administration should consider the use of military tribunals for at least some of the Guantanamo detainees," said former U.S. attorney Coffey.

@highlight

Defense lawyers say 9/11 conspirator lacked key info to defend himself

@highlight

Zacarias Moussaoui sentenced to life in connection with September 11 attacks

@highlight

Prosecutors say Moussaoui's guilty plea came voluntarily

@highlight

Legal analysts believe appeal stands little chance of success