The rollout of the Affordable Care Act has been unquestionably rocky, but the rush to judgment was over the top. Critics had their knives out even though little data are available on initial program enrollment and success. It's much too early to declare the program either a failure or a success.

Commentators who claim certainty need to be more humble in recognizing how little we know yet and more patient until we know more.

All the focus on the website problems obscured those benefits the ACA has already created since its passage in 2010.

More than 3 million young adults have gained insurance coverage after family coverage was extended through age 26. Since the law passed, closing Medicare's "doughnut hole" allowed more than 7 million seniors and disabled people to save an average of $1,200 per person on prescription drugs.

Consumers have saved about $5 billion over the past two years through requirements that insurers spend at least 80% of the premium dollar on care for patients. And 71 million Americans with private insurance, as well as 25 million enrollees in Medicare, have gained coverage for at least one free preventive service.

The years since the ACA was passed have been marked by the slowest three-year period of health care cost growth on record.  The ACA doesn't bear full credit for this slowdown, particularly given the weak economy.  But the fact that the slowdown has persisted even as the economy has improved, and the fact that costs have grown more slowly even within the Medicare program whose enrollees are largely protected from economic shocks, suggests that the ACA is playing some role in this historic slowdown.

The early success stories have been ignored in all the attention paid to the implementation problems.  The premiums offered on the exchanges cost 16% less than what the Congressional Budget Office projected them to be.  This results in significantly lower costs to people and saves almost $200 billion in the federal government budget.

Of course, the biggest changes to our system took place New Year's Day. But it is simply too early to judge their impact.

For example, when Massachusetts piloted the approach embodied in the ACA, we had very slow enrollment, with only 123 paying customers signing up the first month our subsidized insurance was available. There was a rush of enrollment right before the individual mandate kicked in, and ultimately over three years the program covered about two-thirds of the state's uninsured citizens, leaving Massachusetts with a 3% uninsured rate, the lowest in the nation.

So, when will we be able to draw conclusions?  The first date to focus on is March 31, when we can measure how many people enrolled in private and public insurance.

Yet what matters more than total enrollment is the health mix of enrollees, relative to what insurers expected when they provided their lower-than-expected insurance bids. We won't really know about this health mix until the end of May, when insurers release their rates for 2015. I expect that we will see only moderate increases in insurance rates at that point, as the federal government has created risk-sharing programs that should mitigate any "rate shock" to the market.  But we won't know for sure until we see the rates.

The next key time to check success will be the fall of 2014, when the government releases its initial figures on the changes in insurance coverage.

Although many have made bold claims about how this law will impact coverage by private and public insurance, we simply won't know until we see the data from our major household surveys of insurance coverage, available in the fall of 2014.  Ultimately, the projections of the Congressional Budget Office suggest that the ACA will not be fully implemented for three years, the amount of time it took to ramp up to full implementation in Massachusetts. So we won't be able to draw final and firm conclusions until late in 2016.

This timetable might seem long, but a change as large as the ACA takes time. We must be patient in evaluating that change. Once the data come in, and enough time for the law to be fully implemented has passed,  we can truly draw conclusions about this signature episode in the history of U.S. social policy.

@highlight

Jonathan Gruber: It's way too early to declare the Affordable Care Act a failure or a success.

@highlight

Gruber: It's improved health care since 2010 for young adults, those on Medicare

@highlight

He says a crucial measure on March 31 will be health mix and number of enrollees

@highlight

Gruber: It will take three years to fully implement, like Massachusetts'  law did