U.S. officials say they have specific reasons to worry about security in Sochi, only three days before the Winter Olympic Games are set to open in the Russian city.

Speaking at a House Intelligence Committee hearing on Tuesday, Matthew Olsen, director of the National Counterterrorism Center, highlighted concern over the Games and whether Muslim fundamentalists in disputed regions of Russia -- or other groups -- could launch deadly attacks on selected targets.

"There are a number of specific threats of varying degrees of credibility that we're tracking," he said. "And we're working very closely with the Russians and with other partners to monitor any threats we see and to disrupt those."

Russian security forces have cracked down on suspected militants in the restive North Caucasus republic of Dagestan and elsewhere in recent weeks after twin suicide bombings in the city of Volgograd in December.

"The primary threat, from a terrorism perspective, comes from Imarat Kavkaz, probably the most prominent terrorist group in Russia. It's made its intent clear to seek to carry out attacks in the run-up to the Games," said Olsen. "We think the greater danger from a terrorist perspective is in potential for attacks to occur outside of the actual venues for the Games themselves in the area surrounding Sochi or outside of Sochi in the region."

His comments were echoed by U.S. Rep. Mike Rogers, chairman of the House Intelligence Committee, who spoke to CNN's "Erin Burnett OutFront" Tuesday night.

"I think the venues themselves will be OK. The Russians have done a lot of guards, gates and guns to try to secure the venues and try to get a ring around the Games. I'm very concerned by the sheer level of attention and effort, not just from Chechens and folks in that region, but outside of that region that have expressed an interest in actually having a violent act occur at the Games."

He complained about cooperation issues.

"They're not at 100%. They really should be when it comes to peoples' lives at the Games, and we know that it's such a high-threat environment," said Rogers, R-Michigan.

President Barack Obama was briefed Tuesday on U.S. efforts to support security in Sochi.

"He was assured by his team that they are taking all appropriate steps regarding the safety of Americans.  He directed them to continue to work closely with the Russian government and other partners toward a secure and successful Sochi Games, and to review carefully and act on any new information that might affect the security of the Games," according to a White House statement.

Austrians threatened

Americans aren't the only ones worried about security.

Concerns that have cast a shadow in the lead-up to the Games were heightened when two Austrian competitors received a threat.

Wolfgang Eischer, spokesman for the Austrian Olympic Committee, told CNN the body received a letter, written in German, threatening two female members of the Winter Olympic team. He would not confirm whether the letter was posted in Russia.

"This anonymous letter contains a concrete (piece of) information about two persons being in danger with regard to Sochi, and further details are not public," Interior Ministry spokesman Karl-Heinz Grundboeck said.

It was not known who made the threats, although Islamist militants have warned of attacks to undermine Russian President Vladimir Putin's hopes of using the Games to show Russia is a safe, modern state.

Putin arrived in Sochi Tuesday on a "working visit," according to state news agency RIA Novosti.

A leopard rehabilitation center was the first stop on Putin's schedule. The animals at the center, which opened nearly four years ago, are under the President's personal protection, state media said. One of them is a 6-month old leopard kitten called Thunder.

Costs in spotlight

Putin also attended several events held by the International Olympic Committee on Tuesday, including the opening of the 126th IOC session, where he met IOC President Thomas Bach.

Putin called the Games a grand project, "not just in terms of the external image of the city of making it more beautiful, more comfortable, but also in terms of the assistance, the social and economic, cultural and ecological aspects."

Bach on Monday addressed criticism of the cost of the Games, saying that huge sums spent on improving infrastructure should not be wrapped into the total cost, according to RIA Novosti.

The costs of the Sochi Games "do not exceed previous Olympics," he said.

"To transform a little bit old-fashioned summer resort into a modern, year-round sport and tourist destination -- you can see this transformation -- these are not Olympic costs. This is the transformation of a whole region, and the Games serve as a catalyst for this kind of development."

Russian Deputy Prime Minister Dmitry Kozak last year put the total cost at $51 billion, which would make the Sochi Games the most expensive ever held.

But Russian officials now put the cost of the Games at $6.4 billion, saying the money spent on improving transport links, power supplies and sewerage should not be included in the sum.

Unfinished hotel rooms

Concerns have been raised that some of the hotels built for the event aren't ready to welcome journalists and athletes as planned.

But Bach said only 3% of hotel rooms are unfinished, RIA Novosti reported. Citing the Russian organizers, the IOC chief said that the people affected would be offered alternative accommodation and that outstanding issues would be resolved in time for the Games.

In the seven years since Russia won its bid to host the 2014 event, authorities have built a highway, a high-speed train line, electric power stations and an entire series of resort villages in the Caucasus Mountains, where the alpine sport events will take place. It has also built tens of thousands of new hotel rooms.

OPINION: Vladimir Putin's remarkable comeback

@highlight

Chairman of the House Intelligence Committee complains about cooperation

@highlight

Austrian team receives threatening letter

@highlight

Russian President Vladimir Putin in Sochi three days before the Winter Olympics open

@highlight

Organizers are scrambling to get everything ready for the Games