(CNN) -- The current round of fighting between Hamas and Israel will eventually stop. When it does, grieving and exhausted Israelis and Palestinians will still be neighbors. Their differences will remain.

The aftershocks of this war will reverberate not just in Gaza, the West Bank and Israel, but also in the streets of Cairo and Riyadh, in the cafes and living rooms of Paris, in the foreign ministries of Arab countries and in the meetings rooms of the U.S. State Department. This war has exposed damaged nerves, deep prejudices and flawed policies.

Here are five places where we will see the impact after the fighting stops.

Israel

As Israelis were taking cover from Hamas rockets and the Gaza-based Islamist group announced it was also targeting planes flying in and out of Israel's main airport, a television anchor in Lebanon offered a most unhelpful suggestion. Iran, she said, should give nuclear weapons to Hamas to fight Israel. Meanwhile, Iran's Supreme Leader reiterated his wish to see Israel wiped away.

These messages remind Israelis of the seriousness of their situation. Hamas has no interest in a two-state solution. It is committed to obliterating Israel. Israelis do have disagreements regarding settlements and withdrawal from the West Bank. But when it comes to Hamas, there is no question. The Hamas charter reads: "Our struggle against the Jews is very great and very serious."

As the writer David Grossman put it, leftist Israelis now see that "the right wing's fears are not mere paranoia," and the right will see that there are limits to the use of force.

This fight will erode the position of the extreme left and the extreme right in Israel, giving a boost to pragmatic advocates of security. The debate will revive calls to find other options and strengthen more moderate forces among Palestinians who have lost ground to Hamas.

The imperative to find a new way forward with moderate Palestinians will re-emerge after frayed nerves cool. But an old obstacle has grown: Israelis' greatest fear is a Palestinian state falling to extremists, as Gaza did to Hamas, receiving weapons from Iran and others. There is no way Israelis will now accept an armed Palestinian state within tunneling distance of its major cities, especially if Hamas remains a dangerous player.

Palestine

Hamas' bravado and its killing of Israelis may give a popularity boost to the group. But Palestinians are pondering Hamas's tactics. They will blame primarily Israel, no question, but they will take a look at the Hamas strategy that resulted in so much death and destruction.

Palestinian Authority President Mahmoud Abbas was one of the first to say it publicly. When Israel was warning Hamas to stop the rocket fire that triggered a ground assault, Abbas sounded exasperated. "What are you trying to achieve launching rockets?" he asked Hamas, adding, "We prefer to fight with wisdom."

With Hamas fighters hidden in tunnels, drawing Israeli fire to civilian areas, no matter how much you hate your enemy, is a tactic that warrants examination if not outright condemnation.

In a stark shift from previous conflicts, criticism of Hamas was widespread in Arab media. Egyptian journalists, in particular, fulminated against Hamas.

Europe

The suffering of the Palestinian population of Gaza has been a heartbreaking aspect of this conflict, and it's hardly surprising that it spurred protests, particularly in cities with large Muslim populations. But what happened in a number of European cities in France, Germany, Belgium, the Netherlands and elsewhere was something that goes far beyond a show of sympathy for the victims of war or a rejection of Israel's tactics.

Europe saw some of the ugliest eruptions of blatant anti-Semitism since the 1940s. Critics of Israel often claim that Israel unfairly hides from critics by charging anti-Semitism, but cries of "death to the Jews," "slit the Jews throats," or "Jews to the gas chambers" along with the smashing and torching of Jewish-owned shops and attacks on synagogues, have pulled back the cover, revealing anti-Jewish sentiment that still runs deep, and in most cases remains unspoken in polite circles. We will find out how seriously European leaders address the matter now that we have found what lay hidden behind the curtain of civil discourse.

Middle East

The Israel-Hamas war has highlighted the emerging ideological and political alliances of a new Middle East. Turkey and Qatar have emerged as the champions of Hamas. Their support for the Muslim Brotherhood during the Arab Spring became increasingly bold. Now the two countries have become the defenders of Islamist groups across the region, drawing the ire of other Arab governments.

Advocating for Islamists in Gaza is particularly beneficial to their political objectives, because the Palestinian cause draws popular support. That's why Egypt's decision to stand back is so remarkable. Egypt under its new government has taken a firm stance against Hamas and increasingly clashes with its supporters, particularly with Turkey. These political alliances complicate matters for the Washington.

United States

The fighting in Gaza, with the dramatic pictures of Palestinians civilian deaths and thousands of rockets fired by Hamas towards Israeli civilians, has caused a diplomatic conundrum for Washington. Israel is America's foremost ally in the region. But President Barack Obama and Prime Minister Benjamin Netanyahu have disagreements. Instead of taking a firm stance on Israel's side, the United States has engaged in diplomacy with Qatar, which supports Israel's deadliest enemies, and Turkey, whose leaders have slandered and smeared Israel.

Details of the diplomatic process, which amazingly excluded Palestinian moderates, have caused consternation in Israel, fury in Palestinian circles and disdain in Egypt. When the cease-fire comes, the United States should review how it balances allies and their antagonists in times of crisis, because even after the shooting stops, this conflict is far from over.

@highlight

Violence continues as Israel and Hamas militants fight in Gaza

@highlight

Frida Ghitis: This war impacts not just Gaza, but also Europe and Mideast

@highlight

She says the U.S. should review how it balances allies and their antagonists

@highlight

Ghitis: Hamas has no interest in two-state solution; both sides need moderates