(CNN) -- This weekend, Saudi women will once again defy their nation's long-standing driving ban and get behind the wheel, facing harassment, intimidation and arrest.

On Saturday, the "Women2Drive" campaign will renew Saudi women's demand to exercise their right to drive. In many parts of Saudi Arabia, women are already driving and publishing online videos of themselves in the act. Interestingly, footage has also surfaced of Saudi men driving by and giving the thumbs-up sign to show their support.

An informal Saudi ban on driving became official policy in November 1990 during the Gulf War. As female American soldiers based in Saudi Arabia drove freely through military bases, 47 Saudi women organized a convoy to drive the streets of Riyadh in protest against the law that restricted them. Officials arrested them and suspended many from their jobs.

The Grand Mufti, the country's most senior religious authority, declared a fatwa, or religious edict, against women driving because driving would expose women "to temptation" and lead to "social chaos." Prince Nayef bin Abdulaziz, then minister of interior, issued a decree on the basis of the fatwa banning driving for women.

The Grand Mufti who issued the fatwa died in 1999, as Prince Nayef did in 2012, but the ban has remained. When King Abdullah came to power in 2005, he said he believed that, "the day will come when women drive." That day might have arrived.

Saudi Arabia issues warning to women drivers, protesters

Saudi women launched the online "Women2Drive" campaign in 2011, perhaps inspired by women in Egypt, Yemen, Syria and Libya who stood shoulder to shoulder with men during uprisings to overthrow dictators and fight for freedom. They declared that starting on June 17, 2011, women with international drivers' licenses should take to the roads.

Scores drove, and many were stopped by traffic police. Their male guardians were forced to sign pledges that they would not allow the women to drive again. One woman was sentenced to 10 lashes; later an appeals court overturned her sentence.

Recently, Saudi Arabia has made several small advances in women's rights. Women can stand as candidates and vote in municipal elections, next due in 2015. They can work in various sectors without approval from their male guardians. The king has appointed 30 women to the Shura Council, his 150-member senior advisory body. Saudi Arabia has also recently passed a law criminalizing domestic violence.

Despite these advances, Saudi women continue to face profound discrimination. The guardianship system still treats them as legal minors who cannot conduct official government business, travel abroad, marry, pursue higher education or undergo certain medical procedures without permission from their male guardians -- a husband, father, brother or even a young son.

Two leading women's rights activists, Wajeha al-Huwaider and Fawzia al-Oyouni, who have also fought the driving ban, face imprisonment for trying to help a woman who said that her husband had locked her and her children in their home without food or water.

Saudi blogger detained, but hopeful about campaign allowing women to drive

The ban on driving may not be the most limiting form of discrimination for some Saudi women, yet it has become symbolic of a much deeper oppression that touches all aspects of women's lives in the kingdom: It has become for Saudi women what a bus seat was to Rosa Parks and other African-Americans in the 1950s.

To explain why women cannot drive, Saudi authorities often use the excuse that "society is not ready."

Yet on occasion, King Abdullah has chosen to ignore such arguments and sidestep the religious establishment. He opened the King Abdullah University for Science and Technology in 2009 as the first mixed-gender university in the kingdom. Then he fired a cleric on the Council of Senior Scholars, the highest state body for the interpretation of Islamic law, when the man spoke out against the mixing of men and women at the university.

Recently, a cleric presented a new excuse to prohibit driving for women: he asserted that "driving affects women's ovaries." While this absurd contention is unsubstantiated by any medical or scientific evidence, it may be significant in Saudi discourse because it seems to separate the prohibition on driving from Islamic law, or Sharia, claiming women shouldn't drive because of health risks, rather than any religious prohibition.

Even the head of the religious police stated in September that Sharia has no text forbidding women from driving.

In short, the Saudi government, having ratified the U.N. Convention on All Forms of Discrimination Against Women, is obliged to treat women equally and not enforce a discriminatory policy.

As Saudi women take to the roads again, the world should join them in demanding an end to this denial of basic rights.

The opinions expressed in this commentary are solely those of Rothna Begum.

@highlight

Rothna Begum: Saudi women to renew right-to-drive campaign this weekend

@highlight

She says women who have defied longtime ban have been arrested, fired from jobs

@highlight

She says nation has made small advances in women's rights but they're still oppressed

@highlight

Begum: World should join "Women2Drive" campaign and denounce denial of this right