(CNN) -- A mysterious, circular structure, with a diameter greater than the length of a Boeing 747 jet, has been discovered submerged about 30 feet (9 meters) underneath the Sea of Galilee in Israel.

Scientists first made the discovery by accident in 2003 using sonar to survey the bottom of the lake but published their findings only recently.

"We just bumped into it," recalls Shmuel Marco, a geophysicist from Tel Aviv University who worked on the project. "Usually the bottom of the lake is quite smooth. We were surprised to find a large mound. Initially we didn't realize the importance of this but we consulted with a couple of archaeologists, and they said it looked like an unusually large Bronze Age statue."

The structure is comprised of basalt rocks, arranged in the shape of a cone. It measures 230 feet (70 meters) at the base of the structure, is 32 feet (10 meters) tall, and weighs an estimated 60,000 tons. It is twice the size of the ancient stone circle at Stonehenge in England.

Its size and location, say Marco, who also took video of the structure during a scuba dive to examine it, indicated it could have been constructed underwater as a type of fish nursery. However archeologists think it more likely it was built on dry land and later submerged by the lake.

"From a geophysical perspective, it is also important to the history of the lake, because it means the water level was lower than it was today," says Marco.

According to Yitzhak Paz, the archeologist who led the study, the fact that the structure is underwater has made it a particularly difficult study.

"If the site was inland, it would be much easier to investigate. By now we would have excavated, but because it's submerged we haven't yet been able to. It is a much harder process, both physically and financially. It is very expensive to raise support for such an enterprise."

Watch: Bringing ancient Babylon back from the dead

The exact age of the structure has been difficult to pinpoint, but calculations based on the six to ten feet (two to three meters) of sand that have accumulated over the bottom of the base -- sand accumulates an average of one to four millimeters per year -- as well as comparisons to other structures in the region, put the estimate anywhere between 2,000 and 12,000 years old.

The possible purpose of the structure is even more enigmatic.

Dani Nadel, an archeologist from the University of Haifa, who partnered on the site, and who has led several prehistoric excavations in the region, notes it shares similarities with communal burial sites, though he's quick to discourage anyone from drawing a definitive conclusion.

"This is such a huge structure that it truly is something unusual. It could have been a big ceremonial structure, or a ramp. There could have once been statues on top of people in certain rituals. I mean, I'm really going wild here. The truth is we don't know how it was constructed, what its exact age is, how it was used, or how long ago it was used. We have several speculations, but we don't know much except that it's there and it's huge."

Despite the limitations of examining underwater ruins, Nadel says that once they do raise the funds to excavate, there is a good likelihood that their findings will be more complete than would be possible with a land-based structure.

Read more: UAE's desert lake causes eco-controversy

"Above land, many organic remains are decomposed by worms, and other creatures needing oxygen. Underwater, you don't have oxygen, so the process of decomposition is on a much smaller scale," he says.

Nadel points to Ohalo II, a site he excavated near the Sea of Galilee that had been submerged for 23,000 years before a drop in water level made it easy to excavate. Ohalo II is significant because it was one of the best preserved prehistoric sites in the world.

"In most sites, you're lucky to find five or ten seeds. At Ohalo, we found 150,000. We learned a lot about the diet (of the inhabitants), what fish they were eating, what animals they were hunting. When a site is underwater it gives us the opportunity to see history in much more detail."

What archeologists are certain of is that the monument was likely of great importance to the people who built it. Marco notes that the nearest basalt outcrop was a few hundred meters from the site, and that the stones, which were three to six feet (one to two meters) in width, would have weighed over 200 pounds (90 kilograms) at times.

"We see a society that was capable of organizing the construction of such a large structure. It's unique to transport these stones and unique to arrange them. You need to plan and to mobilize people, because they're too heavy to be carried by a single person."

Nadel points out that given the harsh environment such a structure was a particularly impressive accomplishment.

"You have to imagine," says Nadel, "these people were building something that was more durable than their brush huts."

@highlight

Ancient structure twice the size of Stonehenge found submerged

@highlight

Thought to be between 2,000 and 12,000 years old

@highlight

Archeologists believe it was built on land then later submerged

@highlight

Guesses as to site's purpose; could be ceremonial structure or huge ramp