(CNN) -- British Prime Minister David Cameron and the "No" campaign are entitled to savor their victory in the referendum on Scottish independence.

At the end of the day, the Union flag still flies with Scotland's Cross of St. Andrew. But Cameron and the No campaign should resist the temptation to whistle past the graveyard of Scottish nationalism.

Despite the success of the No vote, the genie of nationalism is now out of the bottle. Fourty-five percent of the Scottish voters opted for straight-out independence in a referendum in which they faced the stark choice of severing the fraternal bonds of the United Kingdom entirely or sticking with an unpalatable status quo.

Had the referendum included a middle way calling for greater autonomy for Scotland within the union, it would no doubt have won by a landslide. Only dire predictions of life alone in the cold bolstered by last-minute promises of greater autonomy if Scotland stayed kept the Yes campaign in a bare minority.

One could fairly criticize Scottish National Party leader Alex Salmond for pushing the United Kingdom to the brink of a Tartan divorce with England, Wales, and Northern Ireland. But we should not ignore the British government's part in this political drama.

Cameron and his colleagues under-estimated the strength of Scottish nationalism until the 11th hour and then, in panic, gave away the middle ground of greater autonomy that the Prime Minister had initially refused to put on the ballot.

Many of those promises of greater autonomy and home-rule north of the River Tweed will now have to be kept at significant cost. And London's concessions to Edinburgh are likely to accelerate the "devolution revolution" in other parts of the United Kingdom, including England itself, which will further federalize it, shifting British politics in unexpected directions.

Things will be interesting going forward both in Scotland and other regions of Great Britain as a result.

Last night's victors should also keep in mind that nationalism often flourishes in defeat -- for example, the well-spring of the Serbian nationalism that caused so much turmoil in the Balkans during the 1990s was the loss of the Battle of the Kosovo Fields to the Turks 625 years ago.

Scottish nationalism is equally durable in the face of adversity. The English King Edward Longshanks captured Scottish rebel William Wallace in 1305 and publically eviscerated him in an attempt to smother the flames of resistance to English rule. But a scant nine years later Robert the Bruce secured the independence of his throne at the Battle of Bannockburn.

While ethnic, linguistic, and religious separatist sentiment waxes and wanes in the modern era, it still persists despite set-backs. Quebecois separatism in Canada was defeated handily at the polls in 1980 but came back again with even greater support in 1995, only narrowly failing that time.

It is important for the developed world to acknowledge and accommodate nationalist sentiment because as we have seen many other places in the world, when repressed it often explodes in violence.

The breakup of the great colonial empires after World War II saw one wave of violent separatism crest, its nationalist substructure obscured by the ideological overlay of the Cold War. A post-Cold War wave destroyed the new Communist identities in the Soviet Union and Yugoslavia and clearly highlighted the persistence of nationalism in modern politics.

Today, the fragmenting of the artificial states of the Middle East -- particularly Syria and Iraq -- and the Ukraine emphasize the marriage of national with religious identities as the bedrock of 21st Century political identity in many parts of the world.

While hardly anyone expects the violence that characterized nationalist struggle on the margins or outside of the developed world will spill over into Europe, there are plenty of nations-without-states there who watched events in Scotland with more than a passing interest.

The Catalans and Andalusians in Spain, Basques in Spain and France, the Flemish in Belgium, the Corsicans in France, and the Sardinians in Italy all chafe to a greater or lesser extent under the rule of other peoples.

The challenge for Britain and the other countries in the developed world facing calls for greater autonomy by proto-nationalist groups is to respond effectively within their democratic processes to demands for greater autonomy.

The first step is not to be taken by surprise by separatism's persistence; the second is to respond to it with meaningful change before it reaches a crisis.

This will be tricky, as the last few months in the United Kingdom amply demonstrate, but they face no choice. The future of challenge of world politics will remain the sorting out the incongruity between formal political structures and actual political identities.

The opinions expressed in this commentary are solely those of Michael Desch.

@highlight

Despite the success of the No vote in Scotland, the genie of nationalism is now out of the bottle, writes Michael Desch

@highlight

Victors should keep in mind that nationalism often flourishes in defeat, he says

@highlight

Desch: There are plenty of nations-without-states who watched events in Scotland

@highlight

The challenge for countries is to respond to demands for greater autonomy, he says