(CNN) -- An American couple hopes to return to the United States next week to be reunited with their family after a two-year legal nightmare has trapped them in Qatar, charged with wrongdoing in the death of their adopted daughter.

On Monday Matthew and Grace Huang will appeal their conviction, which has garnered international attention and raised questions in the media about the prosecution and overall fairness of the Qatari justice system.

"It has been a very confusing and almost incomprehensible process to us," Grace Huang said in a phone interview from Qatar. "We are tired. We just want to go home."

When their 8-year-old daughter Gloria died in January 2013, the couple was immediately arrested on charges they starved her to death.

"It was a shock," Grace said. "She is our daughter."

The Huangs, who maintained their daughter suffered from an eating disorder, have denied wrongdoing in connection with her death and are fighting the conviction.

Matthew Huang was employed in Doha by an international company working on construction projects for the 2022 World Cup.

After a lengthy trial, the Huangs were convicted of endangering the life of their child. They were sentenced in April to three years in prison.

The State Department has expressed concern about the fairness of the legal proceedings in the case and disappointment in the verdict.

A YouTube video made about the case by advocates for the Huangs portrays a happy multiracial family, provides insights into Gloria's death and raises questions about the prosecution.

In the video, Justin Brooks, director of the California Innocence Project, one of the advocacy groups assisting with the Huangs' defense, says "the case completely lacks any type of due process." He calls the Qatari prosecution's case "outrageous."

The United States has suggested that cultural misunderstandings were at the heart of the charges, that evidence provided by the defense was not carefully considered and due process for the Huangs has not been provided.

A report by pathologists hired by the defense, obtained by CNN, states they found no evidence tissue samples were taken from Gloria's body after her death, despite the fact Qatari investigators submitted an autopsy report. Advocates for the Huangs suggested the lab report was fabricated and said their request with the Qatari judiciary for a formal investigation has gone unanswered.

"There is no credible evidence," said Eric Volz, who heads the firm David House Agency that is also assisting with the Huangs' case. "In an objective court the judge should have thrown out the case."

Several U.S. officials have privately expressed confidence in the Huangs' innocence, calling the case a "sham." But the Obama administration has sought to exhaust all legal proceedings before seeking the Qatari government's direct intervention in the case.

A United Nations special rapporteur investigating the justice system in Qatar has also called attention to the Huangs' case and urged the government to release them and send them home.

After spending nearly a year in prison, the couple was released last November. They are prohibited from leaving Qatar during their appeal.

The case suggested racial overtones when questions were raised by the prosecutor and police about why the Huangs, who are Asian, adopted children from Africa.

The Qatari prosecutor has sought to paint Grace and Matthew Huang as inhumane, alleging they bought their adopted daughter cheaply from her poverty-stricken parents in Africa and has since threatened to seek human trafficking charges.

The couple's two sons, also adopted from Africa, were temporarily placed in a Qatari orphanage after the couple's arrest, but have since been sent back to the United States to live with Grace Huang's mother.

The entire family has chipped in during the prolonged separation. With Matthew Huang fired from his job, the couple is living on donations from family and friends.

Grace Huang's brother, Daniel Chin, has given up his job in California to work on the case full time. He is the nerve center of the family, raising money for the family's expenses and defense costs and dealing with the Huangs' lawyers and advocates.

Chin has met with lawmakers and administration officials in Washington, urging them to make the Huangs' case a greater priority.

He has weekly Skype chats with his sister and has traveled several times to Doha for their judicial proceedings, which the Qatari court continues to postpone.

"Often it's hard to keep working on something when it feels we are just a small family trying to fight against" a country, he said in a phone interview, before leaving Friday for Qatar for the Huangs' appellate hearing.

The case puts the United States in a difficult situation with a close ally with whom it is working on hot-button issues in the Middle East. Qatar is a key ally in the U.S.-led coalition against ISIS and host to many countries' forces involved in airstrikes.

The Qatari government also helped the United States secure the release of Sgt. Bowe Bergdahl from Taliban captivity this year.

"Qatar is a key ally for the U.S. government," Volz says. "The day the Huangs were wrongly convicted the U.S. announced an $11 billion arms deal with the Qataris. And when Bowe Bergdahl was released, President Obama publicly thanked the government. That all sends a message not only to Qatar but to other countries that there is no cost to Americans being wrongly imprisoned in their country."

Volz noted the United States has upped the pressure on the Qatari government in recent months to resolve the case quickly and release the Huangs.

Last week the State Department issued a statement urging the Qatari government to "immediately" lift the Huangs' travel ban, bring the case to an "expeditious and just conclusion" and allow the couple to return to the United States.

"We are really hopeful that as a result of the State Department making this public demand that the Qataris lift the travel ban, that there is a good chance that Matt and Grace can come home," Volz says.

Her parents and other family members describe Gloria as a happy child, who loved butterflies, flowers and the color pink.

"She loved to talk, to dance and she loved music," Grace Huang said. "She loved hearing stories."

But consumed with their nightmare in isolation, the Huangs and their family have not had a chance to grieve for their daughter.

"Everything has revolved around her case and our situation," Grace Huang said. "We haven't had a chance to really say goodbye and mourn. We just really want to be able to honor her place in our lives with our friends and family and that hasn't happened yet."

"Nobody in the family has had time to grieve about Gloria and her death and the fact she passed away," Chin said. "Especially Matt and Grace. To see my nephews without their parents, who have not been able to hold them for the past year. It's heartbreaking."

The couple is fearful to go out in public, spending most of their time in their Doha apartment. With a 10-hour time difference, they spend every hour they and their two sons, 8 and 12, are all awake on Skype, talking and going over homework. The technology has been a godsend, but virtual parenting isn't easy. The kids have stored away last year's Christmas gifts until the family can celebrate together.

"We are trying to be as involved as we can be, but we are really tired of trying to do it over the Internet," Grace Huang said. "We have missed birthdays, anniversaries and so many special events. We are longing to be home with our family again."

"We are encouraged that they are urging the Qatari government to lift our travel ban and are hopeful everyone here would respond to that request and allow us to travel home to be reunited with our family. But of course, we are not home." she said.

@highlight

Matthew and Grace Huang were living in Qatar when their daughter died

@highlight

The were imprisoned, later released during their appeal

@highlight

They will find out this week if the appeal has been successful