On December 12 a bride and groom traveled to their wedding in al-Baitha province, Yemen. It was supposed to be a day of celebration. Instead, in a few seconds, their happiness was obliterated. A U.S. drone fired at the wedding procession, destroying five vehicles and killing most of their occupants. Not even the bride's car, beautifully decorated with flowers, was spared from the carnage.

Senior Yemeni officials later admitted that the strike was a "mistake". Quite some mistake: although the bride survived, the strike killed 14 civilians and injured 22 more, according to officials -- the largest death toll by a drone attack in Yemen since the program began in 2002.

Since the killings, a wave of outrage has swept across the country. The Yemeni government rushed to meet community elders, seeking to negotiate a quiet settlement for the killing of the bride's loved ones. But the bereaved villagers rejected the overtures and instead demanded that President Abdu Rabu Mansour Hadi stop U.S. drone strikes before they would sit at any negotiating table.

As ever, the White House responded to press queries about the incident with only silence. U.S. President Barack Obama has issued no admission of responsibility, let alone an apology. Only after recent evidence gathered from the scene by Reprieve did officials grudgingly admit that they would look into the strike.

This is not the first time a U.S. drone has killed civilians in al-Baitha province. On September 2, 2012, a U.S. drone hit a minibus near Radda, according to Yemeni officials. This time the vehicle was full of villagers carrying their day's shopping. As usual the initial press coverage labelled the dead as "al Qaeda militants," but when the relatives threatened to deliver the bodies to the President's gates, the Yemeni government was forced to concede that all 12 people killed were civilians. Among the victims were a pregnant woman and three children.

Only recently, we had reason to hope for better. Last month, Yemeni civil engineer Faisal bin Ali Jaber went to Washington, traveling over 7,000 miles in search of answers. He met Congressmen, Senators, and even some White House officials to describe how U.S. drone strikes incinerated his nephew and brother-in-law at his son's hometown wedding last year. In this strike two of the casualties were not only civilians, they were potential allies -- one was an imam who regularly preached against al Qaeda; the other was this small town's only policemen.

Faisal received heartfelt condolences from many lawmakers. Yet no official was prepared to explain why his relatives were killed, or why the U.S. administration refused to acknowledge it had made a mistake.

The use of drones in Yemen might seem a simple, quick-fix option for Obama. But with every civilian death, al Qaeda's recruiting power increases. Nabeel Khoury, former U.S. Deputy Chief of Mission to Yemen, recently reminded us of just that. Asked whether the covert U.S. drone war in Yemen was creating more enemies than it removed, he concluded: "Drone strikes take out a few bad guys to be sure, but they also kill a large number of innocent civilians. Given Yemen's tribal structure, the U.S. generates roughly forty to sixty new enemies for every AQAP operative killed by drones."

Let me be clear: I, like the vast majority of my countrymen, reject terrorism. All of us were repulsed by footage of the gruesome al Qaeda attack on a Defence Ministry hospital that left dozens dead in December.  We agree that our fight against extremist groups cannot be won without a variety of efforts, including robust law enforcement. But U.S. drone strikes are exacerbating our problem by leaving families bereaved and entire villages terrified. Drones destroy the fabric of Yemeni society. Wronged and angry men are just the sort extreme groups like al Qaeda in the Arab Peninsula  find easiest to recruit.

Our President may reassure the U.S. of his support for drone strikes, but he does so in complete contradiction to the Yemeni people's wishes. This year, two of Yemen's greatest democratic institutions made this clear. Yemen's National Dialogue Conference -- praised by Obama as a "historic" institution -- and the Yemeni Parliament have both voted overwhelmingly to ban the use of drones.

For a country so often divided, this unanimity from Yemen's key democratic bodies shows the strength of public opinion against drones. But the people's cries have been met only with more missiles raining down from the skies above. How can we in Yemen build our fledgling democracy when our collective will is ignored by Western democracy's most powerful proponent?

@highlight

In December a U.S. drone strike mistakenly targeted a wedding convoy in Yemen

@highlight

The strike killed 14 civilians, outraging Yemen, but U.S. has failed to take responsibility

@highlight

Shiban: Drones may seem like quick fix, but every errant strike helps al Qaeda recruit