Whether you're a three-pack-a-day smoker who doesn't like being lectured to about the health risks, or you're a person who doesn't touch cigarettes and wouldn't smoke one if you were offered a Ferrari in exchange, picture this:

Imagine, for a moment, that cigarettes had never been invented. And that in 2013 an eager entrepreneur went to the Food and Drug Administration seeking approval for a new product -- cigarettes -- that he wanted to sell to the American people.

Imagine that the Food and Drug Administration, taking its time and doing its homework, came up with all the currently available medical evidence about the dangers of smoking.

Whether you're a smoker or not, you know what the FDA's response would be to that hypothetical entrepreneur:

They'd laugh him out of the room.

They'd ask him why he was wasting their time.

They might, if they were feisty enough, point out the deadly impact of what he was asking them to authorize, and say to him:

"There's a legal term for knowingly causing death to people. In asking us to approve your product, sir, are you not setting us up to become accessories to murder?"

But cigarettes are not a new product. They are perfectly legal in all 50 states, and they're going to stay that way. Which is why two cigarette-related events last week are so instructive.

The federal government gave up its highly publicized battle to make every package of cigarettes carry large, gruesome-looking illustrations.

FDA changes course on graphic warning labels for cigarettes

The proposed illustrations -- they included images of a diseased lung, of a tracheotomy hole in a man's throat, of rotting teeth -- were rolled out with great fanfare in 2010. The government wanted the illustrations to cover the entire top half -- front and back -- of every pack of cigarettes sold in the United States.

Last week, faced with arguments from the tobacco industry that the mandatory images violated free speech rights -- the cigarette companies said the images were "intended to elicit loathing, disgust and repulsion" -- the government backed down. Attorney General Eric Holder wrote that the government will not fight the case in the Supreme Court. The FDA will instead reevaluate the proposed labels.

Last week's second event took place in New York, where Mayor Michael Bloomberg asked for a law that would force merchants to hide cigarettes on sale in their stores.

"Hide" in a literal sense. The legislation would mandate that any cigarettes sold in a store would have to be concealed in a drawer, or in a cabinet, or behind a curtain -- it would be unlawful for the packs of cigarettes to be visible to anyone visiting the store.

Bloomberg's point is that the more difficult it is to purchase cigarettes, the fewer packs will be sold, and the healthier citizens will become.

Bloomberg: Nanny-in-chief or health crusader?

Bloomberg's proposal, and the case of the ghastly illustrations, both underline America's bizarrely bifurcated relationship with cigarettes:

The country -- smokers and nonsmokers alike --  realizes the dangers involved. The Centers for Disease Control and Prevention says that around 443,000 people a year die because of cigarette use.

But the product is as legal as a loaf of bread or a jar of pickles.

So the cigarette manufacturers have a point when they say the government is overstepping by demanding nauseating images on their packages.  Free speech does not only refer to our right to say anything we choose; it also refers to our protection from having the government force us to say things against our will. Even convicted killers, when speaking in court before sentencing, are not required to say they are guilty. The government has a right to create, publish and broadcast the strongest anti-smoking campaigns it can come up with, but the cigarette companies make a compelling case in saying that, as long as their product is legal, they should not be forced to print repellent images on their packages.

(And -- who knows? -- the federal government, in deciding not to fight the package illustrations battle in the Supreme Court, may be wary of what could happen there. What if the Supreme Court not only ruled against the proposed graphic illustrations -- but additionally, on similar grounds, opened up the question of whether the text-only warning messages on cigarette packs, the ones that have been there since the 1960s, also are an incursion on free speech?)

In New York, Bloomberg's heart may be in the right place, but merchants who want to sell cigarettes should be justifiably puzzled: If any product is not legal, then they should be barred from stocking it, but as long as it is, how can anyone presume to tell them where to display it -- or, more to the point, that they can't display it?

It all comes down to this:

While well-intentioned attempts to curb smoking may appear bold and decisive, they are in the end timid.  The big and most effective step -- outlawing cigarettes on the grounds that they undeniably, in the long run, sicken and kill the people who smoke them, and those around them -- is not going to happen.

Politicians would be terrified to do it -- there are an estimated 45 million smokers in the United States, and no one is going to risk alienating them by completely cutting them off from cigarettes.

In an already shaky economy, the repercussions from shutting down the tobacco industry -- the jobs suddenly lost -- would be, to put it mildly, highly problematic from a political and real-world standpoint.

The memory of Prohibition would undoubtedly be on lawmakers' minds. The government once tried to take from people something they had been accustomed to, something that had been legal: alcohol. The outcome was anything but pretty.

If there really were the political will to end cigarette use, there are ways. Each state sets its own laws for the minimum age to purchase cigarettes -- in most states, it's 18. If states decided to raise the age to, say, 80, that would do it. But the chances are zero.

Like it or not, the country has painted itself into a corner. Cigarettes kill. They will continue to. If they were a new product, they'd never make it to market.  Don't bet against them still being here a century from now.

@highlight

Bob Greene: Cigarettes would never be accepted if they were just now being introduced today

@highlight

The FDA has given up efforts to show grim disease photos on packs

@highlight

Bloomberg wants merchants to hide cigarettes. U.S. has tense relationship with cigarettes

@highlight

Greene: Painted into a corner, the U.S. makes timid moves