DHAKA, Bangladesh (CNN) -- Former Prime Minister Sheikh Hasina's Awami League won a landslide victory in Bangladesh's first national elections in seven years, claiming nearly 230 of the 300 seats in parliament, the country's electoral commission reported.

Supporters of Bangladesh's Awami League Party celebrate in Dhaka on Monday.

With 295 contests decided, the Awami League had won 228 seats, giving it far more than the two-thirds majority needed to change the country's constitution, the commission reported. The league's closest rival, the Bangladesh Nationalist Party, won 27 seats, with one seat to be contested later.

The results are an overwhelming win for Hasina over her longtime archrival, the BNP's Khaleda Zia, in the first vote since an army-backed caretaker government took power in 2006. The rivalry between the two former prime ministers runs so deep that they are known in the country as the "Battling Begums," for an honorific given to women of rank in the country.

Monday's balloting went off peacefully, except for a few isolated incidents of skirmishes and people complaining of not finding their names on voter rolls. Asif Saleh, executive director of the human rights group Drishtipat, told CNN that the turnout was close to 70 percent.

"On one hand, it was sending a clear message that the people of Bangladesh believe in democracy," Saleh said. "But on the other hand it's also that they are looking for a sweeping change in the country."

He said anti-incumbent sentiment appeared to damage the BNP, which was in power for the five years before a 2006 state of emergency that was lifted only weeks ago.

"What was surprising was the kind of scale of the change," he said.

Political analysts say the true test of whether democracy can flourish in this Muslim-majority nation of 150 million people begins now.

After its last stint in power ended in 2006, the BNP handed over rule to a caretaker government to conduct elections, as mandated by the country's constitution. But the Awami League refused to recognize the neutrality of the interim government, and Hasina accused Zia of stocking it with BNP backers.

Supporters of both sides took to the streets in months of deadly clashes. To stem the tide of violence, a military-backed government took control in January 2007 and imposed an indefinite state of emergency, banning political events and postponing elections until it said it could clean up the country's graft-ridden politics.

Zia served a term as prime minister in 1991, Hasina in 1996 and Zia once again in 2001. As one took office, the other led strikes and street protests that kept the Muslim-majority country of 150 million people politically unstable and financially radioactive to international investors.

Both face allegations of corruption, which each have dismissed as politically motivated. And Hasina was forced to curtail her campaign activities, relying on videoconferencing to address crowds as police investigated a report by CNN-IBN that a fundamentalist Muslim group had dispatched a six-member suicide squad to assassinate her.

The group, Harkat ul Jihad al Islami is banned in Bangladesh. Hasina survived a prior attempt on her life in 2004 when extremists threw grenades at a rally, killing 20 and wounding hundreds.

Past elections in Bangladesh have been marred by widespread instances of ballot box-stuffing and voter intimidation. To prevent a similar outcome this go-around, the election commission took unprecedented steps -- deploying 600,000 troops to maintain security and thousands of local and international observers to monitor the polls and issuing voter identification cards to 81 million eligible voters.

The caretaker government that took power in 2006 adopted emergency powers that allowed authorities to arrest a person without a court warrant as long as there was reasonable suspicion that he or she was related to a crime, said the New York-based group, Human Rights Watch.

A wave of detentions followed, and residents rejoiced at the drop in crime. By some estimates, more than 90,000 people were detained before some were released and others charged. The state of emergency was lifted on December 17, leaving politicians less than two weeks to campaign.

Among those arrested in the interim were more than 150 top politicians, including Hasina -- charged with taking bribes -- and Zia -- facing charges of graft of improperly awarding a multi-million dollar government contract.

CNN's Saeed Ahmed contributed to this report.

@highlight

NEW: Awami League claims nearly 230 of the 300 seats in parliament

@highlight

The rival Bangladesh Nationalist Party is in second with 31 seats

@highlight

Polls were the first after two years of an army-backed caretaker government

@highlight

The balloting went off peacefully, except for a few skirmishes