(CNN) -- G8 summits are often fertile ground for the most grandiose of political promises.

True to form, this year's one didn't disappoint: The leaders of the U.S. and the EU fired the starting gun in the race to create the biggest bilateral trade agreement the world has ever seen.

Despite tensions surrounding revelations of alleged U.S. spying on key EU figures, the talks officially kicked off this week.

But what are the chances of such a deal coming to fruition?

Read more: EU envoys meet over claims of U.S. spying on European allies

And by the time each side has had its say, will the new pact really bring the benefits touted today?

At a recent event I chaired in Brussels, former World Bank president and one-time U.S. trade negotiator Bob Zoellick was skeptical.

Talk is cheap, he said, what matters is what's achieved.

Obama visit: Why U.S. now needs Germany more than ever

One thing Zoellick was adamant about is that it will take years to get any definite deal up and running, and by the time concessions have been made the agreement is likely to look rather different to the original blueprint.

The Transatlantic Trade and Investment Partnership -- or TTIP for short -- is an ambitious project, designed to boost what is already the world's most important inter-regional trading relationship.

Both partners are betting it will add generously to the 13 million or so jobs that depend on transatlantic trade, whilst boosting investment in key sectors starved of cash during the global financial crisis.

Outgoing World Bank chief: Fix eurozone

Make no mistake, each side needs this deal badly: To speed up the painfully slow recovery and provide an effective counterweight to China, whose cheap exports have put scores of American and European firms out of business.

But there are limits to what each side will accept.

The logic is by removing all tariffs on goods and harmonizing regulatory standards for the production of cars to crops, the regions will be able to create one gargantuan market for their goods and services.

France has so far successfully lobbied to protect Europe's film and music industry while the U.S. could retaliate with its own conditions, meaning the chances of a fully comprehensive framework look slim.

Worth up to around $280 billion, the TTIP will cement an alliance between two blocs which already account for almost half of the world's gross domestic product.

Richard Quest: US-EU trade deal not in 'our lifetime'

All this may sound great in principle but the reality is stronger U.S.-EU ties risk alienating large emerging economies that have been deliberately excluded.

China has watched the transatlantic nations' dubious stewardship of the world economy with increasing alarm. It will not take kindly to their stranglehold over world trade.

Back in Europe, some are already questioning whether the TTIP's economic benefits will be evenly shared.

A survey commissioned by Germany's Bertelsmann Foundation expected U.S. incomes would rise 13.4% per head thanks to the TTIP, whereas those in Europe would only increase 5%.

Even among EU member states the trickle down effect is likely to be uneven with the UK's economy likely to grow 9.7% while that of France would expand just 2.6%, the study found.

What also remains unclear is the effect increased trade with the U.S. would have on intra-EU commerce upon which many member states are heavily reliant.

Still, on balance, even if there are fewer crumbs to be had on its side of the table, Europe has the most to lose if the TTIP doesn't go through. Why? because it has fewer options than America.

Dogged by uncomfortably high unemployment and repeated recessions, one gets the sense the European Commission views the TTIP rather like a "get out of jail" card.

Faced with no effective policy to tackle its issues, a crisis of leadership and a dearth of funds, Brussels appears to believe the TTIP will prove to be some sort of panacea.

Another unknown is whether the business community will buy into the TTIP. Large firms often talk up the merits of free trade but shy away from the cumbersome aspects that new trading environments often offer.

The nascent U.S.-EU trade negotiations aim to achieve much but it will take years to work out the details and by the time the TTIP is up and running the economy will probably be back on its feet again.

Hopefully by then they will have dreamed up a new name though. After all "TIP" is hardly a promising acronym for the biggest deal on the planet.

@highlight

Worth up to around $280 billion, the agreement will cement an alliance between the two blocs

@highlight

Both partners are betting it will add generously to the 13 million or so jobs that depend on transatlantic trade

@highlight

But stronger U.S.-EU ties risk alienating large emerging economies that have been deliberately excluded