Kansas City, Missouri (CNN) -- Amid an ongoing congressional probe into the General Services Administration, a CNN investigation has uncovered more evidence of wasteful spending at the agency, including cooking classes for employees that cost as much as $3,350 per class.

For years, the GSA paid to send employees to these cooking classes to build team spirit, part of a spending pattern that the agency now says was inappropriate.

Employees based in Kansas City, Missouri, attended classes at The Culinary Center of Kansas City, located in suburban Overland Park, where they cooked meals.

Senator encourage GSA to 'clean house'

The GSA confirmed that there were nine classes beginning in June 2007, with the last class in June 2011. The total cost to the GSA was $20,701.

"We should be thinking about our federal customers, our taxpayers and our associates," said one employee who attended a cooking class. "And that seems to have been lost in these team-building exercises ... If you don't go, you're ostracized.''

The employee works in the Kansas City office and requested anonymity because he was not authorized to speak to CNN and feared reprisals from his supervisors.

"These events indicate a pattern of misjudgment, which spans several years and administrations," GSA spokeswoman Betsaida Alcantara told CNN in a statement.

In the world of trillion-dollar government budgets, the classes do not amount to a significant sum of money. However, the unnamed employee and other insiders told CNN that this was part of the free-spending culture that went on for years at the GSA's Kansas City regional headquarters.

Congressional committees are examining GSA spending after a scathing inspector general's report issued earlier this year showed lavish spending -- $823,000 -- at the Western Regions Conference, which took place in Las Vegas in October 2010. Jeff Neely, the GSA official who organized the conference, resigned, as well the agency's administrator, Martha Johnson. Two of Johnson's deputies were fired and eight other employees left the agency. Dan Tangherlini, a former Treasury Department official, took over as acting GSA administrator.

The General Services Administration, which has more than 12,600 employees and a $26.3 billion budget, is tasked with helping manage and support government agencies.

In addition to the Las Vegas conference, the GSA apparently spent $330,000 to relocate an employee from Denver to Hawaii -- and likely millions more dollars on other employees over a two year period -- according to a transcript of an interview with a GSA event planner. And 84 GSA employees, most of them supervisors or other senior staff -- all subjects of inspector general investigations -- are still collecting their bonuses, totaling more than $1 million in taxpayer money.

Alcantara says all the agency's practices are under a top-down review.

"This must stop, and is why Acting Administrator Tangherlini has instituted stringent new policies on conferences and events -- to put an end to this misuse of taxpayer dollars," she said in the GSA statement.

Laura Laiben, who owns The Culinary Center in Kansas City, said it appeared from her records that the GSA also had two classes in 2004, but the agency could not find records of those events. She referred CNN to the GSA regarding the costs of the classes.

During the classes, participants prepare meals as team-building exercises. But under the new GSA policy, any future team-building events could only be held in a federal facility.

"Only light refreshments, like water and pretzels, would be allowed," the GSA statement said. A GSA spokesperson on Thursday clarified the agency's policy, saying that no food will be permitted at any team building exercises.

GSA records show classes from June 2007 to June 2011, with the cost ranging from $1,162 to $3,350 per class, depending on the number of employees who attended. The size of the classes varied from eight to 37 employees.

The culinary center's "menu of classes" states that its "state-of-the-art kitchens create a unique atmosphere where your group can work together to build trust, develop plans of action, work toward a common goal, make it happen and celebrate their accomplishments."

The GSA turned down repeated requests by CNN for an on-camera interview with Tangherlini or Jason Klumb, the regional administrator for the Heartland region.

However, Tangherlini agreed to an interview on Wednesday, hours before this story was schedule to air on CNN's AC360.

"I think the most important thing is we need to make -- we need to get a message across that this isn't what GSA is about. People aren't coming to work for cooking classes," Tangherlini said. "They aren't coming to work for awards or prizes. They are coming to work for an important mission that's critical to serving our agencies that serve the American people. And so that's the trick for us is to really build a better sense of expectation of what it is that we're going to do every day when we do our jobs."

He said employees "really believe and value the service of providing excellent ... high value public buildings and low cost acquisition services, so I think that they're really committed to what they're doing and we just need to give them the right leadership, give them the right systems, and give them the right tools. Also, the right level of accountability."

Who's on first? Hearing shows GSA's dysfunction

Klumb agreed to an interview after CNN showed up at a public event he was hosting at the Kansas City headquarters. He said he had not heard about the cooking classes until CNN began asking about them.

"And I was unaware of those until, actually, you brought them to my attention, and that unfortunately has been the recent organizational structure. And that's part of what we're seeing in the change in GSA."

Asked about this kind of spending, Klumb said, "I think it was the old culture at GSA, and you saw it in all the news that was generated out of the Western Regions Conference."

During the interview, Klumb said he did not have the authority to stop activities such as cooking classes. However, Alcantara pointed to an April 15 memo that suspended spending for training conferences, leadership events, award ceremonies and team-building. As part of the new GSA structure, these types of events would have to be approved by headquarters and the regional administrator.

"Under the new GSA leadership, regional administrators have the authority to stop cooking classes from taking place. On top of that, there is also a second layer of oversight in place, at central office, that would prevent this type of wasteful spending," Alcantara said in the statement.

The cooking classes weren't the only example of questionable spending in GSA's Heartland region. CNN obtained records that showed the agency spent $2,938 on an awards luncheon on November 16, 2011 in the Kansas City headquarters for 178 employees, and hired an etiquette speaker for a GSA Industry Day event in March 2010 in St. Louis that cost the agency $993.

C.K. Reisinger, a consultant, speaker and coach, confirmed that her luncheon speech focused on etiquette training.

"We walk through the place settings and the different courses... how to eat soup and salad, what to do with your napkin, how to butter your roll," she said. "Passing the salt and pepper -- there is a long litany of what is good dining etiquette. You look much more professional when someone knows the rules of dining."

She said she compares "the rules of dining to motor vehicle rules. Without safety, we'd be running amok. There's a proper way to go about it."

Video offers glimpse inside GSA's lavish Las Vegas conference

The GSA employee compared the agency to a high school pep club.

"And if you had a pep club that had government funding, imagine what you could do. You could make the best floats, you could have the best decorations. And so there is a lot of what I would look at as juvenile behavior when it comes to caring about what the taxpayers' money is used for," the employee told CNN.

Last November, the GSA in Kansas City launched "the first annual Merry Holiday Video Contest" in which employees produced videos to highlight the agency's efficiency. The videos, all shot and produced on government time, show employees in various skits and holiday outfits. The winner received an ice cream social.

After news accounts of the Las Vegas scandal, the videos, which were accessible online to employees, were taken down, the GSA confirmed.

Klumb told CNN he was one of the judges for the video contest.

"So some of the things I was aware of -- in fact, in the holiday videos, I was one of the judges," Klumb said. "Again, that was part of the culture that was pretty common throughout GSA, and something that is changing, and I think you see a new day at GSA."

Acting chief outlines steps to halt wasteful spending

CNN's Sara Anwar and Elizabeth M. Nunez contributed to this report.

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

GSA is under a congressional investigation for wasteful spending

@highlight

The spending came to light after a report detailed an $823,000 conference in 2010

@highlight

CNN has found the agency also spent more than $20,000 on cooking classes

@highlight

The GSA says its new chief 'has instituted stringent new policies ... to put an end to this misuse of taxpayer dollars'