Istanbul (CNN) -- A single man stood silently in Istanbul's Taksim Square for hours Monday night, defying police who broke up weekend anti-government protests with tear gas and water cannon and drawing hundreds of others to his vigil.

For more than five hours, he appeared to stare at a portrait of Kemal Ataturk, the founder of the modern Turkish state. Police eventually moved in to arrest many of those who joined him, but whether Erdem Gunduz -- a performance artist quickly dubbed the "standing man" -- was in custody was unclear early Tuesday.

Turkey has been wracked by more than two weeks of protests against the government of Prime Minister Recep Tayyip Erdogan. But many of those who joined Gunduz late Monday said they were standing only for peace, not taking sides.

Monday's hushed tableau came two days after police swept into Taksim Square and neighboring Gezi Park to clear out anti-Erdogan protesters. The demonstrators tried to return to the park on Sunday, only to be driven back by police.

Trade unions put fresh pressure on Erdogan earlier Monday, mounting a nationwide strike. But a crowd that marched on Taksim Square dispersed when faced with riot squads backed by water cannon.

The protests started at the end of May over authorities' plans to turn Gezi Park, central Istanbul's last green space, into a mall. They quickly turned into large anti-government demonstrations that included calls for political reforms.

'There is a level of desperation'

While the protests are unlikely to threaten the rule of Erdogan, who has been one of Turkey's most popular leaders and is credited with overseeing a decade of economic growth, they are raising questions about what critics say is an increasingly authoritarian style of governing.

iReport: Wedding in the midst of teargas

Some groups of demonstrators have shifted to protesting in their local neighborhoods in the city, putting up barricades. Meanwhile, the atmosphere in confrontations between police and protesters is turning uglier.

"Now it feels like there is a level of desperation," said Clare Murray, who was vacationing in Istanbul from New York for the past week. "The police seem more comfortable with using aggression."

Since Saturday night, 116 people have been detained during protests in Ankara and 242 people have been detained in Istanbul demonstrations, said Huseyin Aslan, general secretary of the Progressive Lawyers Association.

Erdogan remains defiant, accusing outsiders of taking advantage of the protests over the park. On Sunday, thousands of his supporters gathered at a rally a few miles from Taksim Square, waving flags and singing songs at a rally that was widely viewed as a re-election rally for the prime minister.

Erdogan sought to contrast his supporters with the protesters. "Hundreds of thousands in here are not like the vandals with petrol-bombs in their hands," he said.

One-day strike

After the weekend tumult, the trade unions added their clout to the demonstrations with their one-day strike.

The unions involved have hundreds of thousands of members across sectors that include public services and utilities such as electricity and water supply. They don't, however, have enough members to shut those industries down altogether.

Under the Erdogan government, Turkish workers have been "domesticated like animals by being kept hungry," one worker at a union office in Istanbul said.

"Gezi Park made us realize we are not animals in a herd; we are individuals," said the worker, who didn't provide his name.

The previous strike during the anti-government demonstrations took place near the start of this month.

Erdogan complained Saturday that demonstrators were not meeting him halfway.

"We have reached out with our hands," he said. "However, some people returned their fists in response. Can you shake hands with those who reach out with a fist?"

He also ridiculed the protesters' assertions that they are environmentalists, calling them "thugs" and citing their honking of horns as evidence of "noise pollution." And he accused demonstrators of inciting sectarian violence by attacking a woman in a headscarf, kicking her, dragging her on the ground and snatching her head cover.

Erdogan praised his government's performance over the past 10 years, citing a rising standard of living, a quintupling of the central bank's reserves and plans to build an airport.

Root of protests

The unrest began in Istanbul roughly three weeks ago, when a small group of people turned out to protest government plans to bulldoze Gezi Park and replace it with a shopping mall housed inside a replica of 19th century Ottoman barracks.

Protesters said the plans represented a creeping infringement on their rights in a secular society.

Turkey was founded after secularists defeated Islamic Ottoman forces in the early 20th century, and many modern-day secularists frown on Ottoman symbols.

The protests broadened into an outpouring in the square and throughout the country as security forces cracked down on demonstrators.

The unrest also brought political risks for Erdogan, a populist and democratically elected politician serving his third term in office.

Journalist Karl Penhaul and CNN's Gul Tuysuz reported from Istanbul, and journalist Ian Lee reported from Ankara. CNN's Salma Abdelaziz, Arwa Damon and Joe Duran in Istanbul and Antonia Mortensen in Ankara contributed to this report.

@highlight

NEW: 'Standing man' inspires new protests in Taksim Square

@highlight

Trade union blocs hold a nationwide strike

@highlight

Police and protesters have clashed repeatedly in various cities for weeks

@highlight

Prime Minister Erdogan has remained defiant, and his supporters have rallied