(CNN) -- Whenever I have to make a tough decision, I look up at the wall of my office, where I have hung the original immigration certificates and pictures of my grandparents. They fled Russia and immigrated to the United States at the turn of the last century.

Though I lost them many years ago, they have always been my source of inspiration. I look into those eyes that saw poverty, persecution, anti-Semitism and hatred, and along with fear, I see something else: hope. Their eyes are wide open to the promise and opportunity of America.

After the 2012 elections, it seemed there was one issue that could unite Republicans and Democrats: reforming our nation's broken immigration system so that more people like my grandparents could live the American Dream.

Fast-forward eight months. In the Senate, the hope for bipartisan cooperation is now reality. By a wide margin -- one that is unheard-of in today's polarized Washington -- the Senate passed a comprehensive immigration bill that guarantees our nation's borders are secure, protects American workers and offers undocumented immigrants an earned path to citizenship that is tough but fair.

The nonpartisan Congressional Budget Office reports (PDF) that comprehensive immigration reform will strengthen our economy and reduce the deficit, so not only is reform the right thing to do, it's also fiscally sound policy.

The only obstacles to finally fixing our broken immigration system are Speaker John Boehner and House Republicans. If House Republicans fail to act, voters who care about this issue -- especially our growing Hispanic population -- will know they can't count on House Republicans.

Instead of moving forward in the weeks since the Senate bill passed, House Republicans have allowed intolerant voices to remain the face of their party on immigration. People like Rep. Steve King, who has compared immigrants to dogs and DREAM Act-eligible children to drug runners, don't deserve a place on the Judiciary Committee that will decide the future of immigration reform.

If House Republicans are serious about having a constructive debate, they will remove King from his position of authority. While it is true that Boehner's House has given us little reason to be optimistic and King's rhetoric is contrary to the principles that make this country great, I still have hope for the future of immigration reform.

There are several House Republicans whose constituents will demand progress on immigration, and House Democrats want to work with them on finally achieve lasting reform. We can do this, but only if we do it together.

We all came to Congress knowing we would face hard choices. For Boehner, that hard choice means abandoning the foolish Hastert Rule, which requires that "the majority of the majority" party support legislation before it can be brought to a vote in the whole House, an artificial barrier to bipartisan cooperation. In effect, the rule keeps the speaker in power while preventing Republicans and Democrats from coming together. And most troubling, it thwarts the will of the people, a consequence that is fundamentally at odds with who we are as Americans.

I don't think that when my grandparents took those pictures, they ever imagined they would be hanging in the United States Capitol. But I know that if they believed that it was possible anywhere, it was only possible here -- because they had a voice in their government.

There are 434 members of the House who could probably tell a similarly inspiring story about their families' immigration journeys. For the good of the country, I hope Boehner draws strength from all of these stories to do what is right for this nation of immigrants.

The opinions expressed in this commentary are solely those of Steve Israel.

@highlight

Steve Israel says his grandparents fled persecution in Russia to seek promise of U.S.

@highlight

He says post-election hopes that the parties could unite over immigration reform have dimmed

@highlight

He says Rep. King has insulted Latinos; Boehner-led GOP using procedural tactics to deny vote

@highlight

Israel: Boehner's use of Hastert Rule is barrier to bipartisanship, thwarts will of the people