(CNN) -- Greeted by streets packed with well-wishers, Barack Obama arrived in Myanmar on Monday for a historic visit that hopes to encourage the once repressive regime to continue with its "remarkable journey."

The first sitting U.S. president to visit the country, Obama will urge its leaders, which have embarked on a series of far-reaching political and economic reforms since 2011, not to extinguish the "flickers of progress that we have seen."

"This remarkable journey has just begun, and has much further to go," Obama will say, according to excerpts of his speech released before his arrival. "Reforms launched from the top of society must meet the aspirations of citizens who form its foundation."

During his six-hour visit, Obama will meet with Myanmar's President Thein Sein, whose reform drive has seen the release of hundreds of political prisoners and steps to open up the country's economy.

The country, which is also known as Burma, was ruled by military leaders until early 2011 and for decades was politically and economically cut off from the rest of the world.

He'll also meet fellow Nobel Peace Prize laureate Aung San Suu Kyi at the lakeside villa where the pro-democracy icon spent years under house arrest. He said Suu Kyi, now a member of parliament, encouraged the visit during a recent trip to the White House.

"Obama fever" has gripped Yangon, with the street from the airport lined with crowds waving the stars and stripes, taking pictures and craning for a glimpse of the president. Obama's image also featured on T-shirts, mugs and walls for sale in city stores.

Myanmar faces unfolding crisis

On the eve of his Myanmar trip, Obama insisted that the visit was "not an endorsement of the Burmese government."

"This is an acknowledgment that there is a process under way inside that country that even a year and a half, two years ago, nobody foresaw," Obama told reporters in Thailand on Sunday, the first stop on his Asia trip.

He added that the country was moving "in a better direction."

As well as meeting Thein Sein and Suu Kyi, Obama will deliver a speech at the University of Yangon before departing for Cambodia on Monday afternoon, where he will attend the East Asia Summit.

Western governments have responded to Myanmar's progressive efforts by easing sanctions that targeted the military regime. On Friday, the U.S. eased restrictions on imports of most goods from Burma.

But the country has also witnessed bouts of turmoil in recent months.

Violence between Rohingya Muslims and local Buddhists broke out in the western state of Rakhine.

During the latest eruption of tensions, the United Nations said at least 89 people were killed in two weeks, and 110,000 were displaced.

What's behind sectarian violence in Myanmar?

Obama will urge Myanmar to use its "diversity as a strength, not a weakness."

"I believe deeply that this country can transcend its differences, and that every human being within these borders is a part of your nation's story."

He is expected to meet briefly with representatives of civil society organizations, including an advocate for Burma's Rohingya population.

However, some aid organizations are questioning whether now is the right time for Obama to add legitimacy to Thein Sein's government.

Burmese exile leaders and human rights advocates have expressed concerns that the visit is too soon, and may not yield the additional reforms that a presidential visit can deliver if it happens at the right time.

Speaking Sunday alongside Thai Prime Minister Yingluck Shinawatra, Obama emphasized that the United States is "a Pacific nation," and that events in the Pacific "will shape so much of our security and prosperity" in the future.

He said "restoring American engagement" in the region is one of his priorities.

Asia's vast economy accounts for roughly a quarter of the global gross domestic product.

Challenges facing the U.S. economy seeped in Sunday. Obama, accompanied by U.S. Secretary of State Hillary Clinton, joked with a monk in Thailand. "We're working on this budget," he said. "We're going to need a lot of prayer for that."

CNN's Josh Levs, Holly Yan, Gabriella Schwarz, Paula Hancocks and Dan Rivers contributed to this report.

@highlight

NEW: Obama arrives in Myanmar for historic trip

@highlight

NEW: Will encourage leaders to continue "remarkable journey"

@highlight

The trip is billed as an effort to boost economic and political ties with Asia

@highlight

Obama will be the first sitting U.S. president to visit Myanmar, also known as Burma