(CNN) -- It's hard to imagine a more bizarre juxtaposition than Dennis Rodman and the North Korean regime. We can't look away and, surely, that's part of the plan. Rodman, the fantastically strange former basketball player, loves the spotlight and he knows how to draw our attention. He can be outrageously entertaining. Usually, it's all relatively harmless and inconsequential.

But Rodman's North Korean visits and his avowed friendship with Kim Jong Un, the country's dictator -- "I love the guy," he has said repeatedly -- have placed him in the middle of something deadly serious.

Rodman's trips to North Korea, ruled by the world's more repressive regime, bring up a moral controversy over one of the most fundamental questions faced by society, by countries, and by each human being:

What is our responsibility in the face of terrible injustice and great suffering?

The dilemma was framed succinctly in biblical times: Are we our brother's keepers?

In some respects, Rodman's interaction with Kim and his regime overlap with the issues we must wrestle with when we hear about the killing in Syria, the turmoil in the Central African Republic, even the plight of the homeless in the U.S. Simply -- what, if anything, are we going to do about it?

Rodman has come under withering criticism for befriending the young dictator. A member of Congress likened the visits to sitting down to lunch with Adolf Hitler. For his most recent visit Rodman has organized an exhibition basketball game with former NBA players to celebrate Kim's birthday. Critics say he has helped legitimize, and thus strengthen, the regime.

Rodman sang "Happy Birthday" and bowed to North Korea's absolute ruler, behavior that no doubt will serve Kim's massive propaganda at home.

Even if he would rather ignore it, Rodman rightly faces sharp questions because of the sheer brutality of the regime with which he is interacting; because Kim is a big fan of his. Because he might, just might, be able to make even a small positive difference.

It's hard to know precisely what Rodman's views are on the issue of his responsibility to intercede on behalf of Kim's victims. The pressure of reflecting on the matter, of facing questions about his views and his intentions, is visibly getting to him. On Tuesday, when CNN's Chris Cuomo asked him if he planned to bring up with his North Korean hosts the case of Kenneth Bae -- an American imprisoned without charges for more than a year by the North Korean regime -- he became practically incoherent with anger, declaring, cigar in hand, that he didn't "give a rat's ass" what Cuomo thought.

His suggestion that Bae is guilty of some unspecified crime makes his behavior even more reprehensible. Bae's family was dismayed. In a press release, his sister said, "Rodman could do a lot of good ... but instead he has decided to hurl outrageous accusations at my brother."

By all appearances, Rodman views his unique opportunity to meet with the North Korean leader, the result of Kim's passion for basketball, as little more than a chance to bask in the warm limelight that has become more elusive with the passage of time. The complicated problems are not his concern, despite his suggestion that basketball might "open the door a little bit." With him, it's about hedonism and fame. That's his philosophy.

Rodman says he has no interest in the politics of North Korea. "Whatever (Kim) does political-wise, that's not my job. I'm just an athlete."

Saying you don't like politics, as so many do, is a transparent excuse for inaction, for ignoring our responsibilities as human beings.

For his part, Rodman has done much worse than completely ignoring the suffering of the North Korean people.

If he had kept quiet, we might have given him the benefit of the doubt and chalked it all up to sports diplomacy, an elusive effort to thaw tensions. But Rodman has gone out of his way to praise the ruler of an imprisoned, starving nation.

Not only has he showered praise on Kim, but he has extended it to his father and grandfather, the previous dictators who handed the country down as if it were a private family heirloom. "They were great leaders," he said, adding that he is not the only one who loves the young Kim. "His country likes him -- not like him, love him." That's because, as Rodman explains, "the guy's really awesome."

There is no such thing as a neutral stance on a situation like North Korea's. Kim inherited a regime whose brutality defies belief. More than 150,000 people are imprisoned in a network of gulags -- camps where entire families, generations of individuals deemed a threat to Kim's authority, are kept in horrific conditions. Famines have plagued the nation, killing hundreds of thousands, as resources are diverted toward the military, including the buildup of a nuclear arsenal.

Kim has threatened his neighbors (and the U.S.) with nuclear war and has detonated nuclear devices as recently as last year.

We all have a responsibility to speak up, to do what we can when weak people are so clearly victimized. For most of us, there are limited opportunities to help, and there are many issues competing for attention. Rodman, on the other hand, has a unique chance to at least try to make a difference.

Choosing to do nothing when you may have the ability to help is an even greater moral failing than ignoring a crisis when it is more difficult to intercede on behalf of the powerless.

Perhaps Dennis Rodman will have a moment of lucidity and do something meaningful. Perhaps he will surprise us. For now, behind his permanent sunglasses and shining lip rings, he is offering only weird entertainment, and an unintentional reminder that human beings have larger responsibilities.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

People are captivated by the spectacle of Dennis Rodman's trip to Korea

@highlight

Frida Ghitis: Rodman has gone beyond just saying he isn't interested in the politics

@highlight

By praising Kim Jong Un, Rodman increases his obligation to act, she says

@highlight

Ghitis: Choosing to do nothing when you can help suffering people is a moral failing