(CNN) -- One of the most influential figures in Middle Eastern media says he is stunned by the speed and scale of the chaos unleashed by Sunni insurgents in Iraq, and sees no early end to it.

"The Middle East is beyond clarity, beyond understanding," said Wadah Khanfar, former director general of the Al Jazeera news network and now head of an Istanbul think tank trying to influence the future of the region.

Speaking at a journalism conference in Barcelona, Khanfar portrayed the crisis as a new and extremely dangerous phase in an ongoing breakup of historic borders and political structures, set up largely by the West and imposed on the Arab world since colonial times.

The 2011 Arab Spring was the hopeful ignition of popular discontent against historic leaders and norms, but its suppression in most places where it flared up had combined with the crisis in Syria to ignite war from protest, he said.

"Political Islam is merging into terrorism," said Khanfar, speaking last week at the Global Editors Network, which promotes innovation and debate among journalists.

Khanfar admitted he was probably too optimistic about the long-term impact of the outpouring of popular discontent that overthrew long-established dictatorships and military regimes in Tunisia and Egypt, and fueled the western military intervention that helped topple Moammar Gadhafi in Libya.

He said he foresaw a future in which the ouster of the elected Muslim Brotherhood government of Mohamed Morsy in Egypt combined with a military takeover in Libya, the crisis in Iraq and the three year-civil war in Syria, would give potential moderates little room to exert political power.

Into that vacuum comes violence and terror.

"An arc of crisis will emerge from Basra up to Tripoli ... gangsters, militant groups, trafficking, everything, but not states," he said.

Khanfar, who created the most powerful media network in the Middle East with the backing of the ruling family of Qatar, is a veteran of two Gulf Wars and both covered and directed coverage of two decades of upheaval.

Yet even he is stunned by the scale of the crisis in Iraq where Sunni militants of ISIS, emboldened by gains on the battlefield in Syria, have moved across the border.

"We have seen the most amazing collapse of any army we have seen in the last decades," Khanfar said.

Without apologizing for the brutality of those attacks or attempting to justify it, Khanfar was clear that the move of ISIS into Iraq to intervene against what it sees as a heretic and sectarian Shia government, was directly connected to the 2003 U.S.-led invasion and decades of hypocrisy and ignorance by Western powers.

He said he believed Western reluctance to intervene in Syria, a readiness to leave "generals" in charge in Egypt, Libya and Yemen and to hand Iraq to a Shia-dominated administration in thrall to Iran, had combined to make the situation ripe for extremists to take charge across the region.

Ultimately that would threaten not only Iraq and Syria but all existing borders in the Arab world and eventually Saudi Arabia and the Gulf States he predicted. The ISIS crisis and its easy move across into Iraq from Syria highlighted how irrelevant the borders imposed by France and Britain on the Arab world nearly 100 years ago are, he said.

"The state in the Arab world is a joke and it is something we should confront," said Khanfar, whose new venture, the Sharq Forum, aims to promote dialogue and discussion about long-term change in the region. Critics see the former journalist as too close to Islamists, a charge which he rejects. He has also faced the strange situation of being attacked by U.S. leaders while accused of being in their pay.

The fragility of borders and of states created after World War I by colonial powers will put huge strain on Gulf States and region, he predicts. "Everything is in a state of flux," he said. "If this region continues to disintegrate ... I think this region will be the most dangerous against the rest of the world."

What can Western nations, particularly the United States, do to deal with the new situation? Khanfar suggested they should stop thinking that supporting old-style military leaders in Egypt and elsewhere would put a cap on the forces of discontent unleashed by the Arab Spring.

"The current situation is actually shameful, [with] no morality and no ethics ... one of the worst deeds that the West is perpetrating against the Arab world," he said.

The West may also have to accept a redrawing of borders that were never truly accepted by those living within them and rethink the role of Iran.

"There is a major mess when it comes to the strategic thinking of our leaders."

@highlight

Wadah Khanfar is the former director general of Al Jazeera and now head of an Istanbul think tank

@highlight

"The Middle East is beyond clarity, beyond understanding," says Khanfar

@highlight

Khanfar: "We have seen the most amazing collapse of any army in the last decades"

@highlight

"The West may also have to accept a redrawing of borders," he says