(CNN) -- In case you haven't heard, nothing worthwhile will happen in Washington until after the midterm elections. That's the conventional wisdom anyway, where the thinking is that a bitterly divided Congress will be lucky to name a post office, let alone deal with pressing issues like the budget or jobs.

The conventional wisdom is wrong.

On Wednesday, something important is happening in Washington. On that day, a bipartisan group featuring dozens of members of Congress, state and local leaders and business, citizen and community leaders is gathering at the No Labels National Ideas Meeting to kick off a yearlong process to set a path for where America needs to go and how we get there.

This isn't the type of gathering you'd expect six weeks out from an election. These days, members of the two parties barely talk, let alone work with one another. To crib an old Bill Murray line from "Ghostbusters": the sight of Democrats and Republicans actually meeting together may cause mass hysteria.

The subject of debate will be No Labels' National Strategic Agenda, which sets a framework for action on four goals chosen with input from a nationwide survey that No Labels conducted last fall: Create 25 million new jobs over the next 10 years; balance the federal budget by 2030; secure Medicare and Social Security for the next 75 years; and make America energy-secure by 2024.

The process to create No Labels' National Strategic Agenda has been endorsed by over 80 members of Congress, and it's coming together with an entirely original approach.

This is not just another policy plan.

In fact, at this point, the National Strategic Agenda isn't a policy plan at all, because its details will be filled in over the next year -- with input from people across America.

This agenda will be developed in a step-by-step fashion that solves problems the way they should be solved. The way we tried to solve problems when we served as the governors of Utah and West Virginia.

At the National Ideas Meeting, participants will join working groups (with a member of Congress in each group) to focus on one of the four signature goals, progress to agreement on the fundamental facts, and conclude by agreeing on broad policy principles that can inform the creation of specific policy and legislative solutions. Subsequent meetings in New Hampshire, Iowa and elsewhere will take a similar approach.

The effort will culminate on October 5, 2015, when the fully formed National Strategic Agenda will be unveiled in New Hampshire and Iowa.

No Labels will work to inject the agenda into the emerging presidential debate by activating our network of citizens, members of Congress, and state and local leaders. The ultimate aim of this exercise is for the next president and the next Congress to use the National Strategic Agenda as a basis for bipartisan action.

Like everything No Labels has proposed since its launch in December 2010, the National Strategic Agenda will be a product of discussion and agreement from every part of the political spectrum.

We don't for a moment underestimate how hard it will be for a future Congress and president to coalesce around even one of these goals. But difficulty is no excuse for inaction.

For too long, Washington has been a place defined by all tactics, and no strategy. We spend all our time focused on winning the day, the week or the next election, and in the process, we've lost sight of doing what's necessary for America to win the future.

With the National Strategic Agenda, No Labels is bringing a unity of purpose that has been missing in our government. We're not just identifying what needs to be done. We've developed a rigorous process for how it gets done.

To the many millions of Americans who are wondering what, if anything, they can do to fix the dysfunction in our government, this is your chance to get involved. These National Strategic Agenda meetings could be coming to a town near you, and you can help determine what is in the final plan. If you can't make a meeting, you can still work to ensure that candidates and members of Congress endorse the National Strategic Agenda.

This is no time to let frustration with the political process lead you to tune out. Because America is facing a fork in the road.

We can continue the partisan fighting and failures of the last decade.

Or we can choose a different path. Our leaders can come together around a shared vision to deliver good jobs, a balanced budget, peace of mind for our seniors and energy security.

We've done it before. We can do it again.

@highlight

A group of Republicans, Democrats, independents looks to shape a national agenda

@highlight

Huntsman, Manchin: The plan is to develop long term goals for next president, Congress

@highlight

Securing the future of Social Security, adding millions of new jobs are among the goals

@highlight

Ideas include balancing budget by 2030, attaining energy security by 2024