(CNN) -- Thirty years ago around this time of the year, scientists announced that the probable cause of AIDS had been found. Human immunodeficiency virus, or HIV, would subsequently enter our lexicon and become synonymous -- no matter where you lived -- with death. Since then, more than 75 million people have acquired HIV and nearly 35.6 million have died of AIDS-related illnesses. With no cure in sight, it seemed that ending this epidemic would be a Sisyphean task.

But investments in AIDS research, prevention and treatment have yielded tremendous dividends. As a result, we have before us the opportunity to end one of the greatest public health crises in history.

More people than ever are receiving life-saving antiretroviral therapy, and are living healthier, longer lives. There have been historic declines in AIDS-related deaths worldwide. From 1996 to 2012, antiretroviral therapy averted 6.6 million AIDS-related deaths, including 5.5 million in developing countries. The annual number of new HIV infections has also dropped by 33% since 2001. In 26 countries, the rate of new HIV infections among young people (ages 15-24) decreased by 50% since 2001. For the first time, we have the ability to end the transmission from mother to child and to keep mothers alive.

Merely a decade ago, few believed they would see a cure in their lifetimes. However, several people who have been cured have helped shine a light on how a cure for all could be found. The case of a Berlin patient, the first person to be cured of HIV, was reported in 2008 and represented a watershed moment in HIV research and a proof of principle that a cure was possible. Last year, researchers documented the case of the first child to be functionally cured of HIV.

Yet despite these promising developments, the epidemic is far from over. We are one year away from the target date for achieving universal access to HIV prevention, treatment and care set forth in the United Nations 2011 Political Declaration on AIDS, and we have a lot of work to do to meet that goal. Of the 35.3 million people living with HIV, nearly two out of three living in developing countries are not on HIV treatment, either because they do not have access or do not know their HIV status.

Scaling up access to HIV treatment remains an essential prerequisite for ending AIDS. In addition to saving lives, it has proven to be highly effective at preventing HIV transmission because treatment reduces the chance the virus can spread by 96%. We must also improve our health systems to support the scale-up of core interventions that we know work, including expanded access to HIV prevention and treatment, prevention of mother-to-child transmission of HIV, harm reduction, and voluntary medical male circumcision.

Effective outreach to those most at risk—and most in need—is also critical. Key populations, including sex workers, men who have sex with men, transgender individuals, people who inject drugs, young girls and women often face substantial barriers to obtaining prevention, treatment and care services. As a result, efforts to reduce HIV transmission among vulnerable populations remain insufficient.

Moving forward, research on a cure and vaccine remains essential and must be a priority. The quest for a safe and effective vaccine to prevent HIV has seen hopeful signs of progress. Recently, an experimental vaccine "cleared" HIV in monkeys infected with the virus. Broadly neutralizing antibodies that protect against a wide range of strains of HIV have been discovered. Experts are following up the RV144 trial in Thailand, the first vaccine to show a modest protective effect in humans, in order to understand why some people were more protected than others and how to make the protective effect last longer.

HIV cure research has gained momentum and picked up speed. The first organization to aggressively pursue cure-focused HIV research, amfAR, The Foundation for AIDS Research, has intensified its cure research program and set a goal to find a broadly applicable cure for HIV by 2020 with its "Countdown to a Cure for AIDS" initiative.

The foundation plans to invest $100 million in cure research over the next six years. And on World AIDS Day last December, President Obama announced $100 million in reprioritized funding over the next three years to launch a new HIV Cure Initiative at the National Institutes of Health. The scientific obstacles to a cure have been illuminated, and with a vigorous research effort and sufficient investment, these challenges can be overcome.

While we now have the tools to begin to end the HIV epidemic, achieving an AIDS-free generation is threatened by a considerable gap between available resources and the amounts needed to scale up high-impact interventions. Investing now in these interventions will not only accelerate progress in reducing AIDS-related deaths and new HIV infections, but it will also lower the long-term cost of the HIV response. Strong, continuous U.S. leadership at this critical moment is key.

Innovative financing options and strategies need to be explored to ensure that the global HIV response is sustained. UNAIDS supports many countries in developing HIV investment cases, which enable countries to estimate future resource gaps, identify new sources of domestic financing to help close the gaps, and agree on ways to enhance the efficiency and impact of spending. More than 30 countries are now planning to develop their own investment cases by the end of this year.

Lastly, we must eliminate stigma, discrimination and punitive laws and practices that continue to undermine efforts to provide critical services to prevent and treat HIV, especially among vulnerable populations. We're seeing a growing conservatism in a growing number of regions and countries.

State-sanctioned homophobia in many countries remains a formidable barrier to the implementation and uptake of HIV programs. More than 80 countries criminalize homosexual behavior. The anti-homosexuality laws that have gone into effect in India, Nigeria, Russia and Uganda, for example, could impede their national responses to HIV. Studies have clearly shown that criminalizing same-sex sexual behavior poses an immense structural barrier to HIV prevention.

We all are stakeholders in the opportunity before us now. Addressing the unfinished business of ending the pandemic will require the cooperation and full commitment of national government leadership, scientists, civil society, and people living with HIV. But through continued and strengthened solidarity, we will be able to rise above the challenges that remain ahead to ultimately achieve the goal of an AIDS-free generation.

@highlight

Kenneth Cole, Michel Sidibé: Today, we still don't have a cure for AIDS

@highlight

Cole, Sidibé: We can end one of the greatest public health crises in history

@highlight

They say that we have to intensify our efforts on HIV cure research

@highlight

Cole, Sidibé: The goal of an AIDS-free generation is within our reach