(CNN) -- The Christmas season encourages us to think of Jesus, so highly revered and loved by both Christians and Muslims. So it is even more tragic to contemplate relations between the two religions today -- and particularly the plight of Christians in the Muslim world.

In Iraq, savage killings of Christians have led thousands to flee the country. In Egypt, Christians are under severe pressure and siege. In Pakistan, there are too many cases like that of Asia Bibi, a Christian woman who is facing a death sentence under Pakistan's blasphemy laws for allegedly slandering the Prophet of Islam.

For both of us, a Muslim and a Christian, this violence is a matter of utmost gravity.

One of us, Akbar Ahmed, was educated by Roman Catholic priests at Burn Hall, in North Pakistan, and then Presbyterian teachers at Forman Christian College in Lahore, and gratefully acknowledges the immeasurable debt he owes them, which he attempts to repay in promoting Christian-Muslim dialogue.

The other, John Chane, is concerned as a bishop but also as someone also passionately devoted to promoting good relations between Christians and Muslims.

We find that the situation has reached a breaking point because of the crisis in the Muslim world.

Extremist Muslims feel that Islam is under siege by the West and seek to lash out at Christians, seeing an attack on Christians in their countries effectively as an attack on Israelis, U.S. troops in Iraq or the intelligence agencies behind U.S. drone strikes in Pakistan.

Since 9/11, we have been speaking out in support of interfaith dialogue and understanding the deep bonds between Christianity and Islam. The Prophet named Christians, as he did the Jews, as "people of the book," to be respected.

In Islam, Jesus embodies compassion and the love of God and is miraculously born of the Virgin Mary. Not only is Jesus mentioned in the Quran more often than the Prophet of Islam, but an entire chapter is devoted to the Virgin Mary.

As no other figure in Islam, Jesus can perform miracles, including giving sight to the blind, breathing life into a piece of clay, bringing the dead to life, and curing a leper (Quran 3:49). Muslims will say that they cannot be a good Muslim without first being a good Jew and a good Christian.

Christians have always lived in Muslim lands; indeed Christianity is older than Islam in these areas. Christians living in the great societies of Islamic history, including Muslim Spain and the Ottoman Empire, largely lived in peace and security according to their own laws.

Yet in the past few years, the persecution of Christians has increased in scope and frequency.

The Iraqi Christian population, one of the oldest in the world and said to date from just after the crucifixion of Jesus, has sharply decreased. Before the Gulf War, more than 1 million Christians lived in Iraq; at the time of the U.S. invasion of Iraq, the number had fallen to about 800,000. Two-thirds of those are estimated to have fled.

The Christians who have remained are subjected to pogroms and slaughter by Muslim groups who are committed to exterminating them.

The U.N. has reported high numbers of Christian refugees fleeing Iraq in recent weeks, and it has been noted that the chaotic aftermath of America's invasion may result in what all other invaders had failed to accomplish: the elimination of Iraq's Christian population.

In Egypt, where Christians constitute 10% of the population, Christian girls are being kidnapped by shadowy Muslim groups and lured into Muslim marriages, with the state looking the other way. Christians in Egypt have no problem converting to Islam, but if Muslims want to convert to Christianity, they are refused permission to register as Christians on their ID cards, where religion must be stated. Riots are common, and Egyptian Christians live in fear for their lives.

Asia Bibi's death sentence in Pakistan has gathered fierce support from certain Muslim groups, who are demanding the sentence be carried out. The blasphemy law is derived from laws passed during Pakistan's "Islamization" phase under President Zia Ul Haq, in which Islamic warriors were being trained to fight the Soviet Union in Afghanistan.

It has constantly been misused by Pakistanis seeking to attack each other in local feuds, and in today's high anti-American atmosphere has increased pressure on the Christians tenfold. Pakistani President Asif Zardari must pardon Asia Bibi immediately and bring this disgraceful episode to a close.

With this in mind, it is impossible for good Muslims to be anti-Christian. We are appalled by the persecution Christians are being subjected to and appeal to Muslims to look to their own faith for how they should treat Christians in their midst.

We need true Islamic scholarship and learning, not ignorant people quoting holy texts out of context. Anger or frustration at the way the West is behaving in the Muslim world or at their own governments is no excuse for slaughtering and slandering Christians.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Ahmed, Chane: Bonds deep between Christians and Muslims; both faiths revere Jesus

@highlight

Yet, Christians being savagely killed in Iraq, under siege in Egypt and Pakistan, they say

@highlight

Mohammed named Christians, as he did Jews, as respected "people of the book," they write

@highlight

Writers: Islamic scholars need to speak out against extremists behind persecutions