(CNN) -- As high-tech reality TV goes, it's hard to top Sunday's riveting leap from the stratosphere by Austrian daredevil Felix Baumgartner.

It took courage and skill, to be sure. But the technology required to get a guy well on his way to outer space, then allow him to plummet safely back to Earth, deserves some credit, too.

From the one-of-a-kind Red Bull Stratos capsule to a pressurized space suit engineered specifically for the jump to a "smart" parachute designed to deploy if Baumgartner had spiraled out of control, the jump debuted tech that organizers say could contribute to the science world in other areas.

After space jump, what's the next big stunt?

Here is a look at some of the most interesting gadgetry used during the record-breaking leap:

The capsule

At 2,900 pounds, the Stratos weighs in at slightly more than a modern Volkswagen Beetle.

It's made of a fiberglass and epoxy "pressure sphere," the same kind of steel alloy (chromium-molybdenum) cage used in racecars, a foam-insulated fiberglass shield that protected Baumgartner from temperatures as low as -70 degrees Fahrenheit and a base covered in "crush pads" designed to handle 8 Gs of impact pressure.

The suit

Engineers on the project say Baumgartner's spacesuit-style uniform could serve as a model for the future of space travel and exploration.

The fully pressurized suit was tested to withstand temperatures as high as 100 degrees Fahrenheit and, more importantly in Baumgartner's case, as low as -90 degrees Fahrenheit.

Why was the 3.5 pounds of pressure in the suit important? Because, according to the Stratos team, tissues in Baumgartner's body could have turned to gas and expanded while he was above 62,000 feet. Not good.

The most innovative aspects of the suit, however, might have been those designed for mobility and vision. A skydiver needs the ability to move around more quickly than, say, an astronaut tethered to the outside of the international space station.

The Stratos suit was modified to allow more mobility and a system of mirrors increased visibility. A hockey puck-sized controller is programmed to adjust pressure based on the suit's current altitude and a new kind of rotating, locking ring attached the helmet and gloves to the rest of the suit.

Baumgartner's helmet was an 8-pound composite mold attached to a pair of oxygen cylinders during his descent. Its visor was equipped with an integrated heating unit to prevent fogging and icing.

Chest pack

The nerve center of Baumgartner's gear was a chest pack where most of the high-tech gadgetry he'd need to complete, and document, the jump was stored.

Data recorders inside it reported his altitude, speed and location to mission control to help them monitor his progress and whereabouts. The pack also contained a GPS beacon to make him easier to find.

The voice transmitter and receiver that connected to his helmet were in the chest pack, as was an HD camera with a 120-degree view.

Cameras

That chest pack camera wasn't the only one devoted to documenting the historic leap.

Still and video cameras were designed specifically for the mission by Jay Nemeth of FlightLine Films. Nemeth is one of a handful of photographers with experience shooting in zero-gravity, including a shoot with Apollo 11 astronaut Buzz Aldrin.

There were nine high-definition cameras in the capsule, three high-resolution still cameras and three digital cinematography cameras with lens resolution of 4,000 x 2,000-pixels.

In addition to Baumgartner's chest-pack camera, he also had one attached to each thigh.

The cameras were modified in a host of the ways for the unique needs of the mission -- from pressurized casings filled with nitrogen to protect them from the extreme temperatures to special filters to protect them from the brightness of the sun at that altitude (iPhone 5 owners take note).

Parachute

The parachute itself was a tech marvel five years in the making.

The first personal parachute ever used for a supersonic-speed fall, it weighs 60 pounds, or three times as much as a normal parachute.

It included a "drogue chute" that could have deployed if Baumgartner began spinning out of control. He had a button on one of his gloves that would have caused the chute to open if he held it down for three seconds. That parachute (which is separate from the regular emergency chute) also would have deployed if it was being hit by unexpectedly high levels of pressure for more than six seconds.

His rig also included a button to cut the emergency parachute. While it would just be an inconvenience for many skydivers, if Baumgartner's emergency chute accidentally deployed at a high altitude, it could have slowed him down so much that he ran out of oxygen.

Sticking the landing

How was Baumgartner able to control where he landed?

For starters, the skydiver remained within the Earth's atmosphere, so he never had to account for the planet rotating underneath him. His team waited for ideal weather conditions, when there were fewer high-altitude winds that might have caused his balloon to drift.

And once he deployed his parachute, less than two miles above the Earth, Baumgartner was able to steer himself to a flat, open landing spot in the New Mexico desert -- some 23 miles east of where the balloon had taken off several hours earlier. A beacon inside his suit allowed his recovery helicopter to follow him.

@highlight

On Sunday, daredevil Felix Baumgartner lept from 128,100 feet above Earth

@highlight

Technology in the Red Bull Stratos capsule included a steel alloy cage

@highlight

Pressurized suit featured innovations to make mobility and visibility better