LOS ANGELES, California (CNN) -- Flannery O'Connor did not expect to become the subject of a biography. She thought the narrow borders of her life -- lived "between the house and the chicken yard" -- wouldn't give a writer much to work with.

Author Flannery O'Connor (here with two of her peacocks) remains a subject of fascination for many.

It would therefore come as a surprise (and probably secretly please her) to learn she is the focus of at least three.

The latest is "Flannery: A Life of Flannery O'Connor" (Little, Brown) by Brad Gooch, an exhaustively researched exploration of O'Connor's unlikely journey from shy, sarcastic and "contrary" Georgia girl to acerbic literary treasure.

That she suffered from lupus and died before the age of 40 is well-known to fans of O'Connor. But Gooch uncovers much that even ardent followers of the author will find revealing, including details of her college career as a cartoonist, and her time in Iowa City at the Iowa Writers' Workshop.

The book manages to synthesize what seems difficult to reconcile: how such a chaste, religious person could produce stories that are bitingly funny and filled with shocking violence.  Watch O'Connor's fascinating story »

Gooch spoke with CNN about his experience researching the biography. What follows is an edited version of the interview.

CNN: When did you first discover Flannery O'Connor?

Brad Gooch: I first read her stories in my 20s and loved them, and then a little later, the [collected] letters came up, "The Habit of Being." And I'd had a few hunches about her from reading the stories, which were a little mysterious. ... And then when I read the letters, a lot of those hunches seemed true. ...

Trying to put the life of this woman together with the stories became as interesting as the stories to me.

CNN: She wasn't always known as Flannery O'Connor.

Gooch: Her name was Mary Flannery O'Connor, and her mother and everyone in Milledgeville (Georgia), where she lived most of her life, continued to call her Mary Flannery. But when she went to Iowa City -- the Iowa Writers' Workshop -- early on, she decided she wanted to be a writer, and she decided on the name Flannery. She later said, "Who would want to buy these stories of an Irish washerwoman named Mary O'Connor?"

Partly, I think she wanted to lose the Southern-ness of "Mary Flannery." ...  Also, Flannery was a gender-neutral name. ... Her initial rejection letters were actually addressed to "Mr. Flannery O'Connor," and I think she kind of liked that neutrality.

CNN: What did you find most remarkable about her?

Gooch: I think the discipline of her writing becomes ... almost inspiring. She developed lupus when she was 25, she lived until she was 39. And in that period, she kept up this regimen that she had begun at the Iowa Writers' Workshop of writing every morning for three hours, even if it meant sitting in front of a blank page. ...

[Near the end of her life] she was editing her final stories and hiding them under the pillow in the hospital from the doctors so that she could go on. She was still working on her last story after she had last rites. ... All of that is a sort of [a] level of commitment that is startling and unmatched.

CNN: Her stories are often funny, yet disturbing.

Gooch: Her style goes under these names, like grotesque or gothic, but she was really crossing these two wires of humor and almost this kind of dark theological writing that had never been put together before. ...

[In "A Good Man is Hard to Find"] a family on vacation ... meets someone named the Misfit, this ex-con in the woods. ... And he winds up shooting the entire family while spouting existentialist, nihilist philosophy.

And in that story, there's always a point where you keep laughing past this line, and suddenly someone's being shot and you're laughing and then [readers] get very uncomfortable. They can't tell whether this is supposed to be funny or not, and I think that O'Connor definitely works in that territory, where you can't tell if she's being funny or tragic and serious.

CNN: The titles of her stories and novels are so wonderful -- "A Good Man Is Hard to Find," "Everything That Rises Must Converge," "The Life You Save May Be Your Own," "The Violent Bear It Away."

Gooch: "A Good Man is Hard to Find" was a Bessie Smith song; "Everything That Rises Must Converge" she got from Teilhard de Chardin, a favorite Catholic theologian of hers.

You see in a way how sophisticated she was in her approach to her writing. I think sometimes when people read the stories, they confuse O'Connor with the character in her story, and they think she is some Grandma-Moses-crazy-folk-artist, but actually she was an incredibly educated artist who had read everything, including a lot of theology. ... The titles ... are attracting and punchy, but you also see that she's working kind of consciously with these reverberating references.

CNN: What do you make of her fascination with birds?

Gooch: When she was forced by lupus to move back to the South and live on a dairy farm with her mother in Georgia, one of the first things she did besides getting very serious about working on her stories was to order a peacock. And eventually she had 39 peacocks. ... And I think that she was very conscious that the peacock was this gawky, comic bird. I think she identified with the peacock for that reason. The peacock squawked all night and annoyed people, ate her mother's flowers, and yet, at this certain willful moment, opened its tail and revealed what she called this "map of the universe."

So, I think it really stood in a way for this kind of transfiguration that would take place for her spiritually but also in the beauty of her writing. ... She definitely made an effort to make the peacock her own personal logo.

CNN: What is her literary reputation 45 years after her death?

Gooch: She seems to be ever more popular. When she died she was considered almost a minor writer. Her second volume of stories hadn't even come out; her "Collected Stories" was published in the early 1970s and got a posthumous National Book Award.

It seems that every decade, interest in her grows. When the Library of America put out her collected works 10 years ago, she outsold Faulkner. So she has this popularity and interest.

And [she] increasingly shows up in funny pop culture ways. I think in the last episode of "Lost" the character was reading "Everything That Rises Must Converge" in the last scene. So, counterintuitively, she's only growing in importance.

CNN: It's amazing that she had a literary career at all, given how debilitating her illness was.

Gooch: What became inspiring to me, unexpectedly, writing this book [was how she dealt] with her illness, and that she finally was nobody's victim. ... Everything we think of as a Flannery O'Connor story came after she had been diagnosed as having lupus and settled in to life in the South. You get the sense that this was almost a magical thinking, where she thought that writing these stories was keeping her alive.

@highlight

New biography of Flannery O'Connor offers insights on Southern author

@highlight

Biographer Brad Gooch: O'Connor's discipline was "inspiring"

@highlight

Author suffered from lupus, was dead by 39, but left brilliant body of work