(CNN) -- Can a handful of ancient copper coins from a once-opulent but now abandoned corner of East Africa change what we know about Australian history?

A team of researchers is on a mission to find out.

With its glittering wealth, busy harbor and coral stone buildings, the island of Kilwa rose to become the premier commercial post of coastal East Africa around the 1300s, controlling much of the Indian Ocean trade with the continent's hinterland.

Situated in present-day southern Tanzania, during its heyday Kilwa hosted traders from as far away as China, who would exchange gold, ivory and iron from southern Africa's interior for Arabian pottery and Indian textiles as well as perfumes, porcelains and spices from the Far East.

But the Kilwa sultanate's heyday came to a crashing end in the early 1500s with the arrival of the Portuguese who sacked the city in their bid to dominate the trade routes between eastern Africa and India.

From then on, Kilwa never managed to recover its greatness. With its trading network gradually eclipsing, the once flourishing city started to decline in importance. It was eventually deserted in the 19th century, its crumbling, UNESCO-protected ruins offering today a glimpse of its glorious past.

But interest in this nearly forgotten East African city has resurfaced lately thanks to the mystery surrounding a remarkable discovery thousands of miles away, in a long-abandoned, remote chain of small islands near Australia's Northern Territory.

Astonishing discovery

Back in 1944, an Australian soldier named Maurie Isenberg was assigned to one of the uninhabited but strategically positioned Wessel Islands to man a radar station. One day, whilst fishing on the beach during his spare time, he discovered nine coins buried in the sand. Isenberg stored them in a tin until 1979, when he wondered if they might be worth something and sent them to be identified.

Four of the coins were found to belong to the Dutch East India Company, with one of them being from the late 17th century.

But the rest of them were identified as originating from Kilwa, believed to date back to the 1100s. The sultanate started minting its own currency in the 11th century.

Read this: The dark history of Bunce Island

"It's a very fascinating discovery," says Ian McIntosh, an Indiana University-Purdue University Indianapolis anthropologist.

"Kilwa coins have only ever been found outside of the Kilwa region on two occasions," he explains.

"A single coin was found in the ruins of great Zimbabwe and one coin was found in the Arabian Peninsula, in what is now Oman, but nowhere else. And yet, here is this handful of them in northern Australia, this is the astonishing thing."

Re-write history?

According to history textbooks, Aboriginal explorers arrived in Australia from Asia at least 60,000 years ago. The first European widely known to have set foot on the continent was Dutch navigator Willem Janszoon in 1606, more than 160 years before captain James Cook arrived at Australia's south-eastern coast to claim the territory for the British empire.

So how did the five coins from distant Kilwa wind up in the isolated Wessel Islands? Was a shipwreck involved? Could it be that the Portuguese, who had looted Kilwa in 1505, reached the Australian shores with coins from East Africa in their possession? Or was it that Kilwan sailors, renowned as expert navigators all across the sea route between China and Africa, were hired by traders from the Far East to navigate their dhows?

These are the kind of questions that McIntosh now hopes to answer as he bids to unravel the mystery of how the coins, which are currently stored in Sydney's Powerhouse Museum, were found in this part of the world.

"We have five separate hypotheses we're looking to test about how these coins got there, each one quite different from the other," says McIntosh. On July 15, he will lead an eight-member team of archaeologists, historians and scientists to the area where Isenberg discovered the coins.

Read this: African roots of the human family tree

"This is an initial survey; if we find something then we'll prepare for a more detailed and focused exploration in specific areas," says the Australian professor. "We are interested in a more accurate portrayal of Australian history that is currently allowed in textbooks."

The team will embark on its quest for answers equipped with a nearly 70-year-old map on which Isenberg had marked with an X the spot where he found the coins.

McIntosh, who was sent the map before Isenberg's death in 1991, says he first tried to mount an expedition to the Wessel Islands in the early 1990s but at the time he'd failed to gather funding.

"In 1992 there was a very limited interest for such a venture," he says. "But we maintained an interest in the Kilwa connection because it was such a famous place in its day -- from the 1100s to the 1300s it was the most prominent port in the entire east African coast, bigger than Mombasa, Zanzibar and Mogadishu."

"If you bought these coins in a shop in Kilwa, you could probably get them for a few dollars," says McIntosh. "But in northern Australia, these are priceless in terms of their historical value."

@highlight

African coins dating back to 1100s found in remote part of Australia

@highlight

Coins were minted in powerful African city state of Kilwa, in modern-day Tanzania

@highlight

Australian professor leading an expedition to discover how they got there