WASHINGTON (CNN) -- Suzanne Richard was born to be an actress.

Suzanne Richard says that navigating the maze of government aid regulations is a challenge.

She was also, however, born with osteogenesis imperfecta, a bone-crippling disorder that can mean a lifetime of health problems and physical disability.

But rather than letting her condition hinder her acting ambitions, Richard has embraced it, and now works to encourage other actors with disabilities to do the same.

As the artistic director of Open Circle Theatre, a theater founded to "showcase professional artists with disabilities in an integrated setting," Richard offers her actors respite from the challenges they face, and access to an industry that can often discriminate against people like her.

"I decided a long time ago that if people were going to stare at me, they were going to pay me for it," she quipped backstage at a rehearsal for her latest production, "Is there ANYBODY OUT THERE?"

And at a height of just under 4 feet, with legs encased in metal braces, the 38-year-old Richard said she indeed often attracts curious stares from the public.

Richard's condition, also known as Brittle Bones Disease, is a genetic disorder "characterized by fragile bones that break easily," according to the Osteogenesis Imperfecta Foundation. The condition is considered rare, thought to affect only about 40,000 Americans, said Tracy Hart, CEO of the OI Foundation. There is no cure, Hart said.

While the severity of the disorder varies greatly, common health issues related to OI are a short stature, weak tissues, fragile skin, muscle weakness, loose joints, hearing loss, breathing problems and curvature of the spine, according to the OI Foundation.

In Richard's case, OI has meant frequent bone fractures, painful surgeries, leg braces, wheelchairs, and a multitude of symptoms caused by the pressure her weak frame puts on her body. As a child, Richard had to have rods surgically placed in her legs "as infrastructure" -- a painful routine that she repeated as often as she grew.

But for Richard, the physical constraints of her condition are only half the battle.

When Richard was forced to retire from her job as an accessibility specialist at the National Endowment for the Arts because she was too sick to work, she lost her work-provided private health insurance coverage. She now gets Medicare through her Social Security Income retirement benefits.

Social Security Income is a government program that "makes monthly payments to people who have low income and few resources," and are either at least 65 years of age or disabled. Social Security recipients are subject to income restrictions depending on what state they live in, and are only allowed to have resources worth $2,000, with certain exceptions, according to the Social Security Web site (www.socialsecurity.gov).

These strict financial eligibility limitations, Richard said, can be nerve-wracking, and can make navigating the system extremely difficult.

"If you lose your Social Security benefits because you make too much money, you lose everything. You lose your Medicare, too," Richard said. "So if you're on disability you have to be really careful not to make too much money, which is self-defeating."

It is "self-defeating" especially when one considers the massive medical bills Richard accumulates due to her OI. Though Medicare covers 80 percent of her medical costs, Richard said she often comes up short some months.

"You can't get blood from a stone. ... I'm on a fixed income. That's why I'm on Medicare," she said.

So, Richard constantly finds herself in the precarious situation of having to rely on her loved ones and the government for her financial stability.

"I'm hanging on by my fingernails. ...You can never get ahead," she said.

It's a frustrating circumstance familiar to Richard's fellow actors at Open Circle, as well as to the millions of disabled Americans in need of expensive medical treatment. It's a system, said Richard, that must be reformed.

"It's a foreign concept to me. ... this idea that 'No, I'm sorry you don't have enough money to get this treatment,' " she said. "I sincerely believe that people with disabilities, if you want them to be at all a useful part of the society, you need to have medical care that you don't have to worry about having." But until then, Richard said she survives by familiarizing herself with the system and learning to navigate through the obstacles, a skill that she was forced to learn early on.

"You just get used to adapting. I guess we always do that anyway," she said.

@highlight

Theater's artistic director was born with bone-crippling disorder

@highlight

Suzanne Richard encourages other disabled actors to embrace their art

@highlight

Navigating maze of government aid is extremely difficult

@highlight

"You can never get ahead" when system punishes earning, Richard says