(CNN) -- If Massachusetts' strangely arcane Alimony Reform Act were to become the law of the land, the financial well-being and security of married women could be seriously threatened.

The law dramatically changes the way judges grant alimony for nonworking ex-spouses. It is written in gender-neutral terminology, but because 97% of the people who seek and require alimony are women, the effects on women will be substantially greater.

First the (oversimplified) basics: The new law decides whether alimony will be granted, if at all, based not on a wide variety of criteria -- such as the value of the nonworking spouse's contributions to the marriage -- but on how many years the couple stayed married and how much money the working spouse made during the marriage. And it won't last a lifetime. If a marriage lasted 15 years, a woman will receive alimony, at most, for only 10Â½ years.

It's craziness. The Massachusetts legislature has effectively embraced a policy declaring that being married is roughly akin to working in state government. The more years you log, the bigger your pension, and if you make it to certain cut-off periods, you get a larger sum.

Specifically, five years of marriage or less gets the dependent spouse alimony for a period equal to 50% of the number of months the couple was married. So, if a couple stays married for two years, the dependent spouse will receive alimony for no more than 12 months. A marriage that lasts at least 15 years, but less than 20, entitles the dependent spouse to alimony for 80% of the number of months of the marriage.

If it weren't such a dangerous bill, it might be worth only a few snarky remarks about how people are not widgets, and human relationships should not be subjected to mechanical valuation systems. But this is a bill that threatens serious consequences and will affect women in ways that transcend economic concerns.

For example, one woman told me she's afraid of becoming homeless if her ex-husband invokes the new law to stop her alimony payments. She gave up a career in banking to stay at home and raise the couple's child. When that child went off to college, the husband filed for divorce. She is surviving on a modest alimony payment, but under the new law, payments will stop in two years. Having left a profession, she stands no chance at being hired for a well-paying job in that career. A minimum wage job would pay less than public assistance.

Victims of domestic abuse face an inhumane choice. Those who worry about homelessness if they leave a violent spouse might feel pressured to stay in an abusive relationship to make it to a particular cut-off period. At the same time, men who want to get out of a marriage cheaply can run to divorce court on the eve of the next cut-off period.

Click here for a viewpoint in favor of the new law: Ending forever alimony

Similar bills have been proposed in other states, but women's groups have been deafeningly silent, perhaps because some aspects of the new law seem fair, at least superficially.

For example, a judge can consider the income of a new partner in measuring a dependent spouse's assets. In the past, a divorced woman who was granted alimony would lose it only upon remarriage. This prompted lots of women to simply move in with a man and benefit from his financial support without having his income considered part of her assets during a court assessment of whether her need for alimony has changed.

Lifetime alimony, in such circumstances, is terribly unfair. But it's also rare, especially these days. It happens, but so infrequently and usually in such unusual cases -- where the dependent ex-spouse is financially desperate and unable to work -- that it doesn't merit the restructuring of all alimony laws for all purposes.

Massachusetts divorce lawyer Elizabeth Clague says she's seen a judge grant lifetime alimony only a few times in her 16-year career.

"The cases involved unusual circumstances. One woman was living in a shelter; in another case, the husband had been hiding assets," Clague said. "Lifetime alimony awards are disfavored in Massachusetts and have been for a long time."

Judges ordered alimony under the previous, more flexible, rule based on a holistic view of each case rather than in accordance with arbitrary lines that reward or punish stay-at-home spouses based on years spent in the marriage.

Among other things, a mechanical approach to a woman's value disregards entirely the value of a woman's lost career. If she finished medical school, for example, then stayed home to raise children and care for her family, a judge should be able to take into account this lost opportunity and income.

Instead, the new law dictates that a woman's value is based solely on the length of time she spent enabling her husband to earn a certain income while she cooked, met with teachers and took the kids to soccer practice.

Judges in Massachusetts do retain some discretion to grant alimony beyond the guidelines, in unusual cases, but the stated purpose of the new rule will compel most judges to simply dole out discounted alimony awards based on an awkward calculation of numbers, years and percentages, rather than full valuation of a woman's worth.

Lifetime alimony has been a problem, but the system mostly self-corrected when judges stopped routinely ordering it. For those few men whose payments were unfair, a law granting a more generous standard of review on appeal would have fixed it.

The Alimony Reform Act is too broad, and other states should beware. Lawmakers motivated to please special interest groups would be wise to remember they represent the public interest, not only the interests of wealthy men with lobbyists.

Join us at Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Wendy Murphy.

@highlight

Wendy Murphy: New law dramatically changes alimony for nonworking ex-spouses

@highlight

She says strict rules determine alimony amounts, duration, instead of circumstances

@highlight

Lifetime alimony unfair, but very rare, she says. Changing all alimony law is overkill

@highlight

Murphy: Women who have no ability to work could find themselves with no income at all