Hong Kong (CNN) -- When Shaun Rein drives to Shanghai's Pudong International Airport, about 10 minutes outside the airfield, he begins to notice a line of cars -- including Rolls Royces and Bentleys -- parked along the side of the highway.

"Why? It's because these people, who can spend a million dollars on a car, don't want to spend $2 on parking at the garage," said Rein, managing director at China Market Research Group.

For Chinese leaders, the nation's newfound wealth represents a bumpy road as they try to steer the economy on a new path. The ruling Communist Party (CCP) continues meetings this week for the 18th Party Congress, where it is expected to select Xi Jinping and Li Keqiang to become the president and premier, respectively, of China for the next decade.

Hu warns of corruption as congress begins

One of the great challenges the new leadership faces is to move the economy -- currently driven by exports and investment -- toward a more sustainable course led by domestic consumer spending. While domestic consumption is rising, it still makes up just over one-third of the China's total economy. American consumers, by comparison, power more than two-thirds of the U.S. economy.

Much has been made of China's growing group of super rich which has spurred record sales for luxury goods makers such as Chanel, Louis Vuitton and Prada. The nation has an estimated one million people with a net worth of $1 million or more, and that is expected to grow 2.5 times in the next three years, Rein said.

But much of the hope of the rising domestic spending rests with China's growing middle class. There are an estimated 350 million people in China's middle class, which are households that earn between $6,000 and $15,000, Rein said. A government think tank predicted last week that by 2020 there will be 600 million Chinese earning middle-class incomes.

"But they are not really middle class in the American sense. In the U.S., you're born a blue collar worker, your parents were blue collar, your grandparents -- and you're proud of that, you have that identity. And you like to shop at Macy's on special occasions," Rein said.

"In China, you don't have that -- that doesn't really exist. Everyone here says they're going to be rich," he added.

China business: 'Mao is not coming back'

That growth represents eye-popping opportunities for foreign multinationals and domestic companies. Chinese consumers prefer overseas brands for consumer electronics yet favor domestic companies for personal care or household items, according to a recent report by McKinsey & Company. And foreign companies that got into the market early -- such as General Motors -- are now raking in record profits.

But as outgoing President Hu Jintao noted last week, concerns remain. He set an ambitious target for 2020 to double per capita income in China from 2010 levels for both rural and urban dwellers to address the rising wealth disparity. China's per capita income was $4,423 in 2010, according to the International Monetary Fund. "Unbalanced, uncoordinated and unsustainable development remains a big problem," Hu said in his speech at the Party congress.

"I think what's more alarming or more worrisome is how big is it going to get? Will it continue to grow and drive economic growth not only in China but for the world? Or will it stagnate under a mountain of new debt -- debt from expensive housing to the cost of educating your kids to health care costs?" said Karl Gerth, author of "As China Goes, So Goes the World: How Chinese Consumers Are Transforming Everything."

"These are all things that the government is trying to address by reinstituting some semblance of a social safety net, so instead of saving 40 or 50% of their disposable incomes, people can start to spend it," adds Gerth, who teaches at Merton College of the University of Oxford.

Photos: China's top leaders meet

For foreign companies, there are mounting worries of roadblocks from Beijing to prevent access to the growing Chinese domestic market. Last summer, a report from the European Union Chamber of Commerce showed that more than 40% of members said they think government policies for multinational companies are less fair than two years ago, and 22% say they may move investments out of the country as a result.

As Time's Michael Shuman recently wrote, a new Chinese Great Wall -- constructed of regulations and restrictions -- are making it harder for foreign companies to compete with domestic players in the Chinese consumer market. "Things that were easy are less easy," Michael Dunne, president of the Hong Kong-based auto consultancy Dunne & Co., told Time, adding that carmakers "have to work harder to get what they want. Free access is not part of the equation."

Still, more cash is trickling down to Chinese laborers. More than half of the country's growth last year "has come from domestic consumption, and it's really because the government is pushing for more money to go into the pocket of everyday Chinese -- 21 of China's 31 provinces increased the minimum wage by 22%," Rein said.

"So what you're seeing is Chinese are getting wealthier, they're starting to spend more," he said. "That's why you saw retail sales growth of 14.2% last month."

Complete coverage: China's leadership change

CNN's Kristie Lu Stout contributed to this report

@highlight

China's growing middle class is expected to grow from 350 million to 600 million by 2020

@highlight

Beijing's new leaders trying to steer economy toward domestic spending rather than exports and investment

@highlight

Concerns remain over wealth disparity and lack of social safety net in China

@highlight

Foreign companies say it's increasingly more difficult to compete in the domestic market