(CNN)  -- It cannot be denied that African-Americans have made tremendous progress -- and one of the most significant factors that contributed to black success and survival has been our faith in God.

The manifestation of that faith is the religious community, which consists mostly of Christian churches that have produced positive spiritual, social, economic and political results for black America.

The question is whether black churches can continue to be the instruments of empowerment that they historically have been. Perhaps an understanding of the emergence and prominence of the African- American church will offer some insight to the potential that these churches still possess.

Eighty-seven percent of African-Americans report they are affiliated with a particular religious group, and 95 percent of those claim to be Christians, according to the 2007 U.S. Religious Landscape Study conducted by the Pew Research Center.

Belief in God, regular prayer, worship attendance and belief in life after death are some of the core beliefs of a large majority of African-Americans. Although the expressions of faith and religious practices might differ, religious faith itself is a constant in black America.

The African-American religious experience is a result of a convergence of African culture, biblical hermeneutic and social resistance, woven into institutions.

The common threads among the culturally diverse African slaves in North America were communal living, extended families, cultural leadership and a deeply rooted appreciation for spirituality.

Enslaved Africans were exposed to the literature of the Christian Bible, and they found comfort and direction in the same book that was used to justify their enslavement. Slaves met the indignities and injustices that denied them their humanity with the same resistance that humans throughout history have shown oppression.

Religion in general and Christianity in particular became an answer to the mysteries of the cosmos and a way to cope: Only a belief in an unseen power and a faith in a divine advocate could sustain a people who faced such daunting circumstances.

When the highest court in the land relegates one's race to subhuman status as a matter of law -- which the Supreme Court did in the Dred Scott decision of 1857 -- people need a source of authenticity for their identity. That source for African-Americans was the God of the Bible, who had sent Moses to lead the slaves out of slavery and who had sent his son to preach "good news to the poor and set the captives free."

But that cultural background within Christianity translated into an ecclesiology that not only nurtured the development of the black churches, but also conferred upon black clergy a status that has been akin to royalty.

Although the role of professional clergy in the Protestant church at large was viewed as a vocation, African-Americans tended to treat their clergy as more than just employees of the church --  they were royal tribal leaders for the community. So the separation between the sacred and the secular, the religious and the political, has not been as distinct among African- Americans. The clergy had to be advocates for justice, arbiters of internal disputes within the community and managers of sacramental affairs, all in one.

And the churches themselves had to be more than places to learn about and worship God. In a segregated society, church was the place where people fulfilled their human potential, developed their God-given talents, made corporate decisions, voted for their officers, owned property, created benevolent societies, raised money for schools and scholarships, celebrated their marriages, blessed their babies, mourned their loved ones' deaths and even learned how to read.

When states passed laws making it illegal to teach black people to read, many learned in church. Even people with little faith had great respect and admiration for the church, if for no other reason than it was a  "surrogate world" for black people, as E. Franklin Frazier noted in his book, "The Negro Church in America," in 1963.

The worship styles, doctrinal distinctions and organizational structures are so diverse that it is really a misnomer to refer to "the" black church. Many black churches make up the black religious experience. What is irrefutable is that without a deep and authentic faith and a passion for the institutional development of that faith, African-Americans could have never sustained the fortitude necessary to survive and succeed in the American experience.

The opinions expressed in this commentary are solely those of the Rev. DeForest Soaries, Jr.

@highlight

DeForest Soaries: Churches helped blacks' political, cultural, spiritual progress

@highlight

Slaves found, in the Bible, a means to cope with dire circumstances, he writes

@highlight

More than place of a worship, Soaries says. People fulfilled potential there

@highlight

He says black churches instrumental in helping people survive and succeed