Athens, Greece (CNN)Alexis Tsipras is the man of the moment, the poster child of Greece's new left, the firebrand leader of anti-austerity party Syriza. In his fine suits, he cuts a dashing figure, and at 40, he's considered young to be a political leader.

But for many on the streets of Athens it's his words that matter -- his promise of "No more bailouts, no more submission, no more blackmailing."

It's a message of hope that resonates with those across this country, hardened by years of the EU's bitter medicine: Austerity.

Greece was among the nations hardest-hit by the global financial crisis; a deeply-troubled economy, widespread unemployment and civil unrest meant that back in 2010 the country was teetering on the brink of exit from the euro, labeled the sick man of Europe.

But the prescription handed down by the Troika -- the International Monetary Fund, European Commission and European Central Bank -- was always going to be difficult to swallow: tax hikes, a freeze on state pensions, bans on early retirement and deep cuts in government salaries, in return for a €240 billion bailout.

Five years on and the Greek economy is starting to recover. Last year, it came out of recession; this year the country's GDP is expected to grow 0.7%.

But some fear the years spent locked in a straitjacket of debt and stagnation may have done more harm than good. There is widespread unemployment, with 27% of the population out of work, industrial production has shrunk 30% and three million people live on or below the poverty line.

For many here, austerity has only led to hardship, and caused unbearable strains that are visible on faces across the city.

Over instant coffee at his house on the outskirts of Athens, Nikos, 58, says his world has been turned upside down since losing his job in 2009. He has been unemployed ever since.

"I used to have money in my pocket, and now, I have nothing," he explains. "I was supposed to get my pension next year and now that has been pushed back by two years. Just put yourself in my position."

The initial frustration he felt has turned to anger. His pride has also been battered; to get by, he has had to ask his mother to share her pension -- not easy for a man who had always been the breadwinner.

Now, he and his four grown-up sons depend on his wife Valentina. But her wages, which have been slashed by 55%, are not enough to feed everyone, leaving her with a tough decision: help the family or pay taxes.

"Who to help first? They are four. I don't buy anything for myself so that I can help them. I had to pay €260 in taxes, and I only earn €800. So I haven't paid the taxes and gave the money to my son to help him with his rent," she explains.

The family's desperation has only been exacerbated by their disenchantment with politicians and their policies: since 2005, Greece has had six Prime Ministers, each one vowing to bring an end to the crisis; each one promising jobs and growth.

But nothing, Nikos says, has changed. So, he and his wife are gambling on Greece's left-wing Syriza party, their pledge to bring an end to austerity, and their message that "hope is coming".

Angry and frustrated, Nikos insists: "Things can't get any worse with a new government. And if they do, we'll vote again for someone else.

"Have politicians ever asked an unemployed citizen when he wakes up in the morning and who has a family, if this person has a single euro, or €5, in his pocket to buy a carton of milk to feed his children?" he asks. "I don't trust any of them."

For now, Nikos and Valentina are placing their trust in Syriza and its leader Alexis Tsipras, who has promised to raise the minimum wage, re-hire public sector workers, reduce taxes and tackle the country's "silent humanitarian crisis".

But Tsipras's boldest pledge -- and the one that is making the rest of Europe nervous -- is his promise to renegotiate the terms of the Greek bailout deal.

At Syriza's last rally before Sunday's general election, I asked the party's finance spokesman George Stathakis what they will do if they can't see eye-to-eye with Europe.

"What we are arguing [for] with our European partners is a new arrangement that will remove part of the public debt burden on the Greek economy and at the same time allow Greece to get back to work," he says.

In other words, they want to stay in the single currency but with more fiscal leeway -- a breathing space of sorts, so the country can recover from its "economic coma," and begin to grow again.

Both working-class and middle-class voters -- and both public and private sector workers -- have voiced support for this call.

Computer developer Stathis Papachristou says he has always voted for the conservatives, but having seen his wages slashed and his taxes increase -- and as the father of a newborn baby, he's voting for change this time around.

"Syriza doesn't express 100% my opinions and I'm not level with what they believe and what they want to do, but I believe its something new, a new party with fresh ideas that is going to change what is already rotten," he explains.

There is no doubt that anger and austerity have fueled the rise of Syriza in a country whose citizens are calling for social and economic change.

But -- if he is elected -- the question of whether Tsipras can make a difference to Greece will depend on what he does with his power, and how the EU and its leaders deal with him.

Whatever the outcome of Sunday's polls, the hard work, it seems, is just beginning.

@highlight

Greek voters went to the polls on Sunday in a snap election

@highlight

Alexis Tsipras, leader of the left-wing anti-austerity Syriza party, declared victory for his party

@highlight

Since 2005, Greece has had six Prime Ministers, each one promising to bring an end to crisis