Having willfully avoided direct military involvement in Syria for the past two years, Barack Obama may not be so lucky over the next two.

Reports that Bashar al-Assad's forces may have used chemical weapons will almost certainly force the president's hand into a course of action that takes the U.S. beyond the  humanitarian assistance to refugees and the non-lethal aid and training  it's provided to  the rebels.

What Obama does on Syria flows directly from what he wants to achieve, or more to the point, what he wants to avoid. And in this case, that means a slippery slide toward military involvement in Syria that incrementally sucks America in without a clear sense of an end game. Indeed, it's been the president's inability to see that end state that has been the single greatest constraint on his willingness to become more involved.

And because that's no clearer today, Obama will look for the least risky and encumbering course of action in Syria, and that probably means arming the opposition. Sadly, this is unlikely to significantly accelerate the demise of the al-Assads.

In March, the president said that al-Assad's use of chemical weapons would be a game-changer, a red line. Tuesday, he said he needs more evidence before acting. "When I am making decisions about American national security and the potential for taking additional action in response to chemical weapons use, I have to make sure I have the facts," he said.

Paradoxically, the chemical weapons issue isn't so much a revolutionary departure point for the president as much as it is the impetus for another incremental move in a complicated calculus of how Obama tries to find a way to stay out of Syria.

And who could blame him?

Despite the moral, humanitarian and strategic arguments for intervention, Syria is a trap  that threatens to suck external powers in and shackle them with responsibility for war-making, peacekeeping and a reconstruction effort that could eventually involve thousands of boots on the ground and billions of dollars in assistance. And it's been clear from the beginning that Obama has no intention of getting stuck with the check.

His calculations are pretty obvious ones. Having laid the groundwork for taking America out of wars that have been the two longest and among the most profitless in its history, Obama has no intention of getting America into new ones. Syria isn't Libya, a country without serious defenses, allies and chemical weapons that represents low-hanging fruit for any military planner.  And Obama's priorities reflect the desires of the American people, which run to fixing America's own broken house, not chasing around the world looking for others to repair.

And while's there's no evidence to prove this, Obama's cautious calculation on Syria is probably also driven by Iran. This isn't the conventional notion banging around Washington that the best way to weaken the mullahs is to push al-Assad out but the president's sense that when the moment of decision comes on Iran, he'll need Russian and Chinese support and as much flexibility as possible if he needs to launch military strikes. He knows he won't get Russian support on Syria and Iran. And he doesn't want to be engaged in military campaigns on two fronts (and in Afghanistan) if he's going to war with the mullahs.

All of Obama's calculations have now been challenged by what appears to be al-Assad's use  of chemicals. And he's now forced to consider violating his own red line on   military action in Syria.

The chemical weapons issue challenges him in three ways: First, it undermines his personal credibility. If Obama declared that the use of chemical weapons would be a game-changer and nothing happens, America's credibility is lost in the yawning gap between the president's words and deeds. The red line turns pink; once again, America's street cred is undermined in a region where  power is respected.

Second, if Obama doesn't impose some cost on the regime, al-Assad may use chemicals again, perhaps this time in a more expansive way. The Syrians have introduced  more muscular military tactics against the  opposition gradually: first artillery, then air power and then surface-to-surface missiles. The alleged use of sarin gas may well be part of that pattern. Obama must try to break it.

And third, the world is watching.  If the president can't enforce his own red line on chemicals, what do you think our adversaries (North Korea and Iran) and friends (Israel and Saudi Arabia) will conclude on the nuclear issue?

So the question is not whether to act but how. And the answer from Obama's perspective is to identify the least risky option.

If the president wanted to bring down the regime more quickly, he'd develop a three-pronged strategy to create offensive no-fly zones protecting rebel sanctuaries near the Turkish and Jordanian borders using Patriot missile batteries; proactively suppress Syrian air defenses; and then launch air and cruise missile strikes against Syrian military assets and even leadership targets. Shock and Awe the Syrians for several weeks.

But that's not his inclination or that of his military advisers. As recently as Tuesday, Gen. Martin Dempsey, chairman of the Joint Chiefs, was still being super cautious on a no-fly zone.

What Obama is likely to do -- and the signals from the White House are clearer than ever -- is to begin providing lethal assistance to opposition elements that have been carefully vetted and covert assistance to coordinate delivery and training.

Help the rebels to help themselves and avoid, at least for now, direct U.S. military intervention.  The real question is whether the administration is prepared to provide even those "koshered" rebel groups, those without ties to Sunni extremists and an inclusive approach to the new Syria, with the "manpads": portable surface-to-air missiles and anti-armor weapons in sufficient quantities that might be effective against al-Assad's air and armor.

There's a real risk that weapons could end up in the wrong hands, used against Americans or other Syrian opposition groups in the ongoing struggle for Syria and between Sunnis and Shiites.

The fact is, Obama has no good options. He'll pick the least worst one, providing some kind of weapons to the rebels. That will make us feel better, neutralize the liberal interventionists and conservative Republicans who've been blasting him and respond to those who say he's backing away from his red line.

It won't turn the tide in Syria or necessarily prevent al-Assad from using chemical weapons. The other alternatives -- do nothing or design a proactive and comprehensive military strategy to take out the al-Assads -- aren't in the cards.

But make no mistake: Sooner rather than later, the president will likely be faced with another decision point along the slippery slope of U.S. military intervention in Syria.

@highlight

Aaron Miller says President Obama has no good choices on Syria

@highlight

He says U.S. would probably provide arms to elements of the opposition

@highlight

That is the least risky course but still could mean a slippery slide toward war, he says

@highlight

Miller: Obama rightly wants to avoid the risks, bloodshed, cost of another war