Katie Hall was shocked the second she saw it: a light-bulb glowing in the middle of a room with no wires attached.

Looking back, it was a crude experiment, she remembers: a tiny room filled with gigantic copper refrigerator coils -- the kind you'd see if you cracked open the back of your freezer.

She walked in and out between the coils and the bulb -- and still the bulb glowed.

"I said: 'Let's work on this. This is the future.'"

What's the trick?

"We're going to transfer power without any kind of wires," says Dr Hall, now Chief Technology Officer at WiTricity, a startup developing wireless "resonance" technology.

"But, we're not actually putting electricity in the air. What we're doing is putting a magnetic field in the air."

It works like this: WiTricity builds a "Source Resonator," a coil of electrical wire that generates a magnetic field when power is attached.

If another coil is brought close, an electrical charge can be generated in it. No wires required.

"When you bring a device into that magnetic field, it induces a current in the device, and by that you're able to transfer power," explains Dr Hall.

And like that, the bulb lights up.

Wireless homes

Don't worry about getting zapped: Hall assures that the magnetic fields used to transfer energy are "perfectly safe" -- in fact, they are the same kind of fields used in Wi-Fi routers.

In the house of the future, wire-free energy transfer could be as easy as wireless internet.

If all goes to WiTricity's plans, smartphones will charge in your pocket as you wander around, televisions will flicker with no wires attached, and electric cars will refuel while sitting on the driveway.

WiTricity has already demonstrated the ability to power laptops, cell-phones, and TVs by attaching resonator coils to batteries -- and an electric car refueler is reportedly in the works.

Hall sees a bright future for the family without wires:

"We just don't think about it anymore: I'm going to drive my car home and I'm never going to have to go to the gas station and I'm never going to have to plug it in.

"I can't even imagine how things will change when we live like that."

World outside

Beyond these effort-saving applications, Hall sees more revolutionary steps.

When Hall first saw the wireless bulb, she immediately thought of medical technology -- seeing that devices transplanted beneath the skin could be charged non-intrusively.

WiTricity is now working with a medical company to recharge a left-ventricular assist device -- "a heart-pump, essentially."

The technology opens the door to any number of mobile electronic devices which have so far been held back by limited battery lives.

"The idea of eliminating cables would allow us to re-design things in ways that we haven't yet thought of, that's just going to make our devices and everything that we interact with, that much more efficient, more practical and maybe even give brand new functionality."

What's next?

The challenge now is increasing the distance that power can be transferred efficiently. This distance --  Hall explains -- is linked to the size of the coil, and WiTricity wants to perfect the same long-distance transfers to today's small-scale devices.

For this reason, the team have high hopes for their new creation: AA-sized wirelessly rechargeable batteries.

For Hall, the applications are endless: "I always say kids will say: 'Why is it called wireless?'"

"The kids that are growing up in a couple of years will never have to plug anything in again to charge it."

*UPDATE (March 17)

It's great to see so much discussion of this technology on social media and the comments thread.

There seems to be a lot of interest in the contribution of Nikola Tesla's experiments to the development of this technology. Dr Hall discussed Tesla briefly in her interview with Nick Glass:

Nick Glass: Given that Tesla and others realized all this over a Century ago, why's it taken so long?

Dr Hall: I don't think they realized exactly what we've done. They were certainly dreaming of wireless power -- there's no question about that.  In those days, it was a different problem, because they were really thinking about: how do they get the power from where it's generated to where it's used. And in that case they might have been thinking about Niagara Falls generating the power and getting it to New York City -- and that's a long distance.

We're not proposing that the technology we have here at WiTricity would be used for that kind of application. When we came around, power's already being transferred by wires to homes and rooms and things of that nature, so we had a much different problem, which was really just this much shorter distance.

As WiTricity has mentioned on its website, its Highly Resonant Wireless Power Transfer technology is also distinct from Tesla's creations -- and is efficient enough to be economically viable.

@highlight

Dr Katie Hall is developing ways to transfer power without wires

@highlight

In the home of the future, wireless energy will be as common as Wi-Fi, she believes

@highlight

The technology could lead to new and revolutionary medical devices