(CNN) -- Stretching some 7,000 kilometers along the West African coastline, a submarine fiber-optic cable emerges off the coast of Nigeria to help bridge the digital divide in the continent.

Dubbed Main One Cable, the system links West Africa with Europe, bringing ultra-fast broadband in the region. It runs from Seixal in Portugal through Accra in Ghana to Lagos in Nigeria and branches out in Morocco, Canary Islands, Senegal, and Ivory Coast.

The cable, which has a capacity of 1.92 terabits a second, first went live in July 2010, becoming the first subsea cable to bring open-access, broadband capacity in West Africa, according to Funke Opeke, chief executive of Nigeria's Main One Cable Company.

She says high-speed, low-priced, reliable broadband is key in transforming African economies and creating job opportunities.

"When you think of Africa coming into the information age, you think of educational institutions, you think of business opportunities, you think of social awareness, better communication, transparency in government," says Opeke, a former executive at U.S. telecoms giant Verizon.

"In order to make Africa (and) Nigeria competitive again and in order to make our schools competitive, to make businesses here competitive and ... to give young people access to opportunities, access to markets, access to ideas ... we need a society, as a population to be better connected to the internet," she adds.

Web savvy Africans fuel growth in online shopping

After the launch of Main Cable One, more undersea fiber-optic projects have been rolled out in the region, including Glo 1 by Nigerian telecoms group Globacom. Similarly, several other efforts have been deployed in eastern and southern Africa in recent years.

Yet, slow connectivity and high internet costs are still major problems -- according to figures by the International Telecommunication Union, Internet-user penetration in sub-Saharan Africa was 10.6% in 2010, far behind the world average of about 30%.

"Even in the countries in which we're already in-land, broadband penetration is still under 10% rate, so there's a lot of road for growth and improvement," says Opeke.

Born in Nigeria, Opeke moved to the United States in 1984 to study at Columbia University. After a 20-year-old career in the U.S. telecommunications industry she returned to Nigeria in 2005, where she saw "first-hand" the country's absence of internet infrastructure and the need for better web connectivity.

"I just felt personally the need was so glaring and that was what motivated me to start trying to solve the problem," says Opeke. "The more I looked at it on my kitchen table the more visible it became to put a business together and that's what I did."

Starting all by herself, Opeke managed to raise $240 million after securing the support of various investors from the continent.

"It's all African financing," she explains, "I look at those people who wrote checks ... the angel investors when I had no license, it was a business sheet on a piece of paper and it really wasn't about making money, it was really about a deep understanding and desire to transform a society and to say that we could address some of these problems Africa had.

"That we understood the challenges, there was a lot of work to be done and that we wanted to pull people on board, pull ourselves together to address those problems," she adds.

Today, Opeke says, the system has helped improve the availability of internet services, especially in Lagos and Accra, as well as lowering wholesale prices significantly, by up to 80 per cent.

Africa's emerging leaders launch 2020 growth vision

But despite the big decrease in wholesale cost, Opeke notes that consumers have still not seen a difference in the price they pay -- she says that all of Nigeria's infrastructure is self-provisioned by different retail operators, which keep charging the same prices for the domestic part of the services.

"The people who own the distribution networks are not passing on the saving, there's no open-access distribution or common carriers like you would have in a developed market," says Opeke.

The lack of a national backbone infrastructure on an open-access basis is also making expensive to move capacity within Nigeria, according to Opeke. As a result, she says, connecting people from the company's landing point in Nigeria to London costs less than connecting people across Lagos.

"You have to buy that infrastructure from people who own it for their own proprietary use, so it's a cartel-like situation," she says.

Therefore, Main One Cable, which does not sell its capacity directly to homes or small and medium-size businesses, has also started investing in distribution infrastructure, building its own networks when it can't find "commercially reasonable rates," as Opeke explains.

"The biggest challenge that we see is getting the capacity we have in this big pipe that we brought into Nigeria and Ghana across the region to reach the people and businesses where they need the service," she says.

There are also plans to extend the cable down the coast to South Africa and connect it with Seacom, the underwater East African fiber-optic cable that became fully operational in 2009.

Despite the challenges, Opeke says the high demand she had hoped for when she first started sketching out her business plan on her kitchen table back in 2007 is still there.

"People know they want better access to the internet, they want faster, cheaper, they want to be able to drive new kinds of applications, access different types of content," she says.

@highlight

Funke Opeke is the chief executive of Nigeria's Main One Cable Company

@highlight

She says her firm laid the first sub-sea cable linking West Africa and Europe to bring broadband to the region

@highlight

The fiber-optic cable runs from Seixal in Portugal to Accra in Ghana and Lagos in Nigeria

@highlight

Opeke says the lack of a backbone, open-access infrastructure is keeping prices high for consumers