(CNN) -- On the night the Ferguson Grand jury's decision broke, a friend sent me an email:

"Something was clearly broken in the Ferguson community long before Michael Brown died. Time and energy needs to be spent on figuring out what went wrong and how you begin again to build trust -- because it will have to be rebuilt."

I agree. Justice to be credible and accepted has to have trust as its foundation.

Ferguson does not stand alone. Every day, in cities and towns across America, African-Americans experience weighted scales of justice. This reality is an accepted part of life for too many. That must change.

It's also important to realize that having problems based on race does not mean we've backslid. President Obama is right when he says race relations in this nation are improving, and are much better than in years past.

We have traveled a long, hard road to a better America. It is an ongoing journey requiring constant vigilance. When I was growing up, our nation was partitioned: Blacks were segregated by law in the South and largely by custom in the North, though it too had segregation laws.

Our best universities had quota systems. Many white communities had real estate covenants to keep nonwhites out. Segregationist Gov. George Wallace won Michigan and Maryland -- not just the deep South -- in his bid for the Democratic Party's presidential nomination. It was a crime in the South for blacks and white to sit together on a bus. North and South, it was prohibited for blacks and whites to marry.

Despite this wide racial gulf, most Americans showed a deep commitment to fairness. This contrasted and contested sharply with sanctioned -- sometimes officially, sometimes unofficially -- vigilante hangings and bombings, fire hoses, police dogs, and congressional filibusters.

As the civil rights struggle progressed, Americans responded to the justice of the cause, shedding layers of the crusty armor that shielded the white majority from contact with its large black minority.

There are layers left.

It feels so much better to be on good terms with one another. I remember when Sen. John Stennis of Mississippi, a vigorous opponent of civil rights legislation, voted for an extension of the Voting Rights Act in 1983. "I didn't want to go back to all the days of misunderstanding," he said afterward. "I didn't want to turn around and go back," he said.

We have gone forward. We also know America isn't Shangri-La. When cities burn in the night, parents weep in silent anguish, thousands march in protest, and a Ferguson prosecutor willingly undercuts his own case, we have a distance to travel.

Today, we need a national commission on justice. One that is more than a fact-finding commission. One whose purpose is reconciliation. This one should be modeled after South Africa's Truth and Reconciliation Commission, chaired by Bishop Desmond Tutu.

There was an emphasis in that commission on reconciliation. There was a marked effort to forgive. Tutu wrote, "When I talk of forgiveness I mean the belief that you can come out the other side ... a better person than the one being consumed by anger and hatred.

"Remaining in that state locks you in a state of victimhood, making you almost dependent on the perpetrator. If you can find it in yourself to forgive then you are no longer chained to the perpetrator. You can move on."

Bishop Tutu added a "but."

"But the process of forgiveness also requires acknowledgment on the part of the perpetrator that they have committed an offense."

The grand jury system, not just in Ferguson, but nationwide, needs a hard look. Millions feel that officers who are trigger-happy are handed a license to shoot -- based not on facts, but on stereotypes the officers carry.

Millions feel stereotypes explain why a lone 12-year-old with a toy gun was instantly, and fatally shot in daylight by Cleveland police, but why a white mass-murderer, shooting in a darkened theater, was apprehended unharmed. Citizen grievances must be gathered, studied and addressed. Acknowledgment of wrongdoing, where appropriate, must be made. Changes must come. Forgiveness must follow. But we cannot ignore this problem, or pretend it doesn't exist.

I share the pain of the Americans who wrote these tweets: from Joelie @Joeelleeee  "IF YOU'RE NOT ANGRY, YOU'RE NOT PAYING ATTENTION."

And Petty LaBelle @d_Sassy1ne who tweeted, "My 7 year old son just said: "Don't worry mom. If we want to live, we just have to stay home". I'm turning off my tv. My heart just broke."

Let us start by addressing these issues, work together to find ways to rebuild trust between citizens and those who are paid to protect us from violence.

@highlight

Donna Brazile: After Ferguson decision, trust among black community has to be rebuilt

@highlight

She says justice system often unfair to blacks. It doesn't mean U.S. backslid in gains on race

@highlight

She says Americans want fairness. We need national commission on justice

@highlight

Brazile: Changes, forgiveness must come. But we cannot pretend problem doesn't exist