(CNN) -- For Uganda's lesbian, gay, bisexual, transgender and intersex community, 2013 strengthens us with fresh resolve. But a new year also torments us with old anxieties.

Uganda is my home, but every day I must fight tooth and nail to remain. I inhabit a land and a paradox where my right to have a consensual relationship with an African woman is illegal -- "un-African"-- and where my daily work is a life and death matter.

Since 2009, my community has faced the potential passage of an anti-homosexuality bill that threatens Ugandans in same-sex relationships with life imprisonment (there are conflicting reports on whether the original death penalty provision remain). This year, many Anglican Church officials and other leaders have declared the legislation's speedy passage as their New Year's resolutions, with the bill scheduled for discussion when Uganda's parliament reconvenes in February. As a transgender man, I am not safe.

But as a Ugandan, I am here and I remain optimistic. Existing out in the open is ordinary for most people, but visibility is magical for those of us who once roamed the land like ghosts. "There are no homosexuals in Uganda," our leaders said not too long ago. They cannot say that now. They say I am evil. They say my love is illegal. But in 2013, they can no longer say I am not here.

I am fighting to end discrimination as the Ugandan government cracks down on all human rights activity. To speak out about injustice is deemed rebellion against democracy, and to advocate for LGBTI rights is to be out of your mind. The AIDS and LGBTI empowerment workshops I facilitate get shut down by Minister of Ethics and Integrity Rev. Fr. Simon Lokodo even though HIV infections and inequality have not gone away.

The increased fervor to pass the anti-gay bill has re-opened the wounds of past tragedies and threatens to create new ones. The fear is still fresh on the second anniversary of the murder of David Kato, my colleague, whose gruesome death changed me and Uganda's LGBTI community forever.

Seated in the same office at the gay rights organization, Sexual Minorities Uganda, known as SMUG, David and I had committed to ending discrimination based on sexual orientation and gender identity. We refused to stay invisible, to remain dehumanized as ghosts. As a result, we found ourselves on a Ugandan newspaper's list of 100 homosexuals. The story's banner: "Hang Them."

David was subsequently killed. But he was not silenced: I still hear his voice telling us not to hide, or else "they will keep saying we are not here."

I am here, still, in 2013, but I dread things as simple as shopping at a kiosk for groceries, because the owner has told me he doesn't sell to "such people." If I insist, he said, he will "teach me how to be normal." A full night's sleep is thwarted by the fear of a stranger who has followed me home or the neighbors who have formed a mob. My personal struggle is a small reflection of the entire LGBTI community's everyday apprehension.

With action on Uganda's anti-homosexuality bill looming, the lives of the nation's LGBTI are threatened. These are not nameless faces, but real people like my girlfriend, who trembles at the prospect of coming out. People like one trans woman who in September was brutally beaten in public by friends who discovered her identity, and another who was dragged to the police in full glare of the public. Even heterosexual Ugandans -- including family and friends who fail to disclose LGBTI loved ones to authorities -- would face criminal charges if this bill were to pass.

But I can report some good news. Before David Kato's murder, he was alive to see us win a lawsuit against the newspaper that called for our hanging. Indeed, the Ugandan courts' impartiality in our cases helps me stay optimistic. And I hope to win a U.S. lawsuit against American evangelist Scott Lively for the anti-gay terror he exported to my country.

The past five years have also brought progress outside the courtroom. Just a decade ago, I couldn't have imagined discussing the rights of LGBTI people with motorbike taxi drivers and members of parliament alike. While I've lived through the homophobia-fueled murders and suicides of friends, I also photographed my country's first Pride march last  August, where we proudly waved both the Ugandan and rainbow flags side by side. In drag and plain view, LGBTI Ugandans celebrated life in the face of legislation that calls for our death.

"As long as you refuse to be a victim, and you seek to empower yourself and others, whatever's going on will get better," President Bill Clinton has said. I believe him, and beyond that, I believe in myself. Those who wish me harm may control the laws, but they will never steer my destiny.

Despite the injustice that follows LGBTI Ugandans into a new year, our desire for freedom has taken deep root. The roots will one day prove deeper than their hatred, deeper than our closets. That's what keeps me optimistic. And that's why they cannot say I am not here. Uganda is my home and I intend to continue living here as I am.

The opinions expressed in this commentary are solely those of Pepe Julian Onziema.

@highlight

Pepe Julian Onziema: New year fills LGBTI community in Uganda with resolve--and anxiety

@highlight

He says threat of anti-homosexuality bill passage endangers LGBTI Ugandans

@highlight

He says by his vocal presence, he aims to end discrimination

@highlight

Onziema: LGBTI Ugandans have made advances; oppressors can't steer my destiny