(CNN) -- A Florida pastor told CNN on Tuesday that while his congregation still plans to burn Qurans to protest the September 11, 2001 terrorist attacks, the church is "weighing" its intentions.

Terry Jones, pastor of Dove World Outreach Center in Gainesville, Florida, who was interviewed on CNN's "American Morning," said the congregation is taking seriously the warning from the U.S. military that the act could cause problems for American troops.

"We have firmly made up our mind, but at the same time, we are definitely praying about it," Jones said.

Later Tuesday, Jones had a response to a statement from Gen. David Petraeus, the U.S. commander in Afghanistan, who said the burning of Islam's holy books "could cause significant problems" for American troops overseas. "It could endanger troops and it could endanger the overall effort in Afghanistan," Petraeus said in a statement issued Monday.

"The general needs to point his finger to radical Islam and tell them to shut up, tell them to stop, tell them that we will not bow our knees to them," Jones said on CNN's "AC360."

"We are burning the book," Jones said. "We are not killing someone. We are not murdering people."

The planned action has drawn sharp criticism from Muslims around the world and from U.S. officials.

The U.S. Embassy in Kabul, Afghanistan, on Tuesday issued a statement saying the U.S. government "in no way condones such acts of disrespect against the religion of Islam, and is deeply concerned about deliberate attempts to offend members of religious or ethnic groups." It emphasized that it strongly condemned "the offensive messages, which are contrary to U.S. government policy and deeply offensive to Muslims especially during the month of Ramadan."

"Americans from all religious and ethnic backgrounds reject the offensive initiative by this small group in Florida. A great number of American voices are protesting the hurtful statements made by this organization," the embassy said.

With about 120,000 U.S. and NATO-led troops still battling al Qaeda and its allies in the Islamic fundamentalist Taliban movement, Petraeus warned that burning Qurans "is precisely the kind of action the Taliban uses and could cause significant problems -- not just here, but everywhere in the world we are engaged with the Islamic community."

Petraeus said he was concerned about the political repercussions of the church's plan.

"Even the rumor that it might take place has sparked demonstrations such as the one that took place in Kabul yesterday," he said. "Were the actual burning to take place, the safety of our soldiers and civilians would be put in jeopardy and accomplishment of the mission would be made more difficult."

One of Petraeus' deputies, Lt. Gen. William Caldwell, told CNN's "The Situation Room" that the event "has already stirred up a lot of discussion and concern" among Afghans.

"We very much feel that this can jeopardize the safety of our men and women that are serving over here in the country," said Caldwell, the head of NATO efforts to train Afghan security forces.

Caldwell said American troops "are over here to defend the rights of American citizens, and we're not debating the First Amendment rights that people have." But he added, "What I will tell you is that their very actions will in fact jeopardize the safety of the young men and women who are serving in uniform over here and also undermine the very mission that we're trying to accomplish."

"I would hope they would understand that there are second- and third-order effects that will occur that will affect that young man and woman who's out there on point for America, serving their nation today, because of their actions back in the United States," he said.

Thousands of Indonesians gathered outside the U.S. Embassy in Jakarta, Indonesia, on Sunday to protest the planned Quran burning.

"The burning is not only an insult to the holy Quran, but an insult to Islam and Muslims around the world," said Muhammad Ismail, a spokesman for the hard-line Indonesian Muslim group Hizb ut-Tahrir.

Jones said his congregation is aware that the action is offensive.

"We realize that this action would indeed offend people, offend the Muslims. I am offended when they burn the flag. I am offended when they burn the Bible. But we feel that the message that we are trying to send is much more important than people being offended."

Jones said Muslims are welcomed in the United States, if they observe the Constitution and don't try to impose Sharia law, or Muslim law. The message, he said, is directed toward the "radical element of Islam."

"Our message is very clear," he said. "It is not to the moderate Muslim. Our message is not a message of hate. Our message is a message of warning to the radical element of Islam, and I think what we see right now around the globe provides exactly what we're talking about," he said.

The center says it was founded in 1986 as a "total concept church for the rich, the poor, the young and the old." Its purpose is to "stand up for righteousness and for the truth of the Bible." It stresses that "Christians must return to the truth and stop hiding."

"We need to speak up against sin and call the people to repentance. Abortion is murder. Homosexuality is sin. We need to call these things what they are and bring the world the true message: that Jesus is the way, the truth, and the life," it says on the church's website.

It also emphasizes its dislike of Islam, and on its website, it blog posts an item called "Ten Reasons to Burn a Koran.

"Any religion which would profess anything other than this truth is of the devil. This is why we also take a stand against Islam, which teaches that Jesus is not the Son of God, therefore taking away the saving power of Jesus Christ and leading people straight to Hell," the site says.

"It is our vision to go around, to preach and to challenge, and to get the church involved and ready. We must go outside of the walls, and march for righteousness."

Commenting the other day on Jones' critique of Islam, Plemon el-Amin, the imam of an Atlanta, Georgia, mosque, said that his words are "really quite uninformed."

"But in America, there is the freedom to be ignorant," el-Amin said. "The only problem is in the world, many people don't understand that particular freedom. So what he is doing is like shouting fire in a theater, in a world theater, and people are upset."

El-Amin said Jones has boasted of never reading the Quran, so, "He doesn't know that he's going to burn a book that has some of the most beautiful passages about Christ Jesus throughout, as well as Moses, Abraham and all of the prophets he reads about and says he follows in the Bible." But he said the best strategy would be to ignore Jones, "like we do people on corners saying the end of the world is coming."

Other religious organizations have joined with U.S. Muslim groups to oppose the Quran-burning. The National Association of Evangelicals is urging the church to cancel the event, warning that it could cause worldwide tension between the two religions, and Christian, Muslim, Jewish and Hindu leaders in Gainesville have organized a "Gathering for Peace, Understanding and Hope" the night before the scheduled Quran burning.

The U.S. Embassy statement said that in his speech on Islam last year in Cairo, Egypt, President Obama said it is part of his responsibility to fight "negative stereotypes of Islam," and he mentioned interfaith efforts "to counter this kind of ignorance and misinformation."

"And during his recent Iftar speech at the White House, he said: Let me be clear: As a citizen, and as president, I believe that Muslims have the same right to practice their religion as anyone else in this country."

In the CNN interview, Jones was asked about the Christian principle of turning the other cheek -- not acting out in violence or engaging in payback and in deed.

"I think in deed that most of the time, we as Christians are indeed called to turn the other cheek. I believe that most of the time, talk and diplomacy is the correct way. But I always think that once in a while, I think you see that in the Bible, there are incidents where enough is enough and you stand up," Jones said.

An armed Christian organization that had pledged to protect the Dove World Outreach Center withdrew its support from the Quran-burning last week, stating the event "may diminish the work of the Holy Spirit to witness to Muslims."

That group's founder, Shannon Carson, said he agrees with the church's stance on Islam, which he called a cult "that is invading our nation." But he complained that the "liberal media" is using stories about Jones' plans "to distract, divide and enrage the public."

CNN's Atia Abawi contributed to this report.

@highlight

NEW: Pastor calls on Petraeus to confront radical Islam

@highlight

He says congregation is aware of warning that act could cause problems for U.S. troops

@highlight

U.S. embassy deplores disrespect against Islam

@highlight

Quran-burning pastor is "really quite uninformed," Atlanta imam says