(CNN) -- A federal judge is once again weighing arguments over the "show me your papers" provision in Arizona's controversial immigration law.

The provision was the only one of four major parts of the law upheld by the U.S. Supreme Court in June.

But opponents argued in U.S. District Court on Tuesday that new evidence shows that a federal judge should block enforcement of the provision.

"It is infected with racial discrimination," attorney Karen Tumlin of the National Immigration Law Center said outside the courthouse Tuesday, according to CNN affiliate KPHO.

Court issues split decision on state laws

Attorney John Bouma, representing Arizona, argued that the law does not discriminate.

"You just can't say that Latinos are going to be primarily impacted and that's discriminatory," he told CNN.

Outside the courthouse Tuesday, Bouma told reporters, "If Hispanics happen to be the people who are the highest percentage who come across the border illegally, believe it or not, they're probably the highest percentage that will be prosecuted under the statute."

The "show me your papers" provision allows local law enforcement, when performing other state law enforcement functions, to check on the immigration status of those people they stop for another reason. Supreme Court justices said they upheld that part because it complements existing federal policy.

When it upheld the provision, the Supreme Court was careful to say that depending on how this is implemented, it could very well be overturned one day.

Immigrants line up for deportation relief

On Tuesday, the National Immigration Law Center and the American Civil Liberties Union were among the groups to challenge this part of the law on what they said were new grounds.

As part of their argument, they pointed to e-mails from Arizona Sen. Russell Pearce, a Republican who authored SB 1070 and then was ousted from office in a recall election in his suburban Phoenix district last year.

"It's very clear that they were pushing the implementation of SB 1070, and they have racially discriminatory motivations for doing so," said Alessandra Soler, executive director at the ACLU of Arizona. "Race, ethnicity and stereotypes about Latinos were the driving force behind the passage of SB 1070."

Attorneys representing Arizona dispute that claim.

"You look at the legislative record, and there were a lot of very good legislators involved from both parties. ... There was nothing in there dealing with trying to discriminate against Hispanics. They were talking about illegal immigrants and they were trying to deal with illegal immigrants," Bouma told CNN Wednesday.

Five things to know about immigration

Pearce has contended that dozens of other states are trying to pass similar legislation, showing the popular support and need for such measures.

In June, he said that accusations of possible racial profiling as a result of the law were "demeaning to law enforcement."

"There's a lot of very professional, qualified law enforcement officers. .. who have been stopping people for crimes and making determinations that there's a reasonable suspicion that they were illegal," Bouma said. "They've been doing that for years, and there's hardly any record of any racial profiling, and why would one suddenly suspect that they've got to do that now?"

The civil rights organizations presented three new arguments against the Arizona law Tuesday, Tumlin said. The first was that the provision should be blocked because it would result in unconstitutional detainment under the Fourth Amendment, which protects against unreasonable searches and seizures.

Mexico has its own immigration problem

The opponents of the law also argued that the provision is inappropriately motivated by race, violating equal protection laws, she said.

Finally, Tumlin said, the civil rights groups presented new evidence that the provision encroaches on the federal government's responsibilities to enforce immigration laws.

Attorneys representing Arizona have argued in court filings that the civil rights' organizations evidence was "entirely speculative" and that "evidence demonstrates that (the provision) can and will be implemented in a constitutional manner."

In court Tuesday, U.S. District Judge Susan Bolton did not indicate when she would rule in the case, attorneys said.

@highlight

NEW: Attorney for Arizona says authorities are "trying to deal with illegal immigrants"

@highlight

A civil rights attorney says the law "is infected with racial discrimination"

@highlight

A lawyer representing Arizona says the law does not discriminate

@highlight

Opponents point to e-mails from the law's author