(CNN) -- Adhesive in the shape of a heart was found on a corner of a piece of duct tape that was covering the mouth portion of 2-year-old Caylee Anthony's skeletal remains, an FBI latent print examiner testified Monday in the capital murder trial of the girl's mother, Casey Anthony.

Elizabeth Fontaine explained the find to jurors by asking them to think about when they remove an adhesive bandage from their skin and some of the adhesive remains in the shape of the bandage. Instead of a bandage, however, the outline was the shape of a heart, she said, and about the size of a dime.

Although it has not been mentioned in testimony, court documents in the case have stated that a sheet of heart-shaped stickers, with some missing, were found by police executing a search warrant at the Anthony home.

A photograph of a page of stickers, found in a search of the home the day after Caylee's remains were found, was admitted into evidence in the trial Saturday.

A line of investigators and forensic experts have been called to the stand by prosecutors in an effort to prove their theory that Anthony, 25, killed her daughter by knocking her out with chloroform and putting duct tape over her nose and mouth. They allege the Orlando woman then put the body in black garbage bags and stored it in her trunk before dumping it in woods near her home.

The skeletal remains were found in December 11, 2008. Caylee was last seen June 16, 2008, but her disappearance was not reported until July 15, 2008, after Anthony's mother demanded answers about the little girl's whereabouts.

Anthony faces seven counts in her daughter's death, including first-degree murder, aggravated child abuse and misleading investigators. If convicted, she could face the death penalty.

She has pleaded not guilty. Her attorneys have said Caylee was not killed but rather that she drowned in the family pool shortly after her family last reported seeing her and that Anthony and her father, George Anthony, panicked when they discovered the body and covered up her death. George Anthony rejected that scenario in his testimony the first week of the trial.

The trial is ahead of schedule, Orange County, Florida, Chief Judge Belvin Perry Jr. told jurors as they took a break for lunch. Prosecutors are down to their final witnesses, he said, but they won't be available until Tuesday afternoon, they said. The prosecution may rest Tuesday or Wednesday, Perry said. The defense anticipated beginning its case Thursday but is trying to accelerate that process and begin Wednesday, the judge said.

He said he believes testimony in the case could conclude by the end of next week, although he cannot say for sure. Deliberations could begin by June 25, he said. The court recessed until 1 p.m. Tuesday.

Fontaine said she found the heart-shaped adhesive while examining the three pieces of duct tape found on Caylee's remains for fingerprints. She said she didn't find fingerprints but didn't expect to, given the months the tape and the remains had been outdoors and exposed to the elements. Any oil or sweat from a person's fingertips would have long since deteriorated, she said.

Asked whether she tried to photograph the heart-shaped adhesive, which she saw under an ultraviolet light as part of her testing, Fontaine said she did not. "When I observe something is unexpected, I note it and continue with my examination," she said. She said she tried to photograph it later after subjecting the tape to dye testing, but the adhesive was no longer visible. She testified she did show it to her supervisor.

Earlier Monday, jurors heard more testimony about a hair found in Anthony's trunk and hairs found with Caylee's remains.

However, Perry would not permit Stephen Shaw, a hair and fiber examiner for the FBI, to show jurors a PowerPoint presentation dealing with a study he is conducting on hair decomposition. Anthony's defense attorneys protested vigorously, saying they had not received a copy of the presentation or had a chance to adequately review it.

"The court does find it troubling that the state, at the ninth hour, provides a PowerPoint with color photographs that was not provided to the defense," Perry said. The dispute over the presentation was heard outside the jury's presence. Perry did allow Shaw to testify about the study.

Shaw told jurors that he examined the hair and a "hair mass" found with Caylee's remains and that he came to the same conclusion as FBI trace evidence examiner Karen Lowe.

Lowe previously testified that a 9-inch piece of hair from the trunk appeared similar to a piece of hair recovered from the little girl's hairbrush and had a dark band that she had seen only in hairs that remained in the scalp of a decomposing body. Shaw said he agreed with Lowe's findings, adding that the "hair mass" found with the remains had a "brushlike" appearance associated with a later stage of decomposition.

Shaw noted, however, as Lowe did before him, that hair identification is not an exact science and that he cannot say the hair was Caylee's, to the exclusion of all other people. In addition, the "hair mass" "is not a suitable normal hair sample," he said, and he cannot say with certainty it was Caylee's hair, only that it was found with her remains.

Shaw said that in his study, he was attempting to recreate banding in hairs taken from living people. While he said some of the hairs -- which were put in varying indoor and outdoor locations -- showed evidence of decomposition, none showed postmortem banding.

However, under cross-examination by defense attorney Jose Baez, Shaw admitted he cannot state definitively that postmortem banding is exclusively seen in hair taken from dead people. Two independent examiners as part of his study both analyzed the hairs, and each in their initial findings identified a hair as banded from a live person, although they both discounted that in their confirmed findings, he said.

But Shaw estimated for prosecutor Jeff Ashton that he's seen thousands of hairs in his career and that he has never seen a hair with a decomposition band that did not come from a corpse.

Baez also elicited testimony from Shaw that it was his first time testifying in court about such evidence.

On Saturday, an insect expert testified that tiny flies found in the trunk of the Orlando woman's car fit the theory that Caylee's body was stored there -- perhaps for three to five days.

The flies suggest that something began to decompose inside the trunk but do not prove that the material was a human body, said Neal Haskell, a forensic entomologist from St. Joseph's College in Rensselaer, Indiana. Such flies will feed on many things, he said.

Based on his analysis of temperatures and the reproductive habits of the small flies found on paper towels from the trunk that another scientist found were soaked in fluid from decomposition, Haskell said it appeared that whatever attracted the flies had been in the car for three to five days.

Baez, in his cross-examination of Haskell, tried to show that the flies could have been attracted by common garbage or leftover food. Numerous witnesses have testified to a foul odor emanating from Anthony's trunk after her daughter's disappearance; a bag of garbage left in the trunk for weeks has been suggested as the source of the smell, but prosecutors allege it was the smell of human decomposition.

Saturday's testimony also included a crime scene investigator who collected a piece of Henkel brand duct tape from an area near where Caylee's skull was found.

Ronald Murdock, a forensics supervisor for the Orange County Sheriff's Office, also testified that despite a thorough search of the house, the only piece of Henkel duct tape investigators recovered from the home Anthony shared with her daughter and parents was attached to a gas can.

Last week, jurors saw graphic photos of Caylee's bones and heard testimony that they had been gnawed by animals as her body decomposed during as much as six months in the field.

They also watched a video superimposing an image of Caylee's skull over her living face and an outline of a strip of duct tape in an effort to prove tape could have been, in effect, the murder weapon, Ashton said.

Baez tried to prevent jurors from seeing the presentation, which he called "disgusting." But Perry ruled that the role of duct tape in the girl's death is "highly relevant." He also rejected a defense motion for a mistrial based on the video at the close of Friday's session.

In Session's Cara Hutt and Nancy Leung contributed to this report.

Watch Nancy Grace Monday through Sunday starting at 8 p.m. ET on HLN. For the latest from Nancy Grace click here.

@highlight

NEW: Court recessed for the day; prosecution may rest Tuesday or Wednesday

@highlight

The judge says testimony could conclude by the end of next week

@highlight

No fingerprints were found on the duct tape, an FBI examiner testifies

@highlight

Anthony is accused of killing her 2-year-old daughter, Caylee, in 2008