(CNN)NASA's tractor-trailer sized Dawn spacecraft will snuggle up to Ceres on Friday, getting close enough to be pulled into orbit and to complete the first mission to a dwarf planet.

"I'm just delighted that Dawn is now on the doorstep of Ceres," Jim Green, director of NASA's planetary science division said in a news conference on Monday.

Dawn is expected to begin orbiting Ceres around 7:20 a.m. ET, but NASA says it may take an hour or two to confirm it.

Ceres was discovered in 1801 (Pluto wasn't found until 1930) and was the first object found in our solar system's main asteroid belt between Mars and Jupiter. It's about 310 million miles from Earth and was initially classified as planet, then later demoted to an asteroid, only to be reclassified again as a dwarf planet.

The early images from Dawn already have mission scientists excited.

"Ceres has really surprised us," said Carol Raymond, Dawn's deputy principal investigator. "The first images have produced some really puzzling features."

One of the puzzles -- two bright white spots that showed up in photographs taken by Dawn in February.

"These spots were extremely surprising to the team, and they have been puzzling to the team and to everybody who's seen them."

The spots are in a 57-mile wide (92 kilometer) crater. The spot in the center of the crater is about twice as bright as the spot on the side of the crater.

"This extreme brightness was really unexpected," Raymond said. The Dawn team is "really, really excited about this feature because it is unique in the solar system."

Raymond says the brightness is consistent with highly reflective materials such as ice or salts. This might help add more credence to a discovery made in 2014 by ESA's Herschel infrared space observatory. The telescope detected water vapor around Ceres coming from the same area where the spots are located.

"It might be related to that water vapor emission," Raymond said. Herschel's scientists also said their research showed Ceres has an atmosphere. Raymond said her team is keen to confirm that.

Scientists expect to learn more as Dawn is gradually lowered to about 235 miles above the surface of Ceres in December. "The mystery will be solved," she said.

But Ceres seems to have lots of oddities.

"We see many strange features," Raymond said. "We see smooth areas, some areas that are chaotically fractured and we see craters of all sizes."

One of the other things scientists noticed is how round Ceres is. Being round is very important because it is the main characteristic of a planet -- a title that Ceres had -- then lost.

Ceres was demoted to an asteroid because 19th century astronomers couldn't be sure it was round. But it was bumped up to a dwarf planet when that category was created in 2006.

According to the International Astronomical Union -- the group that came up with the definition -- a dwarf planet is similar to the eight main planets (Mercury, Venus, Earth, Mars, Jupiter, Saturn, Uranus and Neptune) except it has a lot of other stuff orbiting with it around the sun.

The IAU recognizes five dwarf planets: Eris, Pluto, Ceres, Makemake and Haumea. Scientists say there could be many more of these small worlds that haven't been discovered.

Dawn was launched on September 27, 2007, from Cape Canaveral, Florida. Its journey has taken it past Mars and on a short layover at the asteroid Vesta.

On Friday, Dawn will make its closest approach yet to Ceres, flying about 25,000 miles from it, according to Robert Mase, project manager for the Dawn mission at NASA's Jet Propulsion Laboratory in Pasadena, California. "That's about 10 times closer than the moon is to the Earth," he said.

But the beautiful images coming in from Dawn will stop for awhile.

"We're now on the dark side, so we're going to have a blackout for about the next month until we get back over toward the lit side of the body," he said.

But he says the "floodgates will open" when its main science mission starts in April.

Dawn will stay in orbit around Ceres for years, even after its primary mission ends in June 2016. But at some point, it will run out of hydrazine, the fuel used to guide the spacecraft.

Between now and then -- mission managers hope Dawn will help solve the mysteries of Ceres and add to our knowledge of how our solar system formed.

@highlight

NASA's Dawn spacecraft arrives Friday at Ceres

@highlight

The spacecraft is the first to visit a dwarf planet