Washington (CNN) -- Two days before the deadline for a possible U.S. government default, President Barack Obama and congressional leaders reached agreement Sunday on a legislative package that would extend the federal debt ceiling while cutting spending and guaranteeing further deficit-reduction steps.

The proposed deal, which still requires congressional approval, brought some immediate relief to global markets closely watching the situation play out and to a nation filled with anger and frustration over partisan political wrangling that threatened further economic harm to an already struggling recovery.

However, there is no guarantee the plan will win enough support to pass both chambers of Congress.

"There are still some very important votes to be taken by members of Congress, but I want to announce that the leaders of both parties in both chambers have reached an agreement that will reduce the deficit and avoid default," Obama said in brief remarks to reporters.

Asian markets surge on news | U.S. futures rally

Democratic and Republican leaders in both the House and Senate were briefing their caucuses about the agreement on Sunday night and Monday. A Senate Democratic leadership aide told CNN that the Senate planned to vote first on the measure on Monday afternoon, and if the measure passes an expected Republican filibuster attempt, the House could vote on it Monday night.

According to information from the White House and a PowerPoint presentation for his colleagues by House Speaker John Boehner, the proposed deal includes $2.4 trillion in deficit reduction over 10 years while authorizing an increase in the federal debt ceiling by a slightly smaller amount to allow the government to pay its debts through 2012.

The agreement proposes a two-stage process.

In the first stage, it includes $917 billion in spending cuts and other deficit reduction now, as well as a $900 billion increase in the debt ceiling.

Because of the pending Tuesday deadline, Obama would have immediate authority to raise the debt ceiling by $400 billion, which will last through September, according to the White House document. For the other $500 billion of debt ceiling extension in the first stage, Congress can vote on resolutions of disapproval that, if passed, the president can then veto, the White House said.

In the second stage, a special joint committee of Congress will recommend further deficit reduction steps totaling $1.5 trillion or more by the end of November, with Congress obligated to vote on the panel's proposals by the end of the year.

If the recommendations are enacted, Obama would be authorized to increase the debt ceiling by up to $1.5 trillion -- as long as the additional deficit reduction steps exceed that amount. The president also can get the additional debt ceiling increase if both chambers of Congress pass a balanced budget amendment to the U.S. Constitution in votes to be held by the end of the year.

However, Obama would be able to request only up to $1.2 trillion in additional debt ceiling if the special congressional committee fails to agree to at least $1.2 trillion in cuts.

At that point, across-the-board spending cuts would be activated, equal to the difference between the committee's recommendations and the $1.2 trillion in additional debt ceiling. The across-the-board cuts would be split between defense spending and non-defense programs, an unpopular formula intended to inspire legislators to approve the special committee's recommendations instead of triggering such automatic cuts.

In addition, the across-the-board cuts are automatically enacted if Congress fails to pass the special committee's recommendations.

Debt fight shows tea party's influence - so far

"You want to make it hard for them just to walk away and wash their hands," Gene Sperling, the director of Obama's National Economic Council, told CNN earlier Sunday. "You want them to say, if nothing happens, there will be a very tough degree of pain that will take place."

The White House document said the debt ceiling increase of the second stage also would be subject to a congressional vote of disapproval that can be vetoed.

It said the special congressional committee would comprise 12 members -- six from each chamber, equally divided between Democrats and Republicans. The panel's recommendations would be due by November 23 and guaranteed an up-or-down Senate vote without amendments by December 23, the White House document said.

In an important concession to Democrats, benefits from entitlement programs including Social Security, Medicaid, Medicare and veterans benefits will be exempt.

"Is this the deal I would have preferred? No," Obama said. "I believe that we could have made the tough choices required -- on entitlement reform and tax reform -- right now, rather than through a special congressional committee process. But this compromise does make a serious down payment on the deficit reduction we need, and gives each party a strong incentive to get a balanced plan done before the end of the year."

Boehner also told his caucus the deal represents a compromise, but he also praised his colleagues for moving the focus of the talks in their direction.

"This isn't the greatest deal in the world," Boehner said, according to excerpts of remarks to his caucus. "But it shows how much we've changed the terms of the debate in this town."

Minutes before Obama spoke, Senate Majority Leader Harry Reid, D-Nevada, and Minority Leader Mitch McConnell, R-Kentucky, also announced the deal on the Senate floor and encouraged colleagues to support it.

However, House Minority Leader Nancy Pelosi, D-California, earlier told reporters that she needs to see "the final product" in writing before she can decide if she supports it.

Pelosi said she would meet with the House Democratic caucus on Monday to discuss the matter.

"I don't know all the particulars of what the final product is in writing and what the ramifications will be," Pelosi said, noting the measure will have an impact for a decade or more. Asked about the outcome, she warned: "We all may not be able to support it or none of us may be able to support it."

If Congress fails to raise the current $14.3 trillion debt ceiling by Tuesday, Americans could face rising interest rates and a declining dollar, among other problems.

Some financial experts have warned of a downgrade of America's triple-A credit rating and a potential stock market plunge. The Dow Jones Industrial Average dropped for a sixth straight day on Friday.

Meet the nations in the Triple-A club  Zakaria: Damage is already done

Without an increase in the debt limit, the federal government will not be able to pay all its bills in August. President Barack Obama recently indicated he can't guarantee Social Security checks will be mailed out on time.

In Afghanistan on Sunday, Joint Chiefs of Staff Chairman Adm. Mike Mullen was unable to assure U.S. troops they would get their paychecks following the Tuesday deadline without a deal. Mullen said August 15 would be the first payday jeopardized if the United States defaults.

Last week, a Department of Defense official told CNN on condition of not being identified that "it's not a question of whether, but when" military pay gets withheld if no agreement is reached.

Sources described a tense day of behind-the-scenes negotiating, with Vice President Joe Biden a prominent figure, one Democratic source told CNN on condition of not being identified.

Initial news of a possible deal came shortly after the Senate delayed consideration of a debt ceiling proposal by Reid late Saturday night, pushing back a key procedural vote by 12 hours. When that vote occurred on Sunday afternoon, Republicans blocked a Democratic effort to end debate on the Reid proposal and move to a vote, extending consideration of the plan while negotiations continued.

Democratic Sen. Charles Schumer of New York told CNN on Sunday morning that a main sticking point still under discussion was the trigger mechanism of automatic spending cuts in case Congress fails to enact the special committee's recommendations.

The deal includes no tax increases, a key demand of Republicans. Obama has pushed for a comprehensive approach that would include additional tax revenue as well as spending cuts and entitlement reforms to reduce budget deficits, and he told reporters he would continue to do so in coming months as the special committee drafts its recommendations.

A recent CNN/ORC International Poll reveals a growing public exasperation and demand for compromise. Sixty-four percent of respondents to a July 18-20 survey preferred a deal with a mix of spending cuts and tax increases. Only 34% preferred a debt reduction plan based solely on spending reductions.

According to the poll, the public is sharply divided along partisan lines; Democrats and independents are open to a number of different approaches because they think a failure to raise the debt ceiling would cause a major crisis for the country. Republicans, however, draw the line at tax increases, and a narrow majority of them oppose raising the debt ceiling under any circumstances.

CNN's Ted Barrett, Kate Bolduan, Gloria Borger, Keating Holland, Brianna Keilar, Jeanne Sahadi, Xuan Thai, Jessica Yellin, Athena Jones, Lisa Desjardins, Dan Lothian and Deirdre Walsh contributed to this report.

@highlight

NEW: Obama, Boehner both say the deal isn't perfect

@highlight

The agreement calls for more than $2.4 trillion in deficit reduction

@highlight

The proposed deal would extend the debt limit through 2012

@highlight

Congress must raise the $14.3 trillion debt ceiling by Tuesday or risk default