Zahko, Iraq (CNN) -- U.S. warplanes carried out airstrikes in northern Iraq near ISIS-controlled Mosul Dam early Saturday morning, the Kurdish news agency Rudaw reported, citing eyewitnesses.

CNN confirmed that a U.S. and Iraqi military operation aimed at retaking the country's largest hydroelectric dam from the so-called Islamic State was scheduled to begin early Saturday morning (Friday at 6 p.m. ET).

The operation was to begin with U.S. and Iraqi airstrikes against ISIS positions, with Iraqi and Kurdish Peshmerga forces following up on the ground.

U.S. fighter jets began carrying out the strikes early Saturday morning local time, Rudaw reported.

U.N. resolution targets ISIS

News of the airstrikes unfolded the same day the U.N. Security Council unanimously adopted a resolution aimed at curbing the support -- money and arms -- flowing to the al Qaeda splinter group that has aided its rapid and brutal advance across Iraq.

"It has seized some of the country's precious natural resources and taken control of critical infrastructure," Samantha Power, the U.S. representative, said, referring to ISIS.

"Now (ISIS) has the ability to block the flow of electricity and control access to the water supplies on which people depend."

ISIS seized control of Mosul Dam this month following fierce fighting. The dam sits on Iraq's Tigris River about 50 kilometers (31 miles) north of the city of Mosul, which fell to the extremist group in June when it swept from Syria into Iraq.

Should the dam fail or ISIS fighters open its floodgates, massive flooding could result.

The resolution sanctioned six people, described as financiers and supporters of ISIS' actions in Iraq and Syria, by freezing their assets and banning them from traveling.

While the resolution called for the use of economic sanctions and military force, if necessary, to ensure that ISIS militants "disarm and disband," it stopped short of authorizing the immediate use of U.N.-sanctioned military action against ISIS.

Under the resolution, a team charged with monitoring the activities of ISIS has been ordered to investigate the extremist group's resources, funding and recruitment and report back with recommendations to the Security Council within 90 days.

Yazidi men killed, women abducted

ISIS fighters swept into a Yazidi village in northern Iraq on Friday, killing at least 80 men and taking more than 100 women captive, officials told CNN.

The report of the brutal attack on the village of Kojo comes a day after U.S. President Barack Obama -- citing the success of targeted American airstrikes -- declared an end to an ISIS siege that had trapped tens of thousands of Yazidis in mountains.

Fighters with the Islamic State, formerly known as the Islamic State in Iraq and Syria, attacked Kojo after surrounding it for days, a Kurdish regional government official and a Yazidi religious leader said.

The women abducted from the village were being taken to the ISIS-controlled northern cities of Mosul and Tal Afar, the official said.

CNN cannot independently confirm the killings and abductions, but the claims are similar to reports provided by survivors of ISIS attacks in Iraq.

Who are the Yazidis?

EU considers arming Kurds

The plight of the Yazidis and the threat posed by ISIS to Iraq's Kurdish regional government prompted the United States to conduct targeted airstrikes and humanitarian airdrops.

After an emergency meeting Friday of the European Union's foreign ministers, the group said it welcomed U.S. action and that its member nations were responding to a call from Iraq's Kurdish regional government for arms and ammunition.

But most world leaders and diplomats are pinning their hopes on Iraq's prime minister-designate, Haider al-Abadi, to bring together Iraq's ethnic and religious groups to fight a common enemy in ISIS.

Who is Haider al-Abadi?

Abadi was endorsed late Thursday by Prime Minister Nuri al-Malki, who gave up the fight to keep his post for a third term.

U.S. airstrikes carried out

As details of the ISIS attack on the village of Kojo emerged on Friday, the U.S. military said it carried out two airstrikes south of Sinjar.

After receiving reports from Kurdish forces that ISIS was attacking the village of Kojo, "U.S. aircraft identified and followed an (ISIS) armed vehicle to a roadside area south of Sinjar," according to a statement released by the U.S. Central Command.

"At approximately 10:10 a.m. ET, U.S. aircraft struck and destroyed two vehicles in the area."

The statement did not detail what type of vehicles nor did it offer any further details of the ISIS attack on the Yazidi village.

The reports of killings and abductions in Kojo follow reports last week of the ISIS attack on Sinjar, where dozens of men were reportedly killed and women and children were abducted.

Who are the religious and ethnic groups under threat from ISIS?

The Yazidis, one of Iraq's smallest and oldest religious minorities, are among 400,000 people that the United Nations estimates have been driven from their homes since June, when ISIS swept across the border from Syria into Iraq.

Of those displaced, more than 200,000 have poured into Iraq's northern Dohuk province in recent weeks. Refugee camp populations have swelled since ISIS began its assault against Yazidis, Christians, Kurds and Shiites.

While airdrops and airstrikes saved those stranded from starving and provided safe passage off out of the Sinjar Mountains, the Yazidis and others are arriving by the thousands at camps in and outside Iraq.

After the rescue: A Yazidi family's harrowing flight to escape ISIS

Anna Coren reported from Zahko, Iraq, and Chelsea J. Carter reported and wrote from Atlanta. CNN's Richard Roth and Hamdi Alkhshali contributed to this report.

@highlight

NEW: Report: U.S. and Iraqi airstrikes target ISIS near Mosul Dam

@highlight

U.S airstrikes aim for ISIS vehicles near the village of Kojo, military says

@highlight

Abducted women being taken to ISIS-controlled cities in the north, officials say

@highlight

Kojo is south of Sinjar, where ISIS forced thousands of Yazidis from their homes