The thousands of immigrant children pouring across the nation's southern border from Central America braved predators and harsh elements only to arrive in the United States and walk right into one of the most toxic issues in Washington.

On the right are those who criticize the White House approach to immigration. They say that by relaxing deportation policies toward immigrant children and their families, the Obama administration unwittingly created conditions for some 60,000 Central American kids to flock to the United States.

On the left are those, including President Barack Obama, who fault Congress, especially House Republicans, for rejecting a Senate-passed comprehensive immigration reform package last year and continue bickering over incremental measures.

And in the middle are children, many of them fleeing poverty and violence in their home countries of Guatemala, Honduras and El Salvador. They are the latest pawns in the political fight over immigration reform.

"The thing I learned from the border patrol this weekend from the men and women and their supervisors is that we cannot enforce ourselves out of this crisis. They are being overwhelmed by the large numbers," Rep. Henry Cuellar, a Texas Democrat who hails from the district where most of the border crossings occur, told CNN in an interview on Monday.

Influx of immigrant children expected to last through summer

The debate over what the White House calls "a humanitarian crisis" is pouring fuel on a raging fire, judging by the rhetoric.

Finger pointing

Republicans, such as House Judiciary Committee Chairman Bob Goodlatte of Virginia, place the blame squarely with Obama and his administration dealing with yet another crisis that has left it with a black eye.

"The recent surge of children and teenagers from Central America showing up at our southern border is an administration-made disaster and now President Obama is calling in (the Federal Emergency Management Agency) to mitigate the damage," Goodlatte said statement on the decision to create a group comprised of government agencies to address the issue.

"Word has gotten out around the world about President Obama's lax immigration enforcement policies and it has encouraged more individuals to come to the United States illegally, many of whom are children from Central America," Goodlatte said.

Most of the children crossing the border would not qualify for "amnesty" under the federal program that defers deportation for children brought to the United States previously by their parents or guardians illegally.

Still, there is some evidence to suggest the policy allowing thousands of immigrant children to remain in the country prompted others to strike out for the United States, hoping they, too, could stay, immigration law and policy experts said.

Should Obama use the power of his pen to turn the tide on immigration reform?

"I think it would fall in the category of unintended consequences," said Stephen Yale-Loehr, an immigration law professor at Cornell University Law School. "I think the president was clear in 2012 of what his executive action did and did not do. He did not intend to signal that other children should come to the U.S. But many times immigration law gets distorted and (the kids may have made the journey) based on those false of rumors that children will be allowed to stay here."

The White House may have helped create this crisis, but the administration is not the first to find itself facing a humanitarian conundrum partly of its own making.

When Bill Clinton was campaigning for president in the early 1990s, he criticized then-President George H.W. Bush's decision to turn back waves of Haitian immigrants in boats trying to escape political chaos in their country.

This, in turn, prompted thousands of Haitians to try and come to the United States after Clinton took office, prompting him to make clear that those trying to skirt the legal channels to citizenship would be turned back.

A problem with many roots

However, it isn't exactly fair to solely blame Obama and his administration for the flood of children now entering the country, many of them on their own, immigration law and policy experts say.

According to analysis by the Migration Policy Institute, the "deep root causes for this child migration, and for the recent surge in arrivals" are myriad and complicated.

"In reality, there is no single cause. Instead, a confluence of different pull and push factors has contributed to the upsurge," the report found. "Recent U.S. policies toward unaccompanied children, faltering economies and rising crime and gang activity in Central American countries, the desire for family reunification, and changing operations of smuggling networks have all converged."

Vice President Joe Biden will travel to Guatemala later this week to discuss the matter with leaders from the three Central American countries at the center of the controversy.

Cuellar and immigration law and policy experts all point to the need to improve assistance to those nations through stronger borders and less violence.

There's work to do on the home front as well.

A Senate-approved immigration reform package, which included at least seven measures designed to address unaccompanied minors crossing the border, failed to make it out of the Republican -controlled House last year.

Those measures included ensuring high standards of mental and physical health care at the facilities where illegal immigrant children are detained, child welfare training for those who detain minors crossing the border illegally and legal representation for those children among other provisions.

Reports from communities where children are held indicate that kids as young as toddlers are kept in hot and crowded conditions. There have also been reports of abuse and a lack of access to adequate legal representation as federal and community assistance is stretched.

Daniel's journey: How thousands of children are creating a crisis in America

The sweeping Senate immigration reform package also included a path to citizenship for an estimated 8 million of the more than 11 million undocumented workers in the country.

This path to legalization would have helped ensure economic stability for those who left their children behind in their home countries which, in turn, might make the kids less likely to flee poverty in their homelands, immigration law and policy experts said.

"It would not be as big a deal if we had a working immigration system. There are a lot of provisions in the Senate bill that would have addressed this issue of unaccompanied minors," Yale-Loehr said adding that for years the problem was like a "tidal wave" in the distance which neither the White House nor Congress anticipated hitting with such force.

"It's another thing to see it crashing on your shore," he said.

@highlight

Waves of immigrant children fleeing poverty, violence are at center of heated debate

@highlight

While the right and left lay blame, both sides are at fault for the flood of immigrant kids, experts say

@highlight

Relaxing deportation policies, failing to pass immigration reform part of U.S. role in problem

@highlight

U.S. officials will have to work with home countries to ensure a resolution