(CNN) -- This week, the Centers for Disease Control and Prevention released its newest study on the rate of autism among 8-year-olds, showing that 1 in 88 has some form of the disorder. Previously, it was 1 in 110. Does the new figure indicate that we are seeing an epidemic of autism, as some have speculated?

At this point, it's not clear.

One possibility is that we are seeing the result of better detection rather than a real surge in autism.

However, there are some striking parts about the study, which used data from 2008 collected in 14 sites across the United States. The rate of autism increased by more than 45% from 2002 to 2008 in numerous sites. It was a larger and more consistent increase than from 2002 to 2006. Also intriguing is that the increase was very uneven in terms of geography, gender, race and ethnicity.

Some sites had nearly five times as many children with autism as others. In several sites, almost 1 in 33 8-year-old boys were diagnosed with autism. This seems difficult to believe, particularly when these sites had smaller samples and children with less severe intellectual disabilities.

One wonders if some sites became part of the study because of a long-term commitment to autism services, and this had drawn certain families to live nearby, resulting in an increase in the frequency of diagnoses made by local medical centers or educational programs.

But since the children didn't just meet the CDC study criteria for autistic characteristics -- 80% of them had autistic diagnosis from community physicians -- it may be that there is truly a higher rate of autism. Granted, the children were not actually seen by CDC researchers, so it's possible that the methods of diagnosis varied among the sites.

So, what are the implications of the study? The CDC researchers are aware that it's critical to identify the sources of variability in their data. For example, why were nearly twice as many children diagnosed with autism in Utah than in Colorado or Arizona? If the rates are really increasing, does it mean that many more children, particularly those from ethnic or racial minorities who are often missed, could have autism and we just don't know yet? If we do a better job of identifying children with autism, the rate will certainly continue to increase. How do we address this issue, which is not unique to autism?

Thomas Insel, director of the National Institute of Mental Health, commented that the most useful approach right now is to assume that there is an increase in autism and try to figure out why this is happening. Since we know the disorder is a neurobiological condition, could it be caused by environmental factors? Many researchers are trying to find out.

Regardless of all the unanswered questions, we should keep in mind that autism is a common condition. More children need autism services than ever before. We need cost-effective ways to identify the disorder at early ages, provide adequate support and work with affected families to help their children transition to adulthood.

For families concerned that their child might have autism, it's important to be persistent in seeking help. The study suggests that children with autism in some parts of the country are much more likely to be recognized than in other parts, so seek the best resources possible and do not give up until you are sure. It may be that your child does not have autism since the disorder overlaps with various other common conditions such as delayed language ability and attention deficit disorder. Far more children don't have autism than do.

With world autism awareness day coming up on Monday, there are many reasons to hope for a brighter future for children and adults who have autism. Despite the concerns about rising autism rates, more services and treatments are available, and they will get even better.

The opinions expressed in this commentary are solely those of Catherine Lord.

@highlight

A new government study shows that rate of autism has increased

@highlight

Catherine Lord: It's striking that increase is uneven in terms of region, gender, race and ethnicity

@highlight

She says researchers are trying to find out the reason behind rising rate

@highlight

Lord: For families that may have a child with autism, be persistent in seeking help