Hong Kong (CNN) -- Ryo Desmidt is in his first year at a kindergarten in Hong Kong and seems like an especially gifted child.

That's because his parents say he can communicate in three languages. He is three years old.

Since he was ten months old, his mother, Momoe, has been taking him to a language center five times a week where he is taught to listen, speak and interact in English, Mandarin and Japanese. He attends a language school in the city that offers courses for children as young as a few months old.

Some parents will even pay a tutor to speak in a particular language for an hour in the belief their baby will absorb this.

This is just one of the many examples of how parents in Hong Kong are trying to get ahead of the game by giving their children a competitive edge in the race for limited school places.

With a large expatriate community and an increase in mainland Chinese parents wishing to send their kids across the border to school, Hong Kong's world class educational system is under siege with applications. And this pressure is being felt by parents, many of whom are starting early and going to extraordinary lengths to outshine thousands of other applicants for limited pre-school opportunities, believing it will give them an advantage when it comes to securing a primary school place.

Queuing for places

At this time of the year, parents go into a frenzy queuing for application forms at schools across Hong Kong. In the city's northern district, which borders China, Hong Kong and mainland parents have even camped out overnight to get their hands on the right admission forms.

According to Fung Kai Kindergarten in the city's Sheung Shui district, around 2,000 people queued up to apply for only 240 available spaces on October 7 -- police were even called in to deal with complaints about people cutting the queue.

There has also been growing animosity towards mainland parents, with local people arguing children living in Hong Kong should be given priority over places. Cross-border students, or children living in China who have gained the right of abode and free education in Hong Kong by birth, often travel up to five hours to go to school.

Currently, the Education Bureau (EDB) in Hong Kong estimates the number of cross-border students to be 17,000, with around half that number enrolled in kindergarten or day care centers.

Early planning

In Hong Kong, where formal pre-school education begins at the age of three, many prospective parents begin mapping out education plans before their children are born.

Desmidt, an expat mother living in Hong Kong, revealed she started looking for potential kindergartens and playgroups during her pregnancy.

"In Hong Kong, if you don't get into a good pre-nursery or kindergarten, it's really difficult to get into a good primary school, that's why you already have to have a plan when you are pregnant."

After attending numerous information sessions and preschool open days, she applied to a playgroup when she was eight months pregnant because the waiting list was already around a year.

Another mother, who preferred not to be named, said parents scour online education forums to identify the top popular school choices.

"It's the only topic that comes up when you go out for lunch, which school your kid got into, which school are you applying for and how are you preparing your child for it?" she said.

"My friends have sent me spreadsheets with a detailed timetable of when schools are available for applications and how to apply."

Pressure to perform

The stress doesn't end there for parents.

Some have even signed up their children for mock interview training so they would be able to perform well during kindergarten interviews.

"Some playgroup teachers who are familiar with the interview process in certain famous kindergartens, will help train the child to overcome shyness and get used to answering questions from strangers," explained the unnamed mother.

She recalled one of the interviews she took her son to, when he was only 18 months old.

"They (the children) were in a room with six to seven other kids with the parents sitting behind them. The teacher would ask them to point to an object in the picture or ask what color it is. Some kids didn't respond, or started crying and they would just have to move on to the next kid," she said.

"The whole thing lasted for seven minutes. I don't know what criteria they base their admissions on, but it's hard to figure out a kid at one and a half years old."

This comes as no surprise to Nicola Weir, Principal of the Early Childhood Education Section at Yew Chung International School.

"We've received CVs of little babies and portfolios listing their many talents," she said. "Parents are proud of their children, and they want the best for them."

While parents see interviews as a make or break moment for their children, Weir says there is no need for parents to panic.

"Many of the schools are competitive, but it's not about how perfect their child is, all children are special," she said. "We also look at families to see if they're congruent with our philosophy. It's not how well they can perform, but the relationship between home and school is really important too," she added.

Finding the best fit

Even after parents manage to successfully enroll their child in a kindergarten, the unnamed mother adds that they are constantly on the lookout for better schools.

"Parents in Hong Kong have the dilemma in choosing between local and international schools. I have friends who send their kids to a local kindergarten in the morning, and then an international kindergarten in the afternoon. So they'll nap or eat lunch in the car. They think both systems are flawed, but they want to get the best of both worlds."

Meanwhile, Desmidt's son, Ryo, takes a nap after attending school in the morning and the Le Beaumont Language Center afterwards.

"I'm half Japanese and half Chinese, and my husband is half British and half French. We wanted him to speak all the languages and it's convenient because it's all in one center," she said.

"We've stayed in the language center for more than two years, and for him it's for fun. I asked him this week if he wanted to go to Disneyland or the language center and he said 'I want to go see this teacher and that teacher.' He really enjoys it," she added.

@highlight

Parents compete for limited spots in kindergartens in Hong Kong

@highlight

In October, some 2,000 parents queued to apply for 240 spaces in a one kindergarten

@highlight

Parents pressured into taking measures so their children can stand out