(CNN) -- Call it a tech-induced hydrophobia.

Consumer electronics and water don't mix, and for many, there are few things more nerve-racking than a smartphone or tablet that's been accidentally doused.

A rainy day or a trip to the beach means gingerly baby-sitting our devices. And kitchens and bathrooms are fraught with danger zones: sinks, bathtubs and worse.

"I can't tell you how many people I know who've accidentally dropped their phone in the toilet, or their kid spilled their juice box all over it," CNET senior writer Maggie Reardon told CNN.

A soaked phone or tablet has traditionally meant shelling out for a costly replacement. But new technology has moved beyond waterproof cases and "rugged" cell phones designed to withstand rough conditions. Devices highlighted at this year's Mobile World Congress and Consumer Electronics Show suggest the future is bright for phones and tablets that are both stylish and waterproof -- or at least water-resistant.

Sony's Xperia Tablet Z was a hot item at last week's Mobile World Congress because of its sleek design and functionality, with the ability to withstand getting wet a cool add-on.

"If you're having a bath and you really want to enjoy that great movie ... and (the tablet) accidentally falls into the bath, it's OK," said Xperia Z product manager Sharath Muddaiah. That level of waterproofing is already incorporated in a few Sony smartphones such as the Acro S and Advance, and most recently with the Xperia Z.

The Xperia Z's makers said it can withstand sprays of water -- such as sprinkler play on a lawn or a water fight. They even claim it can be dunked in up to 3 feet of water for up to 30 minutes.

There's no specific or special coating on the device, Muddaiah said. Rather, the device is made water-resistant in all of its parts without the stereotypically bulky design for which so-called rugged phones have been known.

"We see today that a lot of consumers would like to use their device in the rain -- say you're trying to using Google Maps and navigating," Muddaiah said. Or "you're out at the pub and someone accidentally spills their drink. If that's the case, you can just rinse the device under a tap of water."

However, Sony cautions that the device's port covers need to be sealed up tight for its claim to ... well, hold water. The phone's micro-SIM slots, micro-USB and headphone sockets all have little rubber-lined port covers -- sort of like the gas tank cover on a car -- that must be flipped out for access, as Engadget noted in its review of the Xperia Z phone.

Sony isn't alone in efforts to provide a sturdier smartphone. China's Huawei submerged its Ascend D2 phone for the benefit of attendees at the Mobile World Congress, and Kyocera added a water-resistant Hydro smartphone to its line last summer.

Motorola also has options for the water wary, such as the RAZR M, RAZR HD and the RAZR Maxx HD.

Hottest gadgets at world's biggest mobile technology show

"We use a splash-guard coating on our phones to help with the accidental coffee spill or when you get caught in the rain," a spokeswoman for the company told CNN. A second rep described it as "hydrophobic nano-coating," which "permeates into the device to repel water" and also protects the electrical boards inside.

That said, the rep added, "you shouldn't submerge the phone."

Other companies trying to solve tech's liquid-incompatibility problem repeat the same mantra: Water-resistant features are there to help in case of accidents, not to make a phone safe for scuba diving.

A startup called Liquipel offers a liquid-repellent coating, now in its second generation, that encases electronics to keep them dry. The company said its coating can hold up against use in heavy rain or a surprise dunking. The downside: It costs at least $60, and you must part with your phone for several days while Liquipel applies the coating and then ships it back to you.

Its effectiveness has been up for debate as curious testers have posted a range of online reviews -- both positive and negative

Where Liquipel sells to consumers, companies such HzO and P2i are focusing on incorporating their waterproofing technology in products before they're shipped out.

The liquid-repellent coating developed by P2i can be found on the Alcatel One Touch 997, whereas HzO just announced a partnership with Atelier Haute Communication to apply its waterproofing technology to a forthcoming limited edition TAG Heuer Android phone.

While P2i describes its invisible "hydrophobic layer" as covering the exterior and interior of a product, HzO touts what it calls "WaterBlock" technology, which is applied to the internal circuitry of a device to protect it from moisture.

How mainstream water-resistant features become will likely depend on demand, said CNET's Reardon.

"Some of these fringe guys, like Kyocera and Sony, are seeing an opportunity that the average consumer wants some of those features, too. You can see it because of the massive market for cases and accessories to keep these devices shock-proof and also water-resistant," Reardon said.

The real question, she said, is whether we'll start to see top manufacturers such as Apple adding the feature to their products.

"I'm not sure if we're going to see that immediately," Reardon said, "but it wouldn't surprise me if in a couple of years this became a more standard feature on devices."

In the meantime, there's always that low-tech fix if your beloved device has gone for an unplanned swim: Find a bowl and pick up a bag of rice.

Check out more news on CNN.com

@highlight

Sony's water-resistant Xperia Z smartphone and tablet have been hot items

@highlight

The two devices are the latest in emerging sleek, slim water-resistant gadgets

@highlight

The greater the consumer demand, the more likely this feature will go mainstream