New York (CNN) -- Something about the redness of the red ribbon continues to haunt me. I have had many dreams of it: one is a bonfire of ribbons. Red like blood, red like passion and anger, and red like love.

Twenty years. That's how long it has been since the Visual AIDS Artists' Caucus created what they called "The Ribbon Project." These New York City artists were compelled to collaboratively create a symbol that was easy to reproduce, that would be cheap, and that would make people think about AIDS.

Today we know their work simply as the Red Ribbon; an icon that became most poignant at the height of the AIDS crisis.

In 1991, the downtown arts scene was also an unimaginable scene of devastation. AIDS changed contemporary art, and world culture, forever.

A multitude of talented people had already died and scores more were ill. Or caring for dying friends, or working collectively as groundbreaking AIDS activists.

Some were doing it all. And in a series of meetings in April and May of 1991 members of the Visual AIDS Artists' Caucus decided that a piece of grosgrain ribbon, twisted in a simple loop and hand-stitched to a gold safety pin, would be an appropriate icon to show support and compassion for those with AIDS and their caregivers.

30 years of AIDS moments to remember

When asked about whether a ribbon was enough, the late Rodger McFarlane, executive director of Broadway Cares, who along with Tom Viola of Equity Fights AIDS worked immediately with Visual AIDS to place them in the public, said, "I never want this to seem like anything more than visibility. The ribbon does not feed people or protect them from discrimination or provide leadership or a cure. But it is, at least, an easy first step."

Founding Visual AIDS Executive Director Patrick O'Connell was quoted the same year in The New York Times, "People want to say something, not necessarily with anger and confrontation all the time. This allows them. And even if it is only an easy first step, that's great with me. It won't be their last."

Marking the 20th anniversary of the creation of the red ribbon for AIDS is an acknowledgment of the merits of art and necessity of artists. A small group of people changed the world, with an elegantly simple act.

We honor their talent, foresight, and dedication in sparking a zeitgeist that pushed the acronyms "HIV" and "AIDS" into everyday speech. Their story is a source of hope because we now know that advocacy can bring change, but it is also a serious reminder that there is more to be done, because AIDS is not over.

Visual AIDS recently commissioned four artists - A.K. Burns, Avram Finkelstein, Joe De Hoyos, and John Chaich -- to create new versions. 10,000 lapel buttons attached to red ribbons will be distributed beginning of December 1.

Just as the Artist Caucus did in 1991, this fall, ribbon bees were held throughout New York City at Occupy Wall Street, area colleges, The LGBT Center, and private homes.

The red ribbon has been copied. It's been historicized. It is honored as an icon of design and activism transcending language, recognized around the world. Its creators saw that it would never be copyrighted in the U.S., and they emphasized that it should never be made for sale or profit.

Still, it has also been commodified. We always hope any profits were used to benefit services for people living with HIV, or towards research for a vaccine, treatments, and a cure, or for effective prevention campaigns that emphasis harm reduction, treatment access, and universal health care.

I found a letter from June 21, 1991. Signed by Patrick, Tom, and Rodger on behalf of "The Ribbon Project," it explained that "by wearing the red ribbon we demonstrate compassion for people living with AIDS; support of the on-going efforts of their caretakers and service organizations; and advocacy for a coordinated response from our government for the research that will lead to effective treatments, vaccines, and ultimately, a cure."

The work of courageous people did lead to effective treatments. Twenty years later, my desire for all the other demands that wearing a ribbon once demonstrated remains. It must be our collective desire.

Beyond December 1, we must make HIV/AIDS a part of daily life and in doing so continue to extend safety, dignity, and compassion to all people living with HIV; to honor those we have lost; to work for a cure that can be shared worldwide; and to hold our governments accountable to the coordinated responses developed with community input.

But my dreams of the red ribbon continue. It's certainly the iconic symbol of the AIDS crisis and now it even resides in the collection of the Museum of Modern Art.

But it is more than a museum piece, it was the first, and remains the most emblematic of all "disease awareness" ribbons.

Its ethos endures as it embodies the greatest of complexities in one elegant form.

As current social movements and activism seek visual embodiments of our varied messages, its spirit endures.

But for me, I still see red.

The opinions in this piece are solely those of Amy Sadao.

@highlight

This year marks the 20th anniversary of the creation of the "Red Ribbon" for VisualAIDS

@highlight

The symbol is an icon of design and activism that is recognized around the world

@highlight

Visual AIDS recently commissioned four artists to create updated versions