Editor's note: Kathleen Sebelius is secretary of Health and Human Services in the Obama administration.

Kathleen Sebelius says health care costs are a huge and growing burden on the economy.

(CNN) -- Today in Washington, some politicians like to suggest that the many challenges we face as a nation mean we shouldn't tackle health care reform.

Nothing could be further from the truth.

With more and more of America's families, businesses, and local, state and federal governments struggling with the crushing costs of health care, health care reform has never been more important.

As President Obama has often said, you can't fix the economy without fixing health care. Unless we fix what is broken in our current system, everyone's health care will be in jeopardy. Health care reform is not a luxury. It is a necessity.

It's important to look at the size of the problem we face and where we stand. Today, we have by far the most expensive health system in the world. We spend 50 percent more per person on health care than the average developed country, according to the Organization for Economic Cooperation and Development. We spend more on health care than housing or food, the McKinsey Global Institute reported.

Nearly 46 million Americans are uninsured, millions more are underinsured, and they aren't the only ones who are suffering. The high cost of care is hurting all of us. A recent study by Families USA estimates that insured families pay a hidden health tax of more than $1,000 every year. The hidden tax is the amount businesses and families with insurance have to pay in insurance premiums, taxes and donations to help cover the cost of treating uninsured Americans.

Health insurance premiums for families that are covered through a job at a small business have increased 85 percent since 2000, and more small businesses are thinking about dropping health insurance benefits.

Nationwide, health care costs consume 18 percent of our gross domestic product. If we continue on our current path, health care costs will consume 34 percent of our GDP by 2040, and the number of uninsured Americans will rise to 72 million, according to the Council of Economic Advisers.

Even though we spend more than any other nation on health care, we aren't healthier. Only three developed countries have higher infant mortality rates. Our nation ranks 24th in life expectancy among developed countries. More than one-third of Americans are obese.

These statistics are the signs of a system that is both unacceptable and unsustainable. They also show us the high cost of doing nothing. If we choose the status quo, more Americans will be uninsured, costs will continue to rise, and every American's health care will be at risk.

Inaction is not an option, and reform is long overdue. The Obama administration is working to enact reform that will reduce costs for families, businesses and government; protect people's choice of doctors, hospitals and health plans; and assure affordable, quality health care for all Americans. We are guided by a simple principle: Protect what works about health care and fix what's broken, and do it in a way that does not add to the deficit.

The president has already introduced proposals that will provide $950 billion over 10 years in savings to finance health care reform. Much of these resources come from wringing waste out of the current system and aggressively prosecuting fraud and abuse.

We will continue to work with Congress as it explores other financing options, and the president is open to ideas about how we finance health care reform. But we are not open to deficit spending. Health care reform will be paid for, and it will be deficit-neutral over 10 years.

Working together, we can pass real health care reform that gives Americans the choices they deserve and the affordable, quality coverage they need. And we know they do not want us to wait. Too many people have suffered without basic medical care or paid too much for it.

For years, the American people have called on Washington to meet this challenge. They have waited long enough. The time for reform is now.

The opinions expressed in this commentary are solely those of Kathleen Sebelius.

@highlight

Kathleen Sebelius: Health care represents growing burden on economy

@highlight

She says that because of rising cost, existing system is unsustainable

@highlight

She says U.S. pays more, but citizens aren't healthier than in other countries