(CNN) -- The turmoil that's roiled Arab states from Tunisia to Yemen is also creating a headache for those entrusted with reviving economies hard hit by rising energy and food prices, growing public debt and the prospect of more expensive borrowing on the international markets.

Since mid-January, credit rating agencies such as Moody's have downgraded the sovereign debt of Tunisia, Jordan and Egypt. On Tuesday Moody's changed the outlook on Jordan's foreign currency bonds to negative from stable, citing "fiscal and economic downside risks related to ongoing turmoil in the region following events in Tunisia and Egypt."

Moody's said that Jordanian protesters "could use the regional uprisings as an opportunity to express their discontent about high unemployment and the lack of development for low-income groups." Standard & Poor's, another major credit rating agency, made a similar move.

Jordanian officials are not happy with the downgrade, arguing that their public finances are sound -- Jordan's foreign currency reserves actually rose last year and stand at about $12 billion -- and that the economy may grow as much as 6% in 2011. Protests there have been largely peaceful and far smaller than in Egypt and Tunisia. But after pledging to cut the budget deficit, the government reversed course in January with a package of subsidies and salary increases amounting to some $600 million, to compensate for higher prices. International bond markets are wary that governments may try to "buy their way" out of trouble, in the words of one analyst.

It is a potentially toxic cycle, according to regional economists. Egypt and Tunisia have already suffered a loss of tourism revenue in peak season, while record-high grain prices and a surge in the price of crude oil have fueled inflation. Jordan imports 90 per cent of its oil, and faces disruption to its gas supplies after an explosion at a pipeline in Egypt last week.

Like Jordan, Egypt has opted to spend more on subsidies for the poor. The recent street protests, now in their third week, have led stores, businesses, the stock market and banks to close -- a further cost. Until the protests erupted, Egypt had a positive reputation in the international debt markets -- with attractive interest rates for investors, banks that had avoided high-risk investments, a manageable budget deficit and low overall sovereign debt.

Like Jordan, it was working to cut its budget deficit. But markets abhor uncertainty and the government's cost of borrowing has risen sharply since the protest movement erupted -- although it has fallen back slightly in recent days. Earlier this week, the Egyptian Central Bank intervened to support the pound against the dollar, spending precious foreign currency in the process. And before the Egyptian stock market closed, some $5 billion was wiped off the value of Egyptian stocks in just two days.

In addition, government wages and pensions in Egypt have been increased 15 per cent. Credit strategists say any labor unrest -- especially at the Suez Canal where a strike began among service workers Wednesday -- would put Egypt's finances under further pressure. Shipping has so far been unaffected by the labor action.

Market commentators say that international investors are already avoiding Egyptian Treasury auctions -- another is due next week -- meaning local banks are expected to pick up the slack.

One former Jordanian official told CNN that he hoped the country's vulnerable economic state and its value to the United States as a reliable pro-Western ally would prompt greater financial support from Washington. Last year, foreign grants -- mainly from the United States and Saudi Arabia -- totaled more than $400 million. But there is pressure on the U.S. federal budget too.

@highlight

Credit rating agencies have downgraded the debt of Tunisia, Jordan and Egypt

@highlight

A potentially toxic economic cycle could hurt Arab economies, analysts say

@highlight

Jordan objects to downgrade, may look for more U.S. aid