Port Vila, Vanuatu (CNN)Tropical Cyclone Pam had already been battering Vanuatu's capital for hours when the River Prima suddenly flooded its banks.

A wall of water and mud surged through Sam Upan's house, toppling the walls of the neighboring church where he serves as a deacon.

It was midnight on Friday, and he had no choice but to wade out into the gale force wind and darkness.

"The water was up to my waist!" he says.

Upan eventually made it to higher ground, taking shelter on a parked van.  Fortunately, he had sent his family away before the storm to a shelter in the center of the capital, Port Vila.

But on Monday, three days after the storm struck, Upan and his daughters sit in the debris strewn rubble of their home. On Sunday, he built a temporary shack for them to sleep under.  A bundle of bananas donated by a friend lies nearby in the mud.

It's the only food the family has to eat.

Nearby, Upan's daughter Elsie slowly scrubs mud out of a shirt. Other families all across this tropical town are facing similar difficulties in the aftermath of the storm.

To many Westerners, Vanuatu is a holiday destination boasting crystal blue waters and luxury yachts. But it's also one of the poorest nations in the Pacific, and many of its 260,000 inhabitants live in flimsy houses built of thatch or metal sheets.

Those vulnerable homes were dealt a fearsome blow over the weekend by Cyclone Pam, one of the strongest storms ever to make landfall.

The aid group Oxfam is warning that the cyclone may have caused "one of the worst disasters ever seen in the Pacific."

The storm rampaged across Vanuatu's sprawling archipelago of more than 80 islands on Friday and Saturday, wielding 155 mph (250 kph) winds. About 65 islands in the archipelago are inhabited.

The full extent of the devastation remained unclear Monday. With communication lines to many of the outer islands cut, it could take days or even weeks to emerge.

Eleven people have so far been confirmed dead, according to Vanuatu authorities said.

But the U.N. Office for the Coordination of Humanitarian Affairs said the toll was expected to rise. The agency said 3,300 people were taking shelter in 37 evacuation centers.

How to help Vanuatu residents

Vanuatu President Baldwin Lonsdale told CNN the destruction was the worst his country had ever experienced, describing the storm as "a monster." He said it would take the developing nation "a couple of years" to get back to where it was before Pam struck.

In the capital, Port Vila, residents were still reeling from the storm's impact. Thousands of people have been left homeless and many who rely on subsistence farming to get by have seen their main source of food wiped out.

Most people live on root crops, said Jonathan Napat, a ranking natural disaster official. "What the people depend on entirely is just wiped out." He was overwhelmed by the dimension of the food loss. "Just unbearable. Just too much to contain," he said.

A CNN team that arrived in the capital Monday saw more than 100 people taking refuge in church. In one valley, trees were snapped in two or stripped of leaves.

Many residents said it was the worst storm that they can remember. And that's in a Pacific nation that's regularly hit by cyclones.

Officials say Cyclone Pam destroyed or badly damaged 90% of the houses in Port Vila, as well as flooding parts of the hospital and trashing schools and churches.

There were some small signs of progress around the capital.

A lack of electricity and running water hasn't stopped residents from starting the hard work of clearing away fallen trees and branches, as well as the corrugated metal roofing that Pam ripped off thousands of buildings. The sound of chainsaws and handsaws can be heard throughout the shell-shocked community.

The main airport is back in business, allowing military aircraft from Australia and New Zealand to bring in aid workers and supplies. The first commercial flight since the storm landed Monday.

But the big unknown remains the scale of the destruction the huge storm wrought on the outer islands to the north and south of the capital.

"It's certainly deeply concerning because those islands down there were incredibly hard hit," said Tom Perry, a spokesman for the aid organization CARE International.

Many people now lack the basics of life: clean water, food and shelter.

"Homes have been lost, crops are destroyed. The damage is enormous, and people need our help," said Aurelia Balpe, head of the Red Cross in the Pacific. "Yet it will still take some time before we really understand the full extent of the damage."

Some 60,000 children are in need of assistance, UNICEF reported Sunday.

Vanuatu has officially declared a state of emergency, opening the door for other countries to help.

The country's remote location adds to the challenges facing the international response. Port Vila is more than 1,770 kilometers (1,100 miles) northeast of Brisbane on Australia's east coast, and some 2,200 kilometers north of Auckland, the closest city in New Zealand.

CNN's Ivan Watson reported from Port Vila, and Jethro Mullen reported and wrote from Hong Kong. CNN's Pamela Boykoff, Kristie LuStout, Madison Park and Lynda Kinkade contributed to this report.

@highlight

The death toll of 11 is expected to rise, a U.N. agency says

@highlight

Vanuatu's President tells CNN the cyclone has set his nation back by years

@highlight

Aid agencies say they fear severe destruction in communities on outlying islands