BAGHDAD, Iraq (CNN) -- While violence decreases across Iraq, women in the war-ravaged country face worsening hardships as warfare has thrust them into the role of family breadwinners, an aid group's survey said.

An Iraqi woman who sells incense and candles to support her children says, "to work is to preserve your honor."

In a release dated Sunday coinciding with International Women's Day, Oxfam International issued, "In Her Own Words: Iraqi Women Talk About Their Greatest Concerns and Challenges."

Many women have been widowed and have had to run their families because their husbands "had been killed, disappeared, abducted or suffered from mental or physical abuse," the survey says.

As a result, many have been unable to earn a decent living. While there are no precise numbers, there are now an estimated 740,000 widows in Iraq, Oxfam says.

"Women are the forgotten victims of Iraq," said Oxfam International Executive Director Jeremy Hobbs, in quotes included in the survey.  See pictures of women working in Iraq »

The survey found that largely because of the conflict in Iraq, 35.5 percent of participants were acting as head of the household and that "nearly 25 percent had not been married."

"If this reflects Iraq as a whole, it is the highest rate in the larger region, a result of the loss of men of marrying age as a result of the conflict," the survey said.

Oxfam and its Iraqi partner group Al-Amal Association, conducted the survey in five provinces -- Baghdad, Basra, Tameem, Najaf and Nineveh. Questioners interviewed 1,700 respondents starting last summer.

While the survey doesn't represent the situation facing all Iraqis, it provides "a disturbing snapshot of many women's lives and those of their children and other family members."

"A quarter of the women interviewed still do not have daily access to water, a third cannot send their children to school and, since the war started, over half have been the victim of violence," Hobbs said.

"And to add further insult more than three-quarters of widows, many of whom lost their husbands to the conflict, get no government pension which they are entitled to."

The report urges Iraq to invest in social welfare essential services.

"A whole generation of Iraqis are at risk. Mothers are being forced to make tough choices, such as whether to pay for their children to go to school and receive health care, or to pay for private power and water services. These are choices no mother should have to make. And they are not only threatening individual families, they are also threatening the future of Iraq itself," Hobbs said.

Here are some of the survey results.

• Security and safety are the top concerns of nearly 60 percent of women.

• More than 40 percent of respondents said their security situation worsened last year.

• 55 percent had been victims of violence since 2003.

• Some 45 percent of women said their income was worse in 2008 than in 2007 and 2006.

• 69 percent said access to water was worse or the same as in in 2006 and 2007.

• 80 percent said access to electricity was more difficult than or the same as in 2007.

• Nearly half of the women said access to quality health care was more difficult in 2008 compared with 2006 and 2007.

• 40 percent of women with children reported that their sons and daughters were not attending school.

@highlight

An estimated 740,000 widows struggle in new roles as heads of house, survey says

@highlight

Many women don't have daily access to water and cannot send children to school

@highlight

More than 40 percent of respondents said security situation worsened last year

@highlight

Report urges Iraq to invest in essential social welfare services