Travel operators in China have a huge new set of rules to follow now that the country's first tourism law is in place.

Approved in April, the 112-article law came into effect October 1 and aims to promote sustained industry growth.

It includes measures to address issues -- mostly in the domestic industry -- such as tourist safety, unfair competition and forced shopping trips, in which agencies offer cheap tours but recoup their costs from commissions in partner shops.

A report by state-run media Xinhua claims tour operators in China have hiked their prices as a result.

Hong Kong's Travel Industry Council executive director Joseph Tung Yao-chung told Mingpao, a Chinese-language Hong Kong newspaper, that a total of 250 Chinese tourist groups registered to come to Hong Kong on October 1, Hong Kong's National Day, 30% fewer than last year.

However, the hope is that the new law will help the industry regulate itself in the long run.

"Price wars were vicious in the past, while the recent rises are a sort of reasonable return to fair competition," said Wang Yanqi, director of the Research Center of Leisure Economy of China, in a Xinhua report.

The tourism law also includes rules on state development planning.

Tour guides and agencies that break the new laws face steep fines of up to RMB 300,000 ($49,000).

Though the new law deals mainly with domestic tourism, there are sections that cover the rights of outbound travelers in their dealings with Chinese tour companies.

Tackling global criticism

By 2015, 100 million Chinese will travel abroad, according to the UN World Tourism Organization.

In 2012, Chinese overtook Americans and Germans as the world's top tourism spenders, with 83 million people spending a record $102 billion on international tourism.

Coinciding with all that growth has been a surge in criticism of the way Chinese travelers behave while on the road, and it hasn't gone unnoticed in Beijing.

Earlier this year, Chinese Vice Premier Wang Yang called on his nation's tourists to improve their manners, stressing the importance of projecting a "good image of Chinese tourists."

Tourist behavior is even singled out in a couple articles of the new law.

Article 14 states: "Tourists shall observe public order and respect social morality in tourism activities, respect local customs, cultural traditions and religious beliefs, care for tourism resources, protect the ecological environment, and abide by the norms of civilized tourist behaviors."

More: Chinese tourism: The good, the bad and the backlash

In September, China's National Tourism Administration issued an illustrated 64-page "Guidebook for Civilized Tourism" to instruct citizens on social norms overseas.

The booklet covers everything from reminders to say "please," "thank you," and  "excuse me" to specific cultural items such as one that says "In Iran, do not talk about babies' eyes."

"When we are visiting a foreign place, we're the guests and have to treat the host with respect," says the guide.

Coming on the tails of globally publicized incident earlier this year when a Chinese tourist was caught defacing a stone sculpture in an ancient Egyptian temple with graffiti, point eight in the first section of the guide reminds visitors to respect historical relics, and "do not scribble on, climb on or touch them."

Other items remind tourists not to spit in inappropriate places, not to litter and only urinate or defecate in designated places.

Other notable inclusions:

Photography: "When taking photos in tourist spots, do not fight and be patient. Do not force the others to take a picture with you, nor obstruct the others when they are photographing. If you would like the others' to take a picture for you, say thank you."

Toilet use: "Do not occupy the public toilet for a very long time. Do not leave footprints on the toilet seats and flush after use."

Queue jumping: "Respect order in public. Jumping the line is not acceptable anywhere."

On tipping: "Service industries in a lot of countries honor tipping. If you think the service is good, please tip accordingly."

At the buffet table: "When you're at a buffet dinner, only take what you can consume. Do not waste food."

Taking in a show: "Respect the performers. Clap after the show to show your gratitude to the performers. During curtain call, join the crowd for a standing ovation. If a performer slips up on stage, be understanding but do not cheer, whistle and jeer."

Cultural considerations

Another section of the guide covers items such as proper airplane etiquette and how to check into a hotel, while part three deals with specific cultural situations.

In the UK: "Do not greet the others by asking them questions like 'Where are you going?' or 'Have you eaten yet?' as you would in China."

In Korea: "Don't pick up your chopsticks before your senior. And face sideways when drinking alcoholic beverages."

In Italy: "Do not give someone a handkerchief in Italy. It is considered an omen for wiping tears when you lose someone."

In Spain: "Ladies should wear earrings when going out. Otherwise, it is the same as going out naked."

More: Vice premier to Chinese tourists: Be nice!

@highlight

China's first tourism law came into effect October 1

@highlight

Law covers tourist safety, unfair competition, price hikes and forced goods purchases

@highlight

Guidebook released in September aims to educate Chinese tourists on overseas etiquette