(CNN) -- Alexander the Great is said to have sobbed like a child after realizing there were no more worlds to conquer.

This was centuries before video games -- with the exception of "Pong" -- were invented.

Had he owned PlayStation4, X-Box One or Wii, Alexander would probably have stayed on his sofa in Macedonia instead of leading his armies as far as the Indus river.

And who would've blamed him?

These days virtual worlds are almost as impressive as the real thing.

So impressive, in fact, that we wish we could visit them.

These seven would top our itinerary.

More: 'Game of Thrones' tours in Croatia and Northern Ireland

Hyrule, "The Legend of Zelda: Ocarina of Time" (Nintendo)

The place: A bucolic world of grassy plains and medieval settlements that echo the gentle sounds of clopping hooves, lilting ocarina melodies and a talking tree.

Why we want to visit: Certainly not for the bafflingly complex plotline -- a brackish mix of Disneyfied fairytale and Tolkeinian faceoffs that revolve around an antediluvian flute.

We're there chiefly for the game's mesmerizing horseback riding scenes, in which entire afternoons can be lost cantering gaily across pleasant grasslands to little discernible purpose.

Get real: Horse trekking in the Mongolian steppes, where you can enjoy a vast fence-free wilderness from the saddle without the tedious obligation to conquer evil.

Stepperiders; +976 991 14245

More: Air New Zealand's genius Hobbit-themed safety video

San Andreas, "Grand Theft Auto V" (Rockstar Games)

The place: A sun-bleached U.S. state that stretches from sparkling ocean-side real estate to misty mountainside.

Here there are wide shopping boulevards patrolled by the wealthy, and cracked asphalt byways where lives lie in ruin. It's a bogglingly panoramic slice of the American dream.

Why we want to visit: San Andreas vividly re-creates great swathes of California, chiefly Los Angeles, with such an immersive eye for detail that, if they weren't so loathsome, you might accidentally find its characters on your Christmas card list.

If you can stomach the obscene violence, "GTA V's" vision of the Golden State is infinitely better than reality since you dispense with envy and help yourself to whatever you want, be it fast cars, speedboats or passenger jets.

And, just to prove it's even more la-la than La-La-Land, you can finish off your crime spree with a yoga session.

Get real: Hire (don't hijack) a luxury car and cruise across Los Angeles.

Beverly Hills Rent-a-Car; +1 310 274 6969

"Tetris" (Various)

The place: A Soviet-created, two-dimensional world where doom can only be avoided by neatly stacking descending geometric shapes.

Could be an allegory for the futilities of the U.S.S.R.'s collective economy.

Could be just a maddeningly addictive game.

Why we want to visit: Modern life draws great delight from plunging us into nerve-jangling chaos.

It takes even greater mirth in our feeble attempts to impose order on this chaos.

So to spend time in a place where the very building blocks of existence can easily be shuffled into orderly stacks is to enter a place of Zen-like sanctuary -- a place where nirvana is an L-shaped block slotted tidily in an L-shaped hole.

Get real: Play "Tetris" too much and it becomes hard not to gaze at a cityscape without figuring out which shapes would fit into its gaps. This is especially fun in the Tetroid heights of Hong Kong's Mid-Levels.

Butterfly on Hollywood Hotel (Hong Kong); +852 2850 8899

More: Starcraft, and 9 other things South Korea does better than anyplace else

Rapture, "Bioshock" (2K Games)

The place: A gloomy sub-aquatic metropolis deep beneath the North Atlantic.

According to an elaborate back story, the city was conceived in the late 1940s by idealists who wanted to break away from outmoded ideologies at the end of World War II.

So they construct an underwater utopia where all runs swimmingly until everyone, of course, becomes hopelessly hooked on sea slugs.

Why we want to visit: It may be a decaying dystopia populated by genetically modified beasts, but who cares when it looks this good?

"Bioshock's" designers spliced Captain Nemo's "Nautilus" with the Chrysler Building to create an art deco spectacle that drips with class (and seawater).

Get real: Underwater cities are sadly somewhat thin on the ground. (Or should that be ocean floor?) For now, you have to make do with just an underwater hotel room.

The Manta Resort, Pemba Island, Tanzania; +255 776 718 852; $1,500 per night for a two-person stay, $900 per night for singles

"Super Mario Galaxy" (Nintendo)

The place: A universe of tiny planets where, if you eat the right mushrooms, you gain special powers that make it easier to navigate a series of benign but frustratingly tricky challenges.

Why we want to visit: We'd settle for any of the mildly psychedelic destinations depicted in the "Super Mario" games series, but "Galaxy" is the best yet.

It's incredibly pleasant to look at and, in an age of ever-increasing video game violence, feels warm, safe and unthreatening.

Of course, traveling to strange places with a qualified plumber can only be a good thing. Particularly one whose "let's a-go" catchphrase seems to indicate a tradesman with an admirable can-do attitude.

Get real: Warm, safe and unthreatening? Welcome to Singapore!

But under no circumstances sample mushrooms offering unusual powers. Not even a plumber would be able to help you.

Klapsons Boutique Hotel (Singapore); +65 6521 9000

"Minecraft" (Mojang)

The place: A blank map waiting to be charted by you.

"Minecraft" is considered by many to be the best so-called "sandbox" game in which players design their own block-built worlds and mine their resources to construct elaborate settlements.

Hostile mobs and monsters are chucked in to liven things up.

Why we want to visit: Because we've all felt the call of the wild at least once in our lives. A sense of frontier spirit. The desire to wipe the slate clean, forge our own new civilizations and get our hands if not dirty, then perhaps a little clammy.

Get real: Head deep into any wilderness and you might stumble into fanatics so disillusioned with government interference and the triviality of modern life that they're trying to start again.

After reading this article, many more may join them.

Thankfully, in the rugged expanses of Canada's Northwest Territories, there's room for everyone.

Nahanni National Park Reserve, +1 867 695 7750

More: All by my selfie. Travel blogger fakes girlfriend pics

Northrend Storm Peaks, "World of Warcraft" (Blizzard Entertainment)

The place: A jagged, windswept and snowy mountain range on the northern fringes of the northern fringes of "World of Warcraft" -- the colossal online realm that at its peak had as many signed-up players as Belgium has citizens.

Not all were Belgian.

Why we want to visit: "WoW" boasts such a bewildering number of territories that it's hard to know where to start, but the starkly beautiful Storm Peaks stand out for sheer drama of landscape.

The Peaks are said to be inhabited by a mysterious race of giants.

But if you're going to get involved in a fantasy role-playing game where people take things like dragons, spells, elves and occasional outbreaks of plague seriously, these are probably the least of your worries.

Get real: Aonach Eagach is a vertiginous, wind-raked mountain ridge that looms over Scotland's Glen Coe. Dragons would be the least of your worries up here.

Steve Fallon guided walks; +44 1314 668152

@highlight

"Bioshock" splices Captain Nemo's "Nautilus" with Chrysler Building to create art deco Rapture

@highlight

Starkly beautiful "World of Warcraft" Storm Peaks stand out for sheer drama of landscape

@highlight

Of the mildly psychedelic destinations in the "Super Mario" series, "Galaxy" is best yet