Washington (CNN) -- Leaders around the world Tuesday mourned the death of the diplomat who spearheaded the end of the Bosnian war on the 15th anniversary of the peace deal he helped design.

Richard C. Holbrooke, 69, died Monday after doctors performed surgery to repair a tear in his aorta. He most recently served as the Obama administration's point man in the volatile Afghan-Pakistani war zone.

"You've got to stop this war in Afghanistan," he told a Pakistani surgeon at George Washington University Hospital as he was being sedated for surgery, according to a senior administration official.

That was one of his final comments, the official said.

Holbrooke was perhaps best known for his role as the chief architect of the Dayton Peace Accords -- signed December 14, 1995 -- which ended the deadly ethnic conflict that erupted during the breakup of Yugoslavia.

"I had the honor and privilege of working with Richard through many international crises over several decades, most particularly the wars in Bosnia and Kosovo," former U.S. Secretary of State Madeleine Albright said. "He could always be counted on for his imagination, dedication and forcefulness."

After President Barack Obama took office in 2008, Holbrooke took one of the toughest diplomatic assignments -- U.S. special  representative for Afghanistan and Pakistan, the region Obama regards as critical to the fight against terrorism.

Holbrooke's assertive style worked in the Balkans, but it brought perils for diplomats in Afghanistan and Pakistan, where long stretches of chatting and tea-drinking are the norm.

He was frank in his assessments about the region and officials in both countries regarded him as abrasive, including Afghan President Hamid Karzai. In April 2009, there were reports of a heated argument between Holbrooke and Karzai after charges of fraud surfaced in the Afghan presidential election.

Karzai's office issued a brief statement Tuesday, describing Holbrooke as "a veteran and seasoned diplomat who had served greatly to the government and the people of the United States."

"Achieving peace and stabilization of a country with complex realities on the ground, as well as in the region, is not an overnight task, but there was no doubt that he was pursuing his mission not only objectively, professionally and patriotically as an American, but at the same time as a friend of Afghanistan," said Dr. Abdullah Abdullah, Afghanistan's former foreign minister. "That was what we admired most."

In an interview with CNN, Pakistani President Asif Ali Zardari called Holbrooke an "extremely hard-working man" who can "get things done which would otherwise take weeks to get through."

One of the world's most recognizable diplomats, Holbrooke's career spanned from the Vietnam War era to the war against the Taliban and al Qaeda in Afghanistan and Pakistan, coinciding with presidencies of the past five decades, from John F. Kennedy to Barack Obama.

He also worked as a journalist and an investment banker. But as a diplomat, he was plain-speaking, accessible, and known for his tough-mindedness.

Obama called Holbrooke "a true giant of American foreign policy who has made America stronger, safer, and more respected."

Secretary of State Hillary Clinton said the nation had lost "one of its fiercest champions and most dedicated public servants."

"He was the consummate diplomat, able to stare down dictators and stand up for America's interests and values even under the most difficult circumstances," Clinton's statement said. "Few people have ever left a larger mark on the State Department or our country."

A statement appearing on numerous radical Islamist websites used Holbrooke's death to condemn the U.S. military presence in Afghanistan.

"People cannot turn a blind eye to the presence of (U.S. and allied) troops and cannot be fooled by (Gen. David) Petraeus, Holbrooke and others who should know that their fate is a scandal, madness, fainting, or worse than that," the statement read.

Shortly after taking office, Obama appointed Holbrooke to the special representative job and Holbrooke dove in headfirst to tackle the challenges.

In an October interview with CNN, Holbrooke cautioned patience in the struggle against the militants and for democracy in the so-called AfPak region, a mission that he said was of the "most vital importance to our national security interests."

"We are determined to see it through," he said, and he made reference to the Vietnam War and the Dayton Accords in his insights.

He noted that dealing with so many foes on both sides of the Afghanistan-Pakistan border made the process difficult.

"A peace deal requires agreements, and you don't make agreements with your friends, you make agreements with your enemies," he said.

Holbrooke mentioned a range of militant groups, such as the Afghan Taliban, the Pakistani Taliban, the Haqqani Network, and Lashkar-e Tayyiba, and noted that "an expert could add another 30."

"There's no Ho Chi Minh. There's no Slobodan Milosevic. There's no Palestinian Authority. There is a widely dispersed group of -- of people that we roughly call the enemy. There's al Qaeda, with which there's no possibility of any discussion at all."

"There is no clear single address that you go to," Holbrooke said.

CNN's Jill Dougherty, Nic Robertson, Joe Sterling and Elise Labott contributed to this report.

@highlight

President Obama calls Holbrooke a true giant of U.S. foreign policy

@highlight

Albright praises his "imagination, dedication and forcefulness"

@highlight

Holbrooke was known as the "chief architect" of the accords that ended the war in the Balkans

@highlight

The diplomat ruffled feathers in a career that ranged from Vietnam to Afghanistan