(CNN) -- Amazon unveiled a collection of new Kindle devices in Santa Monica, California, on Thursday. There were two dedicated e-readers and three Kindle Fire tablets, ranging in price from $69 to $499.

After Chief Executive Jeff Bezos finished his presentation, journalists were given some hands-on time with the new devices.

Here are our first impressions:

7-inch Kindle Fire HD and Kindle Fire

There are a few new members of the Kindle Fire family, one at every popular tablet price point.

There are two new 7-inch devices, the $159 Kindle Fire and $199 Kindle Fire HD. Bezos also announced a pair of higher-end, faster Kindle Fire HD devices, both 8.9-inches, but they were not available for a demonstration. The 4G model costs $499, the regular model $299.

The two 7-inch Fire tablets look similar, but the HD has a few more features. Available in 16GB or 32GB, the Kindle Fire HD has a higher resolution screen of 1280-by-800 pixels, Dolby Digital Plus powered speakers, stronger Wi-Fi and better battery life. It also manages to weigh a smidgen less than the Kindle Fire.

Kindle HD vs. iPad: A comparison

The exterior designs are slick and minimalist, similar to the new Nexus 7, featuring a black body and no buttons. Photos, videos and books all look great on the HD's glossy screen and very nice on the Kindle Fire's screen.

Navigating on both devices is a snap. The operating system is a heavily reworked version of Android, custom-made by Amazon.

An oft-repeated theme at the event was that Amazon is focusing on the service, not the gadgets. It hopes to make money from its rich ecosystem of content, not the sales of hardware. The company makes no secret that the Kindle Fire is essentially a tool on which the company would like to sell you things, which is why the blatant attempts to point you toward new purchases don't feel so much intrusive as, well, helpful.

For example, turning the device into portrait mode makes room for custom suggestions. Below the icon for an app is a selection of apps other customers also bought. Same for a book or movie. If you're looking at the thumbnail for a website, you'll see other sites that are "trending now."

This soft sell is also present in the new X-Ray feature for movies, which allows you to hit pause and automatically see IMDB profiles for actors in the flick, finding out what else they've appeared in. This list of other movies is great for settling arguments, and you can also click to buy them from Amazon or add them to your watch list for future purchasing. Crafty.

Amazon announces new wave of Kindles

One very interesting new feature just for the Kindle Fire is Immersion Reading, which allows you to listen to the audiobook version of a title, while the corresponding words are highlighted in the Kindle version. This would be great for learning a language or for kids who are just learning how to read. An update to an older feature, Whispersync for Voice, combines the two versions, so you can switch between listening to and reading a book without losing your place. Unfortunately, you will need to purchase both versions of the books individually to take advantage of the tools.

Speed still appears to be an issue on the the 7-inch Kindle Fire HD. After tapping on an app or a photo, there's a bit of lag time before you're taken to your destination. It's the same if you flip too quickly through a magazine or book. This came up on the Kindle Fire HD and the Kindle Fire across a variety of apps and media. It wasn't noticeable while streaming videos, which played smoothly and looked crisp and seamless on both devices.

The Kindle Fire and Kindle Fire HD will start shipping on September 14, and the 8.9-inch Kindle Fire HDs will ship on November 20.

Kindle Paperwhite

It may not be the most expensive or feature-filled product announced Thursday by Amazon, but the Kindle Paperwhite could be the most impressive complete package.

One of the most persistent complaints about the E-Ink Kindle has been that it lacked a light. For people who were used to using smartphones in the dark, the Kindle was a little too much like a real book. The Kindle Paperwhite addresses that problem with what the company calls a "front-lit" display. The result is rather stunning.

The effect is subtle, more of an all-over soft glow than a bright computer, tablet screen or a directional light. When you first look, you might not even notice it's on, just that the text looks cleaner, crisper and easy on the eyes. The light is meant to be left on at all times, but the brightness should be adjusted depending on how much light you need. Even in a bright environment, the light greatly improves how text displays on the screen.

One of the Kindle's biggest advantages over traditional tablets as an e-reading device is its impressive battery life. Amazon claims that even with the new light on, the Kindle Paperwhite will get up to eight weeks of battery life.

The visual improvement extends to the touch screen, which has a higher resolution, 212 pixels per inch. And the background has been tweaked to be whiter, the text blacker. The Paperwhites were on display in a brightly lit airplane hangar, so it was difficult to see how the light would look in a dark environment.

The screen is the real star, but the outside has a few changes as well.

There are no buttons anymore, and the body is black and thinner than the Kindle Touch. Tapping the screen to advance to the next page could take a bit of getting used to for those of us accustomed to buttons on the sides of older Kindles.

There are some nice changes to the user interface that solve small problems. A time is now displayed at the bottom of the screen telling you how much reading time is left for a book. If you encounter a character in a book and can't remember who they are, the new X-ray feature pops up again to lend a hand. The tool will show you everywhere else the person's name has appeared in the book, chapter or page.

The improvements aren't drastic or flashy, but they are small changes that show a company paying attention to how its customers use the product and trying to perfect the user experience.

The Kindle Paperwhite costs $119, or $179 if you opt for the 3G version. It ships on October 1.

Kindle

The biggest change for the bare-bones Kindle e-reader is its price, which was dropped from $79 to $69. The mono-tasking device is the cheapest in the Kindle lineup, and it is the most similar to a paper book -- inexpensive, light, with an E-ink screen but no lighting.

There are a few very minor changes to the ad-supported device. The body of the Kindle is now black instead of gray, but the buttons and ports are all in the same locations. There are some new font options, and the company claims it has 15% faster page turns.

The new Kindle is available to order now and starts shipping on September 14.

@highlight

The new Kindle Paperwhite e-reader features a "front-lit" light that is subtle and stunning

@highlight

New 7-inch Kindle Fire tablets are attractive and intuitive but still lag at times

@highlight

Most new tablets will start shipping later in September and can be ordered now