Washington (CNN) -- The seizure of the Afghan Taliban's top military leader in Pakistan represents a turning point in the U.S.-led war against the militants, U.S. officials and analysts said.

The arrest of Mullah Abdul Ghani Baradar represents the most significant Taliban capture since the terrorist attacks of September 11, 2001, a senior Obama administration official said Tuesday.

Baradar has been a close associate of Osama bin Laden's and is seen as the No. 2 figure in the Afghan Taliban, behind Mullah Mohammed Omar.

"If anyone would know where the senior leaders are of al Qaeda and the Taliban, then Baradar is someone who would be privy to that kind of information," said M.J. Gohel, executive director of the Asia-Pacific Foundation.

It's "major success for the CIA" and "a major blow for the Taliban," Gohel said.

The United States has tried to target Baradar for years, a senior U.S. official said.

The arrest also represents a "new level of cooperation" between Pakistani and American forces working to rout the Taliban, said U.S. Sen. John Kerry, chairman of the Senate Foreign Relations Committee and co-author of legislation designed to improve cooperation between Pakistan and the United States.

Described as a savvy and modern military leader, Baradar was arrested in the southern Pakistani city of Karachi several days ago, a senior Pakistani intelligence official said. The official asked not to be named because he is not authorized to speak to the media.

Baradar is being held in joint custody and investigated by both the CIA and Pakistan's Inter-Services Intelligence agency, another senior Pakistani source said.

Qari Yousuf Ahmadi, a Taliban spokesman in Afghanistan, denied that Baradar had been captured. He said Baradar is continuing his operations and is in Afghanistan.

Another Afghan Taliban spokesman, Zabiullah Mujahid, also denied Baradar had been arrested. He said reports of his arrest are designed to demoralize the Afghan Taliban.

Despite confirmation of the arrest by Pakistani sources, Pakistani Interior Minister Rehman Malik said he could not verify reports of the capture. He also denied reports the CIA and ISI conducted a secret raid that captured Baradar, saying the agencies share intelligence but that the CIA does not conduct raids on Pakistani soil.

Afghanistan Crossroads blog: More on Baradar and the Taliban

Several raids in Karachi last week netted dozens of suspected Afghan militants, and intelligence agencies are in the process of verifying their identities, Malik said.

Baradar's arrest occurred as some 15,000 Afghan and NATO forces were battling the Taliban in the Marjah region of southern Afghanistan's Helmand province in the largest NATO offensive since the U.S.-led invasion of Afghanistan in 2001.

It also comes weeks after the CIA ratcheted up its operations against the Taliban in apparent response to a December suicide attack that killed seven CIA officers in eastern Afghanistan.

And the arrest comes amid reports of major successes for the United States in its battle against the Taliban and associated militants in Afghanistan and Pakistan.

The leader of the Pakistani Taliban, Hakimullah Mehsud, died recently after reports that a suspected U.S. drone strike targeted him in January, according to Taliban and Pakistani intelligence sources. The previous leader of the Pakistani Taliban, Baitullah Mehsud, also died in a suspected U.S. drone strike.

CNN national security analyst Peter Bergen called Baradar's capture a "huge deal," saying he is "arguably more important than Mullah Omar from a military point of view, because Mullah Omar really is more of a religious figure than an operational commander of the Taliban."

"This guy also is the No. 2 political figure in the Taliban. The fact that he was discovered in Karachi is very significant. Karachi is the largest city in Pakistan. It's a long way from where the war is being fought," Bergen said Monday on CNN's "Anderson Cooper 360°." The capture "indicates that the Pakistani intelligence services and CIA [are] cooperating very closely on a very high-value target."

A number of high-value targets, including Omar, have moved into Karachi from a region near the Pakistan-Afghanistan border, where the Pakistani military and suspected U.S. drones have battled Taliban militants, a senior U.S. official said.

Bergen said the operation suggests the Pakistanis are willing to move not only against the Pakistani Taliban but also against the Afghan Taliban, which has its headquarters in Pakistan. Baradar also would have been in regular contact with Omar, Bergen added.

Robin Wright, a fellow at the U.S. Institute of Peace, called the move a "huge catch in terms of understanding the organization," but she also said the "Taliban is in many ways a decentralized force, and it's not necessarily that he is going to be involved in knowing what every single unit on the ground is doing."

"The critical issue is how much will he talk and provide information on where other assets are, potentially where the Taliban in Pakistan are, and, of course, the United States would love to know where Osama bin Laden himself is," Wright said on "AC 360."

Wright also raised the issue of what will happen to Baradar when the interrogation concludes.

"One of the big questions, of course, is, what are they going to do with him?" Wright asked. "They can't take him to Guantanamo Bay. Are the Pakistanis going to prosecute him?"

According to Interpol, Baradar was born in 1968 in Weetmak village in the Dehrwood District of Uruzgan province in southern Afghanistan.

Bergen said Baradar and Omar run the Quetta Shura, which operates in southern Afghanistan.

"In terms of the information about the southern Afghanistan operations of the Taliban, this guy is potentially a gold mine," Bergen said. "I suspect he's not being read his Miranda rights by these Pakistani people who are interrogating him."

Muhammad Amir Rana, director of the Pakistan Institute for Peace Studies, a Pakistani think tank, called Baradar "basically the de facto leader" of the Taliban.

"With Mullah Omar staying out of the scene, Baradar was running the operations of the Taliban."

Baradar and Omar "started the Taliban together. He was in the movement since the very beginning," Rana said.

"He is a very skilled military tactician. When the Taliban were in government in Afghanistan, he was the supreme commander of the army and was heading the charge against the Northern Alliance holdouts at that point in time."

Rana said the setback is significant because Baradar was directing the Taliban's activities in Afghanistan at the time of his arrest.

"His capture would be a severe blow to the Taliban morale at a time when the operation in the Helmand province is under way."

Rana said Baradar and Afghan President Hamid Karzai hail from the same Popalzai tribe.

Karzai has talked about reaching out to some Taliban members, and a Newsweek profile of Baradar last year said that "Baradar once authorized a Taliban delegation that approached Karzai with a peace offer" and that he approved peace feelers to Karzai's brother. Those efforts didn't go anywhere, the magazine said.

Reva Bhalla, director of analysis at the Stratfor think tank, said Baradar has been representing Omar at some of the peace talks going on behind the scenes with the Saudis and describes his capture as a big catch.

Bhalla said the Pakistanis didn't do this for free; they want concessions from the United States, and it's a shift in the strategy on how it's dealing with the Afghan Taliban in its own territory. The Pakistanis have launched offensives against the Pakistani Taliban, and now the move indicates they might plan to get tough on the Afghan Taliban.

"It's not like you have one guy, and that immediately opens the door to everyone else. It's hard to believe that this will lead to this huge intelligence coup. But if the Pakistanis are shifting their mode of cooperation, that is significant."

CNN's Ed Henry, Richard Greene, Kiran Khalid, Barbara Starr and Joe Sterling contributed to this report.

@highlight

Arrest in Pakistan "a major blow for the Taliban," Asia-Pacific expert says

@highlight

Mullah Abdul Ghani Baradar reportedly captured in Karachi, Pakistan

@highlight

Arrest signals Pakistani-U.S. cooperation, Sen. John Kerry says

@highlight

Taliban spokesman in Afghanistan denies that Baradar has been captured