(CNN) -- In footballing terms, Landon Donovan isn't a marquee name in Europe. He endured a miserable stint at behemoth Bayern Munich and only when he played in a less pressurized environment on another loan deal -- for Everton in the English Premier League -- did he excel.

On the domestic front, it's an entirely different matter. Donovan can rightly claim to being the talisman for the national team for the past decade or so, featuring in three World Cups and holding the distinction of scoring more goals than anyone else for the U.S.

He was, unquestionably, the leading figure as the U.S. transitioned from football minnow to respected outfit.

If his omission from the World Cup squad by manager Jurgen Klinsmann couldn't be compared to, let's say, a Lionel Messi being snubbed by Argentina or a Cristiano Ronaldo being dropped by Portugal, it's not far off.

"It is a very tight race for those spots," Klinsmann, hired in 2011 and last year given an extension until 2018, told reporters in May. "We feel like the other players, without naming any of those guys, are a tiny bit ahead of him.

"That's why we made that decision, which is obviously and understandably the biggest topic out there."

Most in the U.S.'s growing footballing community have disagreed with the man who "shockingly" left out Donovan -- that was the word used by the 32-year-old's MLS team, the L.A. Galaxy -- but Germany's Klinsmann tends to court controversy, or at least divide opinion.

Here's someone who, for all his scoring prowess during his playing days, will be forever linked with diving.

Pedro Monzon's challenge on 'Klinsy' in the 1990 World Cup final was reckless but the latter's exaggerated air time could be compared to a high-jumper performing a forward roll.

For good measure, when he hit the ground, Klinsmann resembled a fish when first out of the water -- flopping from the shock. Monzon became the first player sent off in a World Cup final and Argentina's fate was sealed.

Fast forward to his time as Germany manager.

There can be few more uplifting scenarios than an adored former player guiding a national team to World Cup glory on home soil -- Klinsmann made 80 international appearances, netting 38 times -- and the Germans indeed almost prevailed in 2006, falling to bogey side and eventual champion Italy in the semifinals.

But current Germany captain Philipp Lahm all but wrote in his autobiography that Klinsmann didn't play much of a role, saying he was tactically deficient. Instead he praised then assistant Joachim Low (who just happens to be Lahm's current boss with Germany).

Lahm lined up, too, under Klinsmann at Bayern Munich in 2008/2009, when Klinsmann didn't last the season.

Klinsmann and Lahm will meet again, since Germany -- as well as Portugal and Ghana -- landed in the U.S.'s group.

"There was very little technical instruction and the players had to get together independently before the game to discuss how we wanted to play," Lahm wrote.

Klinsmann's deep focus on fitness and nutrition, and fondness for yoga, is well known. Players have even been given aptitude tests, not their usual fare.

"I don't know if I'd like his rules," U.S. international keeper Marcus Hahnemann, not making the trip to Brazil, told CNN. "I'm way more laid back than most are.

"I would maybe struggle but that's the way he wants to run it."

Judging by a story in the Sporting News last year, Hahnemann has company in not being entirely convinced by Klinsmann's methods.

Speaking anonymously, people linked with the U.S. team opened up about Klinsmann's apparent tactical naivety, and the author stated there was "building resentment over the perceived importance and attitude of the German-born players."

Although it's not strange for players born in one country to represent another -- in-demand striker Diego Costa picked Spain over Brazil for the World Cup -- Klinsmann selected more than merely one: Jermaine Jones, John Brooks, Timothy Chandler and Fabian Johnson were all born in Germany.

Bayern Munich's Julian Green, meanwhile, mostly represented Germany under the senior level.

"Jurgen has made it clear that looking at all possible options for discovering players will be exhausted," Tony Meola, who earned a century of caps for the U.S., told CNN. "My biggest concern is always, 'Are you playing for the love of the jersey and what it represents?'

"If the answer is an emphatic, 'Yes,' I have no problem with it but anything less, I would be concerned.

"We are in a different era and one that is changing the face of the game."

Klinsmann's brutal assessment of his charges' chances at the World Cup -- "I think for us now, talking about winning a World is just not realistic" -- also didn't go down well in the court of American public opinion.

With all the second guessing, you might be hard pressed to believe that the U.S. has made inroads under Klinsmann, who has lived in California for more than 15 years and is married to an American.

But how else to describe the U.S. beating powerhouse Italy for the first time -- in Italy -- and overcoming arch-rival Mexico in Mexico, also a first? Note that Donovan played a combined 45 minutes in those landmark successes.

Klinsmann hasn't shied away from pushing for friendlies against top sides and has attempted to make the U.S. play a more proactive brand of football, rather than defend and counter.

Klinsmann hasn't been the lone manager targeted by the outspoken Lahm -- he came down harshly on the new Manchester United manager Louis van Gaal -- and Hahnemann admits the U.S. has "definitely made progress."

"In terms of the tactics, he has certainly tried to change the way we play," added defender Jonathan Spector, who featured against the Italians. "We have the players for it, and I think it's just going to take some time to adjust to that.

"You can't argue with the results we've had. He's been very successful as a national team coach, both with Germany and with the US.

"In terms of sports science and that, I think there's a place for that in football and he's a very personable man. He's easy to talk to."

So, Klinsmann has his supporters and detractors. Results in Brazil are sure to sway opinion further.

Donovan snub sparks outrage

Brazil 2014 World Cup: Score updates and schedule of matches

World Cup survival glass tells you when to stop drinking

@highlight

U.S. manager Jurgen Klinsmann drew criticism for axing star Landon Donovan

@highlight

But even before the World Cup snub, Klinsmann was a man who divided opinion

@highlight

The California resident's tactics and methods have been questioned by players

@highlight

The U.S. has, however, posted some impressive results under Klinsmann