(CNN) -- Last month Facebook announced it had signed up its 500 millionth member. Many news outlets began stories on this milestone by declaring that if Facebook were a nation, it would be the third-most populous on the planet.

Immigrants to this nation include tens of millions from Mexico, Turkey, France, Italy, India and the Philippines. The 125 million Americans who've joined the service represent only a quarter of the citizens. And with support for 100 languages, Facebook would be one of the world's most polyglot lands, far surpassing India's 22 official languages.

Facebook, of course, is not a nation. It's a service that allows users to share photos, updates, news and play games with other users of the service. And while 500 million people from all over the globe use the service, for most of us, Facebook feels less like an transnational melting pot and more like the neighborhood bar where everyone knows your name.

While more than 5 percent of Facebook users are Indonesian, it's unlikely that you're friends with any of them, unless you have Indonesian friends in the offline world. That's because Facebook is designed to connect you with people you already know, not introduce you to new people.

When you sign up for Facebook, the service first searches for any mentions of your name and suggests you befriend anyone who has mentioned you in their posts. It then asks to access your e-mail account so you can connect with anyone with whom you regularly correspond.

Finally, it encourages you to add information about your high school, college and employer to your profile. It uses this information to find friends within your classmates and co-workers. You have ample opportunity to connect with people you already know before you have a chance to discover anyone new.

Read more about Ethan Zuckerman on TED.com

Once you've found your friends on Facebook, they share their news, gossip and discoveries with you. This can be a source of serendipitous discovery, as friends find stories and inspirations you would have missed. Or it can serve as an echo chamber, slowly persuading you that everyone views the world the way you do, because the people you know on Facebook share your prejudices and views.

I study the ways new media shapes people's perceptions of the world. It's my fond hope that social networks such as Facebook will help users broaden their perspectives by listening to a different set of people than they encounter in their daily life. But I fear services such as Facebook may be turning us into imaginary cosmopolitans.

We hear that 500 million people from around the world are using Facebook and forget that we hear mostly from our 130 (on average) friends, many of whom we've known since we went to high school together.

On the internet, information from Indiana and India is equally cheap and easy to access. But of the 100 most popular news and information sites in the United States, only 10 are hosted outside the country. And 94 percent of those page views are to U.S. sites.

This pattern holds true in all 10 countries with the largest numbers of internet users. Despite ample opportunity to use the internet to seek information from beyond our national borders, most of our internet usage is local.

Like the Internet itself, Facebook is one of the most powerful technologies ever built to increase connection between people separated by borders of nation, language, religion and culture.

Armenian journalist Onnik Krikorian reports that Facebook has created a space where young Armenians and Azeri -- separated in physical space by a decades-old border dispute -- can explore friendships that would never otherwise develop.

But Facebook can also spawn spaces that make cross-cultural dialog more difficult. The "Everybody Draw Mohammed Day" Facebook campaign began as a humorous protest in support of freedom of expression, inspired by a cartoon drawn by Molly Norris.

As the group attracted 100,000 members on Facebook, the drawings of the Muslim prophet submitted to the group became increasingly offensive and violent. Norris and others initially involved with the protest distanced themselves as the group became a campaign against Islam rather than a campaign for free speech. Before Facebook removed the campaign from its site, a Pakistani court ordered a nationwide ban on the social networking service in reaction to the offensive content.

Is Facebook a space for cross-cultural interaction? For fomenting reactionary hatred? Or is it primarily a space for online interaction with our local, offline friends?

"Peace on Facebook" is a page where Facebook tries to quantify connections made on the service across lines of religion and nationality. Some of the news is encouraging: 29,651 connections between Indian and Pakistani users made in the past 24 hours. Some is dispiriting -- only 974 Muslim/Jewish connections in the previous day.

With half a billion users and an estimated 65 billion friendships, such numbers are small. To me, they suggest we have work to do if we want a network such as Facebook to do its part in making the world a wider and better-connected place.

The opinions expressed in this commentary are solely those of Ethan Zuckerman.

@highlight

Facebook has half a billion users, notes Ethan Zuckerman

@highlight

He says Facebook could be force to connect  people from many backgrounds

@highlight

Online networks tend to connect us with people we already know or who are like us, he says

@highlight

Zuckerman: We have work to do to make web, social networks truly worldwide