Gorkha, Nepal (CNN)The ride from Kathmandu to near the epicenter of Nepal's devastating earthquake is not for those who get easily carsick. Steep slopes and small winding roads through deep river valleys greet us as we make our way to a town where Nepalese and international medical teams are treating the injured, in much less than ideal circumstances.

The view along the six-hour journey from the capital is deceptive.

Although I see numerous landslides, I am surprised that the villages we are driving through are relatively unaffected. During the entire journey, I notice only about 10 collapsed or seriously damaged houses.

One of the biggest challenges rescue workers are facing in Nepal is reaching affected people in remote mountainous areas. One of them is Gorkha, a district northwest of Kathmandu. The town we were visiting looks intact. Some houses have cracks, and I see a few collapsed brick walls. Most of the shops and businesses are open.

But our first stop at the district hospital brings us into the full reality of the human catastrophe.

The hospital campus is overflowing with patients. The facility is simply not big enough to handle such calamity. The injured are not from the town of Gorkha, which lies near the top of one of the numerous mountain ranges.

They are from northern part of the district, where some 200,000 people live. To accommodate all the casualties, the hospital built a tarpaulin shelter over the parking lot.

At a time of our arrival, there are about 20 patients lying on mattresses on a dusty concrete floor. The youngest is 10, the oldest in his 70s. Most of them have visible wounds: deep cuts, bruised faces, broken arms and legs or spinal injuries. All of their faces with empty looks are still expressing the terror they went through and the pain they are suffering.

Mita Gurung, 10, sustained injuries to her face and leg when her house in the village of Sinjung partially collapsed. Her mother was injured in the tremor. Mita is gently tended by volunteer child counselor Tara May Bishakarma.

"I just found what she likes and keep repeating it. Her injuries are fairly superficial, but she is traumatized. It will take some time, but she will recover," Bishakarma says.

Children usually get excited when being filmed. Mita seems almost unaware of my camera.

Little food, less optimism in Kathmandu tent city

The situation in the hospital's emergency room is similar. Every bed is taken. All the injured are taken care of by attentive doctors and nurses. Some have family members with them. Despite the gravity of the situation, the atmosphere here is calm.

Gorkha's hospital is ill-equipped to treat more serious injuries and serves mostly as a transit point.

Here, the injured get necessary first aid and as soon as possible are transferred to bigger hospitals in other districts or in Kathmandu.

There are not enough ambulances, and most of the injured must travel on old buses. People unable to walk are transported on makeshift wooden stretchers. I cannot even imagine traveling on the road we just came in with a broken leg or a spinal injury.

The caws of crows above Gorkha are frequently interrupted by sounds of helicopters. We leave the hospital and go to check the landing zones. One is a sports field, and the second a flat meadow on the ridge. Many of the damaged villages are not accessible by roads. To fly to most remote places from Gorkha takes about 30 minutes, five days on foot.

The helicopters operated by Nepalese military bring tents, tarps, blankets, food and baby supplies to most damaged areas. They bring back the injured. One helicopter brings  two stranded Danish tourists from Chumchet, a village in the Tsum Valley. They are in a group of 11 trekkers from Slovakia, Poland and the Czech Republic who remain in the valley. Most of the helicopters are small and can only pick up two to three passengers.

We head back to the hospital, where we meet Olivier Hagon. He is the head of a mission of the Swiss Humanitarian Aid Unit, a Swiss government agency. The agency's "Mother and Child" team helps the needy during disasters around the world.

"For us, it's most important to focus on the most vulnerable ones: mothers and children. Women in labor who do not have a bed, women in need of a cesarean (section) without access to surgery facilities," says Hagon.

The rest of the 10-member unit arrives from Kathmandu in the evening. The team includes a pediatrician, a pediatric surgeon, an orthopedic surgeon, a midwife, an anesthesiologist and a gynecologist. Within two hours, they set up two modern fully functioning operating theaters at the hospital. The group's philosophy is "to support, not to invade."

They work very closely with staff of Gorkha's hospital.

The Swiss Humanitarian Aid Unit is followed by 26 members of the International Search and Rescue Germany. They bring seven search dogs.

Leader Thomas Laackmann explains: "Right now we focus on finding survivors. The chances are diminishing every hour. Members of our team are trained medics. We will also assist with treating the injured." All aid workers sleep in tents on hospital premises.

On Thursday, we wake up to a drizzly morning. Heavy fog blankets surrounding slopes and mountains. All helicopter flights are suspended. People in remote areas desperately awaiting help won't get any today. But here in Gorkha, humanitarian teams are at full speed. Swiss doctors along with their Nepalese colleagues perform surgeries. The German team heads off in a bus to villages reachable by road.

We wish our hosts in Gorkha the best of luck and leave for Kathmandu mid-afternoon. I had come to see how serious the situation is and how local and state authorities are coping.

I am too overwhelmed and too exhausted to draw any conclusions. But I learned a lot about resilience of the Nepalese and about good people from around the world committed to help them.

Much help will be needed.

@highlight

A trip to the town of Gorkha shows the human toll of the earthquake

@highlight

International teams are assisting Nepalese medical staff, officials