New York (CNN) -- Jazz master Wynton Marsalis says the blues is the true American music -- the heartbeat and unifying principle of jazz, country, R&B, gospel and other styles -- but it's been relegated to the back of the bus by greed and the legacy of racism.

Marsalis grew up in New Orleans, Louisiana, son of Dolores and Ellis Marsalis. He was a trumpet prodigy, surrounded by top-notch musicians and steeped in the city's eclectic music. He was encouraged to excel by his father, a jazz pianist who instilled in his son a love of musical excellence and integrity.

Marsalis plays classical and jazz music with equal mastery. He is artistic director of Jazz at Lincoln Center  and has won nine Grammy Awards and the Pulitzer Prize in music. He will be awarded the French Legion of Honor on November 6.

In an interview Tuesday, Marsalis talked to CNN.com about the primary position of the blues in American music. The blues is our root music, American born-and-bred, but it's been treated like a stepchild of dubious origin, granted only secondary status, in Marsalis' view. It suffuses Broadway, Tin Pan Alley, rock 'n' roll, country-western, gospel, bluegrass and more, but never got its financial due or the respect it deserves.

Marsalis says that's because of racism -- it was the music of a whole people granted only secondary status -- and its inability to make a lot of money. He also talks about his father, how slavery has affected the nation, and some lessons to be learned from jazz.

CNN: You have a DVD out called "Willie Nelson and Wynton Marsalis Play the Music of Ray Charles." That's jazz, country and R&B. What do those styles have in common?

WYNTON MARSALIS: The blues. It runs through all American music. Somebody bending the note. The other is the two-beat groove. It's in New Orleans music, it's in jazz, it's in country music, it's in gospel.

The other is the down-home sensibility that's sophisticated. That's why Louis Armstrong could play with Jimmy Rogers. Ray Charles is actually the embodiment. He and Willie Nelson came 'round in young manhood at a time in the late '40s early 1950s when all of the American music, root music, was all combined. It became segregated in the mid- to late-'50s.

Carl Perkins had a hit in 1955 -- "Blue Suede Shoes." It was on the R&B charts, it was on the country charts, it was No. 1 on the rock and roll charts. [It was] basically the same music, so there was an intersection point. It's like in cuisine, that would be like fried chicken and red beans and rice, it would be like potato salad and barbecued ribs. Someone in Texas not going to eat barbecued ribs?

CNN: What led to the compartmentalization of these kinds of music, that came from the same roots?

MARSALIS: Money and racism. I don't know which one came first.

CNN: Why was blues not regarded as something of value in this country?

MARSALIS: It came from who we didn't like. That's what it was -- it wasn't that we couldn't see it. Who it came from, we did not like them.

CNN: So do you include African-Americans in that? So black people didn't appreciate it?

MARSALIS: They didn't appreciate it. They don't now. That's part of the whole kind of self-hatred that comes from that type of slavery that the black American still labors under. That racism was heavy.

The legacy of it -- it wasn't just 50 years. It was seven generations, and if a generation is 33 years, ... seven or eight [generations]. That's a long time. And to recover from it has proven to be very difficult.

CNN: So is that what's going on with rap?

MARSALIS: No question. Rap is the repetition of the minstrel show.

But it's not going to go away, it was too many people. If it had been 100,000 people, it can go away. ... But it can't be millions of people and their descendants. [Slavery] was a very powerful and successful system. And it went on for a long time.

In the aftermath of slavery ... there was a retrenching, and [it turned into] the type of racism that was experienced by people who came to the North.

That consciousness has begun to shift, in the last 30 years. And that's 20 or 30 years of just thawing and shifting that's attached to 330 years [of slavery], and the thought you can get up and you will be better ... that's just asinine, it's absurd.

CNN: But didn't the blues come from this, being marginalized?

MARSALIS: The blues was like a solution to that, an antidote to it. But the blues is not only Afro-American music.

CNN: So, you've written that it's not just African, it's American. What about America gave rise to the blues?

MARSALIS: It is America. It's that combination, those tensions, the east-west tensions, the kind of tension of being a slave in the land of freedom, and the land of freedom itself, the Western mind, the concept of soloing across time, the call-and-response of democracy, direct call and response, the kind of optimism that is American in nature, is in the blues.

There are elements in it that are African and there are elements of the American take on Europeanism. It's integrated, it's like a person whose DNA is integrated. You start to try to figure it out -- but you can't. That's how the blues is, that's why it fits with everything, country-western, bluegrass -- everybody's playing the same music.

CNN: You write that jazz leaves room for individual creativity, but you have to listen and allow the other musicians to participate equally. So what's the lesson for the nation?

MARSALIS: We have to have an overall cultural objective, which we don't have. ... We then fight under the flag of a position, the left or the right, black or white, old or young. It's very simplistic. We don't know our cultural history, we don't know we are together, and because we don't know we are together we can't act in that way. And that's the main thing our music, and the history of our music, can teach us as a nation.

The one concept that has to be at the heart of the American experiment is integrity. The integrity of the process is very important. If you come up on the bandstand you have to be at least trying to swing. If you don't really want to swing or play with the musicians, there's nothing they can do, because you have the freedom to destroy it.

CNN: Your father set an example. It sounds like you got a lot of your ideas about integrity from him.

MARSALIS: Yes, he sure did. From him. He wasn't segregated about any music, he didn't care, you could play pop music, funk, he'd say "right, great man." He was a jazz musician. He wasn't uptight and always railing about somebody. What he did was very clear, and what he thought about being a man, he didn't look at a boy like that.

I remember he sat in with our funk band one time. ... We'd go to his gig, there'd be six people. We'd go to our gig, there'd be thousands of people, dancing having a good time. We were playing a dance at a high school, he didn't know any of the music, but he played all of the music we had.

We were laughing, we said, my daddy didn't know any of the music and he didn't know any of the tunes but he was playing better than us.

CNN: When you were playing in a funk band in high school, did you look at your jazz musician dad as old school?

MARSALIS: No, no, never, I never suffered from that misconception, because he was so much hipper than the people I was around. Philosophically, he knew more than we did. I'd bring people to see him. He never tried to act like a child, like a kid. I never thought I knew more than him, he was on the case.

CNN: What are the components of jazz?

MARSALIS: The main three components are the blues, improvisation -- which is some kind of element that people are trying to make it up -- and swing, which means even though they're making up music, they're trying to make it up together. It feels great, like you're having a great conversation with somebody. Sometimes you get in a good coordinated groove, and it just continues to happen.

The opinions expressed in this commentary are solely those of Wynton Marsalis.

@highlight

Wynton Marsalis: The blues is at the root of all American music, but was never given its due

@highlight

Marsalis: Blues unappreciated by blacks and whites alike, due to racism and money

@highlight

Slavery was 330 years, shift  away from racism's effects only in past 30 years

@highlight

He says Americans don't know their cultural history: There are solutions to divisions