(CNN) -- It is a cricket match with no bouncers, rain never stops play and the outcome is preordained.

It is the complete antithesis to the recent Ashes series. While England and Australia's batsmen were trying to spend hours at the crease every time they batted, the annual Bramble Bank fixture is a race against time -- the only thing liable to stop play is the tide.

It is quintessentially English, a land to have spawned more than its fair share of sporting eccentricities. On the surface of it, this match is supremely pointless -- and actually, that remains the same even if you dig below the surface.

For about an hour every English summer typically on an August evening, two teams in full cricketing whites from rival yachting clubs bedecked in life jackets leave the mainland and are ferried out on speedboats to a sandbank in the middle of the Solent, an area between the port city of Southampton and the Isle of Wight.

It is a protrusion in the water that emerges above the surface only briefly on any given day and one that most sailors avoid like the plague. Just ask the captain of the Cunard Liner QE2, which ran aground on her approach to Southampton on her last voyage in 2008 and was stuck for 90 minutes before being pulled clear by four tug boats.

Mark "Tommo" Tomson is a different kind of captain, and he has already admitted defeat well before he will once again lead the Royal Southern Yacht Club against the Island Sailing Club in the Bramble clash.

"It's our turn to lose this year," he explains, "even if we score more runs and take more wickets." The result is preplanned because the "defeated" team has to host a big dinner for the two sides after the event, which takes some organizing.

The match in question is entirely dependent on the tide.

In some years, such as 2013, the sandbank never appears so the game goes on with water lapping against the players' ankles -- or, in some cases, knees. A quaint afternoon of village cricket this is not; there are no picnic hampers and no cream teas, just gallons and gallons of water.

For most of the year, Bramble Bank stays underwater but during the equinoxal tide -- usually at the end of August or the beginning of September -- it usually emerges above the surface for a day or two. The time of day varies and, although the match usually takes place at 6 p.m., it has been known to happen as early as 6 a.m. too.

"It's an interesting experience," says Tomson with a chuckle. "It's great fun and we've had some good and bad moments. We've had some amazing beautiful evenings with huge amounts of sand and mud exposed, hundreds of square meters. And then we've been up to our ankles like last year.

"It can be miserable on occasions with the weather, but we usually manage to drum up enough enthusiasm."

Among the more celebrated regulars in the match, which takes place using the usual cricket bat and ball, is Robin Knox-Johnston, the first person to circumnavigate the globe single-handed in 1968 and the oldest person to do so aged 67 in 2006.

"I think I've been playing in the match about five years now," he says. "It's totally bizarre, isn't it? But really that's the fun of it. It isn't really taken too seriously -- well, not by me. I'm just happy if I manage to connect with the ball. Really, I'm not a brilliant cricketer."

The funny thing is that the cricketers in question do take it seriously, with pride at stake if nothing else. Clips of previous matches are readily available on the internet, and the batsmen unleash all manner of heavy hitting while the fielders plunge themselves into a much wetter outfield than on any waterlogged grass pitch.

Also, as much as is possible, they stick to the gentlemanly conduct of cricket, batsmen walking -- actually wading -- if there is any doubt as to whether they are out or not.

Cricket is usually synonymous with fine weather conditions wherever it is played on the planet. Not for the Bramble Bank match.

Regularly the wind lashes across the field of play, waves too, and the backdrop isn't typical either.

Just a few meters away, windsurfers and sailors pass by in their vessels, with international container ships also visible in the distance, their captains surely bemused by the bizarre spectacle taking place in the middle of the sea.

"We usually have a lot of boats and canoes that come up and watch but these are locals," Tomson says.

"Sometimes I wonder what the ocean liners coming past must think. One year we had three liners come past in quick succession. I'd love to have known what, say, the Americans on board must have thought watching these mad men!"

The first match is thought to have been played in the 1950s at the behest of pioneering British boatmaker Uffa Fox.

Fox designed lifeboats to be dropped from aircraft to rescued aircrew or navy personnel in World War Two, and played an integral role in changing the design of boats for dingy racing.

On top of that, though, he had a penchant for adventure and humor, once leading a group of Sea Scouts across the Channel from England to France and up the River Seine without their parents' consent.

Fox died in 1972, not long before the cricket match become cemented as an annual event in the 1980s.

Today, it starts with one of the two sailing clubs challenging the other to a match, a challenge that is always gratefully received.

But with the result already been decided -- regardless of the runs scored and wickets taken by each team -- due to the logistics of the following feast, it further begs the question of, "What's the point?"

But Knox-Johnston explains: "You can't not have a preordained winner -- I'm not sure the caterers could cope. Really, part of the fun is the dinner afterwards."

However, not all of the 300 or so spectators who attended last year took part in the evening's celebrations, they merely moored their boats on the bank for the hour or so of play that took place.

There is some consolation, however, and an opportunity for those watching to quench their thirst at one of the shortest-lived pubs in England, the Bramble Inn -- which opens for business on the sandbank for the brief duration of play.

With the tide quickly reconverging on the sandbank, the match is limited to six or seven overs per innings.

"It's very sportsmanlike, so everyone gets a turn, but it can all end very rapidly," Tomson says.

"It's quite surreal when you suddenly find yourself in the middle of the sea with water up to your chest and rising, and you're a few meters away from the boat to take you home."

So what exactly is the purpose of it all?

"Well, the aim is to not kill any spectators!" adds Tomson, before pointing out that there have been no deaths so far.

And as a qualified doctor, he has been on hand to attend to the occasional injury to player and spectator alike over the years.

As for the caliber of the cricket, former Island Sailing Club captain John Hounslow, a solicitor by trade, insists it is mixed.

"I was captain by default and haven't played proper cricket for 20 years," says the sometime wicketkeeper. "It's semi-social and semi-sporting."

It may not be No. 1 on most people's sporting calendar, but more than half a century since its inception this novel contest -- which regularly makes a splash -- looks here to stay.

@highlight

A cricket match with a difference is held on a sandbank off England's south coast

@highlight

Barely an hour of play is possible at each match, with the tide swallowing the pitch

@highlight

The outcome of each match, somewhat bizarrely, is decided before play begins

@highlight

Legendary solo sailor Robin Knox-Johnston is among the better-known players