(CNN)The Ferguson Police Department has demonstrated a pattern of racial discrimination, the Justice Department said Wednesday. But while some experts say the numbers alone tell only part of the story, the 102-page report merely reaffirmed many residents' beliefs.

In Ferguson, just over 67% of residents are black. But among the findings, the report shows that 85% of traffic stops, 90% of citations, 93% of arrests and 88% of use-of-force incidents involved African-Americans, the Justice Department said.

St. Louis Alderman Antonio French said the police department's behavior amounted to "taxation by citation." He told CNN the arrests affected not just Ferguson residents but also residents of nearby communities who pass through Ferguson en route to other locales in the area.

Justice Department: No Darren Wilson charges

The statistics sound damning, but former Los Angeles Police Chief Bernard Parks, who dealt with the Justice Department during his five-year tenure as chief, said, "The numbers can be deceiving because the population is overwhelmingly black."

The numbers alone don't paint the full picture, he said, explaining that he'd need more than mere statistics about each stop to draw solid conclusions.

Read the report

Parks served as chief in LA from 1997 to 2002, and after the Justice Department determined in 2000 that the LAPD had engaged "in a pattern or practice of excessive force, false arrests and unreasonable searches and seizures," he had to overhaul the department, combating corruption and even jailing former police officers.

Based on that experience, Parks said the report released Wednesday shouldn't be taken at face value, but rather should be used to help determine "what is really going on in Ferguson and what to do to correct it."

Politics may even be at play, Los Angeles-based community activist Joe Hicks suggested. Attorney General Eric Holder wanted to bring civil rights cases against Ferguson Officer Darren Wilson, who killed Michael Brown in August, and Florida neighborhood watch volunteer George Zimmerman, who killed Trayvon Martin in 2012 -- but neither case panned out. The report may be Holder's way to "extract a pound of flesh, if you will, from the Ferguson Police Department."

(Also Wednesday, the Justice Department closed its investigation into Wilson, declining to bring criminal charges against him.)

Still, the report likely didn't surprise some residents who spoke to CNN in August, during the height of the protests.

Patricia Pendelton, 41, a nurse who lives a few blocks from where Brown took his last steps, said older and female African-American residents aren't affected as much, but her sons -- ages 17, 19 and 21 -- have had different experiences. They and other young black men have been stopped for reasons as spurious as looking suspicious, she said.

"How does a person look suspicious? What do you have to be wearing to look suspicious?" she asked before mimicking an offending police officer's questions: "'Where you going? What you doing? How you doing it?' It's none of your business."

Outside his bustling barbershop, Mike Knox recalled how one of his sons, an A student, was arrested with several other kids in the parking lot of an auto parts store. They'd met there because it was a central location to rendezvous before a game of basketball.

When Knox, 33, picked his son up, police told him he hadn't been charged, just taken away by police, he said.

The father of four said he himself had been pulled over for DWB, or "driving while black," a common complaint among African-Americans in Ferguson.

Maurice Phipps, 22, a Ferguson resident of eight years, relayed a similar story: A Ferguson officer once pulled him over and said he was looking for a suspect with dreadlocks.

"And I got a box cut," he said, pointing to his dyed-blond 'do.

Being a lifelong resident of the St. Louis area, Knox knows Ferguson well. When he was a kid, St. Louis police walked the streets and handed kids Cardinals baseball cards, so he's seen real community-oriented policing. But there's a rift between the community and police in Ferguson -- as well as in surrounding areas such as Hazelwood and Florissant, he said.

"They all do it. People are just tired of that happening. Why should we get pulled over every time we get in the car?" he said, adding that he struggles with what to tell his kids.

"You don't want to tell them the police are bad. I tell them, 'Keep it moving,'" he said. "If you let your attitude take over, that can be you laying on that ground."

Even white residents have complained of run-ins with police. Tom Steigerwald, 31, who has lived in Ferguson since 1994, said Ferguson has always been a diverse town, and race isn't much of a factor among residents.

"It's always diverse, but they always got along," he said.

But the police?

"They all got a power trip problem, a lot of them," he said.

Following Wednesday's announcement, Michael Brown's parents, Lesley McSpadden and Michael Brown Sr., released a statement saying they were disappointed that Wilson would not face federal charges in their son's death. But the report on the police department could provide a silver lining.

"We are encouraged that the DOJ will hold the Ferguson Police Department accountable for the pattern of racial bias and profiling they found in their handling of interactions with people of color," the statement said. "It is our hope that through this action, true change will come not only in Ferguson, but around the country. If that change happens, our son's death will not have been in vain."

@highlight

Michael Brown's parents say son's death not in vain if report prompts change

@highlight

Some experts warn the numbers alone don't show what's happening in Ferguson

@highlight

Several residents have complained of being stopped for DWB, driving while black