Another suspected suicide bombing struck the southern Russian city of Volgograd on Monday, killing at least 14 people and further highlighting Russia's security challenges as it prepares to host the Winter Olympics in less than six weeks.

The explosion hit a trolleybus near a busy market during the morning rush hour, a day after a blast at Volgograd's main train station killed 17 people and wounded at least 35.

Vladmir Markin, a spokesman for the country's federal investigation agency, told the state-run news agency RIA Novosti that both explosions were terrorist attacks.

"This strike, which was cynically planned for the period of preparations for New Year's celebrations, is one more attempt by terrorists to open a domestic front, sow panic and chaos, and trigger religious strife and conflicts in Russian society," said a statement Monday by Russia's Foreign Affairs Ministry.

"We will not back down and will continue our tough and consistent offensive" against terrorists, the ministry's statement said, adding that such an enemy "can only be stopped by joint efforts" involving the international community.

The approaching Olympics

No one claimed responsibility for the Volgograd blasts, but they occurred several months after the leader of a Chechen separatist group pledged violence to disrupt the 2014 Sochi Winter Olympics that begin on February 7.

International Olympic Committee President Thomas Bach condemned the bombings as "a despicable attack on innocent people.

"The entire international movement joins me in utterly condemning this cowardly act," Bach said in a statement, adding that he wrote Russian President Vladimir Putin to express condolences as well as "our confidence in the Russian authorities to deliver safe and secure Games in Sochi."

Meanwhile, the United States offered its "full support to the Russian government in security preparations for the Sochi Olympic Games," National Security Council spokeswoman Caitlin Hayden said in a statement.

"We would welcome the opportunity for closer cooperation for the safety of the athletes, spectators, and other participants," Hayden said.

Volgograd is a major rail hub in southern Russia and a main transit point for people traveling by train to Sochi on the Black Sea, just over 400 miles (645 kilometers) to the southwest. Each day, thousands of passengers use the station in the city once called Stalingrad.

Two blasts in two days

Video footage from the scene Monday showed the twisted shell of a blue trolleybus, with debris spread around it. The impact of the blast blew out the roof of the bus, as well as windows of several nearby houses.

At least 28 people were reported to be wounded, with several in serious condition, including one 6-month-old child, RIA Novosti reported.

Based on the footage, the blast appeared to have occurred in the back half of the bus. The federal investigation agency said it believes the explosion was set off by a male suicide bomber.

Investigators said the train station blast Sunday also appeared to have been caused by a suicide bomber.

Markin told RIA Novosti that DNA testing will be carried out on the remains of the station bomber, who used the equivalent of 22 pounds (10 kilograms) of TNT in a device containing shrapnel. Investigators said they also found an unexploded grenade at the scene.

Video taken from an outside security camera showed a huge fireball inside what appears to be the main entrance of the three-story stone building, followed by a steady trail of smoke coming out of shattered windows.

Russia's security challenge

In July, Doku Umarov, the leader of the Chechen group Caucasus Emirate, released a video statement in which he vowed to unleash "maximum force" to disrupt the games at Sochi.

The U.S. State Department considers the Caucasus Emirate a foreign terrorist group and has authorized a reward of up to $5 million for information leading to the location of Umarov.

The State Department said Umarov organized a suicide bombing outside the Chechen Interior Ministry in May 2009.

His group also claimed responsibility for the 2011 bombing of Domodedovo Airport in Moscow that killed 36 people, the 2010 bombings of the Moscow subway that killed 40 and the 2009 bombing of the high-speed Nevsky Express train in which 28 people died.

In October, a bomber blew up a passenger bus in Volgograd, killing six people and wounding more than 30 others. Russian media reported that a female Islamist suicide bomber from the Russian region of Dagestan was responsible for that attack.

"Most of the militants responsible for terrorist attacks in Russia over the last decade -- including female suicide bombers who have taken part in 20 attacks claiming at least 780 lives since June 2000 -- have come from Dagestan," RIA Novosti reported Monday.

The two young men behind the Boston Marathon bombings lived briefly in Dagestan before coming to the United States, and one of them visited the area the year before the attack.

"Radical Islamist groups tied to the war against the Russian state now have much deeper roots, and are far more active, in Dagestan than in Chechnya," Rajan Menon, senior fellow at the Atlantic Council, wrote in a CNN.com column.

What might be behind the attacks?

Putin has maintained that the Sochi games will be safe and security will be tight. Visitors to Sochi and the surrounding area are subjected to rigorous security checks, and vehicle license plates are monitored.

"This will probably be one of the most difficult Olympics to actually go as a spectator and watch the Games because of the myriad layers of security," Republican Rep. Michael Grimm of New York told CNN on Monday.

Other parts of Russia

However, the Volgograd explosions showed the challenge that Russian authorities face in policing the rest of the country amid ongoing unrest in the North Caucasus. That region includes Chechnya, where Russia fought two wars against separatist movements, and Dagestan.

With tight security around Sochi itself, terrorists are believed to be focusing on other parts of the North Caucasus and southern Russia.

RIA Novosti reported a car bomb killed three people on Friday in Pyatigorsk in southern Russia, about 160 miles (270 kilometers) east of Sochi.

"Rarely do you actually have a terrorist group come out and say, 'We're going to try and disrupt these games,'" CNN national security analyst Fran Townsend said Monday. "When al Qaeda-related affinity groups make these sort of statements, you've got to take them at their word."

The fact that the bombers are targeting transportation is "not lost on Olympic Committee organizers and security officials," she added.

Athletes are "most vulnerable" when moving between the Olympic Village and the sites of their events, she said.

Townsend, who coordinated with Greek officials before the Olympics in Athens in 2004, said security officials all over the world will be asking Russia for detailed information about these attacks, including whether there were any indications or warnings.

They'll also ask about what information Russian intelligence has on the capabilities of terrorist groups to pull off further attacks.

@highlight

U.S. legislator says spectators will face tight Olympics security

@highlight

Russia's foreign ministry vowed a continued "tough" offensive against terrorism

@highlight

Two terrorist bombings hit Volgograd, killing more than 30 people

@highlight

The attacks raised concerns about security at the Olympics in February