(CNN) -- Once labeled the richest football club in Britain, Scottish champions Glasgow Rangers are now on the brink of extinction.

The club that boasts a record 54 league titles and 60 domestic cups since being formed in 1872 has sunk to the lowest ebb of its illustrious 140-year history.

Already in administration and with a potential tax bill of $118 million, the genuine prospect exists that Rangers -- one half of the Old Firm rivalry with Glasgow neighbors Celtic -- could be about to fold, inflicting irreversible damage on the Scottish Premier League.

So if a football club with as proud a history as Rangers can come so close to the precipice, how likely is it that the disease of financial mismanagement will claim other high-profile scalps across Europe?

Football's rising costs

According to football finance expert Simon Chadwick, many clubs on the continent are similarly stretched as they grapple with soaring wages and transfer fees -- and a failure to make the most from their assets.

Chadwick, a professor of Sport Business Strategy at the UK's University of Coventry, says the next five years could be critical in shaping the long-term future of football in Europe, as cash-rich clubs in Russia, China and the Middle East compete for the globe's best players.

"There are two common elements to what is happening in Europe," he told CNN. "The first one is revenue generation. A lot of clubs simply don't have a notion of the ways in which they could alternatively generate revenue other than tickets sales.

"The other element is cost control, and obviously that relates to player transfer fees and wage costs. If there was moderation in the industry generally, if salary costs and transfer fees could be moderated in some way, that would ease clubs' financial problems.

"Increasingly you've got clubs in China, in Russia and in some parts of the Middle East that are paying huge transfer fees and huge wages. In many ways it's very difficult for clubs to control their costs because many of the mechanisms are outside their control."

Driven by debt

Chadwick's assessment of the general health of Europe's clubs is bleak, with teams in Italy, Spain, Belgium, Holland, Portugal and even Germany -- the one league held up as a beacon of financial integrity -- struggling.

Even two of the biggest clubs on the continent, Spanish duo Barcelona and Real Madrid, who drive huge wealth and success, are operating on a huge debt base.

"Whilst Barca and Real are massive revenue-generating entities, their costs are very high," Chadwick said. "The most obvious elements are transfer fees and salaries. As a consequence of that, if you look at the two of the biggest three club debtors in the world they are Barcelona and Real Madrid.

"Outside Barcelona and Real there is no conception of the need to manage their organizations better, to manage their businesses better or commercialize in any way. In terms of revenue generation and cost control, a lot of Spanish clubs are operating in the dark ages."

The German Bundesliga is renowned as being a model competition, where the football fan is king. Supporters retain a majority stake in their club, tickets prices are affordable, wealth is distributed far more equally than in other leagues and wages are kept under control.

Chasing Champions League cash

But Chadwick points to the example of Schalke, a club that finished in the top three in Germany four times in the past seven years but is now grappling with the debts incurred through building a new stadium. The Royal Blues are desperately hoping that qualification this year for Europe's top club competition, the Champions League, will prove a timely boon to their bank balance.

"Schalke is in a very precarious financial position but many people say German football is a role model for financial propriety and good management -- it's not. There are problems all over Europe," Chadwick said.

He sees Dutch outfit Feyenoord, regarded as one of the Netherlands' big three sides alongside PSV Eindhoven and Ajax, as a club facing a typical, modern-day predicament.

"Feyenoord are in a much more precarious position than PSV and Ajax for the simple reason that they are not qualifying for Europe and yet they are still very ambitious," Chadwick said.

"The big challenge for Feyenoord is to go for Champions League football and get it really soon, otherwise their business model is not sustainable. Then they will have to develop a business model that is consistent with being a solvent member of the Eredivisie, but basically mid-table plodders."

A global power shift?

With European football at a crossroads, UEFA's new Financial Fair Play (FFP) initiative could prove a masterstroke of timing. The rules, which aim to force clubs to live within their means, are introduced next year.

"FFP could be the moderating force in the labor market but one of the big issues is that the football labor market is no longer dominated by the Europeans, it is now a global labor market," Chadwick said.

"When you've got the likes of (former Chelsea striker) Nicolas Anelka on a reported $268,000 a week in China and Samuel Eto'o on reported $553,000 a week in Russia, this is fueling the inflationary spiral.

"As we see in any market, resources flow to where the returns are greatest. I think we're potentially on the cusp of a real shift in global power in football simply because clubs elsewhere in the world can afford to pay for the likes of Anelka and Eto'o."

Scottish giants in jeopardy

Should European clubs need any reminder as to what despair can emerge from chasing success on the field, they need only look at Rangers.

The Glasgow team's slide into administration relates to an unpaid tax bill of $14 million, incurred after businessman Craig Whyte bought the club in June 2010, but they are also being pursued by the UK government, which says an astonishing $118 million is owed in back taxes.

A tribunal is due to rule on the case this month, and if Rangers lose, they could be wiped off the map forever.

"If Rangers were to go into liquidation it would be absolutely unbelievable," Scottish football expert Graham Spiers told CNN. "I've been writing about this story for the last 18 months and I still cannot believe it.

"The club would probably be reborn in some kind of way, but just facing the fact that for a period in history Rangers might cease to exist does seem unbelievable."

A two-team league?

Much of the interest aroused by the Scottish Premier League is based on the intense rivalry between Rangers and Glasgow neighbors Celtic, a divide along sectarian lines that is famous around the globe.

But officials at Celtic, a club proud of its Catholic and Irish heritage, insist they feel no sympathy with their Protestant bedfellows, and can continue to thrive even if the blue half of Glasgow goes under.

Whether the league could is another matter, given that no club other than Rangers or Celtic has won the title since Aberdeen's triumph in 1984.

"The thing Scottish football does have is this brand called the Old Firm and whether you call it car crash television or not, everybody is attracted to it," Spiers said.

"Celtic fans are stupidly dancing on the grave of Rangers, because Celtic need Rangers. Celtic are greatly diminished if their great rivals disappear. If one of the Old Firm was taken out and shot at dawn it would greatly diminish the other half."

At one stage this season, Rangers led the league by 12 points. But a run of poor form, combined with the 10-point deduction incurred for falling into administration, means Celtic are now 21 points clear and certainties for the title.

Ironically, the Hoops could wrap up their 43rd league title at Ibrox in the Old Firm clash on March 25.

@highlight

Rangers' financial plight casts doubt on stability of clubs elsewhere in Europe

@highlight

Football expert says clubs on the continent are similarly stretched financially

@highlight

Simon Chadwick says lack of business nous and rise of other regions has had impact

@highlight

If Rangers went under it could have dire repercussions in Scotland, says journalist