Editor's note: Pedro Noguera is a professor at New York University and director of the Metropolitan Center for Urban Education. He is editor of "Unfinished Business: Closing the Achievement Gap in Our Nation's Schools" and author of "The Trouble With Black Boys: And Other Reflections on Race, Equity and the Future of Public Education."

Pedro Noguera says the U.S. must have a strategy for spending the stimulus money for education.

NEW YORK (CNN) -- The American Recovery and Reinvestment Act, President Obama's stimulus package, could serve as a historic investment in our children's future, an initiative that could very well change the course of our nation.

It is an opportunity that cannot be squandered.

However, there is good reason for concern that the funds made available for education under the act will not result in the change we need.

Over the past eight years, educational progress in the United States has been modest at best. According to a national study by the Gates Foundation ("The Silent Epidemic," 2006), dropout rates in many of our nation's largest cities are 50 percent or higher.

Similarly, large numbers of students lack proficiency in reading and math in many school districts across the country, and many who graduate and go on to college are largely unprepared for the rigors of college-level course work.

Seven years after the adoption of the No Child Left Behind law, it is clear we are still leaving many children behind.

Tinkering with existing policy is unlikely to produce different results. The Obama administration needs a bold new strategy for reforming our public education system if it hopes that our schools are going to play a more significant role in moving the nation forward. However, so far, and certainly it is still is early in the term of this administration, no new vision or strategy for reforming the nation's schools has been articulated.

There is justifiable reason to be concerned that by calling for funds from the stimulus package to be spent quickly on "shovel-ready" projects in order to produce the jobs that are so desperately needed, the administration will not have the time to develop a thoughtful strategy that can guide the reform of the nation's public schools.

Obama has spoken out about the challenges confronting public education, most notably in his inauguration speech and most recently in his address before Congress. On each occasion, he has lauded the achievements of charter schools and chided public schools for their failures.

The president's use of the bully pulpit will undoubtedly be essential to usher in new reforms, but given that 90 percent of children in the United States attend public schools, it is clear that he or one of his appointees will need to do more than criticize public schools to address the tremendous challenges we face.

Education Secretary Arne Duncan may soon have $15 billion at his discretion. These funds should be used to encourage school districts to employ research-based strategies for intervening early with slow learners, raising academic standards and, most important, improving learning conditions in underperforming schools.

He must also recognize that one of the unintended consequences of using test scores as a barometer for judging schools has been that many schools have narrowed the focus of the curriculum to test preparation. That effectively denies students who desperately need help the most the kind of enriched learning environment that cultivates the imagination and stimulates achievement.

The administration must realize that America's schools need more than just money to address the many problems they face and to promote the kind of education that will be needed to support our economy and democracy in the 21st century.

More funds are needed, especially in communities where the schools have been sorely neglected, but increased funding alone will not produce better results.

The most successful charter schools -- and let's be clear, not all charters are successful -- have demonstrated that increased autonomy, combined with site-based decision-making over the use of resources, can sometimes contribute to greater effectiveness. There is no reason why similar strategies cannot be deployed in regular public schools.

At the same time, some schools need far more help than they have received, and clearly, pressure alone will not produce a change in results. Policies and systems must be in place to promote best practices in teaching, to address the non-academic health and social needs of disadvantaged children, to reward innovation and success, and to intervene effectively in schools in need of improvement.

We must also ensure that, like the countries we typically compare ourselves to, we provide quality early childhood education, health care and extended learning opportunities to all children in need. The United States will not be a leader in the 21st century if we continue to ignore the basic needs of vast numbers of our children.

Perhaps most important, there is the possibility that education can also play a role in the economic recovery. Over the longer term, there must be more strategic investments made to ensure some degree of alignment between the curriculum of our secondary schools and the sectors of the economy where growth can be anticipated.

Schools should be supported in developing career academies and internships with industries in biotechnology, organic food production, telecommunications, robotics and a wide variety of "green jobs." This is especially true in economically depressed areas like the de-industrialized rust belt cities of the northeast and Midwest.

Put most bluntly, there can be no future for the auto industry if the public schools in Detroit, Flint or Gary are not capable of educating a new generation of workers to design the cars of the future.

In cities and towns across America where jobs are being lost at a dramatic rate, revival of local and regional economies will require strategic investments in human capital made possible by highly trained and motivated teachers and a curriculum that provides students with 21st -century skills.

To solve the pressing problems confronting our economy and our schools, national leadership by the Obama administration and the teachers' unions will be needed.

We must avoid the tendency that has become popular in some political circles to blame teachers and unions for the failings of our schools. Unions must play a greater role in addressing the performance of their members, but we must also acknowledge that if unions were the problem, the South would have the best schools.

We have to move the conversation about teacher quality forward, beyond a narrow debate over merit pay and job protection, to one focused more broadly on how to insure that teachers receive adequate support and training to meet the academic needs of their students and to ascertain their effectiveness in the classroom.

Strong leadership by Obama and Duncan will be needed if we expect to see superior academic outcomes and greater accountability for the dollars we invest. The federal government must send a clear message to the states that "failure is not an option."

We have a tremendous opportunity to move our nation forward by substantially improving our schools. We cannot afford to waste it. Our children deserve it, and our future as a nation depends upon it.

The opinions expressed in this commentary are solely those of Pedro Noguera.

@highlight

Pedro Noguera: The stimulus plan will send billions to the nation's schools

@highlight

He says just pouring more money into education won't accomplish needed change

@highlight

Noguera: Nation needs a coordinated strategy to improve education

@highlight

He says seven years after No Child Left Behind, we're still leaving kids behind