(CNN) -- Kim Jong Il's death comes only days before 2012, the 100-year anniversary of the birth of North Korea's founder and Kim's father, Kim Il Sung. North Korea's long-planned celebration of this anniversary will now be pre-empted by collective shows of mourning (but perhaps few real tears for Kim Jong Il), uncertainty despite clearly laid plans for succession and heightened strategic anxiety among North Korea's neighbors.

Over the last two years, Kim had put into place a succession plan (similar to the one his father had put into place for him) by naming his third son, Kim Jong Un, to key posts in the Korean Workers' Party and National Defense Committee. Just as Kim Jong Il was named head of the funeral committee for his father in 1994, Kim Jong Un will lead the funeral committee for his father.

There will be the compulsory large crowds of mourners in the streets of Pyongyang to honor Kim Jong Il. A collective leadership, including top party and military leaders and relatives of Kim Jong Un, will provide guidance. Kim Jong Il observed a three-year "mourning period" before he formally took the reins of leadership and began participating in public functions. No one knows if this delay, which coincided with North Korea's famine, was also a result of internecine leadership struggles.

Will the new succession unfold according to plan? North Korea's political system is closer to a dynasty than a modern state, but it can no longer live in isolation from the modern world. Kim Jong Il was successor-in-waiting for two decades, his son only two years. Kim Jong Il came to power in his 50s; Kim Jong Un in his late 20s. North Korea's system is less centralized and possibly less capable of exerting political control in 2011, compared with 1994, since money has replaced ideological loyalty as the essential ingredient for getting ahead.

Kim Jong Il allowed institutions -- with the exception of the military -- to atrophy before belatedly revamping the party apparatus in September 2010. The system is fragmented and stovepiped so that only the leader can exercise control. A vacuum at the top could lead to bureaucratic infighting, with no person able to step in and exert authority across institutions. The worst case would be anarchy or infighting among bureaucratic factions for political control. The main advantage that Kim Jong Un has is that the core leadership knows that if it doesn't hang together, it will hang separately. There is no viable alternative for survival among elites if the regime fails.

World reacts to Kim Jong Il's death

North Korea's neighbors will watch developments warily, but they will also be watching each other as closely as they watch Pyongyang, if not more so. For some time, China has pulled out the stops to underwrite economic stability in North Korea, and it fears that South Korean intervention to restore order in North Korea might lead to a reunified peninsula allied to the United States.

South Korea fears that the North's economic dependency on China will give China political leverage to deny South Korea the ability to lead the way to Korean unification. The United States worries that either instability or desperation may lead to proliferation of North Korean bombs or fissile material. Russia and Japan also have interests that lead them both to prefer stability on the Korean peninsula.

An unstable North Korea is a hot potato: No one wants to own it, but strategic fears forestall effective cooperation among its neighbors. North Korean instability would require extensive resources just at the moment when the world is cash-strapped. For this reason, North Korea's neighbors will exercise caution, keep their fingers crossed and hope against hope that North Korea's new leadership can chart a more reformist (and less nuclear) path than did Kim Jong Il.

The opinions expressed in this commentary are solely those of Scott Snyder.

@highlight

Scott Snyder says Kim Jong Il's death introduces uncertainty, anxiety in region

@highlight

He says succession differs from Kim Jong Il's in 1994; it's unclear how it will unfold today

@highlight

He says a vacuum at the top could lead to infighting for political control

@highlight

Snyder: Neighbors, rest of world fear instability, desperation may fuel nuclear proliferation