(CNN) -- Former U.S. Surgeon General C. Everett Koop, a pediatric surgeon turned public health advocate, died Monday. He was 96.

Koop served as surgeon general from 1982 to 1989, under Presidents Ronald Reagan and George H.W. Bush.

He was outspoken on controversial public health issues and did much to raise the profile the office of the surgeon general.

He died peacefully at his home in Hanover, New Hampshire, Dartmouth College said in a news release announcing his death.

"Dr. Koop did more than take care of his individual patients -- he taught all of us about critical health issues that affect our larger society," said Dartmouth President Carol L. Folt. "Through that knowledge, he empowered each of us to improve our own well-being and quality of life. Dr. Koop's commitment to education allowed him to do something most physicians can only dream of: improving the health of millions of people worldwide."

Koop, called "Chick" by his friends, was perhaps best known for his work around HIV/AIDS. He wrote a brochure about the disease that was sent to 107 million households in the United States in 1988. It was the largest public health mailing ever, according to a biography of Koop on a website of the surgeon general.

He was also well-known for his work around tobacco, calling for a "smoke-free" society. His 1986 surgeon general's report on the dangers of secondhand smoke was seminal.

"That was the shot heard around the world, and it began to change public policy everywhere," said John Seffrin, chief executive officer of the American Cancer Society.

The report started the move toward prohibiting smoking on airplanes, restaurants and at workplaces.

"The legacy of C. Everett Koop is how a wonderful, famous pediatric surgeon, who'd already made a name for himself, was willing at a relatively advanced age to do public service and show bold leadership that would have dramatic impact and change the world," Seffrin said.

Prior to his tenure as surgeon general, Koop was surgeon-in-chief for more than 30 years at The Children's Hospital of Philadelphia.

"A pioneer in the field of pediatric surgery, Dr. Koop's contributions include advances in complex surgical procedures, such as the separation of conjoined twins, establishment of the nation's first newborn surgical intensive care unit and the implementation of Children's Hospital's surgical fellowship training program," the hospital said in a statement.

"The Children's Hospital of Philadelphia will be forever indebted to Dr. Koop for the imprint he left upon the institution and upon all of pediatric health care."

Koop was born in Brooklyn, New York, and attended Dartmouth, Weill Cornell Medical College and the Perelman School of Medicine at the University of Pennsylvania.

He was the author of more than 200 articles and books, and the recipient of various awards. In 1991, Koop won an Emmy for a five-part series on health care reform, Dartmouth said. He was awarded the Presidential Medal of Freedom in 1995.

Known for wearing bow ties, suspenders and having a clipped beard, Koop is survived by his wife, three children and eight grandchildren. His first wife, to whom he was married for nearly 70 years, died in 2007.

"Dr. Koop was not only a pioneering pediatric surgeon but also one of the most courageous and passionate public health advocates of the past century," said Wiley W. Souba, dean of the Geisel School of Medicine at Dartmouth. "He did not back down from deeply rooted health challenges or powerful interests that stood in the way of needed change. Instead, he fought, he educated and he transformed lives for the better."

People we lost in 2013: The lives they lived

@highlight

He is best known for his work on HIV/AIDS and tobacco

@highlight

Koop served as surgeon general in the 1980s under two presidents

@highlight

He was surgeon-in-chief at Children's Hospital of Philadelphia

@highlight

Koop is survived by his wife, three children and eight grandchildren