Rancho Palos Verdes, California (CNN) -- Google, now an Internet giant, is learning that it needs to take more careful steps in regards to privacy.

Prompted by intensifying scrutiny from government regulators and privacy watchdogs, Google is striving to be more sensitive to data-collection issues that often make people uneasy.

It went so far as to spike a recent project Google engineers had developed because of fears of potential backlash, said Eric Schmidt, Google's executive chairman and former CEO.

The scrapped software would have let people include their head shot photos in a database so that they could be recognized by a mobile application when someone takes a picture of their faces.

"We built that technology, and we withheld it," Schmidt said in an onstage interview at the D: All Things Digital conference here on Tuesday. "As far as I know, it was the only technology that Google built, and we decided to stop."

That product was meant to be part of an app called Google Goggles, which is able to look at a picture taken from a phone and then translate text or recognize a building, advertisement or painting. (Facial recognition is, however, being used to power a feature in Google Maps's Street View that blurs the faces of bystanders caught on camera.)

As recently as March, Google still had plans to eventually release the facial-recognition version of the app, CNN reported. Schmidt was less supportive of the idea at a conference two weeks ago when he said it was "unlikely" that Google would release the software.

With facial-recognition technology, "an evil dictator could use that against you," Schmidt said on Tuesday. "We're so sensitive on the privacy issue now."

Since Schmidt handed over the CEO reigns to co-founder Larry Page in April, the goal was to create an organization that operates more autonomously, that works like a startup, Google managers say.

But to address privacy issues, Google has inserted a layer of oversight to reduce the recklessness that many fledgling companies get away with.

"Historically, we would just throw stuff over the wall," Schmidt said. "We now have a very, very thorough process."

Company lawyers and government-policy specialists now work with the development teams as they're building products and brainstorming ideas, Schmidt said. It's their job to wrangle expectations and ensure Google doesn't overstep "the creepy line" (to borrow a phrase from Schmidt).

Regulators say Google has crossed that line before, with its camera-taking vehicles and with Google Buzz. The latter attracted the ire of the U.S. government when the service published the e-mail contact lists for users. As a result, Google agreed to submit to reviews of its privacy policies as part of a Federal Trade Commission settlement.

Schmidt, an industry veteran, knows that a series of stumbles can scar a tech company. He said at the conference that software giant Microsoft is no longer a top player among tech brands.

"Microsoft is not driving the consumer revolution in the mind of consumers," Schmidt said. (However, it's worth noting that in an interview with the Wall Street Journal last year, Schmidt named Microsoft, with its Bing search engine, as Google's biggest competitor, ahead of Apple and Facebook.)

Schmidt's big four is Amazon.com, Apple, Facebook and (you guessed it) Google. Honorary mentions go to Twitter and PayPal. Coincidentally, the latter is suing Google over its new mobile-payments service, called Google Wallet, which launches in Portland on Wednesday and was demonstrated at the event.

Apple, which Google competes with on smartphones and soon laptops, was a recipient of much praise from Schmidt. He said Apple makes "beautiful products" and has just renewed a deal to use Google's search and maps services. He suggested people buy Mac computers over Microsoft's Windows PCs if they're concerned about getting viruses -- "speaking as a proud former board member of Apple," he said.

Besides including Facebook in his list of top companies, Schmidt had little else to laud the social network for. The site is about connecting with "every friend you've ever had, including the ones you can't quite remember," he said. Google has tried to partner with Facebook, but Microsoft usually wins those deals, he said.

Facebook, too, has had to walk a privacy tightrope when rolling out new features. Responding to a question about Facebook's growing presence, Schmidt said: "I think the industry would benefit from having an alternative."

@highlight

Google has appointed lawyers to work with developers on new products

@highlight

For the first time, Google canned a finished project due to privacy concerns

@highlight

The product would have used facial recognition to find out who someone is