(CNN)At least two people were taken into custody as protesters upset over the death of Freddie Gray scuffled Thursday evening with police on the streets of Baltimore.

Tensions rose as demonstrators confronted police, several of whom shouted: "Back up!"

The Baltimore Police Department said the two were detained for disorderly conduct and destruction of property. There were no other arrests and the protests -- on the whole -- were peaceful.

Protesters rallied at City Hall before marching to a police station. Some walked through traffic. In one instance, they surrounded a police car.

Gray died Sunday, one week after he was arrested by Baltimore police.

At some point, he suffered a severe spinal cord injury. His family said his voice box was crushed and his neck snapped before he slipped into a coma and died.

"The police have a lot of questions that need to be answered," Andrew O'Connell, an attorney for the Gray family, told CNN. "What was the reasonable suspicion? Why were they arresting our client? These are pretty big questions that need to be answered."

"He had no weapon in his hand. He was committing no crime and he wasn't hurting anybody. The police had no reasonable suspicion to stop or arrest him," the attorney said.

While Baltimore police say five of the six officers involved in the arrest have provided statements to investigators, the department has not released details of what the officers said or how Gray might have suffered the fatal injury.

Protesters are upset over the apparent lack of information, and -- recently -- a police union's comparison of the demonstrations to a "lynch mob."

"While we appreciate the right of our citizens to protest and applaud the fact that, to date, the protests have been peaceful, we are very concerned about the rhetoric of the protests," the Baltimore Fraternal Order of Police Lodge 3 said in a statement issued Wednesday.

"In fact, the images seen on television look and sound much like a lynch mob in that they are calling for the immediate imprisonment of these officers without them ever receiving the due process that is the constitutional right of every citizen, including law enforcement officers."

Scenes from Baltimore

That comparison drew swift and sharp criticism, given the history of lynchings of African-Americans in the United States. Rooted in the racial ire of the Civil War, the extrajudicial mob killings of blacks, other minorities and people opposed to oppression of minorities were common in the segregated South. More than 4,000 people were murdered between 1877 and 1950 in 12 Southern states, according to a recent report. But lynchings weren't restricted to the South, and they have deeply scarred race relations in the country.

"Which one is the #LynchMob again?" John Cotton tweeted, posting a photo of a peaceful protest next to photos of Gray during his arrest and hospitalization.

"The choice of words is not only ironic, it's sad," said O'Connell, the attorney for the Grays.

"Police officers are never the subject of a lynch mob. It's actually usually the other way around," he told CNN's "Erin Burnett OutFront."

"And in the context of the powder keg that Baltimore city is right now, referring to the citizens of Baltimore city who are peacefully protesting as a 'lynch mob' doesn't serve to keep the peace. It only heightens the flames, or fans the flames of people who are already on edge."

Amid protests, officials advised people to clear the area or expect delays.  A statement encouraged employees who work downtown to get out of the area to "avoid major disruptions."

Baltimore police requested and received additional personnel from Maryland State Police. Thirty-two troopers arrived to help with crowd control and serve in a "backup capacity" for police, according to Erin Montgomery, a spokesperson for Gov.  Larry Hogan.

A small rally and press conference was held at noon, organized by the Southern Christian Leadership Conference and the Peoples Power Assemblies. They announced that they will conduct their own investigation into the events that led to Gray's death.

Thursday's events follow a series of demonstrations this week, with protesters demanding elusive answers.

Baltimore protests: 5 questions demonstrators are asking

Among the questions: Did something happen inside the police transport vehicle that caused Gray's fatal spinal injury? And what took place in the 30 minutes before police called paramedics to pick Gray up?

"Our position is something happened in that van," police union attorney Michael Davey said. "We just don't know what."

But one question has already been addressed: Did officers have the right to chase Gray in the first place?

Police first encountered Gray on April 12 as they patrolled an area known for crime and drug activity. When Gray saw them, authorities said, he started running.

Gray's family attorney and protesters claim police didn't have any probable cause to chase him, but did so only because he was "running while black."

But Davey said officers had every right to give chase.

"There is a Supreme Court case that states that if you are in a high-crime area, and you flee from the police unprovoked, the police have the legal ability to pursue you, and that's what they did," he said.

"In this type of an incident, you do not need probable cause to arrest. You just need a reasonable suspicion to make the stop."

Gray was arrested after police found what they said was a switchblade on him. An attorney for Gray's family has said the knife was a pocket knife of legal size.

Police Commissioner Anthony Batts said he met Thursday with the family.

"There was a lot of pain in that family, and I can understand it. If that was my son that ended up the same way, I would be angry," he told CNN.

Updates and images from the field

One video of Gray's arrest shows officers dragging him to a police van, his legs dangling limply behind him.

"His leg look broke!" a bystander yells as a witness captures the arrest on a cell phone video.

That witness, who only wants to be identified as Kiona, said she knew Gray as a joker and a ladies' man. But that day, he said only one thing to her.

"When I ran up the street and seen him, the first thing I asked him was he OK because I heard him screaming," Kiona said. "He didn't never say yes or no, he just said 'I can't breathe' and just was yelling."

Former Baltimore Police Commissioner Leonard Hamm said he was disturbed by video of the arrest.

"What I see is a person in distress, and what should have happened is at that point, they should have called for medical attention to help him out," he told CNN's "New Day."

Hamm led the department from 2004 to 2007. He said he was surprised and disappointed by what has happened.

"I thought we were better than that," he said. "I thought we were better trained than that."

It's not clear whether Gray was injured during the arrest. His family has not yet seen the autopsy report, attorney William Murphy said.

The medical examiner's office told CNN it could take up to 90 days to release the report, which is typical.

Gray's body is now in his family's care and has been transported to a funeral home. The family has not specified which one.  That information will be released when arrangements have been finalized. Mary Koch, a member of the family's legal team, told CNN that an independent autopsy will be conducted at the facility.

The police department is investigating what happened and will turn over its finding to the state attorney's office May 1, the department said.

"As with any criminal investigation, detectives will continue to pursue the evidence wherever it leads, for as long as it takes."

The Justice Department is investigating whether Gray's civil rights were violated during the April 12 arrest.

And Mayor Stephanie Rawlings-Blake said she "absolutely" believes an outside investigation is needed, especially given the city's dark history of police misconduct.

According to The Baltimore Sun, the city has paid about $5.7 million over the past four years to settle more than 100 cases of allegations of police wrongdoing.

Police didn't admit fault in any of the cases. The police union said in a statement Wednesday that the reason for the settlements was simple: City officials believe lawsuits are too costly.

CNN's Eliott C. McLaughlin, Catherine E. Shoichet, Kevin Conlon and Dana Ford contributed to this report.

@highlight

Two people are taken into custody, but the protests -- on the whole -- are peaceful

@highlight

Baltimore police commissioner sits down with the Gray family