Voters in 11 rural counties in northern Colorado will go the polls Tuesday to decide whether they want to continue living in the 137-year-old state or break off and form their own.

Even if a majority of voters in the referendum approve secession, breaking away would be a daunting, perhaps nigh-on-impossible path. A new state would require approval first in the Colorado legislature and then from the U.S. Congress, as laid out by Article IV, Section 3 of the Constitution.

But then, that's not the point.

The point, says Sean Conway, is to send a message "to the governor. Send a message to our legislators," said the commissioner of Weld County, the most populous of the 11 counties seeking to secede.

"We're tired of being ignored, we're tired of being politically disenfranchised, and if you don't wake up and you don't start to change things, you're going to see more movements like this begin to take a more serious face and move towards creating our own political entity that we believe will protect our very way of life and our economy."

Few in Colorado expect the secession movement to succeed. But for many in the 11 counties -- 10 in the northeast and one in the northwest that would join Wyoming -- it seems the only viable option for having their voices heard in a Democratic-controlled state legislature that they feel puts the concerns of urban residents ahead of the concerns of those in rural areas.

In part, rural Coloradans feel they weren't heard when the state passed a stringent gun control measure, a law that lead to the successful recall of two of the state's most powerful Democratic legislators.

But the straw that really broke the camel's back, according to Conway, was an energy bill that raised the amount of electricity that must come from renewable sources. Conway argues the law unfairly favored urban communities while putting a much harsher, more expensive burden on those in rural areas.

"We're not renewable-energy unfriendly out here in rural Colorado," Conway said. "But when you start imposing mandates different on other folks than yourself, that's the definition of tyranny, and I think it's kind of where this whole issue started to manifest itself."

No governor wants to preside over a breakup of his or her state, and Gov. John Hickenlooper is no exception.

"Rural communities are hurting, but it's not because of background checks on guns sales, civil unions for gay people or expanded renewable energy. In fact, these are popular proposals across communities large and small. The same is true of our efforts to protect water for agricultural uses, expand broadband into rural areas, and promote tourism and economic diversity across the state," the Democratic governor said in a statement.

"There may be a political agenda behind secession I don't get, because when I think of Colorado, it means all of our diverse communities and people. I can't imagine Colorado being Colorado without the Eastern Plains. If this talk of a 51st state is about politics designed to divide us, it is destructive. But if it is about sending a message, then I see our responsibility to lean in and do a better job of listening."

When it comes to the counties considering secession, politics run hand in hand with geography. When Seth Masket, a political science professor at the University of Denver did the math, he realized that had the 11 counties been a state of their own in the 2012 elections, that state would have been the second most Republican of all, behind only Utah. Yet Colorado overall went to President Barack Obama, earning 51% of the vote compared to Mitt Romney's 46%.

"You see this going on in a lot of states, that increasingly you have one-party control in a lot of state governments. Right now there are 43 states where one party is in control of both chambers of the state legislature," Masket said.

"That's actually the highest number since the 1950s, and the minority party is looking for ways to stop that in different places."

But Jeffrey Hare says secession isn't about politics.

"It's about having a government that is responsive to the needs of its communities, and what we've seen at the state level is an urban-based legislature forced their will against rural Colorado time and time again," said the organizer of The 51st State Initiative. "We think this is a healthy response to this urban-versus-rural divide that's not just the case in Colorado. It's really throughout the country."

Secession is not the only item on Colorado's referendum ballot Tuesday. While only the 11 northern counties will be voting on breaking away from the state, all the Centennial State will be voting on a school-funding bill and on raising new taxes for marijuana, which was recently legalized.

A new state from a portion of the old is not unprecedented, Conway said. Of the 50 states, five were once part of another: Tennessee, West Virginia, Kentucky, Maine and Vermont. Also worth noting: No state has broken away since West Virginia in 1863 and no state has technically seceded since North Carolina in 1861.

Not everyone in Weld County agrees with Conway and Hare. District Attorney Ken Buck says he won't be voting for the non-binding measure, even if he understands it.

"It's not the best strategy. The best strategy for dealing with the political issues is through the political system," said the U.S. Senate candidate.

Working through the system hasn't worked out for a lot of conservative causes lately.

"I think what's happening is that things are moving so fast the people don't feel included in the process. We've legalized marijuana. We've legalized civil unions. We've legalized a lot of things very quickly," Buck said. "That's a lot of change for people to accept."

@highlight

Colorado's secession referendum highlights state's urban-rural divide

@highlight

Gun control law, renewable energy bill among the issues driving vote

@highlight

10 counties in northeastern corner and 1 in northwest will decide Tuesday

@highlight

Secession unlikely to get required OK from state legislature, U.S. Congress