(CNN) -- As bloody month after bloody month goes by, the United States grows ever more committed to overthrowing the regime of Syrian President Bashar al-Assad. The cause is undoubtedly a just one: Avaaz, the human rights group that has been most deeply involved in the Syria crisis, reported Thursday morning that "17 civilians were beheaded or partially beheaded by regime security forces" outside of Baba Amro, the besieged Homs district that will likely soon fall to al-Assad's tanks, if it hasn't already.

Last week, Syrian activists reported that regime soldiers had ambushed and killed 64 men fleeing Homs, dumping their bodies outside the city.

And ousting al-Assad would bring strategic benefits, removing Iran's only Arab ally at a time when the Islamic Republic is on its heels, and taking out a patron of hard-line movements like Hamas and Hezbollah that oppose a two-state solution to the Israeli-Palestinian conflict.

But the United States has not done all it can to hasten al-Assad's exit. Syria is unquestionably a hard problem -- vastly more complicated than Libya: more ethnically diverse, with a far greater number of outside players involved.

Turkey shares a long border with Syria and a fear of Kurdish nationalism; Russia sees al-Assad as its last remaining friend in the Middle East; Saudi Arabia would like to see the majority Sunnis in power; Iraq, Israel and Lebanon fear the inevitable chaos that will follow al-Assad's collapse; and, of course, Iran is deeply invested in the regime's survival.

All this rightly makes U.S. policymakers queasy about getting sucked into a potential quagmire just as they are pulling out of two costly wars with little to show for it. Where advocates of military intervention see in Syria another Libya, or even a Kosovo, many see another Iraq in the making. It also means the United States has less leeway to pursue its interests (and values) unilaterally. As long as Turkey, for instance, opposes safe zones along the Syrian border, it's a no go.

The man responsible for the carnage in Syria is Bashar al-Assad. Still, the Obama administration has made a number of blunders that, in hindsight, have made this problem harder to solve. Here are six:

1. Underestimating al-Assad. To its credit, the administration was quick to recognize that al-Assad was in serious trouble. Obama was one of the first world leaders to call explicitly for al-Assad's ouster. But in doing so, was the administration too optimistic about his chances of survival, too naÃ¯ve about the depths he would go to remain in power?

2. Taking force off the table. Yes, the Pentagon is reportedly preparing "detailed" contingency options for U.S. military action in Syria. That's what militaries do, and it's only prudent for the United States to monitor chemical weapons sites and eavesdrop on the regime's communications. It's also a good idea for the president to have a full understanding of what his options are and the risks and costs involved. But the administration has been unwilling to make the kind of threats that could make al-Assad think twice about what he's doing. That's understandable: It's hard to make a threat credible if it's obvious to all that you aren't willing to carry it out. But earnest denunciations and multilateral conferences don't seem to be working. Why undercut your diplomacy?

3. Handwringing about al Qaeda. The U.S. intelligence community is concerned about the presence in Syria of fighters from Iraq's al Qaeda branch, who are thought to be behind a spate of bombing attacks in Damascus and Aleppo. That's a reasonable worry. But Secretary of State Hillary Clinton went beyond caution this week, tarring the Syrian opposition -- which is overwhelmingly ordinary Syrians, conservative, yes, but not extremists -- with the same broad brush. "We know al Qaeda [leader Ayman al-] Zawahiri is supporting the opposition in Syria. Are we supporting al Qaeda in Syria? Hamas is now supporting the opposition. Are we supporting Hamas in Syria?" Clinton said. "If you're a military planner or if you're a secretary of state and you're trying to figure out do you have the elements of an opposition that is actually viable, that we don't see."

4. Failing to engage al-Assad's allies. If al-Assad is to fall, the pillars that prop up his regime must first be removed. Iran and Russia, both of which continue to send weapons and advice, if not more, must be convinced that a post-al-Assad Syria is something they can at least live with. Both countries have met with members of the Syrian opposition, indicating they want to explore their options. Perhaps these are merely insincere efforts to help al-Assad divide and conquer. But it's worth exploring what's real and what's not. The same goes for al-Assad's internal allies: Are we doing enough to convince senior military and security leaders that they're better off without al-Assad?

5. Ignoring China. Even if you believe the Russians will never dump al-Assad, what about the Chinese? China also vetoed the most recent U.N. Security Council resolution on Syria, in tune with its habit of standing with Russia against encroachment on the principle of state sovereignty. But Washington has made little effort to engage Beijing on this issue, or to enlist Arab oil suppliers like Saudi Arabia to lobby on the Syrian opposition's behalf. China has few tangible interests in Syria, and might be convinced that a post-al-Assad world is in its broader interest. That would leave Russia isolated and uncomfortable.

6. Focusing exclusively on the Syrian National Council. Underscoring its skittishness about the growing militarization of what is by now a civil war by any reasonable definition, the Obama administration has shied away from dealing with the Free Syrian Army's leadership in Turkey. Perhaps more is going on behind the scenes, but the United States has clearly put its energies behind the SNC. But it is unclear whether this fractious body of exiles truly represents Syrians on the ground, and its relationship with the FSA is poor. The SNC on Thursday announced it was setting up some kind of "military bureau" to funnel weapons to the FSA, but it's not yet clear the FSA is truly on board. The SNC has also had a hard time attracting support from minorities, who fear that al-Assad's ouster will put their communities at risk.

These points are not an indictment of Obama's Syria policy. There are no good options here, only bad and worse ones. As al-Assad moves to consolidate his brutal victory in Homs and put the rebellion down once and for all, there's still time to rectify our mistakes and shape an outcome that saves lives and protects American interests. But not very much time.

The opinions expressed in this commentary are solely those of Blake Hounshell

@highlight

Blake Hounshell says Hom is likely to fall as Syria regime continues brutal crackdown

@highlight

He says U.S. committed to ousting regime but has not gone all in to end complex conflict

@highlight

He lists 6 ways the U.S. faltered, including taking force off the table; worrying about al Qaeda

@highlight

Hounshell: There are no good options, only bad and worse; time running short to save lives