(CNN) -- A week ago Sunday, Arctic sea ice cover reached its lowest extent ever recorded. For good reason, there has been significant media focus on how a warming sea gobbles up the ice that is polar bear habitat and reduces the area's capacity to reflect the sun's rays. This is roughly equivalent to unplugging one pole's worth of the Earth's central air conditioning system.

But far less attention has been placed on what a naked Arctic Ocean means for its closest neighboring ecosystem: the Arctic tundra.

Beyond the images of icebergs and stranded polar bears, I doubt many people picture the Arctic's vast carpet of lush green plants, chirping songbirds or highs in the mid-70s -- all of which are typical of summertime on the tundra. With climate changing at an alarming rate and sea ice extent slipping away, the tundra stands to change a lot, and this, too, will affect the rest of the planet. It is time to start familiarizing ourselves with the tundra, and here's why.

The tundra biome is huge, covering 15% more of the Earth's surface than all 50 U.S. states combined. Currently, it stores a significant proportion of the Earth's carbon in its permanently frozen soils, keeping it locked away and unable to contribute to the atmosphere's giant pool of greenhouse gases.

Opinion: Why we should look to the Arctic

However, in much the same way that other bodies of water keep coastal cities such as San Francisco from having extremely cold winters and scorching hot summers, sea ice conditions in the Arctic Ocean influence weather patterns over the nearby tundra. Less sea ice is associated with warmer and drier summer conditions on the tundra. Consistently balmier summers will cause soils to warm and thaw to greater depths, unleashing long-stored carbon into the atmosphere in the form of carbon dioxide and methane, both of which are potent greenhouse gases.

The previous record low in Arctic Ocean ice cover occurred in 2007, and the hot, dry summer that accompanied it on the Alaskan tundra was highlighted by the largest, longest lasting and most severe tundra fire to burn in northern Alaska in recorded history. The fire covered an area roughly 10% larger than Manhattan and burned for 2Â½ months.

Although lightning frequently strikes the tundra, the landscape is typically fairly moist and so rarely ignites, and even when it does, the flames don't spread very far, burn very deeply or remain alight for very long. But the tundra was very dry in 2007 and fire-fueling winds kicked up the blaze. During this single event, the immediate combustion of plants and soils and the thawing of frozen soils injected an enormous amount of carbon into the atmosphere â€” an amount equivalent to what the entire tundra biome typically absorbs from the atmosphere through plant growth every year.

The effect of diminishing sea ice isn't limited to increasing atmospheric greenhouse gas concentrations. Warmer conditions on the tundra trigger a cascade of change, including converting its lush but short green carpet into a taller shag, since warmer soils and deeper thaw enable taller, woody plants to grow and thrive on the tundra. What my colleagues and I are discovering from our own work in Alaskan tundra is that this shift in vegetation cover has implications -- some good, some bad -- for the animals that depend on it for food and shelter.

Opinion: Extreme weather and a changing climate

Each spring many species of migratory songbirds travel to the Arctic tundra from all over the world to breed. Some nest in patches of tall vegetation and may stand to benefit from the expanding taller shag, but those that nest in short vegetation may not be able to adapt. What may likely benefit all species is that the taller vegetation harbors significantly more bugs to eat. We don't yet know which species will benefit, and which will suffer in response to the changes, but because each species plays a specific ecological role on the tundra, the downfall of one species or proliferation of another could have a domino effect that disrupts the tundra's delicate food web.

And in case you thought that what happens on the tundra stays on the tundra, consider that many of the sparrows, robins and warblers that visit our backyards in winter, or pass through come fall and spring, spend their summers breeding on the tundra; so, whatever happens to them there will affect which ones and how many of them show up at your bird feeder in the future, potentially setting off a local domino effect.

Since the Arctic as a whole is responding to climate change earlier and more acutely than the rest of the planet, we should think of it as an early warning system -- a proverbial canary in a coalmine. Perhaps if we pay closer attention to how the tundra is changing, we can learn some practical lessons on what types of changes to expect here at lower latitudes, which would enable us to mitigate the consequences, or at least plan for how to cope with them.

The opinions expressed in this commentary are solely those of Natalie Boelman.

@highlight

Natalie Boelman: Arctic sea at lowest extent recorded, affecting Earth's ability to cool

@highlight

But, she says, change to sea's neighboring tundra ecosystem is also a big global-warming worry

@highlight

The tundra locks up carbon in frozen soils; when they thaw, huge amounts released

@highlight

Boelman: Tundra also a vast habitat; thawing will have far-reaching effects around globe