(CNN) -- Newly elected Egyptian ministers held their first parliamentary session this week, almost a year to the day after the start of historic protests in the capital led to the ouster of President Hosni Mubarak. But for all the bravery and resilience the demonstrators showed by withstanding a brutal crackdown as they sang, waved flags and held candlelight vigils for 18 days, the movement began many years before.

"Being in the square, just feeling that energy, was one of the greatest experiences of my life," said Ashraf Khalil, an Egyptian-American journalist who was standing among the protesters when news broke February 11 that Mubarak had decided to resign. "It felt like a roar but also a kind of relief, an enormous release of years of frustration and struggle."

In his new book, "Liberation Square: Inside the Egyptian Revolution and the Rebirth of a Nation," Khalil explains some of the events that quietly laid the foundation for the uprising. He also predicts what may be ahead for Egypt in 2012 as unprecedented elections take place, likely prompting more protests and violence.

"There's one camp that's throwing up their hands and saying, 'Oh, the revolution hasn't brought us anything,' " Khalil said.

Are you there? Share your thoughts on the anniversary of the uprising.

But many Egyptians, particularly older, experienced activists who lived through decades of oppression under Mubarak's rule, are far more optimistic.

"They argue that this process, as messy as it may be, is a victory in itself," he said. "This is a generation that believes this is democracy in progress."

Khalil's parents emigrated from Egypt in the late 1960s to get their doctorate degrees in the United States. In their home in suburban Chicago, his parents spoke Arabic, but Khalil picked up almost none of it. But as he got older and considered becoming a journalist, he yearned to know more about his family's background and more about Egypt. While studying at Indiana University, he went to Cairo for a year on a study-abroad program.

"I got the place in my blood and always thought about coming back," he recalled.

After graduation and a few years at a newspaper in Indiana, Khalil moved to Cairo in 1997 to work as a freelance reporter.

He had barely unpacked his bags and settled in when a terrorist attack turned the world's focus on Egypt. Fifty-eight foreign tourists were killed when Islamist gunmen invaded a poorly guarded temple across the River Nile from Luxor.

The Luxor massacre, Khalil writes, was an important first stone in the path to January 2011. It crippled whatever sympathy some Egyptians might have had toward Islamic militant groups, and it launched the career of Habib al-Adly, who became interior minister under Mubarak.

Photos: Looking back at Egypt's uprising

At the time of the Luxor massacre, Egyptian police were given a blank check to go after Islamist groups. But the force also became something much darker, an "unchecked and unchallenged" authority that bullied Egyptians of all backgrounds. The police spied on and intimidated newspaper editors, business leaders, university professors and judges.

"You heard anger boiling up about the police from every corner of Egyptian life, but it was hushed because there was such intense fear," Khalil said.

Al-Adly is believed to be Mubarak's right-hand man in the security forces' violent actions against protesters. Despite being beaten, tear-gassed and shot at, demonstrators rallied, specifically demanding al-Adly's dismissal.

In February, just weeks after Mubarak was ousted, Egypt froze al-Adly's bank accounts, banned him from traveling and arrested him.

He was sentenced in May to 12 years in prison for money laundering and abuse of office.

Mubarak, meanwhile, is on trial in Egypt, accused of corruption and ordering the deaths of protesters.

The former president suddenly fell ill after his resignation. Watching him get wheeled into the courtroom on a stretcher, Khalil is reminded of the Mubarak of 1999, who ran an over-the-top campaign to remain in office. It was a joke, the journalist said, because Mubarak was the only candidate on the ticket.

"I was witness to so many fake elections, but (this election) was like Stanlinist level of worship, like something you'd see in North Korea. All the billboards and the newspapers were filled with (photos and editorials) venerating this guy," Khalil said. "It didn't reflect the way people really felt."

The propaganda was all the more fascinating because it served as a backdrop for small protests against the regime that popped up throughout the late 1990s and early 2000s. Several took place on Cairo University's campus. The demonstrations focused on foreign policy issues involving Israel, and government security quickly disbanded them.

Those moments of protest never caught on in other parts of the country, or gelled much with anyone outside the university, because the demonstrators failed to agree on a unified message, Khalil writes. Some wanted to call out Mubarak by name, while others profoundly feared doing that. Islamist protesters wanted the focus to remain entirely on Israel, leaving the president out of it.

2011's uprising was successful, many observers agreed, because demonstrators were on the same page about what they wanted and how to get it.

"Liberation Square" delves into a forgotten but highly significant footnote in the protests in Egypt. On the night that the United States led the invasion of Iraq in 2003, a crowd gathered in Tahrir Square to rally against Mubarak's allowing U.S. ships to take position in the Suez Canal.

Against the odds, the demonstrators overwhelmed security forces sent to disperse them and tore down a huge poster of Mubarak outside an office of his National Democratic Party.

Wael Khalil, a longtime Egyptian activist who helped fuel 2011's movement, was at that rally. He remembers the night in "Liberation Square."

"The tone of anti-Mubarak sentiment and the focus on the question of democracy really started then," Wael Khalil said. "It started with 'Down with America' and turned to 'Down with Mubarak.' "

For the rest of the decade, there were more fits and starts of protests and crackdowns while dissident expression took root in the arts and pop culture.

Disgust with the regime's enforcement of sexual purity was mocked by a farcical movie that became an underground hit about young people going around Cairo trying to find a secret place to watch a porno. A novel that mocked Egypt's class system became a best-seller and was made into a film.

But the tipping point for 2011's revolution came just as it had in the preceding Tunisian revolution: with the death of a young person pushed to extraordinary action.

Khaled Said, a 28-year-old computer wiz, was arrested in June 2010 by Egyptian police while he sat at an Internet cafÃ© in Alexandria. Witnesses said police beat him to death. A postmortem picture of his mangled face was posted on the Web and went viral.

"Liberation Square" includes intimate interviews with Said's close friends, activists inspired by his death, witnesses to the night Said died and bloggers who repeatedly posted a picture of a living, handsome Said next to his morgue photo.

In October, two Egyptian police officers were found guilty of manslaughter and sentenced to seven years for Said's death.

The pictures of Said are still fresh in most Egyptians' memory.

"I think a lot of Egyptians are just exhausted. They are weary. They are realizing this is the first year mark of a 10-year process," Khalil said. "But what they did, and what they want to do, is still clear."

Khalil says elections in 2012 will almost certainly inspire more protests and clashes between authorities and the people, seen most vividly in November and December. Economically, Egyptians will continue to struggle as tourism and foreign investment wanes.

"There shouldn't be a rush to decide what will happen in Egypt," he said. "I'm confident, and I think Tahrir showed us, that Egyptians have an incredible determination to get it right."

@highlight

One year ago January 25, protesters began gathering in Tahrir Square

@highlight

Egyptian-American reporter says that many events over years led to uprising

@highlight

Ashraf Khalil: Many in Egypt say current struggle is "victory in itself"