New York (CNN) -- Abu Hamza al-Masri steadfastly denied Monday that he aided terrorists in incidents that span the globe, from a remote Oregon ranch to the dusty desert of the Arabian Peninsula.

He described Osama bin Laden as a hothead, in charge of an unfocused organization that has betrayed the Afghan people. As for the Taliban regime, it doesn't need his money; it has "millions," yet doesn't feed its own people, he said.

But in Manhattan, by invoking 9/11 and bin Laden's name, al-Masri mused, "you can convict a person of killing the Dead Sea."

Al-Masri testified on direct examination over three days in a federal courtroom less than a mile from the site of ground zero and the September 11, 2001, terrorist attacks. He's accused of aiding kidnappers during a 1998 hostage-taking in Yemen; facilitating violent jihad in Afghanistan; supplying goods and services to the Taliban; and attempting to establish an al Qaeda-style training camp on the West Coast of the United States.

The Egyptian-born cleric testified last week about his path to becoming the high-profile imam of a London mosque, whose sermons allegedly inspired several notorious terrorists, including 9/11 hijacker Mohammed Atta.

Al-Masri said he went to London as a young man because loved the Western lifestyle, wanted to make money and have fun "American style," he smiled. He worked as a bouncer and strip-club manager before bits of Islamic teachings from friends began to penetrate his mind and the hypocrisy of his lifestyle hit him like a slap in the face.

The defendant broke down twice on the stand describing key moments that helped shape his ideology, like seeing a young Bosnian boy -- maybe 12 -- wearing camouflage and clutching a Kalashnikov, receive a hug from a grieving mother as thousands of other Muslim men and boys lay dead in the Srebrenica mass graves nearby.

"I wish I trained my son," the woman said.

Al-Masri said he left Bosnia with the belief that training in physical jihad -- holy struggle -- even for children is crucial to the defense of Muslims when governments and outside forces fail to keep them safe.

He's seen it from Afghanistan to Chechnya, he said: "The West will not do the job."

The government's three-week case against al-Masri was an effort to connect the dots between the defendant and events thousands of miles away through key witnesses who often never met the cleric themselves, and are testifying as government informants in exchange for leniency or protection.

The pivotal government prosecution witness was James Ujaama, a Seattle man who conceived the idea for a pay-as-you-go jihad training camp on a large patch of barren land outside Bly, Oregon, in 1999. He faxed a sales pitch to al-Masri from a local Kinkos, he said on the stand.

"It looks just like Afghanistan," Ujaama wrote to the prominent preacher, asking for trainers in both the physical and spiritual aspects of holy war to be sent from London so fighters could be readied for the Afghanistan front lines.

Two men were allegedly sent by al-Masri to aid with the effort, carrying cash and training materials, but left once they realized Ujaama's promises were empty, according to testimony.

Al-Masri said on the stand Monday that he scanned only the first few lines of the fax before tossing it in the trash and considered it a "hallucination." Unbeknownst to him, he said, the paper was fished out of the garbage by Oussama Kassir, a Lebanese-born Swedish citizen who lived at the defendant's London mosque periodically and was eager to make a name for himself. Kassir decided to pursue the idea of a camp without al-Masri's knowledge while trading on the prominent cleric's name, the defense claims.

Kassir was convicted in 2009 on 11 terrorism-related counts relating to the Oregon facility and operating terrorist websites, according to the U.S. Attorney's Office.

Prosecutors also allege that al-Masri sent Ujaama to Afghanistan in 1999 to deliver envelopes of cash and a young recruit for the front lines.

Al-Masri maintained on the stand that he in fact had tried to talk the young man out of traveling to Afghanistan to fight, and that he still does not know whether Ujaama actually brought him along. He scoffed at the thought he'd use Ujaama -- a "troublemaker" and known liar who had never set foot in Afghanistan -- for such an errand, when any of the several dozen Afghani veterans in the mosque would have provided more reliable options.

He conceded he gave Ujaama money to transport but said it was charity for a secret girls' school and widows of mujahedeen fighters, not the Taliban regime or al Qaeda -- something Ujaama's testimony corroborated.

Ujaama admitted on the stand that his past is marred by a range of criminal endeavors, including picking up knock-off watches in New York City and passing them off as expensive brand originals; selling a stolen laptop during an airport bathroom rendezvous; and evading prosecution by fleeing to Belize.

He spent approximately six years in prison for his role in the defendant's alleged crimes and testified as part of a deal with the government that allowed for a significant reduction in jail time.

Federal prosecutors have also alleged that al-Masri aided kidnappers of a large tour group in Yemen in 1998 and called to the stand two survivors of the harrowing hostage drama that left four of their fellow travelers dead.

While al-Masri conceded on the stand he supplied the satellite phone used by the hostage takers, he said the group's only plan that he knew of was to topple the Yemeni government. He'd been asked to act as the group's spokesperson some five months before the incident, he said, and bought the phone in his own name, because as a spokesperson in a politically charged climate "you can't afford to do anything but what's legal, transparent."

When he learned of the kidnapping, he felt "betrayed because of ignorance," he testified, and immediately issued a public statement to defuse the situation and discourage a disastrous, knee-jerk response by Yemeni authorities.

In his only telephone contact with the kidnappers during the event, he urged them to let the hostages call their respective embassies and even called the satellite phone salesman to purchase 500 British pounds' worth of pre-paid minutes for that purpose, he testified.

Asked what philosophy guides him as a cleric, al-Masri said he tries to defuse violent conflict with his impassioned sermons: "The harshest of all talks is better than the easiest of all wars."

Assistant U.S. Attorney John Cronan will begin his cross examination of al-Masri Tuesday morning.

@highlight

London-based cleric Abu Hamza al-Masri criticizes bin Laden, Taliban on the stand

@highlight

He testifies in his own defense against charges of aiding terrorism

@highlight

He denies sending men to a would-be terrorist training camp in Oregon

@highlight

Buying a satellite phone was his only link to hostages in Yemen in 1998, he says