(CNN) -- Government officials and health experts from around the world are meeting this week in South Korea to discuss a series of proposals that could put restrictions on tobacco growing.

The fifth session of the World Health Organization Framework Convention on Tobacco Control (WHO FCTC) is taking place in Seoul, where representatives from over 170 international parties will focus on reducing the demand for tobacco.

High up the agenda are pricing and tax measures, proposals on limiting tobacco-growing areas, as well policies on economically viable alternatives to the crop. Delegates kick-started the proceedings Monday by adopting a new treaty setting the rules for fighting illegal trade in tobacco products.

The procedures are being watched closely by the tobacco farming industry across the world. In the southeastern African country of Malawi, where tobacco is the top exports earner, many farmers are worried that some of the restrictions could be devastating for them and their communities.

"To stop growing tobacco would be like killing me and my whole family," said Steve Msambira, a Malawian farmer who has been growing tobacco for over four decades.

"I have been raised through this business -- I went to school, even my children, my brothers and sisters went to school because of growing tobacco," he added.

Read: Oil search fuels tension over Lake Malawi

WHO says that the FCTC proposals are designed to help governments around the world deal with an expected decline in demand for tobacco.

Some welcome the move. "The point of the WHO convention is to say 'how do we help farmers?'" said Yussuf Saloojee, from the National Council Against Smoking in South Africa.

"This provision is forward looking. It's saying, as fewer and fewer people smoke the demand for tobacco leaf will reduce and we will need to then provide farmers with an alternative way of earning a livelihood.

"The treaty does not wish to harm farmers -- in fact the treaty wants agriculture in Africa to prosper."

Watch: Creative solutions for Africa's farmers

But the International Tobacco Growers' Association (ITGA), which represents an estimated 30 million tobacco growers, sees the move by the WHO as a part of a wider anti-smoking campaign aimed at cutting tobacco production.

"Tobacco is an easy scapegoat," said Francois van der Merwe, Africa Chair of the ITGA. "It's an industry where they can go in and regulate and tax and try to show the world that they are doing good and we do not accept that.

"We will keep on doing what we believe is right to do. It's a legal product with harmful effects so governments should rather focus their attention on educating people rather than going and trying and demonize the industry, drive extreme regulation, drive extreme taxation and now even right down to the most vulnerable in value chain, which are the farmers, the soft underbelly of the sector."

In Africa, it is estimated that there are more than one million tobacco farmers. Last May, farmers from across the continent declared their opposition to the plans, saying that they could hurt local economies and threaten jobs in many countries.

In Malawi, seven out of 10 workers are either directly or indirectly employed by the sector and tobacco represents 70% of the landlocked country's foreign exchange earnings and 15% of its total GDP, according to the ITGA.

This reliance on one export makes Malawi vulnerable, particularly when production levels decline. Last year, the country's export revenues fell as tobacco earnings declined 5.5% to $410 million as a result of lower prices and a poor quality crop, according to data from African Economic Outlook.

The government is trying to reduce its dependence on tobacco by encouraging farming diversification into other crops and bolstering the tourism industry.

"My government is already on the program of diversifying away from tobacco," said Malawi's agriculture minister Peter Mwanza. "But this is not something you can do overnight."

Malawi's head of state: 'Why I'm selling presidential jet'

Commenting on the tobacco controls discussed at the Seoul convention, Mwanza said: "Our view is the FCTC protocol, particularly Articles 17 and 18 ['Provision of support for economically viable alternative activities' and 'Protection of the environment and the health of persons' respectively], are rather unfair to Malawi and other tobacco-growing countries.

He added: "The best they could have done was to consult the farmers and also put up measures that would help for them to diversify away from tobacco.

"We are not opposed to people being protected from tobacco but if people are going to be hungry then they will die even faster than smoking because people would starve and they would have no income."

But for the anti-smoking lobby, growing tobacco only compounds the economic and social ills of countries like Malawi.

"Malawi has been growing tobacco for over 100 years and yet it is one of the poorest countries in the world," said Saloojee. "Tobacco farming in Africa and in particular in Malawi is in crisis. It perpetuates poverty, it harms the environment, harms workers and is based on unfair labor practices -- child labor is rife on the tobacco farms in Malawi."

Read: Bin Laden bread a hit for Malawi bakers

The industry acknowledges child labor is used in the tobacco sector but says it is a problem being addressed.

Bruce Munthali, chief exeutive of the Tobacco Control Commission of Malawi, said the practice is not only confined to tobacco growing.

"Child labor occurs in other commodities, mining, other commodities you can think of," he said. "As an industry we have taken some corrective measures to address some of the concerns relating to child labor."

Msambira, who employs about 50 people, said he never uses children in his fields but relies on workers from nearby villages and Zimbabwe. He said he knows that tobacco offers him and his country an uncertain future, but for now he sees no alternative and doesn't believe the WHO is offering one.

"This is a good business," he said. "No tobacco, no life in Malawi."

@highlight

WHO proposals to restrict tobacco farming threaten the industry, say farmers

@highlight

It is estimated that there are more than one million tobacco farmers in Africa

@highlight

In Malawi, tobacco is the top exports earner

@highlight

Government officials from around the world meeting this week to discuss tobacco restrictions