(CNN) -- In Lebanon's picturesque Bekaa Valley, life moves at a gentle pace.

Tractors trundle along narrow country roads while sleepy vineyards blossom beneath the pleasant glare of the mid-afternoon sun.

It's here, amidst this green and fertile hinterland, that the roots of Lebanon's modern wine making industry have borne fruit.

But conflict across the wider Middle East region has disrupted this idyllic country scene in recent years.

According to Charles Ghostine, managing director of local winemaker Chateau Ksara, tourists have been put off from traveling the Bekaa Valley because of the violence unfolding nearby.

Visitors from neighboring Syria were once among Ksara's best customers, he says, but that's changed dramatically since that country's devastating civil war began three years ago.

"We used to have 70,000 visitors per year," Ghostine says. "The Europeans and the Americans and Japanese used to come to Syria and then to visit Lebanon."

"It (also) affected us because we used to export 300,000 bottles to Syria per year. Now we're exporting around 50,000 only."

Ksara has been forced to look towards new markets to make up for this shortfall.

Along with Lebanon's other wine makers they are rallying to promote their goods and produce collectively.

"When we go to international fairs, we go under a Lebanese pavilion," says Ghostine. "Before every participant used to go and to have his own booth."

Ghostine explains that the group is looking to sell the story and history of Lebanon and not just its wines.

He points to a group of ancient cellars discovered beneath land owned by Ksara in 1898 as an example of Lebanon's rich wine producing past.

"There are a million bottles of wine, stored in these cellars that date back to the Roman era," he says. "Walls of wine, steeped in history."

Winemaking dates back thousands of years in Lebanon but modern day production really didn't start until the 20th century.

According to wine writer Michael Karam, this puts Lebanon behind other wine-producing nations in terms of marketing its global reputation.

"We [Lebanon] produce eight million bottles of wine a year which may sound like a lot but if we compare that to Turkey, which produces 70 million, Cypriots around 35 to 40 million. Israelis produce about 50 million -- so even on a regional scale we're tiny. Global scale? We're a dot."

"I mean Italy the biggest producer in the world probably produces on average around four billion bottles a year."

But bigger isn't always better.

The rarity of Lebanese wine is a distinguishing factor that businesses can capitalize on to help their product stand out, Karam believes.

"The message they should be sending consumers is we only make eight million bottles a year," he says. "Come and get them while you can."

"There's no reason why Lebanese wine cannot be the sexiest wine on the planet."

To that end, it's not just the large-scale wineries capping every bottle with a personal touch. Smaller family-run wine businesses like Domaine Des Tourelles are getting in on the act as well.

"The message behind this winery is to produce quality wines, products from this land made by people working in this land," says company co-owner, Fawzi Issa.

Domaine Des Tourelles produces a not inconsiderable 250,000 bottles of wine each year. But the company's specialty remains arak, a Lebanese spirit made from aniseed.

"We're a leader now in the local market for the arak," says Issa.

"(Our arak product is sold) in around 15 to 17 countries, a bit everywhere where the Lebanese people are."

With the arak market well-tapped, Issa says he wants to expand the company's wine business to achieve his ultimate dream.

"My target is more ... global. To show Lebanon everywhere, to have Lebanese wine in the list of each and every restaurant in the whole world."

Issa is acutely aware, however, that Lebanon still has to overcome negative images abroad.

The country remains divided along religious lines and a number of suicide-bomb attacks have rocked the country this year.

Ghostine says he couldn't agree more with Issa's sentiment.

"The message that we want to forward to the world is that Lebanon is not an exporter of terrorism, Lebanon is an exporter of culture and good wines," Ghostine says.

Getting out and showing the very best of what his country has to offer is a key method of doing just that.

@highlight

Wine has been produced in Lebanon's Bekaa Valley for thousands of years

@highlight

Lebanese winemakers hope to play on that history when selling to international consumers

@highlight

Conflict in neighboring Syria and around Middle East have impacted Lebanese wine industry