(CNN) -- Pat Folsom, 54, knows the importance of preventive medicine. As a health care worker, she goes for scheduled checkups. So when she went in for a routine dental exam last year, she didn't expect more than a cleaning, maybe a filling. But her dentist found something more serious.

"She told me I had a lesion on my cheek and that it needed to be checked," Folsom said. "After a lot of tests, they found it was oral cancer."

Folsom was surprised. "I thought surely this was a mistake. I never smoked, I never drank heavily, and I never had a family history of this. How could this be?" she asked.

About 34,000 new U.S. cases of oral cancer are diagnosed each year, and the numbers are rising, according to the Oral Cancer Foundation. Although oral cancer has primarily been a man's illness, affecting six men for every woman, the foundation says that over the past 10 years, that ratio has become two men to each woman.

The foundation attributes the rise to the increase in the number of women who smoke and drink excessively, because both tobacco and alcohol trigger oral cancer.

But there is another factor. In some cases, women are being found to have oral cancer caused by HPV, or the human papillomavirus (version 16). Different versions of HPV are present in most cases of cervical cancer. Like cervical cancer, in oral cancer cases, the virus is transferred through sexual activity.

Watch more on the HPV-oral cancer link

Based on recent data, the Oral Cancer Foundation believes in people under the age of 50, HPV may even be replacing tobacco as the primary cause of the spread of oral cancer.

Folsom was shocked when she heard her cancer contained HPV cells.

"I said, 'What? How is that possible?' " she exclaimed. "But doctors told me that it might have been caused by something I did, years and years ago. It could actually show up later and cause the cancer."

MayoClinic.com: Mouth cancer

HPV causes irregular cells to multiply, The virus thrives in a moist, dark environment, said Dr. Youssef Obeid, a prosthodontist and director of Obeid Dental in Bethesda, Maryland. Prosthodontists specialize in tooth replacement, jaw restructuring, disease and injuries to the mouth. "The mouth is a perfect place for it to grow." By transferring the virus during oral sex, it stays in the mouth and causes lesions. Many eventually turn cancerous. "It's something we are very much aware of and look for, especially in women," he said.

Folsom was lucky. Her dentist caught the cancer before it spread, a fact that Folsom attributes to her biannual checkups. When found early, oral cancer patients have an 80 to 90 percent survival rate. A good dentist will look for possible signs of oral cancer by checking the cheeks, the tongue, the tonsils and the larynx for possible lesions, says the American Dental Association.

"That's why we ask the patients simple things, to move your tongue, move it sideways, stick your tongue out, say ahhh," Obeid said. '"We want to get a good view of the mouth."

MayoClinic.com: HPV infection

Since Folsom's cancer was diagnosed in March 2008, she's undergone surgery and has had about four months of radiation. She is still in rehabilitation to help her chew and open her mouth wider. She uses a mouth exerciser that helps her stretch the muscles that were affected by her operation. She also went through rehab when she broke her collarbone after her radiation treatments, because her bones had become so brittle. "It just snapped one day," she said with a shrug. "That's part of the side effects from the radiation. It affects your bones."

Her other side effects are minor. She constantly has dry mouth and carries water with her everywhere. She avoids anything spicy or acidic, because it can sting the area where the cancer was removed. She lost almost 50 pounds after the surgery because she couldn't eat. In some ways she considers the weight loss a good thing because it also reduced her high blood pressure and she was able to drop that medication. "For everything, there is a blessing," she said.

Although Folsom is cancer free now, she said she is considering enrolling in a trial that uses a form of the HPV vaccine to prevent patient's oral cancer from recurring.

MayoClinic.com: Chewing tobacco: Not a safe alternative to cigarettes

"It's been a long road to recovery. But I am very fortunate. I've had great treatment and great care," she said. "But the most important thing is I want women to be aware of oral cancer and make sure they don't ignore a sore in their mouth, or pain. It could be something," Folsom said. "And it needs to be checked out. That checkup can save your life."

@highlight

About 34,000 new U.S. cases of oral cancer diagnosed annually;  numbers are rising

@highlight

Chief factors are excessive smoking and drinking

@highlight

Human papillomavirus also sometimes a cause

@highlight

When found early, oral cancer patients have an 80 to 90 percent survival rate