Secretary of State John Kerry is postponing a visit to the Middle East to give Egyptian efforts at negotiating a cease-fire between Israelis and Hamas a chance to take root, several senior U.S. officials tell CNN.

Kerry was to travel from Vienna -- where he was negotiating a deal with Iran and world powers over Iran's nuclear program -- to Egypt and Qatar in the coming days to lay the groundwork for a possible cease-fire between the two sides.

On Monday,  Egypt called for a cease-fire to stop the bloodshed and to project the innocent.

"Egypt shall receive guarantees from both sides of their commitment to implement what has been agreed upon, and shall follow up on its implementation and engage with either side in the case of any action that impinges on its stability," the Ministry of Foreign Affairs said in a statement.

One official said the United States wants to give Egypt a chance to reassert itself as a power broker the Middle East, as it did during the 2012 cease-fire. The United States sees the election of President Abdel Fattah al-Sisi as a positive development in terms of Egypt playing a constructive role in the conflict, because Obama administration sources say that North African nation now is viewed as less conciliatory towards Hamas than it was under former President Mohammed Morsy.

Kerry will allow a few days for diplomatic efforts to lay any groundwork, officials said, and is still prepared to either travel to the region if any cease-fire does not take hold, or to help support it if it does.

Israeli officials tell CNN their military operations have made inroads to degrade Hamas' capability, now see some potential in the Egyptian proposal, and are willing to test it and see if a cease-fire can be reached.

By Monday, the death toll from about a week of Israeli airstrikes had reached 186 -- all of them Palestinians -- with at least 1,390 wounded, according to Palestinian health authorities.

No Israelis have been killed in the rocket attacks, though there have been some injuries.

If a cease-fire takes hold on Wednesday, the Egyptians have called for Israeli and Palestinian delegations to travel to Cairo for negotiations in the coming says.

The cease-fire talks are not expected just to address just a cessation of hostilities and related security issues, but also the humanitarian situation and Palestinian concerns -- such as addressing re-opening the Rafah border crossing between Egypt and Gaza, Palestinian fishing rights, salaries for Palestinians in Gaza and the eventual disarmament of Gaza.

The goal, officials from Egypt, the United States and Israel said, is to put the pieces in place to a cease-fire that endures and includes preventing Hamas's inability to re-arm and continue rocket fire. Israel has made clear that it will only consider a cease-fire if the pieces are in place to make sure that it is a lasting and durable calm.

The Egyptian cease-fire proposal calls for "Palestinian factions" to negotiate with Israel. American, Egyptian and Israeli officials say those factions are to include members of the Palestinian Authority in an effort to empower President Mahmoud Abbas as the legitimate representative of the Palestinian people. The officials say they don't want Hamas to be the ones gaining politically from a cease-fire, as it has in the past.

Senior Israeli officials say the Egyptian proposal is being taken very seriously; however, a Hamas spokesman described it as a "joke."

"We did not receive this declared paper from the Egyptians ... which means it's an initiative for the media. It's not a political initiative," said Osama Hamdan.

Speaking on CNN's "The Situation Room with Wolf Blitzer," he continued: "It's not really an initiative. It's not really an idea, what they are trying to do is to corner the Palestinians and to help the Israelis more."

Chief Palestinian negotiator Saeb Erakat was more optimistic, saying he is hopeful that "we may see some real, real serious signs of a possible cease-fire in the next 12-24 hours."

"I know that some other leaders in Hamas have said we are not closing any doors for any initiative for a cease-fire," he said.

President Barack Obama Monday welcomed Egypt's proposal, saying he hoped it "will restore the calm that we've been seeking."

One of the goals of the cease-fire is to address some of the issues surrounding the lack of Palestinian unity, with the ultimate goal of having the Palestinian Authority be the ruling authority over Gaza.

One complication is the regional rivalry between Egypt and Qatar, which has close ties with Hamas and is looking to play a role negotiating a cease-fire. While U.S. officials say they think that Qatar could play a helpful role given their close ties to Hamas,  they need to balance that role carefully so as not to alienate others in the region, including Egypt, who are wary of Qatar. Qatar can also help pay Palestinian salaries, but the U.S. officials say they don't want Qatar propping up Hamas financially.

@highlight

On Monday, Egypt called for a cease-fire to stop the bloodshed, protect the innocent

@highlight

Kerry was to travel to Egypt and Qatar in the coming days

@highlight

His goal was to set groundwork for a possible cease-fire

@highlight

An official says the U.S. wants to give Egypt a change to reassert itself in the Mideast