Washington (CNN) -- The Supreme Court can seem a distant, dusty place, far removed from what young people, especially, see as relevant in their lives. It's an institution closed to cameras, with justices issuing dense written opinions while working mostly from their private chambers. So how do you get high schoolers interested in the important judicial stakes that affect everyone?

Attorney Josh Blackman has found a way, using digital technology to give students the power to pick high court winners and losers through an interactive hands-on nationwide competition.

Through his FantasyScotus.org website, Blackman created a nationwide teaching tool involving 200 classes around the country, and growing. Using a fantasy league concept popular with sporting events, Blackman organized a web-based game where students analyze current high-profile cases, then predict the outcomes. Points are awarded, and winners get bragging rights, badges of honor and Internet recognition.

"It's not dry history, these cases are live, they're new," Blackman told CNN. "The big thing is they haven't been decided. High school students in the past have been told to accept the law, but here they can participate and have a stake in the outcome, by making predictions."

The 26-year-old Staten Island, New York, native created the lesson plans in his spare time, with the help of a few friends. He works as a law clerk for a federal judge in western Pennsylvania and hopes to be a law professor one day. The year-old project is an offshoot of a larger fantasy league he also created, targeted at adult court aficionados. Blackman explains he did all this initially as a hobby -- "almost as a joke" -- after a colleague dared him to test his skills at picking the winning side in several big Supreme Court cases in 2009.

"People around the world play it and seemed to like the original version, but then teachers started calling me, saying they were using it as an educational tool. They said it was too hard to navigate," said Blackman. "So we modified things, making it easier to operate, using basic English and a simple points system."

Through his nonprofit Harlan Institute -- named after the first Justice John Marshall Harlan -- Blackman also gathered a teacher advisory network, having volunteer lawyers appear via Skype to various classrooms. A recent "Teach-A-Thon" found him and other attorneys advising students on court prediction strategy in seven schools -- from Iowa, Michigan, Virginia and elsewhere, even Canada.

Among the Supreme Court cases the students are predicting: whether states can ban "violent" video games from being sold to minors and the free speech rights of an angry anti-gay church group that protests loudly at the private funerals of military personnel killed in wars overseas. Rulings in those appeals are expected next spring.

One attractive feature for cash-strapped schools is that the FantasyScotus project is free. Funding comes from private donations, combined with the relatively inexpensive operating costs. Technology also allows volunteer lawyers to advise students without having to leave their offices, through computer video linkups.

In addition to enlisting teachers and lawyers, the project is working with iCivics, the education resource founded by retired Justice Sandra Day O'Connor.

"It's been blast, seeing young people connect with the law in a way I never had the opportunity to when I was a kid," Blackman said. "They're looking at the Constitution now not as this dead document, but something they can participate in, where they can try and make a difference."

Technology is music to Scalia's ears

"It's a brave new world." So says Justice Antonin Scalia on the technological changes occurring in his court and in his own life. The 74-year-old jurist revealed his heavy use of an iPod media player and iPad portable tablet computer, for both work and pleasure.

Speaking at a recent black-tie dinner sponsored by the conservative Federalist Society, Scalia said his musical tastes tend to opera and classical works, which he proudly noted he downloads himself.

Many of his fellow benchmates shun technology, preferring to handwrite the first drafts of their opinions and communicate through formal hand-delivered paper messages. But the senior associate justice says he relies on his computer so much, he "can hardly write in longhand any more." And his iPad is filled with the reams of legal briefs he needs to read up on pending and current cases. He can now take his caseload anywhere he says, and does not have to "schlep the [written] briefs around."

But Scalia told the audience another powerful communication device will not soon invade his courtroom: television. As he has said many times before, the justice worries that greater public access to the open sessions where the court conducts oral arguments would not necessarily be a good thing.

"Familiarity breeds contempt," he said. "The fact that the court is somewhat removed is a good thing."

C-SPAN and other broadcasters have long pushed to televise the court arguments, with support from several lawmakers. Only audio of the sessions is available, but those recordings are released days after they happen. The public, of course, can attend in person, but seating is limited and requires waiting in line.

Scalia admits most of the cases are fairly boring, about such areas of law as bankruptcy and utility taxes. What he worries about are the hot-button cases like abortion and gay rights, where isolated comments by the justices aired by the media could be taken out of context.

And one televised event you are not likely to see Scalia attend is the State of the Union, which he compared to "cheerleading sessions." As judges, the justices are not supposed to show any favoritism, so they sit there politely in their black robes.

"I don't know at what point that happened, but it has happened, and now you go and sit there like bumps on a log while applause lines cause one half of the Congress to leap up while [the other] causes the other half to leap up," he said. "It is a juvenile spectacle. And I resent being called upon to give it dignity."

Sitting in the Federalist Society event at a local Washington hotel was Scalia's conservative colleague Justice Samuel Alito. He came under some criticism after January's State of the Union for mouthing the words "not true" when President Obama slammed the court's ruling in a controversial campaign finance case. Alito later said he felt "like the proverbial potted plant" at such occasions and would not be attending in the near future.

Scalia was more blunt: "You just sit there, looking stupid." For the generally verbose and animated jurist, sitting still for an hour or more at such a gathering may be an exercise he would just as soon avoid. And he does.

Shooting with friends

So what does Scalia do in his free time? Take a field trip with the newest justice. He and Elena Kagan, both native New Yorkers, were seen recently at a suburban Washington gun range, according to legal sources. Scalia had invited Kagan, 50, for an afternoon of target practice soon after she joined the high court.

The ideological opposites were spotted skeet shooting, with the more experienced Scalia offering tips on holding the shotgun for the apparent novice. Skeet involves firing at clay targets propelled into the air from various angles. Scalia is a member of the Fairfax Rod and Gun Club, but neither the company nor the court would comment officially on the excursion.

Sources close to both justices say Scalia and Kagan have gotten along famously in their first few months together on the bench. The conservative Scalia, those sources say, has warmly embraced his new liberal colleague and fellow Harvard Law School alum.

Scalia has been a longtime gun owner and hunter. As a high school student, he was a rifle team member. As he once recalled, "I used to travel on the subway from Queens to Manhattan with a rifle. Can you imagine doing that now in New York? I mean, 'There's a man with a gun!' "

On a more serious note, Scalia drew criticism after going shotgun hunting in Louisiana with then Vice President Dick Cheney at a time when the court was considering an appeal over access to Cheney's internal records. Critics called it a conflict of interest and asked him to step down from the case, but he refused. To make things worse for the 2004 private trip, the hunting party didn't get many ducks.

@highlight

Attorney getting students interested in important cases that affect everyone

@highlight

FantasyScotus.org is a teaching tool involving 200 classes around the country

@highlight

In the game, students analyze current high-profile cases, then predict the outcomes

@highlight

Among cases students are predicting: video game ban, anti-gay church group at funerals