Paris (CNN) -- Paris is home to tens of thousands of Africans who have added the tastes, sounds and look of home to the city's cultural mix.

The majority come from the Francophone North African countries of Algeria, Morocco and Tunisia, but there are also communities from Mali, Congo, Guinea, Senegal, Burkina Faso and across the continent.

According to the 2009 census, the 1.9 million population of Paris includes 30,000 with Algerian nationality, 21,000 Moroccans, 15,000 Tunisians and 54,000 with other African nationalities.

There are also many people who were born in Africa and now have French nationality, and French nationals with African-born parents. Many other Africans live in Paris without documentation and do not appear on official records.

Watch video: African culture in "City of Romance"

Samira Fahim set up an Algerian bakery and cafÃ©, called "La Bague de Kenza," in the 11th arrondissement, or district, 17 years ago.

Today it is busy with African and European customers, but it took time to establish a taste for the Algerian pastries it specializes in.

"Even though we were many Algerians living in France, it was hard to find Algerian meals in Paris at that time because we did not have a lot of tourists coming to Algeria," said Fahim.

"In those years, you could find plenty of Moroccan and Tunisian specialties because many tourists were going there on vacation and then coming back to France, but Algerian dishes were much harder to find."

Watch video: Algerian food with French twist

Fahim had to adapt her recipes to appeal to home-sick Algerians, but also to French tastes.

"We don't use too much sugar," she said. "That's because we wanted to satisfy our European clients' requests. In Algeria those kinds of pastries are way more sugary.

"We also make up new pastries. Many kids used to ask us if we had anything with chocolate so we made up new chocolate pastries."

Fahim also had to trust in her choice of location to see reward for her work. When she first opened, few people ventured down her street because it was unlit at night and many people told her the cafÃ© could not survive. Today, it is a thriving neighborhood.

Also on Inside Africa: Film shines light on Obama's Kenyan sister

Musician Djeli Moussa Conde is another bringing African culture to Paris.

Conde, who came from Guinea nearly 20 years ago, lived his first four years in Paris without documentation.

"I arrived here with a visa that was quickly expired," he said. "For four years, I stayed undocumented. It was a very, very difficult situation. I tried to cope with this situation and I got by thanks to music."

Conde found much of his inspiration in the Menilmontant neighborhood he settled in.

"I've always lived either in the 11th arrondissement, or in the 20th arrondissement," he said. "I've always stayed in this area. This is an area where there is a lot of diversity, many different kind of music.

"When I say diversity I mean this mix of colors between Africans, Chinese, Japanese, Malians, Guineans, Senegalese, people from Burkina Faso ... you see we're all here.

"The music is coming from here. We're all mixing with each other. That's why I chose this district."

Also on Inside Africa: Brazil's thriving African culture

Conde specializes in playing the kora, a harp-like instrument, and describes himself as a griot, a storyteller who keeps tradition going through generations.

"Everything I have shared I have shared it through a song, with lyrics, with music," he said. "It has always been like this. My father did it this way, my grandfather did it this way, my mum did it this way."

Thirza Vallois, an author and expert on Paris, showed CNN around the La Goutte d'Or neighborhood in 18th arrondissement, home to almost 200,000 African immigrants.

She lamented the closure of Lavoir Moderne Parisien, a theater which for 25 years featured African musicians, some of whom went on to enjoy international success.

"It's so sad, the end of a venture that went on for 25 years," she said. "This is the kind of place that Paris was flooded with. It would be the equivalent of off-Broadway for this community," she said.

She said the theater was closing because gentrification of the area had made it financially unsustainable and that its owner was leaving France with his family.

Though as one institution passes, others always find ways to continue their culture in this city.

"As Africans, we are foreigners in this country," said Conde. "We always have to keep our own identity. Even though you mix with others, you will always keep your identity, you'll always be an African and you must not forget where you come from."

@highlight

Tens of thousands of Africans have made Paris home

@highlight

Immigrants have transplanted African culture to Paris

@highlight

Samira Fahim has run an Algerian bakery for 17 years

@highlight

La Goutte d'Or neighborhood is a center for the African community