(CNN) -- I was living in Syria when the statues of Saddam Hussein in neighboring Iraq came toppling down.

Saddam, who had arrogantly had his name inscribed on bricks at the ancient city of Babylon, did not expect his rule to end so abruptly, so humiliatingly. And at the University of Damascus, students told me that they expected Syrian President Bashar al-Assad to fall soon, too. They were not alone.

With 250,000 U.S. troops amassed in Iraq in 2003, George W. Bush's White House had contemplated rolling American tanks into the Syrian capital. The Middle East was to be reshaped in the image of American democracy. But events in Iraq, Afghanistan, and North Korea distracted the Pentagon, and the "democratic domino theory" did not come to pass.

Ten years after Iraq, did the war give birth to the Arab Spring?

Yes, the Iraq War had indirect connections to the Arab uprisings that swept the Middle East and northern Africa in 2011. For one, the fall of Saddam must have psychologically empowered Arab opposition activists who saw that a Ba'thist dictator and his sons could be removed from power.

FULL COVERAGE: The Iraq War, 10 years on

But it is a mistake to suggest that Arabs across the region were directly inspired by the fall of Saddam -- if that were true, they would have risen a decade ago. Why wait until 2011? The answer is that other, more direct developments led to the ongoing Arab revolutions.

First, in the immediate aftermath of the September 11, 2001 atrocities, Arab governments used the ensuing "war on terror" to quell domestic dissent. When opposition Islamist parties questioned the legitimacy of Arab dictators, they were portrayed as al Qaeda sympathizers to the West, and their imprisonment in Cairo or Riyadh or Tripoli didn't raise international eyebrows.

The violence of radical Islamists failed to topple strongmen in Egypt and Syria in the 1960s and 1980s. And once again, from 2001 to 2011, government repression of less radical, nonviolent Islamists signalled to a younger generation of Arabs that Islamism could not overthrow autocratic regimes.

WATCH NOW: Iraq's phantom WMD

Second, as the "war on terror" unfolded, Islamists continued to fail in their decades-long pursuit to gain political office, and the widespread corruption and nepotism of regimes in Tunisia, Libya and Egypt sunk deeper, US support for Arab dictatorships also came into question.

Then U.S. Secretary of State Condoleezza Rice put it best in June 2005: "For 60 years, my country, the United States, pursued stability at the expense of democracy in this region here in the Middle East, and we achieved neither."

These were not just empty words. The U.S. government identified civil society organizations and financially supported NGOs through the "democracy promotion" agenda. During the Bush administration, annual funding for these programs exceeded the total amount spent on such programs in the entire decade to 2001, according to the 2009 budget report from the Project on Middle East Democracy.

Funding for the mostly secular democracy activists was bolstered by the training provided for them in use of social media in mobilizing people. The invention and popularity of Facebook and Twitter helped young Arabs bypass communications controlled by their dictators.

Even if this U.S.-funded training in creating political parties, electioneering, communication and media training only reached a small portion of the population, is it any wonder that English-speaking, elite, urban Arabs took to Facebook and Twitter to help overthrow dictators? Yes, there were local grievances and the uprisings were homegrown. The Arab uprisings belong to the Arab youth. But they were also responding by using modern technology to amplify the mood music of Western belief that Arabs too could create free societies. They were not an exception.

WATCH: Lingering effects of war on Iraqis

Why else were Arab protesters' attention focused on the Obama White House as they demanded the president call on Mubarak to depart? As Turkey pressured the White House to oppose Mubarak, Saudi Arabia pressured Obama to support Mubarak -- and in that way the uprisings revolved to some degree around the messages sent from the U.S. government.

The Arab Spring was going to happen with or without Saddam Hussein, but it would not have happened had it not been for the attacks of September 11. In fact, in many ways the Iraq War has prevented more from being done to aid the uprisings, hindering global resolve in attending to the killing fields of the full-blown civil war in Syria.

OPINION: Media's failure on Iraq still stings

It is the ghost of Iraq that prevents the U.S. from leading attempts to topple the brutal Assad regime in Damascus. Regime change has consequences, as we learned in Iraq. There will be no new commitments to "nation build" again, or re-train police and security forces in a far off Arab land.

The sectarianism, tribalism, Jihadism, border skirmishes and threat of chemical weapons use in Syria reminds U.S. policymakers of the American and Arab blood and treasure sacrificed in Iraq. And to what avail?

The ongoing loss of life in Syria is a direct result of U.S. foreign policy blunders in Iraq. Syrians are the victims of America's Iraq adventure. So as we ponder the last decade and current Arab uprisings, let us not gloat about the "success" of Iraq. Iraq is not a success. It is now an ally of Iran, home to a prime minister who persecutes his own political opposition, and unashamedly supports the Assad regime in Syria. Egyptians, Yemenis, Libyans, and Tunisians were not inspired by America in Iraq.

The opinions expressed in this opinion piece are solely those of Ed Husain.

@highlight

Husain: Fall of Saddam Hussein pyschologically empowered Arab opposition

@highlight

Other, more direct developments had greater effect on Arab Spring

@highlight

Iraq War has prevented more from being done to aid Arab Spring, especially in Syria