TRION, Georgia (CNN)  -- The Dodge Neon sped down Interstate 40 in eastern Oklahoma, its occupants heading to Phoenix, Arizona, to buy a load of dope. It was May 2005. The couple brought along methamphetamine, cocaine and marijuana to help pass the time on the long journey.

Paul Faulkner, 83, and his son, Michael Smith, were convicted in a drug smuggling ring in north Georgia.

At that moment, Detective Rob Rumble had no clue that the traffic stop he was about to make would launch a years-long drug investigation stretching more than 2,000 miles, from the remote mountains of northwest Georgia all the way down to Mexico.

The investigation showed how an 83-year-old grandfather adapted to the times, morphing from old school bootlegging to dealing Mexican dope. His son acted as the ringleader of the operation. His grandson was tied in too, authorities say.

"I've seen it all. Nothing surprises me," said Rumble, a drug investigator for the district attorney's office in east-central Oklahoma.

After making that traffic stop, Rumble persuaded the nervous, lanky driver from Georgia to work with authorities and tell everything he knew. Investigators were led to a sleepy pocket of Georgia with scenic mountain views where people wave to strangers from their cars and where some homes still fly the Confederate flag.  Watch moonshine, marijuana and a family feud »

It's the last place one might expect drugs from Mexico. But the demand for drugs is reaching even the most remote corners of America.

Their story has all the intrigue of a classic Southern novel -- three generations of a family business on the wrong side of the law, complete with an old fashioned family feud.

"When they're in that type of business, there's a reckoning day -- and apparently this is it," said Benny Perry, the 78-year-old mayor of Trion, Georgia, one of the towns where the family was operating.

Perry is a barrel-chested man and speaks in a welcoming Southern accent. "I'll say this, I was completely surprised," he said. "I felt like we had a problem here, but I wouldn't have thought it was originating in Mexico and coming here."

The drugs, mostly marijuana, were trucked from Mexico through California and Arizona and then distributed across five counties in Georgia and one in Tennessee, authorities say. They were hidden in just about anything -- furniture, roofs of big-rigs and tire wells. Once the shipments arrived, the dope was put in 50-caliber ammunition cans and buried in the woods, where buyers would pick up the stash and leave behind thousands in cash, authorities say.  See where the family operated »

At the heart of the operation was 46-year-old Michael Leon Smith, who authorities say became one of the richest men in Chattooga County, population 25,000, as he laundered his drug money by buying up dozens of pieces of property. One tract of land sits on Old Justice Road, an ironic name considering the law finally caught up with him.

Smith's 83-year-old father, Paul Leon Faulkner, was also busted. Eight others, including Faulkner's grandson (Smith's nephew), pleaded guilty to an array of charges related to the drug ring. The drugs mostly involved marijuana, but methamphetamine and cocaine were also part of the smuggling operation, authorities say.

"We love it when somebody says they can't be caught," said Del Thomasson, a special agent with the Georgia Bureau of Investigation who worked the case.

Faulkner, who is suffering from cancer, was handed a 20-year sentence last month and is to head to prison in August. "Twenty years, that is a death sentence," said Giles Jones, Faulkner's attorney, adding that he has appealed the sentence.

He said Faulkner was a "full-time mountain shiner" who could talk moonshine until he was "blue in the face," but knew little about the Mexican marijuana operation. Jones said the old man's son "threw his ass under the bus" to save himself.

"It's a situation where I guess you're just looking out for yourself. It's every day as every day, man," said Jones.

Not so fast, said Cathy Alterman, the defense attorney for Smith, Faulkner's son.

"Michael didn't throw his father under the bus. His father threw Michael down the drain when he was 16 years old," Alterman said. "If the father got a longer sentence, it's because he's a lousy father. ... He was never there for his son, except to be a bad example."

Smith is serving a nine-year sentence in federal prison in Montgomery, Alabama. Faulkner's grandson is also serving a nine-year sentence. There is no parole in the federal system.

Alterman said the sentences are excessive for people involved in dealing marijuana, a substance she says should be legalized. iReport.com: Time to legalize pot?

"Michael's a wonderful family man, a Christian -- which means a lot to him, a very religious man. And I point out that in the Bible, God gave us every seed-bearing plant, and I think Michael looked at it that way. And, unfortunately, our government since 1937 has not seen it as a God-given right."

Alterman is a defense attorney in suburban Atlanta, Georgia. She says about 90 percent of her clients are accused drug dealers, "most of them out of Mexico."

Asked if Smith was dealing with people tied to Mexico's ruthless cartels, Alterman said, "Yes."  Learn more about Mexican cartels »

"When you're selling in quantity -- all right, and Michael was selling in quantity -- you need someone who is able to give you a regular supply at a reasonable price, and so eventually Michael did end up buying from people who were from Mexico."

The cartels are so organized, the money so great, that when an operation like this family's is taken down, it doesn't take long for others to move in. "Within 24 hours, if someone's arrested, someone else here already in the United States in the trade will take their place," Alterman said.

"America does not know that the fingers of the cartels are basically around the throat of America," she added, "and it has spread out to rural America just as much as the inner city of Detroit."

Authorities agree. Nearly every rural community is facing a similar battle, with drug dealers taking up shop in small towns where law enforcement has less of a presence and where the nation's highways make for easy transport.

"I think people should care about what happens in a rural area, because let's face it, there are more rural areas than there are cities. Our community is not the only one affected," said GBI agent Thomasson.

A Justice Department study released last year showed Mexican cartels had a presence in 230 U.S. cities, stretching from the U.S.-Mexican border to the Southeast and as far north as Alaska. The nation's rural communities are increasingly affected. See the cartels' urban hubs

"Historically, rural America uses more alcohol and less drugs. That is changing," said Dr. H. Westley Clark, the director of the Center for Substance Abuse Treatment.

There have been few comprehensive studies over the last decade looking at the problem of drugs in rural America. According to a 2006 report by the Substance Abuse and Mental Health Services Administration, the use of illicit drugs in America is nearly the same in cities and rural areas, 8.7 percent compared to 7.8 percent respectively.

Another report, in 2000 by the National Center on Addiction and Substance Abuse at Columbia University, found that eighth-graders living in rural America were 34 percent more likely to smoke marijuana than in urban centers and 83 percent more likely to use crack cocaine.

In Trion, a town of about 2,000 people, a sign sits at the edge of the community in support of the local K-12 school. It reads, "Trion Bulldogs deserve a drug free community to live and grow!!" The words "drug free" are underlined.

Many here are shocked to hear drugs from Mexico are coming through. Most don't like to talk on the record about the case because the family was well-known, even well-liked.

"You got a guy who's a drug dealer, but you have good people in a community. I mean, they don't have a clue what's going on," Thomasson said.

The town's mayor, Perry, said it's difficult to reconcile a "cordial" local family with the serious drug convictions.

"You could talk to [them] ... and they would speak back," he said of Faulkner and Smith. "That's a big thing up here in a small town. If you speak to somebody and they don't speak back, you think, 'Well, something's wrong here.' "

Perry said local authorities are trying "to stamp out the local demand," adding, "As long as we've got a market for it, they're gonna bring it up here."

Alterman, the defense attorney, agrees.

"Americans are screaming for drugs" and there's millions to be made, she said.

"There's too much money involved."

@highlight

10 people, including grandpa, son and grandson, convicted on serious drug charges

@highlight

83-year-old former moonshiner gets 20 years; son who led operation gets 9 years

@highlight

Attorney: "If the father got a longer sentence, it's because he's a lousy father"

@highlight

Authorities say case is a microcosm of what's happening across rural America