(CNN) -- Dilma Rousseff's re-election as president of Brazil on Sunday may have surprised many.

After all, it was only a little over a year ago that social protests swept parts of the country as demonstrators complained that her government had failed to provide quality transportation, education and health care services. Economic growth, meanwhile, also slowed, from an annual GDP growth rate of 7.5% in 2010 to 2.5% in 2013.

As a result, Rousseff's approval rating tumbled from a high of 65% in March 2013 to 30% later that year (although it had climbed back up over 44% in recent months). Yet she still pulled off a narrow victory in Sunday's runoff vote. Why?

In part, her re-election suggests that most voters -- especially the poor -- were more concerned with her Workers' Party's impressive track record at reducing poverty. But Rousseff's re-election also underscored the poor's fears of selecting a fiscally conservative presidential candidate, Aécio Neves, who represented the Brazilian Social Democratic Party, which had done little to improve their lot during the 1990s. This matters in a country in which nearly half the population earns less than the minimum wage, and where the poverty rate runs unusually high for a middle-income country.

Still, although poverty rates in Brazil remain high, there has been progress: Income inequality has fallen, while the percentage of Brazilians living on less than $2 a day dropped from 6.9% in 2004 to 3.3% in 2012. This progress has come as the poor's access to food has also burgeoned, dramatically reducing hunger across the country.

Many attribute all this to Rousseff's successful anti-poverty programs, such as the Bolsa Familia (Family Grant) program. Created in 2003, Bolsa Familia is a cash transfer program that provides monthly stipends of 70 reais to approximately 13.8 million families. To receive this money, families must enroll their children in school and prove they are receiving medical vaccinations.

But the Bolsa Familia program also provided a notable political advantage. The program was created by Rousseff's political party, the PT, the brainchild of her presidential predecessor and mentor, Luiz Ignacio "Lula" da Silva, and quickly generated credibility and support among the poor. Because of Rousseff's other anti-poverty programs, such as Zero Fome (Zero Hunger), which expanded food benefits to the poor, and the Brasil Sem Miséria (Brazil without Destitution) program, the PT gained a reputation for meeting the poor's needs.

In contrast, Rousseff's opponent, Neves, represented a party whose previous president, Fernando H. Cardoso (1994-2002), was focused mainly on stabilizing the economy through tighter fiscal policy and privatization. Of course, the Cardoso administration was credited with improving education through federal programs increasing salaries for teachers, as well as impressive public health programs, such as the national AIDS program. But poverty alleviation and social welfare did not appear to be a priority for his government, and more voters appear to have felt that Brazil is in a better position today than it was 10 years ago.

The question now is what Rousseff will do to consolidate her position. Looking ahead, she seems committed to using future oil revenues obtained through Petrobras, the largest oil company in Brazil, to provide additional funding for education and health.

For example, about half the fund's reserves will go toward primary and secondary education, such as better school infrastructure, technology, teacher salaries and college scholarships. In addition, the fund will be used to increase health care spending, with an eye on improving the quantity and quality of public hospitals and personnel.

All this suggests that Rousseff appears to have learned that to be re-elected in Brazil, investing in the poor and helping them escape poverty can be more politically advantageous than simply trying to build the country into an economic giant.

@highlight

Dilma Rousseff was re-elected president of Brazil on Sunday

@highlight

Anti-poverty programs seen as one reason for her success, writes Eduardo J. Gomez

@highlight

Rousseff likely to use future oil revenues to fund education, he says