A doctor who has devoted years to aiding gang-rape victims in the conflict-torn Democratic Republic of Congo has been given Europe's top human rights award, the Sakharov Prize.

Denis Mukwege has dedicated years to providing a rare sanctuary for rape survivors in Bukavu, in the east of his homeland.

Many travel hundreds of miles to have their physical and psychological wounds healed at the Panzi Hospital he founded. Rape is used as a weapon of war in the region, making his services crucial.

The gynecologist is thought to have operated on more than 40,000 women since setting up his hospital during the 1998 war in eastern Democratic Republic of Congo.

During the worst periods of the conflict, it was estimated that one woman was raped every minute in the country, a European Union news release announcing the award said.

The conflict in his country may officially be over, but the armed conflict in eastern DRC continues, and instances of gang rape are all too common.

The prestigious Sakharov Prize is awarded by the European Parliament, a directly elected body that represents some 550 million people across the continent. It includes prize money of 50,000 euros (about $63,500).

Mukwege: 'Abhorrent barbarism'

In a statement posted on the website of the Panzi Foundation USA, Mukwege said that he had received the news of the award "with humility" and that his thoughts were with the victims and survivors of sexual violence around the world, particularly in his own country.

He thanked the European Parliament for shining a spotlight on the "horrific and abhorrent barbarism" that plagues eastern Democratic Republic of Congo and called for united action to bring peace, justice and democracy to the troubled region.

"We think about those who fight against stigma and social exclusion, those who fight for justice, and for their rights," he said.

"The Sakharov Prize is a strong signal, telling the women they have not been abandoned to the barbaric fate. It tells them that the world listens to them. It is a message of encouragement and hope for all those who struggle for their human rights, for peace and democracy in the DRC and all over the world."

European Parliament President Martin Schulz said the body's leaders had decided unanimously to grant the prize to Mukwege "for his fight for protection especially of women."

Mukwege continues to perform surgery two days a week as well as managing the hospital and traveling overseas to advocate for women's rights, the EU said.

'Worse than leprosy'

At the Panzi Hospital, many women are treated for vaginal fistula -- a muscular tear caused by violent rape -- and are also given counseling and treatment for the psychological repercussions of their experiences.

Mukwege thinks that fistula, which causes incontinence, is one of the worst conditions a woman can experience. "A fistula is dramatic for a woman," he told CNN in a 2009 interview. "Everywhere she goes, people don't want to be around her and reject her, so it's a disease that is worse than leprosy."

The women at Panzi Hospital view Mukwege as a father. "I may be the only one to whom they can express what they feel," he said. "Sometimes it's important to help them heal psychologically and tell them: 'You are not destroyed. They wanted to destroy you, but you are still a woman. You are a woman, and you need to be strong.' "

In February of this year, Mukwege was awarded the Hillary Rodham Clinton Award for Advancing Women in Peace and Security.

He was also seen as a contender for this year's Nobel Peace Prize. It was in fact awarded to children's education campaigners Malala Yousafzai, who won the Sakharov Prize last year, and Kailash Satyarthi.

@highlight

Denis Mukwege thanks European Parliament for spotlighting sexual violence

@highlight

He says the prize "is a strong signal, telling the women they have not been abandoned"

@highlight

The Congolese doctor set up a hospital in 1998 to treat survivors of gang rape

@highlight

The Sakharov Prize is the top human rights award given by the European Parliament