(CNN) -- No one, especially not one of Mexico's top law enforcement officials, denies that killings by drug cartels have reached record levels.

Mexican police carry a body after a clash with gangs that left 21 dead in the state of Chihuahua on February 10.

But Monte Alejandro Rubido Garcia, executive secretary for the National System for Public Safety, has an explanation.

"Mexico all of a sudden stopped being a drug-transit country and became a drug-consuming country," Rubido told CNN on Thursday.

That means gangs that once shipped drugs into the United States are now fighting each other to sell the drugs at home, he said. Their fights center on territory -- who gets to sell what and where.

"The only way to settle their differences is through violence," Rubido said. "They're fighting block by block in a very violent way."

The result is a brutal onslaught that resulted in about 5,400 deaths last year, more than double the 2,477 tallied in 2007. Many analysts say Mexico is on track to set a record again this year.

Former U.S. House Speaker Newt Gingrich called the situation in Mexico a "civil war" on a national TV program a few weeks ago.

Larry Birns, director of the Washington-based Council on Hemispheric Affairs, terms it "a sickening vertigo into chaos and plunder."

The violence also is a result of the Mexican government's stepped-up fight against the drug cartels. President Felipe Calderon's administration has spent more money and confiscated more drugs than any previous one, Rubido said.

"Every time the state strikes a blow against them, their reaction is more violence," Rubido said of the drug cartels.

A United Nations report released this week notes that the "government of Mexico faces violent opposition by drug cartels to its attempts to fight organized crime and drug trafficking," adding that "drug cartels have responded with unprecedented violence."

Much of this violence, Rubido said, is carried out in "high-impact" fashion, aiming to get attention and demoralize the cartels' enemies. For example, decapitations have become common. But decapitation often is not the cause of death.

"They're first killed with a shot, then decapitated for maximum visual impact," the law enforcement official said. "They're trying to make the state go into reverse."

That will not happen, Rubido vowed. "The only way to fight this is like we're doing in Mexico."

He listed three fronts in the conflict: a frontal assault on the gangs; prevention campaigns against drug use; and a common strategy and tactics among Mexico 1,660 police agencies.

It's a tough battle, he admits, especially since the use of cocaine in Mexico has doubled in the past four years. Cocaine traffickers, Rubido said, have been looking for new markets and have targeted Europe and Mexico.  Watch how the violence is affecting the United States »

The U.N. report released this week notes that "despite concrete measures adopted by the government, drug abuse remains high in Mexico, especially among school-age children and young people."

The war on drugs in Mexico is made even more difficult by rampant corruption, the report says.

"There is so much money involved in the drug trade, there is so much fear involved in the drug trade, that no institution can survive unaffected," said Birns.

Says Peter Hakim, president of the Inter-American Dialogue, a Washington-based policy center: "This has really revealed just how corrupt Mexican officeholders are, how many people in key positions in the anti-drug war have been taking money from narcotraffickers."

In one recent instance, Noe Ramirez Mandujano, who was the nation's top anti-drug official from 2006 until August 2008, was arrested on charges that he accepted $450,000 a month in bribes from drug traffickers while in office.

There have been other similar arrests of high-ranking officials for taking bribes from drug traffickers.

"There's no way the public treasury can pay what the drug traffickers are paying," Hakim said.

Rubido acknowledges the situation. "It is a problem, and it is assumed as fact," he said Thursday. But he also sees the arrest of high-ranking officials as proof that anti-corruption efforts are working.

Drug lords have two ways to battle anti-crime efforts, he said: bribes and intimidation.

That intimidation can often take brutal forms. Last weekend, for example, a police official in Tabasco state who had arrested a trafficker a week earlier was killed. So were his mother, his wife, his children and nieces and nephews. His brother, also a state police officer, was wounded, as were two others. In all, 12 people were shot dead in three homes. Six of them were children.

A few days earlier, a retired army general was abducted, tortured and shot 11 times, less than 24 hours after becoming Cancun's top anti-drug official. He, his aide and a driver were all found dead in a truck by the side of a road. Cancun's police chief was arrested a few days later in connection with the slayings.

Still, Rubido and others say, most of the deaths involve just drug traffickers, not ordinary citizens.

"Ninety percent of the people who died last year in organized crime were involved in crime," Rubido said. "The problem is among criminal gangs."

Rubido sees the Mexican government prevailing. "I have a firm conviction that it's a battle we will win," he said.

Others are much less certain.

"The occasional anti-drug battle is being won, but the war is being lost," said Birns of the Council on Hemispheric Affairs public policy institute. "And there's no prospect the war is going to be won."

That pessimism that the current strategy is working has led to calls for a new approach.

Last week, the former presidents of Mexico, Colombia and Brazil called for the decriminalization of marijuana for personal use and a change in strategy on the war on drugs. Ex-presidents Ernesto Zedillo of Mexico, Cesar Gaviria of Colombia and Fernando Henrique Cardoso of Brazil made their announcement at a meeting in Brazil of the Latin American Commission on Drugs and Democracy.

"The problem is that current policies are based on prejudices and fears and not on results," Gaviria said at a news conference in which the 17-member commission's recommendations were presented.

Robert Pastor, a Latin America national security adviser for President Carter in the late 1970s, calls the problem in Mexico "even worse than Chicago during the Prohibition era."

He said a solution similar to what ended that violence is needed now.

"What worked in the U.S. was not Eliot Ness," he said, referring to the federal agent famous for fighting gangsters in 1920s and '30s. "It was the repeal of Prohibition."

Rubido is diplomatic, saying decriminalizing drugs is a "terribly sensible" approach that has received much thought. But he's not buying it.

"This has become a world of globalization," he said. "Globalization has many virtues, but some errors. I can't conceive that one part of the world would decriminalize drugs because it would become a paradise for drug use. It might bring down violence, but there would be social damage."

@highlight

Official says drugs being used more inside Mexico, leading to turf wars

@highlight

Rubido: "They're fighting block by block in a very violent way"

@highlight

Violence also result of government's stepped-up fight against cartels, official says

@highlight

Official says decriminalizing drugs may lessen violence but increase social damage