Slovyansk, Ukraine (CNN) -- In a forest of pines to the east of Slovyansk, Prapor and his seventy men were digging in Thursday. A man in his late-fifties with a magnificent beard and four different weapons, Prapor freely admitted he was not a local. But he was here -- he said -- to resist the "Ukrainian fascists" in Krasny Liman, a nearby town just recaptured by government forces.

He was dismissive of the group that had fled Krasny -- "Cossacks," he sneered. He had already lost seven men, but his fighters were the bravest. They would not run away.

Meeting Prapor was revealing in several ways. Pro-Russian separatists working in eastern Ukraine are better organized, better armed (Prapor's group had a truck-mounted anti-aircraft gun that was clearly working), and more of them appear to come from beyond Ukraine. And they are building a maze of roadblocks and defensive positions across the region.

But a few kilometers beyond, in rolling countryside under a hot sun, a very different group was setting up camp: a substantial force of Ukrainian paratroopers, with armored personnel carriers and artillery. Above, a reconnaissance plane drifted in loops.

Both sides look -- at least militarily -- more competent than they did a few weeks ago. Checkpoints used to be few and far between. Now there is a maze of them -- more separatist than Ukrainian -- dotted across both the Donetsk and Luhansk regions. The insignia of the "Vostok Battalion" -- a group that includes both Russian and local fighters -- is common at the roadblocks that have sprung up on the main roads leading into Donetsk.

A few weeks ago, we watched the bedraggled remnants of the Ukrainian army's 25th Division surrounded and harangued by locals near Kramatorsk. Now there is a sense of purpose among the units newly deployed, and a greater readiness to use heavy armor. Throughout an extensive tour of the Slovyansk area, the crump of artillery and boom of tankfire sounded periodically.

But the targeting is sometimes puzzling.

Krasny Liman is a town of some 20,000 people and a major railway junction. But one of its two hospitals is in ruins, struck repeatedly by what appeared to have been mortars or shells. There was also evidence of strafing from the air. A tearful nurse approached us, saying that whoever had done this was not human. She -- and others -- thought Ukrainian forces were responsible, but they could not be sure. Patients had been evacuated, but one middle-aged man sat listlessly on a bench outside. He had nowhere to go, he told us; a doctor came past once a day to give him an injection.

The new mayor, installed Thursday as Kiev's local appointee, said he would investigate the bombing of the hospital. But for the government, recovering Krasny Liman is a rare victory -- and judging by the number of troops installed around the town, one it intends to protect. Now Ukrainian armor seems intent on squeezing separatist positions closer to Slovyansk.

It seems like eastern Ukraine is half-way through a game of chess, pieces scattered across the board in threatening positions, with neither black nor white close to checkmate. Civilians, whatever their allegiance, are suffering the consequences.

The main highway that links Slovyansk and the Russian border, a route crowded with trucks just a few weeks ago, is deserted. In places the tarmac is chewed up by the impact of mortar fire. But once in a while an ancient, battered car lurches onto the road from a farm-track. A family has escaped from Slovyansk, where water and electricity supplies are faltering and fresh food is getting more difficult to find.

The intentions of either side in this scattered war of attrition are hard to work out. Some Ukrainian analysts say that Russian President Vladimir Putin has what he wants already, a simmering insurgency that can be stoked any time Ukraine's new leader, Petro Poroshenko, looks to deepen his country's relationship with Europe and NATO. There seems to be no attempt from the Russian side to stem the growing flow of fighters crossing into Ukraine, and border clashes have intensified.

As for Kiev's strategy, it's unclear as of now whether it feel its "Anti-Terrorist Operation" can overcome the separatists or at least redress the military balance as a precursor to negotiations. What seems unlikely is that Poroshenko will accede to the demand of the Prime Minister of the self-declared Donetsk People's Republic, Alexander Borodai, who told CNN there would be no talks until Ukrainian forces left the Donetsk and neighboring Luhansk regions.

Poroshenko's message to the east in his inauguration speech Saturday will be closely scrutinized, but even ordinary people in Donetsk are suspicious of him, noting his support as a candidate for a hard line against the separatists and his threat to send the army into the city. The new President's message to the outside world will be equally critical, as he walks the tightrope between making Ukraine part of Europe -- the dream, still unrealized, that brought thousands onto the streets of Kiev in February -- and reassuring Russia that its interests in the neighborhood will be acknowledged. It is a reality he recognized when he told the Washington Post in April: "Without a direct dialogue with Russia, it will be impossible to create security."

Creating security seems a long way off. On Thursday, a car raced out of Slovyansk and emptied a mother and her three young children on the main highway to be ferried somewhere safer. Drawing on a cigarette, the 30-something driver called Vladimir said they were not his relatives. He was just helping them escape.

"It's hell down there," he said, before jumping into his car to return.

@highlight

It seems like eastern Ukraine is half-way through a game of chess, writes CNN's Tim Lister

@highlight

Lister: Civilians, whatever their allegiance, are suffering the consequences

@highlight

The intentions of either side in this scattered war of attrition are hard to work out, he says

@highlight

Lister: Creating security seems a long way off, writes Lister