(CNN)  -- The news of intense drug-related violence out of Jamaica is shocking and dreadful but entirely predictable. Wherever the war on drugs touches down, death and destruction result. A recent target is Kingston, Jamaica.

When law enforcement attempted to smoke out Christopher "Dudus" Coke, wanted in the U.S. for conspiracy to distribute marijuana and cocaine and to traffic in firearms, scores of people died in the urban warfare. The death toll reached 73 civilians as Jamaicans were caught in the crossfire between police, soldiers and armed thugs.

Rival drug gangs used the confusion to eliminate their enemies and further ratchet up the violence. Coke has since agreed to surrender to officials in New York, because he "feels it is in his best interest to be taken to the U.S. rather than to a Jamaican jail," sources told the Jamaican Observer, but not before scores of people died.

Given that the scenes of violence between rival drug gangs are so common, people often fail to consider the factors that fuel this violence. The reality is that Jamaicans are just the latest victims in a misguided and expensive war that has taken countless thousands of lives, from the streets of New York to the slums and shantytowns of Colombia, Mexico and other third-world nations.

In more than four decades since former U.S. President Nixon first declared America's "war on drugs," the battles against spreading disease, increasing violence and the ongoing destruction of families and neighborhoods have been lost.

Mexico, a country all too familiar with violence as a way of life, is today a stark example of how crackdowns on drug cartels by American and local law enforcement agencies have utterly failed.

The horrible drug-related violence in Mexico was intensified by President Felipe Calderón, with strong U.S. support. This crackdown has resulted in about 23,000 drug-related deaths across the country since 2006. The bloodiest war has been fought in Juárez, a besieged city of 1.3 million on the U.S. border, where 5,100 people have been killed since 2008.

The global drug war has created a massive illicit market with an estimated annual value of $320 billion. In April, the newly created International Centre for Science in Drug Policy, of which I am founder, released a review of every English-language study to examine the link between drug law enforcement and violence.

The review clearly demonstrates that the astronomical profits created by drug prohibition drive organized crime and its related violence. Several studies included in the report suggested that law enforcement's removal of key players from the drug trade, such as Christopher Coke, only creates power vacuums that lead to violent and deadly competition. Many victims are not involved in the drug trade, as today's civilian deaths in Mexico, the U.S. and Kingston's slums illustrate.

The war on drugs has generated a lucrative, cash-rich industry that has -- not surprisingly -- lured poverty-stricken participants from throughout the impoverished third world. In West Africa, entire countries, such as Guinea-Bissau, are at risk of becoming "narco-states" as Colombian cocaine traffickers employ West African trade routes to distribute cocaine into destination markets in Europe, Russia and the Middle East.

Estimates now suggest that 27 percent of all cocaine destined for Europe is transited through West Africa and is worth more than $1.8 billion annually wholesale -- and as much as 10 times that amount at the retail level. Illicit drugs are big business, with the influence and global reach that goes along the ability to create widespread wealth.

Another conclusion of the review was the clear evidence that drug law enforcement has failed to reduce the availability of illegal drugs.

From a scientific perspective, we must accept that law enforcement will never meaningfully reduce the flow of drugs. Economists know that the drug seizures we see over and over again as part of police photo ops have the perverse effect of making it that much more profitable for someone else to sell drugs. The laws of supply and demand have simply overwhelmed police efforts. With young people reporting that obtaining illicit drugs is easier than getting alcohol or tobacco, the situation could not get much worse.

Strong scientific evidence points to the effectiveness of alternative regulatory models established in Portugal, the Netherlands and Switzerland to counter the disastrous consequences of illicit drug use and drug policies.

The Cato Institute, a respected U.S. think tank, has released a report on alternative drug policies. Several years ago, Portugal parted ways with the U.S. and decriminalized all drugs so that resources could focus on prevention and treatment of drug use. The report shows Portugal's policies have dramatically reduced HIV rates as drug addiction has been viewed as a health, rather than criminal justice, problem. In addition, Portugal now has the lowest rates of marijuana use in the European Union, with experts suggesting that the health focus has taken some of the glamour out of illegal drugs.

Similarly, the de facto regulation of marijuana in the Netherlands and distribution through licensed coffee shops generates tax revenue for the country rather than profits for organized crime. Interestingly, rates of marijuana use in the Netherlands remain far lower than those in the U.S. Consider this against the backdrop of the mayhem in Mexico, much of which is driven by fighting to control the marijuana export industry.

The American "get tough" approach, although politically popular in certain circles, has failed to achieve its intended objectives: The supply of illicit drugs has increased, the costs of illicit drugs have dropped, and drug purity has risen. The mounting bloodshed in Mexico and the recent mayhem in Jamaica clearly demonstrate that the U.S. is exporting violence, breaking up families and increasing the taxpayer burden to help fight these fruitless battles.

Americans themselves are suffering deeply from these misguided policies. It's time to just say no to the war on drugs and to implement science-based alternative policy models that are proving effective in other parts of the world.

The opinions expressed in this commentary are solely those of Evan Wood.

@highlight

Evan Wood: Scores killed in Jamaica in attempt to nab suspected drug lord

@highlight

War on drugs has created a violent underground with billions to be made, Wood says

@highlight

Thousands of people die and gangs kill for profits, yet drugs get more plentiful, he writes

@highlight

Wood: Scientific, health-based approach instead of criminal approach works elsewhere