Melissa Harris-Lacewell is associate professor of politics and African-American studies at Princeton University. She is the author of the award-winning book "Barbershops, Bibles, and BET: Everyday Talk and Black Political Thought" and writes a daily blog titled The Kitchen Table.

Melissa Harris-Lacewell says African-Americans remain skeptical about racial progress in the U.S.

PRINCETON, New Jersey (CNN) -- America was proud of itself for electing Barack Obama. The pride was not just partisan and ideological; it was also specifically and clearly racial.

The morning after Obama's win, The New York Times declared "Racial Barrier Falls in Decisive Victory." The Los Angeles Times asserted that "for the first time in human history, a largely white nation has elected a black man to be its paramount leader."

Some black commentators openly wept on election night, thrilled with witnessing the election of our first black president. Even Sen. John McCain, conceding defeat, pointed to the greatness of the American promise fulfilled in the election of his opponent. Obama's victory offered the possibility that the scars of America's racial legacy were healed or, at least, that they were less raw.

For many African-American citizens, the election of the first black U.S. president was cause for celebration and open-mouthed wonder about an outcome that seemed so unlikely just two years earlier, when Obama announced his bid.

Despite this joy, many black citizens were dubious that his victory represented the destruction of any particular racial barrier.

African-Americans were both proud of and excited about Obama, but in the 45 years since the passage of the Civil Rights Act, black Americans had seen doors to power, influence and wealth open just enough to admit just a few without fundamentally altering opportunities for the majority.

Indeed, responses to a recent CNN/Essence Magazine/Opinion Research Corp. survey indicate that black enthusiasm about Obama exists side-by-by side with deep skepticism about America's racial progress.

This atmosphere of both enthusiasm and doubt has sparked discussion about whether we have entered a post-racial era in American politics.

It is a difficult debate, because the term "post-racial" is not clearly defined. Race itself is a slippery idea. Typically, we treat race like a fixed, unchanging, biological category. But race is none of these things.

Race is a social construct. Though it is based in physical traits, race is a category developed through social practice, law and history. As a nation, we made blackness through our politics, developing a category of people who could be enslaved and later segregated.

So when we talk of a post-racial America, we are not pointing to the massive demographic shifts that are unalterably changing the racial, ethnic and linguistic landscape of America. Instead, "post-racial" is an expression of social and political longing.

For most, this means an America free of racism and discrimination, but others seem to hint at a society entirely free of racial identity or recognition.

The idea of a post-racial America has been upheld as an achievable ideal where people would receive equal treatment and fair outcomes regardless of their race.

It has been critiqued as an impossible dream unlikely to exist in a nation with a history of slavery and legal discrimination.

It has been denounced as an unworthy goal that would require black Americans to reject their cultural specificity and unique social and political concerns.

Undoubtedly, the 2008 election broke formerly entrenched racial trends. Obama was elected just as the depth and breadth of the American economic crisis was becoming clear. Some suggested that his victory could be explained by the nation's fiscal difficulties because he was the candidate of the out-party, which often wins when times are hard. But this analysis forgets the cross-cutting history of race.

When the economic pie shrinks, Americans rarely form multiracial political coalitions led by minority candidates. Obama's victory countered the trend toward racial balkanization more typical in tough economic times.

The changing dynamics of racial politics were further evidenced when Obama won both Virginia and North Carolina. In these Southern states and in many blue states throughout the country, Obama shattered the "Bradley Effect," often getting a higher percentage of the white vote than polls predicted. There was little evidence that white voters rejected Obama based on his race, and few white Democrats crossed party lines to vote for McCain.

For these reasons, Obama's win offers evidence of a post-racial American electoral politics. And if not post-racial, these data at least point to a much less racist American voting public than what existed 40 years ago.

Still, the election of a black president has not changed the material realities of racial inequality. African-Americans are significantly more distressed than their white counterparts on every meaningful economic indicator: income, unemployment, wealth, education, home ownership and home foreclosures.

African-American social realities are equally grim. Blacks are far more likely to be arrested and more harshly sentenced than whites. African-Americans are less likely to marry, more likely to divorce and more likely to live in single- parent households. Compared with whites, blacks are more likely to suffer infant mortality, cancer, diabetes and premature death.

Substantial evidence shows that the economic, social and even political gains made by African-Americans in the 1960s and 1970s have leveled off or reversed in the past decade in areas such as urban education, the number of black elected officials and the racial wealth gap. The murder of a security guard at the national Holocaust museum by a racist anti-Semite reminded the nation that old-fashioned, violent bigotry still has life in America.

These sobering realities indicate that race still vastly over-determines the life chances of Americans. These differences cannot be explained away by class alone, because most of these inequalities persist even when controlling for income. To be born black in America is still a tremendous disadvantage compared with being born white in this country.

Herein lies the challenge facing Americans in this new racial era. For much of the 20th century, the battle for civil rights rested on a belief that political equality would translate into social and economic justice. There can be little doubt that many of the substantive battles for political power and representation have been won. In that sense, Obama's election is the fulfillment of a post-racial political promise.

It is equally clear that this political arrival has not ushered in the other substantive racial changes that the civil rights movement hoped to achieve. In many ways, political equality is just the beginning of the process. The work of politics is to collectively craft the nation we want to have. The election of Obama does not indicate the realization of post-racial America, but it does allow us the opportunity to engage in renewed, collective questioning of what a racially just nation is like.

Having achieved so much politically, there is still real debate about how to end overt racism, structural discrimination and persistent inequality. Some want a country where the black kids don't sit together in the cafeteria, while others hope black kids being together will provoke neither comment nor anxiety.

Some want a nation where no one notices race, while others hope that their racial identity can be both recognized and appreciated. Some worry that eliminating racial barriers will only solidify economic differences, while others suspect that economic justice cannot be achieved without grappling with race. Some want the end of all inequality, while others simply hope disparities will be based on "merit" rather than race.

As citizens in a democracy, we can choose the future of our racial politics. Not all at once and not without struggle, but we can make new choices

And this time, African-Americans participate in the process of remaking America's racial story from a very different position than we have occupied in the past. Rather than being solely on the margins of national power, black Americans, through the person of Obama, have achieved a new kind of citizenship more empowered to recreate American race.

This does not mean black people have equal political or economic power, but it does mean that the election of Obama encourages black Americans to even more loudly and clearly articulate our varied aspirations for our country.

In November, we did a marvelous thing. Now, the work begins.

The opinions expressed in this commentary are solely those of Melissa Harris-Lacewell.

@highlight

Melissa Harris-Lacewell: Barack Obama's election celebrated as racial triumph

@highlight

She says it represented real progress in the arena of politics

@highlight

Harris-Lacewell: In many other areas, issues of race remain significant