Fort Hood, Texas (CNN) -- The only question left for the jury considering the case of Army Maj. Nidal Hasan is whether he will live or die for targeting Afghanistan-bound soldiers in one of the largest mass killings of military personnel on a post on U.S. soil.

Jurors deliberated less than seven hours over two days before finding Hasan guilty Friday on 13 counts of murder and 32 counts of all charges in connection with the November 5, 2009, shootings at a deployment process center.

The Army psychiatrist admitted to targeting soldiers, saying previously he wanted to protect the Taliban and its leaders from the U.S. military.

The court-martial moves on Monday to the penalty phase, where Hasan -- acting as his own attorney as he did during the trial -- will have the opportunity to address the jurors considering whether he should be executed for his actions.

The big question is whether Hasan will take the stand in the penalty phase after declining to testify himself, cross-examine witnesses or give a closing statement.

The American-born Muslim has indicated in documents leaked to the media that the death penalty would allow him to become a "martyr."

For a family member of at least one of Hasan's victims, the death penalty "would be too lenient."

Fort Hood victims feel betrayed

"I would much rather see him sit in prison for the rest of his life. He shouldn't be allowed to dictate what happens. He wants to motivate other terrorists," Joshua Gadlin told CNN by telephone. "...We need to stop him from being martyr" to terrorists.

Gadlin's wife, former Army Pvt. Amber Bahr Gadlin dragged a wounded soldier out of the deployment processing center as Hasan targeted people in uniform with his laser-mounted weapon.

He shot her in the back.

Today, the outer wounds have healed. It's the unseen ones -- the emotional scars of that day -- that haven't, Gadlin said.

'Remember the day'

At this sprawling 350-square mile Army post in central Texas, the case has routinely dominated the headlines of the local newspaper and television stations.

For many here, there was life before the rampage, one where there was the reality that loved ones could die or be wounded while fighting in Afghanistan and Iraq. Then there was life after -- after loved ones were gunned down by a fellow soldier.

"You don't hear people talking about it all the time, but you think about it," said Paula Wells, who said works on the Army post in a civilian capacity.

"I remember the day it happened, and it was shocking. Here the guys go to war and come back, and they get killed here. It isn't supposed to happen that way."

But it did, for those who survived and the families of those who did not.

Soldier on soldier attacks

In Lacey, Washington, tears rolled down Autumn Manning's face when she learned that Hasan was found guilty of shooting her husband, Staff Sgt. Shawn Manning, six times.

"I've been crying all day, like most of the victims have, but it's a sense of relief. This is just the start for the victims because we have sentencing," she told CNN by telephone.

Manning's husband was one of the nearly 90 witnesses who testified for the prosecution during 12 days of testimony, delivering a horrifying account of the massacre as Hasan stared at him.

Manning, 37, was in the deployment processing center, texting his wife as he awaited his turn, when someone in front of him shouted "Allahu akbar" -- Arabic for "God is the greatest" -- and began firing.

He described his bullet wounds, including one that pierced part of a lung. "I figured the shooter would finish me off," Manning said.

The two -- Hasan and Manning -- locked eyes as the staff sergeant identified the major as the man who shot him.

Manning's wife, who watched the testimony from the gallery, said there was a relief when it was over.

Much had been made about whether Hasan, who was acting as his own attorney, would cross-examine the witnesses, including her husband.

"I was pretty angry. I was anxious all week not knowing if he was going to cross-examine my husband or not, and not sure how my husband will deal with that," she said. "I noticed he was making eye contact with my husband, and that just infuriated me."

Inside the courtroom, shortly before the verdict was delivered, the judge cautioned the spectators in the gallery against outbursts.

Hasan stroked his beard as the jury -- a military panel of 13 senior officers -- filed into the courtroom. He then looked at the head of the jury -- a colonel -- who affirmed a verdict had been reached.

Hasan showed no emotion as the verdict was read, a contrast to a handful of some of family members who cried or gave one another brief hugs.

'A first, small step down the path of justice'

"Today's guilty verdict, rendered almost four years after the attack, is only a first, small step down the path of justice for the victims," said attorney Neal M. Sher, who represents victims and families of those killed in a compensation claim against the government for failing to stop the attack.

Almost immediately after the attacks, there were widespread questions about how Hasan was evaluated, promoted and transferred to Fort Hood with plans to deploy to Afghanistan despite questions about his actions, including giving an academic presentation on the value of suicide bombings.

Sher renewed the call for the government to reclassify the shootings as a "terror attack" rather than workplace violence.

"Justice for the victims of Fort Hood will be done only when the government admits its mistakes, keeps its promises to 'make the victims whole' and comes clean about Fort Hood, " Sher said. " The victims, and the American people, are owed nothing less."

As has been done nearly every day in the three-week court-martial, the judge asked Hasan if he had reconsidered defending himself as the case enters the penalty phase.

Jurors "will decide whether you live or die," the judge, Col. Tara Osborn, told Hasan after reconvening the court Monday afternoon as part of the penalty phase preparation. "...I think it is unwise for you to represent yourself."

Hasan told the judge he intended to continue representing himself in the case.

'Jihad duty to kill'

On Thursday afternoon, the judge handed the case to the jury after Hasan declined to make a statement during closing arguments that followed 12 days of testimony.

The prosecution urged the jury to convict, saying the evidence showed that Hasan believed he had a jihad duty to kill as many soldiers as possible.

For more than 90 minutes, the prosecutor took the jury methodically through the evidence in the case, meticulously piecing together how he said Hasan prepared and planned for the attack.

Prosecutors have maintained that the American-born Muslim underwent a progressive radicalization that led to the massacre at the sprawling central Texas base.

"He did not want to deploy, and he came to believe he had a jihad duty to kill as many soldiers as possible," Col. Steven Henricks told the jury.

Hasan picked the day -- November 5, 2009 -- because it was when the units he was scheduled to deploy with to Afghanistan were scheduled to go through the processing center, he said.

Hasan rested his case without calling a single witness or taking the stand to testify on his own behalf.

His decision not to offer a defense was an anticlimactic end to the trial in which prosecution witnesses, primarily survivors, painted a horrific picture of what unfolded inside a processing center during the attack.

During closing arguments, prosecutors showed a graphic FBI video of the crime scene hours after the rampage, where bodies, blood and bullets still covered the floor.

As the video was shown to the jury, some of the family members of those killed fought back tears.

One woman laid her head on her husband's shoulder, tears streaming down her cheeks, while another woman, a wife of a victim, left the courtroom.

For his part, Hasan watched the video, appearing to pay close attention

Hasan's defense

Much has been made of Hasan's defense or, as his stand-by attorneys have said, the lack of it. The judge, Osborn, declined a request by Hasan's attorneys to drop out of the case. The attorneys argued that Hasan was helping the prosecution put him to death.

There may be something to that claim.

Hasan took credit for the shooting rampage at the outset of the trial, telling the jury during opening statements that the evidence will show "I was the shooter."

Osborn barred Hasan from pleading guilty at the start of the court-martial. Under military law, defendants cannot enter guilty pleas in capital punishment cases.

The judge refused to allow Hasan to argue "defense of others," based on his claim that he carried out the shootings to protect the Afghan Taliban and its leaders from U.S. soldiers.

Perhaps as a way around that ruling, Hasan in recent days has leaked documents through his civilian attorney to The New York Times and Fox News that offer a glimpse of his justification for carrying out the attack. Among the documents was a mental health evaluation conducted by a military panel to determine whether Hasan was fit to stand trial.

"I'm paraplegic and could be in jail for the rest of my life. However, if I died by lethal injection, I would still be a martyr," he told the panel, according to pages of the report published by The New York Times.

The judge excluded much of the evidence that the prosecution contends goes to the heart of the motive for the attack, including e-mail communications between Hasan and Anwar al-Awlaki, the U.S.-born cleric who officials say became a key member of al Qaeda in the Arabian Peninsula. He was killed in a U.S. drone strike in 2011.

@highlight

The jury that convicted Nidal Hasan in the Fort Hood shootings will decide his fate

@highlight

The penalty phase begins on Monday

@highlight

Death penalty "would be too lenient," says the husband of one victim

@highlight

Hasan has indicated the death penalty would allow him to become a "martyr"