Guantanamo Bay, Cuba (CNN) -- Every day, the workers in the Guantanamo Bay kitchen cook three squares for the detainees held here.

And every day, up to 100 of the 166 inmates send them back. They're protesting their ongoing imprisonment by going on hunger strikes for what is now 100 days.

Not only has Guantanamo Bay become a lightning rod for America's critics -- it's no prize for America's taxpayers, either.

Running the prison camp costs the Pentagon more than $150 million a year -- just over $900,000 for each of the 166 detainees at the facility, located on a Navy base on the eastern end of Cuba. By comparison, costs for a typical federal prison inmate run about $25,000 a year; at the "supermax" prison in Colorado that holds domestic terrorists Eric Rudolph and Ted Kaczynski, it's about $60,000.

And despite calls by President Barack Obama himself to close the 11-year-old facility, the military is about to spend millions more to upgrade the prison camp.

"We have to always plan to conduct that mission from now into the future," said Army Col. John Bogdan, commander of the military's Joint Detention Group at Guantanamo. "And the policymakers will decide when that mission's over."

Daily life at Guantanamo: Hunger strikes, sprays of filth

The renovation plans include a $50 million overhaul for Camp VII, the most secretive part of the compound. The inmates there include Khalid Sheikh Mohammed, the self-professed organizer of the September 11, 2001, attacks on New York and Washington; accused co-conspirators Walid bin Attash and Ramzi Bin al-Shahb; and Abd al-Rahim al-Nashiri, the man accused of leading the plot to bomb the destroyer USS Cole in Yemen, killing 17 American sailors.

They face trial on war crimes charges before the military courts set up to try al Qaeda and Taliban figures. Most of the rest of the prisoners face no charges at all.

Because the facilities were hastily built and never thought to be permanent, the prison camp may need as much as $170 million more in repairs, said Marine Corps Gen. John Kelly, the chief of U.S. forces in the region.

"This is really a kind of thrown-together operation," Kelly told the House Armed Services Committee in March. "It's really not 11 years long. It's really one year, 11 times."

The kitchens are "literally falling apart," Kelly said, and the barracks that house the 1,900 troops assigned to the prison camp need replacing. And since everything has to be brought in from outside, it all costs about twice as much, he said.

Guantanamo at a boiling point

The decrepit remains of previous units -- the original Camp X-Ray, where detainees were first housed in chain-link cages, and the successive Camps I-IV -- still stand on the way to the infirmary. Weeds grow up among the rusted gates, empty watchtowers and abandoned exercise equipment, all within a mile of the facilities where the remaining prisoners are held.

A total of 86 of the 166 detainees have been approved for transfer out, but both the Obama administration and Congress have effectively halted the moves. The last transfer took place in September, and the State Department office tasked with finding countries that would take the others was closed in January.

And the indefinite imprisonment the detainees face has fueled the wave of hunger strikes, which have progressed to the point where about 30 inmates are being force-fed.

"It's kind of a tough mission," the camp's senior medical officer, who was interviewed on condition of anonymity for security reasons, told CNN. "This is kind of an ugly place sometimes."

The battle to force feed Gitmo detainees

The inmates are given a last chance to drink a nutritional supplement before being force-fed. If they refuse, they're strapped to a chair and a plastic tube is shoved up their noses, down their throats and into their stomachs.

The Pentagon says the feeding program is lawful and humane. The inmates are given a numbing gel and the thin tubes are lubricated before being inserted, they say.

"Nobody's expressed to me that this hurts," the senior medical officer said.

But Cori Crider, a lawyer for hunger striker Samir Moqbel, called it "an incredibly agonizing process."

"You don't get farther than about here, into your throat, before the tears start streaming down your face. ... He said he had never felt so much pain like that in his life," she said.

Photo: Inside look at Guantanamo

The practice has been condemned by human rights groups and the American Medical Association, which says every patient has the right to refuse even life-sustaining treatment. But the senior medical officer said that when a prisoner is on the verge of harming himself, "suddenly it's not a very abstract decision."

"It's very easy for folks outside this place to make policies and decisions that they think they would implement," he said.

"There's a lot of politics involved" in the AMA's opposition he added, "And I'm sure there's lots of politics that they need to answer to as well."

CNN Pentagon Correspondent Chris Lawrence reported from Guantanamo Bay. Matt Smith reported and wrote from Atlanta.

@highlight

Friday marks 100 days of hunger strikes at Guantanamo Bay

@highlight

It costs $900,000 per detainee to run the camp, and it's "falling apart"

@highlight

"This is kind of an ugly place sometimes," its chief medical officer says