Big Business isn't embracing President Barack Obama's decision to reform the immigration system by executive order, but the community's top lobbyists aren't joining Republicans in slamming Obama's announcement, either.

They just want the President and Congress to move forward on a permanent solution to fix a broken immigration system -- which they say can only happen through legislation.

Three top groups, which have descended on Capitol Hill to argue the economic benefits of an immigration overhaul, said arguments on the President's authority to shield millions from deportation should take a back seat to passing legislation in the next Congress.

Tom Donohue, president of the U.S. Chamber of Commerce, said that while Obama's executive actions "raise important legal and constitutional questions," Congress and the President should press ahead toward the goal of achieving bipartisan legislation.

"The debate over the president's announcement must not be allowed to forestall progress on critical priorities," Donohue said in a statement. "We call upon the president and lawmakers of both parties to enact common sense measures to provide the American economy with the workers it needs at all skill levels, while better securing our borders and dealing with undocumented immigrants."

The Chamber of Commerce and other business groups joined in an unlikely coalition last year with labor groups to urge Congress to pass comprehensive immigration reform -- a partnership that has helped immigration advocates make headway in Congress.

Business Roundtable Senior Director Matt Sonnesyn, who leads the group's work to achieve immigration reform, said he was hopeful congressional Republicans could move past Obama's executive action and toward bipartisan legislation by the spring.

But Sonnesyn said Obama's decision to act unilaterally "certainly doesn't help us get to a solution" and said even after Obama's executive orders kick in, "our immigration system will still be broken."

"Certainly what the President did last night isn't going to make it easier for everyone to come together to fix immigration," Sonnesyn said. "After some of the initial emotion dials down from what's happened here, we'll all be able to look at this constructively."

That emotion is resounding among GOP congressional leaders and potential Republican candidates. House Speaker John Boehner said Obama "cemented his legacy of lawlessness," Sen. Rand Paul said he "will not sit idly by and let the President bypass Congress and our Constitution" and Sen. Ted Cruz called Obama's actions unconstitutional.

Boehner said Friday the House "will in fact act" on immigration, but did not give specifics as to how the body would respond to Obama's executive action.

Republicans hammer legal case against Obama on immigration

Business Roundtable, which among other groups, lobbied Congress last year alongside the Chamber of Commerce and the Partnership for a New American Economy to pass the Senate's bipartisan reform bill, supports most of the policies Obama announced Thursday, but would like to see them in the form of legislation.

Sonnesyn said he is hopeful the Republican-led House, which did not take up the Senate's immigration bill, will work to pass immigration legislation or a series of smaller bills that address some of the key problems.

On immigration, a tale of two presidents

One of the key players in that effort will be Rep. Mario Diaz-Balart, a Republican from Florida who has worked to push an immigration bill through the House.

Diaz-Balart said he questions the legal authority of Obama's actions, but said Friday on CNN that he supports "a lot of the specific things in the President's executive order."

And Diaz-Balart appeared ready to move past that question in favor of working toward legislation, arguing that voters' message in the midterms was a call to end dysfunction and work together.

"I'm going to try to work with the President or anybody else, whether it's immigration reform or other important issues," Diaz-Balart said. "I hope we can work through this."

John Feinblatt, chairman of the Partnership for a New American Economy, said the benefits of the policies Obama announced Thursday will ultimately outweigh how those policies came to be.

"You're going to here a lot of people take issue with the process but in the end I think you have to distinguish between the process and the substance," Feinblatt said.

But Feinblatt, a close adviser to former New York Mayor Michael Bloomberg, who founded the group, said he is just glad "everybody in Washington is talking about immigration."

"We're no longer arguing about whether to do immigration," Feinblatt said. "We might be arguing about which branch should lead, we might be arguing about the process, we might be arguing about how you do it -- but we're not actually arguing about whether this country needs to reform its immigration policies. That's progress."

The economic and political imperatives to reform the immigration system will ultimately prompt Republicans to work toward legislation before the 2016 presidential election, Feinblatt said, pointing to the growth of Hispanics and Asians as a share of the voting population.

"Congress Is going to have to get to work," he said.

@highlight

Three top pro-immigration business groups said Congress needs to pass legislation

@highlight

The top lobbyists said they were hopeful Congress could work on legislation next year

@highlight

While not necessarily thrilled about executive action, they emphasize working together