Washington (CNN) -- Police erred by not obtaining an extended search warrant before attaching a tracking device to a drug suspect's car, the Supreme Court said in a unanimous ruling Monday.

A majority of justices said that secretly placing the device and monitoring the man's movements for several weeks constituted a government "search," and therefore, the man's constitutional rights were violated.

Four other justices also concluded that the search was improper but said it was because the monthlong monitoring violated the suspect's expectation of privacy.

U.S. Supreme Court rules on health care challenge | On humane treatment of downed livestock

That difference of legal analysis may create further confusion among law enforcement over when and for how long such high-tech operations can be used, on both criminal suspects and the general public.

At issue was whether movement in a private vehicle on city streets is "public" in nature.

Growing sophistication of electronic devices to monitor the movements of suspects made this issue ripe for review, since lower courts had disagreed on when such surveillance is permissible without a warrant.

The devices send an electronic signal to a satellite, allowing real-time plotting of someone's whereabouts.

Antoine Jones was a co-owner of Levels, a Washington nightclub, when he was suspected of trafficking cocaine on the side. A joint FBI-D.C. police team covertly attached a GPS device to his Jeep outside the terms of a warrant.

A warrant had been granted, but installation of the GPS device was authorized by a judge only within 10 days and only in the District of Columbia. Agents waited until the 11th day to secretly place it on the vehicle, and they did so in neighboring Maryland. Jones was then monitored for 28 days as he drove around the area.

He was eventually tracked to a house where law enforcement officers discovered nearly 100 kilograms of the illegal narcotic, along with about $850,000 in cash. Jones was sentenced to life in prison.

The court was being asked to decide whether such covert surveillance violated the Fourth Amendment and whether in this case it should be considered a "search," a "seizure" or both.

The justices agreed police violated Jones' rights but disagreed on just why.

The Constitution's Fourth Amendment says, "The right of the people to be secure in their persons, houses, papers, and effects, against unreasonable searches and seizures, shall not be violated."

Antonin Scalia wrote for a five-vote majority that a person's property is legally sacred, and the government had to justify placing a GPS device on the vehicle. Scalia said the electronic age does not change a centuries-old concept.

"The government physically occupied private property for the purpose of obtaining information," said the ruling. "We have no doubt that such a physical intrusion would have been considered a 'search' within the meaning of the Fourth Amendment when it was adopted."

Chief Justice John Roberts and Justices Anthony Kennedy, Clarence Thomas and Sonia Sotomayor agreed with the conclusions.

But a group of four justices led by Samuel Alito concluded that the majority's reasoning was "artificial" and did not address larger legal concerns of searches in the digital age, including GPS. He said the court should have used this case to clarify the limits of police monitoring of wireless personal communication devices like mobile phones and Internet use.

"The availability and use of these and other devices will continue to shape the average person's expectations about the privacy of his or her daily movements," Alito wrote. "In circumstances involving dramatic technological change, the best solution to privacy concerns may be legislative."

But the U.S. Congress and most states have not kept up with the times, Alito said, leaving courts to sort out what level of privacy a citizen can expect.

He said that in this case, four weeks of tracking was more than enough to justify police getting a search warrant.

Alito was backed by Justices Ruth Bader Ginsburg, Stephen Breyer and Elena Kagan.

The justices have another pending case they may decide to tackle, from an Oregon inmate who faced similar circumstances. Police there had attached a GPS device to Juan Pineda-Moreno's car while it was parked on his property. Officers then tracked him to a remote marijuana field he was cultivating. He was convicted and sentenced to more than four years behind bars.

Unlike in the Jones case, a federal appeals court in San Francisco ruled that this was not a "search," so no warrant was required to place the device on Pineda-Moreno's Jeep Cherokee. His conviction was upheld.

The justices have not taken any action on the Oregon appeal, perhaps waiting to resolve the issue with Jones' appeal from Washington.

The current case is U.S. v. Jones (10-1259).

@highlight

Following a car for weeks via a tracking device requires a search warrant, justices say

@highlight

The justices are divided on what they say makes the action unconstitutional

@highlight

Justice Alito, for the majority, cites the "physical intrusion" of placing the device

@highlight

Four others say the lengthy monitoring violated the suspect's expectation of privacy