(CNN) -- Social problems are now so prevalent in South Korea that, for the first time, an insurance company is set to offer cover for the victims of societal "evils."

Dubbed "four evils" insurance, the new policy will compensate victims of the four biggest social problems of South Korean society today -- bullying in school, low-quality or "adulterated" food products, domestic violence and rape -- as defined by the Park Geun-hye government.

An independent panel, composed of different interested parties including women's organizations and advocate groups, has been advising the insurance sector.

The country's second largest non-life insurance company, Hyundai Marine & Fire, is currently ironing out the details of the new policy with the government, and will begin offering the product in March.

Rooting out these societal evils has been a key initiative of Park's administration since the president came into office last year.

While local media have reported that the monthly premium will be approximately â‚©10,000 ($9) to â‚©20,000 ($19) and there will be a payout limit of â‚©1 million ($930) for psychological damage claims, both the company and the Financial Supervisory Service (FSS) said the details are still under negotiation.

"We are not focusing on profit as we develop this new policy, but rather the social aspect of providing help to those who have been unable to receive [it] until now," Hyundai Marine & Life spokesperson Byung-ju Lee told CNN.

While the idea was proposed to many insurance companies by the advisory panel, which isl dedicated to the eradication of the "four evils," Hyundai is the only one currently developing the product.

"Municipalities would be able to take out insurance on behalf of its citizens, and schools would be able to do so on behalf of students," FSS non-life insurance division director Yoo Byung-soon told CNN.

"This insurance comes out of voiced needs to rescue those who cannot pay for insurance themselves," said Yoo.

Instead of payouts being customized on a case-by-case basis, a predetermined compensation will be given once the insured meet the necessary criteria, as laid out by the company and the government.

The new policy will also cover psychological damage to some extent -- a landmark move as insurance coverage for psychological services have been notoriously difficult to obtain in the past, to the point where it is widely believed that seeking psychological help will hurt insurance premiums and have a crippling impact on any future coverage.

Rooting out evil

Far from being a sales gimmick, the new insurance policy is a studied reflection of the issues facing modern South Korean society.

Domestic violence and rape carries a heavy social stigma, and the police and other law authorities are known to pressure women into dropping charges of sexual assault, resulting in only one in ten of cases being reported.

Women's rights advocates say rapists who do get convicted serve little time and can easily avoid their sentences or fines.

The Wall Street Journal reported that the number of people charged for sex crimes rose 38% in 2012, compared to four years earlier.

Last July, Yonhap news agency reported that sexual assault cases had more than doubled within the past decade, but the arrest rate of perpetrators had declined by more than 8%.

Along with stress from school grades, bullying is one of the causes known to contribute to South Korea's extremely high youth suicide rate. A report last year showed that the number of teen suicides in South Korea had risen 57% in 2011 compared to 2001 figures.

South Korea's suicide rate among youth increased by 57% in 2011, compared to 2001, and was the biggest cause of death among teenagers in the nation.

New policy

The new insurance is sure to be watched closely by other companies in addition to watchdogs and researchers.

"If the new policy is successful, out then it will give new business chances to insurance companies as well as benefits to consumers," Korea Insurance Research Institute vice president Ahn Chul-kyung told CNN.

"I may recommend it to consumers because it covers victims we really worry about, but to businesses, personally I'd say that in terms of risk management, other insurance companies need to see how it goes."

@highlight

Victims of school bullying, rape and other social problems will be covered under new insurance policy

@highlight

Park Geun-hye government focusing on eradicating "four evils" from Korean society

@highlight

Details are still being ironed out, but the policy will be offered from March