(CNN) -- She's really very stealthy.

Nina Katchadourian has been creating unusual works of art from her airplane seat -- and occasionally the lavatory -- since 2010, and during the 101 flights since she started flying in a "furiously alert and creative" state, only three people have ever asked about her in-flight activities.

Those activities include photographing disaster scenarios, seat-buckle seatmate portraits, snack sculptures and more with her iPhone for a body of work called "Seat Assignment."

Katchadourian's years-long project was born on a 2010 flight from New York to Atlanta when she decided that instead of trying to make the time go away or to pretend she wasn't trapped in a metal tube, she'd create things within the spacial and material limitations of an airplane.

World's 100 best beaches

"It's an ongoing experiment with the interesting tension between freedom and constraint," she said. "What can you do with very little? And when you're forced to think that way I think you start becoming inventive and you have to think expansively and quite freely for anything to happen."

That free thinking led the Brooklyn-based artist to a series of self-portraits in the airplane lavatory where strategically placed toilet seat covers and paper towels provide the flavor of 15th-century Flemish portraiture.

That segment of the project is complete -- thanks to several bathroom photo shoots during a 14-hour flight to New Zealand. The trip was particularly productive for Katchadourian, who was on her way to become an artist in residence in Dunedin in 2011. She created an entire exhibit for the Dunedin Public Art Gallery on the way to her post. But she's not always so busy on planes -- sometimes she takes a nap or watches a movie like the rest of us.

CNN spoke with Katchadourian recently about her unique approach to air travel. The following transcript has been edited for length and clarity:

CNN: Do you talk to your seatmates?

It's very interesting. I feel like years ago, there was a very different attitude around that kind of social situation with who you were sitting next to, and I can remember getting on planes and being even a little bit sort of excited and curious about who I'd be sitting next to. You know, there would inevitably be a little bit of conversation about "How are you doing?" and "Where are you headed?" and I feel like that has sort of stopped in recent years. It really rarely happens anymore.

So it seems to be more common that people sit in their seat, and they want to just stay in their zone, and you've kind of purchased your tiny piece of space on the plane and you're trying not to trespass. And so no, there has been very little conversation. And on 101 flights, I've had exactly three people, ever, ask me questions about what I was up to. And I think in part that's because I'm fairly stealthy about what I'm doing. I mean, I think that ... the camera phone is important because I essentially kind of look like a bored person trying to pass the time. I'm just kind of taking these random-looking snapshots of things in front of me. And I really don't want it to look like I'm making art. I want it to look like, in fact, I do sort of want it to look like I'm a bored person. So the very thing I'm trying not to be sort of becomes my alibi in a strange way.

Probably the funniest question that's come my way was on a flight ... heading back from London to New York. I'd been busy making a little stop-action animation on my tray table using a postcard I'd bought from the National Gallery and some sugar that I had poured on the postcard, and I was poking with one finger while I took pictures with the other hand. And I was sort of making this sugar shape swirl around on top of this image, and I finished that and I started working on something else, also using the sugar, and the guy next to me said, "I think the previous one was turning out better," and I thought, "Uh oh, I've had an audience and I haven't even known that."

Camping: Horror or bliss?

CNN: When did you start the portraits in the lavatory?

So the first one of those happened on a domestic flight, I guess about six months before the New Zealand trip. And it was also a very spontaneous moment. I had just been in the bathroom and before I walked out, I took one of those tissue paper seat covers and put it on my head and thought "Huh, that's odd. I remind myself a little bit of a Flemish painting." And you know, "Why did I just make that?" I didn't really know.

But in the spirit of the project, you kind of try everything, and I try not to talk myself out of anything. So if something comes to mind, I give it a shot. And then I kept thinking about that one photograph, and I thought I'd really like to make a few more of those. And on a 14-hour leg from San Francisco to Auckland I was pretty sure that there would be long stretches of time when people would be asleep and when the bathrooms wouldn't be occupied. And so I kind of banked on that and got an aisle seat so that I would be able to get in and out of my seat easily without disturbing anyone. And sure enough there was never a line, people were asleep for hours upon hours of that long flight and I had plenty of opportunity to go back there and make a few more of these portraits.

Can the 'game-changer' still live up to its name?

CNN: What's a shooting stretch in the lavatory? How long does that take?

Well, my very first foray back there was probably a few minutes because I was very, I don't know, I just thought, "I have to hurry up. I have to do this fast. What if there's someone waiting to get in here?" But there never was. I maybe made five or six forays to the bathroom and I think by the end I was spending 15 minutes in there comfortably without worrying about it so much. And that series, that happened on that one flight. That series is complete. I have not added to it. It's done. I consider that kind of a finished project.

CNN: These photos are kind of fun and optimistic. Do you think that sets you apart from other travelers?

Well, they actually aren't all fun and optimistic. I think it's also important to see a whole category of pictures that have been part of this project as a reflection on the anxiety that I also feel when I travel. There's a whole huge category called "Disasters" where I'm crumbling up pretzels and making landslides or taking sweater lint off my sweater and making smoking plumes that come out of airplane jets and all these kind of imagined things that can go wrong.

There's also a way to see "Seat Assignment" as a project that helps me cope with the low grade, for me low-grade, stress of travel. You know when you fly, you're inside this metal tube full of a couple hundred people you don't know and you're hurtling through space. And on one hand, this has become very mundane and it feels a little like getting on a bus, but on the other hand, there are moments when I think, "this is completely crazy," and it's very anxiety provoking to imagine things going wrong.

I think that for me, "Seat Assignment" is such an absorbing and distracting project that when I'm really dug into making something, I'm very content. I'm really happy, I'm really absorbed, I'm really in the moment, I guess you could say, and I don't sit there worrying or feeling kind of squashed in my seat or anxious or uncomfortable if it gets turbulent or any of those kinds of things. So the project really has -- there are many temperaments within it.

CNN: Do you have the same process when you're traveling with someone?

I'd say 90% of them are work trips, and as a result I'm usually traveling alone. So when there is someone I know next to me, of course then I don't ever have to wonder, "What is the person next to me thinking?" because they know. That's part of the challenge too, is how far am I willing to go. ... I really don't ever want the project to become intrusive. ... Gum, for example. I've done a few things with chewing gum, but ... I really don't ever do things with chewing gum if there's someone next to me who I don't know because I feel like it's just a little too impolite.

CNN: Will this series have an end?

I don't know. For the moment it's ongoing and I keep adding to it, and I really feel like it hasn't played out yet. So as long as I feel that way, it's gonna keep going.

Some of Katchadourian's "Seat Assignment" work is on view through September 15 in an exhibition at Turner Contemporary in Margate, England, called "Curiosity: Art and the Pleasures of Knowing." Starting in June, a show at the Saatchi Gallery in London will feature some of her work as well.

@highlight

Artist Nina Katchadourian has been using her camera phone to make art on flights since 2010

@highlight

Lavatory portraits using toilet seat covers raise questions about what goes on in there

@highlight

The limitations of space and materials present challenges that push the artist forward

@highlight

There's "tension between freedom and constraint," she says