(CNN)After an incredibly busy 2014, during which health stories like Ebola, new food nutrition label rules, and the debate about the right to die sparked by Brittany Maynard dominated the headlines, it's now worth looking at what we may be covering in the next 12 months.

So, in no particular order, here's my take on the nine big health stories to watch for, and the questions they will likely raise, in 2015.

Doctor shortage. There aren't nearly enough of us to care for the U.S. population. By some estimates, the country is already short of tens of thousands of doctors, a problem that will only get worse as the demand for care increases with our aging population.  That could mean longer wait times for you when you need to make an appointment. But that also means policy makers will have to consider questions like: Is there a way to increase the number of residency training slots?  Are there other health care professionals who can reasonably fill in the gaps? Will the nation's quality of care go down?  How can the country avoid a situation where only the wealthy will be able to afford quality care?

Hospital errors and infections. Hospital mistakes and infections are still one of the leading causes of preventable death (indeed, some studies suggest "hospital-acquired conditions" kill more people than car accidents or diabetes).

True, a recent study showed the rate did get better this year, saving tens of thousands of lives. But what else can hospitals do to prevent these mistakes and infections?  Can technology like e-prescriptions and electronic health records prevent problems that most often occur: the mistakes caregivers make with a patient's drugs?

Antibiotic resistance. It has been called public health's "ticking time bomb." The World Health Organization calls antibiotic resistant infections one of the biggest threats to global health today. Each year, at least 2 million people become infected with bacteria that are resistant to antibiotics, and at least 23,000 people die each year.   Most of these deaths happen in health care settings and in nursing homes. How can we respond? Well, research teams around the world have already started searching for the next generation of infection-fighting drugs. But it remains to be seen if time will run out, sending us back to the beginning: a time before antibiotics, where even a cut that becomes infected could kill you.

More do-it-yourself health care: apps and technology. Technology has made do-it-yourself patient care much easier.  This goes beyond just a patient's ability to look up their symptoms online.  There are apps to help with autism, apps that can simulate a check-up, apps that can monitor conditions. Wearables can motivate you to walk more or sleep more or check a diabetic's glucose level. But how does all this helping yourself make your health care better?   How much is too much? And what does this mean for your privacy? After all, the health care industry accounted for 43% of all major data breaches in 2013. Meanwhile, although 93% of health care data requires protection by law, some surveys suggest only 57% of it is "somewhat protected." What could this mean for your privacy and personal information if security doesn't get better?

Food deserts. While not everyone agrees with the term food desert, the USDA still estimates 23.5 million people live in these urban neighborhoods and rural towns with limited access to fresh, affordable, healthy food.  Without grocery stores in these areas, residents often have to rely on fast food and convenience stores that don't stock fresh produce. It takes a real toll on their health. Families who live in these areas struggle more with obesity and chronic conditions, and they even die sooner than people who live in neighborhoods with easy access to healthy food.  More farmers markets are now accepting food stamps and many nonprofits have stepped in to try to bring community gardens and healthy food trucks to these areas, but so far it's not enough.  Will cities offer incentives to grocery store chains to relocate to these neighborhoods?  How else can this system be helped?

Caregivers for the aging population. We are heading into a kind of caregiver crisis.  The number of people 65 years and older is expected to rise 101% between 2000 and 2030, yet the number of family members who can provide care for these older adults is only expected to rise 25%. This raises a series of related questions, not least who is going to step up to fill the gaps?  Will cities that don't traditionally have strong public transportation systems add to their routes? Will developers create more mixed-use buildings to make shopping and socializing easier to access?  Could the government create a kind of caregiver corps that could check in on the isolated elderly?  Who will pay for this expensive kind of safety net?

The cost of Alzheimer's. Currently about 5.2 million Americans have Alzheimer's. That number is expected to double every 20 years. With a cure some way off, what can be done to ease the emotional and financial burden on families and communities affected by the disease? The Alzheimer's Association predicts that by 2050, U.S. costs for care will total $1.2 trillion, making it the most expensive condition in the nation.  How will we be able to afford the costs of caring for this population? What can the country do to achieve the goal the White House set for preventing and effectively treating Alzheimer's by 2025?

Marijuana. With the growing acceptance of weed, we can expect that more laws will change to allow medical and recreational use of marijuana.   How will the rest of the laws in this country adjust?  For instance, Washington state is coming up with a Breathalyzer-type device to check if drivers are high. But it will be interesting to see how readily available these devices are going to be. Will legalization improve the scientific understanding of the long-term consequences of the drug? What other uses could this drug have to help those who may need pain relief most?

Missing work-life balance. Americans spend more time on the job than most other developed countries. We don't get as much vacation, we don't take what vacation we have, and we are prone to working nights and weekends. This stress has a negative impact on Americans' health.  What are companies doing to help? What technology can change this phenomenon? Will millennials who say work-life balance is a bigger priority than other generations rub off on the rest of us? What can we personally do to find a better balance?

We may not be able to answer all these questions in 2015, but we sure will try.  And the health team and I look forward to exploring these issues with you in the coming New Year.

CNN's Jen Christensen contributed to this report.

@highlight

Sanjay Gupta: There aren't enough doctors to care for U.S. population

@highlight

Gupta looks at medical issues that will be in the news in 2015