Washington (CNN) -- Political fireworks over a little-noticed Supreme Court appeal and a separate whistleblower lawsuit had U.S. Attorney General Eric Holder and a longtime congressional adversary exchanging harsh words at a House committee hearing Wednesday.

Holder, testifying before the Republican-led House Judiciary Committee, sparred with GOP Rep. Darrell Issa of California over congressional requests for private e-mails of top Holder aide Thomas Perez, who is President Barack Obama's nominee to be Labor Secretary.

Issa suggested Holder had political motives for delaying release of the electronic messages. The two repeatedly talked over each other, and Holder concluded the exchange with a personal attack.

"It is inappropriate and it is too consistent with the way in which you conduct yourself as a member of Congress. It is unacceptable and it is shameful," he told Issa, the chairman of the House Oversight Committee who led the effort last year to cite Holder for contempt of Congress in the panel's investigation of the Fast and Furious gun-walking program.

Other committee members from both parties then openly debated the propriety of Issa's questioning.

At issue is whether Perez -- who heads the Justice Department's Civil Rights Division -- improperly intervened with St. Paul, Minnesota, officials last year in getting them to drop the city's pending Supreme Court appeal over public housing conditions. The Justice Department pulled out of a separate lawsuit it had joined that was brought by a neighborhood pastor and whistleblower.

In a report last month, congressional Republicans alleged that Perez engaged in a "quid pro quo," placing "ideology over objectivity and politics over the rule of law."

Issa opened his questioning by playing an audio clip of a phone call by Perez. Issa suggested Perez in the call was trying to keep any arrangement with St. Paul officials from being disclosed publicly. The congressman then asked whether it was appropriate to "trade a case."

Holder shook his head and said, "I don't agree with that characterization."

Democratic Rep. Sheila Jackson Lee of Texas then jumped in and questioned whether it was proper to play the audio clip without prior notification to committee Democrats. That prompted a spirited back-and-forth among members.

Congressional Republicans say the alleged agreement between federal and city officials cost taxpayers $200 million dollars. Republican Sen. Charles Grassley of Iowa said Tuesday that Perez's involvement should disqualify him to become Labor Secretary.

"I do not believe Mr. Perez gave us the straight story when he was called upon to answer questions about this case, and for that reason I will strongly oppose his nomination," Grassley said in reference to questioning of Perez by the Senate Judiciary Committee.

The controversy concerns two separate court cases over alleged public housing discrimination in Minnesota's capital.

The Supreme Court case dealt with whether federal law allowed landlords who rent to minorities a right to challenge a city housing code.

The St. Paul housing code requires properties to remain in habitable condition. The landlords claim city officials have been overly aggressive in enforcing those requirements, with the hardest impact on minority occupants.

Republicans said Perez was concerned a high court defeat for the city would set back or invalidate the legal strategy the Justice Department would use in other broader discrimination investigations.

That strategy in short says plaintiffs need not show "intent" to discriminate, but merely that policies or enforcement have a "disparate impact" on minorities and other protected classes.

Just days before the Supreme Court was set to hear oral arguments in Magner v. Gallagher in February 2012, the city announced it was dropping its appeal.

Internal Justice Department e-mails obtained by CNN showed Perez helped persuade the city to withdraw, then pushed other federal officials to back out of separate private lawsuits against St. Paul.

Led by Rev. Frederick Newell, head of the True Spirit Ministries and a local jobs activist, the suits alleged the city fraudulently made certifications in federal HUD grants totaling about $200 million.

"The department abandoned the whistleblower, Fredrick Newell, after telling him for years that it supported his case," said the report by congressional Republicans. "The manner in which the department treated Newell presents a disconcerting precedent for whistleblower relations."

City officials, the Justice Department, and some congressional Democrats said the HUD grant lawsuits were without merit. A federal judge last year dismissed one of the suits.

However, Republican legislators had issued a subpoena for Perez's private e-mails, saying he may have used personal accounts to arrange the deal.

"We have been cooperating and will continue to cooperate with legitimate oversight requests," a Justice Department spokesperson said last month.

Because of the issue, Perez's confirmation hearings for Labor Secretary have been postponed.

Other contentious issues at the hearing dealt with a Justice Department investigation of Associated Press phone records as part of alleged leaks by government officials, and a probe into whether the IRS unfairly targeted conservative advocacy groups seeking tax-exempt status.

@highlight

Attorney General Holder calls GOP Rep. Darrell Issa's conduct "shameful"

@highlight

Issa and Holder spar over emails involving aide Thomas Perez, a Cabinet nominee

@highlight

Issa led the effort to cite Holder for contempt of Congress last year in another case

@highlight

Holder answers questions by the House Judiciary Committee