The first thing you notice about New York's Ellis Island hospital is its sheer scale. Twenty-two buildings are perched proudly on the island's south side, their original vocations ranging from maternity ward, to psychiatric unit, to the contagious disease wing.

The Ellis Island hospital complex, used between 1902 and 1930, was where immigrants were checked before being allowed onshore. Here, within view of the Statue of Liberty, babies were born, people died, and a constant stream of patients with new illnesses arrived.

It was the biggest public health initiative the U.S. had ever attempted and now, it is open to the public for the first time in 60 years.

The hospital's record is impressive. No epidemic on the U.S. mainland was ever attributed to an immigrant that came through its checking system.

"There were fears of epidemics" the museum historian Barry Moreno told me. Cholera had broken out in New York in the 1890s, and "there were fears of smallpox...and typhus. But there was no epidemic that ever stemmed from here." The hospital, he added, "played a very big role in screening immigrants."

The second thing that hits you is the hospital complex's authenticity. It looks like the dust has settled on a fire drill, from which no one returned.

Single stools are left overturned. Buckets are left on top of closets, and bed frames lie rusty but intact in corners.

The complex has survived extreme elements. Two years ago hurricane Sandy crippled the north side of the Island, closing the immigration museum there for a year. But the hospital stood firm, testament to a time when buildings were built "very sturdily," Moreno says.

One of the volunteer tour guides at the hospital, Tony Mrozinski, takes me into the morgue, where raked concrete benches tower over the area where autopsy tables once stood. "People always ask me," he says, "when the concrete was restored. I tell them: 'it wasn't.'"

The third thing you notice is what makes this place so addictive to the curious visitor. It's the blend of adversity and opportunity. Patients were subject to suffering and humiliation, but they received top-class treatment and the opportunity of a new life.

Ellis Island has been described as an island of hope, an island of tears -- and the two fit in the same breath. This is not only a halfway house between origin and destination, but between captivity and free will, sickness and health.

As part of its opening, the hospital French artist JR has created an installation inside its brick maze. JR has taken original photographs of the patients and doctors that walked its corridors, enlarging them to life-size and pasting them on the crumbling walls, windows and doors.

Janis Calella, president of the government-funded Save Ellis Island group, says the use of historic photographs and their placement through the hospital "evoke some sort of an emotion," making it easier to support the work.

Permanent exhibitions are not permitted by the National Parks Service, which runs Ellis Island, and the images can be peeled off if required. However, there are no plans to do so, Calella says. The exhibition "will last here for as long as it lasts." she says.

@highlight

New York's Ellis Island hospital complex is now open to the public for tours

@highlight

Immigrants were stopped at the hospital and checked for disease between 1902 and 1930

@highlight

French artist JR has placed life-sized images of former doctors and patients on its walls

@highlight

The complex is a mix of hope and pain, the gateway to a new life and world