Washington (CNN) -- The full Senate formally kicks off debate Tuesday on the bipartisan "Gang of Eight" immigration reform bill -- a plan which, if enacted, will create a 13-year path to citizenship for most of America's 11 million undocumented immigrants.

Among other things, the measure aims to strengthen border security while raising the cap on visas for high-skilled workers and establishing a new visa program for low-skilled workers on America's farms and elsewhere.

"This week, the Senate will consider a commonsense, bipartisan bill that is the best chance we've had in years to fix our broken immigration system," President Barack Obama said Tuesday.

"If you genuinely believe we need to fix our broken immigration system, there's no good reason to stand in the way of this bill."

Needless to say, a lot of folks on Capitol Hill disagree with the president.

"This bill has serious flaws," warned Senate Minority Leader Mitch McConnell, R-Kentucky. "There will need to be major changes to this bill if it's going to become law."

Here are five key things to know about the state of play on this controversial issue:

1) The 'Gang of Eight' remains unified

Eight men put the bipartisan Senate bill together -- South Carolina Republican Lindsey Graham, Arizona Republican Jeff Flake, Florida Republican Marco Rubio, Arizona Republican John McCain, New Jersey Democrat Robert Menendez, Illinois Democrat Dick Durbin, Colorado Democrat Michael Bennet, and New York Democrat Chuck Schumer. Each of the eight has promised to oppose any major changes to the bill.

During Senate Judiciary Committee's consideration of roughly 300 proposed amendments, Flake and Graham repeatedly sided with the panel's Democrats in opposing significant changes offered by their fellow conservatives. Schumer and Durbin voted against some amendments proposed by more liberal members, even though the pair said they supported the ideas.

Rubio was disappointed that the committee rejected an amendment requiring the use of biometrics -- such as fingerprints -- for visa holders at all of the country's entry and exit points. But he hasn't dropped his support for the overall bill.

"Everybody needs to know it -- who's calling the shots," conservative Alabama GOP Sen. Jeff Sessions said at one of the committee's meetings on the bill. The answer, at least so far, remains the "Gang of Eight."

2) Reform advocates have momentum, but there's a long way to go

Advocates for comprehensive immigration reform won their first major legislative victory last month when the Judiciary Committee voted 13-5 to approve the "Gang of Eight" plan.

The committee's tally was significant in part because three Republicans -- Flake, Graham, and Utah's Orrin Hatch -- joined the panel's Democrats in backing the measure.

Assuming every member of the Democratic caucus backs the bill on the Senate floor, five Republicans will be needed to ensure it receives the 60 votes needed to pass the 100-member chamber.

he bill's backers have been hoping for as many as 70 votes, in order to give the proposal significant bipartisan momentum heading into the tougher GOP-controlled House.

The Senate voted 82-15 to open debate, an important tally but in no way a predictor of how the issue will play out.

Make no mistake -- serious momentum will be needed in the House, where conservatives remain deeply skeptical about border security and any path to citizenship for those who entered the country illegally.

A lot of conservatives consider the current proposed path to be a form of amnesty, which may as well be a four-letter word in this debate.

Any measure that passes the House will almost certainly have to be reconciled with the Senate plan in a conference committee. And assuming that can be done, both chambers would then have to pass the compromise legislation.

3) It's not clear anything can pass the House

A bipartisan working group in the House -- similar to the Senate's "Gang of Eight" -- has been on the verge of unveiling legislation for months, according to multiple sources. But it hasn't been able to seal the deal, and one of the Republicans in the group recently dropped out.

Idaho Rep. Raul Labrador said he was frustrated he couldn't get support for a provision ensuring undocumented workers are barred from any taxpayer-funded health care benefits.

For his part, Speaker John Boehner, R-Ohio, has repeatedly said he supports the work of the House bipartisan group. He won't, however, weigh in on any policy details.

A number of congressional observers believe that after experiencing a backlash from many of his rank and file members for cutting "backroom deals" on other issues, Boehner wants time to educate his caucus on immigration reform and gain some buy-in for any bill or set of bills.

Boehner could antagonize many of his members if he decides to move forward with a bill requiring a majority of Democratic votes to pass.

"If the speaker allows a vote on any immigration bill that results in the passage despite a majority of the Republican conference voting against it, then it will be interesting to see if he can muster the votes to get re-elected after the next election," Alabama GOP Rep. Mo Brooks recently told CNN.

4) Immigration is Obama's best shot for big second-term legislative win

Why? Democrats are basically unified on the issue, while Republicans are divided. On Sunday, New Hampshire's Kelly Ayotte became the first GOP senator outside of the "Gang of Eight" to publicly endorse the group's plan.

"This is a thoughtful, bipartisan solution to a tough problem," she said on CBS's "Face the Nation."

Nothing focuses a politician's attention like an election loss, and Republicans were thumped last year by the country's growing Hispanic population.

Latinos backed Obama over Mitt Romney by a 44-point margin. GOP strategists are concerned about the party's long term viability in national elections if that trend is not reversed.

Some congressional conservatives have already said opposing the "Gang of Eight's" plan is a matter of principle and they won't bend.

But others might. This is a rare moment when the two political parties' priorities may overlap enough to make Capitol Hill a productive place.

5) Polls -- what does the public think?

Most national polling conducted over the past few months indicate majority support for an eventual pathway to citizenship, as long as undocumented workers clear a series of hurdles such as paying back taxes and fines. Support for a pathway ranges from nearly 60% to almost 80% of Americans, depending on the poll.

CNN Poll: Most see pathway to citizenship

65% of Americans back a pathway to citizenship as long as it requires payment of back taxes and fines, according to a May 30-June 2 NBC News/Wall Street Journal poll. 77% of Democrats support a pathway under such circumstances, compared to 58% of Republicans and 54% of independents.

People are skeptical, however, about the ability of Congress to get the job done, according to a May 22-28 Quinnipiac University survey. Only 24% of the Quinnipiac poll's respondents believe congressional Democrats and Republicans can work together to pass a comprehensive immigration reform bill.

71% of Americans don't expect enough bipartisan cooperation to pass such legislation, according to the survey.

CNN's Halimah Abdullah, Paul Steinhauser, and Deirdre Walsh contributed to this report

@highlight

Backers of "Gang of Eight" plan have momentum, but there's a long way to go

@highlight

The bill will require at least 60 votes -- including some Republicans -- to pass the Senate

@highlight

"Gang of Eight" bill currently faces stiff opposition in the House

@highlight

Polls show majority of Americans back a pathway to citizenship for undocumented residents