(CNN) -- I can't tell you how much sex has complicated my life -- my writing life, that is.

When I'm not being a university professor of Shakespeare studies, I write historical romance novels as Eloisa James.

My colleagues in the academy -- who may have read romance fiction in high school, but haven't stooped to read it since -- have an unfortunate predisposition to characterize my entire genre by referring to its books as "bodice-rippers."

I'm not rejecting the term "bodice-ripper" out of hand. It refers to romance novels published in the 1980s, novels in which the hero, overcome by lusty passion, quite literally ripped the heroine's blouse, the better to expose her bodacious breasts.

His button-scattering fervor allowed the heroine to enjoy sexual pleasure, but without having to explicitly agree to sexual acts, a stance that feminist scholars since then have tied to 1980s mores about women's erotic behavior.

One thing we Shakespeareans tend to forget (surprisingly, given our scholarly historical focus) is that sex -- its practices, its customs and conventions, and prevailing attitudes toward it -- is a function of the historical, cultural and social conditions of a given time and place.

What was considered fun to read in the 1980s isn't necessarily considered fun to read now, and thus the bodice-rippers of the '80s went the way of that decade's aggressive shoulder pads and crumpled leg warmers.

The United States of the 21st century is no longer in the same place when it comes to desire, women and the need to wreak havoc on apparel: In keeping with the times, my heroines tend to do their own button-scattering.

What I'm saying is that although eroticism is culturally, geographically and historically specific, we writers of historical romance sexualize history without regard for the specific epoch in which we set a novel.

No matter how historically accurate the details and language in our novels might be (and mine, in case you're wondering, are pretty accurate), we write sex from the point of view of our own contemporary attitudes and mores.

Sex would be hard to be historically precise about anyway: Who really knows what sex was like in 1600? Shagging (popular British slang as early as 1770) surely involved the same acts -- but who can say with certainty what emotions were involved?

Scholars are working on that. In mid-March I took myself off to an academic conference at the University of Pennsylvania entitled "Historicizing Sex: A State of the Field Conference in Early Modern Gender and Sexuality Studies."

The conference pulled together scholars working in feminism, queer theory and gender studies, and asked them to think about when and where cultural meanings get ascribed to sexual acts or anatomical categories.

If I'm accused, in my fiction, of sexualizing history, this conference looked as if it was doing the opposite: historicizing sex.

For my money, the best paper delivered at the conference was Richard Rambuss' "Cosmopolitan Crashaw: A Study in Style."

As Rambuss pointed out, Richard Crashaw (c. 1613-1649) was an odd bird: a male university poet who wrote rapturously of female patrons and saints, but also of a naked Jesus in extremis.

He wrote letters to fellow (need I add, male) poets with talk of "flaming kisses." Gender seems to have been a flexible concept to Crashaw; his poetry rings changes, occasionally referring to female saints with masculine pronouns.

Apparently, Crashaw has often been dismissed by poetry scholars, viewed as un-English in his luxurious emotionalism, an "exotic Italian import, like pasta or castrati," in Rambuss' citation of Frank Warnke's assessment.

Rambuss concludes that Crashaw is the "queerest" of English Renaissance poets, pointing -- in a flurry of lit-crit terms of art -- to his "queer, ecstatic, transportive traversal of identity positions."

What fascinated me about this paper -- and others at the conference -- was its move toward talking freely about depictions and explorations of historical sex as always being predicated on the present.

In other words, there is nothing to recover if we don't bring ourselves to the task; once we do, our "discoveries" are tied to the '80s, or the '90s, or the moment of writing.

Rambuss says this rather wonderfully, concluding that he wants to think of Crashaw as an "early modern proto-gay man -- or a prototype of a certain kind of gay man -- one profoundly enmeshed in various male cultures and forms of male camaraderie, but who is also in love... with his divas -- real divas, heavenly female figures the likes of Teresa, Mary Magdalene and the Madonna."

Rambuss' revelation that he "wants to think of Crashaw" as a prototype of a modern gay man is important. I too want to find myself in the past.

The difference between us is that Rambuss turns to Crashaw's poetry written for his "sweet friends," and I turn to my computer and to my imagination. In both cases, when it comes to sex, our observations are circumscribed by our own predilections.

So, for all my colleagues, friends and strangers who may be reading this piece, let me make it very clear. My novels are not bodice-rippers, because I am a creature of 2011.

My heroes are prone to whipping out a "French letter" (now called a condom). My heroines apparently all saw an early modern version of "Tootsie," and know where their responsibilities lie.

What neither my heroes nor heroines do is shag. Because I don't know what that looked like.

@highlight

Eloisa James writes historical romance novels with a contemporary perspective on sex

@highlight

Author: "Who really knows what sex was like in 1600?"

@highlight

"Bodice-rippers": 1980s romance novels where lusty males tore women's blouses