(CNN) -- China's propaganda system appears to be working hard to belittle U.S. President Barack Obama before he heads to Asia for three key multilateral meetings. The open mockery of the Democratic Party's loss in the midterm elections is likely an attempt to put the President on the defensive before he lands in Beijing on Monday. But it's really little wonder that China is trying to change the subject from its own problems, both foreign and domestic.

For a start, Chinese President Xi Jinping will want no trouble from a U.S. president as he executes his anti-corruption campaign, the primary purpose of which many believe is to consolidate and further centralize his power. Meanwhile, Xi is also dealing with a restive empire, including a democracy movement in Hong Kong and unrest in Xinjiang, which has seen terror attacks against Chinese civilians and paramilitary officers.

Domestically, Xi is not helping matters by clamping down on Hong Kong residents' rights or repressing the mostly peaceful population of Xinjiang. But China's policies are also sparking problems regionally, as Xi continues to press China's claims in the South and East China Seas, something Japan, the Philippines and Vietnam are all strongly resisting. Add in the fact that China's long and successful run of rapid investment and export-led growth is coming to an end with slack global demand and growing Chinese debt, and it's clear that Obama is arriving at a politically tense time in Beijing.

Obama, of course, faces his own domestic political issues after the thumping his party received in Tuesday's midterms, and the incoming Republican Senate majority will be eager to work with the President to get tougher on China and assert U.S. power and influence in Asia.

With all this in mind, what should Obama be pushing for as he meets leaders from the region? Here's a five-point wish list for the President that will help get U.S. policy in the Asia-Pacific region on track:

Bring the Trans-Pacific Partnership to a quick conclusion: The TPP -- a free-trade agreement that would involve 12 countries, including the United States -- is not only good for the American economy, but is also good for U.S. foreign policy. A successful negotiation of the agreement and quick ratification in Congress would demonstrate that only the U.S. can lead on trade liberalization in the Asia-Pacific region.

Push back over South China Sea: Obama should have the Department of Defense announce, in conjunction with Southeast Asian friends and allies, that it is implementing new moves to counter Chinese coercive moves in the South China Sea. This initiative should include a major effort by the United States to develop a coalition maritime domain awareness system that would allow all friends and allies to have the same real-time intelligence and information about Chinese aggressive activities. This should be the building block for an allied defense organization in Asia.

Reinvigorate Japan ties: The administration should work with Japan on a comprehensive plan to stop Chinese coercion in the East China Sea. Japanese Prime Minister Shinzo Abe has outlined a forward-leaning defense strategy with plenty of room for integration of air and naval forces. There is much Japan and the United States can do to ramp up shows of force and exercises to demonstrate that China will not gain anything through its continued harassment of Japanese commercial and defense assets in these seas.

Be honest about China's shortcomings: Obama should follow China's cue and criticize the Chinese leadership. It is past time to speak forcefully about Xi's failure to reform the Chinese economy and to bring up his human rights crackdown throughout China. It is also time to side with the growing number of Chinese who are fighting for basic human rights.

Leverage America's energy advantage: Obama should take advantage of the U.S. energy revolution to shore up alliances and friendships with major gas consumers, such as Taiwan, South Korea, and Japan. A public commitment by Obama while in Asia to fast-track licenses for companies seeking to export gas to friends and allies would be a serious demonstration of leadership.

The reality is that China is trying to define Obama as a weak leader, and by extension, the United States as a weakening country. But structurally, the U.S. is far stronger than many assume. It has close friends and allies in the region, it is becoming a net energy producer, it has the world's most powerful and tested military, and it has a set of principles and ideals that speak to universal hopes. China has none of these things.

During his time in Asia, Obama can begin to reverse the dangerous perception of a U.S. that is weakening while China rises. This week offers as good a time as any to start pushing back.

@highlight

Dan Blumenthal: Chinese media have openly mocked Democrats' midterm loss

@highlight

Chinese leader likely wants to distract from domestic problems, he writes

@highlight

Obama should reinvigorate ties with Japan, he says