(CNN) -- Blanche Danick may be 86 years old, but she's pretty hip. She keeps up with all the latest health news, and a while back, she called her daughter wanting to know whether she should start taking the herb ginkgo biloba. She'd heard it might stave off Alzheimer's disease.

"I told her not to bother, that it wouldn't make much of a difference," says her daughter, Edythe London, a professor of psychiatry and pharmacology at the University of California, Los Angeles. "On the basis of what I've read, I don't think it staves off dementia."

London's advice makes a lot of sense, according to a study out this week in the Journal of the American Medical Association. Ginkgo is a top-selling herb and has been hailed by some as a memory-booster, but the new University of Pittsburgh study found it didn't help prevent Alzheimer's or other forms of dementia in more than 3,000 elderly study subjects.

Ginkgo manufacturers say this isn't the first -- or the last -- word on the herb. "There is a significant body of scientific and clinical evidence supporting the safety and efficacy of ginkgo extract for both cognitive function and improved circulation," said Mark Blumenthal, executive director of the American Botanical Council.

London's still skeptical. "But I do tell my mother there are other things she can do," says London, who's studied the brain and aging. "I tell her to go out and do things and see people every day and be active." Studies have shown that physical exercise, the kind that keeps the heart healthy, also keeps the brain healthy, according to the National Institutes of Health's Cognitive and Emotional Health Project.

People are like rats, London says. "If you put a rat in a cage by itself, it won't do well on cognitive tests. But if you give it toys and put other rats in its cage, they're going to be smarter rats."

In addition to playing with toys and hanging out with your fellow rats, here are five other tips for keeping your memory sharp. London says they help work on memory centers of the brain, including the cerebral cortex and the hippocampus, identified in the diagram above.

1. Antioxidants

London makes sure her mother takes vitamins A, C, and E. They're antioxidants, which prevent cell damage and are believed by some to slow down diseases of aging. "There are studies that suggest antioxidants might prevent dementia," she says.

2. Fish oil supplements

Dr. Gary Small, director of the UCLA Center on Aging, says aging brains show signs of inflammation, and fish oil has anti-inflammatory properties.

3. Phosphatidylserine supplements

Phosphatidylserine is a lipid found naturally in the body. Small says he's not 100 percent convinced these supplements will help stave off dementia, but they're worth a try. "If I start having memory problems when I get older, I'll give them a trial run and see if they help," says Small, author of the new book "iBrain: Surviving the Technological Alteration of the Modern Mind."

4. Curry

Small, who's 57, says that as he gets older, he might also try eating more foods with curry in them. "Some studies in Singapore show that those who ate curry once a week had better memory scores," he said.

5. Cross-training your brain

"Our brains can be made stronger through exercise," says Andrew Carle, assistant professor of in the department of health administration and policy at George Mason University. "In the same way physical exercise can delay many of the effects of aging on the body, there's some evidence cognitive exercise can at least delay the onset of Alzheimer's."

But Carle says it's not enough to do just one kind of brain exercise. "Doing a crossword puzzle every day is good, but it's the equivalent of doing only pushups -- your arms will get strong, but not the rest of your body."

He recommends doing other activities in addition, such as computing numbers in your head instead of using a calculator, or using one of the "brain gym" computer games designed to enhance brain function.

As for London, who's 60, she thinks her best bet at staving off dementia doesn't come in a bottle, or on a dinner plate, or in a computer game. "I'm going to keep working on my research, and surround myself with young people, and do a lot of exercise," she says. "I'm going to be a happy old lady. That in and of itself is going to do a lot of good for my brain."

CNN media coordinator Ashauntae Porras contributed to this report.

@highlight

A new study found ginkgo biloba may not help prevent dementia, Alzheimer's

@highlight

People can take steps to keep their memory sharp

@highlight

Antioxidants, fish oil, curry, brain and body exercises appear to help