Charlotte, North Carolina (CNN) -- For more than a decade, Robin Emmons felt helpless as her older brother lived on the streets, eating out of garbage cans.

She tried repeatedly to get him help for his mental illness, but authorities told her there was nothing they could do.

After he was arrested in 2008 for damaging someone's car during a schizophrenic outburst, she was finally able to become his legal guardian and get him into a halfway house with psychiatric services.

But as she watched his mental health improve, she noticed his physical health getting worse.

"I learned that he was becoming borderline diabetic," she said. "He wasn't like that even when he was homeless."

She investigated and found out that the nonprofit facility was mainly feeding him packaged and canned foods because it couldn't afford fresh fruits and vegetables.

"I had a small garden, so I thought, 'Well, I'll just put in some extra rows,' " Emmons said. "I began making weekly deliveries of whatever was coming up."

She soon realized, however, that the problem extended well beyond her brother's transitional home. While farmers markets were springing up across the city, she noticed that low-income and working-class neighborhoods had few grocery stores or places to buy fresh produce.

"If you don't live in an affluent part of the city ... your easiest options are the dollar menu or the convenience store attached to a gas station," said Emmons, 45.

For residents who lacked transportation, buying healthy food was even more difficult.

"It might be a trek, or they might have to borrow a car or get on a bus," Emmons said. "Often, once they get there, they are paying a very high price for the food."

A recent study from the University of North Carolina at Charlotte confirmed her impressions. It showed that more than 72,000 low-income city residents, many of them minorities, lived in "food deserts" -- areas without a supermarket with fresh food nearby. They also faced a greater risk of cardiovascular disease and premature death.

Access to fresh food is an issue for many communities throughout the United States. According to the Department of Agriculture, nearly 10% of the U.S. population lives in low-income areas more than a mile from a supermarket.

Discovering this problem sparked something inside Emmons, who had recently left her corporate job to find more meaningful work.

"I really thought it was an injustice. ... Healthy food is a basic human right," she said. "I decided to rip up my whole backyard and make it all a garden, and it just kind of snowballed from there."

Today, Emmons has 200 volunteers helping her tend 9 acres of crops on three sites. Since 2008, she says, her nonprofit, Sow Much Good, has grown more than 26,000 pounds of fresh produce for underserved communities in Charlotte.

At first, Emmons donated her locally grown, chemical-free fruits and vegetables to churches and food pantries. But she soon started selling them herself in the neighborhoods that need them the most, for what she estimates is about half the price of organic produce sold in stores.

With her 1,000-kilowatt smile and boundless energy, some might call Emmons a goodwill ambassador for healthy eating. She'd claim that her produce -- from cucumbers and okra to watermelon and blueberries -- can sell itself, but her enthusiasm certainly doesn't hurt.

"Everyone's been excited about the string beans," she says to one customer. "How are you going make yours?"

She strives to make her food as affordable as possible. People are also able to use their food stamps to purchase anything she sells, including seeds and seedlings so they can grow the food themselves.

Emmons and her volunteers distribute recipe cards, too, and urge customers to attend the group's free cooking demonstrations and canning classes. It's all part of their mission to help people take control over what they are eating and improve their health.

And customers seem hungry for all that Emmons and her group are offering.

"We've been really, really thrilled about the response from the community," Emmons said. "Even as early as January of this year, they were calling, asking, 'When are you coming back out?' "

Brandy Bolin says she was a junk-food junkie for much of her life, until she was diagnosed with diabetes six months ago. She immediately vowed to make eating healthy a priority for herself and her 11-year-old daughter. But because she is unemployed, waiting for her disability to come through, it hasn't always been easy.

"We try to eat the best we can, but we often have to cut corners," said Bolin, 38. "Sometimes, that means picking the $1.49 mac and cheese over $5 worth of vegetables."

Since Bolin discovered Emmons' produce stand this summer, she has visited nearly every time it's been open.

"I couldn't believe all the beautiful, fresh vegetables, and the price that she was charging was phenomenal," Bolin said. "It's making me and my family healthier."

Keeping this enterprise going is a labor of love for Emmons, who spent years doing it for free before recently taking a small salary. But she said the work has reconnected her to ideals and interests she's had her entire life.

Emmons didn't have a lot of money growing up in Boston, but her parents often drove 30 miles to make sure the family had fruits and vegetables. That commitment to healthy eating carried over to adulthood, when she started gardening in Charlotte.

"There was lots of trial and error," she said. "But I was fascinated with the miracle of watching seed drop into the ground and see it flower and grow fruit. It was satisfying."

Emmons also has become a certified beekeeper, so local honey is now available at her stand. And her new CSA initiative -- Community Supported Agriculture -- delivers boxes of fresh produce to families every week.

She has attracted local support for her nonprofit, including a local farmer who taught her to drive a tractor and lets her grow food on his land. In August, she opened a permanent farm stand on land donated by North Carolina-based corporation Martin Marietta, and she plans to open an educational center there where she can hold classes and events that promote a healthy lifestyle.

Eventually, Emmons would love to expand her organization across the country, combating food deserts wherever they exist. For now, she's devoted to helping Charlotte residents.

"When I see people coming to the farm stand ... I feel encouraged," she said. "I feel like I am giving them a gift -- a healthier, longer, better, more delicious life."

Want to get involved? Check out the Sow Much Good website and see how to help.

@highlight

Many low-income Americans lack easy access to fresh, healthy food

@highlight

Study: More than 72,000 people in Charlotte, North Carolina, live in such a "food desert"

@highlight

To help them, Robin Emmons has grown more than 26,000 pounds of fruits and vegetables