LONDON, England (CNN) -- English football clubs have always attracted wealthy owners. Traditionally, club chairmen were bluff local businessmen with a few spare millions in the bank, perhaps looking to put something back into their local community, somewhere to schmooze clients and colleagues, and seduced by the idea of being a player -- albeit at boardroom level -- in a sport that is an obsession for millions.

Long-suffering City fans overnight saw their club transformed into one of the world's wealthiest.

But this week's purchase of Manchester City by an Abu Dhabi-based consortium from the controversial former Thai prime minister Thaksin Shinawatra provided further proof that the English Premier League has become an altogether different ball game, attracting an altogether different caliber of super-rich investor.

For decades City have lived in the shadows of local rivals Manchester United. While United are one of the world's most famous clubs and current champions of England and Europe, it is now more than 40 years since the last of City's two league titles.

City followers have long sought solace in the hackneyed idea that all United supporters are glory hunters while they represent the true spirit of long suffering, gray-skied Mancunian fandom.

Yet now City supporters find themselves following a club capable overnight of breaking the British transfer record in an audacious $58 million swoop for the highly-rated Brazilian Robinho, formerly of Real Madrid, and with aspirations of both out-spending and out-playing their red-shirted rivals.

"We are going to be the biggest club in the world, bigger than both Real Madrid and Manchester United," multi-billionaire property tycoon Sulaiman al-Fahim, the public face of the Abu Dhabi United Group for Development and Investment which has taken over City, declared in an interview Monday with Arabian Business magazine.

"This is like all their Christmases come at once," World Soccer magazine's Kier Radnedge told CNN. "Manchester City have been a great soap opera over the years; lots of hope, lots of dreams and really very little to celebrate and cheer along the way. All of a sudden, out of the blue, it seems as if they really can compete with Manchester United and that is really all their fans have ever wanted to do."  Watch why the sky is now the limit for the Blues »

Middle Eastern football expert James Montague, author of "When Friday Comes: Football in the War Zone," sees the Abu Dhabi's group's purchase of Manchester City as an attempt to steal a march on rival emirate Dubai, which has itself been linked with a move for City's Premier League rivals Liverpool.

"There is an almost messianic love of Premiership football in the Middle East, especially in the Gulf countries," Montague told CNN.com.

"But this move isn't about profit, or business acumen. This is about prestige. For the Abu Dhabi group, which is basically a consortium of the emirate's royal family, this is more about putting their flag in the sand and putting Abu Dhabi -- and the United Arab Emirates -- on the map."

In recent seasons English football has become a billionaire's playground with foreign owners drawn to the game by the global success, international exposure and financial strength of the Premier League.

Accountants Deloitte estimate that the combined revenue of the Premier League's 20 clubs for the 2007-08 season from television rights, gate receipts and global marketing will reach £1.9 billion ($3.4 billion).

The financial landscape of English football was transformed in 2003 when Russian oil tycoon Roman Abramovich bought west London club Chelsea and bankrolled them to back-to-back Premier League titles under the leadership of Jose Mourinho.

Since then other clubs have followed foreign money in an effort to compete. Manchester United are now controlled by the family of U.S. sports magnate Malcolm Glazer while Liverpool are co-owned by American pair George Gillett and Tom Hicks.

Elsewhere in the Premier League, Aston Villa, Portsmouth, Fulham and West Ham all have foreign owners while the trend has also spread to lower league clubs. Last year London side Queen's Park Rangers were bought by Formula One boss Bernie Ecclestone, Renault F1 team chief Flavio Briatore and steel tycoon Lakshmi Mittal.

But not all supporters have welcomed the transformation of clubs rooted in local communities into multinational businesses. A core of Manchester United fans have bitterly opposed the Glazers' involvement at Old Trafford, going as far as forming a breakaway club called FC United of Manchester.

At Liverpool meanwhile, where relations between Gillett and Hicks have soured amid continuing rumors that the club will be sold to a Dubai investment group, supporters have launched a campaign -- ShareLiverpoolFC -- to buy the club themselves, attracting interest from thousands of fans.

"Clubs like Liverpool -- and there are many others -- feel like family to those who love and support them," Rogan Taylor, a lifelong Liverpool fan and founder of the Football Supporters' Association, wrote in the Sunday Telegraph newspaper.

"The biggest may have international brands, which accounts for their attraction to multinational investors; but at heart the brand is their fans and the history of their club. It can never really belong to anyone else."

Yet many fans appear happy enough to see foreign investment coming into their clubs if it means better players, better football and success on the field. At City that is likely to mean "fireworks" when the transfer window reopens in January, according to Montague.

"Abu Dhabi is so awash with cash, they have difficulty spending it all," he said. "They will turn the transfer market on its head. They've already smashed the British transfer record with Robinho and have targeted the six biggest players in the world with a transfer kitty of $400 million."

@highlight

Abu Dhabi investment group agree takeover deal for Manchester City

@highlight

Club immediately breaks British transfer record to sign Brazilian Robinho

@highlight

English Premier League has become a playground for billionair foreign owners

@highlight

New owners say they plan to turn City into the world's biggest club