(CNN) -- International pressure is mounting on Israel and the Palestinians to halt violence in Gaza, with the United States, the United Nations, the European Union and other countries all calling for an immediate restoration of calm.

Protesters knock down barriers near the Israeli Embassy during a demonstration in central London.

Angry protests also took place in several cities around the world on Sunday against Israel after its air strikes in Gaza killed at least 270 people and wounded hundreds more. In London, hundreds of demonstrators battled riot police in an attempt to enter the Israeli Embassy, according to media reports.

But neither side indicated they were ready to heed the calls for calm. Israeli Prime Minister Ehud Olmert said the operation in Gaza "is liable to continue for some time, perhaps more than can be foreseen at the present time."

Hamas, too, showed no signs of backing down, saying Israel had violated an Egyptian-brokered cease-fire intended to stem violence in the region. "We will stand up, we will defend our own people, we will defend our land and we will not give up," senior spokesman Osama Hamdan said.

For a second day, black plumes of smoke rose above Gaza City as makeshift ambulances screamed down rubble-strewn streets, taking wounded Palestinians to hospitals already crowded with hundreds of patients wounded this weekend.

More than 110 Hamas rockets have been launched into Israel by Hamas militants since Saturday morning, an Israel Defense Forces spokesman said. An Israeli man died when a rocket slammed into a home Saturday, IDF said.

The U.S. ambassador to the U.N., Zalmay Khalilzad, supported Israel's contention that it was up to Hamas to stop the violence.

"Israel has the right to self defense and nothing in this press statement should be read as anything but that," Khalilzad said.

The United States has warned Israel, however, to avoid civilian casualties. Israeli leaders maintain they are attempting to do so.

White House Spokesman Gordon Johndroe "Hamas' continued rocket attacks into Israel must cease if the violence is to stop. Hamas must end its terrorist activities if it wishes to play a role in the future of the Palestinian people. The United States urges Israel to avoid civilian casualties as it targets Hamas in Gaza."

Israel's ambassador to the U.N., Gabriela Shalev, responded that her country was only defending itself from Hamas rocket attacks.

"The last days were so bad that we had to say, and did say, 'Enough is enough,' " Shalev said. "The only party to blame is the Hamas."

Saeb Erakat, adviser to Palestinian Authority President Mahmoud Abbas, urged Israeli and Hamas leaders to enact another cease-fire.

"I believe this is the only way out. I don't think this problem can be solved through military means. Violence will breed more violence," he said Saturday.

The power base for Abbas' Fatah party is in the West Bank. The party is locked in a power struggle with Hamas, which won parliamentary elections in January 2006 and wrested Gaza from Fatah in violent clashes last year. Abbas, a U.S. ally, wields little influence in Gaza.

U.N. Secretary General Ban Ki-moon's office issued a statement saying he was deeply alarmed by the violence and bloodshed in Gaza and in southern Israel.

"While recognizing Israel's security concerns regarding the continued firing of rockets from Gaza, he firmly reiterates Israel's obligation to uphold international humanitarian and human rights law and condemns excessive use of force leading to the killing and injuring of civilians. He condemns the ongoing rocket attacks by Palestinian militants and is deeply distressed that repeated calls on Hamas for these attacks to end have gone unheeded," a spokesman said.

The U.N. Security Council ended a four-hour emergency meeting Sunday with a call for an immediate halt to hostilities and a re-opening of border crossings to allow humanitarian supplies to reach Gaza.

The Palestinians' U.N. envoy said if Israel does not halt attacks within 48 hours, Arab delegations will demand stronger action from the Security Council.

UK Foreign Secretary David Miliband called on Sunday for an urgent ceasefire and immediate halt to all violence. "The deteriorating humanitarian situation is deeply disturbing. Prime Minister (Gordon Brown) has spoken to Prime Minister Olmert of Israel. As we made clear yesterday, Israel must abide by its humanitarian obligations.

"The UK supports the prompt and sufficient delivery of food, fuel and medicine into the Gaza Strip. I have discussed this unfolding crisis with my counterparts in the region and beyond. iReport.com: Are you there?

"I have discussed with Egyptian Foreign Minister Ahmed Aboul Gheit his plans to convene a meeting of Arab League Foreign Ministers. This is an important opportunity for Arab leaders to make clear that the interests of the Palestinian people can only be secured through a viable Palestinian state existing alongside a secure Israel. We must renew our collective effort to achieve this goal in 2009."

Russia also urged both sides to refrain from violence. "Moscow believes it is necessary to immediately stop a large-scale military operation against Gaza Strip, which has already led to numerous casualties and sufferings of peaceful Palestinians," Russian Foreign Ministry spokesman Andrei Nesterenko said.

"At the same time, we are urging the leadership of Hamas to stop missile strikes upon Israeli territory. We are sure that what needs to be done without delay now is stop military confrontation, restore a cease-fire, and rid peaceful civilians on both sides of terror and pain."

Jordan's King Abdullah II by contrast urged "Israeli aggression" that targets "innocent civilians including women and children" to end. "The establishment of an independent Palestinian state on the Palestinian national soil is a prerequisite to achieve security and stability," he said, adding that Israel will not get security and peace unless it ends what he called its "occupation."

Iran's supreme leader has declared Monday a "day of mourning" for Palestinians in Gaza, blaming the violence on "the bloodthirsty nature of the Zionists."

The state-run news agency IRNA said Ayatollah Ali Khamenei was urging all Muslim nations, as well as "freedom seekers," intellectuals and media "to fulfill their heavy duty in confronting the crimes of the 'Zionist vampires.'"

Iran has long openly supported Hamas, supplying it with weapons and training. Like Hamas, Iran's government does not recognize the existence of Israel. Hamas, the party in control of Gaza, is considered a terrorist organization by the United States.

Iranian President Mahmoud Ahmadinejad was quoted by IRNA as saying Saturday night, "Zionists are at the end of the road both in theory and practice in all economic, political, military and cultural terms."

Some Iranian students and members of parliament held a demonstration in front of a United Nations building in Tehran, accusing U.N. member nations of being silent in the face of "crimes" against Palestinians.

Some demonstrators also condemned Egypt, which has tried to broker agreements between rival Palestinian factions Hamas and Fatah, as well as between Palestinian leadership and Israel.

The European Union called for an immediate halt to violence. A statement issued by current EU president France said the bloc "condemns the disproportionate use of force" from both sides.

The statement urged the "reopening of all checkpoints and the immediate resumption of fuel and humanitarian aid deliveries." The statement said "there is no military solution in Gaza" and urged a lasting truce.

France's President Nicolas Sarkozy, in a separate statement, expressed "great concern" about the escalating violence by Israelis and Palestinians.

In London, Palestinian families and supporters protested outside the Israeli Embassy and chanted in unison: "Five, six, seven, eight -- Israel is a terror state," according to the Press Association. Similar demonstrations were held in Paris, Istanbul and other cities.

Crush barriers were torn down and riot police were brought in to control the crowd of more than 500 people, PA reported. The crowds waved Palestinian flags and held placards, some of which read "holocaust in Gaza" and "no peace, no justice."

One protester was Gamal Hamed, from Hammersmith, in west London, whose 23-year-old son lives in Gaza. The 68-year-old said: "Yesterday was the bloodiest day in my homeland's history. We will do what we can to make the world take notice."

CNN's Shirzad Bozorgmehr contributed to this report.

@highlight

International pressure grows on Israel and Palestinians to end violence in Gaza

@highlight

U.S., U.N., EU and other countries call for immediate restoration of calm

@highlight

Angry protests in several cities around the world on Sunday against Israel