In his memoir, "The Long Run," Mishka Shubaly chronicles his journey from "irreverent young drunk" to ultra-runner. The author sobered up by running five miles at a time, then 10, then 50.

It was Shubaly's editor who first suggested he write about his road to recovery.

"I told him point-blank, 'No one wants to hear me cry about how I f***ed up my own life,' " Shubaly said. "And I was totally wrong."

When "The Long Run" was published on Amazon's Kindle Singles list in 2011, it hit No. 1, bumping Stephen King out of the top spot.

The book's popularity may have been a surprise to Shubaly, but experts know he's not alone in using exercise to overcome addiction. Groups have been popping up around the country to help people stay sober by staying active.

"It's a great way to introduce people into something that then later becomes ... sort of their coping mechanism, as opposed to picking up a drink or a drug," said Scott Strode, one of this year's top 10 CNN Heroes. Strode's nonprofit, Phoenix Multisport, provides free athletic activities and a sober support community to thousands of people in Colorado.

In 2008, the National Institute on Drug Abuse pledged $4 million to research the effect of physical activity on drug use. Preclinical research has provided evidence that exercise can help treat -- and even possibly prevent -- addiction, and now human trials are taking place.

According to the National Institute on Drug Abuse, abuse of illicit drugs and alcohol contributes to the death of more than 100,000 Americans every year. While intervention and treatment programs have improved, relapse rates range from 60% to 90% in the first year of sobriety, the institute said.

"Habits play an important role in our health," the institute's director, Dr. Nora Volkow, said in a National Institute of Health newsletter. "Understanding the biology of how we develop routines that may be harmful to us, and how to break those routines and embrace new ones, could help us change our lifestyles and adopt healthier behaviors."

Psychology professor Mark Smith researches the effects of exercise on addiction in laboratory rats. One of his first preclinical studies on the subject showed lab rats that had access to an exercise wheel in their cage were much less likely to self-administer cocaine than their sedentary counterparts.

He and his colleagues have also completed several follow-up studies, duplicating the results with male and female rats; with low, medium and high doses; with heroin; and with different models of substance binges and relapses.

"I was amazed at how consistent the effects of exercise were," Smith said.

Other researchers have published animal studies with similar results. For example, a 2009 study in Pathophysiology Journal showed treadmill exercise reduced morphine use in male rats. And in 2011, a study in the journal Current Neuropharmacology demonstrated animals' preference for saline over amphetamines when they exercised.

"These results lead us to conclude that a previous practice of regular physical activity may help in preventing amphetamine addiction," the study's authors wrote.

While evidence mounts that exercise may help prevent and treat addiction, scientists are trying to figure out why.

To get clean, addicts often give up their past social lives, including any friends who use. During their recovery, they have a lot of free time and not a lot of support.

Exercise and sporting groups could help fill that void, said Richard Brown, a professor of psychiatry and human behavior at Brown University and director of addictions research at Butler Hospital in Providence, Rhode Island.

When Brown and his colleagues started their human study on exercise and alcohol abuse, they theorized that physical activity would reduce the depressive symptoms alcoholics often suffer from, thereby reducing the risk of a relapse.

They asked one group of study participants to work out once a week with the rest of the group and to work out on their own another two to three days. At the end of a three-month follow-up, the researchers found the exercise group had fewer drinking days and fewer heavy-drinking days than a group that didn't exercise as regularly.

What the researchers didn't expect was feedback from participants who said they enjoyed the structure that regular exercise provided to their lives.

"They liked the fact that they were getting healthy and doing something for themselves," Brown said.

Exercise provides a "high" that could be important for addicts trying to combat cravings, experts say. In addition to decreasing anxiety and stress, physical activity helps increase levels of dopamine in the brain. Dopamine, a chemical that's associated with feelings of pleasure, is often diminished over time by substance abuse.

Some researchers have hypothesized that addicts are simply replacing one addiction with another. Smith's response? Fantastic.

"One of those addictions leads to basically a devastation throughout all aspects of your life and probably premature death," he said. "The other addiction leads to improved cardiovascular health, better self-esteem, better self-efficacy and maybe some joint problems when you get older. It's an apples-and-chain saws comparison."

Brown has more theories on why exercise may help addicts stay clean. In unrelated studies, exercise has been shown to regulate sleep, a common problem for addicts early in recovery. It can even improve cognitive function, something that's often impaired by chronic substance abuse.

"These are just hypothetical," Brown said. "They need to be tested."

While scientists search for more answers, Shubaly said he is content knowing that running works to keep him sober, day in and day out.

"For me, exercise is the opposite of alcohol," he said. "Alcohol is the easiest, fastest and most effective way of saying: 'I don't care. I don't care about the good things in life or life at all.'

"Exercise, especially for someone who has been a sedentary alcoholic for a long time, is brutally difficult. And, as such, it's a very meaningful way of saying: 'OK, I actually do care now. I care a lot. I care enough about my life that I am willing to endure this torture to get better.'

"Doing the hard work of exercising totally reversed my worldview. I went from a life that was headed toward one thing to a life of nearly infinite potential."

@highlight

Relapse rates for substance abuse range from 60% to 90% in the first year of sobriety

@highlight

But preclinical studies show that exercise helps prevent and treat addiction

@highlight

The National Institute on Drug Abuse in 2008 pledged $4 million to research exercise's effects

@highlight

Top 10 CNN Hero Scott Strode based his sober support group on exercise and sports