(CNN) -- Michael Jackson, the show-stopping singer whose best-selling albums -- including "Off the Wall," "Thriller" and "Bad" -- and electrifying stage presence made him one of the most popular artists of all time, died Thursday, CNN has confirmed.

Michael Jackson, shown in 2008, was one of the biggest pop stars in history.

He was 50.

He collapsed at his residence in the Holmby Hills section of Los Angeles, California, about noon Pacific time, suffering cardiac arrest, according to brother Randy Jackson. He died at UCLA Medical Center.

Lt. Fred Corral of the Los Angeles County Coroner's Office said an autopsy would probably be done on the singer Friday, with results expected that afternoon.  Watch crowds gather at Jackson's hospital »

"Michael Jackson made culture accept a person of color," the Rev. Al Sharpton said. "To say an 'icon' would only give these young people in Harlem a fraction of what he was. He was a historic figure that people will measure music and the industry by."

Jackson's blazing rise to stardom -- and later fall from grace -- is among the most startling of show business tales. The son of a steelworker, he rose to fame as the lead singer of the Jackson 5, a band he formed with his brothers in the late 1960s. By the late '70s, as a solo artist, he was topping the charts with cuts from "Off the Wall," including "Rock With You" and "Don't Stop 'Til You Get Enough."  Watch Jackson perform at a 1988 concert »

In 1982, he released "Thriller," an album that eventually produced seven hit singles. An appearance the next year on a Motown Records 25th-anniversary special cemented his status as the biggest star in the country.  Timeline: The life of Michael Jackson »

For the rest of the 1980s, they came no bigger. "Thriller's" follow-up, 1987's "Bad," sold almost as many copies. A new Jackson album -- a new Jackson appearance -- was a pop culture event. iReport: Share your memories of Michael Jackson

The pop music landscape was changing, however, opening up for rap, hip-hop and what came to be called "alternative" -- and Jackson was seen as out of step.

His next release, 1991's "Dangerous," debuted at No. 1 but "only" produced one top-ranking single -- "Black or White" -- and that song earned criticism for its inexplicably violent ending, in which Jackson was seen smashing car windows and clutching his crotch.

And then "Dangerous" was knocked out of its No. 1 spot on the album charts by Nirvana's "Nevermind," an occurrence noted for its symbolism by rock critics.

After that, more attention was paid to Jackson's private life than his music career, which faltered. A 1995 two-CD greatest hits, "HIStory," sold relatively poorly, given the huge expense of Jackson's recording contract: about 7 million copies, according to Recording Industry of America certifications.

A 2001 album of new material, "Invincible," did even worse.

In 2005, he went to trial on child-molestation charges. He was acquitted.

In July 2008, after three years away from the spotlight, Jackson announced a series of concerts at London's O2 Arena as his "curtain call." Some of the shows, initially scheduled to begin in July, were eventually postponed until 2010. Watch the reaction to Jackson's passing

Rise to stardom

Michael Jackson was born August 29, 1958, to Joe Jackson, a Gary, Indiana, steelworker, and his wife, Katherine. By the time he was 6, he had joined his brothers in a musical group organized by his father, and by the time he was 10, the group -- the Jackson 5 -- had been signed to Motown. Watch Michael Jackson's life in video

He made his first television appearance at age 11.

Jackson, a natural performer, soon became the group's front man. Music critic Langdon Winner, reviewing the group's first album, "Diana Ross Presents the Jackson 5," for Rolling Stone, praised Michael's versatile singing and added, "Who is this 'Diana Ross,' anyway?"

The group's first four singles -- "I Want You Back," "ABC," "The Love You Save" and "I'll Be There" -- went to No. 1 on the Billboard pop chart, the first time any group had pulled off that feat. There was even a Jackson 5 cartoon series on ABC.  Watch reaction from Motown Studios »

In 1972, he hit No. 1 as a solo artist with the song "Ben."

The group's popularity waned as the '70s continued, and Michael eventually went solo full time. He played the Scarecrow in the 1978 movie version of "The Wiz," and released the album "Off the Wall" in 1979. Its success paved the way for "Thriller," which eventually became the best-selling album in history, with 50 million copies sold worldwide.

At that point, Michael Jackson became ubiquitous.

Seven of "Thriller's" nine cuts were released as singles; all made the Top Ten. The then-new cable channel MTV, criticized for its almost exclusively white playlist, finally started playing Jackson's videos. They aired incessantly, including a 14-minute minimovie of the title cut. ("Weird Al" Yankovic cemented his own stardom by lampooning Jackson's song "Beat It" with a letter-perfect parody video.)

On the Motown Records' 25th-anniversary special -- a May 1983 TV extravaganza with notable turns by the Temptations, the Four Tops and Smokey Robinson -- it was Michael Jackson who stopped the show.

Already he was the most popular musician in America, riding high with "Thriller." But something about his electrifying performance of "Billie Jean," complete with the patented backward dance moves, boosted his stardom to a new level.  Watch Jackson perform "Thiller" »

People copied his Jheri-curled hair and single-gloved, zippered-jacket look. Showbiz veterans such as Fred Astaire praised his chops. He posed for photos with Ronald and Nancy Reagan at the White House. Paul McCartney teamed with him on three duets, two of which -- "The Girl Is Mine" and "Say Say Say" -- became top five hits. Jackson became a Pepsi spokesman, and when his hair caught fire while making a commercial, it was worldwide news.

It all happened very fast -- within a couple years of the Motown special. But even at the time of the "Motown 25" moonwalk, fame was old hat to Michael Jackson. He hadn't even turned 25 himself, but he'd been a star for more than half his life. He was given the nickname the "King of Pop" -- a spin on Elvis Presley's status as "the King of Rock 'n' Roll" -- and few questioned the moniker.

Relentless attention

But, as the showbiz saying has it, when you're on top of the world, there's nowhere to go but down. The relentless attention given Jackson started focusing as much on his eccentricities -- some real, some rumored -- as his music.

As the Web site Allmusic.com notes, he was rumored to sleep in a hyperbaric chamber and to have purchased the bones of John Merrick, the "Elephant Man." (Neither was true.) He did have a pet chimpanzee, Bubbles; underwent a series of increasingly drastic plastic surgeries; established an estate, Neverland, filled with zoo animals and amusement park rides; and managed to purchase the Beatles catalog from under Paul McCartney's nose, which displeased the ex-Beatle immensely.

In 1990s and 2000s, Jackson found himself pasted across the media for his short-lived marriages, the first to Elvis Presley's daughter, Lisa Marie; his 2002 claim that then Sony Records head Tommy Mottola was racist; his behavior and statements during a 2003 interview with British journalist Martin Bashir done for a documentary called "Living With Michael Jackson;" his changing physical appearance; and, above all, the accusations that he sexually molested young boys at Neverland.  Watch report on legacy on Michael Jackson »

The first such accusation, in 1993, resulted in a settlement to the 13-year-old accuser (rumored to be as high as $20 million), though no criminal charges were filed, Allmusic.com notes.

He also fell deeply in debt and was forced to sell some of his assets. Neverland was one of many holdings that went on the block. However, an auction of material from Neverland, scheduled for April, was called off and all items returned to Jackson.

Interest in Jackson never faded, however, even if some of it was prurient. In 2008, when he announced 10 comeback shows in London, beginning in July 2009, the story made worldwide news. The number of concerts was later increased to 50.

Seventy-five thousand tickets sold in four hours when they went on sale in March.

However, when the shows were postponed until 2010, rumors swept the Internet that Jackson was not physically prepared and possibly suffering from skin cancer.  Watch discussion of his tough life, brilliant career »

At the time, the president and CEO of AEG Live, Randy Phillips, said, "He's as healthy as can be -- no health problems whatsoever."

Jackson held open auditions for dancers in April in Los Angeles.

He is survived by his three children, Prince Michael I, Paris and Prince Michael II.

@highlight

Michael Jackson suffers cardiac arrest at home in Los Angeles suburb

@highlight

Singer was dominant in pop music for four decades with Jackson 5, solo

@highlight

Jackson had many No. 1s; his "Thriller" is one of the best-selling albums of all time