(CNN) -- The Syrian Army assaulted the city of Houla on May 25, murdering 90 people, 30 of them children younger than 10. Amateur video reveals rows of bodies, adults and children, riddled with bullet holes and filling makeshift morgues. Earlier, reports from Homs described people tortured, doused in gasoline and set on fire, with the death toll including men, women and children.

The Red Cross announced it is withdrawing its workers in Damascus, leaving only 50 core workers, and the Arab Red Crescent has suspended its first aid efforts in Aleppo after repeated attacks on its vehicles and facilities by the Syrian army.

Civilian residences are shelled with artillery and tanks and bombed from planes, day after day. What else would it take for the civilized world to conclude that the line has been crossed and decent people can no longer stand by?

True, the atrocities in Syria do not compare in scope to those of the Holocaust; however, they have one major common element: They are not the work of some gangs, like those in Mexico; terrorists, like al Qaeda in Iraq; or foreign intruders, like the Pakistani Taliban in Afghanistan. They are the acts of a national government, a government that is systematically using its military to hammer its own people. Here, there are no difficulties in determining who is involved, and above all, who is in charge.

The media sticks punctiliously to professional standards and keeps reminding us that this or that report about the last outrage is "unconfirmed." The New York Times notes that reports on summary executions by Syrian security forces in Baba Amr remain "unconfirmed." Although this or that detail may not be verifiable, the Syrian authorities do not deny that most of the reported barbaric acts have taken place. They merely claim that they are dealing with foreign terrorists and are entitled to a free hand.

Q&A: What options are left in Syria?

The United States and other democracies claim that they are stymied by the U.N. Security Council's refusal to authorize the use "of all means necessary" to stop the carnage, leaving the blood of Syrian civilians on the hands of Russia and China, who threaten to veto the kind of resolution that legalized the intervention in Libya.

But when the West faced atrocities on a smaller scale in Kosovo and could not gain the U.N.'s blessing, it acted decisively and effectively. The bloodshed was stopped.

If the West were to proceed in Syria, countries could point to a unanimous U.N. General Assembly resolution known as R2P, which states that all governments have a responsibility to protect their own people. The resolution warns governments that if they do not discharge this responsibility, they forfeit their right to sovereignty and the international community has not only a right to interfere, but a duty.

We are told that the rebels include extreme Islamists, even al Qaeda elements, who are hostile to the West and may commit atrocities of their own. Indeed, the rebels lined up against the wall and shot dead several Bashar al-Assad loyalists in Aleppo on August 1. There is also the fear that rebels might incite a civil war among Syria's various ethnic groups, a result that would cost many additional lives.

Our goal should be limited: Pressure al-Assad's regime to negotiate with the rebels on major reforms but not to hand them victory. We surely do not want to repeat the mistake we made in Iraq, in which the army and most civil servants were fired and the country plunged into anarchy and lawlessness. Above all, we must warn the rebels that we shall cease all support for them if they commit atrocities, a step we did not undertake in Libya, resulting in some very distressing consequences.

Finally, we are cautioned that the Syrian military is mightier, better equipped and more able to fight than the Libyan one was. Well, it is a year and half since the Syrian conflict began, and the army so far has been unable to gain an upper hand against disorganized, poorly equipped, untrained rebels. It seems obvious that al-Assad's troops are hardly a match for the American military machine.

No one in his right mind suggests that the U.S. should invade Syria. But the U.S. could bomb the command and control centers of the Syrian army and, above all, the compound of those who are responsible for the brutal slaughtering of civilians -- al-Assad and his inner circle.

The goal would be to punish the leaders of this campaign, to stop the slaughtering of civilians, to force those in charge to negotiate a settlement with the rebels and to warn other tyrants who watch Syria from the sidelines that they should not believe that they could act with impunity if they were to follow a similar course.

Frankly, it may be too late.

The rebels might not be ready to deal with the Syrian regime, even if those who head it are replaced. And the regime might collapse and the country plunge into chaos and increased bloodshed at any moment. However, if America and its allies act, it will be clear that there is a limit to our tolerance -- that we will not hide behind the veto of Russia and China and refuse to move when large-scale crimes are committed by a government against its own people.

The opinions in this commentary are solely those of Amitai Etzioni.

@highlight

Amitai Etzioni: Syria's government systematically brutalizing its civilians

@highlight

The West stands by, he says, hiding behind Russia and China's vetos of U.N. resolution

@highlight

The West stopped atrocities in Kosovo without U.N. OK and could do so in Syria, he says

@highlight

Etzioni: U.S. must punish those committing atrocities and get them to talk with rebels