(CNN) -- Syria's shelling of a border town in Turkey has sparked fears that President Bashar al-Assad's attempt to snuff out a rebellion at home could turn into a damaging regional war between the two neighbors.

Five civilians, all women and children, in the town of Akcakale were killed by Syrian artillery rounds in the worst single case of violence on the Turkish side of the border since Syria's unrest began last year.

What's behind Syria's shelling of Turkey?

While Syria hasn't confirmed its motive for firing into Turkey, rebels fighting an 18-month war against the Assad regime have allegedly been using positions on the Turkish border as a safe haven to regroup and re-arm following battles with Syrian troops.

Another explanation, says one expert, is that in a cat-and-mouse pursuit to neutralize rebel groups near the border, Syrian artillery units simply overshot their target.

"These things happen in the fog of war," Jeremy Binnie, Middle East and Africa editor of Jane's Defence Weekly, told CNN. "If your artillery battery is 10 kilometers away and you're trying to call a strike down on the border, it's pretty easy to put a few rounds in the wrong place if you put in the calculations wrong."

Opinion: Why Turkey, Syria don't want war

The incident prompted the Turkish parliament to give the government powers to authorize troops to deploy to foreign countries, along with retaliatory Turkish artillery strikes on military positions in Syria -- but both sides have insisted they don't want war.

Which country, Syria or Turkey, has the stronger military?

Turkey, a NATO member, has the most powerful military in the region. Binnie says Turkey flies Western-made jets, and that its older equipment has been upgraded and supplemented with early-warning radar airplanes and unmanned drones.

Turkey also has a formidable ground force that has spent decades fighting the Kurdish separatist rebels of the KPP in the southeast of the country.

Analysis: Kurds add explosive element to Syria equation

Despite their robust military capability, and despite the fact the Syrian army has been worn down by 18 months of civil war, Binnie says Syria's missile capabilities mean Turkey's not interested in anything more than limited border excursions.

"Turkey wouldn't want to tangle with the Syrians, who do still have the ultimate deterrent of long-range chemical weapons capabilities," he told CNN.

What weapons do Syrian forces have? Where are they coming from?

Syria's greatest strength has also been its weakness in the current fight against rebels.

The Assad regime spent years buying up sophisticated long range missiles, air defense systems and chemical weapons to counter the threat of an airborne attack from Israel.

But the long-term focus on long range weaponry has left the regime unprepared to fight a guerrilla war in the streets of Syrian cities -- an approach that requires flexible, mobile infantry with stockpiles of smaller arms.

Syria has been the Middle East's top importer of Russian weaponry, most of which is now more than 20 years old -- and Binnie says the Syrian air force has been underfunded to the point of "regime forces dropping what amount to IEDs (improvised explosive devices) from helicopters."

Recently, Syria has attempted to get some of its Mi-24 attack helicopters refurbished by Russia -- a move which prompted an international outcry -- and has ordered Yak-130 advanced training jets and MiG-29 fighter jets that have yet to be delivered.

While the Kremlin has pledged not to deliver new weapons to Syria, it is unclear whether the Assad regime will get the weapons it ordered before the uprising began last year.

Syria's heavy weaponry and battle tanks may be Russian made, but wars of attrition like this also require huge amounts of small arms.

To that end, Iran -- Syria's other major regional ally -- has been using Iraqi airspace to fly small arms, infantry weaponry and personnel into Syria, according to U.S. officials.

Analysis: What does Iran get for supporting Assad?

Iraq says it is conducting random searches on Syrian-bound Iranian planes that use its airports, but as Binnie points out, "the Iraqis don't have any way to force Iranian planes to land."

In addition to the tanks and troops fanned out across the country, Syria has also deployed communications interception systems to try to track rebels. CNN reporters who have been on the ground there say for the most part using a cell phone is out of the question, as Syrian forces can easily triangulate the user's location.

What weapons do Syrian rebels have? Where are they coming from?

The rebels are severely outmatched, and most of their weaponry was either taken from Syrian military arsenals or obtained from local black markets.

In addition to individual infantry weapons like AK-47s, tripod-mounted PK machine guns, and RPG-7 grenade launchers -- the ubiquitous shoulder-mounted weapons seen on nightly news reports from conflicts around the world -- Binnie says rebels have also been seen with Strela-2 shoulder-launched surface-to-air missiles.

Rebels have also commandeered Syrian tanks, but since they don't generally have the capacity to maintain and refuel them, according to Binnie, they've instead been stripping off the heavier guns and mounting them on civilian vehicles.

Binnie says the increasing number of improvised weapons and explosives being used in Syria shows the rebels, without a foreign power to supply them, may be struggling to maintain adequate levels of ammunition.

"Some of the weapons in Syria look very similar to what we've seen in the last year in Iraq, where they've finally ran out of all the ordinates that were lying around from the 2003 U.S. invasion and have had to improvise," he told CNN.

What other groups are operating in Syria?

Charles Lister, an analyst at IHS Jane's Terrorism and Insurgency Centre, says militant groups "of all persuasions" are now operating in Syria -- and that some groups increasingly appear to be carrying out joint co-ordinated attacks.

While Lister says the majority of the militias now in Syria are not Islamic extremists, analysts believe a hard-line jihadist group known as Jabhat al Nusra, which has claimed responsibility for a string of recent suicide attacks across Syria, has close links with al Qaeda's affiliate in Iraq.

"Their focus now is on recruiting suicide bombers. They want to copycat the Zarqawi model," Noman Benotman, a former Libyan Jihadist now with the Quilliam Foundation in London, told CNN.

More: Pro al Qaeda group steps up bombings

The "Zarqawi model" refers to the devastating campaign launched by al Qaeda in Mesopotamia leader Abu Musab al Zarqawi after U.S. troops occupied Iraq.

At the same time, Kurdish militias now control at least 10 towns and cities in north-eastern Syria, some near the Turkish border -- an issue Lister says is "of significant concern to Ankara", which has been battling Kurdish separatists along its borders for decades.

Report: Turkey's Kurdish conflict turns deadlier

Is Assad losing control of the Syrian army?

Not yet, it seems. Despite some high profile defections, Binnie says "we haven't seen significant Syrian army units going across to join the rebellion."

Binnie says: "The speculation is that the Syrian army is focused on keeping itself together more than deploying some of the potentially less reliable units into rebel held areas."

Like most of the nation itself, the majority of Syria's conscripted army is Sunni Muslim. Rather than send some less-than-keen battalions in to kill their own countrymen, Binnie says the approach may be to have the army bombard cities from afar, before sending in loyal militias to do the up-close fighting street to street.

"You give the militias the weapons and the mobility, and you just make sure that the army units which are largely Sunni conscripts just stay together," he told CNN.

The plan seems to be working; Binnie says many people have been surprised at how well the army has managed to maintain its cohesion during the rebellion.

Is Syria going to end up like Libya?

The world cheered the fall of Libyan dictator Moammar Gadhafi -- but what has been left in his place are a number of well-armed militias operating beyond the control of a relatively weak central government operating in the capital Tripoli.

Analysts don't believe the Assad regime is in danger of collapse any time soon -- Syria's army is bigger and better organized than Gadhafi's was in Libya, and foreign intervention into the civil war seems extremely unlikely at this point.

But if the regime does fold at some point, Binnie says the weapons proliferation in Syria is going to be far worse than in Libya.

"Syria has a much bigger military, more missiles and chemical weapons, and the potential for major sectarian violence," he said. "So it's a little like Libya, but potentially much, much worse."

Information from CNN Wires and CNN's Nic Robertson was used in this report.

@highlight

NATO country Turkey has most powerful military in the region

@highlight

Syria has long been the Middle East's top importer of Russian military equipment

@highlight

Rebels are mostly surviving on black market guns and arms taken from Syria's military

@highlight

Analyst says fall of heavily armed Syrian army would lead to worse situation than Libya