Cincinnati, Ohio (CNN) -- The build-up has been years in the making. From the cartoons that many of us watched as children, we envisioned a world where machines and robots would penetrate every aspect of our lives, where each household would have a Rosie the Robot to cook, clean, and put the kids to bed.

Well, for most of us that washed our own dishes last night, we know that we are not there yet. The questions are: why aren't we there yet and when will we get there?

Well, the world of machines is real and it's coming. Many refer to it as Machine-to-Machine (M2M), the Internet of Things, or the Industrial Internet. All of these terms describe the same thing: automated technology that allows machines to exchange information with one another, resulting in a tangible benefit.

This exchange of information is rapidly changing the way we work and live. You likely benefit from this technology every day without even knowing it. M2M applications are guiding you in your connected vehicles to the nearest Starbucks, or allowing you to remotely monitor your home from a smartphone.

The applications bleed even more heavily into the enterprise space where companies are using M2M solutions to do everything from tracking the position of a high-value asset traveling through Europe to controlling the flow rate of an oil pipeline in North Dakota from an office in New York.

Read related: 7 craziest things connected to the internet

So, with this technology available, why aren't we there yet? Why isn't M2M permeating every aspect of our business and personal lives yet? And, more importantly, why am I still doing my own dishes? Well, it is not due to lack of demand.

Analysts and industry experts project that the Internet of Things will grow from connecting about 100 million devices today to more than two billion devices by 2021 -- representing a staggering 30% compound annual growth rate (CAGR).

Do I think that this type of growth will become a reality? Yes, but there are a couple of complexities that will first need to be worked out. As a matter of fact, complexity is the first of two threats to M2M growth.

Many enterprise M2M solutions require months, if not years, and a significant financial commitment to get to deployment. With those daunting hurdles facing many technology decision makers, and despite an average return on investment at around 40%, companies are deferring their M2M strategies.

Obviously, this has to change in order for M2M to reach its immense promise. We need to get to a point where implementing an M2M strategy involves a matter of hours or days instead of months and years. When that is a reality, then we will start to see the realization of what M2M can be for both enterprise and consumer use.

Read related: Cisco's new, smarter network for the Internet of things

The second threat to M2M growth has to do with the shift in the mobile industry towards 3G and 4G networks. At first glance, that seems a bit odd. How could enhancing the technology that M2M sits on pose a threat to its very future?

As mobile carriers negotiate with limited spectrum to support 4G rollouts, 2G networks are often sacrificed. The problem created is that M2M applications not only lose support, but they face significant expenses to enter into a 3G or 4G system where their data usage does not come close to justifying the costs, not to mention the significant capital investment required for a pricey 3G or 4G compatible device.

Although I believe that M2M applications will evolve to a point where a 4G network will make sense, I don't believe that we are there yet, nor will we be there for at least a couple more years. Thus, 2G will have to remain an integral part of the growth of the industry for the time being, and fortunately there are carriers that have pledged ongoing support for 2G.

As momentum for the proliferation of the Internet of Things builds to forecasted levels and enterprises and individuals enter this brave new world, there will be some bumps along the road.

However, it will be a much smoother and quicker ride into the future if application providers can find easy-to-implement solutions supported by networks that meet their tactical and financial objectives.

When we get to that point, then you might just be able to kick back a little and let Rosie handle things.

The opinions expressed in this commentary are solely those of John Horn.

@highlight

M2M technology allows machines to exchange information with one another

@highlight

100 million devices are already connected

@highlight

Industry analysts predict there will be two billion M2M-connected devices by 2021

@highlight

Long development periods and adoption of 4G connectivity has held technology back, says John Horn