(CNN) -- Some analysts have attributed the recent downing of a U.S. RQ-170 Sentinel high-altitude reconnaissance drone in Iran to that nation's increasingly sophisticated capability to launch cyber attacks. Others have dismissed the idea that Iran was capable of bringing down an RQ-170, arguing that Iranian air defenses do not have the capability to track an aircraft with radar-evading technology.

Either way, the incident clearly demonstrates American concerns regarding Iran's nuclear capacity, as the drone was likely sent over Iranian territory to spy on its nuclear program.

I find the argument that Iran is engaged in developing a nuclear weapons program credible. I am also convinced that Iran will not test a device, but rather will acquire the capability to produce a weapon quickly if its strategic environment deteriorates to such an extent that it feels it must.

I am further convinced that an Israeli or American strike or strikes against its nuclear facilities would put Iran's nuclear program back by a few years but would not be able to terminate it. In fact, such strikes would provide Tehran with the legitimacy to go ahead and acquire nuclear weapons capability in full view of the world and with international sympathy.

It is time for world leaders to recognize the inevitability of Iran acquiring nuclear weapons capability, even if it remains untested, with Tehran following the policy and adopting the rhetoric of deliberate ambiguity. Moreover, the major powers that act as the self-appointed guardians of the current international nuclear order need to recognize that treaties and other legal documents are not the primary determinants when it comes to state decisions regarding acquisition of nuclear capability. It is a country's strategic environment that principally determines such a decision.

Iran's strategic environment is such that it makes the decision by Iran's policy makers to acquire nuclear weapons appear rational both to themselves and to the wider Iranian public. This is why leading opposition figures are as opposed to suspending uranium enrichment as regime hard-liners. The foremost opposition presidential candidate, Mir-Hossein Moussavi, in an interview with the Financial Times in the run-up to the elections in 2009, stated categorically: "No one in Iran would accept suspension."

The strategic rationality of such a policy was recognized in a candid moment by none other than Israel's defense minister, Ehud Barak.

In an appearance on "Charlie Rose" last month, Barak was asked whether he would want to acquire nuclear weapons if he were an Iranian government minister. Barak responded very candidly: "Probably, probably. I know it's not -- I mean I don't delude myself that they are doing it just because of Israel. They look around, they see the Indians are nuclear, the Chinese are nuclear, Pakistan is nuclear, not to mention the Russians."

While downplaying the Israeli nuclear weapons capability, Barak neglected to mention that Iran's policy makers perceive the American nuclear and non-nuclear armada in the Persian Gulf and the Arabian Sea as the greatest threat to their security.

All this obviously makes for a dangerous strategic environment as far as Tehran is concerned, regardless of the nature of the Iranian regime. The American decision to invade non-nuclear Iraq while desisting from militarily confronting a nuclear North Korea surely tells Iran's rulers that even rudimentary nuclear capability can deter potential American and allied designs to attack Iran, whether to topple its regime or impair its nuclear capacity.

Given the near-certainty that Iran is launched on an irreversible course for nuclear weapons capacity, there are only two strategies that can be used -- if not to stop the nuclear program, then at least to make it less threatening to American interests. The first is for the United States to actively promote the idea of a nuclear weapon-free zone (NWFZ) for the Middle East that would include both Israel and Iran. Iran has supported calls for a NWFZ for several years, most recently at a Nuclear Disarmament Conference it hosted in April 2010, as long as it included Israel as well as Iran.

However, promoting a NWFZ in the Middle East does not appear realistic for the United States in the short run because Israel is stubbornly opposed to it before a permanent solution is found to the Israeli-Palestinian conflict. Furthermore, domestic constraints, including a highly pro-Israel Congress, would not allow the U.S. administration to seriously pursue this course.

The other option is to accept Iran's status as a near-nuclear power and engage it in substantive discussions about the future architecture of regional security in the broader Middle East, and more specifically in the Persian Gulf, where Iran is the indispensable power. This would entail a drastic revision of the current American strategy of isolating and quarantining Iran, and replacing it with one that accommodates Iran's regional aspirations and attempts to find areas of convergence rather than confrontation with Tehran. The American approach to India in the 1990s and the 2000s could form the model for such a policy.

Such a change of course is likely to pose a major but not insuperable challenge to American policy makers, given the current atmosphere of mutual hostility surrounding Washington's relations with Tehran. It would require creative diplomacy on the part of the White House and the State Department, including signaling Iran that the United States recognizes its pre-eminent status in the Persian Gulf region (much as Washington did with India in South Asia) and the legitimate role that goes with it.

It will also mean reducing the paranoia currently afflicting Iran's policy makers because of their fear of encirclement by nuclear powers. If this means that the international community has to learn to live with a near-nuclear Iran, then this is the price it must be willing to pay for stability and security in this crucial region.

As recent experience has demonstrated, economic sanctions and military threats are only likely to stiffen the Iranian resolve to acquire nuclear weapons as well as to act as the "spoiler" not only in the energy-rich Persian Gulf but also in the strategically important broader Middle East region. Furthermore, American hostility toward Iran reinforces the domestic legitimacy of the Iranian regime and discredits the democratic opposition, an outcome that is not in the long-term interest of the United States.

The opinions expressed in this column are solely those of Mohammed Ayoob.

@highlight

Mohammed Ayoob: Iran inevitably will acquire nuclear weapons capability

@highlight

Even Iran's opposition leaders oppose suspending uranium enrichment, he says

@highlight

Ayoob: U.S. must engage Iran in discussions about security in the Middle East

@highlight

Such a change of course would pose a challenge to U.S. policy makers, he says