Beijing (CNN) -- "Those who win become emperors, those who lose become bandits."

This old Chinese adage may be an apt subtitle to the political drama that has been playing in China in recent months.

It climaxed this week when Bo Xilai, a popular and polarizing politician, was dismissed as Communist Party chief of Chongqing, the biggest metropolis in China.

Bo's dismissal is the most sensational political scandal to hit the Chinese Communist Party in recent years.

China axes Bo Xilai from Chongqing after scandal

As a son of a revolutionary veteran and an official with a solid, albeit controversial record, Bo was considered a strong contender for promotion into the Standing Committee of the party's Politburo, whose nine members decide how to run China.

In autumn this year, the Communist Party Congress will convene in Beijing to confirm sweeping changes in this 1.37 billion-strong nation.

Held every five years, it will set national priorities and choose a new set of leaders.

The stage is set for the race to the top.

That race is opaque, mostly decided inside the leadership compound in Zhongnanhai by various factions and vested interests -- conservatives, reformers, party apparatchiks, technocrats, regional leaders, army officers and princelings -- or taizi, referring to the children of veteran officials.

Why Chinese succession matters

For years, Bo seemed destined to succeed in a career that befitted his pedigree as a princeling.

I knew Bo when we both studied at Peking University's history department in the late 1970s. I majored in Chinese history, he in world history.

We sometimes ate lunch together, standing while eating around a table with other classmates in the university cafeteria (there were not enough stools for every diner.) We typically talked about current events and debated history and politics.

Bo was particularly keen to practice speaking English with foreign students like me.

"His top ambition then was to be a Chinese journalist posted overseas," recalls a classmate and close friend of Bo.

Two years later, after getting his Peking University degree, Bo got into the master's degree program in journalism, the first ever, at the Chinese Academy of Social Sciences.

After graduation, however, Bo did not pursue his ambition to become a foreign correspondent. Instead, he worked his way up as a local party and government official.

He spent 17 years in Dalian, a charming but gritty coastal city in northeastern China. He became Dalian mayor in 1993 and transformed it into a popular investment and tourism destination.

As early as 1999, Bo was expected to move to Beijing for a ministerial post but his promotion was aborted when he failed to get elected into the Central Committee, the Communist Party's ruling elite.

Meantime, Bo served as the governor and later party chief of Liaoning, a rust-belt region in northeast China which then boasted of large but mostly money-losing state-owned enterprises. In Liaoning, Bo dealt with high unemployment and endemic corruption.

In 2004, when Bo finally got elected into the elite Central Committee, he moved to Beijing as minister of trade and commerce.

"He was a tough and effective negotiator in terms of defending China's global trade policies and interests," said Wenran Jiang, a professor at the University of Alberta and Bo's former classmate at Peking University.

For decades, Jiang recalls, Bo stood out as one of China's most dynamic and maverick politicians.

I too have seen Bo impress foreign business and political leaders with his charisma and political savvy.

Instead of reading prepared speeches or reciting memorized lines, for example, he often spoke extemporaneously.

"Bo is a populist leader," says Wenfang Tang, a political science professor at the University of Iowa, who also remembers Bo as a fellow student at Peking University in the late 1970s.

"His populist and sometimes emotional appeal sets him apart from the rest of the technocratic leaders who can certainly win the contest for the most boring politicians," Tang opines.

"He would have had a chance to become China's top leader, if China had direct elections. But he shows too much personality and charisma in the post-Mao political culture that emphasizes collective leadership."

Bo gained national prominence -- and a host of enemies -- when he moved in to Chongqing in 2007. There, he made his name by "striking black" and "singing red."

Striking black (dahei in Chinese) refers to a ruthless, relentless crackdown on corruption and gangster activities.

Singing red (changhong) refers to mass-singing of militant Cultural Revolution (1966-76) songs that harked back to Maoism.

Bo's "strike black" campaign implicated millionaires, local officials, police officers and gangsters involved in bribery, prostitution, gambling, drugs and guns.

During the crackdown, Bo relied mainly on Wang Lijun, a tough and decorated policeman who served as Chongqing's police chief from 2009 to 2011.

The campaign led to thousands of arrests and several executions. Wang was promoted to vice mayor as a reward.

Ironically, it was also Wang Lijun who torpedoed Bo's career.

On February 8, Wang was unexpectedly reported to be "on leave" for health reasons.

Days later, Wang mysteriously fled into the U.S. consulate in Chengdu, six hours' drive away from Chongqing.

The next day, Wang left the consulate "of his own volition," U.S. officials said, and was taken into custody by security officials.

Asylum rumors sparked by China crime buster's 'medical leave'

It remains unclear why Wang attempted to seek refuge in the U.S. consulate and what repercussions his action may have.

The "Wang Lijun Incident," as the Chinese media calls it, has been under investigation.

Chinese premier Wen Jiabao this week said the results of the investigation will be made public and "should be able to stand the test of law and history."

Meantime, the scandal has led to Bo Xilai's humiliating downfall. Beijing is abuzz with rumors that worse punishment may await Bo.

On China's treacherous road to the pinnacle of power, it takes only a few wrong turns for a maverick politician to end up like a "bandit."

@highlight

Bo Xilai's sacking is the biggest political scandal to hit China for years

@highlight

The Chongqing chief was dismissed amid a scandal involving a key deputy

@highlight

FlorCruz met Bo when both were students at Peking University

@highlight

Charismatic and popular, Bo was once seen as rising star in Chinese politics