(CNN) -- Three choices, and you only get to pick one:

Of these three developments that took place in the second half of the 20th century, which has had the most enduring impact on our lives today?

1. The building of the interstate highway system.

2. The blanketing of the United States with coast-to-coast television.

3. The introduction and spread of the Internet.

We're finally far enough into the 21st century that we can look at the previous one with the perspective that comes with distance. American life prior to 1950 felt nothing like American life feels now, and a big reason is those three changes.

They, more than any fleeting headline event or arcane political controversy, transformed everything; the question for you is, which of them changed things the most?

Before the interstates were constructed, the country felt pretty hemmed in. Even a trip within an individual state often took considerable planning; two-lane roads, dangerous and slow, were common, and people didn't leave their hometowns on a whim.

The interstates -- the official name, still, is the Dwight D. Eisenhower System of Interstate and Defense Highways -- tore down the invisible walls around U.S. towns.

President Eisenhower was in favor of building the interstates (often said to be the biggest public works project in the history of the world) because he believed that, in a time of war, they would be helpful in moving troops and supplies. But their immediate effect was to make Americans feel that certain doors had been unlocked. With the interstates came an exhilarating sense of freedom: A person could drive anywhere -- everywhere -- easily and without paying tolls.

Suddenly, horizons were unlimited. "Local" didn't mean quite the same thing it used to. You didn't have to stay put. Getting away was effortless.

The introduction of national television meant that for the first time in history, people in every corner of the country -- people in small towns, in huge cities, in farm communities, in remote villages -- were watching exactly the same thing at exactly the same moment.

It connected the country, made it cohesive, in a way that even network radio hadn't accomplished, and it was because of the transfixing quality of the TV pictures. As with the interstates, coast-to-coast television was an antidote to isolation.

The executives who ran the newly formed television networks had an enormous amount of power. Their decisions about what to put on the air determined what people would be talking about the next day. They, in essence, controlled what people would laugh at and when, what people would cry over and when, what would anger people and when it would anger them.

The handful of national over-the-air networks, in their early days, were just that dominant. America might as well have been hypnotized, so great was the devotion to the new machine.

And then, later in the century, the Internet came along and with it the promise of the erasure of all symbolic borders. If the interstate highways had allowed physical freedom, the Internet allowed a different kind of freedom, one unprecedented in human experience.

It was no coincidence that it was initially referred to as the information superhighway: Seemingly overnight, the knowledge (and trivia and gossip) of the world was available to anyone with a keyboard and a modem; people who had never met and would never meet could communicate as if they were lifelong friends.

The old-time television executives no longer had as firm a grip on how citizens would spend their time; now the individual at his or her computer terminal was given the power to decide how he or she would be informed, entertained or infuriated at a given moment. No one else had the absolute authority to program the individual's life; he or she made that decision, moment by moment.

What in the past might have taken a person a lifetime -- searching for mankind's recorded wisdom in distant and magnificent libraries -- now, in theory, was available with a series of key taps from one's room, regardless of how modest. What had once seemed inconceivable had, in the blink of an eye, become routine.

So:

The three innovations ended up changing our daily world profoundly -- largely because of them, it is a world that would be almost unrecognizable to our grandparents and great-grandparents.

Each of the three, it can be argued, had certain drawbacks and tradeoffs that we should not ignore:

The interstates let us roam at will but weakened our sense of place; television brought us together, but somehow, in relieving the old sense of forced isolation, it paradoxically introduced a new kind of voluntary isolation as it lured us to stay increasingly within the confines of our walls; the Internet gave us access to the whole planet but locked our attention on a small sheet of plastic or glass.

The drawbacks are perhaps a discussion for another time. What is not debatable is how much influence each of the three developments has had on the way we live our lives today.

The question is, if you had to choose one of the three as the most far-reaching, the one that has altered our lives -- all right, your life -- the most, which one would it be?

Or, to put it another way: which of the three couldn't you live without?

There's no right answer. There's just your answer.

Feel free to come up with it as you drive unfettered down the open highway, as you sit around watching TV or, if you'd like, by going to the quick vote that you'll find on this page.

[Postscript: Voting is now closed. More than 303,000 people voted; 58 percent selected the Internet as the most enduring innovation, 29 percent selected television, and 14 percent selected the interstate highways.]

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Three innovations shaped America in second half of 20th century

@highlight

Television, Internet and interstate highway system all had profound effects

@highlight

Bob Greene asks which of the three has most affected your life