(CNN) -- The U.S. health system has been preparing since late March for the news we announced Tuesday: the first case of Ebola diagnosed in the United States.

In this age of global travel, we anticipated that a traveler from a country with an Ebola outbreak would come to the United States and develop symptoms once they arrived. But from everything we know now, there appears to be no risk that anyone on this patient's flights from Liberia to the United States was exposed to the virus.

Can you catch Ebola on a plane?

Clinicians on the front lines have been one key to our safety: identifying patients with both a history of travel and symptoms indicating they might have Ebola, immediately isolating them, consulting their local or state health departments, and getting the patients tested as needed. Indeed, since the outbreak began in Africa, CDC has consulted with state and local health departments on almost 100 cases in which travelers had recently returned from West Africa and showed symptoms that might have been caused by Ebola. Of those cases, 14 were considered to be truly at risk. Specimens from 13 were tested and Ebola was ruled out in all 13 cases.

But now CDC labs have confirmed our nation's first U.S.-diagnosed Ebola patient.

I understand this can be deeply troubling news, especially after what we have witnessed Ebola do in West Africa. But there are distinct differences in what will happen here.

The United States has a strong health care system and dedicated public health professionals -- all hard at work right now -- to make sure this case will not threaten the community at large, or the nation. A person who is sick from Ebola virus disease can be cared for in U.S. hospitals when the patient is isolated in a private room with a private bathroom and contact with them is highly controlled. Every health care worker must meticulously follow every single infection control protection we recommend.

How the Ebola virus spreads

Public health officials, meanwhile, are also identifying people who have had close personal contact with the newly diagnosed patient and will follow up with them for 21 days, the longest known incubation period for Ebola. If they develop any signs of the disease, those people will be isolated, tested and cared for.

The fact is that CDC has been preparing for this day, working around the clock with local and state health departments to enhance surveillance and laboratory testing capacity, provide recommendations for health care infection control and other measures to prevent disease spread, and deliver guidance and tools for health departments to conduct public health investigations.

Your Ebola questions answered

I'm not going to promise that we can stop this at just one case, but I can tell you we have the advantage because the right steps are being taken, and I am therefore confident we will stop Ebola in its tracks here in the United States.

And there is one final thing to remember, even as the first case here grabs the headlines: We must be relentless in stopping its spread in West Africa. After all, after all is said and done here, that is the only way to truly and completely protect the health security of America -- and the world.

Complete coverage on Ebola

@highlight

CDC chief: U.S. health system has been preparing since March for first U.S. Ebola case

@highlight

Clear differences between Ebola in Africa and what will happen in U.S., says Tom Frieden

@highlight

21 days is the longest known incubation period for Ebola, Frieden says