(CNN) -- Fifteen years ago this month, Rwanda declared a cease-fire in a genocide that left more than 800,000 dead. In the attacks that started in April 1994, Hutu militias and members of the general population sought out Tutsis and moderate Hutus -- and went on a 100-day killing rampage.

In June of 1994, Rwanda was still in the grip of a 100-day killing rampage.

Civilians and children got incentives to take part in the atrocities, including promises of land belonging to their Tutsi neighbors.

It was one of the most brutal genocides in modern history. Some figures put the number of dead at 1 million, 10 percent of the population of the central African nation. Millions more were raped and disfigured. A whole generation of children lost their parents.

What started the Tutsi and Hutu rivalry

The Tutsi ethnic minority and the Hutu majority had been at odds even before 1994. The rivalry started during colonial times, when the Belgians considered Tutsis the privileged ethnicity, thus giving them better opportunities.

The Hutus were considered inferior, prompting resentment that was passed on through the generations. The first major assault on Tutsis occurred in 1959, killing thousands and prompting more attacks over the years.

The animosity caused the Tutsis to flee to neighboring countries, including Burundi and Uganda. The Hutus took over the government when Rwanda gained its independence from Belgium in 1962, but the resentment remained.

Hours before the genocide

In early April, a plane carrying then-President Juvenal Habyarimana, a Hutu, was shot down near the capital, Kigali. The president, his Burundian counterpart and their aides were killed. A few hours later, Rwanda erupted into chaos.

Some have accused current President Paul Kagame, a Tutsi, of masterminding the killing. Kagame, who led a Tutsi militia group at the time, has denied any ties. He has accused Hutu rebels of instigating the assassinations to incite fury and attacks on Tutsis.

Differences between Hutus and Tutsis

They speak the same language and practice the same customs. However, most Tutsis are considered tall and lanky, which has led to speculation that they have Ethiopian heritage. During the genocide, the bodies of Tutsis were thrown into rivers by the Hutus, who said they were sending them back to Ethiopia.

The aftermath of the genocide

After 100 days of death and destruction, the Tutsi militia led by Kagame defeated the Hutu rebels and took control of the government. Scores of Hutus fled to neighboring Democratic Republic of Congo, where they have been accused of inciting more violence. Rwanda has invaded Congo various times to launch an offensive against Hutus allegedly linked to the genocide.

After the cease-fire, a multiethnic government made up of Hutu President Pasteur Bizimungu and Vice President Kagame came into power. Bizimungu was later accused of ethnic discord and jailed. Kagame became president in 2000.

Trials for genocide suspects

Top officials such as army generals and politicians who allegedly took part in the genocide are tried in the Rwandan justice system and the International Criminal Tribunal, which is based in Tanzania. Civilians who allegedly contributed either directly or indirectly are tried in gacaca courts.

The latter are community courts conducted by a panel of nine civilians in an open field.

The courts allow survivors to point out and confront their attackers. Gacaca means "open grass" in the local language. Human rights organizations say the gacacas fall short on delivering justice.

State of the nation 15 years later

Rwanda is now considered one of Africa's most stable nations. Education, health care, tourism and trade -- which were destroyed in the genocide -- have improved dramatically. Kagame has made big strides against corruption, a major problem in Africa.

However, critics have accused him of being an autocratic leader who has stifled the country's media. Others have said the growth in economy is limited to urban areas and has not trickled into rural areas.

@highlight

Simmering hatreds between Tutsi and Hutu erupted in genocide in 1994

@highlight

100-day killing rampage left 800,000 dead -- mostly Tutsis and moderate Hutus

@highlight

Rwanda is now considered one of Africa's most stable nations