Syrian President Bashar al-Assad should heed U.S. warnings to neither use nor move chemical or biological weapons, lest he risk crossing a "red line" and provoke a U.S. military response, President Barack Obama said Monday.

"We cannot have a situation where chemical or biological weapons are falling into the hands of the wrong people," Obama told reporters at the White House. "We have been very clear to the Assad regime -- but also to other players on the ground -- that a red line for us is we start seeing a whole bunch of chemical weapons moving around or being utilized.

"That would change my calculus; that would change my equation."

Obama added that U.S. officials are monitoring the situation "very carefully" and have put together a number of contingency plans.

Saudi support for Syrian rebels shaped by tribal, religious ties

"We have communicated in no uncertain terms with every player in the region that that's a red line for us and that there would be enormous consequences if we start seeing movement on the chemical weapons front or the use of chemical weapons."

Obama's remarks appeared to ratchet up his stance on the matter. Last month, talking about Syrian forces, he told a VFW convention, "They will be held accountable by the international community and the United States should they make the tragic mistake of using those weapons."

The Syrian regime "probably has the largest and most advanced chemical warfare program in the Arab world," Michael Eisenstadt, director of the military and security studies program at the Washington Institute for Near East Policy, told CNN last month.

It includes "thousands of tube and rocket artillery rounds filled with mustard-type blister agents, thousands of bombs filled with the nerve agents sarin and possibly VX, and binary-type and cluster CW warheads filled with nerve agents for all its major missile systems.

"Its CW infrastructure is believed to include several production facilities and numerous storage sites, mostly dispersed throughout the western half of the country," Eisenstadt said.

Syria is thought to have a biological warfare research and development program, but is not known to have offensive biological warfare agents, Eisenstadt said.

The nation is not a party to the Organization for the Prohibition of Chemical Weapons. That's the body of the Chemical Weapons Convention dedicated to eliminating the weapons.

Israeli President Shimon Peres has said his country too is preparing contingency plans to attack Syria's chemical weapons arsenal if Israel is directly threatened. In September 2007, Israeli jets bombed a building in Syria that the U.N. nuclear agency eventually concluded was "very likely a nuclear reactor."

Obama's warning on Monday came as Muslims in Syria celebrated the second of three days of feasting to honor the end of the holy month of Ramadan, with the holiday's message of amity and tolerance contrasting sharply with reality.

U.N. observer mission in Syria ends, violence continues

At least 150 people were killed Monday, including two children and their mother in Daraa, the opposition Local Coordination Committees of Syria said.

A Japanese journalist was killed during a gun battle in Aleppo, the Japanese foreign ministry said Tuesday.

Mika Yamamoto, 45, worked for the independent Japan Press news agency and had been reporting on the Free Syrian Army. Her body was taken to Turkey, where officials were working to get more information, the ministry said.

Also among the dead in Syria were 10 bodies discovered splayed on the ground in the Damascus suburb of Qaboun. Video posted by activists showed at least one of the victims lying on his back, blindfolded, his arms stretched above his head. Others showed victims with bruised flesh and dark red splotches on their clothes. CNN cannot authenticate the video.

Another video, said to have been shot Sunday in the town of Talbeesa, north of Homs, showed children being pushed on swings. The swings are attached to the gun of a tank on which adults are standing, chanting, "Victory for the rebels!"

In a third video, showing the same tank, a man says to the camera, "We will enter Homs with this tank and liberate all of Syria, God willing!"

Daraa province, where the conflict began in March 2011 as peaceful anti-government demonstrations, has suffered heightened violence in recent days.

It is also the home province of Vice President Farouq al-Sharaa, who rebels say has defected from the regime.

On Sunday, the charred bodies of 20 people were discovered in the Daraa city of Hirak, and 31 other people were killed in the province, the LCC said. Government forces executed 14 people in Daraa hours after they were detained, the opposition network said.

Hirak took another beating Monday, when mortars and rockets rained down on the city, the LCC said.

Inside Syria: Nobody imagined it would turn into this

Since the Syrian crisis began 17 months ago, more than 20,000 people -- most of them civilians -- have been killed, opposition activists say.

Complete coverage of CNN Inside Syria

@highlight

A Japanese journalist is killed, the government says Tuesday

@highlight

At least 150 people were killed across Syria on Monday, opposition activists say

@highlight

Obama calls the movement or use of chemical or biological weapons a "red line"

@highlight

Violence flares in Daraa, where peaceful anti-regime protests started in March 2011