Washington (CNN) -- Despite mounting pressure from Democratic colleagues to resign over the sexting scandal that dominated the headlines this week, embattled Rep. Anthony Weiner insists he's staying in office.

Among other things, the New York congressman can point to a Marist College poll released Thursday showing that a majority of registered voters in his district -- 56% -- don't believe he should step down. Only 33% believe he should go.

Assuming Weiner stays, the question now becomes whether the House ethics panel will heed Democratic leader Nancy Pelosi's call for an investigation of the case.

It involves whether Weiner used government resources in sending lewd photos and sexual-tinged messages in his online communications with several women, and his series of lies when news of what he was doing became public.

The known facts so far don't suggest any criminal violations by Weiner, said Jonathan Turley, a George Washington University law professor, in an interview Thursday with CNN.

All of Weiner's sexting appeared to be with adults, while prosecution usually focuses on people transmitting pornographic materials to children, Turley noted.

In addition, Weiner never called for a federal investigation of the case and therefore avoided one of the biggest dangers of prosecution -- lying to federal investigators, Turley said.

"I think that the odds are ... that he won't be criminally charged," he said.

On the other hand, a congressional investigation by the House Committee on Ethics, formerly known as the Committee on Standards of Official Conduct, could be a costly and politically charged process lasting for months and perhaps years.

Turley noted that the ethics panel has a reputation for being "toothless," and he questioned the wisdom of prosecuting a legislator for a private act, saying it opened the door to future investigations based on lifestyle or other non-legal issues.

However, Turley noted that House rules prohibit conduct that discredits the chamber, and that Weiner's most obvious misconduct appeared to be lying publically by initially claiming his Twitter account had been hacked by someone who posted a lewd photo to a 21-year-old college student in Washington state. Weiner later admitted he sent the photo.

Pelosi asked for the ethics committee to investigate in order to pressure Weiner to resign, according to Democratic sources.

Her letter to the top Republican and Democrat on the House ethics panel noted that Weiner had "disclosed conduct which he described as inappropriate."

"An investigation by the Ethics Committee to determine whether the Rules of the House of Representatives have been violated is warranted," Pelosi said in the letter.

As pressure built for some indication about the Ethics Committee's intentions, the panel's Republican chairman and ranking Democratic member issued a statement this week underscoring their duty to impartiality and confidentiality. The statement made no mention of Weiner.

"If and when an investigation is appropriate in any matter, the Committee will carry out its responsibilities pursuant to our rules and with the utmost integrity and fairness," said the statement from Reps. Jo Bonner, R-Alabama, and Linda Sanchez, D-California. "Pursuant to our rules of confidentiality, we will not have any further comment at this time."

To Stanley Brand, a lawyer who formerly served as House General Counsel and has participated in ethics committee investigations, the request by Pelosi for an investigation made no sense.

There was no criminal violation, Brand said, and focusing on Weiner's case will set an undesirable precedent.

"Why these Democrats think it's a good idea to turn internet peccadilloes into ethics violations, I don't understand," Brand told CNN. "The world is using these devices, and they're going to be sinking their own boats when they do it."

The prospect of months of expensive legal wrangling over his private life was supposed to persuade Weiner to step down in order to end the sensational news headlines that Democrats say are distracting from their messaging on Medicare reform and other issues.

Now that Weiner appears likely to stay in office, it is unclear whether the ethics panel will decide to launch an investigation.

No specific ethics rules deal with social media such as Twitter, which is one of the forms of online communications involved in the Weiner case. While lying to evade detection would be considered inappropriate, it is not a violation likely to bring significant punishment.

Norm Ornstein, a political analyst for the American Enterprise Institute, said Pelosi's call for an ethics investigation was necessary for both procedural and political reasons.

"Weiner's actions raise clear questions about whether he used government resources for his shenanigans," Ornstein told CNN, and Pelosi's request also sent "a clear signal of disapproval of the leadership."

"It stands in stark contrast with the muted response Senate and House Republican leaders had to David Vitter's confessions, and to the allegations against John Ensign," Ornstein's e-mail said of cases involving sexual misconduct and other alleged violations by Republican legislators.

"If Weiner stays, it is clear that it will be without much backing in any fashion, public or private, from his Democratic colleagues," Ornstein said in the e-mail.

Weiner has said he welcomed the investigation, which could go in a number of directions.

The committee could find that the congressman, however repugnant his actions, did nothing to violate House rules. Or it could find that he damaged the reputation of the House and recommend a fine and possibly a reprimand.

More seriously, Weiner could be censured. The most serious penalty would be expulsion, something rarely recommended.

At most, Weiner is likely going to receive a letter admonishing him for his behavior, predicted Melanie Sloan, executive director of Citizens for Responsibility and Ethics in Washington.

"The best you've got (so far) is that his behavior doesn't reflect credibly on the House. But that's a pretty vague charge, and (the ethics committee doesn't) use that every time a politician lies. Otherwise they'd be pretty busy."

Sloan noted that House rules allow for use of government property such as phones for personal purposes as long as an extra cost is not incurred by taxpayers.

Both Democrats and Republicans will feel a degree of "discomfort" dealing with Weiner's case, Sloan said. There is a "real danger to saying sexual misconduct is something the committee's going to investigate," she noted, raising the specter of possible sexual improprieties on the part of other members.

Theoretically, the ethics committee is supposed to act as a non-partisan judicial body, she added. But it's impossible to completely eliminate political considerations from the committee's deliberations.

Weiner's fellow New York Democrat, Rep. Charlie Rangel, was censured by the House last December after being found guilty on 11 counts of violating House rules, including a failure to pay taxes on a vacation home and improperly using his office to raise money for an educational center bearing his name.

Democratic support for Rangel, a former chairman of the powerful tax law-writing House Ways and Means Committee, eroded over time due to a steady stream of new allegations of misconduct and, according to some observers, a poor response to investigators.

"If the scandal deepens with additional revelations, the pressure on Weiner to resign will increase," said Adam Sheingate, a Johns Hopkins political scientist.

CNN's Deirdre Walsh contributed to this report

@highlight

Democratic colleagues want Rep. Anthony Weiner to resign over a sexting scandal

@highlight

House Minority Leader Pelosi has called for an ethics investigation of Weiner

@highlight

Analysts warn the investigation could set an undesired precedent

@highlight

A majority of registered voters in Weiner's district don't want the congressman to step down