New York (CNN) -- A New York Supreme Court ruled Tuesday that Occupy protesters will be allowed to return to Zuccotti Park, but they can't bring their tents and generators -- once a mainstay of the movement.

The Lower Manhattan property has been a home for the loosely defined group for nearly two months, spawning similar demonstrations in cities nationwide and around the world.

Police in riot gear cleared them out early Tuesday morning, a move that attorneys for the demonstrators say was unlawful.

But Justice Michael Stallman ruled in favor of city officials and Brookfield Properties, the park's owner and developer, who have each raised health and sanitation concerns.

The order does not prevent Zuccotti park demonstrations, but says protesters' First Amendment rights not do include remaining there "along with their tents, structures, generators, and other installations to the exclusion of the owner's reasonable rights and duties to maintain" the area.

Stallman said protesters' rights cannot come at the exclusion of those "who might wish to use the space safely."

Demonstrators cried foul.

"It's hard to expect much else," said protester Amos Fisher. "The rules are slanted in favor of money."

New York mayor Michael Bloomberg, meanwhile, said the "court's ruling vindicates our position that First Amendment rights do not include the right to endanger the public or infringe on the rights of others by taking over a public space with tents and tarps."

Earlier Tuesday, at least two people were seen jumping over a metal barricade before they were forcibly removed by authorities.

Video of the park showed security officers picking up one protester and tossing the individual over the fence.

"The mayor, the police have been itching to do this for weeks," said Bill Dobbs, a spokesman for the loosely defined group. "We're here to raise an outcry about economic conditions and not get into confrontations with police."

Hundreds of police and private security guards filled the park and the surrounding area Tuesday, as demonstrators circled their former home base.

"We have an obligation to enforce the laws today, to make sure that everybody has access to the park so everybody can protest." Bloomberg said. "We also have a similar, just as important obligation to protect the health and safety of the people in the park."

The operation to clear the park began around 1 a.m., the mayor said, with police handing out notices from the park's owner that said the continued occupation posed a health and fire hazard.

"You are required to immediately remove all property, including tents, sleeping bags and tarps, from Zuccotti Park," the note said. "That means you must remove the property now."

Police in riot gear then moved into the park, evicting hundreds of protesters.

Dozens of protesters who had camped out at the Lower Manhattan park since September 17 linked arms in defiance. Many chanted, "Whose park? Our park" and "You don't have to do this."

Police arrested more than 100 people, according to Deputy Police Commissioner Paul Browne.

New York City Council member Ydanis Rodriguez was among those arrested, after he rushed down to the park when he heard police were evicting protesters, his spokesman, David Segal, told CNN.

Medical crews treated three people for minor injuries, Bloomberg said. A police officer was also hospitalized after experiencing heart palpitations, he said.

Continuing concerns about public health and safety and the impact of the protests on nearby businesses, as well as the rights of others to use the park, prompted city officials to dismantle the camp, Bloomberg said. While the city has a long history of embracing free expression, circumstances at the park had become "intolerable," he explained.

The Occupy Wall Street website video-streamed the eviction under a banner headline that read, "NYPD is raiding Liberty Square." Liberty Square is the former name of the park.

While many protesters left without resisting, many others moved to the center of the park to an area known as the "kitchen." There, they built barricades with tables to keep police away.

The air was thick with smoke, which some protesters said was from tear gas that officers lobbed.

Others said officers took thousands of books from the camp's makeshift library and tossed them in Dumpsters.

"In an immense show of force, police have shown their presence," said Kanene Holder, a spokeswoman for the Occupy Wall Street movement. "I've seen how agitated the police are and some (are) pushing and shoving to remove us."

CNN could not confirm those accounts, as police kept journalists a block and a half away from the park during the raid.

However, CNN was able to obtain footage of piles of clothing, tents and tarps made by police as they cleaned out the park.

Later Tuesday, police said that protesters seeking to claim personal property that was removed from the park can do so starting Wednesday, at a specific Sanitation Department garage.

By 4:30 a.m. Tuesday, the Lower Manhattan park was clear, with about 40 city crews in orange vests scraping up trash and pressure washing sidewalks.

After briefly reopening around 8 a.m., the park closed again as city officials learned of a temporary restraining order issued by State Supreme Court Judge Lucy Billings.

The order -- which was later denied during Tuesday's hearing, had allowed protesters to bring back tents and other equipment.

Police, however, did not immediately let them in, and a large group of demonstrators -- some of them apparently holding the court documents -- marched back to Zuccotti Park and presented the documents to police.

"We have a court order," the group chanted, as it wielded signs and circled the Lower Manhattan park. "You don't have authority over a judge," they yelled at police.

Several hundred protesters then marched from Foley Square, where they had gathered after Zuccotti Park was cleared, to City Hall, chanting "We are unstoppable, another world is possible" and "This is what democracy looks like."

Bloomberg said Occupy demonstrators "must follow the park rules if they wished to continue to use it to protest."

"Protesters -- and the general public -- are welcome there to exercise their First Amendment rights, and otherwise enjoy the park, but will not be allowed to use tents, sleeping bags or tarps and, going forward, must follow all park rules," Bloomberg said.

"The law that created Zuccotti Park required that it be open for the public to enjoy for passive recreation 24 hours a day. Ever since the occupation began, that law has not been complied with, as the park has been taken over by protesters, making it unavailable to anyone else. ... The park was becoming a place where people came not to protest, but rather to break laws, and in some cases, to harm others," the mayor said.

Many protesters complied with the order to remove property, he said, but police and the city's Sanitation Department "assisted in removing any remaining tents and sleeping bags."

While most protesters were peaceful, "an unfortunate minority" were not, Bloomberg said, prompting reports of businesses being threatened and complaints regarding noise and unsanitary conditions.

Many of the hundreds who left quickly reassembled two blocks away, chanting, "We are back together."

Jeremy Baratta, a 32-year-old Army veteran, called the health concerns that authorities cited a pretext.

"It was fairly clean," he said of the park. "No urine or fecal matter. There weren't things strewn about."

Since the protests began in September, the encampment at the park had taken on an air of permanency, with tents covering the public plaza from one end to the other. Protesters said they were there for the long haul.

Last month, Bloomberg had ordered protesters to vacate the park so Brookfield workers could clean it, but Brookfield changed its mind after it said it was "inundated" with calls.

On Monday, police in Oakland, California, conducted a similar raid when they moved in to the Occupy encampment at Frank Ogawa Plaza near City Hall and tore down tents. Officers made 33 arrests.

The Tuesday morning eviction of Zuccotti Park comes ahead of plans by the protesters to "shut down" Wall Street on Thursday -- to mark the two-month anniversary of their movement.

Baratta, the Army veteran, said that the movement will continue whether or not the park serves as a base.

"You're going to have to deal with us," he said. "We're not going to show up for an hour and then leave. They're going to have to acknowledge us."

CNN's Laura Batchelor, Brian Vitagliano, Marina Landis, Karen Smith, Julian Cummings, Poppy Harlow, Vivienne Foley and Scott Thompson contributed to this report.

@highlight

A New York Supreme Court justice opts not to extend a temporary restraining order

@highlight

Hundreds of police and private security guards fill the park and the surrounding area

@highlight

Demonstrators circle their former home base.

@highlight

The city plans to allow protesters to stage demonstrations in Zuccotti Park