New York (CNN) -- The rapid growth in emerging markets over the past decade has made them fertile ground for the development of new approaches to attracting and managing talent.

Among the biggest beneficiaries: Ambitious, educated women in Brazil, Russia, India, and China (BRIC). Following the trend in developed nations, BRIC women are graduating from university at rates equal to or exceeding men. As they enter the professional workforce in their home countries, these women have an unparalleled opportunity to leapfrog their Western counterparts.

Research from the think tank I set up, Center for Talent Innovation, shows that their career ambitions and commitment overwhelm those of women in the U.S.

In my book, "Winning the War for Talent in Emerging Markets: Why Women are the Solution," written with Ripa Rashid, we say some 76% of Chinese women, 80% of Brazilian women, and a whopping 86% of Indian women aspire to the top job, compared to only 52% of their U.S. counterparts. Over 80% in Brazil, Russia and India love their jobs, versus 70% in the U.S.

Yet their promising futures too often are derailed by family-rooted "pulls" and workplace-centered "pushes."

Although childcare is one of the most common career killers for women in the United States and Western Europe, it is rarely a serious problem in the emerging markets. Parents and in-laws frequently live nearby and are willing to pitch in to help care for their grandchildren. Nannies and household help are, for the most part, affordable and readily available.

Instead, BRIC women confront a series of family and social pressures that pile onto women when they marry, ratchet up after they have children, and become almost crushing as their parents and in-laws get older.

Eldercare is a ticking time bomb, especially in countries where filial piety is tightly woven into the cultural value system.

Although elders today represent a net benefit to the female career professional in BRIC markets, demographic projections a huge leap in the percentage of the population over 60.

This dramatic shift will land squarely on professional women. While many women in our sample did not have children, the vast majority -- 81% -- do have eldercare responsibilities. "Daughterly guilt," already substantial across the BRICs, actually exceeds maternal guilt in India and China.

In spite of the tremendous gains in women's status in the BRICs over the past two decades, gender bias remains an indisputable reality of the workplace.

In India and China, over 25% of CTI survey respondents believe women are treated unfairly in the workplace owing to their gender; in India, the number is 45%.

More than half of educated women in India and nearly half of their counterparts in China have encountered bias severe enough to make them consider scaling back their career goals -- or quitting altogether. (Russia is the exception, in part owing to a Communist legacy that integrated women into the workplace better than elsewhere in today's emerging markets.)

Even a sizable percentage of men agree that women are treated unfairly because of their gender.

The most commonly encountered types of bias involve lingering stereotypes about women's abilities and commitment to work.

These deeply rooted prejudices can impact women's careers in a range of ways, from curtailed assignments to smaller salaries to penalties for taking maternity leave.

Women also have to fight cultural stereotypes that bar them from coveted assignments. More than half of the women surveyed are interested in international assignments, with most seeing them as critical to their career advancement.

Yet because it's assumed that a woman's responsibilities are to her home, and that her husband and children will take precedence over commitment to her career, she is often passed over in favor of a man.

But assertiveness can be difficult for women brought up in cultures that place great value on women's submissiveness and reticence, as in India and China, or consider it a trait that detracts from women's essential femininity.

Many women surveyed felt crippled by this cultural bind, a sense further reinforced by the absence of senior female role models, mentors, sponsors and access to leadership training. Time and again, the women spoke of how hungry they are for more support from their employers and how much they would benefit from programs that would help them break out of their shells.

A nuanced understanding of the cultural and social influences is essential to doing business effectively anywhere, yet the "think global, act local" mantra that is the cornerstone of many successful business strategies rarely extends to managing talented women in emerging markets.

Employers who wish to maximize their potential need to understand their complicated career dynamics.

Only by creating policies and practices that enable ambitious, educated women to flourish will companies ensure that the tomorrow's leaders get the skills and support they need today.

@highlight

Report: Women in Brazil, Russia, India and China more ambitious than U.S. counterparts

@highlight

Extended families, affordable childcare makes it easier for mothers to work, says author

@highlight

Eldercare and "daughterly guilt" are a more significant barrier than in Western world

@highlight

Women report: Assertiveness not considered feminine in China and India