You may know where you are and where you're going to, but do you know why you know that?

The Nobel Prize in Physiology or Medicine has honored three neuroscientists, whose work is helping answer that question.

John O'Keefe, along with May-Britt Moser and Edvard Moser, discovered cells that form a positioning system in the brain -- our hard-wired GPS.

Those cells mark our position, navigate where we're going and help us remember it all, so that we can repeat our trips, the Nobel Assembly said in a statement.

Nobel Prizes: Medical award kicks off week of announcements

Alzheimer's insights

Their research could also prove useful in Alzheimer's research, because of the parts of the brain those cells lie in -- the hippocampus and the entorhinal cortex.

Humans and other mammals have two hippocampi, which lie in the inner core of the bottom of the brain and are responsible for memory and orientation. The entorhinal cortices share these functions and connect the hippocampi with the huge neocortex, the bulk of our gray matter.

In Alzheimer's patients, those two brain components break down early on, causing sufferers to get lost more easily. Understanding how the brain's GPS works may help scientists in the future understand how this disorientation occurs.

The research is also important, because it pinpoints "a cellular basis for higher cognitive function," the Nobel Assembly said.

The scientists conducted their research on rats, but other research on humans indicates that we have these same cells.

Nerve cell discoveries

O'Keefe, a British neuroscientist who is also an American-born U.S. citizen, made the first discovery in 1971, when he came upon a nerve cell in the brain of a rat that was set off whenever the rat was in a particular place, the statement said.

The scientist called them "place cells."

In 2005, the Mosers, Norwegian neuroscientists, discovered yet another component.

"They identified another type of nerve cell, which they called 'grid cells,' that generate a coordinate system and allow for precise positioning and pathfinding," the statement read.

They also later figured out how place and grid cells work together to make the brain know where it is and where it's headed.

Oversimplified, one could say that the place cells mark point A and point B in the brain, and the grid cells help the brain get from point A to point B.

The prize money of 8 million Swedish kronor ($1.2 million) took an interesting split. Half went to O'Keefe and half went jointly to the Mosers, who are a couple.

It would seem to reflect the half-half nature of their discoveries.

Nobel background

Monday's ceremony at the Karolinska Institute in Stockholm, Sweden, will be followed by the announcement of the physics prize Tuesday, the chemistry prize Wednesday and the economics prize on October 13. The prize for literature will be awarded on a date to be announced later.

The Nobel Peace Prize will be awarded Friday.

Two Americans and a German shared the Nobel Prize in physiology last year. James E. Rothman and Randy W. Schekman, and German Thomas C. Sudhof were awarded the prize for discoveries of how the body's cells decide when and where to deliver the molecules they produce.

Swedish industrialist Alfred Nobel created the prizes in 1895 to honor work in physics, chemistry, literature and peace. The first economics prize was awarded in 1969.

@highlight

Prize money took an interesting split: half went to a scientist, half to other 2 jointly

@highlight

Their research could be useful in the study of Alzheimer's disease

@highlight

Place cells and grid cells make the brain know where it is and where it's going

@highlight

Research by the three also helps better understand how people orient themselves