(CNN) -- Legalizing marijuana is a civil rights issue, according to one of California's most prominent African-American advocacy groups.

The California State Conference of the National Association for the Advancement of Colored People, led by President Alice Huffman, recently announced its "unconditional endorsement" for Proposition 19, a legislative initiative on the November ballot that would legalize the recreational use of marijuana in California.

Huffman said African-Americans are disproportionately affected by the criminalization of marijuana which makes passing the law a civil rights issue.

"We have empirical proof that the application of the marijuana laws has been unfairly applied to our young people of color," Huffman said in an official statement.

"Justice is the quality of being just and fair and these laws have been neither just nor fair."

Police departments in California have made more than 60,000 marijuana possession arrests in 2008, three times more than in 1990, according to a recent study released by the Drug Policy Alliancean organization that says it promotes policies to end the war on drugs. Although blacks and Latinos make up less than 44 percent of the state's population, together both ethnic groups constitute up to 56 percent of arrests that are made for marijuana possession in California, according to the study. Furthermore, the U.S. Department of Health and Human Services has found that African-Americans use marijuana at lower rates than white Americans across the country.

The study said arrests in California are "racially-biased" and have led to a "system-wide phenomenon, occurring in every county and nearly every police department in California, and elsewhere."

Hilary O. Shelton, vice president of advocacy for the NAACP, said these numbers make it a civil rights issue.

"We are usually conservative in terms of the issues that we support, but disproportionate prosecution of [African-Americans for] drug-related offenses for marijuana has called us to fight for decriminalization in our community."

"If the law on drug possession was being enforced correctly, then the number of arrests and prosecutions and prison sentences would be proportionate to our society across the board," Shelton said.

"Sadly, that's not the picture."

But some African-Americans don't think the solution to the problem is to legalize marijuana.

Bishop Ron Allen, an outspoken leader of the International Faith-Based Coalition and member of the NAACP, is outraged by the endorsement.

He, along with 24 other faith- and activist-based organizations held a press conference in California Wednesday, calling for the resignation of Alice Huffman, claiming the California NAACP's endorsement of marijuana legislation is selling out the African-American community.

"If you think you are a civil rights leader, you should know better than anyone not to open the door to laws that will poison our community," Allen said.

But Huffman's endorsement has been backed by other organizations that support civil rights, including LEAP, the Law Enforcement Against Prohibition.

However, Allen believes that by supporting this initiative, Huffman is giving the NAACP "a black eye."

"We agree that the disproportionate arrests should change, but legalizing marijuana is not the way," Allen said.

"What it will create is for more incarceration, more drug babies, and more crime on the street. This is not a civil rights issue."

Allen, a former drug addict, said marijuana is a gateway drug that causes violence in poor communities and impedes the education of African-American youth.

The California NAACP "does not speak for the majority of the African-American community in this country," Allen said.

"What we need to do is support initiatives that help the black male progress in education and job placement."

"How do you educate a mind that is intoxicated?"

In addition, Allen said, revenue raised from legalizing and taxing marijuana sales would not end up serving is community.

"To raise the $100 billion that would be needed to fund education in this state, the use of marijuana would have to increase by 20 to 40 percent," he said. "This is a smokescreen and it's blood money."

But Shelton said Huffman's stand against criminalization supports NAACP founding principles.

"What the California state conference is trying to do is simply what is rooted in our mission: to eliminate racial prejudice wherever it may be," Shelton said.

"If members of our own community are able to see this as not just a drug issue, but a civil rights issue, I think individuals across the nation will reconsider their views on the marijuana legislation."

The decision on Proposition 19 will be made in California in November.

@highlight

California NAACP supports state legislation for legalizing marijuana

@highlight

Drug Policy Alliance: African-Americans arrested more for marijuana in California

@highlight

Opponents say NAACP should not support drug use in African-American community