BERLIN, Germany (CNN) -- U.S. presidential contender Barack Obama used a speech Thursday in Berlin --  the German city that once symbolized Cold War division --- to warn about the dangers of allowing new walls to come between the United States and its allies.

Barack Obama presses the flesh in Germany after his speech in Berlin's Tiergarten Park.

Obama highlighted what he sees as common transatlantic goals while also accepting the differences of the Bush years.

He is on the latest leg of an international trip intended to bolster his foreign policy credentials at home and set out his vision for a new era of transatlantic cooperation.

In an echo of former President Ronald Reagan's speech when he demanded the Berlin Wall be pulled down, Obama said: "The walls between the countries with the most and those with the least cannot stand. The walls between races and tribes; natives and immigrants; Christian and Muslim and Jew cannot stand. These now are the walls we must tear down."

Obama introduced himself to the Berlin crowd as a proud U.S. citizen and a "fellow citizen of the world."

He said: "This city, of all cities, knows the dream of freedom. And you know that the only reason we stand here tonight is because men and women from both of our nations came together to work, and struggle, and sacrifice for that better life."  Watch Obama in Germany »

He touched on issues that have generally divided Europe and the U.S. such as climate change as well as comparing Berlin's Cold War struggle with today's international challenges like fighting terrorism.

"People of the world - look at Berlin, where a wall came down, a continent came together, and history proved that there is no challenge too great for a world that stands as one," he said.

Obama said: "While the 20th century taught us that we share a common destiny, the 21st has revealed a world more intertwined than at any time in human history."

He said the fall of the Berlin Wall offered hope as the world faces up to international challenges such as terrorism, climate change and loose nukes

"In this new world, such dangerous currents have swept along faster than our efforts to contain them. That is why we cannot afford to be divided," Obama said.

He also addressed differences between the U.S. and Europe but added: "In Europe, the view that America is part of what has gone wrong in our world, rather than a force to help make it right, has become all too common.

"In America, there are voices that deride and deny the importance of Europe's role in our security and our future. Both views miss the truth...

"In this new century, Americans and Europeans alike will be required to do more - not less. Partnership and cooperation among nations is not a choice; it is the one way, the only way, to protect our common security and advance our common humanity."

Turning to global warming, Obama said: "This is the moment when we must come together to save this planet.

"Let us resolve that we will not leave our children a world where the oceans rise and famine spreads and terrible storms devastate our lands. Let us resolve that all nations - including my own - will act with the same seriousness of purpose as has your nation, and reduce the carbon we send into our atmosphere."

CNN's Christiane Amanpour said despite the pro-Obama crowd who gathered at the Victory Column in Berlin's Tiergarten Park hours before the speech, many had serious questions about his policies.

Tucker Bounds, a spokesman for Obama's Republican rival John McCain, said: "John McCain has dedicated his life to serving, improving and protecting America. Barack Obama spent an afternoon talking about it."

Obama earlier played down suggestions he was delivering a campaign speech but conceded that his performance was intended as much for an American audience as for the gathering German crowds.

He had originally hoped to speak in front of the iconic Brandenburg Gate, where U.S. President John F. Kennedy was photographed during a visit in 1963 shortly after the Berlin Wall had been built. Expressing solidarity with the people of the divided city during the same trip, Kennedy declared "Ich bin ein Berliner."

The gate was also the site of a speech by U.S. President Ronald Reagan in 1987 in which he memorably urged Soviet leader Mikhail Gorbachev to "tear down" the wall.

But use of the landmark was apparently vetoed by German Chancellor Angela Merkel, who a spokesman Wednesday said disapproved of plans to co-opt it as a "campaign backdrop."

CNN European Political Editor Robin Oakley said Obama enjoyed widespread popularity in Europe, partly because of his optimism and partly because he is not President George W. Bush.  Watch how Europe compares the two candidates »

But Oakley said Obama needed to prove to Americans that he could defend U.S. interests abroad. Republican rival John McCain's campaign team has frequently criticized Obama as being inexperienced on foreign policy and a recent poll suggested just 48 percent of Americans thought he would make a good commander in chief, compared to 72 percent for McCain.

Germany's ties with the Bush administration have warmed since a fallout over the Iraq war, which Germany opposed. Germany and the U.S. have also disagreed over NATO member Germany's refusal to send troops into combat zones in southern Afghanistan.

Oakley said European leaders would be seeking confirmation that Obama, if elected, would be a "listening president." In addition to Merkel, Obama is slated to meet with British Prime Minister Gordon Brown and opposition leader David Cameron as well as French President Nicolas Sarkozy.

Obama's arrival in Europe follows earlier stopovers in Afghanistan, Iraq, Jordan, Kuwait, Israel and the Palestinian territories. He says he is making the trip as a U.S. senator rather than a presidential contender.

@highlight

U.S. presidential candidate Barack Obama gives speech in Germany

@highlight

Obama: Berlin's history offers hope for the future

@highlight

Obama: Remove walls between religions, races, and the rich and poor

@highlight

Trip is intended to shore up Obama's foreign policy credentials