San Francisco (CNN) -- Faster, thinner laptops with hi-res screens. FaceTime video chatting over cellular networks. And a smarter Siri.

But no upgrades to Apple TV -- at least, not yet.

That, in brief, is what Apple will be rolling out to its users over the next six months. The company announced these updates, and a bunch of other significant if not surprising news, during a keynote presentation Monday kicking off its annual developers' conference.

Here are the highlights:

Refreshed MacBooks

The most impressive new product announced Monday may be a new MacBook laptop with a high-resolution display that Apple says will contain 5 million pixels -- 3 million more than an HD television.

"The new MacBook Pro is the most advanced Mac we have ever built," said Apple CEO Tim Cook.

The new "retina display" MacBook Pro measures 15.5 inches across and contains an Intel quad-core i7 processor. It will feature up to 16GB of memory and up to 768GB of internal flash storage, Marketing Vice President Phil Schiller told attendees. It goes on sale today.

Schiller said the new computer's display -- similar to the one in the company's newest iPad -- is the highest-resolution display of any notebook, or simple laptop, on the market. Users will get up to 7 hours of battery life, he said.

The laptop is about .7 inches thick and weighs less than 4.5 pounds -- about the size and weight of a MacBook Air, he said. Prices for the new MacBook Pro will start at $2,199 for a model with 8GB of memory.

Schiller also unveiled other MacBook Pros without high-res displays but with processors he said will be 60% faster than current models. The 13-inch model will sell for $1,199 to $1,499, depending on storage, while the 15-inch will be $1,799 to $2,199. They start shipping today, he said.

Schiller also introduced MacBook Air laptops with faster, new-generation Intel core processors. Prices for the 11-inch MacBook Air range from $999 to $1,199 -- $100 less than before -- while the 14-inch is $1,199 and $1,499. They also become available today, which explains why Apple's online store was down Monday morning.

There was no word Monday on retina-display screens for the MacBook Air.

"The products we make, combined with the apps that you create, can fundamentally change the world," Cook told developers in closing the keynote. "And, really, I can't think of a better reason for getting up in the morning."

iOS 6 and Siri

Apple also announced Monday that an improved version of voice-controlled "assistant" Siri is coming to iPhones -- and, for the first time, to the iPad -- as part of its newest mobile operating system. A more efficient Siri will be part of iOS 6, the next generation of the Apple system that runs iPhones and iPads.

That system, which enhances mobile devices with more than 200 new features, is expected to be available this fall.

Siri is going international: In addition to English and a handful of other languages she will now process Spanish, Italian, Korean, Mandarin and Cantonese -- a nod to Apple's growing popularity in China.

Users will be able to ask Siri to update their status on Facebook, post to Twitter or launch an app.

Siri also is becoming more of a sports fan. She will deliver scores and stats, and as seen in an onstage demo can even tell you which basketball player is taller -- Kobe Bryant or LeBron James (it's LeBron, in case you're wondering).

In other iOS 6 news, Apple announced that its FaceTime video-chat feature for newer iPhones and iPads will work over cellular networks, not just Wi-Fi.

As expected, Apple also is developing its own GPS-based mapping application to replace Google Maps in iOS 6. The product will work with Siri to offer voice-controlled, turn-by-turn navigation, letting motorists use it to guide them through unfamiliar neighborhoods.

"In iOS 6 we have built an entire new mapping system from the ground up. And it looks beautiful," said Senior VP for iOS Scott Forstall. "We're covering the world."

The Apple maps will include a local search feature, integrated with Yelp, that already has 100 million business listings, Forstall says. Apple also will enhance its maps with a real-time traffic application that will include anonymous, crowdsourced information from users.

Apple's maps app also will include a Flyover feature, which offers interactive 3-D views of popular cities..

Apple also said the next generation of its OS X operating system for laptops and desktops, dubbed Mountain Lion, will be available next month for $19.99. Mountain Lion will contain more than 2,000 new features, including iMessages, speech-to-text dictation and predictive "smart search" in the Safari browser.

The new Mountain Lion system also adds something called Power Nap, a new feature that keeps your laptop up to date while it sleeps by automatically refreshing mail, contacts and other apps.

Thirty billion apps and counting

The event runs through Friday and is the company's first World Wide Developers Conference (WWDC) since co-founder and longtime chief Steve Jobs died last fall.

As usual, Cook began the keynote with a batch of new stats about Apple's impressive growth. The App Store now has 400 million accounts -- the largest number of accounts with credit cards anywhere on the Internet, he said. Some 650,000 apps are now available.

"Customers have now downloaded an astounding 30 billion apps," Cook said.

Many observers had expected Apple to announce upgrades to its Apple TV, the little box that lets users stream movies and other content from iTunes to their televisions. Experts had said such a move could be a step towards Apple launching its own TV set. But Apple made no mention of its TV product Monday.

Apple has sometimes used past WWDCs to unveil new iPhones. But because its most recent model, the iPhone 4S, launched only eight months ago, most observers don't expect the next one to come until the fall.

@highlight

Apple on Monday unveiled a new MacBook Pro laptop with a high-resolution screen

@highlight

The company also announced improvements to its Siri voice "assistant"

@highlight

CEO Tim Cook led the keynote at Apple's annual developers' conference

@highlight

Apple also unveiled upgraded MacBook Airs plus operating systems with new features