Washington (CNN) -- Justice Antonin Scalia is a conservative in thought, but not in personality. A new biography of the colorful Supreme Court jurist paints a complete picture of his enormous ongoing influence on the law and society.

"American Original: The Life and Constitution of Supreme Court Justice Antonin Scalia" (Farrar, Straus, Giroux) offers the first comprehensive look at the first Italian-American on the high court, and the rhetorical battles he has waged on the court and off.

CNN spoke with Joan Biskupic, the book's author, who also is a reporter for USA Today. Biskupic has covered the high court for two decades, holds a law degree from Georgetown University and has also written a biography of Supreme Court Justice Sandra Day O'Connor.

CNN: Justice Scalia has a certain public image in the minds of many Americans. You've known him for years and interviewed him several times for this book. Is he the same in private?

Biskupic: He's a lot more of himself in private. He actually is very confrontational behind the scenes, just as he is in public. He's very defiant. But he also can be quite funny, quite casual, generous and decent. His best friend on the bench is Justice [Ruth Bader] Ginsburg [a low-key, liberal justice but, like Scalia, a native New Yorker who loves opera]. He's many things. He's very consistent on the law, but he's a lot of things in terms of his personality.

CNN: He has told me that one of the happiest times in his career was in the executive branch, where he said that's where the action was, instead of serving on the bench.

Biskupic: Remember what it was like working in the [Department of Justice's] Office of Legal Counsel in the post-Watergate era [in the Nixon and Ford administrations]. It was an exciting job for him, there was a lot of tension, and conflicts with the legislative branch. He really thrived on that. At a time when many Republican lawyers were trying to get out of the Nixon administration, as Watergate was moving to a climax, he was trying to move up and be promoted. He sparred with Democratic lawmakers, and was trying to exert executive privilege claims, when that was a dirty word in the wake of Watergate.

CNN: Growing up, you describe "Nino" -- as his friends and family call him -- as something of a golden child.

Biskupic: I'd always known he was an only child, who, interestingly, later went on to have nine children, but I didn't know he was the only offspring of his generation from two immigrant Italian families. For his parents and his aunts and uncles, he was the center of their universe, but it put a burden on him to perform, to be this special child. I found the conflicts in terms of being a product of two different families continue to reveal himself. The father was quite cerebral, was a professor, always had his nose in a book, he didn't abide any kind of silliness. And his mother's side was much more flamboyant. You had these contrasting families, and, as I write in the book, he learned to deal with conflict and tension early on in his life, and went on to readily generate it as an adult.

CNN: Many conservatives worship Scalia, and yet you suggest his influence has not had as far-reaching an effect inside the high court as many believe it to be. How do his colleagues view him?

Biskupic: I talked to his colleagues about where he's at. Justice [John Paul] Stevens says he is committed -- some of his impact made a huge difference, some of it unfortunate. Stevens, the senior liberal, has dueled with Justice Scalia dozens of times, from Bush v. Gore [the 2000 presidential election dispute] to recent dilemmas testing the Guantanamo detainees. Justice Ginsburg, his closest friend on the court, sees his influence beyond the marble walls, and that's the way I've been mostly viewing him until the recent terms. He is influential with conservative acolytes. Within the court, he certainly alienated [now-retired Justice Sandra Day] O'Connor, Justice [Harry] Blackmun, and in some ways Justice [Anthony] Kennedy. It made his influence rather slight for years -- he really didn't want to deal, to negotiate with his colleagues in rulings. Despite a charming personality in many ways, he told me he had nothing to trade. He was just plain firm about where he wanted to go, and he wouldn't settle for half a loaf.

The addition of Chief Justice [John] Roberts and Justice [Samuel] Alito on the bench allowed him to win more. And in recent terms, there has a been a culmination, a resurgence, on what he is able to do, now with the [conservative] bodies coming on the court to support him. But he told me he was still not satisfied. "The wins," he told me, "Damn few."

CNN: In his bright, bold opinions, what is he trying to accomplish? Does he reach for broader audience?

Biskupic: Look at 1996's Romer v. Evans -- the gay rights case. He lost on that one, and his dissent was written for consumption way beyond the court. It was a complete battle cry. He lashes out at the court for placing what he said was "the prestige of this institution behind the proposition that opposition to homosexuality is as reprehensible as racial or religious bias." This dissent became more of a story than the opinion itself. People were reading it and giving it airspace, and that's what he wanted. That was his style of most of the '90s: Get as much attention as possible, because he was in dissent so much in big cases.

Now, in the recent Heller case case [where Scalia wrote the main opinion striking down Washington, D.C.'s, strict handgun ban], he was not going able to write an opinion as boldly as he may have wanted, in terms of some of the zingers that he packs into his other opinions, because he has to keep his majority. But he still will not mince words if he is in dissent, because he knows journalists, law students, policy makers will all pay attention, and it will influence people down the road.

CNN: And yet controversy seems to dog him, including the duck hunting trip he took with Vice President [Dick] Cheney at a time the high court was considering an appeal from Cheney's office; and a hand gesture Scalia made outside a Catholic church some interpreted as obscene.

Biskupic: I don't think he cares. He's got these intense feelings he's not going to keep in check.

CNN: What prompted this project, and what do you want readers to know about Justice Scalia?

Biskupic: I found most of what was written about him was either one side or the other -- screeds easily from the left and embraces easily from the right. And I thought there was so much to his background that was worth revealing in an objective way, to see what he was all about: How Scalia became Scalia. He was really part of the conservative moment we saw in the 1980s. Young lawyers at the time like John Roberts and Samuel Alito embraced his theories, and look where they ended up.

CNN: In your interviews with him and his family, did you expect that level of cooperation?

Biskupic: No, I didn't. In the beginning, he said he would encourage colleagues to talk to me, but he didn't want to sit and talk on the record. But he soon became quite intrigued at my research into his family, immigration records and such. And I'd be at my desk, and he'd be calling me, asking me what I found out about his ancestors. So those later, extensive interviews made this book.

CNN: There is a challenge about writing on the often cloistered world of the Supreme Court, these personalities that remain below the radar for most people.

Biskupic: I wanted a book that would demystify him, and make people understand him. I wanted readers to know: This is your court, you should know about these people and what they're up to. But it is tough, it's so hard to get information about the institution that doesn't have to do with the precise words on the rulings. And it's fun to dig up this background, and get in with these justices and talk with them one-on-one. I was so grateful to speak with Justices Stevens, Ginsburg and even Justice [Clarence] Thomas, who all shared great stories and offered their insights into Justice Scalia.

@highlight

Biography looks at conservative, confrontational jurist's influence on law, society

@highlight

Author describes Scalia as a product of contrasting families who has thrived on conflict

@highlight

She says Scalia's best friend on court is Ruth Bader Ginsburg, a low-key, liberal justice

@highlight

Author says she wanted a book that would demystify Scalia, make people understand him