Josh Miller never gave much thought to where his car, bed or toothpaste came from until an aluminum plant in his hometown of Ravenswood, West Virginia, shut down about four years ago.

The closure left 650 people without a job, including Miller's father-in-law, in a town of roughly 3,800, triggering a familiar pattern. The unemployment rate in Jackson County more than doubled, businesses shuttered and Ravenswood's quaint downtown became a ghost town.

Miller had been vaguely aware that American manufacturing jobs were going away, but now he knew what that could mean for an entire community. He wondered how an average American like him could change the tide. Raising awareness of what's still made in the United States seemed like a good start, he decided, and embarked on a mission to live entirely off American-made goods for 30 days.

It didn't take long for him to discover that it's impossible, especially while trying to maintain a typical middle-class existence that includes smartphones and clothing from ubiquitous big box stores. He made the challenge harder by hitting the road and traveling the country, interviewing entrepreneurs and small businesses to find out what it takes to do business in the United States.

He documented his efforts in the film, "Made in USA: The 30 Day Journey," which is being screened through independent viewings across the country.

Share your story: Transforming hobby to job

Miller spent nights sleeping on floors and rinsing off from a bucket of water because he couldn't find American beds, shower or sinks. But the lessons learned are as relevant as ever, especially as the country looks for ways to boost employment and bring American manufacturing into the 21st century, he said.

"Despite what you might hear, a lot of entrepreneurs and small businesses are making it work," he said. "Our fate as a country is tied to our economic prosperity and given what I've seen I believe there's still room for us in the manufacturing era."

The challenge has now become a way of life whenever he can help it, he said. Checking product labels for country of origin is now a part of his shopping routine, he said. He has also immersed himself in online communities that share information about where to find American brands, products and companies.

"Just because you can't live 100% off American-made goods doesn't mean you can't make a difference," he said. "We're in a global economy so it doesn't have to be an all-or-nothing proposition. But if you change just a little bit of your lifestyle it can make a difference."

Made in USA: The short list

The people he met shared his view that a little bit of effort can go a long way for small businesses trying to make it. It's not just a matter of blind patriotism, but of supporting companies that model fair business and labor practices -- even if they don't manufacture in the United States.

"It's not always possible to live off exclusively American made goods because some products simply are not manufactured here and other items are not native to our country," said Sarah Mazzone, founder of made in usa challenge, which shares resources and information for buying American-made products.

"For many electronics, there is no currently available made in USA option. For these purchases, I suggest minimizing your footprint as a consumer by buying used," she said. "Other items like oils or certain foods may not naturally grow in our country. For those products, I recommend buying fair-trade certified."

Plenty of things are still made in the United States, even though the average American consumer doesn't get their hands on them on a daily basis, Gardner Carrick with The Manufacturing Institute said.

Most American manufacturing jobs focus on heavy machinery, like aircraft, cars and supply chain parts, along with chemicals and energy products. Still, rising costs of doing business overseas and relatively affordable energy are making reshoring more attractive to businesses, Carrick said. Manufacturing has made a "strong showing" in the last four years in terms of employment and output, with signs of continued growth, Carrick said.

In 2012, manufacturers contributed $1.87 trillion to the economy, about 11.9% of the GDP, up from $1.73 trillion in 2011, according to NAM. For every $1 spent in manufacturing, another $1.48 is added to the economy.

As far as consumer goods are concerned, the average American should have no trouble finding food, beverages, paper products or toiletries from the United States, which Miller learned early on. A trip to the grocery store nets a toothbrush, shaving cream and food, including protein bars and gummy worms. That was a source of relief for Miller, a "bacon and eggs kind of guy" who was worried about having to just eat fruits and vegetables for breakfast during his 30-day experiment.

The people he met on his journey underscored the fact that even products made in the United States are made of materials sourced from other countries.

A tailor in Charleston, West Virginia, carries suiting made from British wool, German lining and Japanese buttons stitched together with silk thread from China -- all sewn together by "immigrants in Chicago," Tony the tailor tells Miller.

Miller took his challenge to more than a dozen cities and towns on an estimated budget of $30,000, partially raised through an Indiegogo campaign, driving American rental cars and staying in Red Roof hotels whenever possible to stay true to his mission. Eventually, he reclaims his smartphone from his friend and showers more frequently. But he hopes the point has been made.

"Advanced manufacturing will be the next revolution in this country," Miller said. "It may not look the same as it did in late 30s and 40s, but it will return America to prosperity."

@highlight

Filmmaker tours country trying to live entirely off products made in the USA

@highlight

He learns that a little bit of consumer effort can make a big difference to small businesses

@highlight

"Advanced manufacturing will be the next revolution in this country," Josh Miller says

@highlight

Have you transformed your passion into profits? Share your story on iReport!