(CNN) -- Phone and tablet owners used to spend most of their time surfing the Web.

Now they're using apps, according to data from Flurry Analytics.

A year and a half ago, mobile users tended to spend considerably more time -- an average of 64 minutes per day -- using the Web browser on their phone or tablet. By comparison, they spent only 43 minutes per day in apps.

Now mobile users now spend an average of 94 minutes per day using apps, but just 72 minutes browsing the mobile Web, according to Flurry's report, which was released earlier this month on the company's blog.

This doesn't necessarily mean mobile users are spending nearly three hours per day looking at their phones. Flurry's Web and app statistics came from different sources.

But, overall, we do appear to be spending much more time looking at our phones than we used to.

What's driving the growth in time spent in mobile apps? According to Flurry, consumers are using their apps more frequently. That is, the number of daily sessions is growing, although the duration of those sessions is not.

Flurry predicts that smartphone users will continue to spend even more time proportionally with apps vs. the mobile Web -- and in fact, from June to December 2011, they observed that average daily time spent on the mobile Web decreased slightly.

"Users seem to be substituting websites for applications, which may be more convenient to access throughout the day," the report said.

Why is the mobile Web holding our attention less?

According to Flurry, it might be because Facebook's app is so popular.

"This drop appears to be driven largely by a decrease in time spent on (Facebook's mobile website). In June 2011, the average Facebook user spent over 33 minutes on average per day on the (mobile) website. Today, that number is below 24 minutes. ... (Mobile users) are increasingly accessing (Facebook and other) online services through mobile applications."

Once Facebook is factored out of those statistics, Flurry notes that average time spent elsewhere on the mobile Web actually grew by about 2% in the same time frame.

It's worth noting that Flurry is not a disinterested party here. This company sells mobile application analytics and an advertising platform that can be incorporated into mobile apps. Advertisers are very interested in the amount of time that people might be exposed to their ads.

But the mobile Web, mobile browsers, and the nature of mobile apps are changing fast.

More and more sites are being built using the latest Web markup language, HTML5, which gives websites more app-like features. For instance, HTML5 supports geolocation, makes Web forms easier to fill out on your phone, supports coding scripts that enable custom features, and it also loads multimedia elements faster in Web pages.

Consequently, more and more mobile apps will actually be delivered through the mobile Web browser -- making them Web apps.

Want to see this in action? Visit YouTube or Twitter via the Web browser on your phone or tablet. You'll see a lot of conspicuously app-like functionality.

In November Adobe announced that it was finally abandoning development of Flash for mobile browsers, and refocusing on HTML5 for delivering interactive features and video -- the death rattle of a long struggle in which Apple resisted letting Flash run on its iOS mobile operating system. With this turnabout, many designers began converting Flash-based websites (especially ad-supported ones) to HTML5.

The rise of HTML5 mobile Web apps could also eat into profits from today's leading app marketplaces.

HTML5 Report noted, "The mass migration to HTML5 will eliminate the need to rely on companies like Apple and Google, which take up to 30% of all revenues generated from applications."

That's a powerful financial incentive for app developers, digital publishers, and online services to start deploying more Web apps. There's another bonus: "Native" apps are built to run on a specific platform. That's why so many apps come in separate versions for the iPhone, Android and other mobile platforms.

Building, updating and supporting all those separate pieces of software is fairly expensive and complex. But HTML5 is inherently cross-platform -- which means you build it once and it can run on any mobile device with a sufficiently advanced browser.

And of course, users must download and install most native mobile apps in order to run them on their device. That's a considerable hurdle -- only one in four mobile apps really engages mobile users, and 26% of all apps downloaded are opened only once and then never used again. With HTML5 Web apps, users don't have to download, install, launch or update anything. It just runs.

So apps as we have come to known them are in the midst of a radical change. Whether the rise of HTML5 will lead mobile users to start spending more time with their browsers than native apps remains to be seen -- but for many mobile users, and for many apps, that distinction may start to become irrelevant.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Phone, tablet users now spend an average of 94 minutes per day using apps

@highlight

People are using apps more frequently even though they're not spending more time

@highlight

The drop in Web traffic appears to be largely driven by Facebook's app