(CNN) -- The license plates on our police escorts' Land Cruisers read "Borno State, Home of Peace." Many of those we meet during our stay in Maiduguri, northeast Nigeria, smile bitterly at the irony of that statement. The state's capital is now better known as the birthplace of Boko Haram and peace here is always uncertain.

Down the dusty streets we drive, passing checkpoint after checkpoint manned not by soldiers but civilians, mostly armed with little more than machetes and swords. These vigilante groups, driven by a determination and motivation that the Nigerian security forces largely lack, have managed to establish some semblance of security in Maiduguri. Their pursuit of Boko Haram has become relentless -- hardened as they are by losses to the terror group over the years -- and they show no mercy, not even to family.

WATCH: Hunt for Boko Haram focuses on Lake Chad

"I caught him with my hand and handed him over to the authority," one of the sector's leaders, Abba Ajikalli, tells us unapologetically. He is speaking about his 16-year-old nephew, who he says was with Boko Haram.

"He has been executed," Ajikalli informs us, without a hint of remorse on his face. "He was like my son, I have no regret."

What started as a home-grown movement for Sharia law in northern Nigeria is now a full-scale insurgency. Boko Haram attacks have terrorized this part of the country for years, but their kidnapping of nearly 300 schoolgirls in Chibok in April has brought them an unprecedented level of international infamy. Since then the insurgents, seemingly galvanized by the attention, have stepped up the frequency and brazenness of its attacks on villages in the region.

A presidential fact-finding mission is in Maiduguri at the same time as our trip. Each morning we receive word that they will travel to Chibok; each morning the residents and parents of the girls stolen from Chibok wait; and each afternoon everyone is disappointed by another postponement.

One woman, who is part of the mission and asked not to be named because of the sensitivity of the situation, told us that she would be quitting

"[The parents] need to know that the nation is with them, that people are with them," she said emotionally. "But there are people that wouldn't let us even call them. They keep saying it's security and that's why we can't go, but some of us are willing to risk it."

More than six weeks after the kidnapping, the Nigerian government and its forces have done little to ease the agony of the girls' parents and those who have rallied behind the cause. Last week, officials banned all protests in support of the "Bring Back Our Girls" campaign, calling them "lawless," before reversing tack in the face of a public outcry.

Traveling outside of Maiduguri is a risk, and our time on the ground is limited by security concerns. Just twenty minutes outside the city limits we find entire villages empty after recent attacks.

Maiduguri may be Boko Haram's birthplace, but its terror is spreading. Refugees have been flowing into neighboring countries, where borders exist in name only, and each person has a harrowing tale of escape, a heartbreaking story of loss from which few will recover. The International Rescue Committee (IRC) estimates that as many as 1,000 refugees a week are crossing the border into Niger's Diffa region. Four out of five are women and girls. The IRC estimates that if the violence continues in northern Nigeria, up to 100,000 refugees could be living in Diffa by the end of the year.

Orphaned by Boko Haram

All that 14-year-old Bintou and her little sister Ma'ou, 12, have of their former life in Nigeria are tattered photos of their parents.

Bintou curls up and buries her face, her shoulders shuddering with each silent sob. Ma'ou seems to have utterly internalized her pain, and speaks in a numb monotone.

They tell us they want to go back to Maiduguri, but for now they can't. They are orphans -- their mother died of natural causes before they can remember, and their father was killed in a Boko Haram attack about five months ago. We find them living with their aunt on a small plot in Diffa, Niger, uncertain about a future they are now forced to navigate alone.

"She [Bintou] can't understand how this could have happened," the IRC's Mohammed Watakane, explains. "She is a victim going through a psychological trauma, she needs protection."

There are no refugee camps in Diffa, and Nigerians fleeing across the border have been absorbed into the local populations. The World Food Program is helping to ease the burden on host families by providing aid to the refugees, but it only has a quarter of the money it needs for its Niger programs, according to the country's WFP director.

On the outskirts of town, the village of Guessere's population has doubled. Its new residents all come from a Nigerian village located 3 kilometers from the border. Many fled a Boko Haram attack in the middle of the night and spent the night hiding in the bush before crossing the river into Niger.

Haidjia Fandaou tells us how she came across her brother's lifeless body in the middle of her escape. He had been dragged out of a mosque, executed with his prayer beads still in his hand.

"The only thing I could think in that moment was 'survive,'" Fandaou often tells us. Her walk to Niger took just thirty minutes. Here, the border is more an idea than a reality. A shallow river along the edge of Guessere marks the line between relative safety and terror. But fear continues to haunt people who cross it.

Few dare to even utter the words "Boko Haram," as if merely calling the group by name will bring the same violence and terror across the border as well. Local government officials in Niger refuse to speak about security, and brusquely warn us not to ask about it and to stick to our pre-planned program.

U.S. and Nigerian security sources tell us Boko Haram tends to use Niger as more of a logistics hub or to escape military operations in Nigeria. There have been concerns that fighters are hiding themselves among the refugees, and recruiting among Niger's disgruntled unemployed youth -- a concern shared by Nigeria's other neighbors as Boko Haram morphs into a transnational terrorist organization.

The journey to Lake Chad

We leave Diffa in the morning, along tracks barely visible in the sand. We travel in a convoy through the remote, unforgiving landscape. Pickup trucks stacked high with cargo pass us in the opposite direction, laboring over the dunes. Our driver tells us they're carrying dried fish from Lake Chad.

Sources tell us the lake is an area of interest in the search for the missing Nigerian schoolgirls. Bordered by Niger, Nigeria, Cameroon, and Chad, islands now cover half of the once-massive lake as its waters continue to recede. It is an ideal hideout for Boko Haram. In March, along the area of the lake just south of where we are headed, Nigerian forces raided a Boko Haram camp, capturing weapons, ammunition and explosives. But for the most part, these are lawless waters.

We leave the port of Kirikiri, but not before hearing more stories of another town dealing with the influx of refugees. It seems no one and no place here is lucky enough to escape the effects of Boko Haram's brutal campaign.

We charter a fishing boat and head out on the water. We travel as far as we're told we can safely go, then land on one of the islands closest to Niger.

All we can see is dense vegetation along the shoreline. Inland, we find a small fishing village. The village leader, Boulama Noma, tells us he and many others here lived on one of the islands closer to Nigeria. One day, Boko Haram arrived on what was essentially a shopping trip -- but before they left with all of the produce and food, Noma says they torched all of the homes and killed so many villagers that he says he lost count.

This is just one of the many horrifying tales about Boko Haram that we hear during our time in Niger. It makes us think of all the stories we haven't heard from the countless victims of the last few years when the group has operated with impunity.

Before we came to Lake Chad, we'd met two informants in Nigeria who live among Boko Haram members and know the terrorist organization's tactics better than most. We ask them what the group has planned for the kidnapped schoolgirls.

"They will use them to negotiate with the government about those of their members that have been detained by the government," one tells us. "Or they will use them as human shields."

As we sail through the waters back to the mainland, it becomes clear just how challenging a search and rescue operation will be. The terrain here is as harsh as Boko Haram's tactics are unforgiving.

WATCH: Hunt for Boko Haram focuses on Lake Chad

CNN's Nural Choudhury and Inez Torre contributed to this report. The interactive map at the top of this story may not work on all mobile devices.

@highlight

CNN's Arwa Damon travels to the Niger-Nigeria border in search of Boko Haram

@highlight

Islamist militant group has terrorized Nigeria's northeastern Borno State in recent years

@highlight

Group abducted nearly 300 schoolgirls in Borno in April; officials are still searching for them

@highlight

Thousands of Nigerians have fled across the border with Niger to avoid the violence