(CNN) -- In the past, if you wanted to be able to be able to lift more weight you would have to spend months bulking up at the gym. Now, with a new invention from a group of engineering students at the University of Pennsylvania, you can just strap on an external bicep and you are ready to go.

The bionic device, called the Titan Arm, is the brainchild of four mechanical engineering students who, in their final undergraduate year, built an upper-body exoskeleton that can be used in physical therapy and manual labor. The invention won its inventors $10,000 in the Cornell Cup for Innovation and has recently been shortlisted for the 2013 Dyson award.

The Titan Arm straps directly to a user's right arm to help lift heavy objects that the user wouldn't normally be able to lift. Its inventors believe that it will be useful in aiding physical rehabilitation, both for people who have suffered upper body injuries and for those with pre-existing muscular-skeletal disorders.

The Titan Arm's inventors say the exoskeleton can also be used by people whose jobs require heavy lifting such as warehouse workers, removalists and couriers.

"With the Titan Arm, we wanted to create something that could both augment a user's natural strength as well as help someone perform physical therapy in their own home," says Elizabeth Beattie, one of the Titan Arm's inventors. "We wanted to create something that was low-cost and easy for a user to put on and strap to themselves."

According to the United States Department of Labour, back disorders are one of the leading causes of disability for people during their working years. The American National Institute for Occupational Safety and Health says that back problems afflict over 600,000 employees each year with a cost of around $50 billion annually to the U.S. economy. The problem is significant in other countries: the World Health Organisation says that worldwide, 37% of lower back pain is due to injuries sustained in the workplace.

Beattie says that addressing this problem while being attentive to user comfort was one of the primary motivating principles in designing the device: "We wanted something that was comfortable for the user, something that mimics the body's natural mobility and range, so we definitely went through a lot of testing in order to get to where the design is right now."

The Titan Arm attaches to a user's right arm with a power motor at its elbow joint. The bionic limb can lift approximately 40 pounds of weight, augmenting a user's natural strength. The arm is predominantly made of aluminum and steel components, and is powered by a DC battery.

As well as helping lift weight, the arm can also be locked into any position with a ratchet brake to hold an object steady without any exertion from the user.

JD Albert, an engineer and co-founder of E-Ink, calls the Titan Arm "exciting," but adds: "I would caveat that with the fact that it's a very tough product to launch for a lot of reasons ... it needs to feel right (and) I think there's also some pretty significant safety concerns ... We are taking a piece of machinery and integrating it with a person and so naturally you need to make sure that there's no way to injure someone."

Still, Albert says that for young engineers, the Titan Arm represents an impressive achievement: "They've managed to combine a pretty wide variety of disciplines both dealing the mechanical side of things -- the design and the electrical -- and the software side of things as well."

Beattie says that the Titan Arm team intends to keep working on the exoskeleton with a view to one day bringing it to market: "The four of us definitely want to use our engineering tool kits to better the quality of life of those around us. I think that's one of the things that technology really has the power to do."

@highlight

University of Pennsylvania students develop upper-body exoskeleton

@highlight

The invention can lift 40 lbs and be used for physical rehabilitation

@highlight

The Titan Arm won the Cornell Cup for Innovation

@highlight

Inventor JD Albert described the device as "exciting"