(CNN) -- Scientists at Ohio's Cleveland Clinic are touting a new prototype vaccine to prevent breast cancer as "promising." This follows tests performed on mice by the researchers. The scientists said a single vaccination was shown to prevent breast cancer tumors from forming in mice, and also stymied the growth of existing tumors.

The vaccine contains a protein found in most breast cancers, but not found in healthy women, except during lactation, according to Dr. Vincent Tuohy, the study's principal investigator and an immunologist at the Cleveland Clinic's Lerner Research Institute. Tuohy says this allows the vaccine to direct a woman's immune system to target this protein without damaging healthy breast tissue.

"We can protect women from breast cancer, but if it destroyed their normal breast, it's an unacceptable side-effect, so we had to avoid that," Tuohy said.

Tuohy now wants to move forward in testing the vaccine in human patients. Enrollment could begin next year according to the Cleveland Clinic. Tuohy acknowledges cancers have been cured in mice before without that success transitioning to humans, but thinks this vaccine's chances of success are "promising."

"It's kind of like an application of immunologic judo, using the natural changes that occur in a woman's needs," said Tuohy. "A decrease in the use of the breast for breastfeeding, and an increase in the breast's risk of developing tumors. We're taking advantage of that. That hasn't been done before."

The inspiration for the research comes from the childhood vaccination program that has been successful in preventing diseases like polio and measles, according to Tuohy.

"It just struck me as a giant hole in our health care that we don't have preventive vaccines that mimic the childhood vaccination program for adult diseases like breast cancer," said Tuohy.

The tests have been restricted to mice so far. Tuohy said the U.S. Food and Drug Administration will guide researchers through what type of toxicity studies they want done, and usually they require other species -- rats, for example. Tuohy says he doesn't anticipate any difference in results between mice and rats, but he would not second-guess the FDA on their request for tests on different species.

The FDA has granted approval to two cancer-prevention vaccines: cervical and liver cancer. However, these vaccines target viruses, while the one tested by the Cleveland Clinic targets cancer formation. If any human testing proves successful, the strategy would be to vaccinate women 40 and over as well as younger women with a heightened risk of breast cancer. Tuohy says there is no funding for human trials at this point, but it has been applied for. However, he speculates it will take at least 10 years to get the vaccine to normal, healthy women at risk of developing the cancer.

"We have to try it. It looks to me to be extremely promising, and until I see a better idea I'd like to try this."

@highlight

Scientists at Ohio's Cleveland Clinic tout prototype vaccine to prevent breast cancer

@highlight

A single vaccination was shown to prevent breast cancer tumors in mice

@highlight

Vaccination also stymied growth of existing tumors in mice

@highlight

Scientists planning human tests, waiting for funding