(CNN) -- Did the Internet kill Lee Rigby?

No.

Could the Internet have saved Lee Rigby's life?

Perhaps.

Those, at least, were the conclusions of the 192-page report, the most detailed that a cross parliamentary committee has ever authored, on the gruesome murder of the British soldier Lee Rigby by Muslim converts Michael Adebolajo and Michael Adebowale in London in May 2013.

In December 2012, Adebowale expressed his intention on an unnamed social network, reported by many to be Facebook, to carry out the public execution of a British soldier. But the company hosting this exchange didn't pass on the information to British intelligence and so the opportunity to pinpoint Adebowale was lost.

"This was highly significant," noted Malcolm Rifkind, the chair of the Intelligence and Security Committee which carried out the 18-month investigation. "Had MI5 had access to this exchange at the time, Adebowale would have become a top priority. There is then a significant possibility that MI5 would have been able to prevent the attack."

Indeed, the report went as far to suggest that popular networks like Facebook have become "safe haven for terrorists" because messages sent within their services aren't accessible to British intelligence agencies like MI5.

So what, exactly, should be the responsibility of Silicon Valley companies when it comes to monitoring the illegal intentions of their users? They "need to play their part," insists Rifkind.

"None of the major U.S. companies we approached proactively monitor and review suspicious content on their systems, largely relying on users to notify them of offensive or suspicious content. They appear to accept no responsibility for the services they provide."

Prime Minister David Cameron went even further in condemning Silicon Valley companies like Facebook, Google and Twitter.

"The Committee is clear and I agree that they have serious concerns about the approach of a number of communication service providers based overseas," the PM told Parliament. "Their networks are being used to plot murder and mayhem. It is their social responsibility to act on this. And we expect them to live up to it."

Cameron's accusations have triggered a predictable storm of outrage. Some commentators, already paranoid about the supposedly apocalyptic threat of Islamic terrorism, have accused Facebook of "having blood on its hands" and of "not giving a monkey's" about the fate of Lee Rigby.

Others, already paranoid about the role of the British government in snooping on its citizens, claim "war and tyranny," rather than Facebook, which that feeds terrorism and that it's "dangerous" to blame Internet companies for Rigby's murder.

The truth, however, is more complex than either side recognizes. Both Rifkind and Cameron misunderstand Silicon Valley.

For all their ideology of making the world a better place, companies like Facebook are multi-billion dollar big data operations focused on selling advertising around the user-generated-content on their networks. They've never had and never will have any "social responsibility."

That's why Facebook relies on their unpaid users, rather than paid editors, to monitor suspicious activities: peer-to-peer security is free. This its appeal to Facebook.

But Rifkind and Cameron also misunderstand contemporary electronic media. They assume that it's a top-down system that, like 20th century postal service or the telephone, can be manageably monitored by state security services like MI5.

What they fail to realize is that the explosion of self-broadcasted data from Web 2.0 companies like Facebook has dramatically changed the nature of security and surveillance in the 21st century. Ninety per cent of all the world's data has been produced over the last two years and Facebook users alone are sharing almost 2.5 million pieces of content every minute.

Rifkind and Cameron are playing to the xenophobic gallery by suggesting that Facebook is, somehow, to blame for Lee Rigby's death.

We can't blame Silicon Valley for this gruesome public execution any more than we can blame Vodafone or BT for terrorist plots hatched over the telephone.

But that doesn't completely excuse Facebook, whose unwillingness to actively police the content on its own network is itself deeply troubling.

Two contradictory forces are changing everything about contemporary surveillance and security. On the one hand, the state now has the digital tools to watch almost everything that its citizens are doing on the network; on the other, we are all producing so much data that its beyond the ability of any centralized agency to monitor all this information.

How we legislate this contradiction by trying to provide "new tools" for our security agencies is critically important. It will determine the complexion and boundaries of individual liberty in our networked age.

@highlight

Lee Rigby's killer posted online about wanting to murder a British soldier

@highlight

Company where message was published didn't pass information to UK authorities

@highlight

Report into Rigby's death says sccial networks have become "safe haven" for terrorists

@highlight

Huge amounts of data mean it is beyond ability of any centralized agency to monitor: Keen