London (CNN) -- A new window on your life may soon be opened from space -- in high quality video and in almost real-time.

The resolution might not be clear enough to pick out individual faces but if the simulation footage proves accurate then a video camera soon to be attached to the International Space Station (ISS) will be able to show high definition movies capable of detailing your car moving on the highway.

UrtheCast, the company behind the idea, aims to stream the video for free over the web and make the data open source so you can integrate it into your own applications.

"To track and see people moving from space is 100% unique," said UrtheCast president Scott Larson.

He explained that their images will have more pixels than most computer screens so the streaming footage will appear somewhat "downgraded." But he said those who choose to pay for a subscription will have access to higher quality raw imagery from which they can glean detailed information.

UrtheCast says the video will be available between 30 minutes and two hours after shooting and the high quality footage will have a resolution down to a meter.

Google currently provides similar quality still images for some parts of the world which are made up from satellite pictures and aerial photography. It declined to comment on the resolution but points out that it upgraded its service in June.

The American space agency NASA provides real-time video from the space station, except when it's out of communication. NASA spokesman Joshua Byerly says the footage is typically of the ISS laboratories in the day, and outside the station in standard definition when the crew goes to sleep.

Larson said the UrtheCast imagery will be useful for monitoring crop growth and disease, water resources and the rate and scale of deforestation. The company website also shows how the data could be used to help in the wake of disasters by, for example, showing emergency response teams the safest, fastest access routes.

"Developers will think of far more creative applications than we'd ever be able to, which is essentially the Internet model ... let the developers and users drive its effectiveness," said Larson.

Scientists from Rutherford Appleton Laboratory (RAL) in England built two cameras for UrtheCast (one medium resolution and one high resolution) at a cost of several million dollars. They are due to be launched on a Russian spacecraft from Baikonur Cosmodrome in November, and the team hopes to see them in action in 2014.

Ian Tosh, the ISS camera project manager at RAL, told CNN: "The key thing about this video camera is that it's on a platform outside the space station which can point on two axes so when the space station comes over the horizon you can point the camera to a target on the ground and track it for two to three minutes -- that's never been done before.

"You may think the military are doing this all the time -- that they can read number plates and newsprint -- but that's not the reality. You can't see faces; you wouldn't be able to recognize someone lying naked in the back garden, so we're not going down the route of blanking out faces because you can't see them.

"What you will definitely see is cars going down the motorway. You'll still be able to see lines on runways and crowds of people."

Space expert Stuart Eves, who worked on the Earth observation satellite "TopSat," said he admired the ambition of the project but highlighted some limitations. He pointed out that ISS has "an orbit repeat cycle of three days, and doesn't get back to the same lighting conditions for more than 60 days.

"The video element is really for entertainment value -- it's nice to watch," he said. But he added that delays in getting the imagery back means that you can't use it for practical real-time applications like vehicles moving along a motorway, and underlined that the space station is only over a specific target for less than 10 minutes as it moves overhead.

The issue of privacy may worry some -- knowing that they can be filmed from space -- but Larson argues that many of us are already closely monitored by CCTV and can be tracked by the signals from our cell phones.

"It's less invasive than that," he said, adding that there will be some restrictions on the imagery that can be released to the public.

According to Ian Tosh, the Russians won't allow data of their territories to be released.

Producing a camera that can survive the rigors of space is technically challenging. The lenses have to be made with fine precision, able to survive the degradation caused by radiation in space, the vibration at launch and keep their shape despite the extreme ranges of temperature in orbit.

"Polishing [lenses] hasn't changed much since Galileo -- it's still a grinding process," said Tosh.

"The optical surface has to be good to 60 billionths of a meter deviation from the ideal surface. We've got to have a thermal system that can keep the temperature uniform in the telescope and within certain bounds so that we can stay in focus."

If the mission can overcome the technical hurdles and survive the hazards of launch, UrtheCast says its cameras will capture an area of the globe so large that it contains the majority of the world's population.

@highlight

Footage from cameras due to be fitted to the space station will be streamed on the Internet

@highlight

UrtheCast says the video data could be used to help in the wake of disasters

@highlight

The company president Scott Larson argues that video from the space station will be less of an invasion of privacy than current CCTV networks

@highlight

Urthecast also says its cameras will capture an area of the globe so large that it contains the majority of the world's population