Fort Hood, Texas (CNN) -- Investigators believe the suspected gunman in last week's massacre at Fort Hood acted alone, but his communications had been flagged by U.S. intelligence agencies in late 2008, the FBI said Monday.

The suspect, Maj. Nidal Malik Hasan, remained in intensive care at Brooke Army Medical Center in San Antonio, Texas. In a statement issued Monday night, the FBI said its investigation so far "indicates that the alleged gunman acted alone and was not part of a broader terrorist plot."

Thursday's shooting left 13 dead, 12 of them U.S. soldiers, and 42 wounded.

Read more about the victims

Hasan, a U.S.-born citizen of Palestinian descent, was a licensed psychiatrist who joined the Army in 1997. He was promoted to major in May and was scheduled to deploy to Afghanistan sometime soon, but had been telling his family since 2001 that he wanted to get out of the military.

A Muslim, he had told his family he had been taunted after the terrorist attacks of September 11, 2001. In August, he reported to police that his car was keyed and a bumper sticker that read "Allah is Love" was torn off. A neighbor was charged with criminal mischief after that complaint.

But the FBI disclosed that Hasan came to its attention as part of an unrelated terrorism probe in December 2008, when agents reviewed "certain communications between Maj. Hasan and the subject of that investigation."

The intercepts "raised no red flags," with no mention of threats or violence that would have triggered a U.S. terrorism investigation, senior investigative officials said Monday.

Hasan, 39, was wounded several times during the attack. Though still in intensive care, his ventilator was removed over the weekend, and he began talking afterwards, hospital spokesman Dewey Mitchell said.

Federal agents attempted to interview Hasan on Sunday, but he refused to cooperate and asked for an attorney, the investigative officials said.

U.S. military officials said intelligence agencies intercepted communications between Hasan and Anwar al-Awlaki, a former imam at the Dar Al-Hijrah Islamic Center in Falls Church, Virginia, a Washington suburb. Al-Awlaki, who left the United States in 2002 and is believed to be living in Yemen, was the subject of several federal investigations dating back to the late 1990s, but was never charged.

Military officials told CNN on Monday that intelligence agencies intercepted communications from Hasan to al-Awlaki and shared them with other U.S. government agencies. But federal authorities dropped the inquiry into Hasan's communications after deciding that the messages warranted no further action, one of the officials said.

According to the FBI, investigators from one of its Joint Terrorism Task Forces determined "that the content of those communications was consistent with research being conducted by Maj. Hasan in his position as a psychiatrist at the Walter Reed Medical Center [in Washington]."

Hasan was first an intern, then a resident and finally a fellow at Walter Reed before moving to Fort Hood.

"Because the content of the communications was explainable by his research and nothing else derogatory was found, the JTTF concluded that Maj. Hasan was not involved in terrorist activities or terrorist planning," it said.

FBI Director Robert Mueller has ordered a review of the matter, the FBI said.

The independent commission that investigated the 9/11 attacks found al-Awlaki was a "spiritual adviser" to two of the hijackers in that plot, Nawaf al-Hazmi and Khalid al-Midhar, while al-Awlaki was at the Virginia mosque and earlier, in San Diego.

The commission report said it was not clear whether the imam knew al-Hazmi and al-Midhar were involved in the hijacking plot, but security experts have described him as a radical Islamic fundamentalist who was "very supportive of terrorists in the past," former White House homeland security adviser Frances Townsend told CNN.

An online post attributed to al-Awlaki praised Hasan as a hero for the Fort Hood attack, saying he "could not bear living the contradiction of being a Muslim and serving in an army that is fighting against his own people." But the Dar Al-Hijrah mosque denounced al-Awlaki's remarks, and its current imam said he was stunned to hear Hasan was the suspect in the rampage.

"The quiet, very peaceful person coming in and out of the mosque, I couldn't believe he could have done this," Sheikh Shaker Elsayed told CNN.

Three senior investigative officials, who insisted they not be identified by name because of the sensitive nature of the ongoing federal investigation, told reporters in Washington that Hasan was never nominated to be on a watch list. He was able to purchase weapons legally and had done nothing to justify even a preliminary investigation, they said.

In addition, Hasan had a security clearance at the "secret" level and received good performance reviews, they said. Nonetheless, they continued to examine his communications with the cleric in Yemen for several months as a precaution.

Authorities have not identified a motive in Thursday's attack. But at Fort Hood the post commander told reporters he has ordered his officers to "immediately take a hard look and make sure if there's anybody out there struggling."

"Hasan was a soldier and we have other soldiers ... that might have some of the same stress and indicators that he has," Lt. Gen. Robert Cone said. "We have to look across our entire formation, not just in a medical community but really look hard to our right and left. That's the responsibility for everybody from the top to the bottom to make sure we're taking care of our own."

Army officials have voiced concern about jumping to any conclusions about Hasan's motive, warning about a possible backlash against Muslim soldiers. But several witnesses, like Pvt. Robert Foster, who was wounded in the hip during the attack, reported Hasan shouted "Allahu Akbar" -- Arabic for "God is great" -- which Islamic terrorists have used as a battle cry.

"I was sitting in about the second row back when the assailant stood up and yelled 'Allah Akbar' in Arabic and he opened fire," Foster, 21, said Monday on CNN's "American Morning."

The Army leadership at Fort Hood will "take a very hard look at ourselves and look at anything that might have been done to have prevented this," Cone said Monday.

"I think what we're looking for are sort of people with overwhelming personal problems and patterns of behavior that are not at all related to religion," Cone said.

No charges have been filed against Hasan. The investigative officials who briefed reporters said he was likely to be charged in the military court system.

President Obama will speak at Tuesday's memorial service for the shooting victims at Fort Hood, and will meet with victims' families, his spokesman said.

"The president will meet with families of those that lost a loved one last week, as well as speak to the larger memorial that will take place at the base," White House Press Secretary Robert Gibbs said in his daily briefing Monday.

First lady Michelle Obama will accompany the president on the trip, Gibbs said.

Defense Secretary Robert Gates will also participate in the memorial service, but he will not speak, Pentagon spokesman Geoff Morrell said.

CNN's Brian Todd, Pam Benson, Mike Mount and David Mattingly contributed to this report.

@highlight

NEW: FBI: Probe so far shows Fort Hood attack wasn't part of a broader terrorist plot

@highlight

Investigators check link between suspect, ex-cleric at Virginia mosque

@highlight

Online post attributed to cleric praised Hasan as a hero for the Fort Hood attack

@highlight

Maj. Nidal Malik Hasan awake, says spokesman at hospital where he's being treated