Parkersburg, West Virginia (CNN) -- At nearly $12.1 trillion, the U.S. national debt has reached a size that is incomprehensible to most people and as intangible as the '"Big Bang" or bipartisanship.

But it is real in West Virginia, where a small, nearly anonymous group of government accountants calculate the public debt to the penny each day, living a mathematic nightmare and number cruncher's dream.

At a large desk in Parkersburg, Jaime Saling watches over roughly 6,500 pieces of data and trillions of dollars each day. Her title takes up a few characters itself: Saling is the debt accounting branch manager for the Bureau of Public Debt.

She and a division of just 15 people quietly and relentlessly work to account for every penny of the national debt. It is tedious and potentially overwhelming work, but Saling acts as if she flies jet fighters.

"I get very excited," the petite and energetic Saling says, "They call me a nerd, several times; I think it's because I get very excited about all the work we do."

That work happens in a simple one-story, brick building in Parkersburg, some 300 miles from Washington. The public debt offices landed there thanks to heavyweight home-state Sen. Robert Byrd.

The bureau's offices are tucked into a corner of town that's easy to miss. A brown hill and train track sit on one side, parking lots for county offices on the other. The locale is still a surprise to some.

"Every now and then we get a comment, 'Where are you? Parkersburg?'" Saling says.

The public debt building has become a number nerds' paradise. Employees say they balance their checkbooks at least weekly, some daily. A big happy-face sign marks progress on a recent audit. A written goal is taped to a Nerf-sized football. And the security guards brag that someone brings in a cake about every other day.

Inside, Saling's office is pin-neat, but her computer screen is cramped. A full-screen photo of Saling's 4- and 5-year-old children is covered by dozens of icons for spreadsheets and documents, so that glimpses of bright blonde hair poke out from under a field of white data squares.

"I need to clean it out right now," Saling says with a shrug, then laughs.

She then calls up the brain of the debt-management system, a software program called PARS, or Public debt Accounting and Reporting System. The acronym is a pun only an accountant would love. "Par value" means "stated value" in the field.

PARS is a custom program, designed in the early '90s to check and double-check the constant buying and selling of U.S. debt. Thanks in part to the debt software, what used to take 100 people a month to compute now is done by 15 people in a day.

Even so, the program looks like it's from another time, with a black screen and neon-colored letters that recall computer monitors of the "War Games" era.

"It is outdated," Saling says of the font. But she insists the program itself still operates well.

Annual government reviews of PARS back that up. And the division overall has a remarkable record of 13 straight years of unqualified audits, the accounting gold standard of accuracy.

That brings a massive smile to Saling's face; you see how someone so enthusiastic can be called a nerd. "Things like that make me very excited." (Her favorite report, by the way, is the "schedules of public debt".)

Each day, to check the funds flowing in and out of the public debt, Saling types in five-digit codes into PARS and checks a slew of accounts. She knows about 50 of those codes by heart.

In general, there is a scale to this work that would disrupt most minds.

"Most people don't have a sense of it until they come here and see it," said accounting director Mike Linder, who is Saling's boss. "Most calculators don't handle what we do."

And almost no one sees the debt as they do.

"A lot of people, I don't think realize what the debt's made of," Saling put forth. "In that $12 trillion you have both debt held by the public and intragovernmental holdings."

In other words, the debt held by those outside the government and debt the government owes to itself, such as money borrowed from the Social Security Trust Fund. At the end of November, $7.7 trillion was debt held by the public and $4.4 trillion was intragovernmental holdings.

Saling sees a heartbeat in the numbers. "It's actually helping us operate government."

And never has government been larger. But Saling and these accountants of the people are careful on that note.

"It's not that we're saying this is the right thing to do," she states matter-of-factly. "A lot of times we're saying, 'If they pass this, how are we going to account for it?' A lot of times that takes a lot of meetings."

Saling is right, in the age of deficits and debt, all of that literally keeps government operating.

Yet those trillions of dollars are overseen by a small division that works without contractors and is content with a software system that may look clunky, but which they insist works more than well.

There is an irony here.

These self-proclaimed nerds oversee the very symbol of big government but exude sobriety and restraint.

Saling and her staff are nearly anonymous but deeply significant. And they are more than happy that way.

@highlight

In West Virginia, a small group of accountants calculate the public debt to the penny each day

@highlight

"Most calculators don't handle what we do," accounting director says

@highlight

The program accountants use is outdated, but works well, Jaime Saling says

@highlight

The public debt building has become a number nerds' paradise