(CNN) -- At first, the children's eyes light up with anticipation.

Christmas comes early. Tanzanian students celebrate receiving Books for Africa textbooks.

Then they stare in wonder. Some reach out and cradle the object as if it were treasure to be guarded. Others lift it up in triumph, singing and dancing in joy.

The gift that inspires this kind of marvel in many African children is none other than a simple schoolbook.

Books are so rare in many African countries that children celebrate receiving them as if it were Christmas morning, says Brad Mattson, a manager for Books for Africa, a nonprofit group that ships donated books to African countries.

Mattson traveled last year to a remote Tanzanian village, where he saw children who were studying in mud-brick schools with no electricity or running water eagerly grab a shipment of donated textbooks.

"It was like my kid getting an Xbox,'' says Mattson. "They protect them like gold."

Is there a moral obligation to feed poor children's minds as well as their bodies? Books for Africa's leaders think so. The group says it shipped 2.7 million books to 24 African countries last year to combat what it calls a "book famine."

About 33 percent of school-age children in Africa have never set foot in a classroom, according to a U.N. study released this year. Among those who have, it's not uncommon for 10 students to share one textbook, Books for Africa officials say.

A book offers impoverished African students some hope of a better life for themselves and their country, says Deb McDonald, Books for Africa's assistant director.

"Education is the great equalizer," McDonald says. "When people get access to information, they're on more equal footing."

Students study in the dirt

Many African children don't even have access to a pencil, says Andrea Wall, who distributes textbooks for Books for Africa in the East African nation of Tanzania.

Wall says she has seen students study in the dirt. She once watched Tanzanian elementary school students practice their lessons in the sand because pencils and paper are a luxury.

Yet the students are eager to learn, she says. Many have never left their village or traveled in a car or even seen electrical appliances.

"They do not know anything different and most are grateful that their parents have enough money to send them to school instead of tending cows or gathering firewood and water," Wall says.

Books are an expensive commodity in Tanzania. There are no bookshops in the East African nation and the only books available are printed on thin paper with weak binding.

Wall is co-director for a nonprofit group called PEN Trust, which uses construction, education and nutrition to help lift Tanzanians out of poverty, she says. Once, however, she was a kindergarten teacher in Minnesota who had a classroom crammed with toys, puzzles and learning centers.

She first visited Tanzania in 2001 with a church group, "fell in love with it," and decided she had to return. She was later laid off as a teacher due to budget cuts and decided to return to Tanzania as a full-time volunteer in 2005.

Now she's seen even the most rudimentary educational tool bring joy to Tanzanians. She once saw an American pastor visiting a Tanzanian village give a villager a simple gift.

"He gave one mother a brand new shiny yellow pencil and she jumped up and down thanking him and then just as fast broke it into three parts -- one for each of her children," Walls says.

The low literacy rate in Africa is related to political instability as well as poverty, says McDonald.

When civil war erupts, books become targets. Even newspapers and magazines are relatively scarce in countries like Tanzania, she says.

"One of the first things soldiers do is burn information," McDonald says.

What types of books are needed

Shipping books to Africa isn't like packing together shipments of food or medical supplies, Books for Africa officials say. It involves sensitivity to Africa's history.

The scars of colonialism, where Western nations used violence to occupy African nations and pillage their natural resources, shapes what types of books are sent to Africa.

During colonialism, a bitter joke among Africans was that missionaries gave them the Bible but took their land. The joke reflected a belief among some Africans that Western nations used Eurocentric books to manipulate and build self-hatred among Africans.

Books for Africa officials, though, say they refuse to send books that celebrate the superiority of Western ways. In fact, they only send books that African schools request.

"I don't like it when you go in and tell them what they need," McDonald says. "I like them to tell us what they need."

The books that African nations typically request can be seen in a cavernous warehouse operated by Books for Africa in Atlanta, Georgia.

At the warehouse, rock and R&B music booms over the speakers as volunteers sort through thousands of books and zoom through the floor in forklifts.

Most of the books African countries requested were books for elementary and secondary schools. Textbooks -- geography, science and math -- are abundant.

The books that aren't used are recycled into paper. Books for Africa officials estimate they save about 2 million books a year from landfills.

Book companies and school systems often donate books in bulk to Books for Africa, including used books, overprints and previous years' editions.

The group also depends on volunteers to sift through its books. One of them, D.J. Clancy, a clerk at a media center in a suburban Atlanta elementary school, joined Books for Africa after she read about it on a Web site.

Some of her American students don't know how lucky they are, Clancy says.

"Our kids are spoiled. They come in our 10,000-book media center and say, 'There's nothing to read,' " she says.

American adults are spoiled as well, says McDonald. She says it's easy for Americans to forget how much information they have at hand.

"We're standing in the grocery line and we're bombarded by tabloids, and we're bombarded by books and TV," she says.

"You're not bombarded by anything there," McDonald says. "You pull out a box of books and people are so grateful and so happy. You feel like you've given them so much."

@highlight

Lack of books is famine robbing African youth of future, nonprofit leader says

@highlight

Need for schoolbooks is critical in Africa, group says

@highlight

Group says it is common for 10 African students to share one textbook