Surprise, surprise, Japan and China are still not getting along.

Fortunately, the battles have been strictly rhetorical, although both nations' military vessels and aircraft have navigated and scrambled ominously in the vicinity of the disputed islets in the East China Sea known as the Diaoyu islands in China and the Senkakus in Japan. But the bilateral spat could easily escalate over a miscalculation by officers on the scene.

It's easy to forget that last week the two nations marked the 35th anniversary of the Treaty of Peace and Friendship. Under the circumstances, the lack of fanfare is understandable but it does seem a timely reminder of what might be possible. While diplomacy has not been effective yet in reviving that spirit of amity, damping down tensions, or in securing a meeting between President Xi Jinping and Prime Minister Shinzo Abe, finding a formula to execute a mutually acceptable climb down is essential to jump-start dialogue. Leaders of nations can help by shelving the bombast. Dialogue continues behind the scenes but this is against the backdrop of frosty admonitions and dangerous posturing.

Is it possible to dial down the rhetoric and serve up a summit? Not anytime soon. Last month, President Xi warned Japan about its truculent stance on the disputed territories and, along with South Korean President Park Geun-hye, cold-shouldered Prime Minister Abe at regional conferences in October. Abe has stayed away from the Yasukuni Shrine -- a controversial monument to Japan's war dead -- but this olive branch has not been seized, and advisers say he will visit by the year's end, ensuring the impasse continues.

OPINION: Japan honoring the dead or insulting the neighbors?

There is a lot to worry about with this face off in the East China Sea, especially now that it has become laden with nationalist symbolism and the game of military "chicken" intensifies. For example, in February Japan claimed that a Chinese vessel locked its firing radar onto a Japanese ship. More recently a Chinese drone ventured into the disputed airspace, prompting Tokyo to warn that it would fire on subsequent drones if they ignore warnings to leave Japan's air defense identification space.

China's response was blunt. "If Japan takes enforcement measures such as shooting down aircraft, as it says it will, that would constitute a serious provocation, an act of war of sorts, and we would have to take firm countermeasures, and all consequences would be the responsibility of the side that caused the provocation," a defense ministry spokesman warned earlier this week.

Abe issued his own warning in an interview with the Wall Street Journal on the same day, saying Japan would adopt a more assertive security posture and reassert its regional influence. "There are concerns that China is attempting to change the status quo by force, rather than by rule of law. But if China opts to take that path, then it won't be able to emerge peacefully," he said.

Subsequently, while reviewing Japan's Self Defense Forces last weekend, Abe said, "We will express our intention as a state not to tolerate a change in the status quo by force. We must conduct all sorts of activities such as surveillance and intelligence for that purpose.

"The security environment surrounding Japan is becoming increasingly severe. This is the reality. You will have to completely rid yourselves of the conventional notion that just the existence of a defense force could act as a deterrent."

Referring to the security implications of "Abenomics," which refers to the prime minister's brand of economic policies designed to revitalize a stagnant economy, Abe believes a resurgent Japan should play a more assertive leadership role in Asia to counter China's power in a region nervous about Beijing's military buildup, and fears about Washington's fitful engagement. Obviously, China disagrees about what the region expects and needs, believing that over time it will gain regional hegemony.

Washington, meanwhile, is betting on a "cooler heads prevail" scenario and certainly doesn't want to go to war with China over the rocky islets. But the Obama-pivot, still waiting to happen, looks like a neo-containment policy, as does the exclusion of China from the Trans-Pacific Partnership negotiations. Recent U.S.-Japanese joint amphibious landing drills may be a sensible precaution, but also they also contribute to the tit-for-tat cycle of provocations that roil regional relations.

The nonprofit think tank Genron conducts an annual public opinion poll in both nations and this summer found that mutual perceptions are extremely negative, exceeding 90% in both countries. This is the worst result in nine years of polling and should serve as a wake up call for leaders in Beijing and Tokyo. It's time to show some real leadership.

But not everyone is glowering. Genron hosted a bilateral conference in Beijing this past weekend featuring dozens of prominent experts, officials and politicians, aimed at promoting dialogue. Former Japanese Prime Minister Yasuo Fukuda (2007-08) advised leaders to avoid the dead-end of self-righteousness. He also urged Japan to "overcome historical problems" relating to its past aggression in Asia to regain dignity and meet international expectations.

Given the urgent need for bilateral cooperation on a number of issues, Fukuda said it's time to act now to overcome differences and find common ground. Wise advice, but in the feverish flexing of patriotic impulses, are current leaders listening?

@highlight

Tensions between China and Japan have been heightened in recent weeks

@highlight

The focal point of their spat is an island chain in the East China Sea that both claim

@highlight

China warned that Japanese threat to shoot down its unmanned drones an act of war

@highlight

Former Japanese PM Fukuda: Time to act now to overcome differences, find common ground