(AOL Autos) -- Have you ever heard of someone having their car "totaled"? While the word might conjure images of a massive car accident, replete with broken glass and the Jaws of Life, the reality is sometimes far removed.

Ford's repair and safety engineers first began collaborating on the 2009 F-150 pick-up truck.

In fact, there are many accidents that produce structural damage such that the vehicle's frame is bent, even though the exterior of the car might even look drivable.

Typically these cars are "totaled," which might give buyers the peace of mind knowing they will get a replacement vehicle. But, overall this produces much higher insurance rates for all drivers.

Car companies and insurers are working hard to try and reduce the cost of auto repairs and insurance premiums for consumers and some of the development is breathtaking in its innovation

This effort has already led to many new developments in the design of various auto parts and components -- which have indeed led to a reduction in repair costs for various auto parts, components and structures.

And more advances are on the way: some carmakers have recently ramped up their operations in this area, which should result in greater cost savings in coming years.

One recent development in this area is the Ford Motor Company's new $650,000 Paint and Body Technology Center in Inkster, Michigan, about 20 minutes from the company's Dearborn world headquarters. The new center was created by merging operations with the company's Safety Crash Test Analysis department.

Other car companies have their own versions of this kind of operation, including Ford's crosstown rivals, General Motors Corp. and Chrysler LLC.

The new Ford center represents an advancement over its previous paint and body tech operation in that it's larger, closer to the company's HQ, and now works more closely with design engineers and auto insurers -- and gets insurers involved earlier in the design process. AOL Autos: Cut your insurance in half

The goal is to identify potential repair issues and then use that info to refine designs -- which in turn helps cut the cost of repairs at dealerships and independent repair shops. Plus, this effort allows repair techs to more effectively restore the vehicles to their pre-accident condition.

To that end, engineers gather data earlier in the vehicle development process so it can be then analyzed during crash and durability testing. AOL Autos: How to choose a repair shop

For Ford, the closer integration of these functions began when the carmaker's repair and safety engineers first began collaborating on the 2009 F-150 pick-up truck.

During the vehicle's early development period, these engineers realized that new materials -- including ultra-high-strength steel and boron -- helped make the new truck safer, but also could make it more expensive to repair after a collision. AOL Autos: Minor damages, major repair costs

"The extensive use of advanced technologies and materials in the 2009 F-150 required us to develop new, specific procedures and repair recommendations," said Gerry Bonanni, Ford's collision repair senior engineer.

So, Ford engineers designed and developed new front and rear-frame-section kits -- which means one single section of the frame can now be repaired / replaced after a crash, instead of having to replace the entire frame.

"Partial-frame repairs cost at least $2,000 less than full-frame replacements," says Bonanni -- and will prevent some vehicles from being "totaled," which would have previously been the case under repair laws in some states.

The success of the collaboration on the F-150 prompted the decision to open the new paint and body tech center. A more recent example was the work done on the 2010 Mustang.

"Previously, we had no real procedure for sectioning off the rear-frame rails," says Bonanni. "But, by collaborating with repair technicians and the insurance companies, we developed a procedure, which we then documented for the repair techs in our dealers.

"That allows them to repair just a short section of the rear-frame rails, instead of replacing the entire frame-rail system -- which also translates into lower repair costs, and lower insurance rates, for the owner."

General Motors' Collision Repair Test Center has had also had recent success on this front, says Jim Doherty, GM's manager of the service-engineering team for aftersales body structures.

"We coordinate with the product engineers, so as soon as a new vehicle starts development, about four years before it's introduced, we engage with their team," says Doherty.

"Some of our people work on the structure, and some on the exterior, and we collaborate with the design engineers to work out whatever improvements might need to be made over the previous version of a component or assembly." AOL Autos: Best & worst auto designs

As with Ford, "the goal is to make sure that the vehicle has the most cost-effective repair strategy," adds Dave Bakos, GM's director of global after-sales mechanical engineering. "Our liaisons with people in the insurance industries are definitely useful -- they call us if they have concerns, and when we develop a new technology, we contact them to make sure they understand it."

The development of lighter-weight steel for auto frames also presents challenges to GM's center. "They're very high-strength, but their repairability is more difficult when compared with the old cold-rolled steels -- so, that has forced us to come up with new welding, sectioning and attachment strategies as the vehicle is being designed and developed," says Doherty. AOL Autos: Take the guesswork out of buying a used car

Doherty and Bakos cite a couple of examples of how the Collision Repair Test Center -- and the collaboration between design and repair engineers and insurance companies -- have been parlayed into cost savings for car owners.

Prior to the current model year, the cost of repairing the frame-rail assembly on a Pontiac Solstice included $936 for the part itself, plus 13 ½ hours worth of labor costs to install, says Doherty.

But by working with design engineers and insurers, the Collision Repair Test Center was able to develop and create a "service-only" partial assembly. That means that, on the '09 Solstice, a collision technician can replace the damaged section of the front rail only, rather than the entire front rail section.

The parts for the partial assembly cost far less and require just three and a half hours of labor to install," says Doherty. "Because of these changes, the total cost savings for this repair could be as high as $1,500."

The current Saturn Aura presented a challenge / opportunity along the same lines. For the '09 Aura, GM engineers at the Collision Repair Test Center created "zone-specific" replacement parts.

"Rather than replacing the entire body-side assembly as a single piece, engineers developed sectioning procedures for the front, center and rear quarter sections of the vehicle," explains Doherty.

"This allows the technician multiple repair options when repairing the side of a damaged vehicle. Even though the cost of parts remained similar, labor cost savings created were substantial, ranging from about $600 to as high as $1,200."

One current focus for these operations at Ford, GM and other carmakers relates to side-impact crashes. "We don't want every vehicle to have to end up in the salvage yard just because a side pillar is damaged," says Bakos. "So we're working on some combination of welding or welding and adhesives, or maybe mechanical fasteners, in order make those sections more repairable, so that the vehicle isn't totaled."

New challenges continue to present themselves, says Ford's Bonanni.

"New technologies are developing pretty rapidly," he says. "And each time a new one comes along, it's our job to develop new ways of repairing the various structures, components and parts that incorporate those new technologies -- and do it in a way that maintains the vehicle's after-crash structural integrity, and keeps costs down for the vehicle owner."

@highlight

Companies and insurers sections cars to be crash (and repair) friendly

@highlight

Many new developments exist in the design of auto parts and components

@highlight

New materials -- including ultra-high-strength steel -- help make vehicles safer

@highlight

New challenges continue to present themselves, says Ford expert