(CNN) -- On December 15, 2001, Pakistani border troops came across some 30 al Qaeda fighters in a mountain pass. They had fled the U.S. bombardment of Tora Bora, Osama bin Laden's last stronghold in Afghanistan. The group turned out to be members of the al Qaeda leader's security detail, and U.S. intelligence swiftly dubbed them the "Dirty Thirty."

They were transferred to U.S. custody in Kandahar and then moved to the Guantanamo Bay detention camp in Cuba early in 2002. It soon transpired most of the "Dirty Thirty" were from Yemen, a country where al Qaeda has an even greater presence today than it did before 9/11.

Analysis of many profiles of Guantanamo detainees suggest that becoming a member of al Qaeda in Yemen in the late 1990s was relatively easy, which may explain why (after Afghans and Saudis) Yemenis comprised the third largest group held there.

The documents, compiled by the U.S. Joint Task Force at Guantanamo Bay, show that:

-- A network of al Qaeda recruiters was able to operate in Yemen with virtual impunity.

-- Salafist religious institutes in Yemen influenced many to take up jihad and join bin Laden.

-- Many of the recruits had little education and few opportunities.

The documents were obtained by WikiLeaks and published this week.

Several religious institutes in Yemen were fertile al Qaeda recruiting grounds, according to the documents. They included Al Khair Mosque in Sanaa, the Dammaj Institute in Sadah and the al Furqan Institute. The founder of the Dammaj Institute, Sheikh Muqbil bin Hadi al-Wadi, is described in the documents as "one of the most influential Yemeni Islamic leaders who preached and financed jihad." (He was also an influence on bin Laden's thinking, but consistently opposed violence against other Muslims.)

From the Dammaj Institute, recruits were taken to a training camp in Yemen where they would learn assassination techniques and bomb-making. Rarely did the Yemeni authorities interfere. In fact, the documents suggest Yemeni officials could be bribed to provide medical releases and alter travel documents. Recruiters also had money to assist with airline tickets.

Al Qaeda expands presence in Yemen

One of the recruiters was Sharqawi Abdu Ali al-Hajj, a Yemeni who "had access to the identities of many al Qaeda-related travelers and plausible knowledge of the detainees' travel times and locations," according to the documents. Al-Wadi, who died in 2001, and other radical imams in Yemen also provided money to several of the jihadists who would end up among the "Dirty Thirty."

Many of the young Yemenis who ended up in bin Laden's security detail were capable fighters but poorly educated. Mohammad al-Ansi failed 11th grade three times and worked as a bus driver before turning to jihad. Another detainee never made it past seventh grade, while Mahmud al-Mujahid finally got his high school diploma at 22. Several had odd jobs and felt unable to support their families.

Frequently, recruitment into al Qaeda was a family affair. Among those captured in that freezing mountain pass in Pakistan was a 21-year-old by the name of Uthman al-Rahim. His brother was also an al Qaeda fighter and he allegedly had ties to several al Qaeda members responsible for the attack on the USS Cole in 1998. Mahmud al-Mujahidand and his brother were both bodyguards to bin Laden.

2010: USS Cole crew praised at memorial

The Yemeni recruits were given similar basic training before being deployed to the front near Kabul to fight against the Northern Alliance as members of al Qaeda's elite 55th Arab Brigade. They later became bin Laden's bodyguards, according to the profiles. The documents say several of the "Dirty Thirty" also took part in a close combat course that bin Laden used to select militants for special operations.

Some of the Yemenis were fast-tracked for advanced training. Mohammed al Ansi would later train for an aborted al Qaeda operation in southeast Asia to hijack airliners and crash them into U.S. military bases in the region. Bin Laden planned to use Yemenis in the operation because they could easily travel to the region, according to another detainee. Others ran training camps or safe houses. Hamza al-Qaiti was one; he was at large until 2008, when he was killed in Yemen.

The Guantanamo documents might be solely of historical interest were it not for Yemen's chronic instability today, and the growing presence of al Qaeda in the Arabian peninsula in the provinces of Shabwa, Abyan and Hadramut. Even though Yemeni security forces have stepped up operations against al Qaeda in the last year, U.S. officials describe al Qaeda in the Arabian peninsula as the most effective operational arm of the group. John Brennan, assistant to the president for homeland security and counterterrorism, said in December the group was "increasingly active" in reaching out to find terrorist recruits, even in the United States, and was "the most operationally active node of the al Qaeda network."

It was in Yemen that the alleged Detroit "underwear" bomber was recruited and trained in 2009. Al Qaeda in the Arabian peninsula militants have killed dozens of Yemeni soldiers and police; earlier this month Islamist militants briefly occupied a town in southern Yemen and raided an ammunition factory.

The Guantanamo documents suggest that Yemen remains a recruiting ground for al Qaeda, with one written in 2008 saying Yemeni sheikhs "continue to recruit Yemeni youth to participate in hostilities against U.S. and coalition forces."

That's perhaps why today so many Yemenis are left at Guantanamo. The risk of sending them home to a volatile country with a history of jail breaks and a vibrant al Qaeda franchise is too great. Of the 112 Yemenis taken to the detention center over the past nine years, nearly 90 are still there. (The New York Times, which has seen all the Guantanamo documents, reports that 23 have been sent back to Yemen and two died in custody.)

Few of those left are likely to be leaving anytime soon.

@highlight

WikiLeaks releases documents on al Qaeda detainees from Yemen

@highlight

Among the detainees are the "Dirty Thirty," part of Osama bin Laden's security detail

@highlight

Documents describe several religious institutes in Yemen as recruiters for al Qaeda