Washington (CNN) -- President Barack Obama will join what is perhaps America's most exclusive club, peppered with names such as Washington, Jefferson, Lincoln and Roosevelt, when he delivers his second inaugural address on Monday.

By the numbers: Presidential inaugurations

Sixteen of his 43 predecessors, including five of the nation's first seven presidents, gave more than one inauguration speech, topped by the unprecedented four by Franklin Delano Roosevelt.

While inaugurations celebrate American democracy through the peaceful transition or extension of power at a ceremony full of pageantry and color, a second inaugural address tends to feel like many second weddings -- important, for sure, but lacking some of the nervous anticipation of the first one.

That could be especially true for Obama, whose historic ascendancy to the White House four years ago as the nation's first African-American president defined a new political era.

"On this day, we gather because we have chosen hope over fear, unity of purpose over conflict and discord," he told a frigid crowd estimated at a record 1.8 million people that stretched the length of the National Mall on January 20, 2009.

Much of Washington rejoiced that day and night, with 10 official inaugural balls and scores of unofficial ones epitomizing the grandeur of the moment.

The great reset: Will Obama's second inauguration let America turn the page?

Now Obama is a weathered incumbent. His hair is graying at age 51 from a first term of tribulations, including an inherited recession, the end of one war and the winding down of another, and constant political brinksmanship with Congress over budgets and spending.

His declaration at his first inauguration of an end to "the petty grievances and false promises, the recriminations and worn-out dogmas that for far too long have strangled our politics" proved unfounded.

GOP opponents threaten default and government shutdown over upcoming debt ceiling and funding deadlines. Obama also faces a political showdown over his gun control proposals -- one of Washington's most intractable issues -- in the wake of last month's school massacre that killed 20 first-graders in Newtown, Connecticut.

House GOP discussing short-term increase in debt ceiling

Obama-backed gun bills considered a long shot in Congress

Whether he will explicitly cite such challenges in his second inaugural address was unclear. Asked about Obama's preparations, White House spokesman Jay Carney on Thursday would only offer that the president was "very appreciative of the fact that the American people have given him this opportunity to deliver a second inaugural address."

"He takes very seriously speeches of this kind, and he's very engaged in the process," Carney added, noting that Obama wrote initial drafts of speeches in longhand on yellow pads. "I've seen some yellow pads of late with writing."

History provides little guidance on what to expect Monday. While themes of unifying the country and seeking God's blessings are common to most inaugural addresses, second efforts have come in varied lengths and styles.

Ulysses S. Grant concluded his second inaugural address with a claim of vindication. He noted that his role as Union military leader and president subjected him to "abuse and slander scarcely ever equaled in political history, which today I feel that I can afford to disregard in view of your verdict" of re-election.

Some two-term presidents focused their second speeches on particular challenges at hand, such as Abraham Lincoln's highly regarded address in the final days of the Civil War in 1865, shortly before his assassination.

Ryan to attend Obama's inauguration

"With malice toward none; with charity for all; with firmness in the right as God gives us to see the right, let us strive on to finish the work we are in; to bind up the nation's wounds; to care for him who shall have borne the battle and for his widow and his orphan, to do all which may achieve and cherish a just, and lasting peace, among ourselves, and with all nations," Lincoln said to conclude the speech of 697 words, a fraction of the 3,610 in his first inaugural address.

He had acknowledged that difference to begin his remarks, saying: "At this second appearing to take the oath of the presidential office there is less occasion for an extended address than there was at the first."

Share your inauguration photos on iReport

In a passage that would seem to fit Obama also, Lincoln noted that "at the expiration of four years, during which public declarations have been constantly called forth on every point and phase of the great contest which still absorbs the attention and engrosses the energies of the nation, little that is new could be presented."

Three score and 12 years earlier, George Washington set the standard for a shortened second inaugural speech. He limited it to 135 words, compared with the 1,428 he spoke when he became the nation's first president.

Roosevelt's fourth and final inaugural address, in 1945, also was his shortest, historian Doris Kearns Goodwin told CNN.

Dual inauguration ceremonies honor tradition and law

"It was a five-minute speech, and he needed to fortify himself with whiskey in order to get through the pain that he was feeling" from the heart failure that would kill him months later, she said, noting Roosevelt also canceled the traditional inaugural parade that year.

"In the middle of a war, why are we going to have a parade, who's going to parade?" she said Roosevelt had asked. "Normally you have military people parading, and they were in the war itself."

More recently, the trend has been to talk longer the second time around, as demonstrated by both Bill Clinton and George W. Bush.

While only Obama knows if he will scale back his speech from the 2,395 words of four years ago, other inaugural staples are being reduced this time.

There will be two official inaugural balls, eight fewer than in 2009. Because January 20 -- Inauguration Day -- falls on a Sunday this year, the official swearing-in will occur at the White House, attended by the president's family.

Monday will be the public ceremony, with Obama to be sworn in again by Supreme Court Chief Justice John Roberts at the U.S. Capitol, followed by the president's speech and then the parade up Pennsylvania Avenue to the White House.

A crowd of 800,000, smaller than last time, is expected.

Beyonce to perform for inauguration

Obama taps Latino poet for inauguration

Chief justice to get another go at oath

Inauguration brings different kind of gridlock

CNN's Alan Silverleib contributed to this report.

@highlight

Sixteen other presidents have made more than one inaugural address

@highlight

History offers little guidance on what to expect the second time around

@highlight

Washington and Lincoln spoke shorter, Clinton and George W. Bush longer the second time

@highlight

Franklin Roosevelt gave an unprecedented four inaugural speeches