(CNN) -- Equal Pay Day was established in 1996 by the National Committee on Pay Equity as a way to bring attention to the gender wage gap. Since women earn about three-quarters of what men earn on average, it is set to be commemorated Tuesday to symbolize that women have to work one year and a bit more than three months to earn the equivalent salary that a man earns in one year.

There are a variety of causes of the gender pay gap, including differences in occupational distribution, with women tending to congregate in lower-paying occupations; differences in the accumulation of human capital; and intentional and unintentional discrimination against women.

But even if we are able to magically fix the employment prospects between men and women such that none of these economic issues is a factor, we would still have one cultural issue that greatly affects the gender pay gap.

Women spend a greater number of hours doing household and caregiving duties, which decreases the number of hours they can work for pay. Even for full-time workers, men worked on average 8.3 hours per day while women worked 7.8 hours per day in 2011.

The differences in the daily activities that men and women perform are captured by the U.S. Bureau of Labor Statistics' American Time Use Survey. The survey has 12 major categories of how we use our time, and women dominate eight of the 12 categories.

In 2011, the latest year available, we see the expected gender division in time use with women spending an average of two more hours per day than men doing the activities of personal care; household chores; purchasing goods and services; caring for and helping household and nonhousehold members; organizational, civic or religious activities; telephone calls, mail and email; and other activities not classified elsewhere in the survey.

How did men allocate their time? They spent an average of an additional 40 minutes per day on sports and leisure compared with women, four additional minutes on eating and drinking, two additional minutes on educational activities, and 1 hour and 16 minutes additional time working and performing work-related activities.

TIME: The pay gap isn't as bad as you think

The two of the areas with the largest deficits for men were 47 fewer minutes per day on household activities and 22 fewer minutes on caring for and helping household and nonhousehold members.

There is also a large difference in the share of men and women who are engaged in these activities per day: 82.5% of women versus 65% of men were engaged in household activities and 41.6% of women versus 30.4% of men were engaged in caring for and helping household and nonhousehold members.

When women are not working for pay, these statistics show that they are spending relatively more time on the so-called "second shift" of household and caregiving activities while men are enjoying relatively more leisure time. Other than breastfeeding and lifting heavy objects, there are no household and caregiving activities that have to be defined by one's gender.

It is only our cultural norm that is defining who does which task.

We all only have 24 hours per day to divide amongst our various activities. To achieve greater equity, men will need to reallocate their time toward housework and caregiving activities so that women can gain more time for working for pay and leisure. However, by doing some household activities together for greater efficiency, they both can gain more time for other pursuits.

Our choices for how we use our time need to be evaluated to ensure we are being equitable. Are brothers spending as much time caring for elderly parents as their sisters do? Are husbands washing and folding the clothes while their wives stay at work late to finish a project? Are fathers giving the children their baths while wives watch their favorite TV show? Do sons and daughters take turns doing certain chores so they both learn to be proficient in all household activities?

Fortunately, the time use trend has been moving in the direction of more equality. In 2003, the first year of the America Time Use Survey, women spent an extra 1.42 hours performing activities in the household and caregiving categories versus 1.17 hours in 2011.

Just as Equal Pay Day brings attention to the disparity in pay for men and women, it could be useful to also establish an Equal Housework Day to benchmark the progress men are making performing household and caregiving tasks.

Those 1.17 more hours per day that women spend on household and caregiving activities translates to 18 days per year. So we could set January 18 as Equal Housework Day to show that it takes men over 12.5 months to do what women do in 12 months.

As we achieve a cultural transformation regarding household and caregiving activities, then Equal Housework Day will eventually occur on December 31. And we would no longer need to commemorate Equal Pay Day as late as April.

The opinions expressed in this commentary are solely those of Anne York.

@highlight

Anne York: One of the causes of pay inequity is that women spend more time on housework

@highlight

She says men are able to devote more time to work outside the home and to leisure

@highlight

York: If men did their fair share at home, there would be no need for Equal Pay Day