Harare, Zimbabwe (CNN) -- The only leader that the independent Zimbabwe has ever known will be at the helm for another five years, following an election that pitted 89-year-old President Robert Mugabe against his longtime foe, Prime Minister Morgan Tsvangirai.

Mugabe was elected to his seventh term as president with 61% of Wednesday's vote, the head of the country's Election Commission said Saturday.

Tsvangirai, who won 34%, according to the election commission, has alleged widespread fraud and was quick to promise a court challenge.

"A fraudulent and a stolen election has plunged Zimbabwe into a constitutional, political and economic crisis," said Tsvangirai, 61.

The commission also announced that Mugabe's ZANU-PF party won a two-thirds majority in parliament.

Election observers and foreign officials raised doubts Saturday about the way the election was conducted, though some of them noted it was peaceful -- in contrast to the last election, in 2008, where post-vote violence left at last 200 people dead and thousands injured.

Fast Facts: Robert Mugabe

The Southern African Development Community deployed 573 observers to all 10 of the country's provinces and "observed that in general voting took place in a free and peaceful environment" and that election commission staffers "conducted themselves professionally." But it noted areas of concern.

The African Union, which also sent observers, praised Zimbabwe for holding peaceful elections. It made no mention of rigging allegations but noted shortcomings, saying some voters were turned away, polling stations published their tallies late and members of the media took sides.

Even so, the AU said, "The mission observes generally, that from a historical perspective and in comparison to the 2008 elections, Zimbabwe has made an important transition in the conduct of its elections."

Tsvangirai's party, the Movement for Democratic Change, issued a statement saying it expects the African Union and SADC to "meet urgently to deal with this crisis in order to restore constitutional, political and legal legitimacy in the country."

U.S. Secretary of State John Kerry, in a statement Saturday, criticized "the culmination of a deeply flawed process."

"In light of substantial irregularities reported by domestic and regional observers, the United States does not believe the results announced today represent a credible expression of the will of the Zimbabwean people," Kerry said.

British Foreign Secretary William Hague, meanwhile, commended the peaceful nature of the vote, but expressed concern over how it was conducted.

Citing the AU and SADC statements, he said, "I hope that their final assessments of the elections will take into account the full impact of these irregularities on the outcome."

The reported irregularities "call into serious question the credibility of the election," Hague said.

With his controversial win, Mugabe is set to see his time in power extended to 38 years.

Who is Robert Mugabe?

Mugabe helped form the Republic of Zimbabwe after the British rule of Rhodesia came to an end in 1980, and after elections that year, he served as Zimbabwe's first prime minister for seven years.

After a new constitution in 1987 replaced the office of prime minister with an executive president, Zimbabwe's national assembly elected Mugabe to a four-year term as president. Elections in 1990, 1996 and 2002 all saw Mugabe win successive six-year terms.

Beginning in the 1990s, Mugabe began to alienate himself from the international community by forcing white farmers to give up their land for redistribution to black Zimbabweans. Farm output later decreased sharply amid a famine in the country, and Human Rights Watch accused Mugabe's government of using starvation as a tool to gain voter support.

The European Union and the United States imposed sanctions on Mugabe and members of his party amid reports of human rights violations. In 2003, Mugabe withdrew the country from the Commonwealth.

Fast Facts: Morgan Tsvangirai

Tsvangirai ran unsuccessfully against Mugabe in 2002 and was later arrested several times, jailed on charges of treason and severely beaten in police custody.

He faced off against Mugabe in the last election and won more votes than the president, though not enough to avoid a runoff. Violence broke out, and Tsvangirai then pulled out of the runoff claiming widespread voter intimidation and the torture, mutilation and murder of his supporters.

Months later, after international pressure and successful negotiations, Mugabe and Tsvangirai signed an agreement giving Tsvangirai the post of prime minister in a Mugabe-led government. It has been an uneasy coalition ever since, one that included a brief boycott of the coalition by the MDC over the arrest of a party leader.

Journalist Columbus S. Mavhunga reported this story from Harare, and Faith Karimi reported and wrote from London.

@highlight

Tsvangirai to challenge the results in court

@highlight

African Union gives its blessing, despite noting shortcomings

@highlight

Problems included voters getting turned away and biased media, they say

@highlight

U.S. says it doesn't believe results "represent a credible expression" of the people's will