(CNN) -- The charge against Dzhokhar Tsarnaev for allegedly using low-grade explosives housed in pressure cookers to bomb the Boston Marathon is "using and conspiring to use a weapon of mass destruction."

For many, the term "weapon of mass destruction" -- or WMD -- means something far more apocalyptic than the Boston attack, tragic though that was. For those people it will forever be associated with the run-up to the Iraq War, when leaders of the U.S.-led coalition warned that Saddam Hussein was building up his stocks of WMD -- a claim that turned out to be incorrect.

Watch: 10 years later -- Iraq's phantom WMD

So, when and how did a pressure cooker -- allegedly filled with low-grade explosives, metallic BBs and nails -- become a WMD and where did the phrase come from?

Many sources point to a 1937 address by the then Archbishop of Canterbury Cosmo Gordon Lang, as the first time the phrase weapons of mass destruction was used. In a report at the time, London's Times newspaper quoted Lang as referring to wars in China and Spain and saying: "Who can think without horror of what another widespread war would mean, waged as it would be with all the new weapons of mass destruction."

It is unclear exactly which weapons Lang was referring to, however, in April 1937 German bombers had systematically destroyed the Basque town of Guernica during the Spanish Civil War, prompting Times correspondent George Steer to write on April 27, 1937: "In the form of its execution and the scale of the destruction it wrought, no less than the selection of its objective, the raid on Guernica is unparalleled in military history." He described "first, hand grenades and heavy bombs to stampede the population, then machine-gunning to drive them below, next heavy and incendiary bombs to wreck the houses and burn them on top of their victims."

The same year, Japan had invaded China, where its troops were widely accused of gross human rights abuses, including raping tens of thousands of girls and women and killing several hundred thousand others in December 1937, in what has come to be called "The Rape of Nanking."

Read more: Japan fires military chief over WWII denial

Nine years later, the Times referred to a report by the British mission to Hiroshima after the Japanese city became the first victim of an atom bomb. It quoted the report as opening: "His Majesty's Government consider that a full understanding of the consequences of the new form of attack may assist the United Nations Organization in its task of securing the control of atomic energy for the common good and in abolishing the use of weapons of mass destruction."

Indeed, the U.N.'s first resolution in 1946 established a committee whose tasks included making specific proposals "for the elimination from national armaments of atomic weapons and of all other major weapons adaptable to mass destruction."

In their 2012 paper for the U.S. government's National Defense University, "Defining Weapons of Mass Destruction," authors John F. Reichart and W. Seth Carus wrote that, in terms of disarmament policy, the definitive definition of WMD had emerged at the U.N. in 1948. It covered "...atomic explosive weapons, radioactive material weapons, lethal chemical and biological weapons, and any weapons developed in the future which have characteristics comparable in destructive effect to those of the atomic bomb or other weapons mentioned above," they said.

In May 2002, the then U.N. Under-Secretary-General for Disarmament Affairs, Jayantha Dhanapala, told the American Bar Association that WMD "today consist of nuclear, biological, and chemical arms -- they all share one deadly trait: they are indiscriminately lethal." Dhanapala went on to say: "They are neither lightly nor inappropriately called 'weapons of mass destruction.'"

Reichart and Carus said they had identified "more than 50 WMD definitions issued by a government or international organization." The definition in the U.S. Criminal Code included high explosives and was "inconsistent with most national guidance and with the usage preferred by the State Department and the international community," they said. "Almost all crimes" prosecuted under this definition could be prosecuted under other provisions of the U.S. criminal code, they suggested.

Bombs, grenades, rockets "having a propellant charge of more than four ounces, a missile having an explosive or incendiary charge of more than one-quarter ounce" and mines, are among the explosives covered by the criminal code's definition of WMD.

Robert Chesney -- professor of law at University of Texas -- said the statute Tsarnaev had been charged under -- U.S. Code title 18, section 2332a -- defined WMD "far more broadly than that phrase is normally understood."

"At the bottom, it is simply a statute that makes it a felony to set off bombs in public places, which certainly applies in this case. Unless the government were to try to take advantage of the WMD language to try to convince the public that this defendant was using a WMD in the usual narrow and scary sense of that phrase, there's really no harm in the situation in my view," he said.

Chesney noted that in order for a prosecution for using WMD within the United States to be successful, at least one of four conditions relating to interstate or foreign commerce also needed to be proved against the defendant. In the case of the Boston bombings "the easiest one to prove would be the impact-on-commerce condition -- there's just no real doubt that the bombing had a tremendously disruptive impact on interstate commerce," he said.

Harvard Law School's Alan Dershowitz told CNN'S Becky Anderson he was surprised the WMD charge had been used against Tsarnaev. "Everybody thought that the indictment would be under the federal terrorism statute," he said. "Instead they charged him under a very rarely used statute involving explosion of weapons of mass destruction that result in the death of an individual."

Dershowitz said the charge put less emphasis on the intention behind the attack. "Under the terrorism statute, you would have to, in effect, charge a jihadist or extreme Islamic motivation. Here you don't have to show any motivation at all," he said. "So the government has made a decision not to charge this as a politically motivated crime."

U.S. Department of Justice spokesman Dean Boyd said the statute had been "frequently used" by the department.

Among the recent examples cited by Boyd was the case of Saudi student Khalid Ali-M Aldawsari who was convicted and sentenced to life in 2012 for attempted use of a WMD. According to a departmental release, the charge followed Aldawsari's "purchase of chemicals and equipment necessary to make an improvised explosive device (IED) and his research of potential U.S. targets."

The WMD law also applies to "any national of the United States who, without lawful authority, uses or threatens, attempts, or conspires to use a weapon of mass destruction outside of the U.S.." In March 2013, former U.S. soldier Eric Harroun was charged under this part of the statute for allegedly conspiring to use a rocket propelled grenade while fighting with an al Qaeda affiliated group in Syria.

Read more: U.S. ex-soldier charged with using RPG

Jack Holland, lecturer in international relations at the University of Surrey, said that since 2002/2003, use of the term WMD had generally been "political in use and political in implication." WMD had been used to refer to chemical, biological, radiological and nuclear (CBRN), but the term had more recently been used for "deliberate political reasons" and broadened out, Holland said. "It's increasingly just something explosive or destructive that makes the term so broad as to be meaningless," he said. "In 2002, there weren't people talking about pressure cookers as WMDs."

In the build-up to the Iraq War, Holland said, the phrase was used strategically to create legitimacy for intervention. Reports out of the Bush Administration, he said, suggested that the need to combat a perceived WMD threat was something on which all of the "coalition of the willing" could agree.

But he said the phrase had different connotations in the U.S. and Britain.

Britain's then Prime Minister Tony Blair was a strident proponent of the argument, telling UK lawmakers that Hussein could launch a range of WMDs within 45 minutes.

Read more: Blair adviser denies Iraq War intelligence 'sexed up'

"WMD was more controversial as a term and a rationale in the UK because Blair put more emphasis on the argument than [President George W.] Bush did," Holland said. This was because Blair needed to appeal to the British public with a "legalistic, logical, pragmatic" argument, he said, whereas Bush could "employ a series of more emotive arguments" and use WMD as a "fallback argument to a far greater degree, because of American political culture."

"Britons needed a 'pseudo-legalistic rationale'," Holland said. "It was about the 45-minute claim -- that was very much an argument that appealed peculiarly to the British," he said. "Blair put all of his eggs in one basket with the WMD argument." In Britain, the phrase was now tainted because of its political connotations that the administration had lied or had been just plain wrong. "Now it's seen as a false premise for an unsuccessful intervention," Holland said.

"The strategic use of language to sell interventions to the public is an extremely long-standing phenomenon. More recently these arguments are ever more important for making the case for war," he said. "There's a perceived need -- even if you've won an election -- to retain the image of speaking for a population," he said. "To get the population onside is essential."

@highlight

Dzhokhar Tsarnaev is accused of using explosives-filled pressure cookers as bombs

@highlight

He is charged with "using and conspiring to use a weapon of mass destruction" (WMD)

@highlight

Claims Saddam Hussein was stockpiling WMDs formed part of the argument for the Iraq War

@highlight

The term "WMD" is often used to refer to nuclear, biological and chemical arms