(CNN) -- A U.N. panel on Friday said with 95% certainty that the effects of climate change are real and largely man-made.

To which pretty much everyone in Shishmaref, Alaska, said ...

Well, duh.

If only they weren't so polite.

The tiny Inupiat Eskimo community in near-Arctic Alaska -- which I was lucky enough to visit on a reporting trip in 2009 and which is home to some of the sweetest and most colorful people you'll meet -- has been watching climate change happen to it for years now.

Locals see the sea ice forming later each year, the coast eroding and the permafrost melting. The hunting seasons have shifted and lakes have dried up.

The coast had become so unstable that one house toppled off the edge of the barrier island that harbors the village. When I was there, the town was considering relocating to more stable ground.

Now those plans seem to have dried up, too.

Stanley Tocktoo, the mayor of Shishmaref, told me by phone Thursday that residents have tabled their plans to move the town. Money is one reason. Another is that they were unable to find a suitable location upon which everyone could agree.

Potential relocation spots also are hit by the changing climate, he said.

"The island is only a quarter-mile wide by three miles (long), probably narrower now. I don't know how long we'll be able to be on this island," he said.

"These floods get pretty fierce now, worse than before."

It should seem laughable in 2013 that anyone would try to deny the reality of climate change, which is causing tougher droughts, stronger storms, rising seas and melting ice. The effects are scattered, to be sure. It's difficult to attribute any single storm to macro-changes in the atmosphere, for example.

But it's clear things are changing. It's clear that's for the worse.

And it's clear -- has been clear -- that we're to blame for that.

I'm thankful the U.N. Intergovernmental Panel on Climate Change continues to update all of us on the latest science and evidence.

But it's already obvious to everyone paying attention that we need to act in new and profoundly urgent ways to blunt the future impact of climate change, and to mitigate the changes that are already taking shape all over the world.

The Marshall Islands and other Pacific nations that could be swallowed up by rising seas have banded together to try to make their economies 50% or 100% renewable.

The urgency is clear to them. They fear for survival.

But in the United States, we're still running around with our eyes shut.

Sure, President Barack Obama has tried, between arguing for strikes on Syria and trying to resurrect the middle class, to make climate change a front-burner issue. But Congress hasn't followed suit. America remains a serious laggard on climate action.

Perhaps we should open our eyes, and turn them to Alaska.

There, the evidence is like a slap in the face.

A wake-up call.

"The town is coming apart, getting smaller and smaller."

That's Shelton Kokeok, a 68-year-old who lives, with his wife, Clara, at the very edge of the Shishmaref coast, which has been thawing and falling into the sea.

A multimillion-dollar U.S. Army Corps of Engineers project has bought Kokeok some peace of mind. The engineers piled rocks high on the shore, as if imploring the land to stay. But even the engineers know that the measures are temporary.

The Army Corps of Engineers in Alaska had $45 million to deal with coastal erosion issues that are related to climate change, according to Bruce Sexauer, chief of planning for the Alaska District. That money ran out though. The rock wall in Shishmaref was planned to be nearly twice as long as it is, but money is now only available if the village can put up 35% of the cash needed to build it. I'm pretty sure a place where people hunt seals for food and harvest ice for water doesn't have millions to spare.

It's a beautiful, generous village. But not a rich one.

The wall, as it stands, likely will buy Shishmaref several years.

But much already has been lost.

When I visited him four years ago, Kokeok told me he blames the death of his youngest son, Norman, on the changes to the climate. Norman fell through a thin sheet of ice on the first week of June several years ago.

That area should have been frozen solid, Kokeok said.

He told me, back in 2009, that he hasn't been the same since.

I was pleased to hear on Thursday that, after two knee replacements, Kokeok was able to go caribou hunting with his grandchildren and daughter this summer.

That's something he hadn't done in years.

The land here, and the community, means so much to him.

Another community, Newtok, which was the subject of a fascinating series by The Guardian, is actually in the process of relocating now, according to Sexauer.

Dave Williams, a colleague of Sexauer's, told me that the permafrost is thawing out from beneath the town, making it nearly unlivable.

"Some of the boardwalks are underwater during the summertime," he said. "You can't step off the boardwalk and walk anywhere without getting wet up to your crotch and covered in muck. You can see that when it floods now, houses that were above the flood level now get water in them or are surrounded by water and (you) can't go anywhere. ... It happens slowly, over years and years."

Slowly, over years and years.

But still, impossible not to notice.

I could think of a few senators I'd like to send up to that village to wade in the muck. Maybe it would alleviate their nagging sense of industry-funded doubt.

Or, at the very least, they'd have to make excuses in a ruined pair of pants.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

U.N. panel releases the first part of its new climate assessment this week

@highlight

John Sutter: The impact of climate change is obvious, everywhere

@highlight

Sutter says lawmakers should look to Alaska for evidence of the effects

@highlight

Villages there are thinking of relocating because of changes in the climate