(CNN) -- While the presidential candidates spar in debates and jump on gaffes, two possibly historic votes on November 6 will cut to the most primal issues: nothing less than death and love.

In California, voters will decide whether to keep the death penalty on the books in America's most populous state. Meanwhile, in my own state of Minnesota, there is a good chance that a proposed constitutional amendment to bar same-sex marriage will be defeated.

Each is significant because it could represent a crucial shift in momentum and a turning point â€” away from the use of the death penalty, and toward a broader societal acceptance of gay men and women.

The death penalty law in California is a mess. It is expensive in a time of fiscal crisis, and simply doesn't work. California has by far the largest death row in the nation, with more than 700 residents (Florida is next with about 400), yet it has only executed 13 people since 1976.

If Californians sensibly reject continuing this failed death penalty approach, it will join five other states that have also recently abolished capital punishment: Connecticut, Illinois, New Jersey, New Mexico and New York. California's action would have two principle effects.

First, it could lead to a reconsideration of the soundness of the death penalty in other states where it is seldom used, including Delaware, Maryland, Washington, Oregon, Colorado and Pennsylvania. California is a trendsetter and it will be meaningful when the state with the largest death row gives up the cost and moral burden of capital punishment.

Second, it would be a large step toward a new challenge to the death penalty under the Eighth Amendment. Since the 1980s, the Supreme Court has looked to trends in the states to evaluate where national standards are regarding what punishments are "cruel and unusual." In fact, such an analysis led to a constitutional ban on the death penalty in cases where the defendant committed the crime as a juvenile or suffered a mental defect. Moving California to the abolition side would commit a large fraction of the American population to leaning away from the death penalty. It may well be that the best way to get rid of the death penalty in Texas is to abolish it in California.

While California considers the state's ability to kill its citizens, Minnesota will decide an issue related to love.

While Minnesota is not a population giant, the symbolic value of the upcoming referendum on same-sex marriage in that state has huge symbolic importance. The proposed amendment would insert into the Minnesota Constitution a definition of marriage as between one man and one woman (the state's statutes already contain this definition). Some 30 states (most recently North Carolina) have already amended their constitutions to include similar language.

Three other states â€” Maine, Maryland and Washington â€” are voting on whether to allow same-sex marriage (essentially the opposite question from the one posed in Minnesota). The Minnesota vote is perhaps the most significant, though, because it could break the unbeaten streak of those who have pushed bans on same-sex marriage into state constitutions. It would reflect an overextension of that effort and a crucial shift going the other way.

Right now, polling on the Minnesota marriage amendment is roughly even, while California polls show death penalty abolitionists behind. The remaining weeks will be crucial in each contest.

History often moves when we aren't watching, and political epochs rarely align with elections. Rather, Americans sometimes change their consensus over time, and nearly always there was a noticeable swing in momentum at a time we can name. For example, with the civil rights movement, it was not a presidential election that marked a turning point, but something as simple as a brave woman on a bus.

Should the people of California and Minnesota choose less death and more love, respectively, this, too, could be one of those moments.

The opinions expressed in this commentary are solely those of Mark Osler.

@highlight

Voters in California will decide on death penalty and those in Minnesota on gay marriage

@highlight

Mark Osler: Each is significant because it could represent a turning point in history

@highlight

Osler: Let's see if Californians and Minnesotans choose less death and more love