(CNN) -- Nearly two years after it was sent up to the International Space Station, a giant particle physics detector has provided its first results in the search for the mysterious "dark matter" believed to be a major component of the universe.

The international team running the Alpha Magnetic Spectrometer released its initial findings Wednesday at the European Organization for Nuclear Research, known as CERN, in Switzerland.

The scientists are studying flux in cosmic rays, the charged high-energy particles that permeate space, for evidence of the invisible dark matter particles colliding with each other, leading to what is termed "annihilation."

A result of this would be a higher presence of the charged particles known as positrons, the antimatter counterpart of electrons.

According to a CERN statement, the results announced Wednesday "are consistent with the positrons originating from the annihilation of dark matter particles in space, but not yet sufficiently conclusive to rule out other explanations."

How particle smasher and telescopes relate

Over the last few decades, scientists have come to the conclusion that the universe's composition is only about 5% atoms -- in other words, the stuff that we see and know around us. That means the rest is stuff we can't see. About 71% is something called "dark energy," and another 24% is "dark matter."

Research is ongoing to figure out precisely what these "dark" components are, because they do not interact with ordinary matter and have never been directly detected.

The Alpha Magnetic Spectrometer project is being jointly run by scientists from 16 countries, under the leadership of Prof. Samuel Ting of the Massachusetts Institute of Technology.

The cosmic ray particle physics detector was carried to the International Space Station on the final flight of the space shuttle Endeavour and installed under NASA direction.

Since May 2011, the detector -- which is mounted outside the space station -- has been sifting through matter, antimatter and other particles as it circles the Earth, with the data sent to hundreds of scientists on the ground for analysis.

Their initial conclusions are based on some 25 billion recorded events over the course of 18 months.

"As the most precise measurement of the cosmic ray positron flux to date, these results show clearly the power and capabilities of the AMS detector," Ting said, according to the CERN statement.

"Over the coming months, AMS will be able to tell us conclusively whether these positrons are a signal for dark matter, or whether they have some other origin."

Opinion: How the Higgs can lead us to the dark universe

Physicist Robert Flack, a senior research associate at University College London, told CNN the results from the Alpha Magnetic Spectrometer are significant because they've "thrown up a question which may have an answer in dark matter."

Dark matter remains a mystery because there has been no direct observation of it, he explained.

"We are fairly happy that it exists, we are fairly happy about the kind of shape -- that it envelops galaxies and is much wider than the galaxies themselves," he said.

"But what we don't know yet is what it's made of -- and that is hampered by the fact that we cannot see it and cannot detect it," he said, because the detectors are made to measure matter as we know it.

"In this case, it will always be an open question until we can pin down what dark matter is made of," he said.

The scientists involved in the project say the results coming from the spectrometer -- which are much more accurate than in past experiments -- are consistent with a fairly basic dark matter model, Flack said.

At the same time, they are right to be hesitant about rushing to make claims that might later prove to be unsubstantiated, he added.

The state-of-the art detector, which weighs 8,500 kilograms, is expected to stay in operation through the lifetime of the space station, until 2020 or longer.

The results "could help foster a new understanding of the fields of fundamental physics and astrophysics," NASA administrator Charles Bolden said in a statement Wednesday.

"I am confident that this is only the first of many scientific discoveries enabled by the station that will change our understanding of the universe," he said.

CERN director general Rolf Heuer said the findings so far were "a great example of the complementarity of experiments on Earth and in space."

Searches for dark matter are also being carried out at CERN using the Large Hadron Collider, the world's largest and most powerful particle accelerator, and other laboratories.

"Working in tandem, I think we can be confident of a resolution to the dark matter enigma sometime in the next few years," Heuer said.

Better 'baby picture' of the universe emerges

CNN's Elizabeth Landau contributed to this report.

@highlight

Scientists have been analyzing data from the Alpha Magnetic Spectrometer

@highlight

They are seeking evidence of "dark matter" particles thought to be part of the universe

@highlight

Alpha Magnetic Spectrometer is mounted outside the International Space Station

@highlight

It gives the "most precise measurement of the cosmic ray positron flux to date"