A Mississippi baby scientists thought was "functionally cured" of HIV now has detectable levels of the virus in her blood, her doctors say.

The news is disappointing for a case the scientific community hailed just last year as a potential game changer in the fight against AIDS.

"It felt like a punch to the gut," Dr. Hannah Gay, a pediatric HIV specialist at the University of Mississippi Medical Center, said of seeing signs of the virus on test results earlier this month.

"It was extremely disappointing from both the scientific standpoint ... but mainly for the sake of the child who is back on medicine and expected to stay on medicine for a very long time."

Media outlets around the world covered the Mississippi case when it was first made public in March 2013. CNN updated its story again in October when researchers announced the toddler was still HIV free.

The child was born to a mother who received no prenatal care and was not diagnosed as HIV-positive herself until just before delivery. "We didn't have the opportunity to treat the mom during the pregnancy as we would like to be able to do, to prevent transmission to the baby," Gay said last year.

Doctors administered high doses of three antiretroviral drugs 30 hours after the girl was born in case she was infected. They hoped to control the virus, which was not detectable at the time. The child remained on antiretroviral drugs for approximately 18 months. Her mother then stopped administering the drugs for an unknown reason.

A few months later, doctors said the little girl had no evidence of the life-threatening disease in her blood. They announced that the girl was the first child to be "functionally cured" of HIV. A "functional cure" is when the presence of the virus is so small, lifelong treatment is not necessary and standard clinical tests cannot detect the virus in the blood.

However, during a routine doctor visit early this month, tests detected HIV antibodies in the now 4-year-old child. Her T-cell count was also low, indicating a weakened immune system. More than two years after being taken off the medication, doctors started her again on antiretroviral therapy.

She will need to be on these medications for life -- or until scientists find a cure for HIV.

"Certainly, this is a disappointing turn of events for this young child, the medical staff involved in the child's care, and the HIV/AIDS research community," NIAID Director Dr. Anthony Fauci said in a statement. "Scientifically, this development reminds us that we still have much more to learn about the intricacies of HIV infection and where the virus hides in the body."

Despite the setback, researchers are optimistic about using this early treatment method on infants infected with HIV. A clinical trial aimed at studying the effect will be amended to include this new information, they said, before it begins recruiting participants.

"We´ve always known that the search for an HIV cure wasn't going to be easy," Françoise Barre-Sinoussi, president of the International AIDS Society, said in a statement. "Cases like this are hugely important for informing researchers on where to focus their efforts."

Current treatment methods

Researchers have long known that treating HIV-positive mothers while they are pregnant is important for the health of the child because they pass antibodies on to their babies that can protect them from disease.

All HIV-positive moms will pass on those antibodies, but only 30% will transmit the actual virus, said Dr. Katherine Luzuriaga, an immunologist at the University of Massachusetts who worked closely with Gay. And HIV-positive mothers who are given appropriate treatment pass on the virus in less than 2% of cases.

"So all babies are born antibody-positive, but only a fraction of babies born to HIV-positive women will actually get the virus, and that fraction depends on whether the mom and baby are getting antiviral prophylaxis (preventive treatment) or not."

Newborns are considered high-risk if their mothers' HIV infections are not under control or if the mothers are found to be HIV-positive when they're close to delivering.

Usually, these infants would get antiviral drugs at preventive doses for six weeks to prevent infection, then start antiretroviral therapy, or ART, if HIV is diagnosed.

ART is a combination of at least three drugs used to suppress the virus and stop the progression of the disease.

But they do not kill the virus.

In March, doctors announced that another child born with HIV appeared to be free of the virus after receiving similar treatment to the Mississippi baby. The case report was presented at the annual Conference on Retroviruses and Opportunistic Infections in Boston.

The girl was delivered at Miller Children's Hospital in Long Beach, California, last summer to a mother with HIV who had not received antiretroviral drugs during pregnancy. Doctors gave the baby high doses of three drugs -- AZT, 3TC and Nevirapine -- four hours after birth. Eleven days later, the virus was undetectable in her body and remained undetectable eight months later.

"Taking kids off antiretroviral therapy intentionally is not standard of care," said Dr. Deborah Persaud at the time, a virologist with Johns Hopkins Children's Center who has been involved in both cases.

On Thursday Persaud said the California baby is still on antiretroviral treatment and doing well, said Persaud.

"At this time, there is no plan to stop treatment."

Measles virus used to put woman's cancer into remission

@highlight

Mississippi baby "cured" of HIV is now showing signs of the virus

@highlight

Baby was given high doses of three antiretroviral drugs shortly after birth

@highlight

Baby born with HIV in California was given the same treatment