(CNN) -- Baku has been a citadel amidst potentially destabilizing forces for centuries, routinely blasted by gale-force winds, seismic activity and positioned near one of the world's largest and most coveted oil reserves.

But, having declared independence and with the establishment of a lucrative oil pipeline, Azerbaijan now has its sights set firmly on urban renewal in its capital.

This year, the astonishing Flame Towers project was completed by global architecture giant HOK, creating a building that developers hoped would become an icon for Baku's coastal skyline.

Texan-born Barry Hughes, Vice President of HOK, says building an "icon" is one of the most intimidating briefs for an architect.

"It's probably dangerous to try to do something iconic. The biggest challenge a designer faces is that blank sheet of paper," he says, "and if you pile on the idea that you want something iconic ..."

UNESCO World Heritage: Historic buildings in peril

HOK ultimately created three flame-shaped towers, clad in orange and blue-tinted glass, encircling a honeycomb-roofed podium.

This is Hughes' favorite building, although he is reluctant to take all of the credit.

"I feel guilty because I get to take a bow for the work of 150 people who worked on this project," he says.

The towers' shape was inspired by the city's history of Zoroastrian fire worship and its ongoing connection with natural gas.

"The client absolutely latched onto the idea of the flame, and then it became an interesting conversation about how literal that would be."

View a hi-res gallery of Barry Hughes' favorite buildings

Whether your tower looks like a flame, or merely evokes the concept, comes down, it seems, to how much it flickers at the roof line, and Hughes says a dedicated team worked exclusively on refining the towers' quiffs.

"They had long conversations about that moment when a candle is burning, the gestural moment when it catches the wind. Somebody drew that a hundred times in the computer, and once that's drawn it gets passed through different programs, and the contractors have to further rationalize it."

Watch 'Great Buildings' on Connect the World

The towers posed numerous other challenges. They had to be weighted to withstand potential earthquakes, and parts needed to be constructed without the use of cranes, due to Baku's harsh winds.

The site is large, but dense, containing offices, a hotel and residential apartments above a shopping mall, above a parking lot. "Making all those spaces work in tandem was the biggest engineering challenge of all," Hughes admits.

But, standing at the top of one tower shortly before the building was completed, Hughes found himself marveling at another unexpected feat.

"Rare is the place in the world where you can stand in one tower ... and have two other towers that seem to form a space that I wasn't clever enough to anticipate," he says. "Maybe I was just drunk on the accomplishment but that space up there is really magical."

'Marilyn Monroe' towers shape city's future

"Somebody will have a hotel room or office where they'll look across and be part of those three objects in the sky and that, for me, is kind of spiritual."

The building Hughes most wishes he'd designed is the Notre Dame du Haut, a concrete Catholic chapel in Ronchamp, France, designed by Swiss-born architect Le Corbusier.

Completed in 1954, long before the advent of computer-aided design, the chapel's roof and walls curve and slope in response to the hill on which they sit.

Today, many architects would find such complexity impossible to execute without the aid of computer, Hughes says.

"Within the context of that period, I think it's really a piece of sculpture."

He particularly admires the approach to the chapel, which winds up a hill and past some trees.

"When I went there, it was one of those charmingly underdone things. That's true of a lot of Corbu's work -- you have to work to get there. That processional route is special and comes from Corbusier looking at the Parthenon."

Hughes believes the inflection of humanity in Corbusier's work is what makes him relevant today.

"Modernists were really fascinated with the machine, and buildings as machines for living. I find that idea compelling but at the same time, machines can be soulless, and we're now in an age where we expect our machines to have a little spirit," he said.

"Corbusier was starting to do that in his later work. Mid-Corbusier was very angular, but Ronchamp is more gestural and evocative. You walk up and go 'oh, wow!' You get that lump in your throat. Which goes back to what everybody's trying to do when they start with that blank sheet of paper."

CNN's special coverage sometimes carries sponsorship. CNN retains full editorial control over all of its reports. Read the policy

@highlight

Texas-born architect Barry Hughes picks the Flame Towers in Baku as his favorite building

@highlight

Building towers was a challenge says Hughes and had to be weighted to withstand earthquakes

@highlight

Hughes wishes he had designed Notre Dame du Haut, a concrete Catholic chapel in Ronchamp, France

@highlight

Designed by Swiss-born architect Le Corbusier, the modernist building was completed in 1954