(CNN)We devote one day of every year to celebrating our presidents and the other 364 to complaining about them. But what if this year, on Presidents Day, we realize something else:

We have an unhealthy obsession with presidents as the sole movers of American politics.

For too long, Americans have understood history primarily through the lens of the presidency. School textbooks and media accounts all suggest that everything that is good and bad can be understood as the result of a president's skill, personal foibles and decision-making ability.

If only President Bill Clinton, who critics called "Slick Willie," wasn't so willing to sell out traditional Democratic principles! If only President George W. Bush had a better understanding of the complexity of foreign affairs! If only President Barack Obama would be more willing to wheel and deal on Capitol Hill! Lyndon Johnson is the prime example of a president who has received both kinds of treatment, the person whose legendary political skill is held responsible for the Great Society and the villain who single-handedly dragged the nation into the quagmire of Vietnam.

It is understandable why we focus so much attention on the president. After all, the president is powerful. Just as important, there is a simplicity to the presidency -- he is a single person, elected every four to eight years, and through his story, we can tell a clear narrative about the complicated processes of politics. There is a dramatic arc that can be used to describe the career of a president that serves as a crutch for many journalists and historians, lending itself to more exciting accounts of what happens in Washington than someone who digs deeper into the trenches of the messy political process.

But presidents don't act in a vacuum. On Presidents Day, we should spend some time thinking the huge range of factors that affect the success or failure of the commander in chief.

Congress is among the most important.

As anyone who has served in the White House knows, the House and Senate have immense influence over what a president can do and how they go about doing it. The moments when there have been the greatest legislative breakthroughs, such as the New Deal or the Great Society, have come at times when the presidents were fortunate to find legislative majorities that were willing and able to push through big policy agendas. Without congressional support, that has been hard to do.

When the forces of obstruction are strong, even the savviest president -- such as Franklin Roosevelt after the 1938 elections or LBJ after the 1966 midterms -- can't do much to make Washington work.

The electorate plays a huge role in giving presidents the kind of Congress that they need or taking that kind of Congress away. Although Americans are often cynical about the differences that elections can make, the truth is that big landslide elections, when voters make a statement at the ballot box, have been able to create sizable majorities favoring a president's agenda.

Other elections, usually midterms, can strengthen the president's opponents. President Obama thrived after the 2008 election, when strong and impassioned Democratic majorities, feeling the momentum of the historic election, moved as series of landmark bills that included health care, financial regulation and an economic stimulus.

Grassroots activists also have a big influence on the outcome of a presidency.  The moments when there have been significant shifts in public opinion about certain political issues have often revolved around the hard work of grassroots activists, upon whom a president can rely. During the 1930s, the vibrant and growing union movement offered the foundation for FDR when he pushed for many of his programs, including the Wagner Act of 1935 that created the National Labor Relations Board and legitimated unions.

Public opinion in the 1960s shifted to the side of civil rights because of the intense mobilization of movement activists. During the 1980s, Ronald Reagan's message resonated with the electorate in large part as a result of how the conservative movement had helped shift public opinion over the decade. At other times, grassroots movements can create great problems for a president. This was the case when the anti-war movement gradually strengthened public opposition to Vietnam, causing huge problems for Presidents Johnson and Richard Nixon.

Even the national security policies of a given period are not all the result of what a president does or does not do. The reality is that presidents operate within a thick institutional environment inhabited by military officials, defense contractors and bureaucrats who play a big role in creating boundaries for the   options that a president can employ.

Presidents are also profoundly affected on foreign policy by what they inherit. President Johnson had to deal with Vietnam, an area where Presidents Dwight Eisenhower and John F. Kennedy had already staked out a role for the United States. Most recently, President Obama has found it difficult to shift course on of the majority of President Bush's counterterrorism programs and on his expansive vision of the president's wartime authority.

Once policies are in place, presidents often have to respond to them rather than shape new directions. Political interests and sentiment also grow around existing policies that make it hard for presidents to fundamentally change them.

Finally, there is the political process.

If we don't look at the rules of the game, our stories about given political periods are thin. For the 1930s to the 1960s, it is impossible to understand American politics if one does not deal with the immense power of committee chairmen within Congress, upon whose authority legislative power depended. Today, the influence of private money, donors and lobbyists helps explain as much as anything President Obama does in the outcome of many policies, such as the decision to pass financial regulation legislation at the height of the economic crisis that was written in a way that provided multiple opportunities for Wall Street firms to circumvent the laws.

None of this is to say that presidents are not extraordinarily powerful and important. But we need to do a better job putting presidents into context, celebrating them and criticizing them with a full understanding of the constraints that they face and the factors upon which they depend.

If we don't, we'll continue to have unrealistic expectations about what the next president will do, and will surely be disillusioned, as we miss what exactly it has taken for the great presidents to succeed.

@highlight

Julian Zelizer: America tends to exaggerate the impact of its presidents

@highlight

On Presidents Day, remember that there are many other people who can make a president succeed or fail, he says