(CNN) -- He's an internationally recognized journalist, doctor and nonfiction author. Now, for the first time, he's dipping his scalpel into fiction writing.

Dr. Sanjay Gupta, CNN chief medical correspondent and practicing neurosurgeon, has written a novel that's being turned into a TV pilot. Gupta and TV writer David E. Kelley (of "Ally McBeal" and "Boston Legal" fame) are the executive producers of the show, "Chelsea General." TNT, a division of CNN's parent company Time Warner, ordered the pilot.

Based on the book "Monday Mornings," the show follows five doctors at a fictional hospital called Chelsea General as they face the realities of having made mistakes. On Tuesday, the book releases to the public. Here's the first chapter.

Gupta had been thinking about writing this book for more than a decade. He wanted to incorporate an aspect of hospital life that many patients don't know about: the morbidity and mortality (M&M) meetings, where doctors gather to talk openly about the mistakes they've made.

I recently chatted with Gupta about the book. Here is an edited transcript:

CNN: Was there a message you wanted to get across with this book?

Gupta: In fiction books, there isn't a particular agenda. What I will say, though, is that there has been an erosion of the patient-physician relationship over the past couple of decades. There's been an increasing lack of trust. Doctors and the whole health care structures are seeing so many patients on any given day, there's so little interaction.

I think that the idea that you'd actually know who your doctors are, that you'd know who the people are that you're essentially trusting with your life or the life of a loved one, it seems like that would be a no-brainer.

But the reality is, people know more about their school systems, and where their grocery store is, than they do their hospitals and their doctors.

I don't think there's a message here, except it's going to provide an insight into the people and the hospitals that, when you need them, become the most important thing in your life. And there's a chance to see what I've seen over the last 20 years about how some of that works.

CNN: Why did you decide to write this as a work of fiction?

Gupta: This is a hard book to write as a nonfiction. You are dealing with some sensitive, touchy subjects within medicine. You have to be sensitive to the people who live and breathe in that world and will continue to do so long after this book comes out.

It's fiction based on real things.

CNN: How did the process compare with writing your nonfiction books?

Gupta: Nonfiction is more difficult. I think especially with medical nonfiction, you spend so much of your time sourcing material.

While I had narratives and stories that would sort of make the points in "Chasing Life" or "Cheating Death," the creative part of it was superseded by essentially trying to write a term paper in terms of how you source things. You really spend a lot of time just doing research.

With this: it's harder to organize. It was challenging at the beginning to forecast the narrative, the beginning, middle and end.

Once I had that down, I enjoyed the writing of it, once the beginning organizational part was done.

CNN: What's the difference between M&M meetings and other ways that mistakes get addressed?

Gupta: There's a whole system that exists in our society if a mistake is made and a patient has been harmed. There's a system within hospital itself. But this isn't about that. This is about the doctors really holding each other accountable. So this is saying: 'We can do better. Those types of mistakes aren't made in this hospital. Here's how we allow them to never happen again.'

It's not to say that it's fuzzy edges and soft lines. These meetings can be vicious, in some ways, far worse than what the punitive systems that exist have to offer.

Getting sued or being disciplined by the administration may pale in comparison to being held accountable by your colleagues, the people whom you respect and helped train you and all that sort of stuff. Yes, certainly there's an accountability that exists in our society. But this is about a secretive meeting that takes place in hospitals with a different purpose.

The purpose is to advance medicine and advance science. As awkward and unsettling as it may be, a lot of those advances are sometimes made because of mistakes, and the worst possible thing is that nobody learns from the mistakes.

CNN: Tell us about some of the characters in "Monday Mornings."

Gupta: There's five main characters. These characters are all composites of people I've known in my own life. They all work at the same hospital, but not necessarily the same department.

One of my main characters is Tyler Wilson -- this is a guy who is a neurosurgeon in a hospital. His brother died of brain tumor when he was young. His sister was shot in a convenience store robbery and is in a vegetative state. The thing he remembers beyond the tragedy of losing his sibling is how the doctors, when his brother died, did not come out and tell his family. They sent a social worker to go do it. It was devastating.

As often happens in the case of couples that lose a child, his parents got divorced. That was his upbringing. So he had two goals in life when he realized he could become a doctor: 1) He wanted to become better neurosurgeon than the one that took care of his brother, and 2) He also wanted to make it so that, under his watch, a family would never get treated the way his family was when they lost one of their children.

You don't know this when you meet him. He's a very good surgeon. He has some almost stereotypical qualities about who he is. He's not the nicest guy in the world in most situations, at least to his colleagues.

When it comes to families, there's nobody better. He's the best guy in the hospital. When he makes a medical mistake, you get a sense of just what prism through which he sees that mistake. He sees it through: This is my life's calling. This is all I was supposed to do: To save people that other people could not. In this case, he didn't.

CNN: How's the TV pilot going?

Gupta: We'll have a pilot done hopefully by May. We're feeling very good about it. David [E. Kelley] wrote the pilot, but it's very true to the book, and I think it's going to be great.

We've got great actors.

The cast includes Ving Rhames ("Pulp Fiction"), Alfred Molina ("Spider-Man 2"), Jamie Bamber ("Battlestar Galactica"), Jennifer Finnigan ("The Bold & the Beautiful"), Keong Sim (who plays Michael Chang Sr. on "Glee") and Sarayu Rao ("Sons of Tucson").

It's being shot in Los Angeles.

CNN: Will the show's story extend beyond the plot of the book?

Gupta: The show is based on the book. The theme of the book is the theme of the show as well. You probably have half a season worth of stuff in terms of storyline. We're going to be continuously creating storylines and doing things with our characters.

It's the same theme, same characters, but obviously a show is going to have a lot longer life than the book itself.

CNN: How do you have time for all of this?

Gupta: When it comes to the TV show, I'm not a scripted drama guy. I'm not literally scouting out the shots. I helped with the casting only because the characters are my characters. Out of all the things that I do, that's not something I'm going to be spending a lot of time on.

For me, it's all along the spectrum of similar things. It's all medicine and health related. I practice as a doctor, report stuff as a journalist, this was a fictional way of doing some of the same stuff. I don't see these as so disparate that your mind is just spinning all the time.

@highlight

"Monday Mornings" is a new novel by Dr. Sanjay Gupta, CNN chief medical correspondent

@highlight

It's a work of fiction but based on real observations from Gupta's hospital experiences

@highlight

Gupta and David E. Kelley are the executive producers of the TV pilot based on the book

@highlight

The show will be called "Chelsea General"