(CNN) -- Every post you "like." Every friend you add or fan page you join. Every place you check in, and every Web page you recommend.

To you, those are ways to enjoy, expand and improve your experience on Facebook. To Facebook, they're the building blocks of a multibillion-dollar company.

In business, there's a well-worn line that could apply to the social-networking behemoth: If you're not paying for it, you're not the customer. You're the product.

In this case, you're a product worth, to Facebook, an average $4.84 a year.

As Facebook hits Wall Street this week with a public stock offering that could value the company at more than $100 billion, investors appear dazzled by the company's uncanny ability to put the right advertisements in front of its roughly 900 million users.

"The unique thing about these guys is the accuracy with which they can help advertisers and marketers understand who they're getting," said Arvind Bhatia, an analyst with Sterne Agee Financial Services. "On Facebook, your information is authentic; they are able to basically make the ads, and your experience, more relevant. I think that is unique. It's unprecedented and the reach is unparalleled."

In documents filed in relation to its stock offering, Facebook says that about 85% of its revenue comes from advertising. The other 15% comes from payments made within apps that run on the site (a head-turning 12% is from a single source -- Zynga, makers of social games such as "FarmVille.")

As Bhatia suggests, Facebook's unprecedented advertising advantage is built upon the service it provides. As users interact with the site, they gradually build a fuller and fuller picture of themselves. That, in turn, lets Facebook sell advertisers on its ability to put their product in front of the people most likely to be interested.

CNNMoney: You're only worth $1.21 (per quarter) to Facebook

How targeted ads work

For example, say a woman who has listed her hometown as New Orleans changes her relationship status from "single" to "engaged." Facebook suddenly has a hot prospect to offer up to a bridal retailer or caterer in the Big Easy. To dig deeper, if she lists her MBA from Loyola and has "liked" pages for, say, Saks Fifth Avenue and Mercedes Benz, you get a fuller picture of how much she might be willing to spend.

"With a reported 901 million members, Facebook is a great test bed for understanding consumers and their purchasing interests," said Jan Rezab, CEO of Socialbakers, a social-media analytics firm. "Before Facebook, marketers relied on online surveys or focus groups to determine customer interest. Now, they can reach the customer directly on their Facebook page."

Facebook doesn't publicly give away the details of how its system works. But as it has begun wooing potential investors, the company has been more willing to talk about its advertising approach.

Dan Rose, Facebook vice president of partnerships and platform marketing, discussed the appeal of its social ads at an event recently in Austin, Texas.

According to research from Pew, the average Facebook user has 229 friends. When that user likes a product or company's ad, it serves as an endorsement to those friends from someone they know and, presumably, trust.

"When I raise my hand and say, I like Einstein (Bros.) bagels, and then one of my friends sees that ad, they're going to see my name in that ad," Rose said. Through Facebook's partnership with the media-research firm Nielsen, "We found that when my friend's name is in an ad, I'm over 60% more likely to remember the ad, and I'm over four times more likely to purchase the product," he said.

"This is word of mouth. This is word of mouth at scale. This is what, as marketers, we've always been trying to bottle up and find a way to take advantage of. And the social Web is finally allowing us to do that."

In his 2010 book, "The Facebook Effect," David Kirkpatrick recounts chief operating officer Sheryl Sandberg's arrival in 2008, when she sharpened the company's focus on what would become the current advertising model. CEO Mark Zuckerberg, meanwhile, remained focused on growing the site and improving user experience -- a focus he reportedly maintains to this day.

Kirkpatrick writes of the level of detail a Facebook ad can reach:

"Anybody can pick through endless combinations on Facebook's self-service ad page," he wrote, referring to the tool advertisers use to target their ads. "You can show your ad only to married women aged 35 and up who live in northern Ohio. Or display an ad only to employees of one company in a certain city on a certain day. (Employers aiming to cherry-pick people from a competitor do this all the time).

"Customers for Facebook's more expensive engagement ads can select from even more detailed choices -- women who are parents, talk about diapers, listen to Coldplay and live in cities, for example."

In its Wall Street filing, Facebook listed its Average Revenue Per User at $1.21 per quarter, or $4.84 a year. That's less than rivals like Google and Yahoo and miniscule compared to companies with more traditional business models, like wireless providers and cable companies.

But, as Rose says, it's all about scale for a company that will likely reach 1 billion user accounts by the end of the year.

Are you living without Facebook?

User data and privacy

Not that the model hasn't made some folks antsy. Time and again, tweaks to Facebook's privacy settings have prompted user backlash, occasionally to the point that the site has reversed or modified those changes.

According to a recent Associated Press/CNBC poll, three out of five users say they have little or no faith that the company will protect their personal information. Half of those who use the site daily say they wouldn't make a purchase through it and 57% of all users claimed they never click on ads or other sponsored content.

On a page about its advertising approach, Facebook makes it clear that it never sells user data, saying that "if you don't feel like you're in control of who sees what you share, you probably won't use Facebook as much, and you'll share less with your friends."

Facebook officials also emphasize that while advertisers can market to specific users, they don't receive the data that was used to make the selection and never know the actual names of the people they've reached. Facebook's policy is to not actually look at user data except to check whether someone is violating the site's terms of service.

Doubling down on user satisfaction is the most important thing Facebook can do, Bhatia said, even if it occasionally means passing up chances to max out the amount it could earn on the data users provide.

"For them, the user experience does come first and I think that's the right strategy for the long term," he said. "Along the way, putting the user experience first makes a lot of longer-term business sense."

As an analyst, Bhatia is bullish on Facebook, leading the pack with an early "buy" rating at the beginning of this month. With Facebook reportedly looking at expanding into China and at monetizing its mobile app (an untapped resource even though the majority of time on the site is now spent on mobile devices) he expects its data-driven model to keep making money well into the future.

"Facebook is going to become just like search, [which] disrupted online advertising," he said. "What Google did eight years ago -- that is what Facebook is doing now. The reach is unparalleled and they're just scratching the surface."

@highlight

Facebook's multibillion-dollar business model relies on user data

@highlight

Experts say the social network's targeted advertising can be uniquely precise

@highlight

If you have a Facebook account, the company values you at $4.84 a year

@highlight

Facebook has to balance targeting ads, user experience, privacy concerns