Earlier this week, Cambodia marked 35 years of freedom from the Khmer Rouge regime, whose revolutionary blueprint for an agrarian paradise caused the deaths of nearly two million in the 1970s.

But instead of uniting Cambodians, the date perennially divides them.

Prime Minister Hun Sen's Cambodian People's Party casts the anniversary in the light of victory and liberation. Opposition figures shrug off the festivities as propaganda, a reminder that after the Khmer Rouge leaders retreated in 1979, the Vietnamese who defeated them stayed for 10 years.

The diverging perspectives underscore what's happening now. In the name of public order and security, the government commemorating the fall of a regime is leading one of the most aggressive campaigns against dissenting foes in recent memory, according to analysts.

"Cambodia is now at a tipping point," said Carl Thayer, a longtime observer of the country's politics and a professor emeritus at the University of New South Wales in Australia.

In the past nine days, pro-government security forces have arrested human rights defenders, gunned down five striking garment workers and violently evicted protesters from a designated free speech zone called "Freedom Park."

At least 3 dead after security forces open fire

Last weekend, the Ministry of Interior temporarily banned demonstrations and the courts have summoned opposition leaders Sam Rainsy, president of the Cambodia National Rescue Party, and his deputy, Kem Sokha.

"Cambodian authorities appear to have given up any semblance of democracy, rule of law or justice," said Tola Moeun, head of the local advocacy group the Community Legal Education Center, in a statement earlier this week, after activists were briefly detained Monday in an apparent enforcement of the ban on demonstrations.

"The big questions are what is next and who will be next? This madness must end now."

The United Nations' human rights arm has urged an investigation into the violence, and major clothing manufacturers that conduct business in Cambodia -- including H&M, the Gap and Inditex, the parent company of Zara -- asked in a letter for a peaceful resolution.

Seeds of conflict

Seeds of turmoil were sown in July, when Hun Sen's long-ruling CPP lost a chunk of parliamentary seats in the national elections, and Rainsy's Cambodia National Rescue Party, or CNRP, almost doubled its own. But Rainsy and his supporters claimed they were robbed of crucial votes that would have put them in front, ending nearly 30 years of Hun Sen's rule.

They demanded an international investigation into the election -- which didn't happen -- and for Hun Sen to step down. Thousands of people took to the streets in protest.

While the opposition had floundered at times -- revising its demands to include a new election -- it appeared stronger than ever as 2013 came to a close.

The largely peaceful journey of civil disobedience began to veer off course on December 24, when unions, many of which line up politically with the opposition party, called for a nationwide garment worker strike, demanding an immediate monthly wage bump to $160 -- nearly double the $95 that the government first offered, and well above the $100 that was eventually proposed as a final offer.

Soon, new groups joined. Tuk-tuk drivers demanded lower gasoline prices. Buddhist monks called for the authorities to find a stolen golden urn believed to contain ashes of the Buddha. All of the anger pointed in one direction.

Crackdown country

On the evening of January 2, the crackdown began.

In a protest outside a garment factory, authorities arrested 10 people, including garment workers and at least three human rights advocates, according to the Cambodian rights group Licadho. The arrested men face up to five years imprisonment.

The next day, anger erupted outside the Canadia Industrial Park in southwest Phnom Penh. Hundreds of garment workers threw rocks at security forces and created burning roadblocks. Some carried Molotov cocktails. Military police responded by firing automatic weapons. Five workers were killed in the bloody clash, the U.N. said this week. Almost 40 were injured, and 13 people arrested, according to Licadho.

On the hectic day of the confrontation, young men engaged in a standoff with a phalanx of riot police. One protester, In Chanthan, 26, who works at the park, was undeterred, cupping bullet casings in his hand as evidence. "Very cruel," he said.

Authorities secured the area. The sun rose on empty factories, smashed shops looted by demonstrators, mourning families and fearful residents.

"I think Hun Sen believes he's losing control of the situation," said Brad Adams, executive director for Human Rights Watch's Asia division. The prime minister has never really accepted the right to protest, he added.

The government defended its actions, saying it had allowed the opposition to protest for months. But members of the public complained,  said Phay Siphan, spokesman for the Council of Ministers, a collection of top cabinet posts.

"The third party wants to use the street fairly. An ill person who wants medical attention gets blocked," he said. "It's too much."

The forceful response on January 2 had to occur because a national road was being occupied by demonstrators, he said.  At Canadia Industrial Park the following day, protesters had become aggressive, damaging factories and throwing rocks and using slingshots to project "iron balls" at authorities.

"It's not a protest anymore, it became a riot," he said, adding that the government feels sorry for those killed.

"We so regret that this happened, but they didn't obey peacefully, to cease all activity." he said.

Rallying point targeted

On the morning of January 4, pro-government security guards and plainclothed thugs wearing red armbands stampeded through the opposition's main protest camp, Freedom Park, in the heart of the city, as tourists ate breakfast only blocks away. Police at the scene did nothing to stop them.

"The military force kicked the protesters," said Soeng Piseth, 31, a microfinance worker who managed to escape.

City Hall issued a statement justifying the clearing of the park, saying it was an attempt to maintain order and security. The crowd "protested in an attempt to topple the government, and burned down garment factories," said Mok Chito, head of the department of central justice in Cambodia's Ministry of Interior.

Siphan justified the subsequent ban on demonstrations — which critics say is a crackdown on free speech and freedom of assembly — saying "there has to be a cool-down period. The divisions are so deep right now."

In tandem with the eviction, summonses were dispatched to CNRP leaders Rainsy and Sokha, asking them to appear in court on January 14 to explain the turmoil. Sokha's political activities had landed him in jail before, and Rainsy's brushes with the government caused him to flee to France in 2009, returning last year on the coattails of a royal pardon.

By Sunday, January 5, security forces were stationed at various points in the capital.

A common refrain in recent weeks has been that the rallies represented the most serious threat to Hun Sen's government in years. But after heavy-handed pressure in the first week of January, garment strikers have largely returned to work and opposition leaders are regrouping. Freedom Park is eerily empty.

On Thursday morning, when an opposition-affiliated youth group tried to sing a song inside the park, military police and security guards stopped them from getting into the main area, sending a clear message that the government will enforce its ban on demonstrations.

The opposition's staying power and resilience are finally being put to test.

"We have to wait until the environment is a little bit calm," said Yim Sovann, a CNRP spokesman, this week. He added that protests in the city would resume, though he didn't say when.

@highlight

Anti-government protests in Cambodia have recently taken a violent turn

@highlight

Protests underscore ongoing tension between Prime Minister Hun Sen and opposition party

@highlight

Ban on demonstration is criticized by human rights groups