(CNN) -- The rise of new and more affordable vaccines in recent years augurs well for the future and provides us with an opportunity to prevent sickness and save lives on a scale that was previously unimaginable.

We now have vaccines to prevent nearly 30 diseases. The GAVI Alliance -- a public-private partnership focused on increasing access to vaccines in poor countries -- has contributed to the immunization of more than 370 million children since 2000. The World Health Organization estimates immunization programs prevent 2 million to 3 million deaths every year.

WHO also estimates we have an opportunity to reach an additional 22 million infants who live in hard-to-reach or insecure communities across the developing world. Reaching these populations is the key to achieving humanitarian milestones agreed to by the global community -- chiefly, Millennium Development Goal 4, which calls for a significant reduction in child mortality by 2015.

One major step toward this goal is also one of the greatest public health achievements of this millennium. In 1988, polio was a disease that crippled or killed more than 350,000 individuals every year, mostly children. Today, that figure has decreased by more than 99%.

The disease is now endemic in only three countries -- Afghanistan, Pakistan and Nigeria. It more recently has reappeared in Kenya and Somalia, yet success has never been closer. The greatest legacy of the polio eradication movement might very well be the foundation for stronger health systems it creates.

At the end of April, leaders attending the Global Vaccine Summit in Abu Dhabi signaled their confidence in a six-year plan to achieve a polio-free world by 2018. Together, they committed $4 billion, close to three quarters of the plan's $5.5 billion cost over the next six years.

A key reason for their unprecedented support was the polio eradication program's contribution to the critical base of evidence, knowledge and expertise needed to reach the most marginalized communities in the developing world with a wide range of health interventions.

This was also a vote of confidence in the outstanding and exceptional leadership of Bill Gates as well as the work of the members of the Global Polio Eradication Initiative, the real rock stars who have stemmed the tide of polio.

Robust social mobilization and the effective engagement of community leaders have been instrumental to success against polio and in building up the systems needed to reach our immunization and wider health goals.

However, myths and misinformation, high illiteracy rates, extreme poverty, weak health systems, insecurity and poor infrastructure represent real barriers to polio immunization and the overall expansion of access to health care.

Just this week, a female polio health worker was killed and another wounded in Pakistan. This follows on the heels of a series of attacks that have taken place on health workers in all three polio endemic countries. These are real challenges.

Bekele Geleta, the secretary general of the International Federation of the Red Cross and Red Crescent Societies, stated at the Vaccine Summit that "we train health volunteers who live in the same communities, speak the same languages and are trusted by local populations. These strong community ties allow us to extend the ability of existing health systems to provide quality health care to underserved populations."

After decades of foreign aid, national investments and philanthropic giving that has produced an impressive record of results, we need a decisive win.

The eradication of polio can galvanize support for the development and delivery of additional lifesaving vaccines and achieving universal immunization coverage.

More importantly, the polio program provides a blueprint for other health and development initiatives that will increase access not only to vaccines, but also antibiotics, bed nets for malaria prevention, clean water, access to proper sanitation as well as reproductive health and other essential health services.

With sustained funding and a commitment to community-led solutions, polio eradication will join a short list of heady, historical achievements that have united the world in solidarity.

This would follow the charge led by another international public health hero, Dr. Larry Brilliant, who played a key role in WHO's smallpox eradication program. It would mark the second human infectious disease relegated to history books, and the first great humanitarian achievement of the 21st century.

As health and policy experts debate the merits of earmarking investments for global health, they must remember one thing: vaccines are the most powerful and cost-effective tools available to improve child health and advance human development.

By investing in the polio eradication program, we are paving a path that will deliver these and other life-saving services to areas of the world where they are needed most. The evidence is clear: Vaccines work.

We owe it to ourselves to seize this opportunity for a healthier and disease-free world. More importantly, we owe it to our children.

The opinions expressed in this commentary are solely those of Siddharth Chatterjee.

@highlight

Siddharth Chatterjee: We have vaccines to prevent nearly 30 diseases

@highlight

The world is close to eradicating the polio virus, a disease that once killed, crippled many

@highlight

Chatterjee: Myths and misinformation pose an obstacle to eliminating polio

@highlight

He says vaccines are most powerful tools to improve childhood health