(CNN) -- There were nights this season when college basketball was compelling, but more nights when it looked dysfunctional. There were nights that featured the spectacular Elijah Johnson of Kansas going for 39 in an overtime win at Iowa State this week, but many other nights that featured a confounding loss of artistry on offense.

The game has wheezed and sputtered for three months. It dropped a few goblets of oil from the underside of the carriage with games where teams struggled to score 25 points in a half.

I am in the business of watching sports, so perhaps that's why so many people have said to me or sent me an e-mail disappointed at the game they watched the night before.

Bleacher Report: Kansas vs. Iowa State

Great defense and good defensive coaching can make games look ugly and viewers see night after night that defense has jumped ahead of offense in the college game.

But now it's March and the college game will fire up a brand new ride for March Madness. It will capture the hearts of sporting America as it winds its way through the exalted office tournament pools.

But what to do with the old jalopy?

It needs more than new wheels and a fresh coat of paint that will come with the new season in November 2013. It needs a real fix.

Scoring (points per team, per game) could reach a low not seen since the 1952 season. Offense is becoming a routine struggle as players cope with physical defense, tight-fisted coaches, technology and the increased size, speed and athleticism of opponents.

Bleacher Report: March Madness 2013

Major League Baseball lowered the pitching mound five inches following the 1968 season after pitchers dominated the game from their mountaintops. The NBA opened up a spigot of offense when it banned hand-checking in 1994 and forearms to the chest of ball handlers facing the basket in 1999. Hockey started enforcing its rule book as far as restraining fouls for the 2005-06 season and scoring went up.

There is a solution that would work for college basketball. But, first, a few that won't.

Unplug technology

Big Brother is watching. The video-statistical knowledge teams have at their fingerprints has hindered the best-laid plans of many teams this season.

Ninety percent of teams in Division I men's basketball use a service provided by Synergy Sports that dissects every play, every tendency of an opponent.

George Mason University coach Paul Hewitt said technology is invaluable in scouting an opponents' offense and understanding the opposition's strengths.

Defense has gotten ahead of offense partly because of this advanced scouting. One coach knows the other coach and his favorite plays.

Teams are not only dissecting opponents, they are creating dossiers of referees. What has been the tendency of a referee the last five games to how he makes calls? Well, here it is on the video. Referee assignments are made before the season in some conferences, a few days before games in other conferences, so there is plenty of time to scout a zebra before he shows up.

Officials in basketball influence the game more than any other sport, so knowing who is calling your game or how it will be called is paramount to coaches.

Play defense without fouling

Defenders are loathe to give up a layup not only because it is two points but also because coaches are screamers and berate kids endlessly about defensive breakdowns. It's like a slow roller through the first baseman's legs. What kid wants an earful of abuse?

So the defender fouls with a slight push, which means the dunk at the rim, one of the most exciting plays in the game, is rare.

Players need to be forced by the rules to back up to keep a guy in front of them. Let the offensive player shoot the jumper, or risk a foul when you hand check, like the NBA. Players have to be made to play defense with their feet by the referee.

The benefit is coaches might actually stop working on defense 70 percent of the time in practice and work on shooting. If there are going to be more open shots, it makes sense to practice them. It would also help the college player going to the NBA where hand-checking is usually not allowed.

Send the players to the bench

Coaches want players to get physical and dare the referee to invite the wrath of the ticket buyer by whistling every chuck and hand-check. If the refs called everything ear muffs would have to be given out at the door and there would be maddening stop-and-go action.

Well, they need to call everything. Stop the bullying and strip-searching of the ball handler once and for all.

Universal officiating

The ultimate new rule would be to put referees under one system. Right now, they are ruled by each conference office, which is a fiefdom that is loathed to relent power. The NCAA could create satellite offices around the country and assign officials to that office. Do it like the NBA. Grade them, kick the worst out at the end of every season. The refs are independent contractors and some of them are lawyers. They might use their day job to protect their night job and sue to work independently.

One coach, who did not want to be named because it might invite the wrath of refs, said consistency in officiating around the country would be enhanced if there was a centralized authority.

It won't happen.

Enforce the rule book

Good luck. There is one rule book in college basketball, but many interpretations of that rule book. John Adams, the NCAA coordinator of officials, started a movement toward Freedom of Movement five years ago and one of the ways to accomplish that was to ask referees to "call the rule book." That means calling three seconds in the lane to eliminate the shoving for position, whistling post defenders for excessive arm bars to the back, calling hand-checking and blowing the whistle when physical defenders drive dribblers into the sidelines with chest bumps.

I had the referee coordinator of a conference tell me that no harm, no foul is fine. No, it's not, says Adams. A foul is a foul.

Reduce the wrestling match in the lane

Hewitt, the George Mason University coach, said the game is too physical in the paint and the contact has to be reduced.

Here's a thought: call three seconds on the offensive player. He is not allowed to stand in there four seconds. If there is nobody in there for the defender to wrestle with you have a solution: no scrum.

Give coaches more time to work with players in the offseason

Brian Gregory, the coach at Georgia Tech, said there will be a transformation in the game within two years if the NCAA allowed college basketball coaches to work more individually with players.

The NCAA, of course, will tell coaches to quit spending so much time on defense in practice. Coaches are going to be told to use their time more wisely.

The coaches are getting some blame for the choking of offense. They want to let their teams run and gun, but then they see poor decision making in a fast game, which is followed by a turnover. Turnovers do not look good when committed in front of the athletic director, who is the coach's boss.

Bleacher Report: How small ball saved Tar Heels' season

The fans and media hiss at slow, deliberate play, but when a pass sails out of bounds on the break and the player tries to be the least bit creative, the player is labeled careless and it is back to walk-it-up basketball.

Now, finally, here's the solution:

The solution is a 24-second shot clock

The game will be quicker and more fun. It will eliminate the walk-it-up style and the boring high-ball screen and the same old offense with the current 35-second clock. The coaches will have to let go of the reins and allow more freedom of movement for their players.

"I have petitioned Conference USA for the last three years to let us go to a 24-second clock," said Memphis head coach Josh Pastner. "It would help our entire league in recruiting because we can be the closest thing to the NBA. It would be dynamite."

More possessions equal a faster game. More offense. I get that.

But it is not going to happen. The Have-Nots think they will be buried by the Kansases, Dukes and Memphises of the world who have more talent. The best we will do is a 30-second clock like the women. It might be that college basketball looks at Nielsen ratings where college basketball numbers have stayed the same this year compared to last and figure the game is fine like it is.

But, just maybe, more seasons like this last one, where scoring suffered, will convince the caretakers of the game to upgrade offense so the public doesn't have to wait until March for the game to be compelling again.

The opinions expressed in this commentary are solely those of Ray Glier.

@highlight

Ray Glier: College basketball "has wheezed and sputtered for three months"

@highlight

Writer says the new season needs a real fix when it begins in November

@highlight

Glier: A 24-second shot clock will be quicker and more fun

@highlight

He believes coaches should allow more freedom of movement among players