Cairo, Egypt (CNN) -- For nearly 30 years, one man dominated Egypt.

Hosni Mubarak, 82, survived would-be assassins and ill health, crushed a rising Islamist radical movement, and maintained the peace with neighboring Israel that got his predecessor killed. His government's continued observance of the Camp David accords was the cornerstone of what peace has been achieved in the decades-long Arab-Israeli conflict.

But following the revolt that toppled Tunisia's longtime strongman, demonstrators in the streets of Cairo stood up to riot police, chanting, "Mubarak, Saudi Arabia is waiting for you."

Ultimately, the demonstrations helped bring down the man critics called Egypt's last pharaoh.

Mubarak decided Friday to step down, Vice President Omar Suleiman said on state television.

Now that Mubarak is finally exiting the political stage, the debate over his legacy is growing louder.

Longtime observers of the region say the stability Mubarak purchased for nearly three decades came at the cost of entrenched poverty and repression in the Arab world's most populous nation.

"Egypt is a broken country," Fawaz Gerges, a professor of Middle Eastern relations at the London School of Economics, told CNN. "It used to be the jewel of the Middle East. It's the capital of its cultural production." But now, Gerges said, "Egyptians have no outlets. They don't feel that they have a sense of hope for the future."

Mubarak was a Soviet-trained pilot who was chief of staff of Egypt's air force during the 1973 Mideast war. The early success of Egyptian pilots against Israel made him a national hero, and then-President Anwar Sadat made him vice president in 1975.

Six years later, Sadat died in a hail of gunfire at a military parade, killed by Islamic militants from within the army's own ranks after he took the dramatic step of making peace with Israel. Upon assuming office, one of Mubarak's first acts was to declare a state of emergency that barred unauthorized assembly, restricted freedom of speech and allowed police to jail people indefinitely.

He made extensive use of those powers in the ensuing decades. The Egyptian army put down riots by disgruntled police officers in 1986, and he threw an estimated 30,000 people in jail when jihadists carried out a string of attacks on tourists.

"He pretty much wiped them out," University of Michigan Professor of History Juan Cole said. "It's not an accident that they were in Afghanistan instead of Egypt." The government penetrated opposition movements so thoroughly that "if five people (sat) down to plot something, the fifth person (wrote) a report to Hosni Mubarak about it," he said.

The result was "a regime that has very little legitimacy, but presents itself as something there's no point in trying to change," said Nathan Brown, a professor of Middle Eastern politics at George Washington University in Washington.

But Brown said the January 14 overthrow of Tunisian President Zine El Abidine Ben Ali, who fled to Saudi Arabia after 23 years in power, changed the thinking of many in the region.

"I think what the events in Tunisia did was take that sense that nothing could ever change and lead a few people to question it," he said.

Mubarak headed off a similar movement in 2005, when Egyptians mounted large-scale protests to demand fundamental and widespread reform. He intimidated the leaders of the officially banned but tolerated Muslim Brotherhood, harassed middle-class demonstrators and managed to pick off the leadership of those protests, Brown said.

But the most recent protest movement had "no real leadership, so it (couldn't) be decapitated the same way," Brown noted.

Mubarak won four terms as president in elections that were considered formalities. His fifth, in 2005, was Egypt's first multi-party presidential vote, but it was widely criticized as a "sham," Cole said.

Meanwhile, the country's economy stagnated for the first 20 years of Mubarak's rule. Development picked up in the last decade, fueled by a move away from state control and by billions in tourist dollars, but gains were "very unevenly distributed," Gerges said. About 40% of Egyptians currently live in poverty, he noted.

The aging autocrat escaped at least two assassination attempts, including a close call in 1995 when Islamic militants opened fire on his motorcade at a pan-African conference in Ethiopia. In recent years, Mubarak had several bouts of illness but never picked a vice president. He was widely believed to have anointed his son Gamal as his successor, but later insisted he never intended for his son to take power.

In 2003, Mubarak collapsed while delivering a televised speech to the Egyptian parliament -- returning later to blame his illness on the flu. He had back surgery in Germany in 2004, returning in 2010 to have his gall bladder removed. He largely withdrew from public view in recent years.

His domestic political situation was closely watched overseas, particularly in the United States. In the past decade, Egypt has been a major player in Israeli-Palestinian peace talks, and it contributed troops to the U.S.-led coalition that drove Iraq out of Kuwait in 1991. It receives about $1.3 billion in military aid from Washington every year -- second only to Israel -- and has received nearly $30 billion in economic aid since 1975, according to State Department figures.

But it opposed the U.S. invasion of Iraq in 2003, and while sticking with Camp David, Egypt's ties with Israel amount to a "cold peace," Cole said.

President Barack Obama said recently that Mubarak was "very helpful on a range of tough issues," but prodded the Egyptian leader to take steps toward reform.

"You can see these pent-up frustrations that are being displayed on the streets," Obama said. He urged the Egyptian government to avoid resorting to violence to put down the recent demonstrations, adding, "I think it's very important that people have mechanisms in order to express legitimate grievances."

Gerges said the Middle East has seen "the barrier of fear" removed since the events in Tunisia.

"Arabs really no longer feel terrified of the security apparatus" in Egypt and elsewhere, he said. "We're going to have a new era of politics."

@highlight

Hosni Mubarak ruled Egypt for nearly 30 years, surviving would-be assassins, ill health

@highlight

He was a major player in Mideast politics, helping enforce the Camp David accords with Israel

@highlight

Mubarak didn't allow political dissent, and had a questionable economic track record

@highlight

Mubarak's fall signals the start of a new era in Arab politics