(CNN)Truth and reconciliation.

As we mark Martin Luther King Jr. Day this year, it's worth asking: Can America handle either one?

When Nelson Mandela became president of South Africa after the end of apartheid he had two choices. He could have gone down a path of confrontation and retribution against the white Afrikaners who had ruled so oppressively. Or he could have skipped quickly past the history and reality of apartheid and pardoned all its perpetrators in the interests of maintaining order.

He did neither.

In one of his many acts of civic genius, he chose a path for his country that exposed the ugliness of the past and only then invited forgiveness. His government launched a Truth and Reconciliation Commission, led by Archbishop Desmond Tutu.

The commission gathered public testimony across the land, naming the institutional structures and individual acts that had brutalized blacks. No perpetrator was granted amnesty without a candid accounting of his or her deeds. The opportunity for restorative justice gave every participant a sense of heightened responsibility -- a chance to be bigger citizens, together.

Only then could reconciliation begin. And though the commission was not sufficient to "solve race" in post-apartheid South Africa, it was still necessary. Without such an attempt at formal accounting, without such an opportunity for oppressed and oppressor to face one another, that nation's challenges would be even greater today.

For proof, consider our own nation 150 years post-slavery. For a fleeting while after the Civil War, we tried Reconstruction. Freedmen could earn wages and vote freely and claim an equal place in politics. Then we gave up on Reconstruction. And Jim Crow came along to make black citizens second-class and to ensure that neither truth-telling nor reconciliation would be on the agenda.

Consider our nation 50 years post-civil rights movement. That movement is sometimes called the Second Reconstruction. It sought to finish the fight to make truly equal citizens out of the descendants of slaves. But here we are today, still plagued post-Ferguson and post-Staten Island by divisions of color and caste -- and by an inability to talk about them without angry defensiveness.

That's why it's worth asking whether the United States today could take a page from South Africa's script. Fania Davis, a civil rights attorney and restorative justice activist in Oakland, California, has proposed just that. In a widely circulated essay in Yes! Magazine, Davis argues that Ferguson, Missouri, needs a truth and reconciliation commission on extrajudicial violence against African-Americans -- and that America does, too.

You can hear the objections already. For instance: Won't cataloging acts of racism from the past just make it harder for us all to get along?

But of course, racism is not only in the past. It did not end with the Thirteenth Amendment of 1865 or with the Voting Rights Act of 1965. It is present in the acts and attitudes of many today. It is present in the institutional residue of past choices.

That the phrase #BlackLivesMatter must be said says it all. The criminal justice system, the education system, the economic system and (as this year's so-white Oscars remind us) the pop culture system -- all of them value black lives, black voices and black experience less than fully. We must all face that fact.

There's also this objection to a commission: that by racializing everything it would basically be racist. Consider the words of Supreme Court Chief Justice John Roberts, who, arguing against affirmative action, once wrote that "[t]he way to stop discrimination on the basis of race is to stop discrimination on the basis of race."

This tidy tautology flattens out history. It obliterates the difference between injury and remedy. It wants to rush us along to a "colorblindness" that our society hasn't yet earned and perhaps shouldn't even seek as an ideal.

As a Chinese American, I am an inheritor of what white people wrote in the Constitution and what they did to subvert it. I am the beneficiary of what black people and people of every color have done to redeem the Constitution. I am sometimes the object of a presumption that yellow people are presumed foreign until proven otherwise.

I own the good, the bad and the ugly of this country. None of this is neat. None of it is colorblind either.

Ultimately the deepest objection to a racial truth and reconciliation process in America is that it would be hard. Hard to start and to finish. We Americans can be a bit lazy when it comes to messy civic and historical truths. We want our stories -- and our Story -- to have happy endings. We want reconciliation on the cheap.

But the point of MLK Day, and of MLK's entire life, is that true redemption is never cheap or easy. So to honor him truly, let's commit to what's hard. Whether through official commissions or citizen conversations, let's face ourselves.

@highlight

Eric Liu: MLK lesson for all of us is that true redemption is never cheap or easy

@highlight

Liu: Post-Ferguson, we're still divided by color; it's time for reconciliation