Washington (CNN) -- Lithium-ion batteries, under global scrutiny following Boeing 787 Dreamliner fires, likely have a future in aviation provided there are adequate safeguards, a top U.S. safety advocate said on Wednesday.

"I would not want to categorically say that these batteries are not safe. Any new technology, any new design, there are going to be some inherent risks," Deborah Hersman, chairman of the National Transportation Safety Board (NTSB), said in Washington.

Hersman added that the agency, which investigates transportation accidents and other incidents, is still "several weeks away" from determining electrical problems that have grounded the Dreamliner worldwide in recent weeks.

Her investigators are specifically looking at a fire in early January that destroyed one of the two powerful batteries embedded in the belly of a Dreamliner while the plane was on the ground in Boston.

"We need to understand why (the Boston fire) happened and we need to make sure that in future installations that those risks are mitigated," she said.

Another battery-related incident that forced an emergency landing of a Dreamliner several days after the Boston incident is part of the investigation that also includes the Federal Aviation Administration, Japanese regulators and Boeing.

Although there are only 50 Dreamliners in service worldwide, the stakes are high for the world's largest aircraft manufacturer. Following a difficult development, Boeing has several hundred 787s on order at roughly $200 million apiece.

The Dreamliner is the first commercial aircraft to have extensive use of lithium-ion batteries, which can hold more electrical power in a smaller, lighter space.

The battery type, used in starting the 787s two engines and running its auxiliary power system, is susceptible to thermal runaway -- a chemical chain reaction -- if overcharged or undercharged. Resulting fires can be difficult to extinguish.

The safety board has determined that thermal runaway and a short circuit occurred on the damaged 787 in Boston. But it has not concluded which event occurred first, or whether they were the cause or the effect of the fire.

Hersman noted that the safety board has long had concerns about lithium-ion battery technology because of fire risk.

"That is never more important than in aviation," Hersman said. "They (aircraft) don't have the opportunity to pull over when there's a fire. They don't always have accessible compartments. They don't have fire suppression in some of those areas. And so that is where we have raised concerns in the past."

The NTSB also has concerns about that battery technology being shipped as cargo, saying the packaging and labeling is crucial to safe shipment.

But she expressed hope that there were technological solutions to the technological problems.

"We want to see that (battery technology) move forward. But the safety side of that is making sure that you've done the right risk assessment; that you understand what the failure modes are and that you've mitigated any potential risks."

Lithium-ion battery experts consulted by CNN say the batteries are safe for use in aviation.

"The lithium-ion batteries can be safely transported on an airplane as long as the appropriate procedure for transporting them is followed," said Jian Xie of Purdue University's School of Engineering and Technology.

In fact, "these lithium-ion batteries are safer than most chemicals being transported," he said.

Jian Xie said he believes the root cause of the Boston fire was a problem with the management or the monitoring system of the battery, not the battery itself.

"If you ban the transportation of lithium-ion batteries, everyone has to throw away their laptops, cell phones, iPads, etcetera, before they board the airplane. Can you imagine that?" he said.

Battery expert Dan Doughty also said batteries almost never self-combust.

"You can never say never. But it is almost impossible to have a thermal runaway that would cause the combustion that you're talking about," he said.

Lithium-ion battery failures during use "are very rare," said Doughty. "The statistics that we have are on computer batteries. And the cells that go into computer batteries have a failure rate of one in 10 million or even one in 40 million cells. So it's quite rare," he said.

However, the fire incidents aboard the two Dreamliners very early in the plane's life has raised concern among safety experts.

Boeing has said its technical experts are working "around the clock" and are focused on "resolving the issue" and returning the 787 to service.

@highlight

Lithium-ion batteries at center of Boeing Dreamliner grounding

@highlight

Safety board chair Deborah Hersman says any new technology has inherent risks

@highlight

Likely role for battery technology in aviation with safeguards, Hersman says

@highlight

Lithium-ion battery failures very rare during use, expert says