(CNN) -- A heavily publicized murder trial. A horrific school bombing. A parade of con artists, legendary athletes, industrialists and anarchists, radiant movie stars and wearisome politicians.

And, soaring over all, Charles Lindbergh.

They're all part of "One Summer: America, 1927," Bill Bryson's new book about a handful of months of a tumultuous year.

"It was an extraordinarily crowded summer," Bryson says in a phone interview. "I think it was the most eventful summer any nation has ever had -- certainly in peacetime."

Many of the year's events remain well known: Lindbergh's solo flight across the Atlantic, Babe Ruth's 60 home runs, the debut of the first sound film, "The Jazz Singer."

Others, though less remembered today, echo eerily almost 90 years later.

In New York, a woman named Ruth Brown Snyder murdered her husband. The crime grabbed the attention of the public. The trial, which included her lover, dominated news coverage. It was nicknamed, of course, "the crime of the century."

In Bath, Michigan, a disgruntled farmer named Andrew Kehoe murdered his wife and set off a truck full of explosives at the local school, killing 38 students and six adults, including himself. It remains the worst school mass murder in American history.

In Cleveland, Ohio, construction workers finished topping out the Van Sweringen brothers' masterpiece, Terminal Tower. The developers' structure -- which would be the tallest building in the world outside New York when it opened three years later -- included a railroad station, hotel, department store, restaurants and office building. It was also the toppling tip of the Van Sweringens' house of cards, a heavily leveraged empire that included railroads and real estate. In 1929 they were worth $3 billion; within a few years they would be practically wiped out.

But perhaps the most fascinating figures in Bryson's book are the aviators: not just Lindbergh, but such now-forgotten figures as Clarence Chamberlin, Bert Acosta, Floyd Bennett and Francesco de Pinedo. At a time when flying was still incredibly risky -- the stuff of air shows and derring-do -- they dared to head across the Atlantic and to other long-distance destinations. Many didn't make it. All too often, Bryson ends the story of an aviator with the phrase, "He was never heard from again."

The Britain-based Bryson, a wry and thoughtful author known for books on the Appalachian Trail ("A Walk in the Woods"), the English language ("Mother Tongue") and the sciences (the award-winning "A Short History of Nearly Everything"), spoke to CNN from a tour stop in Boston. The following is an edited and condensed version of the interview.

CNN: Why this subject?

Bill Bryson: For a long time, I'd been vaguely fascinated by the idea that Charles Lindbergh flew the Atlantic and Babe Ruth hit 60 home runs in the same summer. I wondered if it was possible to do a dual biography of these two iconic figures. But when I started doing the research, I quickly discovered that though Lindbergh and Ruth were important elements of the summer of 1927, they were only part of it. And that became the story.

CNN: What struck you about this summer? It seems the biggest broad-shouldered year of an energetic decade.

Bryson: Lots. There were so many things that I'd only barely ever heard of -- or not heard of at all. Certain events that were so momentous I can't believe I'd never heard of them. The one that leaps out is the madman in Michigan who blew up the school. I was astounded. I'd never heard of this at all. The problem was he did it on May 19, 1927, and the very next day Lindbergh flew to Paris and it knocked everything off the front pages.

CNN: Why was Lindbergh the through line?

Bryson: I didn't realize just how momentous (Lindbergh's flight) was, and how it gripped the whole world. And Lindbergh was far and away the most enigmatic and most fascinating (character). Just imagine if you were 25 years old and suddenly, overnight, became the most famous man on the planet. And not just famous and celebrated, but people are regarding you as a kind of savior. In this painfully symbolic way you've descended from heaven and people are treating you almost as if you've come to save the Earth. It was just ridiculous.

But soon afterwards he turned quite ugly and became this great Nazi sympathizer and very much pro-Germany and anti-Britain as the second World War came along, and a very, very much less attractive person. He was a very hard person to get a grasp of.

CNN: I enjoy the way you draw connections between things -- people who crossed paths at the time, and events that resonate down through today.

Bryson: I painted myself into a corner by writing a whole book on this one period. The summer of 1927 came to an end, but nothing else did -- all of these peoples' lives went on. I suddenly found myself in this position of writing an epilogue, and you're supposed to be wrapping things up, but you're actually condensing long and busy lives into a paragraph or two.

CNN: But even the quick brush strokes -- the Van Sweringens, for example. They could be the overextended moguls of today.

Bryson: It did strike me that the Van Sweringens were not really all that different from Charles Ponzi (who makes a cameo appearance in "One Summer"). The only real difference was that Ponzi was an out-and-out fraudster. But the Van Sweringens -- their whole empire was built on exactly the same kind of sleight of hand, and looking a lot more sturdy and wealthy than they really were. It was all based on inflating things and building these pyramids -- not unlike Ponzi.

CNN: The society was also more rural, and there didn't seem to be the same fear of death.

Bryson: That was what struck me again and again with the aviators. They seemed fearless. They were doing the most hair-raising, dangerous things. After Lindbergh's flight, Clarence Chamberlin was persuaded to be the first person to take off from a ship. And he admits just before he doesn't know how to swim! You think, was this guy a complete fool, or was he really that brave? And I think it was a mixture of both.

The idea of getting in those planes flying around your own town was scary enough, but getting in them and trying to fly across an empty ocean without any navigation equipment was unbelievable. And yet you look at pictures of them as they're climbing in the planes and they look as confident as they would as if they were going to the grocery store.

CNN: How do you go about picking your subjects?

Bryson: It's always a combination of things. The basic challenge of any book is you know you're going to be working on it for three or four years or more. So you want to have a subject that will keep you engaged. But then I have to factor in practicalities -- how much travel will this involve, can I make this appeal to English-speaking audiences. These are not things you can always resolve, but you have to take them into account.

With "At Home" (Bryson's history of residences) I promised my wife I would spend my time at home. I had done a lot of traveling, and I told her I would do something where I could go to a library all day and come back for dinner every night. And it occurred to me, what if I did a history of the world but from the perspective of my own house?

This one, since I live abroad, I do get hankerings to come home sometime and reconnect with America. I like to do books in which a lot of the research and the writing and the thinking revolves around something American. So that was indulging my homesickness, and a very, very longstanding desire to write something about baseball.

CNN: Do you take the time you spend on planes and ponder the aviators you wrote about?

Bryson: It's hard not to! I urge you to go to the Smithsonian and just look at these little planes. I was standing with one of the curators and you can see that (Lindbergh's plane), the Spirit of St. Louis is just fabric. I asked how sturdy was it? Could you poke a hole in it with your finger? And he said yes. You could demolish the Spirit of St. Louis with your bare hands in about a minute and a half. It's just amazing.

@highlight

Bill Bryson's latest book, "One Summer," is about summer of 1927

@highlight

It was the year of Charles Lindbergh's flight, Babe Ruth's home run record, horrific crimes

@highlight

What was originally going to be a narrow focus turned into much more, says Bryson

@highlight

Author known for books on Appalachian Trail, Australia, the sciences