(CNN) -- I have suffered from debilitating panic attacks since 1986.

They were brought on by what happened on January 10, when I was a young reporter at WIS-TV in Columbia, South Carolina, and witnessed the electric chair execution of a convicted killer.

I volunteered for the assignment. It was an important case. James Terry Roach was 17 when he committed the crime -- borderline mentally disabled, with a degenerative brain disorder. Authorities had every reason to commute his sentence. Former President Jimmy Carter and Mother Teresa sent in pleas on his behalf -- but to no avail.

On the morning of the 10th, Roach was strapped into the electric chair and the switch thrown. His body slammed into the back of the chair and instantly tensed up. For one solid minute, electricity coursed through his body.

Executioners paused for one minute, then once again threw the switch. For 60 more seconds his body absorbed electricity. A short time later, he was pronounced dead.

A lot of reporters probably could have distanced themselves emotionally and moved on. But something happened to me in those few minutes. Afterward, I was anxious, couldn't sleep, and found myself reliving the execution over and over in my mind.

I came back to work after a couple of days off. The assignment desk had planned to take it easy on me, but as luck would have it, there was some kind of fatal accident, and I was sent on the story. A large garbage truck was picking up a dumpster and accidentally made contact with power lines. So, my first story back was another electrocution. Heading back to the station I had my first panic attack.

People have told me, "I get panic-stricken, and nervous too. It happens."

But getting nervous is not a panic attack. An attack makes you feel as if your world is ending. Your heart is racing, you begin to hyperventilate, every nerve in your body is exploding -- it seems you're about to die, and you have an overwhelming sense of doom.

Opinion: Why do we keep executing people?

My initial reaction to a panic attack was to find something to drink -- beer, wine, anything to calm down after work. But eventually I had to make a deal with myself: No drinking to help "take the edge off." If I was going to drink, it would be when I felt good -- pounding a few back to ease anxiety would lead me down a road I didn't want to take.

In the late '80s and early '90s panic attacks came on to one degree or another almost daily, and of course the deal with myself was violated all too often.

I sought help, and was diagnosed with Post Traumatic Stress Disorder. I was embarrassed and humiliated, but kept it to myself. For years it was very difficult. Instead of getting better, it seemed to be getting worse. I withdrew, and couldn't be by myself without thinking the panic attacks would send me -- in my term -- "cycling out of control."

I remember taking a writing test at CNN in 1989 and having three punishing panic attacks that were so bad I almost got up and walked out of the building.

Professional support made things get better, but the attacks never completely went away. Certain situations and environments could take me back and an attack would come on, my heart feeling as though it would burst through my chest, worried that I would just collapse on the ground gasping for breath while sweat was trickling down the side of my face.

OK, now imagine that happening while you're getting ready to do an on-camera interview, or tethered to a live shot, or the very worst -- sitting in the anchor chair. It wasn't just happening to me, it was happening to me in front of millions of people.

I have been a journalist a long time. Along the way I have picked up what I consider a nice collection of awards and honors, and reported on everything imaginable: hurricanes, earthquakes, floods, fires, wars, elections, you name it. I am proud of that work, but still feel a huge sense of failure every time I let panic attacks get the best of me.

It is hard to describe a panic attack to someone who hasn't lived through it. As well as an overwhelming sense of dread, a physical weight is on your shoulders -- as if something terrible is going to happen. But my colleagues never seemed to know anything was wrong. If I couldn't concentrate, or felt like I couldn't get through a live shot I would sometimes say, "Ugh, I don't feel good. I didn't sleep well last night." It was all very believable.

Once, I was anchoring a live environment show on CNN on a weekend morning. When I started to read the headlines, I was hyperventilating and couldn't make a sound. People at home were seeing video of what I was supposed to be talking about. I reached down, took a drink of water and told the producer I was just choking for a second. The hour show went off without a hitch from there on.

I have flown nearly a million miles on Delta Airlines alone, and on nearly every flight I worried about a panic attack, and on a few of them, suffered through the full-blown thing. One time a flight attendant walked down the aisle and asked me if I needed oxygen. The sheer ridiculousness of the whole episode made me laugh and the panic passed, like it always does.

What I went through is nothing compared with troops returning home from war zones struggling with PTSD, and my heart goes out to them. I am healthy, happy where I am in life, and have been blessed with great jobs and great friends. I am still reporting, anchoring and doing live shots. If you tune in, you won't see me collapse in a fit of panic. I am doing a lot better.

More than once in my life, I thought there was no way to get through this. I vividly remember being on a warm, sunny beach in the throes of a panic attack and wondering if my life would ever be normal again -- if I would ever again simply be able to close my eyes and be at ease.

For those going through anxiety issues, I have a message: You can get better, you can work through it. It may be therapy, medication, or just the realization that you aren't alone. I kept a journal during the worst period of my panic attacks which helps me to remember how far I've come since my darkest hours -- when I felt as though the sun would never come up again.

It isn't easy to write about this. A big part of me still considers myself a failure for having to cope with this condition. Yet by and large, I have made peace with myself -- things are a lot better. I can look inside, and ask myself: "What's the worst that will happen?"

And I've found the worst thing that can happen is giving in to the fear.

The opinions expressed in this commentary are solely those of Sean Callebs.

@highlight

Sean Callebs suffers from panic attacks that began after he saw an electric chair execution

@highlight

Callebs: In an attack, your heart races, you hyperventilate, you think you're about to die

@highlight

Callebs had to hide his attacks while he was reporting or even sitting in the anchor chair

@highlight

He is doing much better today after seeking help and not giving in to the fear