As soon as passengers arrive at the Rovos Rail station in Pretoria, South Africa, it's clear this won't be a typical train journey.

No crowds, just fellow guests -- and only a few dozen of them -- heading on a three-day trip to Cape Town.

Inside the meticulously restored building, champagne flows freely and ceiling fans turn leisurely.

Occasionally the resident peacocks squawk as they preen around the platform, until they scatter with the arrival of the steaming locomotive.

Yes, steaming, as if it was headed to Hogwarts, because that's what this pretty much is: a storybook rail safari through Africa.

Rovos Rail offers a series of journeys across South Africa and beyond that allow passengers to encounter the region's spectacular scenery and some of the big beasts that roam it.

Itineraries include trips between the South African cities of Pretoria and Durban that take in the Nambiti Conservancy (a Big Five retreat in KwaZulu-Natal) or to Victoria Falls via Botswana, Zimbabwe and the Hwange National Park wildlife sanctuary.

Hot tub on rails

The trains are billed as the most luxurious in the world.

That's hard to dispute.

In the 16-square-meter (172-square-foot) Royal Suite, there's a double bed, richly upholstered armchairs and a full Victorian bath for lounging in the tub and watching the world roll by.

The room for this short trip carries a price tag of 28,600 rand ($2,570) a person, but there's a seven-square-meter Pullman for half that, or a Deluxe Suite that lands somewhere in between.

There are few modern nuisances to distract from the landscape views.

No televisions, no Wi-Fi.

Cell phones are discouraged and laptops forbidden outside of suites.

"We don't want any work being done in public," Rovos founder Rohan Vos tells passengers before they board. "Ambiance and good conversation, that's what this train is all about."

To encourage this, the journey from Pretoria begins with high tea.

The observation car is at the rear of the train. One portion is glassed off to protect the smokers, who have a tendency to wander off when they leave the train to grab a puff.

It's not the prime place to be in any case.

It's best to claim a spot at the very rear of the car, which is gloriously exposed so passengers can sit on a long bench or lean over the railing to claim uninterrupted views of the goldfields, the Karoo and eventually the mountains and winelands that surround Cape Town.

Dinner gong

It's good to take it easy at high tea.

Before long a gong sounds to call guests to the dining cars for a seven-course meal, each with a wine pairing.

The food leans heavily toward local fare, both game and produce, all of it meticulously prepared.

The Cape Town journey is one of the shortest, but includes two stops.

The first is at Kimberley, the diamond mining town known for the "Big Hole," the largest excavation in the world, a mile wide and going down seemingly forever.

The other stop is in Matjiesfontein, in the middle of the Karoo.

The entire town is a national heritage site, preserving the Victorian village that was founded as a railway rest stop but became a health spa once frequented by South Africa's elite.

Although the train is sometimes pulled by a more modern locomotive, the oldest of Rovos Rail's carriages date to 1930, two years before Agatha Christie imagined the Belgian detective, Hercule Poirot, sleuthing across Europe.

Most were once owned by South African Railways, and were bought as rusting and decrepit shells.

Before leaving Pretoria, it's worth taking a look at the original carriages, if only to appreciate how beautifully restored they are.

As much as Rovos Rail envelops its passengers in a time warp, they're not shielded from all modern headaches.

The growing pains of South Africa's rails mean delays can and do happen.

"I ask you to please accept the fact that we are never on time," Vos quips. "However, we will get you to Cape Town this week, and that's what matters."

On Rovos Rail's longer, international journeys into Namibia, Zimbabwe, Zambia and Tanzania, the logistics of African travel can interfere.

Slow tourism

The train stops for border posts (waits can be lengthy) and poorly maintained tracks in some regions keep the speeds slow.

Despite all that, this is the best imaginable way to make an overland trip.

The 15-day route from Cape Town to Dar es Salaam is a train lover's dream, taking a meandering route from the Cape through the heart of South Africa, up to the Madikwe Game Reserve and then onto Zimbabwe for an overnight stay at the Victoria Falls Hotel.

Crossing the Zambezi River on its landmark bridge is like living on a movie set, the mist of the falls thundering upward on one side, the dark rocks of the gorge plunging down on the other.

The train then crosses the length of Zambia, sometimes churning, sometimes crawling until it reaches Chishimba Falls in the rarely visited Northern Province.

Here, hikers can explore the sacred cave behind the falls, where the nature spirit Chishimba is believed to live.

This is a place of prayer and offerings, so the Zambia Tourism Authority has strict instructions for visitors: "Because of the sacred nature of the Falls, no sexual intercourse, arrogance and quarrelsomeness is allowed in the vicinity of the Falls."

Passengers should plan their time accordingly.

This is literally a high point of the journey.

The rest of the trip is a descent into the Rift Valley, winding through tunnels and along viaducts, with a stop for a game drive in Selous Reserve, the largest in Africa.

Rovos runs this route five times a year, and it's their most popular option, according to Brenda Vos, Rohan's daughter who works in what's now a family business.

Regardless of the itinerary, she says for many passengers the train itself is the destination.

"We want guests to get on board, and it doesn't matter where they're going."

Rovos Rail, Paul Kruger Street, Pretoria, South Africa; +27 12 315 8242

@highlight

Rovos Rail operates from a private station in Pretoria, South Africa, connecting with destinations across southern Africa

@highlight

Trains formed of vintage carriages are pulled by a steam locomotive

@highlight

On board are luxury suites, dining cars and an observation car from which it's possible to watch game