Typhoon Haiyan, one of the most powerful storms in history, hit the Philippines on November 8, leaving behind a catastrophic scene:  more than 5,000 dead, almost 24,000 injured and about 3 million people displaced.  Recovery from the monster typhoon, locally known as Yolanda, will be long and difficult.

If you're looking for someone missing in the Philippines, or if you have information about someone there, you can reach out to the ICRC restoring family links network or search the Google.org Typhoon Yolanda Person Finder.  A Google crisis map has also been added to detail areas designated for relief.

Charities and nongovernmental organizations (NGOs) from around the world are responding to this disaster.  Many are detailed below with how they're providing aid and how you can help them make a difference.

Emergency support

The Philippine Red Cross (PRC) deployed rescue and relief teams to evaluate the damage in the areas devastated by Typhoon Haiyan. You can donate to the Philippine Red Cross by selecting the Supertyphoon Yolanda campaign on their donation page. The International Federation of Red Cross and Red Crescent Societies (IFRC), the International Committee of the Red Cross (ICRC) and Red Cross networks from around the world are supporting the Philippine Red Cross.  Many have created specific funds for this disaster, including the American Red Cross, Canadian Red Cross and the British Red Cross.

The Salvation Army is serving storm survivors, primarily with food, water and shelter.  Emergency Disaster Service teams have been providing help since the typhoon hit, but are challenged by the lack of accessible roads to transport goods and medical supplies.  The non-profit has set up a designated fund for Haiyan relief efforts, which you can access here.  You can also make a donation by calling 1-800-SAL-ARMY (1-800-725-2769).

The American Jewish Joint Distribution Committee (JDC) shipped a container of food, shelter, hygiene and medical supplies to the Philippines.  The non-profit will also be providing "School in a Box" kits for temporary classrooms for displaced children through its ongoing partnership with UNICEF.  You can support their efforts online or by phone at 1-212-687-6200.

CARE's emergency response teams are coordinating with local partners in the Philippines to provide food, water, shelter and health care for those in need. You can support CARE's efforts on their website, or by phone at 1-800-521-2273 within the United States or +1-404-681-2252 outside the U.S.

Catholic Relief Services, the official international humanitarian agency of the Catholic community in the U.S., is helping with water purification, shelter materials and essential living supplies.  You can donate to the organization's efforts online or you can call 1-877-435-7277.  You can also type in your phone number on the website and a representative will call you back to take your donation.

Convoy of Hope's Global Disaster Response Team shipped containers full of food and supplies like hygiene kits and water filtration units to the Philippines.  You can visit Convoy of Hope's website to donate funds to their efforts or call 1-417-823-8998.

Mercy Corps is delivering food, water, temporary shelter and other basic supplies to devastated areas throughout the Philippines. You can support the organization by donating through their website, PayPal, or by calling 1-888-747-7440.

Oxfam America aid teams are on the ground in northern Cebu, northern and eastern Samar and Leyte, in the Eastern Visayas region in the Philippines. They're working to provide immediate access to water and sanitation materials. You can support this effort by donating online to their Typhoon Haiyan Relief and Recovery Fund, or by phone at 1-800-776-9326.

Adventist Development and Relief Agency's (ADRA) emergency response team is working in Manila and in the province of Bohol to provide food, emergency relief and medical aid to those in need. They have launched an emergency appeal that you can support online or by phone at 1-800-424-2372.

The International Rescue Committee (IRC) has an emergency team in Manila and launched a $10 million appeal in order to ensure immediate needs like safe water, hygiene and sanitation are met.  If you would like to contribute to their efforts, click here.

Operation Blessing International (OBI) deployed disaster relief teams in multiple locations following the massive devastation from Typhoon Haiyan.  The organization is providing clean water and food, emergency shelter materials and medical assistance.  To help the charity's mission, you can make a contribution on their website.

Food and water

The World Food Programme was already providing emergency food assistance in the Philippines following the October earthquake. With these emergency food stocks stretched thin, additional supplies are needed. You can help these efforts by donating online or by calling 1-202-747-0722 domestically or +39-06-65131 for international calls.

Samaritan's Purse sent disaster relief specialists, including water and nutrition experts, to the Philippines to deliver immediate aid. They have launched the Philippines Emergency Relief fund for this disaster, which you can support online or by phone at 1-828-262-1980.

World Vision is responding in the Philippines by first providing emergency food and clean water. They will also create child-friendly spaces and help families rebuild from this disaster. They have launched a Philippines Disaster Response Fund that you can support online or by calling 1-888-511-6443.

Action Against Hunger is providing drinking water and survival kits containing buckets, soap and chlorine tablets. They're also working to distribute sanitation equipment to prevent outbreaks of waterborne diseases. They're requesting assistance and you can help by donating online or by calling 1-877-777-1420.

Half a million meals from Feed My Starving Children (FMSC) have been distributed to Typhoon Haiyan survivors.  An additional 2.5 million meals have been requested by humanitarian organizations working in the region.  To provide much needed food to people in the Philippines, you can donate to FMSC here.

Water Missions International is working to provide safe drinking water for those in need around Cebu, Philippines, one of the areas hardest hit by Typhoon Haiyan.  They're setting up water treatment systems and portable water chlorinators.  Please donate online or call Water Missions International at 1-866-280-7107 if you would like to support their efforts.

Shelter

The UN Refugee Agency (UNHCR) is working with the Philippine government to establish safe cluster zones for those displaced in the typhoon-affected areas. They're also distributing tents and housing essentials, including clothing, blankets and solar powered lanterns. You can help the UNHCR with an online donation or by calling 1-202-296-5191 domestically or +41-22-739-8111 internationally.

ShelterBox was already in the Philippines providing shelter after the 7.2 earthquake that hit Bohol on October 15. They are now expanding their operations to provide tents and essential equipment for families left homeless after Typhoon Haiyan. You can support their work in the Philippines either online or by calling 1-941-907-6036.

Habitat for Humanity is providing shelter repair kits to help survivors rebuild their damaged homes.  You can support this work by donating from the Philippines to their Re-Build Philippines Fund or from the U.S. by contributing to their Disaster Response Fund. You can also make a donation by phone at 1-800-HABITAT.

Architecture for Humanity is working with local architects to identify the most critical rebuilding needs. You can support their Super Typhoon Haiyan Response online, by calling 1-415-963-3511 or by texting REBUILD to 85944 to make a $10 donation from your mobile phone.

Medical assistance

Americares shipped antibiotics, wound care supplies and pain relievers to the Philippines with more shipments planned.  You can support Americares with an online donation or by calling 1-800-486-4357.

International Medical Corps deployed medical professionals and water and sanitation experts to the island nation.  The organization also recruited local medical volunteers to staff mobile medical units in and around the hardest-hit areas. The International Medical Corps team is focusing efforts on child and maternal health, medication, clean water, hygiene awareness and psychosocial support.  You can donate to their Typhoon Haiyan Emergency Response fund  online or by calling 1-800-481-4462.

More than 1.5 tons of emergency medicine and medical supplies have been delivered to the Philippines from Direct Relief. The supplies include antibiotics, pain relievers, nutritional supplements, antifungal medications, wound dressings and chronic disease medicines. You can call in your donation by dialing 1-805-964-4767 or you can go online to support the organization.

Médecins Sans Frontières/Doctors without Borders (MSF) have emergency teams in Cebu city, including medical personnel, logisticians and psychologists.  They have brought tents, supplies of drugs, medical equipment and material to purify water, as well as essential plastic sheeting, cooking items and hygiene kits. Teams will monitor possible outbreaks of infectious diseases.   You can make your donation by calling 1-212- 763-5779 or online.

Doctors of the World dispatched a team of doctors and support staff to give immediate medical care to those in need.  You can support them by donating online, or by phone at 1-646-307-7584.

Heart to Heart International sent medical volunteers with emergency aid, hygiene kits and medical supplies.  In addition to donations to their Disaster Readiness & Response Fund, they're looking for licensed medical professionals to volunteer in the Philippines. You can also help by preparing and shipping hygiene kits for those in need.

Catholic Medical Mission Board (CMMB) sent their medical team with aid including antibiotics, wound care and surgical supplies. You can support these efforts with a donation online or by calling 1-800-678-5659.

Helping children

The U.S. Fund for UNICEF is helping children and their families in the Philippines receive shelter, clean water, nutrition and vaccines. Their emergency response can be supported online or by calling 1-800-367-5437. You can also donate directly to UNICEF in the Philippines here.

Save the Children is offering disaster relief support for children in the Philippines after Typhoon Haiyan. The charity is providing relief material kits for children and families, which include toiletries, household cleaning items, temporary school tents and learning materials. You can support their Philippines Annual Monsoon and Typhoon Children in Emergency Fund online. You can also donate by phone at 1-800-728-3843.

Emergency response teams from ChildFund International prepositioned supplies, including emergency kits and tents, and made arrangements with local suppliers to access food and non-food relief supplies.  The organization is also setting up child- centered spaces where kids can feel safe.  Donate to ChildFund online to help children cope and recover confidence after this disaster.

Teams from Plan are also responding to the needs of children and their families.  Their priorities are vulnerable youngsters and communities in rural locations. You can support their appeal on their website.

@highlight

Typhoon Haiyan left utter devastation and more than 5,000 casualties in the Philippines

@highlight

Many organizations continue to help with relief efforts

@highlight

Recovery will be long for victims of this deadly storm