London (CNN) -- A mystery portrait donated to a British heritage charity as part of a mixed lot of paintings has been identified as a work by Dutch master Rembrandt van Rijn -- worth more than $30 million.

The picture, dated 1635, shows the then 29-year-old artist in a black velvet cape and hat decorated with outsized ostrich feathers. It was given to the National Trust in 2010, along with four other artworks.

At the time it was thought to have been painted by one of Rembrandt's pupils, but new tests and research by leading Rembrandt scholar Ernst van de Wetering have shown it is more likely to be by the teacher himself.

"Over the years, it has gone back and forward," David Taylor, the National Trust's curator of paintings and sculpture, told CNN. "Decades ago it was thought to be a Rembrandt, and then the experts said no, that it was by someone in his studio instead."

Van de Wetering, chairman of the Rembrandt Research Project, said the painting was last examined in 1968, and that in the intervening years "we have gathered far more knowledge about Rembrandt's self-portraits and the fluctuations in his style."

He said that X-ray analysis, along with "newly found circumstantial evidence remarkably increased the likelihood that the painting was by Rembrandt himself," and that a recent close look at the picture had confirmed those suspicions.

The painting was given to the Trust by the estate of Edna, Lady Samuel of Wych Cross, whose late husband Harold, Lord Samuel of Wych Cross was a keen art collector and philanthropist.

"It was part of a very generous gift, of five top-notch paintings," Taylor explained. As well as the Rembrandt portrait, the donation also included two peasant scenes and two maritime scenes.

But while the Trust recognized that the portrait was a high-quality work, it was not put on display at Buckland Abbey, in Devon, southwest England, immediately.

"It was in storage at first," explained Taylor. "Though not because it was unloved, more because we were waiting for the right place for it -- we wanted to get the display right."

"It's amazing to think we might have had an actual Rembrandt hanging here on the walls at Buckland Abbey for the past couple of years," Jez McDermott, property manager at Buckland Abbey, said in a statement.

"We never dared think that it might actually be an original, and many of our visitors will have just passed by it, in what is sure to be a real contrast to the attention it is now going to receive."

The self-portrait, the only Rembrandt in the National Trust's huge collection of 13,500 paintings, will remain on display at Buckland Abbey until the end of the tourist season -- where it is expected to attract plenty of visitors -- and will then be sent for further tests to help confirm its new identity.

"It will undergo a full clean, and technical analysis," said Taylor. "It is painted on a beech panel, so dendrochronology [tree ring dating] will allow us to date the panel, and it will be X-rayed to check for under-drawings.

"The paint will be analyzed, so we can see if the pigments match those used by Rembrandt, and when it comes back to us in the new year, we should have the final confirmation."

FBI: 1990 art heist cracked

@highlight

Painting was donated to the National Trust in 2010, and put on display at Buckland Abbey

@highlight

Work was originally identified as being by a follower of Dutch master Rembrandt van Rijn

@highlight

New tests reveal the portrait, which shows Rembrandt at the age of 29, is by the artist himself

@highlight

Re-attribution means the painting is now worth more than $30 million -- but it cannot be sold