Schonau, Germany (CNN) -- A former teacher with no formal business qualifications, Ursula Sladek cuts an unusual figure as the head of a major electricity company.

But then her company, the Schonau Power Supply (EWS) -- based in the hills of a remote German town -- is not your typical electricity supplier.

Founded by Sladek and a few friends in 1991, EWS is a citizen-owned co-operative that powers 120,000 homes across Germany, using only sustainable energy supplies.

Today, following the nuclear explosion in Fukushima and Germany's subsequent commitment to end its reliance on nuclear power over the next decade, EWS is enjoying rocketing demand, and expects to provide for a million homes by 2015.

Not bad for a self-professed housewife, who wrest control of her local electricity grid from the nationwide energy provider.

Sladek's story starts in 1986, in the wake of the Chernobyl disaster. Although her home in Schonau was over 2,000 kilometers away from the nuclear plant explosion, traces of radiation had still managed to infect the local wildlife.

"At first we thought: What can the children eat? Can they play outdoors," she recalls. "And we still have this now, when you go into the forest, the mushrooms are still polluted; the wild boar is still polluted ... 25 years after Chernobyl, that is still here."

Sladek, a mother of five, established "Parents for a Nuclear Free Future" -- a regional organization aimed at promoting alternatives to nuclear energy.

At the time, Sladek believed that KWR, the power company responsible for providing her town with its electricity, could be persuaded to invest in sustainable supplies and even help its people reduce their reliance on the grid.

She was wrong.

"They told us: 'You want to save energy? We sell energy. That's our job. We'll not help you.' We learned that neither the government nor the energy supplier would do anything."

It was exactly this response that spurred Sladek and others living in Schonau into what they did next.

"We never thought about overtaking a grid and doing what we're now doing," says Sladek. "Their attitude was the reason why we wanted to."

And so, when KWR's licence to operate the power grid came up for renewal in 1991, Sladek and her group created their own power-company and launched a local petition to convince the town council and the population to let them manage it cooperatively.

After many years and battles, in 1997, EWS had raised enough money -- about â‚¬2 million -- to buy the contract to supply Schonau with non-nuclear electricity.

Collectively owned by 1,000 citizens, the company gets all its energy from green sources, mainly hydropower operations, but also including solar panels and wind turbines. Some homes even have small co-generation systems that produce domestic heat as well as electricity that can be sold back to the grid.

So do EWS customers pay a premium to keep a clean and green conscience? Nope. In fact, according to Sladek, they pay less.

"We're offering (electricity) even cheaper than companies which supply their customers with nuclear power or with coal power," she says.

"That is because we don't want to gain as much money as the others do. Of course, we have to gain money as well because we have people who work for us ... But we just don't want to gain as much ... that's not the reason why we do (it)."

Indeed, the company's shareholders receive small dividends, as well as an income from any home-generated power they put back into the grid, but the rest is reinvested into new renewable energy projects and into training and supporting communities who want to run their own green energy companies.

It's for these reasons that Sladek was named European winner of the 2011 Goldman Environmental prize, often cited as the "Nobel for the environment," in April of this year. Not many energy barons can boast one of those.

@highlight

Ursula Sladek created Germany's first co-op-owned renewable power company

@highlight

Motivated to protect her family after Chernobyl disaster, Sladek took control of local power grid

@highlight

Her company charges less for electricity as it does not aim to make a profit

@highlight

Sladek was recently awared prestigious Goldman Environmental prize