(CNN) -- Apple fans holding out hope they'd see the company's next great gadget on Monday were disappointed. At the keynote address for the company's annual Worldwide Developers Conference, software was king.

For owners of the 800 million iPhones, iPads and iPods that run the company's iOS operating system, the biggest news may have been the rollout of its latest version, iOS 8.

Due to be released this fall, the new system will update lots of existing features and add some new ones. So, here's a first look at eight key features of iOS 8.

Health

Apple has been pushing fitness and health apps, such as the one associated with Nike's FuelBand. With Health, they're taking it a step further.

Basically, Health pulls together data from different health-related apps into one place, creating a comprehensive profile for the user. It also lets the users send health information to doctors at selected hospitals.

It's easy to see this being a prominent feature when (and if) the long-rumored iWatch arrives, which could include sensors that track the wearer's steps, heartbeat and other vital signs.

HomeKit

Even if it's not the expansive home-automation system that some rumors suggested, HomeKit is a step toward turning your smartphone into a remote control for the connected devices in your home. Apple has partnered with lots of third-party folks (but notably not Nest, founded by former Apple designer Tony Fadell and recently purchased by Google) on the app.

By pulling all of those apps' abilities together in one place, HomeKit will let users control their garage doors, locks, lights, cameras and thermostats with their phone. Obviously, some third-party hardware will be required -- at least for now.

New tricks for Siri

The iPhone's famous voice assistant, Siri, only got a quick mention Monday. But she's learned a couple of new tricks.

On iOS 8, users who plug their iPhone into their car will be able to wake Siri up by voice without having to touch their phone. Less distraction on the road sounds like a good thing to us.

And you'll be able to ask Siri to identify the song you're listening to, using technology from the Shazam app.

'Do Not Disturb' in Messages

This is a simple little feature, but tons of folks following our live blog of the Apple event seemed to really like this one.

In Messages, "Do Not Disturb" will let you mute conversation threads that you're a part of without having to leave them entirely. So, if your buddies are nailing down that karaoke outing while you're at work, you can make them hush -- while leaving other threads active -- and come back to the chat later.

QuickType

Google may be the tech giant most associated with predictive text, but Apple's giving it a go with QuickType.

The keyboard feature presumably will make sending messages quicker by guessing what you're writing before you finish writing it, letting you tap and move on to the next word. Phones on Android already have this. But Apple promises that QuickType will learn your language habits, including how you text in different message threads.

So for example, it may predict one word in a work-related thread ("Time for my next meeting"), another with your party-time buddy ("Time for my next beer") and a third in texts with your mom ("Time for my next visit").

Interactive Notifications

With this one, Apple catches up on another feature already used by Android owners. Interactive Notifications let you respond to things such as text messages, Facebook posts in which you're tagged and appointment reminders without leaving the app you're currently using.

To Apple's credit, their version looks pretty smooth. It even lets you tap to reply with a voice recording, image or video without abandoning that killer level of "Candy Crush."

Family Sharing

Up to six members of a family will be able to share their iTunes purchases across different devices, meaning you and your brother no longer have to pay $6.99 each for "Minecraft."

The catch is you'll have to use the same credit card for all those purchases. It's Apple's way of preventing overly liberal interpretations of the word "family."

This new feature also will let relatives more easily share calendars, photos, reminders and the like.

iCloud Photo Library

Apple will now offer more storage for all your photos and videos in the cloud with access to them from any device.

The iCloud Photo Library also will include a "smart" editing feature that lets users slide their finger to adjust multiple effects at the same time. For example, the app will allow you to tweak light, contrast and color on photos, with every adjustment automatically updated across all your devices.

@highlight

Apple unveiled the newest version of its mobile operating system on Monday

@highlight

New iOS 8 features include Health, which pulls fitness and wellness apps together

@highlight

Siri will be able to identify songs using Shazam

@highlight

CEO Tim Cook says Apple has sold 800 million iOS devices