Washington (CNN) -- On this day 100 years ago, troops in the city of Wuchang, in China's Hubei province, launched a coup against local authorities. The coup ignited a civil war that ended in the collapse of China's 2,200-year-old imperial system.

When a republican government established itself in 1912, it designated October 10 as the national holiday. Even now, "Ten-Ten Day" remains the equivalent of the Fourth of July of the island of Taiwan and for many overseas Chinese communities.

On the mainland, however, the Ten-Ten holiday has always been a more ambiguous affair, and so it remains on this centenary.

The Los Angeles Times reported: "The government held low-key celebrations Sunday marking the centennial anniversary of the revolution that ended thousands of years of imperial rule and set the stage for the birth of today's China. Chinese President Hu Jintao and other dignitaries gathered in Beijing's Great Hall of the People, under a giant portrait of Sun Yat-sen, the first president of the Republic of China -- the name still carried by modern-day Taiwan. Hu called for the peaceful reunification of China and Taiwan and reiterated his opposition to Taiwanese independence."

Beyond this political lecture, however, the anniversary was observed in remarkably muted style. A new museum opened in Wuhan. A historical movie was aired on state TV.

Some events will be held in the hometown of Sun Yat-Sen, the revolution's moral leader and the first president of the Chinese republic. But there's nothing remotely on the scale of the 2010 Shanghai Expo, let alone the 2008 Olympics.

And after all, that diffident approach should come as no surprise. Although the present government of China touts its nationalist credentials, it was born in rebellion -- not against imperial overlords, not against colonialist oppressors, not against Japanese invaders, but precisely against the inheritors of the republic established by the events of 1911: the Kuomintang party created by Sun Yat-Sen.

The memory of 1911 is embarrassing in many other ways to the present government. 1911 was a revolution inspired by ideals of democracy and personal liberty. Those ideals are cynically disregarded -- or brutally suppressed -- by China's present government. 1911 was a revolution in defense of traditional Chinese culture against a foreign dynasty, Manchurians who had ruled in China since 1644.

But who has done more damage to traditional Chinese culture than the regime in place since 1949? And not only to the bulldozed monuments of China, but to the country's inheritance of art and scholarship, reviled and massacred in the Cultural Revolution.

A country ruled by people who took power by violence -- and now hold power by repression -- is not a country that dares look honestly at its past.

A year ago, I had the opportunity to visit a museum of the Cultural Revolution in Guangdong province, one of only two such in the entire vastness of the country. It was an against-the-odds achievement that the museum could be built at all, but the price of building it was to tell the story in a way that focused almost exclusively on the victimization of some members of the Communist Party by other members. The authors of the museum bought the freedom to tell a portion of the story by suppressing all the rest.

As for the other traumas of China's recent history -- including the terrible self-inflicted famine culminating in mass cannibalism that goes by the mocking name "the Great Leap Forward" -- they can only be whispered, if they are discussed at all.

The man guilty of those terrible atrocities, Mao Tse-tung, still overlooks Beijing from a giant portrait over Tiananmen Square.

So long as the leaders of China trace their power to Mao's legacy, that long will China be obliged to lie to itself about its history. "The struggle of man against power is the struggle of memory against forgetting." So wrote Milan Kundera about the communist regimes of central Europe. His words apply as aptly to the regime that governs our planet's most populous nation and most ancient continuing civilization.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Monday marks 100th anniversary of revolution against China's imperial system

@highlight

David Frum says the Chinese leaders aren't confronting truth of that event

@highlight

He says China's regime spurns ideals of democracy and liberty