Port-au-Prince, Haiti (CNN) -- Another aftershock rocked Haiti on Friday. Buildings shook. People looked around to see what else might fall.

Then they returned to what they had been doing. At a park in the capital that has become a tent city, a group of kids resumed their soccer game.

Aftershocks have become a way of life in this devastated country along with so many other life-threatening challenges.

The aftershocks -- smaller earthquakes that follow a more powerful one -- "will continue for months, if not years," the U.S. Geological Survey said. "The frequency of events will diminish with time, but damaging earthquakes will remain a threat."

The quake Friday morning had a magnitude of 4.4, the Geological Survey said. That makes it much less powerful than the 7.0-magnitude quake that struck 10 days ago, leaving widespread death and destruction in its wake.

An earthquake on Wednesday was the strongest aftershock so far, with a magnitude of 5.9.

An earthquake that size is strong enough to cause "considerable" damage, the Geological Survey said, though the extent of damage that any earthquake causes depends on many factors, including its depth, proximity to dense population centers, and the strength of structures where it hits.

An American adoption service provider in Haiti wrote in a blog that the aftershock Wednesday sent "a wall tumbling down on our heads." Save the Children said its staff "heard already-weakened structures collapsing" as a result.

Yet the 7.0-magnitude quake was more than 40 times stronger than the 5.9-magnitude aftershock, researchers said.

While each new earthquake can slow relief efforts, those efforts were advancing Friday, including at the port, where critical supplies are being shipped in.

Full coverage | Twitter updates

The city's south pier was operating, though slowly. Authorities pushed Friday to clear the bottlenecks at the port.

The north pier remained unusable, and the south pier is the smaller of the two. Bottlenecks at all points of entry -- the airport, roads, and ports -- have delayed food and medical aid to the estimated 3 million Haitians affected by the quake.

About 120 to 140 flights a day were coming into the single-runway Port-au-Prince airport, compared with 25 a day just after the quake struck last week.

The USNS Comfort, a U.S. naval hospital off the coast, received about 240 patients over 36 hours, said Capt. James Ware, the commanding officer. "Most of those individuals are critical care types of injuries," he told CNN's "American Morning."

At least 72,000 people have been confirmed dead in the quake, according to Prime Minister Jean-Max Bellerive.

iReport: List of missing, found | Are you there?

As aid moves more quickly, those Haitians who made it through the quake with their health will have increased access to necessities such as food and water.

More than 300 aid distribution sites are up and running, a senior U.S. administration official said.

Rescuers continue efforts to find survivors who have defied the odds. A group of rescuers told CNN on Friday that each rescue gives them hope to keep working.

"We're still searching, we're still out there. ... And we'll continue doing that until the Haitian government and the local governments here decide that we're going to be going into a transition," said Capt. Louis Fernandez of Miami-Dade Urban Search and Rescue.

His colleague Danny Whu said, "The window is rapidly closing. These people, the ones who are entrapped without the ability of receiving food or water, they have to withstand heat indexes at or near triple digits. ... The body may survive a lot of days without food, but definitely they need water."

Impact Your World

International aid contributions since the quake have totaled hundreds of millions of dollars. U.S. spending for relief in Haiti has hit $170 million, the federal government announced Thursday.

@highlight

Aftershocks in Haiti "will continue for months, if not years," scientists say

@highlight

4.4-magnitude quake shakes Haiti on Friday, 10 days after monster 7.0 quake

@highlight

Aftershocks becoming routine to Haitians, but can be dangerous, experts warn

@highlight

Relief efforts in Haiti advancing as pier, airport gradually improve