(CNN) -- Twenty-five-year-old New Yorker Aubura Taylor graduated with honors from college, where he was a football standout. He told us he goes to church regularly and is not involved in gangs or drugs. By any objective standard, there is no reason for police to be bothering him. But he says they are a constant presence in his life.

This summer, he recorded an interaction on his cell phone camera.

"Get inside, and get the f--k out of there!" the video begins, with a uniformed cop cursing from his cruiser as Taylor and a friend shelter from the rain at the entrance of his grandmother's housing development waiting for a ride to their boxing gym.

"Why are you talking to me like that?" Taylor asks incredulously.

"Get inside," the cop repeats again, walking toward them and kicking open the door to the building, "or I'll handcuff you."

"I'm not even doing anything."

"Get inside, now!"

Most Americans know about what happened to Michael Brown in Ferguson, Missouri.  And many know about the choke hold death of Eric Garner by police in Staten Island, New York. Grand juries are reviewing evidence in both cases and we could soon learn if there will be criminal charges against the officers involved.

But between these and other high profile cases are the invisible daily struggles of blacks like Taylor who live and work in what police departments across the nation identify as "high-crime" communities, and are policed with the assumption of criminality.

Taylor's video didn't go viral or make the nightly news because the cop didn't beat, arrest or kill him, fortunately. But it's regular interactions like these that are sending a message that your rights matter less to the police when you're black.

These and more invasive kinds of persistent police interactions fueled a landmark lawsuit in New York, which resulted in an unprecedented ruling against the New York Police Department, ordering it to amend its "stop and frisk" practice. They also helped lead to the election of a reform-minded mayor in the city.

But nearly a year into Bill de Blasio's first term, we were told countless times during our reporting for this film that qualitatively little has changed in the relationship between minorities and the police. And though the number of stops is down dramatically, New York's new police commissioner, William Bratton, has largely replaced it in minority communities with "broken windows" policing.

The broken windows theory suggests that by aggressively focusing on low-level crime and disorder you can discourage more serious crimes. "Order maintenance," "zero-tolerance," and proactive policing are its hallmarks. Bratton credited it with reducing crime when he was the city's police commissioner in the early '90s under Mayor Rudy Giuliani. But many experts, like professor Alex Vitale of Brooklyn College, doubt the correlation.

"Crime rates dropped over the last 20 years in hundreds of cities around the world, in places that have never even heard of broken windows," he says. The department justifies its continued use by saying crime and disorder would rise again if it was abandoned. And so its aggressive policing with a focus on high numbers of misdemeanor arrests continues in minority neighborhoods, even though violent crime is at all-time lows. Vitale believes the police need to be reined in.

Bratton once seemed to think so as well. In the '90s when crime was falling in New York, according to Patrick Lyons of The New York Times, Bratton said citizens in heavily patrolled neighborhoods deserved a "peace dividend," a break from overzealous policing.

But many say that's not the way it's playing out on the streets today.

In an interview for our documentary, Bratton conceded that arrest and summons quotas are likely still practiced in some precincts, though he does not condone them. Combined with broken windows-style enforcement, it is a potentially dangerous mix.

That mix doesn't always turn deadly, as in the case of Eric Garner, but these aggressive and invasive interactions are having a generational impact and fueling events like what the nation witnessed in Ferguson and Staten Island.

And these interactions are also perpetuating distrust of police among minorities in New York. This summer, a spate of citizen-recorded videos showed NYPD interventions and arrests going awry because citizens seemingly didn't agree with the justifications for the encounters. "It's a sign of a breakdown of police legitimacy, Vitale said, "And once we head down that road, if it's not fixed, it's going to produce more and bigger confrontations."

It's bad for the police and bad for the city. Any criminologist will tell you that police solve more crimes when members of the public help them catch the criminals. But, the more the public is alienated, the less helpful they will be.

Like Aubura Taylor, most of the men and women we interviewed said they don't trust the police. They try to steer clear of them and avoid any verbal communication. Some community activists, like former NYPD cop Carlton Berkeley, even counsel minorities to say nothing when approached by the police. Berkeley's advice, "All you have to say is 'am I under arrest?' And if not, 'then am I free to go?'"

Critics of reform claim that excessive police oversight and scrutiny is tantamount to being soft on crime, and as a result will make the city less safe, returning it to early '90s, crack-epidemic-era crime levels, and making it more hospitable to terrorists. But the flip side is that the relentless wholesale targeting of black men in high-crime areas is creating a far more precarious future for beat cops, criminalized minorities and the city.

The resounding cry in communities of color is that a new approach and a new police culture are needed.

As de Blasio's first year in office winds down, he has an opportunity to honor his pledge to renew trust. The federal ruling in the stop and frisk case contained a list of remedies. All the barriers to those remedies being enacted disappeared when the final appeal was tossed out last month.

The recently announced policy change to stop arresting people who possess less than 25 grams of marijuana, according to some critics, may only slightly reduce the number of arrests and does not address the root problem of disparate enforcement where blacks and Latinos make up 86% of marijuana arrests, despite equal use across demographic lines.

An incremental policy change does not address the ongoing complaints among minorities that they feel targeted, and that this department and ones across the country lack a racially inclusive vision for policing.

When Taylor showed us his video, no one outside his circle had seen it before. "I was planning on giving it to a reporter," he said, "because I want people to know how we're still scared of the NYPD and we don't know what to do. We need somebody that can help us."

Join us on Facebook.com/CNNOpinion.

@highlight

Beyond high-profile cases like that in Ferguson, there's ongoing tension between cops, minorities

@highlight

Filmmakers say New Yorkers still distrust cops even after stop and frisk lawsuit

@highlight

They say decision to stop small-scale marijuana arrests will help but it's not enough

@highlight

"Broken windows" theory of policing leads to inequities in enforcement, they say