A joint military task force in Nigeria arrested 158 suspected members of the Islamist militant group Boko Haram, security sources told CNN Tuesday, three days after a spate of bombings and shootings left more than 200 people dead in Nigeria's second-largest city.

Some suspects resisted arrest and exchanged gunfire with the task force in the city of Kano, said security sources who asked not to be named because they are not authorized to speak to the media.

No casualties have been reported so far, they said.

The arrests come as community leaders said the number of dead from the Kano bombing and gun attacks has risen to at least 211.

Community leaders have been keeping their own count of the number of dead from Friday's attacks, they told CNN Tuesday, including victims who never made it to hospitals. They declined to be quoted by name for security reasons.

Government officials declined to confirm the number of victims. They previously put the death toll at 157.

Police in Kano announced Tuesday that they had seized 10 cars laden with explosives and about 300 improvised explosive devices hidden in soft drink cans and bottles at a number of locations in the city.

The state police commissioner, Ibrahim Idris, said a mass search turned up the explosives after police found undetonated devices at a police barracks in Kano.

President Goodluck Jonathan toured the city Sunday after the attacks there left the police headquarters and other government buildings in charred ruins Friday night.

"The message I had for the people of Kano is the same message I have for all Nigerians: A terrorist attack on one person is an attack on all of us," Jonathan said in a post on his official Facebook page after the visit.

Boko Haram -- whose name means "western education is sacrilege" -- claimed responsibility for the blast in a phone call to the Daily Trust, according to journalists at the newspaper.

The group has been blamed for months of widespread bloodshed, with churches and police stations among the targets.

The United States Tuesday strongly condemned the "terrorist attacks" carried out in Kano on Friday and in the neighboring state of Bauchi on Sunday, State Department representative Victoria Nuland said.

"This is a time for all Nigerians to stand united against the enemies of civility and peace," she said in a written statement.

"Nigeria's ethnic and religious diversity is a source of strength for the country and those who seek to undermine that strength with divisive tactics cannot succeed," she insisted.

The bombings hit eight government sites Friday.

Shell-shocked residents wandered the streets, looking for loved ones. Others hid behind barricaded doors, too scared to leave for fear of more attacks.

"That's the scary part, not knowing," said Faruk Mohammed, 27, who lives near one of the bombed police stations. "We don't know what's going to happen next. No one thought this would ever happen here. There's a general sense of despair."

The attacks paired bomb blasts with shootings at various sites including police stations, the passport office, state security headquarters and the immigration office.

During the attack, assailants entered a police station, freed detainees and bombed it, authorities said.

They later canvassed the area in a car led by motorcycles, spraying targets with gunfire.

"I counted at least 25 explosions," Mohammed said. "... Then it went deathly quiet. Kano is a bustling city. ... I've lived here for years and it has never been quiet, even at night. But after the bombings stopped, the only noise you could hear were dogs barking."

On Sunday, two churches and a security checkpoint were attacked in Bauchi state, the state police commissioner said in a written release. At least 11 people, including police and army personnel, were killed in the checkpoint attack, the commissioner said. There were no casualties reported from the church attacks.

Police said they suspect Boko Haram was involved in the checkpoint attack.

In December, Jonathan declared a state of emergency in four northern states after a series of Christmas Day attacks on churches blamed on Boko Haram.

The man suspected of orchestrating those attacks was briefly captured before escaping police custody while being transferred to another prison.

Depending on the faction, Boko Haram's ambitions range from the stricter enforcement of their interpretation of Islamic Sharia law to the total destruction of the government.

Its grievances remain local, but it has attacked international institutions --- such as the United Nations -- on Nigerian soil.

An August 26 attack -- during which a Boko Haram suicide bomber drove a Jeep laden with explosives into the U.N. headquarters in Abuja -- was one of the deadliest in the world body's history. Twenty-four people were killed, including 12 U.N. staff members.

The group was formed in 2002 by Islamic preacher Mohammad Yusuf as an outgrowth of ethnic tensions in the country in the 1990s.

Nigeria's population is split between mostly Muslims living in the north and predominantly Christians in the south. Yusuf advocated the institution of Sharia law throughout the northern states and opposed democracy.

The group operated openly out of northeastern Nigeria and staged small-scale attacks against government targets.

In 2009, Nigerian police forces moved to crack down on Boko Haram. Harsh police tactics led to an armed uprising and the arrest of Yusuf, who later died in police custody.

The death spurred the group to begin its attacks on police stations. Ensuing clashes between group members and the police killed hundreds.

The following year, Boko Haram re-emerged as a more radicalized, insurgent-style group, staging assassinations and attacks against not only government targets, but also churches and even a beer garden.

"We're dealing with a movement of inchoate rage," said John Campbell, a U.S. ambassador to Nigeria who left his post in 2007.

"It's highly decentralized, but what it has in common is a strongly Islamic character, and hatred for the secular, political economy of Nigeria, particularly the federal and state governments," he said.

@highlight

"This is a time for all Nigerians to stand united," the U.S. State Department says

@highlight

A military task force arrests 158 suspected Boko Haram members, sources say

@highlight

Police report seizing hundreds of explosives hidden in soft drink cans

@highlight

Boko Haram, an Islamist group, says it carried out recent attacks, a newspaper says