(CNN) -- A year after beating breast cancer, Peter Criss, a founding member of the rock band KISS, calls himself "the luckiest man in the planet."

Peter Criss, now 63, said getting medical treatment early at the first sign of trouble saved his life.

While some men feel embarrassed because of "this macho crap," Criss said surviving breast cancer -- yes, men get it, too -- was actually a blessing. He was treated before the tumor could spread and said he's speaking about male breast cancer now -- during National Breast Cancer Awareness month -- to raise the profile of this rare disease.

Criss, who played drums for KISS and was known as "Catman," offered this advice to men who spot lumps in their breast: "Don't sit around playing Mr. Tough Guy. Don't say 'It's going to go away.' It might not and you might not see life anymore and how beautiful that is."

The 63-year-old musician is now cancer free.

Like many others, Criss wasn't aware men could get breast cancer.

"Even though we don't think of men as having breasts, they have breast tissue and are susceptible to getting breast cancer," said Dr. Sharon Giordano, an associate professor of medicine in the department of breast medical oncology at the University of Texas M. D. Anderson Cancer Center in Houston. She is not involved in Criss' care.

"All men have some residual degree of breast tissue behind the nipples. It may be very small, but just like any part of the body can get cancer, that part of the body can get cancer," she said.

Male cases are rarer than female breast cancer, making up less than 1 percent of total cases.

According to the National Cancer Institute, in 2009 an estimated 192,370 women in the United States are expected to receive a diagnosis of breast cancer and about 40,170 are expected to die of the disease. Among men, there will be an estimated 1,910 new cases and 440 deaths.

"So many people must die from this," Criss said. "Somebody has to step up to the plate and say something to get them aware of how dangerous this is. Lots of men die: They wait, they don't go in, they put it off."  Watch Criss' interview. »

Criss joins a small group of men who have spoken publicly about having breast cancer. Several years ago, Richard Roundtree, the actor who played the title role in the 1970s "Shaft" films, revealed he had breast cancer.

Experts say men tend to get a diagnosis at a later stage than women, because they don't believe they can get breast cancer, and don't get routine mammograms or breast exams.  Take the quiz on breast cancer. »

Breast cancer is "actually easier to find in men for obvious reasons. They develop an asymmetrical lump in their breast," said Dr. Stanley Waintraub, co-chief of The John Theurer Cancer Center's division of breast oncology at Hackensack University Medical Center in New Jersey. Men may ignore symptoms, such as lumps, pain in the breast or discharge from the nipples.

"A man has to know, if he has enlarged breasts, a lump, a discharge, just because he's a man, he is not immune to breast cancer," Waintraub said.

When Criss spotted a painful lump in his left breast after a workout in 2007, he didn't wait.

"I go to the gym; I've been drumming since I was a kid. So I'm very aware of my body," he said. "So when this happened I said, 'Jesus, what's this thing?' "

After consulting with his wife, who was battling a different type of cancer at the time, he sought medical attention. Criss had surgery in February 2008 to remove what the doctors thought was a harmless nodule. Later, he learned the nodule was actually breast cancer.

"I flipped out. I just couldn't believe it. It's a nightmare," he recalled. "I was angry at everything. I couldn't believe I had this. I was a really angry guy for a long time."

Doctors removed the cancer in a March 2008 surgery. Because the cancer had been caught early, Criss did not need breast reconstruction or chemotherapy.

The operation left no scars, so his doctor joked that Criss could still take his shirt off to play the drums. Criss responded with a laugh, "I'm in my 60s. Those days are over."

Criss sang lead vocal and co-wrote one of KISS' most famous songs, "Beth." He left the band in 1980. He rejoined the band for a reunion tour in the mid-1990s and stayed on, eventually leaving again in 2004.

He still plays the drums, and has started working on a record and an autobiography.

For men, "because of the lack of awareness, it can be stigmatizing to feel like they have a female disease when they're a man," Giordano said.

In the sea of pink ribbons, men who have breast cancer may feel isolated. To build a network among them, the John W. Nick Foundation started connecting male breast cancer survivors in 1996.

"They talk with one another," said the founder, Nancy Nick, whose father died of the disease. "It's the greatest thing for healing. They learn they're not alone. Second, they learn about protocol and treatment. They can compare their treatments and the care their doctor is giving them."

Criss credits his wife and his Catholic faith for pulling him through the difficult times.

Every year, he gets a mammogram; he had his checkup two weeks ago. "I left smiling like a Cheshire cat. Now, I'm coming around, I'm just so grateful," he said.

The causes of breast cancer remain unknown. But like women, men's risk of  breast cancer increases if they inherit BRCA1 or BRCA2 gene mutations.

Criss said he learned that breast cancer ran in his family, so he called his sisters, nieces, daughter and even his brother about possible risks.

"It's just important -- just go get checked out," said Criss. "It's not like you're going to lose your manhood."

@highlight

Peter Criss, original drummer for KISS, talks about his breast cancer

@highlight

Male breast cancer makes up less than 1 percent of total cases

@highlight

Men tend to be unaware they're at risk for breast cancer too, doctors warn