The first ten months of 2014 have been the hottest since record keeping began more than 130 years ago, according to data from the National Oceanic and Atmospheric  Administration.

That may be hard to believe for people in places like Buffalo, New York, which saw a record early snowfall this year.

But NOAA says, despite the early bitter cold across parts of the United States in recent weeks, it's been a hot year so far for the Earth.

With two months left on the calendar, 2014 is shaping up to be the hottest year on record.

The average global temperature between January and October has been 0.68 degrees Celsius (1.22 degrees Fahrenheit) higher than the 20th century's average global temperature of 14.1 C (57.4 F).

NOAA's analysis is an important "health gauge" indicating an ominous trend for the planet, says CNN meteorologist Derek Van Dam.

"It's becoming increasingly more difficult to be a skeptic of the causes of our warming planet," he says.

Hottest October

This October was the hottest October on record globally, NOAA data showed. The mercury climbed more than one degree Fahrenheit above the 20th century average of 57.1 F.

It was the fourth warmest October on record for the United States, NOAA said.

"The record high October temperature was driven by warmth across the globe over both the land and ocean surfaces and was fairly evenly distributed between the Northern and Southern Hemispheres," the agency said.

That's significant, says Van Dam.

"Most notably, this record warmth is not contained to any specific part of the world. Meaning, we are all in this together," he says. "So far this year, record-breaking warmth has been observed in at least every continent and major ocean basin of our planet. This is something we cannot ignore."

Important benchmark

NOAA's analysis breaks down global temperatures into two categories -- land and ocean -- then an average that includes both. The record high temperatures in October were recorded across both land and sea.

The surface temperature on land approached an important scientific benchmark. It was almost 2 degrees Celsius higher than the 20th century average for October of 9.3 C (48.7 F).

Scientists have long predicted that a change in global average temperature of  just 2 to 3 degrees higher could spell disaster for the planet, contributing to catastrophic storms, sea level rise, dangerous storm surges and melting polar ice.

According to the non-binding international agreement on climate change -- the Copenhagen Accord, reached in 2009 -- any temperature increase above the 2 degree Celsius mark is "dangerous."

NOAA said the ocean temperatures were also the warmest on record in October with an increase of 1.12 F over the 20th century average of 60.6 degrees.

Hot spots

"Record warmth for the year-to-date was particularly notable across much of northern and western Europe, parts of Far East Russia, and large areas of the northeastern and western equatorial Pacific Ocean, " NOAA said.  "It is also notable that record warmth was observed in at least some areas of every continent and major ocean basin around the world," the agency added.

Of particular note, several countries have already seen an average temperature increase of more than 2 degrees Celsius in October 2014 compared to 20th century averages, including Australia, Germany, France, Switzerland, and Sweden.

There was also one notable cold spot on the map.

The average temperature this year in the midsection of the United States, which saw a severe winter, has been below the 20th century average.

@highlight

NOAA: Global temperatures pushing record highs this year

@highlight

New study finds average global temperatures approaching "dangerous" benchmark

@highlight

NOAA data looked at land and ocean conditions, then averaged the numbers

@highlight

Parts of Europe, Eastern Russia saw more extreme temperature hike