(CNN) -- Opening in select U.S. theaters next week, the documentary "Putin's Kiss" tells the story of a Russian teenager who became famous in the mid-2000s when she was shown on TV giving President Vladimir Putin a kiss on the cheek.

Danish filmmaker Lise Birk Pedersen's movie is well-timed.

Putin won his third term as Russia's president last month and will officially take power in May. He is finishing up a stint as prime minister, as he was limited to two consecutive terms as president.

While not well-known in the West, Masha Drokova will always be a symbol of Putin's power and of the first generation to come of age in post-Soviet Russia, after her tumultuous tenure as the spokeswoman for Nashi, a nationalist youth movement that Putin officials created in 2005. Nashi organized mass marches in support of the Russian president, proactively heading off opposition to Putin at every turn.

As Nashi gained thousands of members, the provincial but ambitious teen from the Moscow suburbs was rewarded for being its mouthpiece. She got a car, an apartment and even a television show. The film shows Masha as she begins to question it all after befriending independent journalists who criticize Putin.

Audiences watch Masha's disillusionment with Nashi turn to anguish when one of those reporters is savagely beaten by attackers he suspects are Nashi members.

"Putin's Kiss" took the world cinematography award at this year's Sundance Film Festival.

Watch the trailer

CNN spoke with Pedersen by phone from her home in Denmark.

CNN: Why did you want to make this movie?

Pedersen: I wanted to make a contemporary portrait of the first generation to come of age in the new Russia. For research, I spoke to a lot of young people Masha's age. ... I traveled to Russia for three or four weeks and I spoke only with young people, 18 to 20, in big cities and the countryside, who were born exactly at the time the Soviet Union was collapsing.

CNN: Why focus on Masha?

Pedersen: When Masha was very young, and Russia was changing to a capitalist society, the middle class gained more money, more possibilities to send their young people to good schools and to take vacations abroad. It had changed the attitudes among the young people and the population all in all. So people were much more optimistic and they really looked up to Putin and (were) feeling proud about Russia. I wanted to portray that side as well, and that's also one of the reasons I chose to portray a person who was a spokesperson for Putin's youth movement, Nashi.

CNN: Masha was someone who certainly believed in Nashi, which describes itself as this kind of democratic anti-Fascist movement that Putin and the presidential administration was very much for. Things were going well for her. Suddenly she had this great fame. Then she meets journalists and starts spending time with journalists. What does that cause to happen in her life? What happens? What goes wrong?

Pedersen: Nashi actually means "ours." In Nashi they believe very much in Russia and that Russia should be the leader of 21st century, and to make (the country) the leader of the 21st century we need to support the ruling power. And if you don't support the ruling power, if you're critical towards Putin, you're basically labeled an enemy. A lot of these young liberal journalists that Masha started to hang out with, they were very critical about Putin and his ruling. So Masha gets into this crowd and she's warned by the leadership of Nashi that she should not mix with these people, that she could not in daytime believe in Putin and then in nighttime be friends with people who would criticize him.

CNN: Can you give our audience some perspective on why Nashi was so important to both Putin and why their voice was so important on the national political scene? If there are a lot of young people (in the U.S.) who band together and decide they want to support President Obama or some other politician, it's not as if that group is going to make headlines every single day and their voice is going to be the top.

Pedersen: Nashi was formed from above. It's not like a grass-roots organization. It's not like a young person would wake up in the suburb and then think "Oh, I have to go out and support Putin and then form Nashi." ... Nashi was formed by the political top. Its former leader is now a kind of youth minister. Nashi had a very specific mission.

(Nashi, the filmmaker adds, was Putin's way of heading off anything like 2005's "Orange Revolution" in the Ukraine. Protesters took to the streets claiming that the re-election of the country's president had been rigged. Demonstrators successfully demanded a recount that revealed the leader of the opposition party had actually won.)

Putin was very much afraid that young people would take to the streets and make revolution as well as what happened in the Ukraine. Nashi was formed to counteract something like that. During parliamentary elections four years ago, Nashi has this role to go in and occupy squares in major cities, mainly in Moscow and St. Petersburg. They would apply for (permits) to stay on the square and use the whole day for their action to prevent others from using the space. We see in the film the different methods they used to fight any opposition.

CNN: How, logistically, did you go about making the film, considering your characters were in jeopardy all the time? (The independent journalist who was beaten, Oleg Kashin, wrote a New York Times op-ed from his hospital room saying he suspected Nashi members were behind the attack. He wrote that one of his fingers needed to be amputated, his jaw and leg were broken and he had head injuries.)

Pedersen: What was difficult was that in the beginning, Masha wanted to draw a very positive picture of Nashi. I kept telling her I wanted to tell (both sides). She most of the time, especially in the beginning, would make this picture of Nashi almost like a Boy Scout movement. As filming progressed, and she started to meet people who were criticizing Nashi, she actually still tried to keep away from meeting some of her new friends who had been critical toward Nashi. She was in a difficult process herself. Even to talk about it and let me see would have made it real to her.

CNN: What is Masha up to now and what does she think of the film?

Pedersen: She is PR manager for a foreign investment firm. She is quite successful, but she has withdrawn from politics and from liberal journalists. She felt like she was very manipulated by both sides. When she saw the film, she told me she felt "50/50." She liked the film, and thought it was a good portrait of her, but that it took the side of the journalists too much.

CNN: What role is Nashi playing right now in Russian politics? We saw an unprecedented number of anti-Putin protesters take to the streets just before the March election.

Pederson: During the presidential election, Nashi were saying that there would be 20,000 (members) on the streets of Moscow fighting the opposition. There has been activity, (but) it's a little difficult to say what. The thing with Nashi is that they grow every time there is an election. They tend to shrink during nonelection periods. People are saying that Nashi will disappear, but I'm not sure about that. It's a fantastic tool for the ruling power.

Click here to see where "Putin's Kiss" is playing.

@highlight

New documentary tells story of teen who famously kissed Russia's president

@highlight

Masha Drokova was the spokeswoman for Nashi, a youth group Putin created

@highlight

Filmmaker: Masha became torn between Nashi and journalists who questioned it