(CNN) -- An otherwise lazy Sunday suddenly morphed into a manic Sid day.

At 2 p.m. November 20, the Pittsburgh Penguins' public-relations staff was informed that the world's most famous hockey player -- who had not played in 319 days on account of the world's most famous concussion -- planned to lace up his skates 29 hours later against the New York Islanders.

At 3 p.m., the Penguins broke the news on their website under the memorably modest headline "Crosby Returns to Lineup Monday."

File that one as the sports equivalent to "Man Walks on Moon."

At 3:01, the sports universe began to respond with the sort of urgency only a transcendent athlete could trigger. And make no mistake, the National Hockey League has only one transcendent athlete, one man who could move mountains (or at least television trucks and vacationing sports writers) on a moment's notice.

USA Today hockey writer Kevin Allen was relaxing at a Detroit Lions game with his wife when the call came. He immediately made plans to cover the event.

"I'd already told my bosses, 'If Crosby comes back, I'm coming off vacation,' " Allen said. "I just thought, 'It's such a major story for our league.' "

He wasn't the only one. By the next afternoon, a Stanley Cup Final-sized fleet of seven TV trucks (there are normally two) had found their way to the loading docks outside Pittsburgh's Consol Energy Center. No fewer than 251 media credentials had been issued.

All three major Canadian TV networks made the trip. Even ESPN -- which relinquished its NHL rights several years ago -- sent reporters to the scene and broke into programming with live updates all day.

"ESPN doing live hourly updates from an NHL arena in November? It just doesn't happen," said Tom McMillan, the Penguins' senior vice president of communications.

Watch highlights of Crosby's return

Yeah, Crosby is that big a deal. He hasn't made the NHL must-watch TV in the United States -- even Wayne Gretzky couldn't do that -- but his impact is undeniable. He came along at precisely the right time, as the NHL emerged from its year-long lockout in 2005, and immediately established himself as the sport's marquee name.

"He's the best player in the world," said television analyst Jeremy Roenick, a longtime NHL player. "If I'm going to turn on a hockey game, the first game I'm going to watch is one where Sidney Crosby is playing."

Crosby, 24, has transformed Pittsburgh into the NHL's U.S. leader in local TV ratings and its overall leader in merchandise sales. He has personally led the league in jersey sales for six straight seasons, according to the Sports Business Journal, while winning a Stanley Cup and scoring an Olympics-winning goal for Canada in 2010.

Crosby's return enthralled Penguins fans, who have sold out 223 consecutive games. The Penguins B.C. -- Before Crosby -- were on the verge of being sold and relocated. Last in the league in attendance. Given up for dead.

Everything changed when the team won the '05 draft lottery, on a 6.25% chance, and the right to draft "The Kid." The hype preceding his arrival was unprecedented. Yet he exceeded it.

He usually does.

"It's hard for outsiders to understand how much Sidney Crosby means to the city," said Andy Conte, who chronicled the team's rebirth in the recently released best-selling book "Breakaway." "Without him, the Penguins in all likelihood wouldn't be here. They would be in Kansas City, Las Vegas or some other city."

Nobody needs to recount the story to Penguins President David Morehouse, a Pittsburgh native who grew up rooting for the team. Morehouse points out that the Penguins' local TV ratings have rocketed from a pitiful average of 1.5 to well into the 8's since Crosby arrived six years ago. The team's season-ticket waiting list now exceeds 9,000.

"What Sid means to the city is not just what he does on ice but the type of person he is," Morehouse said. "It's his youth and energy. He's taken what Mario (Lemieux, hockey legend and team owner) built to a whole new level. It has allowed us to build our brand in a way that has made Pittsburgh a hockey town."

The town exploded when Crosby scored on vintage backhander just 5 minutes, 24 seconds into his return game. He unintentionally punctuated his celebration with a joyous and easy-to-decipher profanity.

"Hopefully," Crosby said, "everyone wasn't reading lips at home."

Rest assured, they were, and they won't soon forget the kind of where-were-you moment rarely seen at a regular-season sporting event. Calls came fast and furious to the local sports radio station, 93.7 The Fan, the next day as people relived Crosby's goal. One woman cried. A man claimed that his wife jumped on the couch and simultaneously yelled the exact phrase Crosby was mouthing on the ice.

Crosby finished with two goals and two assists in a 5-0 victory. His return evoked memories of Lemieux emerging from a three-year retirement in 2000 to star in a 5-0 victory over the Toronto Maple Leafs.

SI on Crosby's return

Crosby hasn't scored a goal since, but he easily leads the NHL in points per game (1.83) with 11 in six games. He has vaulted from nowhere to fourth among forwards in All-Star votes. The Penguins are 4-1-1 since his return and are averaging better than a half-goal more per game.

But the larger story is Crosby's recovery. Concussions are a hot-button topic in the NHL and NFL these days.

Unaware that he might have been concussed, Crosby initially returned to the lineup only five days after absorbing a head shot from then-Washington forward David Steckel at January's Winter Classic. He sustained another head hit in his next game.

After that, Crosby was determined to heal fully. His advice to other athletes: "I wouldn't come back until you're 100%. That's my advice, and however long it takes, it's worth the wait, making sure you listen to your body."

Crosby faced mounting criticism for not returning sooner. He bucked the sporting culture that says, "Shake it off." His respect for the recovery process could become a significant piece of his legacy, depending on how his comeback plays out.

"I do think the way this went down, the way it was managed and the outcome we've had so far, could change the culture of concussion management," said Dr. Micky Collins, who began treating Crosby in January. "It's the most powerful case I've ever been involved in."

Collins is director of the UPMC Sports Medicine Concussion Program, the nation's busiest clinical practice for sports-related concussions. He sees thousands of patients each year, from elementary school athletes to professional stars. He treated Denver Broncos quarterback Tim Tebow after Tebow sustained a concussion while at the University of Florida.

Crosby's injury was more severe. And more closely monitored.

"I heard from NFL players, Major League Baseball players, soccer players, they were all interested in how this went," Collins said. "It was unlike with any athlete I've seen. All eyes were on Sid going through this. I'm talking about parents, kids, pro athletes, community members, friends. Kids would tell me they felt a ray of hope with someone like him going though it, too.

"I hope it sends a message that this injury does have to be managed very carefully, and that if managed effectively, you can prevent bad outcomes."

Collins, who along with Penguins team physician Charles Burke cleared Crosby to return, won't soon forget the comeback game.

"I felt an incredible sense of pride," Collins said. "I didn't feel nervous. I felt good."

By the end of the night, everybody felt good. Better than good, actually.

They felt Sid-sational.

@highlight

Sidney Crosby, hockey's biggest star, missed almost a year with a concussion

@highlight

Crosby, 24, has already led teams to the Stanley Cup and Olympic gold

@highlight

Crosby is largely credited with saving the Penguins franchise for Pittsburgh

@highlight

His recovery from concussion is being closely watched by athletes, sports medicine experts