Police around the United States are recording the license plates of passing drivers and storing the information for years with little privacy protection, the American Civil Liberties Union said Wednesday.

The information potentially allows authorities to track the movements of everyone who drives a car.

The ACLU documented the police surveillance after reviewing 26,000 pages of material gathered through public records requests to almost 600 local and state police departments in 38 states and the District of Columbia.

Opinion: Supreme Court must protect our privacy from the government

Police are gathering the vehicle information with surveillance technology called automatic license plate readers, and it's being stored -- sometimes indefinitely -- with few or no privacy protections, the ACLU said.

"The documents paint a startling picture of a technology deployed with too few rules that is becoming a tool for mass routine location tracking and surveillance," the ACLU said in a written statement.

The license plate readers alert police to an automobile associated with an investigation, "but such instances account for a tiny fraction of license plate scans, and too many police departments are storing millions of records about innocent drivers," the ACLU said.

After the crash: License, registration, cellphone, please

"Private companies are also using license plate readers and sharing the information they collect with police with little or no oversight or privacy protections. A lack of regulation means that policies governing how long our location data is kept vary widely," the ACLU said.

The civil liberties group is advocating legislation regulating the use of the technology.

The readers have been proliferating at "worrying speed" and are typically mounted on bridges, overpasses and patrol cars, the ACLU said.

The devices use high-speed cameras, and the software analyzes the photographs to retrieve the plate number, the group said.

Lawsuit by 19 groups seeks to halt NSA snooping

The system then runs the data against "hot lists" of plate numbers and produces an instant alert when a match, or "hit," registers, the group said. The hot lists include the National Crime Information Center ﬁle, which includes stolen cars and vehicles used in the commission of a crime.

"License plate readers would pose few civil liberties risks if they only checked plates against hot lists and these hot lists were implemented soundly. But these systems are conﬁgured to store the photograph, the license plate number, and the date, time, and location where all vehicles are seen — not just the data of vehicles that generate hits," the ACLU report said.

The growing collection of data allows police to create "a single, high-resolution image of our lives," and the constant monitoring "can chill the exercise of our cherished rights to free speech and association," the group said.

"If not properly secured, license plate reader databases open the door to abusive tracking, enabling anyone with access to pry into the lives of his boss, his ex-wife, or his romantic, political, or workplace rivals," the ACLU said.

Law enforcement argues the tools keep officers and the public safe.

In a blog post last week, the Los Angeles Police Protective League said that license plate recognition (LPR) technology has helped with "literally thousands of cases nationwide."

"LPR is not an invasion of privacy, but rather a tool for law enforcement to better accomplish its mission to protect and serve. The onus is on law enforcement agencies and governing bodies to ensure that they have proper policies in place for disciplined and responsible use, with appropriate punishments for anyone operating outside of policy," the union said.

The ACLU report cited how the Minneapolis Star Tribune in 2012 tracked the movement of the Mayor R.T. Rybak's car 41 times at a license police reader in the prior year. The newspaper put the information on a map and gathered the data through public records requests.

The newspaper found that the police department's plate readers yielded hits of fewer than 1% of the 805,000 plate scans made in June 2012, according to the ACLU.

A hit means that a read matched a listing in a database of vehicles law enforcement was interested in, for whatever reason. They might be reported stolen, for instance, or belonging to missing persons.

As a result, the mayor directed the police chief to recommend a new policy on data retention, the group said.

@highlight

Union says technology helps to keep officers and the public safe

@highlight

Police around country track every vehicle passing a license plate reader

@highlight

The readers are surveillance technology using high speed cameras

@highlight

There's little, if any, privacy protection for innocent motorists, the ACLU says