New York (CNN) -- Nine Septembers have come and gone and yet, the many days that separate America now from a chilling day in its history did not dull remembrance Saturday.

Once again, the nation paused in silence to mark the times when hijacked jets crashed into the World Trade Center, the Pentagon and a field in Shanksville, Pennsylvania, and nearly 3,000 lives were lost in a matter of minutes.

But this year, a national debate over a proposed Islamic center near ground zero hovered over the day's heart-stopping sorrow, and the president once again pleaded for the tolerance that has come to define America. Rallies in favor of and against the center were held later in the day.

At Manhattan's Zuccotti Park, adjacent to the September 11 memorial site, thousands gathered, wanting to be as close as they could to hallowed ground.

As has become customary, the names of the 2,752 who perished at the World Trade Center were read out aloud -- each belonging to a mother or father, son or daughter, husband or wife, a friend, or even a stranger.

"We have returned to this sacred site to join our hearts together with the names of those we loved and lost," said New York City Mayor Michael Bloomberg at the start of the ceremony.

"No other public tragedy has cut our city so deeply," he said. "No other place is as filled with our compassion, our love, and our solidarity."

Silence befell New York at 8:46 a.m., the time when the first plane struck the North Tower. Another moment of quiet followed a few minutes later, at 9:03 a.m., when a second jet pierced through the South Tower.

Shortly after the second moment of silence, Vice President Joe Biden read a poem by Henry Wadsworth Longfellow.

"Build today, then strong and sure with a firm and ample base; and ascending and secure shall tomorrow find its place. "

With each toll of the bell, an emotional chord struck hearts. Family members stepped forward to talk about those who were lost. And with each word, hot tears rolled down cheeks.

A woman remembered her mother, Larissa Ceylon Taylor.

"Although I was 11 years old when you passed, you were my best friend and the greatest mom. We all love you and we miss you. God bless you, Mom. I love you."

Another spoke of her sister, Deborah Ann Dimartino. "We will hold you close to our hearts."

And a brother, Christopher Epps, who was a Star Wars fan.

"Christopher, so handsome and, oh, so fine. With a heart of gold, why, oh why did you have to leave us behind? And I said to myself, I know why. God was looking for a captain of a ship, someone who qualifies as a jedi. So go on, dear brother, don't be shy. Your ship awaits you with 2,000 and more to stand by your side, to travel with you on your journey into the sky. May the force be with you, Christopher Epps. We love you and you are embedded in our hearts forever."

In his weekly address, President Barack Obama highlighted the scope of America's loss.

"We think about the milestones that have passed over the course of nine years -- births and christenings, weddings and graduations -- all with an empty chair," he said.

"On this day, we also honor those who died so that others might live: the firefighters and first responders who climbed the stairs of two burning towers; the passengers who stormed a cockpit; and the men and women who have, in the years since, borne the uniform of this country and given their lives so that our children could grow up in a safer world," Obama said.

Later, Obama laid a wreath at the Pentagon, where American Airlines Flight 77 struck and killed 184 people, and sounded again a message of tolerance, keenly aware that this anniversary was cast under a different light.

Beyond the outpouring of grief on this day lay rising anti-Muslim sentiment and furious controversy over a proposed Islamic center two blocks away from where the World Trade Center once soared. It's an issue that has even split the families and survivors of the 2001 attacks.

New York police beefed up security as Americans voiced their opinions Saturday afternoon at rallies over the site.

Speakers in favor of the location reminded the nation that Muslims, too, were among the victims of the September 11 attacks and that anti-Islamic sentiment in America is the result of misguided wrath. "Unity yes, racism no," the demonstrators chanted.

Shortly afterward, opponents held their own gathering, chanting "No Mosque" and "USA" as speakers decried the plans and said the nation shouldn't forget the terrorist attack on September 11.

Attorney General Eric Holder vowed the Justice Department would continue "working tirelessly to combat terrorism in all its forms and to hold accountable all those responsible for the September 11 attacks in a manner that is consistent with our nation's values."

Holder spoke Saturday at the National Law Enforcement Officers Memorial in Washington. He paid tribute to the 72 law enforcement officers killed that day.

"This work goes on, and it will always remain my highest priority," Holder said. "Let us take their dream of a world that is better, safer and more just and make it our own."

Obama reiterated that America is not at war with Islam but with al Qaeda's "sorry band of men which perverts religion."

"They may wish to drive us apart but we will not give in to their hatred and prejudice," he said. "The perpetrators of this evil act didn't simply attack America, they attacked the very idea of America itself.

"And so the highest honor we can pay those we lost, indeed our greatest weapon in this ongoing war, is to do what our adversaries fear the most -- to stay true to who we are as Americans, to renew our sense of common purpose, to say that we define the character of our country and we will not let the acts of some small band of murderers who slaughter the innocent and cower in caves distort who we are," he said.

Fueling further controversy, a Florida pastor had threatened to burn a Quran on this fateful day.

But just before the ceremonies began, the Rev. Terry Jones said he was canceling the Quran burning planned for 6 p.m.

"We will definitely not burn the Quran," Rev. Terry Jones told NBC's "Today" on Saturday. "Not today, not ever."

In Shanksville, first lady Michelle Obama and former first lady Laura Bush led the commemoration for the victims of Flight 93, which crashed and burned as passengers and crew fought hijackers determined to strike the U.S. Capitol.

"I come here as an American, filled with a sense of awe at the heroism of my fellow citizens," Michelle Obama said. "I come as a wife, a daughter, and a sister, heartbroken at the loss so many of you have endured."

Laura Bush said the hijackers of United Flight 93 had other targets in mind, but the crash spot near Shanksville "was chosen by the passengers, who spared our country from even greater horrors."

Before his wife's comments, George W. Bush issued a statement recalling the day that came to shape his presidency.

"On September 11, 2001, Americans awoke to evil on our shores," he said. "We recall the many acts of heroism on that day, and we honor those who work tirelessly to prevent another attack."

In New York, the ninth September 11 anniversary was also different in another way: for the first time people gathered amid signs of rebirth rising from the ashes.

Next year, on this day, a new memorial is expected to open and on Saturday, the families of those who died were able to see some tangible progress of the structures that are being erected to honor their loved ones.

The planned memorial includes six skyscrapers, a museum, two waterfalls in the footprints of the twin towers, a performance center and a rail terminal. The first 16 oak trees of more than 400 that will line the memorial have already been planted. They will surround the acre-size waterfalls around which will be the names of the dead, etched in bronze.

Earlier this week, workers installed two 50-ton steel columns that once ringed the north tower at what will be the entrance to the memorial and museum.

And there is a reflecting pool, around which police, firefighters and dignitaries gathered, and later throngs of people stopped to toss a solitary long-stemmed rose.

By the time the ceremonies came to a close Saturday, it had turned into to a plush blanket of bloom.

CNN's Susan Candiotti and Naima Pettigrew contributed to this report.

@highlight

NEW: War on terrorism will continue, attorney general says

@highlight

Rallies held in favor of, against Islamic center near ground zero

@highlight

Americans mark the times when the planes crashed with solemn silence

@highlight

At the Pentagon ceremony, Obama makes a plea for religious tolerance