(CNN)The death of beloved Mexican soap opera star Lorena Rojas this week in Miami drew a deluge of heartfelt condolences -- from Los Angeles to San Juan, from Dallas to Buenos Aires.

That hordes of Latinas and Latin Americans are mourning the 44-year-old actress, who starred in more than a dozen telenovelas, is no surprise to anyone who understands the deep hold that these soap operas have on the imagination of Latino culture.

In fact, for Americans to fully grasp the culture of the more than 51 million Latinos who live in the U.S.,  as well as their Spanish-speaking brethren south of the border and in the Spanish-speaking Caribbean islands, they would do well to understand the importance of the telenovela.

Telenovelas are such an integral part of Latino tradition, in the U.S. and in the Spanish-speaking world, that soap stars like Rojas become part a household's extended family. Fans follow the stars' lives on and off the screen and live vicariously through both their fictional characters and real lives. They are something like the Kardashians of Latino culture.

What's more, social media has given fans access to their beloved celebrities 24-7, which may explain the outpouring of grief when news broke that Rojas succumbed to breast cancer that had spread to her liver. It was, after all, like losing a family member.

Since her debut in the Mexican soap "Alcanzar una Estrella," where she played opposite her biological sister, Mayra, Rojas had been a beloved member of Mexican households. Among the soaps she went on to star in were the sequel, "Alcanzar una Estrella II," "Cancion de Amor," "Rosario," "Pecados Ajenos," and her latest, filmed in Miami, where she lived, the Venezuelan series "Demente Criminal."

Rojas, however, was best known for her role as Isabel in the deliciously sexy soap "El Cuerpo del Deseo." The story revolved around a young woman who falls in love with a 67-year old man, played by the legendary Mexican-Dominican actor Andres Garcia. In the show, he dies and comes back to life as a young stud, Mario Cimarro.

In the nightly ritual of telenovela watching for millions of Latinas, such fantasy plots are exactly the point.

After a hard day's work, they are the balm or the dirty martini -- the inexpensive reward and gift -- that Hispanic women offer themselves. One reason why? For immigrants, many of them laboring in a new land -- cleaning, cooking for others, slaughtering cows in meat houses, running their own businesses, for instance -- the novelas represent a shared escape, a way to stay connected with loved ones back home and to each other, here in America.

They run on fast-paced cycles and feature a roller coaster of emotions and plot twists that fans savor until it all ends a few months later. One veteran actress described it to a reporter this way: "... Cry. In this one you don't cry. Now you are laughing. Now you are happy. Getting engaged. They're killing you. You are sick."

The popularity of novelas helped Univision edge out NBC in several sweeps months, making the Spanish-language network the No. 4 network among adults 18-49.

Audience share is a testament of the growth of the Latino population in the U.S., but it could also indicate a dearth of shows targeting this demographic in English-language networks. Indeed, while the American soap opera genre has continued to decline in viewership, Latino soaps have surged, partly because they have kept up with the times.

While 30 years ago most story lines featured sappy Cinderella-like plots -- poor girl meets rich guy, falls in love and, after a series of tragedies, ends up with her prince -- they have evolved. Plots, twists and characters wink to issues of the day, and in many ways the shows serve as surrogate teachers, where taboos are explored and often debunked.

Characters are getting divorces, remarrying, having premarital sex, cheating, having abortions, killing and getting killed. They are not just the good girls anymore -- they are naughty, and they're winning, too.

But perhaps the most delightful difference between American soaps and Spanish novelas is not just how over the top, fashionable and gorgeous the stars are; it is also that when they end after several months, evil is taken out, good always wins, and there is, for the most part, a happy ending. A refreshing way to live in a country where people want to deport you and your family!

In some ways, Rojas was a standard bearer for the telenovela. She may not have had a happy ending the way many of her on-screen characters did, but she lived her life like many of the women she played on the small screen: valiantly fighting cancer, divorcing, falling in love again and adopting a baby girl.

She had more than a quarter-million Twitter followers and celebrated her 44th birthday with them in her final days. In her last tweet on February 10, she thanked her fans: "Gracias a todos por celebrar mi cumple conmigo."

@highlight

Sandra Guzman: Grief over death of telenovela star Lorena Rojas can help Americans understand something about Latino culture

@highlight

Hugely popular, novelas are integral to modern Latino tradition, a shared escape and a way to stay connected with one another, she says