Washington (CNN) -- The grounding of Boeing Dreamliners entered its second week with the company and investigators working non-stop in the United States and Japan to try to pinpoint fire risk in the 787 electrical system.

U.S. aviation authorities are evaluating data but still do not have a handle yet on the cause of a battery fire on one Dreamliner and the reason behind a related incident on another plane that prompted regulators worldwide to idle the $200 million wide body until further notice.

With battery and related components under microscopic examination and a new round of testing at manufacturing facilities underway this week, U.S. government officials at the center of the issue expressed eagerness to get to the bottom of the matter.

But they also said it was crucial to let experts do a thorough job and the plane be re-certified as safe before lifting the order barring further flight.

"We don't know what is causing these incidents yet," Federal Aviation Administration chief Michael Huerta told reporters at an industry event in Washington on Wednesday.

"We need to let them finish their work," Transportation Secretary Ray LaHood said at the same event.

"These are expert people. They'll get to the bottom of it and then we'll let all of you know what they find out," LaHood said.

Experts: Quick fix for Dreamliner looks less likely

Boeing said in a statement that its technical experts are working "around the clock" and are focused on "resolving the issue" and returning the 787 to service.

"We are working this issue tirelessly in cooperation with our customers and the appropriate regulatory and investigative authorities. The company is eager to see both investigative groups continue their efforts and determine the cause of these events, and support their thorough resolution," said company spokesman Marc Birtel.

A battery-related fire in the underbelly of an empty Japan Airlines 787 on the tarmac in Boston on January 7 triggered an FAA review of the aircraft. But regulators said the plane was still safe to fly.

The FAA then grounded the fleet on January 16 after an emergency landing by an All Nippon Airways flight in Japan that was prompted by a battery alarm and a report of a burning smell.

Analysis of a flight recorder from that plane showed that a lithium-ion battery experienced a sudden drop in voltage and was not overcharged, the Japan Transport Safety Board said Wednesday.

Opinion: How Boeing can bounce back from Dreamliner problems

The agency is still investigating the cause of the battery's sharp fall in voltage, Norihito Goto, its chairman, said at a news conference.

GS Yuasa, the battery's maker, is now disassembling the device to examine it in detail.

The Japanese findings come after the U.S. National Transportation Safety Board said over the weekend that the battery in the Boston fire had not been overcharged, eliminating a relatively simple potential cause but adding new complexity to the investigation.

Additional details released by the safety board said all eight cells of the lithium-ion battery involved in the Boston 787 fire showed varying degrees of thermal damage. Investigators scanned and dismantled six of them to expose electrodes for microscopic examination.

Those batteries are used to power electrical systems, especially when the plane's engines are idle.

Dreamliner woes explained

The U.S. safety board also oversaw a series of new tests on battery systems and related components with manufacturers on Tuesday in Arizona.

In Washington on Wednesday, U.S. officials were asked about the timing of the very unusual order to ground a fleet of planes.

"On the day we said the planes were safe, they were. On the day we announced that there was another incident and we were grounding the plane, we felt this was the time to ground the planes," LaHood said.

Huerta explained that the second incident occurred during a flight.

"And that for us was an important consideration where we needed to identify what was causing these power- and battery-related incidents," he said.

The FAA order applied directly to the six Dreamliners operated by United Airlines, the only ones flown by U.S. carriers. But its directive was picked up aviation authorities globally and requires that the planes be deemed safe before they fly again.

Although there are only 50 wide body Dreamliners in service, there are several hundred on order. The world's largest aircraft manufacturer has made a big bet on the most technologically advanced airliner.

The 787 is highly touted because of its mostly lightweight carbon fiber construction, which airlines expect will help them save billions in fuel costs on long-haul routes. Its cockpit design and cabin appointments are state of the art.

The high level of attention and widespread concern about its problems and image now are partly due to the Dreamliner's difficult development. The 787 program at Boeing was plagued by cost overruns and production delays. The first one flew commercially last year

Why Dreamliner batteries worry experts

CNN's Junko Ogura in Tokyo contributed to this report.

@highlight

NEW: Japanese authorities say battery experienced a sudden drop in voltage

@highlight

U.S. aviation officials evaluating data as part of investigation of 787 problems

@highlight

Dreamliners were grounded last week after fire in Boston, another incident in Japan

@highlight

Fifty Dreamliners in service globally, but Boeing has orders for several hundred