(CNN)The first headlines immediately after the attack at the office of Charlie Hebdo in Paris provide a snapshot of the massacre: Two masked men killed 12 people.

That picture looks much more complex one week later. Two more attacks -- against a police officer and another that included hostages at a kosher supermarket -- brought the final death toll to 17, plus three suspects killed.

The threads that investigators have followed -- from the newsroom of the satirical magazine and the Paris supermarket -- have led to other countries, including Yemen, Turkey, Syria and Bulgaria.

The untangling of who was behind the attacks has also revealed other suspects, and there have been claims of links to the biggest terrorist groups, al Qaeda and ISIS, which now calls itself the Islamic State.

Here is a look at the key people, places and questions that have surfaced as investigators probe more deeply:

French Prime Minister Manuel Valls has virtually ruled out a "lone wolf" scenario.

Besides Said and Cherif Kouachi, the brothers identified as the shooters at Charlie Hebdo who were later killed by police, another man, Amedy Coulibaly, has been linked to the attacks. Police killed him last week after he took hostages at the Paris kosher grocery store.

There is one named suspect at large: Hayat Boumeddiene, Coulibaly's widow.

But there are other suspects. French citizen Fritz-Joly Joachin was arrested in Bulgaria at the border with Turkey on an unrelated charge, but he faces terrorism charges in connection with the Kouachis.

And French security services have identified a suspected accomplice in the kosher grocery attack, according to the French newspaper Le Parisien. Police sources cited by the newspaper said one line of investigation is that the accomplice, a man from a Paris suburb, may have driven Coulibaly to the market, where Coulibaly later shot dead four people.

"We are doing everything we can to dismantle what appears to be a network. ... No doubt there was complicity and networks and maybe finance also," Valls told CNN's Christiane Amanpour.

Given the magnitude of the operations and the apparent sophistication of the gunmen, many wonder who, if anyone, trained or possibly gave orders to the attackers.

Al Qaeda in the Arabian Peninsula, or AQAP, has claimed credit for the magazine attack.

"When the heroes were assigned, they accepted. They promised and fulfilled," AQAP commander Nasr Ibn Ali al-Ansi said in a video message, referring to the Kouachi brothers and the slayings at Charlie Hebdo.

The late U.S.-born Muslim cleric  Anwar al-Awlaki is the one who masterminded that operation  before his 2011 death, AQAP said.

Past statements by the three main suspects claim allegiance to al Qaeda or ISIS, an unsatisfying answer because the two terror groups are considered rivals. Both jihadist groups have an Islamist worldview, however, and it is possible that even if the suspects plotted together, they may have been inspired by different groups.

Cherif and Said Kouachi are both said to have traveled to Yemen. Cherif, before he was killed by police, told CNN affiliate BFMTV that he'd trained in Yemen with AQAP.

Cherif Kouachi used his brother's passport to travel to Yemen in 2011, two Western intelligence sources with knowledge of the matter told CNN, adding that it was likely he had trained with AQAP there.

A senior Yemeni national security official told CNN that Said had also entered Yemen multiple times.

Coulibaly also called BFMTV before he was killed. He purportedly said by phone that he belonged to ISIS. That information hasn't been corroborated by authorities, and it's not known whether he knew any leaders or members of that terrorist group.

In the aftermath of the Paris attacks, his widow, Boumeddiene, is believed to have fled to Syria, where ISIS operates.

Gunman tried to justify market raid to hostages, recording apparently shows

Terrorism experts say ISIS and al Qaeda have an adversarial relationship, so how are the self-proclaimed al Qaeda followers Said and Cherif Kouachi linked to the self-proclaimed ISIS member Coulibaly?

Said Kouachi's wife told investigators that her husband and Coulibaly knew each other well.

French court documents show that Coulibaly and Cherif Kouachi were also close associates and plotted to stage a prison break to free a fellow terrorist in 2010.

Kouachi and Coulibaly had a mentor in common, a radical named Djamel Beghal. Once known as al Qaeda's premiere European recruiter, Beghal was convicted of conspiring to attack the U.S. Embassy in Paris.

The attack was years in the making, AQAP claims, and was conceived as revenge for Charlie Hebdo's depictions of the Prophet Mohammed.

Al-Ansi blamed not only the satirical magazine, but also France and the United States in his statement.

"It is France that has shared all of America's crimes," al-Ansi added. "It is France that has committed crimes in Mali and the Islamic Maghreb. It is France that supports the annihilation of Muslims in Central Africa in the name of race cleansing." ("Islamic Maghreb" refers to North Africa.)

U.S. officials told CNN it's believed that when Cherif Kouachi traveled to Yemen in 2011, he returned carrying money from AQAP earmarked to carry out the attack. Investigators said the terrorist group could have given as much as $20,000, but the exact amount has not been verified.

It is notable that AQAP did not claim responsibility for the siege at the Paris kosher grocery store where four hostages were killed, along with gunman Coulibaly.

AQAP praised the attack at the kosher grocery store, calling it a "blessing from Allah" that happened at the same time as the attack on Charlie Hebdo's office.

Boumeddiene's name came to light in the Paris attacks shortly after the Kouachi brothers were identified. She was named a suspect together with her husband, Coulibaly.

There were initial reports that she had fled after the kosher market attack, but this was not confirmed, and new evidence suggests that she was not in France at all during the attacks.

But she could be a key to unraveling the details behind the attacks. Authorities are looking into whether Boumeddiene helped prepare the attacks before leaving France.

Boumeddiene arrived in Turkey from Madrid on January 2, five days before the first attack in Paris, Turkey's Anadolu news agency reports.

Boumeddiene stayed at an Istanbul hotel and then traveled to Syria on Thursday, Andalou said. The last place authorities spotted Boumeddiene was somewhere near Turkey's border with Syria.

A surveillance video image shows her at an Istanbul airport with a man beside her. On Tuesday, France's Le Monde newspaper identified the man as Mehdi Belhoucine, describing him as someone known to French intelligence and who could have ties to a separate jihadist cell. Belhoucine's brother, the newspaper said, was imprisoned last year for helping send fighters to Afghanistan and Pakistan.

He is French citizen Fritz-Joly Joachin.

He was arrested near the border with Turkey for allegedly kidnapping his son, Bulgarian Foreign Ministry spokeswoman Betina Joteva said. The ministry said that Joachin will remain in custody until at least January 20, when a "court will consider (a) second warrant related to terrorism charges."

A Bulgarian prosecutor said the terrorism charge is regarding Joachin's contacts with the Kouachi brothers, AFP reported.

"The charges are for participation in an organized crime group whose aim was ... terrorist acts," the prosecutor said.

Bulgarian officials referred further questions to French authorities.

It is unclear what Joachin's contact with the Kouachi brothers entailed.

As French officials dig deeper into the suspects behind the attacks, they must deal with a new threat from an al Qaeda affiliate.

The affiliate in North Africa, the Islamic Maghreb, published a threat against France on jihadist websites.

"France pays the cost of its violence on Muslim countries and the violation of their sanctity," the group said in its statement.

"As long as its soldiers occupy countries such as Mali and Central Africa and bombard our people in Syria and Iraq, and as long as its lame media continues to undermine our Prophet (Mohammed), France will expose itself to the worst and more."

This article is based on reporting from across all of CNN's platforms.

@highlight

Report: Police have identified a suspected accomplice to Coulibaly

@highlight

Hayat Boumeddiene is considered a key to unraveling the plot

@highlight

Scope of the story is spreading, from Bulgaria to North Africa