(CNN) -- Caroline Gold calls out to her three children as she takes pizza bagels out of the oven. Shai, 18 months old, runs to her high chair chanting, "Pizza, pizza!" Natanel, 7, comes in from another room in their Atlanta home.

They join their sister, Eden, who is already at the table.

Randy Gold sits down next to his son while Caroline puts food on everyone's plates. They seem like the quintessential family, in what could be any household in America.

But a closer look reveals Caroline is feeding 5-year-old Eden. Eden cannot talk or walk. She needs help sitting up and doing most anything a girl her age should be doing on her own.

Eden has a progressive neurological disorder called Mucolipidosis Type IV, also known as ML4. It's a rare genetic disease that is more common among Ashkenazi Jews, or people of Eastern and Central European Jewish descent. There is no treatment or cure. Eden's mental development was halted at 18 months old. She is expected to go blind by age 12.

Doctors say she will not live beyond early adulthood.

Eden's diagnosis was confirmed just before the Jewish New Year in September 2009. Instead of focusing on the wonderful things the next year would bring, Caroline says their family's dreams were shattered.

"Anything that we had dreamed and hoped for our family at that point was broken. Done."

ML4 is preventable. So how did this happen?

Caroline and Randy struggled with that very question. Knowing that one in five Ashkenazi Jews in the United States are carriers for a genetic disease, the Golds were screened before they got married. Or so they thought.

Caroline was screened for just eight of the 16 Jewish genetic diseases that were being screened for in 2004. Randy was screened for two. Proponents for standardized screening say it could have spared or prepared the Golds for what they are going through with Eden.

Screening assesses a couple's reproductive risk, says Karen Arnovitz Grinzaid, a genetic counselor at Emory University School of Medicine in Atlanta. Couples who are both carriers for the same disease have a 25% chance of passing that disease onto their children.

Many of these disorders are fatal, says Dr. Stephen Warren, the chair of the department of human genetics at Emory, and they can severely impact patients' quality of life.

A bright future

When Randy and Caroline met, their love blossomed quickly. They dated for eight months before getting engaged and were married three months later. They didn't waste time starting a family either. Fifteen months after their walk down the aisle, they welcomed Natanel into their lives. The Golds, now a family, were living the dream.

That dream included a bigger family; Eden was born two years later.

But when Eden was just 3 months old, Caroline started wondering whether something was wrong with her precious little girl. She couldn't quite put her finger on it. At first Eden didn't seem to be meeting her milestones on time. Then they noticed she had low muscle tone. At 9 months, Eden started physical therapy and had surgery to correct her crossed eyes. Doctors hoped she'd have a better view of the world and everything else would fall into place.

The pediatrician continued to reassure Caroline that every child develops at her own rate. At one point, Caroline was even told she should stop comparing her second child to her first and just enjoy her daughter.

"We finally decided that being told, 'She's gonna be fine' or 'Not to worry so much' just wasn't enough," Caroline remembers.

Against their pediatrician's advice, they took Eden to a neurologist who did an MRI on her brain. Caroline and Randy hold back tears as they remember the phone call from the neurologist at 9:30 p.m. He didn't know what was wrong with their daughter, he said, but it wasn't good.

"It was more than a sad moment," Randy says. "It was the beginning of what became a lot of sad moments."

The neurologist ran more tests before referring Eden to a geneticist. The geneticist thought it might be a Jewish genetic disease, but the Golds told him they had been screened.

Still, when he described ML4, Randy remembers thinking he had just described Eden. They waited two agonizing weeks for the lab to confirm the diagnosis.

Until screening is routine

As difficult as it was to hear the news about Eden, the Golds never ask, "Why us?"

Instead, Randy says, "We decided to make sure that the tragedy of Eden's story doesn't happen to another family."

They started by creating a comprehensive education program to teach doctors, rabbis and young couples in their community about the risks. Then they lobbied insurance companies and medical labs to standardize genetic screening, make it more accessible and lower the cost.

Their work inspired the Marcus Foundation and Emory University School of Medicine to create JScreen, a Web-based national screening program for the 19 most common Jewish genetic diseases, including ML4, that launched this month. While it's targeted at the Jewish population, the site also offers an expanded screening panel to check for a total of 80 genetic diseases, which may be more appropriate for non-Jewish spouses of a Jewish carrier or for those who are unsure of their ancestry.

There's no trip to the doctor or needle needed to draw blood. People who are interested in being screened can visit JScreen.org, read about the screening test and request a kit.

A box with the saliva test is then sent to the individual's home with instructions and an envelope to return the completed kit to the lab. Approximately four weeks later, results are discussed with a genetic counselor over the phone. Additional counseling can then be scheduled with a local genetic counselor.

The kit costs $99 for most people with insurance and $599 if you are uninsured.

Unlike direct-to-consumer genetic testing, offered by companies such as 23andMe, JScreen is a nonprofit program with an educational component. Every request for screening is reviewed by a genetic counselor at Emory University before a kit is sent out to make sure that the patient fully understands what the results can (and cannot) tell them.

Warren believes genetic testing will be part of routine medical care for every potential parent in the coming years; JScreen is just the start, he says. "We are looking at this as a prototype to see how well we can do this for the general population."

Prevention is the goal, says Grinzaid, who is also the senior director of outreach initiatives for JScreen. "In every ethnic group, there are diseases ... unless you have screening, you can have an affected kid."

Carrier screening programs for Jewish genetic diseases have seen success in the past, she says; in the 1970s and '80s, the fatal condition Tay-Sachs was reduced by approximately 90%.

But genetics is a rapidly changing field; the human body has hundreds of thousands of genes and mutations, and new ones are being discovered.

New screening tests are also being developed quickly. When the Golds were married in 2004, screening tests were available for 16 Jewish genetic diseases. Now scientists can screen for up to 19.

The ability to make informed decisions

Warren says parents of children affected by these types of diseases overwhelmingly say they would have wanted to know before they became pregnant. Armed with the right knowledge, a couple may chose to avoid the risk by using alternative pregnancy paths, such as adoption or in vitro fertilization.

If there's a risk, a couple could also choose to have amniocentesis or CVS testing done during pregnancy to check the fetus. The results could give the parents time to plan for the birth of a baby that will need special care. Or they may choose to end the pregnancy, says Grinzaid.

Aware of their risk, Caroline and Randy Gold added a beautiful, healthy baby girl to their family last year. They used pre-implantation genetic testing and IVF to ensure their new little one would not have ML4.

The Golds celebrated the Jewish New Year again last week with their three beautiful children. This year, they are hoping to encourage 7,000 people to get screened for preventable genetic diseases.

"Eden is here to save lives, and if that's what she's here to do, there is no life more noble than that," Randy says.

@highlight

1 in 5 Ashkenazi Jews in the United States are carriers for a genetic disease

@highlight

Couples who are carriers for the same disease have a 25% chance of passing it to their kids

@highlight

JScreen identifies the risks for the 19 most common Jewish genetic diseases

@highlight

Proponents say genetic screening needs to be standardized