(CNN) -- The end of August saw the kickoff of the Venice International Film Festival, which overlaps both Telluride and Toronto. The three kick off the annual film industry frenzy known as awards season. See? Los Angeles does have seasons.

Like many of my colleagues, I have seen only some of this year's "Oscar-worthy" films, so the opinions expressed here are based on a mixture of those I have seen with some early buzz and educated guesses. It's early in the process, and things will inevitably shake out over the next few months as more films are screened, so there's no doubt that some of the predictions will change.

Not only that, but some actors are submitted to the Academy for supporting roles when the role appears to be a lead and vice versa, so some might switch categories. You'll also notice that the headings for various sections within the categories aren't uniform, and that's because each category has its own sets of rules with accompanying probabilities and politics.

Complicating things this year are the reworked Academy rules on voting for best picture, which, while far too convoluted to repeat here, mean there will be anywhere from five to 10 best picture nominees. Not to mention the expense of running campaigns. The cost of holding screenings, making screeners and placing ads in the trades makes it harder for the smaller companies to compete with the big boys.

In other words, this is not an exact science. Films I have seen are in listed in bold. All names and titles are in alphabetical order within categories.

Best Picture

"The Artist"

Harvey Weinstein is about as genius of an Academy Awards marketer as there is. Whatever you might say about him (and some have said plenty), the man knows how to get Oscars. If anyone can take a black and white, mostly silent film and turn it into a multiple nominee, it's Harvey. "The Artist" is absolutely stunning, a beautiful and magnificent creation on every level. If voters see it, they'll love it.

"The Descendants"

Alexander Payne ("Election," "Sideways") has created (along with co-screenwriters Nat Faxon and Jim Rash) an almost flawless film that showcases both Hawaii and George Clooney (see below) as you've never seen them before. From what I have seen (and it's very early days yet) this is the one to beat.

Serious contenders include:

"The Help," which sort of came out of nowhere and now looks to be a serious candidate, even though it has its detractors, and "The Ides of March," a very well-acted political thriller that is getting good reviews. It could provide Clooney's second, third and fourth nominations (director, supporting actor and screenwriter with Grant Heslov).

Also on that list are "Midnight in Paris," "Moneyball" and "Tinker, Tailor, Soldier, Spy" (advance word is that this is a fantastic adaptation of a classic spy novel).

There are also a few high-profile films that haven't been screened for anyone, including "Extremely Loud & Incredibly Close," which has Tom Hanks, Sandra Bullock and 9/11, so don't bet against it; Scorsese's 3-D "Hugo"; "J. Edgar" starring Leo DiCaprio; "War Horse" from Steven Spielberg; "We Bought a Zoo" starring Matt Damon and Scarlett Johansson; and "Young Adult," in which Jason Reitman and Diablo Cody team up again ("Juno") with some buzz on Charlize Theron for best actress.

Best Actor

Some mortal locks for this category probably include:

George Clooney, "The Descendants": the best he's ever been.

Brad Pitt, "Moneyball": ditto, although he was magnificent in "The Assassination of Jesse James by the Coward Robert Ford," as well.

Jean Dujardin, "The Artist": a forgotten craft showcased by an excellent performance.

Leonard DiCaprio in "J. Edgar": likely, but I haven't seen it.

Thomas Horn, "Extremely Loud & Incredibly Close": could be the "out of the blue" nominee.

In the "they could be contenders" category, we have Matt Damon with "We Bought a Zoo"; Michael Fassbender with "Shame" and "A Dangerous Method"; Joseph Gordon-Levitt in "50/50"; Ryan Gosling in "The Ides of March"; Gary Oldman in "Tinker, Tailor, Soldier, Spy"; and Anton Yelchin in "Like Crazy."

Best Actress

In the "strong possibility" category, we have:

Kirsten Dunst, "Melancholia": one of the most amazing performances I have ever seen. Read my writeup from Toronto here. A lot will depend on how much Magnolia is willing to spend on its campaign for her and how much director Lars von Trier's comments in Cannes hurt the film.

Viola Davis, "The Help"

Elizabeth Olsen, "Martha Marcy May Marlene": Wow. Just wow.

Michelle WIlliams, "My Week with Marilyn"

Glenn Close, "Albert Nobbs"

A list of "Mmmmm, could be" potential nominees includes Keira Knightley in "A Dangerous Method," Charlize Theron in "Young Adult" and Felicity Jones in "Like Crazy." In the "no one's seen it, but ...duh" category, we must place Meryl Streep for her performance as former British Prime Minister Margaret Thatcher in "The Iron Lady."

Best Director

Those leading the pack include:

Woody Allen, "Midnight in Paris"

Michel Hazanavicius, "The Artist"

Bennett Miller, "Moneyball"

Alexander Payne, "The Descendants"

Stephen Daldry, "Extremely Loud & Incredibly Close"

"Coming up strong on the outside" is a group that includes Tomas Alfredson for "Tinker, Tailor, Soldier, Spy"; George Clooney for "The Ides of March"; Terrence Malick for "The Tree of Life"; and Jason Reitman for "Young Adult."

The ones I would term "masters with unseen films" include Clint Eastwood's "J. Edgar"; David Fincher and "The Girl with the Dragon Tattoo"; Martin Scorsese with "Hugo"; and Spielberg with "War Horse."

Best Supporting Actor

These next two are really tough to predict right now, with almost everyone holding front-runner status. Also, I haven't seen many of the films in the supporting categories, so my guesses are likely to be less educated than usual!

Likeliest based on current buzz/past nods:

Albert Brooks, "Drive"

Kenneth Branagh, "My Week with Marilyn"

Jim Broadbent, "The Iron Lady"

Christopher Plummer, "Beginners"

Max Von Sydow, "Extremely Loud & Incredibly Close"

The rest of this excellent pack:

George Clooney, "The Ides of March"

Tom Hanks, "Extremely Loud & Incredibly Close"

Tom Hardy, "Tinker, Tailor, Soldier, Spy"

Philip Seymour Hoffman, "The Ides of March"

Viggo Mortensen, "A Dangerous Method"

Patton Oswalt, "Young Adult"

Best Supporting Actress

Advance buzz favors this quartet:

Jessica Chastain, "The Help" (also in "The Tree of Life" and "Take Shelter")

Vanessa Redgrave, "Coriolanus"

Octavia Spencer, "The Help"

Shailene Woodley, "The Descendants"

Other contenders include Sandra Bullock in "Extremely Loud & Incredibly Close," Carey Mulligan in "Shame" and Kate Winslet in "Carnage."

Best Original Screenplay

There's only one that I would place in my "pretty much a guarantee" slot, and that would be Woody Allen for "Midnight in Paris."

Serious contenders include:

Terrence Malick, "The Tree of Life"

Dustin Lance Black, "J. Edgar"

James Ellroy and Oren Moverman, "Rampart"

Best Adapted Screenplay

I'd bet my lunch on nominations for:

Alexander Payne and Nat Faxon & Jim Rash, "The Descendants"

Aaron Sorkin and Steve Zaillian, "Moneyball"

Bridget O'Connor and Peter Straughan, "Tinker, Tailor, Soldier, Spy"

Other front-runners include George Clooney, Grant Heslov and Beau Willimon for "The Ides of March," Christopher Hampton for "A Dangerous Method" and Eric Roth for "Extremely Loud & Incredibly Close."

I know, I didn't touch on the categories of animation, documentaries, cinematography and many other categories. There's plenty of time between now and the awards on February 26, not to mention the Golden Globes, Independent Spirit Awards, SAG Awards, DGA Awards, etc., etc.

@highlight

Various film festivals have helped stir Oscar buzz

@highlight

Promotion, changing Academy rules and other elements make picking risky

@highlight

George Clooney, Brad Pitt and their films appear on critics' lists a few times