Seoul, South Korea (CNN) -- An international medical group has cleared a South Korean biopharmaceutical company in the deaths of two patients following stem cell procedures in other countries.

"It is not our conclusion that stem cells killed these patients," David Audley, the executive director of the International Cellular Medicine Society (ICMS), said in a news conference in Seoul Tuesday.

The South Korean media reported last month that two patients who had received stem cell procedures in Japan and China had died, and cited allegations that RNL Bio had lured clients to clinics overseas to skirt domestic laws banning stem cell treatment.

The ICMS refuted the charges, citing forensic evidence it had gathered from RNL Bio, medical records and interviews from Japan and China.

"It is very important that we distinguish the words cause and correlation," said bioethicist Glenn McGee, who participated in the ICMS investigation. He explained that the dangers of the medical procedures undertaken in the treatments does not mean the stem cells used in the therapy are dangerous.

The ICMS is the largest multinational group of physicians studying the use of adult stem cells and tracks the cases of about 700 patients around the world who receive treatment. Potential dangers cited in the media about carcinogenic cell growth pertain only to embryonic stem cells and is unrelated to the treatment with adult stem cells that is cited in the investigation, according to the group.

No deaths have been reported in the cases registered with the society, according to Audley. The two patients from RNL were not registered with the ICMS, although the bio company does participate in patient registry with the group.

In the first of the two cases, a 61-year-old man traveled to China for treatment with stem cells provided by RNL for diabetes and other ailments. He died two months later. His cause of death has not been determined, but it is "unlikely" the result of the stem cell procedure, according to the ICMS.

The death of a 73-year-old former surgeon, who died on the same day he was treated in Japan, "was due to a pre-existing blood clot that traveled to the lungs, and may have been precipitated by the procedure used to infuse the stem cells, or less probably, from a clot formed by the cells," according to the ICMS findings published on the group's website.

Stem cell banking is allowed in clinics such as RNL Bio, which specializes in extracting, cultivating and storing adult stem cells obtained from fatty tissue of patients.

Patients are only able to receive treatment with these stored cells overseas, and RNL Bio regularly refers patients to clinics in other countries that are determined capable of using their stem cells.

No financial exchanges are made for these referrals, according to Kim Ju-sun, the company's public relations director. The ICMS also concluded in its report that no financial transaction could be traced to RNL Bio from the clinics that conducted the stem cell treatments.

Under South Korean regulations, stem cell treatments are not authorized and can only be used in clinical trials approved by the Korea Food and Drug Administration (KFDA).

The KFDA and the Ministry of Welfare announced they will conduct an investigation into the potential dangers of unauthorized stem cell treatment in the country and create countermeasures, according to a statement from the KFDA.

@highlight

Two patients die following stem cell treatments in China and Japan

@highlight

An independent group says the deaths are not due to the treatments

@highlight

Such procedures are not permitted in South Korea