How terrible is it to be born a girl in the world today? The almost daily headlines about another cruel act of violence and discrimination against women -- from the kidnapping of nearly 300 school girls in Nigeria last month, to the latest gruesome stoning of a woman in Pakistan -- provide plenty of reasons to be pessimistic about women's equality and safety in today's world.

The recent case of "misogynist extremism" in California, where a young man killed six people in "retribution" for all the girls who had rejected him, underscores the fact that all societies suffer from violence against women.

Indeed, the World Health Organization estimates that 35% of women worldwide experience intimate-partner violence or non-partner sexual violence in their lifetime. A new World Bank report estimates that in some countries, the economic toll of violence against women exceeds a staggering 3% of GDP.

Also shocking in the 21st century is that the leading cause of death worldwide for girls ages 15 to 19 is complication related to pregnancy and childbirth, in many cases because girls are married and bearing children before their young bodies are ready. High rates of child marriage in some countries also limit the educational opportunities and economic independence of girls. Add in a persistent preference for sons in South, East and Central Asia that has resulted in millions of "missing girls," and the picture for girls today seems pretty grim.

But these challenges, as daunting as they are, should not obscure the important gains that women and girls have made in recent decades -- gains that point to a much brighter future.

First, the global gender gap in education has been shrinking: Between 1999 and 2009, the number of girls out of school dropped from nearly 61 million to 35 million, and equal numbers of girls and boys now complete primary school in Latin America and East Asia. In fact, around the world, women are beginning to outnumber men at the university level -- in some cases by a wide margin.

Women's political participation worldwide also continues to grow. As of July 2013, 35 countries, including nine in Africa, had national parliaments with at least 30% female representatives and several countries now include quotas to ensure women's political participation. Examples of women rising to the top of their fields -- just think of Hillary Clinton, Janet Yellen, Angela Merkel, Sheryl Sandberg and others -- and on their own terms, are increasingly more common.

The dire statistics we hear today about violence against women have a silver lining -- that violence is being counted -- and quantified -- which is a huge leap forward from centuries of silence and acceptance of the oppression of women.

Honor crimes and sexual violence have long gone unrecorded because such behavior is tolerated, ignored, or conveniently covered up in mostly rural communities. Survivors often remain silent for fear their attackers will take revenge if they report the crime. But national and international media coverage and popular outrage are beginning to shift the dynamic. The proliferation of mobile phones and use of social media mean that violence and discrimination against women are increasingly reported.

In the aftermath of the 2012 gang rape and murder of a 23-year-old female student in New Delhi, India, journalists called me asking why are we seeing such an uptick in sexual violence against women now -- is it somehow related to globalization? My response is that we simply have no data to conclude that the incidence of sexual violence in India is actually increasing -- reported incidents may be on the rise, but that could be because women, supported by male family members, are finally breaking the code of silence to denounce and prosecute their attackers.

The outrage in the New Delhi case forced the Indian government to strengthen its sexual assault laws -- including making rape in some cases punishable by life in prison or the death penalty and increasing the minimum sentence for gang rape to 20 years.

As depressing and disturbing as the headlines can be, news of violence, hatred, and discrimination against women is beginning to catalyze powerful change. So too is the growing body of evidence that disempowering women poses an enormous economic cost on society.

There will inevitably be backlash against that change -- backlash that will take the form of deranged extremists from California to Nigeria to Pakistan -- but the momentum of positive change for women and girls in the world today is undeniable.

@highlight

A woman in Pakistan was stoned to death, nearly 300 girls in Nigeria were kidnapped

@highlight

Isobel Coleman: Despite progress, all societies suffer from violence against women

@highlight

She says but these headlines of hatred against women are starting to catalyze change

@highlight

Coleman: That violence is being counted is a step forward from centuries of silence