(CNN) -- How much should the rest of the world worry about the crisis unfolding in Europe?

For anyone who cares about the state of their personal finances and the size of their reserves for retirement, the answer is: A lot. For investors, it's a time of risk and opportunity.

Investors exhaled with some relief Sunday after voters in Greece gave a narrow victory to New Democracy, a party that vows to work with European leaders to keep the struggling country in the eurozone. But the crisis is nowhere near solved. Greece has to find a way to stability while Spain and Italy, much more important economies, show worrisome signs.

When scenarios of "Europocalyspe" and "Eurogeddon" are evoked, you know things are getting bad. Because in today's interdependent and hyper-connected world, no continent can feel secure while another is sliding economically.

What happens in Europe has the potential to determine the outcome of the U.S. presidential election in November. It could trip up America's feeble recovery, create more unemployment and take a toll on the global stock market.

Conversely, if Europe manages to avoid a financial storm, it could remove a huge cloud of uncertainty hanging over the global economy and brighten the outlook -- and the portfolios -- of investors everywhere.

Pro-Euro Greek right tries, again, to form government

If you doubt that European problems could affect U.S. shores, take a quick glance at history for a chilling lesson.

Prominent economists have drawn an eerie parallel between today's events and those of the early 1930s when, as the world limped in the aftermath of the 1929 Wall Street crash, a banking crisis in Europe took the world economy into another downward spiral and led to an explosion of extremist politics that, ultimately, set the pathway to World War II.

If you don't care about the politics, consider just the stock market in the last 100 years. The Dow Jones Index, which stood at 381 in early September 1929, lost half of its value in the two months after the Great Crash of October. But the worst was yet to come. By 1932, the index had plummeted a breathtaking 90% from the September highs, dropping to just 41.

The years after the 1929 crash brought a stomach-churning roller-coaster ride. The Dow climbed more than 400% from 41 to 194 and then back down to 92, before stabilizing and resuming a relatively steady climb during World War II.

Imagine seeing your savings, your retirement funds, cut to one-tenth their size.

It took a quarter of a century for the market to return to pre-crash levels. Those who bought stocks when the index stood at 41 saw their investment eventually soar to spectacular heights -- especially those who picked the right stocks at the right time. (The tycoon, J. Paul Getty, among others, started building his fortune by snapping up bargain stocks.)

So what do those events in the 1930s, which unfolded when bankers, politicians and investors knew so much less about the economy, have to do with our world, the age of the Internet, the era of unlimited access to information and advanced economic theories?

If European leaders and the voters who elect them glean the right lessons from history and manage to steer their continent away from the edge of the cliff, then we won't see a repeat of that disaster of a global crash. But no one knows whether Europeans will get their economic problems straightened out.

This means that anyone who owns stocks or other investments should take a deep breath and decide just how much risk he or she is willing to accept. Most Americans own stocks through mutual funds. Millions have their money in employee-provided retirement accounts and rely on the stock market for their future without realizing it.

Many top-rated investors are minimizing their stake in the market. The legendary Jim Rogers says he's pessimistic and not buying stocks. He's buying gold and other commodities. The investment giant BlackRock is telling clients to stock up on cash and safe-haven bonds and treasury bonds even though this is not the best strategy in the long run since it provides negative returns when you factor in inflation.

For the more adventurous and optimistic, there's the lure of potentially huge returns, if Europe dodges disaster, or, in the aftermath of a crash.

European leaders are getting strong advice from all directions. While the Greeks suffer, the Spaniards face severe unemployment, and fringe political parties spring up and grow stronger, economists from both sides of the Atlantic are urging German Chancellor Angela Merkel to reverse course from her push for strict austerity, which is choking economies already in depression.

My sense is that Merkel will do whatever it takes to not let the eurozone come apart and will ease up on austerity while the storm passes. But nobody has a crystal ball; not for the market, not for the politicians.

For investors, the most important point to keep in mind is that these are not days like others. It is a time of crisis, of great risk and, as happens when there is great risk, also of potentially great rewards.

Those who wish to take the risk should do it with eyes wide open, not by accident, neglect or inertia. The epicenter of the crisis may be in Europe, but the shockwaves will know no boundaries. Everyone should pay attention.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Anyone who cares about personal finance needs to pay attention to Europe's crisis

@highlight

Ghitis: Europe's problems could have huge impact on the U.S., just look at the 1930s

@highlight

She says investors are reducing their stake in the stock market in fear of a big crash

@highlight

Ghitis: It's a time of great risk, but also of potentially great reward