(CNN) -- It's hard to describe billions of years of cosmic history. But scientists have used a code to create a model of how the universe as we know it today might have evolved.

A new study in the journal Nature describes a simulation of the universe that is unique because of "how realistically it recreates the galaxies and the universe that we see, which is kind of a first for a simulation like this," said Dylan Nelson, study co-author at the Harvard-Smithsonian Center for Astrophysics.

Nelson and collaborators released several videos this week showcasing highlights of what their numerical simulation, called Illustris, can do.

Running this model "took approximately 16Â million CPU (central processing unit) hours," Michael Boylan-Kolchin, astronomer at the University of Maryland, College Park, wrote in an accompanying article in Nature. "The end result, however, is a simulated Universe that looks an awful lot like the real one."

This simulation begins 12 million years after the Big Bang, which is still pretty early considering that the universe is about 13.8 billion years old.

"What it allows -- a statistically robust comparison against observations across all of cosmic time -- is a critical aspect in the development of better and more realistic models, which directly translates into more physical insight which we can extract from such simulations," Nelson said.

A range of galaxy types emerges in this simulation, such as blue spiral and red elliptical galaxies. The content of hydrogen and elements heavier than hydrogen and helium seems consistent with observational data, study authors wrote.

"These observations capture a large variety of galaxy luminosities, sizes, colours, morphologies and evolutionary stages, providing remarkable benchmarks for galaxy formation theories," study authors wrote.

A total of 41,416 galaxies are represented in the simulation. It includes a population of elliptical galaxies that don't form stars, disk galaxies that do form stars, and irregular galaxies.

Our own Milky Way galaxy is a disk galaxy, and simulating how such a galaxy would be formed has been problematic in the past. But the scientists' calculations have overcome this, the study said.

The simulation takes into account that there are phenomena in our universe that we have never detected but that have had huge influence on cosmic evolution. Dark matter accounts for about 24% of the universe, while normal matter -- everything that we can see -- is only 4.6%.

Dark matter "dominates the gravitational pull of everything, especially on large scales," Nelson said. "It's the backbone of the cosmic web."

Over the course of the universe's history, galaxies have formed where dark matter was most concentrated.

But most of the universe is made of dark energy, responsible for the accelerating expansion of the universe.

The universe is expanding, but how quickly?

Obviously, you can't model the entire universe at once, but this simulation does represent a substantial chunk of it: 350 million light years in each dimension, Nelson said. It allows scientists to zoom in to see the structure of individual galaxies, such as spiral arms.

Still, there are shortcomings to the simulation: For instance, the mass of stars in low-mass galaxies gets built up earlier than what has been observed, meaning that populations of stars are shown as two to three times older than in reality.

Joel Primack, professor of physics and director of the High-Performance Astro Computing Center in Santa Cruz, California, takes issue with the idea that this new simulation is better than its predecessors.

"Other groups are doing a much better job of understanding what's going on inside galaxies, including my own group," said Primack, whose team also works on modeling the cosmos.

But the simulation does have strengths on a larger scale -- for instance, in showing how galaxies affect their surrounding environments, and how environments impact galaxies, he said.

The code used in the simulation, Arepo, is not publicly available -- another of Primack's criticisms. But Nelson said that a complete description of its methods has been published, and that anyone with expertise who is motivated could use it to develop a similar code.

@highlight

Scientists have released a new model of how the universe might have evolved

@highlight

The simulation begins 12 million years after the Big Bang

@highlight

It represents more than 41,000 galaxies

@highlight

Dark matter is the 'backbone of the cosmic web'