London (CNN) -- As UK investigators work to identify the Islamist militant who beheaded American journalist James Foley, the tiniest details in the videotape of the killing could provide the key clue.

Although the killer is swathed head to toe in black, with only his eyes visible through a narrow strip, some distinguishing features can be picked out.

His skin tone can be discerned from his hands, which are not covered, and he appears to be left-handed. The man's height and build can also be established from the footage, as well as the kind of movements he makes.

But the biggest clue may lie in his voice, which experts say has a distinctly English accent.

Linguists said that based on his voice, the man appears to be young, most likely under 30. He also appears to have been educated in England from a young age and to be from southern England or London.

British police and intelligence services have been tight-lipped about any progress in identifying the man.

As they seek to trace him, they will doubtless be looking at those with known connections to jihadist movements or who have been to Syria to fight.

However, they will also probably be seeking to match his voice with recordings they hold in an audio bank, said Elizabeth McClelland, a forensic voice and speech analyst who also acts as an expert witness in British courts.

Britain and most other countries hold such recordings, some made covertly, of people they suspect of involvement in terrorist activity, she said.

"It's likely that they will screen the voices, the voice data bank that they have, possibly using automatic speaker recognition software, and try to find the closest match to the voice in the video," she said.

No unique 'voice print'

That would probably narrow the possible matches to perhaps 200 or 300, depending on the sort of data bank the intelligence services have, McClelland said.

But, she cautioned, despite what is sometimes seen in TV detective shows, the audio should not be seen as some kind of magic bullet.

"There's no such thing as a 'voice print' that's going to have a unique reference to one individual, and therefore they can match it," she said. "Speech is a kind of behavior; it's not a digital printout."

The next step will be for an expert phonetician and linguist to carry out a mixture of phonetic and acoustic analysis, she said.

Any conclusions would be based on the expert's knowledge and experience, supported by acoustic measurements. They would focus on elements including pitch, intonation, intensity and patterns in the bands of acoustic energy, known as formants, measured using special software.

McClelland added, "from the voice in the video, there's not a lot you can do until you have something to compare it to, and that's in the hands of the intelligence services."

They might be working across international borders with intelligence agencies in Europe and the United States to do so, she said.

Accent 'not purely British'

Although the experts who spoke to CNN agree that the man is most likely from southern England or London, they differ on some points, indicating the difficulty of the task faced by intelligence services.

John Olsson, a voice recognition expert, said he believed the voice was of someone who had spent most, if not all, of his life in Britain. "However, there are other elements in the accent which are not purely British."

Something in the intonation and pronunciation, Olsson said, suggests that the man may have some African origin or perhaps second-generation African parentage.

"Alternatively, it's possible he's picked up these influences from people around him, people he's mixed with," he said.

There's no sign, however, of any influence on his language from the Indian subcontinent, for example the Muslim communities in Pakistan and Bangladesh, he said.

McClelland tentatively suggested the accent may belong to someone who also speaks Farsi or Dari, used in Iran and Afghanistan.

'Multicultural London English'

Another expert, Paul Kerswill, a linguistics expert at the University of York, said the accent sounded English but was one that could be described as "multicultural London English."

He's probably, although not definitely, a Londoner, he said, and "he's grown up in a multicultural, multilingual neighborhood with lots of different languages around, and this kind of environment leads to some kind of change in the way English is pronounced."

It's very hard to tell exactly what part of London he might be from, he said, because this kind of English emerges wherever in London you get a high concentration of people speaking different languages, reflecting the various immigrant groups that have come into the country since World War II.

Kerswill said it was difficult to tell the ethnicity of a young person who has grown up learning English from other people who learned it as a second language or whose parents are second-language speakers, because in this melting pot everyone starts to sound quite similar, even those whose parents are native speakers.

"It's quite hard to tell the ethnicity of this person from his voice alone," he said. "He's probably not British white. He could be of Pakistani origin; he could be of Somali origin; he could be South American origin or something. It's very, very hard to pinpoint," he said.

"Some commentators may say it's not a British English accent. Well, it is a British English accent; it's one that's grown up in this multilingual environment."

Kerswill thinks the man may have arrived in Britain as a child and begun to acquire the language then. However, he doesn't exclude that he may be British-born.

Words, phrasing give clues

Besides the militant's voice, other pointers lie in the language used in the message.

Olsson points out that the audio sample is small, making it hard to draw definite conclusions from it.

Nonetheless, he believes that while the militant is a native British speaker, parts of the text he reads out in the video were written by someone who -- while very proficient in English -- was not.

"Some of the phrasing is not pure native speaker, so he's been assisted with this text. It's not entirely him," he said, pointing to examples of non-idiomatic expressions and overly stilted, formal English.

He also believes that the fighter is educated to at least high school graduation, if not university, level and probably comes from a professional, middle-class background.

McClelland too believes that the voice belongs to an educated speaker.

Kerswill, however, suggests that the man's accent points to him man coming from an inner city demographic, where the socioeconomic class and education level are often lower.

The text appears to be written in standard English, he said, so there are no clues to be found in the slang a young man might otherwise have used.

Intriguingly, Olsson speculates that the way the militant refers to "the Muslims" in the video may suggest he could be a convert to Islam.

"I don't think there's a strong Muslim background there, necessarily," he said.

"He does talk about 'us' at one point, but he also talks about 'the Muslims,' and so there's a little bit of distance there between him and that group, and I'm thinking that that may well be due to his adoption of the religion, so I'm thinking it's possible he is not originally from a Muslim family."

CNN's Atika Shubert and Hazel Pfeiffer contributed to this report.

@highlight

Linguists say the man is probably from southern England or London

@highlight

Intelligence services may be comparing voice to recordings of suspects

@highlight

He may have been influenced by a multicultural environment

@highlight

Experts can use software to match pitch, intonation, intensity to another voice