(CNN) -- Just as Americans are staring down flu season, Hong Kong grabbed headlines this week with news confirming that a chicken was infected with the H5N1 virus and that many more suspected of harboring the dangerous disease were slaughtered.

In the recent movie "Contagion", Hollywood's version of a pandemic, the government successfully executes a response plan. But our real-life encounter with a pandemic, the H1N1 flu, raises serious questions of whether the American public is prepared for such a crisis.

It should have been good news that the H1N1 epidemic we confronted in 2009-10 was less deadly than feared, but instead, it was used as political leverage. Conservatives, in particular, claimed the vaccination recommendations were overhyped, more "big government" meddling in citizens' lives.

What's worse, many media outlets highlighted the critical narrative while minimizing strong evidence that the government handled the threat quite well under the difficult circumstances. This occurred as opinion polls revealed the public's growing lack of confidence in government officials and institutions, which are now at record levels

Is it any wonder, then, that, despite extensive planning and billions of dollars, the public will be unprepared for the next time? The reason lies in our deep distrust of government and thus, our unwillingness to believe the experts' claim that vaccination is the single best method for preventing the spread of disease.

To be sure, Americans have both historical and contemporary reasons for suspecting that government officials may not be diligent in protecting the public's health over powerful interests. The history of epidemics is replete with boneheaded government actions that trampled the rights of marginal populations in the interests of protecting the so-called larger public.

Nearly every major American epidemic has targeted the poor or an ethnic minority group as objects of blame in efforts to prevent the spread of disease. As late as the 2003 SARS outbreak, New Yorkers shunned the city's Chinatown amid rumors that undocumented immigrants had brought the disease to America. By some estimates, business fell by 70% although not a single case from that neighborhood was ever diagnosed.

In this media environment it is harder than ever for us to know who to trust and how to separate fact from fiction. During the H1N1 pandemic, radio personalities such as Glenn Beck and Rush Limbaugh implied that choosing not to take the vaccine was a litmus test of ideological commitment to opposing the Obama administration.

Some opponents of the administration's proposed health care reform legislation delighted in the vaccine production delays and questioned its safety and effectiveness, saying it was proof of the government's incompetence to "run health care."

Two senators commanded a news cycle by demanding the secretary of Health and Human Services explain the shortage, joining the chorus of those accusing the government of wildly overestimating the production schedule and making false promises

Within two weeks of such grandstanding, there was a surplus of vaccine, although well over half of those questioned in polls said they believed there was not enough vaccine for all who wanted it.

Too many are willing to accept, if not engage in, factual distortions to create their own comfortable reality. Public opinion polls around the time of the H1N1 danger revealed nearly a 20-point difference between Democrats' and Republicans' intention to seek the vaccine. Republicans not only were less inclined to take it, they were also more inclined to doubt the disease was as serious as health officials claimed.

Our continued willingness to follow politicians who are leading us astray is to our own detriment. Admittedly, it takes considerably more effort to critically evaluate the accuracy of information we receive, especially if inconvenient, than to simply accept what we want to hear, but we have no other choice. Acting responsibly will literally be a matter of life and death.

In the end, fewer than 20% of Americans took the vaccine, with over half of the population indicating they didn't believe the government message that the vaccine was safe and effective.

Ironically, Hollywood has now legitimated the public's skepticism by including a scene in "Contagion" in which a reporter asks the fictional CDC official how he knows the epidemic threat is not "another false alarm" like the H1N1.

Take it from me: H1N1 was not a false alarm, nor were the government recommendations to address it hyperbolic. In the uncertainty of a crisis environment, government officials provided effective leadership. The distortions of politicians, ideologues and certain media outlets did us a disservice.

Fewer Americans than expected died or required hospitalization, but next time, we might not be so lucky. Ultimately, it's up to us to see through the politicizing and headline grabbing and protect ourselves. As Pogo observed, "We have met the enemy and he is us."

The opinions expressed in this commentary are solely those of Leslie Gerwin.

@highlight

Leslie Gerwin: Reports of H1N1 flu in Hong Kong should be watched

@highlight

She says U.S. did not perform well during 2009-10 epidemic

@highlight

She says conservatives claimed U.S. vaccination program was "big government" in action

@highlight

Gerwin: The best way to prevent spread of the disease is vaccination