(CNN) --   Much has been made of the electric car driving to the rescue of ailing automobile manufacturers and saving the planet at the same time. But what if that eco-savior came on two wheels instead of four?

Lean, green electric machine: KLD is hoping to kickstart the electric scooter industry with its new engine.

A high price tag, a limited range, sluggish performance and the tendency not to work when they get wet, have meant that electric scooters are a rare sight on the roads.

However, KLD Energy Technologies, an electric engine company based in Texas, believes that its new electric motor can overcome all these problems and kick-start the sector. It's teaming up with Vietnamese motorbike manufacturer Sufat to produce an affordable electric-powered scooter that has a performance just as good as a normal petrol-powered bike.

"We chose Vietnam [to launch the bike] because there are 22 million scooters in a country of 85 million people. That's a lot of people riding scooters in a contained area and the pollution is a concern. All governments in southeast Asia are looking for solutions [to pollution problems], but so far there hasn't been one. We believe that we've found that solution," Christian Okonsky, founder of KLD Energy Technologies told CNN.

Rather than looking at making batteries more efficient, KLD has improved the performance of the engine itself. The company has built an engine using nano-crystalline composite materials, which it believes is 10 times more efficient than traditional iron core motors, giving an output of 2500 hertz.

Together with a computerized motor control, the KLD engine is compatible with any type of battery. Top speed of the KLD scooter is about 55 mph, which is almost double that of many electric scooters and delivers twice as much torque, accelerating from 0 to 50 mph in ten seconds. The engine also doesn't require a transmission.

The range on a full charge depends on the type of battery used, although in tests KLD says that its motor system extends the distance a battery can go before a charge is required by 40 percent.

Cost-efficiency of components and years of technological development have created the engine KLD has the sole license to produce.

"The nano-crystalline material was developed 20 years ago, but it was incredibly expensive and people couldn't figure out how to use it in a motor. Even 10 years ago a computer, to run this kind of high frequency engine, would have been more like the size of a desk top computer. The magnets we use today that cost 20 cents 10 years ago would have cost $4 to $5," said Okonsky.

Vectrix Electrics is another company that has been developing electric scooters, so far selling only in North America and Europe. While the performance of its scooters is comparable to KLD's, their models sell at a much higher price tag around $11,000. Earlier this month Vectrix reported financial difficulties and has been forced to make staff cuts.

Okonsky, however, remains positive that the KLD scooter engine will be successful and that there is a market for electric-powered scooters. By the end of the year KLD is aiming for 2,000 scooters a month to be produced by Sufat with its electric engine. The projected retail price is around $1500, only slightly more than Sufat's existing bikes that sell in Vietnam for between $800 and $1250.

"Among two-wheelers a scooter is the best for electric drive," auto industry analyst John Wormald of Autopolis told CNN.

"A motorcycle is too performance-driven, so it's not really suitable, but a scooter would be. For many electric bikes with very limited battery capacity, the power is just an assist and the battery can be heavy which isn't great, if you're cycling."

Yet the market for electric bikes -- the pedal variety with a battery pack -- has been booming, particularly in China. According to the China Bicycle Association, sales of electric bikes in China stood at 58,000 in 1998, compared with the 20 million recorded just a decade later in 2008.  Watch the report on electric bikes ».

However, rather than replacing cars, the majority of electric bikes are affordable substitutions for bicycles, as Chinese cities continue to grow and daily commutes get longer. Their impact in reducing pollution then is open to question, as car sales in the country continue to rise.

Ultimately the real eco-credentials of electric vehicles depends on how the electricity is generated, but for helping to relieve vehicle exhaust-filled streets, especially in Asia's two-wheel dominated city centers, electric mopeds could go a long way.

As the idea of electric vehicles as viable substitutions for petrol-powered ones becomes more widely accepted, Okonsky's bigger challenge will be convincing skeptics that the old problems of electric scooters have been overcome.

"I'm always asked, 'What happens if I go through a puddle, will it still work?' The answer is yes," Okonsky said.

In fact, Okonsky says that they've tested their engine underwater and it still works. Expect a video of the trial on KLD's Web site soon.

@highlight

Electric scooter developed with same price and performance as petrol models

@highlight

Engine's developers say it is much more effectual than other electric motors

@highlight

Huge scope for electric scooters, primarily in Asian cities, if made affordable