(CNN) -- In many ways, Musab Al-Jamal makes for an unassuming rebel.

His mission is seemingly innocuous. He merely wants to educate the swarms of college-aged Syrian refugees who have been forced to abandon their studies while fleeing Syria.

"The universities in Syria are basically like prisons for students," says Al-Jamal. "They capture or arrest anyone who opposes the regime. On the other hand, universities outside the country often don't accept Syrian students, or the students can't pay the fees or speak the local language."

To some, it may seem like access to higher education is hardly a priority for the 2.5 million refugees that have fled Syria since the conflict started three years ago. To Al-Jamal and his fellow academics, however, it is a seminal component in one day rebuilding a broken country.

"If (the students who left their studies) come back to Syria ignorant and illiterate, they won't be able to help their country," he says.

A former law professor from Damascus University, Al-Jamal joined other faculty ousted from the ravaged country to start offering lectures to students in liberated regions inside Syria, and in neighboring countries.

In 2013, he set up the Free Syrian University, an academic institution housed in an apartment building in Reyhanli, a Turkish town near the Syrian border. It offers 13 majors, including law, psychology and business.

The university is mainly funded by Al-Jamal himself, and a host of academic volunteers donating their time and expertise to the cause (Al-Jamal gives them a one-time payment of $1,500 when they sign up). Any student with the means contributes $280 per semester for their education.

"The amount is mainly symbolic," admits Al-Jamal. "It barely covers 10% of expenses."

It's difficult to discern how many Syrians have had to abandon their studies since the conflict started, though, according to Keith Watenpaugh, an associate professor at the University of California, Davis, and the co-author of a study on Syria's refugee university students in Jordan, the number likely exceeds 100,000.

"Our major concern is that the longer this conflict goes on, the more you're creating a lost generation of college students," he says.

'Studying is holy'

Today, Syria's universities -- like many of the country's social institutions -- are, essentially, collapsing. Watenpaugh estimates they're operating at 50% capacity, hampered by security issues, fleeing faculty, and broken-down infrastructure. Often, he notes, students have to cross battle lines just to attend classes.

Male students -- who were once exempt from military service -- are now pressured into it. For those reasons, there is little impetus for those inside the country to continue their schooling. It's a marked change from how education was treated in recent decades.

"I think something that is often lost on people who are only coming to think about Sryia post-conflict is how important education was as a place where different minorities and genders mixed. Syria was a place in which education could be accessed by anyone who received the requisite score on an exam," says Adrienne Fricke, a human rights consultant and co-author of Watenpaugh's study.

"There's long been a deep commitment to education, and it's not just window dressing. Historically providing educational access was considered one of the things the Ba'ath party did really well."

For those students forced to give up their schooling, their commitment to higher learning hasn't diminished, even if their opportunities to pursue it have. On a research trip to Za'atari refugee camp in Jordan last April, Watenpaugh recalls meeting a group of female engineering students who smuggled their computers out of the country.

"We asked them how supportive their parents were, and if they would let them go abroad to study. They all answered yes. One woman said, 'in our house, studying is holy.'"

Overcoming obstacles?

The challenges facing those who want to continue their education are fierce.

"They range from the prosaic, like not having a transcript, or maybe just having a photocopied one, to the substantive, like having to choose between tuition and taking care of family," says Watenpaugh.

Neighboring countries don't always make it easy. Jordan, for instance, is hostile to refugee institutions that risk becoming permanent. In Turkey, there's the added barrier of language.

On top of everything else, space is limited, both at foreign universities, and at the Free Syrian University, which can accommodate little more than 800 students -- a fact that keeps Al-Jamal awake at night.

"I regret that I'm not able to accept the whole Syrian student body, but we don't have the capabilities. We could only do that if we had more funding," he says.

Furthermore, the refugee population, of both students and faculty, is disparate, with many still stuck in Syria. To remedy this, Al-Jamal offers lessons via Skype, Facebook and email.

Interestingly, many of Syria's fragmented student population seem to have a singular focus, according to Fricke: returning home one day.

She says this is evidenced by the fact that courses at the Free Syrian University are taught in Arabic, not Turkish. She also cites the fact that several thousand Syrian refugees in opposition-held areas of Syria and in neighboring countries rallied to take the high school exit exams based on the revised 2011 Syrian curriculum.

According to Fricke, several hundred students chose to take the exit exams recognized by the Syrian opposition government in exile in Libya.

"The primary reason to sit for Syrian exams outside of Syria is because you think you can go back and use them there, especially when it is not clear who outside of Syria will recognize the results," says Fricke.

Watch: Zaatari refugees plant their own vegetables

@highlight

By some estimates, 100,000 Syrians have had to abandon university

@highlight

Analysts say education will be the key to rebuilding Syria

@highlight

Students in Syria risk harassment, jail time and death to go to school

@highlight

A new institution run by academics in exile hopes to save Syrians through education