(CNN)With crews from around the world aiding in the search, 30 bodies have been recovered from the wreckage of AirAsia Flight QZ8501, Indonesian officials said Friday.

What appears to be a piece of the fuselage was found, Singapore's Defense Ministry said. It resembles a window panel.

Finding the fuselage and the plane's "black boxes" are a priority, Indonesia's search and rescue agency said Friday.  There are 59 teams of divers involved, the agency's chief Bambang Sulistyo said, according to the state-run Antara news agency.

The USS Sampson, the U.S. Navy ship that is helping with the search, recovered some of the bodies, the U.S. Seventh Fleet said Friday.

Indonesian authorities have identified four of the recovered bodies so far. The first victim they identified, an Indonesian woman named Hayati Lutfiah Hamid, was buried Thursday. Many family members are waiting in Surabaya for news about their loved ones.

But with 162 people on the plane when it took off from Surabaya, Indonesia, crews have a long way to go.

Who was on the plane

AirAsia CEO Tony Fernandes said he was traveling Friday to Surabaya to bring the body of flight attendant Khairunisa Haidar Fauzi home.

"I cannot describe how I feel.  There are no words," he said on Twitter.

The other two people identified are Grayson Herbert Linaksita and Kevin Alexander Soetjipto, Indonesian authorities said.

Search efforts are concentrated in a zone covering 1,575 square nautical miles (5,400 square kilometers) that officials believe is the "most probable area" to find the remains of the aircraft.

But on Friday, waves in the Java Sea as high as four meters (13 feet) were making it hard for divers search underwater.

The weather is "the biggest obstacle," said Bambang Hermanu, chief of police in Indonesia's Central Kalimantan province, where much of the search operation is based.

Anguish revisited: Relatives of MH370 victims speak

Here's more key information about where things stand on Flight QZ8501:

The flight

What we know: The aircraft took off early Sunday from Surabaya, bound for Singapore. Roughly 35 minutes into the flight, the pilot asked air traffic control for permission to turn left and climb to avoid bad weather. Minutes later, the plane disappeared from air traffic control's radar.

What we don't know: What happened on board after contact with the plane was lost. No distress call was received. Indonesian aviation authorities have suggested that the plane ascended despite permission being denied because of traffic.

Some experts have speculated that the aircraft might have experienced an aerodynamic stall because of a lack of speed or from flying at too sharp an angle to get enough lift. Analysts have also suggested that the pilots might not have been getting information from onboard systems about the plane's position, or that rain or hail from thunderstorms in the area could have damaged the engines.

Until the main wreckage of the plane is found, along with the flight recorders, experts have little evidence to support their theories.

How can a modern airliner vanish?

The search

What we know: Search teams found debris and some bodies 100 to 200 kilometers (about 60 to 120 miles) from the aircraft's last known location over the Java Sea, Indonesia's search and rescue agency said.

What we don't know: The exact location of the body of the aircraft. An Indonesian search official told CNN on Wednesday that he thought sonar equipment had detected wreckage from Flight 8501 at the bottom of the Java Sea. But the country's search and rescue chief said the plane hadn't been found yet. Bad weather has hindered the search operation.

The ones who missed the flight

The investigation

What we know: The key to understanding what happened may be in the aircraft's cockpit voice recorder and flight data recorder, commonly known as black boxes. The black boxes, which are actually orange, are in the tail of Airbus 320-200s. If recovered, they will be taken to a lab in Jakarta, Indonesia, to be analyzed, said Tatang Kurniadi, head of Indonesia's National Committee for Transportation Safety. The batteries powering the "pingers" that send acoustic signals have only about 24 days of power left, officials said.

What we don't know: Where the plane's remains might have been taken by the elements. Investigators will need to use information gleaned from the flight recorders and clues from the wreckage.

"The more bits I can put into my mosaic, the better my picture will be," aviation safety expert Michael Barr said. "The better the picture, the better I can come up with an understanding of what happened." But the conditions at sea make that work much more difficult than on land. "In the water, you are working with currents and winds, and so the pieces won't be where they had the initial impact," he said.

What happens next?

The plane and the pilots

What we know: The 6-year-old Airbus A320-200, operated by AirAsia's Indonesian affiliate, had accumulated around 23,000 flight hours in about 13,600 flights, according to Airbus. The plane's last scheduled maintenance was on November 16.

Flight 8501's veteran captain, Iriyanto, 53, had 20,537 flying hours, 6,100 of them with AirAsia on the Airbus A320, the airline said. The first officer, Remi Emmanuel Plesel, 46, had 2,275 flying hours, a reasonable amount for his position.

What we don't know: Whether technical problems, human error or other issues were involved in the crash. According to information from the Aviation Safety Network accident database, there have been 54 incidents involving the A320.

"In the A320 family, accidents and incidents range from fan-cowl detachment, landing gear collapse, bird strikes, right through to hull losses through pilot error," said Kane Ray, an analyst with the International Bureau of Aviation, a global aviation consulting group. "Most aircraft have teething problems, and in most cases, these are eradicated. Very rarely, these issues cause disasters -- largely because of a culmination of factors that lead to the event," Ray said.

CNN's Elizabeth Joseph, Tim Schwarz, Paula Hancocks and David Molko contributed to this report. Journalist Yosef Riadi and translator Edi Pangerapan also contributed.

@highlight

Thirty bodies have been recovered, 4 identified

@highlight

The CEO of AirAsia will accompany the body of a flight attendant home

@highlight

What may be a Flight 8501 window panel has been found, a Singapore ministry says