Port-au-Prince, Haiti (CNN) -- U.S. helicopters carrying food hovered above the ground in one area of the battered Haitian capital on Saturday, flinging out boxes to the anxious crowd.

It was a chaotic scene as hundreds of Haitians without food and water for four days swarmed toward the boxes, ignoring the wind and dust kicked up from the helicopters' blades.  A similar scene erupted Friday when a food convoy with the World Food Programme was forced to leave an area after men in the crowd starting pushing and shoving their way to the trucks.

Elsewhere, people stood in long, orderly lines for food, according to a CNN crew, although anxiety about whether there was enough to go around permeated the wait.

In Petionville, a suburb of Port-au-Prince, U.S. troops handed out about 2,500 meals Saturday, before they ran out. Seventy soldiers arrived with the Army's 82nd Airborne Division in Petionville to set up a distribution base and a landing zone for helicopters. They began handing out meals about 2 p.m.

"Our goal is to get supplies out to the people who need it the most," Col. Mike Foster said. "We got a good start."

Authorities set up more than a dozen aid distribution points across battered Port-au-Prince, as aid workers toted medical supplies into the battered island nation.

Still, although some progress could be observed four days after Tuesday's devastating earthquake, problems persisted.

Get the latest developments on Haiti

A CNN crew observed U.N. World Food Programme personnel who were trying to move food from a warehouse damaged from the earthquake. The building has large cracks up its side, weakening the walls. Its doors could not be forced fully open to allow a forklift through, so workers were painstakingly hand-carrying the supplies out.

Despite the difficulties, the Haitian ambassador to the United States, Raymond Joseph, said he did not believe that violence will increase, as long as distribution of food continues.

"I think it won't get any more violent than it is now," he said.

Also Saturday, former Presidents Bill Clinton and George W. Bush kicked off a fundraising drive -- a donation push called the Clinton Bush Haiti Fund, similar to the appeal led by Clinton and Bush's father, former President George H.W. Bush, for the victims of the 2004 Asian tsunami. The drive was announced at the White House, with President Obama flanked by Presidents Clinton and George W. Bush.

"We're moving forward with one of the largest relief efforts in our history to save lives and to deliver relief that averts an even larger catastrophe," Obama said.

Obama said his predecessors will tap into "the incredible generosity, the ingenuity, the can-do spirit" of Americans.  See full coverage of Haiti

The leaders said the best way for Americans to help Haiti is to donate money.

"I know a lot of people want to send blankets or water," Bush said. "Just send your cash."

Aid delivery has been slowed by damaged roads, the destroyed port and bottlenecks at the airport.

As TV images showed people jostling for aid, U.S. officials reiterated what they said has been a continuation of relief efforts: Ongoing search and rescue operations; the establishment of 14 aid distribution points; finding alternatives to the damaged port, distributing water containers, water purification units, medical supplies, and establishing medical clinics and field hospitals.

Israel was establishing a field hospital to treat thousands of victims from the earthquake, expected to absorb 500 casualties a day.

The U.N. World Food Programme said it plans to reach 2 million people "with one-week rations of ready-to-eat food," and UNICEF said it is distributing water purification tablets, dehydration salts and other supplies, specifically to halt diarrhea infections and diseases.

The U.S. Southern Command said the military is supplying many resources. About 4,200 U.S. military personnel are currently supporting task force operations, and 6,300 military personnel are scheduled to arrive by Monday, the command said.

Aid efforts from the USS Carl Vinson, an aircraft carrier off the coast of Haiti, were in full gear Saturday, with flights transporting concrete-breaking equipment, medical supplies and water. Some of those flights are ferrying aid from the airport to the surrounding region and choppers have rescued two American citizens.

The U.S. Agency for International Development said Saturday that the USS Carl Vinson has delivered more than 30 pallets of relief supplies for transport by helicopters.

The U.S. Naval Ship Comfort pushed out of the Port of Baltimore for Haiti on Saturday and is expected to arrive late next week. A full-scale medical hospital, the craft is equipped with one of the largest trauma facilities in the United States. It was in Port-au -Prince in 2007, and again in 2009, on humanitarian missions, and its medical workers tended to many Haitians during those visits.

Secretary of State Hillary Clinton arrived in Haiti on Saturday, with top relief officials and aid. She returned to the States later Saturday with Americans who had been evacuated, State Department officials said.

USAID chief, Rajiv Shah, who as traveling with Clinton, said some roads have been cleared in Haiti and that water purifications systems have been sent.

A major shipment of medical aid was being trucked to Haiti through the Dominican Republic, which shares the Caribbean island of Hispaniola with Haiti, a Red Cross spokesman said.

Six truckloads of "urgently needed medical equipment," including a field hospital, and 50 people specializing in health, water, and sanitation, were en route, he said. A Finnish Red Cross plane also landed in Port-au-Prince with a "badly needed mobile medical clinic, he said.

CNN's Karl Penhaul, Arthur Brice, Elise Labott, Laurie Ure and Dugald McConnell contributed to this report.

@highlight

U.S. troops handed out about 2,500 meals Saturday in Port-au-Prince suburb

@highlight

Presidents Bill Clinton, George W. Bush kick off fundraising drive

@highlight

USS Carl Vinson brings helicopters, hospital beds and operating rooms

@highlight

4,200 U.S. military personnel currently supporting operations, 6,300 scheduled by Monday