Washington (CNN) -- A year ago, President Barack Obama was under fire. Today, he is being feted.

In just 12 months, the 51-year-old lawyer and former U.S. senator raised by a single mother went from a beleaguered candidate for re-election -- his record and signature health care law under daily attack by Republican rivals -- to being the first Democrat to win more than 50% of a presidential vote twice since Franklin D. Roosevelt.

Now the nation's first African-American president is CNN's Most Intriguing Person of 2012, as voted on by readers of CNN.com, five days after being named TIME's Person of the Year.

Second most intriguing: Malala Yousufzai: The girl the Taliban wanted dead

Explaining Time's choice, Executive Editor Richard Stengel cited Obama "for finding and forging a new majority, for turning weakness into opportunity and for seeking, amid great adversity, to create a more perfect union."

Time: 2012 Person of the Year

Such accolades and results seemed improbable a year ago when Obama's approval rating hovered in the low 40s while unemployment was 8.5%. History showed that it was rare, if not unprecedented, for an incumbent to win re-election with such figures.

In December 2011, Obama's signature health care reform law faced a Supreme Court challenge and unrelenting criticism from Republicans, especially conservatives who depicted it as a socialism-inspired government takeover of almost 20% of the U.S. economy.

In addition, a fierce political battle with congressional Republicans over taxes and spending dominated headlines that month. It was the latest in a series of fiscal showdowns that already caused an unprecedented downgrade in the U.S. credit rating earlier in the year.

Despite ordering the mission that took out Osama bin Laden in May 2011 and welcoming home the last combat troops from Iraq seven months later, the president faced questions from some critics about his plan to end Afghanistan combat operations in 2014.

Bin Laden killing caps decade-long manhunt

Meanwhile, the upcoming election primary season focused attention on the Republican presidential race, spiced by frequent debates that gave candidates ample opportunity to tee off on Obama's record.

His detractors labeled him a failure and said he was over his head, unable to understand the still sluggish economy recovering from recession, let alone how to strengthen it.

A year later, Obama has parlayed his bad hand into a jackpot result.

Obama takes key battlegrounds to win re-election

The economy, which had just started to hint at consistent recovery toward the end of 2011, continued to strengthen incrementally through 2012, with the unemployment rate falling to 7.7% in November.

CNNMoney: Unemployment rate falls to lowest level since 2008

Such steady, albeit slow growth provided cover for Obama against the Republican attack line that his push for stimulus spending in response to the recession he inherited amounted to wasted money and failed policy.

While buffeted at times by Europe's deficit and currency woes, an overall perception of growing economic stability was a major reason Obama defeated GOP challenger Mitt Romney in November by more than 4 million votes.

Perhaps equally beneficial was the Supreme Court's June ruling that the Affordable Care Act didn't violate the Constitution, ending a litany of legal challenges and giving the controversial measure an important public affirmation.

While Romney campaigned on repealing the health care law if elected, the Supreme Court decision strengthened Obama's ability to tout the benefits of the reforms to avoid the issue becoming an election liability.

Supreme Court on health care: How justices voted

The president also made foreign policy a campaign strength over Romney, a former governor with little experience on international issues. Obama touted the bin Laden mission and how he kept his 2008 campaign pledge to end the Iraq War while also starting to wind down the U.S. military role in Afghanistan.

During the final months of the election campaign, Obama also recovered the message and personal style that catapulted him to his historic victory four years earlier. Shouting himself hoarse at times on the trail, he cast himself as the champion of equal opportunity and closing a widening wealth gap in the country.

His campaign also benefited from key policy moves by the president. The administration halted deportations of some children of illegal immigrants, ensuring overwhelming support from the growing Hispanic-American community that proved vital on Election Day.

An earlier step to end the "don't ask, don't tell" policy that barred openly gay and lesbian people from military service as well his eventual support for same-sex marriage boosted his standing with younger Americans -- another key demographic.

Obama announces he supports same-sex marriage

As the end of his first term approached, Obama's approval rating topped 50%, and polls showed the public consistently favoring his approach on deficit reduction over Republican positions.

"This one's more satisfying than '08," he told top aides on Election Night, according to the Time cover story on his being named Person of the Year. "It wasn't just about what I was going to do as president. It's what I've done."

@highlight

President Barack Obama's year of triumph ends with accolade from CNN.com readers

@highlight

Obama also is Time magazine's Person of the Year

@highlight

The year began with Obama in a perilous political position

@highlight

His re-election reflected policy and political accomplishments