(CNN) -- It was "censorship day," the 20th of the month, the day Nyein Nyein Naing, executive director of Myanmar's Seven Days News Journal, takes her stories to a government office for pre-publication scrutiny.

Normally, a report on refugees fleeing from the conflict-ravaged Kachin state would not be accepted. Its distribution would most likely result in jail time for the author and suspension of the journal.

But August 20 was a new day for Myanmar, the day the government rescinded repressive media censorship laws that had hindered and intimidated the country's journalists for decades. Still, Naing had her concerns.

After nearly 50 years under the auspices of autocracy, Myanmar is shifting from the tough economic, social and political policies that have shrouded the sovereign state in global isolation.

Is now a good time to visit Myanmar?

Since President Thein Sein's inauguration as Myanmar's first civilian leader in half a century, the light of significant freedoms has emerged from the fog of Myanmar's military rule.

Freedom of the press is stressed as "one of the most important reforms in the long run" by Suzanne Dimaggio, vice president of global policy programs at Asia Society, a nonprofit organization that aims to strengthen ties between the United States and Asia. Yet, according to her, it's "not quite completely open, but it's certainly moving in that direction."

U.S. President Barack Obama voiced similar views, as his historic trip to Myanmar, also known as Burma, brought not only praise for the recent reforms, but also encouragement for the "greater progress that needs to be made in the future," as he put it.

The era of government-controlled media that banished daily newspapers, banned all forms of hard news and established pre-publication censorship is approaching the end of its long reign.

But some journalists are still treading lightly.

As a test of the new exemption from government review, Seven Days ran the Kachin refugee story as their front-page article. Nothing happened.

Myanmar still lacks daily newspapers; it has only weekly magazines. Until a few months ago, weeklies could cover only "culture, arts, sports and things like that, but not hard news," said David Hoffman, founder and CEO of Internews, an international media development nonprofit that has clandestinely trained more than 1,000 Burmese journalists to operate beneath the government's radar for the past decade.

"One of the biggest reforms that people are waiting for is the move to daily newspapers, which will probably happen in a couple months," Hoffman said.

Who is Aung San Suu Kyi?

Among the hurdles facing journalists is the lack of technology. Myanmar has the fewest cell phones of any country in the world, even fewer than North Korea, according to CIA World Fact Book, and only 1% of the country's population has Internet access, according to Freedom House.

Despite the lack of connectivity around the country, Hoffman said, "We still trained people (in social media) because we saw it as an effective tool in a closed society."

With the lifting of press restrictions, Dimaggio said, she believes people "will have greater access to Internet and online sources ... as the economy opens up and more telecom companies move in."

Facebook and Twitter may be more widely used when the government monopoly on telecom is liberalized, she said.

Across the border from Myanmar, in Chiang Mai, Thailand, experienced journalists working for Internews have covertly taken in Burmese reporters who receive training for a month or so before returning to either work clandestinely or for independent journals.

"Basically, we try to teach what language to use in reporting on conflict that will not inflame the situation -- making sure your facts are right, getting them verified, basic journalism ethics," Hoffman said of Internews' operation during Myanmar's military rule.

When they were reporting in a closed society, Hoffman said, the Burmese had developed their own figurative writing style to report on off-limit topics.

Obama encourages 'flickers of progress'

Electricity shortages are not normally the most exciting stories, but for one editor of a large Burmese journal it's the article he is most proud of. The headline read, "Living in the dark," and though he was reporting on electricity blackouts, the editor was actually alluding to Myanmar's political situation.

Boosted by the covert media training, the transition from a society mired for the past 50 years in government-controlled information to one that embraces a free press has been a smooth, yet groundbreaking path, experts say.

The new freedoms may represent dashes instead of solid double lines, but more reforms must be made for Myanmar's press to be labeled truly open and its people completely free.

Emphasizing that Myanmar is still at the beginning of the transition, Dimaggio said there is room for improvements, especially in regard to the escalating violence between Buddhists and the Muslim Rohingyas.

"This a real destabilizing factor for the country that has really undermined some reforms," she said.

Since the government loosened control of its information flow, Internews has set up a permanent journalism school in Yangon, the former capital. There, reporters are being trained in conflict-zone journalism -- as the country continues to witness ethnic clashes -- as well as broadcast journalism to prepare for the impending telecom liberalization.

Hoffman, recently returned from Myanmar to assess the progress of the media, described it as "the most exciting thing" he's ever seen.

"You just can't believe it -- the reforms are across the board," he said. "They've opened the door to democracy, and I don't think they can close it again."

@highlight

One editor was nervous about a story landing the newspaper in trouble, but nothing happened

@highlight

Free press is one of the "most important reforms in the long run," an expert says of Myanmar

@highlight

Journalists trained to operate clandestinely make the transition to reporting openly

@highlight

Buddhist-Muslim violence could undermine the broad reforms, an expert says