(CNN) -- Greek Prime Minster Papandreou has called for a referendum on the terms of the loans from the eurozone and IMF. Markets are now trying to fathom out the possible outcomes of this decision -- and they are not all negative.

Opinion polls suggest that the loan package will be rejected by Greek voters -- but there is a huge difference between answering the casual question of a pollster and a formal referendum, and one that could mark a turning point in the history of the country.

At that moment, electors will have had the time to consider all the arguments put to them and form a balanced opinion before voting.

If millions of voters say yes, then the thousands of protesters who have taken to the streets of Greece in recent months may be seen as representing little more than the special interests that the total economic package is designed to remove so the country can develop into an open and competitive modern economy.

But if the millions of voters reject the loan package, then what?

It would be difficult to see why the eurozone should offer further assistance -- unless it was very clearly in its own interest to do so.

The risk of eurozone bank failures (and knock-on effects) has been a major incentive but, by the time of the referendum, all EU banks should have been analyzed even more deeply by their regulators and recapitalization plans prepared.

That analysis should be extended immediately to include counter-party risk -- the risk of a domino effect -- as it will be obvious that there will be no one to bail out the Greek banks themselves, so prudent outsiders should assume that they will all fail, and plan for the natural consequences.

Immediately after the referendum, Greece will still be a member of the EU: their implicit decision to default on loans from the EU ought to carry the automatic sanction that there will be no further disbursements of EU structural funds, agricultural subsidies, EIB loans and the like. Planned capital injections of this type currently total about 7% of Greek GDP.

Moreover, it would be quite unlikely that the private sector would be willing to lend to any Greek entities -- unless secured by cast-iron collateral (and contracts) outside Greece.

The current Greek external deficit would then have to move into balance as there would be no financing available for excess imports. Indeed, imports would drop by around a quarter -- and swiftly. That would be an exceptionally painful process.

Greece cannot leave the eurozone under the terms of the existing treaty. In principle, that treaty could be changed if all other countries agreed but that would be a lengthy process and as the risk became widely known every sensible Greek depositor would withdraw euro deposits from the Greek banks and move them abroad.

Such a bank run would be the liquidity crisis that triggered the rapid collapse of the entire Greek banking system. Again, dramatically painful consequences for the economy would ensue.

If opinion polls were still pointing to rejection as the day approached, any other eurozone members at risk would see these dire consequences unfolding, encouraging them to take all necessary steps to avoid a similar fate.

For example, Italy is already expected to have a budget deficit in 2012 below 3% of GDP, and the current Prime Minister, Silvio Berlusconi, has promised the eurozone heads of government to take additional measures that will ensure a balanced budget in 2013.

The unfolding Greek tragedy will only encourage such states to put their probity beyond doubt, and their voters would have a very clear understanding of why their leaders were asking for such efforts.

Bottom line: the eurozone "political union" that effectively emerged completely at the October 26 summit would see a powerful advantage in standing closely behind such members, and the eurozone in aggregate would be transformed fiscally -- especially in comparison with say the US and the UK.

For the unfortunate Greeks, most of the bad news would develop in advance of the vote if the markets expected a No.

But such ghastly developments might encourage voters to say Yes and accept the offers of help.

However, it could just be a bit too late to avert a genuine Greek tragedy.

The opinions expressed in this commentary are solely those of Graham Bishop.

@highlight

Opinion polls suggest Greek voters will reject eurozone bailout loans

@highlight

A 'no' vote would have wide-ranging implications for the rest of Europe

@highlight

Under the current eurozone treaty, there is no way for Greece to leave the euro