Sanaa, Yemen (CNN) -- Yemen holds a presidential election Tuesday with only one candidate on the ballot to replace longtime ruler Ali Abdullah Saleh.

Vice President Abdurabu Mansur Hadi took over Yemen's government in November, when Saleh handed over power after months of protests. Though Hadi will be the only name on the ballot on Tuesday, he has insisted on standing for election to make his presidency official.

Posters of Hadi with slogans such as "A new president for a new Yemen" have gradually replaced images of his predecessor. But some of those who took part in the protests that drove Saleh from power after 33 years say they're not particularly excited about Tuesday's vote.

"Maybe you can call them elections," said Nadia Abdullah, an activist in Change Square, the epicenter of the anti-Saleh movement. "But for me, elections should have more than one candidate."

The 65-year-old Hadi is a British-, Egyptian- and Soviet-trained army officer, recently promoted to the rank of field marshal. He has served as vice president since 1994 and is running for a two-year term as president on pledges of improving security and creating more jobs.

But he's never had much of a power base of his own, and Yemen's problems will take much longer to fix than the two-year mandate he's expected to receive. It's the poorest country in the Middle East, with a severe shortage of water and rising levels of malnutrition among its population of about 25 million.

Even before last year's upheaval, Saleh faced a separatist movement in the south, sectarian tensions in its north and the growing presence of what Western officials describe as al Qaeda's most dangerous affiliate, al Qaeda in the Arabian Peninsula.

For some, particularly in the once-independent south, Hadi is too closely tied to Saleh's rule to represent any change.

"Why do people expect southerners to celebrate that Saleh is gone?" Mohammed Mosed Okla, a prominent separatist leader in the southern port of Aden, told CNN. "His regime is still in control, and his family still control all the major security factions in the country. We will not be tricked again, and southerners will not celebrate until complete change takes place in south Yemen."

There was heavy security in Aden for the vote, with at least 10 new checkpoints had been set up around the city. Explosions rocked four separate neighborhoods late Monday, with gunfire reported in one following the blast, but security officials told CNN that no injuries had been reported.

Explosions reported ahead of Yemen vote

Hussein al-Aqil, a professor at Aden University and another separatist leader, said Hadi watched as Saleh "oppressed us for more than two decades."

"I was imprisoned for three years because I expressed my opinion and rejected the corruption that Ali Saleh stood behind," al-Aqil said. "The old regime tortured me and made me suffer for years. Hadi is part of the old regime, and will not be recognized as a southern leader."

But in Sanaa, Abdullah says Yemen's people are looking to Hadi to start the political reforms needed to save the country.

"If he goes through with it, we will stand hand-in-hand with him," she said. "If he doesn't, or if we see a lot of game-playing between him and the government, I believe the youth will remain in the squares. They would say, 'Leave,' as they did to Ali Abdullah Saleh."

Saleh handed over power to Hadi as part of a deal brokered by Persian Gulf states and will formally relinquish his office after Tuesday's vote. He is now now seeking medical treatment in the United States for wounds suffered in a June assassination attempt at his presidential palace during weeks of street battles between government troops and tribal fighters.

The United States, meanwhile, has been backing Yemeni efforts against al Qaeda and has periodically struck targets inside Yemen, as in the September drone strike that killed American-born cleric Anwar al-Awlaki.

Gerald Feierstein, the U.S. ambassador to Yemen, told CNN that the transition laid out in the Gulf plan as well as efforts to boost the economy and deliver basic services will be critical "in terms of our ability to defeat al Qaeda and other violent extremist organizations in the country.

"All of these elements are going to help us defeat al Qaeda and eliminate them as a threat here in Yemen, to the region and to the world," Feierstein said.

But for patrons in one Sanaa cafe, a bit of normalcy would be welcome.

One man said Hadi's first objective should be to "repair all the damage that was caused by the recent upheavals -- like the electricity crisis, like the gas crisis and all the crises in the country in general."

Journalist Hakim Almasmari contributed to this report for CNN.

@highlight

Longtime leader Saleh's vice president is the sole candidate on the ballot

@highlight

Saleh handed over power to Hadi in November after months of protests

@highlight

Activists say they're looking to Hadi to start promised reforms

@highlight

Separatist leaders in south Yemen say they expect little change