Washington (CNN) -- U.S. and Japanese authorities have ordered airlines to stop flying their Boeing 787s until they can show they've fixed a fire risk linked to battery failures aboard the closely watched Dreamliners.

The moves by the U.S. Federal Aviation Administration and the Japanese government follow an emergency landing in Japan that prompted that country's two major airlines to ground their fleets of 787s, and a similar problem aboard a Dreamliner on the ground in Boston nine days earlier.

"The battery failures resulted in release of flammable electrolytes, heat damage, and smoke on two Model 787 airplanes," the FAA announced Wednesday evening. "The root cause of these failures is currently under investigation. These conditions, if not corrected, could result in damage to critical systems and structures, and the potential for fire in the electrical compartment."

The only U.S. carrier to operate the eagerly awaited, long-delayed jetliner is United Airlines, which said earlier Wednesday that it had inspected its fleet of six 787s and would continue flying them. United spokeswoman Christen David said Wednesday evening that the airline would comply with the order "and will work closely with the FAA and Boeing on the technical review."

The FAA noted that its directive also signals international aviation authorities to take "parallel action" regarding their own airlines.

The first commercial Dreamliner flight took off in October 2011, flying from Tokyo to Hong Kong, and the planes flew without major problems for more than a year.

Since July, the growing list of reported troubles aboard the planes include a fuel leak, an oil leak, two cracked engines, a damaged cockpit window and a battery problem. The FAA announced a safety review of the aircraft last week.

In the most serious incident so far, an All Nippon Airlines (ANA) 787 with 129 people aboard made an emergency landing after a battery alarm Wednesday morning. Those on board reported a burning smell in the cabin, and an alarm indicated smoke in a forward electrical compartment.

Hours later, ANA and Japan Airlines announced that they were grounding their Dreamliners pending an investigation.

And on Thursday, the Japanese government ordered that all 787s be kept out of service until battery safety could be assured.

A maintenance worker discovered an electrical fire aboard an empty Japan Airlines 787 slated for departure from Logan International Airport in Boston on January 7.

In a statement released Wednesday night, Boeing Chairman, President and CEO Jim McNerney said the company is confident that the planes are safe and is working with authorities to get them flying again.

"Boeing is committed to supporting the FAA and finding answers as quickly as possible. The company is working around the clock with its customers and the various regulatory and investigative authorities. We will make available the entire resources of The Boeing Company to assist," the statement said. "We are confident the 787 is safe and we stand behind its overall integrity. We will be taking every necessary step in the coming days to assure our customers and the traveling public of the 787's safety and to return the airplanes to service."

McNerney's statement Wednesday did not mention specifics about the recent incidents, but said the company "deeply regrets the impact that recent events have had on the operating schedules of our customers and the inconvenience to them and their passengers."

Boeing has delivered 50 Dreamliners so far and has more than 800 additional orders for the aircraft from airlines around the world.

On Wednesday night, Chile-based LAN Airlines said it was temporarily grounding its three Boeing 787 aircraft in compliance with the FAA's recommendation.

Boeing's shares -- which had previously been resilient in the face of this month's negative publicity over the Dreamliner -- sank 2% in after-hours trading Wednesday, after falling 3.4% during the trading day.

After last week's incident in Boston, Boeing chief engineer Mike Sinnett expressed confidence in the aircraft's battery system.

"I am 100% convinced the airplane is safe to fly," he said. "I fly on it all the time."

Asked last week whether he would consider grounding the jets, FAA Administrator Michael Huerta said there was "nothing in the data" that suggested the Dreamliner was unsafe.

Longtime commercial pilot and industry analyst Patrick Smith said the battery issue did not appear to be a major problem, but called the FAA order "a positive and pro-active step."

"I don't think that it was dangerous for the plane to be flying, but it probably wasn't the best thing to be flying it on the heels of this latest emergency landing in Japan," Smith said.

"All airplanes have their teething problems, and this was trending in a bad direction," he added. "Now the authorities have said, 'Stop,' and that's a good thing."

CNN's Mike M. Ahlers and Thom Patterson and CNNMoney contributed to this report.

@highlight

NEW: Japan orders that 787s remain out of service until battery safety is assured

@highlight

Boeing says the company is confident that the planes are safe

@highlight

FAA grounds Dreamliners for battery fix

@highlight

The move follows an emergency landing in Japan and another incident in Boston