(CNN) -- As the new school year approaches, President Obama has been traveling around talking about the high cost of education. In a speech given on August 22 in Syracuse, New York, he laid out a plan to rein in the costs, describing affordable and accessible education as "Washington's highest priority."

But the education system isn't broken -- it's "fixed." If we're serious about tackling the issue of affordable education and student debt, we need to strike at the root of the problem -- the influence of money in politics.

Private corporations like Sallie Mae -- which own 15% or $162.5 billion dollars of total student debt -- rake in private-island-purchasing profits while students suffer.

It's impossible to be on a college campus -- especially a state university -- and not notice the impact of the student debt crisis. The debt weighs on our students. It is as if you could see it in their slumping postures and staggering gaits as they haul boulders and lug chains from class to class. Approximately 37 million students currently hold debt, averaging $27,500 per person and totaling over $1.1 trillion.

Saddled with debt, students are giving up on the idea of the American Dream. You know, like the idea that you and your buddy can open up a small ice cream shop in an old gas station and grow it into a multimillion dollar business that cares for the community and delights the world.

The truth is, if Jerry and I had had $27,000 of debt in 1978, we would never have taken the risk of opening our first scoop shop. More likely than not, we would have been underemployed and buried in back payments.

Obama gets it. In Syracuse, he said: "The idea used to be that here in America anybody could make it. ... And, unfortunately, what's happened is it's gotten tougher for a lot of folks. So we've got to reverse these trends."

But while Obama talks about creating policies that will benefit the middle class, corporations like Sallie Mae are dedicated to preserving the status quo by showering Capitol Hill with cash.

According to the Center for Responsive Politics, Sallie Mae has donated over $1.26 million to federal candidates and parties in the last four election cycles and bankrolled $1.93 million dollars lobbying Congress in the first half 2013.

During that time, Congress crafted a student loan bill that tied interest rates to financial markets, which President Obama signed it into law in August. While in the short term, the bill prevented interest rates from doubling, students are more vulnerable in face of an adjustable interest rate that could top 8.5%.

Corporations like Sallie Mae borrow at dirt cheap interest rates (subsidized between .23% and .34%) from the Federal Home Loan banks. In contrast, undergraduate students borrow at an adjustable 3.85% and graduate students borrow at an adjustable 5.4%.

That's a sweetheart deal for Sallie Mae which raked in $2.5 billion in interest payments from student loans last year, but a terrible deal for students.

In a letter to Sallie Mae's CEO, Sen. Elizabeth Warren wrote: "While Sallie Mae is finding unique ways to profit from government programs, its borrowers are paying interest rates that are far in excess of the low cost of funds supported by the U.S. taxpayers."

It's time to dam the deluge of cash and corporate influence in Washington once and for all. Whether you're a college student, a debt holder, a parent or simply someone concerned about the future of our country, you can help.

There is a stampede rumbling across the country to amend the Constitution to declare: 1) Money is not free speech; and 2) Corporation are not people.

At StampStampede.org, we're helping to build that movement by legally stamping messages like "Not to be Used for Bribing Politicians" on our nation's currency to spread the word and get money out of politics. Every bill is seen by 875 people, so the more stamped bills that enter circulation, the more movement will grow. And it's growing.

Thanks to the leadership by groups like People for the American Way, Move to Amend, Common Cause, Free Speech for People and Public Citizen, 16 states have passed referendums calling on Congress to take action and over 150 members of Congress support the amendment strategy.

As the new school semester begins, pick up a stamp and help take back our campus and take back Congress. This is our future and our fight to win.

The opinions expressed in this commentary are solely those of Ben Cohen and Edward Erikson.

@highlight

Ben Cohen, Edward Erikson: Are we serious about solving student debt crisis?

@highlight

Cohen, Erikson: The root of the problem is influence of money in politics

@highlight

Students suffer but Sallie Mae profits while owning 15% of student debt, they say

@highlight

Cohen, Erikson: Corporations like Sallie Mae lobby Congress; we need to change that