Editor's note: Brandon Ancil is a digital producer and editor for CNN.com. Like many CNN iReporters, he shoots, edits and produces all of his content himself. Below are some tips to editing a video piece from start to finish. Read up, then give Ancil's advice a try in this week's iReport Boot Camp challenge.

In the world of video production, it's not a stretch to say that video editors are easily overlooked. Last in line to get their hands on the material, the choices a video editor makes can drastically change the impact a video has. With the right style, tone and technique, an ordinary video can be transformed into a gripping video experience. And once you have the basic tools of how to edit, it's only a matter of time before you're editing like a pro.

Review footage

The first step when editing is to get your footage onto your computer. The very next step should be to review it. Watching all of the video you have to work with, from beginning to end, will bring the story back to you. And while you're reviewing your footage, you should also be organizing it.

Organization

All editors have their own system of organization. Some lay their clips out chronologically while others set their clips into scenes. First determine how you'd like to organize your clips and then make it happen. Luckily, all editing programs from Final Cut Pro to Windows Movie Maker have one basic organized layout. They include: a timeline (an area where footage can be laid down for review and cutting), a clip bin (an area where transferred clips can be labeled and organized for viewing) and a viewer (the video playback area of your editing program). Whether you're editing a small project or a large one, it's best to keep the elements in your bin well catalogued. Organization will save you time and stop an editor from being overwhelmed by the amount of available footage.

At the beginning of an edit, I break down my video elements into three main groups:

B-roll: Any video footage that does not include interviews.

SOTs: "SOT" or Sound On Tape, refers to interviews or specific audio for your story.

Graphics: Extra elements that are created in pre- or post-production to enhance the story.

Make it functional, then fancy

No matter how beautiful or beat-up the shots may be, video storytelling is at its core, storytelling. As an editor, your main responsibility should be to tell the story in the most responsible way. You do this by first arranging your audio from interviews, natural sound and/or a voiceover to create your storyline. Once that is done, you can then begin to add exciting visual elements to enhance the storytelling.

Lead with action

Buck the notion that you save the best for last. In video, you've got to grab your viewer's attention and keep it the entire way through. Whether it's compelling video or sound, always lead with an active element that is both integral to the story and interesting to the viewer.

Create pace and tension

There's nothing worse than a story that gives it all away in the beginning. As an editor, it's important to create a storyline with tension that builds to keep the viewer watching. If not, you've broken an unwritten promise to the viewer.

Audio and music

Music can aid in building pace and tension in a story. Just remember a piece of music should not change the meaning or intent of the story. A way to check this is to simply watch the piece with the music playing -- and then watch it with the music muted. If you find your impression of the story as a whole has changed, revisit your music selection. A music track should complement your story, not compete with it.

Also select your music carefully. Don't use trademarked music unless you have the license to do so. Try using music that's available in the public domain. Sites like PD Info can help you identity useable music.

Make your edits count

As with shooting, there are many cardinal sins in editing. Among them: jump-cuts, splitting the axis and video effects or transitions.

Jump-cut: A jump-cut occurs when an editor makes a cut that appears to have skipped or jumped forward. The easiest example to visualize is in an interview setting. If an editor cuts from one thought too quickly to the next without a camera movement or transition, the cut looks noticeably like it has jumped forward. A way to avoid this is to use "b-roll" to cover those cuts.

Splitting the axis: Splitting the axis differs from a jump-cut because of its severity. Instead of little change, crossing the axis is a sudden shot change from one side of your subject to his or her opposite side. To better understand, imagine you're watching an interview. The person is facing the camera with most of their right side toward the camera. Suddenly, the camera angle changes, and you see the opposite side of the interviewee. You have crossed the axis - which is a visually jarring cut, and something that should be avoided at all costs.

Video effects and/or transitions: When used effectively (and sparingly), these elements can aid in cleaning up a video. A white flash can help mitigate a jump cut, or a dip to black can add needed pacing to an emotional story.

Restraint

The KISS acronym -- "Keep It Simple and Straightforward" has never let me down. Suppressing your desire to add in more elements can oftentimes be your best tool. This may mean eliminating useless transition effects, graphics or excessive shot changes.

Finishing touches

After you've edited your piece, take the time to critically review the choices you've made in both story and video. A peer-review is a great tool. Showing your work to someone who hasn't seen it before will provide a fresh perspective on your piece. Listening to the person's feedback will help you fill in holes that you may not have noticed yourself.

Tips learned the hard way

Save constantly. No one wants to redo their project. And backup your material. If you have enough space, either keep the footage on your camera or double up your material on another computer.

For more tips on video production, check out digital producer and editor Nick Scott's tip on shooting video.

@highlight

CNN's iReport Boot Camp challenges iReporters to improve storytelling chops

@highlight

CNN's Brandon Ancil shares his advice on editing video

@highlight

Show us your editing skills by September 13