(CNN) -- Victoria Bol sits under the blazing sun in the soon-to-be world's newest capital of Juba, a city of red soil, winding dirt roads and scattered tin-roofed homes.

She watches in delight as children frolic on the streets and women mill about with the new flag of South Sudan wrapped around their shoulders.

A few feet away, boisterous neighbors spray the rare paved road with a hose, playing with the soapy suds as they hum the new anthem of a nation on the eve of its birth.

"Oh my goodness, I cannot believe this day is finally here," says Bol, a resident of Grand Rapids, Michigan. "It is very emotional. I'm excited, but I'm also thinking of all the people who died for this to happen."

Bol is among scores who have returned home to witness the birth of South Sudan, as it officially splits from the government based in the north on Saturday.

"The airport is packed and homes are filled with people coming in from all over the world," Bol says. "We lost almost everything -- our relatives, our homes, everything we own -- to get to this point. There was no way I was missing this."

Bol says dozens of her relatives died in the violence.

She fled Juba in 1991 as mortars rained from the sky, and has not set foot in her homeland since then.

"We were at the airport trying to leave when the north started bombing nearby," she says. "Everything shook. We all started screaming and hiding."

Sudan's Muslim north has been in conflict with the majority Christian south for decades. The civil war created a class of refugees who drifted in and out of neighboring countries -- many on foot -- to flee violence and famine that left about 2 million people dead.

In January, South Sudan voters overwhelmingly approved a referendum to split, which was part of a 2005 peace deal that helped end the war.

Dallas resident Abuk Makuac escaped Juba in 1984.

"I wish my many relatives who died in the civil war were here to witness the separation into a new country," she says. "From here on, I know that they did not die in vain."

Scores who fled the long conflict are coming home to a region that has not changed much over the years. The infrastructure is still lacking -- with about 30 miles of paved roads in all of South Sudan, an area the size of Texas.

"It is no Michigan," Bol says with a chuckle, "but it's home, and there is a feeling of solace you get at home that you will never get anywhere else."

Water remains a luxury in most communities and security is still tense, especially in regions bordering the north where violence still rages days before independence.

But patriotism trumps the challenges, say the returnees, who gathered this week in Juba to discuss how they will help move their new country forward.

Gordon Ajak, who left Sudan in 1989, hopes to capitalize on the opportunities in his homeland after he decides what to invest in.

The 46-year-old bought a one-way ticket from Canada, where he works as a counselor.

"I left Sudan because ... we were not wanted by the government in the north," he says. "We have our own country now. It is time to come back to invest and help my people."

Business analysts warn that the minimal infrastructure in South Sudan can lead to a difficult business climate.

"Good business skills will come at a premium and there will be a ferocious demand for talent," says Robert Taiwo, director of Whitespace Advisory, a global firm that works with businesses looking to invest in Africa.

The rewards, he says, can include unprecedented business opportunities.

"Returning South Sudanese will get an opportunity to shape domestic business ethics and this will ultimately govern the commercial context in which everyone operates," he says.

Ajak says he is not deterred by the flashes of violence that have flared in South Kordofan, a border area between the northern and southern regions that remains tense ahead of the independence.

Other challenges such as the disputed region of Abyei remain, he says, but he is ready to sacrifice for his new homeland.

"Back before I left, I was being attacked in a country that did not want me," he says. "The difference now is I'll be fighting for South Sudan. My own country. I'd rather die for my country than watch them suffer."

James Aguek will not make it home for the festivities, but the Orlando resident is planning to move back permanently. He has already torn his Sudan passport in anticipation of a new one from South Sudan.

"Having a new country gives me a reason to go back," the musician says. "There is no way I would have gone back to that country if we had not voted for the separation."

For now, Aguek will focus on his upcoming album -- one that includes a song called "99%."

It's a reference to the number that voted for the split.

@highlight

"It is no Michigan," one expatriate says, "but it's home"

@highlight

Sudan's Muslim north has been in conflict with the majority Christian south for decades

@highlight

The two sides officially split on Saturday, a bitter divorce that comes amid tension