Washington (CNN) -- A federal safety board called Tuesday for a nationwide ban on the use of cell phones and text messaging devices while driving.

The recommendation is the most far-reaching yet by the National Transportation Safety Board, which in the past 10 years has increasingly sought to limit the use of portable electronic devices -- recommending bans for novice drivers, school bus drivers and commercial truckers. Tuesday's recommendation, if adopted by states, would outlaw non-emergency phone calls and texting by operators of every vehicle on the road.

It would apply to hands-free as well as hand-held devices, but devices installed in the vehicle by the manufacturer would be allowed, the NTSB said.

The recommendation would not affect passengers' rights to use such devices.

Study: Distracted drivers in denial

NTSB members say the action is necessary to combat a growing threat posed by distracted drivers. While distracted driving has been a problem "since the Model T," in the words of NTSB Chairwoman Deborah Hersman, authorities say it has become ubiquitous with the explosion in the number of portable smart phones. At any given daylight moment, some 13.5 million drivers are on hand-held phones, according to a study released last week by the National Highway Traffic Safety Administration.

Some 3,092 roadway fatalities last year involved distracted drivers, although the actual number may be far higher, NHTSA said.

"This (distracted driving) is becoming the new DUI. It's becoming epidemic," said NTSB member Robert Sumwalt.

Accident investigators routinely seek protective orders to preserve smart phones for use as evidence in accident investigations, Hersman said.

But because distracted drivers sometimes do not own up to their actions, or because they die during the crash, determining whether distraction was a factor in an accident can be difficult.

That was the case in a 2010 chain-reaction accident near Gray Summit, Missouri. During the 11 minutes prior to that incident, the driver of a pickup truck received five text messages, and sent six, and he was seen leaning over just before the accident, leading investigators to believe the driver was likely distracted when his truck plowed at 55 mph into the rear of a tractor trailer, which had slowed or stopped because of a highway work zone. Two school buses then plowed into the wreckage. Two people -- including the pickup truck driver and a bus occupant -- were killed; 38 other people were injured.

The driver of the pickup truck was 19 years old, and was in violation of a Missouri law prohibiting drivers under the age of 21 from texting while driving. But the safety board focused little on the age of the driver, casting "distracted driving" as epidemic among people of all ages.

Time: How dangerous is it, really?

The NTSB said cell phone laws alone would not solve the problem, but must be accompanied by aggressive educational campaigns and strict enforcement. The Missouri State Highway Patrol had issued only 120 citations for texting in a two-year-period, the NTSB said.

Currently, a patchwork of laws governs cell-phone usage by drivers. Some 35 states ban text messaging while driving, 30 states ban cell-phone use by novice drivers, and 10 ban all use of hand-held cell phones, according to the NTSB.

The safety board also recommended the electronics industry develop phones that would discourage their use by drivers, but could identify a car occupant's location so that passengers could use the devices.

A Virginia Tech Transportation Institute study of commercial drivers found that a safety-critical event is 163 times more likely if a driver is texting, e-mailing or accessing the Internet.

The NTSB's action is a recommendation only, but the board has been instrumental in leading for changes in other areas of transportation safety.

Chairwoman Hersman said the ban may inconvenience motorists, but would save lives.

"Needless lives are lost on our highways, and for what? Convenience? Death isn't convenient," Hersman said. "So we can stay more connected? A fatal accident severs that connection."

The NTSB's investigation of the August 5, 2010, Missouri crash also exposed numerous other safety shortcomings.

Although Missouri requires school bus inspections twice a year -- one by the highway patrol and a second by a certified inspection station -- an inspection 10 days before the accident did not reveal faulty brakes on one of the buses, the NTSB said. The faulty brakes were not a factor in the accident, the NTSB said, because the driver said she did not hit the brakes before the crash.

But the NTSB criticized the service station that inspected the brakes, the contract owner of the school buses, and the highway patrol. The highway patrol gave the bus company a "Total Fleet Maintenance Award" before the accident because 100% of its buses had passed inspection. In an unannounced inspection following the tragedy, the pass rate dropped to 60%, the NTSB said.

The NTSB said both the inspection station and the highway patrol performed inadequate inspections.

Read featured comments from this story

@highlight

NTSB has been trying to limit the use of portable electronic devices in vehicles

@highlight

The recommendation for a total ban includes hands-free devices

@highlight

Study: At any given daylight moment, 13.5 million drivers are on hand-held phones

@highlight

Some 3,092 roadway fatalities last year involved distracted drivers