(CNN) -- Quick -- name a planet with rings. Easy, right?

But Saturn and others are not alone: Now scientists have added another celestial body to the short list of objects in our solar system that have rings around them.

The remote asteroid Chariklo orbits between Saturn and Uranus in the outer solar system. Researchers published a study in the journal Nature showing evidence of rings around it.

Lead author Felipe Braga-Ribas of the Observatorio Nacional/MCTI in Rio de Janeiro said the discovery came as a complete surprise.

"We weren't looking for a ring and didn't think small bodies like Chariklo had them at all," he said in a statement.

Chariklo is fairly small -- 250 kilometers (150 miles) in diameter. It is classified as a "centaur," an object that has an unstable orbit and crosses giant planets' orbits. Mythological centaurs had both human and horse features, while centaurs in the solar system may have both comet and asteroid characteristics.

The asteroid is only the fifth solar system object whose rings have been detected. Jupiter, Saturn, Uranus and Neptune also have rings.

Telescopes at seven different locations, including the European Southern Observatory's La Silla site in Chile, saw a star seem to disappear for a few seconds on June 3, 2013. This happened because the star's light was obscured by Chariklo.

The star's brightness also diminished a few seconds before and after that main blocking of light. Astronomers discovered that rings were responsible, and calculated their size, shape and orientation.

The two rings orbiting the asteroid are relatively narrow: 7 kilometers and 3 kilometers across. They are separated by a gap of 9 kilometers. Scientists are informally calling these rings Oiapoque and Chui, after rivers near the northern and southern ends of Brazil.

The gravitational interactions from small moons may be keeping the orbiting material in ring form, scientists said.

"So, as well as the rings, it's likely that Chariklo has at least one small moon still waiting to be discovered," Braga-Ribas said in a statement.

And someday the rings themselves may lead to a moon being formed, scientists said. On a larger scale, a similar process could have been involved in the making of our own moon, as well as other planetary satellites.

How these rings came to be is mysterious. One idea is that a collision created a disc of debris, the European Southern Observatory said.

"This discovery suggests that the event(s) responsible for the origin of the rings is relatively recent, or that a fortuitous balance of forces have combined to help sustain them," said Ed Beshore, deputy principal investigator for NASA's OSIRIS-REx mission, which aims to visit a near-Earth asteroid and bring a sample back to Earth. Beshore was not involved with this study.

Scientists planning OSIRIS-REx, targeting an asteroid called Bennu, are finding challenges with the dynamics of small celestial bodies, Beshore said. The Nature study reinforces the idea that asteroids, comets and other relatively small bodies are "no longer second-class citizens in our solar system," he said.

"Indeed, they may harbor important clues about the origins and mechanisms that helped create our planet Earth, and the processes that supported the rise of life here," he said.

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

South American telescope observations found rings around an asteroid

@highlight

The asteroid, called Chariklo, may also have a moon

@highlight

Some day the rings themselves may lead to a moon being formed