(CNN) -- Humans have driven to extinction four marine mammal species in modern times: StellerÂ´s sea cow in 1768, the Caribbean monk seal in 1952, the Japanese sea lion in 1970 and the baiji or Chinese river dolphin in 2006. As you read this, we are on the brink of losing the fifth.

The vaquita (Spanish for "little cow"), a small porpoise that lives only in the uppermost Gulf of California, Mexico, is the most endangered of the 128 marine mammals alive today. The vaquita, which some say looks endearing with its unique facial markings, is the smallest of all whales, dolphins and porpoises.

The only way to prevent its extinction is if the Mexican, U.S. and Chinese governments take immediate and coordinated action.

New evidence presented by a team of international scientists, established by the government of Mexico, shows that the vaquita is running out of time even faster than we thought.

â€ŽThe population is very small and disappearing rapidly, with more than half lost in just the last three years. There were about 200 vaquitas a few years ago, and now a report presented recently to the Mexican government by an international recovery team estimated that fewer than 100 remain.

Each year, about one in five vaquitas is drowned in fishing nets, both legal and illegal. This makes it likely that at least another 20% of the population will be lost during the next fishing season, shrinking the total number even more.

In light of this alarming decline, the international team has called for an emergency regulation establishing a gillnet exclusion zone for the entire range of the vaquita starting in September.

The vaquita's fate has also long been tied to the totoaba, a large fish that lives in the upper Gulf of California as well. Entanglement in gillnets set for totoaba was the primary cause that brought the vaquita to low levels by the mid-1970s. Totoaba were overfished by the mid-1970s, and the species was listed as endangered by Mexico in 1975, and by the United States in 1979.

Massive illegal fishing of the totoaba has resurged in the past three years because its swim bladder is used as a very expensive traditional health food in China, especially in Guangdong and Hong Kong. Dealers along the isolated beaches of San Felipe and El Golfo de Santa Clara, two small fishing towns close to the U.S. border, buy swim bladders from fishermen by paying several thousand dollars per kilogram. Thousands of swim bladders are likely then smuggled across the border to the United States and shipped to China -- where a kilogram can be reportedly worth much more on the black market -- leaving thousands of dead totoabas and tens of drowned vaquitas to rot.

Mexican authorities have acted to prevent the extinction of the vaquita. Over the past five years, the Mexican government, together with national and international foundations, has allocated more than $30 million to save this porpoise and support the livelihoods of the local fishing communities. Most of this money has been used to compensate the fishermen affected by the creation of a vaquita refuge in 2009 and to assist those wanting to switch to safer fishing techniques.

In February 2013, the Mexican government established a committee to advise President Enrique Pena Nieto on urgent measures to save the vaquita, led by Mexico's secretary of the environment. Four months later, in a bold move, the government mandated the elimination of all shrimp gillnets -- in which vaquitas are caught -- through their gradual replacement with a newly developed safer net within three years.

But more needs to be done. Despite these measures, the vaquita will be lost unless the illegal totoaba fishing is stopped immediately. It is now or never, and only high-level action can save this critically endangered porpoise.

We urge Pena Nieto to stop the illegal fishing of totoaba by even stronger enforcement of the gillnet ban and to extend the refuge boundaries to cover the entire vaquita habitat.

This means eliminating all gillnet fisheries within the expanded refuge and compensating the fishermen, while allowing for a transition toward new gear that catches shrimp but not vaquitas. We also urge U.S. President Barack Obama to take swift and decisive action through the newly created White House Wildlife Trafficking Group. The first immediate step is to scale up the already significant law enforcement efforts on transborder shipments of totoaba products. Finally, we urge China Premier Li Keqiang to immediately stop the illegal entrance of totoaba products.

It is still possible to save the vaquita, but this is clearly the last chance. We call upon the governments of the United States, China and Mexico to take swift action to save this unique and beautiful species for present and future generations.

@highlight

The vaquita, a small porpoise that lives in Gulf of California, Mexico, is near extinction

@highlight

Omar Vidal, Robert L. Brownell Jr. and Zhou Kaiya: Fewer than 100 vaquitas remain

@highlight

They say Mexican, U.S. and Chinese governments must take swift and coordinated action

@highlight

One way is if Mexico stops the illegal fishing of totoaba, which often ensnares vaquitas