Washington (CNN) -- With its well-killing effort reported to be going "extremely well," BP plans to start pouring concrete into the crippled well in the Gulf of Mexico on Thursday.

The U.S. official overseeing the response to the spill, retired Adm. Thad Allen, has given BP a green light to pour cement on top of the 2,300 barrels of heavy drilling mud already sent down the well. The mud drove oil back into the reservoir in an operation known as a "static kill."

But Allen said BP should follow that with a second well-killing procedure that has been in the works as sort of an insurance policy -- pouring additional mud and cement through a relief well that's expected to be ready in mid-August.

"Based on the successful completion of the static kill procedure and a positive evaluation of the test results, I have authorized BP to cement its damaged well," Allen said Wednesday in a statement. "I made it clear that implementation of this procedure shall in no way delay the completion of the relief well."

Earlier Wednesday, Senior Vice President Kent Wells reported that the initial step in the static kill had gone "extremely well." The company began pumping the mud Tuesday afternoon, and the operation continued for some eight hours. BP pumped mud into the well from a ship on the surface mostly at the rate of five barrels a minute. That eventually increased to 10 and then 15 barrels a minute near the end of the operation, according to Wells.

"Everything proceeded exactly as we expected it to," he said.

The move essentially sealed the well, which had poured oil into the Gulf for nearly three months until a tight-fitting cap was placed on it in mid-July.

Wednesday marked the 107th day since the worst environmental disaster in U.S. history began with the explosion on the Deepwater Horizon that sank the rig and killed 11 workers. The government estimates that nearly 5 million barrels of crude oil spilled into the Gulf.

But Wells noted that it has been 20 days since the well was fitted with a tightly-fitting cap, which stopped the oil from flowing and made it possible to permanently seal the well through the operations now under way.

"It's getting very difficult to find any oil on the surface, but I want to emphasize that BP remains committed to getting this well permanently shut and cleaning up any pollution and restoring the Gulf Coast," Wells said. "That was our commitment from the beginning, and we're just as committed to that today."

While it may be difficult to find much oil on the surface for skimming ships to collect, local officials are quick to point out that coastal areas are still being affected.

The Louisiana Department of Wildlife and Fisheries issued a report Wednesday indicating that oil sheen and patches of oil are still being spotted in marshes and various coastal areas in St. Bernard, Paquemines and Jefferson parishes.

And in another development Wednesday, Louisiana wildlife officials and the state's Special Investigations Unit said two men had been arrested and accused of falsifying documents to file claims with BP.

Authorities said An Ly, 36, the owner of Ly Ly Seafood, and Samith Huynh, 31, falsified documents from January through April, reporting the sale of 6,347 pounds of crabs for $9,548.91 during that period -- in the months before the Deepwater Horizon explosion.

According to the arrest warrant, Huynh acknowledged receiving $5,000 checks from BP America in May and June. But the warrant said that when confronted by authorities, both men admitted they did not sell or purchase any crabs in the months  leading up to the explosion, after it was pointed out that Huynh didn't have a commercial fishing license during that time -- and only obtained one in May.

The men, from the town of New Iberia, Louisiana, southwest of Baton Rouge, were booked Tuesday in the East Baton Rouge Parish Jail. If convicted, they could face fines up to $5,000 and up to five years in jail.

BP has promised to compensate people impacted by the spill, and In a meeting with President Barack Obama in June, BP executives agreed to set up a $20 billion dollar fund for that purpose.

Meanwhile, Carol Browner, director of the White House Office of Energy and Climate Change Policy, talked about the well-killing efforts on CNN's Situation Room. She told Wolf Blitzer, "It's not mission accomplished, but obviously, it's an important day."

"We know the static kill worked, and we know we're not going to have more oil leaking into the Gulf," she said. But she noted the relief well operation lies ahead, and said, "We also have the long-term restoration. So we're just beginning one phase as we end one phase."

Looking ahead to that next phase, coastal parish leaders and state officials in Louisiana submitted a transition plan to the Coast Guard on long-range cleanup efforts. The plan was developed after a meeting last week with Gov. Bobby Jindal, coastal parish presidents, Coast Guard officials and BP Chief Operating Officer Doug Suttles.

The plan notes that federal, state and local authorities all must agree that shorelines are clean, before the effort will stop.

On that cleanup front, a government report released Wednesday indicated that 74 percent of the oil that leaked from the well over nearly three months has been collected, has dispersed or has evaporated.

Several agencies were involved in the study including the National Oceanic and Atmospheric Administration, the U.S. Geological Survey and the Department of the Interior.

Of the total amount of oil that spilled in the Gulf of Mexico -- the most recent estimate is 205.8 million gallons -- just 26 percent remains in the water, either on or just below the surface as a light sheen and weathered tar balls.

Of the remaining 26 percent, "much of that is in the process of being degraded and cleaned up on the shore," said Jane Lubchenco, NOAA administrator.

The tar balls are either washing ashore, being collected from the coastlines, or buried in sand and sediment and are in the process of being degraded, the report said.

CNN's Vivian Kuo contributed to this report.

@highlight

NEW: BP given green light to pour cement down well as part of "static kill"

@highlight

NEW: U.S. says BP must still proceed with relief well

@highlight

NEW: Louisiana officials submit long-term cleanup plan

@highlight

BP exec says well-killing efforts so far have gone "extremely well"