(Health.com) -- People with chronic pain who aren't getting enough relief from medications may be able to ease their pain by smoking small amounts of marijuana, a new study suggests.

Marijuana also helps pain patients fall asleep more easily and sleep more soundly, according to the report, one of the first real-world studies to look at the medicinal use of smoked marijuana. Most previous research has used extracts of tetrahydrocannabinol (THC), the active ingredient in the cannabis plant.

"This is the first time anyone has done a trial of smoked cannabis on an outpatient basis," says the lead researcher, Mark Ware, M.B.B.S., the director of clinical research at McGill University's Alan Edwards Centre for Research on Pain, in Montreal.

Health.com: Medicinal marijuana, state by state

The study included 21 adults with nervous-system (neuropathic) pain stemming from surgery, accidents, or other trauma. Fourteen of the participants were on short-term disability or permanently disabled. All of them had tried marijuana before, but none were current or habitual smokers.

"They were not experienced marijuana users," Ware says. "They came because they had severe pain that was not responding to any conventional treatment."

Each patient in the study smoked four different strengths of marijuana over a period of 56 days. The THC potency ranged from 9.4 percent -- the strongest dose the researchers could obtain legally -- to 0 percent, a "placebo" pot that looked and tasted like the real thing but was stripped of THC. (By comparison, the strongest marijuana available on the street has a THC potency of about 15 percent, Ware estimates.)

Health.com: Medical marijuana may help fibromyalgia pain

The participants -- who weren't told which strength they were getting -- were instructed to smoke a thimbleful (25 milligrams) from a small pipe three times a day for five days. After a nine-day break, they switched to a different potency.

The highest dose of THC yielded the best results. It lessened pain and improved sleep more effectively than the placebo and the two medium-strength doses (which produced no measurable relief), and it also reduced anxiety and depression.

The effects lasted for about 90 minutes to two hours, according to the study.

The results were published in the Canadian Medical Association Journal.

Health.com: 8 natural remedies to help you sleep

Though small, the study adds to a growing body of evidence suggesting that cannabis has painkilling properties that may be useful in medicine, perhaps in addition to other treatments. THC extracts have been shown to help ease cancer pain and the nausea associated with chemotherapy, while a few small studies in hospital populations have found that smoked marijuana can help relieve neuropathic pain.

But medical marijuana isn't ready to become a mainstream chronic pain treatment, says Andrew McDavid, M.D., director of the division of pain management at Scott & White Healthcare, in Temple, Texas.

"The studies out there show some decrease in pain, but it's not alarmingly or shockingly great," says McDavid, who was not involved in the new research. "Although it may have some use, it's probably going to need to be used with something else, if it's approved."

As the study notes, the pain relief the patients experienced from marijuana was modest compared to that seen in studies of analgesic medications such as gabapentin (Neurontin) and pregabalin (Lyrica).

Health.com: 6 mistakes pain patients make

Christopher Gharibo, M.D., an anesthesiologist at the New York University Hospital for Joint Diseases, in New York City, points out that the study didn't address whether marijuana enabled the patients to perform everyday activities without pain -- the best test of a chronic pain treatment.

"I'm not convinced [marijuana] helps from a functional standpoint," he says. "I'm not even impressed by the pain reduction. We have analgesics that do much better."

The potential long-term side effects of habitual marijuana use could prove problematic as well, Gharibo adds. Over time some patients may experience weight gain, a generalized feeling of sedation, and even changes in mood and cognitive function, he says.

Health.com: Can psychedelic drugs treat depression?

The study participants did report some minor side effects, including coughing, dizziness, headache, and dry eyes. Few reported feeling "high" or euphoric, however, which suggests that abuse or addiction is not a major concern with amounts as small as those used in the study.

"We had a total of three single episodes where patients felt a little bit high," Ware says. "So it was extremely rare. The possibility that one would become addicted is low."

Still, if marijuana were to become a more common pain treatment, it's possible that some patients might overdo it, McDavid says.

"We saw the problem with narcotics. You can't ever predict which people, when prescribed, will abuse it or not. Obviously there needs to be more research."

Copyright Health Magazine 2011

@highlight

Smoking small amounts of marijuana could help relieve people with chronic pain

@highlight

Marijuana helps pain patients fall asleep more easily and sleep more soundly

@highlight

The highest dose of THC yielded the best results

@highlight

Medical marijuana isn't ready to become a mainstream chronic pain treatment