Tokyo (CNN) -- Authorities in Japan raised the prospect Friday of a likely breach in the all-important containment vessel of the No. 3 reactor at the stricken Fukushima Daiichi nuclear power plant, a potentially ominous development in the race to prevent a large-scale release of radiation.

Contaminated water likely seeped through the containment vessel protecting the reactor's core, said Hidehiko Nishiyama of the Japan Nuclear and Industrial Safety Agency.

Three employees working near the No. 3 reactor Thursday stepped into water that had 10,000 times the amount of radiation typical for a nuclear plant, Nishiyama said. An analysis of the contamination suggests "some sort of leakage" from the reactor core, signaling a possible break of the containment vessel that houses the core, he said.

The workers have been hospitalized and work inside the reactor building has been halted, according to the agency.

Work inside two other reactor buildings also had to stop and workers had to be pulled back Friday after the discovery of high levels of radiation in water at those locations, a Tokyo Electric Power Company official said Saturday. Water is still being pumped into the containment vessels, the utility official said.

Nuclear power experts cautioned against reading too much into the newest development, saying the workers exposed to radioactive water might not suffer injuries any more serious than a sunburn.

Moreover, evidence of radioactivity in the water around the plant is not necessarily surprising given the amount of water sprayed onto and pumped into the reactors, said Ian Hutchinson, professor of nuclear science and engineering at the Massachusetts institute of Technology.

"I am not particularly alarmed," he said.

The reactor thought to be leaking contaminated water is the same one cited in the dramatic evacuation last week of a small crew of workers who had stayed behind after the plant's owner pulled most employees from the area. The workers were pulled back March 16 after white smoke began billowing from the reactor and radiation levels spiked.

At the time, the Japanese nuclear safety agency said it suspected damage to No. 3's containment vessel, but a government spokesman the next day said there had been no indication of a "major breach of containment."

That reactor is of particular concern, experts have said, because it is the only one at the plant to use a combination of uranium and plutonium fuel, called MOX, that is considered to be more dangerous than the pure uranium fuel used in other reactors.

Plant workers were also carefully watching the plant's No. 1 reactor, concerned that an increase in pressure noted inside that reactor could be a troublesome sign. Earlier, buildups of hydrogen gas had driven up pressure that led to explosions at three of the nuclear plant's reactors, including the No. 1 unit.

Nishiyama conceded that "controlling the temperature and pressure has been difficult" for that reactor, which on Friday had been declared stable.

The hospitalized employees were working to reconnect power to the No. 3 reactor building when they encountered water that was about 5 inches (15 centimeters) deep. Water rushed over the boots of two workers, who may have received what is called a "beta burn." The third worker had taller boots but was hospitalized as a precaution, according to Nishiyama.

The men were exposed to the water for 40 to 50 minutes, said Tokyo Electric, which owns the plant. The workers may have ignored alarms on devices intended to measure radiation levels, believing the readings to be wrong, said the International Atomic Energy Agency, citing Japanese authorities.

The two workers whose skin was exposed to the contaminated water had the highest levels of radiation recorded so far, the power company said.

One, in his 30s, was exposed to 180.7 millisieverts and the other, in his 20s, tested at 179.37 millisieverts.

Nishiyama said the third man -- who was exposed to 173 millisieverts but at first did not go to the hospital because his boots were high enough to prevent water from touching  his skin -- has also  gone to the same research hospital out of "an abundance of caution."

Beta rays given off by radioactive substances don't penetrate deeply into materials, including flesh, said Nolan Hertel, a professor nuclear engineering at Georgia Tech. Consequently, the danger is relatively limited, he said.

"Basically, a beta burn would be akin to a bad sunburn," he said.

Some 17 people have been exposed to 100 or more millisieverts of radiation since the plant's crisis began two weeks ago following a 9.0-magnitude earthquake and subsequent  tsunami struck.

A person in an industrialized country is naturally exposed to 3 millisieverts of radiation a year.

But Japan's Health Ministry recently raised the maximum level of exposure for a person working to address the crisis at the nuclear plant to a rate of 250 millisieverts per year from the previous 100-millisievert standard.

In the Fukushima Prefecture where the plant is located, officials had screened 87,813 people for radiation exposure as of Thursday, NISA said in a news release. Of those 98 people had tested above limits for exposure, but once their clothes were removed and other measures taken, the exposure levels dropped and there was no effect on health.

The agency also said screeners have examined thyroid glands of 66 children ranging in age from 1 to 15 and found that the "level of exposure of no problem."

The thyroid gland, particularly in children, can readily absorb radiation, health experts say.

It's not entirely clear where the contaminants in the water came from, according to Nishiyama. But he said that based on the composition of the radioactive material in the water, the likely source appears to be the reactor core and not the open-air spent fuel pool onto which workers have sprayed tons of water in recent days in an effort to keep it cool.

He said it if the water is from the reactor core, the problem may not be a crack in containment vessel, but rather seepage from vents or valves. The containment vessel is still holding pressure, he said, a sign that it may not be cracked.

The incident raised questions about radiation control measures at the plant as 536 people -- including government authorities and firefighters -- continued working there Friday, according to an official with Tokyo Electric.

The high measure prompted a top official with Nishiyama's agency to urge Tokyo Electric to "improve its radiation management measures."

Workers are undertaking various measures to prevent the further release of radioactive substances into the air and beyond.

Nishiyama said officials hope to start pumping in fresh water -- rather than the corrosive seawater they have been using -- to cool the spent-fuel pool at the No. 1 reactor and other locations.

Such pools have nuclear fuel rods that can emit radiation if the water that normally surrounds them leaks out or boils off, which is more likely to happen without any functional cooling system in place.

Switching to fresh water, instead of seawater, is also a priority for the No. 2 reactor's core (as well as for its spent fuel pool), Nishiyama said. The aim is to prevent further corrosion and damage inside, which may be worsened by the buildup of salt.

A U.S. military barge loaded with fresh water to help cool the reactors left Yokosuka Navy Base at 11 a.m., said Jose Schmitt, commander of Fleet Activities at Yokosuka. A Japanese ship will escort the barge to the Fukushima plant; U.S. personnel are not involved in the escort or distribution of the water, according to Maj. Joseph Macri, a spokesman for U.S. Forces Japan.

The U.S. military assistance follows a request by Japanese government and utility authorities for large amounts of fresh water.

Beyond the seawater/saltwater issue, water in and around the Nos. 1 and 2 reactors had "high radiation levels," Nishiyama said Friday -- though not as high as that of the No. 3 unit.

Thursday's incident has further made the latter reactor a prime focus, and Nishiyama said Friday that "radiation levels are high" in some locales near that unit.

He said that authorities were considering "other routes" to accomplish their goals of restarting the cooling systems around No. 3, keeping its spent nuclear fuel pool in check and other aims. Later in the day, Nishiyama said authorities hadn't yet determined how to get around the obstacle.

Firefighters from Tokyo and Kawasaki were expected to resume spraying toward the No. 3 reactor and its fuel pool on Friday afternoon, according to Nishiyama.

Efforts also continue at the Nos. 4, 5 and 6 reactors -- each of which have their own concerns, though less pronounced because the units were on scheduled outages when the quake struck. None of these three units had nuclear fuel inside their reactors, though efforts are ongoing to control temperatures inside the spent fuel pools.

On Friday morning, a concrete pump truck was used once again to inject seawater into the No. 4 unit's fuel pool.

CNN's Jennifer Rizzo contributed to this report.

@highlight

NEW: Japan nuclear agency: Screeners have examined 87,813 people for exposure

@highlight

NEW: Work stops at two other reactors with high radiation levels in water, utility says

@highlight

Discovery of contaminated water suggests nuclear core leak, Japan officials say

@highlight

Three workers who stepped in the water were exposed to radiation