Istanbul, Turkey (CNN) -- The score was tied at the start of the game's second half. Nigeria and Cameroon had both scored three goals apiece.

"I'm getting so nervous, no doubt about that," said Chukwunonso Favour. He was on his feet with the rest of the crowd in the Nigerian section of the stands, surrounded by a rowdy group of fans who were beating traditional African drums, banging cowbells, dancing and singing syncopated chants in support of their team.

Just a few meters away, a more subdued group of Cameroonian supporters was also standing and cheering, one of them waving a Cameroonian flag.

The two teams had history. Nigeria and Cameroon faced each other in the finals during last year's tournament, with the Nigerians ultimately capturing the championship.

Despite the intensely competitive game, Favour was thrilled that the gathering demonstrated a show of African unity for expats in Turkey.

"It's a good time, it's a time of happiness," said the Nigerian, who runs an import-export business. "It's an important thing for us to do here in Istanbul, to make Africans happy and show that we are all one, that all blacks are still one wherever we are."

This is the African Community Football Championship -- an annual tournament held in the heart of Turkey's largest city, and thousands of miles from the homelands of the competition's players and fans.

For a few afternoons in the summer, these games give Istanbul's African community -- which isn't always made to feel welcome here -- a chance to feel at home.

And with the exception of the occasional interruption of the call to prayer from a nearby mosque and the line of curious Turks watching the match through the outer fence, for a few moments the stadium looked and sounded like a pocket of West Africa -- especially when the Nigerian players danced, some of them waving their shin-pads in the air, while performing a full-throated song in the crowded locker room before the match.

"The way the country is, the way life for Africans here is -- this is the only place we ever get to come together to have fun," said Taju Hamza, one of the Nigerian-born organizers of the championship.

When he first helped launch the Africa cup nearly a decade ago, he could barely raise enough money to rent the field.

On at least one occasion in the early days, police were summoned to restore order, after the sudden influx of large numbers of Africans for a cup game raised tensions with residents here in Ferikoy, a working class neighborhood in the center of Istanbul.

Women's football in Turkey

But after eight years, the championship has become a tradition that has attracted sponsorship from local businesses and even Turkish talent scouts and sports columnists.

More importantly, Hamza said the games offer a chance to better integrate new waves of African immigrants showing up on Istanbul's shores.

"This competition is a platform whereby you educate the new ones coming not to be involved in illegal things like crime," Hamza said. "We are concentrated on the community, those who are legal here and those who are not legal...trying to educate them."

Turkey is a major gateway for migrants who struggle to illegally cross its Western borders and reach Europe. According to Turkish police statistics, authorities caught more than 32,000 illegal immigrants in Turkey in 2010 alone.

Migration experts and human rights activists estimate more than 300,000 people try to smuggle themselves through this backdoor to Europe every year.

How match fixing ruined the beautiful game

The majority of the migrants are from the Middle East, as well as central and southern Asia. While Afghans, Iranians and Arabs have little trouble blending in with Turkish society, Africans represent a visible and often persecuted minority of the foreign migrant population.

"There is a sort of double-marginalization that African migrants are confronted with, which is the discrimination and mistreatment that is sometimes directed at them by local populations, combined with a lack of protection from the police or actual violence that is directed at them by the police," said Rachel Levitan, a lawyer and co-founder of the first legal clinic to defend refugee rights in Istanbul.

She pointed to the case of Festus Okey, a Nigerian immigrant who was shot dead after being taken into custody in an Istanbul police station in 2007. Stenciled portraits in memory of the slain Nigerian are still spray-painted on some streets and alleys of Istanbul.

A police officer is facing charges of negligent homicide in a Turkish court, but to date, Turkish authorities have not convicted anyone in connection with the killing.

Levitan said Istanbul's Africa Cup marked a success for integration of the African community in at least one sector of Turkish society -- football.

"It is an incredible sense of progress over the last eight years that this tournament has been going on, because it started out with a really scrappy group of guys playing football and it has developed into something that is a very significant sporting event that has been sponsored," Levitan said.

At least one of the Turks watching the Nigeria-Cameroon match described himself as a fan of the annual African immigrant championship.

Women's football in Africa

Taxi driver Ahmet Ozkan, 66, said he had been coming to see the Africans play for the last five years.

"Sometimes I even watch them training in the morning. I like their football and I like them as people," Ozkan said.

Not all the Turks were as enthusiastic about the African players and fans.

"They litter. Sound-wise, they make noise and shout in ways we don't understand and scare small children," said Oktay Kabatas, a 22-year-old Turkish university student who watched the match through the bars of the stadium. "But their football is nice. It is joyful."

Like many of the players competing in Istanbul's Africa cup, Hamza, the tournament's Nigerian organizer, first came to this city with dreams of breaking into professional Turkish football. Instead, he found himself engaged in community activism and working for a local company.

From the sidelines of the match, where he commanded a team of volunteer security guards with the help of a walkie-talkie, Hamza said he too had been subjected to harassment from Turkish police in the past.

"There was a lot of harassment," Hamza said, adding "but now things are better."

Hamza also took comfort in the fact that some of the tournament's players had gone on to play for professional Turkish football clubs.

Fans spilled out of the stadium into the streets after the Nigeria-Cameroon match ended in a 3-3 draw.

Later in the summer, the two teams battled again, this time for third place in the championship. Nigeria ended up winning 4-1. The winner of this year's African Community Football Championship was Ghana, which edged out Ethiopia in a 2-1 victory.

CNN's Yesim Comert and Dan Morgan contributed to this report

@highlight

Africans play for national sides in soccer competition that has atrracted widespread Turkish interest

@highlight

Tournament started in a rented field; now professional scouts can be watching

@highlight

Competition sees expat Africans in Turkey playing for their national team

@highlight

It gives players and fans a chance to bond and create a little bit of Africa in Istanbul