Moore, Oklahoma (CNN)Christopher Legg, a 9-year-old who loved football and was known to tackle people with a bear hug and a smile, huddled on top of a classmate as a tornado barreled through their elementary school here in central Oklahoma one year ago this week. A wall crushed and killed Christopher, his mother told me; but he shielded the other student from the rubble and saved her life.

In the year since that tornado, Danni Legg, 41, has been working tirelessly to convince Oklahoma lawmakers that the best way to honor her son's legacy is to try to equip every school in the state with a tornado shelter or safe room. She's given dozens of interviews and granted more than 100 speaking requests. She's gathered signatures for a petition and walked the halls of the state Capitol.

Her argument seems to fit the definition of reasonable: Students are required to attend school; therefore, schools should be required to ensure they are safe from violent storms. It also comes with an emotional gut-punch: Her son's elementary school, Plaza Towers, in Moore, Oklahoma, did not have a storm shelter.

Christopher's life, and those of six other students who died in that EF5 storm, might have been spared if the state or school had protected them.

"Something good's gotta come out of this," Danni Legg told me.

It should, but there's little sign the state is listening.

Related: Walking the 17-mile path of the tornado

Efforts to fund or require shelters statewide so far have been snarled in the political process, with Republicans and Democrats disagreeing about how to fund upgrades. Republicans, in a plan endorsed by Gov. Mary Fallin, want to let school districts hold local elections to decide if they should issue extra bonds to pay for construction. To Legg and others, including a prominent Democrat, that plan does nothing to actually create shelters. It only asks districts if they want to take out extra bonds to pay for improvements. They want a franchise tax on corporations to be used to fund improvements statewide.

The bickering has done little to improve policy.

Frustrated, Legg figures if you can't beat 'em, join 'em. She's running for a seat in the state Legislature on a pro-shelter platform.

Moore, the city hardest hit, updated its building codes to require new homes to be built with safer garage doors and with roofs that are fastened to the walls. That's been heralded as a big improvement. Better, however, would be requiring storm shelters with all new construction -- for both schools and residences.

Currently, far too many students in Oklahoma remain unprotected.

A survey commissioned by the office of Oklahoma Rep. Joe Dorman, a Democrat who favors statewide shelter funding, found more than 60% of the 1,804 public schools surveyed in Oklahoma say they do not have a shelter or safe room.

That leaves more than 500,000 students and staff in the state without shelter.

Efforts to improve school safety often have been criticized as overly expensive. The SAFE Design Group, an architectural firm that analyzed the survey, estimated it would cost up to $880 million to put safe rooms in the 1,109 unprotected schools.

Related: One block, two storms

As Legg and others see it, however, that money would save lives.

And she's not demanding all the improvements be made at once.

When we met on Sunday afternoon, Legg arrived on crutches and was wearing the same leopard-print blouse she wore the day the tornado tore through central Oklahoma, taking her son's life and those of 23 others. We spent much of our time talking about her Christopher -- about how he was larger than life, both in terms of his cheery disposition and because of a disorder that caused him to grow at an unnatural rate. As an infant, he was "all arms and legs," impossible to contain. By third grade, Christopher was 5-foot-6 and already dreaming big. He wanted to play football at Oklahoma State -- wanted eventually to work as a fireman.

"He was so loving and vibrant and full of life."

And he was too tall to fit into a child's casket, she told me.

When the tornado warnings came on May 20, 2013, Legg didn't think much of it. She'd lived through another killer tornado that hit central Oklahoma in 1999. She lost her house in that storm, which was located in a neighboring suburb of Oklahoma City. She decided to rebuild in Moore, she told me, because it had been at the epicenter of that 1999 storm. She figured storms that big wouldn't hit twice.

Related: Remembering the victims

She would never be so shortsighted again.

The year since the tornado has been a "living hell." She's lost 40 pounds from stress and says her husband has gained that many. She doesn't sleep through the night. Her 12-year-old son gets panicky any time the sky is cloudy, as it was on Sunday, or the wind blows hard, as it does almost every day in the Great Plains.

The depths of her sorrow are almost impossible to explain.

"When a mother has a child, that is a little bit of her running around outside" in the world, she said. "Outside of her body is this little piece of your heart. ...

"That was a part of me. That was my son."

Her coping mechanism has been to push for change.

Fed up with how little was happening to put shelters in schools, the mother and former school worker decided she's going to run for the state House of Representatives as a Republican. The campaign actually is the reason she's on crutches. She broke her foot stumbling on a tree root, she said, while she was putting up campaign signs in the zone hit by the tornado.

The Republican primary will be held in June.

Legg never planned to be a politician, and doesn't like the attention of speaking so often in public about these issues, she told me.

But maybe what the state Legislature needs is a mom.

"We have misguided ourselves into thinking it's not going to happen to us," she said. But the state needs to wake up and realize is that it can and will happen again.

After the storm, Legg considered leaving Moore, avoiding it all.

But she thought about her kids -- and others across the state.

"I wanted to prove to my children -- just like my daddy taught me -- if a horse kicks you off, you get back on," said Legg, who grew up on a farm. "I wanted them to understand this town did not kill their brother."

This mom, who describes herself as "competitive as snot," doesn't plan to quit pushing for greater access to tornado shelters, whether she wins the race or not.

She has the legacy of a hero to protect.

And the state would be wise to listen.

@highlight

It's been one year since a tornado killed 24 people in central Oklahoma

@highlight

John Sutter talks with the mother of a 9-year-old boy who died

@highlight

Danni Legg is now devoting her life to getting storm shelters in schools