(CNN) -- Joseph Maraachli, the infant whose family refused to accept a recommendation by a Canadian hospital to remove the boy's breathing tube and allow him to die, is now breathing on his own without the aid of a mechanical ventilator.

The family flew back to their home in Windsor, Ontario, on Thursday, one month after receiving a tracheotomy at a children's hospital in St. Louis.

"By providing him with this common palliative procedure, we've given Joseph the chance to go home and be with his family after spending so much of his young life in the hospital." said Dr. Robert Wilmott, chief of pediatrics for SSM Cardinal Glennon.

The 15-month-old, widely known in the media as "Baby Joseph," became the center of an international end-of-life debate when a London, Ontario hospital where he was receiving care for a progressive neurological disease refused to insert a tracheotomy, a surgical procedure in which an opening is made into the airway through an incision in the neck and allows for suction of fluid out of the lungs.

In court papers, doctors in Canada said there was no hope for recovery. They would not perform a tracheotomy because they considered it to be invasive and not recommended for patients who require a long-term breathing machine.

The family refused to accept the recommendation. The Maraachlis' daughter, Zeina, had died at home in 2002 with a tracheotomy after suffering similar complications, and the family wanted to offer the same care to their son.

The Maraachli case caught the attention of the group Priests for Life, which funded Joseph's transfer and treatment at the SSM Cardinal Glennon Children's Medical Center. That hospital deemed the procedure medically appropriate and Baby Joseph underwent a tracheotomy there on March 21.

Frank Pavone, national director of Priests for Life, said he considers this a "victory over the culture of death." He says "[Joseph] has gained benefit from his tracheotomy, is breathing on his own, and is going home to live with his parents."

Priests for Life is a Catholic pro-life organization which functions as a network to prevent abortion and euthanasia. They are often noted for the graphic images depicting abortion they use to make their case.

The London Health Sciences Centre -- the hospital where Maraachli was initially treated -- responded on March 23 that "there are clearly differences in the approach of these centres to the management of end-of-life care in this tragic situation" and that "the medical judgments made by LHSC physicians remain unchallenged by any credible medical source."

On Thursday, the hospital said it "has no new comments from those already provided in our previous media statements."

After arriving in Canada on Thursday morning, the child was examined by a team of physicians at the Windsor Regional Hospital to ensure no complications or infections resulted from the flight. According to the hospital's president and CEO, David Musyj, the Maraachlis are prepared to take care of their son, but they also will be provided round-the-clock nursing care in their home.

A team of community care nurses will alternate shifts staying with the family. They will take the lead on daily requirements, to include cleaning the trach, tube feeding and administering anti-anxiety medications. The nurses will also monitor his heart rate, suction secretions that build up in his lungs and provide oxygen as needed.

According to Musyj, the 24-hour nursing care, medications and all the equipment are provided free of charge under Canada's universal health care system. In the United States, hospice care is underutilized even though it tends to be less expensive than hospitalization and provides more comfort to the patient. Estimates find approximately 60% of all deaths occur in the hospital, yet most patients express a preference to die at home.

It is unclear at this point just how much time the Maraachlis have left with their son. In a phone conversation, Pavone said Joseph's symptoms are much more benign than those suffered by his sister.

"It's really an unpredictable condition," he said. "Our mission to save Baby Joseph was never based on any prediction of the future, but rather on the value of his life here and now."

@highlight

Joseph Maraachli suffers from a progressive neurological disease

@highlight

A hospital in London, Ontarario refused to insert a tracheotomy tube

@highlight

In March his parents took him to St. Louis, helped by an anti-euthenasia group

@highlight

He received a tracheotomy at SSM Cardinal Glennon Children's Medical Center