Darrington, Washington (CNN) -- Pastor Gary Ray stood before his congregation Sunday, prepared for people to shake their fists at God. Such reactions in the only church in Oso, Washington, would have been entirely appropriate.

After all, it was in this rural community -- between Arlington and Darrington, along State Route 530 -- that a mudslide last weekend ravaged the landscape, swallowing homes, killing at least 21 and leaving 30 still missing. Not a soul in the room, where the pastor guessed 115 gathered, had gone untouched by the horror that rocked their quiet world.

Instead, amid the fear, the unknown and the hurt, the pastor of Oso Community Chapel was surprised by what people shared.

"I was expecting someone to say, 'I lost my brother or I lost my house and I'm angry' -- and that would have been OK," he said by phone Sunday. "But today what we heard was, 'I was in trouble and a stranger stopped and helped me.'"

That looking out for each other, the coming together, is just one example of the good that can appear around the corner when tragedy strikes, he said.

"People say in times of disaster, it brings out the best and the worst in people. But I'm just seeing the best," he said. "I'm seeing patience and sacrifice. Character is being developed. I don't know what the future holds, but I do hope for some unexpected blessings."

He's not alone.

"We are hoping for a miracle," Washington Gov. Jay Inslee told CNN's "State of the Union." "We are going to do everything we can to look for that miracle and care for these (affected) families."

The number of people unaccounted for after the March 22 landslide dropped Saturday to 30 from 90, officials said. In addition to the 21 confirmed fatalities, another four bodies have been discovered in the debris field, Jason Biermann, a program manager for the Snohomish County Department of Emergency Management, said Sunday evening at a news conference.

Inslee said officials would be in an active rescue mode as long as there was any possibility of finding survivors.

The governor pointed to the deep grief the community feels, but said it also is very resilient and that he is amazed by acts of courage and inspiration by the people involved in search efforts.

"These people are showing some courage and resolution and they are hanging together too," he told CNN. "This is a place that is pretty tough."

Inslee said the conditions searchers face are extremely difficult. Sometimes it takes five minutes just to go 50 feet, he said.

Emergency management officials had said all week they expected the number of people unaccounted for would drop dramatically as residents of Darrington and nearby Oso turned up.

"We expected that number to drop in part due to a combination of finding people who registered as safe and well, and cross-referencing the list with confirmed identities of victims at the (medical examiner's) office," Biermann said.

Biermann said the challenge of identifying victims is becoming more complicated as search operations continue.

"The slide hit with such force that the rescuers are not finding full, intact bodies," he said.

Volunteers are also collecting family mementos from the debris so they can be cleaned and returned to their owners.

Residents unite to help victims

Remembering the dead

On Saturday, residents and rescuers paused in the rain at 10:37 a.m., the exact time when a landslide forever changed their world a week earlier.

That's when the mountain-size torrent of mud swept over a mile, knocking over homes and trees.

In Saturday's moment of silence, officials eulogized the rural residents who lost their lives inside their homes or on the road when the hillside collapsed, after a month of ground-soaking rain, and obliterated everything in its path.

"Our community is changed forevermore," Darrington Mayor Dan Rankin told 40 people outside the fire station, where the flag fluttered at half-staff. "It's going to take a long time to heal."

Indeed, even rescue crews at the disaster zone stopped work in the mud and observed the short vigil, said Steve Mason, a Snohomish County fire battalion chief.

Dogs join search

Meanwhile, rescuers brought in more dogs -- both rescue and cadaver canines -- last week to search for buried survivors or bodies. Many of those dogs were rested on Sunday.

Noting the stark reality of the ongoing search, Rankin said that Saturday's standstill of 30 seconds "is all the rest we're going to get."

"In our minds, we are in recovery mode. In our hearts, we are still in rescue mode," he added.

At groceries, pharmacies and community centers in Snohomish County, residents stopped what they were doing and held the momentary vigil on a gray day that obscured the mountaintops.

About eight miles down the North Fork of the Stillaguamish River from Oso -- where the landslide occurred -- a store cashier bowed his head in silence. Outside his Food Pavilion store in Arlington, shoppers also stopped, huddled around a cart, and looked solemnly at the ground. After 20 seconds of silence, the shopping resumed.

Back at Darrington, about 15 miles from Oso, residents used Saturday's solemnity to recall what they were doing when the massive hillside came crashing down.

Rankin was at a hardware store to buy screws for a weekend project. Then the credit card machines went down. Then came word of the landslide, with a home in its path.

Pastor Michael De Luca was having coffee with the local barber in his shop at the time.

"A woman came through the door and asked for a cell phone. She wanted to make a call. She said, 'I was following a car and a slide pushed it off the road,'" De Luca recounted.

That's how locals began to learn of the catastrophe 60 miles northeast of Seattle.

Watching the water and weather

While rescuers labored in the rain and slogged through mud Saturday and Sunday, officials said they were concerned about flooding in the nearby waterway.

Kris Rietmann, a spokeswoman for the state Department of Transportation who gave updates Sunday on the effort on the eastern side of the slide, said the river had risen about 1 foot over the weekend. And, she said, a secondary road to the mudslide area was constructed to offer safer access for search crews.

Meanwhile, ponds, too large to drain, formed in the debris field, said Biermann of the Snohomish County Emergency Management Service.

The wet conditions have only made a difficult task that much harder. A break from the wet conditions, though, may finally be in the forecast. Mostly sunny skies are predicted in the days ahead.

How to help

CNN's Chelsea Carter, Dan Simon, Linda Hall and Paul Vercammen contributed from Washington state. Michael Martinez, Greg Botelho, Matt Smith, Mariano Castillo, Gabe Ramirez, Ana Cabrera and Jason Hanna also contributed to this report. Steve Almasy and Jessica Ravitz in Atlanta reported and wrote.

@highlight

Death toll up to 21; 30 remain missing

@highlight

Pastor in rural Washington shares reflections from Sunday service

@highlight

Washington governor tells CNN that searchers still hope to find survivors

@highlight

Locals recall what they were doing when the landslide struck on March 22