On March 10, 1968, Sen. Robert F. Kennedy made a pilgrimage to the central California farm town of Delano to attend a Catholic Mass and to help Cesar Chavez break a 25-day fast intended to draw attention to the plight of farmworkers.

Some of Kennedy's advisers had warned him not to go. He was thinking about entering the race for president, and his inner circle worried that the gesture to Chavez, president of the United Farm Workers, might antagonize farm groups, a powerful political force in the San Joaquin Valley. Kennedy went anyway, citing his fondness and respect for Chavez, whom he called "one of the heroic figures of our time."

Weakened by his fast, Chavez still managed to write a powerful statement that was read by a union supporter, the Rev. Jim Drake. It went: "It is my deepest belief that only by giving our lives do we find life. I am convinced that the truest act of courage, the strongest act of manliness is to sacrifice ourselves for others in a totally nonviolent struggle for justice. To be a man is to suffer for others. God help us to be men!"

Obama to honor iconic Latino activist with new monument

Kennedy responded by telling those who had gathered: "When your children and grandchildren take their place in America, going to high school and college, and taking good jobs at good pay, when you look at them you will say, 'I did this, I was there at the point of difficulty and danger.' And though you may be old and bent from many years of hard labor, no man will stand taller than you when you say, 'I was there. I marched with Cesar!'"

President Obama made his own pilgrimage Monday to the farmland of central California. In his first visit there as president, Obama will formally establish the Cesar E. Chavez National Monument on a piece of property in Keene, east of Bakersfield.  Known as Nuestra Senora Reina de la Paz, or Our Lady Queen of Peace, the property served as the national headquarters of the United Farm Workers.

Kennedy made his visit despite the politics of the day, but Obama's visit is all about politics. The Chavez dedication is some campaign aide's bright idea of how to turn out Latino voters -- 70% of whom support Obama over Mitt Romney -- on Election Day.

It's a rookie mistake -- the kind you expect from people whose knowledge of America's largest minority is limited to mariachis and margaritas.

I have studied and written about Chavez and the United Farm Workers for more than 25 years. I was also born and raised in the San Joaquin Valley,  where so much of the UFW drama played out. I had a confrontation with Chavez in 1990 over the union's failures, and I've had a few run-ins since then with UFW Vice President Delores Huerta.

And I can tell you this much: Politically, Obama hit a foul ball.

Chavez has significance as a historical figure. It is because of the UFW that farmworkers now have clean water and toilets in the fields, collective bargaining, lunch breaks and other legal protections.

But Chavez was never a leader for all Latinos. Mexicans and Mexican-Americans might represent more than two-thirds of the U.S. Latino population, but the other third is made up of Puerto Ricans, Cubans, Dominicans and others. To them, Chavez probably means nothing. Even Mexican immigrants don't have a stake in the legend of Cesar Chavez; they hear the name, and most of them probably think of the great Mexican boxer, Julio Cesar Chavez.

The group that Chavez has the strongest hold on is Mexican-Americans, but not all of them. He matters to baby boomers, but not to Generation X or the so-called millennial generation. And given that most Mexican-Americans now live in the cities -- Los Angeles, Phoenix, Denver, San Antonio, Dallas -- how are they supposed to relate to the memory of someone who was focused on the farms?

In the end, the small sliver of Latinos who will be impressed by Obama's gesture -- Mexican-American lefties over 50 -- was going to vote for him anyway. So where's the benefit?

Last, most Latinos disapprove of the president's heavy-handed immigration policies and record number of deportations.

It's immigration, stupid, say Latino voters in Nevada

Chavez earned many titles in his life, but "champion of immigrants" was not one of them. He was primarily a labor leader who was concerned about illegal immigrants undercutting union members, either by accepting lower wages or crossing picket lines. He never pretended to be anything else, and he resisted attempts by others to widen his agenda. When he pulled workers out of the field during a strike, the last thing he wanted was to see a crew of illegal immigrant workers take away his leverage.

According to many historical accounts, Chavez ordered union members to call the Immigration and Naturalization Service and report illegal immigrants who were working in the fields so that they could be deported. Some UFW officials were also known to picket INS offices to demand a crackdown on illegal immigrants.

In the 70s, the UFW set up a "wet line" to stop undocumented Mexican immigrants from entering the United States.

Under the supervision of Chavez's cousin, Manuel, UFW members tried at first to persuade Mexicans not to cross the border. One time when that didn't work, they physically attacked and beat them up to scare them off, according to reports at the time. The Village Voice said that the UFW was engaged in a "campaign of random terror against anyone hapless enough to fall into its net." A couple of decades later, in their book "The Fight in the Fields," journalists Susan Ferris and Ricardo Sandoval recalled the border violence and wrote that the issue of illegal immigration was "particularly vexing" for Chavez.

UFW loyalists will never admit to this ugly history. But that doesn't change it.

And this is the person Obama is honoring today with a national monument? One immigration hardliner paying his respects to another. I guess, in some perverse way, that makes sense. But it won't make most Latino voters any more enthusiastic about re-electing Barack Obama.

Follow @CNNOpinion on Twitter.

@highlight

Today, President Obama goes to opening of Cesar E. Chavez National Monument

@highlight

Chavez was a labor leader who worked for California migrant farmworkers' rights

@highlight

Ruben Navarrette: This is a political ploy to bolster support from Latino voters

@highlight

Navarrette: Chavez is irrelevant today and his union has ugly history in deportation