(CNN)The fury of Tropical Cyclone Pam, one of the most powerful storms ever to make landfall, has moved on, but the misery it left behind in the islands of Vanuatu is just starting to become apparent.

Aid workers described scenes of extensive devastation in the capital, Port Vila, and expressed fears of even more destruction farther afield.

Thousands were in need of shelter, food and water, the Red Cross said Sunday.

"Homes have been lost, crops are destroyed. The damage is enormous, and people need our help," said Aurelia Balpe, head of the Red Cross in the Pacific. "Yet it will still take some time before we really understand the full extent of the damage."

The storm flattened houses, scattered trees across roads and inflicted damage on key buildings meant to serve as safe havens, such as the hospital, schools and churches.

"It's becoming increasingly clear that we are now dealing with worse than the worst-case scenario in Vanuatu," said Helen Szoke, executive director in Australia for the aid group Oxfam. "This is likely to be one of the worst disasters ever seen in the Pacific."

At least 90% of housing in Port Vila has been badly damaged, parts of the hospital are flooded and the state mortuary took a hit, Oxfam said.

Some 60,000 children are in need of assistance, UNICEF reported Sunday.

How to help Vanuatu residents

At least six people have been confirmed dead. But communications with many of the 80-plus islands in the archipelago are down, so the fear is that the toll will climb as more information emerges. The confirmed deaths, reported by the National Disaster Management Office, are just from Port Vila.

For most of a 24-hour period between Friday and Saturday, the cyclone pummeled Vanuatu, where some 260,000 people live, many in flimsy homes built of thatch.

It is unclear how many thousands of people have been displaced by the massive storm, which had the power of a Category 5 hurricane when it made landfall. Aerial assessments are being carried out by military aircraft from New Caledonia, Australia and New Zealand.

Relief workers are raising concerns about a lack of clean water and sanitation for the many people left homeless.

Aid has started to trickle in. The Australian government said a first contingent of officials and supplies arrived in Port Vila around noon Sunday and more flights were expected to follow.

"In Port Vila, there's a lot of activity now -- people are starting to emerge," said Tom Perry of the aid group CARE International. "You can see trees that are strewn across roads being chopped down. The evacuation centers are beginning to be set up."

Perry, who arrived on one of the first Australian military flights into Port Vila, told CNN the damage there was "very significant" with trees that looked like "snapped toothpicks."

"It's like a bomb has gone through," said journalist Michael McLennan, who lives in Port Vila. "It's really quite apocalyptic."

Most buildings in the capital were destroyed or damaged, he told CNN on Sunday. Many roads were blocked by fallen trees or power lines.

The main objective now is to get disaster response teams into Vanuatu and kick-start the humanitarian operation, Sune Gudnitz, regional head for the U.N. Office for the Coordination of Humanitarian Affairs, told CNN from Fiji, about 600 miles away.

His aid agency has had word of much destruction on Efate, the island where Port Vila is located, and from the southern island of Tanna, he said.

Only a little information has so far trickled out from beyond the capital, but Gudnitz said he fears the worst.

"Unfortunately, the more that comes out, the worse it looks," he said.

Vanuatu President Baldwin Lonsdale, who was at a U.N. conference on disaster risk reduction in Japan on Saturday, issued an appeal to the global community to help his shattered nation. Vanuatu has officially declared a state of emergency, opening the door for other countries to help.

Vanuatu's remote location adds to the challenges the international response faces. Port Vila is more than 1,770 kilometers (1,100 miles) northeast of Brisbane on Australia's east coast, and some 2,200 kilometers (1,367 miles) north of Auckland, the closest city in New Zealand.

Reaching the more isolated communities will also take time. Vanuatu's archipelago -- comprising 83 small islands, about 65 of them inhabited -- is roughly 850 kilometers (528 miles) long.

Many of the people are subsistence farmers, said CNN's Bill Weir, who visited Vanuatu recently. He recalled talking to a resident who built the first indoor bathroom on his island and sought advice on where to find a toilet paper dispenser.

"It's setting them back years," Weir said of the storm.

People away from the capital live much as their ancestors did generations ago. Homes are built of weak materials, including straw and corrugated steel, that stood little chance against Pam's raging winds.

"When you've got a Category 5 cyclone that essentially just sat here for 24 hours -- where do you go when you have a storm that powerful?" Perry of CARE International said. "It's very terrifying to think about what people have been through."

While international teams are finding a way in, it will be up to humanitarian agency staffers on the ground and the local communities themselves to do what they can to get by amid the wreckage. Aid workers said the most immediate challenge is to get clean water to people.

Many people will be spending another night in emergency shelters.

Track the storm

Pam is the South Pacific's second strongest cyclone since record-keeping began in 1970. And it's the strongest of any type since Super Typhoon Haiyan smashed into the Philippines in 2013, killing more than 6,000 people.

CNN's Ralph Ellis, Ben Brumfield and Laura Smith-Spark contributed to this report.

@highlight

Situation is "worse than the worst-case scenario," Oxfam says

@highlight

Homes, hospital, schools and churches all damaged, aid group reports

@highlight

Aid officials and supplies start to arrive in Vanuatu's capital from Australia