Washington (CNN) -- Van Jones is an American treasure.

He is quite simply one of the few Americans in recent years to have generated powerful new ideas that are creating more jobs here.

He wrote the national bestseller, "The Green Collar Economy," which provided the definitive blueprint for retooling American industry to create pathways out of poverty and generate a national economic recovery. He was a driving force behind passage of the 2007 Green Jobs Act. In fact, Van's ideas have helped lead to the creation of tens of thousands of jobs across the industrial Midwest and throughout the nation's decaying urban and rural areas.

Van Jones also may be the most misunderstood man in America.

He resigned from the White House last year after some sought to discredit him for missteps, such as political statements made years ago. However, we can never afford to forget that a defining trait of our country is our collective capacity to practice forgiveness and celebrate redemption. This is a nation built on second chances.

In America, we ultimately judge people on what they are doing today for tomorrow, not for what they did yesterday. When former Alabama Gov. George Wallace embraced integration, we forgave him for having championed segregation. When West Virginia Sen. Robert Byrd embraced civil rights legislation, we forgave him for having defended racist organizations.

The real Van Jones story is about how a young leader became the father of the green jobs movement. In response to a longstanding jobs crisis in Oakland, California, he helped initiate the Oakland Green Jobs Corps, one of the nation's first job training programs targeting low-income people for work in the solar and green industries. This program has become a renowned model for numerous initiatives that are now up and running across America.

Today, Van's vision for seizing the opportunity created by the global shift to solar power and other forms of renewable energy is becoming a reality. Policies he has promoted are bringing change to downsized economies across America. In Ebensburg, Pennsylvania, workers have gotten new jobs from a county wind turbine plant and from other wind energy projects generated by the American Recovery and Reinvestment Act.

The jobs are union jobs with health benefits and living wages. At a time of record unemployment, when 2.7 million Americans are getting ready to lose unemployment benefits, green jobs can provide a way up for some families in dire need of good options.

Long before joining the administration, Van was America's champion for green jobs. He helped found three national organizations, including "Green for All" in 2007, that are pushing for green energy jobs for Americans who urgently need work.

Far from the divisive caricature painted by some cable news outlets, Van has been one of America's most effective and inspiring bridge-builders. He has successfully brought together labor leaders, business executives, civil rights champions, students and environmentalists to find creative solutions to the ecological and economic crises. His efforts earned him designation as a Young Global Leader by the World Economic Forum in 2004.

His ideas served as the foundation for the 2007 Green Jobs Act, signed by President George W. Bush, which paved the way for $500 million in retraining funds provided under the Recovery Act during the Obama administration.

Walk through the streets of Pittsburgh, Pennsylvania, or Akron, Ohio, once the steel and the rubber capitals of the world respectively, and you see the dire need for redeeming the American heartland. The lack of industry has devastated towns and cities and thrown families into catastrophe.

Through Green for All, and others organizations, Van Jones continues to work for an American economy that can thrive again -- a nation whose prosperity reaches beyond Wall Street to Main Street and back streets. A country where jobs in installation, manufacturing and construction flourish again -- to upgrade our homes to conserve energy, create solar panels, build electric cars, and manufacture wind turbines and smart batteries.

Furthermore, Van is working to make sure that our country does not lose out to India, China or Germany in the green industrial race. His vision gives us a fighting chance to reclaim something we lost years ago, back when steel was king. In those days, blue-collar workers could support their families with their wages, and our nation was not the world's leading debtor. Van's vision, in short, is a vision for America restored to its place as the definitive world economic leader.

It is for reasons like these that Time magazine named Van one of the 100 most influential people in the world in 2009 and that I am proud to give him the NAACP President's Award at our 41st Image Awards this Friday.

The opinions expressed in this commentary are solely those of Benjamin Todd Jealous.

@highlight

Benjamin Todd Jealous says Van Jones, Obama's former green jobs "czar," is visionary

@highlight

He says Jones was misunderstood, unfairly discredited for early missteps

@highlight

Instead, he deserves praise for creating a model for a green jobs economy, he says

@highlight

Jealous: Jones' vision earned him the NAACP President's Award for 2010