(CNN) -- At least 45 women and children were killed in the Syrian city of Homs late Sunday, opposition activists said, hours after the U.N. special envoy to Syria met with the country's president in an effort to reach a diplomatic solution to end the violence.

The killings occurred in the Homs neighborhood of Karm al Zaytoun, according to the Local Coordination Committees of Syria, an opposition activist network.

Hadi Abdallah, a spokesman for the Syrian Revolution General Council, told CNN there were 47 victims -- all stabbed to death and burned after "Syrian forces and thugs" stormed their homes.

Life and death under Syria's military onslaught

The LCC described the killings as a "massacre orchestrated by the regime" of President Bashar al-Assad.

CNN cannot independently confirm reports of casualties or attacks in Syria because the government has severely restricted the access of international journalists.

The claims of fresh violence occurred the same day Kofi Annan, the U.N. special envoy to Syria, departed the country after two days of talks with al-Assad.

On Saturday, Annan proposed a cease-fire, the release of detainees and allowing unfettered access to agencies such as the Red Cross to deliver much needed aid, a U.N. statement said.

"It's going to be tough, it's going to be difficult, but we have to have hope," Annan said Sunday after meeting with al-Assad for a second day.

Annan, a former U.N. secretary-general, also proposed a start to an inclusive political dialogue that would "address the legitimate aspirations and concerns of the people."

It was unclear whether al-Assad offered any assurances that he would agree to the proposals laid out by Annan. When asked whether he received promises of a cease-fire or the acceptance of humanitarian assistance, Annan responded, "(those are) some issues we're discussing with the president."

The reported deaths of women and children in Karm al Zaytoun brought the total number of deaths across the country Sunday to 78, according to activist groups.

CNN's Hala Gorani: Witness to killing fields

A livestream from a neighboring town purported to show some of the bodies from the massacre.

Syrian state TV said the bodies shown were killed by "armed terrorist groups," a consistent phrase the government has used to explain the carnage. But the vast majority of reports from inside Syria indicate the regime is killing civilians en masse in an attempt to wipe out dissidents seeking al-Assad's ouster.

Earlier Sunday, opposition groups reported violent clashes between Syrian government forces and defectors and said government forces were randomly shelling civilian areas.

In the Idlib province village of Aljanoudeyah, the LCC said shelling by government forces destroyed three buildings. The Syrian Observatory for Human Rights reported 19 people were killed in Idlib.

The London-based Observatory also said Syrian forces also shelled a bridge over the Assi River west of Rastan. The bridge had been used by residents trying to flee the city, according to the group.

The attack destroyed the bridge, the group said.

In addition to his meeting with al-Assad, Annan also met with members of the opposition as well as business and religious leaders.

"The transformational winds blowing today cannot be long-resisted," Annan said. "I have urged the president to heed the old African proverb: 'You cannot turn the wind, so turn the sail.' The realistic response is to embrace change and reform."

At least 33 people died Sunday in places such as Idlib, Aleppo, Latakia, Homs, Daraa, Hama and the countryside around the capital of Damascus, opposition activists said.

Meanwhile, in a phone call with a Binish town elder, a major general in al-Assad's military demanded the people of Binish hand over weapons used by defected soldiers and the rebel Free Syrian Army within 24 hours or the town will be bombed and stormed early Monday morning, according to the Binish Coordination Committee, part of the LCC.

SANA reported that what it called terrorist groups killed a boxing champion in Aleppo and two special forces troops in the province of Hama. The news agency also said an official of the Baath Arab Socialist Party was kidnapped in the al-Ghouta area of Homs.

The meetings Saturday and Sunday between al-Assad and Annan were the first time in Syria's yearlong crisis that al-Assad met with such a high-level diplomat. But the Syrian president quashed the possibility of negotiating with the opposition anytime soon.

Syrian state-run media said al-Assad told Annan that he was ready to find a solution, but that such an effort would first require a look at reality on the ground and not rely on what "is promoted by some regional and international countries to distort the facts and give a picture contrary to what Syria is undergoing."

He also reiterated that "political dialogue or action cannot take place or succeed if there are terrorist armed gangs on the ground that are working on spreading chaos and target the stability of the homeland," the Syrian Arab News Agency (SANA) said.

Both Annan and opposition members agreed that plans for a resolution cannot be implemented as long as the bloodshed continues.

"It is too early to apply a plan to resolve the crisis," said Abdel Aziz al-Khair, a member of the National Coordinating Body for Democratic Change. "The situation on the ground ... is catastrophic.

The United Nations says more than 7,500 have died in the past year, and at least one activist group says more than 9,000 people have been killed.

CNN's Saad Abedine, Kareem Khadder, Salma Abdelaziz, Hamdi Alkhshali, Ian Lee and Kamal Ghattas contributed to this report.

@highlight

NEW: At least 45 women and children are stabbed, then burned, activists say

@highlight

NEW: The killings occur hours after U.N. special envoy Kofi Annan departs the country

@highlight

Annan met with Syrian president, proposed cease-fire, release detainees, aid delivery

@highlight

Opposition groups report random shelling, machine gunfire