(CNN) -- Egypt's next president will have to work hand in hand with a complex bureaucratic structure that has been in a state of transition for the past three years.

There are many serious security and socio-economic challenges, and there is no one person who can solve them alone. The success of the next president necessitates the full support and cooperation of the military, state bureaucracy and the majority of the population to be able to deliver to a polity with high expectations.

At this juncture of Egypt's post-Mubarak story, only former army chief Abdel Fattah el-Sisi has emerged as a candidate who enjoys both the support of the state and the street. He has become a symbol of hope for millions of Egyptians, and does present an opportunity to move the country forward amidst difficult times.

Of course, his success is not guaranteed, but his strong connection to Egypt's most influential institutions serves as a positive asset that sets him apart from other candidates. If elected, he will definitely be more capable than others in maneuvering through the multifaceted bureaucracy to get things done and undertake necessary tough decisions.

For some Western observers it is difficult to comprehend why people would mobilize behind a former military general. The reason behind this reality is simple; the military institution remains the most respected and most popular state institution in the country.

'Disciplined strongman'

Most Egyptian families have a loved-one who has served in the military, fostering a special bond between the people and its armed forces.

Three years of political transition, including a devastating year of Muslim Brotherhood rule, prompted many Egyptians to long for a disciplined strongman who can guide the country towards security and stability.

One of the core domestic constituencies behind el-Sisi's presidential bid have been women and Christians, who actually suffered the most during the short-lived reign of the Brotherhood. Thus nowadays, we see them more vocal and engaged in the political arena and in support of an el-Sisi presidency.

Even the head of the Coptic Church in Egypt, Pope Tawadros II, has endorsed el-Sisi's presidential bid, not surprising, especially after Muslim Brotherhood supporters were blamed for attacks on scores of churches around the country as deadly clashes took place in Cairo last August.

The Muslim Brotherhood itself said at the time that it did not support attacks on houses of worship.

The strong backing of the Gulf countries, foremost by Saudi Arabia, UAE and Kuwait, also strengthens the positive prospects of an el-Sisi presidency. This significant regional support has provided international political backing and opened the door for new economic and security cooperation initiatives.

We have already seen multi-billion dollar economic packages and an arms deal, and much more would follow after an election victory by el-Sisi. The Gulf support has been key for the Egyptian armed forces and their ongoing efforts to combat terrorism in the Sinai and to preserve national security.

The issue of security has become the number one priority for Egyptian voters, and would pose the main challenge for an el-Sisi presidency. However, his professional years in the intelligence community and military give him an edge over candidates who have never worked in the security apparatus.

If el-Sisi cannot address nor solve the security threats facing Egyptians, then it is unlikely anyone else could. The odds are in favor of el-Sisi, but it will not be an easy task with a defiant Muslim Brotherhood that has rejected the current status quo.

The violent path adopted by supporters of the Brotherhood and its sister organizations cannot win over the military and persuade the majority of Egyptians to turn back the clock. It has only succeeded in generating an ugly atmosphere by seeking to undermine the political system. They are violently contesting and expressing their political grievances, which will not change the new reality on the ground.

Opportunities for future

In comparison with the political upheaval in Syria, Iraq, Libya, Yemen, and other places in the Middle East, Egypt still seems better off. One thing is for sure; that the inclusion of the Brotherhood in the political system does not yield for a more stable political system, as demonstrated by their short stint in power.

Egypt's political transition towards a flourishing, consolidated democracy will take time. There will be many obstacles and setbacks on the way, but there are enormous opportunities for Egypt's future.

It only will be Egyptians who can determine their own domestic political destiny without outside interference, and they will never allow nor accept another Mubarak-like regime. The barrier of fear has been broken, and the first seeds of a pluralistic political society have been planted. Egypt has changed and the rules of the political game have as well.

An el-Sisi presidency would have to be in tune to the new political dynamics in Egypt. So far, el-Sisi has proven to be a leader who has been able to adapt to a fast-changing political environment.

As defense minister and deputy prime minister, he was directly exposed to the serious challenges facing the country, making him fully aware of the magnitude of the task at hand.

For many Egyptians, there is no alternative but el-Sisi, he represents hope and the light at the end of the tunnel, but his success will depend on his ability to deliver.

Read more: El-Sisi announces presidential bid

Opinion: West needs to realize Egypt's el-Sisi is a liability

The opinions expressed in this commentary are solely those of Adel el-Adawy.

@highlight

Field Marshal Abdel Fattah el-Sisi has resigned from Egypt's armed forces to run for president

@highlight

Adel El-Adawy says el-Sisi enjoys the support of the state and of the street

@highlight

El-Sisi's presidencial bid is strengthened by the support of Egypt's Gulf allies, he says

@highlight

But El-Adawy says el-Sisi's success as president would still depend on his ability to deliver