(CNN) -- Israeli Prime Minister Benjamin Netanyahu apologized Friday to Turkey for a 2010 raid on a Gaza-bound flotilla, both nations said, signaling a potential major thaw after three years of chilly relations between the two key Middle East nations.

The Israeli leader phoned his Turkish counterpart, Recep Tayyip Erdogan, while sitting with U.S. President Barack Obama in a trailer on a Tel Aviv airport tarmac. In the call -- which Turkey's foreign minister said lasted for nearly 30 minutes -- Netanyahu acknowledged "operational mistakes" during the raid, which ended with eight Turks and an American of Turkish origin dead.

"(Netanyahu) made it clear that the tragic results regarding the Mavi Marmara were unintentional and that Israel expresses regret over injuries and loss of life," the Israeli government said.

Erdogan accepted the apology, which came shortly after he talked with the leaders of Egypt and Qatar. Turkish Foreign Minister Ahmet Davutoglu said later on state TV, according to the semiofficial Anadolu news agency, that all Turkey's demands had been met.

It wasn't immediately clear what impact the conversation might have on a region that is already home to numerous crises -- such as the deadly, two-year-long civil war in Syria and tensions over Iran's nuclear programs.

At the least, the movement toward mending a rift between two of Washington's top allies appeared to be a boon for Obama, who said he's been appealing to Netanyahu and Erdogan "for the last two years" for them to fix "this rupture."

"There are obviously going to still be some significant disagreements ... but they also have a wide range of shared interests, and they both happen to be extraordinarily strong partners and friends of ours," Obama said at a press conference with Jordan's King Abdullah II. "So it's in the interest of the United States that they begin this process of getting their relationship back in order."

'An important step'

While there was little public indication ahead of a time that there would be a breakthrough Thursday, Davutoglu said it actually came after three years of tough negotiations.

The talks picked up steam in the past week, spurred by U.S. Secretary of State John Kerry and other officials, the Turkish foreign minister added.

On Thursday, Obama said he talked with Netanyahu about his reaching out to Erdogan, "and both of us agreed that the moment was right." The U.S. president at one point got on the call between the two Middle East leaders, said two senior administration officials who labeled the call "an important step" in normalizing Turkish-Israeli ties.

"During my visit, it appeared that the timing was good for that conversation to take place," Obama said, without elaborating.

Turkey and Israel have been two pro-Western political, economic, and military linchpins in the Middle East, and their falling out has hurt initiatives to tackle problems in the region, such as the Syrian civil war and tensions relating to Iran's nuclear aspirations.

A Muslim member of NATO, Turkey long had been Israel's most significant Muslim friend, and the deterioration of relations between the two nations intensified the Jewish state's isolation in the region, more unstable in light of the Arab Spring and other ferment in the Middle East. Erdogan's critical rhetoric toward Israeli policies in Gaza have been hailed by many in the Arab world.

It's not clear when and if such steps as fully normalizing relations and returning ambassadors to their posts will be taken. Earlier Israel had sent out a statement saying those steps had been agreed upon, but it later amended its statement by removing those points.

There also was no word on whether the once-close nations would resume the joint military exercises that were suspended after the Mavi Marmara incident.

Turkey had been prosecuting four Israeli soldiers in absentia, and Israel initially said the two leaders agreed to the cancellation of legal steps against the troops. Later, however, its amended statement omitted that action as well.

Agreeing to work together

In Thursday's conversation, Erdogan told Netanyahu that he thought the deterioration of ties between the countries was regrettable, especially given "the shared history and centuries old ties of strong friendship and cooperation between the Jewish and Turkish peoples."

According to a statement released by the Turkish government, Erdogan discussed with his Israeli counterpart the "importance of a just, lasting and comprehensive resolution of the Israel-Palestine conflict on the basis of the two-state vision."

The two leaders "agreed to work together to improve the humanitarian situation in the Palestinian territories," the Turkish statement said.

The Israeli government said in a statement the two sides would "work to improve the humanitarian situation in the Palestinian territories," with Netanyahu noting Israel has "substantially lifted the restrictions" on entry of civilian goods into Gaza. Helping the Palestinian people had long been a concern for Turkey, and was the reason ostensibly that the flotilla set sail for Gaza in the first place.

Israel long has voiced concerns about arms smuggling to Gaza militants intent on attacking the Jewish state. Gaza is controlled by Hamas, an anti-Israel group regarded as a terrorist organization by the United States and Israel.

But activists say Israel's embargo of goods into Gaza from land and sea punishes civilians in the tiny and densely populated strip of land along the Mediterranean coast.

Israel has said any organization or state that wants to give humanitarian aid to Gaza can do so in coordination with Israeli authorities via existing land crossings into the Palestinian territory.

All that said, the highlight of the conversation dealt with the 2009 raid. Israel has long stood by the operation, though its tune publicly changed Friday.

"In light of Israel's investigation into the incident, which pointed out several operational mistakes, Prime Minister Netanyahu expressed Israel's apology to the Turkish people for any mistakes that might have led to loss of life or injury and agreed to conclude an agreement on compensation/nonliability," the Israeli government said.

Asked to confirm whether Netanyahu called and apologized and offered compensation, as Ankara had long demanded, a senior Turkish official told CNN: "Yes." Erdogan only said they "agreed to conclude an agreement on compensation/nonliability."

One Palestinian-Israeli lawmaker doesn't like it

Hanin Zoabi, a Palestinian activist who was on the Mavi Marmara and also is a Palestinian member of Israel's parliament, said she does not accept Netanyahu's apology. She wants an international court to try the people "involved in the political decision that gave a green light to kill the political activists on the Marmara."

She said Netanyahu's push to improve Israeli-Turkish ties is undermining the Palestinians' demands -- such as ending Israeli occupation of the West Bank and the Israeli military and economic strictures on Gaza. She said Netanyahu is trying to evade that and other issues.

"The issue is not only Marmara, Marmara was the small crime. The big crime was the siege on Gaza," she told CNN.

Gulden Sonme -- a spokeswoman for IHH, the Muslim aid agency that operated the Mavi Marmara == called the apology "a positive political development."

"But in terms of the need for the blockade on Gaza to end and in terms of the ongoing case to punish those who are responsible for the crimes committed during the raid, the legal process will continue," she said, referring to the case against the soldiers.

Suat Kiniklioglu, a Turkish political analyst and former parliamentarian from Erdogan's party, said the apology is important because it shows "to the world that there is a political price to kill Turkish citizens in international waters."

"Probably in the Middle East, as well, it will be seen as political victory for the Erdogan government. But what matters more is the normalization itself, the obvious benefits to Turkey and Israel as well as the Palestinians."

The prospect of an Israeli-Turkish reconciliation is bad news, Kiniklioglu said, for Syrian President Bashar al-Assad and Iran.

"As Syria is entering into its third year of uprising, Ankara and Tel-Aviv will have to coordinate policy and may need to work together to contain potential risks to both countries," he said.

CNN's Tom Cohen, Greg Botelho, Kareem Khadder and Gul Tuysuz contributed to this report

@highlight

NEW: The breakthrough follows 3 years of tough negotiations, a Turkish official says

@highlight

NEW: Turkey's leader talked with Egyptian, Qatari counterparts before Netanyahu, he adds

@highlight

Israel cites "mistakes" in a 2010 raid on a Gaza-bound ship that killed 9, vows "compensation"

@highlight

Obama says he and Israel's Netanyahu "agreed the moment was right" to call Turkey