(CNN) -- When Athens was behind schedule in delivering the 2004 Olympic Games, the Greek government called Gianna Angelopoulos to take charge.

Angelopoulos had already successfully led the bid committee that saw Athens awarded the 2004 Olympic Games. When she received the appointment in 2000 to become president of the organizing committee, she had just four years instead of the usual seven, to deliver a successful Games.

She was the first female president of both a bid committee and an organizing committee for an Olympic Games

"We were the miracle, we showed a different Greece, a can-do Greece in four years instead of seven," she says.

Now Angelopoulos, who was named an ambassador at large by the Greek government, has written a book entitled, "My Greek Drama". The personal memoir captures her experience of running the Games along with an assessment of the country's financial crisis.

In an interview with CNN, she says Greece should use lessons learned during the Olympics to turn around its fortunes during its current economic crisis, which has seen 64% youth unemployment, a bailout from the European Union and a crippling austerity drive.

"It's not by chance that the crisis came," she says. "Politicians like to blame each other. They should have a lesson of how Greece performed during the Olympics.

With the Greek economy in its sixth year of recession, Angelopoulos isn't just critical of how the government is handling the crisis -- she's also concerned about Greece's reputation overseas.

"The image of Greece around the world is that it's in crisis and Greeks are lazy and never perform. What I know about Greece is we created a miracle in the making of the Olympics.

"The Greece I know is so different from the Greece I see now. All this achievement was dropped, the politicians dropped it."

Angelopoulos, 57, who grew up in the island of Crete, trained as a lawyer and served two terms in Greek parliament.

With her direct manner, she has won both friends and enemies among her fellow Greeks.

In 1996, with Greeks still wounded from losing out to Atlanta 1996 for the centenary of the modern Olympic Games, Angelopoulos was asked by the prime minister to lead the bid for Athens to be host city in 2004.

After a successful bid, Angelopoulos was initially excluded from organizing the Games themselves, but was called back in 2000 when progress was stalling and the International Olympic Committee was beginning to question whether Athens could deliver on time.

Although questions continued to be asked about Greece's readiness, Jacques Rogge, president of the International Olympic Committee, eventually described Athens 2004 as "unforgettable, dream Games".

"It's a woman's dream to achieve something unique and monumental for our country, and shows that women can do whatever they want," says Angelopoulos.

"We can break the glass ceiling and show that there's no such thing as mission impossible.

"I want this book to show about the effort and struggle that every woman and every young person can do to pursue his or her dream."

In preparation for the Olympic Games, Athens built numerous infrastructure projects, from a new airport and new tram line to renewed public spaces and state-of-the-art sports facilities.

However, Angelopoulos says not enough was done to plan for the legacy, and many of the facilities went to waste.

"I'm saddened to see that state-of-the-art facilities are abandoned, empty, closed," she says.

"If people ask me about organizing a Games, I would say 'plan for the day after, not just for the Olympics'. The excellent facilities can really make a difference for the day after."

She adds: "I went to successive governments and I urged them to show me a plan for the day after.

"They just told me 'you do your job, we have everything in hand'. They did nothing and lost the readiness of people to do things differently, to show the world a different Greece."

As well as the facilities lying empty, Angelopoulos says a return to the public spirit, which was evident during the Games, would help Greece through its current crisis.

"An Olympic Games is a unique opportunity to get citizens engaged with a noble cause," she says. "We had no tradition of volunteering in Greece, but we got 165,000 wanting to help. It was like an army, but it was lost.

"Through this tough time for Greece, people are selling their houses, selling their cars, taking their children out of university. Imagine if this volunteer spirit and way of helping people was still in place? Things would be different.

"This kind of common spirit is needed in a country, not just in good times."

Since the Olympic Games, Angelopoulos has become active with the Clinton Global Foundation and Harvard's John F. Kennedy School of Government, running a project which asks global leaders to share their experience with students.

"After my disappointment about how the politicians let down people I turned to the international stage and that's why I participated in the Clinton Global Initiative," she says.

After her years out of the spotlight, Angelopoulos is embarking on a lecture tour in the United States, publicizing "My Greek Drama" and sharing her dream that Greece can soon be a proud nation once more.

"Even if there's a lot of drama in my book, I believe there's a better chapter ahead. We can be the authors of our own story," she says.

"My Greek Drama," published by Greenleaf Book Group Press, is out now.

@highlight

Gianna Angelopoulos led the bid for Athens 2004, and returned to run the organizing committee

@highlight

She is the first female president of both an Olympic bid committee and an organizing committee

@highlight

She believes her experiences could hold answers for the Greek financial crisis

@highlight

Angelopoulos' new book captures her experience of running the Games