Washington (CNN) -- President Barack Obama announced Wednesday night that all the 33,000 additional U.S. forces he ordered to Afghanistan in December 2009 will be home within 15 months.

In a nationally televised address from the East Room of the White House, Obama said 10,000 of the "surge" forces would withdraw by the end of this year, and the other 23,000 would leave Afghanistan by September 2012.

U.S. troop levels

Calling the deployment of the surge "one of the most difficult decisions that I've made as president," Obama said the military campaign was "meeting our goals" in Afghanistan and the drawdown would begin "from a position of strength."

"Al Qaeda is under more pressure than at any time since 9/11," Obama said. "Together with the Pakistanis, we have taken out more than half of al Qaeda's leadership. And thanks to our intelligence professionals and special forces, we killed Osama bin Laden, the only leader that al Qaeda had ever known. This was a victory for all who have served since 9/11."

At the same time, Obama said the Afghanistan drawdown and the simultaneous winding down of the war in Iraq would help the United States begin to refocus attention and resources on efforts to resolve economic and other problems and to unify a politically divided nation.

"America, it is time to focus on nation building here at home," the president said.

The troop withdrawals from Afghanistan will begin next month, as Obama promised when he ordered the surge in a speech 18 months ago at the U.S. Military Academy at West Point, New York.

After the departure of all the surge forces, the total U.S. military deployment in Afghanistan will be slightly fewer than 70,000 troops.

Obama's time frame will give U.S. commanders another two "fighting" seasons with the bulk of U.S. forces still available for combat operations.

It also will bring the surge troops home before the November 2012 election in which Obama will seek a second term.

Initial reaction was varied, with outgoing Defense Secretary Robert Gates supporting Obama's decision while congressional leaders were divided between those who wanted a faster withdrawal and others calling for caution in leaving Afghanistan.

"It's important that we retain the flexibility necessary to reconsider troop levels and respond to changes in the security environment should circumstances on the ground warrant," said House Speaker John Boehner, R-Ohio, in a statement. "It is my hope that the president will continue to listen to our commanders on the ground as we move forward. Congress will hold the administration accountable for ensuring that the pace and scope of the drawdown does not undermine the progress we've made thus far."

Sen. John McCain, R-Arizona, was more blunt, saying: "This is not the 'modest' withdrawal that I and others had hoped for and advocated."

Democratic colleagues of Obama expressed support for starting the withdrawal but said more troops should be included and they should depart faster than the president announced.

"It has been the hope of many in Congress and across the country that the full drawdown of U.S. forces would happen sooner than the president laid out -- and we will continue to press for a better outcome," House Minority Leader Nancy Pelosi, D-California, said in a statement.

Trepidation about what's next

Two candidates for the Republican presidential nomination to run against Obama next year expressed reservations about the withdrawal strategy, but differed in their reasoning.

"We all want our troops to come home as soon as possible, but we shouldn't adhere to an arbitrary timetable on the withdrawal" from Afghanistan, former Massachusetts Gov. Mitt Romney said in a statement. "This decision should not be based on politics or economics."

In his own statement, former Utah Gov. Jon Huntsman, who was Obama's ambassador to China until recently, called for shifting the Afghanistan mission to "a focused counterterror effort which requires significantly fewer boots on the ground than the president discussed tonight."

"We need a safe but rapid withdrawal, which encourages Afghans to assume responsibility, while leaving in place a strong counterintelligence and special forces effort proportionate to the threat," Huntsman said.

What happens to "civilian surge" as troops return home?

According to senior administration officials, the troop surge fulfilled a strategy to refocus the U.S. war effort from Iraq to Afghanistan.

Due to the surge, the officials told reporters, the military mission in Afghanistan has made great progress toward its objectives of dismantling and defeating al Qaeda in the region while stabilizing the country to prevent it from again providing a safe haven for the planning of terrorist attacks on the United States.

The killing of bin Laden in early May and the success in reversing Taliban momentum in the southern provinces of Helmand and Kandahar enabled the beginning of a troop withdrawal that will culminate with handing over security responsibilities to Afghan forces in 2014, the senior administration officials said on condition of not being identified.

In the speech, Obama announced that Chicago will host a NATO summit in May 2012 to review the Afghanistan mission and strategy going forward.

Gates -- along with Afghan war commander Gen. David Petraeus -- had pushed for an initial drawdown of 3,000 to 5,000 troops this year, according to a congressional source. Gates also urged the president to withdraw support troops only -- not combat troops.

Obama, however, ultimately decided to adopt the more aggressive withdrawal plan. The senior administration officials said Obama's withdrawal schedule fell within the range of options presented to him by Petraeus. The general has been nominated to become CIA director to succeed Leon Panetta, who will take over as defense secretary when Gates steps down at the end of the month.

In a statement after Obama's speech, Gates said it was "critical" that U.S. forces continue to "aggressively" carry out the surge strategy of degrading the capability of the Taliban while bolstering Afghan security forces.

"I support the president's decision because it provides our commanders with enough resources, time and, perhaps most importantly, flexibility to bring the surge to a successful conclusion," Gates said, signaling Pentagon control in deciding which U.S. forces to withdraw.

This week, Gates acknowledged that the president must take into account public opinion and congressional support for further military engagement.

"Sustainability here at home" is an important consideration, Gates said, noting that people are "tired of a decade of war."

CNNMoney: The cost war in Afghanistan

Public exhaustion with the conflict is reflected in recent public opinion polls. Nearly three-quarters of Americans support the United States pulling some or all of its forces from Afghanistan, according to a June 3-7 CNN/Opinion Research Corp. survey.

That figure jumped 10 points since May, likely as a result of the death of bin Laden, pollsters said.

Republicans -- who have been the strongest supporters of the U.S. military presence in Afghanistan -- are shifting their opinion on the conflict. In May, 47% of Republicans said they favored a partial or full withdrawal of American troops. That figure rose to 60% this month.

The sharp divisions have been reflected in Congress, where Democrats and Republicans are increasingly split.

Sen. Joe Manchin, D-West Virginia, called Tuesday for a "substantial and responsible reduction" in troop levels, arguing the war has become fiscally irresponsible and more resources need to be focused on domestic problems.

The United States has spent roughly $443 billion on the war in Afghanistan, according to budget analysts. According to Travis Sharp, a researcher at the Center for a New American Security, the troop reductions Obama announced would bring a savings of about $7 billion in fiscal year 2012.

Until Wednesday, Obama had said publicly only that troops would begin coming home in July, and he recently indicated the initial number withdrawn would be "significant."

Senior administration officials told CNN that planning for the announcement began in January, when the president summoned top members of his national security team into the Oval Office and tasked them with coming up with a plan for the drawdown.

The calculations that went into the drawdown decision included the fact that "remarkable" and "unexpected" progress had been made degrading al-Qaeda's infrastructure in its bases in the tribal regions of Pakistan over the prior 18 months, one of the officials said.

Additionally, the Taliban have been rolled back from their heartland regions in southern and southwestern Afghanistan, both in northern and southern Helmand Province and around the key city of Kandahar, which had been their de facto capital. This progress fulfilled the administration's pledge to reverse the momentum of the Taliban, which had been one of the key rationales for the surge.

Another factor favoring the drawdown was the growth in Afghan army and police forces of 100,000 men in the past year, the officials said.

The military progress has enabled some political progress, with Afghan security forces preparing this year to take over seven areas in Afghanistan that are home to some 20% of the population.

Special forces operations against the Taliban "middle management" in Afghanistan have put significant pressure on them and have opened up more opportunities for "reconciliation" with the Taliban, the officials said.

A White House official said the administration is "not starry eyed" about the prospects of discussions with the Taliban and does not anticipate anything like "the Treaty of Versailles," which ended World War I. However, the official said, there are now between "10 and 20 leads" that the United States is aware of that may lead to substantive talks with the Taliban.

The official said the leads are in the "exploratory" phase and that the United States has briefed Afghan President Hamid Karzai about them.

The deployment of U.S. forces hasn't been popular with many Afghan leaders, who criticize the presence of the Americans in their country. It's a message that's not lost on Karl Eikenberry, the U.S. ambassador to Afghanistan.

"When we hear ourselves being called occupiers and worse, our pride is offended, and we begin to lose our inspiration to carry on," Eikenberry said Sunday during a speech at Herat University in western Afghanistan. "At the point your leaders believe that we are doing more harm than good, when we reach a point that we feel our soldiers and civilians are being asked to sacrifice without a just cause ... the American people will ask for our forces to come home."

CNN's Aliza Kassim, Barbara Starr, Ted Barrett, Deirdre Walsh, Tom Cohen, Alan Silverleib and Brianna Keilar and CNN National Security Analyst Peter Bergen contributed to this report.

@highlight

NEW: Senior administration officials say planning for the drawdown began in January

@highlight

Romney, Huntsman question Obama's decision

@highlight

President Obama announces all 33,000 "surge" troops to leave by September 2012

@highlight

The withdrawal will begin next month, with 10,000 troops leaving Afghanistan this year