(TIME.com) -- Whether you're pleased or peeved by Mitt Romney's pick for running mate, Wisconsin Rep. Paul Ryan, there's no denying that the politician is a model of good health.

A former personal trainer, Ryan, who stands 6 feet, 2 inches, and weighs 163 pounds with 6%-8% body fat, works out like a warrior and leads fellow Hill staffers in daily morning sessions of the popular 90-day, body-sculpting program called P90X.

"I'm kind of a workout guy. I've always been into it. [Former Mich. Rep.] Bart Stupak and I lead [P90X classes] — there's about a dozen of us that do it," Ryan told Politico. "It works because it hits your body in many different ways: pull-ups, sit-ups, lots of cardio, karate, jump training, yoga. It pushes your body...and gets you out of your plateau."

TIME.com: We tried the Urban Rebounding Workout

Even Ryan's critics, including Washington Post political reporter Dana Milbank, acknowledge that the Congressman's personal health priorities are in the right place:

"It can only do us good as a nation to have as a role model such a fine physical specimen in high office. Hopefully, Ryan will inspire more Americans to get healthy. That's important, because if Ryan succeeds in ending Medicare, they won't be able to afford getting sick."

Ryan isn't the only fan of P90X, by far. The standard home fitness package by Beach Body costs $119.85 and has sold more than 3.5 million copies since 2005.

What do you get in the box? Twelve workout DVDs, a 100-page fitness guide, a nutrition plan and a 90-day calendar to track your progress. Workouts include a range of exercises — including chest and back strengthening, plyometrics and yoga — designed to create "muscle confusion," a cross-training regimen that's supposed to keep the body from adapting to the same exercise over time and prevent plateaus.

TIME.com: It's not too late to starting training for a distance run

We talked with P90X creator Tony Horton, who leads occasional sessions with Ryan on the Hill. Think you can hack it?

P90X's core training technique relies on "muscle confusion," which Paul Ryan credits for its success. Can you explain what that is?

Muscle confusion is a variety of exercises. Typically a lot of programs focus purely on stationary yoga, Pilates, weight training or cardiovascular — P90X has all those things. The main purpose is to avoid the three things that cause most people to stop exercising: boredom, injuries and plateaus. In P90X, there's variety in fitness with muscle confusion, and the goal is for people to get through the whole 90 days so they have real success and real results.

TIME.com: We tried the SLT Megaformer Workout

Who gets the most out of P90X?

When we created it, we made it for two categories of people. We had a big contingency of Power 90 [another Horton workout system] customers that it helped quite a bit, and we were trying to get people out of the gym who weren't getting results.

But it's turned out to be a workout for the military. I'm touring five military bases in two weeks because they're using it as well. It's [also] turned out to be a workout for the clinically obese — I've met dozens and dozens of people who are obese and used this program.

One of the reasons this works is that there are dozens of modifications other programs don't have. It's become much bigger than we ever anticipated.

What can users expect during the 90-day regimen?

It's broken up into cycles. Each month there is a different sequence of exercises [each laid out in the DVDs]. The first three weeks you do the basic exercises we tell you, and then you have one recovery week. The second month you get a whole new bunch of routines done in different sequences and the recovery week again.

Remember recovery doesn't mean you don't do anything; recovery means you are still working hard. [That is, you're still working out, but not quite as rigorously as during the first three weeks of the month.] In the final month, you do a combination of what you did in the first and second month, which is an extension of muscle confusion.

TIME.com: How your iPod can help you run faster and harder

What equipment is needed besides the DVDs?

In a majority of the exercises the only thing required is the human body, Mother Earth and Sir Isaac Newton's law of gravity.

But having a pull-up bar helps. You don't need it, but it certainly enhances the program, as well as dumbbells and bands. Some people just use resistance bands, but some men who want more size will go out and get dumbbells.

What if I don't want bulging muscles like the buff people in your infomercials?

There are three ways you can go through the program. There's the classic version, which is the basic way we designed it. But we also created a lean version, which focuses more on flexibility, range of motion and cardiovascular fitness.

There's another version for athletes called doubles, which they're doing twice a day. ... You can customize the 90 days based on what you need.

TIME.com: 5 common mistakes you're making at the gym

How important is diet when you're on the P90X system?

It's about the food as well. I've just launched Tony Horton Kitchen, which delivers weekly meals to customers.

Often the reason so many people in this country struggle is because they are putting the wrong things in their mouths. There's too much fat, sugar, salt and chemicals coming out of plastic bags and cans and I'm trying to get people to eat whole foods. Eat [foods] that when you look down at your plate, you can pronounce them.

The eating program has great recipes and a diet program that says, 'hey look, you can eat beef, you can eat vegetarian, you can eat Paleolithic.' Just eat the way you're great grandparents ate, and you'll be better off.

Why do you think P90X has become so popular?

I think there are three reasons really. I think No. 1 is obviously muscle confusion. No. 2 is the modifications built into the program for anybody, whether you have a prosthetic leg or you have 200 pounds to lose.

The little black dress of fitness

People tell me that I deliver fitness in a way that's a bit different than others. I use a lot of humor and silliness. Everyone in the program has nicknames and I do a terrible Arnold Schwarzenegger impression. I make something that is vital for people to change their health and wellness and I've delivered it in a way that is powerful for people. It's fun and we don't treat it like rocket science and I'm not the drill sergeant personality.

I'm the kid with two left feet who was picked last for every sport but dodge ball, so I understand the trials and tribulations of getting fit from my own personal experience — it was not an easy process for me. I'm trying to make it easy and fun, and I think that's why it's done well.

How often do you make it to D.C. to workout with Hill staffers like Paul Ryan?

I've been in the Congressional gym about five or six times with Paul Ryan, Heath Shuler [D-N.C.], Kevin McCarthy [R-California], Jesse Jackson, Jr. [D-Illinois]. ... It's usually anywhere between eight and 20 Congressmen [in a session]. It's turned out to be about once every eight months or twice a year.

TIME.com: The best runners' playlists on TIME's Spotify

Politicians are as busy as the rest of us. Is P90X doable with an already packed schedule?

It's an hour a day. A lot of people would say no. ... [But] people find time to fit it in because they see that it works.

A lot of people have friends and family and coworkers and neighbors that look different, that act different, that feel different, that have more energy, that sleep better, that are off their meds [because of P90X].

We can put the before-and-after pictures in the infomercial — and these are real people who submit their photos to us — but when it's people you know in your life and you see how different they are, how much happier they are, how much more fit they are — that's the selling point. It's pretty much word of mouth now at this point.

I'm trying to change the way people look at [fitness]. It can be a fun process and it can be permanent.

This story was originally published on TIME.com

Paul Ryan's killer workout: Is P90X for you?

@highlight

Running mate Paul Ryan weighs 163 pounds with 6 to 8% body fat

@highlight

Ryan leads daily morning P90X classes with Hill staffers

@highlight

Standard home fitness package by Beach Body costs $119.85