(CNN) -- The United States breached international law by executing a Mexican national without having granted him consular access, the U.N. High Commissioner for Human Rights said Friday.

Navi Pillay, in a statement, said she deeply regrets the execution of Humberto Leal Garcia, after a 5-4 decision by the U.S. Supreme Court denied him a stay of execution Thursday night.

"The execution of Mr. Leal Garcia places the U.S. in breach of international law," said Pillay, who is on an official mission in Mexico. "What the state of Texas has done in this case is imputable in law to the U.S. and engages the United States' international responsibility."

Pillay said Leal was not granted consular access, which -- as a foreign national -- was his right under Article 36 of the Vienna Convention on Consular Relations.

The denial of access raises concerns about whether Leal got a fair trial, Pillay said.

Leal, who was convicted for the 1994 rape and murder of a 16-year-old girl, was executed Thursday evening by lethal injection in Texas.

Federal officials, including the Obama administration, had tried to persuade Texas Gov. Rick Perry to delay the execution. "The secretary herself is quite disappointed in the outcome in this case," said State Department spokeswoman Victoria Neuland about Secretary of State Hillary Clinton.

"The U.S. government sought a stay of Leal's execution in order to give the Congress time to act on the Consular Notification Compliance Act, which would have provided Leal the judicial review required by international law."

Neuland said the case underscores the importance of the act's passage. "If we don't protect the rights of non-Americans in the United States, we seriously risk reciprocal lack of access to our own citizens overseas," she said.

"I am sorry for everything I have done," Leal said at the Huntsville facility before he was executed. "I have hurt a lot of people. Let this be final and be done. I take the full blame for this."

Leal then shouted "Viva Mexico," followed by "I'm ready warden, let's get the show on the road."

Mexico condemned the execution, saying it violated an International Court of Justice ruling ordering the United States to review capital convictions of Mexican nationals.

The U.S. Supreme Court earlier denied a stay of execution by 5-4, despite pleas from the Obama administration and the Mexican government to delay the execution.

In an unsigned opinion by the majority, the court refused to delay the execution until Congress could pass pending legislation giving federal courts the authority to hear similar claims from foreign inmates.

"We decline to follow the United States' suggestion of granting a stay to allow Leal to bring a claim based on hypothetical legislation when it cannot even bring itself to say that his attempt to overturn his conviction has any prospect of success," said the majority.

In their dissent, the four justices, led by Stephen Breyer, urged that Leal's execution be delayed. "It is difficult to see how the state's interest in the immediate execution of an individual convicted of capital murder 16 years ago can outweigh the considerations that support additional delay, perhaps only until the end of the summer," said Breyer, who was supported by Justices Ruth Bader Ginsburg, Sonia Sotomayor, and Elena Kagan.

Sandra Babcock, lead appellate attorney, said, "It is shameful that Mr. Leal will pay the price for our inaction. The need for congressional action to restore our reputation and protect our citizens is more urgent than ever."

"This case was not just about one Mexican national on death row in Texas," Babcock said in a statement. "The execution of Mr. Leal violates the United States' treaty commitments, threatens the nation's foreign policy interests, and undermines the safety of all Americans abroad."

The state's Board of Pardons and Parole ruled that Leal did not deserve to have his death sentence commuted to life in prison without parole.

The victim's mother, Rachel Terry, had called for the execution to go ahead as planned.

"A technicality doesn't give anyone a right to come to this country and rape, torture and murder anyone, in this case my daughter," she told CNN affiliate KSAT in San Antonio. "It's been difficult for myself and her family members," she added. "She certainly was taken away from us at a very young age. We just want closure."

Leal's lawyers argued the consulate access violation was more than a technicality. Babcock told CNN that Mexican officials would have ensured Leal would have had the most competent trial defense possible had they been able to speak with him immediately after he was arrested.

"I think in most of these cases it was not a deliberate thing," Babcock said. "Local police lack training" on the Vienna Convention, she added, referring to the international agreement that mandates consular access.

Leal's backers say he had learning disabilities and brain damage and had been sexually abused by his parish priest. They say those factors should have been considered at his sentencing.

The Mexican government had filed a supporting appeal with the high court in Washington, asking the justices to block Leal's execution.

And on Friday, the Obama administration asked Texas to delay the execution.

"This case implicates United States foreign policy interests of the highest order," including protecting U.S. citizens abroad and promoting good relations with other countries, Solicitor General Donald Verrilli Jr. said.

Congress has also weighed in. Sen. Patrick Leahy, D-Vermont, chairman of the Judiciary Committee, introduced a bill in June to grant federal courts the power to review such appeals.

"This case is not an isolated instance; the issue of consular notification remains a serious diplomatic and legal concern," Leahy said Thursday.

In Texas, Perry's office countered that a federal appeals court had already given Leal the judicial scrutiny the Obama administration and the United Nations were seeking.

"If you commit the most heinous of crimes in Texas, you can expect to face the ultimate penalty under our laws," Katherine Cesinger, spokeswoman for the governor, told CNN. "Congress has had the opportunity to consider and pass legislation for the federal courts' review of such cases since 2008, and has not done so each time a bill was filed."

Ted Cruz, the state's former solicitor general who argued the 2008 Supreme Court case for Texas, said Leal waited too long to raise these issues.

"The question is not should a foreign national have the right to contact their consulate," Cruz told CNN. "The question is, years later, after they have been tried, after they have been convicted, after it has been clear like Humberto Leal that they are a vicious child rapist and murderer, should you come in and set aside that conviction. You can't come back years later and try and set aside your trial with some additional claim you wish you had raised."

Cruz is running for the U.S. Senate as a Republican candidate.

@highlight

The U.N. High Commissioner for Human Rights says U.S. breached international law

@highlight

Humberto Leal Garcia, a Mexican national, was not granted consular access

@highlight

The U.S. Supreme Court denied a stay of execution

@highlight

Leal was not informed of his right to contact the Mexican consulate upon his arrest