(CNN) -- Desperately overcrowded, unsanitary, seething with tension and violence. Hours after a fatal fire swept through a prison in the central Honduran city of Comayagua, killing more than 300 people, an ugly picture is emerging of the harsh state of prisons in the country.

And while the cause of the fire in Comayagua is not yet clear, observers say the conditions in which its inmates live are likely to have contributed to the high death toll.

Ron W. Nikkel, president of Prison Fellowship International, an international nongovernmental organization, says Comayagua is the worst prison he's visited in the country.

"It's horrifically overcrowded. The bunks are sometimes five, six, seven tiers high, with the lowest person on the totem pole sleeping underneath the bunk on the bottom," he told CNN from Washington.

"I've seldom been anywhere where I've seen such overcrowding. There have been a number of fires over the years and it's surprising it hasn't been worse or happened sooner than this.

"You wouldn't have congestion like that in a dog pound, it's so bad -- and very little ventilation, so I can imagine a lot of the guys died from smoke inhalation."

The conditions in the packed, airless dormitories are oppressive, depressing and inhuman, he said. "You wonder how the human person can adapt to living in those conditions, but they do."

The fact that the fire broke out overnight means most of the prison's 850 inmates would have been asleep as the flames took hold.

And once the alarm was raised, the authorities' response is likely to have been hampered by short staffing and poor staff training, said professor Andrew Coyle of the International Center for Prison Studies at the University of Essex in the United Kingdom.

Many prisons across Central America are run-down, with crumbling infrastructure and poor maintenance, Coyle told CNN. An inevitable consequence is lax adherence to health and safety guidelines and fire prevention, making the chances of a devastating fire that much higher, he said.

Nationwide, Honduras -- a country of about 8 million -- has capacity for about 8,000 prisoners but had nearly 12,000 incarcerated as of 2010, equating to 40% overcrowding, Coyle said.

The U.S. State Department raised concerns in a report last year, citing human rights groups as saying prisoners "suffered from severe overcrowding, malnutrition, and lack of adequate sanitation," and highlighting issues of violence and abuse.

The Comayagua blaze was the third fatal prison fire in recent years. In 2003, 61 prisoners were killed in a fire at a prison in La Ceiba. In 2004, the death toll was 107 from a fire in a San Pedro Sula prison.

The country's prison commissioner said authorities are looking into whether a short circuit sparked the latest fire or if a prisoner perhaps set a mattress on fire.

But questions are bound to be asked about the effectiveness of the authorities' response.

Human rights group Amnesty International called for a full and impartial investigation into what happened at Comayagua on Wednesday.

"The government must also take urgent steps to ensure that crucial lessons are learned and prison conditions are improved, so that such a tragedy does not occur again," said Esther Major, Central America Researcher at Amnesty.

Another rights group, Human Rights Watch, pointed the finger at overcrowding and criticized the Honduran authorities for failing to address the conditions in which suspects and convicts are held.

"Endemic violence, the very poor infrastructure, poor staffing, badly trained staff -- all of these factors combined means that when something goes wrong, there's a grave danger of loss of life and inability of the authorities to cope," Coyle said.

Gang membership is also an issue in the region's prisons, said Coyle. Prisoners who don't already belong to a gang, or mara, when they enter jail soon sign up as a matter of survival.

Nikkel says that from what he's seen, a majority of the inmates at Comayagua are young men aged 18 to 25 and many are affiliated with gangs.

About half are being held pre-trial, so they have not yet had their cases heard in court, let alone been sentenced. Some may spend years waiting, a sign of the country's painfully slow judicial process, Nikkel said.

That adds to the sense of injustice and pent-up frustration in prison.

While he said he hasn't seen violence between inmates or on the part of prison staff during his visits, Nikkel said it is widely reported. "You can certainly see the tension when you go in with regards to the stand-off between various gangs controlling certain areas," he said.

"But Honduras has been notorious for the violence of the system against inmates, and part of that is due to the inadequate training of prison officers but also because they are subjected to the same overcrowding, which in these conditions is very difficult at the best of times."

Comayagua's prison director was shot last year by gang members unhappy with the restrictions placed on their compatriots inside the prison, Nikkel said.

Sanitation in that prison is woefully inadequate, he added, with "awful" washing and toilet facilities.

Drugs are as easily available inside prison as on the streets, Nikkel added.

Corruption is also a big problem, with those who have powerful gang connections on the outside able to call the shots.

"I've seen guards providing women for prostitution to inmates in an organized way, very open, so the whole thing is seething with endemic corruption that feeds the violence," Nikkel said.

A similar situation exists in other Central American countries, he said. "With the gangs being able to pay more to the guards than the guards are getting in salaries, the power is where the money is."

While there has been much talk of taking on the corruption in the prison sector, Nikkel said, the chances of it are slim while other parts of civil society are also riddled with corruption.

Staff and volunteers with Prison Fellowship International are working to provide education and practical projects, such as growing food, to combat the chronic lack of anything for inmates to do, Nikkel said, and to give them some hope.

The organization also runs a program that sends medical teams into the country's prisons to treat such ailments as skin and dental problems, eye infections, and malnutrition, he said.

Coyle says there is recognition across most of the region that the current prison conditions are unacceptable, in terms of violence and poor infrastructure, but many obstacles lie in the way of reform.

"You cannot reform a prison system in isolation from the rest of civil society -- and where civil society is violent and dangerous and destructive, it's no great surprise that it extends into the rest of the prison."

@highlight

NEW: Rights group Amnesty International calls for urgent action to prevent future prison deaths

@highlight

Inmates in Comayagua prison slept in bunks up to seven tiers high, a visitor to the prison says

@highlight

"I've seldom been anywhere where I've seen such overcrowding," he says

@highlight

Honduran prisons suffer from poor infrastructure, staff shortages and violence, a professor says