(CNN) -- New Orleans architect Mark Ripple only plays the occasional game of poker, but he's willing to put all his chips on the table and risk at least $150,000 on somebody else's dream.

That's the estimated value of in kind contributions that Ripple, his partners and consultants are donating to build what's been dubbed the 9th Ward Field of Dreams -- a community track and athletic field in part of the city hit hardest by Hurricane Katrina more than four years ago. When it's all said and done next summer, his firm Eskew+Dumez+Ripple will have given an estimated 500 man-hours toward a $2-million project that's become a symbol of community recovery.

"The hurricane was such a transformational experience," said Ripple, an architect for 30 years and a lifelong New Orleans resident.

When Katrina flooded Ripple's family home under 8 feet of water, it changed him. When he found himself accepting help from friends who ripped out useless drywall, swept out mud and tossed ruined beds through the windows, it changed him. "I went through this with my wife and kids in a house that I built and renovated with my own two hands," he said.

Storm damage forced his firm to take up temporary offices in another city an hour away. "When that routine is ripped away from you, you get a different appreciation for what it means in your life. You get a better understanding of how important that is to who you are and what you do. You can't really appreciate that until it's been taken from you."

Like many other residents, the pain gave way to a mission. Brian Bordainick, a 24-year-old athletic director at Carver High School in the 9th Ward, made his pitch to Ripple and his partners: Help build a new stadium for the neighborhood, and make a powerful statement about New Orleans' ability to overcome Katrina by working together as a community.

"The rebuilding of this broken city is a very emotional thing for me and I'm very passionate about it," said Ripple. "So it was another way to recover our life and regain what we had prior to the storm."

The sports facilities at Carver -- once a perennial football powerhouse -- were devastated by Katrina. Like many of the city's schools, enrollment plummeted after the storm as residents fled and never returned.

Students now attend classes in eight portable trailers. The football team practices in an abandoned lot.

In late 2008, Bordainick went to work -- online and in New Orleans executive offices -- rallying support for a new neighborhood track and field facility paid for with thousands of individual and corporate donations of time, services, materials and cash.

"Those of us over 50 often become jaded," said Ripple. "People say you can't do this and you can't do that -- it's just so refreshing to have somebody Brian's age step up and ask the basic question, 'Why the hell not?'"

"It's really interesting to see why certain people come to the table," said Bordainick. "Mark was one of those guys from the get-go who wanted to help out, and he just happened to be an architect. He was a guy first and foremost who believed what this could do for the city and he was like, 'Oh yeah, and I happen to have an architectural company that we can use to help further this goal.'"

By the time Ripple -- a former wrestler at Jesuit High School -- heard Bordainick's pitch, he was committed. Both of Ripple's older brothers were multisport athletes who played football in high school and college.

"Athletics can teach kids discipline, commitment, perseverance, goal-setting, and give kids a social outlet, a sense of belonging and improved self- esteem," Ripple said. A neighborhood sports facility would only do more to foster these values among 9th Ward kids, he said.

According to Bordainick, Ripple's community status brought credibility to the project early on. At the same time, Bordainick said, Ripple has completely given himself over to the cause. "If you talk to him about the project for 20 or 30 minutes, he's going to start to cry," said Bordainick, who came to New Orleans after Katrina as part of the nonprofit Teach for America program. "He's that type of guy."

Big gamble

But as the clock ticks toward the disaster's fifth anniversary, it's apparent Ripple and his partners have invested in a big gamble.

Although the school expects to kick off its opening football game at the new field on Katrina's August anniversary, the project remains about $700,000 short of its goal. And Bordainick insists construction will not begin as planned in March until 100 percent of the funds are raised.

"We don't want the project to stall after we break ground," said Bordainick. "If we stall, we may lose momentum and the project never finishes."

Under a worst-case scenario, the hundreds of work hours, countless resources and materials donated by Ripple's firm could yield zero results unless all $2 million of the project's estimated price tag is raised by Valentine's Day.

"As far as I'm concerned, to use a poker analogy, we're all in," laughs Ripple. "Sometimes what it takes is just perseverance and pushing and pushing, even when it gets fatiguing. It's worth the risk. We're gonna make it happen."

Long before the storm, Ripple and his partners had established their firm as a highly respected regional player in architecture and design -- jointly renovating and expanding the New Orleans Museum of Art, the Fair Grounds Race Course and the Aquarium of the Americas.

Four years after Katrina , the business of architecture in New Orleans has taken on a different tone, said Ripple. "Architects can be a catalyst for change in the community and they can make a difference. And I had never thought of architecture in those terms until after the storm."

In addition to the Field of Dreams, other Eskew+Dumez+Ripple projects are directly connected to erasing the results of Katrina's wrath. The firm is part of a joint venture to build a new federal Veterans Affairs hospital to replace one severely damaged in the storm. In another high-profile project, partner Allen Eskew plays a key role in the city's post-Katrina reconstruction planning.

The storm has been a boon to the local construction and renovation industry, a sharp contrast to the national construction business as a whole, which has been slowed by economic recession. Ripple's grateful for the boom -- in part because it helps the firm offset pro-bono work. "In that regard, the Field of Dreams project hasn't hurt us tremendously financially because we do have enough work volume to absorb that cost," Ripple said.

Green designs

Over the summer, plans for the field have solidified, including design components that are environmentally friendly.

If completed, the Field of Dreams would be among the greenest facilities of its kind in the nation, said Bordainick.

Special drainage will help protect the area around the stadium from storm water runoff, said Ripple. Katrina illustrated all too well that New Orleans is susceptible to flooding. Actor Brad Pitt's New Orleans recovery group, Make It Right, has some experience with drainage issues, Ripple said, and Pitt's organization is consulting on the project with partner Steve Dumez.

Stadium plans call for field lights which will be carbon-neutral and operate at half the cost of traditional lights. Outbuildings on the property will have vegetation on the roofs, helping keep the buildings cooler and reducing energy consumption.

One especially innovative feature under consideration is a running track surface made from recycled athletic shoes.

Nike, which has donated $100,000 toward construction of the field, has developed a synthetic material called Nike Grind consisting of ground-up rubber and polyurethane from discarded shoes.

"It's a very scary time for our project right now," said Bordainick. "We have a lot of money left to raise and our timelines are real."

Describing the emotional pull that drew Ripple to make such a total commitment to Bordainick's dream, the architect said, "There's a deeper meaning that projects take on when you feel like you're serving a larger purpose."

@highlight

Architect whose home was flooded by Katrina works pro-bono to build $2-million high school stadium

@highlight

"There's a deeper meaning ... when you feel like you're serving a larger purpose," he says

@highlight

Firm's $150k donation may be fruitless if funds aren't raised in time

@highlight

"It's a very scary time for our project right now," says school athletic director