(CNN) -- It's a country where wealth is measured by happiness, plastic bags and tobacco are forbidden, and national dress is compulsory.  The enigmatic kingdom of Bhutan is famous for its anonymity and traditional way of life.

Nestled high in the Himalayan Mountains, a buffer between India and China, the country has for centuries been all but cut off from the rest of the world.

Now, as change sweeps through many of its neighboring countries, Bhutan remains stubbornly rooted to its ancient traditions -- fiercely protective of its cultural heritage and pristine wilderness.

With tourism restricted -- visitors have to pay a flat fee of up to $200 per day to stay in the country, regardless of where they're staying -- many of Bhutan's ancient wonders remain undiscovered to the outside world.  Below is a look at some of the more fascinating and little-known sites the country has to offer.

The Tiger's Nest Monastery (Taktsan Monastery), Paro

Precariously perched on the side of a mountain, the 17th-century Tiger's Nest Monastery is one of the holiest and most visually stunning sites in Bhutan.

Located 600 meters above Paro valley (a three-hour hike), the monastery was built on the site where Bhutan's founder of Buddhism, Guru Rinpoche, is said to have flown on the back of a tigress in order to meditate.

Punakha Dzong, Punakha

One of the most beautiful dzongs -- or fortresses -- in the country, Punakha is located on the confluence of the Pho Chu and Mo Chu rivers. Built in 1637, it served as Bhutan's seat of government until the mid-20th century.  Ravaged by time and natural disasters throughout the centuries -- including floods, fires and earthquakes -- Punakha Dzong has recently been returned to its former glory using only traditional methods and materials.

As well as an administrative center for the district, the Dzong is home to the five-day spring Punakha Tsechu festival.  Chorten Kora, Trashi Yangtse

Taking 12 years to build, the stunning white-washed Chorten Kora was built in 1740 to vanquish a demon said to be living on the site. With eyes painted on all four of its sides to ward off evil, the chorten sits majestically in the Karmaling Valley of Eastern Bhutan.

One of the earliest forms of Buddhist architecture, chortens have been built for centuries in order to house the relics and mystical objects of Buddhist saints.

At Chorten Kora, legend has it an eight-year-old girl from neighboring India asked to be buried alive in the stone monument in order to pray and mediate during the chorten's construction.

Druk Wangyal Chorten & Dochula Chorten, Dochula

With stunning views of the Himalayan peaks, a cluster of 108 chortens sit atop the 3,100-meter-high Dochula Pass.

A relatively new site, the Druk Wangyal Chortens were commissioned by Bhutan's queen mother in 2004 and provide an impressive backdrop to the fourteenth-century Dochula Chorten in front.

The centuries-old chorten was said to be built to subdue a demon disturbing people traveling through the popular Dochula Pass, which connects the country's capital of Thimphu to the east of Bhutan.

Trongsa Dzong, Trongsa

Holding a special place in the heart of the Bhutanese, Trongsa Dzong is the largest fortress in the country and since 1907 has been the seat for the Kings of Bhutan.

Built on a mountain above the Mandge Chu gorge, for centuries the dzong controlled the trade routes from east and west Bhutan, with the Ta Dzong watchtower, now a museum, built to guard the dzong from enemies.

Susannah Palk contributed to this article.

@highlight

The remote kingdom of Bhutan is known as the "Land of the Thunder Dragon"

@highlight

Steeped in cultural tradition, it is illegal to buy tobacco or use plastic bags there

@highlight

Instead of GDP, the country's wealth is measured by GNH, Gross National Happiness