Washington (CNN) -- When Democratic Sen. Frank Lautenberg of New Jersey and Rep. Carolyn McCarthy of New York unveiled their bill Monday to regulate the online and mail-order sale of ammunition, they did so in a state most friendly to Democrats -- New York.

But across the country, voters might not be as receptive. Gun control can be seen as political quicksand for Democratic lawmakers.

Lautenberg and McCarthy, whose husband was killed and son was injured in a 1993 mass shooting on the Long Island Rail Road, said their bill will help crack down on people anonymously stockpiling ammunition bought through the Internet. Colorado police said the alleged shooter in Aurora this month purchased thousands of rounds of ammunition online.

Still, when it comes to gun policy, many congressional Democrats have "decided to keep quiet and not go there," said Alan Lizotte, dean and professor at the State University of New York at Albany's School of Criminal Justice.

They remember the 1990s, when President Bill Clinton was able to push through Congress an assault weapons ban and a required waiting period before purchasing handguns. But that move led to a fractious debate over gun policy that, following the Columbine shootings in 1999, ultimately helped sink Vice President Al Gore's chances of winning the 2000 election, in part because of problems persuading white, rural and blue collar voters to pick him, Lizotte said.

"You can push (gun control) through, then bam, Gore loses," Lizotte said. "Politically, I think that was a big mistake for (Clinton). He got it through, and his constituency was happy with him. But it had consequences ... it kills you down the line."

Chastened congressional Democrats, especially those in competitive districts and their leaders, have since given the issue of gun policy wide berth. Even President Barack Obama steered clear of gun rights in his speech in the aftermath of the 2009 Fort Hood shooting and last year after six people were killed during an assassination attempt on Rep. Gabrielle Giffords, D-Arizona, in Tucson.

Obama mentioned gun safety only in passing after the Tucson shootings to describe the polarizing nature of the issue.

Top House and Senate leaders are judiciously sidestepping the issue, even after Obama brought it up during his recent remarks on the movie theater shootings.

"With the schedule we have, we're not going to get into the debate on gun control," Senate Majority Leader Harry Reid, D-Nevada, told CNN. "But I'm very happy, I'm glad the president made the statement because it's something that needs to be done. But we're not going to address gun control."

It would be politically unwise to do so, political experts say, especially during a fierce battle for control of the Senate. With 51 seats, Senate Democrats hold a narrow majority. Senate Republicans have 47 seats and independents -- Bernie Sanders and Joe Lieberman -- tend to vote with Democrats.

Party leaders on both sides are watching close Senate races in Virginia and Massachusetts. Democrats are facing tough re-election contests in Missouri and Montana, and there are two open Senate races Nebraska and North Dakota.

Three of those states -- Missouri, Montana and North Dakota -- also rank among the highest for the number of background checks for guns, according to a 2010 analysis by the Daily Beast. The report compared 18 months worth of data from the FBI's National Instant Criminal Background Check System and compared that with state's population data from the U.S. Census Bureau's 2009 estimates to gain a glimpse at the states that are "the most armed."

According to the analysis, the 10 states with the highest number of background checks for guns voted for Republican Arizona Sen. John McCain in the 2008 presidential election. The 10 states with the least number of checks voted for Barack Obama.

"You can have a guy who plays well in North Dakota, but if the Republicans paint him as somebody that ... allows liberals on East Coast to take away your gun rights ... (he could run into problems)," Lizotte said. "So the leadership has to say 'we're not playing that kind of game'."

Talking about gun policy in those states could alienate the types of voters who are motivated to cast ballots based on a single issue.

Those who fight hardest for gun ownership tend to be very vocal, single-issue voters, said Jon Vernick, an associate professor and co-director at Johns Hopkins' Center for Gun Policy and Research, while those who favor stricter control tend to have a range of issues they're pushing.

"The questions for Democrats is whether support for gun violence prevention would truly harm their support among people who might not have voted for them anyway," Vernick said.

There's also little political incentive for those in tough congressional races to talk about gun policy since several national polls suggest voters are against stricter gun laws, and there's actually been a downturn both in the number of people owning guns overall and gun violence, said Kristin A. Goss, an associate professor of public policy and political science at Duke University and author of "Disarmed: The Missing Movement for Gun Control in America."

For example, a Pew Research Center poll conducted in April, found that 55% of independent voters feel it is "more important to protect gun ownership than to control guns," with 40% saying controlling gun ownership is more important. The poll also found that 72% of Republicans feel protecting gun ownership is important, while 27% of Democrats feel that way.

Those who advocate stricter gun control lost the messaging battle long ago, Goss said.

"Historically the pro-control side has struggled to come up with a compelling narrative that will help people come over to the case of stricter gun control laws," Goss said. "For a long time, these gun violence rates and massacres spoke for themselves. They relied on that to make the case but were up against a very powerful and very well-disciplined and skillful army that was good at taking those arguments apart."

They are also skilled at how they target their campaign contributions.

For example, during the 2010 midterm elections, fiscally moderate Blue Dog Democrats in tough re-election fights represented roughly half of the top 20 recipients of contributions from the National Rifle Association, according to data collected by the campaign-finance website OpenSecrets.org. The candidates -- many of whom hail from rural regions in Southern and Western states where gun ownership is deeply cherished -- each received nearly $10,000 from the NRA that year.

In 2008, only one Democrat made the top 20 list, Florida Democrat Tim Mahoney, who netted an NRA endorsement and contested the constitutionality of the District of Columbia's gun ban in a Supreme Court brief. He received $12,400.

This year so far, only three Democrats made the top 20 list and received donations of roughly $5,000. All three either lost primaries or retired, out of the running for the fall election.

Still, in New York, Lautenberg and McCarthy know the political reality, but they see their fight as bigger than politics.

"It's one thing to buy a pair of shoes online," Lautenberg told reporters Monday. "But it should take more than a click of the mouse to amass thousands of rounds of ammunition."

CNN's Dana Bash contributed to this report

@highlight

Bill aims to curb online ammo sales, though election losses make Democrats hesitant

@highlight

High stakes races make it unlikely for Democrats to wade into gun policy debate

@highlight

Gun ownership advocates in competitive states are vocal and will vote on a single issue

@highlight

The NRA tends to support Democrats who vocally fight for gun rights