Washington (CNN) -- The Obama administration released two documents on Friday describing the scope of National Security Agency data collection programs, a bid to quiet criticism they violate privacy rights.

An NSA memorandum describes the beginnings of the agency's collection of so-called telephone metadata of nearly every American under a provision of the Patriot Act, and the agency's monitoring of foreign Internet traffic.

The agency says in the memo that its systems monitor 1.6% of the world's Internet traffic, and its analysts review .00004% of global traffic.

Published accounts drawn from leaked documents provided by admitted NSA leaker Edward Snowden have portrayed a much broader eavesdropping system under section 702 of the Patriot Act.

Another document from the Justice Department describes the legal basis for collecting the telephone metadata, such as the numbers dialed, the length and time of the calls. The government says the NSA phone data collection operated under court supervision, and that the database is only accessed for specific searches in counterterrorism investigations.

The document also explains why government lawyers say the program carried out under section 215 of the Patriot Act respects constitutional First and Fourth Amendment freedoms, which protect free speech rights and prohibit the government from unreasonable search and seizure.

The release of the documents came as President Barack Obama held a news conference where he addressed the Snowden leaks, and promised greater transparency about the government's surveillance programs.

See NSA document (PDF)

He defended the NSA programs which he said have been incorrectly portrayed as an invasion of privacy and said they were key to protecting national security.

Still, the president promised to consider changes to help reassure the public that the Patriot Act wasn't leading to abuses.

The NSA memo describes how the agency was monitoring conversations between one of the hijackers that carried out the September 11, 2001, terror attacks and people in an al Qaeda safe house in Yemen.

The agency says it didn't have the ability to find out that the hijacker was already in the United States living in San Diego, and therefore couldn't tell the FBI. According to the memo, the data collection programs were begun to address those shortcomings.

The NSA memo also for the first time explains some of the confusion over various agency codenames for its collection programs.

According to the NSA, the agency uses different code names for data collected from each communications company.

"Some that have been revealed in the press recently include FAIRVIEW, BLARNEY, OAKSTAR, and LITHIUM. While some have tried to characterize the involvement of such providers as separate programs, that is not accurate," the memo says.

The Justice white paper released Friday argues that "The vast majority of the telephony metadata is never seen by any person because it is not responsive to the limited queries that are authorized. But the information that is generated in response to these limited queries could be especially significant in helping the government identify and disrupt terrorist plots."

The document also says that the phone data doesn't "involve tracking locations from which telephone calls are made."

The government's three branches, including the Foreign Intelligence Surveillance Court and Congress, help oversee the programs, the Justice memo argues.

Critics have argued that the data collection violates privacy rights, and that the government should require warrants to collect such information.

The Supreme Court last year restricted the government's use of GPS trackers on cars of suspects under investigation, making it necessary to seek warrants.

The Justice Department says the phone metadata is different and that "Supreme Court precedent makes clear that participants in telephone calls lack a reasonable expectation of privacy for purposes of the Fourth Amendment in the telephone numbers used to make and receive their calls."

In any case, the Justice memo says "any arguable privacy intrusion arising from the collection of telephony metadata would be outweighed by the public interest in identifying suspected terrorist operatives and thwarting terrorist plots."

The Justice memo also argues that the government's rules "expressly prohibits the collection of records for an investigation that is being conducted solely on the basis of protected First Amendment activity, if the investigation is of a U.S. person."

@highlight

Two documents describe scope of NSA data collection programs

@highlight

Their release is part of pledge by Obama adminstration to be transparent

@highlight

Critics have argued that the data collection violates privacy rights