(CNN) -- The financial world is in an uproar about the New York Times opinion piece by Greg Smith, a former vice president in Goldman Sachs' equity derivatives business.

As a former vice president in Goldman Sachs' equity derivatives business who also made it into The Times when I quit, I can't help but feel a bit upstaged.

Part of my resentment comes from the fact that Smith is being touted as a high-level defector from the notoriously secretive ranks of Goldman Sachs. But calling Smith a senior Goldman executive, as many media outlets do, misunderstands the nature of titles at investment banks. Smith was an "executive director and head of the firm's United States equity derivatives business in Europe, the Middle East and Africa," which certainly sounds fancy. But, as the firm took pains to point out in response to the article, there are 12,000 employees with the title of "vice president" (in the U.S.) or its international equivalent, "executive director."

As for being head of that particular business, well, pretty much everyone at any investment bank is the head of some business or another. Clients prefer to deal with the head of a business, so senior bankers are practiced in introducing even their most junior colleagues as the head of something or other. My own semi-official titles -- among others, "vice president and head of the equity derivatives business for the North American energy industry" -- were as impressive as Smith's, but what I rarely mentioned was that that business consisted of me and one junior analyst. Smith's business lacked even the analyst!

More important, though, it is a mistake to read Smith's piece as a scandalous revelation of the decline of Wall Street culture.

Goldman exec quits, calling firm 'toxic'

Yes, there was once a time when big investment banks made most of their money by advising clients on mergers and capital raising, rather than by trading with clients. And yes, those times are long gone. But they were long gone when Smith started. And he was in the derivatives sales business, which has always and necessarily been a business in which Goldman is on one side of a trade and its clients -- or, in the more neutral term popular in such businesses, "customers" -- are on the other. Each dollar that Goldman makes comes directly out of its client's pockets.

Of course, Smith's clients, who included some of the largest hedge funds and asset managers in the world, knew this. They did not come to Smith for impartial advice about their personal and professional problems. Rather they came to him to execute trades at attractive prices and for trade ideas, ideas that they hoped would make them money but that they certainly expected would make Goldman money.

Thus, worries that clients will flee Goldman are overblown. Goldman's clients know that the firm is trying to make money off of them -- and they know that every other bank is trying to do the exact same thing. They are not looking for charity. They are looking for good ideas and good execution, and the bank that provides those benefits will continue to get business.

One question on everyone's mind is: Why now? March is a customary time to quit, since Smith's 2011 bonus check will have cleared, but why did it take him 12 years to figure out that Goldman's culture was rotten? After all, Matt Taibbi and the SEC have been saying similar things for years.

One possible answer is that Smith is part of a broader exodus. The past year has seen many departures by Goldman Sachs partners, including Smith's boss' boss' boss' bosses, David Heller and Ed Eisler. Those career traders are unlikely to have left because they felt sad for clients.

Instead, the widespread speculation is that they left because the money isn't good enough. Average pay at Goldman was down 15% in 2011, albeit to a still-healthy $367,000 per employee. Stricter regulations on proprietary trading and higher capital requirements will probably reduce profitability -- and pay -- for years to come.

Investment banking and trading are difficult businesses; bankers work long hours, travel frequently and are under intense pressure. Smith is hardly the first banker to worry about whether his work makes the world a better place. Working at an investment bank involves trading off those negatives -- stress, hours and a nagging sense of unfulfilled purpose -- against the positive aspects of the job, which can be loosely summarized as "huge paychecks." When that balance changes, a good trader re-evaluates his position.

Expect to see more departures from Goldman and its peer firms in the coming months. But don't take too seriously the idea that they're leaving because they're sick of making money off of clients. More likely, they're leaving because they're sick of not making as much money off of clients as they used to.

The opinions expressed in this commentary are solely those of Matt Levine.

@highlight

Greg Smith, former Goldman Sachs employee, writes in New York Times that he quits

@highlight

Matt Levine: Media outlets misunderstand the nature of titles at investment banks

@highlight

He says it is a mistake to read Smith's piece as a revelation of the decline of Wall Street culture

@highlight

Levine: If more bankers leave, it's probably because they're not making as much as before