Pixley, California (CNN) -- In "the nation's salad bowl," as California's Central Valley is often called, fresh produce grows in abundance.

But for many area residents, healthy food is out of reach.

"Here we are in this agriculturally rich area and yet people who live here and work here are hungry, are impoverished," said Sarah Ramirez, an educator who grew up in the area.

"(Some) are working in the fields that feed the entire country and then they don't have the resources to support them and their health. It's heartbreaking."

For the last two years, Ramirez has been on a mission to build a healthier community in her impoverished hometown of Pixley.

She and her husband launched Be Healthy Tulare, a grass-roots movement to collect produce that would otherwise go to waste and get it to neighbors in need. The group is named for the county where Pixley is located.

"Looking outside and seeing trees just loaded with fruit, I was just feeling like, why aren't we connecting these pieces?" Ramirez said.

Do you know a hero? Nominations are open for 2014 CNN Heroes

Twice a month, Ramirez and volunteers gather fruit and vegetables from farms and backyard trees. They glean from growers and residents who contact them about their excess produce. The group then provides the bounty to a local food bank that distributes it to families in need.

So far this year, Ramirez said, she and her group have collected and donated 20,000 pounds of produce.

Connecting the dots

Growing up the daughter of farm workers, Ramirez watched her family's health suffer.

"In my own family I have witnessed young family members die of preventable diseases," she said.

While she was attending college in northern California, she began working at a free health clinic in Sacramento.

"I realized that the illnesses and conditions I was seeing there were not that different from what I saw at home. And I began to ask ... why."

In Tulare County, 73% of adults are either overweight or obese, according to a recent California Health Interview Survey.

Many community members do not own a vehicle or have easy access to public transportation, Ramirez said. The result: People are not getting the quality foods that often grow nearby.

"There isn't a full service grocery store that provides the best and most wholesome food at affordable prices here in the community," Ramirez said.

While working toward her master's degree and, ultimately, her Ph.D., Ramirez worked part-time as Tulare County's epidemiologist. With a background in public health and cultural studies, she saw the link between food insecurity and the high rates of obesity and diabetes.

"I've talked to a lot of people who end up being referred to me ... because they have chronic diseases or their children have chronic diseases," Ramirez said. "I lost count of how many 4-year-olds (I was) seeing with high cholesterol or how many people (came) in due to obesity. I've had moments in the clinic where I have people literally cry because they tell me they can't afford to eat well or eat healthy."

When Ramirez set out to help her community, she gathered residents and asked them for their input. By involving them in her efforts, she aims to instill hope and dignity.

"We wanted to start a project where the community sees the value of their own experiences," she said.

A community of change

In addition to salvaging produce, residents learn how to live a healthy life. The group runs a community garden, a fitness program and nutrition classes that Ramirez calls "food labs."

"This is an educational opportunity to find out how to use foods we grow in the garden," she said. "I like to have community members offer their own recipes. I welcome the community to teach as well. We want everyone to feel involved."

Adults and children participate in the food labs, and generations of families get involved.

"Grandma will bring a potluck, and the rest of the family -- and community -- will enjoy the meal," Ramirez said.

For Ramirez, it's about creating a sense of belonging and purpose in her community.

"It's not about us looking for someone else to come in and save these communities," she said. "It's how we recognize that the people here already matter, that they have value."

Want to get involved? Check out the Be Healthy Tulare website at www.behealthytulare.com and see how to help.

@highlight

California is "nation's salad bowl" but many don't have access to fresh produce

@highlight

Sarah Ramirez's Be Healthy Tulare collects excess fruit and vegetables

@highlight

That produce, which would otherwise go to waste, is delivered to those in need

@highlight

Do you know a hero? Nominations are open for 2014 CNN Heroes