(CNN) -- After the Chernobyl nuclear power plant disaster, Soviet soldiers had to do the hard, potentially risky, cleanup job. Fears of radiation exposure, sickness and death were rampant. In the months after, however, it wasn't the rate of cancer that increased: it was the rate of suicide.

This is now quoted widely in nuclear industry circles as a textbook case of "radiophobia." We are hard-wired, it seems, to react with fear to what we don't understand. It's what we all learn as children: remember the story of Chicken Little? The sky is falling.

Dan Polanski is in demand around the world as an expert on weapons of mass destruction. CNN has hired him to advise us on the ground about radiation levels and the potential risks. He says right now there is a fear overload and a shortage of fact.

"When we talk about radiophobia, people hear that word 'radiation' and immediately imagine the worst -- we're all going to die and turn into the Toxic Avenger and start mutating," he says.

The images from the Fukushima nuclear emergency have not helped ease fears. Pictures of a ruined power plant, smoke billowing into the sky after explosions and fires and talk of a potential meltdown have sparked panic. Too many people watching television images, fire-trucks and choppers dumping water on the reactors, smacked of last-ditch desperation.

In Tokyo, foreigners have headed for the exits. Long lines have formed at the immigration department; at the airport people line up for flights. Many say the same thing: They just don't trust what they're told.

The Japanese government has struggled with communication. Critics say it is often too little, too late. There's a worrying lack of detail.

The Tokyo Electric Power Co., which runs the Daiichi plant, has been accused of having a questionable record when it comes to the truth.

Officials in Japan may have consistently told people that radiation levels pose no risk to health, but few here are willing to bet their life on that.

Terumi Tanaka survived the atomic bomb of Nagasaki. He knows about nuclear fear and suspects people are not getting the truth here.

"The company is hiding information. They are lying about it; they're not disclosing the risk," he says.

So what are the available facts as they stand right now? Take a comparison with Chernobyl.

In the Soviet Union, reactor workers died within weeks. In the final phase of that disaster, radiation hit levels of 6,000 millisieverts per hour. Fukushima Daiichi's peak has been 400 millisieverts per hour, and that's at the red hot center of the plant itself.

According to the World Nuclear Association, you need exposure to 1,000 millisieverts per hour before suffering radiation sickness.

Even for the heroic workers still in the plant, prolonged exposure, says Polanski, could make them sick, but it will not kill them.

"No, not at all. Four hundred millisieverts sounds scary, but it's not," he says.

A caveat: this emergency is in uncharted territory, it could always take a turn for the worse. After a week of trying everything and resorting to dropping water from helicopters, several reactors are still overheating.

In fact, Japan's nuclear safety agency has now raised the crisis to level 5 on the nuclear event scale. That's the same rating as the partial meltdown of the nuclear plant at Three Mile Island in the United States in 1979.

But that may be a welcome comparison. At Three Mile Island, radioactive materials were contained within the reactors. No deaths were directly linked to the event, and fallout to the immediate community was measured to be harmless.

Still more than 30 years later, some people question the official version. Just like Japan today there is a gap between what people are told and what they choose to believe.

Amid crisis, fact whispers and fear screams.

@highlight

We are hard-wired to react with fear to what we don't understand, Grant says

@highlight

Expert says there is a fear overload and a shortage of fact

@highlight

Officials in Japan have told people that radiation levels pose no risk to health

@highlight

A caveat: this emergency is in uncharted territory