WASHINGTON (CNN) -- Terror attacks have spiked dramatically in Afghanistan and Pakistan as extremists in both countries strengthen their power and expand operations, according to a State Department report released Thursday.

The number of terrorist attacks in Pakistan, like this bombing in April, has more than quadrupled from 2006 to 2008.

But the State Department annual terrorism report notes an overall decline in attacks worldwide and fewer attacks in Iraq.

The attacks worldwide have decreased by 20 percent, with 30 percent fewer fatalities, said Russell Travers of the National Counterterrorism Center.

The report says al Qaeda and its extremist supporters have moved across the Afghan border "to the remote areas of the Pakistani frontier, where they have used this terrain as a safe haven to hide, train terrorists, communicate with the followers, plot attacks and send fighters to support the insurgency in Afghanistan."

In Pakistan alone, the report says, attacks more than quadrupled between 2006 and 2008, with a sharp increase in their "coordination, sophistication and frequency." Last year there were 1,839 terrorist "incidents," compared with 890 in 2007, Travers said.

The rise in violence has complicated the Obama administration's effort to implement its strategy of boosting military and civilian programs in both countries.

The report says the largest number of attacks occurred in Pakistani provinces near the Afghan border, including Balochistan, the North West Frontier and the Federally Administered Tribal Areas, where extremists have sought to challenge the government and extend Islamic law.

It also notes the government's inability to get a handle on the extremists. Despite having 80,000 to 100,000 troops in those provinces, it says, "the government of Pakistan's authority in the area continued to be challenged."

Ronald Schlicher, the State Department's acting coordinator of counterterrorism, told reporters the Obama administration has "real concerns" that al Qaeda's senior leadership may be operating from those areas and could be plotting attacks against the United States.

"We have a real sense that it's happening, but we have imperfect knowledge of what they're doing," he said.

Pakistan's military in the past week launched an assault on militants in Taliban-held areas after they seized territory in violation of an agreement signed this year by Pakistani President Asif Ali Zardari. The deal, criticized by the United States, allowed the Taliban to implement Islamic law, or sharia, in the region in exchange for an end to fighting.

The recent operations are part of the Pakistani army's intensified drive against the Taliban in its restive tribal regions. The Pakistani government has been criticized for not cracking down on militants along its border with Afghanistan. As a result, the U.S. military has carried out airstrikes against militant targets in Pakistan. The strikes have rankled relations between the two countries.

Pakistan has asked the United States to supply its forces with helicopters, communication equipment and night-vision technology as part of a U.S. plan to beef up the country's counterterrorism efforts.

President Obama told reporters Wednesday night that he is "gravely concerned about the situation in Pakistan."

Speaking at a news conference capping his 100th day in office, Obama said the United States has "huge national security interests in making sure that Pakistan is stable" and doesn't end up a "nuclear-armed militant state."

After making two visits to Pakistan in less than three weeks, Adm. Michael Mullen, chairman of the U.S. Joint Chiefs of Staff, is "very alarmed by the growing extremist threat in Pakistan and remains frustrated particularly by the political leaderships' inability to confront that threat," according to his chief spokesman.

Secretary of State Hillary Clinton and Defense Secretary Robert Gates have called Taliban gains in Pakistan an "existential threat" to the country.

The State Department report notes the terrorist attacks in Mumbai, India, in November, attributing them to the Pakistan-based Kashmir terrorist group Laskhar-e-Tayyiba and to its fundraising subsidiary, amaat ud-Dawa. Although Pakistan has cracked down on some of the groups' camps and made several arrests, the report warned of continuing tension between India and Pakistan.

The report says Afghanistan is plagued by "an insurgency that more and more relied on vicious and increasingly sophisticated terrorist attacks," despite the efforts of NATO forces and the Afghan government.

"The anti-government insurgency remained a capable, determined and resilient threat to stability and to the expansion of government authority," the report warns. Although the Taliban continued to suffer heavy combat loses, the report says its ability to leverage support from al Qaeda and recruit soldiers "remained undiminished."

"Taliban information operations were increasingly aggressive and sophisticated," it says. "Streams of Taliban financing from across the border in Pakistan, along with funds gained from narcotics trafficking, have allowed the insurgency to strengthen its military and technical capabilities."

Iran is also a source of training to the Taliban "on small-unit tactics, small arms, explosives and indirect-fire weapons," the report says.

"Since at least 2006, Iran has arranged arms shipments including small arms and associated ammunition, rocket-propelled grenades, mortar rounds, 107 mm rockets and plastic explosives to select Taliban members," it says.

While terrorists in Iraq still launched attacks last year, "there was a notable reduction in the number of security incidents throughout much of the country, including a decrease in civilian casualties, enemy attacks, and improvised explosive device attacks in the last quarter of the year," the report says.

There were 3,258 terrorist incidents in 2008, down almost half from the 6,210 attacks in 2007, Travers said. He added there was a decrease during the first quarter of 2009, although there has a been a spike in terrorist attacks in April.

Although the threat from al Qaeda in Iraq "continued to diminish" due to significant defections and a loss of both territory and funding, al Qaeda continued to benefit from safe haven in Somalia and has strengthened its North African operations, the report says.

It notes a sharp increase in attacks by al Qaeda affiliates in North Africa. In Algeria, many of the attacks were blamed on al Qaeda in the Islamic Maghreb, whose tactics "appeared to be influenced by [al Qaeda's] experience in Iraq."

The report also warns "the security situation in Yemen continued to deteriorate during 2008 and was marked by a series of attacks against both Western and Yemeni interests," culminating in the September 17 suicide bombing of the U.S. Embassy in Sanaa that killed 18.

"Recruitment for al Qaeda in Yemen (AQY) remained strong, and the use of vehicle borne improvised explosive devices (VBIEDs) and suicide vests indicated a high level of training, coordination, and sophistication by Yemen's terrorist leadership," the report says.

The report calls the government's response to the terrorist threat "intermittent and its ability to pursue and prosecute suspected terrorists remained weak due to a number of shortcomings, including stalled draft counterterrorism legislation."

Although a raid in August on an al Qaeda in Yemen cell in the country uncovered large number of weapons, the report warns the action "did little to deter or disrupt other AQY cells."

It was a month later that at least seven assailants dressed in Yemeni security-service uniforms attacked the U.S. Embassy with explosives and suicide vests, launching what the report calls a "sophisticated and well-coordinated" attack.

The report says Iran "remained the most active state sponsor of terrorism," including supporting terrorist groups such as Hamas, Hezbollah and Palestinian Islamic Jihad, all of which opposed the Middle East peace process, as well as Iraq-based militants and the Taliban fighters in Afghanistan.

It cites the Qods Force, an elite branch of the Islamic Revolutionary Guard Corps, as the regime's "primary mechanism for cultivating and supporting terrorists abroad."

"Iran's involvement in the planning and financial support of terrorist attacks throughout the Middle East, Europe and Central Asia had a direct impact on international efforts to promote peace, threatened economic stability in the Gulf, and undermined the growth of democracy," the report says.

Schlicher also said that the United States is "troubled by indications that the Iranians may be seeking to extend their influence into other parts of the world and expand its military ties into Latin America."

The Obama administration has adopted a policy of engagement with Iran in an effort to curb its nuclear ambitions.

@highlight

Attacks in Pakistan have more than quadrupled between 2006 and 2008, report says

@highlight

Report: Al Qaeda, extremist supporters moving across Afghan border into Pakistan

@highlight

Report notes an overall decline in attacks worldwide and fewer attacks in Iraq

@highlight

Iran "remained the most active state sponsor of terrorism," report says