(CNN) -- Could another deep water- or even shallow water- oil drilling disaster be looming ahead? Experts warn it certainly could happen again.

The Deepwater Horizon catastrophe, they say, highlights flaws in the drilling industry's main defense against oil and gas explosions -- the blowout preventer, which is supposed to shut down an oil and gas well if something goes wrong. Oil companies have treated such devices as virtually fail-safe.

"They're certainly not fail-safe because they didn't close this well," said Paul Bommer, a petroleum engineering professor at the University of Texas at Austin. "If they had been 100 percent fail-safe they would have sealed, they would have closed.,"

There have been numerous rig blowouts, including a large gusher in the Timor Sea off the coast of Western Australia last year. And a growing number of blowouts in the past decade have caused offshore oil drilling to become sloppier.

Seventy-two spills dumped 18,000 barrels of oil into U.S. federal waters from 2000-2009, while only 15 spills put 2,000 barrels into the water during the prior decade, according to data compiled by the Minerals Management Service (MMS) of the Interior Department, which regulates energy exploration (The database excludes spills of less than 50 barrels).

Avoiding such spills depends upon the reliability of the blowout preventer, which is essentially a faucet on top of the oil well that keeps oil and gas from gushing to the surface. Rig workers use the preventer to keep a well under control, especially when oil and gas surge, or "kick up," from a well.

When its valves don't do the job, the blowout preventer can choke off the drilling pipe -- like squeezing a straw while drinking. And, If that fails to work, a blowout preventer has yet another line of defense -- huge shear rams, like giant scissors that are supposed to be able to cut and seal the drilling pipe. But, a mile underwater, where the pressure is intense, drill pipes need to be thick, especially the joints between them. And those joints are very hard to cut.

"There are some parts of the pipe that the shears were never meant to cut," said Ford Brett, an expert in petroleum project management who is advising the Interior Department's oil drilling safety review.

"No one's equipment will shear the drill collar body. That's a lot of metal. It's not going to be possible to shear certain things," added Benton Baugh, another advisor to Interior's review of the Deepwater incident and president of Radoil, which designs and manufactures oilfield and subsea drilling equipment.

A 2002 study for the Minerals Management Service warned of such trouble in shearing drilling pipe deep underwater. Initial research painted "a grim picture of the probability of success when utilizing this final tool in securing a well," wrote consultant West Engineering Services. West Engineering would not comment to CNN on its studies for the government.

"The blowout preventers had a probability of failing to crush that pipe that approaches 50 percent," said Robert Bea, engineering professor and expert in ocean engineering at the University of California at Berkeley, who is familiar with the study. "It would be like getting on an airplane having a 50 percent chance of making it to your destination."

Based on 55 years of engineering experience, including a stint as chief offshore engineer for Shell, Bea warned government investigators that blowout preventers are not reliable in the deep sea, and he worries they could fail in the Arctic, where the industry is pursuing energy resources.

"You can keep on pushing equipment to the point of where it breaks, and I think we broke it," he said. "All of the drilling operations underway of this nature in the world today depend on these devices as the final line of defense."

In the harshest of environments, a mile underwater or in the Arctic tundra, blowout preventers operate under great stress, increasing their potential vulnerability to wear and tear.

"It is a mechanical piece of equipment. It is utilized in harsh environments. Yes, it can wear out," said Steve Sears, chairman of the Department of Petroleum Engineering at Louisiana State University.

In fact, BP told congressional investigators there were several leaks in the hydraulic system that was supposed to power the shear rams of the Deepwater Horizon's blowout preventer.

"It was a coupling that had not been tightened down adequately. It was several turns loose," said a person with knowledge of the investigation. BP officials also discovered a dead battery.

The final safety switch for a blowout preventer that has lost communication with its oil rig is the "deadman" system that's supposed to trigger the blowout preventer to shut the well. It did not activate during BP's April 20 rig explosion.

Another study West Engineering Services prepared for the Minerals Management System in 2003 found flaws with the deadman system.

"The most serious drawback to this system ... is the mind set of the rig personnel. Many operator and contractor personnel refuse to arm the system from fear that it will either not operate when needed or activate inappropriately, causing downtime," the report said.

Such downtime can be extremely costly. If the blowout preventer cuts through drilling pipe it can easily cost $10 million to replace that section of pipe and put the rig back into production, said Baugh.

Given the multiple problems with blowout preventers, energy experts concede the oil industry must quickly raise its safety bar.

"We must improve the safety systems of blowout preventers. Obviously it's time to take it to the next level," said Baugh. "There are more strenuous conditions occurring and we must have more strenuous solutions for them."

The Interior Department, facing the reality of energy drilling dangers, is working to toughen rules for offshore oil exploration.

"We must ensure that offshore drilling is conducted safely and in compliance with the law," said Interior Secretary Ken Salazar.

Drilling operations not subject to the administration's six-month deepwater drilling moratorium have until the end of the month to:

-- Provide independent third party verification of the safety and effectiveness of blowout preventers,

-- Install a secondary control system for subsea blowout preventers (current regulations do not require such a backup), and

-- Adhere to new inspection and reporting requirements for blowout preventers.

By September the Interior Department intends to require blowout preventers to have two sets of shear rams spaced at least four feet apart in case a drill pipe joint is in front of a shear during an emergency.

The Interior Department says such steps will "increase the safety in offshore oil and gas development," but concedes they "represent only the beginning of the department's work."

@highlight

Rig blowouts have been on the increase in recent decades

@highlight

Blowout preventers have multiple safety functions: All failed on Deepwater Horizon

@highlight

Expert: Equipment not designed to work in extreme conditions

@highlight

Study found many personnel would not arm final failsafe to avoid possible downtime