(CNN) -- Paul J. Zak is the founding Director of the Center for Neuroeconomics Studies and Professor of Economics, Psychology and Management at Claremont Graduate University. He is the author of The Moral Molecule: The Source of Love and Prosperity.

Evolution does not promote happiness. Most creatures live on the edge of survival and do whatever it takes to get through another day. Yet, many human beings seek to be, and often are, happy. How did that happen?

I spent a decade running neuroscience experiments to understand why humans are, much of the time, moral. We expect others to be honest, trustworthy, and kind and are outraged when they are not. As I report in my recent book The Moral Molecule: The Source of Love and Prosperity, my experiments showed that a then largely-ignored brain chemical in humans, oxytocin, motivates moral behaviors. Oxytocin does this by producing the feeling of empathy: When we are emotionally connected to others we tend to treat them well. My studies showed this was true even between complete strangers.

Over 2,000 years ago, Aristotle claimed that morality comes from being in community with others. My experiments confirm this. Aristotle also argued that practicing virtue made one happy. I decided to put this to the test.

I found that individuals who release the most oxytocin -- I call them "oxytocin-adepts" -- were more satisfied with their lives compared to those who release less oxytocin. Why? They had better relationships of all types: Romantic, friendships, family, and they even shared more money with strangers in laboratory experiments. The moral molecule morphed in the happy molecule. Happiness largely comes from other people for social creatures like us.

The logic step was to see if I could hack the happiness molecule.

There is evidence in animals that repeated release of oxytocin biases the brain to release it more easily. In other words, it might be possible to become and oxytocin-adept.

I began by refusing to shake hands. My experiments had shown that touch causes the release of oxytocin, so I replaced the handshake with a hug. Yes, for everyone, even on a first meeting. I found that after an embrace people opened up and connected to me much better than before I started this practice.

My second hack was spending an extra second looking at people's faces and then telling them what I saw. "Hi Laura, you look sad today, are you OK?" Or, "Hi Jorge, you really look happy, tell me what you've been doing?" People appreciated my focus on how they felt and conversations went from the superficial to what really mattered. I was practicing empathy.

My third hack was the most difficult. Oxytocin is sometimes called the "love chemical" because it sustains bonds between romantic partners and between parents and children. I decided to tell my friends and colleagues that I loved them. The response was overwhelming. Everyone lit up, some cried, everyone returned the love in words and deeds. I even earned the nickname "Dr. Love."

Did I really hack the happiness molecule? I certainly feel much more connected to those around me, more open to emotional experiences, and, well, happier. I recently turned 50 and I was amazed when I had four surprise birthday parties on the same day.

I think my brain hacks have made me a better friend, father, and colleague.

Rich social networks extend life and improve health, so you might want to try to hack your oxytocin, too.

Here's your to-do list: Give eight hugs a day, focus on how those around you feel, and yes, use the "L" word when you can. If you find these difficult, start using them on a dog. My experiments have shown dogs are better oxytocin stimulators than other pets, and better stress-reducers, too.

One more suggestion: Last year I decided to end every conversation with the word "service," as in, "I am at your service." If I'm in a meeting, the person I'm with wants something from me. My new hack is to give others what they want generously whenever possible. Nearly everyone is surprised and pleased by this and I typically get back much more than I have offered.

I'm an introvert who learned to revel in community. If you can hack the happiness molecule like I have, then I've been of service. And that makes me happy.

The opinions expressed in this commentary are solely those of Paul J. Zak.

@highlight

Paul J. Zak: I spent a decade trying understand why humans are usually moral

@highlight

His new book reports how brain chemical oxytocin motivates moral behaviors

@highlight

He also tests Aristotle's theory that practicing virtue made one happy

@highlight

The logical step was to see if I could hack the happiness molecule, he writes