(CNN) -- Early this week, I worked on my addiction treatment center's detoxification unit. I treated teenagers and young adults, pregnant women and medical professionals. I saw older pain patients who, having lost control over their prescriptions, began using intravenous heroin, very much to their shock. Many have developed hepatitis C and, for the first time in my state of Maine, I've begun to see an increase in HIV infections.

Heroin addiction is a metastatic cultural cancer. Crime, disease, suffering and death follow in its wake.

Heroin takes you down a darker road than even prescription opiate addiction. The death of Oscar-winning actor Philip Seymour Hoffman on Sunday apparently proves the insidious danger of that very path.

Maine is in the stranglehold of just such a transitional drug addiction epidemic -- it began in the late '90s. And we are not alone. Recent reports of mass overdose deaths in Pittsburgh and Rhode Island are strong indicators that the movement from overdose by prescription pain medication to heroin is national in scope.

Interestingly, the last 20 years has seen a paradigm shift in physicians' attitudes about prescribing opioids to treat pain. Before the Federation of State Medical Boards revised its pain treatment guidelines 10 years ago, doctors tended to avoid prescribing opioids for pain. But the revised guidelines, coupled with accreditation requirements reinforcing screening for pain, and pharmaceutical industry pressure to prescribe, greatly expanded use of opioid analgesics such as Oxycontin and Vicodin.

Opinion: What makes someone an addict

That "perfect storm" created a prescription drug addiction epidemic in our state. Substance Abuse and Mental Health Services Administration data from 10 years ago show the annual number of treatment admissions in Maine increased from a little more than 9,000 to almost 14,000 from 2002 to 2005. That same data indicated we had one of the highest rates of prescription drug addiction among adolescents and young adults in the country. We still do.

It's only been recently that the rest of the country has awakened to this crisis. In 2011, the Centers for Disease Control and Prevention called prescription drug abuse an "epidemic." Maine was highlighted as having one of the highest volumes of prescription painkillers sold.

Is it any wonder that, with a vast, attractive market of prescription drug addicts at the ready, out-of-state heroin dealers seized the opportunity to flood Maine with their treacherous opioid drug? In only two years, heroin has saturated every remote, rural corner of our state.

They say a country always fights its last war. As we donned battle gear for the war on prescription drug addiction, heroin snuck in from the flank unnoticed. Two years ago, the use of heroin exploded in Maine like a wave of napalm, incinerating lives, families and communities. Our state report on substance abuse trends for 2013 reveals that "primary treatment admissions related to heroin or morphine have been increasing since 2010." That means, for three years, more Mainers have been seeking treatment solely for heroin addiction.

Opinion: How to stop deaths from drug ODs

Heroin is no longer only an urban plague. In his State of the State Address, Vermont Gov. Peter Shumlin awakened America to how heroin is corroding lives in even largely rural states. This quickly spreading opiate addiction has every addiction medicine physician deeply concerned about the pressure to treat this chronic brain disease appropriately.

We must respond by providing the proven-effective treatment, combining Food and Drug Administration-approved stabilization medications with holistic rehabilitation. One without the other simply doesn't work to manage this chronic disease. Addiction disease is just like epilepsy or diabetes in that it's a lifelong diagnosis that demands lifelong management and vigilance by patients and their medical practitioners.

The parents of my patients never sleep soundly, always waiting for the dreaded midnight phone call. These deaths are preventable.

Treatment saves lives. Wishful thinking takes them.

The opinions expressed in this commentary are solely those of Mark Publicker.

@highlight

Physician Mark Publicker says his addiction unit is seeing spike in young, old heroin users

@highlight

He says heroin use a cancer sweeping nation, calls prescription painkillers the gateway

@highlight

He says sellers descended on Maine and region has seen surge in heroin addiction

@highlight

Publicker: Treatments must see addiction as a chronic disease needing lifelong management