Apparently sexism isn't just a social problem -- if you're in the path of a hurricane, gender bias might actually kill you.

A study suggests people prepare differently for hurricanes depending on whether the storm has a male or female name.

"Feminine-named hurricanes (vs. masculine-named hurricanes) cause significantly more deaths, apparently because they lead to a lower perceived risk and consequently less preparedness," a team of researchers wrote in the Proceedings of the National Academy of Sciences.

In other words, a hurricane named "Priscilla" might not make people flee like a hurricane named "Bruno" would.

The study analyzed death rates from U.S. hurricanes from 1950 to 2012.

It suggests that changing a severe hurricane's name from Charley to Eloise could nearly triple its death toll.

"For severe storms, where taking protective action would have the greatest potential to save lives, the masculinity-femininity of a hurricane's name predicted its death toll," the study said.

Hurricane Katrina in 2005, which left more than 1,800 people dead, was not included in the study because it was considered a statistical outlier. Neither was Hurricane Audrey in 1957, which killed 416 people.

The study does note that both of those very deadly hurricanes had female names.

Forecasters: Fewer storms in the Atlantic this year?

Questioning the data

But not everyone buys the team's hypothesis. Jeff Lazo of the National Centre for Atmospheric Research said the pattern is most likely a statistical fluke, according to National Geographic.

He notes that all hurricanes had female names until 1979 -- meaning the study included 29 years without male hurricane names.

That's significant because hurricanes have generally gotten less deadly over time, Lazo told National Geographic.

"It could be that more people die in female-named hurricanes simply because more people died in hurricanes on average before they started getting male names," Lazo said.

Study: Experiments back up the claim

But the researchers said they didn't just analyze death tolls from actual hurricanes, they also conducted a series of experiments to test their hypothesis.

In one experiment, participants predicted the intensity of 10 hurricanes -- five with female names and five with male names. The male hurricanes were deemed more intense -- regardless of the gender of the participant.

In another test, participants were asked to judge the risks of a hypothetical "Hurricane Alexander" and a "Hurricane Alexandra." Despite being told both had uncertain intensity, respondents considered Hurricane Alexander to be riskier.

A third experiment tested whether participants would be more likely to evacuate due to a "Hurricane Christopher" vs. a "Hurricane Christina." As expected, more people would flee their homes if Hurricane Christopher came barreling toward them compared to an impending Hurricane Christina.

Why name hurricanes anyway?

Giving hurricanes short, easy-to-remember names helps reduce confusion when two or more tropical storms are brewing at the same time, the National Hurricane Center said.

For decades, all hurricanes were given female names in part because hurricanes were unpredictable, the study said, citing the "Encyclopedia of Hurricanes, Typhoons and Cyclones."

"This practice came to an end in the late 1970s with increasing societal awareness of sexism, and an alternating male-female naming system was adopted," the report said.

Each year's list of hurricane names is alphabetical, alternating between male and female monikers.

If you're trying to get your name on the hurricane list, don't bother. A U.N. World Meteorlogical Organization committee has already set up six years' worth of names. The lists repeat after each six-year cycle.

"The only time that there is a change is if a storm is so deadly or costly that the future use of its name on a different storm would be inappropriate for obvious reasons of sensitivity," the National Hurricane Center said.

This year's list of names include "Omar" and "Sally." It's unclear how people might prepare differently if caught in the paths of those storms.

Breaking down the climate report by region

Fast facts: Hurricane statistics

A look at the 2014 Atlantic hurricane season

@highlight

Female-named hurricanes cause "significantly more deaths," a study finds

@highlight

Researchers analyzed over six decades of death rates from U.S. hurricanes

@highlight

Experiment participants considered hypothetical male storms deadlier than female storms

@highlight

One critic says earlier hurricanes, which were deadlier, were only given female names