(CNN) -- Discrimination against women and girls takes a staggering toll around the world, says author Sheryl WuDunn. It leads to as many as 100 million fewer females than males in the world.

Ending the oppression of women is the great moral challenge of the 21st Century, a cause she compares to fighting slavery in the 19th century and totalitarianism in the 20th Century.

WuDunn, a former reporter for The New York Times who is now an investment banker, and her husband, Times columnist Nicholas Kristof, wrote "Half the Sky," a book focusing on the role of women in the world.

She spoke about their findings at the TED Global conference in Oxford in July and in an interview with CNN.

Watch an interview with Sheryl WuDunn

During their time as correspondents in China, WuDunn and Kristof learned of the phenomenon of an estimated 30 million "missing" baby girls in the nation.

WuDunn says part of the gap could be attributed to infanticide by families who were determined to have a male child under China's one-child policy and in part to the development of the sonogram. That medical device can be used to determine the gender of a child before birth, prompting some parents to obtain abortions.

"One peasant in the southern part of China once told us, 'The sonogram's great, we don't need to have baby girls any more.' "

TED.com: Radical women embrace tradition

The problem is not limited to China; WuDunn says there are between 60 million and 100 million missing females in the world, even though women outnumber men in some more developed nations.

The solutions, she says, are education and economic opportunity. Overpopulation is one of the larger contributors to poverty, WuDunn said. "When you educate a girl, she has significantly fewer kids." Girls who go to school get married later in life and educate their children "in a more enlightened way."

WuDunn says her work is not just about helping reveal the plight of women and girls in many countries, it's also about helping provide the groundwork for a movement to solve the problem. In the Western world, where many people have all their material needs satisfied, it's an obligation to reach out and help others, she says.

TED.com: Eve Ensler on embracing your inner girl

WuDunn told the story of an American aid worker in Darfur who had seen great suffering but never broke down.

On a vacation back in the United States, she visited her grandmother and noticed a bird feeder in the backyard.

"She was in her grandmother's backyard and she basically broke down. And she realized that not only was she able to feed and clothe and house herself but also see that people in her country were able to feed wild birds so that they don't go hungry in the winter. She knew that with that luck and fortune also comes great responsibility."

Here are excerpts from  "Half the Sky: Turning Oppression into Opportunity for Women Worldwide" by Nicholas D. Kristof and Sheryl WuDunn:

"So let us be clear about this up front: We hope to recruit you to join an incipient movement to emancipate women and fight global poverty by unlocking women's power as economic catalysts. That is the process under way -- not a drama of victimization but of empowerment, the kind that transforms bubbly teenage girls from brothel slaves into successful businesswomen. This is a story of transformation. It is change that is already taking place, and change that can accelerate if you'll just open your heart and join in. ...

"The tide of history is turning women from beasts of burden and sexual playthings into full-fledged human beings. The economic advantages of empowering women are so vast as to persuade nations to move in that direction.

"Before long, we will consider sex slavery, honor killings and acid attacks as unfathomable as foot-binding. The question is how long that transformation will take and how many girls will be kidnapped into brothels before it is complete -- and whether each of us will be part of that historical movement, or a bystander."

@highlight

Sheryl WuDunn: Tens of millions of girls die young or aren't born due to discrimination

@highlight

Educating girls and giving them economic opportunity could transform the world, she says

@highlight

Girls who are educated have fewer children and educate them better, she says

@highlight

WuDunn: Those who have their material needs satisfied should aid women around the world