(CNN)  -- Interior Secretary Ken Salazar on Wednesday approved the nation's first offshore wind farm, signing off on a project that has bitterly divided Cape Cod over the last nine years.

The 130 turbines are to be located several miles from the Massachusetts shore in the iconic waters of Nantucket Sound. The interior secretary said Cape Wind, as the project is known, is the start of a "new energy frontier."

"The United States is leading a clean energy revolution that is reshaping our future," Salazar told reporters in Boston. "Cape Wind is an opening of a new chapter in that future, and we are all part of that history."

"Cape Wind will be the nation's first offshore wind farm, supplying clean power to homes and businesses in Massachusetts, plus creating good jobs here in America," he said. "This will be the first of many projects up and down the Atlantic coast."

"Thank you for this decision," said Gov. Deval Patrick. "With this project, Massachusetts will lead the nation. This day has been a long time coming."

The location of the wind farm has stirred heated emotions over the years. Cape Wind became one of the most heavily vetted energy projects in the world. Seventeen state and federal agencies weighed in, reviewing everything from its impact on shipping, aviation and fisheries.

Salazar visited the Cape earlier this year. At the time, he pledged to cut through the nine years of regulatory red tape and make a final decision by the end of April.

At Wednesday's news conference, the interior secretary said the process took far too long and future offshore projects would follow a "more rational and orderly" process.

There is no reason, he said, "why an offshore wind permit should take a decade to review and approve."

The most notable opponent of Cape Wind was the late Sen. Ted Kennedy, a champion of green energy who, to the dismay of environmentalists, fought against the wind farm. The Kennedy compound will have a view of the wind turbines.

See how the views on the Cape will change

Other opponents ranged from billionaire energy giant William Koch to former Massachusetts Gov. Mitt Romney. American Indians in the region also objected, saying the wind farm would be located on sacred ancestral grounds and disturb important sunrise ceremonies.

"I am strongly opposed to the administration's misguided decision to move forward with Cape Wind," Sen. Scott Brown said Wednesday. "While I support the concept of wind power as an alternative source of energy, Nantucket Sound is a national treasure that should be protected from industrialization."

In announcing his decision, Salazar said Cape Wind must follow stringent measures during construction, and it must conduct additional marine and archeological assessments of its impact. The company must also explore ways to make the wind turbines less visible from shore.

"The smart responsible development of wind potential on Horseshoe Shoal need not conflict with the history and tradition of Nantucket Sound," Salazar said.

Greenpeace, the Sierra Club and nearly every major environmental group in the nation supported the project, saying it's necessary in moving the nation forward. Six governors in the region also backed Cape Wind.

"Even though we enjoy overwhelming majority support, it's not a popularity contest," Cape Wind CEO Jim Gordon told CNN. "This decision needs to be made on the merits. And the record shows that it is in the public interest."

In an editorial today, the Boston Globe said simply: "Make clean energy a reality; approve Cape Wind now." The New York Times earlier this week also endorsed the project.

"Offshore wind farms are a common sight in Europe but not here," the Times wrote. "Cape Wind would be this country's first -- sending, finally, a signal to the world about America's resolve to fight global warming and reduce its dependence on foreign oil."

The wind farm would bring hundreds of jobs and provide up to 75 percent of the power needed by the Cape and islands of Martha's Vineyard and Nantucket, according to Cape Wind.

Estimates of the project have ranged from $800 million to $1 billion; Cape Wind has not released how much it believes the wind farm will cost.

See the location of the wind farm

The 130 turbines, spaced a third- to a half-mile apart, will cover about 25 of the 500 square miles of Nantucket Sound. They will stand more than 40 stories tall, well over 10 times bigger than nearly every other structure around the Cape.

Cape Wind has said the project will not necessarily bring cheaper energy, but will bring cleaner electricity and become a model for offshore wind energy.

The Alliance to Protect Nantucket Sound, the project's chief nemesis, has vowed to file suit to continue to try to block it. The project already has withstood multiple court challenges.

Buddy Vanderhoop, a member of the Wampanoag Tribe, harshly criticized the decision to go ahead with the project.

"This is a federal embarrassment and a slap in the face not only to the tribes ... but it's also a slap in the face to the people who make their living" off fishing in the area of the wind farm's location, Vanderhoop said.

Barbara Hill has long supported Cape Wind as the executive director of the grassroots organization Clean Power Now.

"We're going to be partying later on tonight," she said. "We applaud Secretary Salazar for his vision and leadership in making this landmark decision and look forward to the day when the wind farm in Nantucket Sound will be producing the majority of the electrical needs of the Cape and islands."

Wind farms produce roughly 2 percent of the nation's energy, all from land-based facilities in California, Texas, Oklahoma, Wyoming and a few other states. Locations offshore are considered optimal because the winds are stronger and more consistent.

A 2008 Energy Department report calls for "20 Percent Wind Energy by 2030." It said 18 percent of the nation's wind energy should come from offshore sites.

Cape Wind first sought a permit in fall 2001. During that time, China built its first offshore wind farm. Nine other countries have offshore farms: Belgium, Denmark, Finland, Germany, Ireland, the Netherlands, Norway, Sweden and the United Kingdom.

On Wednesday, Gov. Patrick said Cape Wind will now allow the United States to join the offshore wind race. "America now has a chance to turn that around."

@highlight

NEW: Interior Secretary Ken Salazar: Cape Cod wind farm is start of "new energy frontier"

@highlight

Salazar approves nation's first offshore wind farm

@highlight

Battle over the 130 wind turbines has raged for nine years in Cape Cod

@highlight

The wind farm will cover about 25 square miles of Nantucket Sound