(CNN) -- A federal appeals court on Thursday narrowly struck down Michigan's 6-year-old ban on considering race and gender in college admissions, a ruling that the state intends to appeal to the U.S. Supreme Court.

The U.S. 6th Circuit Court of Appeals ruled 8-7 that the affirmative action ban, which Michigan voters passed in a 2006 referendum, violated the U.S. Constitution's equal protection laws.

The ruling is the latest step in a years-long legal battle over whether the state's colleges can use race and gender as a factor in choosing which students to admit. The ban's opponents say the case could help strike down anti-affirmative-action policies in other states if it goes to the Supreme Court.

Opinion: What's wrong with affirmative action -- and why we need it

"We think this is a tremendous victory for the tens and hundreds of thousands of students who fought for affirmative action for decades," said Michigan attorney George Washington, who represents the By Any Means Necessary coalition that sued to overturn the ban.

"This is a tremendous day for black and Latino students in the entire country," Washington said.

The ruling might take a while to go into effect, if ever. The office of Michigan Attorney General Bill Schuette, who is defending the ban, says the court's rulings take effect only when it issues a mandate, usually weeks later.

But Schuette intends to inform the court that he will appeal to the U.S. Supreme Court, and will ask the appeals court to stay its ruling until the high court can review the case, Schuette spokeswoman Joy Yearout said.

Schuette plans to file an appeal with the U.S. Supreme Court within 90 days, his office said.

"(The ban) embodies the fundamental premise of what America is all about: equal opportunity under the law," Schuette said in a news release Thursday. "Entrance to our great universities must be based upon merit."

A three-judge panel from the same court made a similar ruling on the ban last year, 2-1. Schuette then asked the full court to consider the case, leading to Thursday's ruling.

The ban was passed in a 2006 referendum, with 58% voting yes. It was added to the state's constitution, barring publicly funded colleges from granting "preferential treatment to any individual or group on the basis of race, sex, color, ethnicity or national origin."

5 things to know about affirmative action

That prompted a series of lawsuits and appeals from various groups.

In Thursday's ruling, Judge R. Guy Cole wrote that the ban illegally gives minorities fewer ways to persuade colleges to adopt a "race-conscious admissions policy" than people have to influence colleges on other aspects of admissions.

"A black student seeking the adoption of a constitutionally permissible race-conscious admissions policy ... could do only one thing to effect change: She could attempt to amend the Michigan Constitution -- a lengthy, expensive and arduous process -- to repeal the consequences" of the ban, Cole wrote.

On the other hand, a student could do several other things to persuade a college to alter its admissions policy to favor applicants' alumni connections, including lobbying the admissions committee or petitioning the university's leaders, Cole wrote.

"The existence of such a comparative structural burden undermines the Equal Protection Clause's guarantee that all citizens ought to have equal access to the tools of political change," Cole wrote.

Michigan voters approved the ban after the U.S. Supreme Court ruled in 2003 that while Michigan universities could use race as a factor in choosing which students to admit, they could not make race the determining factor in deciding whether applicants are accepted

The referendum effort was led by Jennifer Gratz, who was at the center of the high court case. As a white student, she was put on the waiting list for undergraduate admission to the state's largest university. She eventually attended another school, and became the lead plaintiff in a subsequent reverse discrimination lawsuit.

After the Supreme Court's 2003 decision, she began a public campaign to end racial preferences in admissions.

Affirmative action: Good or harmful?

The Michigan ban also prohibits the state from considering race and gender in public hiring and public contracting decisions. But Thursday's ruling deals only with the college admissions portion, Yearout said.

Efforts over decades to create a diverse classroom have been controversial. The Brown v. Board of Education high court ruling in 1954 ended segregation of public schools, but sparked nationwide protests and disobedience by states who initially refused to integrate.

In 1978 in the so-called Bakke case, the Supreme Court ruled universities have a compelling state interest in promoting diversity that allows for the use of affirmative action. That issue involved a reverse discrimination claim by a white man denied admission to law school.

The issue in recent years is whether and when affirmative action programs would eventually have to be phased out as the goal of obtaining diversity is met.

The Supreme Court is considering whether the University of Texas' admissions practices aimed at creating campus diversity violate the rights of some white applicants.

Washington said he hopes that the Supreme Court takes the Michigan case. He said he hopes that if it rules against the ban, it also would strike down some other states' rules against affirmative action, such as those in California that do not allow race considerations in college admissions.

Opinion: Keep affirmative action but reform it

CNN's Bill Mears contributed to this report.

@highlight

Michigan voters had approved ban on considering race, gender in college admissions

@highlight

"Tremendous day for black and Latino students," lawyer representing plaintiffs says

@highlight

Ruling won't go into effect immediately, Michigan attorney general's office says

@highlight

Michigan attorney general, who defends the ban, to appeal to Supreme Court