This year's Nobel Prize for Chemistry was awarded to an Israeli scientist who "fought a fierce battle against established science" and "fundamentally altered how chemists conceive of solid matter," the Royal Swedish Academy of Sciences announced Wednesday.

Daniel Shechtman "tore apart what we thought we knew about crystals," a scientist at the Massachusetts Institute of Technology said.

Shechtman discovered that crystals do not have to have a regular repeating pattern, Peter Mueller said, comparing the revelation to the fall of the Berlin Wall.

"There are a few things that you know in life, like 'The Berlin Wall is not going to fall.' That was one of things that I knew growing up in Germany," Mueller said.

Shechtman's discovery in 1982 was as disruptive to chemistry as the fall of the wall was to world politics, Mueller said.

The very definition of a crystal was that it was "periodic," or that its molecules were packed together in a regular, repeating way.

"Dan Shechtman comes along and proves us all wrong," said Mueller. "It's the next step in crystallography. It is outrageous. It is fantastic. Before Dr. Shechtman's discovery, this was thought impossible. It absolutely deserves the Nobel."

Shechtman is a professor at the Technion-Israel Institute of Technology.

His discovery is called quasicrystals.

Unlike other crystals, quasicrystals do not have a repeating pattern at the molecular level.  They are very hard, but break easily, like glass.

Interestingly, the structure of quasicrystals seems to have been foreshadowed in medieval Islamic art that contradicts what Western geometry had always taught.

"If you want to tile a bathroom floor with squares, you can do it out to infinity," said Peter J. Lu, a post-doctorate researcher at Harvard University  who has studied Islamic tile work.

"If you want to do it with five-sides figures, there are gaps," he explained.

But Islamic artists figured out how to do it without leaving gaps by making the pattern irregular rather than repeating -- the same thing that happens in quasicrystals, he said.

"Aperiodic mosaics, such as those found in the medieval Islamic mosaics of the Alhambra Palace in Spain and the Darb-i Imam Shrine in Iran, have helped scientists understand what quasicrystals look like at the atomic level," the Swedish academy said.

Islamic tile patterns dating back to the early 1400s were put together in ways not understood in the West until 1973, Lu and Paul Steinhardt of Princeton University argued in a paper in 2007 in the journal Science.

The Muslim artists discovered ways to tile shapes with five, 10 or 12 shapes without leaving gaps between them -- a structure thought by standard geometry to be impossible.

British mathematician and physicist Roger Penrose explained in 1973 how it was done, and just over a decade later the same pattern was found at the molecular level in quasicrystals, according to a report in Lu and Steinhardt's work in the journal Nature in 2007.

Lu said he was "thrilled to pieces" that Shechtman had won the prize.

"The discovery was incredibly monumental, and he's just the nicest guy," Lu said.

Mueller, a principle research scientist at MIT, said he was "fascinated" by the structure of quasicrystals, even as he admitted he would not have the knowledge to analyze them himself.

But specialists in quasicrystals will eventually "gain knowledge of some structures which we cannot analyze with conventional methods," he predicted.

The academy that awards the Nobel Prize in Chemistry said quasicrystals have a "unique atomic structure" which makes them "bad conductors of heat and electricity, and (they) have nonstick surfaces."

"Their poor thermal transport properties may make them useful as so-called thermoelectric materials, which convert heat into electricity," the academy said.

The prize in chemistry is worth 10 million Swedish kronor (about $1.44 million).

On Tuesday, the Royal Swedish Academy of Sciences named Saul Perlmutter from Lawrence Berkeley National Laboratory and the University of California, Berkeley; Brian P. Schmidt of Australian National University and Adam G. Riess of Johns Hopkins University and the Space Telescope Science Institute, the winners of the 2011 Nobel Prize in Physics. They made the discovery that our universe apparently is expanding at an accelerating rate some 14 billion years after the Big Bang.

The Nobel committee on Monday named Ralph Steinman, a biologist with Rockefeller University, and scientists Bruce A. Beutler and Jules A. Hoffmann, the winners of the 2011 Nobel Prize in Physiology or Medicine.

The announcement came three days after Steinman died of pancreatic cancer at age 68.

This week, the committee also will announce prizes in literature and peace. The prize in economics will be announced Monday.

@highlight

Daniel Shechtman's discovery was like the fall of the Berlin Wall, a scientist says

@highlight

Shechtman "tore apart what we thought we knew," Peter Mueller of MIT says

@highlight

Islamic tile patterns hundreds of years old help explain the discovery

@highlight

The Nobel Prize in Chemistry is worth about $1.44 million