(CNN) -- If you look at the images of destruction from Colorado, it's not hard to see why officials have called the Waldo Canyon Fire the most destructive in state history. Last week, it was like a monster roaring down a mountainside, swallowing houses whole.

And that's not even the biggest blaze at the moment. A fire in Montana's Custer National Forest is raging over 186,800 acres.

As many as 13 new large fires were reported Sunday, the National Interagency Fire Center said. In all, 14 states, mostly in the West, are dealing with active fires.

Does it seem like wildfires in the United States are getting bigger and badder?

It's a question fire expert Max Moritz has been hearing a lot lately.

That's because the University of California, Berkeley professor published a report on global fire risks on June 12, just before the massive fires in Colorado ignited.

"In the long run, we found what most fear -- increasing fire activity across large parts of the planet," he said.

Moritz's study concluded that some areas of the world, including the western United States, "should brace themselves for more fire."

4 die fighting Western fire

Nationally, wildfires have scorched about 2.2 million acres this year. That's less than half the number in July of last year.

But the gap has been closing rapidly over the last few days, said Ken Frederick, spokesman for the National Interagency Fire Center. He said the United States was on pace to match or go beyond last year's acreage.

In some parts of the country, like Colorado, this year is far worse.

"Certainly for a number of people in communities, 2012 is a terrible year," Frederick said. "I don't want to take anything away from that."

Weather conditions played a big role, Frederick said.

Snowfall was below average in many Western states and dry conditions helped fuel this year's fires.

"The winter of 2011-2012 really dealt the cards," Frederick said.

The frequency and length of the fire season for forest fires has increased substantially due to higher temperatures and earlier spring snowmelt, found a 2009 report by the U.S. Global Change Research Program.

"These changes in climate have reduced the availability of moisture, drying out the vegetation that provides the fuel for fires," the report said.

Climate changes have also contributed to major insect outbreaks, the report said,.

About 1.5 million acres in Colorado have been infested by pine beetles, which kill trees and make them fodder for fire.

"I imagine that this is just the opening salvos of what we're going to see this summer, especially if the temperatures stay up," said Michael Archer, who writes a newsletter of wildfire news.

Moritz listed several factors in what makes wildfires wilder.

How fast is the fuel for the fire growing? How flammable can that fuel get? What is going to ignite the fire?

While weather is a key contributor, there's debate over whether Western states are victims of climate change.

Moritz said the record temperatures and lack of humidity are characteristics of climate change -- hallmarks of what weather models predict we should expect under climate change.

Record heat, storms bring despair, 'horror'

"But to say it is climate change? I think most of us are cautious about saying that," he said.

Some experts blame bad forest management. Others like Archer say firefighting resources are inadequate. Still others say people are affected due to building in fire-prone areas.

Moritz says it's probably all of the above. The problem is just complex enough, he said, to lead to misinterpretations.

He said the conversation should focus instead on how people can better coexist with fire as they do with other hazards.

Americans build in extra precautions for houses in flood plains or on earthquake faults; why not do the same for houses in fire-prone areas, Moritz said.

"This is a really big wake-up call, a very big warning in all the losses we are seeing," Moritz said of this year's fires.

That warning was particularly stern Tuesday as millions of Americans prepared for the Fourth of July. For many in Western states, the fires will force different sorts of celebrations.

"Everybody is kind of worried," Archer said. "They've seen 32,000 people evacuated. You're going to see a lot of nervous people in the West."

No grilling or sparklers. And no fireworks bursting in air.

As temperatures sizzle, fireworks are even more risky

Triple-digit strategies for staying healthy

More than 1.2 million customers lack power amid unrelenting heat

@highlight

A recent study finds increasing fire activities across the planet

@highlight

Fire-plagued Western states should brace for more in the future, the study says

@highlight

Weather is a big factor, though a combination of factors can also be cited

@highlight

Building in fire-prone areas should be an exercise in caution, one expert says