(CNN) -- Once upon a time, people thought that swarming creatures such as fish, bees and locusts communicated their movements by "thought transference," or telepathy.

Thanks in part to the work of Princeton ecologist Iain Couzin, now we know better. Couzin's lab is using computer-vision technology and even the Xbox's motion-sensing camera, called Kinect, to try to get a grip on how these creatures maintain their individually but also function so gracefully as a collective.

"Computer vision has been very important to us. This is where you program a computer to see the world for us," he said in an interview last year at PopTech, a science, technology and big-ideas conference held in Camden, Maine.

Among the lab's most surprising discoveries: Locusts in the western Sahara Desert swarm because they're trying to not to be eaten by their cannibalistic buddies.

"We just discovered by accident that the locusts were trying to eat each other," he said. "So when it looks like a cooperative swarm, in actual fact it's a selfish, sort of cannibalistic horde. Everyone is trying to eat everyone else and trying to avoid being eaten."

Using tools like Kinect, Couzin's team is able to collect a much more detailed data set about how various organisms behave, which in turn makes it easier to figure out what they're doing and why.

What's Next: In Mauritania, sunny with a chance of locusts

All this may be interesting enough in the abstract (Couzin said he's been fascinated by swarming organisms since he was a young boy). But it's also a matter of life and death.

Locust swarms are blamed for countless deaths in West African countries including Mauritania, which Couzin visited to conduct some of his research. The swarms buzz across the desert, chewing up all of the crops and vegetation in their paths.

On Tuesday, the UN's Food and Agriculture Organization said in a news release that locust swarms were threatening pastures and crops in Niger and Mali.

Research about how and why the locusts swarm could lead scientists to be able to forecast locust swarms just like they would a weather event such as a tornado or hurricane.

"Why this is important is that we can now build better predictive models and computational models of where swarms may break out," Couzin said. "So that could be very helpful for control measures."

Genetically modified mosquitoes fight dengue fever

@highlight

Researcher uses Xbox and computer vision to study swarming behavior

@highlight

Princeton researcher Iain Couzin long has been fascinated with collective behavior

@highlight

He studies, among other things, why locusts swarm in West Africa

@highlight

The UN's agriculture group says swarms are impacting Mali and Niger