Beijing (CNN) -- After walking several blocks through New York's busy streets recently, I finally found Wang Juntao in the middle of Times Square, where the exiled Chinese dissident was holding a sit-down protest.

Wearing a grey suit and yellow tie, Wang sits in a makeshift cage to dramatize the imprisonment of Wang Bingzhang, a fellow pro-democracy activist who has been imprisoned in China for the past 11 years.

Occasionally, tourists come by to read the posters on display, which explain the plight of Wang in English and Chinese, before they walk away. Close by, a bank of giant video screens flash advertisements for a range of consumer products and, by coincidence, for Xinhua, China's state-controlled news agency.

Wang's hairline is receding and his waistline has expanded, but he remains the quick-witted rabble-rouser I remember from our days as students at Peking University in China.

"Armed uprisings aside, I've done all kinds on anti-establishment projects in a Communist society," he says, talking at full throttle. "And I did very well. Now I am looking forward to resuming it."

I remember Wang as a "Wunderkind" who enrolled at a relatively young age as a nuclear physics student, even though his passion was in politics and the liberal arts.

But in 1989, he was imprisoned for over four years for his role as one of the "Black Hands," the term Chinese state media used for demonstration organizers, in the Tiananmen protests. He was eventually released on medical grounds in 1994 and found his way to the United States, where he enrolled at Harvard and Columbia, earning a Ph.D in political science in the process.

Now 53, Wang lives in New Jersey and is co-chairman of the China Democratic Party, which campaigns for change in his homeland.

China's Harvard

Beida alumni like Wang are fiercely proud -- some say chauvinistic -- of the school's free-spirit tradition and its reputation as "China's Harvard." "'Conquer or die', that's one of Beida's spirit," Wang recalls. "We care more about thinking or ideology than political achievements."

Peking University, known in Chinese simply as Beida from the first syllables of its Chinese name Beijing Daxue, was founded 114 years ago as a training ground for China's intellectual leaders. Over the years, the university has been a bulwark of intellectual pursuit, academic freedom and patriotism.

In 1919, Beida students led street demonstrations in Beijing, known then as Peking, condemning Confucian traditions and values, as well as the foreign domination of their country. Years later, many became leaders of the so-called Red Guard -- a movement of young revolutionaries who swore allegiance to Mao Zedong -- during the convulsive Cultural Revolution (1966-76), while others became the shock troops of the 1989 Tiananmen protests, organizing discussion groups, street demonstrations and hunger strikes.

Crème de la crème

When I enrolled at Beida in the fall of 1977, the university was steeped in the political ferment that followed Chairman Mao's death and the start of Deng Xiaoping's reforms.

My classmates, many of whom had worked on farms or in factories during the Cultural Revolution, were viewed by many as China's crème de la crème. They belonged to the storied "Class of '77" who passed the first college entrance exams held after the Cultural Revolution.

During the four years I spent at Beida, I met many other fascinating fellow students who went on to become important players in China's divisive political scene.

Among them was Bo Xilai, once one of the most powerful politicians in China, now disgraced and sentenced to life in prison for corruption and abuse of power.

Bo majored in world history, while I studied Chinese history. Among my classmates, Bo stood out as a charismatic and gregarious one. He was not shy in striking up conversations with foreign students like me to practice English and chat about current affairs.

A princeling -- his father Bo Yibo was a revered revolutionary veteran -- Bo seemed destined for a sterling political career, but in college he seemed more intent on pursuing a career as a foreign correspondent for China's state media. After two years in Beida, he moved to the Chinese Academy of Social Sciences and enrolled in a master's program in journalism.

Years later, however, Bo did venture into politics, serving as a city mayor, provincial governor, minister of commerce and then a member of the powerful politburo of the Communist Party. Last year his political career crashed after his wife Gu Kailai was arrested and convicted for the murder of British businessman Neil Heywood.

In September, Bo himself was convicted to life in prison for corruption and abuse of power. He is appealing his conviction but analysts say his political career is now over.

Interestingly, Wang does not think Bo is finished just yet. "When Bo was arrested last year, I had said that Bo's political career had just begun. The Communist Party may have ended his political career within the party, but it has given him his political identity and charisma as a Leftist, and in a way has made him a martyr."

During his time as party chief in Chongqing -- China's biggest metropolis -- Bo's red-tinged economic policies, which included millions spent on social housing, garnered him rock star status among ordinary people increasingly frustrated by the growing wealth divide.

But his populist stance and high-profile personal style did not go down well with others in the party, particularly the economically liberal and reform-oriented faction, who would not have lamented his dramatic fall from grace.

"Perhaps Bo will be our biggest opponent in the future," adds Wang mischievously.

Rise to the top

Another Beida contemporary, Li Keqiang, has fared better.

Li, who studied law and later earned a Ph.D. in Economics at Beida, is now one of the two most powerful leaders in China. Last November, he was catapulted into the top tier of the Communist Party during the party's once-in-a-decade leadership transition before being installed as China's premier in March.

"He gave me a good impression then and even now," Wang tells me as he takes a break from his Times Square protest. "He exuded the spirit of Beida -- vigorous, who prevailed with reason, virtue and performance rather than race, nationality and bloodline."

But Wang thinks Li has a dual character. "On the one hand, Li is keen, diligent, eloquent and open-minded, not arrogant. On the other, he is savvy, a good listener and a sharp observer of different opinions from different sides, but he never crosses the forbidden zones."

After college, Li avoided political activism and dissent, or studying overseas, as many of his contemporaries chose to do. Instead, he opted to climb the ladder of the Communist Youth League -- a training ground for communist leaders -- where he became the protégé of the former President Hu Jintao. Analysts say Li is a virtual political clone of Hu.

Looking back at the colorful careers of these three Beida contemporaries -- Bo on the Left, Wang on the Right and Li in the Center -- I am reminded of how our alma mater is so closely linked with China's recent history and politics.

@highlight

Wang Juntao, Bo Xilai, Li Keqiang were all students at Peking University in the 1970s

@highlight

Wang is now an exiled dissident, Bo is in prison, while Li is China's premier

@highlight

Peking University, known in Chinese as Beida, founded as training ground for China's intellectuals