(CNN)If the management and the captain of the sunken tall ship HMS Bounty had "exercised the proper responsibility, judgment and prudence," the deaths of two people would have been prevented, according to a U.S. Coast Guard investigation report released Thursday.

Nineteen months after the Bounty sank in Hurricane Sandy off North Carolina, and more than a year after investigative hearings, the Coast Guard issued a wide range of recommendations in the disaster that killed rookie deckhand Claudene Christian and left Capt. Robin Walbridge missing and presumed dead. Fourteen crew members survived.

Before it sank roughly 100 miles off Hatteras, the Bounty was arguably the most famous three-masted wooden square rigger in the world.

The Coast Guard investigation asked life-and-death questions about proper ship maintenance, the crew's experience and the captain's decision to sail from Connecticut to Florida as Sandy pointed toward the East Coast.

The report could determine who, if anyone, might lose maritime licenses as a result of the disaster. During the investigation, officials said the report's findings could be forwarded to prosecutors who would determine whether to file criminal charges.

A year after Bounty tragedy, survivors honor victims

The "most critical" cause of the sinking, the report said, was the "failure of the Bounty's management and [captain] to exercise effective oversight and risk management in the overall operation of the Bounty and specifically with undertaking its final voyage in the face of an impending hurricane."

The "leading cause that contributed to the loss" of Walbridge and to Christian's death was the captain's "decision to order the crew to abandon the ship much too late," the report said.

"It was just so hard," said Bounty survivor Jessica Hewitt, describing her feelings as the report was made public. "It was hard thinking about Robin and Claudene." Hewitt, a deckhand on the Bounty, nearly drowned after Sandy's winds and waves tossed her and fellow sailors into the Atlantic.

The decision to abandon ship so late after hurricane conditions worsened and the "fact that the crew had not drilled in months," led the report to determine that the captain's "actions/and or inactions in this regard constitutes negligence."

Hewitt said she agrees with the report's conclusion that Walbridge waited too long to give the order to abandon ship. "But at the same time I can't even put myself in his shoes when it comes to making that call in a hurricane," she said. Since the disaster Hewitt has been struggling to overcome repeated nightmares and deep-seated fears linked to the Bounty, while working on an oil rig supply ship in the Gulf of Mexico.

The ships' owner -- HMS Bounty Organization LLC, according to the report, "committed acts of negligence that contributed to" Christian's death and the presumed death of Walbridge.

Fatigue played a contributing factor in the disaster, the report said. The "crew was suffering from fatigue which was born out of lack of sleep, being sea sick, and from the physical exertion of fighting to save the vessel while in extreme weather conditions for over 24 hours."

The Bounty operated as a recreational vessel under "less stringent safety standards," the report said. It recommended that the Coast Guard "examine if legislative, regulatory or policy changes are needed."

"Inspections should be thorough and should take a long time," Hewitt said. "I would be in favor of a higher level of training when you're making passages." But Hewitt remains protective of ships like the Bounty that serve as training vessels for inexperienced sailors such as Christian.

"You've got to keep that going," Hewitt said. The Coast Guard handled its investigation in a way that was both thorough and respectful of the crew, she said.

Read the full report

The Bounty was a movie star, a re-creation of the infamous 18th-century British navy vessel of the same name, constructed by a Canadian shipbuilder for the 1962 MGM film "Mutiny on the Bounty," starring Marlon Brando and Trevor Howard.

Claudene Christian, who was 42, had said she was a descendant of the original Bounty's lead mutineer, Fletcher Christian.

More recently, the Bounty had appeared in Disney's "Pirates of the Caribbean" movie franchise. But the Bounty was never designed to sail the sea for 50 years. And the aging vessel had maintenance issues that would be expected of a half-century old, 180-foot-long ship made of oak and Douglas fir.

Did the crew have enough experience?

Questioning during the Coast Guard hearing frequently centered around the crew's experience. The Bounty was Claudene Christian's first job on a sailing vessel. In fact, 10 of Bounty's 15 crew members had been aboard for less than a year, including two who'd joined less than a month before its last voyage. Christian had been hired just five months before.

Life and death on the HMS Bounty

Her family remains in settlement talks in the wake of a $90 million civil lawsuit the Christians filed against the ship's owner, the New York-based HMS Bounty Organization, headed by Robert Hansen. Hansen declined to testify at the Coast Guard hearings, evoking his Fifth Amendment constitutional rights against incriminating himself. Hansen has repeatedly declined CNN requests for interviews, although he has said more than once he intended to tell his side of the story, eventually.

On Thursday, in an e-mail to CNN, Hansen wrote, "I cannot comment while there is pending litigation."

An attorney for Christian's family, Ralph Mellusi, said the report will help push his case toward a final resolution.

The investigation also focused on Walbridge's decision to sail despite knowing that Hurricane Sandy was threatening to move up the East Coast.

Walbridge set sail for St. Petersburg, Florida, from New London, Connecticut. Crew members testified that Walbridge's plan was to stay east of the storm as it moved up the coast. But two days into the voyage, the captain diverted from his plan and ordered a course change.

Crew members testified that Walbridge wanted to pilot the ship northwest of Sandy to harness its winds. Turning more westerly, the boat crossed the path of the oncoming hurricane.

The weather worsened. The Bounty found itself in big trouble. Seawater leaking into the ship knocked out power to water pumps and engines, leaving the Bounty adrift while being battered by the raging storm.

Wind gusts above 100 mph and waves as high as 30 feet flipped Bounty on its side, tossing everyone into the predawn Atlantic. While the crew tried to keep their heads above the towering waves, the wind slammed the ship's mast and rigging on top of them. Getting tangled in underwater rigging nearly drowned some crew members, who were barely able to free themselves and swim to the ship's lifeboats.

Hours later, Coast Guard rescuers were able to save 14 crew members. Christian was pulled from the water. She was unresponsive and couldn't be revived. As for the captain, Walbridge's body was never found.

Shortly after Hewitt got word that the investigation report was available, she took a moment to try to read it. "I started to cry," she said. "And I said, 'I can't do this.'" Hewitt said the release of the report has brought her emotional state back to 2012, during the painful hours immediately following the crew's rescue. Officials were asking her questions. "I was sitting in a room and looking out the window and I remember the weather was really crappy outside and I'm thinking, 'Oh that's right, this nightmare is still going on. I'm being asked to tell this story.'"

For some reason, Hewitt still remembers that her hair was still wet that day, as she sat in that room.

"Now, with the report coming out, I kind of feel like my hair is still wet," she said. "You know what I mean?"

'We chase hurricanes'

During the 2013 investigative hearings, Coast Guard and National Transportation Safety Board officials asked surviving crew members whether Walbridge believed it was acceptable to intentionally sail near hurricanes. As evidence, the Coast Guard introduced a YouTube video of Walbridge where he says, "We chase hurricanes." In the video, Walbridge explained how to "get a good ride" out of a hurricane by sailing "as close to the eye of it as you can" and staying behind the storm in its southeast quadrant.

Without a doubt, the captain's harshest critic at the hearing was Jan Miles, one of the world's most respected tall-ship pilots and a self-described friend of Walbridge. Captain of the Pride of Baltimore II, Miles summed up Walbridge's actions in four words: "reckless in the extreme."

The Coast Guard's report follows final conclutions released in February by the National Transportation Safety Board. The NTSB determined the Bounty tragedy was largely caused by Walbridge's "reckless decision to sail ... into the well-forecast path of Hurricane Sandy."

NTSB says captain shares blame for Bounty disaster

Questions at the hearing pointed to the ship's maintenance record.

Extensive repairs had been made to the Bounty twice in the past decade, and some work had been done weeks before it sailed, according to crew testimony.

Rot infested 18-foot wooden planks on Bounty's forward right and left sides. Workers replaced them and caulked cracks and gaps in the ship's hull below the waterline.

Walbridge was warned by the shipyard that some of the boat's frames -- its ribs -- also contained rot, multiple witnesses testified. The shipyard manager testified that the captain said he'd do the repairs later. But not before he chose to sail toward Hurricane Sandy.

The way Bounty was licensed, it wasn't subject to the toughest Coast Guard inspections or mandatory repairs. The owners chose to license the ship as an uninspected passenger vessel, a classification described by experts at the hearing as a "regulatory no man's land."

The status allowed the Bounty to avoid requirements reserved for higher classified ships -- including a sometimes expensive, time-consuming Coast Guard hull inspection every two years. The ship's classification also allowed it to hire less experienced crew to serve in officer positions.

The ship made its money by charging admission for shipboard tours at dockside. Under the regulations, the Bounty required only a simple, brief Coast Guard inspection that checked for obvious safety issues such as major leaks or malfunctioning emergency equipment. The Bounty passed one of these about two months before the disaster.

No safety inspections were required for the ship to go to sea because the Bounty carried no passengers.

@highlight

Release of report dredges up dark memories for Bounty shipwreck survivor

@highlight

Coast Guard: Management and captain failed to exercise "proper responsibility, judgment"

@highlight

The half-century old, 180-foot wooden sailing ship sank in 2012 in Hurricane Sandy

@highlight

An inexperienced deckhand died and the captain's body was never found; 14 crew survived