(CNN) -- It can happen to anybody -- forgetting your glasses are on the top of your head, or not remembering a loved one's birthday after celebrating it for decades. Most of us simply laugh off these short memory lapses.

But for a former professional football player, memory lapses can be a scary thing. They can be a sign of chronic traumatic encephalopathy, or CTE, a disease that has been found in the brains of many athletes who suffered repeated hits to the head during their career.

Quarterback Brett Favre played 321 straight games in the National Football League before retiring. He recently told Sports Talk 570 in Washington that he can't remember his daughter participating in youth soccer one summer, even though she played several games. That, and other memory lapses, have worried him.

"For the first time in 44 years, that put a little fear in me," he said. "God only knows the toll."

Favre discusses impact concussions have had on his life

The only way to diagnose CTE is after death -- by analyzing brain tissue and finding microscopic clumps of an abnormal protein called tau. Tau has been found in the brains of dozens of former NFL players, including Junior Seau, Dave Duerson, Terry Long and Shane Dronett, who all committed suicide. It was also found in the brain of Mike Webster, who died in 2002.

Scientists are working to identify some common symptoms of the brain disease in living players. Experts say athletes with CTE often struggle with memory and decision-making. Some exhibit mood and behavior problems such as depression and hopelessness, or violent, explosive behavior. A few show no symptoms at all.

"There is no specific order of changes in CTE; it's on a case-by-case basis," Robert Stern, co-founder of the Center for the Study of Traumatic Encephalopathy, told CNN. "It could be that some people have more initial changes to (brain) areas that are more responsible for mood and aggression and impulse control."

In August, thousands of former football players and their families reached a settlement with the NFL in a lawsuit that put concussions, and their impact on the brain, under the microscope.

The deal called for the NFL to pay $765 million to fund medical exams, concussion-related compensation, medical research for retired NFL players and their families, and litigation expenses, according to a court document filed in U.S. District Court in Philadelphia.

"My hope is that any players or ex-players that are suffering, or begin to suffer, from symptoms of dementia, will be taken care of in a respectable manner through this settlement," said Chris Dronett, one of the plaintiffs, whose husband Shane Dronett committed suicide in 2009 at age 38. Scientists found evidence of CTE in Shane's brain after his death.

At the heart of the lawsuit was plaintiffs' allegations that the NFL led a deliberate misinformation campaign -- primarily through its Mild Traumatic Brain Injury Committee -- to deny scientific data being presented in the medical community about concussion risks.

The suit alleged that misinformation, which included studies by the committee suggesting no correlation between concussions and long-term brain damage, trickled down to players so that they did not realize the true risks they were taking while playing.

The NFL didn't comment about the settlement, but a league spokesman previously said, "Any allegation that the league sought to mislead players has no merit ... and stands in contrast to actions it took to better protect players."

In recent years, the NFL has attempted to strengthen rules that govern player conduct on the field and added sideline medical staff -- unaffiliated with the teams -- in an effort to evaluate more independently injured players.

What is most important, said Jamal Anderson, a former player and plaintiff, "is to bring attention to the plight of thousands of players and the importance of taking concussion and head trauma seriously."

Concussions result from blows to the head, such as when a player collides with another.

"In a football game, when someone takes a hard hit, the helmet does a pretty good job of protecting the skull from getting a skull fracture," Dr. Sanjay Gupta, a neurosurgeon and CNN's chief medical correspondent, told Bleacher Report. "But what is really happening when someone is running down the field and ... they get hit -- the brain keeps moving inside the skull."

It's not so much the hit, although that's important, but the sudden acceleration and deceleration of the brain that causes the concussion, Gupta said.

Confusion, nausea, headache and loss of consciousness are some of the immediate symptoms of concussions, but they can also have longer-lasting effects. Severe impacts to the head can lead to bleeding or permanent nerve damage. Research suggests repeated concussions can lead to CTE.

High schools tackle football concussions

CNN's Elizabeth Landau, Nadia Kounang and Bleacher Report's Mike Chiari contributed to this story.

@highlight

Quarterback Brett Favre says memory lapses have worried him

@highlight

Lapses could be a sign of CTE, a brain disease that can only be diagnosed after death

@highlight

CTE was at the center of a recent settlement between NFL and thousands of players