(CNN) -- Jeff Jones started shopping for health insurance as soon as the Obamacare insurance marketplaces opened on October 1.

The Kentucky resident is like a lot LGBT citizens who have not had access to affordable health insurance in the past. If Jones, 47, had been able to legally marry, he would have immediately been eligible for coverage under his partner, Nathan Walker's, policy. Walker has domestic partnership benefits at work, but the couple haven't lived together long enough to qualify for them.

"I'm a diabetic, so I do want to make sure I'm covered," Jones said.

Jones says he isn't the only person he knows in Lexington's LGBT community shopping for health insurance. Many have turned to Jones, who used to work in public health, for casual advice.

"A lot of what I've found with these exchanges is confusing, and I've got a Ph.D. -- and experience with insurance," Jones said. "There are many individuals who don't have a lot of education, and these terms are completely new to them. It's daunting."

Obamacare navigators help patients sign up for health

As a whole the LGBT community has less experience with insurance than the general population. A survey done by the Center for American Progress found that about a third of respondents were uninsured. It's estimated some 16.3% of the general population is uninsured.

In honor of National Coming Out Day on Friday, Out2Enroll's "Be Out. Be Healthy. Get Covered" campaign has launched a new LGBT-friendly website with advice about how to navigate the insurance marketplace. Kellan Baker, who heads the program, did focus groups and surveys with several hundred LGBT people and heard serious concerns about the current health care system.

"We've heard from people that health care is fundamental," Baker said. "Yet we wanted to make sure we weren't steering the community to something that wouldn't work for them. We wanted to make sure the policies in place will be inclusive of the community."

While the community is not monolithic, it does struggle with some particular health challenges that become much more deadly if a lack of health insurance keeps them from regular checkups.

For instance, studies show lesbians are less likely than other women to get routine screenings that could detect cervical and breast cancer. A woman's chances of surviving go up significantly if the cancers are caught early.

Men who have sex with men -- the clinical term for gay men -- account for 63% of the estimated new HIV infections in 2010, according to the CDC. Regular HIV testing could help stop the spread of the virus.

In light of this challenge, the Obama administration called a meeting of LGBT leaders in mid-September. Nearly 200 from across the country met with the White House to talk about the potential impact of Obamacare. It also looked at what LGBT leaders could do to spread the word.

"The purpose of this briefing was to equip community leaders with the tools, information and resources they need to get involved and help local LGBT communities get access to quality, affordable health care," Health and Human Services Secretary Kathleen Sebelius said. Obamacare "is not about politics. It's about dignity."

Young and healthy needed to make Obamacare mandate

Out2Enroll worked with the administration to make sure the Obamacare law is completely LGBT inclusive.

In years past, insurance companies were not required to allow coverage of domestic partners. Now marketplaces will offer policies that are inclusive and domestic partnership benefits will be clearly spelled out.

The law also prevents insurance companies from turning someone away because of their sexual orientation or gender identity. In Out2Enroll's focus groups they heard horror stories about companies turning applicants away because they didn't want to cover gay or transgender people.

Before the Affordable Care Act, people with pre-existing conditions often couldn't get coverage. Now people with illnesses that involve ongoing treatment like HIV or with a chronic illness like Jones' diabetes will be able to get access to health insurance.

Finally there will be no lifetime caps on coverage, which is particularly important to those who require constant checkups and who take medicine for chronic conditions.

Obamacare open enrollment: Everything you need to know

Preventative care like counseling for obesity, drug treatment, smoking cessation programs and mental health are mandatory for insurance companies to cover under Obamacare. All could help the LGBT community. Studies show lesbians and bisexual women have a higher rate of stress, smoking and obesity than the general population. They're also at risk for heart disease, the No. 1 cause of death for women. Gay men also have a high rate of stress, smoking and substance abuse, studies show.

Now with the marketplaces open, LGBT groups across the country are doing their bit to spread the word. Many have received grants and special training to help with this process.

Open enrollment for the Obamacare insurance marketplaces runs through March 31. But to get covered by January 1 -- the deadline for everyone in the country to have insurance -- you must pay for a policy by December 15. People with lower incomes will get subsidies or tax breaks to buy them if they shop through the Obamacare marketplaces. In some states they may also qualify for Medicaid, which some chose to expand.

Sean Cahill, director of health policy research at the Fenway Health Institute in Boston that focuses on LGBT health, says it will continue to spread the word about the Obamacare marketplaces.

"There are barriers that will finally be done away with in January; it's a great thing," Cahill said. "We really want to take advantage of the Affordable Care Act and get the number of insured up and get our access to care numbers up, or at least on par with what the straight community experiences. There are so many opportunities here."

Doctor shortage, increased demand could crash health care

Unemployed since June, Jeff Jones is covered by COBRA insurance, but it comes with a steep price tag of a couple hundred dollars a month.

"I'm starting to realize just how good my policy was through work," Jones said. "I used to only pay $26 a month, now next to my mortgage this is the biggest bill I have."

Jones says he will continue shopping around for the policy that will work best for him. He said the system crashed a couple of times when he was looking at it, but the navigators he called were nice. They, too, struggled to help, since their computers also kept crashing. Jones says he is undeterred.

"I'm pretty optimistic it will work," Jones said. "And I will feel better knowing that I'm covered."

@highlight

Number of LGBT people without insurance is disproportionate to the general population

@highlight

About a third of LGBT survey respondents were uninsured

@highlight

LGBT groups are helping people enroll in the insurance marketplaces