(CNN) -- In the latest round of fighting between Israelis and the Palestinian militants of Hamas in Gaza, one key player looms like an ominous, lengthening shadow: Iran.

Never far from sight or mind, the standoff between Iran and the West over Iran's nuclear program serves as the backdrop to the fighting. It frames Israeli tactics and strategy and influences the international diplomatic response. Iran and its nuclear program also play a powerful psychological role, as observers and participants ponder the parallels between the latest Israel-Hamas conflict and a possible war in which Iran would stand against the U.S. or Israel, and perhaps other NATO allies.

Cease-fire reached in Gaza conflict

Little wonder then that Israel has received strong support from U.S. President Barack Obama -- who has repeatedly stated, "We are fully supportive of Israel's right to defend itself from missiles raining on people's homes" -- as well as from nations including the UK, Germany, Canada, Australia, the Netherlands and others.

When Israelis see a rocket launched from Gaza, the thought that one day that rocket could carry nuclear materials burns hot in their mind.

Opinion: Israel, engage Abbas now

And when they see their Iron Dome defensive missile shield -- the extraordinarily successful new technology -- shoot down a missile, it gives them, and perhaps NATO, a sense of reassurance about how a clash with Iran might unfold.

Tehran has long armed Israel's most determined enemies. Israelis worry that Iran could hand nuclear materials to groups committed to Israel's destruction, a prospect many see as more realistic than a direct nuclear attack from Iran.

Israel's attacks in Gaza are aimed at stopping the rockets and mortar attacks that have gone on for years and have intensified greatly in recent weeks. Israel complained to the U.N. But Israel also wanted to deplete a Hamas arsenal it sees as part of Iran's preparations in case of war with Israel.

Israeli officials say the missiles launched by Hamas and Islamic Jihad into Israel's two largest cities, Jerusalem and Tel Aviv, are Iran's rockets, which Israelis believe were shipped by Iran in separate pieces like a doomsday Ikea package. They were sent by sea to Sudan and then moved through Egypt and into tunnels to Gaza, where they were assembled for firing at Israel with the help of Iranian operatives on the ground in Gaza. Iran and Sudan have denied that such a smuggling operation exists.

Iran has threatened to unleash attacks against Israel and "wipe it off the face of the Earth," in case of a hit on its nuclear installations. Those attacks could come from Gaza and from Iran's Lebanese ally, Hezbollah.

Perhaps not coincidentally, in late October Israeli fighter jets are believed to have bombed an arms factory in Sudan. The Times of London said the facility made missiles for Hamas and was operated by Iranian Revolutionary Guards. Some analysts have speculated that the Israeli attacks against Gaza constitute the second part of the Sudan operation, in which Israel set out to destroy Iran's most dangerous weapons arrayed in Gaza just meters from Israeli civilian populations and being launched with increasing brazenness by Hamas and Islamic Jihad.

Opinion: How this could be the last Gaza war

The latest fighting brings to the forefront one of the pivotal questions posed by the revolutions that swept across the Arab Middle East in the past two years: Where would key Arab and Muslim players stand in case of a confrontation between Iran and the West, particularly if Israel and the Palestinians became one of the epicenters of fighting?

European governments that defended Israel's right to fight back against rocket attacks also urged restraint, fearing an unraveling of a highly unstable Middle East, where alliances are shifting and agendas are difficult to ascertain. One of the great uncertainties of the latest conflict has been how Arab countries where the political ground has shifted -- particularly Egypt -- would react.

So far, it appears that the rhetoric has changed somewhat. Arab leaders and their populations support the Palestinians, but they have other priorities at home.

In case of a war with Iran, however, specifically one involving Israel, what would Turkey, a NATO member but withering critic of Israel, do? What could the West expect from Egypt, with its president's Muslim Brotherhood ties? What about Qatar, a strong backer of Hamas but an important U.S. friend in the region?

The political transformations brought by the Arab uprisings also shattered some of Hamas' alliances, particularly the one with Syrian President Bashar al-Assad, Iran's best friend and until recently Hamas' own warmly hospitable host. Damascus provided Hamas' home away from home, the base of its exiled politburo leaders.

When the carnage in Syria spun out of control, Hamas broke with al-Assad and its leaders left, but the group maintained its links with Tehran.

Hamas Prime Minister Ismail Haniya traveled to Iran earlier this year, reaffirming ties with the Islamic Republic.

And although Hamas and Iran stand on opposite sides of Islam's Sunni-Shia divide, they share fundamental goals. Tehran's leaders unambiguously call for an end to Israel. Hamas has even more explicit goals on the issue. Its charter, which has never been revoked or amended, opposes any negotiations with Israel and declares "Israel will exist ... until Islam will obliterate it." The charter also quotes an ancient Islamic scripture about the promise of redemption, saying it will come after "killing the Jews."

While Hamas leader Khaled Meshaal has made some conciliatory statements, suggesting a temporary accommodation with Israel might be possible, he has announced plans to retire, and hardliners led by Haniya are gaining the upper hand in a power struggle within Hamas.

It's not much of a stretch to say Hamas and Iran share the same objectives regarding Israel and the desirability of a future without it.

Opinion: Israel, face new reality

The fighting between Israel and Gaza falls tragically on the people who live there. But, like much that goes on in the Middle East, it has much larger geopolitical implications, casting shadows across the world and buffeted by forces beyond the immediate site of the fighting.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: In the latest Israel-Hamas conflict, Iran is a key player

@highlight

Ghitis: Iran's nuclear program serves as powerful psychological backdrop

@highlight

She says Israelis are worried since Tehran has long armed Israel's enemies

@highlight

Ghitis: The fighting has much larger geopolitical implications for the Middle East