(CNN) -- Felix Baumgartner made headlines around the world when he fell 24 miles from near-space to a desert in Roswell, New Mexico, and lived to tell the tale.

The jump put Baumgartner in the record books and spelled publicity for the sponsor, Red Bull, a caffeinated sugar-y drink building a reputation for risk and adventure.

Now that the stunt is over, does it mean something to the rest of us? Baumgartner risked death. Why? Was it worth it?

Something in the human character must yearn to break into the record books. Baumgartner did set a record for supersonic travel by a human, 65 years after Chuck Yeager exceeded the speed of sound in an experimental plane. One used a rocket engine, the other used gravity; both went pretty fast.

But Yeager was testing experimental planes at higher and higher altitudes and speeds, one of the steps toward getting into space. He might have done it for the thrill but there was clearly a higher purpose, namely, the development of flight technologies.

The Red Bull extravaganza, said several involved with the project, would be useful for developing new and better space suits. My guess is that tests in a wind tunnel or a freezer would suffice, and neither would require risking a life.

The tech behind the Stratos jump

Or, astronauts could test suits outside the International Space Station, which is moving roughly 10 times faster than Baumgartner, in a much thinner atmosphere about 300 miles above the Earth, the real conditions that astronauts might face on a space walk.

So NASA (or Space X) probably doesn't need Red Bull, or Baumgartner, whose other work may have been more about research and development and less about testing human limits.

Opinion: The space adventure you can't miss

NASA astronauts have always risked their lives. They have to like the thrill, too, but they are motivated by the mission. After the Columbia accident in 2003, NASA limited further space shuttle flights to the essential -- mostly carrying cargo to finish the International Space Station. Anything that wasn't vital to the nation was not, decided NASA, worth the risk.

That's why I remember the debate about repairing the Hubble Space Telescope one last time, to install two powerful new already-built instruments. I heard that the astronauts didn't hesitate for a minute to carry out this mission -- indeed, they argued to add it to the flight manifest. The Hubble science was too important.

So let's not confuse a daredevil with a scientist. Although some scientists take risks, it's always driven by what is necessary to get an answer to a scientific question. As computers become powerful enough to simulate physical reality, even those risks diminish. Probably computers can help us understand things like, for example, how to make a better space suit.

As one commentator noted, the Red Bull event was closer to PT Barnum than Albert Einstein or Marie Curie.

The Curies did risk their lives, as it turned out. Radiation was more dangerous than they understood, and both suffered from its effects (although Pierre Curie died in a traffic accident). But their advancement of physics -- as was ultimately recognized by Marie Curie's two Nobel prizes (in physics in 1903 and chemistry in 1911) -- helped usher in the modern age of quantum physics.

As a physics professor, my reaction to the record-breaking skydive was a bit different than most. I started thinking about my physics students.

Chuck Yeager retraces history in the sky, breaking the sound barrier -- again

Students of introductory physics can easily calculate Baumgartner's fall in the absence of air resistance. Starting at 128,000 feet, absent the braking due to friction with the air, he would have continued to accelerate all the way to the ground, reaching a final speed of 870 meters per second, or about 1950 mph. The fall would have lasted just 90 seconds.

Instead, air resistance slowed him to a reported terminal speed of 833 mph, and the fall lasted nine minutes. More importantly, the air meant he could deploy a parachute to slow his descent even more. Modeling air resistance is a bit more advanced, but it's still basic physics.

What else does physics tell us?

Baumgartner needed a pressurized suit because the atmosphere is very thin at such high altitudes, as well as very cold. If you've ever taken a long distance flight that shows the airplane's location and other data, you know that such planes fly at about 35,000 to 40,000 feet, which is about seven miles up, and temperatures are well below freezing. Add in the wind chill -- since falling through air is the equivalent of standing still in a wind -- and unprotected warm-blooded animals would freeze quickly.

Perhaps a bigger danger was that for the first 35 seconds, Baumgartner was tumbling out of control. Physicists would say he had "acquired some angular momentum" -- i.e., he was spinning. Did Baumgartner lean forward as he left the capsule, starting the rotation? In any case, by moving his arms or legs, he could change his orientation, increasing or decreasing his spin -- just as precision divers did in the London Olympics last summer.

For any jump with a somersault or twist, the diver would initiate a rotation as he leaves the board or platform. By then changing shapes (the technical term is "moment of inertia"), he can change the rate of spin. Students of introductory physics around the world are equipped to analyze this problem.

Watching the replay of Baumgartner's stunt on the news, I noticed a room full of technical experts supporting the balloon launch and human cannonball descent. These folks had to be well educated in science, technology, engineering and math -- skills essential to the nation's future.

Skydiving from 24 miles up is thrilling and cool -- but not essential. I'll put my money on the pocket-protector crowd back on the Earth. And hope that stunts don't crowd out genuine progress in science and engineering.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

Meg Urry: Felix Baumgartner risked death when he skydived, but was it worth it?

@highlight

Urry: Let's not confuse a daredevil with a scientist

@highlight

She says physics helped with the dive and tells us a lot about it, like the speed and spin

@highlight

Urry: The jump was thrilling, but stunts shouldn't crowd out genuine progress in science