For the first time, a patient in an American hospital has been diagnosed with Ebola.

The unidentified man, who is being treated at a Dallas hospital, didn't show symptoms until several days after he arrived in the United States from Liberia.

Officials are tight-lipped about how he contracted the virus or how he's being treated, citing privacy concerns.

But shortly after the news broke Tuesday evening, more than 50,000 tweets about Ebola flew through Twitter in a one-hour period, many of them panicked responses.

Should we be concerned?

The short answer: no.

Now let's get to the long answer.

Could the patient's fellow passengers be infected?

The patient being treated in Texas flew from one of the Ebola hot zones -- Liberia -- to Dallas.

But his fellow passengers aren't thought to be at risk because you can only contract Ebola through direct contact with the bodily fluids of someone who's actively sick with it.

It's not like a cold or the flu, which can be spread before symptoms show up. And it doesn't spread through the air.

"It's very unlikely that (Ebola victims) would be able to spread the disease to fellow passengers," said Stephan Monroe of the Centers for Disease Control and Prevention.

What's to stop other Ebola patients from getting on a flight and coming here?

The CDC has issued warnings to avoid nonessential travel to Liberia, Sierra Leone and Guinea, the countries hit the hardest by  the outbreak.

And it's also working with airport officials in those nations, and in Nigeria, so every person getting on a plane is screened for fever.

"And if they have a fever, they are pulled out of the line, assessed for Ebola and don't fly unless Ebola is ruled out," CDC Director Dr. Thomas Frieden said.

How do airport authorities know what to look for?

Those stricken with Ebola suffer ghastly symptoms -- including vomiting, diarrhea, muscle pain, fever and unexplained bleeding.

That's part of the reason why the odds of getting Ebola from plane passengers is very low, the International Air Transport Association said.

"It is highly unlikely that someone suffering such symptoms would feel well enough to travel."

What's being done when the planes land in the U.S.?

The United States isn't planning on banning flights coming from the hot zones in West Africa, White House spokesman Josh Earnest said in August.

But once flights land at a U.S. airport from one of those countries, passengers are screened again.

"And there are facilities available that if an individual is detected exhibiting these symptoms, that they can be quarantined and promptly evaluated by a medical professional," Earnest said.

Are those procedures being followed?

CNN Senior Medical Correspondent Elizabeth Cohen said when she and two colleagues recently returned from reporting in Liberia, they got a mixed bag of responses from Customs and Border Protection officers.

"We all said we were journalists who had just been in Liberia covering Ebola," Cohen said. "One of my colleagues was told, 'Oh, OK, welcome back home, sir' -- and (was) just let in -- that was it."

Cohen herself got a different response.

"I was told, 'Wait a minute, I think I got an email about this,' and the border patrol officer went and consulted with his colleagues," Cohen said.

That officer later told her she should check her system for 21 days.

"I said, 'What should I be checking?' And he wasn't sure," Cohen said.

The third colleague merely had his boots checked to see if there was mud on them.

"Three very different responses. They can't all be the way to do it," Cohen said. "I was surprised at how sort of chaotic it felt."

So, how did Dallas patient slip through?

The Ebola patient in Dallas didn't start showing symptoms until several days after he landed in the United States, Frieden said.

Isn't he putting others at risk?

The paramedics who took the patient to the hospital have been isolated, the chief of staff for Dallas Mayor Mike Rawlings told CNN. They have not shown symptoms of the disease so far.

The ambulance that carried the patient -- ambulance No. 37 -- was in use for two days after the transport but was properly decontaminated, said Dallas city spokeswoman Sana Syed.

Frieden said the patient himself had a handful of contacts with people after he fell ill and before he was isolated -- a period of about four days.

A CDC team arrived in Texas to investigate the people who came in contact with the man. Those people will be monitored for 21 days to see if they develop symptoms. If they do, they'll be isolated.

"It is certainly possible that someone who had contact with this individual could develop Ebola in the coming weeks," Frieden said. "But there is no doubt in my mind that we will stop it here."

How is this not concerning?

Although there's no vaccine and no cure, the one real advantage we have with Ebola is that doctors know how to control it.

Ebola isn't "some mystical pathogen (with) some bizarre mode of transmission," said Bruce Ribner, director of Emory University Hospital's Infectious Disease Unit.

And we have the resources to contain it.

How are we so confident?

For starters, the United States has the luxury of better health care compared to Liberia, Sierra Leone and Guinea.

The U.S. has facilities that can "do the kind of isolation that apparently is very difficult to do within the health care infrastructure in the African countries that we are talking about," said Dr. Anthony Fauci of the National Institutes of Health.

Secondly, remember Kent Brantly and Nancy Writebol? The doctor and the American missionary were infected in Liberia, brought to Atlanta's Emory University Hospital, placed in isolation units, treated and discharged.

They were the first humans with Ebola to ever arrive in the United States. And they are now fine.

@highlight

Unlike a cold or the flu, Ebola cannot be transmitted before symptoms show up

@highlight

CDC director: All passengers boarding from Ebola hotspots are screened for fever

@highlight

A man being treated for Ebola in Dallas had symptoms for about 4 days before he was isolated

@highlight

CDC team trying to find those who came in contact with him; will monitor them for symptoms