Do you see your little business idea growing into "the next Facebook?"

Every startup owner does, and there are thousands of them out there, competing for attention.

So how do you make sure your enterprise stands out? Here are the top tips from investors, venture capitalists and successful startup owners at Dublin's Web Summit.

1. Pick the right investor

If you are hoping to get funding for your e-commerce company, there is no point in pitching to investors interested only in educational apps. Yet wannabe entrepreneurs do it all the time. Look for the right people. "If you look at my Twitter, find me on LinkedIn and read my blog, you will immediately know what makes me excited," says Ciaran O'Leary, a partner in international venture capital firm Early Bird.

2. Tell a story

"Too many people come to us to speak about themselves or their little piece of technology," says Ekaterina Gianelli from venture capital company Inventure. "We like to hear about a problem and your solution to it. Tell us a story to remember."

3. Keep it short

You don't need hundreds of pages or PowerPoint slides to pitch your idea. Keep it brief and simple. "Some of the best ideas in the world can be described in one or two sentences," O'Leary says.

4. Present the whole package

Many startup owners think they can simply present their idea and big name investors will give them money. But the real world doesn't work like TV's "Shark Tank." Have an early prototype to hand and show the investors its potential. Make sure you have a clear vision and a realistic business plan.

"What investors want is a half-inflated balloon, which will inflate into something amazing if they invest their bucks in it," says Byron Smith, the owner of a startup Blue.

5. Be open

If something is not quite right in your books or the details of your product are a bit fishy, potential investors will find out, so don't try to hide stuff from them. "It's important to build openness and trust from the beginning," Gianelli says.

6. Learn from your mistakes

Knowing why an investor rejected you is crucial -- because it leads to success. "Every time someone says no, ask why," Smith says. He spoke to over 100 investors during the process that eventually led to his startup securing close to $1 million in funding.

7. Don't fool yourself

"It's nice to say that you have 50,000 users, but if only a handful are really using your product on daily basis, it's not great," Ekaterina said.

8. Go crazy

Don't be afraid to be passionate about your product. O'Leary says many top startup owners are "crazy, passionate maniacs." Determination to succeed is key, because starting a business is high-risk. "You can sense a real entrepreneur. They are quite stubborn, nothing will stop them," he says.

9. Nobody likes arrogance

But don't overdo the self-confidence. If a potential investor points out a weakness in your plan, don't get defensive. "Too many people come to us with 'we know how to do it' attitude," says Timo Tirkkonen, a partner in Inventure. The first step to improvement is accepting there is a problem to work on.

10. Be yourself

For many investors, chemistry is one of the key factors -- if they like you as a person, they are more likely to invest. But that doesn't mean you should pretend to be someone you are not to impress an investor -- "Because you will find someone who will like you at some point," Tirkkonen says.

11. Hire people who are smarter than you

Many entrepreneurs think they are the smartest people in the world -- a red flag for the investors. "Those who succeed understand that there are people out there who are smarter than them and hire them to do the job," Tirkkonen says.

12. Trust your team

A disagreement between co-owners or partners is one of the most common reasons for complete failure. "Flying to the moon is a dangerous mission, so you need to be able to build a good team," O'Leary says.

13. Think ahead

Have a vision of how you can grow from a small enterprise to a global game-changer and show the investor you have a plan. "We shouldn't be discussing what your product is now, but what it could be in the future," O'Leary says.

14. Make them want to know more

"Don't overload your audience with information, you want to leave some questions unanswered," Ekaterina Gianelli says.

@highlight

Dublin Web Summit is where tech entrepreneurs try to secure funding

@highlight

But many wannabe business people make rookie mistakes

@highlight

Investors and startup owners share their tips on how to come up with a top pitch