(CNN) -- Memorial Day is here and millions of Americans will be hitting the road to see family and friends, take a breather away from home. And luckily, after months of sky-high gas prices at the pump, they will find lower gas prices. Let's be grateful for this relief, even as we know prices can shoot back up with little warning -- as they did earlier in the spring -- bringing an unwelcome economic sting on top of the already tough situation many families are facing.

There's not a lot we can do about the yo-yo-ing cost of gas; unlike a lot of folks in Washington, I don't claim to have a quick solution. But I do know what hasn't worked.

We've drilled-baby-drilled for a while now. In fact, domestic oil production is at its highest levels in almost a decade. Still, prices this year seemed headed towards 4 dollars a gallon. We seem to have these freaky price hikes every few years. What is abundantly clear in 2012 is that all this drilling can't guarantee cheap gas.

This recent drop in gas prices makes the point even more starkly: Gas prices and U.S. drilling have little to do with each other.

Statistical analysis shows that more oil production in the United States does not mean lower prices at the pump. Oil is a global commodity and U.S. production has only a tiny influence on supply. Despite record U.S. oil production, crude prices began 2012 with record prices around the nation and softened sharply this month.

Economists say a strengthening dollar, signs of a slowing global economy and other factors are responsible, but this does little to quiet the voices on the right saying the only real way to relieve our stress as we fill up is to open up even more land and sea to drilling.

Even the University of Chicago put out survey results showing that 92% of economists interviewed agreed that in the last decade our gas prices had been affect more by market factors than by American energy policy.

This analysis makes sense, because despite the repetitive rhetoric you hear every time we start having a gas price crunch, the laws of supply and demand do not start and stop at the U.S. border. Oil is a globally traded commodity and while we consume more of it than any other country on the planet, we don't produce enough to affect its price. That is the sad state of affairs, folks. There is only one way off this merry-go-round, and it's to stop using so much oil. We need to quit this addiction that damages our economy, our security and our environment.

This won't happen tomorrow, but it is starting to happen. We can move beyond oil using new, cost-effective technologies. Oil consumption is down in this country. And the trend is going to speed up now that stricter vehicle efficiency standards are coming into effect. This means that we can have fuel-efficient cars that look and drive great.

But we need to pick up the pace. Instead of policies that increase our addiction to oil, we need policies that increase our transportation choices, not limit them to oil and gas.

But that isn't happening in Congress right now. Just look at the political storm around the transportation bill, which is essential not just for roads and bridges, but also the robust mass-transit programs that keep our cities moving.

Unfortunately, even though Congress is grappling with the deficit, it can't even agree to end billions in tax breaks and subsidies to the oil industry, let alone fund fuel and transportation alternatives appropriately.

Legislation from Sen. Robert Menendez, D-New Jersey, would have ended some of the $4 billion in annual tax breaks to the oil industry and directed new revenues to clean energy research and development -- were it not blocked by heavy Big Oil lobbying.

So this weekend as you fill up to head to the beach, ask yourself if you want to be standing at the pump shaking your head during the next gas price shock wondering why we didn't start moving down the right road when the opportunity presented itself in 2012.

Or do you want to act now?

I know what I choose.

The opinions expressed in this commentary are solely those of Maria Cardona.

@highlight

Maria Cardona: Gas prices low ahead of holiday weekend, but we know it can change quickly

@highlight

She says prices tied to global markets, not amount of U.S. drilling. We should rely less on oil

@highlight

She says Obama fuel standards will save millions; Congress stalls other laws that would help

@highlight

Cadona: Are we willing to wait for the next oil price shock, or do we want to take action?