(CNN) -- Assertive and bold, strong and courageous.

These are the words we use when we think of our leaders -- the characteristics we look for when we elect politicians, vet CEOs or select captains of sports teams.

Yet throughout history, these terms have been primarily applied when men have occupied leadership roles. We expect men to lead and assert themselves, and we encourage and reward these behaviors when young boys exhibit them.

So why is it when a young girl exhibits these exact same characteristics, we often resort to a different word to describe her behavior? A word that says to young girls: These are not the behaviors we expect from you.

Why do we call her "bossy"?

It seems like a little thing -- it's just a word after all. Plus, shouldn't we be teaching our children that words matter less than actions or deeds?

But words have power and meaning, especially during the critical early grade-school years, when boys and girls alike are developing their sense of self and finding their place in the world. According to the Girl Scouts Research Institute Ban Bossy National Youth Poll 2014, more than a third of girls who are called "bossy" lose interest in leading and stop making decisions or suggestions.

Children begin to establish gender role stereotypes as early as 2 years old and generate an emerging career identity by middle school. As early as the third grade, girls report anxiety about taking leadership roles, become overly concerned about pleasing others and aspire to be perfect.

By the time they reach middle school, the damage is done.

A 2003 study by Simmons College notes that by the early teen years, more boys than girls report that they aspire to leadership roles in future careers, and millennial women are less likely to say they "aspire to a leadership role in whatever field I ultimately work."

Whether intentional or not, the message is clear: Society is both actively and passively discouraging girls from exhibiting leadership qualities, and that is translating to a generation of girls afraid to take the reins of leadership for fear of being disliked.

And that is a loss for all of us.

We can no longer afford to have half the population sidelined, their skills and their insight ignored, because of the messages they received as girls.

That is why at Girl Scouts, we have teamed up with Facebook's Sheryl Sandberg and former U.S. Secretary of State Condoleezza Rice to launch our "Ban Bossy" campaign: a call for society to stop calling girls who exhibit leadership "bossy" and instead encourage and reward those behaviors the same way we would for boys.

Opinion: Sheryl Sandberg wrong on bossy ban

As the premier leadership organization for girls in the country, the Girl Scouts have been doing this for 102 years. We've found that women's leadership journeys begin as girls, and their future depends on receiving the same kind of encouragement and support boys receive when they demonstrate leadership capacities in life.

I know how limiting words can be.

As a young Latina growing up in small-town Arizona, I watched as my mother tried to break the conventions of her time and place, running for the local school board when it was unheard of for a female, let alone a Hispanic female, to do so.

I watched and listened as people, including family and friends, tried to discourage her from running.

But I was fortunate, because I also saw my father support my mom and her ambitions. When he was told he had to make sure his wife knew her place, he responded that her place was to lead.

Words can hurt or heal; they can shape our perceptions and either encourage our ambitions or limit our understanding of what we can become.

When we refer to a girl who demonstrates leadership qualities as "bossy," she receives a message she is doing something wrong, that somehow, the same behaviors we praise and reward in boys are inappropriate for her, and we are limiting the scope of her potential as a result.

So the next time you have the urge to call a little girl "bossy," stop, take a breath and say, "She's a leader."

It's time to redirect the power of words to girls themselves, so that "girl" and "leader" mean one and the same.

It's time to "Ban Bossy."

The opinions expressed in this commentary are solely those of Anna Maria Chávez.

@highlight

Anna Maria Chávez: Leadership traits include being assertive, bold, strong and courageous

@highlight

Author: Why is it young girls are called "bossy" when they exhibit these qualities?

@highlight

By communicating to girls that "bossy" is bad, it limits future leaders, Chávez says