Tripoli, Libya (CNN) -- NATO aircraft launched more than a dozen strikes on the Libyan capital early Tuesday, and smoke could be seen rising from the area near Libyan leader Moammar Gadhafi's Bab-al-Azizia compound in Tripoli.

The NATO attack, one of the heaviest against Tripoli since the NATO mission began just over two months ago, started at about 1 a.m. and lasted more than 20 minutes, with alliance jets circling overhead and Libyan loyalist forces responding with anti-aircraft fire.

Moussa Ibrahim, a Libyan government spokesman, said the attack targeted a guard compound for pro-Gadhafi military volunteers that had been emptied in anticipation. At least three people were killed and 150 wounded, Ibrahim said, calling the attack an escalation by NATO.

Reporters felt and heard explosions from the airstrike that rocked the hotel housing members of the international media. Outbursts of gunfire, as well as ambulance sirens, could be heard in the streets.

A NATO statement said the attack targeted a "regime vehicle storage facility" adjacent to the Bab-al-Azizia compound using precision-guided weapons.

The facility resupplies government forces that have been attacking Libyan civilians, according to the NATO statement.

Gadhafi's forces "still represent a threat to civilians and we will continue to strike targets that carry out this violence," said Lt. Gen. Charles Bouchard of Canada, who commands the Libya operation.

Journalists later visited a hospital where they reported they saw the bodies of three men, at least two covered in dust, and a number of injured people. CNN did not go on the hospital visit because of safety concerns.

On Monday, forces loyal to Gadhafi attacked a rebel-held border crossing into Tunisia in a battle that resulted in nine deaths, according to the rebels' military commander in Zintan, Hajj Osama.

He said Gadhafi infantry who attacked rebels controlling the border post suffered eight fatalities; one rebel fighter was killed.

Food and fuel are shipped into Libya and wounded rebels are taken out for medical treatment via the crossing, which is literally a lifeline to the rebels, the rebel commander said.

Since they were driven from the border checkposts by rebels more than two weeks ago, Gadhafi's troops have been shelling the rebels' nearby mountaintop holdouts to try to regain control of this vital artery.

In the towns of Yefren and Algalaa, southwest of Tripoli, only about 1,000 residents remained of the usual population of 22,000, said a local person who is in touch with rebels there.

The military commander in Zintan, near the border with Tunisia, corroborated those numbers.

They contrast with figures issued by the Libyan Committee for Humanitarian aid and Relief, which said 22,000 to 25,000 people remained trapped in the two towns, and that about 40,000 others had been displaced to other towns in the Nafusa Mountains, Tripoli and Tunisia.

For the past two months, the towns' dwindling numbers of residents have been enduring spartan living conditions -- without electricity or fuel and with only limited access to water, since Gadhafi forces control the region's water wells and have contaminated some of them with oil, the committee said. Banks in Yefren and Algalaa have been closed since February 17, which has led to a widespread shortage of cash, it added.

The cities' main water tank has been out of commission since it was damaged six weeks ago by missiles and no food supplies have entered the area since March 1, it said.

Snipers loyal to Gadhafi control access to the hospital in Yefren and most doctors have fled, it added.

In other NATO efforts against Gadhafi forces Monday, an airstrike hit a Libyan army position outside the rebel town of Jadu in the western mountains, rebels in Zintan told CNN.

The attack took place around noon (6 a.m. ET), shortly after the Gadhafi forces at that position had launched Grad rockets into the rebel-held town, rebels said.

NATO reported Monday that since its operation began on March 31, it has flown 7,870 sorties, including 3,025 strike sorties, which are intended to identify and engage targets, but do not necessarily deploy munitions.

On Sunday, a command-and-control center was hit near Tripoli and a missile support facility was struck near Al Khums, NATO said in a news release. Near Sirte, an ammunition storage facility was struck and, near Brega, a command-and-control facility was targeted, it said.

A spokesman for France's Ministry of Foreign Affairs said France plans to add attack helicopters to the country's arsenal in Libya, saying the aircraft would make "more precise" strikes possible.

Media reports said Britain also plans to use attack helicopters. A spokesman for Britain's Ministry of Defense said only that, "As with any military campaign, we are constantly reviewing our options alongside allies to enhance the capabilities available to NATO."

Nearly 600 migrants and wounded civilians arrived Monday afternoon in the rebel stronghold of Benghazi aboard a boat from the embattled city of Misrata, said the International Organization for Migration, which chartered the vessel.

The boat's arrival marked the seventh such mission carried out by the group since mid-April.

The boat's passengers included nearly 400 people from Niger as well as migrants from Nigeria, Chad, Sudan, Pakistan, Egypt, Bangladesh, Tunisia and seven Palestinians.

The boat had arrived Saturday in Misrata carrying 280 tons of food aid and a field hospital.

The developments came as the International Committee of the Red Cross appealed to donors for an additional $53 million "to help the organization meet the urgent needs of people affected by the fighting in Libya."

"As long as the conflict in Libya continues, the outlook for the coming months is dire, and living conditions may further deteriorate for a large percentage of the population," said Boris Michel, ICRC head of operations for North and West Africa.

The Council of the European Union reiterated its call Monday for the protection of civilians, a cease-fire and identifying Gadhafi as "a threat to the Libyan people."

Catherine Ashton, the European Union's foreign policy chief, was to detail on Monday meetings with Libya's rebel leaders a day after opening an office in the rebel stronghold of Benghazi.

Ashton was to brief the EU's foreign ministers about weekend meetings where she pledged support from the 27-nation union to the chairman of Libya's Transitional National Council.

"I am here today to explain and be clear about the depth and breadth of our support in the European Union for the people of Libya," Ashton said in a statement Sunday by the EU shortly after her meeting with Mustafa Abdul Jalil, the transitional council chairman.

During the meeting, Ashton said she and Jalil discussed security reform, border management, the economy and civil society.

Arrest warrants have been issued by the International criminal Court for Gadhafi and two relatives, linking them to "widespread and systematic" attacks on civilians as they struggle to retain power in Libya.

The court's chief prosecutor, Luis Moreno-Ocampo, has said that the court in The Hague will investigate allegations of institutionalized rape in the war-torn country.

A Libyan government official told CNN that Gadhafi's government welcomes the court's investigation but said that prosecutors "have not been to Libya to do an investigation."

Siham Sergewa, a Libyan psychologist, has been collecting reports of women reportedly raped and beaten by Gadhafi'sforces that she says she is sharing with the criminal court.

Sergewa told CNN's Sara Sidner that she began collecting the reports after receiving a call from the mother of a patient in Ajdabiya, a town in eastern Libya that was the scene of some of the earliest fighting between rebels and government forces.

The mother told Sergewa that she had been abducted by three or four men and taken to the desert where she was raped.

Since then, Sergewa told CNN she has collected surveys from more than 270 women at refugee camps along Libya's borders with Egypt and Tunisia who allege they were assaulted by Gadhafi forces.

CNN's Nima Elbagir, Amir Ahmed, Nic Robertson and Jomana Karadsheh contributed to this report.

@highlight

Compound for pro-Gadhafi volunteers was targeted

@highlight

It is one of the heaviest NATO attacks on Tripoli so far

@highlight

France to use attack helicopters, official says; reports say UK also plans to

@highlight

The EU's foreign policy chief pledges support to Libyan rebel government