The atrocious murder of David Haines puts the United Kingdom and in particular Prime Minister David Cameron front and center in the evolving battle against ISIS. It's not as though he is short of work, with a referendum in Scotland this week and a problematic relationship with the European Union among current elections next year dominating a crowded schedule.

But the PM must now mobilize the British public for another campaign in Iraq, mindful that the last one was widely opposed.

Revulsion at the beheading of three hostages will likely provide a bedrock of support. There are a wide variety of options including: surveillance and support operations, limited airstrikes against ISIS positions in Iraq, extending those airstrikes to ISIS targets in Syria or even inserting Special Forces in support of the Syrian resistance, Iraqi Kurds or the Iraqi military.

Cameron has been forthright about his government's determination to take down ISIS, saying at the weekend: "Step by step we will drive back, dismantle and ultimately destroy ISIL [also used as an acronym for the group] and what it stands for. We will do so in a calm, deliberate way but with an iron determination."

He added: "We will do everything in our power to hunt down these murderers and ensure they face justice, however long it takes."

"Ultimately" and "However long it takes" imply an indefinite campaign.

Implying the UK would join in air strikes, British Defense Minister Michael Fallon has told Royal Air Force personnel involved in surveillance flights: "There may well now be in the next few weeks and months other ways that we may need to help save life and protect people."

And that's just one element of this strategy. Cameron has been expansive about prodding the Iraqi government toward being more inclusive, saying it "badly needs to get itself together so it can represent all of the country." He is in favor of arming the Kurds, which in itself may be at odds with the aim of a unified Iraq, about mobilizing Arab states as part of a broad coalition to squeeze ISIS and about revitalizing moderate rebel groups in Syria.

The means and the goals of this multi-faceted campaign are yet to be fleshed out. In the words of his spokesman last week, "In terms of specific decisions about participation in further action, we are not at the stage of taking those decisions."

For example, Cameron has been cautious about whether air strikes might be extended to Syria. Cameron maintains that "President [Bashar al-]Assad has committed war crimes on his own people and is therefore illegitimate." But other parties in Britain are wary of air strikes in Syria, regarding them as dubious in international law. And many commentators believe some sort of understanding or accommodation with the Assad regime is an essential condition of effective action against ISIS strongholds in Raqqa and Idlib provinces.

Even Britain's Foreign Secretary, Philip Hammond, was out of step with Downing Street last week. "Let me be clear, Britain will not be taking part in air strikes in Syria," he told a news conference in Berlin. Hours later the PM's office said nothing had been ruled out.

One Conservative MP, John Baron, who is a member of the House of Commons Foreign Affairs committee, cautioned: "Air strikes into Syria are fraught with risks. The legal, technical and military differences between strikes in Iraq and Syria are marked. The UK should be advising caution."

But on Sunday came the first hint that the U.S. would be looking to allies for the Syrian part of the campaign. Secretary of State John Kerry told CBS Face The Nation: "We are going to do what they [the Syrians] haven't done, what they had plenty of opportunity to do, which is to take on ISIL and to degrade it and eliminate it as a threat."

"We will do that with allies," he added.

But Britain's military is already stretched. Units are still deployed in Afghanistan and the armed forces are hurting from a squeeze on defense spending. The Royal United Services Institute, a think-tank on military issues, concluded in a report this month that "on current spending plans and growth projections....UK defense spending is set to fall below the NATO 2 per cent target for the first time next financial year, to an estimated 1.88 per cent of GDP in 2015/16."

British planes would probably have to operate from Cyprus, flying a long circuitous route over Turkey to targets in northern Iraq. NATO flew 14,000 sorties in Libya to degrade the Gadhafi regime. Destroying ISIS may not be such a protracted effort, but it would be more than a commitment of a few weeks. And over Syria, planes would face the risk of encountering the Syrian air force and air defenses. A British pilot falling into the hands of ISIS or the Syrian regime is the stuff of nightmares.

There is the additional dilemma that any military action may hasten more beheadings of hostages, with another British citizen possibly the next victim.

And the coalition being mobilized is -- at best -- disparate, including 10 members of NATO and Middle Eastern states, including Jordan and Saudi Arabia. The division of labor among these states is yet to be worked out, though American officials are suggesting Arab states may provide air power and Kerry pronounced himself "extremely encouraged" by the response from governments on his latest tour of the region.

Some British politicians are more skeptical. The veteran Liberal Democrat MP, Menzies Campbell, warned last month that "a unified approach will be essential with no room for dissent or compromise between countries. The jihadists of IS [the Islamic State, as it calls itself] will most certainly test political resolve as well as security challenges."

Public support

Even before the murder of David Haines, opinion in Britain was moving toward air strikes. A ComRes poll for the Independent newspaper at the end of August found that 35% backing, with 50% opposed. A week later that support had nearly doubled, according to a poll by Opinium Research for the Daily Telegraph. And 27% said they would support Special Forces on the ground.

Cameron enjoys broad support for the domestic part of his anti-ISIS platform, which may include legislation to prevent suspected British extremists from traveling to Iraq and Syria and stopping those already there from coming home. Polls suggest public support higher than 80% for such moves. But identifying and tracking such people is a tall order -- and British military action could incite some of the several hundred British citizens thought to be fighting in Syria and Iraq to bring terror home.

A successful campaign over several months that squeezed ISIS into insignificance could bring political rewards at home. Cameron may be able to claim his decisive leadership was instrumental in facing down the world's most dangerous terror group, incidentally deflecting attention from thorny issues like immigration and Europe, where his Conservative Party is under pressure from the insurgent UK Independence Party.

But with a general election due by May next year, taking on ISIS is fraught with peril for the British PM.

@highlight

PM mobilizing British public for new campaign in Iraq, mindful last one was widely opposed

@highlight

David Cameron has been cautious about whether air strikes might be extended to Syria

@highlight

UK military is stretched. Units still deployed in Afghanistan, defense spending is squeezed

@highlight

Dilemma is that any military action may hasten more beheadings of hostages, says Tim Lister