The Obama administration has unveiled a plan to spend millions of dollars to stem the tide of undocumented children streaming across the U.S.-Mexico border, announcing a coordinated government-wide response to the situation Friday.

The plan includes almost $100 million in aid to the Central American governments of Guatemala, Honduras and El Salvador to help reintegrate the illegal migrants whom the United States will send back, and to help keep them in their home countries, according to a White House statement.

The administration also announced it will set aside $161.5 million this year for the Central American Regional Security Initiative (CARSI) programs because the programs "are critical to enabling Central American countries to respond to the region's most pressing security and governance challenges."

"Our assistance will help stem migration flows as well as address the root cause of the migration," the statement said.

The Obama administration has accused syndicates in Latin America of waging a deliberate campaign of misinformation that has caused people in poor Central American countries and Mexico to risk their lives to head for the United States, where they expect to stay.

White House Press Secretary Josh Earnest said the administration is addressing the problem in several ways.

"We're going to open up some additional detention facilities that can accommodate adults that show up on the border with their children. And we're going to deploy some additional resources to work through their immigration cases more quickly, so they're not held in that detention facility for a long time, and hopefully be quickly returned to their home country," Earnest said.

Earnest said the administration is also working with Central American countries to address the problem at its root.

"Some of that is an information campaign and countering this intentional misinformation campaign that's being propagated by criminal syndicates. But also working through a host of USAID programs and the host governments, or the governments in these countries to try to meet some of the citizens' security needs that are so acute in these countries right now.

Biden meets with Central American leaders

Vice President Joe Biden traveled to Guatemala on Friday for talks with Central American leaders as part of the White House strategy. A large number of the recent surge of undocumented children, 29%, are from Guatemala, Honduras and El Salvador, according to the government.

Biden's objective in the meeting with leaders from Guatemala, Honduras, El Salvador and Mexico was to emphasize that "children and adults arriving with their children (in the U.S.) are not eligible to benefit from the passage of immigration reform legislation or from the Deferred Action for Childhood Arrivals (DACA) process."

Most of the children crossing the border would not qualify for "amnesty" under the federal DACA  program that defers deportation for children brought to the United States previously by their parents or guardians illegally.

Biden spoke with Honduran President Juan Orlando Hernandez during his flight to Guatemala. He asked Hernandez to work closely with the other leaders to help develop a plan to address the root causes of unlawful migration from Central America, according to a statement from the office of the vice president.

The vice president discussed the same topics in a meeting in Guatemala later with Guatemalan President Otto Pérez Molina, President Salvador Sánchez Cerén of El Salvador, and representatives from the Honduran and Mexican governments.

Obama administration unveils new response

Biden's visit to Central America was part of the Obama administration's response to what it calls an "urgent humanitarian situation."

U.S. authorities estimate that between 60,000 and 80,000 children without parents will cross the border this year alone.

The majority of the children apprehended by the U.S. Border Patrol along the southwest border this month have been concentrated in the Rio Grande Valley sector of Texas, according to a congressional advisory Friday.

As of June 18, 3,103 unaccompanied children from 11 countries were in U.S. Customs and Border Protection custody along that border, the majority being from Honduras, El Salvador, Mexico and Guatemala, the advisory said.

The federal government does not have the processing capabilities to handle this kind of influx of illegal human traffic. But the Obama administration has now coordinated a governmentwide response to the crisis.

The new plan announced Friday includes a big influx of spending to the USAID program, including $40 million dollars to Guatemala to improve security, $25 million to El Salvador to help with a crime and violence prevention program and at-risk youth, and $18.5 million to the Central American Regional Security Initiative in Honduras for crime and gang prevention efforts.

The Department of Justice and the Department of Homeland Security are also taking additional steps to try and mitigate the still unfolding immigration crisis.

The agencies are "surging government enforcement resources to increase (the) capacity to detain individuals and adults who bring their children with them and to handle immigration court hearings as quickly and efficiently as possible while also while protecting those who are seeking asylum."

"This is an extraordinary interagency effort to deal with an urgent humanitarian situation," said Cecilia Muñoz, the White House director of domestic policy, in a conference call on the new administration plan.

Opponents of the Obama administration remain skeptical of the immigration policies leading to the boarder crossings of minors.

On Friday, Oklahoma Gov. Mary Fallin toured a temporary shelter at Fort Sill housing about 600 unaccompanied minors -- ages 12 to 17 -- who crossed the United States' southern border illegally.

Fallin criticized President Barack Obama for the "lax immigration policies that have lead to an illegal immigration crisis."

"This facility is designed for our soldiers to train and prepare to protect our nation," said Fallin. "Instead, the federal government is using it as a cross between a boarding school and detention center for illegal immigrants. President Obama should not be using our military facilities as a tool to cover up his failed immigration policies."

The Obama administration aims to close the Fort Sill housing facility for undocumented children in the next 120 days.

Crossroads of hope and fear: Stories from a desert bus station

Texas touts 'surge' at Mexican border to confront illegal immigration

@highlight

Unaccompanied children come from as many as 11 different countries

@highlight

New response plan includes  $250 million for Central American governments

@highlight

As many as 80,000 children without parents will cross the border this year, U.S. estimates

@highlight

VP Joe Biden holds meeting in Guatemala with regional leaders