Abu Dhabi, UAE (CNN) -- During the summer months, in the arid, subtropical coastal plains of the United Arab Emirates, temperatures rise to 40 Celsius plus -- while average rainfall is a desolate four inches a year.

And yet, in the years since the discovery of vast oil reserves in the late 1950s, a forest of skyscrapers, luxury apartments, verdant green gardens and golf courses has risen from the sand.

It's been made possible only with recourse to unimaginably large amounts of water. Indeed, at 550 liters a day, Emiratis consume more per head of population than anyone else on earth.

"It just evaporates very, very quickly," explains Ivano Iannelli, CEO of the Dubai Carbon Center of Excellence. "Then when you add the lifestyle requirements -- the giant swimming pools; the cooling systems; the big gardens that need irrigating four times a day ... it goes some way to explain why the water consumption is so high."

With scarce native freshwater supplies, Iannelli says the oil-rich nation spends hundreds of million of dollars a year purifying coastal seawater. For a country that, according to OPEC, boasted over $74 billion crude-oil export revenue in 2010, the financial burden may seem relatively light. But the cost to the climate, says Iannelli, is certainly not.

"Desalination requires a lot of power ... we estimate that about four tonnes of carbon are emitted per million gallons of freshwater produced here," he says, with reference to the energy-intensive process of removing salt from seawater (see factbox).

To put that figure in context, Iannelli says that the energy required to pump freshwater from underground (which, he says, is the most common source of drinking water in the West) typically produces just over 1.5 tonnes of CO2 per million gallons.

Read related: From polluter to protector: The UAE's 'Green Sheikh'

While large-scale desalination is not uncommon in those parts of the world where natural water resources are scarce -- such as Texas and Australia -- the UAE is by some margin, according to Iannelli, the industry's most active player. In fact, 50% of all the world's desalination takes place in the Gulf.

The Fujairah desalination plant in Abu Dhabi has a freshwater generation capacity of 492 million liters a day, making it the biggest single producer on the planet, according to Iannelli, who notes that it "totally dwarfs anything found in the West."

For Dr Mohammad Dawoud, of the Abu Dhabi Environment Agency, this spells trouble for the future. "If we don't conserve our water ... I fear about our resources in the future for the next generation," he says.

However, standing in one of the country's 30 solar plants -- overlooked by sand dunes on all sides, Dawoud tells CNN that he hopes that solar technology may eventually offer a viable alternative energy source to power the UAE's huge desalination needs.

"There are no carbon emissions while using photovoltaic cells to produce electricity -- then (we can) use electricity to operate desalination plants to produce freshwater," he predicts.

But on this point Iannelli is not convinced: "At the moment, solar panels are not fit for purpose in the UAE ... the dust and the sand in the atmosphere prevent (sun) rays from hitting the panels efficiently ... and the high temperatures also reduce performance," he says. "For me, solar is not the answer."

Instead, Iannelli believes that the most practical solution is for the desalination process to become more energy efficient, in conjunction with an effort by the Emiratis themselves to curb their "lavish" water consumption habits.

"There is almost no regulation concerning water or power use, no minimum standards for water-consuming appliances ... and very few energy requirements for buildings," he laments. "Whatever we do, from now on it has to be cost-effective, lean and clean."

@highlight

UAE consumes 550 liters of water per head each day -- more than any other country

@highlight

With no fresh water supplies, it depends on carbon-intensive desalination process

@highlight

Resource experts talk to CNN about their concerns for UAE's future water security