(CNN) -- "I was owned by Johnson Bell and born in New Orleans, in Louisiana."

Those words were spoken by a man named Frank Bell.

He said that according "to the bill of sale, I'm 86 years old."

His words, and those of thousands of other American citizens, were transcribed in the 1930s, at the depth of the Great Depression. As part of President Franklin D. Roosevelt's efforts to restart the economy, the Works Progress Administration was founded, and one arm of the WPA was something called the Federal Writers' Project.

Men and women were hired by the government to work on various assignments documenting American history and American life.

One of those assignments, vast in scope, came to be known as the Slave Narratives.

"If a woman was a good breeder she brought a good price on the auction block," said Hattie Rogers, a North Carolina resident, when she was interviewed in 1937. "The slave buyers would come around and jab them in the stomach and look them over and if they thought they would have children fast they brought a good price."

We are in the midst of Black History Month. The slave years in the United States were not only black history, they were American history -- the ugliest and most indefensible chapter.

I had long heard of the Slave Narratives, but had never read them. The original interviews comprised 17 bound volumes in the Library of Congress, filled with the firsthand accounts of more than 2,000 former slaves, and hundreds of photographs.

The interviewers were sent to 17 states, and that is how the printed conversations are bound and arranged. I have been reading two volumes -- covering interviews done in North Carolina and in Texas.

What is so shattering is the matter-of-fact tone of what the former slaves said. The United States was well into the 20th century by the time the interviews were conducted; automobiles had come to the nation, as had radio and motion pictures and air travel. The country, in many ways, was beginning to resemble the nation we live in now.

Yet residing in America's cities and towns were men and women who recalled being sold at auction, of seeing brothers and sisters led away in chains, of having -- in their words -- "good owners" or "cruel masters." Survivors of a time when, in many states, it was perfectly lawful for human beings to own other human beings, and to buy and sell them.

Mary Armstrong, 91 and living in Houston when she was interviewed, said the person who owned her family was "so mean he never would sell the man and woman and (children) to the same one. He'd sell the man here and the woman there and if (there were children) he'd sell them someplace else."

Charity Riddick, 80, interviewed in North Carolina, had a similar memory. "I belonged to Madison Pace in slavery time," she said. She had a brother whose first name was Washington, she said, but he was "sold away." Their mother "cried a lot about it."

The former slaves who were still alive in the 1930s were, of course, the youngest of those who were enslaved before emancipation. Many of them were relating childhood or adolescent memories, while others were passing on what their parents related to them.

There were many, however, who were old enough to have vivid firsthand recollections of specific instances. Stearlin Arnwine, who was 94 and living near Jacksonville, Texas, when he was interviewed, said he would see slaves on the auction block, stripped to the waist for inspection by potential buyers. Women and their children, he said, would be crying and begging "not to be separated," but it did no good: "They had to go."

As anguishing as are the stories recounted by the former slaves, troubling in a different way was the methodology many of the interviewers chose in committing the stories to written form. Most of the writers were white; in the 1930s, apparently it was still considered acceptable to use crudely rendered dialect in recreating on paper the speech patterns of African-Americans. That is how some of the writers transcribed the interviews, and in many cases it comes off as something close to mockery, whether or not it was intended that way.

The power of the stories overrides everything else. The quiet starkness of the telling:

"My father was a slave, A.H. Stewart, belonging to James Arch Stewart, a slave owner, whose plantation was in Wake County," said Sam T. Stewart, 84, interviewed in North Carolina in June 1937. "When I was two years old James Arch Stewart sold my father to speculators, and he was shipped to Mississippi. I was too young to know my father."

You can read from the volumes for hours at a time, and when you are finished for the evening you can look around you and try to comprehend that all of this was taking place in the same nation where we live today.

Alex Woods, of Raleigh, North Carolina, born on May 15, 1858, said that as a boy he saw slaves being marched on their way to the auction block, each person chained to the one next to him, and, as he witnessed this, being "afraid my mother and father would be sold away from me."

Story after story after story. Henry H. Buttler, 87, living in Fort Worth in the 1930s but born a slave in Virginia:

"The plantation consisted of about 30 acres, with about 30 slaves, though this number varied and sometimes reached 50. Mr. Sullivan owned my mother and her children, but my father was owned by Mr. John Rector, whose place was adjacent to ours."

And, when Abraham Lincoln proclaimed that this must no longer be permitted to go on, millions of Americans said that he was dead wrong.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

During Great Depression, writers project interviewed former slaves

@highlight

Bob Greene says the stories in the "Slave Narratives" are shocking to read

@highlight

They tell of families torn apart, of people deprived of their basic freedoms