WASHINGTON (CNN) -- The rules governing air traffic over New York's Hudson River need to be rewritten to prevent another mishap like this month's fatal collision of a small plane and a sightseeing helicopter, federal safety investigators said Thursday.

The wreckage of a plane that collided with a helicopter is lifted this month from the Hudson River.

The recommendation comes three weeks after nine people were killed when the two aircraft collided in the congested airspace bordering Manhattan.

The recommendation is noteworthy both because of its sweeping nature and its timing. Ordinarily, the National Transportation Safety Board makes recommendations at the conclusion of its investigation, which typically take a year.

But in a letter to FAA Administrator Randy Babbitt, NTSB Chairman Deborah Hersman said that based on preliminary findings, the safety board is concerned about the "safety of flight" over the Hudson River. She outlined a series of changes, among them requiring that helicopters and fixed-wing aircraft fly at different altitudes over the river.

She made specific reference to "the performance of air traffic controllers" at Teterboro Airport in New Jersey, who were monitoring the plane's flight during the August 8 collision.

"The NTSB is concerned with the complacency and inattention to duty evidenced by the actions of the [Teterboro] controller and the supervisor during the events surrounding this accident," Hersman wrote.

Hersman said the pilot of the aircraft requested permission to climb to 3,500 feet minutes before the crash. But because there was no coordination between controllers at Teterboro and Newark airports, controllers did not grant the request, increasing the risk of a collision in Hudson River low-altitude airspace known as the "exclusionary zone," she said.

Pilots in the exclusionary zone are not separated by air traffic controllers, and instead use visual "see and avoid" tactics. The Teterboro controller was making a personal phone call and "was not fully engaged in his duties" in the minutes leading up to the accident, Hersman said. His supervisor, meanwhile, had left the building on a personal errand without informing the controller.

The air traffic controller's inappropriate phone call "likely would not have been permitted" if the supervisor had been in the tower, Hersman said.

The FAA on Thursday did not comment on the NTSB recommendation, but said a task force studying flight operations above the Hudson River will soon submit its findings. And the air traffic controllers union defended its member, saying he had handed off the plane's pilot to another radar tower before the helicopter appeared on his radar scope.

"The NTSB again has rushed to wrongly blame the air traffic controller in this incident," said Patrick Forrey, president of the National Air Traffic Controllers Association. "The bottom line here is that the controller is not responsible for contributing to this tragic accident. ... We cannot provide traffic advisories to aircraft we are not talking to, cannot see on radar or are not a factor at all."

Forrey said the NTSB "inexplicably" made its recommendations before the FAA task force had finished its job. "The task force is due to release its report next week. So why the rush?" Forrey said.

In its letter, the NTSB asks the FAA to establish a special flight rules area, or SFRA, for the class B exclusion areas near New York City; require vertical separation between helicopters and airplanes in these SFRAs; require pilots to complete specific training on the SFRA requirements before flight within the area; and conduct a review of other airspace configurations where specific pilot training and familiarization would improve safety.

@highlight

NTSB advises rule changes over Hudson River after August 8 crash

@highlight

Nine people were killed when helicopter, small plane collided

@highlight

One proposal: Make helicopters, fixed-wing aircraft fly at different altitudes over river

@highlight

NTSB makes recommendation before end of crash probe -- a rare move