(CNN) -- U.S. counterterrorism officials are closely watching an al Qaeda fighter in Pakistan who could become the next American to be targeted for killing by a drone strike, CNN has learned.

The person has been the subject of debate among military commanders and intelligence officials for several weeks as they decide what to recommend. President Barack Obama would make a final decision.

CNN has also learned key members of Congress have been aware of the internal debate.

The officials spoke to CNN's Barbara Starr on condition of anonymity because of the sensitivity of the situation.

The current discussions involve both military commanders in the special forces community and intelligence officials.

A key point being discussed is whether it is better to maintain surveillance to see what added intelligence can be gained about any threats to the United States, and whether additional monitoring might lead to other operatives or al Qaeda elements to target.

Under the Obama administration's policy for targeting Americans, a person would have to pose an imminent threat to the United States and there would be no reasonable prospect of capture.

A U.S. official said drone targeting inside Pakistan is very sensitive because of the fragile state of the Pakistani government, which is under pressure to ban such strikes.

As a potential strike is weighed, some officials contend that good relations with the Islamabad government is a priority so the United States can maintain some type of long-term surveillance operation of potential al Qaeda targets there.

If all U.S. troops leave neighboring Afghanistan at the end of 2014, the concern is it may be harder to maintain high priority efforts such as conducting further drone operations over Pakistan and to also monitor Pakistan's nuclear programs.

As the United States considers a strike in Pakistan, there are also recent indications that al Qaeda in Pakistan and its affiliate in Somalia, Al-Shabaab, have stepped up their links, a second official told CNN.

Jehad Serwan Mostafa, an American citizen, is currently with Al-Shabaab. He is the highest-ranking American in the group, believed to be in a remote part of southern Somalia.

The Justice Department currently has a $5 million reward on his head.

CNN terrorism analyst Paul Cruikshank said there are indications Mostafa has contacts with senior al Qaeda leadership in Pakistan.

The United States failed to kill Al Shabaab leader Ahmed Abdi Godane in a drone strike in southern Somalia just a few weeks ago.

And last October, Navy SEALs failed to capture a third key leader, a man named Ikrimah. They assaulted a compound he was said to be at in southern Somalia but withdrew under heavy fire.

Although Ikrimah and Godane were said to be involved in the deadly attack last year on a shopping mall in Kenya, U.S. officials have told CNN that one reason Ikrimah was targeted was there was critical intelligence he had been communicating with operatives of al Qaeda in the Arabian Peninsula.

That Yemen based al Qaeda group is considered the most dangerous of its affiliates to U.S. security.

Former official says U.S. justified

The Obama administration would be justified using drones to kill American terrorists abroad and at home, former U.S. Attorney General Alberto Gonzales told CNN on Tuesday.

"They've been very, very effective in the war on terror," the former George W. Bush appointee told CNN's "New Day." "It's a wonderful technology."

Two key decisions would be involved -- whether to put an American on a kill list and whether to execute on the kill order, said Gonzales, who is now in private practice with a law firm in Nashville.

"As to the second, I think the President has the authority -- as the commander in chief -- once you identify where an 'enemy combatant' is, to take action, to take him out on the battlefield like you would any other enemy," he said.

Due process would be a concern only in designating someone as an "enemy combatant," he said.

Once that decision has been made, "then the commander in chief should be able to execute on that order at the moment of his choosing, because you never know when you might locate that individual -- you might only have minutes, you might only have hours."

But the administration has reportedly taken months to decide whether to target someone, a pace that might wind up working against it, Gonzales said. "I think the courts are going to ask, if they finally take up this issue, you have months to make this determination, why isn't there more due process given to the individual, to the American citizen?"

Americans targeted before

The United States has targeted an American before, most notably Yemeni-American cleric Anwar al-Awlaki, a key member of al Qaeda in the Arabian Peninsula killed by a drone in 2011.

Another American, Samir Khan, was killed in the same strike, though he was not the target of the operation. Khan was behind al Qaeda's English-language Inspire magazine, which aimed to influence jihadis and wannabe jihadis around the world.

"What I would worry about is that the courts have seemed to indicate that, when you're talking about the rights of American citizens, there are certain due process considerations that have to be taken into account before you designate someone as an enemy combatant," Gonzales said.

"I would have advised the President that Al-Awlaki is an enemy combatant and, Mr. President, you do have the authority to take him out in a drone strike. But I would also caution that, given recent Supreme Court decisions, I'm not sure there are five votes on the court that would agree with that assessment."

Gonzales, who supported the Bush administration's policies that many derided as torture, said Congress' continued funding of anti-terrorism efforts "indicates tacit agreement that the war on terror can continue, and that these kinds of actions are in fact lawful." He noted that Congress gets periodic briefings on such matters and "apparently has no issues, no major problems with these kinds of tactics."

Asked whether drones might be used to kill Americans who have been determined to be pressing, imminent threats to U.S. safety on U.S. soil, Gonzales said doing so was probable, even though it might worry civil libertarians.

"It's very likely that we're going to confront more terrorists here in this country; it's very likely they are going to be American citizens. And if, in fact, this is an effective technology, why wouldn't you use this technology to eliminate this threat?"

ACLU says government abusing power

The American Civil Liberties Union contends the administration abuses its power, particularly when it comes to drone strikes.

"Even in the context of an armed conflict against an armed group, the government may use lethal force only against individuals who are directly participating in hostilities against the United States," the group says on its website. "Regardless of the context, whenever the government uses lethal force, it must take all possible steps to avoid harming civilian bystanders. But these are not the standards that the executive branch is using."

Unofficial estimates based on reports by human rights groups and media accounts indicate the Obama administration has carried out hundreds of drone strikes that have killed hundreds and perhaps thousands of people, including civilians, in an escalation of the practice the Bush administration started.

Most have occurred in Afghanistan, but others have taken place in countries with no ground war, including Yemen, where al-Awlaki was killed.

Critics say the government oversteps the legal boundaries of the Constitution and international law, particularly by making decisions on targeted killings in secret without going before any court.

Hina Shamsi, who directs the ACLU's National Security Project, told CNN that the Obama administration was "fighting hard" to prevent a judicial review of the strikes that killed al-Awlaki and the other Americans, including the terrorist's 16-year-old son.

Until allegations in classified documents can be assessed in court, she said, the question of whether they amount to real evidence remains unanswered.

Shamsi called the U.S. actions "one of the most extreme and dangerous forms of authority that the executive branch can claim -- the power to kill people based on vague and shifting legal standards, secret evidence and no judicial review even after the fact."

Critics: Obama's anti-terrorism strategy confusing

Obama has insisted his responsibility as commander in chief to protect Americans from attack justified targeted killings such as the drone strike on al-Awlaki.

In a May speech, he rejected targeting an American citizen without what he called due process, meaning adherence to full legal procedures.

Critics, including congressional Republicans, argue the President's anti-terrorism strategy, which in many ways extended programs and practices started under the Bush administration, have failed to curtail al Qaeda.

Asked last week at a congressional hearing if al Qaeda was stronger or weaker than before the 9/11 attacks, Director of National Intelligence James Clapper conceded the terrorist network was more widespread.

At the same hearing, House Intelligence Committee Chairman Mike Rogers argued that tighter restrictions on targeted killings announced last year had weakened the government's fight against terrorism.

CNN's Barbara Starr contributed to this report.

@highlight

U.S. officials might target an American-al Qaeda fighter in Pakistan with drone strike

@highlight

Obama administration debating merits of strike vs. continued surveillance

@highlight

Alberto Gonzales says administration justified using drones to kill U.S. terrorists

@highlight

Critics say government oversteps boundaries of Constitution, international law