(CNN)A group of medical students -- including an American, seven Britons and a Canadian -- may be the latest Westerners to join ISIS.

It's become a familiar story: Young people give up their futures in Western democratic nations to join the terrorist network establishing a self-declared Islamic state in the Middle East.

Last month, three teenage British girls suspected of wanting to join ISIS may have gone to Syria, authorities said. Their fates remain unknown.

An estimated 3,400 Westerners have gone to join ISIS in its bloody quest to establish an Islamist state in Iraq and Syria, said Nicholas Rasmussen, director of the National Counterterrorism Center.

Analysts and U.S. officials agree: ISIS is skilled at luring Westerners, attracting far greater numbers than al Qaeda.  How is it doing this?

ISIS recruits are often young -- sometimes disillusioned teenagers trying to find purpose and make their mark.

"The general picture provided by foreign fighters of their lives in Syria suggests camaraderie, good morale and purposeful activity, all mixed in with a sense of understated heroism, designed to attract their friends as well as to boost their own self-esteem," counterterrorism expert Richard Barrett wrote last year in a report called "Foreign fighters in Syria."

Fawaz Gerges, professor of Middle East studies at The London School of Economics, put it more bluntly:

"ISIS provides these deluded young men and women with an adventurous trip."

Many recruits come from educated, well-to-do backgrounds, like 25-year-old Abu Anwar of Britain. He said he had no problem leaving a comfortable lifestyle to join ISIS.

"I'm from the south of England. I grew up in a middle-class family," he told CNN. "Life was easy back home. I had a life. I had a car. But the thing is, you cannot practice Islam back home. We see all around us evil. We see pedophiles. We see homosexuality. We see crime. We see rape."

The names: Who has been recruited to ISIS from the West

Some are lured by the possibility of dying as a martyr so they can enjoy a sumptuous afterlife.

Others may succumb to more tangible promises.

ISIS loyalists are told they will receive gifts from Allah, wrote Aqsa Mahmood, a young British woman who left Scotland to join ISIS and now is an ISIS recruiter.

Such gifts include "a house with free electricity and water provided to you due to the Khilafah (the caliphate or state) and no rent included," Mahmood wrote.

ISIS' slick propaganda videos resemble trailers for Hollywood action movies.

One hourlong video showed a collection of bombings, executions, kidnappings and beheadings. As one roadside bomb blasts a vehicle into the sky, two men in the background of the video chuckle.

ISIS now has the most sophisticated propaganda machine of any terrorist organization, said Matthew Olsen, former director of the National Counterterrorism Center.

"It turns out timely, high-quality media, and it uses social media to secure a widespread following," he said.

Even the U.S. State Department admits ISIS' propaganda prowess "is something we have not seen before."

"It's something we need to do a lot more work on," State Department spokeswoman Jen Psaki said last month. "We are seeing 90,000, I think, tweets a day that we're combating."

"We are way behind. They are far superior and advanced than we are when it comes to new media technologies," Maajid Nawaz, a former jihadi and author of "Radical: My Journey out of Islamist Extremism," told CNN last year.  "... It is very attractive for angry young Muslims when they see these sorts of videos and they hear language that resonates with them."

The slick strategy offers a big edge over al Qaeda.  ISIS "has proven far more adept than core al Qaeda -- or any of al Qaeda's affiliates -- at using new media tools to reach a broader audience," Rasmussen said.

Recruits are also being lured by ISIS' success in its endeavor to create an Islamic state, analysts say.

The intelligence community determined that ISIS' battlefield successes gave it "some recruitment success," White House spokesman Josh Earnest said in September.

"Militant groups across the Muslim world see the success ISIS has had so far in Syria and Iraq and opt to join it -- often leaving behind organizations plagued by infighting," CNN national security analyst Peter Bergen wrote in a CNN.com column.

"This is a political cult using religion and a perversion of Islam as the shield," said Steve Hassan,  founder of Freedom of Mind, a group dedicated to exposing destructive cults and cult behavior. "But in fact, it's a systematic effort to create an army of basically tranced-out followers."

That type of brainwashing is what turned Canadian Damian Clairmont into an ISIS militant, said his mother, Christianne Boudreau.

"It's so easy for them to get to our children, to access our children," she said.

Clairmont died fighting in Syria last year.

While ISIS' recruiting success gets a lot of attention, it is hardly drawing a huge percentage of young Westerners.

About 130 Canadian citizens have traveled to the Middle East to join ISIS, Canada's intelligence agency estimated last year.

About 1,200 French fighters have joined ISIS as well.  Roughly 600 British nationals are believed to have gone to Iraq and Syria, according to research groups, along with another 600 from Germany.

In the United States, National Intelligence Director James Clapper has said 180 Americans have tried to go to fight in Syria. But it's unclear how many of those were attempting to join ISIS.

Once foreigners go to Iraq or Syria to join ISIS, their odds of going back to their families can be slim. Video clips of foreign jihadists burning their passports show that many have no interest in returning home.

Western leaders acknowledge there's work to do.

"It needs every school, every university, every college, every community to recognize they have a role to play, we all have a role to play in stopping people from having their minds poisoned by this appalling death cult," British Prime Minister David Cameron said last year.

The U.S. government is trying to step up its efforts to counter ISIS propaganda by beefing up a small State Department agency to make it the heart of the fight against the militants' messaging.

"We're seeing their approaches continue to evolve," Psaki, the State Department spokeswoman, told CNN. "We need to continue to make sure ours are evolving and we're combating it in the most strategic way and using every interagency resource."

But she acknowledged that the United States still has a lot to do.

"We're really going to pick it up now," Psaki said. "We have new people in charge of the office. And we will see what happens over the coming months."

Several anti-ISIS efforts are already in place.

Some European countries have laws that penalize membership in groups such as ISIS, said Barrett, the counterterrorism expert.

And U.S. State Department official Richard Stengel said an anti-ISIS messaging campaign has helped prevent youths from joining.

"They're reading the messages, they're hearing the messages -- not just from us but from the hundreds of Islamic clerics who have said that this is a perversion of Islam, from the hundreds of Islamic scholars who have said the same thing," Stengel said in October.

But Barrett said some officials might not be doing as much as they think.

"Policymakers often underestimate the impact of what is happening in these closed circles even as they overestimate the impact of their own."

CNN's Josh Levs, Joshua Berlinger, Paula Newton, Jethro Mullen, Catherine E. Shoichet, Mariano Castillo, Laura Koran and Elise Labott contributed to this report.

@highlight

ISIS has a penchant for producing slick videos that resemble trailers for Hollywood action movies

@highlight

Analyst: Many recruits lack a sense of belonging; some want a lavish afterlife by dying as a "martyr"

@highlight

Hundreds from the UK, Canada, France and the U.S. are suspected of going to join ISIS