Atlanta (CNN) -- It began when Shelley Boyle's veterinarian recommended she stop feeding meat and dairy to her beloved mutt, Cleo, to determine whether a food allergy was to blame for the dog's chronic ear infection.

Boyle's interest was immediately piqued. She had been a vegan for nearly two years, after deciding to cut meat, eggs and dairy from her diet for health and ethical reasons. But she never considered the possibility that she could align her dog's diet with hers.

"I've had animals all my life and when I did look into a vegan diet for my cat, I read that cats can't be vegan ... so I went to the conclusion that we can't do this for Cleo," says Boyle, an environmental consultant and part-time vegan baker from Studio City, California.

With her doctor's guidance, she began whipping up batches of pinto beans, brown rice and sweet potatoes each week. She fed them to 4-year-old Cleo, a German shepherd/pit bull mix, twice daily with a dose of probiotics at lunch to help her digest.

Five months later, Cleo's ear infection is gone, Boyle says. Her coat has taken on a healthy shine and she no longer has bad breath, dandruff or excessive shedding, she says. Her vet at the Animal Dermatology Clinic in Pasadena, California, suggested incorporating calcium and iron supplements through a diet of leafy greens or a vegan nutritional capsule.

"Her health and well-being is the main thing for us, but that fact we have a vegan option is a double-benefit because it means our dog can live with the same ideology," she says.

With the vegan diet enjoying a period of (mostly) positive widespread exposure, it should come as little surprise that vegetarian or vegan pet owners might want to project those ideals onto their canine companions.

Celebrities such as Woody Harrelson, Ellen Degeneres, Russell Simmons and Alicia Silverstone (who discusses her dogs' vegan diet in her book, "The Kind Diet") have long been touting the health benefits of a vegan diet, along with Colin Campbell and Caldwell Esselstyn, two doctors who are the subjects of an upcoming documentary extolling the benefits of the plant-based diet. A steady stream in recent years of publications, from Jonathan Safran Foer's 2009 book "Eating Animals" to this year's New York Times bestseller, "Veganist," also have lent the movement some credibility.

Read "Vegan on the silver screen"

It's even caught the attention of talk show host and professional trendsetter Oprah Winfrey. Winfrey recently challenged her staff to go vegan for a week, with the help of "Veganist" author and nutritionist Kathy Freston. The experiment led to a collective weight loss of 440 pounds and a pledge from Winfrey to go "vegan-ish" and institute meatless Mondays at Harpo Studios.

The notion of a holistic approach that gives pet owners more control over their pets' diet has been gaining ground since 2007, when a melamine contamination of commercial pet food caused people to take a closer look at what they were feeding their pets, says Donna Spector, a veterinary internal medicine specialist who runs SpectorDVM, an animal nutrition consultancy.

"That was a turning point that led to more home-cooked meals and raw food diets. Vegetarianism is another subset of that backlash," she says.

Spector and six other pet experts who spoke with CNN conceded -- some more reluctantly than others -- that most dogs could biologically live on a vegan diet. But doing so requires substantial attention to creating a balanced diet that makes up for the loss of animal protein with substitutions of beans, soy and, to a lesser extent, vegetables and grains.

Dogs are classified in the order Carnivora, but, unlike cats (a topic for another day) they have evolved biologically as omnivores, meaning their systems can derive nutrients from a wide variety of sources, including fruits, vegetables, grains, legumes and animal products.

"The important thing is that you use a diet that has been shown to be nutritionally adequate for whatever stage of life you're feeding, and it is absolutely possible to find a good quality commercial pet food that doesn't have animal products in it," says veterinarian Kathryn E. Michel, an associate professor of nutrition at the University of Pennsylvania's School of Veterinary Medicine.

She recommended using only commercial pet food that has gone through Association of American Feed Control Officials feeding trials. Or, if you prefer to cook meals from scratch, consult a credentialed expert in dog nutrition to ensure a proper balance of essential nutrients.

Whether dogs can thrive on a vegan diet elicits different shades of responses.

"If you go to India you can see dogs living on the scraps. They can survive on almost nothing once they've evolved to living on the streets, but is that what's best?" says pet expert and author Tracie Hotchner, host of the radio show "Dog Talk."

"If a dog has a choice he's not picking a pile of beans over chicken or meat, and he's not going to be lapping up soy," she says. "If you're going to be harmonious in your choices, be harmonious. I say respect each species for what it was meant to be, and if you feel that strongly about being vegan, get a vegetarian animal. Bunnies make wonderful pets."

Dogs have a significantly higher daily protein requirement than humans. Finding protein sources that provide adequate amounts of nutrients such as amino acids in the sufficient ratio can be difficult under the vegan approach, which relies on plant protein sources that have less biologic value than meat protein, Spector says.

"Vegetarian pet foods require the addition of synthetic amino acids to fill nutritional gaps or a much higher overall protein level to supply all of the essential amino acids. Overall, it is much easier and more reliable to supply a dog's essential nutrients in a food containing both plants and meat," she says.

The vegan diet also lacks some essential fatty acids that are only available in animal products like butter and fish oils, says veterinarian Michael Fox, former president of the U.S. Humane Society and author of "Dog Mind, Dog Body."

Fox, a lacto-ovo vegetarian who feeds his dogs an omnivorous diet prepared at home, says the best approach for dogs -- and humans -- is a varied diet from organic ingredients. He says some adult dogs do adapt and even thrive on well-balanced vegan diets, but contends that dogs do best with a variety of foods that include some animals fats and protein.

"Dogs have evolved to a degree, but they've been with us 45,000 years as camp followers, scavengers, village dogs in the third-world countries and they'll eat just about anything," he says, adding that dogs could benefit from a vegan meal at least once a week to detox.

"But then again, we don't have the real science to back up whether it's safe enough, so, for dogs' sake, we need to adopt the cautionary principle."

The first thing doctors tend to ask is why someone is considering a vegan diet, Fox says. In most cases, personal ethics are the primary motivator, followed by food allergies.

In the latter category, a vegan diet can bring relief, veterinarian Armaiti May says.

"I've seen many dogs with food allergies, and often switching to a vegan diet can help them," says May, who is vegan. "They also avoid taking in animal by-products from commercially produced dog food, including slaughterhouse waste products and rejects that wouldn't be fit for human consumption. We've seen a lot of cancer and other degenerative diseases in dogs in recent years so it's easy to suspect that pet food could be a contributor."

For those who have embraced a vegan diet for their dogs, they say they have living and breathing proof that it works.

Heather Kennedy, an editor for a scientific nonprofit society in Atlanta, has raised her two dogs vegan since she they came to live with her, two and a half years ago. She feeds them a prepared blend of dried vegetables, fruits and herbs that she mixes with water and either tofu, beans or textured vegetable protein.

"I get the occasional weird look, but any doubters seem to feel much better once they meet Moliere and Tillie and see that they're normal, healthy, energetic and rambunctious little dogs," she says.

CNN's Brett Roegiers contributed to this report.

@highlight

Shelley Boyle's vet suggested cutting meat, dairy from dog's diet to diagnose ear infection

@highlight

Five months later, Cleo's ear infection and bad breath is gone, Boyle says

@highlight

Vets say dogs -- but not cats -- can adapt to balanced omnivore diet

@highlight

Question up for grabs is whether dogs can thrive on diet free of animal protein