(CNN) -- Almost a month after Malaysia Airlines Flight 370 disappeared, searchers say pulse signals detected in the Indian Ocean provide the best hope so far for finding it.

However, those same officials warn it will take time to confirm if the sonar pings come from the missing plane, meaning nothing is certain yet.

The new information raises more questions about what the pulse signals mean and what happens now.

Is this it?

Maybe.

An Australian ship using high-tech U.S. equipment has twice detected signals along the suspected flight path of the airliner off its country's western coast.

Angus Houston, who heads the rescue effort, told reporters that a device called a towed pinger locator on the vessel Ocean Shield received signals similar to the kind that the aircraft's on board data and cockpit voice recorders would emit.

The first detection, which occurred over the weekend, lasted more than two hours before the ship lost contact, Houston said. A second detection several hours later lasted 13 minutes, and more importantly, included two separate signals audible to the locator device, he said.

Two signals could mean they came from the so-called black boxes, as expected.

"It's probably the best information that we have had," Houston said before immediately noting that "we haven't found the aircraft yet; we need further confirmation."

A promising lead

Why this may be it

The signals reported were near the 37.5 kHz "standard beacon frequency" of the recorders, officials say. That frequency was chosen for use to avoid interference from other ocean noises as much as possible.

In addition, the two pulse signals detected at the same time would be consistent with the two emitters on the plane.

Also, the location where the signals were detected is along the missing plane's probable flight path, according to the latest analysis of its known direction and fuel capacity. Houston said the new information on the likely flight path helped narrow the search area.

"With the acoustic events that we're getting in the area, we are encouraged that we're very close to where we need to be," Houston said, later adding: "This is quite an extraordinary set of circumstances that we're now in a very well-defined search area which hopefully will eventually yield the information that we need to say MH370 might have entered the water just here."

On Saturday, a Chinese ship detected a single pulse signal more than 300 miles further south, also near the most recently projected flight path. Houston said the distance made it "unlikely" the Chinese ship and Australian vessel detected the same signal, but added "in deep water, funny things happen with acoustic signals."

Why this may not be it

From the beginning, search officials have stressed the long odds against figuring out where the plane might be without visible evidence such as wreckage.

For now, all we have are some pulse signals, Houston said, and in the ocean, those could be from a number of things.

"This has been done without finding any wreckage thus far, and I think it's quite extraordinary and what I'd like to see now is us find some wreckage because that will basically help solve the mystery," Houston explained, adding that "without wreckage, we can't say it's definitely here."

Next steps

Oceanographers note that the ocean is full of sonar sounds, including whale calls and signals emitted by research equipment left on the bottom to help find it later. While the frequency of the black box signals are intended to be unique, other sounds can cause confusion, they note.

"Unlike in air where sound travels in a straight line, acoustic energy -- sound through the water -- is greatly affected by temperature, pressure and salinity," explained Peter Leavy, commander of the military task force conducting the search. "And that has the effect of attenuating, bending -- sometimes through 90 degrees -- sound waves. So it is quite possible and very hard to predict -- it's quite possible for sound to travel great distances laterally but be very difficult to hear near the surface of the ocean, for instance."

On Monday, U.S. Navy Commander William Marks told CNN from the search operation that the inability of the Ocean Shield's pinger locator to find the signals again more than a day since the last reception caused initial optimism to become "more and more cautious."

What next?

The Ocean Shield and its towed pinger locator continue to search the area where it detected the signals to try to hear them again. If they do, searchers would send out a Bluefin-21 Autonomous Underwater Vehicle with a more accurate sonar and possibly a camera for mapping and studying the the ocean floor, Leavy said.

"At the moment that's not deployed," he told reporters. "The focus is on trying to reacquire the acoustic signal that they had" by the end of Tuesday.

Meanwhile, the website MarineTraffic.com indicated Monday that three ships were searching a spot further to the south where the Haixun 01, a Chinese patrol boat, reportedly detected pulse signals on Saturday.

Another Chinese vessel and the HMS Echo of Britain's Royal Navy joined the Haixun 01 in the area, according to the website, which has been reliable in reporting the movements of search vessels.

Officials had said they would send additional resources to help the Haixun 01 try to find the source of pulse signals it detected on the same 37.5 kHz frequency used by airplane recorders.

A major question is how long the batteries in the recorders will last. They have a 30-day expectancy when activated, and the plane disappeared on March 8, which was 31 days ago.

"We're already one day past the advertised shelf life," Houston said. "We hope that it keeps going for a little bit longer."

Relatives react

Confirmation that the signal comes from the Boeing 777 would mean "the possibility of recovering the plane -- or at least the black boxes -- goes from being one in a million to almost certain," said Simon Boxall, a lecturer in ocean and earth science at the University of Southampton.

Houston, a retired Australian Air chief marshal who is chief coordinator of Joint Agency Coordination Centre, warned against expecting a quick resolution.

"It could take some days before the information is available to establish whether these detections can be confirmed as being from MH370," he said. "In very deep oceanic water, nothing happens fast."

What happens after the pingers die?

CNN's Aaron Cooper, Mike M. Ahlers, Jethro Mullen, Holly Yan, Catherine Shoichet, Judy Kwon, Ed Payne and Mitra Mobasherat and journalist Ivy Sam contributed to this report.

@highlight

NEW: U.S. Navy commander: Initial optimism over pulse signals becomes more cautious

@highlight

Search officials call new pulse signals the best indication so far they are on the right track

@highlight

Without wreckage from the missing plane, nothing is certain for now

@highlight

Finding an answer will take time, officials warn