Rumors and speculation are running wild, as the Chinese Communist Party (CCP) prepares for its 18th Party Congress. So far, though, the most tangible thing about the Congress is the massive deployment of extended security measures in China, resulting in the cancelation of academic conferences, art exhibitions, performances and even private meetings.

In a way, the CCP is asking the entire Chinese nation to hold its breath until the Congress ends.

All this effort is expended over the transfer of power to the "next generation" of Chinese leaders. Indeed, these extra security measures indicate that the leaders of the CCP understand well their weakness: that the fragility of an authoritarian system lies in its transfer of power.

China's next leaders: Who's who

That is, despite its domination over the lives of the Chinese people, even the Communist party is not exempt from the general political axiom that a governing régime relies on popular acceptance of its authority.

The problem is that is no one, not even the Party's own members, voted for the next generation of CCP leaders. There are no laws -- or even any clear rules -- that govern the selection of leaders, leaving the matter of choosing the top leaders of the most populous nation on earth entirely at the mercy of the Party's forever changing internal logic.

Read about the struggle of ideas among China's leadership

Even after a decade as the top leader of China, how exactly President Hu Jintao became Jiang Zemin's designated successor remains a mystery even to expert analysts and historians.

The selection process is and will always remain at the highest level of state secrets, guarded even from the majority of Party members. The most important reason is that any detail, if known, could be used as ammunition for internal party strife and dangerously expose the leadership's vulnerabilities.

On April 30, 1976, after Premier Hua Guofeng had accompanied Chairman Mao Zedong to a meeting with New Zealand Prime Minister Robert Muldoon, Hua told Mao that he would summon activists from Sichuan and Guizhou provinces to Beijing for a conference to strengthen the "Criticize Deng Xiaoping Campaign."

Mao was already suffering from a neural disease that made him unable to speak, so he replied by jotting down a note that read: "With you in charge, I am at ease." Five months later, Mao died, and Hua became his successor as chairman.

That note became the main vehicle of state propaganda efforts to lend Hua legitimacy. And in order to keep its original limited context a secret, Foreign Minister Qiao Guanhua, an eyewitness to the original exchange, was sacked.

It is unlikely that the public will ever know how Xi Jinping became the designated successor of Hu Jintao. Whether or not he was actually handpicked by Jiang Zemin, as rumored, will remain a secret, and even if Jiang were confirmed to have picked Xi, Jiang does not have the charismatic stature of Mao to lend instant legitimacy to his chosen successor, and the lack of public consent would only be highlighted.

In Hua's case, details surfaced only after he was politically sidelined and excluded from positions of power.

In addition to the selection of president and the party's general secretary, the selection of the powerful Politburo Standing Committee is another top level state secret, because the details of who nominated whom would allow political analysts to figure out factional affiliations and map out the complex web of entrenched interests.

Read why China's new leaders must focus on rights

Under certain circumstances, information regarding top leaders is released to the public only with intent. Deciding which details to release or not to release on the fallen Bo Xilai must have been a real headache for the Chinese leadership. When the case against his wife, Gu Kailai, was first announced, there was no mention of Bo himself.

Too many details would only confirm the longstanding public impression that families of high-level Party officials use their connections to rapidly accumulate millions and live their private lives in stark contrast to the Party's claims of altruism. Yet, some details needed to be released, as authorities built their case against him.

Thus, the decision of what and when to release information has seemed painfully slow and cautious, creating the perfect environment for rumors and speculation to feed public curiosity.

In today's global information environment, details on the Chinese leadership can now reach millions of people in a matter of minutes via online media and social networks. More than likely, Chinese leaders do not like the way the public reacts to news that is not carefully crafted by the state's propaganda machinery.

In March 2012, a young man driving a Ferrari 458 Spider with two young women aboard died in a fatal high-speed crash. Information about the incident went viral online before it could be suppressed. The driver was reportedly found to be Ling Gu, the son of Ling Jihua, President Hu Jintao's protégé, who was demoted six months after the Ferrari incident.

Recently, the New York Times report of Premier Wen Jiabao's alleged family business ventures spread throughout the Chinese online network shortly after publication, even after Chinese authorities had blocked access to the newspaper's English and Chinese websites. The same happened after Bloomberg reported on the wealth of Xi's extended family.

That is a far cry from September 13, 1971.  When Mao's comrade-in-arms Lin Biao died in a mysterious plane crash in Mongolia, it took months for the news to ripple through widening circles of the population.

Thus, the Chinese leaders' response to the new age of information has been to make their political system ever more opaque and expend enormous resources on media censorship.

Such is the case with Xi, China's designated leader, of which little is known beyond official accounts. His personality too must be kept secret through a web of media censorship, because such information could be used by opponents to figure out his political tendencies and preempt his political actions.

If we have to make an intelligent guess about Xi, we might have to look at the CCP's recent "History of the Chinese Communist Party, Volume 2 (1949-1978)," which covers the Mao years. This grand project was led by none other than Xi Jinping, according to official reports, and reportedly under his sole discretion. The result is another Party effort to cosmetically make over the disastrous events of the Mao era.

When Xi is in power, he will be turning Party history to its next page.

"He who controls the past controls the future."

@highlight

There are no laws -- or even clear rules -- that govern selection of leaders, Bao writes

@highlight

Bao: It is unlikely that public will ever know how Xi became Hu's designated successor

@highlight

Selection of powerful Politburo Standing Committee is another top level state secret

@highlight

Bao: Public consent is lacking; in media age, leaders respond by making system more opaque