Nairobi, Kenya (CNN) -- Some answers may be revealed in blood-stained halls or deep in the rubble of Nairobi's Westgate Mall. Others may never be known.

That's the reality for investigators and the people of Kenya on Wednesday, still coming to grips with a vicious attack and armed standoff that ended a day earlier.

At least 61 civilians and six Kenyan security officers died in the four-day attack and rescue efforts, President Uhuru Kenyatta said Tuesday, but the death toll will rise as recovery workers retrieve bodies buried in the rubble of the partially collapsed mall.

Kenyan forces killed five terrorists, and 11 others are in custody over possible links to the attacks, Kenyatta said, declaring that his country had "ashamed and defeated" the attackers.

But even though Kenyatta declared the siege over, an immense amount of work remains to learn how Al-Shabaab, a terror group thought to be badly bruised by recent losses in its Somalian homeland, was able to pull off such a well-coordinated and brazen attack.

President: Mall siege attackers 'ashamed and defeated'

How did they do it?

It started Saturday when the attackers stormed into the upscale mall and began shooting. A senior Kenyan government official said they took "very few" people captive; the attackers were primarily out for blood.

"They were not interested in hostage-taking," the official said. "They only wanted to kill."

The attackers were equipped well enough to kill dozens of civilians, then fend off Kenyan security forces for four days -- not the sort of action that can be pulled off on a whim.

That raises a number of questions: How could such a significant plot, involving travel arrangements, arms transfers and other details, have escaped the attention of intelligence officials? Did the attackers have inside help, either at the mall or within security forces?

So far, Kenyan and U.S. authorities aren't answering such questions, certainly not publicly.

Al-Shabaab grew amid Somalia's lawlessness

U.S. wants access

U.S. security and law enforcement personnel are pressing for access to the mall and the bodies of the terrorists so they can begin to determine if Americans were among the attackers, according to a U.S. official with direct knowledge of the situation.

"That is the million-dollar question," the official said. "We do not have much fidelity on this. We haven't had access to the scene."

But based on what the United States knows so far, "this was meticulously planned," the official said. "This is not something where the attackers walked into the mall all of the sudden."

The United States is looking at the possibility the attackers stored their weapons inside the mall ahead of time and may have even rented a store there as a base of operations. The Americans are also looking at reports the attackers may have had access to blueprints of the mall and knowledge of the location of employee and service personnel stairways as well as ventilation systems.

FBI experts from the Terrorist Explosive Device Analytical Center are assisting Kenyans on a preliminary basis. They have specific expertise in analyzing explosives and fingerprints. But the United States wants autopsy and forensic data, including DNA samples, to help determine if Americans were involved, the official said. The United States also will scour any communications or intercepts for clues, according to other officials.

American experts also will try to analyze any evidence of grenades and heavy belt-fed machine guns being used, the official said. He noted grenade attacks by Al-Shabaab are fairly common.

The U.S. belief so far is that Al-Shabaab hard-line leader Ahmed Abdi Godane ordered the attack, the official said.

"Nothing like this would have gotten off the ground without him. It's safe to assume this is something he would have blessed," the official said.

Who were the attackers?

Kenyan authorities have said 10 to 15 attackers were believed to be involved.

One attacker was Dutch and another British, Kenya State House spokesman Manoah Esipisu told CNN on Wednesday.

Al-Shabaab previously had said Americans were involved in the attack, a claim Kenyatta also noted Tuesday but said has not been verified. Esipisu said Wednesday that Kenyan authorities believe attackers of "a few other nationalities" were involved.

Kenyan Interior Minister Joseph Ole Lenku told reporters Wednesday that authorities cannot confirm the nationalities of the terrorists until forensic testing is complete. He said the United States, Israel, Britain, Germany and Canada are helping in the mall forensic investigation.

Somali jihadists recruit in United States, Canada and Europe

Reports that a white woman was among the terrorists who stormed the mall have prompted a slew of media speculation about Samantha Lewthwaite, a British woman whose husband was one of the suicide bombers in the 2005 London terror attacks. Known as the "White Widow," Lewthwaite has been wanted by international counterterrorism officials since authorities found bomb-making materials in her Mombasa, Kenya, apartment in 2011. She vanished shortly before a raid.

Was the "White Widow" involved?

A senior Kenyan official said Tuesday a woman was involved in the attack. Esipisu said Wednesday that authorities can't say much about who the woman was or what she was doing.

"What we've been told by multiple witnesses is that they saw a woman. We have also been told that if it is the same woman that they say they saw, that she would have been killed very early on in the attack," Esipisu said. "We don't know for sure that we had a woman. And secondly, because of the bodies trapped under the rubble, we don't know if she is who everyone says she might be."

Where are they?

Some of them are dead, inside the rubble of the partially collapsed mall, Kenyatta said.

But while he said five terrorists had been killed by Kenyan forces and 11 people were in custody, it was not clear if all the attackers had been accounted for, or if some may have been able to slip out in the chaos.

A senior Kenyan official said forces were able to drive two attackers trying to escape by car back inside the mall, but it's unclear if any others might have been able to elude authorities early in the crisis. Others could have escaped by posing as civilians, perhaps after ditching weapons and changing clothes.

How to help

On Wednesday, a high-level source who asked for anonymity told CNN that Kenyan counterterrorism police had arrested a British national of Somali descent who had injuries on his face and was acting suspiciously as he tried to board a Turkish Airlines flight. It's not clear if Kenyan authorities suspect the man of being inside the mall during the attack, but authorities found they had no record of the man's entry into the country, the source said.

There is conflicting information on the man.

The UK Foreign and Commonwealth Office told CNN the detained man is not connected to the terrorist attack. The office did not say how it knew that man was not involved and declined to elaborate.

Kenyatta, whose country boasts deep counterterrorism ties to the United States, vowed to track down and punish the attack's perpetrators.

"These cowards will meet justice, as will their accomplices and patrons wherever they are," the Kenyan leader said Tuesday.

The Kenyan spirit cannot be broken, says eyewitness

CNN's Zain Verjee reported from Nairobi; Michael Pearson reported and wrote from Atlanta. CNN's Barbara Starr, Evan Perez, Arwa Damon, Greg Botelho, Nima Elbagir, Victoria Eastwood, Atika Shubert, Becky Anderson, Lillian Leposo, Brian Walker and Holly Yan contributed to this report.

@highlight

There are conflicting reports on a British man held in Kenya for questioning

@highlight

Complexity of attack raises questions about planning, possible collusion

@highlight

Official: The Westgate Mall attackers "were not interested in hostage-taking"

@highlight

Six security officers, at least five terrorists and at least 61 civilians dead, president says