Washington (CNN) -- The case of a frequent flier labeled a "frequent complainer" by one airline will soon get a Supreme Court review, testing consumer rights against corporate prerogatives.

The justices will hold an hour of oral arguments Tuesday.

Rabbi Binyomin Ginsberg claims his WorldPerks Platinum Elite membership was revoked after being told he had "abused" his privileges, repeatedly filing complaints for upgrades and other benefits.

Northwest Airlines, which was consumed by Delta Air Lines in a 2008 merger, said it had "sole judgment" over the program's general terms and conditions to make such determinations.

At issue is whether Ginsberg has a right under state law to bring his case or whether it is preempted by a 1970s-era federal law that deregulated the airline industry.

That law prohibits parties from bringing similar state claims against airlines relating to a "price, route, or service" of the carrier.

Ginsberg is dean of Torah Academy in Minneapolis and travels frequently to lecture and teach.

He joined Northwest's WorldPerks frequent flier program in 1999 and reached Platinum Elite statu s-- the highest level-- in 2005.

But in June of 2008, Ginsberg claimed a Northwest representative called him and told him his status was being revoked on grounds that he "abused" the program, according to court papers.

Ginsberg said the airline also took away the hundreds of thousands of miles accumulated in his account.

"It didn't make sense. Initially, when they contacted me on the phone I thought it was a prank call," Ginsberg told CNN. "When I pushed for a reason and clarification, they told me it was because I was complaining too much."

A month after that call, Northwest sent the rabbi a letter noting that he had made 24 complaints in the past eight months, including nine incidents of his bag arriving late at the luggage carousel, according to court papers.

"You have continually asked for compensation over and above our guidelines. We have awarded you $1,925 in travel credit vouchers, 78,500 WorldPerks bonus miles, a voucher extension for your son, and $491 in cash reimbursements," the letter said.

"Due to our past generosity, we must respectfully advise that we will no longer be awarding you compensation each time you contact us."

Ginsberg's lawyers countered the rabbi and his wife had been averaging about 75 flights on Northwest each year, and that Ginsberg estimated that only about 10% of the trips had resulted in a call to Northwest's customer care.

"I don't think I was a frequent complainer," Ginsberg said. "They should have taken their time and analyzed: Were my complaints legitimate? Should they be doing something to improve their service and quality of product? Instead of worrying, we've got to shut up somebody who is complaining too much."

Later that fall, Northwest sent Ginsberg an e-mail, in which the airline quoted a paragraph from the fine print of the WorldPerks Program.

It stated that Northwest could determine "in its sole judgment" whether a passenger has abused its program, and that abuse "may result in cancellation of the member's account and future disqualification from program participation, forfeiture of all mileage accrued and cancellation of previously issued but unused awards."

Ginsberg sued for $5 million over a breach of contract in January 2009, but a federal judge in San Diego dismissed the class action suit, agreeing with Northwest that the Airline Deregulation Act (ADA) preempted his claim.

The airline's lawyers also argued that the WorldPerks general terms and conditions did not require Northwest to provide frequent fliers with lengthy explanations or reasons for its decision to terminate or demote a member's status in the program.

But in 2011, a federal appeals court in San Francisco reversed, and ordered reconsideration of Ginsberg's class action claims. It said that when Congress passed the deregulation law, it did not intend to "immunize the airline industry from liability for common law contract claims."

"Congress did not intend to convert airlines into quasi-government agencies, complete with sovereign immunity," said the three-judge panel.

This dispute turns on a time-tested standard of contract law: the implied "covenant of good faith and fair dealing," the presumption that two parties will deal squarely with each other. Lawsuits are typically brought when one party feels the other is using technical excuses to breach its contractual obligations.

That's what Ginsberg's lawyers will claim in Tuesday's arguments. Attorney Adina Rosenbaum says the WorldPerks program in itself is not a "service," as defined by the federal law at issue, and therefore the rabbi's claim is not preempted.

"The word 'service' does not encompass every activity undertaken by an air carrier," said Rosenbaum. "If an airline owned a restaurant, ran a dry cleaner, or managed a sports team, it would not be immunized from following state laws relating to those activities simply because it is an airline. Rather the 'service' referred to in the ADA is the service customers are buying when they buy an airline ticket: the service of providing air transportation."

But the airline counters the ruling from the appeals court was "nothing short of mystifying."

"Implied covenant claims ask a court to substitute state law for competitive market forces, contrary to Congress' deregulatory intent" under the ADA, said Paul Clement, the company's appellate attorney, who will press his arguments before the justices. "This case arises in one of the discrete contexts in which (the federal Department of Transportation) retains substantial regulatory authority and capacity. If DOT determines that airlines are being deceptive or manipulative in exercising their discretion to remove abusive members of their frequent flyer programs (an unlikely prospect since the programs exist to reward and retain the most valued customers), DOT has authority to act. Absent such a determination, there is no role for courts applying state law concepts of fundamental fairness and decency."

The Obama administration is supporting Northwest.

Ginsberg -- who is still a frequent flier, but is no longer loyal to any one airline -- said he is hoping to get his miles back, have his status reinstated, and get fair compensation for what he claims to have endured.

"To me, it's outright fraud. You can't take somebody's mileage away when they've accumulated it," he said. "We live in a country that was built on freedom and this to me is a tremendous abuse of freedom."

The case is Northwest, Inc. v. Ginsberg (12-462). A ruling is expected by the spring.

@highlight

Rabbi Ginsberg says he was told he complained too much

@highlight

Northwest Airlines kicked him out of the frequent flier program

@highlight

The rabbi lost all of his frequent flier miles as well

@highlight

The high court will look at consumer rights vs. corporate law