(Oprah.com) -- My childhood home-four-bedroom colonial in a Washington, D.C., suburb-had an exquisite exterior.

But inside there was too much furniture crowding every room; too many Sears receipts spilling from end tables with too many drawers; too many televisions, with their confusing array of remotes, making too much noise; too many boxes of yellow cake mix aging in the overstuffed pantry; too many shoes and coats crammed into the hall closet, making it impossible to find the ones I needed in a hurry.

Don't get me wrong: Ours was never one of those unsanitary houses you see on hoarding shows. It was just uncomfortably full, like a belly straining against a belt while its owner made room for one more pie and seven more mini-muffins.

The problem was my mother, who had trouble parting with anything she thought someone she loved might someday need from her (in other words, anything). My father vacillated between resister and accomplice.

In my more enlightened moments, I imagine that if I had grown up as they did, in a poor village in Pakistan, I, too, might have held on a little too tightly once fortune finally favored me. But as a child, I felt as though I were drowning.

I remember coming home from school to find things in my closet-wrapping paper, extra blankets-that didn't belong there. In protest, I'd toss these intruders into the hall. Then as now, clutter had a physical effect on me. The sight of knickknacks caused my left shoulder to rise and fall, tic-like, as if trying to shake something off.

Oprah.com: Break your bad habits for good

Since leaving home for college, I've been making up for lost space. The home I currently share with my two sons looks from the outside like the one I grew up in-gorgeous redbrick, huge yard-but inside, there are no walk-in closets. No kitchen pantry. And gloriously, no garage.

There are no coffee tables, because with them comes coffee-table clutter. No televisions, because their sidekicks are remote controls and piles of DVDs.

If a decorator walked through my home, she'd recommend an ottoman here and there, a decorative accessory for the hallway, or end tables to cradle the telephones that sit on the hardwood floor in front of the jacks.

She'd suggest art for my untouched walls. She might wonder why there's no dining table in the dining room.

It's not that I dislike decorations; I truly admire beautifully appointed homes. My laundry room holds tightly taped boxes full of mementos from my travels. I just can't figure out how to put them up without turning into a woman who has animal statues flanking her front door.

I fear that if I start, my DNA strands-with their broken C gene-might eventually strangle me, leaving me writhing in a pile of throw pillows. Surely children of alcoholics are just as careful about taking that first drink.

Oprah.com: What Oprah knows for sure about finding the fullest expression of yourself

Though my home is empty of the extraneous, it never feels empty enough. I frequently walk around with a cardboard box hunting for donation targets. For me, de-cluttering is an itch that pleads, then demands, to be scratched.

If something's not being used this very moment, or on the cusp of being used, it's out. There's no ill-fitting clothing in my home, save the two onesies I held on to from my sons' baby days-and one small box of prepregnancy pants that keep me jogging.

I purge my closet seasonally, tossing anything that isn't earning its keep. What have you done for me lately, red sweater?

When they've sat unused too long, mocking me, I've evicted my hair dryer, curling iron, patio furniture, any coffee mug with words on it, and my broiler pan. I understand that most ovens come with a broiler pan.

What I don't understand is, why? Why don't we get a choice in the matter? I have no baking pans, either. In an emergency, tinfoil is quite foldable and durable.

I adore items with multiple uses, especially paper towels. In my house, these magic little squares moonlight as dinner napkins, place mats, sponges, dishrags, sometimes toilet paper, and, occasionally, ambitiously, maxipads.

But even paper towels I cannot stand to stock up on. Since I discovered Amazon's Subscribe & Save service, they arrive on my doorstep monthly, in a perfectly synchronized dance of use and replacement.

One thing I've been unable to get rid of is the outdoor garbage can that my home's previous residents left behind. Do you know how hard it is to throw away a trash can?

I've tried cute notes with smiley faces; I've stuck the can inside my own, but the garbage collectors refuse to take the thing. It grates on me daily to see that green monstrosity leaning against my house. Sometimes I force myself to use it, to justify its existence.

To me, making do with less-almost to the point of deprivation-feels like a slightly demented badge of honor, a silent scream that says, Look, Mom, no extras! But more often than I'd like to admit, it turns out that I actually do need an item that I've given away, and I'm forced to repurchase it.

Two years ago, I donated my treadmill because I joined a gym. A year later, I quit the gym because I wasn't spending enough time there-and paid $1,400 for a new treadmill.

Two springs ago, I donated my space heaters to my children's school, because... well, it wasn't cold anymore. As it turned out, the frost returned the following winter, and I had to shell out $70 a piece for four new heaters.

I once donated a Pakistani cookbook to Goodwill because I had the distressing feeling there might be another one somewhere in my house. I realized later that I'd written some family recipes on the back, so I had to repurchase my own book.

Oprah.com: Organizing solutions for every room

My greatest de-cluttering challenges are Zain, 11, and Zach, 8, who adore useless stuff just as much as I abhor it. On some days, I fantasize about tossing all their toys and books and papers, the daily avalanche that flows from their backpacks. It's a pipe dream I know I will regret entertaining once they are grown.

And grow they will, into men who will tell their balanced, bewildered wives that their mom never let them bring home stuffed animals or pogo sticks or water guns from their grandparents' house. They'll recount that they owned one pair of sneakers at a time, plus dress shoes for holidays, because I didn't want the hall closet cluttered.

That their desire to display Lego creations and chess trophies buttressed against my obsessive resistance to blemished surfaces. "I can't stand so much stuff everywhere," I recently blurted, surveying the four books and magic wand strewn atop Zach's nightstand. "Stand it, Mom,"he replied, not unkindly.

Zain, meanwhile, defiantly displays a framed photo of his fourth-grade Wizard of Oz cast party on his desk. I once hid it in the laundry room, hoping he would forget about it.

A year later, I felt guilty enough to return it to him. Now he is lobbying to put up a Harry Potter poster. I have engineered a compromise: He can put up whatever he wants, but on the inside of his closet doors.

Oprah.com: 3 smart new ways to kick pessimism to the curb

Occasionally, I worry that I'm depriving my sons of the same sense of control over their environment that I longed for as a child. I cringe at the thought that they might not want to come home for spring break to a house with no television to watch the hockey game on, and no coffee table to prop their feet on while they watch it.

My former husband, who recycled himself two years ago, never shared my fear of clutter but kindly kept his collection of African masks at the office. The first thing I noticed about his new digs was the decorative table that existed solely to display photos of our boys: dozens of pictures of their fully frame-worthy faces.

He also had flat-screen TVs. For a moment, I admired his ability to balance his own aesthetics with the needs of others. I doubted that, with his full larders and healthy attitude, he'd ever have trouble drawing anyone into his home to lean against a throw pillow and watch the game.

Then I retreated to my own gloriously uncluttered home, whose clarity rises up to embrace me as I enter the front door. I picked up a stray sneaker and admired a drawing poking out from a backpack.

Eventually I sat, with a mug of coffee that had no words on it, on a couch with just enough pillows to make a decent nest. I thought about how lucky I am to live in this perfect, unencumbered space with my two perfect, if cluttery, children.

I thought about how everything in this house is here because of a carefully considered decision. Myself included. Ironically, I've lived for the past two years in my parents' real estate clutter, an extra home in a great school district they purchased when I was 3 and held on to for the absurd reason that someday, someone they loved might need it.

Oprah.com: 10 things you can officially stop worrying about

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

Her childhood with a hoarder mother has defined a dramatic decluttering lifestyle

@highlight

Her greatest de-cluttering challenges are her sons Zain, 11, and Zach, 8

@highlight

She worries her fear of clutter is depriving her sons a sense of control over their environment