(CNN) -- Days of sipping umbrella drinks have given way to the stench of backed-up sewage, stuffy cabins without power and limited food. The Carnival Triumph engine fire shows that the best-laid cruise plans can veer terribly off course.

Sometimes it's rough waters forcing the ship's captain to change or skip a port of call at the last minute. And then there are the extreme cases of a days-long stranding, or in the case of the Costa Concordia disaster, the loss of 32 lives. When accidents happen, it's not always clear what the cruise line is required to do next.

Here are five things we've learned about cruises since the Triumph's engine room caught fire on Sunday:

Emergency systems aren't designed for a pleasant trip

It's unclear at this point what systems are in play aboard the Triumph, but we know that generators are supplying power. And from passengers' grim reports, these emergency measures do not a fun vacation make.

"The emergency generator is sized to provide sufficient power for systems that are necessary for the survivability of the vessel, passengers and crew," according to marine engineer Robert Jackson, who is the chair of the engineering technology department at California Maritime Academy.

Opinion: Dirty secrets below deck

The plumbing systems on the ship are powered by electricity, and passenger accounts of sloshing sewage indicate that there's not enough to operate facilities for more than 4,000 passengers and crew.

"Since the incident happened on Sunday, technicians have managed to restore limited power on board to operate some toilets and limited functions in certain areas. There is running water, albeit cold water," Carnival spokesman Vance Gulliksen said via e-mail.

A Coast Guard helicopter delivered an additional generator to the ship on Wednesday to supply more power.

How Carnival can clean up the PR mess

Itineraries can change without notice

Cruise lines may change a ship's course mid-voyage. In the case of an engine fire, that's a given, but more routine sailings could also change. Diversions may mean changing a port of call or skipping it altogether, and passengers agree to the unexpected when they purchase tickets. The conditions are included in the cruise line's ticket contract.

Carnival ships can "deviate in any direction or for any purpose from the direct or usual course, and to omit or change any or all port calls, arrival or departure times, with or without notice, for any reason whatsoever," including mechanical breakdowns, according to the cruise line's ticket contract.

While terms and language vary by cruise line, according to Dan Askin, senior editor at online cruise community Cruise Critic, "it's pretty standard legalese across the industry that aims to protect the line against every contingency."

This week Triumph sister ships Carnival Legend, Carnival Conquest and Carnival Elation all diverted to provide provisions to Triumph. However, those diversions did not result in any delayed arrivals or skipped ports of call, Gulliksen said.

Tears and big hugs as passengers reunite with families

Passenger compensation often is not required

Itinerary changes after a ship departs are considered part of the "proposed voyage," according to Carnival's itinerary change policy. Under the policy, Carnival is not liable for refunds or damages for post-departure changes.

But when more than 3,000 passengers are stranded for five days, the cruise line is willing to concede a failed voyage.

Triumph passengers will get $500 in addition to a full refund for the cruise and most expenses on board, transportation expenses to get home, as well as a credit for another cruise, Carnival said.

Even in much less dire situations, most cruise lines do offer prorated compensation for cruises that are cut short, Askin said.

"After that, there's significant variability in compensation, event by event," he said.

After a bad cruise, can you cruise into court?

Cruise ship inspections vary by ship and country

In addition to the regulations of the International Maritime Organization, a United Nations agency, a ship is subject to the laws of the country whose flag it flies. The ship may also be subject to the laws of a country where it stops.

The Carnival Triumph sails under a Bahamian flag, so authorities there are taking the lead in investigating the incident. But because the Triumph stops in U.S. ports and carries U.S. passengers, the U.S. Coast Guard has some inspection oversight over the vessel. The Coast Guard issued a certificate of compliance for the Carnival Triumph on May 17, 2012, after the ship's annual inspection.

The Coast Guard and the National Transportation Safety Board have also launched an investigation into the cause of the engine room fire.

In contrast, the Costa Concordia, which ran aground and sank off the coast of Italy in January 2012, didn't stop in U.S. ports carrying U.S. passengers, so it wasn't subject to U.S. Coast Guard regulation.

Why did the rescue take five days?

Passengers may have a legal case

Carnival's ticket contract says the cruise line is not "liable to the passenger for damages for emotional distress, mental suffering/anguish or psychological injury of any kind under any circumstances, except when such damages were caused by the negligence of Carnival and resulted from the same passenger sustaining actual physical injury, or having been at risk of actual physical injury."

While no physical injuries have been reported, if a passenger contracted a significant disease, such as hepatitis, from unsanitary conditions on the ship, maritime trial attorney John H. (Jack) Hickey believes physical injury could be argued.

"I think that a case can be made that everyone on that ship is at risk of actual physical injury," he said.

Will passengers file suit and can they win? Yes and yes, Hickey said.

Carnival's contract prohibits a class action suit, but Hickey said he's not sure whether it is legally enforceable.

Hickey has never filed suit over a cruise ship stranding, but he said these circumstances, particularly the reports of sewage on decks, are exceptional.

"It's a public health disaster in the making."

My celebration trip on the Carnival Triumph: From joy to misery

CNN's Katia Hetter contributed to this report.

@highlight

Emergency systems aren't designed to support 4,000 people for five days

@highlight

A cruise line's ticket contract protects the company from much liability

@highlight

Passengers may have a legal case against Carnival, maritime attorney says