LONDON, England (CNN) -- A six-month trial was launched this week that promises to transform the way luggage is tracked and monitored at London's Heathrow airport.

As many as 28 in every 1,000 passengers do not arrive at their destination at the same time as their luggage.

The trial -- run by BAA and airline Emirates -- is using RFID (radio-frequency identification) technology to tag baggage. This will allow staff to more accurately track bags passing through the airport.

The crucial difference between RFID and the existing barcode system is its scanning accuracy. Barcode tags can be easily damaged in transit and are also at risk of being covered when scanned. If not scanned, details must be entered manually into the system, adding time and error to the process.

BAA estimates that Heathrow can read only 60 per cent of labels that pass through. RFID is reported to offer over 99 percent accuracy.

The £150,000 trial -- the first of its kind in the UK -- will continue for six months tracking bags for passengers traveling with Emirates to and from Dubai, and transferring through Heathrow. A duplicate of the Heathrow system has been installed at Dubai Airport.

During the check-in process at Heathrow Terminal 3, staff apply tags containing RFID chips to bags with information including the passenger's name and route.

The chips are then read on entry into the baggage system; they are tracked as they move throughout; and finally on leaving the system. As a result, says Shaun Cowlam, Logistics Director at Heathrow Airport, staff can know where a bag is at "every moment of every day".

BAA is also considering introducing a SMS text messaging service to keep passengers informed of where their bags are. When passengers arrive at Heathrow, says Cowlam, the idea will be to send passengers a text informing them what belt and what time their bags will arrive at.

Ultimately, the use of RFID could extend services to frequent flyers, and provide the means to added value services such as faster check-in, and even be integrated with secure collection and delivery.

The main benefits, however, will be for travelers passing through major hubs such as Heathrow and Dubai, as this system offers better processing of baggage on transfer flights.

Emirates and BAA are sharing the costs of the trial. But as Vic Sheppard, Emirates Vice President for UK and Ireland says, "cost is not an issue", especially considering the savings the airline is expected to achieve by reducing loss and repatriation of bags.

And as Cowlam adds: "if we can introduce this across the whole network the costs will reduce significantly."

Hong Kong International Airport was one of the first to deploy RFID technology in 2005. But as outlined in a recent survey by SITA, RFID is being used in just 6 percent of the airports surveyed.

"For this system to really take off we need other airports and other airlines to embrace the technology," says Cowlam.

That widespread adoption may not be far off. The SITA survey indicated that RFID tags will be used in 45 percent of airports by the end of 2009.

It's still early days, but BAA and Emirates are optimistic for RFID's future in airports. "There have been giant strides in the technology in aviation in recent years. But in the last few decades there hasn't been any advancement in the methods adopted for baggage handling," says Sheppard. "This is a major step forward." E-mail to a friend

@highlight

New trial at Heathrow airport will use RFID to accurately track and monitor luggage

@highlight

Compared to exsiting bar codes, RFID tags offer 15 percent more reading accuracy

@highlight

A proposed service will send SMS to passengers informing when bags arrive