This story is part of an ongoing series of profiles by CNN about economic survival in this time of financial crisis.

Leah Bird and her husband Ed Wright stand in front of their new home: a 1974 Airstream trailer.

(CNN) -- They bid farewell to their beloved trips to the opera and museum, the beach and Buddhist temples. They ate one last time at their favorite restaurants serving Indian curried chicken and warm bowls of Vietnamese pho.

Leah Bird and her husband, Ed Wright, have traded their comfortable two-bedroom apartment and jobs in Beverly Hills, California, for life in a trailer on a five-acre Oregon farm.

No longer do the couple hear roaring fire trucks in the street or chatter from patrons dining at outdoor cafes. On this farm, the dominant silence is occasionally interrupted by the sounds of frogs and crickets.

"It's not necessarily a lifestyle that has ever seemed attractive to me," says 28-year-old Bird, between tending to the farm animals: two sheep, two Nubian goats, miniature horses and geese. "I always saw myself as more of a metropolitan person, but you know, without money, this was our best option."

The couple's drastic lifestyle change -- one they chose -- came last October when Wright, 48, lost his job managing life insurance portfolios for millionaires at a private firm in Beverly Hills. His niche company, which relied heavily on capital flow, had felt the pain of the credit crunch.

Once making over $100,000 a year, Wright soon joined the growing number of Americans facing unemployment in the economic downturn. iReport.com: Tell us how you're surviving

With meager savings, Bird and Wright knew they couldn't maintain their costly Los Angeles lifestyle in an area where, they say, image is everything. Even if they had stayed in Beverly Hills, they would have needed to move into a smaller apartment and rely on Bird's modest salary as a financial manager. Exhausted from the rat race, Wright decided they needed another option.

"I've been in Los Angeles for a long time and I've had to start over before," Wright says. "You spend two or three years getting back on your feet and then what? It's a struggle if you aren't making a lot of money."

Then Wright's parents offered to let the newlywed couple live on their family farm in rural Douglas County in southern Oregon until the couple bounced back.

Wright agreed immediately. He says he wanted to move there to help his elderly parents manage the sprawling property. His wife, however, was more reluctant because she still had her job. But Bird says she soon agreed to move to the farm because it was the fastest way to cut expenses.

"I did it out of immediate necessity," says Bird, who grew up in more of a suburban setting near Tucson, Arizona. "I don't think I was ready to leave L.A."

While Wright wanted to make the move north, he wasn't ready to move in with his parents. At Christmas, the couple purchased a 1974 Airstream trailer, shaped like an oblong silver bullet, from Craigslist for a few thousand dollars. The trailer living quarters are cramped, with about 300 square feet, a major downgrade from the couple's 1,400-square-foot apartment in California. iReport.com: From Beverly Hills to Hillbillies

The couple moved to Oregon in mid-January, after a two-day drive from Los Angeles, hopeful the farm would give them the needed break from city life and a chance to focus on finding new careers.

In Los Angeles, they lived in a neighborhood with about 20,000 people. Now, the closest town has fewer than 20,000 people.

"We're not going to lie to you and say everything is hunky dory," Wright says. "It's hard being out here."

"I feel like a fish out of water," Bird added. "I'm so out of my element."

Their mornings now begin at the crack of dawn. They clean the living space for the animals, pick up manure and fix the landscaping. Afternoons are spent job hunting, a challenging feat in a region where lumber and nursing are the two dominant fields. For now, they are spending their savings until they find employment.

Their trailer's bedroom has just enough room to stuff in a queen-size bed. A narrow window by the bed looks out on the farm, where they can see deer roaming the land in the mornings. There is no dining room, a difficult adjustment for the couple, who once enjoyed entertaining guests over dinner and wine.

The living room furniture consists of colorful pillows piled against the wall on the floor facing the television and a desk for their laptops. Their new kitchen has just enough space for one person to stand and work.

There is one toilet , which is currently being remodeled, and no shower. The couple bathe at Wright's parents' house; they admit that they only shower a few times a week now.

Most of their belongings from Los Angeles, expensive furniture and art accumulated over the years, remain in storage. While the couple miss these things, they say their new lifestyle will help them survive the troubled economy. They also hope it will teach them to live simpler lives.

In many ways, Bird and Wright are enjoying the serenity of their slower-paced lifestyle. They are spending more time together, and Bird says she is getting closer to Wright's parents.

After the initial culture shock in the first month, Bird says she is slowly adapting to farm life. She learned how to build a fire pit, and she plans on growing a fruit and vegetable garden in the spring. She wants to buy more productive animals like cows. With the garden and some cows, she says, the couple won't have to purchase vegetables or milk from the grocery store.

Her husband is remodeling their trailer by adding amenities to the kitchen and bathroom. Wright, who has always been interested in philosophy and religion, says he sees his unemployment as a time for "soul searching."

The couple are still mulling their career options. Wright, who is also an amateur musician, is looking at new job opportunities for the future. He has dabbled with the idea of starting his own bar since he knows so many musicians in the industry, he says. He and his wife are thinking about joining the Peace Corps together, or maybe building a log house on the farm. The options are limitless, they say.

A few weeks ago, surrounded by giant pine trees in the cold winter air, the couple walked outside and looked up. For the first time in a long time, they could see the stars shining brightly in the dark sky.

CNN's Shirley Zilberstein contributed to this report.

@highlight

Leah Bird and Ed Wright have have traded their Beverly Hills life for a trailer on a farm

@highlight

Wright, who once made $100,000 a year, was laid off from an insurance firm

@highlight

They feed animals, clean manure and fix the landscape

@highlight

"I feel like a fish out of water. I'm so out of my element," Bird says