(CNN) -- Less than a month ago Bob Dylan could justifiably feel he was revered in France. The singer was in Paris to receive France's highest public award, the Legion d'Honneur.

As France's most prestigious medal was pinned to Dylan's lapel, his French hosts heaped praise on the 72-year-old legend for his contribution to music -- and notably his songs inspired by French poets Rimbaud and Verlaine.

It was impossible to predict that, only three weeks later, Dylan would be embroiled in an ugly controversy that has resulted in preliminary charges against him in France for inciting racial hatred.

Ironically, Dylan's comments were made about America, not France. In a Rolling Stone interview published in 2012, the singer was quoted as saying: "If you got a slave master or Klan in your blood, blacks can sense that. That stuff lingers to this day. Just like Jews can sense Nazi blood and the Serbs can sense Croatian blood."

A Croatian group in France pressed charges against Dylan for his remarks. Now Dylan, who has performed in both Croatia and Serbia, finds himself in legal trouble in France for comments he made last year about racism in America.

The Croatian group claimed that Dylan was equating all Croatians with the small minority of Croatian war criminals.

The tension between Croatians and Serbs has deep historical roots, most recently with the breakup of former Yugoslavia, during which accusations of genocidal massacres were made on both sides. Farther back, during World War II when the political movement Ustasha ruled Croatia, it erected concentration camps for Jews, Serbs, Roma gypsies and other non-Catholic minorities. It is believed that roughly 320,000 ethnic Serbs were killed under the Nazi-allied Ustasha.

In France, a country where racism is a sensitive issue, the controversy surrounding Dylan touches a raw nerve. The French have questioned themselves whether they are racist and xenophobic, especially toward the minority African and Muslim populations whose integration into French society has been rife with tensions and sometimes violence.

French Minister of Justice Christiane Taubira, one of the country's most prominent black politicians, has been subjected to racial slurs. A right-wing French magazine, "Minute," featured a headline about her: "Crafty as a monkey, Taubira gets her banana back."

The famous French movie actress Brigitte Bardot has been convicted and fined for inciting racial hatred for her comments about Muslims in France after complaining on her website that Muslims were "destroying our country by imposing their ways."

The French have also struggled with its history of anti-Semitism, which flared up during the infamous Dreyfus Affair at the end of the 19th century when a Jewish military officer was wrongfully accused and convicted of treason. France's collaboration with the Nazis during World War II is a shameful chapter in the country's past that was for decades swept under the carpet of collective memory.

Today it is illegal in France to deny the Holocaust and incite racial hatred, and sell Nazi memorabilia on the Internet. (For example, a French judge in 2000 found the U.S.-based company Yahoo guilty of facilitating neo-Nazi auctions.)

Dylan's published comments have opened old wounds in France. Yet there is something curious about the timing of these charges against him. First of all, the singer made the remarks to Rolling Stone last year; they were later published in a French version of the magazine. And the Croatian group's complaints against the singer apparently date to November 2012.

It is interesting, too, that the preliminary charges by French prosecutors against Dylan were filed on November 11, only two days before the legendary singer was to receive his Legion d'Honneur from a Socialist government that is usually admiring of engagÃ© pop singers with a strong anti-establishment political message.

In the stuffy precincts of the Legion d'Honneur's Grand Chancellerie, it appears that the government's nomination of Dylan for the award had originally been received sniffily. In May, French press reports claimed the 17-member Legion d'Honneur council had tossed out the nomination on the grounds that Dylan had been an anti-war radical during the Vietnam War and, moreover, had used drugs. It was only after some backroom intrigue that it was announced that Dylan would receive the Legion d'Honneur after all.

Dylan fans doubtless find this whole thing perplexing. Yet it's not surprising that this blew up in a country where hate-speech accusations often reach the courts.

The opinions expressed in this commentary are solely those of Matthew Fraser.

@highlight

Bob Dylan has been charged with inciting racial hatred in France for some comments

@highlight

Matthew Fraser: It's ironic since he just won France's highest public award

@highlight

He says racism is a sensitive issue in France, and Dylan controversy touches a nerve

@highlight

Fraser: This isn't surprising, because in France hate-speech accusations often reach courts