The reputations of one of the Army's finest generals and of a once-admired institution may get tarnished, but nothing should now get in the way of urgent investigations, firings and immediate fixes in health care for veterans.

And for good measure, maybe heads should roll at the White House, too, because what we have been told so far about a burgeoning scandal over veterans' care doesn't add up.

The story line out of the administration is that the head of Veterans Affairs, retired Gen. Eric Shinseki, and President Obama are both "mad as hell" about alleged misdeeds and have sprung into action to put things aright. We are led to believe that alarm bells went off in both organizations as soon as allegations surfaced.

One would so like to believe that were the case. Shinseki has a sterling record as a soldier. He was twice wounded in Vietnam -- the second time grievously, losing most of one foot. A lesser man would have been forced out of the service but through sheer courage (he used to run punishing laps around a track to show he was still able), he convinced the Army to let him stay and he rose to four stars.  More recently, Shinseki was the man who had the guts to tell the truth before we went into Iraq -- insisting he needed a much bigger force -- and was essentially cashiered. I have long been an unabashed admirer.

Obama has also taken up the cause of veterans since he first ran for the U.S. Senate.  So has the first lady.  And under this president, much good has been accomplished for veterans in terms of health care, reducing homelessness, jobs, and importantly, a nation's respect.

But as admirable as Shinseki's and Obama's records have been on behalf of veterans, the story line the administration has been peddling about the VA's care of veterans simply doesn't fit the facts. The underlying problem at the heart of this scandal -- excessive, long waits for medical care for veterans coming home from Iraq and Afghanistan -- has persisted for years.

Running for the White House, candidate Obama promised action. Soon after he took over the VA, Shinseki did take action, ordering that henceforth veterans would not have to wait more than 14 days for a medical appointment.

But the bureaucracy at the VA, second only to the Pentagon in size, is notoriously sluggish.  In 2010 -- four years ago! -- the deputy undersecretary of the VA wrote a nine-page memo saying that in order to cover up their continued delays, various parts of the VA system were engaged in "gaming strategies" -- in effect, lying.

The General Accounting Office and VA inspector generals wrote reports saying the practice was widespread. One would have thought that would have set off alarm bells at both the VA and the White House. Where was the anger then? There were some internal investigations, but they never went anywhere and there was little apparent sense of urgency.

Six months ago, CNN turned loose its own investigative reporters and aired stories about excessive waits in several facilities across the country.  Again, the VA and the White House had little to say.

Then a month ago, CNN (along with the Arizona Republic) broke the story from the Phoenix VA that managers there have allegedly been cooking their books to provide false assurances. Veterans awaiting care were dying. The administration seemed to brush the story aside and Shinseki refused repeated requests from CNN for an interview.

Recent days have been a political nightmare for the VA. Hauled before Congress to testify, Shinseki testified that evidence suggested only "isolated incidents" in the system. That same day CNN was reporting that there were allegations of misdeeds in at least six centers across the country. The next day the VA itself said there were 10 centers under investigation. By this week, the official number had mushroomed to 26. And weeks after the fact, the VA has rescinded a bonus it gave earlier this year to the boss of that Phoenix operation.

In the weeks ahead, the administration now says, investigators will come up with reports and maybe some folks will be forced out. We will see. In the meantime, veterans are still waiting to hear of decisive action to end their long delays in care.

When troubles arise in which Americans are needlessly dying, citizens like to think of the president as the fireman-in-chief. He is there in the White House, his team ever vigilant, and at the first sign of danger, he leads his team into action. At his side is the Cabinet officer with responsibility. Sadly, that is not what happened here.

For most Americans, the story of VA officials allegedly falsifying records of veterans' care is disgusting. Those old enough to remember will be reminded how the government falsified counts of body bags in Vietnam.  But the real issue is whether as a country, we are keeping faith with our veterans -- whether, as Abraham Lincoln urged in his second inaugural, we are binding the wounds of those who fought. Surely, we owe them prompt and professional care -- no more excuses, no more delays, no more b.s.

@highlight

David Gergen: President Obama and Eric Shinseki have done much for veterans

@highlight

But he says their stories about the delays for medical care don't add up

@highlight

A top VA official wrote about the coverup of long waiting lists four years ago

@highlight

Gergen: No more excuses, it's time to investigate and fix this problem