WUGANG, China (CNN)  -- Hengjiang Village is nestled in the lush mountains of China's Hunan province, just a few kilometers from the bustling city of Wugang. It is a simple place, where mopeds carrying families of four zoom up and down dirt roads, and villagers drink water from local wells.

Xiao Junmei spent more than 20 days in hospital recovering from severe lead poisoning.

Their simple, unassuming way of life was shattered when children started getting sick. A few cases turned into hundreds and parents started to worry.

So far, 1,354 children in Hunan province have tested positive for abnormal levels of lead in their blood, authorities say.

Lead poisoning is a devastating side effect of industrial pollution. In Shaanxi province's Fengxiang County, 851 children recently also turned up with high lead levels along with more than 200 in Yunnan province. All of them live near industrial plants, some only a few hundred feet away.

Local officials say eight factories in Wenping and Simachong, including the plant in Hengjiang, have since been shut down, including coal, manganese and iron smelting plants.

Environmental protection officials from the central government have been dispatched to various locations to conduct factory inspections and environmental evaluations. Authorities say all factories will remain closed until they meet official safety standards.  Watch Chang's report on lead poisonings in Fengxiang »

Two executives at a manganese factory in Wenping have been detained. The general manager was on the run for two weeks but turned himself in on August 27.

"What they did is totally wrong," Wugang government spokesman Lei Zanning told CNN. "The factory and the boss have violated the production safety standards. This is the result of illegal production and construction."

Authorities say children living up to 20 kilometers away from factories have been affected, and more were being tested. The government is offering free examinations for children under 14 years old and compensation for affected families.  See photos of the families, the plants and the kindergarten where cases were first found »

Although officials have showed remorse and concern, villagers said they have been intimidated to keep quiet.  Watch Chang's report on being followed by officials during one of her lead poisoning investigation »

Upon arriving at Hengjiang Village, residents rushed our crew behind homes before we could be seen by local government "spotters" or police. Once they felt safe, one parent after another recounted tales of their sick children.  Watch Chang meet the parents and children »

"My baby's been in the hospital for more than 20 days," said Xiao Aijun, of his 10-month-old daughter Xiao Junmei. "We have to go back in the month. Look at her hair, look at her hair!"

Xiao said Junmei's hair is not growing properly and his older daughter has lost her appetite.

Lead poisoning can cause severe developmental problems in children ranging from anemia to stomach pains and permanent brain damage. Doctors say the only treatment that is available is incredibly high-risk, and cannot completely rid the body of lead. Lead not only infiltrates the bloodstream, but also the body's soft tissue and bones and can cause lifelong consequences.

According to doctors, pregnant women can also pass lead poisoning on to their unborn children.

"The government hasn't done anything to take care of pregnant women," said Liu Yanqun, who is seven months pregnant. "My first child miscarried due to external factors, and this is my second. The government just doesn't care."

"Of course, I'm worried about my baby's future," Liu added. "Is my baby going to be like these children with lead poisoning, with birth defects?"

A government notice posted in town outlines a compensation plan for families with sick kids, but also warned villagers not to "spread rumors" or cause trouble.

"They're insulting us," said one man.

"Yeah, all they want us to do is stop talking," said another woman.

At the manganese plant down the street from Hengjiang Village, another public notice indicates there was recently a protest there, during which some equipment was damaged. The notice says the government will be lenient to those who turn themselves in. Those who provide information will be rewarded.

Protests in response to industrial pollution are increasingly common in China where health and environmental standards have at times been sacrificed to promote economic development.

According to reports, up to 10,000 villagers recently rioted at a sewage plant in Fujian province, claiming it is responsible for causing cancer. The protesters reportedly clashed with 2,000 police who fired warning shots and tear gas to break up the crowd.

Environmentalists say pollution will continue to be a challenge for local governments that are often poorly equipped to monitor the environmental impact of factories in their areas.

"Local environmental bureaus don't have much capacity or resources to conduct frequent inspections," said Steven Ma of Greenpeace China.

Regardless, Ma said, "GDP growth is still like the first priority for a lot of local governments although ... the central government is more aware of a necessity for more balanced development."

In the case of lead and other metals, contamination may be more widespread than many local villagers can anticipate. Lead can remain in the air, water, soil and crops even after the source of contamination is cut off.

"If you don't reduce the use of heavy metals at the source it's very difficult to actually treat them after they're released into the environment," said Ma. "So it poses a long term threat to environment in China. According to the government, about 10 percent of the nation's arable land is contaminated with lead, and annually about 12 million tons of food crops are contaminated by lead."

Children with the most serious cases of lead poisoning in Hengjiang Village and surrounding areas are being treated at local clinics and larger hospitals in nearby Changsha. Parents said hospital officials asked them to sign forms agreeing not to talk to journalists.

However, they defied orders and agreed to meet us outside to tell us their stories. Many of their children are undergoing risky medical treatment that while helpful, cannot completely reverse the damage that has already been done.

"When the manganese plant was built, we didn't really know the influence it would have on our families," said mother Luo Meiling, clutching her daughter. "If we knew, we wouldn't have been living there in the first place. We had no idea the plant would poison our children."

@highlight

About 1,354 children in Hunan province test positive for abnormal levels of lead

@highlight

Officials: Eight factories shuttered; won't reopen until they meet safety standards

@highlight

Environmental protection officials dispatched to conduct inspections

@highlight

Children turn up with high levels of lead elsewhere in China