It's not enough to eat good food, sit by the beach and sleep in for a week. Sometimes you need to make the most of downtime by stripping away anything that could potentially cause stress, including children.

Whether you need a recovery trip on the heels of spring break or a haven from other people's cranky toddlers, some hotels and resorts remove that unpredictable variable of youth and allow for a special kind of exclusivity: adults-only properties.

The model is most widely available at beach destinations, where hoteliers are focused on traveling couples intent on a more romantic atmosphere. An adults-only situation allows the resort to tailor its amenities to fit the needs of guests of a certain age, which could mean massages for two on the beach instead of chicken nuggets on the menu.

But it's not just tucked-away resorts that are adopting this grown-up business model. The Out NYC, billed as New York's first "gay urban resort," is eschewing anyone under 21 from booking a stay.

"I created the Out NYC to be a sanctuary steps from Times Square," says Ian Reisner, the hotel's founder. "Creating an adult-only resort in the city offers a welcoming environment for like-minded travelers away from the frenetic pace of the city."

No matter the location, adults-only accommodations come with the guarantee that you won't be interrupted by crying babies or rambunctious children. But be warned, this type of added luxury doesn't come cheap.

"When you're choosing your vacation destination, you're paying for the experience, and adults-only resorts can have a higher price point because they offer the ultimate experience," says travel agent Jason Hedrick.

Check out these retreats if you're in need of a little family-free R&R:

Glenmere Mansion, New York's Hudson Valley

This country retreat 50 miles from New York City is strictly for the over 18 crowd, including both of its fine dining restaurants, which are open to nonhotel guests. Originally built in 1911, the Italianate mansion houses 18 guestrooms, which range from standard to sprawling suites, all individually designed and overlooking either the estate's gardens or Glenmere Lake. Rub elbows with the other guests in the elegant public spaces, from the fireplaced library to the outdoor heated pool or the championship croquet court.

Twin Farms, Barnard, Vermont

This luxury Relais & Chateaux hideaway set on 300 acres in Vermont affords guests one-of-a-kind privacy. Most of the 20 guestrooms (you can choose from suites or cottages) are spread out, so it's entirely possible to avoid other guests altogether. Instead you can hobnob with boldface names from the art world; expect to see works by modern masters such as Roy Lichtenstein and Jasper Johns hanging on walls. Come winter, ski enthusiasts will also appreciate Twin Farms' six private skiing trails. It's almost like having an entire mountain to yourself. Be warned, however, that the property does open itself up to families with children a few times a year -- allowing even the youngest travelers to revel in its splendor.

El Dorado Casitas Royale, Riviera Maya, Mexico

Adjacent to Karisma Hotels' El Dorado Royale -- an adults-only beachside complex -- is an uber-luxury sister resort called El Dorado Casitas Royale, where private casitas sit right on the beach. Guests who opt to book one of these exclusive retreats for two have their own Jacuzzis, private beach beds, butler service and pools and restaurants to choose from, plus access to the amenities next door.

The Out NYC, New York

The year-old Out NYC is a rare urban refuge: While the rest of this list features properties in the countryside or by water, the Out NYC is one of the few city hotels that target a specific age bracket. The "straight friendly" resort doesn't accept reservations from anyone under 21. So those looking to check out its 104 rooms, the 5,000-square-foot wellness facilities, the popular Mediterranean-inspired KTCHN Restaurant and the XL Nightclub, Cabaret & Lounge -- the first nightly gay party venue to open in the city in 15 years -- have to prove they are old enough to drink alcohol in the United States.

Ponta dos Ganchos, Santa Catarina, Brazil

This exclusive resort in southern Brazil is so out of the way, it's not uncommon for guests (ages 18 and up) to arrive via private helicopters, landing on the on-site helipad. Situated on a peninsula, Ponta dos Ganchos has 25 villas, which feature private verandas and comfortable hammocks for enjoying panoramic water views. The pricier units really up the luxury quotient with plunge pools, saunas and Jacuzzis.

Yellow Lagos Meia Praia Hotel, Lagos, Portugal

Lagos is one of Portugal's most beautiful coastal destinations known for idyllic spots for swim and surf. A reputation like this doesn't go unnoticed by sun-hungry Europeans of all ages. Find refuge at Yellow, where unobstructed views of Meia Praia beach are reserved for the over 17 crowd. If a break from the water is what you're after, the hotel is near a golf course and within walking distance of Lagos' historic city center, where you can settle in on one of its many restaurant patios for fresh fish.

@highlight

Some resorts cater to a mostly 18-plus crowd with deluxe amenities

@highlight

Ponta dos Ganchos in Brazil is tucked away on a private peninsula

@highlight

The Out NYC is geared toward gay guests in the heart of the city