London (CNN) -- Imagine a skyscraper that cleans the air. You won't have to wait long -- two will soon be built in China.

The world's tallest towers, futuristic pink spires that "breath life" into the environment, are due to begin construction within two years.

The ambitious Phoenix towers were designed by London-based architects Chetwoods and will claim the tallest building title from Dubai's Burj Khalifa.

And the design goes one step further: The towers will be one of the world's most environmentally-friendly buildings.

Stretching up more than a kilometer into the skies above Wuhan, the capital of China's Hubei province, the Phoenix project aims to clean the air and water from its surrounding areas. It's expected to become a tourist attraction for both Chinese and international travelers.

Chetwoods chairman Laurie Chetwood told CNN the project is more than just an architectural statement. It's also about preserving the lakes of the region, he said.

"You can imagine the pressure those lakes are under, [with] a huge dense city growing around them," he said. "So we thought we could not only attract attention with the towers but also breathe life, literally, into the lakes."

The architects have looked to the natural world for inspiration, building a "thermal chimney" in the center of the taller tower. The chimney, heated by the sun, will draw air from across the lakes and use it to cool the buildings.

The air will then be filtered and churned back into the environment cleaner than before. The buildings will do the same with the water, tantamount to "putting air back into the water like in a typical fish tank.... but we're also cleansing the water and putting it back," Chetwood said.

The towers have also drawn on Chinese culture, reflecting its use of the phoenix as a metaphor. "It's two dragons or two birds -- one male, one female -- and we use this idea as a symbiotic idea, one feeding off the other for the benefit of all."

The taller of the two towers will accommodate a kaleidoscope, turned by a wind turbine, and creating what Chetwood hopes will be a "wonderful experience when you look up." Combined with photovoltaic panels, they produce electricity for the project -- with some spare for the district.

The smaller tower will feature the world's tallest "green wall," or vertical garden, which will climb to the top of the tower.

But perhaps the most controversial architectural feature are the huge celestial orbs strung between the two towers, housing restaurants and viewing platforms. The designs are unusual, the "sort of idea that China embraces, that perhaps somewhere else in the world they think you're going too far there," Chetwood said.

The towers will glow in vibrant pink, as a nod to the fuchsia flower. While architects often pivot to monochromatic colors, Chetwood wanted to mix it up with color. Also, he adds, "I hold my hands up and say I actually like the color and thought it would look stunning."

Constructions starts in 2016, and the aim, Chetwood said, is for people to "have their breath taken away."

@highlight

The world's next tallest building is being built in China, and the two towers will clean the air around them

@highlight

The Phoenix project has been designed by London-based architects Chetwoods, building will begin 2016

@highlight

Chetwoods chairman tells CNN he wanted the project to be more than an architectural statement