(CNN) -- Educators and policymakers have long dreamed of providing universal, low cost, first-class higher education. Their wish may come true soon thanks to an unlikely source: Silicon Valley.

The mecca of the technology universe is in the process of revolutionizing higher education in a way that educators, colleges and universities cannot, or will not.

One of the men responsible for what may be an Athens-like renaissance is Sebastian Thrun, Google's vice president and pioneer in artificial intelligence and robotics. Known in science circles for his engineering feats -- like Stanley, the self-driving car -- Thrun is using his technological prowess to make quality higher education available to the world. I recently interviewed him on my radio show, "Morning In America."

Last year, while teaching a graduate level artificial intelligence class at Stanford University, Thrun lamented that his course could only reach 200 students in the suburbs of Palo Alto. So, he decided to offer his own free online class, with the same homework, quizzes and tests that he gives to Stanford students.

He announced the proposal with a single e-mail. Before he knew it, he had a flood of takers. "Usually I reach about 200 students and now I reach 160,000," said Thrun incredulously. "In my entire life of education I didn't have as much an impact on people as I had in these two months."

By utilizing online videos and educational resources, Thrun's class was being accessed by students from all corners of the world. In fact, the students themselves translated the class for free from English into 44 languages.

Until now, an overwhelming number of these students -- many in developing countries and lacking standard education credentials -- never would have had a chance at a Stanford-level education. Yet, their appetite for quality education was strong.

Do we need a revolution in higher education?

In fact, of all the students taking Thrun's class globally and at Stanford, the top 410 students were online. The 411th top performer was a Stanford student. "We just found over 400 people in the world who outperformed the top Stanford student," Thrun said.

Realizing the potential at his fingertips, Thrun launched Udacity, an independent online education company that provides high quality education at low cost to virtually everyone. Udacity offers 11 STEM courses like "Introduction to Physics," "Intro to Computer Science," and "Web Application Engineering" -- all free. There are no admissions offices and anyone can sign up. After the class, students can choose to certify their skills online or in one of Udacity's 4,500 testing centers for a fee. Those certificates can then be sent to employers. In one course you can learn to make your own Google-style search engine in just seven weeks.

The reaction has been overwhelming. "People really want good education. There is a huge need," Thrun said. "Hundreds of thousands of people just sign up because they really care. They really want to advance themselves and their lives and they don't want to pay $50,000 or $100,000 to get there."

The classes are structured much like university classes. But instead of traditional types of lectures, all-star professors give video presentations that directly engage and challenge students. Thrun is using technology not only to transform educational access and curriculums, but also teaching. For the past thousand years, professors have been lecturing at students. "[It's] like trying to lose weight by watching a professor exercise," quips Thrun. Now he is leading a new charge -- interactive, student focused technology education.

The results are inspiring. On my radio show alone early one morning, several listeners called in to say they already took classes through Udacity. One man had his sights set on graduate school but was too busy with family and work to ever finish along a traditional path. Now, through Udacity, he can take the STEM classes he wants when he wants. Another man, age 53, decided to change careers and go back to a local college to study computer science. When he heard of Udacity, he dropped out of school and signed up for an online course. He said he learned more in several weeks with Udacity than he did in an entire semester at the local college, and he paid nothing for it.

As you can imagine, Thrun's enterprise has rattled the foundations of the education establishment. His critics say that a Udacity certificate is worth nothing and how can one know the true identity of a student on the free-for-all jungle that is the Internet?

I raised these questions to Thrun. He said Udacity has already partnered with more than 20 companies who verify and accept the certificates of course completion. Some are already hiring graduates of Udacity courses. Thrun is also working with other companies to design and tailor classes to specific needs in the work force. Soon, Udacity will be launching in-person testing centers to verify a student's knowledge and skills.

Udacity is simultaneously meeting the educational needs of the public and the vocational requirements of the labor force directly and efficiently, more so than we can say of many universities and colleges.

I asked Thrun whether his enterprise and others like it will be the end of higher education as we know it -- exclusive enclaves for a limited number of students at high tuitions? "I think it's the beginning of higher education," Thrun replied. "It's the beginning of higher education for everybody."

Read more about education on Schools of Thought

Much of traditional American higher education prides itself on a false promotion of diversity, opportunity and excellence. But to my knowledge, with one class alone, Thrun has provided a level of diversity, opportunity and academic rigor not seen before. People from any country, any background and any income level can receive an elite education at virtually no cost. We have been talking about equal educational opportunity for years. What is going on here may be its true advent.

What's wrong with America's school system? Share your thoughts, photos and videos with us on CNN iReport.

The opinions expressed in this commentary are solely those of William J. Bennett.

@highlight

Bill Bennett: We have dreamed of providing universal, low cost, first-class higher education

@highlight

Bennett: Thanks to Silicon Valley, and Sebastian Thrun, we may soon attain that dream

@highlight

He says Thrun's Udacity is an inspiring model for the future of education

@highlight

Bennett: Traditional higher education has much to learn from Thrun's enterprise