(CNN) -- North Korea reacted with indignation to a United Nations decision to investigate allegations of human rights abuses inside the isolated state, claiming it has one of the best systems worldwide for protecting citizens' rights.

The United Nations Human Rights Council in Geneva said delegates agreed Thursday to set up a commission of inquiry to examine what it called "grave, widespread and systematic" violations of human rights in North Korea.

The decision followed a recent report submitted to the council by an independent expert alleging North Korea had committed a range of abuses, including torture, enslavement, enforced disappearances and murder.

Many of the alleged acts "may amount to crimes against humanity," according to the report's author, Marzuki Darusman, an Indonesian lawyer.

The council's decision to take action on his report comes amid heightened tensions on the Korean Peninsula following the North's latest underground nuclear test last month that prompted tougher U.N. sanctions on the regime of Kim Jong Un.

Pyongyang has ramped up its rhetoric, issuing threats to Washington and Seoul on a near daily basis. Annual joint military exercises by U.S. and South Korean forces this month have fueled the North's ire.

Unsurprisingly, the North Korean representative at the U.N. Human Rights Council, So Se Pyong, had strong words Thursday about the move to establish the commission of inquiry.

North Korean video shows imagined attack on Washington

The draft resolution on the matter, adopted by the council without a vote, "is no more than an instrument that serves the political purposes of the hostile forces in their attempt to discredit the image of the DPRK," So said, using the shortened form of North Korea's official name, the Democratic People's Republic of Korea.

He warned of "serious consequences" if the council went ahead with the inquiry.

North Korean citizens are "happy with pride and honor that they have one of the best systems for promotion and protection of human rights in the world," So told the council, according to the U.N.

Reports of suffering

His assertions run counter to the accounts of many North Koreans who have fled the country telling of horrific conditions. Humanitarian workers and others who have visited the reclusive state have also described a suffering population.

Officials from other countries at the U.N. council disagreed with the North's version of reality.

"For too long, the population of the country has been subjected to widespread and systematic human rights violations and abuses," said Gerard Corr, the Irish representative speaking on behalf of the European Union.

Human rights groups estimate that as many as 200,000 people are being held in a network of prison camps in North Korea that the regime is believed to use to crush political dissent.

In his report to the U.N. council, Darusman identified nine patterns of rights violations in North Korea, such as depriving people of food, arbitrary detentions and heavy restrictions on freedom of expression.

Under the issue of enforced disappearances, he also included the abductions of foreign citizens.

A leading human rights group called the decision to set up the commission "a landmark step."

"This long awaited inquiry will help expose decades of abuse by the North Korean government," said Julie de Rivero, advocacy director at Human Rights Watch.

"The establishment of this commission sends a strong message to Pyongyang that the world is watching and its abuses must end," she said.

China: U.S. risks antagonizing North Korea

@highlight

NEW: A leading human rights group calls the move "a landmark step"

@highlight

An inquiry will examine "grave, widespread and systematic" rights violations in North Korea

@highlight

North Korea calls the move a political ploy by "hostile forces" to harm its image

@highlight

The U.N. decision comes amid high tension on the Korean Peninsula