Editor's note: This is part one of a two-part series.

Jim Fontella was based at Camp Lejeune in 1966 and 1967. He was diagnosed with breast cancer in 1998.

TAMPA, Florida (CNN) -- The sick men are Marines, or sons of Marines. All 20 of them were based at or lived at Camp Lejeune, the U.S. Marine Corps' training base in North Carolina, between the 1960s and the 1980s.

They all have had breast cancer, a disease that strikes fewer than 2,000 men in the United States a year, compared with about 200,000 women. Each has had part of his chest removed as part of his treatment, along with chemotherapy, radiation or both.

And they blame their time at Camp Lejeune, where government records show drinking water was contaminated with high levels of toxic chemicals for three decades, for their illnesses.

"We come from all walks of life," said Mike Partain, the son and grandson of Marines, who was born on the base 40 years ago. "And some of us have college degrees, some of us have blue-collar jobs. We are all over the country. And what is our commonality? Our commonality is that we all at some point in our lives drank the water at Camp Lejeune. Go figure."

Starting in 1980, tests showed drinking water at Camp Lejeune had been "highly contaminated" with solvents. Several wells that supplied water to the base were found to have been contaminated in 1984 and 1985, and were promptly taken out of service after the pollutants were found, the Marine Corps told CNN.

Among the chemicals later identified in the drinking water were trichloroethylene, a degreaser; benzene; and the dry cleaning solvent perchloroethylene. Two independent studies have found no link between water contamination and later illnesses, according to the Marine Corps. But the men facing a debilitating and possibly lethal disease don't buy it.

"That's literally unheard of to have 20 men come from the same place, walking on the same dirt, drinking the same water," said Jim Fontella, who was based at the camp in 1966 and 1967. "I mean, there has to be a link there somehow. And they're saying that it couldn't happen."

Fontella, a Detroit native who fought in Vietnam, was diagnosed with breast cancer in 1998. When it returned after surgery, spreading to his spine and back, he "kind of manned up to it after a while and expected to die."

"Once you have metastasis in the bone, it's basically just a matter of time before you die, you know," he told CNN. "Luckily, I have already passed my due date by five years. I outlived that death sentence I got."

Fontella is one of seven male breast cancer survivors who spent time at Camp Lejeune who spoke to CNN. Fontella said that at the time of his diagnosis, he didn't know men could get breast cancer.

Peter Devereaux, who was diagnosed with breast cancer in 2008, was based at Camp Lejeune in 1981 and 1982. The cancer spread to his spine, ribs and hips.

"The difference with metastatic breast cancer means now there's no cure. So the average life expectancy is two to three years," Devereaux told CNN.

"Being a man, I try to take care of my wife and my daughter," he said, his voice catching. "Now that I'm considered disabled because I can no longer work and use my arms, you're having challenges."

Dr. John Kiluk, a breast cancer surgeon at the Moffitt Cancer Center in Tampa, Florida, said he's startled by the common threads among the group.

"The average breast cancer patient for males is about 70 years old," Kiluk said. "So when you have gentlemen in their 30s stepping forward, without a family history of breast cancer, that is alarming. And the question is, why? Why is this happening?"

As many as 500,000 people may have been exposed to the contaminated water over a period of 30 years, the Marine Corps said. Partain, Fontella, Devereaux and others CNN interviewed are all members of "The Few, The Proud, The Forgotten," which was set up to organize people who believe they have been affected by the contamination.

But in a written response to questions raised by the men, the Marine Corps told CNN that two studies have examined whether contaminated water led to illnesses among base personnel or their families.

"To date, these studies have not identified a link between exposure to the historically impacted water at Camp Lejeune and adverse health effects," the service said.

In addition, it said a 2004 review by the Marine Corps found the service followed existing water quality regulations. And investigations by the Bush administration's Justice Department and Environmental Protection Agency found no criminal conduct by Marine Corps officials and no violations of the Safe Drinking Water Act.

But Tyler Amon, an EPA investigator, told a House committee in 2007 that some employees interviewed during the criminal investigation appeared to have been coached and were not forthcoming with details. The Justice Department decided against filing charges based on his concern, however.

Parts of Camp Lejeune have been included on the EPA's Superfund list of contaminated sites. Benzene, one of the chemicals found in the water there, is classified as a known human carcinogen by the federal government, while the other two are listed as potential causes of cancer.

Frank Bove, an epidemiologist with the federal Agency for Toxic Substances and Disease Registry, said the level of contamination in one sample taken at Camp Lejeune was "the highest I've ever seen in a public water system in this country." But, he added, "Whether exposures were long enough and high enough at Camp Lejeune to cause disease -- that's the question."

Researchers need to know more about where the men lived on the base, what kind of work they did, their medical histories and other details before reaching a conclusion, Bove said.

"We're not sure there's one common cause across all these cases," he said. "There may be several different causes."

The Marines Corps said it has worked with environmental and health agencies "from the beginning" to determine whether the contamination resulted in any illness, and "this collaboration continues to the present day."

But so far, "collaboration" does not involve medical care for the stricken men, who say they are now facing a bureaucratic Catch-22: The Marine Corps sends them to the Department of Veterans Affairs, which says it can't treat the men for a condition that hasn't been shown to have been "service-related."

"How could they do this to me after I served the country faithfully?" retired Marine Rick Kelly told CNN. "How could they do this to my fellow Marines?"

@highlight

20 people, all Marines or sons of Marines, have had male breast cancer

@highlight

Each lived at Camp Lejeune between the 1960s and 1980s

@highlight

"We all at some point in our lives drank the water at Camp Lejeune," one says

@highlight

Marine Corps says two studies found no link to "adverse health effects"