(CNN)The beauty of Afghanistan -- a country blemished by wars, upheaval and the inhumane treatment of women by extremists -- has almost been forgotten by the world, and by many Afghans themselves.

In the last few decades, little attention has been paid to the other Afghanistan: the sweet melodies, the kind people, and the beautiful land full of ancient wisdom and intersecting traditions.

This is understandable. It would be irresponsible to solely focus on those positives while families are torn apart and the noise of war rings in people's ears. Generations of Afghans have had their homes surrounded by battles and their lives punctuated by fear.

Afghanistan has been the largest refugee-producing country for 32 years. One out of every four refugees worldwide is Afghan, according to the United Nations.

Recently, I was watching an engrossing reality TV show featuring singers when a friend peered over my shoulder and asked about the program. I explained that it was "Afghan Star," Afghanistan's answer to "American Idol." She was shocked by the set and the sophisticated arena stage where the stars were standing. That stage could easily have been in New York, Los Angeles, London or Rome.

This, I realized, is the Afghanistan no one believes exists, or has ever existed. Afghanistan has a rich tradition of music, poetry, and songs that have influenced its neighbors and any region of the world exposed to the Silk Road. After all, the famous Sufi poet Mawlana Jalalideen Rumi was from modern-day Afghanistan.

I grew up across the river in Tajikistan, hearing Afghan songs and tales of the parties in Kabul, and learning about Afghan singers, who are beloved across the region.

I started watching "Afghan Star" last year after hearing about contestant Dawood Pazhman from Afghanistan's remote northeastern province of Badakhshan, who traveled 16 hours (sometime on foot) to Kabul to audition for the show.

This year, another contestant, Panj Shanbe Maftoon, also traveled from that remote region for a chance to audition. Panj Shanbe told TOLO TV, which produces "Afghan Star," that he did not have enough to eat and didn't have money for his commute to Kabul. But he knew, he said, that in this day and age, in his new Afghanistan, he can hope, dream, and make things happen.

Panj Shanbe's story was so compelling, I have tuned in every week for months now to see what he will sing and whether he will be safe from elimination. He is now among the top three contestants.

As I watched every show, the beacon of hope of a new Afghanistan became clear to me. Young men and women auditioned, speaking of peace and coexistence, supporting one another outside of tribes or ethnic lines. They wanted what my own children want -- the freedom to explore being a young adult and to follow their dreams.

This is the new Afghanistan -- the struggles around poverty, religion and resilience are ever-present, but hope shines through in ways that make everyday life brighter.

"Afghan Star" is a source of pride, happiness and escape for many Afghans. When you talk to any Afghan around the world, they know all about the contestants and the judges. They openly give their opinions and feel that they are a part of the process; anyone around the world can vote via SMS and call-ins.

The panel of judges acts as an amplifier for the voices of the vulnerable, bringing attention to orphans, poverty, and the plight of women. This grounded attitude is meaningful because each one of the judges is a living legend in Afghanistan -- superstars who also have their own war stories to tell.

The stalwart female judge, Shahla Zaland, comes from a family of famous composers and singers. Last year told the contestants a heart-wrenching story about her father's life abroad as a refugee and how she believes her father "died of homesickness." Her presence on the panel of judges is a reminder that women are strong, women do not need to be veiled, and that female contestants who audition should be championed.

There is a beacon of hope in just looking at how much the show has changed in its 10 seasons. During the first season, after years of the Taliban's ban on music, a female contestant performed without a hijab, resulting in death threats. The young woman had to go into hiding.

This season, for International Women's Day, the show celebrated Afghan women. Male contestants dedicated songs and presented flowers to the women, singing of the strength of Afghan mothers. A young woman performed, dancing with her hair flowing freely.

The show ended with a dedication to Afghani poetess Nadia Anjuman. Anjuman studied literature in secret during the Taliban occupation, becoming a well-known published poet before her husband killed her at age 25. He found her writings inappropriate and a stain on his honor. The beautiful irony is that Anjuman's words live on in books and songs today. Shahla Zaland performed a song that put Anjuman's poetry to music. Wearing an Afghan flag around her shoulders, her hair uncovered, she brought Anjuman's words to life:

"I am not that weak willow tree that trembles with the wind.

"I am an Afghan woman and so I wail."

With three contestants left, the show will end Friday night, appropriately on Nawruz, the Perisan New Year celebrated in Afghanistan, Tajikistan and Iran.

Though Panj Shanbe was my initial reason for watching the show, I will be happy no matter which contestant becomes the "Afghan Star." The reality is we are all winners because of one TV program. Those living as refugees and those living abroad by choice, away from the homeland, get a taste of the music and culture of their birth country, sparking renewed belief in the new Afghanistan.

And people in Afghanistan are given glimpses of what the new Afghanistan can look like -- a vision of young men and women free from war, who can pursue their dreams.

@highlight

"Afghan Star" is Afghanistan's answer to "American Idol"

@highlight

But the TV show is more -- it gives Afghan refugees and the world a look at a changing society