(CNN) -- Every July in the lush, green mountains of Aspen, Colorado, many of the top present and former U.S. national security officials and other experts gather to discuss how the war against al Qaeda and its allies is going.

Ahead of last year's Aspen conference, I wrote a piece for CNN provocatively titled "Time to declare victory: Al Qaeda is defeated." And I then spoke on a panel at Aspen where I tried to make the case for this position.

I'm not sure too many of the folks in Aspen were convinced. (If they had been, it would hardly seem necessary to travel back to Aspen again this year!)

Since last year's Aspen conference, a group of men only very loosely aligned with al Qaeda attacked the U.S. Consulate in Benghazi, Libya, killing four U.S. diplomats and CIA contractors.

And in April, the Tsarnaev brothers whose family originated in the Caucasus -- one an American citizen and the other a US resident -- were accused of detonating pressure-cooker bombs in Boston that were based on a design that al Qaeda's Yemeni affiliate had widely distributed on the Internet.

The bombing killed three and wounded more than 250 and brought ordinary life to a screeching halt in one of the nation's largest cities.

Certainly the attacks in Libya and Boston were victories for "Binladenism," the ideological movement that al Qaeda has spawned.

Indeed, the New Mexico-born cleric Anwar Awlaki who was a leader of al-Qaeda's Yemeni affiliate before he was killed in a US drone strike in 2011, was influential not only on the Tsarnaev brothers who possessed some of his writings but also on 22 other US-based jihadist extremists, according to a count by the New America Foundation.

However, the attacks in Libya and Boston don't really change the prognosis that al Qaeda, the organization that attacked the U.S. on 9/11, is going the way of the VHS tape.

Al Qaeda itself hasn't carried out a successful attack in the West since the suicide bombings in London in 2005 that killed 52. And the terrorist group hasn't carried out an attack in the United States since 9/11. Nor have any of its affiliated groups.

The killings of several high-level al Qaeda militants -- foremost among them the organization's founder and leader, Osama bin Laden, during a Navy SEAL raid on his compound in May 2011 -- have dealt a serious blow to al Qaeda's core leadership.

A few months after bin Laden's death, a U.S. drone strike killed Atiyah Abdul Rahman, who had become al Qaeda's No. 2 commander after Ayman al-Zawahiri had assumed bin Laden's leadership role.

Rahman was one of 30 leaders of al Qaeda in Pakistan who have been killed in CIA drone strikes over the past five years, according to a count by the New America Foundation.

Al Qaeda "Central," in short, remains on life support.

A second chance with the Arab Spring

However, the unrest that swept the Arab world in the wake of the 2011 Arab Spring has provided jihadist extremist groups with more room to operate and injected large amounts of arms into the region.

Al Qaeda affiliates subsequently gained significant footholds in Libya, Syria, Yemen and Mali. But the bulk of jihadist violence in those countries is focused on purely domestic targets. And in countries such as Mali and Yemen, jihadist militants have overplayed their hands and have suffered real reverses in the past year or so.

As a result, the attacks by al Qaeda-aligned groups on the U.S. Consulate in Benghazi in September and on the BP gas facility in Algeria, at the beginning of this year represent the current state of jihadist anti-Western capabilities abroad.

Worldwide, al Qaeda affiliates and allied groups aren't a major threat to the West:

-- Al-Qaeda in the Arabian Peninsula remains a real threat to Yemen, but despite its strong interest in U.S. targets, the group has not attempted any serious anti-American attack since its failed October 2010 plot to plant bombs hidden in printer cartridges on cargo planes destined for the United States. However, AQAP's capable chief bomb maker, Ibrahim al-Asiri, remains at large.

-- A long-term safe haven for the al Qaeda affiliate in Syria known as Jabhat al-Nusra, ( "the Victory Front") could create an organization with the capability to attack the West. For the moment, the group, which is widely regarded as the most effective fighting force in Syria, is focused on overthrowing the regime of Bashar al-Assad, a project that may take years to achieve.

That said, this group is gaining substantial territory in Syria; is attracting thousands of foreign fighters, including hundreds from the West; and might eventually turn its attention to Western targets.

-- Al Qaeda in Iraq has also become deeply involved in the civil war in Syria. It has also successfully leveraged a growing sectarian divide in Iraq to garner support from the Sunni community and is, once again, a real threat to the stability of Iraq.

-- Al-Qaeda in the Islamic Maghreb and its splinter groups have little ability to target the West but still pose a threat to Western interests in their areas of operation. AQIM and its splinter groups remain active in parts of Algeria, where they attacked the BP gas facility in early 2013, and northern Mali, where they launched an offensive against the government alongside separatist Tuareg rebels in 2012. However, AQIM and its splinter groups were pushed out of major Malian cities by a French military intervention earlier this year

-- In the past two years, the Somali al Qaeda affiliate, Al-Shabaab, has lost substantial territory and influence in Somalia. While Al-Shabaab remains a potential threat to Western targets because of the group's influence among the Somali diaspora in the West, recent battlefield defeats have forced the group to focus internally.

Al-Shabaab has never conducted a successful attack in the West and has not conducted a mass-casualty attack outside of Somalia since it carried out bombings in Kampala, Uganda, in 2010.

-- Islamist militant groups remain a threat to stability in Libya in the post-Moammar Gadhafi era. Ansar al-Sharia's loose network of Islamist militants have conducted attacks and gained some legitimacy among the local populace in Benghazi. Ansar al-Sharia is not, however, organizationally or operationally linked to al Qaeda, and it operates only within Libya.

-- The Pakistani Taliban, also known as Tehrik-i-Taliban Pakistan, is largely a threat to Pakistan, Afghanistan, NATO soldiers and Western interests in the Afghanistan-Pakistan region. It has attempted only two attacks outside the region. TTP has not conducted an attack on American soil since it directed Faisal Shahzad to carry out a car bombing that proved unsuccessful on May 1, 2010, in Times Square.

-- The Afghan Taliban continue to lead a potent insurgency in Afghanistan, launching persistent attacks against U.S. forces, as well as military, diplomatic, and aid facilities. They remain in control of significant swaths of land in rural Afghanistan, and will continue to threaten Afghan stability after the NATO combat mission ends in December 2014. However, they have shown no interest in mounting an attack against the U.S. homeland.

-- The Pakistan-based Lashkar-e-Taiba has not conducted a mass-casualty attack outside of the Afghanistan-Pakistan region since its lethal rampage in Mumbai in 2008. Similarly, the Islamic Movement of Uzbekistan and the Islamic Jihad Union have not showed an interest in or ability to engage in international terrorism since an IJU-linked terrorism cell was broken up in Sauerland, Germany, in 2007.

-- Because of continued government crackdowns throughout Southeast Asia, the once-virulent threat posed by the al Qaeda aligned regional terrorist group Jemaah Islamiyah has decreased significantly over the past few years.

Terror groups have local preoccupations

Given the weaknesses and the local preoccupations of the terrorist groups described in this story, many U.S. counterterrorism officials believe the chances of a large-scale, catastrophic terrorist attack in the United States by al Qaeda or an al Qaeda-affiliated or inspired organization are quite small.

Also, the long-term prognosis for most of these terrorist groups is poor because they have all tended to kill many Muslim civilians, and they offer no political or economic ideas to cure the real problems of much of the Islamic world.

However, continued unrest throughout the greater Middle East, especially the current turmoil in Egypt, the rising tensions across the region between Sunnis and Shia, the continuing Syrian civil war and the uncertain future of Afghanistan after U.S. and NATO combat troops are withdrawn in December 2014 are all potential wild cards that could create an environment that gives al Qaeda and allied groups opportunities to resuscitate themselves.

And at home, the Boston Marathon bombings remind us that the United States still faces a threat from disaffected individuals inspired by al Qaeda's ideology and who often radicalize in the online world.

Although they are difficult to detect, these individuals are also quite unlikely to be capable of perpetrating an attack even remotely on the scale of 9/11.

@highlight

Peter Bergen: Benghazi and Boston don't alter reality about jihad

@highlight

He says al Qaeda central is in trouble and that it offers no solutions to regional problems

@highlight

Bergen says some affiliates of al Qaeda show life but don't pose major threat yet to West