LONDON, England (CNN) -- "Do you ever listen to stories? You do. You don't even know you do. Also you tell stories all the time."

Doris Lessing receives the Nobel Prize for Literature in 2007 at the age of 88.

Very neatly, master storyteller and Nobel Prize-winner Doris Lessing spells out mankind's addiction to storytelling.

Stories occur naturally to people in one form or another, and finding reasons for their existence is unnecessary, according to the 89 year-old author.

"It is so deep in all of us. Storytelling is obviously some part of our minds, because it's always going on in one way or another."

Lessing regards her own propensity for telling stories as a lifelong duty.

Born to British parents in Persia (now Iran,) she began writing at seven, and says it was her innate capacity for it, rather than inspiration which got her started.

"I was born to write, as other people are born to paint ... that's all," she says, "Writers tell stories. This is what we do."

Much of Lessing's fiction is based on her experiences growing up in Southern Rhodesia (now Zimbabwe), where she moved as a young child.

She was raised on storytelling in the time-honored fashion -- she was read to and told stories by her mother, going on to spin her own tales for her younger brother.

As she grew older these childhood stories somehow morphed into the powerful fiction she has become known for, bravely tackling the harsh social and political realities of her upbringing.

Her first novel, "The Grass is Singing" was published in 1950 after she moved to London, and fearlessly dissects the tension between oppressed black Africans and white colonials. Arguably her most famous and influential work, "The Golden Notebook," meanwhile is held by many critics as one of the most important feminist novels ever written.

When she was awarded the Nobel prize for Literature last December, the Swedish academy called her "the epicist of the female experience" who had "subjected a divided civilisation to scrutiny."

Lessing's prodigious writing skills are all the more impressive since they are largely self-taught. Her formal education ended at age 13 when she dropped out of a school in the Rhodesian capital Salisbury, and she left home at 15 to work as a nursemaid but remained a voracious reader -- "I educated myself by reading."

She also started writing stories and later sold two of them to magazines in South Africa.

Lessing has never forgotten the importance of reading as a way to educate yourself  ("you know there are some people in the world who still do") and feels strongly about helping people in developing countries to gain access to books.

"[There are] places where there is no proper education. In large parts of Africa for example, you find them begging for books."

In her acceptance speech on receiving the Nobel Prize, she painted moving pictures of the desperate struggle for knowledge people in some developing countries still endure:

"Not long ago a friend who had been in Zimbabwe told me about a village where people had not eaten for three days, but they were still talking about books and how to get them, about education."

She strongly advocates storytelling as an essential part of childhood, and claims there is a distinguishable difference between the attitudes of people who grew up reading books, and that of those who grew up with television and whose parents feel television and the Internet are satisfactory substitutes.

People brought up on books are "infinitely better informed, better educated" than those who don't have a genuine passion for reading instilled in them, says Lessing.

The storyteller, on the other hand, needs to be aware of the potential power of their words. Lessing has firm principles about her work: "I don't write what I don't believe, or I don't write anything which I think is wrong."

This uncompromising attitude coupled with her anti-apartheid campaigning helped get her and her books banned from Rhodesia and South Africa in the 1950s.

Half a century later the left-wing radical has become a grand old lady of the literary scene. Unimaginably, her latest book, "Alfred and Emily," released this year, will be her last.

The book presents the effect of World War I on her parents, and in the first of the novel she imagines what their lives would have been like had that terrible event never happened.

"For my father it was easy, he always wanted to be a farmer, in Essex, or Suffolk, or somewhere. So I've given him the life he wanted. And my mother, who was an extremely clever woman -- I've given her a life where she could use all these abilities, which she never had the chance to do in her own life."

The second half is a more faithful account of their experiences during the war, and how distant they were from the lives they wanted.

Perhaps her graceful exit with "Alfred and Emily" was intended to demonstrate a deeper value to storytelling. Much more than an exercise in imagination or controversy, it opens the door to an endless universe of second chances.

@highlight

Writer Doris Lessing spells out mankind's dependence on stories

@highlight

Lessing on storytelling: "It's always going on in one way or another."

@highlight

Her own life is itself a great story: born in Persia, she grew up in southern Africa

@highlight

The Nobel prizewinner says her latest novel "Alfred and Emily" will be her last