WASHINGTON (CNN)  -- President Obama will meet with top congressional leaders from both parties Tuesday to discuss a war in Afghanistan that now appears to be at a potential tipping point.

The meeting on the war comes as the Obama administration conducts a review of its Afghan strategy.

Obama will be joined by, among others, House Speaker Nancy Pelosi, Senate Majority Leader Harry Reid, House Minority Leader John Boehner, Senate Minority Leader Mitch McConnell and the heads of the Armed Services and Foreign Relations committees in the House and Senate, two Democratic officials said.

The meeting comes amid the Obama administration's comprehensive review of U.S. strategy in Afghanistan. Several top military leaders and opposition Republicans are pressing Obama to act quickly to increase the present 68,000-troop level by as many as 40,000.

"There's no doubt that, particularly on funding, it's not going to happen until Congress signs off," White House Press Secretary Robert Gibbs said Monday. "They're an important part of this, and the president wants to hear from them."

In March, Obama announced a plan to send more than 20,000 additional troops to the country to provide security for a national election. That move followed what Obama and others called years of inadequate resources in Afghanistan because of the Bush administration's focus on Iraq.

The Obama strategy was based on a counterinsurgency mission intended to defeat terrorists based in Afghanistan while winning local support and helping with development.

Gen. Stanley McChrystal, who took over four months ago as the top U.S. commander in the country, has submitted an assessment in which, sources have told CNN, he says he needs additional forces to carry out the counterinsurgency strategy successfully. Otherwise, McChrystal reportedly warns, the mission could fail, bringing a return of power to the Taliban.

"We need to reverse the current trends, and time does matter," McChrystal said last week in a speech in London, England. "Waiting does not prolong a favorable outcome. This effort will not remain winnable indefinitely."

U.S. Defense Secretary Robert Gates, however, appeared to push back Monday against those who are loudly urging a rapid troop increase. It's "important that we get it right," he told a U.S. Army audience.

Gates said that it's also "important that all of us ... provide the best advice to the president candidly but privately."

Gen. George Casey, chief of staff of the Army, echoed Gates' view, telling reporters that he would be sharing his views "in private" and that they'd be "the second to know."

Obama has yet to respond to McChrystal's report, prompting opponents to accuse him of indecisiveness and playing politics that puts U.S. soldiers on the ground at risk.  Watch more on the debate over the best way forward »

National Security Adviser James Jones Jr. on Sunday cited three developments since March that have led the White House to reconsider its overall Afghanistan strategy:

• Questions about the legitimacy of Afghan President Hamid Karzai's election victory. • McChrystal's conclusion that the Taliban is stronger than previously thought. • Neighboring Pakistan's improved efforts to change the overall dynamic of the border region.

"The key in Afghanistan is to have a triad of things happen simultaneously," Jones said on CNN's "State of the Union," listing improved security, economic development and "good governance and the rule of law."

Jones said Karzai's government "is going to have to pitch in and do much better" than it has to improve the governance situation after the elections, widely considered as tainted by vote fraud in some areas.

Some in Obama's inner circle, including Vice President Joe Biden, are advocating a counterterrorism approach that focuses on combating al Qaeda through the use of unmanned drones and special forces without involving additional troops.

Others, especially McChrystal, are strongly advocating the broader counterinsurgency approach, which requires a much larger U.S. military footprint in the country.  See who has Obama's ear on Afghanistan »

Sen. John McCain of Arizona and other Senate Republicans -- as well as other advocates of an increase in troop levels -- are pushing for McChrystal to testify before Congress about his assessment.

Senate Armed Service Committee Chairman Carl Levin, D-Michigan, rejected their request nearly two weeks ago, calling it "premature."

Eight American troops and two Afghan security force members were killed Saturday when militants opened fire on an outpost with rockets, mortars and heavy-caliber machine guns, according to an initial U.S. military report on the battle.

The bodies of four of those U.S. soldiers -- Army Sgt. Joshua Kirk, of South Portland, Maine; Specialists Michael Scusa of Villas, New Jersey, and Christopher Griffin, of Kincheloe, Michigan; and Pfc. Kevin Thomson, of Reno, Nevada -- are scheduled to be brought back to the United States on Tuesday, the Pentagon said.

It was the largest number of Americans killed by hostile action in a single day in Afghanistan since July 2008, according to CNN records.

CNN's Ed Henry and Laurie Ure contributed to this report.

@highlight

Heads of Armed Services and Foreign Relations panels in Congress will attend

@highlight

Meeting comes amid comprehensive review of U.S. strategy in Afghanistan

@highlight

U.S. commander reportedly has warned the mission could fail without more troops

@highlight

Some advisers advocate counterterrorism approach without adding troops