The detainee hunger strike at Guantanamo Bay is entering its third month. Official reports say 100 of the detainees remaining at the detention camp are refusing food; lawyers for the detainees say the number is closer to 130. 

Twenty-three are being force-fed through nasal feeding tubes and at least 40 additional medical personnel have been flown to the base to help the overwhelmed staff care for those protesting their detention. 

Last week, President Obama reaffirmed his position that the detention camp at Guantanamo needs to be closed and that keeping detainees there without charge indefinitely "is contrary to who we are, it is contrary to our interests, and it needs to stop."

Closing Guantanamo was one of Obama's key 2008 campaign promises. Five years later, the prison complex is populated with 166 detainees, 86 of whom have been approved for transfer to other countries, and is being considered for a $200 million renovation. 

Opinion: Why has Obama abandoned his Guantanamo pledge?

Nearly 70% of the almost 800 detainees who have been held at Guantanamo were released by the Bush administration. Since then, some U.S. officials have become increasingly worried about former detainees joining militant groups.

A key reason Guantanamo remains open is the fear that released inmates would mount terrorist attacks against the United States, its interests and its allies. Sen. Lindsey Graham, a South Carolina Republican, for instance, last year called Guantanamo detainees "crazy bastards that want to kill us all". 

This view appears to be substantiated by government reports claiming many released inmates go on to join terrorist groups.

Last year the U.S. Director of National Intelligence issued an "unclassified summary" estimating that the number of released detainees confirmed (15.9 percent) or suspected (12.0 percent) of joining militant groups was 27.9 percent.

It is impossible to assess the validity of the government's assertion that more than a quarter of former Guantanamo detainees are confirmed or suspected to have joined a militant group because the government has not publicly released the names of former detainees who have "returned to the battlefield" since April 2009.

The New America Foundation analyzed Pentagon reports, news stories, and other publicly available documents to create a list of former detainees who have either joined or are suspected of joining militant groups since their release. The list is available here.

Of the 603 former detainees who have been transferred out of the prison camp, we identified only 17 individuals (2.8 percent) who are confirmed to be engaging in terrorist or insurgent activities against the United States or its citizens, while there are 21 individuals (3.5 percent) who are suspected of engaging in such activities.

We also identified 15 former detainees who are confirmed or are suspected of militant attacks against non-U.S. targets (2.5 percent).

For the purposes of our study, for a former detainee to be considered "confirmed" that he had joined a militant group, there had to be a preponderance of information claiming he was directly involved in terrorist or insurgent activities. For those "suspected" of such acts, there were plausible but unverified accounts about their involvement in such activities.

Released prisoners who simply made anti-American statements or propaganda were not considered to be confirmed or suspected to be part of a militant group.

While it is possible there are some former detainees participating in terrorist and insurgent activities who have not been identified publicly, we are confident that our numbers are reasonably accurate because groups like al-Qaeda and the Taliban are eager to trumpet the identities of released Guantanamo detainees who join their ranks and the media is also quick to highlight such stories.

Based on the public record, even if you combine all the released Guantanamo prisoners who are confirmed or suspected to have taken part in any form of militant activity anywhere in the world, the total comes to 53, or 8.8%, which is much lower than the 27% being cited by the U.S. intelligence community.

This 8.8% rate is also far smaller than the recidivism rate of criminals in the United States, which currently stands around 67.5%, according to the Bureau of Justice Statistics.

Interestingly, all but one of these former Guantanamo detainees who joined militant groups were released under the Bush administration.

Under Obama, comprehensive threat assessments have been used to determine a detainee's eligibility for release, which has contributed to the fact that of the 72 prisoners released under Obama we were only able to find one who had joined a militant group after his release.

Still, even if the number of Guantanamo prisoners who have "returned to the battlefield" is quite small, they are certainly dangerous.

Take Said Ali al-Shiri, who co-founded Al Qaeda in the Arabian Peninsula (AQAP) in 2009. Transferred to Saudi Arabia in November 2007 during the George W. Bush administration, al-Shiri completed the kingdom's rehabilitation program and promptly headed to Yemen, where he became AQAP's deputy commander.  

Another example is Abdullah Ghulam Rasoul, who has emerged as a senior Taliban commander. Rasoul was also transferred from Guantanamo to Afghanistan in 2007 by the Bush administration and rejoined the Taliban shortly after the Afghan government released him from custody.

In 2009, after the Yemen-based AQAP claimed responsibility for the attempted bombing of a Detroit-bound airliner on Christmas Day, Obama issued a moratorium on all detainee transfers to Yemen. Of the 86 detainees currently approved for transfer out of Guantanamo, 56 are from Yemen.

Congress then passed, and Obama signed, the Defense Authorization Act of 2011 which barred the use of government funds to transfer detainees into the United States or into the custody of other countries unless certain security concerns, like maintaining effective control over the detention facility housing the detainees, could be met. 

So far, it has been close to impossible for countries in the Middle East and South Asia, where most of the remaining detainees are from, to meet the standards set in this legislation. 

Yet the fact remains that 86 of the prisoners in Guantanamo were cleared for release three years ago following a year-long investigation of their cases by an interagency task force of officials at the Department of Justice, Pentagon, State Department and the Department of Homeland Security.

These detainees, some now on hunger strike, have good reason to despair that they will remain in Guantanamo forever. Their cases have been exhaustively investigated. They have found to be guilty of nothing, yet they are being held indefinitely. Indefinite detention without charge is a policy that we usually associate with dictatorships, not democracies.

Add to this the facts that less than 3% of the detainees at Guantanamo can be confirmed by the public record to have engaged in anti-American terrorism or insurgent actions following their release and those 17 detainees were all released before the intensive review of the cases of the remaining prisoners at Guantanamo began under the Obama administration in 2009.

And so the Guantanamo prisoners who have been cleared for release remain in seemingly perpetual custody, not because they've been charged or because the rate of former detainees joining militant groups is at all high, but because Washington politics has effectively ensured that there is nowhere else for them to go.

For these prisoners, attempting to starve themselves to death is an almost rational response to their bleak future.

It's a story that Kafka might have written. Unfortunately, this one is true.

@highlight

Peter Bergen: Washington talks of Guantanamo prisoners as major threat

@highlight

He says small number of released Gitmo prisoners have returned to 'battlefield'

@highlight

Many prisoners are now engaged in a hunger strike, Bergen says

@highlight

Bergen: Indefinite detention without charge is a tool of dictatorship, not democracy