Washington (CNN) -- Iran, Syria and now China. President Barack Obama faces a third front of vulnerability on his administration's record of defending human rights with the muddled situation involving activist Chen Guangcheng.

With his re-election campaign just hitting full stride, Obama hoped to capitalize on foreign policy successes, such as last year's raid that killed Osama bin Laden, to blunt Republican attacks on the sluggish U.S. economic recovery.

However, the increasingly strange and challenging case of Chen provides potential fresh fodder for opponents to continue their attempts to portray the Obama presidency as soft or acquiescing to brutal regimes that abuse their own people.

Presumptive Republican presidential nominee Mitt Romney led the attack Thursday, saying at a campaign event that circumstances of the incident -- if true -- meant a "dark day for freedom, and it's a day of shame for the Obama administration."

Conservative Republicans such as Sen. John McCain of Arizona have criticized the Obama administration for not providing strong support for Iranian protesters last year or the Syrian opposition movement in its ongoing conflict with forces of President Bashar al-Assad.

"Ultimately, ending violations of conscience requires the political will and moral courage of world leaders, especially the president of the United States," McCain said last week. "Unfortunately, that will and leadership are lacking in the case of Syria today."

Chen's case casts new light on China's history of political persecution and rights abuses and comes at a particularly delicate time as U.S. Secretary of State Hillary Clinton and Treasury Secretary Timothy Geithner arrived this week for long-planned talks on strategic and economic issues.

Chen: 'I want to go to the United States'

The blind, self-taught human rights attorney has been persecuted by Chinese authorities for years for his work exposing the government's policy restricting the number of children a couple may have, mistreatment of disabled people and other abuses.

He escaped from house arrest last month and took refuge in the U.S. Embassy in Beijing, setting off a behind-the-scenes diplomatic effort intended to prevent the situation from derailing the top-level meetings with Clinton and Geithner.

On Wednesday, all seemed resolved when the 40-year-old Chen left the embassy to join his family at a Beijing hospital, with U.S. officials saying that he never requested asylum and that China gave assurances that he and his family would not face further persecution.

That quickly unraveled at the hospital, where Chen said he wanted U.S. help to flee China with his family because he feared for their safety.

The situation has tested the Obama administration's approach to relations with China, straining its commitment to uphold human rights even as it strives to maintain steady ties with Beijing.

Last week, when Chen was still inside the embassy, U.S. officials refused to confirm his location and Obama declined to comment directly on the case when asked about it at a news conference.

In comments Thursday at the high-level talks with China, Clinton made no mention of Chen while saying the topic of human rights was part of the discussion.

A senior State Department official said Thursday the United States will do what it can to help Chen and his family leave China if they want to, but added that Washington doesn't have "a magic wand" to get him out of the country.

At the White House, press secretary Jay Carney referred questions about the situation in China to the State Department. Carney repeated details previously released by State Department officials that Chen never asked for asylum while in the U.S. Embassy and was never pressured to leave.

Romney, however, said news reports indicated that U.S. officials may have sped up Chen's decision to leave the embassy "because they wanted to move on to a series of discussions that Mr. Geithner and our secretary of state are planning on having with China."

He also complained that the embassy failed to put in place "the kind of verifiable measures that would assure the safety of Mr. Chen and his family."

"We are a place of freedom here and around the world, and we should stand up and defend freedom wherever it is under attack," Romney said.

Ben LaBolt, spokesman for the Obama campaign, said Romney's Thursday comments rang hollow.

"He has no coherent foreign policy vision, no concrete plans to enhance our security and strengthen our alliances, and he has taken conflicting positions on every major foreign policy issue facing our nation," LaBolt said in a statement. "Rather than leveling these empty political attacks at the President, Mitt Romney should tell the American people exactly what he would do as commander in chief."

A statement by House Speaker John Boehner, R-Ohio, said that "the United States has an obligation to stand with the oppressed, not with the oppressor."

"Having handed Chen Guangcheng back over to the Chinese government, the Obama administration is responsible for ensuring his safety," Boehner's statement said. "While our economic relationship with China is important and vital to the future of people in both countries, the United States has an obligation to use its engagement with China to press for reforms in China's human rights practices, particularly with respect to the reprehensible 'one-child' policy."

Human rights groups and some members of Congress are pressuring the Obama administration to help Chen and his family get out.

Noting the presence of Clinton in China for the talks, Republican Rep. Chris Smith of New Jersey called for the Obama administration to do "everything it can to ensure that Chen Guangcheng, his family members and all those who have helped him are removed from harm's way."

"They must seize this golden opportunity to help save Chen and his family and demonstrate to the world that the (United States) stands firm for fundamental human rights and the rule of law," said Smith, the chairman of the Congressional-Executive Commission on China. "Trade talks are important, but human rights are not 'an irritant' -- we have a duty to protect and defend."

Later Thursday, Smith chaired an emergency hearing on the issue that included a telephone conversation with Chen from Beijing amplified by holding a cellular phone up to a hearing room microphone.

Speaking to Chen, Smith called his case a test of the Chinese government's commitment to protect him and "also a test of the United States as to whether or not human rights really do matter."

Carney, repeatedly asked about the issue by reporters at the White House daily briefing, said the president is "not concerned about political back-and-forth on this issue."

"He is focused on the need to advance U.S. interests in our relationship with China" and to make "an open and frank discussion on human rights" part of that relationship, Carney said.

Human rights advocacy groups raised doubts about whether Beijing would stick to the promises it reportedly made regarding Chen's ability to live free of persecution in China.

Chinese officials did not comment directly on what deal had been reached with the United States over Chen. In comments reported by state media, they focused on what they described as "interference" by Washington in China's internal affairs.

To Kenneth Lieberthal, director of the John L. Thornton China Center and a senior fellow in foreign policy at the Brookings Institution, the balance of human rights issues such as the Chen case with other significant issues for both the United States and China marked a maturing of relations between the countries.

"The juxtaposition of a classic human rights issue with these other issues highlights the range of our relationship and our capacity now to do what U.S. policy has sought -- which is to deal with these issues separately so that problems in any one part of the relationship don't disrupt our ability to address very important issues in other parts of the relationship," Lieberthal said on the Brookings website. "That's what a mature relationship is about."

A co-author of a book on Obama's foreign policy published in March, Lieberthal said the balanced approach by Washington "does not mean, as some in the advocacy community have said, that this means that effectively we don't give much priority to human rights."

"What it does mean is that we give priority to human rights, we give priority to nuclear proliferation, we give priority to cybersecurity, we give priority to jobs and economic growth in the United States and how China's economic polices affect that," said Lieberthal, a former University of Michigan professor who was a special adviser on national security affairs to President Bill Clinton. "We have a series of priorities, each of which we pursue vigorously, and I think that's the right way to do it."

Carney seemed to agree Thursday, telling reporters: "We are continuing to pursue our broad agenda with China on a whole range of issues."

CNN's Paul Courson contributed to this report.

@highlight

NEW: Republicans, activists challenge the handling of the Chen incident

@highlight

The administration tries to balance human rights with other issues in China dealings

@highlight

The Chen Guangcheng situation complicates high-level U.S.-China talks

@highlight

Expert: Human rights shouldn't dominate other issues in a mature relationship