Facing renewed controversy about the safety of energy drinks, Monster Energy Corp. has decided to market its products as beverages instead of dietary supplements.

The company recently joined the American Beverage Association, which recommended it sell its products as a food, according to spokeswoman Tammy Taylor. Monster Energy's products will not change, but in the coming months its labels will include the caffeine content in each can.

"Monster has a commitment to being responsible and wants to be transparent about the ingredients in their products," Taylor said in an e-mail.

Energy drinks have been under intense scrutiny lately. Last year the parents of a 14-year-old girl filed a lawsuit against Monster after their daughter died following the consumption of two Monster Energy beverages that contained a combined 480 milligrams of caffeine. That's the equivalent of drinking about 20 8-ounce cans of soda.

In November, the Food and Drug Administration began investigating 13 deaths that were preliminarily linked to the dietary supplement 5-hour Energy. The deaths had been reported to the FDA as "adverse events," which does not mean the product is responsible for or that it contributed to any health issue.

The manufacturer, packer or distributor of a dietary supplement is required to notify the FDA of any adverse events linked to its product, according to agency spokeswoman Tamara Ward. That requirement does not apply to products sold as beverages or food.

The FDA has received 20 adverse event reports about Monster products; five are linked to a death.

Again, these reports do not represent any conclusion by the FDA about whether the product is responsible for a health problem, Ward said in an e-mail. "When important information is missing from a report, it is difficult for FDA to fully evaluate whether the product caused the adverse event or simply coincided with it."

This week, 18 public health experts sent a letter to the FDA about the safety of energy drinks. The scientists have concluded there is not enough evidence to show that high levels of caffeine in energy drinks are safe.

"To the contrary, the best available scientific evidence demonstrates a robust correlation between the caffeine levels in energy drinks and adverse health and safety consequences, particularly among children, adolescents," they wrote.

Monster does not recommend children, pregnant women or those sensitive to caffeine consume its beverages, Taylor said. "That recommendation is on the labels of all Monster products."

Caffeine stimulates your central nervous system, according to the FDA. It can increase your heart rate, raise your blood pressure and cause irregular heart rhythms.

The FDA regulates caffeine in sodas at a level of .02%, or 200 parts per million (there is no current FDA caffeine limit for energy drinks). That translates to about 50 milligrams in an 8-ounce can.

A 2012 Consumer Reports analysis found about 90 milligrams of caffeine in an 8-ounce can of Monster Energy, and the drink comes in sizes up to 24 ounces. To compare, a 16-ounce Starbucks Grande has 330 milligrams, according to Consumer Reports.

The scientists say caffeine in energy drinks differs from that in coffee because the caffeine in coffee occurs naturally, instead of being added by a manufacturer. (Food additives are subject to regulation by the FDA.)

The FDA is reviewing current scientific studies on the safety of energy drinks, Ward said, and is monitoring new ingredients being added to these products.

So should consumers stay away from energy drinks, or supplements? The FDA hasn't made any recommendations but cautions people to consult with their doctors to make sure they don't have an underlying medical condition that too much caffeine could affect.

@highlight

Monster Energy drinks will no longer be sold as dietary supplements

@highlight

Drink labels will now include the amount of caffeine in each can

@highlight

Monster will no longer be required to submit reports of "adverse events" to the FDA