(CNN) -- Shortly after Hawaii became a state in 1959, more than 90% of registered voters there participated in elections. The state, which now has the lowest voter turnout rate in the country, has a vibrant history of civic participation. It could be that way again.

Here are six recommendations for how Hawaii could boost its voter turnout rate, taking into account both national and state policies, as well as individual efforts. Have a look and please offer suggestions of your own in the comments section below. (And a special thanks to those of you who sent in ideas on the Change the List Tumblr).

1. Ask five friends to vote (seriously): On a recent trip to Hawaii, I met people who didn't know the presidential election would be in November (It's the 6th, in case that's you). Others don't identify as voters. That can all change if you invite someone to participate. Better, ask five people, or post this on five friends' Facebook walls. It's shocking how far these personal invitations can go.

2. Pressure candidates to debate in public: By far the most eccentric person I met in Hawaii was Kawika Crowley, a self-described homeless candidate for a U.S. House seat. He is seen by many as a joke. His platform, for example, is anti-tax and pro-smoking (in bars, if the owner wants to allow it). No matter how wacky his ideas are, or how unlikely his chances, his opponent, Tulsi Gabbard, a rising star in the Democratic party, should debate him. The Gabbard campaign said no media organizations have approached the Democratic candidate about having a debate with Crowley. "You can stand on a street corner and have a debate but we haven't seen any media outlets come forward" requesting one, said spokesman Jim McCoy. It likely is too late for that to happen now, with the election less than two weeks away. But a debate would have been the democratic thing to do -- even if it had to be held on YouTube.

3. Start the move toward online elections: Young people don't vote. That's true nationally. It's especially true in Hawaii, where less than half of the eligible population casts ballots -- and, in 2008, less than a third of young people voted. There's little if any voting culture in the state. That could change if elections came to younger people in the places they hang out: the beach (unlikely), or the Internet. At the very least, voter registration should move online. It's unclear to what degree this would boost turnout, said David Becker, from the Pew Charitable Trusts, but it's more efficient and more accurate.

4. Ease registration laws: Minnesota had the highest voter turnout rate in 2008 -- with nearly 80% of eligible residents casting ballots. That's incredible, but it could be replicated. The state's laws -- particularly one that allows voters to register at their polling place on Election Day -- make it easy to vote. Hawaii should at least consider implementing the same. As Becker pointed out, what works in one state may not work in another. The cultures and weather in these states are clearly different. But it's still worth a try.

5. Encourage civics education in schools: The best way to create a new generation of voters is to educate them about why civics matter -- how their government affects their day-to-day lives and why it's best not to check out of the system. That's some heavy lifting. It's happening at some Hawaii schools. I went to two -- Mililani High School and Punahou, where Barack Obama went to high school -- to see firsthand what a difference a civics-minded education can make. It's stunning. If you talk to kids about politics and voting, they end up creating videos like this one, by Maiya Smith at Punahou, which encourages her friends to vote. It makes all the difference.

6. Eliminate the Electoral College: Can anyone argue the Electoral College makes sense in 2012? It should be abolished, creating a (for once) truly democratic system where each vote is given the same weight in a presidential election. People in Hawaii feel their votes are less important than those in Ohio or Florida -- or any mainland state. By the time they get to the polls, winners of national elections already have been announced. Presidents have been named. Doing away with the Electoral College would ease this disconnect, making Hawaii's votes matter as much as everyone else's.

@highlight

Hawaii has the lowest voter turnout rate in the country

@highlight

CNN's Change the List aims to boost turnout there

@highlight

The new project is led by CNN's John D. Sutter

@highlight

Here are six solutions to the state's low civic participation