Jinan, China (CNN) -- With the hotel front desk clerk busy checking me in, her co-worker picked up the ringing phone.

"Do we have any foreign journalists staying here?" she repeated the question being asked at the other end of the phone.

"No," she replied, before the clerk helping me threw her a look. "Oh yes, three just got here."

With the local authorities now presumably alerted to our presence, any hope we had of maintaining a low profile at the start of our reporting trip to cover the most anticipated trial in China in recent memory had ended.

We arrived in the eastern city of Jinan on Tuesday, two days before the local Intermediate People's Court was set to try disgraced Communist leader Bo Xilai, who was once tipped to be a future president but now faces charges of bribe-taking, embezzlement and abuse of power.

Bo's spectacular downfall -- complete with tales of murder, corruption and betrayal -- triggered the greatest political crisis for the ruling Communist Party in decades. During his trial, the charismatic and controversial politician is expected to make his first public appearance since April 2012 when he was stripped of his top Party posts.

Timeline: The Bo Xilai scandal

Given the high drama and political stakes, it seems prudent for China's top leaders to pick one of the country's blandest cities for the spectacle. Jinan is far away -- more than 780 miles (1,200 kilometers) -- from Chongqing, Bo's former powerbase, or other places where he had held senior positions. The presiding judge is said to be a tested and reliable official in the eyes of Beijing.

Coincidentally, Shandong province -- with Jinan being the capital -- is also home to the ancient sage Confucius, whose philosophy emphasizes respect to authority -- an idea that nervous local officials probably wish "unruly" foreign journalists would learn quickly.

The courthouse sits at the end of a narrow, tree-lined downtown street, surrounded by high-rise apartment buildings. All looked normal and quiet as we exited the car, if not for the dozen soldiers unloading plastic barriers from trucks across the street from the court's main gate. A press pen was in the making.

While our cameraman tested satellite signal strength for potential live shot locations, an official directed us to a nearby hotel, where the government had set up a media center.

After going through a metal detector and a hand-wand inspection, we entered the building and reached the first position in what seemed to be an assembly line for the credential application process -- involving passport check, form distribution, information verification, data entry and photo-taking. Five steps later, we were told our press cards would be ready the following afternoon.

But officials there didn't seem to know much else about the "open" trial -- questions about likely courtroom access, live broadcast opportunities or press conferences went unanswered. Almost as soon as the trial date was set last weekend, we had been calling the court trying to apply for a spot inside the courtroom -- only to be kicked around by different departments.

As night fell Tuesday, we started live broadcast near a side entrance to the court. A notice posted in the bulletin board by the gate announced Bo's trial information. Pedestrians stopped to snap photos of the notice with their phones.

Meanwhile, I received a text message from human rights activist Chen Guangfu, elder brother of the blind lawyer Chen Guangcheng, who had intended to "witness" the trial. He said, after he got off the train, state security agents awaiting him at Jinan's west railway station forced him to return to his home village some 125 miles (200 kilometers) away. Hu Jia, another prominent rights advocate, tweeted that the authorities in Jinan had tightened their grip over all activists ahead of the trial.

The day before the trial brought a new excitement and a degree of chaos to the courthouse's doorstep. Despite a heavy police presence, some Bo admirers -- he retains considerable support in Chongqing and elsewhere in China -- showed up in the morning, along with onlookers and petitioners with various grievances -- all eager to take the rare opportunity to share their stories and opinions with the gathering foreign reporters.

"During Chairman Mao's time, everyone was equal and we had no corruption -- 'singing red and smashing black' was achieving that and benefited people," declared a 66-year-old local resident who only identified herself as Ms. Li, as she referred to Bo's famous campaign to revive Maoist ideology and crack down on crimes.

"He's not a god or perfect, but the masses supported him," she added. "They can't just condemn him to hell -- I want him to have a fair trial."

"Why bother?" scoffed 62-year-old retired worker, named Mr. Liu, who stood next to her. "Bo's a victim of political struggles."

"You think he actually believed in this 'singing red and smashing black' stuff? It was all for appearance's sake," he continued and turned sarcastic. "We ordinary people should just feel happy to be fed and clothed, and watch whatever news they put on TV."

As the crowd grew larger and louder, the police decided to intervene, shooing off the speakers for disrupting traffic and ordering reporters to stay inside the designated media zone across the street.

But an elderly petitioner's cry for help briefly caused new commotion. Wearing a paper headband with the character "wronged" written on it, the woman kept yelling at policemen who were dragging her away in front of news cameras: "I'm 80 years old and have a heart condition -- stop pushing me!"

The atmosphere among the assembled press was just as excitable -- at one point a number of reporters rushed to the city's west railway station as a rumor circulated that a train carrying Bo would be arriving. By late afternoon, a legion of newly accredited journalists -- almost all from overseas media as most domestic outlets are barred from covering politically sensitive events -- had settled in.

Some journalists questioned whether a day spent running around in the summer heat to cover a trial where the outcome is all but certain was really worth it.

The conviction rate for first- and second-instance criminal trials in China -- where the Party controls the police, prosecution and courts -- stood at 99.9% in 2010, a U.S. State Department report cited the Supreme People's Court as saying. The only "unknown" in the Bo case seems to be the sentencing.

After a long day of stakeout and live reports, we finally headed back to the hotel two blocks away from the court. As we walked into the Hyatt Regency Jinan, part of a sprawling mixed-use development, I was reminded by the sign that the hotel's Chinese name is Jinan Wanda Hyatt -- a nod to the property's owner, the Dalian-based Wanda Group.

The real estate conglomerate -- headed by China's richest man -- saw its business take off in the 1990s, propelled by land deals with the local government when Bo was mayor of the coastal city in northeastern China.

Wanda is not implicated in the Bo case, but it seems -- despite the top leaders' best efforts to choose a "neutral" location for the trial -- Bo's shadow looms large even in Jinan.

@highlight

Bo Xilai set to be tried at the local Intermediate People's Court in Jinan

@highlight

Former political star faces charges of bribe-taking, embezzlement and abuse of power

@highlight

Jinan is far away -- more than 780 miles -- from Chongqing, Bo's former powerbase

@highlight

It will be Bo's first public appearance since April 2012 when he was stripped of his posts