(CNN) -- Hillary Clinton hasn't said whether she's going to run for president in 2016. And Massachusetts Sen. Elizabeth Warren has said, repeatedly, that she's not planning to run.

But, given the dynamics of today's politics, the two women need each other. And they both should run for the Democratic nomination.

A primary challenge from Warren could be the very best thing to happen to Clinton in a run for the presidency.

Most pundits have argued that a Warren challenge would be a problem that Clinton needs to confront, a genuine roadblock in her path to the presidency. The division and discord, they say, would be a repeat of the 2008 primaries where she ultimately lost to Barack Obama.

But a Warren candidacy could have a very healthy effect for Clinton and for the Democratic Party. The biggest challenge that Clinton faces right now, assuming that she decides to run, is that she might be unable to generate enough excitement among Democrats that would mobilize voters and excite the media in the general election. Part of the problem revolves around the same old issue of "inevitability."

As in 2008, people treat her candidacy as a given and assume that she would be the likely Democratic nominee.

In American politics, voters tend to like the underdog. When Clinton hit the campaign trail in 2008 as the "inevitable" winner, she often fell flat. Obama used the image of inevitability against her. Indeed, some of the finest moments in her campaign came toward the end when it became clear that Obama was probably going to win the nomination. Her fight intensified, and she made a much stronger appeal to key elements of the Democratic Party.

As New York Sen. Chuck Schumer recently reminded his party, Democrats do best when they deal with the issues facing the middle class and advance an agenda that focuses on economic security for all.

Far from being "radical," this has been the kind of policy agenda for which Democratic voters thirst. It was the heart of the New Deal and the Great Society, as well as successful Democratic midterm campaigns (like 1982 or 2006) and the 2008 election. In recent times, Democrats have done well when they pay attention to the middle class and suffer when they move too far away from these issues. This kind of agenda could inspire Democratic voters and attract independents who are frustrated with the continued challenges facing the middle class.

If Warren forces Clinton to confront these issues and to articulate a stronger response to the economic issues of our days -- creating countervailing pressure to the political experts who will implore her to stay away from these questions -- it would only make the former first lady and secretary of state a stronger candidate.

Warren's candidacy would force Clinton to put herself on the record over how she would help the middle class -- committing to the kinds of policies that will be desirable to many voters, including some independents and even moderate Republicans who are struggling in this economy and who are uncomfortable with the solutions offered by a GOP that continues to lean hard to the right.

A Warren candidacy would also put pressure on Clinton's team to make sure they pay close attention to the grass roots. In the 2008 primaries, the Clinton campaign faltered in dealing with the political ground war, the job of mobilizing and organizing local activists and deploying social media to bring out supporters.

If there is no Democratic challenger, Clinton might not do enough to prepare for the onslaught she would face from a GOP, a party armed with tea party activists and a huge network of campaign donors ready for battle. If Warren runs, Clinton will be forced to have her campaign infrastructure in place and in top form before the general election campaign begins.

There is also the virtue of Clinton sharpening her basic campaign skills. Although she has never really left politics since her husband's election as President in 1992, she is probably a bit rusty, as her book rollout in June showed.

In the current media environment, there is no room for mistakes -- and given that the Republicans might have some pretty strong candidates in the mix, she will have to be at the top of her game.

Clinton is an immensely skilled politician and can compete with the best, but the challenge of running against Warren would make her stronger by the fall of 2016.

Both candidates would benefit from a real primary. Polls show Clinton has a commanding lead against any challenger, including Warren, so the odds are this would not be a genuine threat to her nomination.

But a primary would vastly enhance Warren's stature on Capitol Hill and give her a bigger profile within the party for years to come.

For Clinton, a vigorous challenge from the base of the party will be just the kind of competitive spur that she needs.

@highlight

Hillary Clinton hasn't said whether she's running in 2016; Elizabeth Warren says she is not

@highlight

Julian Zelizer: A challenge to Clinton's front-runner status from Warren would be good for Hillary

@highlight

He says it would force Clinton to up her campaign game in advance of general election