ATLANTA, Georgia (CNN) -- A yellow taxi sits idle at Hartsfield International Airport in Atlanta, Georgia, leaving its Somali immigrant driver visibly frustrated.

Abdullah Hagi, a cabdriver in Atlanta, Georgia, has had to cut back on expenses as the economy has declined.

"I've been here two hours, and you're my first customer," Abdullahi Hagi, formerly of Mogadishu, said as he tightened his grip on the leather-bound steering wheel. "When the economy is bad, people don't ride cabs."

Often considered a bellwether for consumer spending, cabdrivers and the tough times they now face could mean worse times for relatives living in places like Somalia, where war and famine have made remittances from emigres like Hagi more important.

Amid a financial crunch that has many of Hagi's customers feeling the pinch, fewer fares and mounting bills have not stopped him from sending a big chunk of his paycheck home to his family.

Despite a bit more empty space in his hand-stitched wallet, Hagi said he has worked out a solution to keep his family fed back home. He is pooling his paycheck with fellow cabdrivers.  Watch how cabbie gets by with less »

An informal lending system has emerged in major U.S. cities, akin to an old-world style of community banking that is fending off starvation in places like Somalia. In Atlanta, cabdrivers lend to each other based on need, depending whose family is in more dire straits.

"I could never borrow from any bank," Hagi admits. "You take loans, not from institutions but from friends."

However, Hagi is still struggling to make ends meet.

"Should I pay the student loan or should I pay for my starving relatives?" he asked. "That's the kind of choice you've got to make every day."

"Lately, it's been getting harder and harder to accumulate enough to survive and also send back home," he added, shifting his weight in the cab's cracked leather seats. "You try to cut corners in your lifestyle to be able to send money to your people because they're always in much worse condition -- always on the brink of collapse or starvation."

Hagi and his family are not alone. Figures from the United Nations put nearly half of Somalia's population in need of humanitarian assistance, according to a report released in September.

One in six Somali children under the age of 5 are acutely malnourished, the report found, and food is getting more costly.

The price of sorghum, used for grain and found on the dinner plates of most Somali households, soared 600 percent since last year, according to a separate U.N. report. Civil war and drought have made food both scarce and a source of political power.

Pitched battles between an Islamic insurgency and Ethiopian-backed transitional government forces have left thousands dead and rendered what many have called a "failed state" now teetering on the brink of its worst humanitarian crisis in over a decade, according to a World Food Program report.

The United Nations says "all information indicates that the key factors driving this humanitarian crisis will continue to worsen over the coming months."

That crisis, coinciding with a financial one that clobbered Wall Street and sent U.S. automakers begging for bailouts, may leave cabdrivers like Hagi facing the perfect storm.

"You cut your groceries. You cut even the clothes you buy the kids. You cut everything," he said. "Whatever you can think of."

There may not be much more to cut. For now, cabdrivers like Hagi are turning to each other to keep food on the family table back home.

@highlight

U.S. economic woes take toll on Somali cabdrivers

@highlight

Many Somali families depend on remittances to make ends meet

@highlight

More cabdrivers start to lend to each other based on need

@highlight

Nearly half of Somalia's population in need of humanitarian aid, according to U.N.