(CNN) -- After days of international shuttling on what to do with the troubling situation in Syria, Russia's foreign minister said Saturday his country will never agree to foreign intervention.

Despite warnings of Syria spiraling into a civil war, Russian Foreign Minister Sergei Lavrov said at a televised briefing in Moscow there was no alternative other than implementing Special Envoy Kofi Annan's peace plan, despite its failures.

"The situation looks more and more grim," Lavrov said. "For the first time since the beginning of this crisis we see the question of foreign intervention. And our position remains unchanged. We will never agree to sanction the use of force in the U.N. Security Council."

Opinion: The only glimmer of hope for Syria

He called foreign intervention a "dangerous game" and said it would have serious consequences in the entire region. He also blamed the recent violence, which has included horrific reported massacres in Houla and Qubeir, in part to opposition groups being supported by other nations.

Russia, along with China and four Central Asian nations, has signed a joint declaration rejecting armed intervention in Syria and reiterating support for Annan's peace plan.

Russia and China -- both Security Council members -- have also blocked proposed United Nations efforts to punish President Bashar al-Assad's regime with sanctions.

Lavrov suggested an international conference on Syria to work out a way to make the peace plan stick. That conference, he said, should include Iran and not focus on regime change in Syria.

"If the Syrians agree [on Assad's departure] between each other, we will only be happy to support such a solution," Lavrov said. "But we believe it is unacceptable to impose the conditions for such a dialogue from outside."

Lavrov's comments came on a day when intense fighting flared across Syria and after many hours of international discussions this week on how to get the failing peace plan back on track.

At least 96 people, including many women and children, were killed Saturday, said the opposition Local Coordination Committees of Syria.

Many of the reported deaths were in Daraa, a southern city near the Jordanian border that the opposition group said was raided and shelled starting Friday night.

"Several doctors have been detained to prevent them from aiding the wounded amid a state of panic among residents due to the abuses regime forces are committing against the people there," the group said.

A doctor in the besieged city of Al Qusayr, near the Lebanese border, said he has to keep moving his makeshift hospital to prevent attack. Journalist Robert King documented the chaos in the hospital on video as medical staff rushed to save lives.

King said he has seen snipers targeting children.

The city of Homs came under heavy bombardment Saturday. Regime forces stormed one neighborhood amid intense gunfire and shelled a mosque and church, the Local Coordination Committees said.

At least 26 people died in Homs, including the mayor of the Khalidiya neighborhood, according to the group. It said another 26 people died in Idlib.

Another opposition group, the London-based Syrian Observatory for Human Rights, reported a total of 17 government forces were killed in clashes with rebels across the country.

CNN cannot independently confirm reports of casualties or violence as the Syrian government has restricted access by international journalists.

In another sign of escalating attacks, rebels battled government forces in the heart of Damascus on Friday, sparking fierce explosions in a rare and bold move for the fighters, video purportedly from the scene showed.

Meanwhile, the Syrian government said an "armed terrorist group" was behind an attack on a power station in a Damascus neighborhood Friday. Firefighters extinguished the fire and crews are working to restore electricity to affected areas.

The state-run Syrian Arab News Agency (SANA) reported that the bodies of 57 policemen and soldiers -- many of them officers -- were transported from military hospitals in several cities to funerals in hometowns.

International leaders accuse al-Assad of failing to comply with a peace plan brokered by Annan, a special envoy on Syria for the United Nations and the Arab League.

Annan, who has been meeting with U.N. officials, is trying to salvage the peace plan to end the 15-month anti-government uprising.

As part of the plan, U.N. observers have been in Syria to monitor whether both sides are abiding by the agreement.

Friday, the observers made it to the site of what the opposition called a massacre Wednesday in the village of Qubeir, near Hama, after they were denied access a day earlier by government forces and civilians in the area, said Sausan Ghosheh, spokeswoman for the U.N. Supervision Mission in Syria.

The U.N. team found signs of an attack in the village, including some homes damaged by rockets, grenades and a range of other weapons, Ghosheh said. There also were tracks left by armored fighting vehicles that were visible in the vicinity, she said.

The observers found the village empty, and observers were not able to talk to anyone who witnessed Wednesday's "horrific tragedy," Ghosheh said.

She said the circumstances surrounding this attack are still unclear, and that the number and names of those killed are still unconfirmed.

The LCC alleges at least 78 people were killed in Qubeir, while the Syrian government blamed terrorists for the attack that it says killed only nine people.

The Syrian state news agency discounted the opposition account of what happened in Qubeir, citing in its report a witness from the village who claimed to have seen armed terrorist groups carry out the attack.

The government's claim contradicts that of the opposition, who accused government forces of shelling the village for an hour before militias on foot turned AK-47 rifles on people, some at close range, or slashed them with knives. Some residents suspected the Shabiha, armed gangs that work as freelancers for the government, the opposition said.

A video purporting to show the carnage was posted on YouTube. It did not show who carried out the actual killings. CNN could not independently verify its authenticity.

CNN's Hamdi Alkhshali and Saad Abedine contributed to this report.

@highlight

NEW: An opposition group reports 96 people killed across Syria on Saturday

@highlight

Russia's foreign minister says there is no alternative to the peace plan

@highlight

The opposition says doctors are being prevented from treating the injured

@highlight

U.N. monitors find signs of an attack in a village where a massacre was alleged