(CNN) -- We've all wondered what it's like to die.

Now there's a game that claims it can fulfill our curiosity, without actually killing us.

"Samadhi -- 4D Experience of Death," is a morbid "escape room" game that uses dramatic special effects to bring players close to what its creators imagine is an experience of death.

When it opens in Shanghai in September 2014, it will invite participants to compete in a series of challenges to avoid "dying."

Losers get cremated -- or are at least made to lie on a conveyor belt that transports them through a fake funeral home incinerator to simulate death rites.

The faux cremator will use hot air and light projections to create what the organizers call "an authentic experience of burning."

After "cremation," participants are transferred to a soft, round, womb-like capsule, signifying their "rebirth."

And the winner?

"He'll also have to die of course," says the game's fatalistic co-founder Ding Rui.

As in life, he explains, "everyone will die eventually, no matter what they've survived."

Life and death

Ding and his partner Huang Wei-ping went to great lengths researching their game, investigating the cremation process that typically awaits 50% of Chinese people after death.

The pair visited a real crematorium and asked to be sent through the furnace with the flames turned off.

"Ding went in the crematory first and it was stressful for me to observe from the outside," says Huang.

"The controller of the crematory was also very nervous; he usually just focuses on sending bodies in, but not on bringing them back out."

When it came to Huang's turn, he found it unbearable.

"It was getting really hot. I couldn't breathe and I thought my life was over," he said.

The pair say realism is essential to provoke participants into thinking about life and death.

They'll operate the game while also running Hand in Hand, an organization that specializes in providing hospice support to dying patients in an oncology hospital.

Soul searching

Huang says his interest in death emerged during a period of soul searching after a lucrative but spiritually unrewarding career as a trader.

"China made me rich, but it didn't teach me how to live a rich life. I was lost," he says.

He went on to study psychology and volunteered to help in the aftermath of a 2008 earthquake in China's western Sichuan province, launching Hand in Hand shortly after.

"It opened a new door for me -- I went there to help but I was also saved."

Ding, meanwhile, had undertaken his own search for a meaning to life by organizing seminars with experts on the subject.

"I invited 'life masters' from different religions and other fields to come and talk about what life is," he says.

"I did that for two years before realizing that, instead of sitting here and listening passively, I could also do something."

That was when the two hooked up to create the "4D Experience of Death."

Morbid curiosity

The pair were initially unsure of the appetite for their morbid concept, even though similar ventures have already opened in South Korea and Taiwan.

Voluntary work in a hospice showed them that few people wanted to confront the idea of death, even when it was at hand.

"The saddest part of the job wasn't seeing the patients passing away but how the families refused to face death -- the final days with their loved ones consisted of kind but shallow lies," says Ding.

"We lack understanding of death and the fear can become so overwhelming."

To sound out the idea, Huang and Ding first started a fundraising campaign on jue.so, the Chinese version of Kickstarter.

"We received more than RMB 410,000 ($67,000) in three months, surpassing our target," says Huang. "It turns out many people in China are curious about death."

Ding says they hope the experience will promote "life education" -- prompting people to ask questions about what they are doing with their lives and guiding them to face death in a personal way.

"There aren't any model answers in life and death education, unlike those courses that teach you to be rich and successful," says Huang. "It is more important for people to experience it personally."

"I was in a car crash once and the only thought in my mind then was 'why didn't I buy insurance?'" says Huang. "It wasn't what I had imagined for the final moments of my life. That romantic idea of having a flashback of one's entire life in the last moments before death -- that did not happen."

Samadhi -- 4D Experience of Death will be completed at the end of August and is scheduled to open in September. Sessions will be conducted in Chinese. Tickets RMB249 ($40). 101-104, Building 2, Gongyi Xintiandi, 105 West PuYu Road, Huangpu District, Shanghai

@highlight

"Samadhi -- 4D Experience of Death" uses special effects to recreate an imagined experience of death

@highlight

The death-themed game was created to provoke people into considering the meaning of life

@highlight

"Samadhi" creator: "China made me rich, but it didn't teach me how to live a rich life"