Nanjing, China (CNN) -- Nanjing, a city of 8 million in eastern China, is the capital of the coastal Jiangsu Province.

But some 80 years ago it was the capital of China.

The revolutionary Sun Yat-sen founded the Republic of China (ROC) here in 1912 after playing an instrumental role in overthrowing the Qing dynasty, the last of the Imperial eras in China.

Sun's successor, Chiang Kai-shek, headquartered his nationalist Kuomintang (KMT) government here from 1927 until the Communist Party pushed them from the mainland in 1949 and moved the capital north to Beijing.

This gave Nanjing, whose name literally means the "southern capital," something of an identity crisis.

But 64 years after the end of the KMT's rule, the city seems to have found its place again as a legacy of Minguo, or the Republic of China. From tourism to dining to real estate, many Nanjing businesses are selling themselves with a nod to the former capital's nationalist past.

The city's main center of nightlife, known simply as 1912, is named and themed after the founding year of the Republic.

Located a stone's throw from the KMT's Presidential Palace, century-old villas are revamped and dolled-up to house bars and restaurants. The complex boasts of its "classic Minguo cultural significance" on its website.

Walking around the city's commercial center, Xinjiekou, it's common to see billboards and video screens advertising new real estate known for its "Minguo flavor."

Yihe Road was the city's Legation Quarter in the early 20th century and is lined up with distinctive Minguo-style architecture -- exquisite and painstakingly intricate Chinese carvings decorate the otherwise European faÃ§ade.

The quiet 500-meter strip has in recent years been renovated by authorities to resemble its former Republican glory.

While culture-lovers swarm here to trace Nanjing's olden-day charms, university graduates are often seen taking graduation photos in retro Republican-style outfits. Instead of run-of-the-mill black robes, male students don Chinese tunic suits, known as Sun Yat-sen suits, while females wear ocean-blue, wrap-up tops and black cotton skirts.

Enthusiasm for this era has also provided the most unlikely of job opportunities in China.

Xu Jinshui, 46, is a professional impersonator of Chiang -- a controversial figure for many mainlanders. During the day he stands like a wax figure outside the Presidential Palace. Fully Chiang-costumed, Xu charges tourists for taking photos with him.

By night, the quiet Zhejiang native ushers in guests at Ming Du Hui, a Minguo-themed restaurant, still dressed as Chiang.

"If we want to introduce the Minguo Cuisine to the public, we need to throw in a related experience," explains general manager Lv Xinhe. "Chiang Kai-shek is a famous character and people know about him."

The 150-seat restaurant, whose per-head bill averages RMB 300 (US$48), serves food that was popular with nationalist officials. The menu includes yellow croaker soup, which was said to be Chiang's favorite, and May-ling Soong's Steak, a meat dish designed by Chiang's wife.

The local communist government seems to encourage the cultural comeback.

According to Shen Jiahua, the president of Nanjing Dining Chamber of Commerce, the authorities have endeavored to popularize Republican food since 2011. A dozen restaurants in the city have been certified to carry the "Minguo Big Cuisine."

"[What we do is] to pass on the dining culture of Nanjing and create a unique culinary signature of the city," says Shen.

The well-groomed 56-year-old former soldier owns Yushang Xunfu, a 4,000-square-meter Nanjing restaurant devoted to researching, developing and cooking the cuisine, which comprise the prevailing governmental dishes of the time.

Each of the establishment's 27 dishes is coupled with an interesting historical anecdote, often linked with influential KMT leaders, such as Sun and Bai Chongxi, a noted Hui-Muslim nationalist General.

Shen spent approximately RMB 40 million (US$6.4 million) decorating the restaurant, which features colossal crystal chandeliers. The clientele are mostly businessmen, government employees and military officials.

"Commercial gimmicks are perhaps the most obvious part of [this Republican cultural comeback], and it is best and most easily manifested through cuisine," says media producer and culture consultant Frank Hossack.

Hossack, 43, came to China in 1993. The Scot has lived in Nanjing for the past decade and now edits, among other things, English-language magazine The Nanjinger.

This specific period attracts the locals because, according to him, it was when "the government really made the biggest bounds, greatest developments and smartest innovations in what was called the Nanking Decade from 1927 to 1937."

Hossack also regards the nostalgic trend as a reflection of Nanjing's desire to find a new identity, when the provincial capital is often eclipsed by nearby Shanghai, which is a 90-minute train ride to the southeast.

Chinese magazine Fan Yue Ri Li defined the Republican culture, or the "Republican feeling," as an "aristocratic spirit." In one article, the publication argued that modern China needed this lost essence because, for one reason, "the general social customs, taste and language are becoming coarse and vulgar."

The lengthy essay was later re-posted on the web edition of the state-run People's Daily.

"To some extent, it shows people partly recognize that era's values," says ROC culture specialist Chen Weixin.

Although Chen declines to point out the specific values, a general consensus among the Chinese public and media is that Republican times often embody openness, diversity, freedom and democracy,

As an architect focusing on Republican times, 42-year-old Chen has been involved in the restoration of many Minguo buildings, including part of the Presidential Palace.

"On the other hand, it shows that people are connecting with their culture and history," he adds.

"Here on the mainland, [a certain incident in] history caused a disruption to the passing of the traditional culture, but the Republican culture was in line with it," he continues. "That's why people resonate with that era's culture."

According to Chen, the Republican culture never went extinct in Nanjing after 1949, even though it did diminish. The city's layout till today is based on the "Capital Plan," a blueprint drafted by the nationalist government from 1930-1937.

As Chiang's wife, May-ling Soong, once said: "We live in the present, we dream of the future and we learn eternal truths from the past."

This may well explain Nanjing's obsession with its Republican past.

@highlight

Nanjing, a city of 8 million in eastern China, was previously the Chinese capital

@highlight

Chiang Kai-shek headquartered his nationalist Kuomintang government here until 1949

@highlight

Now the city is making a comeback thanks to its links with its republican past

@highlight

Tourists flock here to sample the food, music and culture of this era