In the automotive world, good things often come in fours.

Four doors, four-wheel drive and, in one corner of Germany, four of the planet's finest motoring museums.

And you don't even need a car to visit them.

Germany's premium motoring brands can be seen the world over, but only in Bavaria and Baden-Wurttemberg, where their manufacturers -- Audi, BMW, Mercedes-Benz and Porsche -- have established the museums in their honor can their legacy be fully appreciated.

Between them, the collections based in a magic motoring triangle that connects the cities of Stuttgart, Munich and Ingolstadt, are a priceless showcase of automotive history.

The hundreds of cars, trucks and motorbikes on display range from the pioneering creations of Gottlieb Daimler, Carl Benz and August Horch through to the futuristic prewar designs of Ferdinand Porsche and on to the high-tech vehicles of the modern era.

For car enthusiasts -- or simply anyone interested in the technology of modern transport, global brand values and remarkable architecture -- these state-of-the-art museums create a touring "golden triangle" that can be covered in a couple of days using Stuttgart or Munich as a base.

Innovation, engineering excellence, historic achievement and a sense of style are some of the factors that exemplify the vehicles on display.

Ethereal aluminum body

An example is the first exhibit a visitor encounters at the Porsche Museum in Stuttgart: the ethereal aluminum body shape of the 1939 Type 64.

Clearly the forerunner of all Porsches, this tiny streamlined prototype was designed as a long-distance racing coupe by company founder Ferdinand Porsche.

After World War II, it was the first car to carry the family name, ahead of the Porsche 356 No. 1.

Not far from the Type 64 is a car that began Porsche's long association with the Le Mans 24-hour race in France.

In 1951, a 1.1 liter Porsche 356 SL coupe bearing the number 46 competed in the race, winning its class and finishing 20th overall.

Between 1970 and 1987, Porsche was the outright winner 12 times at Le Mans, and added another four wins in the 1990s.

The massive collection at the Mercedes-Benz Museum, also in Stuttgart, includes such historical masterpieces as the Benz Patent-Motorwagen of 1885, the first Daimler motor car of 1892, the supercharged Mercedes-Benz roadsters of the 1920s and 1930s, through to the quirky high-speed transporter built to carry the 300 SLR sports racer to the track.

On one wall of the museum stands the 1939 six-wheeled T80 world record car, originally fitted with a 44-liter V12 engine that was designed to reach a speed of 600 kilometers per hour (372 mph).

Plans for a record attempt were undone by the advent of World War II; the car was mothballed and its engine removed.

Mercedes' racing heritage is prominent, culminating in a spectacular lineup of its Silver Arrow grand prix and sports racing cars.

Outside the museum, a bronze statue depicts five-time world champion F1 driver Juan Manuel Fangio standing next to his 1954 W196 grand prix racer.

Audi, created by engineer August Horch in 1910, consolidated its brand in 1932 when it joined with Wanderer and DKW to form Auto Union under the "four rings" emblem.

Flowing silver masterpiece

Examples of all these marques can be found at the Audi Museum, along with Audi's Le Mans-winning sports racers, the Quattro rally championship cars and the "baby Thunderbird" Auto Union 1000 SP.

One highlight of the Audi display is a flowing silver masterpiece known as the 1937 Auto Union V16 Type C Streamliner racing car.

The car on show is a modern recreation of the Streamliner that German driver Bernd Rosemeyer took to a speed of more than 400 kmh on the Frankfurt-Darmstadt autobahn in October 1937, the first time the mark was reached on a normal road.

Rosemeyer was killed in 1938 during a similar speed attempt on the same road.

In Munich, most people arrive by subway to BMW Welt, which is a showroom and delivery center for its contemporary BMW, Mini and Rolls-Royce brands.

A pedestrian bridge links this with the silver bowl-shaped BMW Museum across the road.

The museum pays homage to the company's aero engine origins and to its F1 racing endeavors with Brabham, Williams and Sauber, but primarily features a superb range of prewar and postwar BMW saloons, roadsters and coupes, along with its current crop of high-technology vehicles such as the i8 concept car.

Highlights include a roadster and coupe versions of the classic 1939 328 model, while curiosities such as the 1955 Isetta bubble car enliven the display.

Between them, the four museums can easily soak up four days of visitor time, particularly if the factory tours are included.

Either Stuttgart or Munich makes a great base.

They are two of Germany's most liveable and appealing cities -- easy on the eye, great transportation systems and not too expensive.

The business-style hotel chain Motel One, for example, offers rooms close to the main stations for €60 to €80 ($80-$107) outside peak season.

If time permits, Germany's other great auto museum, Volkswagen's sprawling Autostadt, lies 600 kilometers north of Munich in the city of Wolfsburg, about an hour by train west of Berlin.

Munich to Berlin takes about six hours by car or train.

Getting there

InterCity Express (ICE) train services link Munich and Stuttgart in a little over two hours, while Ingolstadt is 40 minutes by train from Munich. For those with a more detailed interest, it's possible to arrange factory production tours at all four sites.

Porsche Museum

Open 9 a.m.-6 p.m., Tuesday to Sunday. Closed Monday. Admission €8 adult and €4 child/concession. Factory tour is free (reservation required). Email: factorytours@porsche.de

By train: From Stuttgart main station, take the S-Bahn S6 line towards Weil der Stadt/Leonberg; get off at Neuwirtshaus/Porscheplatz station. The museum is next to the station.

Porsche Museum, Porscheplatz 1,  Stuttgart-Zuffenhausen

Mercedes-Benz Museum

Open 9 a.m.-6 p.m., Tuesday to Sunday. Closed Monday. Admission €8 and €4. Factory tour is €4 (reservation recommended). Email: dialog@daimler.com

By train: From Stuttgart main station, take the S-Bahn S1 line towards Kirchheim (Teck); get off at Neckarpark (Mercedes-Benz) and follow signs to museum.

Mercedes-Benz Museum, Mercedesstrasse 100, Stuttgart

BMW Museum

Open 10 a.m.-6 p.m., Tuesday to Sunday. Closed Monday. Admission €9 and €6. The adjacent BMW Welt (new car display area, restaurant, shop) is free and open daily from 7:30 a.m. to midnight. Factory tour is €8 (reservation required). Email:  infowelt@bmw-welt.com

By train: From Munich main station, take the S-Bahn to Marienplatz, change to U3 (subway) toward Olympia-Einkaufszentrum; get off at Olympiazentrum. BMW Welt is next to the subway station; the museum is linked to BMW Welt by an overhead walkway.

BMW Museum, Am Olympiapark 2, Munich

Audi Museum

Open 9 a.m.-6 p.m., daily.

By train: From Munich main station, take ICE train to Ingolstadt Hbf (40 minutes), then bus No. 11 or taxi to Audi Forum. Admission €4 and €2. Factory tour Monday-Friday 11:30 a.m. (booking required), €7 and €3.50. Email: welcome@audi.de

Audi Museum, part of Audi Forum, Ettinger Strasse, Ingolstadt

@highlight

Three cities in southern Germany host museums dedicated to the country's leading car brands

@highlight

Enthusiasts can tour collections of priceless cars made by BMW, Audis, Mercedes-Benz and Porsche

@highlight

The museums can be explored in two days using Munich or Stuttgart as a base