Conestoga Wood Specialties was founded a half-century ago in a Pennsylvania garage. The Hahn family's commitment to quality is driven in large part by their Christian faith, which in turn may soon threaten the company's very existence.

That financial and constitutional dynamic is now before the U.S. Supreme Court, in a high-stakes encore to the health care reform law known as Obamacare. The justices will hear oral arguments Tuesday in a dispute involving contraception coverage and religious liberty.

The court will review provisions in the Affordable Care Act requiring for-profit employers of a certain size to offer insurance benefits for birth control and other reproductive health services without a co-pay. At issue is whether certain companies can refuse to do so on the sincere claim it would violate their owners' long-established personal beliefs.

"Our religion is Mennonite; that is our faith. Our company was founded on that religion as well," said Conestoga's President Anthony Hahn, son of the privately held company's co-founder. "We feel the government has gone too far in too many instances. It's been troubling to us as a family."

The modest furniture maker's pending lawsuit is one of nearly 50 that have been filed in federal courts from various corporations, challenging the birth control coverage benefits in the law championed by President Barack Obama. That law has come in for separate, fierce political criticism over its rocky public introduction last fall.

Two separate appeals will be heard together in the high court's one-hour public session. A ruling expected by late June could clarify whether businesses have a religious liberty right, or whether such constitutional protections apply only to individuals.

5 things to know about Obamacare and contraceptives

The companion legal challenge comes from Hobby Lobby, an Oklahoma-based retail giant that will have more than 700 arts and crafts stores nationwide by year's end. Both corporations emphasize their desire to operate in harmony with biblical principles while competing in a secular marketplace. That includes their leaders' publicly stated opposition to abortion.

Under the ACA, financial penalties of up to $100 per day, per employee can be levied on firms that refuse to provide comprehensive health coverage.

"The fines and implications are, in my mind, astronomical," said Hahn, who employs about 1,000 people. "It's devastating to any company."

Hobby Lobby, which has about 13,000 workers, estimates the penalty could cost it $475 million a year.

The church-state issue now in the spotlight involves three-pronged rules negotiated last year between the Obama administration and various outside groups.

Under the changes, churches and houses of worship are completely exempt from the contraception mandate.

Other nonprofit, religiously affiliated groups, such as church-run hospitals, parochial schools and charities like the Little Sisters of the Poor, must either offer coverage, or have a third-party insurer provide separate benefits without the employer's direct involvement. Lawsuits in those cases are pending in several federal appeals courts across the country.

The Hobby Lobby and Conestoga claims are in yet another Obamacare category: for-profit corporations claiming a religion-based exemption.

These suits follow the high court's decision two years ago that narrowly upheld the key funding provision of the health care law, a blockbuster ruling affirming that most Americans would be required to purchase insurance or pay a financial penalty, the so-called individual mandate.

The constitutional debate now shifts to the separate employer mandates and whether corporations themselves enjoy the same First Amendment rights as individuals.

Three federal appeals courts around the country have struck down the contraception coverage rule, while two other appeals courts have upheld it. That "circuit split" made the upcoming Supreme Court review almost certain.

David Green and his family are Hobby Lobby's owners and say their evangelical Christian beliefs clash with parts of the law's mandates for comprehensive coverage.

They say some of the drugs that would be provided prevent human embryos from being implanted in a woman's womb, which the Greens equate with abortion.

Those drugs include Plan B contraception, which some have called the "morning after" pill.

The large retailer says it already provides coverage for 16 federally approved forms of contraception -- such as condoms and diaphragms -- for its roughly 13,000 employees, who Hobby Lobby says represent a variety of faiths.

The White House has said it believes a requirement on contraception coverage is "lawful and essential to women's health" and expressed confidence the Supreme Court would ultimately agree.

Obamacare's supporters say it does not require individual company owners to personally provide coverage they might object to but instead places that responsibility on the corporate entity.

"Throughout our nation's history, corporations have been treated differently than individuals when it comes to fundamental, personal rights of conscience and human dignity," said lawyers for the Constitutional Accountability Center, a progressive public-interest legal group. "The First Amendment's free exercise guarantee has always been viewed as a purely personal liberty."

But lawyers representing the Hahns say they deserve freedom from what they call state intrusion into private moral decisions.

"The question in this case is whether all Americans will have religious freedom and will be able to live and do business according to their faith," said Matt Bowman, senior legal counsel with the Alliance Defending Freedom. "Or whether the federal government can pick and choose what faith is, who are the faithful, and where and when they can exercise that faith."

A key issue for the justices will be interpreting a 1993 federal law known as the Religious Freedom Restoration Act, requiring the government to seek the "least burdensome" and narrowly tailored means for any law that interferes with religious convictions. Can companies, churches, and universities be included, or do the protections apply only to "persons?"

The justices have a good deal of discretion to frame the competing issues and could reach a limited "compromise" decision through narrow statutory interpretation. They could conclude individual owners can make the religious freedom claim, bypassing the corporate rights argument.

Liberals have criticized the conservative majority high court for being overly sympathetic to business interests.

The botched rollout of HealthCare.gov, the federal Obamacare website, has become another political flashpoint along with other issues that many Republicans say proves the law is unworkable. Some legal analysts say the birth control mandate cases are only the beginning of a broader legal fight that could extend to end of the decade.

"It wouldn't be surprising if we had a case at the Supreme Court every year for the next five about Obamacare, as the lower courts get in the nitty-gritty of exactly how to implement this complicated statute," said Thomas Goldstein, a leading appellate attorney and the publisher of SCOTUSblog. "There are a lot of ambiguities; there are a lot of new rules that agencies are (adopting). There's a lot of anger and a lot of contention about putting this statute into effect."

As for Conestoga, Anthony Hahn and his wife, Carolyn, believe they are on the right side of the legal and moral argument. They live in Lancaster County with their four children, just down the street from their second-generation kitchen cabinet business, which has expanded over the years into four other states. Nearby are Anthony's two brothers, who also work at the company, and his parents, Norman and Elizabeth Hahn.

"It's really not only just for Conestoga. We're taking a stand for other businesses as well," said Anthony Hahn about his appeal. "This is a religious liberty issue that is concerning to us."

The cases are Sebelius v. Hobby Lobby Stores, Inc. (13-354); and Conestoga Wood Specialties Corp. v. Sebelius (13-356).

@highlight

Hobby Lobby, Conestoga Wood Specialties say they run their firms with Christian values

@highlight

Obamacare's contraception coverage requirements violate those values, they say

@highlight

Requirements apply to the corporations, not the individual owners, the government says

@highlight

The Supreme Court will hear oral arguments on the two cases on Tuesday