(CNN) -- Desperation and a rapidly growing death toll serve as a backdrop for a new effort dozens of countries are launching in hopes of finally stemming the brutal crackdown under way in Syria.

At a meeting Friday in Tunisia, world leaders will look to mount pressure against Syrian President Bashar al-Assad.

The meeting of the "Friends of Syria" group is "part of our ongoing efforts with our friends, allies, and the Syrian opposition to crystallize next steps to halt the slaughter of the Syrian people and pursue a transition to democracy in Syria," U.S. State Department spokeswoman Victoria Nuland said.

More than 70 countries have been invited.

Russia, which recently vetoed a U.N. Security Council resolution aimed at stopping the violence in Syria, is not taking part.

Saudi King Abdullah spoke about Syria during a phone call Wednesday with Dmitriy Medvedev, telling the Russian president that any dialogue would not work, according to the official Saudi press agency SPA.

And Lebanese Foreign Minister Adnan Mansour said Lebanon would not participate in the Friends of Syria conference, according to the official news agency NNA.

China, which also vetoed the resolution, has not announced a decision. "If, in fact, China chooses to accept the invitation, that will certainly be a positive sign of its willingness to work with the rest of us to try to end the violence," Nuland said.

The meeting's location is significant because it was in Tunisia last year that the uprisings that became known as the "Arab Spring" began.

"The failure to get a U.N. Security Council resolution, blame for that rests on two countries," State Department spokesman Mark Toner told reporters Wednesday. "So the international community is fairly united in trying to help the people of Syria. The question is, what do we do?

"We talked about humanitarian assistance and trying to work those avenues, cease-fires, we need to get the Syrian regime to stop the onslaught of Homs. These are immediate goals and immediate objectives as we head into Tunis."

The death toll in Syria is edging toward 9,000, according to the opposition Local Coordination Committees of Syria (LCC).

On Thursday morning, two people had been reported killed, according to the group, which identified one of them as an army recruit who was shot dead after refusing to open fire on on demonstrators in Zabadany and the other as an 8-year-old boy from Aleppo.

Sixty people were killed Wednesday including two journalists -- one American, one French -- according to the LCC. The deaths included 20 in the Baba Amr neighborhood of Homs, 13 in Hama, 22 in Idlib, one in Daraa, two in Aleppo, and two in Damascus suburbs.

Journalists' deaths highlight dangers

YouTube videos corroborated by activists' accounts showed hundreds of students at the University of Aleppo marching to the campus center -- Clock Square -- and taking down the Baath party's flag, then raising the pro-democracy flag, referred to by activists as the "independence flag." It was used by the Syrian republic before Hafez al-Assad took power in 1971. Shortly after that, security forces and pro-government supporters opened fire to disperse the protesters, the activists said.

Protests in Aleppo are significant because the city's population, along with areas in Damascus, represent the upper-middle class who traditionally have benefited from the al-Assad regime.

In Damascus, security forces closed entrances and exits and then arrested more than 800 civilians at the Hal Market in the middle of the capital city, activists said. The forces then launched a campaign during which shop owners and laborers from Daraa and Idlib provinces were targeted, the activists said.

About 500 soldiers defected from the Syrian army's 17th Regiment and joined the opposition Free Syrian Army, forming a brigade in Idlib, opposition leader Mohamad al-Sayed told CNN.

Some of the worst violence Wednesday was in the besieged city of Homs, where many residents have been unable to move and have been without critical supplies for weeks.

U.N. officials have said updating a death toll is nearly impossible given current conditions.

"This level of brutality is something that I haven't ever seen in my life," activist Wissam Tarif told CNN Wednesday. He is in Beirut, in contact with many in Syria.

There is an urgent need for ambulances to be allowed into stricken areas, he said.

Particularly in Baba Amr, many wounded people were being denied access to medical care, he said.

The two Western journalists were killed in Homs amid heavy shelling from government forces.

The Sunday Times of London said one of the journalists was reporter Marie Colvin, the only British newspaper journalist inside Baba Amr.

Read Marie Colvin's final report for the Sunday Times

French Foreign Minister Alain Juppe said journalist Remi Ochlik was killed in a bombing.

Syrian state TV showed a banner Wednesday saying the ministry of information had no knowledge of the presence of the journalists, and it requested that officials in Homs look for them.

The Syrian regime has severely limited access to the country by foreign journalists, making it impossible to verify many opposition or government reports. But some journalists have managed to get into Syria without the government's knowledge.

The night before, Colvin was on air with CNN describing the onslaught in Homs.

"The Syrian army is shelling the city of cold, starving civilians," she said.

Colvin, a veteran correspondent who also covered last year's Libyan civil war, said the Syrian crisis was the worst conflict she had covered, partly because of the volume of ammunition and shelling falling on Homs.

"There's a lot of snipers on the high buildings surrounding the Baba Amr neighborhood. You can sort of figure out where a sniper is, but you can't figure out where a shell is going to land," she said.

The deaths Wednesday followed that of New York Times reporter Anthony Shadid, who was reporting in eastern Syria when he died last week, apparently from an asthma attack, the newspaper said.

Opinion: The world owes a debt to slain journalists

Syria routinely blames the violence on "armed terrorist groups." The state-run news agency SANA said Wednesday that "competent authorities" had killed three members of such a group Monday and arrested five in Idlib. Also, a group assassinated an engineer and wounded his 16-year-old son in Hama, the SANA report said.

Five members of the army and law enforcement were buried Wednesday, SANA said.

The vast majority of accounts from inside Syria indicate al-Assad's forces are slaughtering civilians in an attempt to wipe out opposition members, who are demanding his ouster and democratic reforms.

Colvin, interviewed hours before her death, described the heartbreak of watching a boy die after being struck in the chest by shrapnel -- one of the many children killed in the conflict.

She said it was important to share his story and images.

"That little baby is one of two children who died today," Colvin said. "That baby probably will move more people to think, what is going on, and why is no one stopping this murder in Homs that is happening every day?"

CNN's Hamdi Alkhshali, Arwa Damon, Holly Yan, Josh Levs, Joe Sterling, Yousuf Basil and Tom Cohen contributed to this report.

@highlight

"The question is, what do we do?" says State Department spokesman

@highlight

About 500 soldiers defect and create an opposition brigade, an opposition leader says

@highlight

Two journalists were killed by government shelling in Baba Amr

@highlight

Syria says authorities killed and arrested "terrorists"