France's freshly inaugurated Socialist president plunged Tuesday into the economic mess that has perplexed policymakers and threatened governments by calling for policies that would spur growth in the ailing eurozone.

"I said that my wish is that growth is not an empty phrase, that it is something which, in reality, is happening," Francois Hollande told reporters in a joint news conference with German Chancellor Angela Merkel in Berlin. "Because, without growth, we can't do whatever we want, we won't reach the goals which we want to -- and to reduce the debt and deficit."

He said the best solution would be to "put everything on the table" on May 23, when the region's leaders plan to meet next.

Hollande said he hopes Greece -- whose economy is teetering and whose populace is fed up with the  austerity demands imposed by the country's international lenders -- will remain in the eurozone, adding, "That's why we have to make it possible for Greece to find solutions."

But he said it is up to the Greeks themselves to make their own decisions about what is best for the country. "Whatever happens, I will respect the decision of Greece," he said.

For her part, Merkel acknowledged after their hour-long meeting that "there is going to be, maybe, differences, but also lots of togetherness." She noted that Hollande's plane was struck by lightning as it flew from Paris. "Maybe that's a good omen, a sign for our cooperation," said Merkel, who has championed austerity measures.

France's first Socialist president since François Mitterrand left office in 1995 won in an election this month against incumbent Nicolas Sarkozy.

Opinion: What Hollande's victory means for Europe's economy

Hollande named Jean-Marc Ayrault, a senior party member and mayor of Nantes, as prime minister and asked him to form the new government, his office said.

At an investiture ceremony at the Elysee Palace in Paris, Hollande said he wants to balance the need to reduce the debts of European governments with efforts to stimulate growth.

He said he wants to discourage "exorbitant" incomes. "It's time to put production ahead of speculation," he said.

"The challenge of this five-year term is recovery," he said at the Hotel de Ville in Paris, prior to departing for Berlin. "We have big plans. France will rise again and build on the strength and the energy of its creators, of its engineers, its researchers, those who make it live."

Hollande has unsettled investors with his criticism of the austerity policies central to European bailout deals for troubled economies like those of Greece and Ireland.

Greeted by flag-waving crowds on the street, a steady stream of prominent French figures arrived at the Elysee ahead of Tuesday's inauguration ceremony and walked on a red carpet through the palace's sun-filled courtyard.

They included the Socialist Party leader Martine Aubry and Bertand Delanoe, the mayor of Paris. Inside the palace, they gathered under chandeliers to witness the transfer of power.

The president-elect's car traveled along the tree-lined streets and avenues of Paris, carrying him over the River Seine and past the Grand Palais before pulling up inside the courtyard.

Hollande made his way up the carpet to be met by Sarkozy. The two men, who had fought an at-times bitter campaign, shook hands before entering the palace for a private meeting.

Afterward, Sarkozy and his wife, Carla Bruni, left the palace, waving from a car as they were driven off, and Hollande was sworn in as the seventh president of France's Fifth Republic.

Ayrault, his newly appointed prime minister, has served as president of the Socialists in the National Assembly since 1997.

In the same year, Ayrault was given a six-month suspended sentence and fined 30,000 francs for political favoritism.

Born in 1950 to working-class parents, he worked as a German teacher before entering politics. He has served as mayor of Nantes since 1989 and had been widely expected to be Hollande's pick for prime minister.

Hollande's election coincided with the vote in Greece that spawned the current political chaos in Athens and moved Greece closer to the possibility of abandoning the euro, the currency used by it and 16 other European Union countries.

Hollande's professed doubts about the fiscal austerity advocated by Merkel, whose party suffered defeat in a vote Sunday in Germany's largest state, have raised questions about whether Paris and Berlin will read from the same script.

Hollande has wasted no time addressing the matter.

Upcoming events include a Group of Eight meeting and NATO summit this month, followed by a G-20 gathering and a European Council meeting in June.

His approach is expected to affect policy in Afghanistan as well as Turkey and the Middle East.

With Sarkozy, the United States enjoyed support for its positions on Syria, Iran and Afghanistan. Sarkozy also was a proponent of the NATO air campaign in Libya.

Hollande, meanwhile, has yet to stake out all of his foreign policy positions.

During the election campaign, he pledged to withdraw all French combat troops from Afghanistan by the end of the year.

He can expect NATO leaders to urge him to soften his position when he attends the summit in Chicago this month, the focus of which will be Afghanistan.

Relations between Turkey and France have been tense because of Sarkozy's apparent opposition to Turkey becoming a member of the European Union. Legislation passed during his presidency that made the denial of the Armenian genocide a crime also raised hackles in Ankara.

Some observers expect Hollande to show more flexibility on Turkey.

Domestically, Hollande has to prove to the French public that he is capable of acting on his promise to bring people together after Sarkozy's presidency, which often polarized opinion.

Voting in the first round of the presidential election showed large numbers of voters turning to parties on the far left and right of the political spectrum.

That scenario could be repeated in legislative elections to be held next month, where Hollande's Socialist Party can secure a majority in parliament that would allow him to push through his agenda.

@highlight

"My wish is that growth is not an empty phrase," Hollande says

@highlight

The French president says Greeks must decide their own fate

@highlight

Hollande names fellow Socialist Jean-Marc Ayrault as prime minister