(CNN) -- Some of the bravest, noblest women and men I have met are members of the United States armed forces. To them, military intervention is not about winning a debate on television or sounding smart on Twitter. With the United Nations ruling out support for military options to stop the bloodbath in Homs in Syria, leading U.S. commentators are calling for NATO and the Arab League to intervene militarily.

In reality, this would mean the United States would once again carry the heavy burden of war. In NATO's recent operation in Libya, the United States provided 75% of the reconnaissance data, surveillance, intelligence and refueling planes. Syria is not Libya, and NATO without the United States is not up to the job.

The Arab League is no match for a brutal Syrian regime backed by Russia, China and Iran.

In essence, therefore, we must stop pretending about NATO or the Arab League intervening and accept that it is not "international intervention," but U.S. military intervention that is being sought in yet another Muslim-majority country. The Muslim dimension is important because the lessons of Lebanon, Iraq, Palestine and Afghanistan are that, invariably, intervention leads to occupation, which leads to varying degrees of Islamist radicalization.

Whatever the motivations to advance U.S. military intervention, we need to address the following questions before contemplating placing U.S. armed forces in harm's way again, and demanding the U.S. taxpayer foot the bill.

First, what does such U.S. military involvement look like? In military terms, what is the "TTP?" -- the envisaged tactics, techniques and procedures for U.S. armed forces? Is intervention designed to create a safe human corridor through which besieged Syrian citizens in Homs can escape, or are we talking about all-out regime change?

Second, if Assad were to be removed by force or arrested by U.S. soldiers for war crimes, who could rule Syria without an ongoing, costly U.S. troop presence on the ground? The U.S.-led, allied mistake in Iraq -- to dismiss the Ba'ath party from power -- led to years of chaos and killing. Today, the Syrian business sector, media, education, security, mosques and police forces are controlled by the Ba'ath party. What happens to this embedded national infrastructure? In other words, what is the day-after plan?

Third, how does the United States propose to head off the hostilities of China and Russia, who are Syria's allies? Additionally, Hezbollah, Iran and assorted Jihadist groups will see U.S. forces as sitting targets in an Arab country. Al Qaeda in Iraq will be revived with renewed strategic depth and alliance with terrorists in Syria. What is the potential military and strategic blowback in exposing U.S. forces to an array of enemies at one stroke?

Fourth, intervening in Syria sets a new precedent. The Economist reports of unrest in China. If, buoyed by U.S. intervention in Syria, Chinese protesters were to take to the streets and Beijing proceeded to unleash another Tiananmen Square-style massacre, would the United States consider military strikes on China? Why not? Put simply, what "third and fourth tier effects," as they are known by military strategists, have not been thought about by interventionists?

I am convinced that military options in Syria will do immeasurably more harm than good. My conviction stems from living in Syria during the U.S. occupation of Iraq and visiting Syria regularly over the last decade. I learned that Syria is a complex nation -- its ethnic, sectarian, tribal and religious composition is fragile. Thankfully, the White House and State Department have so far steered clear of pursuing military options. But the war drums are being beaten in the U.S. media and on the think-tank circuit.

Conventional thinking will not solve Syria's complex conflict. These are the questions that should be on the table: How can a face-saving exit route for Assad be found? Will Russia provide a home, or Iran? If protesters in Syria are democracy activists, what stops them from working with their democratic neighbor, Israel? The answer to that question tells us much about anti-Israeli, and by extension, anti-American sentiment in Syria. How can Turkey and Arab nations persuade the opposition to return to nonviolent protest? Who can hold the country together after Assad's departure?

War is a costly, deadly last resort. Diplomacy, sanctions, freezing assets, travel bans and international isolation will hasten Assad's demise. He is self-destructing, and we do not need to thump our chests in the midst of a fiscal crisis with the false glory of "mission accomplished" in a country that shares borders with Israel, Iraq, Turkey, Lebanon and Jordan.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Ed Husain

@highlight

Ed Husain says pundits, others wrongly calling for military intervention in Syria

@highlight

He says, first answer: What will that look like, specifically? Who will take control after Assad?

@highlight

He says military options would do much more harm than good; U.S. must continue to resist

@highlight

Husain: Why don't rebels ally with democracy like Israel? Can Assad find face-saving out?