(CNN) -- Our surroundings are changing rapidly. Against a backdrop of serious concerns about the Eurozone, projecting labor market activity can be particularly tough.

However, changing patterns of employment by occupation are largely dominated by longer-term trends rather than the cyclical position of the economy. To understand the natural evolution of the jobs market -- industries and career paths that are becoming extinct versus those that are advancing through a process of natural selection -- the jobs landscape needs to be viewed in the context of the most influential macro-trends.

Below are some of the careers that are thriving and dying due to the changing technological, economic, social and business landscape.

Dying careers

Postal service workers (including sorters, clerks and mail carriers)

The industry has had a tough time since the widespread adoption of email stole a large part of its consumer and business market share. Increased communication via phone and cloud computing is another contributory factor, but the main reason for the decline is that mail sorting is becoming automated, with robots replacing people.

In the United States, the Bureau of Labor Statistics (BLS) has predicted a further 30% decline in the occupation by 2018. In fact, three of the top 10 occupations with the highest projected declines are a type of postal service worker. The U.S. service has already lost $11.6 billion this fiscal year.

According to another report by Accenture research, from 2008 - 2009 Poste Italiane registered a 9.9% drop in its postal product volume in response to the increasing digitalization of mail. The amount of volume decline clearly made it more difficult to run a profitable business and will make it even more difficult in the future.

Office and administrative workers (particularly data entry clerks)

Revolutions in technology also continue to cause profound changes in the office and administrative market. Although it was hard-hit by the recession, the industry had in fact already been declining for years due to technological advancement boosting productivity and operational efficiency.

Word processing, voicemail and the internet all make it easier for skilled professionals to do clerical work themselves. With companies focused on cutting costs, secretaries and file clerks are no longer in demand. In the U.S. alone, word processors and typists are slated to lose 13,200 jobs by 2020 and data entry clerks are expected to lose 15,900 according to the BLS.

The European Centre for the Development of Vocational Training also estimated demand for occupations such as office clerks will decline by an average one million jobs by 2020 across Europe.

Manufacturing assembly jobs

In many developed economies manufacturing assembly jobs that require modest training and only a secondary school education are a thing of the past.

In the Unied Kingdom specifically, 400,000 manual jobs are forecast to disappear before 2020, reducing the combined employment share of these occupations from 18% to 16%. However, the industry does need people to manage the technology now running automated processes. As a result, higher skilled occupations, including managers, professionals and associate professional roles are projected to rise significantly by 2020.

Telemarketing and door-to-door sales

This type of sales is no longer efficient and has been replaced with internet and television advertising. In the United States, for example, door-to-door sales and telemarketer positions are expected to decline 15% and 11% respectively by 2018.

Thriving careers

Data scientists

According to IBM, every day we create 2.5 quintillion bytes of data â€” so much that 90% of the data in the world today has been created in the last two years alone. This data comes from everywhere: sensors used to gather climate information, posts to social media sites, digital pictures and videos, purchase transaction records, mobile phone GPS signals and so on.

With technological innovation meaning that more data is now shared and stored by businesses, it follows that the result of a data explosion -- combined with a need to leverage the data effectively to drive a competitive edge -- creates its own tidal wave in the jobs market. Data and information management is a huge growth area. But it's not just data management creating new job opportunities, its gathering, analyzing, storing and securing the data as well.

Research and design managers, particularly in engineering

Increased automation is the result of a need to reduce cost, which in turn is driven by a company's need to become more competitive and grow market share -- a trend accelerated by pressures felt by the difficult economic situation.

These improved efficiencies support profitability and overall business growth, which spur recruitment demands. In the United Kingdom alone, manufacturing output growth is projected to average around 2.5% per annum, with particular growth in R&D-related industries, such as parts of chemicals and engineering.

Computer programmers and network administrators

One key misperception among industry watchers is that technology advancements results largely in the death of career opportunities. This is simply not the case. Instead of killing jobs, technological advances are changing the nature of the roles available. Computer programmers and network administrators are just two examples of roles in the IT sector that are seeing significant growth across the globe.

Medical assistants

There have been significant changes in the management of healthcare services, both in the United States and across Europe. As a result, more middle management positions have become available. In America, the Department of Labor projects 162,900 new positions will be added before 2018. In Europe in particular there is also likely to be significant growth in community and clinical nursing roles.

Where to go from here

The key to navigating this evolving jobs market is to follow the premise of Darwin's own theory of evolution and be as versatile and adaptable as possible while career paths are naturally selected to align with the changing surroundings.

By monitoring and understanding the major trends that are affecting our global economy, our businesses and our lives, savvy industry watchers are able to shape their skill set and career in line with the key influences driving long-term opportunities.

The opinions expressed in this commentary are solely those of Alan Townsend.

@highlight

Technological advances are changing the jobs market, says Alan Townsend

@highlight

Postal service has been hit by new technologies and increased automation

@highlight

Data and information management is a huge growth area, he says

@highlight

Townsend says key to navigating the jobs market is to be versatile and adaptable