(CNN) -- A court in Saudi Arabia has granted an 8-year-old girl a divorce from her 47-year-old husband, after twice denying the divorce request previously, local media reported Thursday.

The marriage sparked condemnations around the world from human rights groups and U.S. and other government officials when it first came to light in December.

Local media, which is highly regulated by the Saudi government, reported that the court in the city of Onaiza approved the divorce decree Thursday, and the divorce is final.

A source at the court told the Saudi daily newspaper Al-Watan that the divorce "came after a series of pleas made by a number of officials in the region to the husband."

CNN efforts to reach court officials, the husband and the girl's father have been unsuccessful.

According to the attorney for the young girl's mother, the father of the girl had arranged the marriage between his daughter and a close friend of his to settle his debts with the man.

When the mother went to court to try to get the marriage annulled, Saudi judge Habib al-Habib rejected the request on a legal technicality. The judge ruled that the mother -- who is separated from the girl's father -- was not the child's legal guardian and therefore could not represent her in court, according to the mother's lawyer, Abdullah al-Jutaili.

However, the judge required the girl's husband to sign a pledge that he would not have sex with her until she reaches puberty, al-Jutaili said. The lawyer said in the original marriage agreement, the father of the girl stipulated that the marriage would not be consummated until she was 18.

The judge also ruled that the girl could file a petition for a divorce when she reached puberty, al-Jutaili said.

The young girl lives with her mother, the attorney said, and was never told that she was married.

When the initial petition to annul the marriage was rejected, the mother appealed the verdict to an appeals court in the Saudi capital of Riyadh. The appeals court declined to certify the original ruling, in essence rejecting al-Habib's verdict, and sent the case back to him for reconsideration.

Under the complicated Saudi legal process, the appeals court ruling meant that the marriage was still in effect but that a challenge to the marriage was ongoing.

Earlier this month, the original judge refused for a second time to annul the marriage.

Soon after that decision, Saudi Arabia's justice minister told Al-Watan that he planned to enact a law that will protect young girls from such marriages.

The law will place restrictions on the practice to preserve the rights of children and prevent abuses, Justice Minister Mohammed Al-Issa was quoted as saying. Additionally, al-Issa said there would be a study of a system that will include regulations for the marriage of minors and everything related to such unions, the newspaper reported. No details on the restrictions or regulations were mentioned.

The minister did not say whether child marriage would be abolished.

Responding to the justice minister's comments and the possibility of a new child marriage law, al-Jutaili told CNN at the time, "this is what we requested from day one, and we know that Saudi officials are working so hard on resolving this issue."

Al-Jutaili believes that such a law would help not only his defendant but many other Saudi minors facing a similar problem.

In Washington Monday, Under Secretary of State for Political Affairs William Burns called the marriage a human rights abuse.

"Child marriage is, unfortunately, still common in much of Saudi Arabia and we have voiced our concern about this practice at the highest levels," he told a conference on U.S.-Saudi relations. "We were encouraged by reports that the Justice Ministry had begun to review the legal age of marriage."

After the divorce was denied for a second time, the head of the United Nations Children's Fund issued a statement expressing concern about the case.

UNICEF Executive Director Ann Veneman said, "the right to free and full consent to marriage is recognized in the Universal Declaration of Human Rights. Consent cannot be free and full when either party to a marriage is too young to make an informed decision."

The issue of child marriage has been a hot-button topic in the deeply conservative Saudi kingdom recently. While rights groups have petitioned the government for laws to protect children from such marriages, the kingdom's top cleric has said that it's OK for girls as young as 10 to wed.

"It is incorrect to say that it's not permitted to marry off girls who are 15 and younger," Sheikh Abdul Aziz Al-Sheikh, the kingdom's grand mufti, said in January, according to the regional Al-Hayat newspaper. "A girl aged 10 or 12 can be married. Those who think she's too young are wrong, and they are being unfair to her."

Al-Sheikh reportedly made the remarks when he was asked during a lecture about parents forcing their underage daughters to marry.

"We hear a lot in the media about the marriage of underage girls," he said, according to the newspaper. "We should know that sharia law has not brought injustice to women."

Sharia law is Islamic law, and Saudi Arabia follows a strict interpretation of Islam called Wahhabism.

@highlight

Child bride wins divorce hearing at third attempt, local media reports

@highlight

Her case attracted attention of the U.N. and governments around the world

@highlight

Her father reportedly arranged the marriage to settle his debts

@highlight

Saudi justice minister says he plans law to protect young girls from such marriages