(CNN) -- Residents of the Falkland Islands voted overwhelmingly to remain a British Overseas Territory, an official said late Monday.

The question put to voters was: "Do you wish the Falkland Islands to retain their current political status as an Overseas Territory of the United Kingdom?"

More than 99% of voters said yes, according to Darren Christie, public relations manager for the Falklands Islands government. Just three people voted no. Turnout was 92%.

"Speaks for itself, I think," Christie said about the vote.

Monday marked the final day of a two-day referendum on the disputed Falkland Islands, which Argentinians call Las Malvinas.

"My vote is yes. ... I believe we are like other people in the world, and we are entitled to determine our own future. ... I think it's dreadful that someone like Argentina should be trying to deny us that," Sharon Halford, a member of the Falkland Islands Legislative Assembly, said before results were announced.

"They obviously don't care what their own people think, but worldwide, everybody has the right to determine their own future and why should we not be the same?"

Pictures at the polls showed some residents of the islands draped in Union flags as they cast their votes. Cars displayed banners that said "We're British and proud." A parade honoring British heritage marked the start of voting Sunday.

The referendum was supported by the British government.

But the Argentinian Embassy in London said Friday that the referendum had no legitimacy, characterizing it as "a further attempt by the British to manipulate the question of the Malvinas Islands."

Because the area around the Falklands is the subject of a sovereignty dispute, it argues, "the United Kingdom has no right to alter the legal status of these territories, not even under the guise of a hypothetical 'referendum.' "

Renewed tensions

The two countries went to war over the territory in 1982 after the then-military government in Argentina landed troops on the islands. Argentina put its death toll from the conflict at around 645. Britain says its civil and military losses amounted to 255.

For more than a year, renewed rhetoric between Argentina and the United Kingdom over the islands has escalated to a fever pitch, with both sides accusing each other of colonialism.

Prince William's military deployment to the islands last year further fueled tensions, drawing sharp criticism from Argentinian officials.

In January, Argentinian President Cristina Fernandez de Kirchner wrote an open letter, published in the British press, calling on Britain to hand back the islands and accusing it of blatant colonialism.

"The Argentines on the Islands were expelled by the Royal Navy and the United Kingdom subsequently began a population implantation process similar to that applied to other territories under colonial rule," she wrote.

"Since then, Britain, the colonial power, has refused to return the territories to the Argentine Republic, thus preventing it from restoring its territorial integrity."

She cited a 1965 U.N. resolution inviting the two countries to negotiate a solution to the sovereignty dispute and has called on the British to abide by the resolution.

The British government accuses Buenos Aires of trying to coerce residents into becoming part of Argentina through intimidation of those involved in fishing and oil exploration, and efforts to isolate the remote islands even further by limiting access by sea.

British officials have rejected Fernandez's call for negotiations, saying the people of the Falkland Islands have chosen to be British and "have a right to self-determination as enshrined in the U.N. Charter."

"There are three parties to this debate, not just two as Argentina likes to pretend. The islanders can't just be written out of history," read a statement from the British Foreign Office.

"As such, there can be no negotiations on the sovereignty of the Falklands Islands unless and until such time as the islanders so wish."

Residents react

Located in the South Atlantic Ocean, about 480 kilometers (298 miles) east of the tip of South America, the Falklands have long been coveted as a strategic shipping stopover and potential wellspring of natural resources, including lucrative fisheries and a growing oil drilling industry.

The islands, which raise their own taxes but rely on the United Kingdom for defense and foreign policy, are one of 14 British Overseas Territories and have been under British rule since 1833.

More than 2,500 people from more than 60 nations live and work there, according to the government website, as well as forces stationed at the British military's Mount Pleasant Complex. Many Falkland Island residents are of British origin.

About 1,600 voters from the Falkland Islands were eligible to vote in the referendum, officials said.

Before results were announced, Halford said she didn't think the vote would put an end to Argentina's renewed bid for control of the islands.

"They've been saying for ages that they have no intention of recognizing it, whatever the outcome, which I find interesting because they've been going to horrendous lengths around the world to try and discredit it," Halford said.

For Argentina, she said, the islands are a "political football" used to distract Argentinians from problems at home.

On its official website, the Falklands government rejects as false the Argentinian government claim that a civilian population was expelled by Britain in 1833 and argues for the inhabitants' right to choose their path.

"We are not an implanted population," the government says. "Our community has been formed through voluntary immigration and settlement over the course of nearly 200 years. ... We are no more an implanted population than are the various populations of South America whose ancestors arrived as immigrants from Europe -- we arrived here as part of the same process and pattern of migration."

The islands are economically self-sufficient, the government says, except for the cost of defense needed as a result of "the claim made by an aggressive neighbour."

"The Falkland Islanders are a peaceful, hard-working and resilient people. Our society is thriving and forward-looking. All we ask is to be left in peace to choose our own future, and responsibly develop our home for our children and generations to come," the government says.

CNN's Michael Holmes contributed to this report.

@highlight

NEW: More than 99% of voters said they want the Falkland Islands to remain a territory

@highlight

NEW: Turnout was 92%; "Speaks for itself," says an island official

@highlight

Argentina, which knows the islands as Las Malvinas, disputes British sovereignty

@highlight

Britain and Argentina went to war over the South Atlantic territory in 1982