Survivors have recalled the harrowing few minutes after Asiana Airlines Flight 214's landing gear slammed into a seawall around San Francisco's airport, setting off a chain of events including a fire, the ejection of flight attendants and a frenzied evacuation.

But what about the minutes before the Boeing 777 crashed?

A day after relaying pilots' accounts to investigators, National Transportation Safety Board Chairman Deborah Hersman provided more details Wednesday on what happened in the sky.

One focus has been whether "automatic" controls in the cockpit were working. Even if they weren't, questions have been raised about whether the pilots recognized that something was wrong quickly enough and did the right thing to fix it.

Moments before touching down, the pilots said they were making horizontal changes to adjust their path and vertical adjustments to affect their altitude. Hersman has said they didn't notice they were coming into too low until they were about 200 feet above the airport. To put that in perspective, the independent Flight Safety Foundation states that most planes approaching an airport "require... an immediate go-around" -- meaning they should not land -- if they're not at the right speed on the right path by the time they're about 1,000 feet up.

'There are no ambulances out here': 911 calls detail horror of crash

In Flight 214's last 2½ minutes, the pilots were making adjustments, including, apparently, adjusting some automatic functions that control things like airspeed and other key factors. It's not clear how all those functions were working, but the pilots did say the "auto throttle" was switched on but didn't regulate the speed as they'd expected.

"We need to understand what those modes were: If they were commanded by the pilots, if they were activated inadvertently, and if the pilots knew what they were doing," the NTSB chairman said, referring to evidence of "multiple autopilot modes and ... auto throttle modes."

Such tools can help an airliner run more efficiently and effectively. But they don't mean that pilots don't have a responsibility, Hersman said, noting that someone in the cockpit is typically charged with monitoring what's going on.

"When you think about automation, it can do a lot, it can assist the pilots," Hersman told reporters. "But there are two pilots in the cockpit for a reason."

Co-pilots for airlines will need more training

The final minutes in the air

The man at the helm -- whom Hersman called the "flying pilot" and who was halfway through training on flying a 777 -- spent the day before the fatal flight at home and got about eight hours of sleep. When he reported to work, he told investigators, he arrived at the airport a little early, knowing he'd be working with his "instructor pilot" -- who would be seated next to him on the voyage across the Pacific -- for the first time, Hersman said.

NTSB: Pilot was halfway through training to fly 777

The instructor pilot was also relatively well-rested, having had a day off followed by eight hours of sleep.

Together, they were in the front seats of Flight 214 for about 4 hours, 15 minutes before being relieved for about 5 hours by a relief crew on board. Then the two returned to their seats for the trip's last hour and a half, according to the NTSB chief.

At around 4,000 feet above sea level, the pilots recognized they were coming in too high and made some adjustments, Hersman said. At 11:26 a.m. Saturday, when they were about a mile and a half away, they were given clearance to land.

The three men in the cockpit told investigators the auto pilot was off but the auto throttle -- a device that automatically regulates speed -- was switched on and set to 137 knots (157 mph).

After noticing the plane was too slow and too low, around 200 feet, the flying pilot pushed the throttle forward. Also, one of the pilots said that at some point, his sight was affected by a flash of light, something the NTSB chairman said authorities can't yet explain.

The first minutes on the ground

While authorities have not laid blame or cited a cause, it appears the pilots' efforts in those last few minutes were too little, too late to avert a crash.

The aircraft's main landing gear slammed into a seawall between the airport and San Francisco Bay. The tail pounded down soon after that.

How does an air crash investigation work?

The aircraft spun 360 degrees, shedding parts, flooring, magazines and more that would be later found strewn about the runway. Three flight attendants who were ejected from the plane were found on the runway too, Hersman said Wednesday. (None of the passengers' seats were ejected.)

Eventually, the 777 screeched to a stop. That's when the lead flight attendant approached the cockpit and asked if they should evacuate. The flight crew, which was then talking with the air traffic control tower, said no.

An announcement over the aircraft's speakers told passengers to stay in their seats.

Then, one flight attendant noticed flames outside, around row 10, and told another attendant to relay the information to the cockpit. At that point, the evacuation process began.

This whole process -- from the plane stopping to the evacuation order -- took about 90 seconds, Hersman said. That's the amount of time, she pointed out, in which U.S. regulators say an airliner should be entirely cleared of passengers and crew.

About two minutes after the crash, the NTSB chief added, first responders were on site. About a minute later, there were firefighters equipped to douse any flames.

'Working as hard as possible ... to recover'

But no one could save Ye Mengyuan and Wang Linjia, the 16-year-old girls from China who died due to the crash.

Girls killed in crash were headed for camp

On Wednesday, their relatives took a bus to the crash site at San Francisco International Airport, a source close to Asiana Airlines told CNN. They wanted to see where their children had died. Other buses arrived later Wednesday night bringing crash victims to the same locale, allowing them to see the destruction up close once again.

Of the 307 passengers and crew aboard the Seoul-to-San Francisco flight, 305 survived. Out of those, 123 were uninjured, while the rest went to Bay Area hospitals. Some of them were still there Wednesday, including a handful in critical condition.

Even those who aren't in hospitals are suffering.

Six of the jet's 12 flight attendants suffered injuries serious enough that they haven't been interviewed yet by investigators, Hersman said Wednesday.

The six others, meanwhile, appeared briefly in front of reporters Wednesday. One of them was in a wheelchair. (Hersman said that one of the flight attendants had broken her leg but was no longer hospitalized and had talked to the investigators.) Some wept.

The flight's cabin manager, Yoon Hye Lee, said she and the rest of the crew are "working as hard as possible in order to recover."

She added, "I hope for all the families who have suffered losses from this accident to recover as quickly as possible, as they are in my prayers."

Flight attendants hailed as heroes

@highlight

Victims visit crash site at SFO, following relatives of 2 Chinese teens killed

@highlight

NTSB chief: The pilots made numerous adjustments in flight's last few minutes

@highlight

Automation is useful, but pilots must still monitor what's happening, she adds

@highlight

Cockpit crew didn't want to evacuate plane immediately after crash landing