OK, we know. If you've traveled to, or through, Atlanta, you probably have one of two impressions.

1. Wow, that's a big, crazy airport.

2. Wow, that traffic really sucked.

Maybe you got to spend a little time downtown for a convention or ballgame.

And, sure, there were the highlights like the Georgia Aquarium, the College Football Hall of Fame and the World of Coca-Cola.

But after that, unless you knew exactly where to look, you probably saw a lot of concrete, a lot of places that closed at 6 p.m., and culinary and entertainment options just like the other roughly 430 Hooters or 175 Hard Rock Cafes.

Here's the good news: You've been to Atlanta. But you haven't really been to Atlanta.

Get away from that street named Peachtree (or one of the dozens of other streets we named Peachtree for your convenience), and there's a city with a lot more to offer.

The capital of the New South has been called a small town trapped in a big city.

In fact, it's a lot of small towns, coexisting, for the most part, inside and alongside the borders of that big city.

And like the long list of Southern storytellers who have called Atlanta home, if you spend enough time with it, it will share its secrets with you.

Good eats

As a food-lover friend recently said, in Atlanta, you can go to dinner and a show, or you can just go to dinner.

Gourmands the land over have noticed that the ATL (please, never call it "Hotlanta") is quietly becoming a destination for high-quality dining, with everything from schmancy white-tablecloth affairs to traditional soul-food and meat-and-three spots drawing crowds.

Gunshow, the latest by "Top Chef" alum and Atlanta native Kevin Gillespie, was recently named one of Esquire's best new restaurants and marries Brazilian churrascari and Chinese dim sum-style dining with Gillespie's love of all things meat.

Celebrity chef Richard Blais has FLIP Burger and The Spence. Empire State South is one of Hugh Acheson's four restaurants in Georgia; it serves three meals a day that focus heavily on local ingredients.

Perhaps tickling the most taste buds lately is chef Ford Fry, whose seven spots range from seafood (The Optimist) to Italian-inspired (No. 246) as well as stretching from Atlanta's re-emerging Westside to its commuter-heavy northern suburbs.

And all of that's not even to mention Buford Highway's ridiculously rich array of traditional Asian cuisine; tradition-rich Mary Mac's Tea Room; no-frills Ann's Snack Bar, home of the massive Ghetto Burger; and Pallookaville Fine Foods, the carny sideshow-themed bastion of guilty pleasures evolved from a corn dog cart by Jim Stacy, host of the Cooking Channel's "Offbeat Eats."

Songs of the South

It's been decades since the Allman Bros. made the short drive up from Macon to conquer Atlanta with tunes like "Melissa" and "Hot'lanta." (Again ... please don't call it that.)

Now, it's all about the Dirty South.

The New York Times has called Atlanta "hip-hop's center of gravity," and aside from New York and Los Angeles, it's hard to argue for another city being as influential in the form's evolution.

A recent three-day stand by native sons Outkast in Atlanta's Centennial Olympic Park turned into a joyous homecoming weekend of sorts, bringing together everyone from hip young urbanites to suburban soccer moms to shake it like a Polaroid picture to a group that's helped define hip-hop since emerging from Atlanta's neighbor East Point in 1992.

Cee Lo Green, Lil Jon, T.I., Ludacris and Usher are just a few of the other artists who call Atlanta home, where a new generation of MCs and DJs are bubbling up at venues like Apache Cafe, T.I.'s Club Crucial and MJQ Concourse.

The presence of Usher, and his Vanity record label, has even been responsible for drawing Justin Bieber to the city.

But don't hold that against us.

If hip-hop isn't your thing, Atlanta has a thriving underground rock scene, spawning such current acts as sludge rockers Mastodon, power-pop stars-in-waiting The Biters and indie darlings Deerhunter.

And Eddie's Attic is one of the most highly regarded acoustic music venues in the United States.

Performers from across the country are on the months-long waiting list for the club's highly regarded open-mic showcase, which has helped launch artists like John Mayer, Sugarland, the Indigo Girls and Shawn Mullins.

A city of small towns

Unlike a lot of cities, Atlanta doesn't have a central entertainment and shopping district. You know ... unless you love the Hard Rock and Hooters.

If you're looking for a taste of Atlanta only downtown, you'll be disappointed.

Instead, hit neighborhoods like Little Five Points, packed with record stores, live music and theater venues, restaurants, vintage clothing shops and the like (Not to mention a burger joint with a giant psychedelic skull for an entrance).

Or similarly funky East Atlanta Village, where The Earl serves indie rock and brunch with equal skill and residents are so cool, they have their own Web radio station.

For a slightly quieter good time, hit the square in downtown Decatur, which bumps up to Atlanta's eastern city limit and, in addition to being home to the aforementioned Eddie's Attic, features enough great restaurants that foodies have visited just to nosh at the spots packed within about a half-mile of each other.

Cabbagetown. Virginia-Highland. Buckhead. Sweet Auburn. Castleberry Hill. West End.

If you want to enjoy the real Atlanta, skip Hooters, catch a cab and enjoy some of what the city really has to offer.

The story of civil rights

The South teems with civil rights history, and different cities often focus on their slivers of the story.

Atlanta has made a play to introduce the broad history to new generations by connecting the movement of the 1960s to the human rights issues of today.

The National Center for Civil and Human Rights opened this year, offering comprehensive and sometimes intense views of the movement's darkest moments and greatest achievements. Another side of the museum presents an evolving look at modern human rights issues around the world.

Just a few miles down the road, visitors can examine the lives of the movement's greatest leader, Martin Luther King Jr. Tours of King's birth home on Auburn Avenue are free, and tickets are often snapped up early in the day.

Even visitors who don't score a trip through the stately yellow home can spend hours wandering the Martin Luther King Jr. Historic Site run by the National Park Service, peeking into historic Ebenezer Baptist Church or visiting the King Center -- the resting place of King and his wife, Coretta Scott King.

Howard Finster's 'Paradise': The South's most inspired garden

Beyond the big attractions

When in Atlanta, you're basically obligated to cross the sugar-sticky floors of the World of Coca-Cola tasting room, to gawk at Margaret Mitchell's "Gone with the Wind"-era parlor and drop in on the latest big-name exhibition at the High Museum of Art.

But you'll be missing out if you stop at the typical tourist draws.

To get a deeper view of the city's history and personality, check out some of the smaller attractions not far from downtown.

There's the Center for Puppetry Arts, where you can catch a puppet show geared toward kids or adults, or just get a close-up look at beloved puppets from Jim Henson Family Collection.

Yes, your favorites are there, from the Swedish Chef to the Fraggles to Miss Piggy herself.

Old and young can enjoy storytime at the Wren's Nest, the meticulously restored West End home of famed Atlanta writer Joel Chandler Harris, who wrote the beloved and controversial Uncle Remus tales.

And just west of downtown, the Spelman College Museum of Fine Art offers fantastically curated exhibitions that focus on art by and about women of the African diaspora.

For a glimpse of these and other out-of-the-way spots, as showcased by locals, take a look for the #WeLoveATL hashtag, started by a couple of photographers who didn't think the city was showing out on social media like it should, on Instagram, Twitter and Facebook.

Ditch the car -- no, really

What if you could visit Atlanta and somehow excuse yourself from all the tired jokes about terrible traffic? (Punchline: Your time is worthless! HA! Ha?)

Believe it; it can be done.

There are more attractions and restaurants popping up along the city's MARTA train lines. A single ride costs $2.50, far less than a cab or rental car.

A new streetcar will soon be running in a 2.7-mile east-west loop from the hotel-heavy downtown.

It'll take visitors past a gaggle of quirky pop-up shops to the burgeoning bar scene along Edgewood Avenue and near the Martin Luther King Jr. National Historic Site.

Visitors can also hit the Atlanta BeltLine Eastside Trail, a car-free stretch where residents run, ride, scoot and stroll, sometimes stopping for a drink at a restaurant along the way or dropping by Piedmont Park, the city's busy central greenspace.

More Beltline trails are in the works, which will only make it easier to navigate between neighborhoods with just a pair of comfortable shoes.

'Walking Dead' in Georgia: Film tourism comes to life

@highlight

Look beyond downtown Atlanta for the secrets of this vibrant Southern city

@highlight

Dining is a standout pastime with celebrity-chef driven spots and no-frills local favorites

@highlight

Atlanta has played a huge role in the evolution of hip-hop