(CNN) -- Online, you can project whatever identity you like. But for some people, it's easier to have no identity at all.

A new social networking site, Social Number, caters to those who have a preference for anonymity. Instead of a name or a handle or a thumbnail photo of themselves, users are identified only by a number. In this way, the site encourages users to discuss anything, from a bad job to a hot-button social issue to a substance-abuse problem, without fear that the conversation could be connected to their real-world identity.

"I had been feeling for a while that there were privacy issues with most social networking sites," said the site's creator, who gives his name only as M.K. "I just felt that any time you search someone's name, it pops up in every different way, from Facebook and Twitter and everyplace else ... I just felt that there was one site needed where people could come and talk ... freely and not worry about who's going to read it and what's going to happen."

Social Number is just the latest volley in a longstanding debate surrounding anonymity on the Internet. It's an issue that encompasses online bullying, trolling and hoaxes like the one involving Notre Dame football star Manti Te'o. For every person pointing out the value in online anonymity, such as for political activists in nations where free speech is threatened, there are others who warn of its dangers.

The controversial site 4chan, where anonymous users have been known to post offensive material, has long reveled in its anything-goes spirit. Other apps and sites geared toward the college-age crowd, such as Bored@Baker and Whisper, encourage anonymous posting, while a new app called Spraffl allows users to post anomymous location-based messages about local happenings.

But social networks built on anonymity are still rare. Most of us see our online selves to be extensions of our real-world identities, and plenty of people hide their actual identity behind a username. But M.K. argues that using a unique number makes the cloak of anonymity that much more secure.

As he told CNN, "a number has no association with who you are."

Politics, religion and sex

M.K. said he created the site as a more private space for those seeking to express themselves freely without the baggage of their online persona. Social Number's community is still small: Since officially launching the site in mid-December, M.K estimates his membership is less than 10,000, with 50% to 70% of his users residing in the United States.

Here's how it works: A user signs up with their e-mail address and date of birth (the site aims to restrict membership to those 18 and older) to get a number. Then a user is free to post "expressions," almost like status updates, on any topic they'd like, or they can search for "pals" or "groups" that share their interests. Ideally, M.K. envisions the site operating like any other social network by fostering potential real-life connections for users.

Social Number might remind you of a message board, with discussion threads on such topics as "Is Atheism a Faith?" and "Discuss your bad bosses and suggestions on how to deal with them." The majority of posts are text only, with few photos, videos or links.

So far, most topics have been centered around politics, religion and sex, M.K. said. But he claims nobody has posted anything that's caused him to investigate or remove a user.

"As long as people are doing legal activity on the site, it's a freedom-of-speech issue," M.K. said of his content guidelines. (The lengthy terms of use on the site includes a "general prohibitions" section that lists restrictions against bullying, intimidating or harassing a user; posting content that is hate speech, pornographic or threatening; or that is otherwise illegal or promoting illegal activity.)

Content posted to Social Number is monitored, but users are also instrumental in policing each other and alerting the site if they see offensive postings, M.K. said.

"I knew people would be using it for taboo topics like politics, government, or drug abuse, dating tips, sex and those types of things," he said. "Which has happened, there have been a lot of groups created around that. But I've (also) seen a lot of innocent groups. There's a group on soccer and a group on cooking."

Avoiding being branded

Social Number users say they find value in being able to openly mull sensitive topics without worrying about alienating or offending anyone.

"The anonymity aspect allows me to basically say everything that's on my mind," said Yuri Spiro, a 68-year-old publishing executive living in California. "With Twitter, I'm an identified person, and I certainly don't want to get myself in a controversial situation with one of my friends or acquaintances ... they might decide not to be involved in activities with me. I definitely would not use Twitter in the same way."

Simrat Kaur, 38, agrees. While the software-marketing professional visits Facebook five to 10 times a day, there are certain topics she would rather broach on Social Number. That way, she avoids difficult conversations or judgment from Facebook friends and opens herself up to a new set of ideas.

"I would get perspectives and opinions (on Facebook) very similar to mine. I might have 80 percent of my friends who think just like I do," she said. "So as a social network, Social Number helps me get viewpoints that may be dramatically different from mine that I may not have even considered."

Another user named Joni, a 45-year-old graphic designer who declined to give her last name, said she likes "the idea of being anonymous, to be able to express political views without being branded in a sense of one way or another." Joni said she doesn't post anything on Social Number that she wouldn't want to be discovered. Instead, the anonymity allows for her to be more passionate in her views.

"On Facebook, generally I would discuss jobs or things that are more feminine issues, maybe diet or hairstyles. (It's) much lighter; it's not the same," she said. Whenever she expressed opinions about politics or current events on Facebook, many of her friends would respond, "Joni, I didn't know you felt that way."

"Rather than have all of that, it's more fun to be totally anonymous, and you get your point across," she said.

That kind of dual use -- Facebook for one type of discussion, Social Number for another -- is exactly what M.K. sees in Social Number's future.

"I think what'll happen is that you'll see most of the users continue to use their accounts for open social media (such as Facebook or Twitter), and then create an account on here," he said. "It's like a second life. You want a place to go where nobody knows you."

@highlight

A new social network, Social Number, lists users by a number, not by name

@highlight

It's the latest entry in an ongoing debate surrounding online anonymity

@highlight

The CEO of the company sees it as a complement to open social networking

@highlight

Users say they appreciate being able to talk freely without fear of being judged