(CNN) -- Experts said Thursday that the alleged child sexual abuse scandals at Penn State University and another at The Citadel in South Carolina underscore the frailty and inconsistency of the legal system intended to protect children, while some lawmakers called for changes in reporting such crimes.

"As parents, as members of the community, as leaders of organizations, we need to ask ourselves what we can do to prevent the next Penn State," said Stop It Now!, a group that seeks to end child sexual abuse, in a commentary on its website. "Because, unfortunately, it will happen again, unless something fundamental changes."

In the Citadel case, a former cadet-turned-camp counselor faces a series of charges, including three counts of criminal sexual conduct with a minor and three counts of lewd act on a minor, according to Mount Pleasant, South Carolina, police. The school's president said this week that the university is "profoundly sorry" for not reporting allegations against the counselor in 2007.

In the Penn State case, Pennsylvania's attorney general has charged a former Penn State football coach, Jerry Sandusky, with 40 counts in what authorities allege was the sexual abuse of eight boys. In addition, two Penn State officials are charged with failing to inform police of the allegations, and questions have been raised about the university's response.

Child-welfare advocates are not alone in their calls for reform. The senior Democrat on the House Education and the Workforce Committee asked Thursday that the chairman call a hearing to determine whether federal laws intended to protect children and students should be changed.

"Potential weaknesses in specific laws designed to keep children safe have come to light in the wake of the alleged sexual crimes committed on the campuses of the Pennsylvania State University and the Citadel," wrote Rep. George Miller, D-California in his letter to Chairman John Kline, R-Minnesota. "Our inquiry should not seek to parallel, replicate, or interfere with those efforts; rather, we must examine the ongoing operation of the underlying federal laws to identify any vulnerabilities and better ensure against future risks to children."

Miller cited two federal laws: The Clery Act requires higher educational institutions to collect information about and report on crimes that occur on campus. The Child Abuse Prevention and Treatment Act requires states to develop laws mandating that child abuse be reported.

In a statement, Education and the Workforce Committee communications director Alexandra Sollberger said, "The committee is monitoring the situation at Penn State carefully and will assess the need for congressional action after the Department of Education concludes its investigation into the matter."

One state has already moved to tighten reporting requirements. Louisiana Gov. Bobby Jindal on Thursday issued an executive order requiring "all public or vocational school, community college, college or university professors, administrators, coaches and other school employees to report child abuse or neglect within 24 hours of observing an incident of child abuse or neglect." The report must be made to child welfare authorities and police.

Changes should include tightening requirements among the states about who must report suspicions that a child is being sexually abused, said Lisa Fontes, a lecturer at University Without Walls at the University of Massachusetts - Amherst and author of "Child Abuse and Culture -- Working with Diverse Families."

For example, Pennsylvania has an unusually narrow category of mandated reporters. The Department of Health and Human Services' website says that, in Pennsylvania, professionals "required to report include, but are not limited to: licensed physicians, osteopaths, medical examiners, coroners, funeral directors, dentists, optometrists, chiropractors, podiatrists, interns, nurses, or hospital personnel, Christian Science practitioners or members of the clergy; school administrators, teachers, school nurses, social services workers, daycare center workers, or any other child care or foster care workers; mental health professionals; peace officers or law enforcement officials."

"It doesn't include many people who have regular contact with children, such as school bus drivers, children's barbers, athletic coaches," said Fontes, who has a doctorate in psychology.

Under "Reporting by other persons," the law appears to leave it up to the individual: "Any person who has reason to suspect that a child is abused or neglected may report," it says.

And the requirements of professionals are limited to what they learn on the job, and do not apply to cases where a professional learns about suspected child abuse outside of his or her work, Fontes told CNN in a telephone interview.

Some states, like Indiana, are stricter. Professionals required to report include "any staff member of a medical or other public or private institution, school, facility, or agency."

And the onus in Indiana also falls on non-professionals. "Any person who has reason to believe that a child is a victim of abuse or neglect must report," the law says.

Such variation "makes no sense to me," said Fontes. "Mandatory reporting is not the be all, end all of preventing child abuse, but it certainly is an important part of making authorities aware of children at risk," she said.

Variation also extends to laws covering other behaviors, such as age of consent, which ranges from 16 to 18 in the United States, with some states having age-gap provisions under which sexual relations are legal as long as both parties are within a certain age range.

Children from poor families tend to be particularly vulnerable to child predators, said Fontes, who noted that the alleged victims were from The Second Mile, a program founded by Sandusky for at-risk youths.

Poor families tend to have fewer options for after-school care; poor communities tend to lack public libraries and safe parks; and their schools are less likely to be staffed with adequate guidance counselors and school psychologists who might notice if a child's behavior has changed, Fontes said.

In addition, children from poor families may be more vulnerable to offers of gifts, as Sandusky is alleged to have made, she said.

In the Penn State case, the grand jury report led to the firing last week of head football coach Joe Paterno and President Graham Spanier. Assistant coach Mike McQueary -- who, according to the grand jury report, witnessed Sandusky raping a child in 2002 -- has been placed on administrative leave.

Gary Schultz, who was the university's senior vice president for finance and business at the time of the alleged assault, and former Penn State Athletic Director Tim Curley are charged with lying to the grand jury and failing to alert police.

Curley requested and was granted administrative leave, while Schultz -- whose responsibilities also included oversight of Penn State campus police -- has retired.

Sandusky told NBC's Bob Costas on Monday that he has been falsely accused, saying that he only "horsed around" with kids in the shower after workouts.

Sandusky denied being sexually attracted to boys, and his lawyer, Joe Amendola, told CNN Monday night that showering with children does not equate automatically to sexual assault.

In the NBC interview, Sandusky denied one of the charges in the grand jury report, i.e., that McQueary had walked in on him in the school's locker room raping a boy about 10 years of age.

Sandusky was arrested on November 5 after the release of the grand jury report detailing crimes that he allegedly committed between 1994 and 2009. He is free on $100,000 bail.

Authorities have said they are checking into more than a dozen calls from people who have said they were victimized by Sandusky.

Several other alleged victims are considering coming forward after seeing Sandusky's Monday interview, two State College attorneys told the Harrisburg, Pennsylvania, Patriot-News.

"I spent about half the day in kitchens and living rooms, speaking with victims of Sandusky's molestation and processing with them the effects of Jerry Sandusky being on television and Jerry Sandusky denying wrongdoing," attorney Andy Shubin told the newspaper. "And what I found was that these folks are being re-traumatized."

He said many of the alleged victims weren't sure whether they would contact police, as some cases may be too old to prosecute. One case dates back to the 1970s, the newspaper reported.

Lawyer Jeff Anderson told CNN he is representing one alleged victim and has received calls from more than 10 other people who said they, too, were victimized.

"In every instance, Sandusky used his position of trust and power and his caring ways as a coach and mentor to groom the families and the children," Anderson said. "And after he did, he would in some way act out on them -- either at the schools, at the events, on trips, at a variety of locations. And in some instances, he raped or assaulted them."

He added, "This is about an institutional failure by many over decades to heed the warning signs and to protect the kids and, instead of protecting the kids, many, many adults chose to protect the reputation."

Attorney Ben Andreozzi, who represents one of Sandusky's alleged victims, said in a statement issued after Sandusky's television interview that his client "fully intends to testify that he was severely sexually assaulted by Mr. Sandusky."

The lawyer said more information would be forthcoming.

Washington civil rights law firm Katz, Marshall and Banks issued a statement Thursday saying it is working with Shubin and Seth Kreimer, a law professor, to formulate a civil case against Penn State.

Earlier this week, Sandusky's attorney told CNN he was expecting other people hoping to take advantage of the situation to come forward with claims.

During an investigation into the allegations, authorities found that Second Mile records, including travel and expense reports, were missing from about 2000 to about 2003, The New York Times reported Thursday, citing two sources with knowledge of the case. The records were supposed to be stored at an off-site facility, it said.

Records from one of the years were later found after apparently having been misfiled, the Times said.

"It could be that they were just lost, but under the circumstances it is suspicious," one law enforcement official told the newspaper.

The alleged rape witnessed by McQueary, who was then a graduate assistant, was detailed in the grand jury report.

According to the report, McQueary told Paterno; Paterno then alerted his boss, Curley.

The grand jury report also indicates that McQueary talked to Schultz and that Schultz never presented the information to university police.

Preliminary hearings for Curley and Schultz were set for December 6 in Dauphin County Magistrate Court.

CNN's Mary Snow, Jason Carroll and Sarah Hoye contributed from State College. CNN's Ashley Hayes reported from Atlanta.

@highlight

"It will happen again, unless something fundamental changes," group says

@highlight

A firm says it is working on a civil case against Penn State

@highlight

Report: Second Mile records for several years are missing

@highlight

Attorneys say more alleged victims may come forward