(CNN) -- Today on Valentine's Day, my daughter and I will sift through the candy she receives from her third-grade classmates and throw most of it away. Although the tradition of trading chocolate and sugared hearts seems harmless, it actually poses a risk to my daughter and the millions of other American children who suffer from severe food allergies.

This threat became all too real at the beginning of January with the death of 7-year-old Ammaria Johnson. Ammaria died of an allergic reaction to a peanut, and her Chesterfield, Virginia, school did not give her any medication.

The emotional devastation of this loss is compounded by its senselessness: Ammaria's death could have been easily prevented by epinephrine. A form of adrenaline, epinephrine immediately counters the symptoms of anaphylaxis: hives, breathing difficulties and, without intervention, death.

In our family, we are well-acquainted with epinephrine, administered by an automatic injector and sold under the brand names of Twinject or EpiPen. My daughter has needed multiple shots of epinephrine in four emergencies, and those shots saved her life. These experiences taught us how serious her allergies are. Our simple rule is that we don't leave home without it.

But kids forget. Parents, too. We're pretty vigilant, and yet we've left EpiPens at birthday parties, friend's houses and in the middle of a park. With the benefit of health insurance, we can afford to buy another one. Not all families can.

The School Access to Emergency Epinephrine Act, a bipartisan bill introduced at the end of last year and being considered in committee, encourages states to pass laws introducing incentives for schools to stock epinephrine for all students -- not just those who have a prescription.

Having epinephrine on hand would protect everyone, including those who have not yet been diagnosed with a food allergy. The latter represents a significant group: Studies have shown that up to 25% of all epinephrine administrations at school involve someone whose allergy was previously unknown.

Of the eight top food allergens, research suggests the most common ones are peanuts, followed by milk, shellfish and tree nuts. Chocolate often has milk or nuts in it and can be cross-contaminated: Even if a piece of chocolate does not contain any allergens, it might have been produced on the same line as chocolates that do.

Stocking epinephrine at schools will help to ease concerns about using another child's medication for someone who needs it but does not have an EpiPen at school. As Maria Acebal, CEO of the Food Allergy and Anaphylaxis Network, explains, this legislation "puts into place the laws we need to encourage people to do the right thing."

Granted, buying auto-injectors and training adults to use them will require time and money. It's hard to imagine adding another expense when school budgets continue to dwindle. But for just a few hundred dollars every year, schools can ensure that all students are covered. Some schools, including ours, already do this.

Initiatives in the private sector can help mitigate the costs: Dey Pharma, the manufacturer of EpiPen and EpiPen Jr., has already offered its auto-injector at a 50% reduced rate to schools. That comes to about $112 for two injectors. We should especially make sure that low-income districts can stock epinephrine. No parent should fear that his or her child might never come home from school.

If the first step is having epinephrine, the second is knowing when and how to use it -- and not being afraid to do so.

Dr. Scott Sicherer, professor of pediatrics at the Jaffe Food Allergy Institute at the Mount Sinai School of Medicine, explains some of the most common reasons people don't give epinephrine immediately: "Not recognizing a reaction. Being worried that the child is not 'sick enough.' Being worried about side effects of the medication or that they might hurt the child."

I learned this the hard way.

The second time my daughter had an allergic reaction, I failed to use her EpiPen. She was 3, and I was eight months pregnant, home alone and paralyzed with fear. I did call 911 -- and luckily they arrived within minutes. But this experience taught me that her life depends upon the immediate use of epinephrine.

All adults who supervise children should be trained to recognize an allergic reaction and use an auto-injector.

At the moment, parents bear the burden of educating teachers, which isn't easy. Creative collaborations may help schools take the lead, such as a free online tutorial for educators recently introduced by the Food Allergy and Anaphylaxis Network, the Food Allergy Initiative and several Canadian organizations.

Food allergies have become a part of American childhood, just like childhood obesity, diabetes and asthma.

According to a 2011 study in Pediatrics, 8% of children in the United States have a food allergy. Surely initiatives focusing on healthy habits, such as Michelle Obama's Let's Move! campaign, can incorporate teaching kids that not all foods are safe for everyone and that washing hands after eating can help to prevent spreading food allergens.

Often the healthiest option is also the safe one -- like sending stickers to school on Valentine's Day instead of candy. And if we continue to indulge our sweet tooth on special occasions, let's at least focus on making school safe for everyone.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Heather Hewett.

@highlight

A 7-year-old died of an allergic reaction to a peanut; school had not given her medication

@highlight

Epinephrine has saved Heather Hewett's daughter, who has a severe food allergy

@highlight

Schools should have epinephrine, she says, and train teachers to administer it

@highlight

Hewett: On Valentine's Day, chocolates brought to school put children with allergies at risk