Alhambra, California (CNN) -- At first, the pool builder thought his Bobcat bulldozer struck garbage as he dug a hole in a residential backyard. After all, in the older neighborhoods of San Marino, California, people used to bury their garbage.

But the plastic bag didn't contain trash.

Jose Perez, operating the Bobcat with his father as a co-worker, asked his dad what was inside. His father grabbed an 18-inch piece of reinforcement bar to poke around.

"He looked inside it, and he mouthed to me that there were bones in it," Perez testified Wednesday in a Los Angeles County court. "He thought it was a dog, but it didn't look like a dog.

"I told him to drop it, and he did," Perez continued. "It was a human skull."

As the prosecution witness referred to the plastic bag and the pool digging project in a photograph on a big screen in court, defendant Christian Karl Gerhartsreiter, in a blue jail jumpsuit, stared intently at the scene where prosecutors accuse him of murdering a man in 1985.

The skull was found nine years later, on May 5, 1994, Perez testified.

The testimony was evidence that Los Angeles County prosecutors began presenting during a preliminary hearing for the German-born Gerhartsreiter, who has garnered renown for impersonating a Rockefeller and inspiring a movie about the caper. He is now accused of killing a Southern California man who has been missing since the mid-1980s.

Frank Sheridan, a forensic pathologist, testified the skull suffered at least one blow to the forehead and at least two blows to the right side. The several fractures were made at or about the time of death, said Sheridan, who is also the medical examiner of San Bernardino County in California.

The shape of two fractures also indicated an object with a curved surface, such as a baseball bat, was used to deliver the blows, Sheridan said under questioning by a prosecutor.

"This individual was alive when these fractures occurred," said Sheridan, who examined a reconstructed version of the skull. In his career, he has performed 8,000 autopsies, he said.

"There's a lot of force involved in these blows," Sheridan added. "Each one of them would have rendered the person unconscious.

"The injuries we're talking about here would have very clearly been fatal in the absence of medical care, and they could have been fatal even with medical care," he said.

At the pool construction site, investigators eventually found nearly the entire skeleton of a man whose height was between 5 feet 4 inches and 5 feet 7 1/2 inches, testified Judith Daye, a physical anthropologist who worked for the Los Angeles County's coroner office and reviewed the bones at the site.

The missing bones included a kneecap, four fingers and a few toes, a common occurrence with buried remains, "especially the hands and feet because the bones are very small," Daye testified.

Many discovered bones were inside clothing that was wrapped in plastic, such as the pelvis inside jeans and the upper torso bones inside a shirt, Daye testified.

The preliminary hearing, to determine whether Gerhartsreiter should be bound over for trial, is expected to last six days, said Sandi Gibbons, a spokeswoman for the Los Angeles County District Attorney's Office.

Gerhartsreiter, 50, is accused of killing John Sohus, who was 27 at the time of his 1985 disappearance. His mother once owned the San Marino home where the remains were found.

During the Wednesday hearing, Los Angeles County Judge Jared Moses rejected a defense request that Gerhartsreiter be referred to as "Mr. Rockefeller" in court. The defense attorney said he and other attorneys on the team knew Gerhartsreiter as "Mr. Rockefeller."

But the judge said: "I get individuals in court who have a number of akas," a police term meaning "also known as," but "I have never seen a circumstance in court where a person is referred to by one of his akas."

Gerhartsreiter, who has led a life of multiple identities, has denied involvement in the Sohus case. At one point in his life, Gerhartsreiter assumed the identity of "Clark Rockefeller," a cultured poseur who never seemed to have a job. A Boston tabloid dubbed him "Crockefeller."

A Lifetime movie, "Who Is Clark Rockefeller?" starred Eric McCormack as Gerhartsreiter.

Gerhartsreiter, who is being held without bail, is serving a Massachusetts sentence for kidnapping his daughter; he was transferred from a prison in that state to California in July, authorities said.

In July, one of his attorneys, Jeffrey A. Denner of Boston, said he wasn't aware of any breaks in the 26-year-old Sohus case that would warrant a charge against his client.

"I was personally surprised because there was so much time, and what new evidence could have arisen? We don't know anything," Denner said in July after Gerhartsreiter's arraignment. "Old case, new case -- he didn't do it. We maintain his innocence. He maintains his innocence."

Deputy District Attorney Habib Balian was the prosecutor at Wednesday's hearing, held in Los Angeles County's Alhambra courthouse.

The case involves 9,000 pages of investigative documents and 83 CDs, DVDs and videotapes.

The whereabouts of the dead man's wife, Linda Sohus, are unknown. Except for a few postcards that appeared to have been mailed by the couple from Paris in 1985, her friends and family have not heard from her.

Gibbons said last summer that her disappearance was still under investigation.

Gerhartsreiter has been serving a four- to five-year sentence in Massachusetts for kidnapping his 7-year-old daughter in 2008. That prison term will end in mid-2012, authorities said. Gerhartsreiter will receive credit for that Massachusetts sentence while being incarcerated in California, authorities said.

Gerhartsreiter came to the United States from Germany in 1978, according to testimony at his trial for kidnapping. After spending a few years in Connecticut, he moved to Wisconsin, where he married in a green card arrangement using his true name.

Gerhartsreiter then relocated to California.

He settled in San Marino, a wealthy community near Pasadena, where he lived under the name Christopher Chichester from 1983 to 1985.

He posed as a film student and boasted that he was of English royalty, according to Vanity Fair magazine, which profiled him in January 2009 and quoted several people who knew Chichester at the time.

As Chichester, he rented a guest house from Ruth "Didi" Sohus. Her son John and his wife, Linda, came to live with Didi Sohus during the time Gerhartsreiter lived in the guest quarters.

It is unclear what his relationship was with the couple.

Didi Sohus told investigators she believed that her son and daughter-in-law were in Europe. She filed a missing person report in July 1985, according to the Pasadena Star-News.

Didi Sohus and one of Linda Sohus' friends received postcards postmarked from Paris in mid-1985, purportedly from the couple, but investigators were suspicious of their authenticity.

Sohus sold the house in late 1985 after suffering a stroke. She died three years later.

Through luminol testing of the guest quarters where Chichester lived, investigators found what appeared to be a large amount of blood. (Luminol causes a glow when it comes in contact with blood.) It is not clear when the luminol testing took place, but police thoroughly searched the house when the remains were found and again after Gerhartsreiter's arrest in the kidnapping case.

A former neighbor quoted by Vanity Fair reported that Chichester borrowed a chainsaw from him at about the time the couple went missing. An acquaintance, Dana Farrar, said she "saw an area of dirt that had obviously been dug up and filled in" at the time, according to the Pasadena Star-News. When she asked him why, Chichester told her he was having plumbing problems.

Sheriff's detectives from Los Angeles County sought Chichester for questioning in early May 1985, but he had disappeared in a pickup truck registered to John Sohus.

He resurfaced under yet another identity, that of Christopher Crowe, in Connecticut in the late 1980s.

In late 1988, Crowe tried to sell Sohus' pickup truck to a man in Connecticut. When he couldn't produce the proper paperwork for the truck, the prospective buyer reported him to police.

Connecticut police soon learned that Chichester and Crowe were the same person, although at that time, no one knew that his true name was Gerhartsreiter.

Crowe disappeared before police could question him.

He resurfaced in Manhattan in 1993 as Clark Rockefeller.

On May 5, 1994, the workers digging in the backyard of the San Marino home to install a swimming pool for the home's new owners discovered the remains. It was not until 2010 that the remains were identified.

The investigation heated up again when authorities learned shortly after the 2008 kidnapping that Gerhartsreiter was not Clark Rockefeller. He was arrested in Baltimore, where he was hiding out with his daughter. He had already assumed a new identity: a ship's captain named Chip Smith who, with his daughter Muffy, was relocating to Chile.

His second wife, Harvard-educated financial executive Sandra Boss, testified at the kidnapping trial that she spent more than a dozen years with him before growing suspicious that Rockefeller was not who he said he was.

They met in New York and were married in Nantucket, Massachusetts. Their daughter, Reigh, was born on May 24, 2001, and her father nicknamed her "Snooks."

The couple divorced in 2007 after Boss hired a private investigator to conduct a background check, according to testimony at the kidnapping trial.

@highlight

NEW: Almost entire skeleton found after skull's discovery, anthropologist testifies

@highlight

The fractured skull received at least three blows, a forensic pathologist says

@highlight

Christian Karl Gerhartsreiter is accused of murder

@highlight

He led a life of multiple identities and once claimed to be "Clark Rockefeller"