(CNN) -- I once asked a president of the Central African Republic, Ange-Félix Patassé, to give up a personal monopoly he held on the distribution of refined oil products in his country.   He was unapologetic. "Do you expect me to lose money in the service of my people?" he replied.

That, in a nutshell, has been the problem of Africa. Very few African governments have been on the same wavelength as Western providers of aid.

Aid, by itself, has never developed anything, but where it has been allied to good public policy, sound economic management, and a strong determination to battle poverty, it has made an enormous difference in countries like India, Indonesia, and even China.

Those examples illustrate another lesson of aid. Where it works, it represents only a very small share of the total resources devoted to improving roads, schools, heath services, and other things essential for raising incomes.

Aid must not overwhelm or displace local efforts; instead, it must settle with being the junior partner.

Opinion: Why foreign aid is important for Africa

Because of Africa's needs, and the stubborn nature of its poverty, the continent has attracted far too much aid and far too much interfering by outsiders.

From the start, Western governments tried hard to work with public agencies, but fairly soon ran up against the obvious limitations of capacity and seriousness of African states.

Early solutions were to pour in "technical assistance," i.e. foreign advisers who stayed on for years, or to try "enclave" or turn-key projects that would be independent of government action.

More recently, Western agencies have worked with non-government organizations or the private sector. Or, making a virtue of necessity, they have poured large amounts of their assistance directly into government budgets, citing the need for "simplicity" and respect for local "sovereignty."

Through all of this, the development challenge was always on somebody else's shoulders and governments have been eager receivers, rather than clear-headed managers of Western generosity.

In the last 20 years, some states -- like Ghana, Uganda, Tanzania, Mozambique, and Mali -- have broken the mould, recognized the importance of taking charge, and tried to use aid more strategically and efficiently. Some commentators would add Benin, Zambia, and Rwanda to that list.

But most African governments remain stuck in a culture of dependence or indifference. There are still too many dictators in Africa (six have been in office for more than 25 years) and many elected leaders behave no differently.

In Zambia last year, journalist Chansa Kabwela sent photographs of a woman giving birth on the street outside a major hospital (where she had been refused admission) to the president's office, hoping he would look into why this had happened.

Instead, the president, Rupiah Banda, ordered the journalist prosecuted for promoting pornography. She was later acquitted.

Government callousness is one thing. Discouraging investors is even worse. No aid professional ever suggested that outside help was more important than private effort; on the contrary, foreign aid was intended to help lay the foundations for greater public confidence and private savings and investment.

Few economists thought that aid would create wealth, although most hoped that it would help distribute the benefits of growth more evenly. It was plain that institutions, policy, and individual effort were more important than money.

So, where -- despite decades of aid -- the conditions for private savings and investment are still forbidding, it is high time we ask ourselves why we are still trying to improve them.

The Blair Commission Report on Africa in 2005 reported that 70,000 trained professionals leave Africa every year, and until they -- and the 40 percent of the continent's savings that are held abroad -- start coming home, we need to use aid more restrictively.

An obvious solution is to focus aid on the small number of countries that are trying seriously to fight poverty and corruption. Other countries will need to wait -- or settle with only small amounts of aid -- until their politics or policies or attitudes to the private sector are more promising.

We should also consider introducing incentives for countries to match outside assistance with greater progress in raising local funds.

President Obama is being criticized for increasing U.S. contributions to the international fight against HIV/AIDS by only two percent, with the result that people in Uganda are already being turned away from clinics and condemned to die.

When challenged, U.S. officials have had a fairly solid answer. Uganda has recently discovered oil and gas deposits but has gone on a spending spree, reportedly ordering fighter planes worth $300 million from Russia, according to a recent report in the New York Times.

Does a government that shows such wanton disregard for common sense or even good taste really have the moral basis for insisting on more help with AIDS?

We must not be distracted by recent news of Africa's "spectacular" growth and its sudden attractiveness to private investment. Some basic things are changing on the continent, with real effects for the future; above all, Africans are speaking out and refusing to accept tired excuses from their governments.

But the truth is that most of Africa's growth -- based on oil and mineral exports -- has not made a whit of difference to the lives of most Africans.

Political freedoms shrank on the continent last year, according to the U.S.-based Freedom House index.

A quarter of school-age children are still not enrolled, according to World Bank statistics; many of those that are, are receiving a very mediocre education. And agricultural productivity -- the key to reducing poverty -- is essentially stagnant.

The really good news is likely to stay local and seep out in small doses, until it eventually overwhelms the inertia and indifference of governments.

Five years ago, Kenya managed to double its tax revenues because a former businessman, appointed to head the national revenue agency, took a hatchet to the dishonest practices of many tax collectors. He had every reason to do so. Only five percent of Kenya's budget comes from foreign aid, compared with 40 percent in neighboring countries.

This is a good example of the sometimes-perverse effects of aid, but also of the importance of imagination and individual initiative in promoting a better life for Africans.

The opinions expressed in this commentary are solely those of Robert Calderisi.

@highlight

Africa has attracted too much aid and interfering by outsiders, says Robert Calderisi

@highlight

Most African governments remain stuck in a culture of dependence or indifference

@highlight

After decades of aid, conditions for private savings and investment are still forbidding

@highlight

Imagination and individual initiative important in promoting a better life for Africans.