(CNN) -- It's like a chair that isn't there, but magically appears whenever you need it. It's called the Chairless Chair and you wear it on your legs like an exoskeleton: when it's not activated, you can walk normally or even run. And then, at the touch of a button, it locks into place and you can sit down on it. Like a chair that is now there.

"The idea came from wanting to sit anywhere and everywhere, and from working in a UK packaging factory when I was 17," says Keith Gunura, the 29-year old CEO and co-founder of noonee, the Zurich-based startup behind the device, "standing for hours on end causes a lot of distress to lower limbs, but most workers get very few breaks and chairs are rarely provided, because they take up too much space. So I thought that the best idea was to strap an unobtrusive chair directly to myself."

The device never touches the ground, which makes it easier to wear: a belt secures it to the hips and it has straps that wrap around the thighs. A variable damper engages and supports the bodyweight, which is directed towards the heels of the shoes. These are specially designed and part of the mechanism, but an alternate version works with any footwear and touches the ground only when in a stationary position. The user just moves into the desired pose and then powers the device, which currently runs for about 24 hours on a single 6V battery.

"In addition to resting your leg muscles, it also provides optimal posture," adds noonee CTO and co-founder Bryan Anastisiades "it keeps your back straight and can reduce the occurrence of bad postures for both healthy workers and those recovering from muscle related injuries."

Sammy Margo, a chartered physiotherapist, told CNN: "As physiotherapists we actively encourage people to move throughout the day. This device looks like a great compromise in that it allows the wearer to move as well as sit intermittently. I wouldn't encourage its use for long term sitting, however it is suitable for people who need to vary their tasks."

The Chairless Chair is attracting interest and production line trials are set to start in Germany with BMW in September and with Audi later this year.

While sitting down all day is so detrimental to health that it will shorten life expectancy, standing up in order to work is also a source of problems. Physical strain, repetitive movements and poor posture can lead to conditions called Musculoskeletal disorders (MSDs), which are now one of the leading causes of lost workday injury and illness. In 2011, MSDs accounted for 33 percent of all worker injuries and illnesses in the U.S. with over 378,000 cases, according to data from the United States Department of Labor. In Europe, over 40 million workers are affected by MSDs attributable to their job, according to a study entitled Fit For Work Europe and conducted across 23 European countries.

The Chairless Chair represents an innovative approach to this problem, which is currently addressed mostly through ergonomics of the workplace. Although unique, it shares some similarities with the Swiss Milking Stool, a monopod used by farmers to milk cows, which dates back to the early 19th Century. It had straps that secured it to the wearer and required some practice to be used due to the single source of support. It was phased out by the rise of the milking parlor.

An aluminium and carbon fibre frame keeps the overall weight of the Chairless Chair at just two kilograms, so it doesn't burden the wearer with too much excess weight and only marginally impairs movement. And in the future, it could be fitted with smart motors able to infer the user's intentions and offer the ideal posture without even the need to press a button.

This could open up additional daily life applications, says Gunura: "Imagine if you had one of these while you were riding on a crowded train: it would make for a much more comfortable commute. But we're also thinking about people behind the counter in retail, farmers picking fruit and even surgeons in the operating room. A chair would be impractical, but the Chairless Chair would fit in nicely."

Read more from Make, Create, Innovate:

British inventor claims world's first flying bicycle

Spider lessons: How to mend your body with silk

The artificial leaf that could power the world

@highlight

The Chairless Chair is an exoskeleton that locks into place when you sit down

@highlight

It allows the user to rest their leg muscles and can improve posture, according to the Zurich startup behind the device

@highlight

BMW and Audi are set to conduct production line trials this year