The trial of the son of former Libyan leader Moammar Gadhafi and dozens of other former regime officials resumed in Tripoli on Sunday, in continued defiance of the International Criminal Court that last week rejected Libya's plea to try Saif al-Islam Gadhafi domestically.

Saif al-Islam Gadhafi, once his father's heir apparent, has been held in the western mountain city of Zintan by the militiamen who captured him in 2011. The group has refused to hand him over to the central government, citing security concerns and lawlessness in the capital.

He appeared via videolink from a courthouse in Zintan, while more than 20 former officials were in the south Tripoli courtroom. Eight other former regime members being held in Misrata also appeared on a videolink.

The officials are facing charges relating to the 2011 revolution and attempts to suppress the uprising, including the killing of protesters, a crime punishable by death.

The fourth session of the trial comes less than a week after the ICC's appeals chamber upheld an earlier decision by the international court demanding that Libya hand over Gadhafi to The Hague.

Libya submitted put in a legal request to try Gadhafi domestically in 2012, but it was rejected by the ICC last year and later appealed by the North African country. Wednesday's decision by the ICC appeals chamber is a final.

The ICC had indicted both Gadhafi and former spy chief Abdullah al-Senussi for alleged war crimes in 2011.

Al-Senussi, who was extradited to Libya from Mauritania two years ago, also appeared in court on Sunday, looking frail and as if he had lost weight.

Although the international court granted Libya the right to try al-Senussi last year, his ICC- appointed lawyer was appealing the ruling.

Libya has insisted that unlike under the Gadhafi regime, the defendants will receive a fair trial.

But rights groups have raised concerns about the ongoing trial, especially the use of videolink that they say does not allow them to communicate with their lawyers before and during sessions.

Other concerns include limited access of some defendants to legal counsel, and some defendants still have no lawyers.

During Sunday's session Gadhafi still did not have a court-appointed lawyer, and al-Senussi's attorney was absent. Without the presence of defense lawyers, the two did not enter a plea or respond to charges read by the judge.

The other defendants denied the charges. Some of them became emotional as they addressed the court.

Buzeid Dorda, the former head of foreign intelligence, denied the charges calling them "fabricated" and "politically motivated."

The trial was adjourned to June 22 after the prosecution and defense attorneys requested more time to prepare their cases.

Libya's government, which has been in the midst of its worst political and security crisis since the revolution, has not yet commented on the ICC's latest decision.

Legal experts say the country could face consequences for its refusal to hand over Gadhafi to The Hague, but only if steps are taken by the international community.

"Sanctions can be imposed on Libya by the UN Security Council for Libya's non-compliance, and Libya's membership in various international organizations could be suspended and/or made conditional on Libya surrendering Saif Gadhafi to the ICC, if states wish to insist on it," John Jones, Gadhafi's ICC-appointed defense lawyer, told CNN on Saturday. "Therefore the matter is in the hands of the international community, in particular states like the UK and France, which are both members of the ICC and permanent members of the Security Council."

Jones insisted that Libya must hand Gadhafi over to the ICC, saying his rights have been "gravely violated" since his capture more than two years ago.

Violations include Gadhafi being held in solitary confinement in a secret location and being denied visits by friends and family, according to Jones.

"Libya is paralyzed and unable to protect the rights and security of Libyans, including judges, lawyers and judicial police and detainees, much less the rights of a person like Mr. Gadhafi," Jones said.

Amnesty International and Human Rights Watch, who have also raised concerns about the deteriorating security situation in the country, have also renewed their call for Libya to hand over Saif al-Islam to The Hague.

"The ICC appeals decision only reinforces Libya's long overdue obligation to surrender Saif Gadhafi to The Hague," said Richard Dicker, international justice director. "Libyan authorities should show the same respect for ICC procedures as they did when they first engaged the court on Gadhafi's case."

Crowds rally in Libya to support retired general's campaign

Libya: Why it's all gone so badly wrong

@highlight

Saif al-Islam Gadhafi continues to be tried while being held in western Libya

@highlight

Dozens of other Moammar Gadhafi regime officials are on trial in Tripoli

@highlight

The International Criminal Court rejected Libya's bid to try the younger Gadhafi