(CNN) -- The death of Anwar al-Awlaki deprives al Qaeda of a leading propagandist and an inspirational figure to jihadists the world over.

His calm eloquence and fluent English turned al-Awlaki into a YouTube phenomenon, and his emergence as the ideological guide of al Qaeda in the Arabian Peninsula, or AQAP, put him at the heart of one of the most dangerous terror groups on earth. Known as the "Professor" by the group's operatives, he also became the spiritual mentor to would-be jihadists living in anonymous suburbs half a world away.

Al-Awlaki arrived in Yemen after spending much of his youth and adult life in the United States, where he studied in Colorado and was an imam at mosques in California and the Washington metro area. He even gave interviews in the aftermath of 9/11 decrying the terror attacks. But at some point he became disillusioned with his adopted country -- perhaps because of a series of encounters with U.S. law enforcement over his alleged use of prostitutes. When he left in 2002 he took a unique understanding with him of the vulnerabilities of an open society, the sentiments of American Muslims and the opportunities of social media in the 21st century.

One such opportunity was online propaganda, best evidenced by AQAP's glossy periodical Inspire. The seventh edition was published this week, edited by another American jihadist in hiding in Yemen who had been attracted to the cause by al-Awlaki's teachings. That edition promised a forthcoming essay by al-Awlaki titled "Targeting Populations of Countries at War With Muslims."

It was al-Awlaki's favorite theme. Last year he called on American Muslims to rise up against their "oppression." In a video released in November 2010, al-Awlaki said there was no need to a fatwa to kill Americans. "Killing Satan does not require a fatwa," he said. "We have reached with them a situation of 'Either Us Or You.'" As always, he was careful to justify and explain his words through Quranic verses, which gave his sermons and speeches greater credibility among would-be jihadists.

According to Yemeni officials, al-Awlaki had become much more radical in 2007-08. By this time he was very active on Facebook. His DVDs were being attractively packaged and sold in the West. His YouTube followers ran into many thousands. And he was in e-mail contact with extremists in the United States and the Britain.

Two cases illustrate al-Awlaki's ability to attract followers online. The best known is the messages exchanged between him and U.S. Army Maj. Nidal Hasan, who is being tried for the murder of 13 people at Fort Hood in Texas. In subsequent interviews, al-Awlaki said Hasan had initiated e-mail correspondence with him in December 2008. Al Jazeera reported: "He was asking about killing U.S. soldiers and officers," says al-Awlaki. "His question was, is it legitimate" under Islamic law.

More than a dozen e-mails followed, with Hasan asking al-Awlaki about martyrdom, about when jihad is permissible (about which al-Awlaki had written volumes), the death of innocent bystanders in attacks. And after the shootings, al-Awlaki was quick to praise them. In the Al Jazeera interview, he calls the shooting "a heroic action."

"The operation had a military target inside America, and there's no dispute about that," says al-Awlaki, adding that the soldiers killed "were prepared and equipped to fight and kill oppressed Muslims." He also mocked U.S. intelligence for not picking up on the e-mail traffic.

The other case that illustrates al-Awlaki's reach involved a British Airways employee, Rajib Karim. In February this year a British court heard that al-Awlaki and Karim had been corresponding, via heavily encrypted software, in late 2009 and early 2010. In one message purported to be from al-Awlaki, the writer made clear where his priorities lay: "Our highest priority is the United States. Anything there, even on a smaller scale compared to what we may do in the United Kingdom, would be our choice."

Al-Awlaki clearly saw an opportunity in Karim's employment at the airline. "I immediately wanted to contact you to tell you that my advice to you is to remain in your current position," al-Awlaki wrote. "Depending on what your role is and the amount of information you can get your hands on, you might be able to provide us with critical and urgent information and you may be able to play a crucial role."

He also sought details on "limitations and cracks" in present airport security systems, and told Karim he should train as British Airways cabin crew if possible. Al-Awlaki then asked, "Did any of the (brothers) you mentioned get training on X-ray machines or understand their limitations?"

Through the East African embassy attacks, the Bali resort attacks of 2002 and most obviously the 9/11 attacks, the al Qaeda of Osama bin Laden had become known for spectacular simultaneous attacks aimed at mass casualties. Al-Awlaki recognized that attacks of such magnitude would be difficult to repeat given enhancements in security and intelligence gathering. He and al Qaeda in the Arabian Peninsula began to focus on smaller but highly disruptive attacks that would have a psychological and economic impact on the United States. Two such examples are the attempt to blow up a U.S. airliner on Christmas Day 2009 in the "underpants bomber" conspiracy; and the printer bomb plot from 2010.

Al-Awlaki boasted about the Christmas Day plot, saying that Umar Farouk AbdulMutallab, the suspect who is now on trial, succeeded "even though it didn't cause the killing of one single person."

"They spent more than $40 billion, and a mujahed like Omar Farouq was able to infiltrate their security apparatus even though they claim he was under surveillance," he said in May 2010.

Similarly, in one exchange with Karim, he asked: "Is it possible to make false reports on security risks on airplanes and airports? Reports that would cause planes to be grounded and airports closed. ... This doesn't count for much but it does cause them some nuisance and loss."

In the last two years al-Awlaki had begun to play a more active operational role for the group, driving forward its ambitions to attack the United States.

"Let me underscore, Awlaki is no mere messenger but someone integrally involved in lethal terrorist activities," State Department counterterrorism coordinator Dan Benjamin warned in April.

Internet communications presented as evidence during the British trial of Karim revealed al-Awlaki to be playing a key key role in handling jihadist volunteers arriving in Yemen and the key driver behind its ambition to attack the West. It is possible that his departure from the scene may result in the terrorist group placing more emphasis on expanding its sphere of influence in Yemen, though Western counterterrorism officials will be concerned the group may launch a revenge attack.

As he became more prominent -- and more closely associated with the operational side of al Qaeda -- al-Awlaki escaped at least two attempts to kill him. The first was at the end of 2009, when a cruise missile struck a compound in a remote part of Yemen. More recently, an attack on a convoy in southern Yemen, believed to have been carried out by drones, killed several al Qaeda operatives but al-Awlaki again escaped injury. The inability of the Yemeni or U.S. governments to capture or kill him had begun to add to his mystique.

"I move freely in Yemen," he said in March 2010. "There is a support among my tribesmen. ... Even though they know they are in danger, they welcome me and greet me because they are righteous people."

No longer. We may never know whether one of these "righteous people" betrayed him or whether other intelligence finally led to his death, but al Qaeda has lost one of its principal flag-bearers.

@highlight

Al-Awlaki was at the heart of one of the most dangerous terror groups on earth

@highlight

Growing up and living in the United States gave him a unique understanding of U.S. society

@highlight

He mocked U.S. intelligence for not picking up his e-mail traffic with Maj. Nidal Hasan

@highlight

He had escaped at least two previous attempts to kill him