Washington (CNN) -- New rules designed to protect credit card users from "unreasonable late payment and other penalty fees" went into effect Sunday as a result of the Credit Card Act of 2009.

The rules block credit card companies from charging more than $25 for late payments except in extreme circumstances, prevent them from charging customers for not using their cards, and requires them to reconsider rate increases imposed since January 1, 2009, according to the Federal Reserve, which approved the regulations.

They are the final provisions of federal legislation that placed new restrictions on credit card interest rates and fees, completing the most comprehensive overhaul of the credit card industry in history.

The banking industry has already made changes in response to the Credit Card Accountability, Responsibility, and Disclosure (CARD) Act of 2009, a spokesman said Sunday.

"The industry has moved swiftly to implement all of these changes and the final piece of the puzzle is now in place," said Kenneth Clayton of the American Bankers Association.

"It will still take some time before we can really see how the landscape has changed, but it is clear that consumer choice and control will ultimately drive further changes in the marketplace," he said in a statement.

The Fed's rules could result in lower interest rates for consumers.

Banks will have to reduce rates if the reasons for increases imposed in the last 20 months no longer exist, and regulators will review and enforce such cuts.

Consumers will most immediately notice the new penalty fee limit of $25. Reducing penalty fees was a central provision of the credit card law, but Congress left it to the Fed to determine how to do it.

The Fed leaves room for larger penalty fees to be charged if a consumer has shown a pattern of "repeated" violations or if a card issuer can show that a higher fee reasonably offsets its own costs in dealing with the violation that spurred the penalty.

Among other new rules, penalty fees can't exceed the dollar amount incurred by the consumer's violation that spurred the fee.

For example, if a customer is late making a $20 minimum payment, the fee can't exceed $20. A consumer who exceeds her credit limit by $5 cannot be charged an over-the-limit fee of more than $5.

Consumers will no longer face multiple penalty fees if the violation was based on a single late payment.

The provisions, which were announced in June, complement previous rules of the 2009 credit card law that are already in effect.

Starting in February, issuers were prohibited from hiking interest rates on existing balances as long as customers paid their bills on time. They also have to notify customers at least 45 days in advance of interest rate increases and most fee changes.

The Fed was tasked with figuring out a way to set penalty fees in a way that's "reasonable and proportional" to the violation that caused the fee.

Consumers scored a win, since these fee caps go beyond what the Fed had suggested earlier this year in a draft.

The $25 limit will mean significant savings for consumers who face median penalty fees of $39, according to data collected by the Pew Safe Credit Cards Project.

However, if a cardholder is late or over his credit limit two times within six months, issuers could hike the second penalty fee to $35, or possibly more if the issuer can justify the fee to regulators, according to the Fed rules.

Although the Fed is cracking down on penalty fees, it hasn't addressed the interest rate hikes that are also imposed on consumers who violate the terms of their credit card agreements.

So a consumer who spends more than his credit card limit by $15 may only face a $15 fee. But that consumer could still face a permanent penalty hike on his interest rate, which would apply to any future purchases.

Still, some banking groups have concerns. Financial Services Roundtable's senior lobbyist Scott Talbott warned that the Fed's cap on penalty fees will limit the industry's ability to offset the risk that credit cardholders don't pay their bills.

"The restrictions in the rules the Fed issued will decrease the ability of the credit card industry to price for risk and the net effect will be a decrease in [credit] availability," Talbott said.

CNN's Scott Spoerry and CNNMoney's Jennifer Liberto contributed to this report.

@highlight

The rules block companies from charging more than $25 for late payments in most cases

@highlight

They also ban charges for not using cards

@highlight

The Federal Reserve announced the changes resulting from the Credit Card Act of 2009