(CNN) -- You may have never heard of Lavabit and Silent Circle. That's because they offered encrypted (secure) e-mail services, something most Americans have probably never thought about needing, or wanting.

In recent days, Lavabit closed shop reportedly in response to U.S. government pressure to hand over customer data, including those of Edward Snowden, who used the e-mail provider. Silent Circle, which is used by activists, journalists and diplomats, shut down its e-mail service on its own volition because it wanted to prevent spying.

While these small companies have the courage to stand up for their customers' privacy, big companies like Google and Microsoft and others seem to be on the sidelines.

Opinion: The Internet is a surveillance state

We seem to be of several minds about government surveillance of our communications. Most people want privacy. But most people want the government, at least in justified cases, to be able to read the e-mail of those legitimately suspected of planning serious crimes. And most people also find the details of electronic surveillance worrying and complicated, and would prefer not to think about them at all.

It's easier to stick your head in the sand. But that would be a mistake.

E-mail privacy matters because our intellectual privacy matters. The ability to confidentially share ideas and information between friends, confidantes and loved ones is the hallmark of a free society.

Our communications are the foundation of our political freedoms. They must be inaccessible to the government unless it can prove to a neutral judge that surveillance is warranted, which means more than "relevance" to an investigation and more than mere curiosity.

Opinion: NSA secrets kill our trust

Governments that have the power to secretly watch their citizens and are not subject to meaningful legal constraint have proven, time and time again, that this power can be abused.

Just look at our own history. J. Edgar Hoover's FBI put the Rev. Martin Luther King under surveillance, seeking to discredit him politically. This was part of a broader program called COINTELPRO. Hoover told FBI agents to "expose, disrupt, misdirect, discredit, or otherwise neutralize" the activities of a wide range of individuals and groups, including communists, civil rights organizations, anti-Vietnam War groups, and so on.

When earlier this year Edward Snowden leaked to the world NSA's massive surveillance programs such as PRISM and Boundless Informant, we were shocked. But more revelations kept coming. Just the other day, the Washington Post reported that the NSA had broken its own permissive rules on surveillance thousands of times each year since 2008. This is unacceptable.

A society that cannot trust its citizens with ideas -- dissenting, different, or even dangerous -- is a society that is incapable of governing itself.

It's in this context that we should understand the importance of the recent closures of Lavabit and Silent Circle's e-mail service.

Our government has the power to secretly compel e-mail providers to allow surveillance. These secret powers are frequently subject to minimal legal checks, and they allow the government to put gag orders on e-mail providers who object to turning over the records of their customers' communications.

When e-mail providers build their systems in ways to ensure privacy (such as by not collecting metadata or by using strong encryption), they come under government pressure, as Lavabit found out to its dismay.

How can we protect e-mail privacy in ways that give the government the power (subject to the meaningful rule of law) to investigate serious crimes?

We could let the government record everything, see everything and know everything. This seems to be the position of some government officials, but it would be the end of privacy (and self-government) as we know it. If we know the state is watching, we will censor what we do, what we say, and possibly even what we think.

On the other hand, we could put our communications under strong legal or technological protection (like cryptography) subject to no government access. This would guarantee strong privacy, but it could unreasonably handicap the government from legitimate law enforcement and counter-terrorism purposes.

There is a middle way. We should presume the privacy of e-mail and other communications, and we should require the government to get warrants supported by probable cause before it can read our mail, track our movements and use our communications data to construct a map of everyone we know and when we talk to them. This is the traditional way we've protected communications privacy, and it's a good way. But this requires recognizing a few things.

Total surveillance of our communications is illegitimate, but so is secret surveillance.

In a democracy committed to civil liberties, the basic contours of government power must be known by the people, so that the people can agree to them. It's not enough for government agencies to raise the specter of public safety and say "trust us."

A common response to this argument is the idea that making government surveillance powers public makes it easier for criminals and terrorists to commit crimes, and harder for the police to do their jobs.

This is correct, but we need to acknowledge that privacy is a civil liberty, and civil liberties are inefficient.

We tolerate free speech, the freedom from searches and seizures, jury trials, and the privilege against self-incrimination (among others) in spite of these costs because we've learned the hard way that the alternative is worse. Governments that are too efficient abuse their powers, often by trampling political dissent and civil liberties.

It's the difference between a police state and a free state.

We can't ignore the threat to our civil liberties by giving the government vast powers any more than we can ignore the fact that we live in a dangerous world. Striking the right balance might be hard, but it is part of the price we have to pay for political freedom.

The opinions expressed in this commentary are solely those of Neil Richards.

@highlight

Lavabit, a secure e-mail service, chose to shut down rather than give customer data to the state

@highlight

Neil Richards: E-mail privacy matters because our intellectual privacy matters

@highlight

He says time and again governments that secretly watch their citizens abuse power

@highlight

Richards: In a democracy with civil liberties, people have a right to know about surveillance