(CNN) -- I've spent the bulk of my career climbing the so-called corporate ladder. As chairman and CEO of Ogilvy and Mather, chairman of J. Walter Thompson, and later as Undersecretary of State to Colin Powell, I've been witness to how power is exercised and how people are chosen for leadership roles in the halls of both corporations and governments. There are now many more talented women to choose from, and yet we women still hold relatively few positions of influence. Even though I was a pioneering woman among a world of men, I think it's harder for women today than it was for me to enter these circles of authority and influence.

The men at the top don't know how to appraise women's potential. They do know leadership positions call for a competitive spirit, a fierce resolve and an endless ability to motivate others. These qualities, you'll notice, are not about the work itself; they reflect a person's intrinsic way of approaching the work. The decision makers know how to size up other men on such characteristics but they don't know the inner strengths of women well enough to judge, so they choose the known, the familiar - in other words, another man - to fill the top spots.

This is due partly to the politically correct practices, which have done a lot of good, but have also inadvertently created a sense of distance. It has created a scenario where male leaders don't know or recognize these more intangible skills in the women who are moving up, since these relationships can be quite formal - well, more politically correct.

It is also because women today, so very articulate, poised, and educated, are not trained to enter the fray. Work can turn personal, raw, aggressive, and unfair, with little promise of applause or proof of performance for the tasks ahead. But handling all of this is synonymous with leadership. These are the terms of engagement, of relationships that go beyond great work skills and flawless logic. Great work skills, by the way, are something at which women excel, but they are too often tempted to hide behind their great work, rather than step out and be counted when situations turn messy and difficult and leadership is needed.

Women, of course, do have such potent leadership qualities but they're not sure how to communicate their unique way of being tough and resilient. There is a resistance, almost an air of punishment when women overtly move to persuade or seek to influence or press firmly for unpopular decisions. It is harder for us to show our leadership qualities over our far more approved of "womanly ways," such as being modest and communal.

There is a solution. Women have to learn to be leaders on their own terms. Don't misunderstand - I am not talking about expecting companies to become kinder and gentler, or preparing special cushions for women to reign from. We don't need exceptions made for us. Our way is no less fierce or brave or urgent but we do have to learn to unleash all these passions from the true center of who we are. Women must figure out their own unique qualities and let them loose. This is, in my opinion, the most crucial skill missing in working women today. Only when a woman begins to understand who she is from the inside out can she see where her mastery lies.

It is a matter of letting everyone know what you believe in and all that you can offer. Though we are acknowledged to be the more verbal sex, we still need to acquire communications skills that include the ability to confront hostile actions, to motivate the disenfranchised, to reveal intensity of purpose and even to express anger. I teach women such things in workshops I call "The X Factor" -- the "X" being women's potential. We always finish with presentations because life at work is really just one presentation after another. These can come in the form of emails, phone calls, meetings and even speaking from the podium, but they are all opportunities to present yourself. We have found it is very easy for the presenter to disappear behind the charts or within the team. After our sessions, the mantra of the women becomes "Step out in front of the work." After watching groups of these talented women refine their presentations in every forum, it is incredibly rewarding to see women who had once deferred to their power points, step out in front, exposed and vulnerable but willing to say "I believe." This is how a leader presents.

When a woman dares to communicate all her unique qualities of leadership to those in charge, she will be tapped to take the lead. I am using the next chapter in my life to help women access this untapped power and to achieve their highest potential. I feel compelled to do it because this kind of handbook isn't one that I've found on the bookshelves or in training courses. And it's a book that I wish I'd had when I first donned my business suit and walked into the big, bad world of marketing.

The opinions expressed in this commentary are solely those of Charlotte Beers.

@highlight

Advertising high flyer Charlotte Beers says it has become harder for women to enter circles of influence

@highlight

She says men at the top don't know how to appraise women's potential

@highlight

Therefore, women have to learn to be leaders on their own terms