(CNN) -- Every time Hispanic Heritage Month rolls around, I learn something new about the Latino footprint in the U.S. But until I spoke to Robert Lopez, I never knew how this celebration came to be.

In May of 1988, Lopez, former intern for the Congressional Hispanic Caucus, was asked to work on a bill that would amend the 1968 federal law, authorized by President Lyndon B. Johnson, to change it from a week to a month-long celebration.

Today, Lopez is a veteran journalist who has helped produce award-winning investigative and multimedia projects for the Los Angeles Times, and a social-media expert who has taught reporters, students and academics in the United States, South America, the Caribbean and the Middle East.

Lopez said Bettie Baca, executive director of the caucus at the time, said a House version had already been introduced in 1987 by Rep. Esteban Torres but was stalled by two subcommittees. A similar bill passed the Senate and there was support from all 13 Latino members of Congress in the House.

Hearing this, Lopez thought getting enough supporters "would be a slam dunk" -- until he received pushback from some quarters.

"I got resistance at first. People didn't just didn't want to support commemorative legislation. People said things like, 'Well, why would we do that? Aren't we all American? That's not a thing we want to support,'" Lopez said. "I was a bit naive at the time and didn't know what to do, so I asked the Black Caucus to help me out, and we focused on writing 'Dear Colleague' letters to New York, Texas and California."

What we now know as Black History Month originated in 1926, founded by Carter G. Woodson as Negro History Week, but then the celebration was expanded to a month in 1976.

President Gerald R. Ford urged Americans to "seize the opportunity to honor the too-often neglected accomplishments of black Americans in every area of endeavor throughout our history."

Lopez asked the Library of Congress to put together a list of notable Latino achievements in order to better sell the bill to other members.

"To me it was a fascinating learning experience. When I went to high school there wasn't Latino studies or Chicano studies," Lopez said. "I knew of some history here and there, but was shocked to learn of all the Latino history in this country from the Congressional Research Service, part of the Library of Congress.

"This bill became a lot about self-discovery," Lopez said.

He wrote in a piece for the L.A. Times that he learned about such "notable figures as Bernardo de Galvez, a military officer who aided American colonists in their fight against the British during the Revolutionary War. Then there was Luis Alvarez, who was born in San Francisco and won the Nobel Prize in Physics in 1968."

There was a ticking clock element to Lopez's task. Since this was the second session of the 100th Congress, if the bill didn't pass this time around it would have to be introduced all over again.

On an August morning in 1988, Lopez walked into the House gallery in a blazer and tie, watched the bill pass, and the battle was over without any big fuss.

"I had no idea it would be as big as it is today," said Lopez.

The third-generation Mexican-American grew up in an English-dominant household. His parents were raised in an area of California where you were punished for speaking Spanish, where Mexican immigrants were forced to be "American" and assimilate. So Lopez didn't grow up speaking Spanish at home. But that wasn't the case for his two children, who attended Spanish-language immersion schools.

Now, America dedicates a month, from September 15 to October 15, to celebrating the culture and traditions of those who trace their roots to Spain, Mexico and the Spanish-speaking nations of Central America, South America and the Caribbean.

After speaking to Lopez, I felt a surge of urgency to keep sharing his story. I wonder what would have happened if he hadn't been assigned this project during his internship. What if he hadn't pushed for the bill with his "Dear Colleague" letter and phone calls, or even worse, what if the bill had been put on the back burner until the following year? Would we be celebrating Hispanic Heritage Month today?

"I hope Hispanic Heritage Month helps people learn the things I didn't know growing up, the importance of Latinos in our history, and the contributions they've have made," Lopez said. "It's a good way to celebrate our own culture, but also for non-Latinos to be exposed. You can't really understand American history without understanding Latino history."

@highlight

Former Washington intern shares story of how Hispanic Heritage Month came to be

@highlight

Robert Lopez pushed the idea in 1988 while working for Congressional Hispanic Caucus

@highlight

Lopez faced resistance from members but kept working for passage of the bill

@highlight

"You can't really understand American history without understanding Latino history"