Britain's Prime Minister, David Cameron, has declared that when dealing with would-be "terrorist fighters," he believes it should be easier to confiscate passports -- to stop people traveling, to prevent those who go abroad to fight from returning to the UK, and to deal decisively with those who are here.

How exactly the Counter Terrorism Bill will be framed when it is published shortly remains unclear, but current proposals go beyond what is required and risk doing exactly what the U.N. Security Council insists on, which is to act in compliance with international law.

"Dealing decisively with those who are here" sounds good, of course, and there are plenty of terrorism-related offences already on the statute books which can do duty.

Whether more are needed is a matter for debate, but clearly, as the U.N. Security Council affirmed last September in its unanimous resolution on "foreign terrorist fighters," states must also address the underlying factors, as well implementing rehabilitation and reintegration strategies. Denmark is working on the latter, but has anyone looked to see how they work?

The Security Council says states are obliged to prevent the movement of terrorists by way of effective border and passport controls, and passports are probably the easiest target.

British citizens have no legal right to a passport, which continues to be issued under the Royal Prerogative and therefore within the discretion of the Crown (in practice, the Identity and Passport Service acting for the Home Office). Passports can be withdrawn or "canceled" for a number of reasons, including public interest grounds such as suspicion that the holder might be involved in international organized crime or in terrorism. The surrender of a passport can also be required as a condition of bail.

But what the British government now wants is a statutory power allowing it to seize and retain a canceled passport, so as to reduce the likelihood of it being used anyway.

In practice, though, it will be difficult to stop people traveling in the absence of evidence of their intentions; their proposed destination may be a give-away, but what if their aims are not terrorism-related, but humanitarian? Many are keen to assist those injured or at risk because of conflict.

The Security Council says there needs to be "credible information" and "reasonable grounds" to believe that an individual is traveling for terrorism-related purposes; it encourages the use of "evidence-based traveler risk assessment." But there are dangers here, and it rightly insists that authorities do not resort to profiling based on stereotypes which in turn reflect internationally prohibited grounds of discrimination.

How will the UK apply such standards, and what protection will citizens have against arbitrary restrictions on freedom of movement? Will police officers be entitled to act simply on suspicion? In debating earlier legislation, the Government made it clear that "suspicion" was a "lesser test" than belief, and certainly far short of the standard of proof in criminal matters. These issues demand serious thought, if arbitrary power is to be avoided, and discretion confined and structured as the rule of law requires.

It is in stopping citizens from returning, however, that the Government will run into trouble with the law.

Exclusion orders have been used against UK citizens in the recent past, limiting freedom of movement between Great Britain and Northern Ireland from the 1970s to the 1990s; but these orders were an internal matter, applied to citizens within the United Kingdom, whereas the Prime Minister's notion is to exclude citizens from the UK.

The new "temporary exclusion orders," it is proposed, will include passport cancellation, entry on a "no fly list," and sanctions against any airline carrying an "excluded" British citizen to the UK.

Such orders may extend for up to two years, though why two years is anyone's guess, and not apparently evidence-based. Return following exclusion may be allowed, but could be conditioned on prosecution, restrictions on movement, or immersion in a "de-radicalization programme" -- the dice look loaded with presumptions -- and returning without permission could result in up to five years in jail.

Humanitarian workers thus run the risk of becoming trapped in a war zone, while others -- rightly or wrongly suspected of criminal activity -- may be rendered effectively stateless in some transit state or half-way house, in both cases denied the protection which the state owes to its citizens, and allowing the United Kingdom to avoid the responsibility which it owes to other states.

Time and again, the Security Council has stressed that whatever measures states take to deal with terrorist-related threats must comply with all their obligations under international law. Specifically, it has said that no state would be obliged to deny entry or require the departure from its territory of its own nationals or permanent residents.

"Exile," after all, is expressly prohibited by Article 9 of the 1948 Universal Declaration of Human Rights, while Article 12(4) of the 1966 International Covenant on Civil and Political Rights declares that: "No one shall be arbitrarily deprived of the right to enter his own country."

Cameron's statements regarding so-called jihadists are regrettably indiscriminate and premised on assumptions of guilt.

He has called for a "discretionary power" to exclude citizens from the UK, though this seems to imply an arbitrary competence exercised according to the rule of government, not the legal certainty and procedural protection required by the rule of law, and with no regard either to the rights and interests of other states, or to the necessity for improved international cooperation.

No state is obliged to accept another's "temporarily excluded" citizens. Any state would be fully within its rights to deport such a person to the UK, and the UK is duty-bound to readmit citizens not allowed to remain in other countries. Moreover, any state whose airline was sanctioned because it carried a UK citizen back to the UK, would be equally entitled to apply counter-measures against the UK, by reason of its unlawful conduct.

As was the case earlier this year with deprivation of citizenship, the rush to legislation led to inadequate scrutiny by parliament and cursory consideration of the applicable international law. The result then -- as it may be again -- was a broadening of executive authority beyond what the rule of law in a representative democratic state requires and demands.

READ MORE: UK spy chief says tech firms must help combat terrorREAD MORE: Denmark offers foreign fighters rehab, not jailREAD MORE: Will ISIS 'weaponize' foreign fighters?

@highlight

UK PM wants to make it easier for authorities to confiscate the passports of would-be jihadis

@highlight

British citizens subjected to planned exclusion orders will be banned from UK

@highlight

Goodwin Gill questions how government will know whether people are traveling for jihad

@highlight

"'Exile' is expressly prohibited by Article 9 of the 1948 Universal Declaration of Human Rights"