San Francisco (CNN) -- The America's Cup, the most prestigious yachting race in the world and its oldest at 162 years, will seemingly join the aviation age this weekend when a new design of boat sails as fast as 52 mph.

The sight of these modern catamarans -- whose mainsail is even called a "wing" -- has been described as "flying" sailboats because the hulls will rise out of the water and ride on hydrofoils, moving faster than the wind itself. As one race skipper said in the race's promotions, "once the boat foils, it's like hitting a turbo button in a car."

If this spectacle seems mind-boggling, it's intended: The America's Cup is better known for its old-fashioned sailboats -- the sloop, which has one hull with a fabric mainsail -- that in 2007 reached a top average speed of 14 mph, or 12 knots.

Now the organizers of America's Cup -- led by Silicon Valley executive Larry Ellison, whose Oracle team won the last championship in 2010 -- have transformed the sport into "a new-age speedster" event, designed to draw new audiences to international sport's oldest trophy, which predates the modern Olympics by 45 years.

To lure spectators, the America's Cup is being held for the first time inshore, not offshore, in San Francisco Bay, where gusty winds and a scenic shoreline are part of a strategy to make the regatta a sensational made-for-TV sport.

As to be expected with such grand plans, however, the new America's Cup is roiling in controversy and concerns that its thrill-seeking is just too deadly.

One sailor was killed in May while practicing for the race in the bay aboard the Swedish Artemis Racing team's boat when it capsized in winds only a little above normal at 25 to 35 mph. Andrew Simpson, 36, was a double Olympic medalist.

The race has a high financial price, too -- scaring off some racers.

"We've had our issues, we've had our accidents, we've had a tragic loss of life," acknowledged Iain Murray, regatta director of the 2013 America's Cup.

The cost to field a team -- around $100 million-- is being blamed for a smaller-than-expected field of challengers. The regatta begins Saturday and could end September 14 at the earliest.

Entry requires a specially designed sailboat, called the AC72, the shorthand for the 72-foot-long America's Cup catamarans.

As such, it has become a billionaire's pastime to build a boat and assemble a crew. The four boats vying for the Cup -- the smallest fleet in history -- mirror such wealth.

Ellison, the world's fifth richest man, has again funded Oracle Team USA in this year's finals. Team Artemis of Sweden belongs to Torbjorn Tornqvist, an oil entrepreneur in that country. Italy's Luna Rossa is backed by the head of the fashion house Prada, Patrizio Bertelli, who is worth $6.7 billion. And the New Zealand team is financed by its government and Emirates Airlines as well as other sponsors.

Critics say the 21st century marketing strategy of the race tarnishes the grand ol' Cup, founded in 1851.

"It was big money before. This time it's mega-money, and that's one of the failings of this edition of the America's Cup. This one has just been too expensive for the times and too complicated in terms of the technology needed," said Jack Griffin, an expert on sail racing who's regarded as a historian of the America's Cup.

Enthusiasts such as Griffin were expecting as many as 15 teams, including from China, Korea and Australia, to seek the Cup. That number didn't materialize.

"I think people just said this is too hard for me. I can't win," Griffin said.

Race officials acknowledge how an expensive sport is getting more expensive, but that's true for other sport teams, whether it's baseball or football.

"Well, I think you can look at many sports -- you can look at a NASCAR team, a Formula One team, you can look at a polo team -- you can spend that amount of money on a lot of different teams," said regatta director Murray.

Even so, he said he wished more boats sought this year's Cup.

But the payoff could be legions of newcomers fascinated by speed and technology -- as well as the coastal vistas. America's Cup sailboats can reach 35 knots, or 40 mph, in winds of almost half that amount, at 18 knots or 21 mph. Hydrofoils reduce drag and boost speed.

"There's no denying that the hundreds of millions being spent are bringing a new excitement to the sport and perhaps some new fans as the final series of the Cup is about to get underway," Murray added.

A new era is unfurling in sailing, Murray said. Though it's strongly criticized, Murray defended the modernization of a world classic.

"We have boats sailing around 50 mph -- which is unheard of in the history of sailing," Murray said. "The way these guys are pushing these boats, it's quite remarkable and a huge test of the competency of putting a crew together to race in the America's Cup. So I look back and say it was the right decision."

@highlight

The America's Cup will feature a new design of boat, a catamaran with hydrofoils

@highlight

The boat can sail 52 mph, "an unheard of" speed in sailboat racing

@highlight

But fewer teams are entering the race because it's now so expensive

@highlight

Race organizers defend their strategy to seek new audiences for the race