(CNN) -- Everyone's a critic; I get that. But does everyone have to be a historian, too?

What audiences perceive as their inalienable right to challenge the accuracy and authenticity of movies seems to get much more exercised before the Academy Awards than at any other time of the year.

The latest challenge came Tuesday from Rep. Joe Courtney of Connecticut, who said Steven Spielberg's "Lincoln" misrepresented the way his predecessors in the 1865 House of Representatives voted on the 13th Amendment banning slavery. Courtney looked it up online and found in his research that all four Connecticut representatives voted for the amendment -- the movie shows two voting against. So in a letter to Spielberg's DreamWorks production office in Los Angeles, he asked DreamWorks for some form of correction. (DreamWorks hasn't been heard from yet.)

The film, considered a favorite for a best picture Oscar, places the back-and-forth struggle over the amendment in the forefront of its depiction of the 16th president, played by Daniel Day-Lewis. Courtney, unlike most others who have complained about big-time Oscar contenders, isn't out to ruin anybody's chances. He says he likes everything else about the movie. He merely wants props restored to his home state. And he seems to have a good case.

But you can bet your annual subscription to US Weekly magazine that the chatterboxes who gossip about and/or handicap the Academy Awards are going to try using his complaint as further indication of "Lincoln's" slipping stature as a best picture shoo-in. Some of these pundits claim "Argo" is charging hard from behind since its unexpected wins at both the Golden Globes and Screen Actors Guild Awards.

And yet "Argo" has truthiness issues of its own. Director-star Ben Affleck even admitted before the movie's release last fall that his movie about the 1979 CIA rescue of State Department employees from Iran stretched certain details for dramatic effect. (Spoiler alert!) There was, for instance, no last-minute car chase on a Tehran tarmac as Americans tried to escape on a plane, and their check-in at the terminal wasn't in real life nearly the white-knuckle sequence of events you see in the film.

Others have said the movie misrepresents the Iranian people as completely unified in their support of the takeover of the U.S. Embassy. "Thirty-three million Iranians ... did not commit acts of murder and terrorism," Iranian commentator Kambiz Atabai wrote on The Daily Beast. "Thirty-three million Iranians did not chant 'Death to America!' or take Americans hostage."

But neither "Lincoln" nor "Argo" has reaped the whirlwind of criticism of Kathryn Bigelow's "Zero Dark Thirty" for its depiction of events leading up to the 2011 killing of Osama bin Laden. Even before its limited release in December, the movie couldn't be discussed without referring to those accusing the movie of glorifying waterboarding of suspected terrorists or, at best, misleading audiences into believing that such so-called "enhanced interrogation" played a key role in guiding the United States to bin Laden.

Whatever critics or defenders say, the dispute alone is enough to make academy voters skittish about rewarding something that causes so much trouble.

You have to wonder: What is the big deal?

None of these films are documentaries and thus do not have the same obligations to fact. Yet one could argue that taking too many liberties with real life (whatever that means) could distort for generations the true story; that, indeed, what is enhanced for dramatic purposes becomes what everyone believes is what actually happened.

It's not so cut and dried. Consider D.W. Griffith's 1915 "The Birth of a Nation," regarded as the first great American film epic, whose glorification of the Ku Klux Klan makes contemporary audiences uneasy at best, infuriated at worst. Despite protests by the NAACP and other civil rights organizations, audiences generally agreed with President Woodrow Wilson's purported assessment of the movie: "It's like history written with lightning."

But society can change perception of art over time to the point of neutralizing, even transfiguring its original intent. No one now mistakes Griffith's movie as anything close to historic fact, but it could still be seen as a representation of a racist viewpoint that once held sway over much of America

Then there is John Ford, the great American director of such classic westerns as "Stagecoach" (1939), "The Searchers" (1956) and "The Man Who Shot Liberty Valance" (1962). It was in the latter movie that Ford's aesthetic credo was put forth by a minor character, a journalist who discovers that the career-making triumph of a U.S. senator over an outlaw didn't happen as originally believed. The journalist chooses to keep things status quo. "This is the West, sir," he explains. "When legend becomes fact, print the legend." He might have added: "Because it makes a better story."

Or consider "My Darling Clementine," Ford's 1946 version of the Wyatt Earp saga. As the movie opens, the Earp brothers are herding cattle to Tombstone, Arizona, in 1882 when the youngest brother James is shot dead (in the back, of course) by the rustling Clanton family.

Three things, right off the bat are wrong: James was the eldest of the Earps, not the youngest, the Earp brothers never had any cattle either heading toward or ensconced within Tombstone's city limits and, though James' death is depicted as the spark that eventually led to the Earps' confrontation with the Clantons at the OK Corral, that famous gunfight actually occurred in 1881 -- if you're scoring, that's one year earlier. And the inaccuracies only begin there.

And yet the movie endures as one of Ford's best even after four movies about the same legend have been made, each claiming to be more faithful to historic fact than "Clementine." But "My Darling Clementine," a dream about a past that didn't exist, endures in collective memory. It may not be factual, but it's true to something; a vision, a state of mind, an aspiration to something we wish had been, or could be.

The most recent film about the legend, Lawrence Kasdan's "Wyatt Earp" (1994), is so faithful that you can barely remember anything about it.

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Gene Seymour: "Lincoln" error on emancipation vote shines light on how films tell history

@highlight

He says Oscar chances for "Argo," "Zero Dark Thirty" may be hurt after facts questioned

@highlight

He says films have long gotten history wrong but are useful in showing society's perceptions

@highlight

Seymour: It's art, not history, sometimes a vision, something we wish had been or could be