Cairo (CNN) -- Egyptian forces secured and cleared a Cairo mosque that had become the epicenter of Saturday's confrontations between protesters and the military, interior ministry spokesman Hani Abdel-Latif said.

Hundreds of supporters of deposed President Mohamed Morsy had been holed up in the Al-Fateh mosque in central Cairo since overnight.

Without food or medical supplies, but fearful of reprisals if they walked out, the protesters earlier rebuffed the military's request for them to clear the building. The situation escalated as security forces fired at the mosque's minaret, claiming there were snipers firing at them.

In the end, the security forces were successful in securing the place.

The clashes at the mosque had threatened to pull Egypt into another day of widespread violence on Saturday.

Political unrest preceded the military coup that ousted Morsy, and his supporters have held massive rallies against the interim government and its supporters.

Both sides blame each other for instigating violence.

"We are not facing a political struggle," interim presidential adviser Mustapha Higazi said. "We are facing war waged by extreme forces."

The spokesman referred to the protesters as terrorists and warned that "what we see in the streets will not be accepted."

The government urged pro-Morsy protesters to "come to their senses" and unite Egyptians.

"We express our deepest sorrow and offer our condolences to those who have their blood spilled," Higazi said.

At least 173 people have been killed across the country since Friday's mass protests began, the government said.

It was an especially bloody week in Egypt, as the interim government put in place by a military coup seeks to restore stability to the country while Morsy supporters fight to restore the democratically elected former president to power.

With no end to the clashes in sight, the pressure on the international community to act increases, raising questions about aid and diplomacy in North Africa and the Middle East.

The government stepped up its rhetoric Saturday, blaming the protestors -- particularly those affiliated with the Muslim Brotherhood -- of attacking police stations, churches and civilians.

The future of the Muslim Brotherhood and others will be subject to evaluations regarding their legal status, Higazi said.

Members of the Muslim Brotherhood who have not been involved in violence and who would like to "join the peaceful Egyptian march toward the future" would be welcomed, but others will face the law, he said.

"We are not in the effort of dissolving anyone, or preventing anyone from being active in the public domain, but are trying to make sure everyone is legalized according to Egyptian law," he added.

The interim government spokesman also accused the international media of bias and telling an incomplete story.

Inside the Al-Fateh mosque

Hundreds of protesters defied a government-imposed curfew Friday night and stood fast at Ramses Square. The government had warned that those breaking curfew would be dealt with "firmly."

But security forces appear to have acted with restraint overnight, when 1,000 people reportedly took refuge inside the mosque located on the square.

During clashes on Friday -- which protesters had dubbed "a day of anger" -- the building had served as a makeshift morgue and field hospital for the pro-Morsy protesters.

The military offered to provide safe passage out for those inside the mosque, but the protesters said they feared that they would be attacked by pro-government supporters aligned with the military who were also outside the mosque.

The military told the protesters inside the mosque that they would be taken to an unspecified location, said Hanan Amin, a doctor who spoke with CNN from inside the mosque.

Without water and food, and distrustful of the military forces outside the building, those who remained inside said they felt like hostages.

"We want to go home in a very polite way," Amin said. "It's a shame for our military persons to deal with our people like this."

A son of Muslim Brotherhood spiritual leader Mohamed Badie was killed Friday during a protest near the mosque, said the Brotherhood's political wing, the Freedom and Justice party. Ammar Badie, 38, was shot in his neck and head.

More violence

Elsewhere in Cairo, the military engaged Friday night in battles with roving bands of armed protesters, state media reported.

Helicopters circled overhead, and there were reports that protesters were trying to shoot them down. Smoke wafted through Ramses Square from a fire that engulfed a nearby commercial building. It was unclear what caused the fire.

Death counts continued to rise in the confrontation that began Wednesday when an estimated 580 people were killed and 4,000 wounded as the military forced pro-Morsy protesters out of encampments in Cairo.

There was no apparent progress toward a political resolution to the crisis. An umbrella group for opponents of the military government called for daily demonstrations next week.

The casualties have not been limited to Morsy supporters and security forces. A number of bystanders, residents and journalists have been killed.

In northern Egypt, at least 25 people were killed and 171 wounded in fighting Friday between Morsy supporters and the military in the coastal city of Alexandria, a government spokesman said Saturday.

The Interior Ministry said 1,004 Muslim Brotherhood members were arrested Friday across Egypt. State-run Nile TV reported Brotherhood members were charged with rioting and creating violence. Authorities seized seven hand grenades, five automatic weapons, pistols and 710 rounds of ammunition, state media said.

French President Francois Hollande and German Chancellor Angela Merkel called for a meeting next week of European Union foreign ministers to coordinate a response.

U.S. President Barack Obama condemned the crackdown by security forces Thursday and canceled scheduled joint exercises by the U.S. and Egyptian military.

Obama received a briefing on Egypt on Saturday, a senior administration official told CNN.

Obama has declined to label Morsy's ouster by the military a coup, a declaration that would stop U.S. military aid to Egypt.

CNN's Reza Sayah reported from Cairo; Mariano Castillo wrote from Atlanta. CNN's Ali Younes, David Simpson, Christabelle Fombu, Hamdi Alkhshali, Pierre Meilhan, Saad Abedine, Saskya Vandoorne, Mohammed Tawfeeq, Ian Lee and Frederik Pleitgen contributed to this report.

@highlight

NEW: Al-Fateh mosque has been secured and cleared

@highlight

Government: 'We are facing war waged by extreme forces'

@highlight

More protesters leave mosque as security forces escort a group of women

@highlight

State TV reports more than 1,000 Muslim Brotherhood members arrested