Hong Kong (CNN) -- While it's not a stretch to imagine the Edward Snowden saga would spawn books and movies, a group of amateur filmmakers in Hong Kong have already beaten Hollywood to the punch with a short thriller dramatizing the events that unfolded in the city last month.

On June 9, Snowden identified himself as the source of leaked classified documents exposing mass surveillance programs purportedly operated by the U.S. National Security Agency (NSA). The American computer technician also revealed he had been hiding out in Hong Kong for three weeks, sparking widespread speculation about his exact whereabouts and whether he would find safe refuge in the territory -- a special administrative region of the People's Republic of China.

Two days later, freelance videographer Edwin Lee contacted a few friends about shooting a short film about the maelstrom swirling around Snowden in the city.

"We were so intrigued as to why Snowden came to Hong Kong," Lee said, an Irish expatriate. "All of us love Hong Kong to death; we all call Hong Kong home."

The five-minute film was shot over four days, Lee said, describing it as a "foot-on-the-gas" guerrilla operation. The script was mostly written the day before shooting and actors had no rehearsal time, he added.

Yet the final product is surprisingly suspenseful and sophisticated, with gorgeous time-lapse panoramas of the city and "shaky cam" shots reminiscent of Hollywood. (Lee, who was largely in charge of cinematography and editing, named the Bourne film series and director Michael Mann as inspirations.) In its first week, the film has garnered over 43,000 views on Youtube.

While Lee and his three co-directors/producers took creative license with plot details, such as an imagined briefing between a mainland Ministry of State Security attaché and Hong Kong police, they also filmed scenes inside the same hotel where Snowden had stayed and shot a video interview with The Guardian. Renting the hotel room cost half of their estimated HK$4,200 budget (US$ 540), Lee said.

The actor who played Snowden in the film also bears a remarkable similarity to the man himself, to the extent that the hairdresser who cut off the actor's "long shaggy hair" to mirror Snowden's photo warned him afterward not to be mistaken for the fugitive, said co-producer Shawn Tse, who orchestrated his makeover.

Curiously Snowden has no dialogue in the film.

"Yes the film was about Snowden, but he wasn't featured the most prominently," Lee said, adding that the team was careful not to impose judgments upon a man who largely remains a mystery to them. "He's mostly the catalyst [of events] affecting all these different people around him; it's more about the vignettes," Lee said , describing the film's focus as split "50-50" between Snowden and the city of Hong Kong.

Rather, the film is intended more as a homage to Hong Kong by a group of expatriates who love the city. "We tried to give Hong Kong the limelight we think it deserves," Tse said.

Describing a "very muted response to the Snowden affair" from Hong Kong and the Chinese central government, Lee also acknowledged an underlying political critique in invoking the Ministry of State Security attaché. The scene was intended as a "vehicle to represent (Hong Kong's) relationship with China" and the murkiness of Beijing's role in the Snowden affair.

"To say China wasn't pulling any strings at all would be naïve ... Even though it gives us autonomy, it's always Beijing that calls the shots," Lee said. In a keen cultural detail, the attaché speaks in Mandarin, while the officers respond in Cantonese. Hong Kong authorities have denied that China influenced Snowden's decision to leave the city.

While Lee said Snowden's sudden departure didn't cut their project short, he said it hastened the editing process to get the film out. He said there are no plans to extend the film or shoot a sequel, now that Snowden has left the city.

@highlight

Group of amateur filmmakers in Hong Kong made thriller about Snowden's time in the city

@highlight

Despite limited budget and time, five-minute film attracted over 43,000 YouTube views in first week

@highlight

Crew found Snowden lookalike and rented room in same hotel that Snowden stayed in

@highlight

Film was intended as homage to city of Hong Kong, rather than only Snowden's story