(CNN)  -- The first pictures from NASA's Mars Phoenix Lander, which successfully touched down near Mars' north pole Sunday, showed a pattern of brown polygons as far as the camera could see.

The Mars Phoenix Lander took this image of the planet's surface at its landing site Sunday.

"It's surprisingly close to what we expected and that's what surprises me most," said Peter Smith, the mission's principal investigator. "I expected a bigger surprise."

The landing on the Red Planet's arctic plains -- which ended a 296-day journey -- was right on target, a feat NASA's Ed Weiler compared to landing a hole-in-one with a golf ball from 10,000 miles.

The landing -- dubbed the "seven minutes of terror" -- was a nerve-wracking experience for mission managers, who have witnessed the failure of similar missions.

In mission control at NASA's Jet Propulsion Laboratory in Pasadena, California, they celebrated the lander's much-anticipated entry.

"It was better than we could have imagined," Barry Goldstein, project manager for the Phoenix mission, told CNN.  Watch the celebration at mission control »

The Phoenix's 90-day mission is to analyze the soils and permafrost of Mars' arctic tundra for signs of past or present life.

The lander is equipped with a robotic arm capable of scooping up ice and dirt to look for organic evidence that life once existed there, or even exists now.

"We are not going to be able to answer the final question of is there life on Mars," said principal investigator Peter Smith, an optical scientist with the University of Arizona. "We will take the next important step. We'll find out if there's organic material associated with this ice in the polar regions. Ice is a preserver, and if there ever were organics on Mars and they got into that ice, they will still be there today."

The twin to the Mars Polar Lander spacecraft, Phoenix was supposed to travel to Mars in 2001 as the Mars Surveyor spacecraft. They were originally part of the "better, faster, cheaper" program, formulated by then-NASA Administrator Dan Goldin to beef up planetary exploration on a lean budget.

But Polar malfunctioned during its descent into Mars' atmosphere in 1999 and crashed. An investigation concluded that as many as a dozen design flaws or malfunctions doomed the spacecraft.

The failure of that mission, as well as another spacecraft called the Mars Climate Orbiter the same year, led to NASA to put future missions on hold and rethink the "better, faster, cheaper" approach. Mars Surveyor went to the warehouse.  Watch the challenges the mission faced »

But all was not lost. In 2003, Smith proposed a plan to re-engineer the Mars Surveyor and fly it on a mission to look for signatures of life in the ice and dirt of Mars far North. Mars Phoenix, literally and figuratively, rose from the ashes of Surveyor.

Engineers set to work, testing and retesting the onboard system to ferret out and fix all the flaws they could find. iReport.com: Send your photos, video of space

"We always have to be scared to death," Goldstein said. "The minute we lose fear is the minute that we stop looking for the next problem."

The team was concerned about the Phoenix landing system. NASA had not successfully landed a probe on Mars using landing legs and stabilizing thrusters since the Viking missions in the late 1970s. The other three successful Mars landings -- Pathfinder in 1997 and the Spirit and Opportunity rovers in 2004 -- used massive airbags that inflated around the landing craft just before landing to cushion the impact.  Learn about NASA's past missions to Mars »

The Phoenix doesn't have airbags because the lander is too big and heavy for them to work properly.

Its landing site was targeted for the far northern plains of Mars, near the northern polar ice cap. Data from the Mars Odyssey spacecraft indicate large quantities of ice there, likely in the form of permafrost, either on the surface or just barely underground.

"Follow the water" has become the unifying theme of NASA's Mars exploration strategy.

In 2004, the rover Opportunity found evidence that a salty sea once lapped the shores of an area near Mars' equator called Meridiani Planum. Astrobiologists generally agree that it's best to look for life in wet places.

CNN's Kate Tobin contributed to this report.

@highlight

The Mars Phoenix Lander landed on Mars on Sunday

@highlight

Phoenix mission is to analyze planet's soils to find signs of life

@highlight

Experts weren't optimistic about a smooth landing

@highlight

Getting lander on Mars was dubbed the "7 minutes of terror"