Jacksonville, Florida (CNN) -- Florida Gov. Rick Scott and former Gov. Charlie Crist face off for the third and final time Tuesday night in a debate hosted by CNN and Jacksonville affiliate WJXT.

The showdown comes just two weeks before Election Day and marks a final point in what's become the most expensive 2014 midterm race in the country, more than any House or Senate campaign.

Scott, an unpopular Republican governor, is trying to fend off a challenge from his predecessor, a Republican-turned-independent-turned-Democrat whose likability numbers are also underwater.

While Crist entered the race last November with a sizable polling advantage over Scott, the race has tightened up and the two men now find themselves neck-and-neck toward the finish line. A CNN/ORC International poll last week indicated the race was tied at 44%.

The contest also takes place in the largest presidential swing state, meaning both parties are paying close attention to who will be in the governor's office come 2016.

And last week the race became the setting for perhaps the most unusual moment in recent political debate history, when the candidates spent the first seven minutes in a stand-off over Crist's use of a personal fan on stage, a blow-up that's since become known as "fangate."

"It's the perfect storm. You can't script a better race than this," said Robert Watson, professor of American Studies at Lynn University in Boca Raton. "Two unpopular candidates. The most expensive race. The backdrop of the 2016 presidential race — and now fangate."

Despite the political circus, Watson added, the two men have stark differences on policy, and Tuesday night gives them a final opportunity to hash out their disagreements. Here are seven things to watch for in the debate:

1. Elephant in the room: While Crist appeared to break the rules in last week's debate by having a fan underneath his podium, Scott might have fared worse in the optics of the scuffle.

He maintains he didn't know the debate had started, but by not coming out on stage for seven minutes, Democrats quickly seized on the episode to paint Scott as petty and uninterested in debating the issues.

Fans of Charlie Crist can now buy their own fan

The moment quickly became fodder for late-night TV, and it sparked renewed interest in a race that had extremely low voter turnout in the primaries.

CNN has stated that no fans will be allowed, so it will be interesting to see how Crist handles the lack of circulation Tuesday night and how Scott addresses the mini-drama that put a national spotlight on the race.

2. Will Scott try to add some personality? Florida has a history of popular governors — from Jeb Bush to Lawton Chiles to Bob Graham. But the back-slapping retail politicking of Scott's predecessors hasn't come easy for the current governor, a former health care CEO.

"He comes off as a cold fish; one that doesn't connect well with the average Floridian," said Kevin Walsh, political science professor at Broward College in the Miami area. "Contrast that with a very personable, polished and telegenic Charlie Crist."

Opinion: When the Rick hits the fan

Experts say Scott needs to use the final debate to leave a lasting impression with voters, one that show he has a sense of humor and is capable of exuding warmth.

3. Look for the zinger. One easy way Scott could display some humor would be to go after Crist over fangate.

Closing debates offer candidates a chance to deliver a line or zinger that can help solidify the storyline for themselves or their opponent in the final stretch of the campaign.

"It's their last chance to really make that final impression, both of them would love to come away with a zinger that really resonates," Walsh said. "I think they're going to stay pretty close to their talking points, but I think they may want to take a risk at trying to produce a gotcha moment or real memorable moment."

College GOP: 'Say yes' to Scott's dress

4. Expect Scott to link Crist to Obama. Scott's campaign released a new ad Monday that features Crist praising President Barack Obama. With Obama's approval rating at dismal levels — 39% in Florida -- it's a strategy employed by many Republicans against their Democratic opponents this fall.

Unlike a lot of Democrats, however, Crist hasn't entirely sought to distance himself from the President, which gives Scott more room to sharpen his attack.

"The drinking game is going to be how many times Rick Scott mentions Barack Obama," Watson said.

Scott will also attempt to pin Crist as untrustworthy because of the former governor's party switch. While Crist agrees that same-sex marriage should be legal now, for example, Scott argues it's hard to know how Crist truly feels about the issue, given that he opposed it in 2008 when he helped get the state's same-sex marriage ban on the ballot.

Expect Scott to pounce on this flip-flopping angle as much as possible.

5. The three numbers you'll hear (again and again). The candidates are almost sure to use three numbers over and over again. One of Scott's most frequent talking points is an attack against Crist for overseeing the loss of 832,000 jobs while he was governor from 2007 to 2011. Meanwhile, Scott will be sure to highlight the 640,000+ jobs created under his administration since then.

By this point, however, Crist is well versed in how to respond to Scott's attack on the economy. "People in Florida know I didn't cause the global economic meltdown any more than Rick Scott caused the national economic recovery," he said last week in the debate.

For his part, Crist will focus on the $1.3 billion in education cuts during Scott's first year as governor. While the cuts were caused by the expiration of stimulus funds and while some of them were restored, education is nonetheless a big issue in Florida and Crist will attempt to hammer home the statistic as much as possible.

6. Libertarian appeal. According to CNN's poll last week, Libertarian candidate Adrian Wyllie pulled a significant share of the vote at 9%, enough to make a huge difference in a tied race.

Experts say Wyllie could pull votes away from both candidates but perhaps slightly more votes from Scott, given his shared views with libertarians on small government, taxes and stand your ground laws.

And an amendment to legalize medical marijuana is on the ballot this fall, which could boost Democratic turnout and swing some of the libertarian vote toward Crist, who fully endorses the measure. Scott opposes the initiative, but he has already signed into law a bill that approves certain strains of marijuana for patients with epilepsy, muscle spasms and cancer.

Opinion: The truth about the midterms

Lance deHaven-Smith, a public policy professor at Florida State University, said Scott could try to attract Wyllie supporters by arguing for less government, but he'll "have to overcome his association with big business." Crist, meanwhile, might find more favor with libertarians on social issues.

"I will be watching for comments bemoaning big government, big business, and big labor," said deHaven-Smith. "But of course this is not an easy sell for either candidate, because Scott is supported by big business and Crist by big labor."

7. Blue Dog Democrats. DeHaven-Smith added that neither candidate has done much to reach out to the rural, white Southern voters in the panhandle and central part of the state. While most are registered as Democrats, Scott appears to think they will vote Republican as they tend to do in statewide races, deHaven-Smith said.

"But Blue Dogs might be up for grabs if Crist stressed his Florida roots. He is a native Floridian. Scott had lived in Florida for only four years before running for governor," he said. "Without the Blue Dogs, Crist needs a very large turnout to win."

Surveys say Obama and Democrats hit lowest marks

So how would Crist try to make such an appeal Tuesday night? DeHaven-Smith said to watch for how the Democrat talks about environmental issues. Blue Dogs live in rural areas and like to fish and hunt, so they want to protect the environment for recreation and sporting purposes.

"This means they support public lands acquisition, water quality protection, high water levels in fishes and streams," he said. "Blue Dogs and traditional white Southerners have been ridiculed for being preoccupied by 'guns, gays, and God,' but they are actually more complicated than that. They love Florida's forests, swamps, rivers, and streams."

@highlight

Rick Scott and Charlie Crist take part in a debate Tuesday night hosted by CNN and WJXT.

@highlight

The biggest elephant in the room is Crist's use of a fan last week that led to Scott protesting the debate.

@highlight

The final debate could come down to whether a candidate makes a zinger that sticks with voters.