(CNN) -- At first glance, they could almost pass for masterpieces by Monet or Renoir.

But these impressionist-style paintings -- which are changing hands for thousands of dollars -- were painted by a five-year-old girl who is unable to speak.

Meet Iris Halmshaw, an autistic child from Leicestershire, UK, who has been producing these striking artworks since she was three.

She has autism, a condition that has made her unable to communicate except through the medium of art.

"From the first painting, she filled the paper with color and it wasn't random -- it was considered and thought out," says her mother, Arabella Carter-Johnson.

"She was so excited and happy I knew that we had found a key into her world and a way of interacting with her."

Autism changed everything

The journey started when Iris was two. Carter-Johnson and her husband, Peter-Jon Halmshaw, realized that something was wrong: she had not picked up any words, and rarely made eye contact.

"We researched it ourselves," her mother recalls, "but as parents, you are always hoping that there was some other explanation."

Iris was officially diagnosed as a child with autism. According to Carter-Johnson, the doctor was "depressing" because he told them that very few therapies worked.

Not to be deterred, the couple embarked on "long nights of research", which led them to the idea of art therapy.

The little girl picked up painting techniques astonishingly quickly, and before long was spending much time at work on her canvases.

Remarkably for a child of her age, her sessions involved about two hours of consistent concentration.

How one girl's talent captured the world

To begin with, Carter-Johnson, who is a photographer herself, started sharing her daughter's paintings on Facebook.

The overwhelming response from her friends convinced her that she hadn't been blinded by mother's pride. Iris was special.

Fast forward two years, and Iris' paintings are in high demand, and are starting to be worth a lot of money.

Due to the high level of demand for Iris' art, her mother has set up a website to sell both originals and prints.

It was a runaway success, quickly attracting over a million pageviews from more than 200 countries.

"All profits from the originals go into Iris's savings account," says Carter-Johnson.

"We also sell cards and prints, and the profits from those go towards her speech therapy, occupational therapy, music and yoga."

The money generated from sales of the prints has had profoundly beneficial effects on Iris' day-to-day life.

According to Carter-Johnson, systems like Gemiini speech therapy, for instance, have made an immeasurable difference to her ability to communicate.

"She has a tendency to drift off into her own world, if you let her," says Carter-Johnson.

"So by using her interests, we manage to engage her, and she changes into a giggly little girl dancing around the house.

"Her speech isn't at a stage yet where we can have conversations, so it's hard to tell exactly how much she is understanding everything that has happened surrounding her art.

"We have shielded her from a lot of it. She hasn't been to TV studios or done interviews."

Extraordinary artworks

Many of Iris' paintings show an astonishingly mature interpretation of natural scenes, including waterfalls, fields and skies.

Her abstracts often depict particular moods or experiences after which they are titled, like Patience, Separation, and Immersion.

All are united by a distinctively contemplative and often lightly melancholy atmosphere, as well as a mysterious sense of depth.

This growing body of work has led to Iris being widely accepted as a savant.

According to Professor Allan Snyder from the Centre for the Mind at the Australian National University, people like Iris are able to unlock the hidden wells of potential that lie in all of us, but are rarely accessed.

"I think it's possible for a perfectly normal person to have access to these abilities," he says. "[But] savants can't usually tell us how they do what they do. It just comes to them."

How fonts can help you find the perfect date

The 'Catholic witchdoctors' of Bolivia

How fonts could help you find the perfect date

How some whisky lovers are now making millions

@highlight

Five-year-old artist Iris Halmshaw has been compared to Monet

@highlight

She has autism and is unable to speak, but paints for hours at a time

@highlight

Demand for her paintings is rocketing around the world

@highlight

Original artworks sell for thousands of dollars