(CNN) -- We're fresh out of English-language ballots.

How about Japanese instead?

That's basically what happened to voters at one precinct in Hawaii after a series of unfortunate events. First, the polling place at Hokulani Elementary School on the island of Oahu ran out of ballots. A two-hour line formed as polling workers tried to shuffle hundreds of people through a single electronic voting machine.

Next, according to Mike Kratzke, who was working the election, officials delivered more ballots -- but they were the wrong ones, featuring the wrong local races. "Everyone stop! The ballots are wrong!" Kratzke recalls yelling over an angry mob.

Finally: A sorta-solution. Kratzke said he passed out Japanese-language ballots to some of the English-speaking voters. By comparing the Japanese ballots with those that included the wrong candidates, he said, the people of Hawaii finally were able to vote.

The candidates' names appeared in English, while the rest of the information -- instructions on how to fill out the ballot. race names -- was in a language foreign to most. It's no fault of Kratzke's. In some ways, it's a creative solution. (Hawaii, where everyone is a racial minority, offers voting info in four languages, including Japanese).

"Some people were able to submit their votes for the races they wanted to vote for on these foreign-language ballots," he said, "but it was just a mess, man."

In all, 69 precincts in Hawaii saw ballot shortages on Election Day and 23 of those ran out of ballots entirely, according to the state election office's spokesman.

These issues weren't unique to Hawaii.

"We saw lines four or five hours long -- and even longer" in several states, said Mary Boyle, spokeswoman for Common Cause, a group that advocates for "open, honest and accountable government."

In Virginia, she said, nine voting machines broke at one precinct, leaving only one to accommodate the masses.

None of these mishaps resulted in another hanging chads fiasco, a la Election Day 2000, but that's beside the point. The scariest thing about the long lines and other such headaches is that they discourage people from voting -- now and, potentially, well into the future. At a time when so much energy in this country is spent on trying to prevent voter fraud, we should turn more of our attention to the experience of people who want to vote, play by the rules, and can't because it's simply too difficult.

Kratzke told me 200 to 300 people left his precinct on Tuesday without voting because of the long lines and the ballot shortage. It's hard to blame them. In the modern world, as others have argued, who reasonably expects to wait in a line for more than an hour for anything? The one exception is the iPhone, but I doubt even those bleary-eyed, gadget-obsessed people would wait several hours to vote.

"There were older people who had a hard time standing out in the line," Kratzke told me. "We tried to bring chairs to people, but we didn't have enough chairs. There were people hurting -- people 80, 90 years old who were coming in to vote. People with walkers who weren't able to stand that long."

Some precincts in Hawaii that ran out of ballots were those that nonpartisan volunteers like Joe Heaukulani devoted his weekends to canvassing, encouraging people to participate.

"To me, it's kind of sad," said Heaukulani, who was a nonvoter into his 30s until a website asked him to make a pledge to vote. "You put in all this effort to try to get people to turn out (to vote), and then they have this kind of experience."

Those experiences perpetuate low voter turnout in Hawaii, he said. The state had the nation's lowest turnout rate in 2008, making it the focus of CNN's Change the List project. (It's still unclear whether the state finished in 49th or 50th place this year).

"There's no reason why they should have run out of ballots," he said. "I think it's part of that attitude that perpetuates low voter turnout. 'Well, we don't expect most people to vote.' That has to change from the state. Because that goes back to the whole voting experience ... If you want to have more people vote, make it as easy as possible for them to vote. At least have everything there that they need to vote and make sure they have a good time doing it. (Hawaii's elections office) just like totally messed that up."

The state election office doesn't dispute that perspective.

"Our office made errors in the estimates of its allotment of ballots at the polling places in the general election," said Rex Quidilla, spokesman for the Hawaii Office of Elections. "That's the simplest explanation I can give you. It was an error."

Newly drawn voting districts and a miscalculation that only 25% more people would vote in a presidential race than the primary contributed to the error, Quidilla said.

There are some obvious solutions here, including bumping up the number of ballots polling places have on hand, as well as investigating what went wrong with backup plans. Quidilla said ballots or electronic voting machines were provided so that everyone who wanted to could still participate in the election, but one polling place, he said, stayed open two hours and 45 minutes late to accommodate people.

"Election Day is not a surprise. It does not sneak up on us," said Boyle, from Common Cause. "You don't wake up one day and say, 'Hey, today we all vote!' It's as simple as better planning."

Better technology could also go a long way. As Boyle pointed out, it's impossible in 2012 to expect millions of voters to all go to the polls within a 24-hour period. States, including Hawaii, should do more to encourage early walk-in voting and, eventually, electronic voting. People in New Jersey who were displaced by Superstorm Sandy were allowed this year to vote by e-mail. That's not ready for prime time nationwide, but we should start investigating those options in a serious way.

Finally, a smarter -- or "modern," as Boyle put it -- voter registration system also wouldn't hurt. People in every state should be able to register to vote online, and a national system could make registration automatic when you sign up for other services.

A nagging issue in Hawaii, though, still seems to be a lack of confidence in and respect for voters. If the state doesn't provide enough ballots, why would someone stand in line?

@highlight

23 polling places in Hawaii ran out of ballots

@highlight

State officials sent backups, but some people reportedly left without voting

@highlight

John Sutter: Long lines and missing ballots undermine the process

@highlight

Hawaii says it underestimated the number of voters who would show up