Los Angeles (CNN) -- The saga of billionaire Donald Sterling enters a new phase Monday when a California probate court trial examines his estranged wife's takeover of the couple's trust that owns the Los Angeles Clippers, which she is now trying to sell for a record $2 billion.

It's been an operatic tale.

Sterling slurred African-Americans in a taped conversation with a woman acquaintance. The National Basketball Association banned him and ordered the couple to sell the team. His wife, Shelly, negotiated a price that would be unprecedented for a sports franchise in North America. She did so as doctors certified Donald Sterling, 80, as incapacitated with early Alzheimer's or another brain disease.

Questions persist, however, on whether the team's planned sale to former Microsoft CEO Steve Ballmer is a done deal, because Donald Sterling disputes his wife's authority in the negotiations. The couple own the NBA franchise through a trust.

Will there be a trial on Monday?

It's anybody's guess: Anything can happen in the Sterling saga -- and just about has.

Donald Sterling now wants to move the controversy over the basketball team's proposed sale to federal court -- a legal move he made just before Friday's Fourth of July holiday.

It's unclear whether he'll be successful -- or what impact the last-minute maneuver will have on Monday's scheduled trial in a state court in Los Angeles.

Shelly Sterling's attorney described the move as desperation.

"Donald Sterling's 11th-hour attempt to move the probate trial into the federal courts is a desperate act by a desperate man," said Pierce O'Donnell.

"This latest bad-faith maneuver on the eve of his reckoning is a cowardly ploy to do just one thing: Kill a record-setting $2 billion sale of the Clippers," O'Donnell said.

But Donald Sterling's attorney says federal court is the appropriate place to hear how the publicizing of his medical diagnosis "trampled" his privacy rights under the federal Health Insurance Portability and Accountability Act (HIPAA) -- which Shelly Sterling denies, saying the trust allowed for the information's release.

"While Shelly Sterling and her team will claim that this is merely a 'tactic,' we feel strongly that this important issue should be addressed by the federal court at this time," said lawyer Bobby Samini. "While it has become popular to attack Donald Sterling for his regrettable comments, his right to privacy and to the protection of his medical records should not be acceptable collateral damage."

Even Ballmer has entered the dispute, with his attorney saying he would file papers to block what he called a frivolous move by Donald Sterling.

The parties will be monitoring how the state and federal courts will proceed Monday.

Will we hear more about Donald Sterling's mental issues?

No.

The trial will focus on Shelly Sterling's right to sell the Clippers and not Donald Sterling's mental capacity, attorneys for both sides say.

Testimony will largely focus on how the couple own the team through a trust and whether procedures for removing one of the trust's owners -- namely Donald Sterling -- were followed.

The trial, however, will address an accusation by Donald Sterling that his wife duped him into undergoing separate examinations by a neurologist and a specialist in geriatric psychiatry, who both judged him to be mentally incapacitated.

Donald Sterling also disputes those findings.

"We are going to argue that their examinations were by way of undue influence, that their examinations were not complete, that there was fraud in the examinations, and the letters that they have issued do not comport with technical requirements that the trust requires," Samini said.

Shelly Sterling maintains her husband's arguments about being tricked are baseless, her attorney said.

"There was no duping or whatever," O'Donnell said. "Donald voluntarily went to ... get the brain scan."

Late last month, another doctor found Donald Sterling to be mentally fit, a source with knowledge of the situation told CNN.

So what will the probate trial be all about?

The court will hear five issues, according to court papers filed by Shelly Sterling.

First, the court will determine whether the physicians' evaluations of Donald Sterling were obtained by fraud, undue influence or breach of fiduciary duty, as he claims.

The court will then decide whether Shelly Sterling's May 29 contract to sell the team to Ballmer is binding.

Even if the court doesn't affirm that, the judge will weigh whether the contract is nevertheless binding on the couple's trust because it's in the trust's best interest -- in other words, whether it's too great a deal to pass up.

The court will then have to examine how Donald Sterling later revoked the trust in June -- in apparent retaliation for his wife negotiating a proposed deal to sell the team -- and whether his revocation prevents the sale of the team or the court's jurisdiction over the trust.

Finally, the judge must decide whether to provide relief to prevent injury or loss.

How did this deal ever get done?

Facing pressure from the NBA, Donald Sterling signed a letter in May -- on the same day when one of the physicians examined him -- to the basketball league agreeing to the sale of the Clippers and authorizing his wife to negotiate the sale of the team.

But Donald Sterling changed his mind on the entire controversy: He sued the NBA for $1 billion for its decision to ban him for life and force him to sell the franchise. He then opposed the proposed sale of the team negotiated by his wife.

What's the rush in all this?

The contract between Shelly Sterling and Ballmer has a July 15 deadline to close the deal -- with a 30-day extension, if needed.

At the same time, the Sterlings face a September 15 deadline to sell team, as set by the NBA.

If not, the league may sell the franchise on its own or renew termination proceedings against the Clippers or both, according to NBA general counsel Richard W. Buchanan's statements in Shelly Sterling's court filings.

Donald Sterling in CNN exclusive: I'm not a racist, I'm a giver

@highlight

Sterlings face a probate court trial in California on Monday

@highlight

But Donald Sterling now asks a federal court to take over the case

@highlight

Couple face a September deadline to sell the LA Clippers

@highlight

Probate court will look at the Sterlings' trust that owns NBA team