Bellefonte, Pennsylvania (CNN) -- When all was said and done, Jerry and Dottie Sandusky did not ask the judge for mercy. They did not try to extol Jerry's virtues, list good deeds or express regret. Instead, they depicted the boys he sexually assaulted as ungrateful and called them liars.

They blamed the young men -- including their own adopted son, Matt, who now claims he, too, was molested -- for their downfall.

In letters to the judge who would sentence the former coach, the Sanduskys portrayed themselves as virtuous victims of a vast conspiracy. They blamed powerful, image-conscious forces at Penn State University, lying cops, ambitious prosecutors and a scandal-hungry news media.

Victims angrily confront Sandusky at sentencing

The couple's letters were mentioned in court on Tuesday but not read aloud. Judge John Cleland and the Centre County courts made them public, and CNN obtained copies.

In them, Jerry Sandusky expressed little sympathy for the 10 boys he was convicted of molesting. As he wrote about their families, he tried to shift the blame, pointing out that the boys came from unstable homes.

"Nobody mentioned the impact of abandonment, neglect, abuse, insecurity and conflicting messages that the biological parents might have had in this," he wrote. He said nothing about the damaged lives and institutions his molestation case left in its wake.

Read the letters (.PDF)

Instead, both Sanduskys wrote that the justice system let them down.

Just as letters to one of the boys he was accused of molesting helped secure his conviction, the letters to the judge all but guaranteed a maximum punishment, legal observers say.

Cleland, who presided over the trial and sentenced Sandusky on Tuesday to 30 to 60 years in prison, noted that others wrote letters as well. But he indicated that he considered only the Sanduskys' letters in handing down a sentence that, for a 68-year-old man, is likely to be a life prison term.

Victim to Sandusky: 'Because of you, I trust no one'

"Sentencing is a time to ask for mercy, not to attack others," said Laurie Levenson, a former federal prosecutor who teaches legal ethics at Loyola Law School. "In my experience, judges really hate letters that try to shift the blame to others or which belittle the victims or the court."

B.J. Bernstein, an Atlanta attorney who comments on legal matters for CNN, agreed that Sandusky didn't do himself any favors.

"The old adage 'if you can't say something nice, don't say anything at all' applies to sentencing statements," Bernstein said. "It is awkward when you deny you are culpable and a jury says otherwise. For appellate purposes Sandusky was never going to accept responsibility or admit doing something wrong, but lashing out at everyone so strongly was irrational."

She added that Sandusky might have thought he was still playing to his Penn State fan base, but it backfired.

"Between Jerry and Dottie's vicious protestations of innocence," Bernstein said, "all I can think is the victims -- and in particular their son Matt -- should shout back the lyrics from the Eric Clapton song, 'Before you accuse me, take a look at yourself.'"

Sandusky's son comes forward as victim

Jerry Sandusky bashed victims and laid out the conspiracy theory in a pre-recorded interview leaked to a campus radio station on the eve of his sentencing. He hinted at it again when he spoke in court on Tuesday, after being warned by his lawyers to avoid criticizing his victims or the justice system.

His performances on air and in the courtroom were widely derided by prosecutors, legal analysts and commentators as narcissistic, self-absorbed and even more hurtful to the young men he was convicted of molesting.

Jerry Sandusky's letter expanded on the rambling, 15-minute courtroom soliloquy that touched on everything from the writer Henry David Thoreau to "special inmate friends" to wet kisses from dogs. Like that speech, it was part locker room pep talk and part Sunday school inspirational, with a heaping side order of the Frank Sinatra ballad "My Way."

He wrote about life in protective custody, and how it led him to think about all the interests that were being protected as the case unfolded: "The system protected the system, the media, the prosecution, the civil attorneys and the accusers. Everybody protected themselves," he wrote.

"Penn State, with its own system, protected their public image," he continued. "Media protected their jobs and ambitions. Prosecutors protected their jobs and egos. The accusers were protected and provided access to potential financial gain, free attorneys, accolades, psychologists and attention."

McQueary files lawsuit against Penn State

He wrote that he was heartbroken.

"My trust in people, systems and fairness has diminished," he said. "In my heart I know I did not do these disgusting acts. However, I didn't tell the jury. Our son changed our plans when he switched sides."

Matt Sandusky was 18 when he was adopted by the Sanduskys after spending time with them in foster care. The relationship always has been rocky, but it collapsed near the end of Sandusky's trial in June. As the prosecution's case drew to a close, Matt told investigators that Sandusky had molested him, too.

Matt Sandusky, now 33, did not testify for either side, but Jerry Sandusky insists that his adopted son's desertion and potentially damaging testimony kept him from testifying in his own defense.

The Sanduskys spared no one.

"There were so many people involved in the orchestration of this conviction (media, investigators, prosecutors, "the system," Penn State and the accusers.) It was well done. They won!" Jerry Sandusky wrote, as if a tragic court case about molested children was an epic gridiron contest.

"When I thought about how it had transpired, I wondered what they had won," he continued. "I thought of the methods, decisions and allegations. I relived the inconsistencies and dishonest testimonies." He pondered what would happen if the tables were turned.

When the hero falls off the pedestal: The emotion of betrayal

"What would be the outcome if all the accusers and their families who were investigated?" he wrote. "I knew the answer. All their issues would surface. They would no longer be these poor, innocent people as portrayed."

Dottie Sandusky also wrote of her disappointment, saying she has lost faith in the police and the legal system. "To think that they can lie and get by with the lies. The press has been unbelievable. People who have not met us are writing untruths."

Dottie Sandusky's letter is revealing because she has stood silently by her husband in court. She testified at his trial that she never heard or saw anything strange or sexual going on in the basement of their home, where many of the victims say her husband molested them.

In her letter, she unloaded on her adopted son, Matt.

"People need to know what kind of person he is," she wrote. "We have forgiven him many times for all he has done to our family, thinking that he was changing his life, but he would always go back to his stealing and lies. He has been diagnose (sic) Bipolar, but he refuses to take his medicine."

Records from Centre County's probation department and juvenile courts tell part of the story of how Matt H., as he was known, came to the Sanduskys.

Like the boys who testified against Sandusky at the trial, Matt participated in Sandusky's youth mentoring program, The Second Mile. Jerry Sandusky was in Southern California, preparing for the Rose Bowl, when Matt was arrested in 1995. Sandusky called personally and pulled strings to make sure Matt was placed under his care and not sent to juvenile detention.

Opinion: For the victims, it's about more than locking him up

The court documents detail Matt's continuing troubles, including an aspirin overdose in March 1996 that is characterized as a suicide attempt. But he maintained that he wanted to stay in the Sandusky home, writing to the court, "I feel that they have supported me even when I have messed up. They are a loving, caring group of people. They have showed me what a family is really like."

In another instance, Sandusky called police to his house, claiming a burglar was trying to break in. It was Matt, who said he had come to the house for a power tool.

Matt Sandusky now is represented by a law firm in State College that is handling the cases of several other Sandusky molestation victims.

"Matt is extremely disappointed that Dottie and the Sanduskys have decided to smear his character in an attempt to deflect attention from Jerry Sandusky's heinous crimes," his lawyers Justine Andronici and Andrew Shubin said in a written statement to CNN.

"Matt has shown tremendous courage and strength," the statement continued. "Rather than supporting her son when he made the gut-wrenching decision to come forward and tell the truth about the abuse he suffered at the hands of Jerry Sandusky, Dottie Sandusky has chosen to continue Jerry's strategy of blaming and attacking the victims, thereby perpetuating the abuse."

Dottie Sandusky wrote that her adopted son "has had many run-ins with the law and stolen money and items from our family. We still love him and want the best for him, but because of his actions we cannot express this to him. ..."

Karl Rominger, a lawyer for Sandusky, did not respond to a request for comment. A spokesman for the State Attorney General's office said prosecutors "stand by" what they said Tuesday about Sandusky's victim and system bashing.

The lead prosecutor, Joseph McGettigan, described Sandusky's behavior as "banal, self-delusional, completely untethered from reality. It was entirely-self-focused, as if he himself were the victim."

Jerry Sandusky trial: All you need to know about allegations, how case unfolded

@highlight

In letters to judge, Sanduskys portray themselves as virtuous victims

@highlight

The letters all but guaranteed a maximum punishment, legal observers say

@highlight

"Sentencing is a time to ask for mercy, not to attack others," one expert says

@highlight

NEW: Adopted Sandusky son disappointed by his parents' smearing of his character, lawyers say