(CNN) -- It has been more than a year since the United States government withdrew its ambassador to Syria and closed its embassy in Damascus.

On Thursday, that ambassador returned to the region along with a U.S. delegation, touring a Syrian refugee camp in Turkey to bring more attention to the growing humanitarian crisis. As the civil war has intensified in Syria, hundreds of thousands of people have sought refuge in Turkey, Lebanon, Jordan and other neighboring countries.

Ambassador Robert Ford gave an exclusive interview to CNN's Ivan Watson and described what the U.S. is doing to help the refugees and the Syrian opposition.

Ivan Watson: The U.S. has given $210 million in aid (to Syria), but I think that there is a perception problem because no one can actually point at what that help is. So people conclude there is no help.

Robert Ford: The assistance is going in. It's things like tents, it's things like blankets, it's things like medical equipment, but it doesn't come in big boxes with an American flag on it because we don't want the people who are delivering it to be targeted by the Syrian regime.

The regime is going after and killing people who are delivering supplies. You see them bombing even bakeries and bread lines. So we're doing that, in part, to be discrete.

The needs are gigantic. So even though a great deal of American materials and other countries' materials are arriving, the needs are still greater. And that's why we're going to Kuwait to talk to the United Nations and to talk to other countries about how we can talk together to provide additional assistance.

Watson: The head of the Syrian National Coalition, which the U.S. government has backed, came out with a statement very critical of the international community, saying we need $3 billion if you want us to have any say on events on the ground inside Syria. Where is that money?

Ford: (Sheikh Ahmed) Moaz al-Khatib is a good leader, and we think highly of him and we have recognized his (coalition) as the legitimate representative of the Syrian people. And, of course, he wants to get as many resources as possible because of the humanitarian conditions that I was just talking about. Especially the ones inside Syria.

But we also, at the same time, have to build up those (aid) networks I was talking about. In some cases, they start out with just a few people. We don't need just a few people, we need hundreds of people, thousands of people on the inside of Syria organized to bring these things in.

And so step by step, the Syrians, Moaz al-Khatib and his organization, need to build that capacity. We can help build it, we can do training and things like that. But in the end, Syrians have to take a leadership role in this.

Watson: Is Washington giving money to the Syrian National Coalition?

Ford: We absolutely are assisting the (coalition), with everything from training to, in some cases, limited amount of cash assistance so that they can buy everything ranging from computers to telephones to radios.

Frankly, if not for the American assistance in many cases, the activists inside Syria wouldn't be in contact with the outside world. It's American help that keeps them in contact with the outside world.

Watson: But, how much assistance has this coalition gotten from the U.S.?

Ford: So far, we've allocated directly to the coalition in the neighborhood of $35 million worth of different kinds of equipment and assistance. And over the next few weeks, couple of months, we'll probably provide another $15 million worth of material assistance.

Watson: Washington recently blacklisted Jabhat al-Nusra, the Nusra Front, calling it a terrorist organization even though inside Syria, it has attracted a lot of respect for its victories and for comparative lack of corruption compared to many rebel groups. How has blacklisting the Nusra Front helped the Syrian opposition?

Ford: We blacklisted the Nusra Front because of its intimate links with al Qaeda in Iraq, an organization with whom we have direct experience, which is responsible for the killings of thousands of Iraqis, hundreds of Americans. We know what al Qaeda in Iraq did and is still doing, and we don't want it to start doing that in Syria -- which is why we highlighted its incredibly pernicious role.

I think one of the things that our classification of Nusra as a terrorist group did is it set off an alarm for the other elements of the Free Syrian Army. There was a meeting of the Free Syrian Army to set up a unified command, (and) Nusra Front was not in that meeting -- which we think is the right thing to do. As Syrians themselves understand that Nusra has a sectarian agenda, as they understand better that Nusra is anti-democratic and will seek to impose its very strict interpretation of Islam on Syria -- which historically is a relatively moderate country in terms of its religious practices -- as Syrians understand that better, I think they will more and more reject the Nusra Front itself.

Watson: But I've seen the opposite. As I go into Syria, I hear more and more support and respect for the Nusra Front, and more and more criticism for the U.S. government each time I go back.

Ford: I think that people, Ivan, are still understanding what Nusra is. I have heard criticism from the Nusra Front from people like Moaz al-Khatib who, in Marrakesh (Morocco) in his speech, said he rejected the kind of ideology which backs up Nusra. ... We have heard that from the senior commander of the Free Syrian Army as well. And so the more people understand inside Syria what Nusra is and represents, I think they will agree that is not the group on which to depend for freedom in Syria.

Watson: Do you think the U.S. government could have done more?

Ford: I think the Syrians, as I said, are the ones who will bring the answer to the problem -- just as in Iraq, Iraqis brought the solution to the Iraq crisis, to the Iraq war. The Americans can help, and we helped in Iraq, but ultimately it wasn't the Americans. Despite our help, it was Iraqis.

In Syria, again, it has to be Syrians who find their way forward. Twenty-three million Syrians need to find their way forward. We can help, and we are helping: $210 million in humanitarian assistance, $50 million to help the political opposition get organized for the day after (Bashar) al-Assad goes. These are important bits of help. But ultimately, it's not the American help. It's the Syrians themselves.

@highlight

The U.S. ambassador to Syria says the U.S. has provided $210 million in humanitarian aid

@highlight

The assistance has to be discrete, he said, to protect workers from being targeted

@highlight

Washington has also provided $35 million worth of assistance to Syria's political opposition

@highlight

Ambassador: We can help, but it's up to Syrians to find their way forward