Tripoli, Libya (CNN) -- The coalition air effort to halt the Libyan government's attacks on civilians continued into Thursday for a sixth day, with an airstrike in the Tripoli suburb of Tajura, a government official said.

On Wednesday night, the government reported that military and civilian locations in the neighborhood of Al-Jfara and in the Tagora district of the capital had been struck by "crusading colonial" bombardment.

In response, Joint Task Force Operation Odyssey Dawn Lt. Cmdr. Jim Hoeft said in an e-mail to CNN, "It is not likely that civilians were a part of any airstrike today."

He said coalition forces "have been using all necessary measures to protect the citizens of Libya from the violence and killing inflicted upon them by Colonel Gadhafi."

An opposition activist in Tripoli accused state media of lying about civilian victims of the coalition airstrikes. For example, she said, she was accompanying a cousin to a hospital for medical care when she saw a TV producer asking some people to close their eyes and play dead and others to pretend they were wounded. Some of the "wounded," she said, were soldiers in civilian garb.

On Wednesday, government officials invited CNN and other journalists to visit a house in Tripoli that had been damaged in an air raid, but -- after driving around for more than half an hour -- were apparently unable to find it and so returned the journalists to their hotel. The drive revealed a city quieter than normal -- about half the stores were closed.

People appeared apprehensive, anxious. Opponents of Gadhafi were afraid to speak publicly.

In Ajdabiya, parts of the city fell to opposition forces even though Gadhafi's men, who had been pounding the area with artillery and heavy tank bombardments, retained control of the northern and western gates, opposition fighters and witnesses told CNN.

A hospital staffer and opposition fighters said nine people were killed Wednesday in fighting near the northern gate.

So far, the coalition has crippled the Libyan air force, and established a no-fly zone that spans Libya from east to west along its coastline, said U.S. Navy Rear Adm. Gerard Hueber.

Hueber, the chief of staff for U.S. operations said Wednesday that coalition planes had flown 175 sorties over Libya -- 113 of them by U.S. planes. But the coalition had no indication that Libyan leader Moammar Gadhafi was complying with a United Nations mandate to stop attacks against civilians.

On Wednesday, troops loyal to Gadhafi terrorized residents of the besieged rebel-held city of Misrata.

One witness said Gadhafi's forces had attacked the city's main hospital, where 400 people -- about half of them patients -- were located. The push began at 8 p.m. (2 p.m. ET), when "heavy tanks for Gadhafi troops start attacking the hospital -- the bombs falling here 20 meters (66 feet) around us," said one person inside the hospital. He said two deaths had occurred "around the hospital."

At one point, shelling occurred without respite for 40 minutes, he said. "Now, fortunately, no more shelling, but the situation is so serious that all the teams here -- the doctors, the patients -- are paralyzed, scared."

He called for international intervention to protect the civilians inside the institution. "Nobody can work here," he said. Ambulances were not able to leave the hospital, which had lost its electricity and was using generator power, he said.

Coalition jets are using smart bombs to target mechanized forces and mobile surface-to-air missile sites and impede supply lines for their "beans and bullets," Hueber said. The targets include Libya's premier 32nd Brigade, commanded by one of Gadhafi's sons and fully engaged in the fighting.

"It's an extremely complex and difficult environment," Hueber said about going after forces in populated areas.

"And our primary focus is to interdict those forces before they enter the city ... cut off their lines of communication and cut off their command and control," he said. "There have been no reports of civilian casualties. Our mission here is to protect the civilian populace and we choose our targets and plan our actions with that as our top priority."

Wednesday night's outbreak of violence broke a respite that began earlier in the day with the coalition attacks -- the first calm in a week, Misrata residents reported.

"We would like to express our gratitude to the international community since there were airstrikes this morning," said Mohammed, an opposition spokesman in the city who would identify himself only by his first name.

Gadhafi's forces had been stationed on the outskirts of the city, where they were providing support and supplies to loyalists fighting rebels in Misrata proper.

Earlier in the day, grocery stores and other shops opened in the city, which is located two hours east of Tripoli and has been inaccessible to journalists.

One person inside the hospital told CNN that five more people were killed in the last 24 hours, raising the death toll to at least 95 in the last seven days. A man who died Wednesday morning was shot by a sniper, the person said.

Gen. Abdul Fatah Younis, a former interior minister who quit to lead opposition forces, said rebels have requested weapons from several nations to help the embattled city.

"Misrata is destroyed and they need weapons," Younis told CNN. "We try to send them weapons, but of course they were all light weapons. There were no heavy weapons."

Asked about the situation in Misrata, Deputy National Security Adviser for Strategic Communications Ben Rhodes said, "We're concerned about it, but I think you're actually seeing some indications that the effort of the coalition is ... focused on Misrata and is having an effect there."

The rapid advance of Libyan forces had been halted, particularly their move toward the nation's second-largest city, Benghazi, Rhodes told reporters aboard Air Force One.

Libya's elite forces are drawn from tribes loyal to Gadhafi. Though they comprise no more than 10,000 men, those forces are on the offense, Hueber said. "Those forces are fully-engaged in this conflict, that are attacking those civilian populations," he added.

Though the rebels are in a better position than they were a few days ago, the Gadhafi forces have the upper edge, a U.S. official said. They remain capable of carrying out attacks on the opposition, are relatively well-organized and continue to fight effectively, the official said.

Rhodes predicted the transition of command and control to another entity would be effected in "a matter of days." NATO will likely play a key role in the command and control, he said, adding that he would not describe the conflict as "an open-ended war, a land invasion in Libya."

The international airstrikes against Libyan military positions began over the weekend after Gadhafi defied a United Nations-mandated cease-fire in attacks against civilians. The strikes are intended to help establish a no-fly zone.

Sweden announced Wednesday it has frozen more than $1.53 billion in Libyan assets in response to EU sanctions imposed on the northern African country.

France  launched the air campaign in Libya and Britain and the United States followed. Germany is not participating in the military action, though it agrees with the United Nations resolution in principle, and moved Wednesday to ensure that its ships were far removed from the Libyan campaign.

A German navy spokesman said Wednesday that all German ships previously under NATO command in the Mediterranean Sea were reassigned to operate under national command and are returning to previously scheduled port stops in Europe to await further instructions. German crew members of NATO fighter jets were also under German command.

Britain has announced an international meeting for next Tuesday to assess the situation in Libya.

The war was sparked in February by protests demanding an end to Gadhafi's nearly 42-year rule. The Libyan strongman responded with force against civilians, prompting the international community to take action.

However, a Johns Hopkins University professor said the coalition can achieve only so much through aerial strikes.

"We have to understand the limits of what air power can do," Fouad Ajami told CNN's "AC360."

"This is a recipe for a stalemate," he said.

Criticism and questions persist about the international campaign, with no clear answer on who will take over command of the mission and what the exit strategy will be.

U.S. President Barack Obama said the timetable for a transition of military leadership will be coming in days, not weeks.

NATO said Wednesday it will decide shortly what its role in the operation will be. A spokesman added the alliance is well prepared.

"This is the bread and butter of NATO," an official said.

French Foreign Minister Alain Juppe has voiced his opposition to NATO taking political leadership over the Libya campaign. He suggested that a commission composed of foreign ministers from the participating states play that role.

Ajami, however, said the Arab world would welcome NATO involvement.

"They know that the calamity is unfolding in Libya, and they know that no help is going to come other than from the West and from the United States."

British Prime Minister David Cameron said Wednesday that Kuwait and Jordan have agreed to provide logistical support to the Libyan effort.

Jordanian government spokesman Taher Edwan told CNN that Jordan's role will be limited to a humanitarian one. "Jordan did not and will not have any military participation in Libya, neither in planes or on the ground at all in Libya," he said.

Qatar has already contributed planes to mission.

The United Arab Emirates said Tuesday it will participate -- but only in providing humanitarian assistance.

Toward that end, the country has sent a ship and two planes with basic relief supplies, the country's news agency said.

CNN's Nic Robertson, Ben Brumfield, Jennifer Rizzo, Arwa Damon, Amir Ahmed, Barbara Starr and Diana Magnay contributed to this report

@highlight

NEW: Officials invite journalists to tour damaged house, but can't find it

@highlight

Tripoli suburb of Tajura is struck, a government official says

@highlight

Coalition effort is not "a land invasion," according to U.S. official

@highlight

Hospital patients and doctors paralyzed by fear