(TIME.com) -- Alzheimer's disease is more common among African Americans but the genetic contributors to the disorder haven't been identified until now.

In the largest study of genetic risk factors for Alzheimer's in the African American population, researchers reporting in the Journal of the American Medical Association found that two genes associated with higher risk of the neurodegenerative disorder among whites also contributed to higher rates of the disease among African Americans.

Changes in these genes, however, conferred a higher risk of disease among African Americans than among whites.

In the study involving nearly 6,000 African American participants aged 60 or older, about 2,000 of whom had Alzheimer's and 4,000 who did not, variants in the genes ABCA7 and ApoE increased risk of developing Alzheimer's by 80% and more than two fold, respectively. By comparison, ABCA7 is likely responsible for a 10% to 20% increased risk for the memory-robbing disorder within white populations, and about 40% of whites with certain forms of ApoE are diagnosed with Alzheimer's.

TIME.com: Two studies find promising new ways to detect Alzheimer's earlier

ABCA7â€²s role in the Alzheimer's doesn't come as a complete surprise; it is involved in producing cholesterol and lipids, and some research suggests that Alzheimer's disease may involve aberrations in fat metabolism that are similar to those behind heart disease. The more prominent contribution that ABCA7 seems to play in Alzheimer's risk among African Americans, however, does suggest that such lipid-based pathways may be more important in this population than among whites. ABCA7 also regulates transport of proteins, including those responsible for the production of amyloid, a hallmark of Alzheimer's when it builds up in sticky plaques in the brain.

TIME.com: Study shows Alzheimer's protein may not spread like a virus

More studies are needed to confirm the role that these genetic variants play in contributing to Alzheimer's in the African American population, but if the associations are confirmed, they could lead to more refined ways of diagnosing and treating the disease in this group.

Focusing on lowering cholesterol production or regulating lipid movement into the brain might be more effective, for example, than among whites, whose disease might rely on a different molecular pathway. And even if these interventions don't prevent the disease, they may help in slowing the onset of symptoms.

This story was originally published on TIME.com.

First genes linked to higher risk of Alzheimer's disease among African Americans

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

2 genes associated with Alzheimer's in whites were also linked to higher rates in African Americans

@highlight

Study involved nearly 6,000 African American participants aged 60 or older

@highlight

More studies are needed to confirm the role that these genetic variants play