Washington (CNN) -- The Supreme Court displayed some discomfort on Wednesday as it tried to resolve a testy international custody fight.

Deep divisions were apparent from the bench, as the justices tried to sort out competing allegations raised by the parents and proper legal remedies.

At issue is whether an appeal of an American judge's order allowing a child to go back to Scotland with the mother becomes moot under the terms of an international treaty since the child is no longer in the United States.

Lynne Chafin and her lawyers say the purpose of the Hague Convention treaty was to stop children like her 5-year-old daughter, Eris, from bouncing back and forth between countries over custody.

But the girl's father, Jeffrey Chafin, says the custody fight began in American courts where the girl was living at the time, and that his legal claims were never fully heard in those federal courts.

A majority on the high court appeared to offer some level of support to the father's legal position, during a tense hour of oral arguments.

The word "unfortunate" was mentioned several times by the justices over the entire "he-said, she-said" parental disagreements.

"The incentives if you prevail are for the custodial, or the parent with control over the child, to leave immediately," Chief Justice John Roberts told the mother's lawyer. "Even after a motion for a stay has been filed. Get on the first plane out and then you're home free. That seems to me to be a very unfortunate result."

Justice Ruth Bader Ginsburg said to the father's lawyer that the purpose of the international treaty was to eliminate "shuttling of children" across courts in different nations, a process she said could take years.

An eventual ruling in the case of Chafin v. Chafin could establish an important precedent on the discretion of U.S. courts to decide where children caught in custody fights should stay.

In the middle of this case is Eris, who now resides in a remote part of the United Kingdom with her mother. Army Sgt. Jeff Chafin is based at Ft. Stewart, Georgia.

He claims she is an unfit mother. She was once arrested for disorderly conduct after a night of drinking and was deported for overstaying her visa. She claims he is manipulative.

Back in her home country without her daughter, Lynne filed a "Petition for Return of Child to Scotland" under the 1980 Hague Convention's Civil Aspects of International Child Abduction. It grants parents in general a "right of custody" and a separate "right of access," ensuring the laws of one country are respected in the others.

More than 80 nations are a party to the treaty, including the United States and the United Kingdom.

Lynne did not see her daughter for 10 months while the custody case played in a federal court in Alabama.

Just hours after a federal judge allowed Lynne to take the child to Scotland, the two were on an overseas flight. A federal appeals court later said the matter was out of its hands since the child was now in another country, ruling the issue was moot.

Both sides disagree on whether the father moved quickly enough to appeal the immediate removal order in an appropriate court.

Now the justices will decide the jurisdictional questions.

Michael Manely, the father's attorney, told the justices that the issue was not moot and that the child should be brought back to the United States while courts here resolve the matter.

"When you say bring the child back, there's an impediment to that because now this court in Scotland has told her don't-- the child stays here," said Ginsburg. "There's an order that the child not be removed from Scotland."

Tougher questions were aimed at Stephen Cullen, attorney for Lynne Chafin, who said "once the doors close on that plane and that child arrives back in Scotland, unless the plane turns round and comes back again, it is all over" on any appeals.

"You're not going to suggest all those countries that permit appeals explicitly and stop removals until appeals are finished, that those contracting treaty parties are breaching the convention, are you?" said Justice Sonia Sotomayor skeptically.

Roberts -- the only justice with young children -- suggested the father was not given a proper time or opportunity to appeal once the initial removal order was signed by the federal judge in Alabama.

"It seems to me," he said, "the best thing is to hold things up briefly, so that the child doesn't go overseas and then have to be brought back, particularly if you have situations where there can be an expeditious appeal. And I think most appellate courts would appreciate the benefit of that."

Justice Stephen Breyer said just because the child is in Scotland, does not mean federal courts in the United States still have no role to play.

"I don't understand why you want a treaty where the best interests of the child are what's at issue, and then you interpret it in a way that the court of one nation with the child where you have parents from both nations pays no attention at all to what courts in other nations are saying."

Jeff Chafin was in the courtroom for the morning arguments, dressed in his Army dress uniform.

"I told my little girl I would do everything I could to get her," Sgt. Chafin told CNN National Correspondent Joe Johns this week, "to make sure she's safe." He last visited the girl overseas a few weeks ago.

"I don't believe that (the current legal fight) is in the best interest of the child as it's going to go on for years and years to come," Lynne Hales Chafin told CNN.

A ruling is due in a few months. The case is Chafin v. Chafin (11-1347).

@highlight

Case involves girl living with mother in Scotland; husband is in U.S.

@highlight

Custody case tests bounds of international treaty over custody rights

@highlight

An eventual ruling could establish an important precedent