Istanbul, Turkey (CNN) -- Turkish officials engaged in last-minute shuttle diplomacy with their restive neighbor Syria and repeated calls for restraint ahead of what is expected to be another violent day of protests across the Arab nation on Friday.

Turkey's National Security Council met on Thursday in Ankara to specifically address the increasingly bloody crisis, which some analysts fear could spill over to the Turkish side of the border.

The council issued a statement calling for Syrian security forces to act with restraint and for the government to implement swift reforms to satisfy demonstrators.

"It is important that necessary steps are taken rapidly and in a determined way in order to establish social peace and stability in brotherly, friendly Syria, to put an end to the violence and to maintain security of life, basic rights and freedoms," the council announced.

Also, the head of Turkey's national intelligence agency, the MIT, traveled to Damascus on Thursday for high-level talks.

The wave of unrest that has swept across the Arab world this year surprised the Turkish government as it was dramatically expanding ties with its Arab neighbors.

Syria has perhaps been the greatest beneficiary of what the Turkish government calls its "Zero Problems" foreign policy initiative with Turkey's neighbors.

In the late 1990s, Syria and Turkey were on the brink of war because of Syrian support for Kurdish rebels battling the Turkish state.

But in recent years, Turkish Prime Minister Recep Tayyip Erdogan and Syrian President Bashar al-Assad have become close political allies.

The two leaders have vacationed together with their wives along the Turkish coast.  And last year, Erdogan lifted visa restrictions on Syrian visitors and announced Syrians should treat Turkey as their "second home."

When pro-democracy protests erupted in Egypt, Erdogan was swift to call for embattled Egyptian president Hosni Mubarak to listen to the voices of his people and step down.

But Erdogan has been much more restrained about criticizing al-Assad, even as Syrian tanks encircled the rebellious southern town of Daraa and more than 400 demonstrators were killed across the country in the growing government crackdown.

"Turkey has to reckon that in some cases of the Arab Spring, it just may be on the wrong side of history," wrote Turkey expert Henri Barkey, in an article released this week by the Carnegie Endowment for Peace.

"As much as Turkey thought it was on the side of change, it has become a status quo power ... with its own vested interests, commercial concerns, and close ties with regimes."

As the death toll mounts in Syria, a growing number of voices in Turkish newspapers normally sympathetic to the Erdogan government have been calling for Turkey to re-evaluate its cozy relationship with the Assad regime.

"'Zero problems' with neighbors who know how to kill," wrote Yavuz Baydar in the pro-government Today's Zaman newspaper this week.

"Ankara should not resort to double standards when it comes to autocratic regimes in the Middle East killing their own people," wrote columnist Lale Kemal in the same newspaper.

Turkey has also come under fire in Libya from rebels who have accused Ankara of supporting the Moammar Gadhafi regime in Tripoli.

Last year, Erdogan received a human rights prize from Gadhafi, and earlier this month, the Libyan opposition movement refused to allow a Turkish ship to dock in the rebel stronghold of Benghazi.

Demonstrators also staged a protest outside the Turkish Consulate in Benghazi.

The escalating Syrian conflict may not only embarrass the Turkish government; some analysts warn it could destabilize Turkey.

Experts point to Saddam Hussein's crackdown on rebellious Kurds in northern Iraq in 1991, which resulted in a flood of refugees spilling over the Turkish border.

Over the past two years, much smaller numbers of refugees fled to Turkey to escape the crushing of pro-democracy protests in Iran -- another authoritarian neighbor that enjoys booming economic ties with Turkey.

So far, Turkish officials say they have not seen an increase in the number of Syrians fleeing government persecution. But officials are clearly worried about this possibility.

"You have to think of all kinds of scenarios," said Selim Yenel, undersecretary of Turkey's Ministry of Foreign Affairs, in a phone interview with CNN.

"People have asked if we are our reassessing our visa policy [with Syria].  And we're not," Yenel said.

Instead, Yenel said Turkey's intelligence chief traveled to Damascus on Thursday leading a delegation that is offering to advise the Assad regime on how to implement reforms aimed at satisfying the growing protest movement.

"They were going to talk about public administration, how to reform it economically and politically," Yenel said. "All this has to be done as quickly as possible so people can feel the changes."

@highlight

The Arab unrest surprised the Turkish government

@highlight

Erdogan, al-Assad and their wives have vacationed together

@highlight

Some analysts say the Syrian conflict could destabilize Turkey