(Southern Living) -- Charleston boasts many historic homes and luxury high-rises. But with our list of favorite budget finds and splurge hotels, finding a place to stay doesn't have to be complicated.

John Rutledge House Inn

Want a taste of life 250 years ago? This is your place. Built in 1763 for John Rutledge, one of the signers of the U.S. Constitution, the 19-room inn is filled with antiques and historically accurate reproductions to give the feel of an old Charleston home. At breakfast (included), the staff serves local specialties such as shrimp and grits with biscuits and sherried fruit in the Signers Ballroom where, it's said, parts of the Constitution were drafted.

116 Broad Street; johnrutledgehouseinn.com or 800-476-9741.

Charleston's top 5 city tours

Two Meeting Street Inn

Stay here to experience life on the Battery, one of this city's most coveted addresses. Built as a father's generous wedding gift to his daughter in 1890, the Queen Anne mansion lets guests experience the best of Old Charleston -- without being born into it. Take afternoon tea, Lowcountry style, with Junior League-worthy dishes from the iconic cookbook "Charleston Receipts." Sip your evening sherry on the wraparound porch, under 150-year-old oaks covered with resurrection ferns.

2 Meeting Street; twomeetingstreet.com or 888-723-7322

Southern Living: Don't-miss Charleston restaurants

Charleston Place Hotel

The Lowcountry's answer to glitz and glam, Charleston Place lays it on thick. A Georgian open-arm staircase anchors the lobby, framing a two-and-a-half-ton, 12-foot Murano glass chandelier. The spa features treatments with gold leaf, and chef Michelle Weaver triumphs in her use of regional ingredients at Charleston Grill. Check in here if you dog-ear your People magazine: It's where Southern royalty such as Faith Hill and Oprah Winfrey stay.

205 Meeting Street; charlestonplace.com or 888-635-2350.

Fulton Lane Inn

This low-key 45-room property echoes the feeling of a typical Charleston antebellum summer house, where formal furnishings were covered in airy muslin and large windows allowed for breezes. You can't beat the location, smack in the heart of King Street. Book corner rooms 217 or 317 for light-flooded chambers, working fireplaces and canopied beds.

202 King Street; fultonlaneinn.com or 800-720-2688.

Southern Living: Return to Charleston

Vendue Inn

Spread out over six antebellum buildings, the 66-room inn offers a wide variety in their sprawling floor plan, from economical interior rooms (some without any windows) to wide-open suites with fireplaces and sitting rooms drowning in natural light. They serve one of the best hotel breakfasts in town, with coffee strong enough to hold off the Union army and barbecue pork Benedict.

19 Vendue Range; vendueinn.com or 800-845-7900.

Francis Marion Hotel

Just steps from Marion Square, this historic 1924 high-rise is conveniently located for just about every major event in town, such as the Charleston Wine + Food Festival held in March. Though bathrooms are practically microscopic ("historic" means renovation restrictions), the rooms themselves are spacious, and the hotel channels the grand feel of the Golden Age of Travel.

387 King Street; francismarionhotel.com or 877-756-2121.

Southern Living: Charleston's oldest plantations

HarbourView Inn

With killer harbor views from the rooftop terrace, the hotel sits at the crossroads of seclusion and convenience-on the edge of quiet Waterfront Park, just a block from some of the best restaurants in town on East Bay Street. Book a room in the refurbished historic wing, an 1830s cotton warehouse, with 14-foot ceilings, original brick walls, large plantation shutters, Tempur-Pedic beds and whirlpool tubs.

2 Vendue Range; harbourviewcharleston.com or 877-946-8772.

The Mills House Hotel

Want some of the best room rates in town? This 214-room property delivers the look and feel of an updated 19th-century luxury hotel with keen attention to good ol' hospitality. Mills House takes its commitment to service seriously. It is the only hotel in town to require its concierges to be licensed tour guides for the city; they must pass written and oral tests annually.

115 Meeting Street; millshouse.com or 800-874-9600.

Wentworth Mansion

Welcome to the ultimate money-is-no-object residence. This 21-room manse, built in 1886 by a wealthy cotton merchant for his 13 children, has guestrooms large enough to play full-court basketball (not that we recommend it). Note the mint-condition Tiffany stained glass windows and hand-carved marble fireplaces.

149 Wentworth Street; wentworthmansion.com or 888-466-1886.

Church Street Inn

Perfect for longer stays, this inn is like having your own apartment in the heart of downtown. Each of the 31 rooms is a townhouse suite, with kitchenettes, plush sitting areas and one or two bedrooms. North-facing rooms have balconies overlooking the Market, where vendors hawk hand-crafted sweetgrass baskets and carriage companies begin their tours.

177 Church Street; festivaresorts.com or 800-844-7645.

Market Pavilion Hotel

If your idea of luxury is a night in the Lincoln Bedroom, check in to this 70-room boutique hotel. From egg-and-dart crown moldings and oil paintings of past Presidents to cashmere blankets and Hermès toiletries, it's all about stately elegance. Atop the hotel, scene-sters flock to the Pavilion Bar for cocktails and panoramic views. Luckily, room floors are key-coded, protecting your slumber from late-night revelers.

225 East Bay Street; marketpavilion.com or 877-440-2250.

French Quarter Inn

Built in 2001, this hotel fits the historic Charleston skyline -- but without the idiosyncrasies of an old building. That translates to modern, oversize guestrooms and bathrooms. With waffle-weave robes, a seven-option pillow menu, free Champagne at check-in and milk and cookies before bed, the staff makes your comfort their mission.

166 Church Street; fqicharleston.com or 866-812-1900.

Planters Inn

European style gets the "y'all" treatment at Planters Inn. The intimate 64-room Relais & Chateaux property originally built in 1844 as Honig Dry Goods Store, pampers guests as if they were taking up residence in a genteel Southern home-one with Italian marble baths, 10-foot ceilings and an impressive collection of sweetgrass baskets. Be sure to stop into Peninsula Grill, where chef Robert Carter serves his 10-layer coconut cake. You'll leave Planters Inn thinking you owe someone a thank-you note.

112 North Market Street; plantersinn.com or 800-845-7082.

The Cottages on Charleston Harbor

These crisp waterfront cabins let you soak up the rustic beauty of the Lowcountry without straying too far from the action downtown. Offering one- or two-bedroom floor plans, they sit just across the Arthur Ravenel Jr. Bridge from downtown Charleston (about 10 minutes by car). Heart-pine floors run throughout, double-wide rope hammocks hang on screened porches, fully equipped kitchens anchor the common areas.

16 Patriots Point Road, Mount Pleasant; thecottagesoncharlestonharbor.com or 866-901-2688.

Get the best of the South delivered - recipes, decorating ideas and travel tips. Sign up for our weekly newsletter.

Copyright 2011 Southern Living magazine. All rights reserved.

@highlight

Charleston Place lays on the glitz and glam

@highlight

The John Rutledge House Inn offers a taste of life 250 years ago

@highlight

The Vendue Inn is spread out over six antebellum buildings