(CNN) -- Sen. Elizabeth Warren has just been handed a giant political opportunity.

After spending several years championing the cause of the consumer and railing against the power of big banks, the Massachusetts Democrat may be perfectly positioned to react to the revelation of secretly taped conversations within the Federal Reserve that have exposed the cozy relationship that exists between the regulators in Washington and the regulated on Wall Street.

The tapes, which were made in 2012, involve examiners for the New York Federal Reserve who are heard being protective and deferential to Goldman Sachs when discussing some financial transactions that the firm had undertaken. Their actions were said to be "legal but shady."

One of the Federal Reserve officials on the tape explains that they should not be too tough with the banks to make sure the lines of communication remain open in the future: "We don't want to discourage Goldman from disclosing these types of things in the future and therefore maybe you know some comment that says don't mistake our inquisitiveness, and our desire to understand more about the marketplace in general, as a criticism of you as a firm necessarily."

The tapes have shocked many listeners because they reveal how weak the rules are and, even worse, how the regulators don't have much interest in being tough with the banks. Years after the horrendous financial collapse of 2008 that led to international economic havoc, Washington is not doing very much to improve the situation. There have been many critics of the Dodd-Frank legislation who have warned that the law fell short, but to actually hear these conversations has a more powerful impact.

As Warren said on an interview with NPR's Morning Edition, when people listen to the tapes "for a moment, [they] get to be the fly on the wall that watches all of it, and there it is to be exposed to everyone: the cozy relationship, the fact that the Fed is more concerned about its relationship with a 'too-big-to-fail' bank than it is with protecting the American public."

Warren, who was instrumental to the creation of the Consumer Financial Protection Bureau, reacted to the substance of the tape by arguing that "the point of these tapes is that the regulators are backing off long before anyone's in court making a legal argument about whether or not they came right up to the line or they crossed over the line." She has called for oversight hearings as soon as possible.

The weakness of our regulatory system for finance is an issue that deserves attention, and it is a policy problem that attracts the interest of liberals, conservatives and moderates, all of whom have been stung by the economic toll of the financial meltdown.

Anger toward the banking system is one of the few issues that provides a common thread between the disparate parts of our political world. Tea party Republicans hate the intimate connections between banking and politicians as much as do left-wing Democrats.

If Warren handles oversight hearings on this problem in the right way, they could attract huge interest and really define who she is as a national politician, right as the 2016 presidential race heats up. In this case, politics and policy can work hand in hand.

Given the widespread concern about this problem and Warren's skill at handling this issue, these could shape up to be hearings that have the same kind of impact as Sen. William Fulbright's classic interrogation of officials about Lyndon Johnson's Vietnam policies in 1966 or the select committee investigation of Watergate in 1973 when Sen. Sam Ervin revealed all the wrongs that Richard Nixon had committed.

Right now the Democratic playing field for 2016 is more fluid than many think. While former Secretary of State Hillary Clinton, assuming she runs, would be a formidable candidate and a clear frontrunner, there is also still room for another candidate to challenge her and potentially to rise to the top of the pack.

While many names have been mentioned, like Maryland Gov. Martin O'Malley or former Virginia Sen. James Webb, nobody other than Clinton generates the kind of excitement as does Elizabeth Warren.

Clinton exposed some of her own vulnerabilities during the roll out for her book "Hard Choices," and there still remains big questions as to whether Democrats will want a fresher voice, one who speaks more directly to the populist economic tradition of the party, as their candidate. While today it seems inevitable that she will be the party's nominee in 2016, Hillary Clinton learned in 2008 that "inevitable" doesn't always cut it.

Warren has said that she won't run for the presidency. But these kinds of statements rarely are the best way to predict what a candidate will actually do.

The Fed tapes might prove to be the development that moves her to the front and center of the public eye. Oversight hearings would be a way to expose her to a large national audience and to demonstrate that she is deeply invested in solving the economic problems that have harmed the security of Americans and been at the heart of the laggard economic conditions that define our era.

Warren has been a huge attraction on the campaign trail during the past few months, speaking about these very issues and promising to devote her time to this cause.

Ever since Massachusetts Sen. Ted Kennedy died, Democrats have not been able to find a new liberal lion to champion the progressive economic traditions that been so integral to the party since the New Deal.

President Obama, who many Democrats thought would be that person, has failed to live up to expectations. He surrounded himself with economic advisors who were comfortable with the status quo and whose pragmatism pushed him away from the bolder policies that the Democratic base hoped for.

Now, with the disclosure of these tapes, Warren has a very real chance to prove to Democrats that she is the new voice.

@highlight

Sen. Elizabeth Warren has been handed a big political opportunity, says Julian Zelizer

@highlight

Tapes point to signs that U.S. regulators failed to aggressively challenge Goldman Sachs

@highlight

Warren says tape expose cozy relationship with a "too big to fail" bank

@highlight

Zelizer: Warren could use hearings on Goldman as a launching point for a presidential run