London (CNN)Occupied France, July 1941. Michel Chapuis, a charismatic, French art student on assignment for Vogue magazine, was traveling on a busy train alongside peasants and German soldiers.

Suddenly, an old women leaned over. "Before the War, my brother had beautiful English shoes like yours," she said.

The young man froze. "C'est extraordinaire," he replied, affecting nonchalance.

Luckily, none of the German soldiers overheard this conversation, and he lived to fight another day. And, after surviving three Vichy prisons and five Nazi concentration camps, he became one of the most prominent fashion illustrators of his age.

Michel Chapuis, of course, was not his real name.

Rather, it was a cover used by Brian Stonehouse, a British spy and talented artist who had parachuted into France the month before as part of the legendary Special Operations Executive (SOE), a clandestine espionage and sabotage unit.

On landing in France, his radio transmitter had become tangled in a tree, and his first few days had been wasted trying to retrieve it without attracting attention.

Thereafter, he had gone to ground for two weeks, living on nothing but stolen peaches -- a diet which had left him with acute dysentery -- before risking the train journey to Limoges to make contact with a spy network known as "Ventriloquist".

Stonehouse had been trained as a clandestine radio operator, and given the codename Celestin. On the train that day he was carrying a paintbox that had been specially adapted to contain a secret transmitter -- the one he had managed to rescue from the tree.

A most dangerous mission

At that time, the life expectancy of an SOE radio operator in occupied France was just six weeks. Knowing that something as insignificant as a British button on his jacket could give the game away, SOE's Camouflage Section had painstakingly made Stonehouse's clothes using French fabric, styles and techniques.

But for some reason, he was still wearing British-made shoes.

"He told the story to his sister, but she isn't sure how the mistake occurred," says Philip Athill, managing director of the Abbot and Holder Ltd art dealer in London, who has collected Stonehouse's work. "Maybe he was wearing French shoes to start with but they got ruined, so he changed them at a safe house. Either way, he was lucky to escape."

That Stonehouse was nearly given away by his clothing is ironic: after the War he enjoyed a stellar career as a fashion illustrator, becoming one of the leading artists for Vogue and Harper's Bazaar. He even painted a portrait of Britain's Queen Mother, which hangs in the Special Forces Club in London to this day.

But this was not before he had spent almost three years in captivity. In October 1942, the Gestapo were able to triangulate his position during a secret transmission, and Stonehouse was arrested. He spent the rest of the war in various prisons and camps, including in the notorious Dachau concentration camp.

He survived only because he was able to draw the guards' wives and mistresses in exchange for extra food and shelter.

From rags to riches

Immediately after the War, Stonehouse returned to Dachau to make sketches of the crematoria, in order to "bear witness" (these drawings are currently held at the Imperial War Museum in London).

He was also able to use his exceptional visual memory to serve his country one last time. Officials from SOE were trying to find out what had happened to four of their female officers; Stonehouse was able to draw from memory four well-dressed women that he had seen being taken to their deaths by the Nazis the year before.

His sketches matched their photographs. As a result, their files were closed and their families were informed of their deaths.

It was while Stonehouse was acting as a witness at the War Crimes Tribunal that he met the American socialite Harry Haller, then a major in the United States Army.

Haller persuaded Stonehouse to move to New York to join the large number of Second World War émigré illustrators who were shaping America's fashion trends.

With Haller's help, Stonehouse quickly became part of the high society scene, rubbing shoulders with Henry Fonda and his fourth glamorous wife, the Italian baroness Afdera Franchetti, as well as members of Hemingway's circle.

In 1952, Jessica Davies, an editor at Vogue, made Stonehouse the first new illustrator to be taken on by the magazine since 1939.

"In those days, there was a belief that illustration showed how the clothes should be worn better than photography," says Athill. "The magazines were split evenly between photographs and illustration. It was the golden age of fashion illustration."

Tinker, tailor, artist, spy

Stonehouse died of a heart attack in 1998, and his pictures have been brought together for the first time at Abbot and Holder Ltd, where they can be purchased. They have also been collected in a new book, "Brian Stonehouse, MBE, 1918-1998", by Frederic A Sharf and Michelle Tolini Finamore (Sharf, $24.95).

"Normally, fashion illustrations of the period were thrown away after they had been published," says Athill. "But something inside Stonehouse made him keep everything.

"Six years ago, members of his family discovered a box of his pictures and brought them to a British Legion road show in Bury St Edmunds to be evaluated. Eventually they were auctioned, and I recognized their rarity and purchased them."

Since then, Athill has become increasingly fascinated with Stonehouse, becoming acquainted with his surviving family and several of his friends (including 83-year-old Afdera Franchetti).

Athill believes that the same qualities lay behind Stonehouse's aptitude as an artist and as a spy. "He was a perennial outsider and an observer," he says.

"He was illegitimate and was brought up largely by his mother in France, and never became part of mainstream society.

"But despite these challenges, he had shown the inner strength to remain balanced in the face of adversity. He was incredibly handsome, charismatic and well-liked, and throughout his life, people noticed him -- from his commanding officer to the editor of Vogue.

"That is what must have caught the attention of British spy masters."

Behind the scenes at the legendary Studio 54

Unseen photos of Astaire, Garbo, Churchill and others

Lethal beauty in the Wild West: Tiffany & Co's rare bejeweled show guns

@highlight

Brian Stonehouse was a British spy in WWII

@highlight

He was arrested in 1942 and survived three prisons and five concentration camps

@highlight

Stonehouse later emigrated to America and became a top fashion illustrator for Vogue magazine