WASHINGTON (CNN) -- For Lilly Ledbetter, it was a day of vindication over a decade in the making.

President Obama stands with Lilly Ledbetter shortly before he signed the bill bearing her name Thursday.

More than 10 years after first filing a gender discrimination claim with the Equal Employment Opportunity Commission, the beaming retired grandmother from Alabama stood in the East Room of the White House, watching the president of the United States sign a landmark piece of pay-equity legislation bearing her name.

"I cannot begin to describe how honored and humbled I feel today," Ledbetter said Thursday. "When I filed my claim ... never, never did I imagine the path that it would lead me down."

Under the Lilly Ledbetter Fair Pay Restoration Act, victims of pay-based discrimination will now have the right to file a complaint to the government within 180 days of their most recent paycheck, as opposed to within 180 days of their first unfair paycheck.

The law's supporters argue the change was necessary because, under the old standard, an employer merely needed to hide unfair pay practices for a few months before being able to continue them, without penalty, forever.

Ledbetter's contribution to the long struggle for women's rights and equal pay did not come easily. It took three presidential campaigns, years of arguing and persuasion in the halls of Congress, and seemingly endless rounds of litigation.

It also took the help of a stranger.

"I did not learn of the pay discrimination until late in my career," Ledbetter, a former employee with Goodyear Tire and Rubber, said during an interview with CNN. "Someone left me an anonymous note in my mailbox at work showing my pay versus three males. And we four were doing the exact same job."

Ledbetter retired after 19 years working for Goodyear in Gadsden, Alabama. She filed a complaint with the EEOC in March 1998, alleging that men in her plant doing similar work were paid 15 to 40 percent more.

The records backed her up. Ledbetter proved that she was being paid $6,000 less than men doing the same work, including those who were the lowest paid in their job duties.

Ultimately, both the EEOC and a jury ruled in her favor. Ledbetter was awarded $360,000 in back pay.

Ledbetter's fight, however, was just beginning.

A federal appeals court later threw out her claim, limiting her lawsuit to discrimination that may have happened in the six months prior to her initial complaint with the EEOC. A three-judge panel also dismissed the pay discrimination allegations during that 180-day window.

Ledbetter's case increasingly gained the attention of politicians and the public as it climbed the legal ladder. By the time the Supreme Court weighed in with a ruling in 2007, the case was a political football. Most Democrats used it to rail against sexual discrimination; many Republicans warned the case could harm employers.

In a narrowly divided 5-4 ruling, the high court sided with Goodyear, concluding that Ledbetter had only a federally mandated 180-day window in which to make her initial claim.

Such a "filing deadline protects employers from the burden of defending claims arising from employment decisions long past," concluded Justice Samuel Alito.

In strongly worded dissent, Justice Ruth Bader Ginsburg accused her conservative colleagues of being "indifferent" to victims of pay discrimination.

If women sued only when the pay disparity became steady and large enough to enable them to mount a winnable case, they would be cut off at the court's threshold for suing too late, Ginsburg argued.

Her legal options cut off, Ledbetter turned to Capitol Hill. Democrats pushed for legislation -- bearing Ledbetter's name -- to overturn the Supreme Court's ruling and change the 180-day window. They made little headway with the Bush White House.

During the 2008 campaign, the Ledbetter Act proved to be a significant point of contention between then-Sen. Barack Obama and Republican nominee Sen. John McCain. Obama emphasized what he called the plan's benefits to working women, while McCain criticized it as a boon for trial lawyers.

When Obama won the presidency, congressional Democrats put a reversal of the high court's ruling near the top of their agenda.

On Thursday, that piece of the agenda was completed. The Ledbetter Act was the first bill signed into law by Obama.

"It is fitting that with the very first bill I sign ... we are upholding one of this nation's first principles: that we are all created equal and each deserve a chance to pursue our own version of happiness," Obama said at the bill's signing ceremony.

"If we stay focused, as Lilly did -- and keep standing for what's right, as Lilly did -- we will close that pay gap and ensure that our daughters have the same rights, the same chances, and the same freedom to pursue their dreams as our sons."

First lady Michelle Obama also made clear her support of the new law and Ledbetter personally.

"Anyone who meets Lilly can't help but be impressed by her commitment," the first lady said at a reception shortly after her husband signed the bill into law. "She knew unfairness when she saw it and was willing to do something about it because it was the right thing to do, plain and simple."

For Ledbetter, the signing was emotional.

"To watch (the president) sign a bill that bears my name -- the bill that will help women and others fight pay discrimination in the workplace -- is truly overwhelming," Ledbetter said while standing next to the first lady.

"Goodyear will never have to pay me what it cheated me out of. In fact, I will never see a cent from my case. But with the president's signature today, I have an even richer reward. I know that my daughter and granddaughters ... will have a better deal. That's what makes this fight worth fighting."

With this win, Ledbetter concluded to a rousing ovation, "we will make a big difference in the real world."

@highlight

Signing of pay-equity law brings woman's 10-year fight to victorious end

@highlight

Workers no longer have to file complaint within 180 days of first unfair check

@highlight

Law named for ex-Goodyear Tire worker who sued over gender discrimination

@highlight

Lilly Ledbetter law is first bill signed into law by President Obama