As Islamist militants battle Iraqi security forces for control of towns and cities not far from Baghdad, the capital has taken on the tense feel of a city under siege.

There's a heavy police and military presence on the streets and at checkpoints that sometimes appear to pop up overnight.

Nowhere is the sense of fear more palpable than at Baghdad International Airport, where hundreds and hundreds of people wait in long security and check-in lines for one of the few, precious seats available on flights out of Iraq.

For days, the United States has considered what to do about the militants, and on Thursday, U.S. President Barack Obama said he is prepared to send military advisers to Iraq, adding that America was not returning to a combat role in the country. The Pentagon earlier presented Obama with a plan to send up to 100 special forces advisers to Iraq to work along with that country's military, several U.S. officials told CNN on Thursday.

The U.S. withdrew its final troops from Iraq at the end of 2011, nearly nine years after leading the invasion of Iraq that toppled longtime leader Saddam Hussein.

As the al Qaeda splinter group ISIS, or the Islamic State in Iraq and Syria, continues its fierce advance in Iraq, senior U.S. officials tell CNN that the Obama administration is of the belief that Prime Minister Nuri al-Maliki is not the leader Iraq needs to unify the country and end sectarian tensions.

The officials, along with Arab diplomats, say the White House is now focused on a political transition that would move Iraqis toward a more inclusive government -- one without al-Maliki that would include Sunni, Shiite and Kurdish factions.

The chairman of the Joint Chiefs of Staff, Gen. Martin Dempsey, told Congress that the United States has received a request from the Iraqi government to use its air power in the conflict.

Those discussions continued after Iraq's second-largest city, Mosul, fell last week to ISIS. The militants were barely opposed by Iraqi security forces, many of whom abandoned their weapons and fled their posts.

Airlines adding flights

Many people at the Baghdad airport are seeking safety in Iraq's Kurdish-controlled north, particularly Irbil, or in the southern port city of Basra. Others are trying to get out of the country altogether.

To accommodate the exodus, airlines have begun adding flights and, in some cases, much larger planes. Still, there are few seats available as most flights, according to travel agencies, are sold out weeks in advance.

Where once there was one Iraqi Airways flight a day to the northern city of Irbil, there are now three.

On Thursday, a Royal Jordanian flight flew from Amman to Baghdad nearly empty. But it is oversold for its return, a flight attendant said.

The fighters are now within 40 miles of the capital, where at least three people were killed and 15  injured Thursday when a car bomb and two roadside bombs exploded in three separate areas, police officials there told CNN.

A few miles outside of the Baghdad airport, dozens of men waited in lines in the sweltering sun to answer al-Maliki's call to join the military's fight against the Sunni extremists.

The Prime Minister, whose Shia-dominated government is accused of fostering sectarian tensions by marginalizing Iraq's Sunni and Kurd minorities, is facing growing calls from some quarters to stand down.

Battle for Baiji oil refinery

Meanwhile, Iraqi security forces and Islamist militants clashed again Thursday as they battled for control of the nation's main oil refinery.

Conflicting reports have emerged as to who has the upper hand.

In a phone interview on state-run al-Iraqiya TV on Thursday, Col. Ali Al Qureshi, the commander of troops responsible for protecting the refinery in Baiji, some 140 miles north of Baghdad, said Iraqi armed forces were in full control.

He said the militants had suffered dozens of casualties in the course of multiple attacks but had failed to take the refinery complex.

But police officials in Samarra and Baghdad said ISIS fighters control 60% of the oil refinery.

Dozens of vehicles full of militants launched a fresh assault on the sprawling refinery complex around 4 a.m. local time Thursday, the police officials said. Iraqi security forces are still trying to expel them and regain the control.

Al-Iraqiya television reported that 40 "ISIS terrorists" were killed during the clashes.

The Baiji refinery is a key strategic resource because it refines much of the fuel needed for internal consumption. There are already long lines at many gas stations across the country. Iraq is also a major exporter of fuel from oil fields in the country's south.

As the U.N. World Food Programme highlighted the plight of a half-million Iraqis forced from their homes by days of fighting, the European Union announced it would give an additional 5 million euros ($6.8 million) in assistance to Iraq, taking the total to 12 million euros this year.

"This fresh wave of violence has terrible consequences for vulnerable children, women and men," said EU official Kristalina Georgieva.

Militants seize Al Muthanna complex

Also on Thursday, ISIS militants took control of a facility Saddam Hussein once used to produce and store chemical weapons. But the State Department doubts that the Al Muthanna complex contains any material of "military value."

"The materials in the bunkers, which date from the 1980s, are of little military value and would be very difficult to safely move," State Department spokeswoman Jen Psaki said Thursday. But "the materials pose serious health hazards to anyone attempting to access the bunkers."

Calls for change of leadership

Al-Maliki struck a defiant tone Wednesday in a televised weekly address, saying Iraqi forces were on the "on the rebound" after their initial shock in the face of the militants' lightning advance.

"We will respond and keep the momentum," al-Maliki said.

But despite al-Maliki's words, there's a growing chorus of calls -- both in Washington and in the Arab world -- for him to go if there is to be any hope of unifying Iraq as the Islamic militants advance.

There's hope that a government bringing the Sunnis and Kurds into the political process would curb sympathies for ISIS by those who find themselves on the outside.

However, al-Maliki maintains a strong grip on power and his party recently won national elections.

The Prime Minister's office has not received any official statement asking for him to step down, al-Maliki adviser Ali al-Moussawi told CNN on Thursday.

"Nobody said this, and we have not received any official statement suggesting that al-Maliki has to leave his position," al-Moussawi said.

While some on Capitol Hill aren't shy about saying his days as the Iraqi leader should come to an end, at the White House it's more of a whisper.

The lightning-fast advance by ISIS has seen large portions of northern Iraq fall under its control. ISIS wants to establish a caliphate, or Islamic state, that would stretch from Iraq into northern Syria.

Curbing sympathies

A change in government in Iraq can't come too soon for some in Washington

Sen. Dianne Feinstein, D-California, the head of the Senate Intelligence Committee, said al-Maliki has to be convinced that it's in the country's best interest for him to retire.

"I think that most of us that have followed this are really convinced that the Maliki government, candidly, has got to go if you want any reconciliation," she said this week.

Publicly though, the White House isn't being as direct.

Earlier this week in a Yahoo News interview, Secretary of State John Kerry said the United States shouldn't be dictating to the Iraqi people that al-Maliki needs to resign.

"Now, we clearly can play an encouraging, consultative role in helping them to achieve that transition, and we have people on the ground right now," he said.

U.S. options

On Wednesday, Obama huddled with congressional leaders, briefing them on options he is considering.

A few hours earlier, Defense Secretary Chuck Hagel and Dempsey said they were working out details on possible U.S. steps that could include airstrikes on Sunni militants advancing through northern Iraq.

House Speaker John Boehner demanded that Obama lay out a "broader strategy" but sidestepped a question about whether he supported airstrikes.

Meanwhile, Senate Majority Leader Harry Reid spoke out forcefully against sending U.S. service members into Iraq. "This is an Iraqi civil war, and it is time for Iraqis to resolve it themselves," he said.

In their meeting, Obama effectively told congressional leaders that while he'd let them know what was going on, he didn't need any new permission to act in Iraq.

While a White House statement emphasized that Obama would continue to consult with Congress, Senate Republican leader Mitch McConnell said the President "basically just briefed us on the situation in Iraq and indicated he didn't feel he had any need for authority from us for the steps that he might take."

Several military sources have confirmed to CNN that manned reconnaissance flights over Iraq to collect up-to-the-minute intelligence on ISIS movements and positions have begun. Unmanned reconnaissance flights have been going on already for several days.

Transcript: Obama's remarks on U.S. response to Iraq crisis

Obama announces military advisers going to Iraq

Current fighting pushes Iraqi refugee population past 1 million

@highlight

President Obama says he prepared to send military advisers to Iraq

@highlight

There are long lines at Baghdad International Airport as nervous Iraqis seek to flee

@highlight

Police: ISIS controls 60% of Baiji oil refinery; military commander: Iraqi forces fully control it

@highlight

EU to give an additional 5 million euros ($6.8 million) in aid to Iraq