(Health.com) -- Men in their 70s and 80s may be more likely than women of the same age to develop the memory loss and cognitive problems that often herald Alzheimer's disease, a new study has found.

In the study, which appears in the journal Neurology, Mayo Clinic researchers examined 1,450 elderly people in Minnesota every 15 months for an average of three and a half years. During that time, 7.2% of the men and 5.7% of the women developed the mental-function problems known as mild cognitive impairment (MCI), with or without any accompanying memory loss.

The findings surprised the researchers because previous studies have suggested that more women than men ultimately go on to develop Alzheimer's and other forms of full-blown dementia. The fact that men appear to have higher rates of MCI but lower rates of dementia may hold important clues for preventing or delaying cognitive decline, the researchers suggest.

Health.com: 25 signs and symptoms of Alzheimer's disease

The lead author of the study, Rosebud Roberts, a professor of epidemiology at the Mayo Clinic, in Rochester, Minnesota, says that women with MCI may progress to dementia faster than men, causing them to be under-counted during the MCI phase. But sex-related differences in physiology and brain function may also play a role.

MCI isn't necessarily a permanent condition. Roughly one-third of the study participants who received an MCI diagnosis following a battery of tests and interviews subsequently improved to the point that they no longer met the diagnostic criteria at a later checkup.

This so-called reversion to normal, which has been seen in other studies, may indicate that in some cases the brain actually repairs some of the damage it incurs -- and this may be where sex differences come into play, says Kenneth Rockwood, M.D., a professor of geriatric medicine at Dalhousie University, in Halifax, Nova Scotia.

Health.com: 7 ways to protect your memory

Physical activity, for instance, is believed to benefit men differently than women, says Rockwood, who wrote an editorial accompanying the study but was not involved in the new research. In women, exercise appears to be more likely to prolong life, he says, while in men it's more likely to improve brain function.

"We might be seeing the cognitive benefits of exercise in men" in the study findings, Rockwood says. "Women who exercise also get some cognitive benefit, but they appear to get a greater survival benefit."

The findings suggest also that men may be more vulnerable than women to certain risk factors for MCI, says Rhonna Shatz, D.O., director of behavioral neurology at the Henry Ford Health System, in Detroit.

Health.com: Memory, mental function begin slipping as early as age 45

High blood pressure, obesity, diabetes, and other known -- and treatable -- risk factors for MCI and dementia tend to be more common in men, which may explain the higher rate of MCI, Shatz says.

"What [the study] tells us is that, particularly in men, there are probably a whole set of factors that we have to consider as particular to their gender or lifestyle, or both, that are impacting them a lot earlier," Shatz says. "We need to take a step back and ask if we are really doing the job we need to control the things we know are modifiable."

Although Roberts and her colleagues didn't investigate risk factors such as high blood pressure, they did take into account other factors that have been shown to affect MCI risk, such as age, educational attainment, and marital status. (People with more education and people who were married had lower rates of MCI than the other study participants -- a pattern that has been observed in previous studies.)

Health.com: Staying healthy from head to toe may help ward off dementia

Incorporating these factors into the data helped the researchers rule out the possibility that sex disparities in MCI and dementia rates are due merely to the fact that women tend to live longer, and are therefore more likely than men to live long enough to develop dementia.

More research will be needed to confirm the findings, however. Although the new study was thorough and well designed, Shatz says, the definition of MCI remains open to interpretation. A particular doctor or nurse may be more likely to arrive at an MCI diagnosis than another health professional looking at the same patient, which makes it difficult to draw broad conclusions about the prevalence of the condition.

"We don't have good standard markers of what MCI is," Shatz says.

Copyright Health Magazine 2011

@highlight

During study 7.2% of men and 5.7% of women developed mild cognitive impairment

@highlight

Men appear to have higher rates of MCI but lower rates of dementia

@highlight

Lead author says sex-related differences in physiology and brain function may play a role