(CNN) -- What's in a nombre?

Apparently, for some Latinos, er, I mean Hispanics, it matters a lot. When researchers asked a group of people with roots in Latin America what they wanted to be called, they got a variety of responses.

According to a new survey by the Pew Hispanic Center, the preferred term for many is "Hispanic." People prefer that word over "Latino" by a two-to-one margin, 33% to 14%.

But the study also revealed that most Latinos/Hispanics (51%) don't use either term and couldn't care less what they're called.

Also, in a fascinating trend, the survey found that for those who want to affix their own label, the first preference is tied to an individual's country of origin or that of their parents. Fifty-one percent of those surveyed said they describe their identity by using country of origin.

Surprise. Come to find out that we're not "Hispanics" or "Latinos" after all. We're Dominicans, Cubans, Mexicans, Puerto Ricans, Nicaraguans, Salvadorans, Brazilian and a couple dozen other possibilities drawn from this hemisphere. The more specific, the better.

According to the survey, only 24% of respondents said they use catchall phrases like "Hispanic" or "Latino." And in a finding that will almost certainly rattle the nativists, even fewer -- only 21% -- say they typically describe themselves simply as "American."

What does all this mean for the fastest-growing ethnic group in the United States?

Aside from Madison Avenue advertising firms, government bureaucrats and the political parties, it shows not many people seem to be all that fond of all-encompassing umbrella terms like "Hispanic" and "Latino."

There is no Latino/Hispanic voting bloc or even one central experience that these people are all going through in this country. The concept of Latino/Hispanic unity is probably overrated, as we are reminded whenever there is an outbreak of ethnic infighting.

Of course, there are exceptions to every rule. The U.S. Latino/Hispanic population tends to close ranks whenever it feels attacked, harassed or marginalized, as with the immigration debate. That issue more directly impacts Mexicans and Mexican-Americans than, say, Puerto Ricans and Cuban-Americans.

And yet, in Congress, you see Puerto Rican and Cuban-American lawmakers pushing for comprehensive immigration reform. Perhaps this is because they understand that much of the ugly rhetoric on the other side is aimed at all Latinos/Hispanics -- not just Mexicans and Mexican-Americans -- and that we're all in this together.

In fact, the same is true for Americans in general. We may look different, but many of us are living essentially the same lives. We need to spend less time trying to label each other, and more time looking for opportunities to empathize with one another and work together for the common good.

No one asked me, but, when it comes to ethnic labels, here's my preference: "I don't care."

The 50.5 million Latinos/Hispanics in this country have many more important issues to deal with. This is the Dickensian era for America's largest minority, representing both the best of times and the worst of times. When Latinos/Hispanics aren't being pursued by marketing agencies and Fortune 500 companies hungry for a slice of more than $1 trillion in annual buying power, they're being hounded by nativist mobs, racist politicians and the perpetrators of hate crimes. It is all mixed together.

Amid all these challenges, politics and government aren't usually the solutions; more often, they're part of the problem. Those on the left should be concerned that President Obama, a Democrat, has deported more than 1.2 million people, most of whom were Latino/Hispanic. Those on the right should worry about mending fences between Latinos/Hispanics and making the Republican Party more inclusive before it goes the way of bell bottom pants.

And with all this happening around them, it's foolish for Latinos/Hispanics to get passionate about the labels that others slap on them.

What they are called is a petty concern. Calling for respect, calling attention to their issues, and calling out injustice wherever they see it: These are more important battles to fight.

Let's get to it.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: New survey reveals attitudes on Latino, Hispanic designations

@highlight

He says most with Latin American roots prefer to identify with their countries of origin

@highlight

But he says when they're harassed as a bloc, they unify; for example, on immigration

@highlight

Navarrette: Latinos should put aside petty labels, concentrate on big issues that affect them