Washington (CNN) -- The U.S. is preparing new sanctions against members of the Syrian regime of Bashar al-Assad who are overseeing the violent crackdown against protesters, according to several senior U.S. officials with knowledge of the action.

A new Treasury Department executive order targeting senior officials accused of human rights abuses would involve an asset freeze and travel ban, as well as prohibiting them them from doing business in the United States.

On Monday, National Security Council spokesman Tommy Vietor said the United States is "pursuing a range of possible policy options, including targeted sanctions, to respond to the crackdown and make clear that this behavior is unacceptable."

The move comes as the Obama administration weighs its options on how to step up pressure against the al-Assad regime.

Sanctions are among "a range of possible options" to pressure the Syrian government to stop attacking protesters, White House spokesman Jay Carney said Monday.

"What we have seen is that sanctions can put pressure on governments and regimes to change their behavior," Carney said.

A meeting of the Deputies Committee at the White House on Friday explored what additional unilateral sanctions the United States could impose against Syria and other actions the U.S. could take, including a possible on-camera statement by President Obama.

There have been numerous reports of deadly violence over the past several days.

On Sunday, at least three protesters were killed when security forces and secret police raided the town of Jableh on Syria's western coast and fired at demonstrators without warning, according to a witness and demonstrator.

Security forces surrounded a mosque that was being used to treat the wounded, preventing 18 seriously wounded people from being hospitalized, according to a doctor inside.

On Saturday, at least 10 people died after Syrian security forces opened fire on mourners at funeral processions in Douma and the southern town of Izraa, according to witness accounts.

Amnesty International reported at least 75 deaths across the country Friday.

The decision to step up pressure comes amid increased fears of further bloodshed.

"We are worried he is dropping all pretenses of reform and carrots and sticks and is going to go out hard with all sticks," one official said. "We are expecting him to increase the crackdown."

On Friday, the White House released a statement by Obama condemning "in the strongest possible terms the use of force by the Syrian government against demonstrators."

"This outrageous use of violence to quell protests must come to an end now," Obama said.

The State Department is expected to call in the Syrian ambassador to the U.S. to protest the violence, and Robert Ford, the U.S. ambassador to Syria, was protesting the crackdown to foreign ministry officials in Damascus, officials said.

The administration had taken a somewhat muted response to the crackdown in Syria out of fear of destabilizing the al-Assad regime. Officials have voiced concern about possible sectarian tensions if al-Assad's Allowite minority were to be overthrown and have expressed little confidence about Syria's fragmented opposition, leaving uncertainty about what type of government would replace al-Assad.

The U.S. has also been under pressure from Israel and allies in the Gulf like Saudi Arabia and the United Arab Emirates, who fear that al-Assad's departure could produce a more radical Syria and encourage further revolutions, officials said.

However, as  the crackdown in Syria has intensified, several U.S. officials and Western diplomats have described the regime as increasingly brittle and predicted that it would be hard for Assad to survive.

Officials acknowledge that the United States has little leverage on Syria, which has proved immune to U.S. pressure during the protests. The Bush administration imposed strict sanctions against Damascus in 2004, including banning almost all imports and exports between the two countries and measures against individual officials believed to be supporting extremists fighting U.S. forces in Iraq. It is unclear how effective a new round of sanctions would be.

"It isn't the same with Egypt, where we had relationships with the military and other institutions," one official said. "We had aid we could use as a lever. There isn't a lot we can do with Syria. We are pretty maxed out with sanctions."

Officials said the U.S. would be urging its European allies, who have also become increasingly concerned about the violence in Syria, to follow suit with measures of their own that could be more effective, given that Syrian officials have more assets in Europe and travel there more frequently.

But the sanctions would mark a shift in U.S. policy toward al-Assad, whom the Obama administration had hoped would be a reformer and had tried to engage. Since Obama took office, the U.S. has eased some of the sanctions imposed by the Bush administration, and this year Obama returned a U.S. ambassador to Syria after nearly six years.

The U.S. is also lobbying the United Nations to address Syria's human rights abuses. On Tuesday, the United Nations Security Council is expected to take up the issue, and Washington is seeking to block Syria's efforts to join the U.N. Human Rights Council in Geneva, where members are meeting Friday.

U.S. Rep. Ileana Ros-Lehtinen, R-Florida, chairwoman of the House Foreign Affairs Committee, has said she will soon introduce legislation updating the Syria Accountability and Liberation Act to strengthen U.S. sanctions, including authorizing U.S. assistance to support a transition to democracy in Syria.

@highlight

Senior officials might be hit with asset freeze, travel ban

@highlight

Washington concerned about increased violence against protesters

@highlight

Syria has proved immune to U.S. pressure during protests

@highlight

Administration had feared destabilizing Bashar al-Assad regime