Kenya (CNN) -- More than a month after Somali militants from Al-Shabaab massacred 67 people at a mall in Nairobi, a Kenyan rapid response team has now been deployed to the northeastern border of the country to secure the closed border crossing into neighboring Somalia.

But official border crossings are far from the only routes into Somalia.

Branching brazenly off from government roads are panya routes or "rat routes" -- paths hacked out of the undergrowth that are used by smugglers to cross back and forth between Kenya and Somalia undetected.

They're certainly a smoother ride than the official roads -- and in spite of the Kenyan government's efforts to beef up border security after the Westgate Mall attack, we see no government presence as we cruise down the trail.

Traveling on these smugglers' routes, we've managed to enter Somalia from Kenya without showing any ID, without going through any checkpoints, and without going through any kind of a security process.

Nighttime is rush hour on the panya routes. People and goods are ferried back and forth, but everyone is too afraid to stop for long here, even to help the stranded families we see along the way.

Many are escaping the uncertainty back home in Somalia, but some are seeking to enter Kenya undetected for other reasons.

The panya routes end in Kenya at the world's largest refugee camp. Somali refugees have long fled to the Dadaab camp, and it is currently the target of the Kenyan government's post-Westgate ire.

Hiding among refugees

Authorities believe that during the build-up to the Westgate siege, Al-Shabaab operatives traveled from Somalia through the panya routes and hid among the refugees in the camp in northeast Kenya.

It's from there, Kenyan authorities say, that the operatives, hiding in plain sight, made their way through government checkpoints with other undocumented migrants and then deeper into Kenya.

My colleague and I board one of the many buses carrying people from Dadaab to Nairobi and ask the conductor how much the fare is. Two tickets cost about $12, but the price skyrockets when we tell him we don't have legal documentation to be in Kenya.

The conductor says $230 will buy us the use of fake Kenyan IDs and a safe trip. We don't need the IDs, but others on the bus do. "Don't worry," he says. "You're not alone." We count out the cash and he hands us IDs from a stash he's been handing out on the bus. That's all it takes.

As we arrive at Garissa, the main town in eastern Kenya, passengers line up at the checkpoint. Security officers scrutinize thumbprints with the help of a magnifying glass, comparing them against the fake IDs. We overhear one woman take a police officer aside and tell him bluntly she that doesn't have valid papers.

Everyone, including the woman, is waved back on to the bus and on their way to the country's capital. I show my official documentation -- not the fake IDs we purchased -- and join them.

Vetting challenges

Kenyan interior minister Ole Lenku acknowledges the challenge posed by police officers who willfully ignore obviously fake IDs for migrants, and says his department is committed to stamping out the problem.

A new vetting process will remove corrupt officials from the system, according to Lenku. He says: "People are noticing that there's a new requirement for service in terms of integrity and that those who will not meet that threshold will not be allowed into their service.

"The Kenya-Somali border is roughly 780 kilometers -- that's a very long border. It is a major security concern for us because the points of entry are far too many but definitely as a country we, with our defense forces in Somalia, one of the areas that they're supposed to look after is to take care of that border. What we are working on is a surveillance system using technology that will be able to show us what is happening in the entire borderline."

Repatriation deal

In the meantime, the Kenyan government has signed a voluntary repatriation agreement with Somalia and the U.N. that will provide support for Somalis who wish to return to their country.

The goal is to reduce numbers at the Dadaab refugee camp, where Kenyan officials believe some security threats may originate.

Lenku says: "Remember, the process is voluntary, but again the United Nation High Commission for Refugees has confirmed that the areas [in Somalia] these people are relocating back to are safe.

"It's a win-win, taking away the heavy burden that came in terms of our security because criminals unfortunately have taken advantage of that hospitality to carry [out] criminal activities not only in the camps but to plan for them in the country."

But as long as the traffic continues to flow across the many rat routes on the border -- and when a fake identity is only one simple transaction away -- will repatriating a few Somali refugees be enough to protect Kenya?

'Ruthless leader' aims to extend reach of Al-Shabaab

Former spy: Kenya mall attack 'could have been prevented'

@highlight

"Panya" routes are used by smugglers to cross between Kenya and Somalia

@highlight

Some are escaping uncertainty in Somalia -- others seeking to enter Kenya undetected for other reasons

@highlight

Kenyan interior minister Ole Lenku acknowledges the challenges

@highlight

He says they are working on a new surveillance system