ELBERTON, Georgia (CNN) -- In a parking lot in suburban Atlanta, customers mill in the summer heat, waiting for freezer bags full of beef, pork, chicken and other meats.

Tim Young raises cattle, pigs, chicken, turkeys and more on his "beyond organic" farm.

The draw that pulled them away from their grocery store and to the tailgate of a packed freezer truck? The meat is from animals raised naturally on a small family farm just two hours away.

"By supporting local farmers, we are essentially voting to support the local economy," said Anthony Chan, a member of a group that gets its meat monthly from Nature's Harmony Farm in Elberton, Georgia.

Nature's Harmony is a member of a growing local-food movement, often referred to as Community-Supported Agriculture.  Watch video of Nature's Harmony »

The CSAs, as they're called, are a model in which consumers pay for their food in advance and receive it directly from the farmer. Working much like a magazine subscription, customers pay for a period of usually at least six months and receive packages either at the farm or at established delivery locations like the one in Lawrenceville, Georgia.

Although thousands of farms have sprung up over the past two decades selling fruits and vegetables using the system, experts say there are probably only a few dozen that, like the Georgia farm, offer meat.

Farmers Tim and Liz Young raise cattle, pigs, chickens, turkeys and lambs on their 76-acre farm in northeast Georgia, near the South Carolina state line.

The couple describes their farming technique as "beyond organic," saying they use no artificial fertilizers, growth hormones or antibiotics and don't keep their animals penned up.

Life on their property -- where cattle and sheep graze in open fields and chickens follow along to clean up after them -- looks much like the classic image of a family farm. But the couple say they consider themselves healers to both their customers and, according to their Web site, a food system that "had become a machine with little regard for food safety, food taste and animal welfare."

"People are becoming very disconnected from the food system," Liz Young said. "Buying from a local CSA or just shopping at a local farm, you can see where it's coming from. You can talk to the farmers and figure out how the animals or the produce is raised."

The couple has 50 subscribers, plus a waiting list, and say 2,000 people receive a newsletter on the farm's activities.

Members of the nation's handful of meat CSAs, and the thousands of others, offer a list of reasons.

The food is healthier and tastes better, they say. They like supporting their local economy. Eliminating cross-country delivery is better for the environment, as are the sustainable farming techniques the farmers tend to use.

"Being part of a CSA means that I know the first names of the people who are raising the meat I eat," said Andrew Johnson of Kansas City, Missouri, a member of the Parker Farms meat CSA in Richmond, Missouri. "Whereas, with the meat I buy from the grocery store, I don't know where it came from or who raised it."

Others say they appreciate that animals from the usually small family farms don't spend their lives in processing plants, conditions that advocates call inhumane.

Because CSA members deal with the farmers directly, they are able to visit the farms and see exactly how their food is produced. The transparency, they say, creates an incentive for farmers to raise their animals as naturally as possible.

"If we have any questions about how it is being grown, we can simply visit the farm ourselves," said Kristen Johnson, Andrew's wife.

Robert P. King, a professor of applied economics at the University of Minnesota, said that although community-supported agriculture "provides a good opportunity for farms that want to use sustainable practices to actually do well in the marketplace," it's nowhere close to challenging conventional agriculture's domination of the food market.

King said geographic availability can be limiting to CSAs. Generally, they require a rural area suitable for farming near an urban area that provide enough customers to make it work.

And then, King said, there's the cost. Operating on a smaller scale and avoiding mega-farm practices designed to cut costs and improve yields almost always mean higher prices.

A six-month Nature's Harmony membership ranges from $360, or $40 a month, for a poultry-only delivery to $840, or $140 a month, for 20 pounds of a variety of meats.

"Is it as cheap as the lowest-price chicken in the grocery store? Absolutely not," Tim Young said. "But with our prices and the prices of any sustainable farmer, you've got everything baked in: the cost to the environment, the cost to the health care system, the cost of producing that animal [in a humane way]."

Johnson said that any difference in prices at the Missouri farm, which charges a $1,150 annual fee, are worth it.

"I don't think it is significant, but if it does end up costing a bit more, it is still important to us to make this a priority," he said. "There are other expenses I am willing to give up rather than give up a safe, trusted food source."

The Youngs hope more people will get the chance to choose.

"There's a big, burgeoning demand out there for local meat, for local food, for organic foods and we'd like to see more famers step up to fill that demand," Tim Young said. "We're trying to do that but we can never meet the demand that's out there.

"We'd love to see more farmers try to do what we're doing."

CNN's Doug Gross contributed to this report.

@highlight

Community-supported farms allow members to buy locally

@highlight

Thousands of CSAs offer fruits and vegetables, but few sell meat

@highlight

Members say they like health and environmental bonuses to buying local

@highlight

Cost, location can limit community-supported farming, expert says