(CNN) -- "Alien oceans could be detected by telescope," headlines a Web report about an article in The Astrophysical Journal Letters by Tyler Robinson and colleagues at NASA. The report projects that the $6.5 billion James Webb Space Telescope will be capable of such an impressive feat when it is launched some time after 2014 as a more powerful successor to the venerable Hubble Space Telescope.

I will be the first to admit that I have been awed by the images of our universe that Hubble has provided over the past two decades, and by the mind-bending scientific discoveries that have ensued.

But when it comes to observing our own oceans, we spend only a small fraction of what is allotted to the astronomy community. Why?

Our Earth is running a slight fever from inhaling excessive amounts of carbon dioxide for the past few centuries, and the oceans are the largest reservoir for absorbing all this excess CO2. But at present, we have very limited ability to monitor the health of our patient, understand the impacts all this carbon dioxide will have on its chemistry and its inhabitants, and predict the future course of the "infection."

The ocean needs a global monitoring network to provide real-time information to climatologists, as well as to oceanographers, who worry about the consequences of all this additional carbon for the health of the ocean's chemistry and biology.

The Earth needs a Hubble for its oceans.

The National Science Foundation has taken an encouraging step in this direction by funding the new Ocean Observatories Initiative through the Consortium for Ocean Leadership.

This initiative will comprise an array of deep-sea moorings outfitted with sensors, along with seafloor cables, gliders and autonomous underwater vehicles. These devices will measure and transmit real-time information not only on basic properties such as temperature, salinity and current flow, but on biological, chemical and geophysical properties as well.

The project shares many similarities with Hubble. Both must operate in remote, extreme environments -- vacuum and extremes of temperature and radiation in space, compared with crushing pressures and highly corrosive seawater in the cold, dark depths of the sea.

Hubble must be able to point accurately and hold position with gyroscopes for lengthy exposures, while the ocean project's moorings must be capable of positioning a wide range of sensors and samplers at precise depths in a water column that is often miles deep, and in the face of currents and surface waves.

Both require complex communications networks and control centers to monitor the instruments and direct operations while collecting and analyzing the torrent of data. Both are long-term observatories expected to operate for decades, and both require servicing missions to replace and upgrade damaged or depleted components.

But there is one important difference. While the Hubble and its planned successors like the Webb are endowed with billions of dollars, the Ocean Observatories Initiative began its initial construction in September 2009 with $106 million from the American Recovery and Reinvestment Act and has an overall construction budget of only about $387 million.

Because of this comparatively low level of funding, the project is limited in initial scope and will be blind to critical features of the ocean environment that will be essential to our ability to track the flow of carbon and its confinement in deep waters.

It is essential that we more accurately measure the ocean's primary productivity -- the consumption of CO2 by microscopic phytoplankton that use it to create oxygen and energy. This process drives the ocean food chain upon which billions of us ultimately depend for significant portions of the protein in our diets.

We further need to understand the composition and dynamics of this community of phytoplankton and the animal forms of plankton that feed upon them, as well as the complex ocean chemistry surrounding them.

Given the current realities of oceanographic budgets for projects of this size, however, one can anticipate squabbling over priorities and scarce dollars. But the community instead should be galvanized to champion the need for a century of ocean observation -- deploying the truly global array of sensors that will be necessary for our comprehensive understanding of carbon flow in the oceans.

Our Hubble for the sea needs a budget commensurate with the importance of its mission. And I, for one, would gladly wait a bit longer to learn of oceans on distant planets in return for the ability to see our own precious seas with the clarity and detail that will be required to insure the continued existence of life on this planet.

The opinions expressed in this commentary are solely those of Kevin Ulmer.

@highlight

Kevin Ulmer: Billions are being spent for space telescopes that explore the universe

@highlight

He says a more urgent need is to understand how increasing carbon dioxide affects oceans

@highlight

Scientists are developing a system to begin monitoring health of the oceans

@highlight

Ulmer says more funding for the project is vital to understand the changing planet