Editor's note: Julian E. Zelizer is a professor of history and public affairs at Princeton University's Woodrow Wilson School. His new book, "Arsenal of Democracy: The Politics of National Security -- From World War II to the War on Terrorism," will be published this fall by Basic Books. Zelizer writes widely on current events.

Julian E. Zelizer says Democrats should be questioning themselves on several key points.

PRINCETON, New Jersey (CNN) -- This week, Jews will conclude the eight-day celebration of Passover, a holiday that has often found its way into the political realm.

Civil rights leader Martin Luther King Jr. frequently invoked the story of the liberation of the Jewish people from the Egyptians in his struggle against white oppression. President Obama made headlines last week when he hosted a Passover Seder in the White House.

Today, Democrats can draw an important lesson from Passover, this time not so much from the story that is retold during the holiday but through the rituals that are the focus of the week. Last Wednesday and Thursday evenings, Jews gathered with families, friends and other groups to have a Seder.

These meals are not just about eating and talking, but also about learning and debating the stories of the holiday contained in a book called the Haggadah. There is no right answer to many of the questions that are raised, and discussions change over time as the life experiences of the participants bring new perspectives to the table.

The highlight of the Seder is when the youngest child asks the Four Questions, asking the adults what makes these nights different from the others and then offering some possible answers.

Politicians could learn a lot from the Seder, particularly when one party controls both the executive and the legislative branch, and the temptation is to act in lock-step. Republicans did not have enough moments of questioning and reflection between 2002 and 2006, which many observers agree was not just damaging to the country but to the party as well.

While there was strong private, internal disagreement among Republicans over how to conduct the war on terror, over whether the war in Iraq was a wise move and over the basic contours of economic policy, most Republicans stayed silent in public.

Even when they gathered in the private corridors of the White House, according to memoirs that have been published by former officials such as Scott McClellan, Republicans tended to remain deferential to President George W. Bush and Vice President Dick Cheney.

Historically, vigorous internal party debate has had the ability to strengthen a party politically. The fight that took place between Ronald Reagan and Gerald Ford in the 1976 Republican primaries, where Reagan pushed President Ford to be more responsive to the growing conservative movement and avoid making all his decisions from inside the beltway, created a GOP that in the 1980s was a formidable political force.

Bill Clinton's insistence that Democrats needed to rethink some of their conventional wisdom from the New Deal and Great Society periods, with his preference being to move toward the center, opened up a healthy debate about what Democrats should stand for that helped result in Barack Obama's victory in 2008.

Thus far, Democrats have been more comfortable openly criticizing each other. Princeton economist Paul Krugman has emerged as the leading liberal critic of the administration by arguing that President Obama is not spending enough to stimulate the economy and that his financial bailout plan will only provide Band-Aid solutions that place all the risk on taxpayers.

But Democrats will feel less comfortable having internal debates as the elections of 2010 and 2012 get closer, as the pressures of re-election intensify and as Republicans become more aggressive and more coherent in their attacks.

To get the conversation started, it would be worth thinking about the four questions that Democrats should keep asking when they get together in the next few years.

The first is: What are the issues on which Democrats are willing to compromise with Republicans, if any?

The compromises will not be easy given that Republicans have refused to endorse Democratic proposals in the first few months of Obama's presidency. However, if the popularity of the GOP continues to erode and Obama's stays strong, there might be an opportunity for the president to act. Compromises means giving something up, so Democrats will have to talk among themselves about what that might be.

The second question is: Where are Democrats willing to renege on campaign promises?

Since November, Democrats have already backed off some very big promises. Though Obama ran as a candidate who promised to change the way that government worked, government reform has quickly dropped off the agenda.

Nor has the White House been fully compliant with its promise to end the secrecy practiced by the Bush administration. It is natural that a party won't be able to do everything it said in a campaign, but Democrats need to think about which issues they are willing to let go and which they are determined to fulfill.

The third question is: What is the foreign policy agenda of the current administration?

This has been the murkiest part of the First 100 Days. When Barack Obama ran for president, it was clear what kind of foreign policy he opposed. His campaign took aim at the unilateralism, militarism and pre-emptive strategy of the Bush administration.

Yet it is easier to be against something than for something. Now the burden is on President Obama to define what he will be about in the next four years and what he hopes to pursue. This agenda will be dynamic and unfold as international crises occur. But Democrats need to keep coming back to the questions and keep forcing the president to articulate what his goals are in this arena.

The final question is: What are the policy priorities of the Democratic Party?

This is always one of the most difficult questions for any party given that events move politics in unexpected directions. This White House has naturally been consumed by the economic freefall and the effort to stabilize economic conditions.

With his budget, Obama has highlighted two priorities from the campaign -- health care and the environment, though some will get traded away in upcoming negotiations. Another issue that the White House may make a priority is immigration reform. Whereas the campaign established a certain framework for thinking about priorities, that framework fades as the election moves farther away.

Democrats must keep getting together, asking their own version of the four questions and insisting on internal debates. Although the discussions can become uncomfortable (as most Jews will recall from their Seders), this is a formula for making the strongest party possible.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Passover Seders involve four questions asked by youngest

@highlight

He says Democrats should be asking themselves four key questions

@highlight

Zelizer: Are they willing to compromise on their objectives to win GOP support?

@highlight

He asks what priorities will take precedence for the Democrats