(CNN) -- Xi Jinping, the vice president of the People's Republic of China and presumptive next president, will visit Washington this week.

Just a few months before taking over the top post in Beijing, Xi will probably be cautious about what he says and does, and stick to the script and avoid inquisitive questions. However, President Barack Obama should start candid conversations with China's leader-in-waiting about the pressing issues that define U.S.-China relations -- the most important and complex bilateral relationship in the world.

For some time now, that relationship has been tense. Beijing apprehensively watches the growing American military presence in its neighborhood and the regional realignment driven by fears of a rising China. Chinese leaders are still haunted by U.S. ideals of democracy that had inspired political dissent in the past. Likewise, Washington is weary about China's ambitions and intentions. China's expansion of its naval force and recent veto of the U.N. Security Council resolution on Syria have been interpreted by many inside the Beltway as signs of new assertiveness or even direct challenge. Some speculate that a serious rivalry between the two countries could soon develop.

There are many things that Obama can discuss with Xi. Is China really interested in driving the U.S out of the South China Sea? Will China help the West denuclearize Iran and North Korea? When will China fully honor its obligations to the World Trade Organization? And how can China and the U.S. work together against terrorism, cybercrime, or human rights violations?

Our love-hate relationship with China

But no one expects all these issues to be sorted out in such a meeting. Perhaps most importantly, Obama and Xi should try to get to know each other on a personal level. Since no one knows what Xi really has in mind for China and its future, a productive meeting is one in which the two can start building trust and a good working relationship.

To gain some insight on Xi, it's useful to look at his past. Born into privilege, Xi nevertheless spent several years in one of the poorer villages in China when his father, a top government official, was purged and then jailed during the Cultural Revolution. After his father was rehabilitated, Xi quickly climbed the political ladder in the Communist Party.

Life's extremes have not made Xi noticeably radical or timid but apparently more prudent and reticent. He has had career shortcuts but worked hard to stuff his rÃ©sumÃ© in order to play the game of a semiobjective meritocracy, as have many ambitious Chinese of his age. His bona fide membership in China's "Red Nobility" makes him a princeling, which bestows on him the deep trust of the ruling elders in the Communist Party. In a nonhereditary autocracy, such a trust is paramount.

To those in power who desire to preserve the current political system and dread a possible Chinese Gorbachev, the 58-year-old Xi is considered a natural successor to President Hu Jintao when Hu's second term ends this fall. Indeed, several hundred senior officials secretly endorsed Xi as their top choice back in 2007. Consequently, unlike his two predecessors -- who were handpicked by one man, the late Deng Xiaoping -- Xi is poised to bring more legitimacy and confidence to his office. His peaceful and orderly transition to the presidency this fall will signal a new page in the history of his country.

Xi will be facing a fast-changing world and a faster-changing China. After 30 years of breathtaking development, today's China is greatly diversified and decentralized. Relying on authoritarian state control for order is becoming more difficult and costly, as social tensions and economic inequality increase. Xi will preside over the world's second-largest economy at a time when the overheated Chinese economy is long overdue for a correction or hard landing, which could happen as early as 2013. While China is secure and prosperous, its government still struggles with a perpetual mentality of being under siege. Defending the status quo will be a great challenge.

Many incongruities make Xi intriguing. He has openly reiterated complaints about the U.S. and its allies, yet like so many of China's rich and powerful, he sends his only daughter to study at Harvard. Smart and low-key, Xi rarely steps out of the party line, and yet he spoke his mind in Mexico City not long ago to bash foreigners who are "pointing their fingers" at Beijing's human right record, saying they are bored and have nothing better to do.

The world will be watching Xi closely to see how he will govern China and navigate U.S.-China relations. Over a quarter century ago, Xi visited America as a young cadre managing agriculture for an obscure county. This time, as the next leader of a great country, he may remember fondly how ordinary Americans received Chinese visitors with open arms back then and how much the two countries have gone through together ever since. Let's hope that he will open up to America on what he envisions as a mutually beneficial partnership between the two countries in the coming years.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Fei-Ling Wang.

@highlight

Xi Jinping, China's next leader, will visit Washington this week

@highlight

Fei-Ling Wang: President Obama should try to build trust with Xi

@highlight

Wang: U.S.-China relations have been tense, serious rivalry could develop soon

@highlight

He says Xi is hard to read, but hopes that Xi will be open about his plans