(CNN) -- "I won't even sleep in the same room with them."

A fellow named Daniel Sieberg was telling me his hard-and-fast rule for getting through the night.

He takes all of his digital devices -- laptops, tablets, cellphones, anything portable that has a screen -- to another room before he turns off the light. He has come to terms with the fact that the technological gadgets that have so thoroughly insinuated themselves into our lives can become addictive.

So, when it's time for slumber, he locks them out. He won't even let his cellphone charge overnight in the bedroom:

"If it's there, I would have the temptation to turn it on and check it."

We have learned to celebrate, even revere, the wireless gadgets we carry around and the inventors who bring them to us; the response to the death of Steve Jobs this month was emblematic of how important our do-it-all phones, our computers, our tablets and related digital devices have become. We say that the technology has changed life as we used to know it.

But how much is too much?

And, more to the point: How many of us have the nagging feeling that we are somehow unable to disconnect -- that the electronic devices we own have begun to own us?

There is an instinct to treat the subject whimsically: "Land o'Goshen, Ma, those kids are walking down the street staring at their cellphone screens." It's as if any criticism of what the digital age has done to society brands the person raising the questions as backward, afraid of change, irrationally wedded to outmoded ways.

So the addiction question is often one that people silently ask themselves. Shouldn't we be spending less time checking and rechecking our many screens, large and small, and more time taking part in what used to be regarded as real life? Is there something inherently wrong when people being separated from their phones, computers and tablets makes them feel nervous, irritable, tense -- in other words, when they begin to exhibit classic withdrawal symptoms?

For guidance on this, I got in touch with Sieberg, who has given as much thought to the subject as anyone of whom I'm aware. A former CNN correspondent, he is a lecturer, writer and broadcaster on technology issues who, in his own life, became increasingly conscious of the unhealthy hold that digital devices can have. He wrote a book called "The Digital Diet" that argues persuasively that there can come a time in a person's life when he or she is a good candidate for technology detox.

I asked him if "addiction" is too strong a word to use in relation to devices that seem to hook their users emotionally, but not chemically.

"Unfortunately, the word 'addiction' has become overused," he said, and should not be trivialized. Addictions to illegal drugs, alcohol and prescription medication are grimly somber matters. But, he said, the idea of an addiction to digital devices is genuine and is not something that should be greeted with a sardonic wink.

"One definition of 'addiction' is when other people and other activities in your life begin to suffer because of something you know you should cut back on, but don't," he said.

Some of his examples are things that many people will instantly recognize:

-- The urge to pull out a cellphone even when someone you're with is in the midst of a conversation with you.

-- Texting even while your child is telling you about his or her day at school, and realizing later that you can't remember the details of what your son or daughter has said to you.

-- Having the vague feeling that something hasn't really happened until you post it to Facebook or Twitter.

-- Feeling isolated and anxious if you are offline for an extended period of time.

-- Noticing that even when your family is all together in one room at home, each person is gazing at his or her own screen and tapping at a miniature keyboard.

"There are people who, even when they aren't using their digital devices, find themselves creating status updates or Twitter feeds in their heads while they are experiencing things," he said. "It's as if they have lost the ability to live in the moment, and have become conditioned to feeling that they have to instantly share it electronically while it is still going on."

Sieberg is hardly a guy stuck in some dust-covered, pre-technology past: He has always been among the first to own each new portable device, and he likes the many good things the digital experience can provide. But he realized -- when his wife would wake up in the middle of the night to see him, in bed, illuminated by the glow of one screen or another that he had decided to check one more time before he fell back asleep -- that something might need remedying.

There is, he said, a feeling common among people who are digitally hooked that, when it's just them and the real world and no screen, they are somehow cast adrift, cut off: "It's a sense of, 'What am I missing?'" But in truth, a strong case can be made that when a person lives too many hours a day in the digital universe, that is when he or she is really missing something -- missing the things that are taking place in the flesh-and-blood world.

Sieberg has a phrase for it: You know you're in trouble when "your footing in technology feels increasingly like quicksand."

And he has a piece of advice for all of us, regardless of how deep we feel we're sinking into that digital quicksand:

Like him, we should consider locking all of those devices in another room at night. He promises that it makes a difference:

"You sleep better."

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: People are increasingly wedded to smart phones, other digital devices

@highlight

He says author Daniel Sieberg suggests ways to avoid becoming addicted to gadgets

@highlight

One sign of trouble is pulling out your phone in the midst of an in-person conversation

@highlight

People constantly tied to devices may be missing the world around them, Greene says