(CNN) -- Ukraine's Foreign Mnister Andrii Deshchytsya on Monday asserted that the situation in his country "is almost like ... a war." With Russian forces effectively having taken control of Crimea, this is Europe's biggest geopolitical crisis for at least two decades.

Russia is currently drafting counter-proposals to a U.S. plan for a negotiated solution. This will seek to challenge Washington's support for the new government in Kiev that Moscow believes was installed in a coup and has plunged a significant part of the country into chaos.

From Washington's perspective, Russian troops (up to 25,000 would normally be stationed in Crimea, according to Russian state media, but it's unclear how many are in the region now. Ukrainian authorities have said more Russian soldiers have come into Crimea) must pull back from Ukraine. U.S. Secretary of State John Kerry is also attempting to secure support for the placement of international monitors, and has also called for Moscow to use its influence to stop the March 16 referendum in Crimea (which was annexed into the Ukraine in 1956 by Soviet leader Nikita Khruschev) on whether it should join the Russian Federation. In seeking to frame Russia's actions in Crimea, various historical analogies with Nazi Germany have been made, including last week by former U.S. Secretary of State Hillary Clinton.

The use of analogies by politicians in international crises is commonplace. In the complexity and uncertainty of fast moving day-to-day events, policymakers often seek to draw what they perceive as key lessons of the past in seeking to guide and provide rationales for their actions.

For much of the period since the 1970s, for instance, many U.S. officials were fearful of "another Vietnam" referring to the disastrous U.S. intervention in that Asian country. This tended to reduce willingness to deploy U.S. military force internationally unless any action (such as the 1991 Gulf War) had clear, attainable objectives that could swiftly be achieved with a minimum of casualties.

The Vietnam debacle also became a key frame of reference when the U.S.-led intervention in Iraq faltered after 2003. This was despite the fact that the two experiences (Iraq and Vietnam) were dissimilar in many respects, including the nature of the insurgencies, and U.S. objectives in each country.

However, the most widely used historical analogy is that of Munich and Nazi Germany. The widely seen implication for foreign affairs of the ill-fated 1938 UK-French agreement with Adolf Hitler is that appeasement with aggressors doesn't work.

Numerous politicians claim to have been influenced by Munich, including George W. Bush during the "war-on-terror," Margaret Thatcher over the Falklands conflict, Lyndon Johnson concerning Vietnam, Anthony Eden and Guy Mollet during the Suez crisis, and Harry Truman over Korea. Moreover, the continuing salience of Munich is illustrated by the fact that, only last month, Philippine President Benigno Aquino compared what he claimed was China's recent belligerent behaviour with Nazi Germany's expansionism by openly questioning "at what point do you say, 'Enough is enough?'"

While military action appears to have been ruled out by Western policymakers in Ukraine, the fact that Munich is informing the thinking of some politicians is reflected in Clinton's comments last week. She noted that "the claims by President Putin and other Russians that they had to go into Crimea and maybe further into Eastern Ukraine because they had to protect the Russian minorities, this is reminiscent of claims that were made back in the 1930s when Germany under the Nazis kept talking about how they had to protect German minorities in Poland and Czechoslovakia and elsewhere throughout Europe. I just want everybody to have a little historic perspective."

These remarks, which were qualified by Clinton, have been supported by leading Republican Senators John McCain, the party's 2008 presidential nominee, and Marco Rubio, who is widely anticipated to run for president in 2016. McCain has gone even further, asserting that the emboldened stance of Russia in Crimea reflects the "fecklessness" of the Obama administration's foreign policy.

While some see very strong similarities between Russia's incursion into Ukraine, and Nazi Germany's expansionism, the fact remains that use of analogies can be fraught with difficulty for policymakers. On a fundamental level, for instance, not all military actions end up like Vietnam, while not all diplomatic agreements turn out like Munich.

As history shows, there is thus a danger that policymakers misinterpret past crises just as frequently as they learn the right lessons. For instance, Suez and Vietnam underscore how Munich was used to guide or justify major foreign policy blunders by the United States, the United Kingdom and France in the 1950s and 1960s.

Another example is U.S. President John F. Kennedy during the Cuban Missile Crisis who was influenced by Barbara Tuchman's "The Guns of August" book. This argued that World War I started as a result of miscalculation and mistakes from all sides. Kennedy believed the events of October 1962 were reminiscent of the lead-up to that conflict and, wisely, sought to deploy a range of diplomatic options with the Soviets, overruling advice of military advisers for a quick military strike on Cuba.

However, an increasing number of academics now believe that Germany actively sought war, and that Tuchman's thesis is wrong. In this sense, it has been argued that Kennedy's actions (which were prudent in the context of Cuba, and may have saved the world from nuclear war) were based on a misreading of World War I history.

In the case of Ukraine, Munich is by no means the only historical lens through which to interpret what is happening in the country. And, even if it were, there are clear differences between the 1930s and today, including in the interdependence of the global economy, wider dissimilarities in the global balance of power, and the fact that Russia has an extensive stockpile of nuclear weapons.

In the unpredictability and tension of the current moment, it is certainly the case that, like Kennedy in 1962, calm, clear and careful decision-making is now needed by Western (and indeed Ukrainian) politicians as they think through the array of non-military options they have at their disposal, including sanctions. History can provide an especially useful framework in addressing similar or identical policy challenges, but to avoid potentially major misjudgement attention also needs to be given by policymakers to any significant differences between past and present conditions.

INFOGRAPHIC: Comparing Ukraine and Russia's military forces

The opinions expressed in this commentary are solely those of Andrew Hammond.

@highlight

Andrew Hammond: Ukraine is Europe's biggest geopolitical crisis for two decades

@highlight

Russia is drafting counter-proposals to a U.S. plan for a negotiated solution, he says

@highlight

Hammond: The use of analogies by politicians in international crises is commonplace

@highlight

The most widely used historical analogy is that of Munich and Nazi Germany, he writes