What European city has fallen under the rule of the Polish Empire, the Hapsburgs, the Soviets and the Nazis? Here's a clue: It's lined with cobbled roads and features some of the world's most eclectic examples of historic architecture -- from renaissance to baroque to art deco.

Answer: Lviv, Ukraine's official capital of culture.

Never heard of it? You're not alone.

With its independent coffee houses and traditional chocolatiers, Lviv looks, smells, and tastes like the best of Europe. Indeed, its Western flavor has earned it the moniker "Little Paris of Ukraine." And yet, compared to other prized European cities, relatively few people travel here.

For centuries Lviv -- located 50 kilometers from the Poland-Ukraine border -- was a significant stopping point on the main trade routes between the east and west -- and this prime location helped pay for its striking beauty.

"You had to be rich and famous to be here," explained local historian Yaroslav Hrytsak.

During the renaissance, the city could afford Italy's finest architects because every merchant passing through was forced to stay and sell their goods for at least two weeks.

"It was a very smart move to collect money from them," said Hrytsak. "It kept the wealth in the city, and that wealth has been transformed into (architectural) richness."

Read related: Gas pipes and price hikes: Ukraine, Russia's uneasy alliance

The buildings endure but Lviv's prosperity didn't survive its bloody history. The city has, over the centuries, shifted in ethnic, cultural and political make-up - mixing Polish, Ukrainian, Jewish and other identities during a series of gruesome upheavals.

"Here regimes changed quite a lot," said Hrytsak. "We had the Polish rule, then the Hapsburg rule, then for a short period the Russians, then the Ukranian, then Russian, then Nazi."

Then for almost 50 years Lviv was swallowed by the Soviet Union. With that, concludes Hrytsak, the city was condemned to relative obscurity.

But very recently things have started to change -- and fast. According to research from the Lausanne School of hotel business, Lviv experienced a sudden 40% increase in tourism in early 2010, compared to the previous three-year average. This, it said, was the highest rate in Europe.

Just last month, the floodgates opened even wider, when Lviv became a host city for the Euro 2012 football championships.

So how has this happened?

With the USSR's collapse, some saw new opportunities for reviving Lviv's former wealth and fame.

In the mid 90s, Yaroslav Rushchyshyn began producing women's clothes, paying his workers $4 a month. Today they get a vastly improved, but still modest, $250. With nine factories across western Ukraine, his company, Trottola, is now a major producer and exporter for European fashion labels.

"I'm proud because Japan, after the Second World War, started from blouses as well. And where is Japan now?" he said.

The unlikely parallels don't end there. Strolling through Lviv's old streets, you'd never guess the city is now a booming international hub for the I.T. industry.

Limelight networks is a U.S.-founded, Nasdaq-listed company specializing in online content delivery. It's one of many up-and-coming digital tech firms to have opened offices in Lviv over the past few years.

"It had good growth and experience in the U.S., however the company needs more talent to do the new cool projects and products for our customers. This is why we're here in Ukraine."

Lviv's unexpected abundance of I.T. talent is in fact a legacy of the U.S.S.R.

To help the military, many Soviet universities focused on turning out world-class engineers and Lviv's university is still producing them.  The city boasts a disproportionately large educational center with 23  higher education institutions.

Most tellingly of all, seven of these are dedicated to training support staff for work in the tourism industry. It's clear the city of Lviv does not intend to remain a hidden gem for very much longer.

@highlight

Since Euro 2012, little-known Ukrainian "capital of culture" Lviv put back on map

@highlight

City boasts architecture from renaissance and baroque eras, built during wealthy past

@highlight

After 50 years of Soviet rule, Lviv fell into relative obscurity, but strong education system reviving fortunes