(CNN)For more than nine years on the throne, Saudi Arabia's King Abdullah faced a tough balancing act.

Calls to modernize his kingdom were constant. So, too, were objections from hard-line conservatives who chafed at change.

Supporters hailed Abdullah, who died Friday at age 90, as a reformer. And in the United States, leaders have long described him as a close ally in the Middle East who played a key role in bringing stability to the region. He famously held hands with President George W. Bush as the two leaders met in Texas in 2005.

With the wealth of his oil-rich nation behind him, Abdullah wielded far-reaching influence both inside and outside Saudi Arabia.

As the U.S.-led campaign against ISIS in Iraq and Syria ramped up, his leadership was a "game changer," Abdulkhaleq Abdulla, a professor of political science at Emirates University, told CNN last year.

"It was King Abdullah who put all the moral, the political weight behind the international coalition to stop ISIS's momentum," he said.

U.S. Secretary of State John Kerry described Abdullah as a "revered leader" around the world.

"He was so proud of the Kingdom's journey," Kerry said in a statement, "a brave partner in fighting violent extremism who proved just as important as a proponent of peace."

Under Abdullah's leadership, the country slowly squashed al Qaeda, capturing or killing its leaders in the kingdom, forcing the remnants underground and sidelining radical preachers.

In 2005, Abdullah launched a campaign through the country's media and its mosques to educate Saudi citizens about the danger of extremism.

At the same time, the king -- unlike some of his predecessors -- began investing the country's oil wealth in creating jobs for the future.

A massive building program, called King Abdullah Economic City, was one example -- and an acknowledgment that oil money wouldn't last forever.

The king focused on ramping up education, too. King Abdullah University of Science and Technology was designed to be the first coed university in the country.

Some of his more conservative ministers -- his half-brothers -- bridled at his changes.

They weren't the only Saudis disappointed with his leadership.

Many women had hoped for greater independence under his rule. But their dreams were not realized during his lifetime.

He initiated forums for women to debate issues, but failed in the face of opposition to give them real freedom.

Under Saudi Arabia's strict rules, women cannot marry, leave the country, go to school or open bank accounts without permission from a male guardian, who usually is the father or husband.

Much of public life is segregated by gender and women are not allowed to drive.

Even as he ran up against limits to what he could achieve inside Saudi Arabia, beyond its borders Abdullah saw the kingdom's stature grow.

It was the only Arab nation with a seat at the G20, and also became the lead Arab nation in the U.S.-led coalition to eradicate ISIS in Iraq and Syria.

Abdullah bolstered the desert kingdom's defense forces with a massive $150 billion infusion, and he backed Egypt's military rulers who ousted the Muslim Brotherhood from power.

A spokesman for United Nations Secretary-General Ban Ki-moon praised Abdullah's "efforts to address regional and international challenges at a time of turmoil and rapid change, and to promote dialogue among the world's faiths."

U.S. President Barack Obama pointed to Abdullah's work advancing the Arab Peace Initiative, which attempts to solve the long-simmering conflict between Israel and Palestine.

"King Abdullah left a tangible legacy that can still point the way toward peace in the Middle East," the U.N. secretary-general's spokesman said.

In 2010, Newsweek called King Abdullah one of the world's 10 most respected leaders, praising his efforts "to lift his ultraconservative country from the dark ages."

"He's given the go-ahead to modernize schools, has appointed women to high office, and invested in science and technology education and nuclear power initiatives. He's also proven a stalwart ally against Islamic extremism, delivering a much-applauded speech in Mecca that called on Muslims to embrace 'the spirit of tolerance, moderation, and balance,'" the Newsweek article said.

But not everyone felt like Abdullah deserved his reformist moniker.

Another headline in Foreign Policy magazine that year described him this way: "Those who predicted the Saudi monarch would bring real change to the kingdom had it wrong. His real goal has been to tighten his family's grip on power."

"Despite the new levels of openness enjoyed by Saudi citizens, Abdullah is not leading the kingdom on the path to political liberalism. Just the opposite: While making small social and economic concessions, the king is in fact turning the clock back in Arabia, using his popularity to confront clergy and restore the kind of unchecked authority his family enjoyed in the 1970s," Toby C. Jones, an associate professor of history at Rutgers, wrote in an analysis for the magazine.

Ali Al-Ahmed, a former Saudi political prisoner, told CNN on Thursday that it isn't accurate to portray Abdullah as a reformer.

Under Abdullah's rule, he said, political prisoners were harshly punished and extremism flourished in Saudi Arabia even as leaders claimed to oppose it.

"It's the epicenter of extremism, of terrorism, of funding terrorism. ... Reforms in Saudi Arabia do not exist. This is an absolute monarchy, let's be honest," Al-Ahmed said. "This is an absolute monarchy where the government policies are controlled by one family. They decide everything."

CNN's Sarah Aarthun, Laura Smith-Spark and Becky Anderson contributed to this report.

@highlight

Saudi Arabia's King Abdullah has died after more than nine years on the throne

@highlight

Supporters hailed him as a reformer; critics say conservative forces held him back

@highlight

Newsweek once called him one of the world's 10 most respected leaders