Former Pennsylvania Sen. Rick Santorum is running as the "authentic conservative" in the Republican primaries. As his campaign has gained steam moving into the Michigan and Arizona contests, the entire tenor of the Republican debate has changed dramatically.

Social and cultural issues are front and center once again. Whereas candidates had spent months railing against President Obama as a big-government liberal and talking about the weak economy and deficits, over the past two weeks they have plunged back into the culture wars, making provocative statements about contraception, religion, gender relations and more.

In response to media reports about Santorum's comments in 2008, in which he said, "Satan is attacking the great institutions of America," Santorum responded, "I will defend everything I say." Santorum's hope is that social conservatism can offer the path toward a Republican victory, by highlighting a set of issues that can bring the conservative coalition together.

As former Massachusetts Gov. Mitt Romney continues to be pummeled for his flip-flopping on key issues, his wealth, and his background in the private sector, Santorum hopes that he can create a bridge between the Republican right and disaffected blue-collar workers -- the so-called Reagan Democrats -- through social issues that cut across class lines.

The strategy plays into a conventional argument about how Republicans can succeed with voters whose economic interests are better served by the Democrats, namely through focusing on social and cultural issues that shift attention in a different direction.

This is a risky bet for the GOP and a positive development for the administration and congressional Democrats. While most successful Republican presidential candidates have paid lip service to social conservatism in the last three decades, the truth is it has never been an issue through which Republicans have been able to build successful   coalitions that can win at the polls and get bills passed.

Currently, polls show that the public is not in favor of many of the positions espoused by the right when it comes to culture. According to a poll by CBS and The New York Times, 66% supported the administration's plan to require private health insurance to cover birth control and 61% said yes with regard to religiously affiliated employers; Catholics supported the administration 61% to 31%.  In 2011, Gallup found that a majority of Americans supported the legalization of same-sex marriage.

A number of factors other than social conservatism have been responsible for propelling Republicans into the White House. In some cases, Republicans have been able to build broad coalitions when the economy is growing and some of the economic tensions that might otherwise play to the policies of Democrats are muted.

In 1984, for example, President Ronald Reagan could boast that it was "morning in America" again as the impact of the recession was diminishing. In 2000, the continued strength of the high-tech economy allowed Texas Gov. George W. Bush to include economic policies that would benefit the wealthy -- such as a regressive tax cut -- within an agenda of compassionate conservatism that would assist marginalized Americans.

The other way in which Republican candidates have been able to expand their electoral coalition is through appeals based on national security. Claiming that Republicans are tougher on defense has been a way to attract voters whose economic interests fit more easily with the policies of Democrats. President George H.W. Bush did this in 1988 with a devastating campaign that portrayed Massachusetts Gov. Michael Dukakis as a timid liberal who would not stand up to the Soviet Union.

In 2004, his son used similar tactics to portray Sen. John Kerry as a Vietnam War-protesting vet who would not take the needed steps to defeat terrorism. In 1980, aided by a weakened economy, Reagan attacked President Jimmy Carter as impotent and ineffective overseas. The former California governor used the Iranian hostage crisis and the Soviet invasion of Afghanistan as evidence that Republicans were needed to revive America's international standing.

While all of these Republicans certainly paid lip service to social conservatism, those issues were always a limited part of their campaigns and even less important once Republicans were in power.

In this election, Republicans will probably not have any of the other factors that have been so pivotal. If the economy is stronger, one of their central critiques about Obama will not be nearly as effective. Without a major national security crisis -- and after Obama undercut some of the hawkish clamor of the GOP with the killing of Osama bin Laden and several other key figures in al Qaeda -- Republicans won't have national security to hold them together again.

Santorum and his supporters think that social conservatism is the answer. The other Republican candidates, seeking to steal his thunder, have joined the move rightward in recent days.

The president could not ask for much more, as he and his advisers watch the Republican primaries disintegrate into a Republican civil war. Republicans are refocusing the national debate on a set of questions that has little track record as a winning theme, and they have effectively moved the debate away from the president and his vulnerabilities and toward questions about whether the GOP is too extreme. For Obama, it might actually be morning in America again.

@highlight

Zelizer: Rick Santorum's rise in the polls has changed nature of GOP race

@highlight

He says the race has focused more heavily on social issues in recent weeks

@highlight

Social issues haven't been a winning formula for GOP presidential candidates, he says

@highlight

Zelizer: The rightward turn of the GOP race is good news for President Obama