Washington (CNN) -- As a young working mother in the the early 1980s, Diane Wood, like many of her generation, struggled to balance work and family.

The future judge and Supreme Court contender had just accepted a job teaching law in Chicago, Illinois, while pregnant with her second child.

Soon after David was born, the professor went into anaphylactic shock and was rushed to the hospital with post-pregnancy complications. Despite her serious condition, she recovered quickly, but really had no choice. Friends say that with two young kids and a new job, no maternity leave was offered, and her male colleagues at work were mostly clueless over how to deal with her.

"People had no idea what to do with the fact that I had these two tiny children," she told an interviewer last year. Overcoming institutional and social challenges to become a nationally recognized legal heavyweight and high court contender, colleagues say, is a testament to Wood's intellectual and personal fortitude.

Her long, relatively liberal judicial record presents both a measure of certainty about the kind of justice she would become, and a political challenge getting her confirmed.

"Diane Wood is among the most respected federal judges on the left," said Thomas Goldstein, a Supreme Court legal analyst and founder of scotusblog.com. "Being a woman is a political plus, but she has decided cases on abortion, affirmative action, religion, and the like. That will generate more of a political firestorm."

Wood has sat on the 7th Circuit U.S. Court of Appeals in Chicago since 1995. Considered one of the sharpest minds on that bench, she has known President Obama from their days as part-time instructors at the University of Chicago. They have remained casual friends since then. She will turn 60 in July and is among the oldest candidates being given serious scrutiny for the high court.

Aware of her liberalism, progressive groups have been quietly urging the White House to nominate Wood, saying she also enjoys the support of conservative members of her court, and would be confirmable.

Wood was born in 1950 in New Jersey, and as a teenager moved with her parents to Texas, where her father worked as an Exxon accountant. After finishing first in her class at Houston's Westchester High School, Wood had her choice of colleges, including the Ivy Leagues, but chose in-state University of Texas, mainly due to financial considerations. She was weeks from beginning graduate studies in literature at Yale when, on a whim, she pulled out and decided to take up law at UT, where her future husband was studying.

If nominated and confirmed to the high court, she would be the only person on that bench without an Ivy League law degree, and the only Protestant.

She clerked for Justice Harry Blackmun in 1976-77, just three years after he issued the landmark Roe v. Wade decision legalizing abortion. She was one of only three female Supreme Court law clerks that year. She later worked as a government lawyer in the administrations of Jimmy Carter, Ronald Reagan and Bill Clinton.

In between were brief stints in private practice and as a law professor at Georgetown and the University of Chicago, where she started in 1981 as the only full-time female faculty member. She later became associate dean and helped craft the school's first sexual harassment policy, which took several years to implement. "You put your batting helmet on when you go to work for the University of Chicago," Wood said last year. "It's a hard-hitting place."

The retiring Justice John Paul Stevens also attended the school as an undergraduate, and Wood still teaches a class in civil procedure on a part-time basis. Students privately describe her courses as tough but very fair, and say Professor Wood is a knowledgeable, hands-on teacher and good listener.

Twice divorced with three grown children, Wood is now married to a neurologist and lives in a Chicago suburb. Judge Richard Posner, a conservative member of the 7th Circuit and a close Wood friend, officiated at her 2006 wedding.

Friends describe her as keenly interested in world affairs, and she has traveled the globe extensively promoting American concepts of the rule of law. She has made international trade her legal specialty; she speaks French, German, and some Russian.

Among her many interests are the oboe and French horn, and she is good enough to play in several area orchestras.

Wood's judicial record reflects a mainstream liberal jurisprudence, tempered by a respect for precedent and a narrow focus on the facts at hand. Absent are any detours into ideological rants and asides. In her 15 years on the court, she has often served as an intellectual counterweight to leading conservative judges Frank Easterbrook and Richard Posner. She has written more than 50 dissents, and concurrences in dozens more. She became only the second woman at the time to sit on the 7th Circuit, recommended to the job by the late Sen. Paul Simon, D-Illinois.

Like many of the top contenders being considered by Obama, Wood has earned a reputation as a consensus-builder on her court.

Her rulings on abortion have attracted the most criticism from conservatives.

• In 2002, she dissented from a court opinion upholding the constitutionality of an Indiana statute requiring women to wait 18 hours and receive counseling and additional information before obtaining an abortion (A Woman's Choice-East Side Women's Clinic vs. Newman, 2002).

• In 1999, she dissented from a ruling upholding the constitutionality of Illinois and Wisconsin statutes banning a late-term procedure opponents call partial-birth abortion (Hope Clinic vs. Ryan, 1999). The high court a year later affirmed her views, throwing out a similar restriction on the procedure in Nebraska.

• In 2001, Wood wrote the opinion upholding a lower court decision that applied anti-racketeering laws against a group of anti-abortion protesters. The case was reversed twice by the Supreme Court, 8-1 and 8-0. The only dissent by the high court in support of Wood's views was Stevens himself (National Organization for Women vs. Scheidler, 2001).

Wood has expressed admiration for her former boss's views on abortion. "Justice Blackmun articulated in Roe," she wrote in a 1993 law review article, "the important insight that a core set of individual rights exists that neither the states nor the federal government may trample."

Hours after Stevens announced his retirement in April, abortion opponents made their intentions clear:

"A Wood nomination would return the abortion wars to the Supreme Court," Americans United for Life announced in a statement.

"Judge Diane Wood would be a very polarizing and divisive nominee," said Carrie Severino, chief counsel at the conservative Judicial Crisis network. "She's got cases on abortion, the most extreme abortion cases out there, she's got some very difficult opinions just to square with the American people. And so she is pretty far out on the left. But if that is what the president wants to go for, we are ready for a fight."

Church-state disputes are another area that may cause difficulty if Wood is nominated.

• She ruled against a church that claimed O'Hare International Airport's acquisition of church-owned land under eminent domain laws violated the free exercise clause of the First Amendment (St. John's United Church of Christ vs. City of Chicago, 2007).

• She argued in a dissent that Indiana taxpayers had legal standing to challenge the legislative prayer practices in the Indiana General Assembly (Hinrichs vs. Speaker of the House, 2007).

• She issued a dissent in favor of allowing a public university to revoke the charter of a Christian student organization that refused membership to gays and lesbians (Christian Legal Society vs. Walker). The high court last month heard a similar case from the same group, over denial of official recognition by a California law school.

And in 2008, she dissented in a ruling allowing a condominium association to prevent a Chicago family from putting up a Jewish decoration on their doorpost. The Blochs challenged the rule against placing "objects of any sort" in the hallways. Mezuzahs are often placed on doors, and contain a small parchment with biblical sayings.

Wood disagreed with the majority's conclusion the rule was neutral in respect to religion. In a long, detailed dissent, she wrote: "The [condo] Association might as well hang a sign outside saying 'No Observant Jews Allowed.'"

She also criticized the condo board for filing an appeal accusing the homeowners of trying to get a "pound of flesh" from the board. She noted the phrase comes from Shakespeare's "Merchant of Venice," and refers to the shady actions of Shylock, a Jewish moneylender. "This is hardly the reference someone should choose who is trying to show that the stand-off ... was not because of the Blochs' religion, but rather in spite of it." (Bloch v. Frischolz and Shoreline Towers Condominium Assn., 2008).

Amazingly, because of her powerful dissent, the entire appeals court agreed to rehear the case and reversed unanimously, adopting Wood's original position.

A 2005 law school lecture also raised concerns from conservatives over her views on whether current courts should broadly interpret the original text of the Constitution, and the rights and privileges it confers on citizens.

She said of the framers of the 1789 document, "There is no more reason to think that they expected the world to remain static than there is to think that any of us holds a crystal ball," she wrote. "The only way to create a foundational document that could stand the test of time was to build in enough flexibility that later generations would be able to adapt it to their own needs and uses."

Many conservatives believe judges should adhere to the strict wording of the Constitution, and not try to read into rights that do not exist, such as, they contend, the "right" to an abortion.

Wood was interviewed by the president last year, a finalist for the high court seat that went to Justice Sonia Sotomayor. Colleagues privately say Wood was pleased with the rapport she established in the one-on-one meeting in the Oval Office.

She has given few media interviews over the years, and has been generally reticent about stating her views off the bench. When approached by CNN last year in Washington, where she had gone to meet Obama, Wood was polite but firm about her chances. "I'm not answering anything on that," she said, smiling and apologizing she could not say more.

In an interview last fall with her alumni magazine, Wood said, "As a judge you don't campaign for such things. I'm in the luxurious position of knowing that the people who count know that I am here, and if they are interested, they'll let me know."

@highlight

Diane Wood has a long, relatively liberal judicial record

@highlight

Wood has sat on the 7th Circuit U.S. Court of Appeals in Chicago since 1995

@highlight

Rulings on abortion, church-state disputes could result in tough confirmation battle

@highlight

She speaks French, German, and some Russian; plays the oboe and French horn