(CNN) -- One of the Internet's great promises is that it's the ultimate democratizer. It's open to everyone and allows all people to communicate.

Facebook and Google have added new translation tools, but they take different approaches.

But, so far, there have been several hitches in that plan. Not everyone has access to a computer and a broadband connection. Some governments still censor the Internet. And of course, we don't all speak the same language.

For the World Wide Web to be truly global, shouldn't Chinese speakers be able to chat online with people who only speak Spanish? And why should an English speaker be barred from reading blogs written in Malagasy or Zulu?

Facebook Inc. and Google Inc. are two Web companies trying particularly hard to make this happen, and they've released a number of updates to their translation services in recent weeks.

The two online giants are going about the process in different ways.

Facebook aims to translate the Web using an army of volunteers and some hired professional translators. Meanwhile, Google plans to let computers do most of the work.

Which method will ultimately prevail remains to be seen.

But for now, here's a look at the latest language features from both companies, and some background on how their translation services work. (Feel free to add your own Internet translation tips -- and fun translation bloopers -- in the comments section at the bottom of the story):

Facebook's human translation

Many tech bloggers think Facebook's method of human translation seems promising. After all, the American-born social networking site introduced non-English languages for the first time only in January 2008. Now about 70 percent of Facebook's 300 million users are outside of the United States.

How it works: Real people are at the heart of Facebook translation plan. They suggest translated phrases and vote on translations that others have submitted. These crowd-sourced edits -- which work kind of like Wikipedia -- make Facebook's translation service smarter over time. Go to Facebook's translation page to check it out or to participate.

Size: More than 65 languages function on Facebook now, according to Facebook's statistics. At least another 30 languages are in the works, meaning Facebook needs help working out the kinks on those languages before they're put to use.

What's new? Facebook announced in a blog post on September 30 that the social network has made its crowd-sourced translation technology available to other sites on the Web. The update allows sites to install a translation gadget on their sites through Facebook Connect, a service that lets Facebook users sign in on other Web pages.

Facebook also added some new languages, including Latin and "Pirate," which translates the Facebooky word "share" as "blabber t'yer mates!"

Pros and cons: People are good at knowing idioms and slang, so Facebook tends to get these right, but there are limited numbers of multi-lingual volunteers who want to spend time helping Facebook translate things.

Also, Facebook's site is available in many languages, but its human translators don't touch wall posts, photo comments and other user-submitted items, which is a big con if you want to have friends who don't share a common language with you. People who use Facebook Connect to translate their sites can choose which text they want users to help translate, according to Facebook spokeswoman Malorie Lucich.

Craig Ulliott, founder of whereivebeen.com, said he's excited about Facebook's translation application, but it would be too much to ask his site's users to translate user-submitted material.

Google's 'mechanical' translation

Google uses mathematical equations to try to translate the Web's content. This fits in line with the company's mission, which is to organize the world's information and make it useful and accessible to all.

How it works: Google's computers learn how to be translators by examining text that's already on the Web, and from professional Web translations posted online, said Franz Och, a principal scientist at Google. The more text is out there, the more Google learns and the better its translations become. The search-engine company currently translates documents, search results and full Web pages.

Size: Google claims to be the largest free language translation service online. It covers 51 languages and more than 2,500 language pairs. The site's interface has been translated, with the help of Google users, into 130 languages.

What's new?: Google recently created a widget that any Web developer can put on his or her page to offer up Google translations. So, say you're a blogger who writes about music. You might get some Brazilian readers if you offered up a button to translate your site into Portuguese.

Google also recently unveiled a translation service for Google Docs, which lets anyone upload a document to the Web and have it translated into a number of languages for free. And there's a new Firefox add-on from Google to help people translate the Web more quickly.

Och said real-time translation of Internet chats is on the horizon, as are more languages and increased quality as Google's computers get smarter.

Pros and cons: Google's computerized approach means it can translate tons of content -- and fast. But computers aren't quite up to speed with ever-evolving modern speech, so reports of translation errors are fairly common.

On the plus side, the service has been vastly improved in the last five years, Och said. Also, Google lets people spot translation errors, suggest new wordings and translate its interface into languages Google's computers don't speak just yet.

@highlight

Facebook and Google are finding new ways to translate the Web

@highlight

Facebook favors human translation; Google leans on its computers

@highlight

Google claims to be the largest translation service online, with 51 languages

@highlight

Facebook announces a new service to let Internet users help translate sites