Beirut, Lebanon (CNN) -- Tensions were high Friday night around Lebanon, hours after a top Lebanese intelligence official known for his anti-Syrian stance and at least two others were killed in a massive explosion in normally peaceful neighborhood of Beirut.

Gunfire erupted in the capital and enraged citizens blocked roads after the blast, which left Brig. Gen. Wissam al-Hassan dead and heightened fears that Syria's civil war could boil over into neighboring Lebanon. In Sidon, people shouted, blocked city streets and burned tires in protest, according to CNN iReporter Ernesto Altamirano.

The friction turned to violence in other spots, including clashes in the seaside Lebanese city of Tripoli between supporters and foes of Syria's government.

Saad Hariri, a Lebanese opposition leader and former prime minister, told CNN that he had no doubt who was responsible for the bloody car bombing: Syrian President Bashar al-Assad. He accused the Syrian leader of "killing his own people" and said "he will not think twice" about killing Lebanese in order to protect himself.

"The message from Damascus today is anywhere you are, if you are against the regime from Lebanon, we will come and get you," said Hariri, who blames the 2005 assassination of his father, former Prime Minister Rafik Hariri, on Syria's government. "No matter what you try to do, we will keep on assassinating the Lebanese."

The blast took place during Friday afternoon rush hour in East Beirut's cosmopolitan Ashrafiyeh district, a predominantly Christian and populous area replete with shops, churches and office buildings. The neighborhood is considered among the safest in the city, said Aram Nerguizian, who teaches around the block from the attack site.

The huge blast shattered this peace -- spurring panicked and tearful residents to pour out of their apartments, with some carrying victims to nearby ambulances. The bomb's impact created a crater near Sassine Square, tore balconies off apartments, left rows of mangled cars and charred buildings, and shook the windows in CNN's offices, about a 10-minute drive from the scene.

Photos: Aftermath of Beirut blast

At least one car was engulfed in flames, blackened wreckage littered the street, and windows were blown out.

The exact casualty count was unclear: Lebanon's National News Agency said eight people died and more than 90 were injured, but it later amended the figure to at least three deaths and 110 injuries.

Reports said al-Hassan was among the dead. And a Lebanese political source who did not want to be named told CNN it was 99% confirmed that al-Hassan had been killed. "There is an unrecognizable body found, and they have found his personal belongings at the scene," the source said.

The intelligence official's killing brought a sense of deja vu to Lebanese, recalling the 2005 assassination of Rafik Hariri, which triggered the end of Syria's occupation of Lebanon, and the turmoil that followed.

Brig. Gen. Wissam al-Hassan a pivotal, 'polarizing' figure

Al-Hassan, the chief of the Internal Security Forces Information Branch, was a powerful Sunni Muslim figure aligned with a political movement that emerged after Rafik Hariri's assassination and opposes Syria's government under al-Assad. He was also leading an investigation into a Lebanese politician accused of working with two Syrian officials to plan attacks inside Lebanon.

That former minister and member of parliament, Michel Samaha, is in jail awaiting trial after being accused of trying to arm and form an armed group to spread sectarian violence in Lebanon by plotting political and religious assassinations. Two Syrian security officers also have been charged in the case.

"Unfortunately, today, al-Hassan paid the price for his success," Saad Hariri said.

His brother Ahmed Hariri, a top party official in the March 14 movement opposition bloc, said in a press conference that he holds Lebanon's government responsible for inadequate security and not doing more to prevent the blast. He urged Lebanese Prime Minister Najib Mikati and his government to resign immediately.

Mikati declared Saturday a day of national mourning in decrying the "abominable crime" in a statement. But his failure to appear publicly after the explosion elicited criticism, including from one protester in Beirut who said, "This government is killing us by not doing anything. It is not acting like a government. It is like a ghost government."

Human rights groups, foreign governments and world leaders condemned the attack, demanded justice and called for calm in the volatile Middle East nation. U.N. Secretary-General Ban Ki-moon, for instance, urged "all Lebanese parties not to be provoked by this heinous terrorist act and to maintain their commitment to national unity."

The Shiite militant and political movement Hezbollah -- which has a prominent role in Lebanon's government and which the U.S. government labels a terrorist organization -- also criticized the blast, which it described as a "sinful attempt to target the stability and national unity."

Syria called the attack a cowardly, "unjustifiable" terrorist act.

Yet some, including Saad Hariri and Andrew Tabler of the Washington Institute for Near East Policy, are not convinced, believing Damascus is responsible either directly or indirectly for the bombing.

Many Lebanese believe al-Assad wants to promote instability in Lebanon and elsewhere to turn attention away from the 19-month long civil war in his country.

Lebanon is still recovering from its own 15-year civil war, which ended in 1990. Since then, the country has been plagued by assassinations and sectarian tension among Sunnis, Shiites, Christians and others.

"An event like this can increase the risks of Sunni-Shiite conflict in urban centers like Beirut," Nerguizian said. "It could be a harbinger for more instability."

CNN's Nick Paton Walsh and Mohammed Jamjoom reported from Beirut. CNN's Joe Sterling reported from Atlanta. CNN's Greg Botelho, Saad Abedine, Amir Ahmed, Nada Husseini and Tracy Doueiry contributed to this report.

@highlight

NEW: Prime Minister Mikati declares a day of mourning, but one man says action is needed

@highlight

The blast in an East Beirut commercial district leaves mangled cars and charred buildings

@highlight

The slain security official led a probe of a man accused of arming would-be assassins

@highlight

There are fears the attack could spur more violence between Shiite and Sunni Muslims