The first week of a lawsuit seeking to reform New York's stop-and-frisk policy featured emotional accounts from men who say police stopped them for no reason and NYPD officers who say mandated quotas forced them to make unnecessary stops.

The federal class-action lawsuit, Floyd v. City of New York, claims police routinely stop minority men without a legal reason. It was filed in 2008.

Officer Adhyl Polanco, an eight-year veteran of the NYPD who works in the Bronx, testified Tuesday that he was told at a daily roll call that he had to log at least five stop-and-frisks, make one arrest and write 20 tickets each month, according to CNN affiliate NY1.

"They said, 'You do it or you are going to become a Pizza Hut deliveryman,'" Polanco said. "I started recording it because I could not believe what I was hearing."

NYPD report: Most of those 'stopped and frisked' are minorities

The practice in which police stop, question and frisk people they consider suspicious has been widely criticized, but the police department says it is used to deter crime.  According to the New York Civil Liberties Union, the NYPD logged its 5 millionth stop-and-frisk under Mayor Michael Bloomberg last week.

Bronx Police Officer Pedro Serrano also taped discussions with supervisors during the daily roll call starting in 2010.  Both officers said it was during these roll calls that their supervisors would urge them and their fellow officers to write more summonses, make stop-and-frisk stops and make arrests.

In the recordings, which were played in court by the plaintiffs' lawyers, supervising officers can be heard saying  they want "more 250s," referring to the form that officers fill out when they conduct a stop, question and frisk.

"If you don't want to be on a foot post, get a collar (an arrest)," supervisors also said in a recording played on Thursday.

Lawyers for the city dismissed the talk of quotas. During cross-examination they pointed to the fact that police supervisors suggested Polanco and other officers might be slacking off on the job.

In a recording Serrano made in February 2013, an inspector can be heard talking about stop-and-frisks, saying that officers need to stop "the right people at the right time in the right location."

Later in the recording, Serrano and his superior have a conversation about Mott Haven, a notoriously high-crime area in the south Bronx that the inspector says has had many problems with robberies and grand larcenies.  He continues to say, "The problem was what? Male blacks. And I told you that at roll call, and I have no problem telling you this: male blacks 14 to 20."

City attorneys say that officers operate within the law, going where the crime is, and that crime happens to be higher in minority neighborhoods.

Department Deputy Chief Michael Marino testified Friday that when he was overseeing the 75th precinct in Brooklyn, he had to set a goal of 10 summonses and one arrest per month because the officers were performing poorly.

"Department managers can and must set performance goals," Marino said.

While performance goals are legal, under a state law that was revised in 2010, quotas are not.

Serrano, a nine-year police veteran, got choked up when asked why he came forward with the allegations of stop-and-frisk quotas in the NYPD.

"As a Hispanic walking in the Bronx, I've been stopped many times, and it's not a good feeling," he said. "As an officer, I said I would respect everyone to the best of my abilities. I just want to do the right thing."

Serrano said he faced retaliation from his superiors for refusing to meet the quotas.

"I would have a day off and they'd give me forced (overtime)," he said to the court. "I would get yelled at, get low evaluations, they would deny days off."

And after he complained about this alleged treatment to internal affairs, he said fellow officers plastered his locker with stickers of rats.

Earlier in the week, teen witness Devin Almonor testified that when he was 13 he was illegally stopped, questioned and frisked, according to NY1.

"I want to be a voice to fight against the injustices of some of the NYPD," Almonor said.

Nicholas Peart, 24, testified that he has been stopped multiple times, once in 2011 while walking to the store to get some milk.  He said he feared for the safety of his siblings after the officers took his keys and went into his apartment building.

According to plaintiffs' attorneys, the lawsuit is not about putting an end to stop-and-frisk, but examines how the police department conducts those stops and whether it stops blacks and Hispanics in violation of the Constitution.

The Center for Constitutional Rights, a nonprofit civil rights law practice, is arguing on behalf of the plaintiffs. The lawsuit seeks to reform stop-and-frisk under the supervision of a court-appointed monitor.

The lead plaintiff in the case is David Floyd, a medical student who was stopped twice, once in the middle of the afternoon when he was in front of his home in the Bronx, according to the suit.

"We need somebody to look over the shoulder of the police department, not in an overly aggressive way, but in a limited way to make sure that this practice is being done in a constitutional fashion," said plaintiff attorney Jonathan Moore.

City Council Speaker Christine Quinn said this week that council members have reached a "broad agreement" on a bill to have an office within the city's Department of Investigation that would be allowed to subpoena police officials and documents.

The trial is expected to last four to six weeks and is scheduled to reconvene on Wednesday. The outcome will be decided by U.S. District Judge Shira A. Scheindlin.

@highlight

Police testify they were ordered to intercept 5 people a month

@highlight

Supervisors can be heard giving orders during recorded roll calls

@highlight

Plaintiffs in lawsuit say blacks, Hispanics unconstitutionally singled out

@highlight

City maintains method is being used to deter crime