(CNN) -- The disclosure Saturday by Japanese authorities that milk and spinach have shown higher-than-normal levels of radiation contamination has raised concerns about food safety and supplies in one of Japan's most heavily populated regions.

Tainted milk was found 30 kilometers (18 1/2 miles) from the Fukushima Daiichi nuclear plant and spinach was collected as far as 100 kilometers (65 miles) to the south, almost halfway to Tokyo. The plant was badly damaged after a 9.0 earthquake and subsequent tsunami hit the coast on March 11.

But Chief Cabinet Secretary Yukio Edano stressed to reporters Saturday afternoon that the levels were not extremely high: A person who consumed these products continuously for a year, he said, would take in the same amount of radiation as that of a single CT scan.

The U.S. Food and Drug Administration said that equates to 7 millisieverts, more than double the 3 millisieverts that a person in an industrialized country is typically exposed to in a year.

Health effects would become more evident, he said, if such products were taken in daily for a lifetime. Edano said high radiation levels were not systemic for all spinach and milk tested, and that more data would be collected and analyzed under the Japanese health ministry's watch to help determine what steps to take next.

The Fukushima prefecture, or province, is just to the northeast of Tokyo. According to the prefecture's website, Fukushima plays an important role in supplying food, not only to Tokyo, but also to the nation. The prefecture is Japan's fourth-largest farmland area and ranks among the top producer of fruits, vegetables, rice, tobacco and raw silk. The favorable climate lends itself to an active agricultural industry that includes livestock farming.

The website also states that the prefecture's 159 kilometer-long coastline is home to a thriving fishing and seafood processing industry, and the area's haul of fish is among Japan's largest.

Neighboring Ibaraki prefecture supplies Tokyo with a significant amount of fruits and vegetables. Ibaraki is the largest producer of Andes melons in Japan, according to the prefecture's website, as well as the country's third-largest producer of pork.

The impact on rice production in the area is also a source of concern. Rice is Japan's largest crop. Rice paddies account for 55% of Japan's farmland, and about 85% of the 2.3 million farms in Japan plant rice annually. While the value of the rice industry relative to the national economy has declined in recent years, rice production is culturally significant and an important part of Japanese heritage. Fukushima prefecture contributed 4.5% of Japan's total rice production in 2010. Ibaraki prefecture is the country's second-largest producer of Koshihikari,a gourmet variety of rice.

According to the Food and Agriculture Organization of the United Nations, Japan's rice-growing season starts in April (depending on the region) and this year's crop could remain unaffected, depending on how much radiation is released and in which direction, as well as how long it takes to clear farmland of contaminated soil.

Jim Walsh, CNN consultant and international security expert at the Massachusetts Institute of Technology, warned that should a reactor suffer a meltdown and radiation reach ground water, the situation would be much worse, as it would be impossible to tell where the contamination starts and stops.

So, how does food become contaminated? According to the World Health Organization, the surface of foods like fruits and vegetables or animal feed can become radioactive by the deposit of radioactive materials falling on it from the air or through rainwater.

Over time, radioactivity can also build up within food, as radionuclides are transferred through soil into crops or animals (and thereby tainting milk), or into rivers, lakes and the sea, where fish and shellfish could take up the radionuclides. Radionuclides are elements in an unstable form that emit radiation. The severity of the risk depends on the radionuclide mix and the level of contaminant released.

The health organization says packaged food is not susceptible to radiation contamination as long as the food is sealed.

The organization warned that "food contaminated with radioactive material will not appear spoiled, but consuming such food will increase the amount of radioactivity a person is exposed to and could increase the health risks associated with exposure." It went on to recommend that people avoid consumption of locally produced vegetables and milk, as well as fishing, hunting and slaughtering animals.

As of right now, Japan appears to have adequate stockpiles of staples such as rice, but getting food to some of the hardest-hit regions is proving difficult. If current radiation levels hold, the farming community, while affected, could be spared. With the situation being so fluid, however, it's impossible to tell what impact this disaster will have on an already devastated population.

@highlight

The Fukushima province is the top producer of fruits, vegetables, rice

@highlight

Its fish haul is among Japan's largest

@highlight

Contaminated milk, spinach found so far