(PopSci.com)  -- Until last December, no one had ever seen the bottom of the Tasman Fracture, a trench that drops more than four kilometers below the surface of the ocean. A group of Australian and American researchers recently spent a month hundreds of kilometers southwest of the Tasmanian coast, exploring the fracture's depths.

This funnel-shaped sea squirt, never before seen, will snap shut like a Venus flytrap around shrimp that are unfortunate enough to go near it.

Jess Adkins, a professor at Caltech and one of the project's lead scientists, remembers sitting in his control room and watching the underwater life on his monitors with a sense of awe.

Once, he says, none of the scientists or pilots said a word for 10 minutes straight as their submersible glided over an undiscovered coral reef full of urchins and sponges and sea stars.

The researchers explored the fracture with Jason, a remotely-operated submersible the size of a small car. On loan from the Woods Hole Oceanographic Institute, it carried a high-definition camera that weighed more than 500 pounds and beamed underwater video up to the ship through a long fiber-optic tether.

At 3,000 meters below sea level, the crew saw thousands of sea spiders. At 3,500, millions of specimens of a new, purple-spotted sea anemone. At 4,000 meters, a single never-before-seen carnivorous sea squirt with a funnel-shaped body that snapped shut like a Venus flytrap around any shrimp unfortunate enough to brush against it.

Back on land, the three new species (the anemone, the sea squirt, and a new kind of barnacle) have drawn the most attention, but it's the team's coral collection, some 10,000 pieces of it, that can tell us about the history of our climate and, perhaps, its future.

A coral skeleton acts as a tape recorder of its environment. As it grows, the coral's chemical structure (specifically the weight of its oxygen molecules) varies depending on the temperature of the water around it. And, because the coral's uranium decays into thorium over time, it is conveniently datable.

By charting different corals' ages and oxygen weights, researchers can map the ocean's changing temperature. During the coming months, expedition scientists will compare 40,000 years of oceanic and atmospheric records.

The ocean's temperature and carbon dioxide levels are important because of their impact on our atmosphere. The watery part of the world absorbs and stores sixty times more CO2 than the atmosphere.

Huge reservoirs of the ocean's CO2 lurk in its coldest, densest waters (found in the Tasman Fracture and off Greenland). Because cold water releases more CO2 into the air than warm water, the rate at which bottom water rises to the surface has a profound effect on the atmosphere above.

Until recently, we had assumed that our climate was relatively stable. After all, for the past 10,000 years -- during which we developed the alphabet, electrical wiring, and microchip necessary for this article -- little has changed.

But early-'90s research on Greenland's ice core proved that, over the past 100,000 years, climate stability has been the exception, not the norm. During the last glacial period, global temperatures fluttered up and down by as much as several degrees in as little as a decade. CO2 levels in the atmosphere changed along with the temperature, though more slowly.

The researchers' ultimate goal is to see if changes in the ocean followed or proceeded changes in the atmosphere. Adkins suspects that the ocean (and in particular the depths of the ocean) played a part in triggering the climate's sudden fluctuations.

He's sure, though, that we're adding more CO2 to the ocean now, in the form of burning fossil fuels, than it has ever held before. Given how little we know about how the ocean regulates the amount of CO2 in our air (we've mapped the surface of Mars, he points out, but not the ocean floor) he wonders if that's such a good idea.

We do know that increasing the amount of carbon dioxide in the ocean makes it more acidic. And whether or not it sets off a climate shift of Pleistocenic proportions, acidification could kill the researchers' newly-discovered, awe-inspiring reef, along with others we haven't even found yet. There would be just as much ocean to study, but less to find.

Copyright © 2009 Popular Science

@highlight

Scientists studied the Tasman Fracture, a deep trench in the ocean

@highlight

They used a remote-controlled machine which sent back video

@highlight

Discoveries included a new anemone, the sea squirt and a new kind of barnacle