China has emerged as one of the fastest-growing sources of international buyers for US real estate -- in what some see as a sign that China's rich are increasingly seeking to take their money out of the country.

According to a report published by the National Association of Realtors this week, buyers from China and Hong Kong made up the second-largest group of foreign buyers of homes in the US in the 12 months to March -- Canadians took first place -- accounting for $9bn of sales.

That is a 23 per cent increase on the $7.3bn of sales they notched up in the previous 12 months and an 88 per cent increase from $4.8bn of sales in 2010.

"International Chinese buyers are seen as a very desirable market by real estate agents at the moment," said Jed Smith, managing director at the NAR. "The strongest growth is coming from China and the rise of Chinese buyers has made up for declines in sales from buyers from the UK and Mexico."

Sales to international Chinese buyers still represent only a tiny fraction of the overall US market, which recorded $928.2bn in sales in the year to March.

But at the top end of the market, it's a different story. The 23 per cent jump in sales value, despite flat sales volume, suggests that Chinese buyers have been active at the top end.

Pamela Liebman, chief executive of The Corcoran Group, a residential real estate brokerage company, says there has been a "huge" influx of wealthy mainland Chinese shopping for high-end properties in New York since the start of the year.

"It's extraordinary," she says. "Five years ago, we never talked about Chinese buyers. We started noticing them 18 months ago but they have only become much more prevalent in the past year."

Ms Liebman says she saw "hundreds of millions" of dollars in sales last year to Chinese buyers and the pace has intensified since the start of 2012. "The past quarter has been our best quarter ever in terms of sales to Chinese buyers."

Properties that have been snapped up by China's rich range from $1m apartments to $20m trophy properties. "Buying groups" -- group tours of mainland buyers coming to New York to view properties -- have become commonplace, says Ms Liebman.

"It's a market that we are now targeting heavily," she says. "We have been recruiting Mandarin-speaking agents and have launched affiliations with brokers in China."

Reasons for purchases vary, say those who have dealt with overseas Chinese buyers. Some are buying because they want to emigrate or they have children who will go to school in the US.

Others buy because the numbers add up: despite its recent dip, the renminbi is still up more than 4 per cent against the US dollar since the start of 2010 while US house prices are still in recovery mode and appear cheap compared with Australia or Canada.

"When you look at how cheap US real estate is now compared with China, it makes a lot of sense to buy there, especially since you have more rights when you own a property in America," said a wealthy Chinese investor who has bought several properties in the US but asked not to be named so as not to draw attention to the fact of shifting assets abroad.

Still others are simply looking for somewhere safe to park their cash.

In a year that has seen China affected by political infighting at the top and mounting evidence that the economy faces a bigger-than-expected slowdown, there has been a sharp rise in Chinese millionaires seeking to settle in the US or at least to secure residency rights.

EB-5, a little-known programme that gives a green card to any foreigner who invests at least $500,000 in a business forming 10 or more jobs in the US, received a record 1,675 Chinese applications during the first quarter.

That compares with 2,408 applications in the whole of last year, 772 in 2010 and 63 in 2006.

"There is no doubt that the political situation back home is having an impact on how China's rich are thinking of preserving their wealth," says Ms Liebman.

In China, all land is owned by the state and investors can only buy leasing rights of usually up to 70 years, rather than to secure outright ownership.

@highlight

China has emerged as one of the fastest-growing sources of international buyers for US real estate

@highlight

China and Hong Kong made up the second-largest group of foreign buyers of homes in the U.S.