(CNN) -- I met Jerry Sandusky in the late 1990s. I was at Penn State conducting a workshop with coaches on sexual violence. It was a few years after my retirement from professional football and a decade removed from my days at Syracuse University, where I competed against Sandusky's defense on the playing field.

I had great respect for Sandusky as a coach and remember his masterful game plan in the 1986 national championship, when Penn State defeated Miami with its impeccable strategy, devised by the architect of "Linebacker U."

I spoke with Sandusky and found he was not a typical defensive coach. He was pleasant and passionate about his charity, The Second Mile, and the work it did to help young men find their way. I was thoroughly impressed.

If the allegations that Sandusky sexually abused young boys are true, it would defy the common misperception that pedophiles are monstrous misfits. But it would fit in with the true profile.

When I began working in the field of sexual and domestic violence prevention in 1995, I was stunned to find that more than 80% of rape survivors know the men who attack them. The vast majority of sexual predators rely on an insidiously derived trust that not only provides access to their victims, but works to maintain their anonymity even in the light of day. They often stand on a broader, established reputation and use threats and gifts to maintain their victims' silence.

When I served on the board of Stop It Now, which is focused on the prevention of sexual abuse of children, I learned that more than 90% of abused children know their attacker. Once again, this defies our misguided belief that predators are like lions in the tall grass waiting to attack. The overwhelming reality is that they are individuals who manipulate trust and positions of power to gain access to their victims and control them. It is this reality that has led to such terms as "intimate partner violence" and "interpersonal violence" and "acquaintance rape." Trust, access and familiarity are the tools of sustained abuse.

It is important to note that, in most cases, men are the abusers. This is essential in developing prevention strategies that are grounded in an accurate assessment of who commits the crimes.

Ignoring the gender of the abusers fits in with our broad view that sexual predators are "monsters," or social deviants living in shadows. We think of men as the sturdy keepers of social status and power, and the standard bearers of a decent society that plays by the rules.

Sandusky established a level of trust with his charity work consistent with the commitment he showed for the institutions he represented for most of his life. As a football coach at Penn State, Sandusky was the epitome of its image and reputation. The program under Joe Paterno is considered one of the cleanest in college football, boasting high graduation rates and on-field performance. The image, right down to the Nittany Lion uniform, has been conservative and upstanding.

As a prominent coach in that system, Sandusky was a central figure. It's not hard to understand why many around him might have a vested interest in maintaining that perception. Penn State stood above in the hypercompetitive and often unscrupulous world of college sports, and this served as a recruiting tool and an assurance to parents of promising high school football players. It's also not hard to understand why parents of troubled young men would want their sons to have the influence of the environment that Penn State and Sandusky provided.

It would be convenient to consider a child abuser a "monster." It would be convenient to call the alleged coverup a "mistake" by a couple of college administrators who sought to protect their institutional reputation. That talk has already begun, in part because we don't want to look at the issue of child sexual abuse or abandon the beliefs we hold, including and especially our faith in sports.

But that faith and trust is waning. In an attempt to preserve a storied reputation, Joe Paterno has called on all "Penn Staters to trust what that (institution) stands for." If these charges are true, that same veil of trust might have allowed a child sexual predator to go undetected.

The world of sports contains many good men. But there is also a culture of silence upon which the myth of men thrives. We often speak of sports in terms of courage and integrity. Those altruistic qualities must transcend the field and be brought to bear for the protection of our children.

The opinions in this commentary are solely those of Don McPherson.

@highlight

Don McPherson met Jerry Sandusky at Penn State, had great respect for him

@highlight

He says if it's true Sandusky raped boys, it would fit profile of a pedophile

@highlight

Pedophiles are not monstrous misfits, he says, they are often pillars of community

@highlight

Penn State had a lot to gain by upholding a clean sports reputation, he writes