(CNN) -- Hopes for a Libyan cease-fire were raised briefly this week when it was announced that longtime leader Moammar Gadhafi had agreed, in principle, to the African Union's "road map" proposal for peace.

Gadhafi's opposition later rejected the proposal, but its leaders said they would be open to any other proposals the African Union might make. African Union delegates join an international conference on Libya's future on Wednesday.

Could the African Union be the key to peace in Libya? What is the African Union, anyway? Here's what you need to know:

1. The African Union is relatively new.  The African Union was formed in 2002, replacing the Organization for African Unity, which had been in place since 1963. Its membership is composed of every African nation except Morocco, which withdrew from the OAU in 1984 because it took exception to the OAU's inclusion of the Sahrawi Arab Democratic Republic.

"The main overriding idea was to give more prominence to Africa, to make it an organization that had real teeth, that could push Africa on the international stage, that gave it a more unified voice to Africans," said Richard Downie, deputy director of the Africa Program at the Center for Strategic and International Studies.

The diplomatic boost is just one of the reasons the African Union was created. Economic prosperity was another -- the African Union is working toward the formation of a central bank and its own currency similar to the euro -- and there was a desire for Africa to be able to respond to its own security crises with peacekeeping troops and humanitarian aid.

"The idea going forward is that the AU will take more of a lead in trying to come up with solutions to Africa's security problems rather than relying on the international community or the United Nations," Downie said.

2. The African Union has been more effective than its predecessor.  The African Union seems to have taken a much more active role than the Organization for African Unity ever did, implementing policies to reduce poverty and corruption. And one of if its most visible actions in recent years has been sending peacekeeping troops to Somalia and Darfur.

The OAU had been criticized for sitting idly while humanitarian crises developed in Rwanda and the Democratic Republic of Congo.

"The general perception of the African Union is that it has been considerably more effective than its predecessor, particularly on peace and security questions," said John Campbell, the Ralph Bunche senior fellow for Africa policy studies at the Council on Foreign Relations. "It's considerably more (of an) activist than its predecessor was."

Downie agrees that the African Union has been more successful, but that's not saying much considering the Organization for African Unity "had a pretty awful reputation. Basically, it became a bit of a running joke as an organization that stood up for dictators."

3. The African Union is struggling financially.  Maxwell Mkwezalamba, the African Union's commissioner for economic affairs, recently expressed concern about the organization's ability to pay peacekeepers in Somalia, Sudan and possibly Ivory Coast and North Africa if soldiers were ever needed there.

"The AU does not have adequate funds to finance soldiers in those countries," he told The East African newspaper this month. "Our expenditure budget is currently constrained to meet the ever rising demand for intervention."

The African Union has had financial problems since its inception, Downie said.

"A lot of countries have either struggled to pay their fees to keep this thing running or just kind of accidentally forgotten to pay the fees at all," he said.

Filling in the gaps have been a select few of the African Union's 53 members. It has been reported that five of the continent's most prosperous countries -- Algeria, Egypt, Libya, Nigeria and South Africa -- cover three-fourths of the group's budget.

4. When it comes to Gadhafi, the African Union might be biased. With Gadhafi funding such a large chunk of the African Union's running fees -- about 15 percent since the group was founded -- there's a bit of a conflict of interest, Downie said.

Gadhafi's oil riches have also helped some of the same leaders who are on the five-man panel trying to negotiate a cease-fire.

"Some of these leaders are indebted to Gadhafi, and therefore maybe they're not the most honest brokers when it comes to negotiating a cease-fire," Downie said, using South Africa's Jacob Zuma as an example. Gadhafi funded South Africa's African National Congress for many years when it was a liberation movement fighting apartheid.

Another thing to keep in mind is that Gadhafi, frustrated with the Organization for African Unity, helped lead the charge for the African Union when it was just getting started. He also served as its chairman for one year, from 2009 to 2010. So it might not be surprising if the African Union was to lean in his favor.

"Don't you think it's sort of interesting that in the case of Libya, the Arab League favored outside intervention to protect Libyans, and the African Union did not?" Campbell asked.

5. The African Union is respected by many, but it still has much to prove. Outside Africa, Campbell said, many countries and international groups have a favorable opinion of the African Union.

"But remember, we're talking here about something like motherhood and apple pie -- in other words, everybody favors regional organizations, particularly regional organizations in Africa, that try to deal with peace and security questions," he said.

The United States has an ambassador to the African Union, and Downie said that's proof that the group is "gaining prominence and seriousness."

"In diplomatic terms, this is an organization that you have to talk to and consider," he said.

Although the financial problems are something to keep an eye on, especially without Gadhafi, the African Union has shown good intent and seems to be going in the right direction, Downie said.

"This is an organization that we will have to take more notice of in the coming years," he said.

@highlight

The African Union's cease-fire proposal was rejected by the Libyan opposition Monday

@highlight

The organization was created nearly 10 years ago with Moammar Gadhafi's help

@highlight

The African Union has provided the continent with a diplomatic and economic boost

@highlight

But some experts say its history with Gadhafi creates a conflict of interest