(CNN) -- "Wherever the olive tree grows, you won't find much tax being collected," the mayor of a small town in southern Spain told me a few years ago. He shrugged; such was life.

He probably had no idea that some high-powered academics were about to come up with the same conclusion. When they analyzed Europe's "shadow economies" -- defined as areas that fall beyond the reach of the taxman -- those of Greece, Italy, Spain and Portugal were much larger (relatively) than those in northern Europe.

That is partly because of the higher number of self-employed and family businesses, which tend to deal in cash and pay little tax. But to many economic commentators, tax evasion is also a national pastime in much of southern Europe, and a significant factor in the region's burgeoning financial crisis.

According to a 2007 paper by Austrian economist Friedrich Schneider, the shadow economy in Italy accounted for 22.3% of gross domestic product (GDP), that of Spain 19.3%; Portugal 19.2% and Greece a staggering 25.1%. By comparison, the U.S. shadow economy was 7.2% of GDP. A recent European Union report came up with similar figures.

Silvio Berlusconi mused several years ago that high tax rates in Italy made evasion a "natural right" for many. And the evidence does suggest that wherever tax rates and social security contributions are high, the shadow economy is larger.

The U.S. ambassador in Rome noted in a 2009 diplomatic cable published by WikiLeaks that Italy was "addicted both to profligate social welfare spending and to tax evasion." And this year, Industry Minister Paolo Romani estimated "phantom" or undeclared income in Italy at a monstrous $320 billion.

The Italian state -- whose debt has measured more than 100% of GDP every year since 1992 -- is perennially poor, in a country of individual wealth that's well hidden from the authorities. Economy Minister Giulio Tremonti recently told a conference that fewer than 800 people in Italy -- which is the world's seventh-richest country -- had declared incomes of more than 1 million euros ($1.4 million) in 2010. That means the salaried middle class end up paying more.

Tremonti is aiming to more than double the amount recovered from tax evasion within the next two years. A recently unveiled series of television commercials attacks the "parassita della societa" -- the parasites evading taxes, comparing them with malarial mosquitoes.

Even so, the European Commission is not optimistic that Italy's "heavy reliance" on tackling tax evasion will be enough to balance the budget within two years.

Greek PM optimistic about referendum

Until 2006, national and local taxes in Italy were collected by banks and other private institutions. It was only five years ago that a single agency -- Equitalia --was created to modernize tax collection.

Not that Italians have taken the agency to their hearts, with effigies of Equitalia sometimes hanged at public protests.

The Italian media and activist groups say the agency has gone after the lower middle-class taxpayers for small tax debts, often forcing people into foreclosure, while tax evasion among the wealthy remains rampant.

Taxation in Italy also is a cumbersome business. For example, there are six different levels of taxation on diesel fuel -- from fishing boats to taxis and ambulances. And there are multiple agencies involved in tax assessment that are not famous for cooperating.

But the price of not improving the government's tax take may be high.

Until now Italy has been able to service its debt with relative comfort, but higher interest rates on its bonds may imperil that. The yield on Italian debt now exceeds 6%.

Greece is renowned for its history of tax evasion, estimated last year as worth 4% of GDP -- $11 billion. It may be much more: the Federation of Greek Industries has estimated that the government may be losing as much as $30 billion a year to tax evasion.

A report by the Organization for Economic Co-operation and Development on Greece last year concluded that "to fight widespread tax evasion, a sustained and major effort to strengthen tax administration is necessary. Particular emphasis should be placed on enforcement to ensure that those in the informal economy are brought into the tax net."

That apparently includes some prominent doctors in an up-market part of Athens, who declared incomes of less that $45,000 but had kids at private schools, and owned swimming pools, yachts and other visible signs of wealth. Their names were published last year as part of a populist campaign by Prime Minister George Papandreou to get tough with tax evaders.

More embarrassment came when Professor Herakles Polemarchakis -- former head of the prime minister's economic department -- found that the farming town of Larisa in Greece had more Porsche Cayenne SUVs per capita than any other city in the world. In an article, Polemarchakis noted: "The proliferation of Cayennes is a curiosity, given that farming is not a flourishing sector in Greece" and that declared incomes in Larisa were very modest.

Greece has revived an "Economic Crimes Enforcement Agency" and tried to improve tax collection as part of a multi-pronged initiative to cut the budget deficit. But collecting more taxes in the teeth of a savage recession is not easy. The opposition New Democracy party has argued for lower tax rates combined with more effective action in tackling tax evasion.

The influential London Business School says in a recent paper that the Greek tax system is hopelessly broken.

"Tax and customs and excise evasion must be addressed head-on," it says, while noting that former senior officials at the Ministry of Finance had forecast "astonishingly, that even if all the tax-collecting authorities were shut down, state revenues would not suffer noticeably." The London Business School report says many officials had simply refused to carry out audits demanded by the Finance Ministry and concluded that the current tax authorities were "beyond salvation."

Spain has done more than most to tackle tax evasion, according to analysts, taking more tax cheats to court and gathering more data from bills and credit card records to pursue tax evaders. Authorities have tracked down an estimated 200,000 individuals who had not declared income from rental properties, previously a massive source of tax evasion.

Five years ago the Spanish Ministry of Finance also launched an investigation to find out why a quarter of all high-denomination 500-euro notes circulating in Europe were in Spain.

The answer -- they were handy for organized crime and as a way of evading taxes in Spain's booming (but now busted) construction industry. Spaniards began calling the 500-euro note the 'bin Laden' -- everyone knew what it stood for and what it looked like, but no one ever saw it. (Italian investigators have warned that the bank note was becoming popular with the mafia and adding to the problem of tax evasion.)

The Spanish government reaped more than $13 billion last year by clamping down on evasion -- 23% more than in 2009. Spain's tax authorities have established special units to monitor the "offshoring" of revenues by companies and fraud in the real estate market. But groups like the Corporate Social Responsibility Observatory say 80% of Spain's largest firms continue to harbor profits in tax havens.

Better tax collection is not going to solve the myriad of economic problems confronting the Mediterranean countries, where extravagant state spending, inflexible labor markets, distorted competition policy and inefficient state enterprises have all contributed to the current crisis.

But at a time when investors and lenders want to see "fiscal rectitude," going after tax evaders is one of the easier ways of demonstrating intent.

@highlight

"Shadow economies" are defined as areas that fall beyond the reach of the taxman

@highlight

They include self-employed and family businesses, which tend to deal in cash and pay little tax

@highlight

For Greece, Italy, Spain and Portugal, they represent sizable portions of the GDP