There's no way for us to know exactly what happened some 13.8 billion years ago, when our universe burst onto the scene. But  scientists announced Monday a breakthrough in understanding how our world as we know it came to be.

If the discovery holds up to scrutiny, it's evidence of how the universe rapidly expanded less than a trillionth of a second after the Big Bang.

"It teaches us something crucial about how our universe began," said Sean Carroll, a physicist at California Institute of Technology, who was not involved in the study. "It's an amazing achievement that we humans, doing science systematically for just a few hundred years, can extend our understanding that far."

What's more, researchers discovered direct evidence for the first time of what Albert Einstein predicted in his general theory of relativity: Gravitational waves.

These are essentially ripples in space-time, which have been thought of as the "first tremors of the Big Bang," according to the Harvard-Smithsonian Center for Astrophysics.

A telescope at the South Pole called BICEP2 -- Background Imaging of Cosmic Extragalactic Polarization 2 -- was critical to the discovery. The telescope allowed scientists to analyze the polarization of light left over from the early universe, leading to Monday's landmark announcement.

How inflation works

Scientists use the word "inflation" to describe how the universe rapidly expanded after the Big Bang in a ripping-apart of space. The BICEP2 results are the "smoking gun for inflation," Marc Kamionkowski, professor of physics and astronomy, said at a news conference. Kamionkowski also was not involved in the project.

"Inflation is the theory about the 'bang' of Big Bang," said  Chao-Lin Kuo, an assistant professor of physics at Stanford and SLAC National Accelerator Laboratory, and a co-leader of the BICEP2 collaboration, in a Stanford video. "It explains why we have all this stuff in the universe."

Imagine that you are making a raisin bun, said Stanford physicist Kent Irwin, who worked on sensors and readout systems used in the experiment. As the dough bakes and expands, the distance from any given raisin to another increases.

"Certainly everything in the universe that we see now, at one time before inflation, was smaller than an electron," Irwin said. "And then it expanded during inflation at faster than the speed of light."

You may have learned in physics class that light sets the universe's speed limit, but space-time is an exception; it can stretch faster than the speed of light, Irwin said.

Stanford University professor Andrei Linde, who helped develop the current inflation theory, said the new results are something he had hoped to see for 30 years.

"If this is true, this is a moment of understanding of nature of such a magnitude that it just overwhelms and let's just hope that it's not a trick," Linde said in a university video interview.

Another cool tidbit: Inflation can be used in theories that suggest the existence of multiple universes, Irwin said, although these results do not directly address such theories.

What are gravitational waves?

Scientists believe that in the fabric of space-time, there are tiny ripples called quantum fluctuations. If you could look at space-time on the smallest scale possible, you would, in theory, see them, even today. Unfortunately, no microscope is capable of seeing something that small.

Such fluctuations also existed at the beginning of the universe. Inflation blew them up much larger, launching gravitational waves that we now see imprinted on the cosmic microwave background. "These gravitational waves are an aftershock of the Big Bang," he said. The BICEP2 study is the first to image them directly.

"We have for the first time a detection for the mythical gravity wave signal that people have been searching for so hard, for so long," said Clem Pryke, associate professor at the University of Minnesota, at a press conference Monday.

Other experiments such as LIGO -- Caltech's Laser Interferometer Gravitational Wave Observatory -- are also looking for proof of gravitational waves, but in the context of energetic cosmic phenomena such as coalescing black holes.

The gravitational waves suggested by the BICEP2 results would have expanded across the entire universe at that time, Irwin said. The length of one of these waves -- the distance between peaks and troughs -- would have been billions of light years across.

Light from the early universe, called cosmic microwave background radiation, reveals these telltale signs of our universe's history. Last year, scientists from the European Space Agency's Planck space telescope released a detailed map of temperature variations in this light, which came from from about 380,000 years after the Big Bang.

Better 'baby picture' of universe emerges

Instead of temperature,  BICEP2 scientists were looking specifically at the polarization of the cosmic microwave background -- that is, the direction the electric field is pointing across the sky.

Researchers were looking for a specific type of polarization called "B-modes," which signify a curling pattern in the polarized orientations of light from the ancient universe, said Jamie Bock, co-leader of the BICEP2 collaboration and professor of physics at California Institute of Technology.

In theory, this swirling polarization pattern could only be created from gravitational waves. And that is what BICEP2 found.

"It's a very clean signature of those gravity waves," Irwin said.

Is it for real?

Because of how potentially important these results are, they must be viewed with skepticism, said David Spergel, professor of astrophysics at Princeton University. The measurement is a very difficult one to make and could easily be contaminated. There are, as it stands, some "oddities" in the results that could be concerning, he said.

"I am looking forward to seeing these results confirmed or refuted by other experiments in the next year or two," Spergel said.

The Planck space telescope collaboration is expected to release results on polarization of the cosmic microwave background as well, Irwin said. Other experiments are working toward similar goals, which could support or go against BICEP2.

Regardless, Monday's announcement is making big waves in the scientific community.

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

Gravitational waves were predicted by Albert Einstein

@highlight

New results from BICEP2 are 'smoking gun for inflation'

@highlight

During inflation, the universe expanded faster than the speed of light