(CNN) -- With the world's population set to reach the seven billion milestone later this year the challenge of feeding our planet has never been more urgent.

But that challenge could become even greater as current models predict our population could reach nine billion by 2050.

Is feeding these extra two billion people a mission impossible?

Not according to study published in January by the French research agencies the National Institute for Agricultural Research (INRA) & Agricultural Research for Development (CIRAD).

The resulting report titled "Agrimonde" optimistically concludes it is possible to sustainably feed the future, though nothing short of a revolution in food production, distribution and consumption is required to do it.

Most predictions in the field verge on the apocalyptic, warning of extreme shortages of food and widespread hunger in a rapidly expanding population. Depleting natural resources, land degradation, natural disasters and the impact of continued climate change also often hit the headlines.

"These fears are strongly related to the periods of food price volatility in 2007, 2008 and today," says Sandrine Paillard, deputy delegate in charge of foresight at INRA.

"(They) are also sustained by players who have interests in keeping our agro-industrial farming systems unchanged, in focusing on the goal of increasing yields even at the expense of the preservation of the environment and natural resources."

The UN's Food & Agricultural Organisation has predicted that we will need to increase food production of 70% by 2050. However Argimonde proposes an alternative scenario that would need an increase of just 35%.

It suggests that increased food production from sustainable improvements and changing the consumption habits of the developed world would be enough to meet this goal.

Agrimonde's authors suggest that by consuming 25% less in developed countries, developing regions, such as sub-Saharan Africa, could increase consumption by 30%.

One key to achieving Agrimonde's proposal is convincing people in rich countries to limit their waste and meat consumption and create more even distribution of animal products in diets around the world.

"Of course, it does not mean that what can be 'spared' in the rich countries could directly be used to feed population in developing countries," explains Paillard.

"It means that diffusion of our food consumption pattern all over the world would have a dramatic impact on natural resources and our ability to feed the planet in the future."

The uptake of more radical innovations, such as drought resistant GM crops, is another solution to increase food production, suggests Agrimonde's report.

"The main challenge will be in the rapid scaling up of these experiences, through knowledge dissemination and strong public policies, especially in developing countries," says Paillard.

"We have to make a shift of paradigm and this always encounters resistance from society and from economic players who find advantages in keeping the food and agricultural system unchanged."

@highlight

Global population is predicted to reach nine billion by 2050

@highlight

UN says food production will have to increase by 70% to meet needs

@highlight

French report suggests a lower target but revolution in food production and consumption needed