(CNN) -- The Texas Board of Education this week will vote on science standards that critics say seek to cast doubt on the theory of evolution.

A woman stands in front of a mural depicting the development from ape to computer user.

The board -- considering amendments passed in January -- will hear from the public on Wednesday. It will then take votes -- an initial one Thursday and the final vote Friday.

"This specific attack on well-established science ignores mountains of evidence and years of research done by experts in a variety of fields," said Steven Newton, project director at the Oakland California-based National Center for Science Education, a proponent of evolution.

One amendment, critics say, undermines the idea that life on Earth derives from a common ancestry, a major principle in the theory of evolution. It calls for the analysis and evaluation of "the sufficiency or insufficiency" of the common ancestry idea to explain the fossil record.

Newton said the board is considering other amendments casting doubt on well-established ideas in the earth and space sciences -- plate tectonics, radioactive decay and how the solar system developed.

School board chairman Don McLeroy has wanted to tackle questions that highlight supposed weaknesses in the theory.

For example, skeptics of evolution point to what they contend are fossil record gaps casting doubt on the scientific evidence of common ancestry.

"I'm a skeptic. I'm an evolution skeptic. I don't think it's true," he said. "You need to present other ideas to the kids."

The issue reflects the strong feelings among representatives on the 15-member board, some of whom accept evolutionary theory and some of whom don't. The size of the textbook market in Texas gives it influence nationwide, as publishers adapt their material to its standards.

The board in January voted to remove language that called on science teachers to focus on the "strengths and weaknesses" in all scientific theories.

It was replaced by language urging students to use "empirical evidence, logical reasoning, and experimental and observational testing" to "analyze and evaluate scientific explanations."

More amendments are expected to be brought up in the three-day hearing.

Charles Darwin's theory of evolution proposes that humans evolved over millions of years from animal species -- including, most famously, early primates that also are the ancestors of modern-day apes. Such thinking, which challenged religious accounts of a deity creating humans, was considered radical, even blasphemous, when Darwin published it in 1859.

Central to Darwin's thesis was his scientific explanation of life's diversity: that natural selection is enough to explain the evolution of all species.

The scientific community has overwhelmingly scorned creationism and its latest incarnation, intelligent design, as a pretext for biblical explanations of how the world came to be, and asserts that there is no weakness or doubt in the scientific community about evolution.

Last year, the National Academy of Sciences called for the public to be better informed about the importance of understanding and teaching evolution. The academy released a booklet titled "Science, Evolution, and Creationism" -- the third explanation of evolution put out since 1984 by one of the nation's leading scientific organizations.

However, those who take issue with evolution believe it should be treated with healthy skepticism.

The San Antonio Express-news quotes Casey Luskin, a policy analyst with the Discovery Institute, a group that questions the theory of evolution:

"This debate will impact whether students are taught to think critically and scientifically when you learn about evolution. It's important for students to learn how to think like scientists and not be forced to treat these controversial topics like a dogma," he is quoted as saying.

Proponents of evolution say the dogma is on the other side, with the Discovery Institute and others purposely distorting and ignoring scientific evidence to reach their desired conclusion.

For decades, the teaching of evolution in public schools has been flashpoint in some states, with proponents of ideas such as creationism and intelligent design trying to gain a place in science classes.

The issue has been before school officials, legislators and courts in Alabama, Kansas, Kentucky, Ohio, Florida, Georgia, Louisiana, and Virginia.

The controversy over the teaching of intelligent design came to a head in Pennsylvania, where the Dover School Board voted that ninth-grade students must be read a statement encouraging them to read about intelligent design. A federal judge said the board violated the Constitution in doing so because intelligent design is religious creationism in disguise and injecting it into the curriculum violates the constitutional separation of church and state.

"Academic freedom" bills have emerged but failed in various state legislatures, the National Center for Science Education said.

An "academic freedom" act has been adopted as law in Louisiana, and there is legislation in Florida calling for an "academic freedom" bill that would mandate a "thorough presentation and critical analysis of the scientific theory of evolution."

The center says such bills are strategies by creationists to appeal to the American sense of balance, and give the false sense that there are different sides to scientific issues such as evolution.

"Two plus 2 is not 5," said the group's spokesman, Robert Luhn.

@highlight

Texas Board of Education will vote this week on the curriculum amendments

@highlight

Evolution skeptics say fossil record gaps cast doubt on the idea of common ancestry

@highlight

Critics say the proposed curriculum questions ideas in the earth and space sciences

@highlight

Large textbook market in Texas influences decisions of publishers nationwide