Washington (CNN) -- Recent announcements of American military deployments in response to belligerent statements by North Korea may have contributed to escalating tensions between the two countries, Pentagon officials told CNN on Thursday in explaining an effort to reduce U.S. rhetoric about the reclusive state.

"We accused the North Koreans of amping things up, now we are worried we did the same thing," one Defense Department official said.

They spoke on the same day a U.S. official first told CNN that communications intercepts indicated North Korea may be planning to launch a mobile ballistic missile in the coming days or weeks.

Classified images and communications intercepts show that North Korea has moved up to two mobile missiles, launchers and fuel tanks to its East coast, another American official with knowledge of the matter told CNN.

South Korean Defense Minister Kim Kwan-jin told a parliamentary committee in Seoul that the activity signaled an imminent test firing or military drill, according to the semi-official South Korean news agency Yonhap.

Amid Pyongyang bluster, missile launch feared

One U.S. official said it is believed any launch this time would be a test.

The activity is consistent with a Musudan missile, the official said.

The Musudan is based on a Soviet-era system and has a 2,500-mile (4,000-kilometer) range that can threaten South Korea, Japan and Southeast Asia, but not U.S. forces based on Guam.

As a vital ally to South Korea since the Korean war in the 1950s, the United States has pledged military backing to Seoul in the event of an attack by North Korea.

In addition, North Korea has been developing nuclear weapons technology, raising concerns of rapid proliferation in the region and even a possible nuclear strike by Pyongyang.

The fraught situation on the Korean Peninsula stems from the North's latest long-range rocket launch in December and underground nuclear test in February.

In response, the United States helped bring tougher U.N. sanctions on North Korea and took part in joint military exercises with South Korea, prompting Kim Jong Un's government to ratchet up its threats in recent weeks.

That caused the United States to display its military strength in the annual drills taking place now, flying B-2 stealth bombers capable of carrying conventional or nuclear weapons, as well as Cold War-era B-52s and F-22 Raptor stealth fighters over South Korea.

North Korea: Our global fear and fascination

On Thursday, a North Korean army official warned that "the moment of explosion is approaching fast."

"No one can say a war will break out in Korea or not and whether it will break out today or tomorrow," said the spokesman for the General Staff of the North's Korean People's Army (KPA).

"The responsibility for this grave situation entirely rests with the U.S. administration and military warmongers keen to encroach upon the DPRK's sovereignty and bring down its dignified social system with brigandish logic," the KPA spokesman added in a statement published by the state-run Korean Central News Agency (KCNA).

A spokeswoman for the White House National Security Council said Thursday that the United States continues to closely monitor the situation.

"Threats and provocative actions will not bring North Korea the security, international respect, and economic development it seeks," said the NSC spokeswoman, Caitlin Hayden. "We will continue to urge the North Korean leadership to heed President Obama's call to choose the path of peace and come into compliance with its international obligations."

Earlier, a Defense Department official told CNN that from a communications point of view, "we are trying to turn the volume down" on U.S. rhetoric about North Korea. The official, speaking on condition of not being identified, said the change referred to public statements by the Obama administration instead of how U.S. military hardware were being deployed in the region.

According to the official, some Pentagon officials were surprised at how U.S. news releases and statements on North Korea were generating world headlines and therefore provoking a Pyongyang response.

"We are absolutely trying to ratchet back the rhetoric," the official said. "We become part of the cycle. We allowed that to happen."

Key dates in U.S. military moves near North Korea

At the State Department, spokeswoman Victoria Nuland said Thursday the United States needed to take the defensive steps it did in view of North Korea's threats, but she focused on a diplomatic solution available if Pyongyang changed its behavior.

"It was the ratcheting up of tensions on the DPRK side that caused us to need to shore up our own defense posture. We have done that," Nuland said. "But we have also been saying all the way through that this does not need to get hotter, that we can change course here if the DPRK will begin to come back into compliance with its international obligations, will begin to cool things down, take a pause."

To Bill Richardson, the former U.S. ambassador to the United Nations, the administration's response so far has been "appropriate -- cool, calm, but at the same time putting our military resources ready in case there's an emergency."

He told CNN on Thursday that a North Korean military attack on U.S. interests would be "suicidal," adding: "That's not going to happen."

Diplomacy should be the "end game" for the administration's policy regarding North Korea, said Richardson, one of the few U.S. politicians to have visited the country.

"I think the administration's response does make sense in the sense that you don't want to continue this huge rhetoric and at the same time provoke some kind of incident," Richardson said. "The danger is not a war with the United States or South Korea, I think. The danger is some kind of military altercation in the Yellow Sea, a naval skirmish of some kind."

U.S. Secretary of State John Kerry is expected to travel to South Korea, China and Japan this month to meet with his counterparts there.

Previously, the Obama administration established a "playbook" of pre-scripted actions and responses to the last several weeks of North Korean rhetoric and provocations, an administration official said Thursday.

The scripted actions included an increased show of U.S. military force -- such as the flying of B-2 bombers -- during the annual U.S.-South Korea military exercise, the Foal Eagle.

"Eyebrows started to go up when it was clear Foal Eagle was going to be protected from the budget cuts of sequestration," the official said, referring to the forced federal spending cuts that went into effect in March.

The playbook planning began under former Defense Secretary Leon Panetta but was picked up and supported strongly by his successor, Defense Secretary Chuck Hagel, the official said.

Details of the playbook were first reported by the Wall Street Journal. The administration official declined to be named because of the sensitivity of the situation.

Opinion: North Korea is far from suicidal

Some moves not scripted

However, some of the U.S. military's reactions to Pyongyang's saber-rattling were not part of the playbook planning.

Instead, they arose from concerns about what North Korea has planned as the U.S.-South Korean exercise conclude, the administration official said.

For example, the deployment of ballistic missile defenses closer to North Korea and a land-based missile-intercept system to Guam were ordered in recent days when U.S. intelligence began to gather information that North Korea might be planning additional missile launches.

A 'complicated, combustible situation'

U.S. officials have publicly stressed that the American military moves were also meant to assure the South Koreans that they have Washington's full support.

"What I can tell you is that our response and the mix of assets we have applied to our responses is prudent, logical and measured," Pentagon spokesman George Little said earlier this week.

"We are in the midst right now of -- of very important annual exercises that we regularly conduct with the South Koreans, and these exercises are about alliance assurance. They're first and foremost about showing the South Koreans and showing our other allies in the region, including the Japanese, that we are ready to defend them in the wake of threats."

When asked by CNN earlier this week about the "message" the United States was trying to send to North Korea, Little said it was the North Koreans who are being provocative.

"The North Koreans -- even before those exercises started -- had undertaken provocative steps, and they've conducted underground nuclear tests, they've conducted missile tests outside their international obligations. So they have a track record now over the past few months of provocative behavior," he said.

"We are in the business of ensuring our South Korean allies that we will help defend them in the face of threats," Little said in response. "So I don't think it's a contradiction. I think that North Koreans have engaged in certain actions and have said things that are provocative. We are looking for the temperature to be taken down on the Korean Peninsula."

Hagel hinted at risks in reacting to North Korea, calling the tensions a "complicated, combustible situation" that could "explode into a worse situation."

"It only takes being wrong once. And I don't want to be the secretary of defense who was wrong once. So we will continue to take these threats seriously. I hope the North will ratchet this very dangerous rhetoric down," Hagel said Wednesday.

"But they've got to be a responsible member of the world community. And you don't achieve that responsibility and peace and prosperity by making nuclear threats and taking very provocative actions."

CNN's Elise Labott, Chris Lawrence, Jessica Yellin, Lesa Jansen and Joe Sterling contributed to this report

@highlight

FIRST ON CNN: Communications intercepts suggest possibility of North Korea missile launch

@highlight

North Korea moves up to two missiles to its East coast, U.S. official says

@highlight

State Department focuses on diplomacy in discussing North Korea

@highlight

North Korea issues more threats, but said to lack missile technology to strike U.S. mainland