ATLANTA, Georgia (CNN) -- Boris Kodjoe owns a mansion in Atlanta. But when he goes to answer his door, the black actor knows what it's like to be an outcast.

Henry Louis Gates Jr. was arrested last week on a charge of disorderly conduct.

"When I'm opening the door of my own house, someone will ask me where the man of the house is, implying that I'm staff," said Kodjoe, best known for starring in Showtime's "Soul Food."

It's a feeling some African-Americans say is all too common, even to this day in America: No matter your status or prominence in society, you're still typecast. That's why the recent arrest of Henry Louis Gates Jr., one of the nation's most prominent African-American scholars, has stirred outrage and debate.

Jelani Cobb, an author and professor at Spelman College in Atlanta, says it's troubling on many levels when "one of the most recognizable African-Americans in the country can be arrested in his own home and have to justify being in his own home."  Watch arrest of a Harvard scholar »

"It's really kind of unfathomable," Cobb said. "If it can happen to him, yeah, it can happen to any of us."

That's a sentiment echoed by Jimi Izrael. "If a mild-mannered, bespectacled Ivy League professor who walks with a cane can be pulled from his own home and arrested on a minor charge, the rest of us don't stand a chance," Izrael wrote Tuesday on The Root, an online magazine with commentary from a variety of black perspectives that's co-founded by Gates.

"We all fit a description. We are all suspects."

In an interview with The Root, Gates said he was outraged by the incident and hopes to use the experience as a teaching tool, including a possible PBS special on racial profiling.

"I can't believe that an individual policeman on the Cambridge police force would treat any African-American male this way, and I am astonished that this happened to me; and more importantly I'm astonished that it could happen to any citizen of the United States, no matter what their race," Gates said. "And I'm deeply resolved to do and say the right things so that this cannot happen again." Voices of black America: What it's like being black in America

Gates was arrested last Thursday in broad daylight at his Cambridge, Massachusetts, home for disorderly conduct -- what the arresting officer described as "loud and tumultuous behavior in a public space." The charge was dropped Tuesday on the recommendation of police, and the city of Cambridge issued a statement calling the incident "regrettable and unfortunate."

Gates had just returned from a trip to China when a police officer responded to a call about a potential break-in at his home that was phoned in by a white woman. According to the police report, Gates was in the foyer when the officer arrived.

The officer asked Gates to "step out onto the porch and speak with me," the report says. "[Gates] replied, 'No, I will not.' He then demanded to know who I was. I told him that I was 'Sgt. Crowley from the Cambridge Police' and that I was 'investigating a report of a break in progress' at the residence.

"While I was making this statement, Gates opened the front door and exclaimed, 'Why, because I'm a black man in America?' " Have race relations improved since the election of President Barack Obama?

According to the report, Gates initially refused to show the officer his identification, instead asking for the officer's ID. But Gates eventually did show the officer his identification that included his home address.

"The police report says I was engaged in loud and tumultuous behavior. That's a joke," Gates told The Root. "It escalated as follows: I kept saying to him, 'What is your name, and what is your badge number?' and he refused to respond. I asked him three times, and he refused to respond. And then I said, 'You're not responding because I'm a black man, and you're a white officer.'"

Known as Skip by friends and colleagues, Gates is the director of the W.E.B. Du Bois Institute for African and African-American Research at Harvard University, and an acclaimed PBS documentarian.

While Gates' arrest lit up talk radio and blogs, it prompted others to defend the police against charges of racial profiling.

"I'd be glad if somebody called the police if somebody was breaking into my house," neighbor Michael Schaffer told CNN affiliate WHDH.

For others, the incident symbolized something more. Seeing the police mugshot of Gates brought some African-Americans to near tears.

Kim Coleman, a Washington radio host, cultural commentator and blogger, said she grew numb when she saw the mugshot.

"I was not prepared for that," she said. "To see one of my heroes in a mugshot was not something that I was expecting. ... It just tells me we're not in a post-racial society."

She said there's a reason why you don't hear about prominent white people arrested in their homes: "because it doesn't happen."

It's time for America to have a long overdue national conversation about race, Coleman said. "When are we going to have that," she said. "When are we really going to sit down and strip down and say, 'This is what I feel about you and this is what you feel about me. Now, how are we going to get over that?' "

Rebecca Walker, an award-winning author, said the arrest was devastating to scholars, writers, and artists "who work so hard to keep a free flow of information."

"It seems eerily ironic Mr. Gates was returning from China, where surveillance is so high and freedom of speech and ideas so curtailed," Walker said. "To see the mugshot of Skip was a blow to all of us who feel some sense of safety based on our work to try to mend all of these broken fences in America -- to make ourselves into people who refuse to be limited by race and class and gender and everything else."

"To end up, at the end of the day, treated like a criminal, unjustly stripped of our accomplishments and contributions even if only for a moment, is profoundly disturbing. We must ask ourselves what it means, and to allow ourselves to face various scenarios regarding power and freedom and how these will intersect in the coming years."

Last week, President Obama spoke at the 100th anniversary of the NAACP, saying that while minorities have made great strides "the pain of discrimination is still felt in America."

"Even as we inherit extraordinary progress that cannot be denied; even as we marvel at the courage and determination of so many plain folks -- we know that too many barriers still remain," the president said.

Kodjoe, the actor, said Obama "has affected a change in people's consciousness regarding such issues as racism and prejudice." But he said the arrest of Gates underscores that there's more work ahead.

"I think we're moving in the right direction. But no doubt, there still is a lot of work to be done," Kodjoe said. "It's not just a problem here. It's a problem worldwide. Racism is universal."

Gates said he has a newfound understanding of exactly what that means. "There's been a very important symbolic change and that is the election of Barack Obama," he told The Root. "But the only black people who truly live in a post-racial world in America all live in a very nice house on 1600 Pennsylvania Avenue."

@highlight

Boris Kodjoe: Arrest of Harvard prof underscores how blacks are typecast

@highlight

Actor Kodjoe says deliverymen often think he's hired staff at his house

@highlight

"If it can happen to him, yeah, it can happen to any of us," scholar says

@highlight

Cultural commentator says it was shocking "to see one of my heroes in a mugshot"