(CNN) -- "If something happens to Capriles, I am willing to go to Caracas to defend him."

These are fighting words, but not from a soldier. They are from Daniela Maggiolo, a 35-year-old publicist in Venezuela and supporter of the country's opposition election candidate -- and loser of Sunday's contested presidential vote -- Henrique Capriles Radonski.

Her anger over the results of last Sunday's election is so great she now claims she will not have children in Venezuela, because they will not have what she describes as "a decent life."

Why? Because, she said, she fears division. Bitterly opposed to the government, she never voted for the late President Hugo Chavez, who ran the country from 1999 to 2013 and whose death earlier this year triggered the election. She said she never believed in his policies. But despite the political discord, she wants a country that is united.

She is one member of an opposition whose protests -- alongside counter-protests by government supporters -- have wracked the country's streets since Nicolas Maduro, Chavez's handpicked successor, apparently won Sunday's election with a razor-thin margin.

Opposition supporters allege the win was obtained through fraud, which fueled mass protest. At least eight people are reported to have died in post-election violence, state media said, while scores more have been injured. The government news agency said those killed were all followers of Maduro, although CNN has not been able to confirm this.

Supporters of Capriles have demanded a recount, and their pleas may be working. Even though the government has strongly denied all fraud allegations, Venezuela's top election official said Thursday that there will be an audit of 100% of the votes cast in the election.

Official: Venezuela to audit 100% of election results

The decision came after a lengthy debate, said Tibisay Lucena, president of Venezuela's National Electoral Council. Officials have already audited 54% of ballot boxes, and will now look at the remaining 46%, she said.

But is it too late? Maduro is set to be sworn in at a ceremony on Friday and it is unclear whether the audit will affect the inauguration.

Also up in the air, is whether the streets of Venezuelan cities will continue to ring with the sounds of protest.

But who are the protesters -- and why are they so angry?

The triggers for the unrest are not hard to find. Venezuela's economy remains stagnant, with inflation predicted to hit an extraordinary 30% this year, while food shortages continue despite the country sitting on massive (and lucrative) oil reserves.

Class is also a key issue in the tensions. Support for Chavez's socialist movement remains strong amongst the poor, who benefited from his programs. Those who support Capriles tend to come from more middle and aspirational working classes, for whom his message of day to day, bread-and-butter issues, such as jobs and crime, resonated.

Why is Venezuela so divided?

The gap between left and right, haves and have-nots in Venezuela has always been wide, but has increasingly become a gaping maw that has polarized society almost to the breaking point.

Maduro's evaporating 10-point lead in pre-election polls seemed to indicate that enthusiasm for Chavez's firebrand form of socialism was ending for some voters at least, and it seems the closeness of the results has emboldened opposition protesters to demand action.

In Caracas, the Venezuelan capital, Capriles supporter Daniel Medina hit the streets this week banging pots and pans in a "cacerolazo" demonstration -- literally "casserole" for the pots that are bashed -- until, he claims, pro-government supporters on motorbikes forced him to run for shelter.

"This is not the first time I have participated in peaceful protests, I've always opposed the government as I do with the current illegitimate government," he said.

Fearing for his safety, he told CNNE he plans to leave the country until the unrest dissipates.

And the protests are not just contained in the capital.

Luis J. Gonzalez, a 40-year-old Venezuelan from Margarita Island, Nueva Esparta State, used to work as a tourist guide before the job died out along with the industry. Now working a desk job, he blames policies adopted under the current and previous government for scaring tourists away.

Anger over his own situation, but also for what he feels are the millions of voices not being heard by the government, led him to support the opposition.

"Millions of Venezuelans -- half of the electorate -- don't share the ideology of the current government," he said.

There are "abuses of power that the government commits daily. We don't have any type of justice."

Protests have also spilled over into the expatriate Venezuelan community. In New York, Andrea Martinez, 23, who supports Capriles, was stunned to see hundreds of protesters outside the Venezuelan consulate in the city.

Martinez said the protesters were saying: "Capriles is president, we want a recount. This is a fraud. This is Venezuela not Cuba. Our votes count."

Hugo Chavez's legacy in Venezuela

Opposition protesters say they have adhered to Capriles' exhortations to remain peaceful in their protests. Capriles Wednesday called off a rally after fears of violence, and both sides have urged their supporters to remain peaceful, while accusing the other side of fomenting unrest.

Not all protesters initially favored the opposition. PÃ­a PÃ¡ez, 27, is a singer who lives in MÃ©rida and who attended protests this week.

She said she had previously had not considered herself a political person, and fell on neither the right nor left side of the political spectrum. However she has since taken to the streets. And with a 30-day audit count ahead, Venezuela's future looks increasingly uncertain, with at least one side having no plans to back down.

"I disagree with this government and the way it acted," she said.

"I am a person of values and, in this election, these values are being ignored."

@highlight

Thousands hit the streets in Venezuela since Sunday's election

@highlight

Protesters want recount after Nicolas Maduro apparently wins presidency by small margin

@highlight

Protests reveal deep polarization in country where gap between rich and poor remains large

@highlight

News of reported vote audit Friday may mollify opposition supporters for a while