(CNN) -- Could a massive passenger jet slip past radar, cross international borders and land undetected?

That's a key question investigators are weighing as they continue the search for Malaysia Airlines Flight 370, which vanished March 8 on a flight from Kuala Lumpur, Malaysia, bound for Beijing.

Radar does have some blind spots, and it's possible to avoid being spotted by flying at low altitude, analysts told CNN.

But experts are divided over whether that could be what happened to the missing Boeing 777-200ER.

Jeffrey Beatty, a security consultant and former FBI special agent, says someone could have planned a route that avoided radar detection.

"It certainly is possible to fly through the mountains in that part of the world and not be visible on radar. Also, an experienced pilot, anyone who wanted to go in that direction, could certainly plot out all the known radar locations, and you can easily determine, where are the radar blind spots?" he said. "It's the type of things the Americans did when they went into Pakistan to go after Osama bin Laden."

Information about the plane's path came into sharper focus on Tuesday, when the Thai government released data that bolsters the belief among investigators that the missing jet took a sharp westward turn after communication was lost.

The Thai military was receiving normal flight path and communication data from the jet on its planned route from Kuala Lumpur to Beijing until 1:22 a.m., when it disappeared from its radar.

Six minutes later, the Thai military detected an unknown signal, a Royal Thai Air Force spokesman told CNN. This unknown aircraft, possibly Flight 370, was heading in the opposite direction.

Malaysia says the evidence suggests the plane was deliberately flown off course, turning westward and traveling back over the Malay Peninsula and out into the Indian Ocean.

The Thai data corroborate what the Malaysian military had found earlier -- that the plane did indeed turn around toward the Strait of Malacca.

But the Thai contact was short-lived. "The unknown aircraft's signal was sending out intermittently, on and off, and on and off," the spokesman said. The Thai military lost the unknown aircraft's signal because of the limits of its military radar, he said.

Satellite signals can confirm plane's identity

On Monday, the Malaysian newspaper New Straits Times reported that the plane may have evaded radar detection by flying at an altitude of 5,000 feet or less and through mountainous terrain. The newspaper cited unidentified sources for its reporting, which CNN could not confirm.

A senior Indian military official told CNN on Monday that military radar near the Andaman and Nicobar Islands isn't as closely watched as are other radar systems. That leaves open the possibility that Indian radar systems may not have picked up the airplane at the time of its last known Malaysian radar contact, near the tiny island of Palau Perak in the Strait of Malacca.

Malaysian officials said Monday that they were not aware of the Malaysian newspaper's report.

"It does not come from us," said Malaysia Airlines CEO Ahmad Jauhari Yahya.

U.S. officials have said they think it's unlikely the plane flew northward over land as it veered off course. If it had, they've said, radar somewhere would have detected it. It's also unlikely that the plane was landed at a remote airport, since remote airports aren't typically equipped with the long runways that the Boeing jetliner needs, the officials have said.

Analysts interviewed by CNN said that it would be extremely difficult to fly such a large aircraft so close to the ground over a long period of time, and that it's not even clear that doing so would keep the plane off radar scopes.

Key moments in tracking missing airliner

"Five thousand (feet) isn't really low enough to evade the radar, and that's kind of where general aviation flies all the time anyway, and we're visible to radar," said Mary Schiavo, a CNN aviation analyst and former inspector general for the U.S. Department of Transportation.

"It just seems really highly improbable, unless we've been overestimating a lot of other countries' radar system capabilities," said Daniel Rose, an aviation and maritime attorney.

Buck Sexton, a former CIA officer who's now national security editor for TheBlaze.com, said radar would have detected the plane had it flown over land.

"This is a bus in the sky. It's a lot harder to get under the radar with this kind of thing than I think most people realize," he said. "So really, while the search I know has extended to this vast area stretching up into (central or south Asia), clearly there really should be much more of a search over open water -- because this is not getting past people's radars."

It wouldn't be easy to avoid radar detection, but some experts say it could be done.

"Anything like this is possible," radar expert Greg Charvat told CNN's "Piers Morgan Live." "But to do it, you'd have to have very detailed information of the type of radars, their disposition, their heights and their waveforms to pull that off."

Different countries would likely be using different radar systems, he said, but it's unclear how advanced the technology is in many countries.

"It took a great deal of skill to do this," CNN aviation analyst Jim Tilmon said. "I think somebody was at the controls who understood the value of altitude control to eliminate the possibility of being spotted and tracked on radar."

Whoever was in control in the cockpit, he said, "really had the ability to map out a route that was given the very best chance of not being detected."

One other possibility, he said: The plane could have shadowed another plane so closely that it slipped by radar detection.

Other analysts say that would require so much skill that it would be nearly impossible to pull off without getting caught.

There's another possible wrinkle, experts say. Some countries may be hesitant to reveal what they've seen on radar.

"They want to protect their own capabilities," Beatty said. "Their intelligence services are not going to want to publicize exactly what their capabilities are."

Pilots, passengers under scrutiny

Politician: Pilot supported me, but was no hijacker

CNN's Barbara Starr, Brooke Baldwin, Wolf Blitzer and Elizabeth Joseph contributed to this report.

@highlight

NEW: Thai data bolster belief that the jet turned sharply westward

@highlight

Experts disagree over whether plane could have slipped past radar undetected

@highlight

Analyst: Radar blind spots could be determined "easily"

@highlight

Security consultant: Someone could have planned a route to avoid detection