Wednesday was a dark day for the future of books.

The Department of Justice charged Apple and five large book publishers with conspiring to raise e-book prices. Three of the five publishers quickly capitulated rather than face the risk and expense of a protracted legal battle.

Much of the case revolves around the decision of five of the largest six publishers to simultaneously adopt the agency pricing model immediately before Apple launched the iPad and iBookstore in April 2010. At that time, Amazon commanded about 90% of the e-book market. Amazon priced many books at $9.99 -- which was below the cost at which Amazon was paying the publisher -- in an effort to drive e-book adoption among consumers and capture market share.

Publishers balked at Amazon's strategy out of concern that low prices could cannibalize their print sales, set unrealistic expectations in the minds of consumers, and lead Amazon to demand e-book price concessions from publishers.

When Steve Jobs offered Apple's proposed agency pricing model to publishers, large publishers welcomed Apple's market entry because they wanted a strong counterbalance to Amazon's market dominance. Under the agency model, publishers set the prices and retailers don't discount.

Critics of the agency model viewed it as an attempt to raise e-book prices. They believe retailer discounting serves an important public service. I see it differently.

While I'm a big fan of discounting and price competition, I think the responsibility for pricing decisions should rest with authors and publishers. If they price fairly and competitively, customers will reward them. If they price too high, customers will migrate to lower-cost books.

Most important, the agency pricing model levels the playing field for e-book retailers. It prevents deep-pocketed retailers or device makers from engaging in predatory price wars to harm competitors or discourage formation of new competitors. It would enable the marketplace to support more retailers, which would mean more bookstores promoting the joys of reading to more readers. And it would force retailers to compete on customer experience rather than price. Customers are best served when we have a vibrant e-book retailing ecosystem.

For authors and publishers, the agency model provides them with greater control over the timing of their promotions and higher per-unit earnings of 70% of the list price as opposed to 50% for the conventional wholesale pricing model. It allows publishers to price their books lower -- to the benefit of customers -- and yet earn the same or greater profit.

There's already indication that some publishers and authors who use the agency model are dropping prices as they compete for customers. At my company, where we distribute over 100,000 e-books on behalf of 40,000 self-published authors and small publishers, the average price of our books is about $3.41, a drop of 25% over the last 18 months.

If the Justice Department prevails with its antitrust lawsuit, the decision might have unintended negative consequences for those who write, publish, sell and enjoy e-books. The government's intention to protect consumers could end up backfiring on consumers by harming retailers, authors and publishers.

It could inadvertently hasten the downfall of the world's largest book publishers by forcing them to comply with onerous conditions outlined in the Justice Department's Competitive Impact Statement.  These conditions -- including restrictions on collaboration with fellow publishers and increased federal auditing and reporting requirements -- will increase publisher expenses and slow their business decisions at the very time when publishers need to become faster, nimbler competitors.

I'm not normally a defender of big publishers. They price their books too high, while most of their authors earn poverty wages. They take 12 to 18 months to publish a book -- an anachronism in today's world of instant self-publishing. They often reject talented writers who don't offer the celebrity platforms of more marketable "authors" such as Snooki or Justin Bieber.

Despite the mistakes of the largest publishers, I don't want them to go away. I want them to thrive by becoming more responsive to their customers and authors.

Unfortunately, the self-inflicted wounds of large publishers have already begun to render their businesses less relevant to the future of publishing. Authors are beginning to turn their backs on traditional publishers in favor of self-publishing. Authors are now hiring their own editors, cover designers and marketing consultants. By assuming responsibility for the roles once played by publishers, authors are earning up to 70% of the list price as their e-book royalty versus the 17.5% paid by traditional publishers. They're publishing low-cost e-books that are hitting all the bestseller lists. The all-important access to distribution -- once exclusively controlled by publishers -- is now available to all self-publishing authors.

The next time you see an overpriced e-book, blame the publisher but not the agency pricing model.

@highlight

The Justice Department filed an antitrust lawsuit against Apple and five publishers

@highlight

Coker: Government's intention to protect consumers could end up harming consumers

@highlight

He says threat to the agency pricing model hurts retailers, authors and publishers

@highlight

Coker: Pricing decisions should rest with authors and publishers rather than retailers