(CNN)After spending much of her 2008 campaign seemingly running away from the fact that she is a woman, Hillary Clinton is showing signs that 2016 is going to be a different story.

It seems that Hillary has found her outer woman, which is to say, she's found the person that she wants to present on the campaign trail, and that person is resolutely female. This time she seems to have decided to fully embrace her womanhood as an asset in her quest for the White House and to trust that the voters will do the same.

Of course, Hillary hasn't officially announced that she will be running for president -- and Universal Studios has not officially announced that there will be a sequel to the blockbuster "50 Shades of Grey." But it's hard to imagine 2016 happening without both of those things, seeing as how they both have such excellent prospects of success.

Hillary recently spoke at a Silicon Valley conference for women in the tech field with the theme of "Lead On." That lent itself nicely to the professional goals of the members of the audience as well as to Hillary's own leadership goals.

She spoke of the dearth of women not only in the tech field, but in the ranks of Fortune 500 CEO's. In fact, one recent diversity study found that the major S&P 1500 company boards had more men with the name John, Robert, William, or James on them than women of any name combined.

Left unsaid in her speech was any reference to the complete lack of a female occupant of the Oval Office thus far, but the thought could not have been far from anyone's mind, let alone Hillary's.

Clinton was comfortable talking at length about her own experiences being pregnant and giving birth while working as a partner in a law firm, and using that as a launching pad to discuss the importance of women in the workforce both here and around the world. And from there she highlighted her own work on behalf of the women of the world as secretary of state.

She segued into the discussion of the plight of working middle-class families that will be so central to the 2016 race, and the centrality of women's economic issues to those struggles of the middle-class. From there it was a natural progression to talking about 21st century families and the importance of things such as paid leave.

And all of that dovetailed perfectly into closing remarks about the future that revolved naturally around the birth in September of Clinton's first grandchild, Charlotte Clinton Mezvinsky. That brought up Hillary's new role as a grandmother, and the perspective it has given her on the future and what needs to be done to guarantee that it's the best possible future.

The Silicon Valley address could serve as a template for how Clinton intends to approach her career goals from the vantage point of being a woman seeking her own place in the workforce. In the coming weeks, which serendipitously happen to be part of Women's History Month, Hillary's speaking schedule is heavy with events and gatherings that center around women. If she's not running for president, then she could be gearing up to get a talk show on the Lifetime network.

All of which stands in stark contrast to Hillary's last presidential campaign. In 2008, she seemed to think that she had to reassure voters that a woman could be president, primarily by not accentuating the fact that she was a woman. This time around, there seems to be a shared assumption that, of course, a woman would make an excellent president, in part simply by virtue of being a woman.

In that previous campaign, Hillary ran as the most experienced candidate, primarily to draw a distinction between herself and her relatively less experienced challenger, Barack Obama. But now, almost eight years later, Clinton can let her experience speak for itself. She has more of it -- almost too much, from one perspective: She'll be 69 by the time the 2016 election takes place. So this time instead of highlighting her experience, she's highlighting the experiences she has in common with the women, mothers and grandmothers out there.

Of course, Hillary's message will have to resonate beyond female voters. Fortunately, the dynamics of the 21st century economy and the place of the family within it lend themselves to a family-friendly feminism.

We live in a society where women are necessary breadwinners whose income is counted upon for families to make it. Gender pay equality and supportive work environments benefit spouses, children, extended families and entire communities. Today, feminism, family and economic issues intertwine like never before.

Hillary's stressing of the importance of women's workplace issues both to the family and to the struggles of the middle-class puts the Republicans on the defensive as they try to co-opt middle-class economic issues.

Potential GOP presidential candidates are already trying to position themselves to steal the thunder of the Democratic nominee when it comes to issues of wage inequality and middle-class stagnation. But how exactly do they propose to reinvigorate a middle-class that is overwhelmingly composed of families with two wage-earners if they don't fight for women's workplace issues? For instance, child care may be thought of as a woman's issue, but it's really a family issue, virtually by definition, and an economic issue on top of that.

Among topics that are sometimes seen as more traditional women's issues such as family planning, access to birth control and the right to choose, Hillary has the advantage in that she can make her stance clear, based on her life experiences as a woman. It's the Republicans with extremist views on these issues who have to dance around their real beliefs and avoid making outrageous and absurd statements such as embarrassing pronouncements about rape and pregnancy.

If Hillary seems more comfortable running as a woman, it's partly because society at large seems more comfortable with a populist-tinged feminism than it was in 2008. Patricia Arquette's Oscar night speech in support of equal pay for women -- although predictably dismissed by right-wing media such as Fox News -- was enthusiastically received by the public in general. In fact, far from being thought radical, Arquette's statements backstage were thoroughly deconstructed by the left for not being progressively correct enough.

Women have been steadily making strides in the years since Hillary's 2008 campaign, and as they did, they smoothed the way for one of their own to run for the highest office in the land without having to play down her gender.

Hillary is now wisely embracing her gender as a way of capturing the same "hope and change" historical quality of Obama's presidency. Voters always want change, and Hillary Clinton has been a constant on the political stage for decades now. She's certainly no stranger to Washington, or to the West Wing of the White House. But electing her president would still represent massive change on a fundamental level.

Hillary Clinton wants 2016 to be the Year of the Woman. And she wants to be The Woman.

@highlight

Donna Brazile: In 2008, Hillary Clinton de-emphasized gender and ran on her experience

@highlight

Now Clinton is positioning her potential campaign to focus on history-making election of a woman president