(CNN) -- Ayman al-Zawahiri's coronation as the king of al Qaeda came with some anxiety over another major attack and a barrage of questions about the future of the terror network.

Since 1998, al-Zawahiri had been Osama bin Laden's personal physician and one of his closest confidants, a steadfast deputy who eulogized his boss after his death last month in Pakistan. But it took this many weeks for an al Qaeda announcement on its new leader, and that suggested to some analysts that there had been head-bashing over who should take the helm.

"It doesn't suggest a vast reservoir of accumulated goodwill for him," said Peter Bergen, CNN's national security analyst.

When the founder and leader of any organization dies, it's a challenge to thrive. In al Qaeda's case, the road ahead is lined with major bumps, especially for its newly anointed leader.

Weakened in recent years, al Qaeda has been losing a critical war of ideas and now faces another hurdle in the Arab Spring, Bergen said.

"They are two big nails in the coffin," he said.

Al-Zawahiri will have to overcome al Qaeda's troubles in spite of his personal shortcomings. For starters, he lacks the charisma and oratory of his former boss.

"He wants to inspire people, not just who are joining the al Qaeda organization, but people who have never joined the al Qaeda organization and are trying to launch attacks in their name," said Paul Cruickshank, a CNN terrorism analyst. "Without bin Laden there anymore, they won't be as inspired.

There are others in the organization, like American-born Yemeni cleric Anwar al-Awlaki, who were unlikely contenders but might have made a better choice. Al-Awlaki speaks English, is tech-savvy and might have been one to re-energize the network with a boost or morale and fresh recruits at a time when many believe al Qaeda's influence is waning.

And Saif al-Adel, a former Egyptian army lieutenant and long-time Islamist, was appointed the interim leader of al Qaeda after bin Laden's death.

But Bergen said al-Adel, sort of the defense minister for al Qaeda, has never been a public face for the group. He is widely believed to be managing insurgent paramilitary operations in the Afghanistan-Pakistan border region.

There are also reports describing al-Zawahiri as a prickly man who can be argumentative, divisive and difficult to work with. He has been accused of being a micro-manager who is not a true ideologue in the vein of bin Laden.

These are all qualities that do not bode well for an organization that has to re-energize itself in order to survive, analysts said.

"Very poorly respected," said former CIA Officer Phil Mudd. "He is seen as a difficult man to work with. He has no sense among the work force in al Qaeda, the kind of prestige that bin Laden had."

But as it were, al Qaeda's central command came together and talked it out until they agreed on al-Zawahiri, said Bill Roggio, military affairs analyst who is managing editor of The Long War Journal.

"He has been a very public official. He's very well known in the rank and file," Roggio said. "There's a lot of questions on how he's perceived in the ranks, but even bin Laden had his detractors."

But ultimately, Roggio said, al Qaeda closes ranks, and the group is likely to operate in a business-as-usual mode.

"Under his leadership, there really won't be that many changes," said Mark Baker, who worked for 17 years in counterterrorism at the CIA. "It's not like a corporate shakeup."

There hasn't been a successful major attack on the West since the London bombings in 2005, and experts were divided over whether al-Zawahiri will try to cement his throne with a dastardly act.

Sajjan Gohel, director of international security for the London-based counterterrorism think tank Asia-Pacific Foundation, said al-Zawahiri will have to figure out how to unite the myriad factions of al Qaeda and deal with an operational space that has been confining due to U.S. drone strikes in Pakistan.

The organization is also suffering financially, Gohel said.

"He needs to do something to keep al Qaeda relevant in a very difficult scenario," Gohel said.

The biggest challenge may be how to gain back ideological ground in a time when pro-democracy movements are blossoming in northern Africa and the Middle East.

Al Qaeda has been opportunistic in claiming that the mass demonstrations fly in the face of Western powers, but in reality, Bergen said, the group has been rendered irrelevant in the events reverberating through the region.

"If you have freedom, al Qaeda will go away," former Egyptian jihadist Osama Rushdi said in February.

Roggio said that had bin Laden been killed shortly after the September 11 attacks, al-Zawahiri would have been taking over a less mature organization and might have had a more difficult time moving it forward.

But 10 years after those devastating attacks, al Qaeda is well-established, Roggio said. It matters less who is in charge because the middle managers -- the bomb-makers, the men on the streets making the operations decisions -- are entrenched in their jobs.

How important al Qaeda's top job is remains to be seen. "But it is far more established and networked today than it was," Roggio said.

Still, al-Zawhiri may not fit that easily into bin Laden's shoes.

He also takes charge after a series of recent captures and kills of al Qaeda leaders: Among them were Fazul Abdullah Mohammed, the most-wanted terrorist in Africa, and Ilyas Kashmiri in Pakistan.

"Between the drone program, losing the war of ideas, their relevance, the bench depleted by captures or kills, the lack of success of attacks on the West -- all these things don't suggest a great deal of strength for al Qaeda," Bergen said.

"That's the problem set al-Zawahiri inherits."

@highlight

It took many weeks for al Qaeda to announce its new leader

@highlight

That could be sign of disagreement over al-Zawahiri

@highlight

Al Qaeda is losing the war of ideas

@highlight

Al-Zawahiri lacks the charisma and oratory of Osama bin Laden