(CNN) -- Nearly a decade has passed since Bill Clinton left the White House, but despite becoming a private citizen, the former president never left the public eye.

Former President Clinton receives flowers from a girl Tuesday upon landing in Pyongyang, North Korea.

While much of his time has been devoted to global philanthropic interests and speeches, Clinton has never strayed too far from the campaign trail and remains one of the world's most recognizable statesmen.

Clinton, 62, jumped back onto the world stage Tuesday with an unannounced trip to North Korea on a mission to negotiate the release of two imprisoned American journalists.

North Korean President Kim Jong Il later pardoned and released the journalists. They were traveling back to the United States with Clinton on Tuesday night.

The United States has no diplomatic relations with North Korea.

Clinton arrived to a warm welcome in Pyongyang.  Watch more on Clinton's North Korea trip »

There is a lot of nostalgia in Pyongyang for his administration, when relations between North Korea and the U.S. were stronger, said John Glionna, the Seoul, South Korea, bureau chief for the Los Angeles Times.

"Well, I think most of the people that I talked to in Washington earlier today were of the opinion that Bill Clinton is a big enough personality that would not risk the loss of face of him showing up in Pyongyang and returning empty-handed," Glionna said.

Clinton's high profile has led critics to accuse him of upstaging his wife, Secretary of State Hillary Clinton, especially when he was making headlines while campaigning for her unsuccessful 2008 presidential bid.

His first major verbal stumble during that campaign came in the run-up to the New Hampshire primary when he told a crowd that then-candidate Obama's claim to have been an early and consistent opponent of the Iraq war was "the biggest fairy tale I've ever seen."

In the ensuing media uproar, many Democratic activists -- African-Americans in particular -- came to believe that the former president had belittled Obama's entire campaign effort.

And while stumping for his wife in heavily black South Carolina, he seemed to try to minimize the impact of an Obama win by noting that the Rev. Jesse Jackson also won the state in 1984 and 1988 but went on to lose both nominations by wide margins. Critics accused the former president of trying to peel off Obama's white supporters by marginalizing him as the black candidate.

Clinton's hesitancy to back Obama once he locked in the Democratic nomination also fueled the storyline of the Clinton-Obama riffs. But in a high-drama moment last year at the Democratic National Convention, both Clintons announced their wholehearted support for their party's nominee.

Bill Clinton's name was tossed around as a possible pick to fill his wife's vacant Senate seat after she was selected as secretary of state. His name comes up in discussions of possible Supreme Court picks that Obama might have the opportunity to make.

Before his wife's presidential campaign, Clinton focused most of his efforts on the William J. Clinton Foundation.

The foundation's projects include the Clinton Global Initiative, which seeks to combat poverty and climate change and promote health and education programs worldwide as well as separate initiatives directed at childhood obesity, global warming, HIV/AIDS and malaria, inner-city entrepreneurship and economic growth in Latin America. It also funded the construction of the Clinton Presidential Library in Little Rock, Arkansas.

The foundation boasts more than 800 staff and volunteers around the world.

In his post-presidency, Clinton also has shared the stage with former President George H.W. Bush on numerous occasions. The two teamed up to establish the Bush-Clinton Katrina Fund and Bush-Clinton Tsunami Fund. They toured the tsunami-ravaged areas following the 2004 disaster, and they teamed up again the following year to lead relief efforts in the aftermath of Hurricane Katrina.

Clinton also has taken time to author a couple of best-selling books. His 2004 memoir, "My Life," sold more than 400,000 copies the first day it was available.

Later that year, Clinton underwent heart bypass surgery after experiencing chest pain and shortness of breath.

A biting Vanity Fair article published last summer suggested that Clinton's surgery left him in an altered state of mind -- one marked by constant anger and rage.

The Clinton campaign hit back, saying that theory is "false and is flatly rejected by President Clinton's doctors who say he is in excellent shape and point to his vigorous schedule as evidence of his exceptional recovery."

In a sharp critique of the article, Clinton spokesman also criticized Todd Purdum, national editor of Vanity Fair, for not giving enough attention to the former president's charitable works through his foundation since leaving the White House.

"Most revealing is one simple fact: President Clinton has helped save the lives of more than 1,300,000 people in his post-presidency, and Vanity Fair couldn't find the time to talk to even one of them for comment," spokesman Jay Carson said.

While the 42nd president's image has gotten a few bruises over the years, Clinton has held on to his reputation as a master politician with a penchant for making news.

CNN's Kristi Keck and Alan Silverleib contributed to this report.

@highlight

NEW: Kim Jong Il pardons two U.S. journalists, state-run news agency KCNA says

@highlight

Bill Clinton has focused on philanthropic interests in post-presidency

@highlight

Clinton has stayed involved in politics, sparking controversy in wife's 2008 campaign

@highlight

Clinton also has authored books, teamed up for charity with George H.W. Bush