Growing up in Louisiana and Texas in the home of a part-time deputy sheriff, guns were a constant presence in Robin's childhood.

Her father's hunting rifles were not hidden in a safe but proudly displayed in a cabinet, she said. When he wasn't wearing his pistol, it hung in his holster from a rocking chair in the living room in case he needed it -- and a shotgun sat atop the refrigerator for further defense.

Robin, who asked that her last name not be used to protect her family's privacy, was 5 years old when she fired her first round from a real gun under her father's instruction -- a .38 special bullet from a .357 Magnum. He had seen her laughing while using her BB gun and didn't think she took guns seriously. He brought a container of red Kool-Aid out to the yard as a target.

She missed, but remembers being "knocked on her caboose" by the force of the shot. She also remembers watching the jug explode as her father hit the target with a .410 shotgun.

Read more: Gun violence task force begins work

"After that, guns were respected and not handled unless given permission and with supervision," said the 37-year-old married mother of three from Locust Grove, Georgia. "I had a healthy fear of them, but was not afraid of them."

As she and her husband started a family, there was never a question as to whether firearms would be in the home or whether their children would learn how to use them, she said.

Last week's school shooting in Newtown, Connecticut, has renewed debate over the wisdom of keeping guns in homes with children in light of information that alleged shooter Adam Lanza grew up with guns and went target shooting with his mother.

While some studies show that keeping a gun in the home increases the risk of injury and death, a recent Pew survey found a higher percentage of Americans saying that gun ownership does more to protect people from crime (48%) than put their safety at risk (37%).

Read more: In just seconds, a boy, a gun, a death, then grief

A 1998 study of injuries and death due to firearms in the home found that for every time a gun in the home was used in a self-defense or legally justifiable shooting, there were four unintentional shootings, seven criminal assaults or homicides, and 11 attempted or completed suicides.

While some Americans rethink gun control, Robin said the the Sandy Hook shooting has confirmed her belief that it's her job to protect her children and teach them to defend themselves. She has no intention of getting rid of her firearms and still plans on giving her sons BB guns as Christmas gifts.

"It has reinforced the idea that a madman can grab a gun and use it; it has reinforced my desire to have a way to protect my children," she said. "We know that guns don't kill people, bad people do. As responsible parents, it is our job to protect our family, and the best way to do that is to be prepared and armed, if that time comes."

Read more: Masculinity, mental illness and guns: A lethal equation?

She's not alone. Robin and other parents who keep firearms in the home say the lesson of the Sandy Hook tragedy is not that we need more gun control but that we need more parental involvement in children's lives. Parents should teach children how to deal with guns responsibly.

"A healthy fear and respect for guns is what is needed in America," she said. "It's up to us as parents to help our children understand that these are not toys, but not to be afraid of them if they ever need to use them."

Assessing a child's mental and physical capacity to use a gun is the first step in determining whether to place one in their hands, said firearms instructor Tim Mulheron, who is certified by the National Rifle Association as an instructor in pistol, rifle and shotgun safety. Knowing whether a child can be trusted around guns should also determine where parents keep them.

"If you have an environment where you don't trust your kids, you shouldn't have guns out, and it's the parent's responsibility to assess that," he said.

Mulheron introduced his daughter to firearms when she was 9 by letting her help clean parts, he said. Sitting kids down and taking the gun apart so they can learn what each piece helps gauge their willingness to learn, he said. If they appear to genuinely listen, they're ready to move on, he said.

"Teaching your kids how guns work and to understand what they do and what happens when they go off is very important," he said. "Kids have an incurable curiosity -- that's the first thing that gets everyone in trouble. If you train a child it takes the mystery away so they know what is and see what it does."

Read more: Will media stay focused on gun story?

From there, the instruction is the same as it is for adults, he said. He takes them through the four rules of gun safety and how to load and unload ammunition, before moving on to how to pick up, hold and aim a gun. Only then does he consider taking them to the range.

The NRA offers a program that teaches children steps to take if they find a gun -- stop, don't touch, leave the area and tell an adult. Otherwise, there's no hard age limit or minimum on when to begin introducing children to firearms, he said. It's up to a parent to decide when a child is physically able to hold a firearm and mentally prepared to understand its consequences.

"As a responsible parent, you shouldn't own guns without the proper mindset and awareness of what your children can and cannot do," he said.

Westley McDuffie gave his son his first .22 caliber single shot rifle last Christmas, when the boy was 6 years old. His daughter, who is now 6, might get one from her grandfather for Christmas this year.

The family lives on two acres of land in Loganville, Georgia, where McDuffie has set up metal targets for his children to practice on. Both of his children have demonstrated that they can follow directions and respect basic firearm safety, leading McDuffie to decide they have earned their own weapons. After all, if they're going to handle guns, they need ones that fit them right, he said.

Kids and guns: What's your parenting style?

McDuffie, retired from the U.S. Army, has a personal stash of 15 pistols, shotguns and rifles (kept out of children's reach, he said) for target practice and home protection. They live far out in the country, he said, too long a drive to wait for law enforcement to come in an emergency.

"The only thing that stops a bad guy with a gun is a good guy with a gun," he said.

Read more: America's attitude toward guns?

He would never force his children to shoot if they didn't like it, he said. But it's important to him that they know how to if the need arises.

He suggested that if the staff at Sandy Hook Elementary School had been armed, things might have gone differently.

McDuffie and Robin agreed that they would not allow their children access to firearms if they had behavioral issues or did not appear to respect weapons.

Read more: 6-year-old dies a day after being shot -- by a 4-year-old

As soon as her daughter was old enough to realize that they had a gun safe in the bedroom, Robin brought her to her father to learn gun safety.

"I knew she needed to have that same healthy fear and respect of guns, to ensure her safety," she said.

Like her mother, the teen remembers the force of firing her first weapon under the instruction of her grandfather.

She is 15 now and knows how to shoot BB guns, handguns, rifles, shotguns even an AR-15, her mother said. She feels comfortable leaving her home alone with her younger brothers knowing that she has the code to the gun safe if she needs to use it.

The teen said it's not a responsibility that she takes lightly.

"It's for our safety," she said. "I have a lot of respect for them. I don't see it as fun or cool, but if I'm ever in a situation where I need a gun, I know what to do and I'm not scared."

Read more: acting on gun control

@highlight

Parents say Connecticut school shooting reinforces need for guns in home

@highlight

If keeping guns in the home, children should know how to use, mother says

@highlight

"It's up to us as parents to help our children understand that these are not toys," mother says

@highlight

It's up to parents to determine if child is mature enough to use guns, gun safety instructor says