ATLANTA, Georgia (CNN) -- Africa is not a country, and Africans generally do not live in trees or hunt game with spears. Nor do they all walk around in the nude among lions and zebras.

Chinedu Ezeamuzie shows some of his company's Web designs after an interview last week.

African immigrants to the United States say cartoonish caricatures and a Western media penchant for reporting on Africa's disease, hunger and war -- rather than the continent's successes -- trivialize their cultures. They complain they have trouble dispelling the stereotypes once they arrive in the States.

They concede, though, the myths run both ways and some say they were surprised to find their values more often aligned with those of white Americans than African-Americans.

"I have been laughed at because of my accent and asked all the ignorant questions," said iReporter Ajah-Aminata N'daw, 25, of Fall River, Massachusetts. "Questions like: Did I live on a tree? Roam the jungles naked? Have wild animals at home?"

N'daw emigrated from Dakar, Senegal, in 2001. She works in a hair-braiding salon and has met African-Americans who share her values of hard work and family, but in most cases, "we are raised differently, taught different values and held up to a different moral code." iReport: Read why N'daw is not African-American

Gaddafi Nkosi, 18, recently graduated from The Piney Woods School, a historically African-American boarding school about 22 miles southeast of Jackson, Mississippi. He has since returned to Pretoria, South Africa, but recalled well the misnomers he faced in the U.S.

"I came down from South Africa and so many people thought that maybe that's a jungle or maybe I'd go out chasing lions or something like that," he said.  African, black students find common ground at Mississippi school »

Nkosi's American classmates acknowledge their misconceptions. Cydney Smith, 17, of Nashville, Tennessee, said she once believed Africa was populated with "uncivilized tribes."

Raphael Craig, 17, of Hyattsville, Maryland, said the television misinformed him as well.

Before Craig visited the continent in 2005 and 2006, he thought of Africans as "half-naked, running around with tigers in the jungle," Craig said, confessing he was unaware tigers roam only Asia.

But in Ghana and Nigeria, Craig saw children playing the same games he and his siblings played. He saw many signs of modernity, including Mercedes and other brands of cars found in the United States.

"OK, this country is running how we're running, just two different schools," Craig recalled thinking. "It really opened my eyes to the point that everything you see on TV is not always the actual thing."

If the Western media are doing Africans no favors, then the African media are also a disservice to African-Americans because it portrays them as criminals, some immigrants say.

Sandi Litia, 19, a Piney Woods graduate from Limulunga, Zambia, said she was initially scared of African-Americans because the African media show them "wearing clothes like gangsters and killing each other."

Nkosi concurred that African media "made it seem as if they were these aggressive people that did nothing constructive with their lives except occupy prison space."

Trying to fit in

Chinedu Ezeamuzie, 21, of Athens, Georgia, arrived in 2003. He had spent the majority of his life in Jabriya, Kuwait, and came to the U.S. to pursue his education.

The recent Georgia Tech graduate said he considers himself Nigerian because his parents -- both from the village of Uga -- instilled in their four children strong Nigerian values of family, community, spirituality and self-betterment.  Test your Africa knowledge with a quiz »

In Athens, Ezeamuzie found his ideals at odds with those who shared his skin color at Clarke Central High School, his first stint in a public school.

On his first day, he donned khakis, a button-down dress shirt and nice leather shoes. He caught the African-Americans' attention upon stepping into the cafeteria, he said.

"They give me the look," he said. "Why is this guy dressed like the white folks, like the preppy guys?"

Ezeamuzie didn't understand why so few black students were in his advanced-placement classes. He didn't understand the de facto lunchroom segregation or the accusing glances he got for eating with white classmates. One classmate called him a traitor and asked, "Do you not like black people?"

"My whole life I had reaped benefits from being in different circles and bridging them," so he wanted to fit in, he said. iReport: What are the unique struggles of being African in America?

He found clothes akin to what he saw many African-Americans wearing --- baggy pants and an oversized T-shirt. He relaxed his British-trained tongue and tried out for the basketball team, the 6-foot-5 Ezeamuzie said.

Ezeamuzie recalled finding himself more confused by his experience with some African-Americans: Why were they so cliquish? Why did they mock students for being intelligent? Why were they homophobic and bent on using the n-word? Why did every conversation seem to involve drugs, girls or materialism?

"They kind of accepted me. They saw me a little differently, but I was thinking this is a very narrow mindset," Ezeamuzie said.

Ezeamuzie and other Africans say they feel African-Americans too often dwell on slavery and the racism that has persisted for more than a century since the Emancipation Proclamation.

"We have all been tortured," said iReporter Vera Ezimora, 24, a Nigerian student living in Baltimore, Maryland. "Now that we are free, holding on to the sins of white men who have long died and gone to meet their maker is more torture than anything we have suffered." iReport: Read about questions Ezimora faced when she came to the U.S.

Values at core of misunderstanding?

Martin Mohammed, president of the U.S. African Chamber of Commerce, estimates there are 3 million African immigrants in the U.S. -- about twice the U.S. Census Bureau estimate. He has heard from numerous immigrants struggling to find commonalities with Americans who share their skin color.

Mohammed emigrated from Somalia in 1998 and is now naturalized. He considers himself African-American, but "it does not mean that I have already assimilated into the culture."

Values and upbringings may lie at the center of the cultures' misunderstanding of each other, he said.

Many Africans come to the U.S. to escape dire conditions such as poverty or civil war. Their objectives are often advancing their education or finding good jobs, Mohammed said.

They also strive to reunite their families, or at least support them back home. Remittances from the U.S. to Africa total about $20 billion annually, according to the World Bank.

However, African immigrants find that education and good jobs elude their African-American brethren, and there is a perception that many African-American men aren't committed to supporting their families, Mohammed said.

The two cultures have much to teach each other -- especially politically and economically -- but they must accept they have something to learn.

"Honestly, what we need to do is realize both cultures are important," Mohammed said.

Myths thrive on ignorance

iReporter Emeka Aniukwu, 35, hails from Ebenebe, Nigeria, and said he has heard all the American misperceptions about Africa, but the cure to ignorance is communication.

He began dating Sonya Roberts, 25, of Austin, Texas, shortly after he arrived in the U.S. in March 2005. She taught him about African-American culture, and he taught her about Nigeria. The couple married two years ago.

"Talk to people, stop showing ugly face and don't be shy about your accent," he advised African immigrants. "Most of the media coverage about Africa is all about hunger, diseases and war, so what do you expect? People are curious and just want to know, so calm down and educate them as much as you can." iReport: Read why Aniukwu loves Africa-Americans

At Piney Woods, where about 35 of the 200 students emigrate from Africa, the school's president, Reginald Nichols, concurs that education is integral to understanding.

He's heard Africans say the African-Americans are aggressive, while the African-Americans accuse Africans of being reserved -- but the more they mingle the more they mesh, he said.

"You have the African students tell me that they have learned so much about standing up from the African-American students, and the African-American students said they've learned how to simmer down, so it's a wonderful thing," Nichols said.

Mohammed, too, said he'd like to see more African-Americans dispelling myths about Africa, which is increasingly important as Africans in the U.S. begin wielding more economic influence.

The chamber estimates African immigrants have about $50 billion in annual purchasing power. Numbers from the University of Georgia's Selig Center of Economic Growth indicate the number is just behind the nation's Native American community, which had $61.8 billion in buying power last year. The entire African-American market was estimated at $913 billion and the Hispanic market at $951 billion.

History dictates that economic power precedes political power. Mohammed said Africans can learn much about politics from African-Americans because of their "level of influence in Washington."

"I'm also interested to the extent that the black population can play a role in solving global conflict. We can help these discussions around the globe, but we must begin here in the U.S.A.," he said.

iReporter Faraji Goredenna, 53, of Layton, Utah, said he encourages African-Americans to learn more about Africa and lend a hand to Africans so they know "America's institutions and opportunities are open to them, too." iReport: Read how Goredenna embraces both cultures

But he'd like a symbiotic relationship, he said, explaining, "We African-Americans want to learn more about our history and culture as it exists in Africa, but we have also created a culture for ourselves here that we ask our brothers and sisters from Africa to respect."

CNN's Jackie Adams contributed to this report.

@highlight

Senegalese woman says of two cultures: We are "taught different values"

@highlight

African, African-American teenagers had myriad misconceptions of each other

@highlight

Nigerian says he tried to act like African-Americans to fit in, was still confused

@highlight

Key to dispelling myths about both cultures is education, dialogue, immigrants say