WASHINGTON (CNN)  -- The FBI did not participate in harsh interrogations of suspected terrorists detained in Guantanamo Bay, Afghanistan or Iraq, said a Justice Department investigation released Tuesday.

An April 2007 photo shows a room at Guantanamo Bay that had been used for interrogations.

The investigation also concluded that the bureau generally reported potentially illegal actions by the CIA and Defense Department.

In "only a few instances" did FBI agents use techniques that were not approved by FBI policies, according to the report by Inspector General Glenn Fine.

Fine criticized the FBI for being slow in developing and distributing its interrogation policy to its interrogators.

Though the the FBI decided to avoid harsh techniques in August 2002, the decision was not put in writing until 2004, when the bureau also put in writing that the harsh techniques used by other agencies should be reported to FBI superiors.

The 2002 decision by FBI Director Robert Mueller was that the bureau would adhere to restrictions used in interrogations of detainees within the United States. Those techniques prohibit coercion, abuse or threats.

The policy is based on the belief that building a rapport with prisoners is the best way to gain intelligence, according to Tuesday's report.

The FBI issued a statement saying it is "gratified" by the report's findings, and Mueller promised that the bureau will continue to use "rapport-building techniques in interviews" of detainees.

The inspector general's investigators interviewed almost all of the more than 1,000 FBI employees who were deployed to one or more military zones between 2001 and 2004, the report said.

The vast majority of the agents adhered to FBI policies and separated themselves from other agencies' interrogators who were using techniques that the FBI didn't approve of, the report said.

The report listed "a few incidents" that "clearly would not be permissible for FBI agents to use in the United States," including isolating a prisoner from human contact and participating in an interrogation in which detainees were "given a 'drink of water' in a forceful and inappropriate manner."

It also listed incidents that were not "clear violations of FBI policy" but which should have raised questions.

Some agents participated in a program of subjecting detainees to frequent cell relocations, the report said. In another case, two agents joined in an interview in which a detainee's hands and feet were "short-chained" close together for several hours, during which time the prisoner urinated on himself.

FBI agents reported that non-FBI interrogators engaged in sleep deprivation or sleep disruption techniques, which include using bright lights, loud music and extreme temperatures "to keep detainees awake or otherwise wear down their resistance."

No FBI agents witnessed the abuses at Abu Ghraib, the U.S. Army-operated Baghdad correctional facility where some prisoners were physically and sexually abused, sparking outrage when photos of the abuse became public.

However, the report said, an FBI agent said he witnessed a naked Abu Ghraib prisoner forced to roll between rows of cells. He did not report the incident because he didn't know whether it was an acceptable technique.

The report also said FBI personnel did not witness the controversial waterboarding technique, which the CIA has confirmed was used on three prisoners.

The FBI protested when it witnessed techniques used by the military and the CIA in questioning top terror suspects Abu Zubayda and Yousef al-Qarani, according to the report. In one instance, an agent objected to using a snarling dog to interrogate al-Qarani.

Despite some criticism, the inspector general offered the FBI modest praise at the conclusion of his three-year investigation.

"We believe that while the FBI could have provided clearer guidance earlier, and while the FBI could have pressed harder for resolution of concerns about detainee treatment by other agencies, the FBI should be credited for its conduct and professionalism in detainee interrogations in the military zones in Guantanamo Bay, Afghanistan and Iraq, and in generally avoiding participation in detainee abuse," the report concluded.

The inspector general's investigation did not quiet the FBI's chief critics. The American Civil Liberties Union said FBI leaders failed to uphold their obligation to "bring an end to the abuse and application of illegal interrogation methods."

Rep. Jerrold Nadler, D-New York, chairman of a subcommittee that oversees the FBI, criticized then-Attorney General John Ashcroft and his deputy, Larry Thompson. Nadler said FBI agents' objections to certain interrogation methods "fell on deaf ears."

"The admirable actions taken by those brave FBI agents willing to speak out were undermined by those who led them," he said.

@highlight

Justice Department investigation finds FBI generally acted responsibly

@highlight

Probe looked at interrogations at Guantanamo Bay, Afghanistan, Iraq

@highlight

Investigators find "only a few instances" of unapproved techniques by FBI

@highlight

FBI "could have provided clearer guidance earlier," report acknowledges