(CNN) -- Edwin Moses would like it to be known that Olympic athletes are made -- painstakingly -- not born.

In a remarkable career as a 400 meters hurdler, Moses won gold at the 1976 and 1984 Olympics, broke four world records and enjoyed one of sport's greatest winning streaks -- going unbeaten for an incredible 122 races.

Known as "Kermit" in high school for his long, frog-like limbs, Moses started hurdling when he was substituted in for a relay race. "Someone got hurt and the coach said 'who wants to try hurdles?'" he recalls. "I just got up there and started doing it. Never had anyone teach me, I just learned by doing it."

Following his track career, Moses formulated an assistance program that allowed athletes to accept funding from stipends and endorsements without losing their eligibility to compete at the Olympics.

Today, Moses is a father, chair of the Laureus World Sports Academy, which promotes social change through sport, and a financial consultant for an investment management bank.

He is also a motivational speaker who aims to inspire success in a corporate environment. Here, he tells Route to the Top about some of the principles that have underpinned his success, and that can apply to your own career, whether you're chasing Olympic gold, or just a promotion.

First learn, then innovate ...

"I won my first gold medal in '76. I was 20 years old, which is young by today's standards. I was right in the middle of my third year of college, studying physics and engineering, so I had a very good grounding in the mechanics of running.

"At Morehouse College we had no track, no field, no physical therapist, no massage therapist, nothing. So I basically had to put together an intense training program.

"I was very innovative, because I didn't have a lot of resources. I had a room mate who was a principal dancer with the Atlanta Ballet, so I learned a lot about stretching, precision body movements, things like that."

Know the competition, know yourself ...

"In any competitive environment, whether you're in sales or marketing or whatever it is, you have to know your competition, understand who they are, do intelligent analysis on them and then you have to know yourself -- who you are and what you're capable of doing.

"You have to know your external environment, as well. "

See also: Haile Gebrselassie - tips for the top

Make time for work and leisure ...

"The way I look at it, there is a 'no-compression zone,' where you have your family, your personal life, things like your health and well being, a hobby, rest and relaxation.

"Then there's the 'compression zone.' You should be ready, when you go there, for things that can affect your performance, like commuting, stress on the job, electronic distractions, media that people get addicted to, and your internal and external job politics.

"You need to carve out enough time to be successful in both areas. You have to strategize, analyze, initiate and follow through."

Adapt methods to suit your own style ...

"I always saw hurdles as a form of art, because it's very individual. One technique that may produce a world record for one guy could be useless for another guy. You really have to put it all together yourself.

"That's what I did."

See also: To reach your potential, dare to be different

Seek out other innovators ...

"I found ways to maintain my performance through working with professionals and doing things that other people weren't doing.

"Later in my career, I had a great physical therapist who kept me out on the track. We were doing innovative things like ice baths back in the early 80s when everyone else thought it was crazy.

"They were the only kind of people that I would even talk to concerning my races, because we were at a completely different level."

Even when you're winning, stay focused on your program ...

"I never thought about (my winning streak). All I knew was that I prepared myself better than everyone else on a daily basis and every race was mine to lose.

"I never thought about the competition. I only thought about the seven or eight elements of my training program that I had to check off every day.

"My life became measured in tenths of seconds. I knew exactly how hard I needed to run to hit those targets. I knew exactly how many I needed to do, to be in a certain condition. I knew exactly what intervals I needed for rest time in between.

"I had the whole thing wrapped up very scientifically. For me, it was like a big laboratory out there.

"I had to think about a year of workouts and where that would put me on race day."

Be driven, but be ethical ...

"In sports, there are people who, with the assistance of enablers and illegal substances can become better, and I find most of them would be mediocre without them.

"My career proves that you can be on top for a long period of time by doing things that come naturally."

See also: Is good karma good for business?

It's all about hard work ...

"I started out not a talented person in track and field and just loved the sport and put so much into it that I became one of the best.

"In basketball, football, whatever, you're dealing with a group of people who dedicate a lot of time and energy and have a lot of work habits. When things get tough, they're the last people out there.

"Those are the people that become professional athletes. It's not really about talent or just being born to do it. That professional basketball player probably shoots 500 shots a day every day. Every day."

@highlight

Olympic hurdler Edwin Moses learned about business while an international athlete.

@highlight

The MBA and financial consultant says successful sportspeople are created, not born.

@highlight

A physics major, Moses tailored his own training program and technique.