(CNN) -- On April 28, 2003, Apple threw open the virtual doors to its iTunes Store, and music -- all digital media, really -- hasn't been the same since.

Suddenly, an industry terrified of online piracy had a legitimate place to earn money from the sale of digital music. Listeners no longer had to drive to their neighborhood record store (remember those?) to buy that new album by Norah Jones or 50 Cent. A song cost only 99 cents, a bargain next to an $18 CD. And iTunes-powered iPods, with their signature white earbuds, became a must-have mobile accessory.

Not everyone was thrilled. Record labels grumbled at being strong-armed over song prices by Apple CEO Steve Jobs. Some musicians complained that they didn't earn enough royalties from digital-music sales.

But by 2010, iTunes was the largest music retailer on the planet. Today, it has 435 million registered users in 119 countries and recently served up its 25 billionth song, downloaded by a man in Germany. iTunes also now sells much more than music: Customers can download movies, TV shows, games, books, podcasts and more.

In recent months, Apple's retail juggernaut has shown signs of weakness. Recent figures show that its growth may finally be slowing down. And services such as Pandora, Spotify, Rdio and others, which allow users to stream songs for free or a modest monthly fee, are supplanting iTunes among many young listeners.

But its arrival 10 years ago this week was a sea change for anyone who makes, distributes or enjoys listening to music.

CNNMoney: The Evolution of iTunes

Here's a look at some ways iTunes changed music, and us:

It celebrated the song, not the album

Thanks to iTunes, all of a sudden, you didn't have to buy that Chumbawamba record to get "Tubthumping" (the "I get knocked down" song). You could cherry-pick whatever songs you wanted instead of paying extra for the filler on an album or -- heaven forbid -- for a CD single.

And sure enough, sales of songs far outpace sales of whole albums on iTunes. One downside of this is that artists have less incentive to make thematic concept albums. It's hard to envision what the impact of "Sgt. Pepper" or "OK Computer" might have been in the iTunes era.

It rewarded impatience

Here's the way it used to work: You'd hear a song on the radio. You'd have to figure out what it was (a challenge in the days before Shazam). You'd drive to a mall. You'd search for the record. You'd buy the record -- if it was in stock. You'd put it in your CD player or on your turntable. Finally, you'd get to listen.

Now: Hear song, download song. Instant gratification.

If the Internet has made the world's knowledge accessible to almost anybody with a computer, iTunes has done the same with music. According to Apple, the iTunes store now stocks more than 26 million songs, many of which aren't about Taylor Swift's ex-boyfriends.

Now, whether it's Javanese gamelan music or 13th-century Christmas tunes, it's all at our fingertips -- and we can sample it immediately. Kids, you've got no excuse.

It killed the mixtape

Ahh, those lovingly made aural valentines, filled with oh-so-cool jams sure to impress your romantic interest or hipster friend. So fun to make, not always so fun to receive.

Sound quality? Eh, it's good enough

Throughout the history of recorded music, the idea was usually to improve sound quality. As music went from scratchy cylinders to 78s to LPs to CDs, there was usually a corresponding leap in audio excellence.

But the digital formats available from iTunes, which compress audio files to make them easier to download, are a step down from CD quality. And you know what? Outside of audiophiles, nobody cares. The iTunes Store and its digital brethren have helped clear the way for the "good enough" society. Those smartphone photos? Not as good as a digital camera's but good enough. That netbook? Not as powerful as a laptop but good enough.

Convenience almost always wins. As Wired's Robert Capps wrote, "Having it here and now is more important than having it perfect."

It killed album art

This week, Storm Thorgerson died. You probably don't know his name, but you know his work: Thorgerson was a graphic artist who designed album covers for Pink Floyd, Led Zeppelin and 10cc, among many others.

You may also have seen Thorgerson's shrunken covers on iTunes, where they have no more heft than an app icon. The song is the thing in the iTunes world, and that means there's less importance for the kind of artwork Thorgerson did -- which, in its 12-by-12-inch LP album cover form, was sometimes more impressive than the music it housed.

Yes, iTunes offers booklets, images, videos and movies, but you can't frame those and hang them on a dorm room wall ... or use them to spread out, uh, study accessories.

It made apps mainstream

Until July 2008, apps were just something you ate before the main course. Then came the App Store, a specialty shop inside the larger iTunes department store, and Apple's iconic "There's an app for that" campaign.

Soon, every early adopter was waving around their iPhone, boasting about all the apps they'd loaded onto it and slinging virtual birds at virtual pigs. The iPad only accelerated this trend. In January, Apple announced that more than 40 billion apps had been downloaded from its online store.

'All Together Now'

A small minority of artists have refused to sell their music on iTunes. But one group in particular was unmoved by the move to digital downloads: the Beatles. Thanks to legal disputes and sonic concerns, for more than seven years, the Fab Four (and their many representatives) resisted calls to transfer their prized catalog to iTunes, leaving music fans stuck with their old-fashioned CDs, LPs and reel-to-reel tapes.

That finally changed in 2010, when the Beatles' Apple Corps joined with Apple's core music distribution product. (Yes, the use of the name "Apple" was another part of the dispute.) Since then, the two have "Come Together" to the benefit of both. In the first week of availability, iTunes sold 450,000 Beatles albums and more than 2 million Beatles songs.

'Curse you, iTunes!!!!!!!!'

Despite its hundreds of millions of users, iTunes has its critics. It's become one of the most unpopular programs Apple offers. It's slow to load, it's a memory hog, and it likes to update seemingly every day.

"Won't someone take iTunes out back and shoot it?" Slate's Farhad Manjoo asked in an article as iTunes 11 was released. "Each new upgrade brings more suckage into your computer."

Apple fanboys wait excitedly for most new Apple products. But for iTunes? Not so much.

And then there's this: Legally, you don't own the songs you download on iTunes; you simply own the right to play them on your devices. So it might be a good idea to hang on to those old LPs and CDs -- and leave your passwords in your will.

@highlight

Apple's iTunes Store launched April 28, 2003

@highlight

By 2010, iTunes was the largest music retailer on the planet

@highlight

Despite some gripes, iTunes was a perfect fit for our instant-gratification culture

@highlight

Services such as Pandora and Spotify are supplanting iTunes among young listeners