(CNN) -- Whisper it quietly in France but a trio of English-speaking riders is set to dominate the 99th edition of its most famous sports event, a bike race that represents the Gallic nation's very essence.

Winding across the flatlands of northern France and over the cols of the Pyrenees and the Alps, before finishing on the Champs Elysees in Paris on July 22, the Tour de France is watched by millions of spectators during its three weeks and literally brings the country to a standstill.

The possible success of Britain's "Rosbifs" cyclists, and that their main challengers will come from Australia and Canada, is a further sign of the globalization of a sport once dominated by riders from France and northern European neighbors such as Belgium and the Netherlands, plus Italy and Spain.

Between 1999 and 2005 seven straight wins for American Lance Armstrong threw a spanner in the spokes of the Tour's traditional powerbrokers, and the trend has continued apace.

Lance Armstrong banned from world Ironman events over doping probe

A 32-year-old Londoner, Bradley Wiggins is the favorite for overall victory in 2012, with his main opposition likely to come from Australian Cadel Evans, who triumphed last year, while Canadian Ryder Hesjedal has a good chance of a podium place.

"I think it's great because cycling used to be a European sport and now we see Australian riders, North Americans and the British coming forward," Gilles Simon, the cycling editor of L'Equipe, the French sports newspaper so closely associated with the Tour, told CNN ahead of the race's start on Saturday.

"Within a few more years I believe we will even see a rider from Asia challenging for major jerseys. But for us the favorite is Bradley Wiggins."

Impeccable credentials

Wiggins, a surprising fourth in the 2009 Tour, will start with impeccable credentials. He is the first man to win the Paris-Nice, Tour de Romandie and Criterium du Dauphine stage races in the same season.

An in-form Wiggins crashed out early in the 2011 Tour de France and is thus doubly determined to seize the chance to cement his place in cycling's hall of fame.

"I've been waiting for this moment for a long time and I'll do everything I can to win the Tour de France," Wiggins told Team Sky's official website.

"The team's preparation has been perfectly managed and our form this season gives us a great chance of being successful."

Evans became the first Australian to win the Tour de France in 2011 and the 36-year-old BMC leader will not give up his crown without an almighty fight.

"We're bringing an even stronger team to the Tour this year and the route would seem to favor me," he told his team's official website.

Modal shift

Throw into the mix Hesjedal, who won last month's Giro d'Italia, and it is clear there has been a modal shift in cycling supremacy.

"We could have a Tour podium with three native English-speaking riders," Hesjedal's team boss at Garmin-Sharp, Jonathan Vaughters, told CNN.

American Vaughters is talking up the chances of his 31-year-old star rider, despite recent Giro winners flopping in the Tour de France just a few weeks later.

"Ryder will break that historical trend. Whether he can win the Tour is hard to say, but he will be a contender," said Vaughters.

The cause of the English speakers has been helped by the absence from the 2012 Tour of two riders who may well have had a say in the eventual outcome.

Luxembourg's Andy Schleck and Alberto Contador of Spain fought a classic duel on the slopes of the Col du Tourmalet in the 2010 edition.

Contador emerged a narrow victor overall, but was later stripped of the title after failing a doping test during the race.

Schleck was awarded the race retrospectively, but his hopes of winning a second Tour were dashed when he withdrew after suffering injuries in a fall at the Dauphine race won by Wiggins earlier this year.

Contador ban

Contador is still serving a ban as a result of his 2010 misdemeanors and will return in August.

The specter of drugs still casts a shadow over cycling, and in the buildup to the Tour the United States Anti Doping Agency (USADA) formally charged Armstrong over allegations of doping.

Vaughters, whose team adopts a strict anti-doping stance, is hoping that the increased globalization of the sport -- and with it the opportunity for more sponsorship revenue to boost its coffers -- will play a part in eradicating doping.

"We need all our cyclists to be properly compensated for the incredible physical risks they take every day," he said.

A glimpse at the route for this year's Tour shows just how exacting a test the 21-stage race really is for the 198 starters from 22 teams.

The 3,497-kilometer race will take in 25 categorized climbs in the Alps and Pyrenees, but with 100 km of individual racing against the clock, starting with 6.4 km in the prologue in Liege in Belgium, it favors Wiggins and Evans.

Away from the battle for yellow, Mark Cavendish, who joined Wiggins at the powerful and well-funded Team Sky for 2012, will be defending the maillot vert (green jersey) of the points winner as he bids to add to his fast mounting tally of 20 stage victories in the Tour.

Dangerous finishes

On the nine flat stages, Cavendish and his sprinter colleagues will get their opportunity to cross the line first in the usual hell for leather and often dangerous finishes.

Reigning world champion Cavendish is the leader of that pack and warmed up with three more victories in the Giro.

But given his Olympic aspirations -- the road race at the London Games is just a week after the finish of the Tour -- Simon believes he will not seriously defend his green jersey.

"He will win perhaps three or four stages, but not green," said Simon.

The team principal at Sky, Dave Brailsford, admits they have split loyalties.

"Our priority this year is the General Classification with Bradley but that doesn't mean we'll neglect the sprint stages, or Mark's bid for green jersey," said Brailsford.

If the main contenders for yellow slip up, Italian Vincenzo Nibali of Liquigas, who won the 2010 Tour of Spain, and Belgian Jurgen van den Broeck of Lotto -- a top-five finisher at Le Tour that same year -- are ready to step up.

Home hopes

And what of French chances in their home Tour?

Last year Thomas Voeckler held on to the yellow jersey for 10 days, won the admiration of cycling fans everywhere and finished fourth overall behind Evans.

"The biggest hope for us is that another rider can do the same as Voeckler," admitted Simon, who singled out Pierre Rolland, winner of the white jersey last year for best under-25 rider, for a possible high finish.

But all the momentum seems to be with Wiggins, the first genuine British contender for overall victory since Tom Simpson in the 1960s.

Simpson became the first British rider to claim the race leader's yellow jersey in 1962 and his achievements paved the way for English-speaking competitors in a sport entirely dominated by Europeans.

But five years later he died on Mont Ventoux on the 13th stage of the Tour -- the victim of heat exhaustion and a deadly cocktail of drugs and alcohol --- in a doomed and tragic bid for cycling's ultimate prize.

Simpson was a childhood idol for Wiggins and it would appear fitting if he could ride into Paris in three weeks' time in yellow and make cycling history.

@highlight

Bradley Wiggins pre-race favorite to win the Tour de France

@highlight

Wiggins would be first Briton to win the famous three-week race

@highlight

Compatriot Mark Cavendish defending green jersey of points winner

@highlight

Race starts Saturday in Liege, Belgium with a prologue