(CNN) -- Outside the windows of a C-130 cargo plane, the ocean spreads out in all directions.

Somewhere below, it is believed, are the remains of Malaysia Airlines Flight 370, which disappeared on a journey from Kuala Lumpur to Beijing.

But a sighting has eluded searchers so far, and the mystery surrounding the plane grows.

"This is still a search and rescue operation as far as the Malaysian government is concerned," CNN's Saima Mohsin said as she accompanied the crew of the C-130.

The military plane was flying at just 500 feet above sea level, with searchers peering out the windows. All that could be seen on the water were rescue ships, also on the mission.

Search aircraft were covering an area of about 12,500 square nautical miles. Local fishermen have even been asked to help.

"Crucial time is passing," David Gallo, with the Woods Hole Oceanographic Institution, told CNN's Wolf Blitzer. "That search area -- that haystack -- is getting bigger and bigger and bigger."

Indeed, that search area grew Tuesday.

A senior Malaysian Air Force official told CNN that Flight 370 was hundreds of miles off course, traveling in the opposite direction from its original destination and had stopped sending identifying transponder codes before it disappeared.

If correct, those ominous signs could call into question whether someone in the cockpit might have deliberately steered the plane away from its intended destination, a former U.S. aviation investigator said.

"This kind of deviation in course is simply inexplicable," said Paul Goelz, former managing director of the National Transportation Safety Board.

Nearly three dozen aircraft and 40 ships from 10 countries have so far failed to find any sign of the aircraft, which took off from Kuala Lumpur shortly before 1 a.m. Saturday (noon Friday ET).

The Boeing 777-200ER was carrying 227 passengers and 12 crew members.

Gallo described what will happen once some debris from the aircraft is found, though he stressed there's still no evidence the plane hit the water.

"Once a piece of the debris is found -- if it did impact on the water -- then you've got to backtrack that debris to try to find the 'X marks the spot' on where the plane actually hit the water, because that would be the center of the haystack.

"And in that haystack you're trying to find bits of that needle -- in fact, in the case of the flight data recorders, you're looking for a tiny little bit of that needle," he said.

'Not hopeless'

According to the Malaysian Air Force official, who declined to be named because he is not authorized to speak to the media, the plane's transponder apparently stopped working at about the time flight controllers lost contact with it, near the coast of Vietnam.

The Malaysian Air Force lost track of the plane over Pulau Perak, a tiny island in the Strait of Malacca -- many hundreds of miles from the usual flight path for aircraft traveling between Kuala Lumpur and Beijing, the official said.

If data cited by the source is correct, the aircraft was flying away from Beijing and on the opposite side of the Malay Peninsula from its scheduled route. Previous accounts had the aircraft losing touch with air traffic control near the coast of Vietnam.

Rescue officials have expanded the search area.

"What I'm seeing here is clearly they have no idea," said CNN aviation correspondent Richard Quest. "They know roughly the area, but even there they are starting to scrabble around as to -- was it going in this direction? Had it turned round?"

Quest described the search as "extremely painstaking work," suggesting that a grid would have been drawn over the ocean and that teams are combing the area, bit by bit.

Although the work is challenging, he is confident that Malaysia Airlines Flight 370 will be found.

"It's not hopeless by any means. They will find it," Quest said. "They have to. They have to know what happened."

U.S. officials expressed frustration Tuesday with the way the search has been handled.

"To me, every minute counts here. And that was such a key point -- that the plane actually reversed course and was flying back over Malaysia toward Indonesia. Why wasn't that made known? Why weren't jets scrambled? Why wasn't an alert put out on that immediately?" said Rep. Peter King, chairman of the House counterterrorism and intelligence subcommittee.

"So far they seemed to have dropped the ball at every level. I hate to be the Monday morning quarterback, but it appears as if they've basically done nothing right so far," he said.

House Intelligence Committee Chairman Rep. Mike Rogers echoed King's comments when he spoke to CNN's Erin Burnett.

"The Malaysians have not been fully cooperative in making this a scientific search pattern using all the assets very wisely. So you start out in one place, and you're 500 miles away the next day. That tells me that they've got a lot of gaps to try to fill," he said.

'Still a mystery'

Gallo, of the Woods Hole Oceanographic Institution, speaks from experience.

He helped lead the search for the recorders of Air France Flight 447, which crashed into the Atlantic Ocean in 2009.

The Air France flight was en route from Rio de Janeiro to Paris when communications ended suddenly from the Airbus A330, another state-of-the-art aircraft.

It took four searches over the course of nearly two years to locate the bulk of Flight 447's wreckage and the majority of the 228 bodies in a mountain range deep under the ocean. It took even longer to find the cause of the disaster.

In 2011, the aircraft's voice recorder and flight data recorder were recovered from the ocean floor after an extensive search using miniature submersible vehicles.

"In this case, I thought for sure -- in a highly trafficked area where there's lots of air traffic, lots of ship traffic, not far from shore -- that for sure this would be a more rapid finding of some remnants of the plane -- but nothing," Gallo told CNN's Blitzer, comparing the Malaysia Airlines and Air France flights.

Cmdr. William Marks of the Navy's U.S. 7th Fleet also spoke to Blitzer.

He said the Gulf of Thailand is "pretty much saturated," but that the Strait of Malacca is "not quite" because "it's harder to get things over there."

Marks spoke by phone while aboard the USS Blue Ridge, which is assisting in the search.

"It's not a matter of if we can see something. We certainly can. We've picked up small wooden crates on our radar. We've picked up something as small as a soccer ball or a basketball. So we can see if things are out there.

"Now this is U.S. Navy technology -- not everyone has this same technology," he said Tuesday.

A day earlier, Marks told Blitzer the search area was growing on account of currents and the wind. "It's a very large search area, but still a mystery -- still a lot of question marks."

Interpol 'inclined to conclude' Malaysia Airlines disappearance not terror

Two mystery passengers add to intrigue in airliner's disappearance

Who travels with a stolen passport?

Missing Malaysia Airlines Flight 370: What we know and don't know

CNN's Saeed Ahmed contributed to this report.

@highlight

"We've picked up something as small as a soccer ball (on radar)," an official says

@highlight

CNN rides along with searchers on plane

@highlight

Malaysia Airlines Flight 370 disappeared four days ago

@highlight

Nearly three dozen aircraft and 40 ships have so far failed to find any sign of the aircraft