At Munich Zoo you can watch the courtship rituals of the banded mongoose, hear the morning song of the scarlet ibis or visit the Indian elephants, who help keep the lights on with electricity generated from their dung.

They can do this because Munich Zoo has harnessed "poo power," energy stored in animal waste, which can be converted into a fuel known as "biogas."

It works like this: The zoo has built three large containers, each capable of holding about 100 cubic meters of animal waste -- that's around  a week's worth of dung collected from all the vegetarian animals in the zoo.

Once inside the containers, it's mixed with warm water and the bacteria in the dung is left to decompose in an oxygen-free environment for 30 days.

The resulting biogas, mainly comprised of methane and carbon dioxide, rises naturally through vents in the ceiling to a corrugated hut on the roof where it's collected in a "big balloon," says park supervisor Dominik Forster.

The biogas is then fed into a gas-powered engine that's used to generate electricity. Forster says that the balloon -- which more closely resembles a small Zeppelin -- can store enough biogas to meet 5% of the zoo's energy needs.

"When you turn the biogas into electricity, it creates heat which we also store," says Forster. This is then used to warm the gorilla enclosure, "but could be used to heat about 25 homes," he adds.

Once the fermentation process that creates the methane is finished, the remaining solid matter, or "digestate" is used as an organic fertilizer for crops that will later be used as feedstock for the animals.

"We don't waste anything," said Forster, who claims that his is the only zoo in Germany to generate electricity in this way.

A mature elephant can eat about 100 kilograms of fruit, vegetables and pretzels a day, producing a mountain of dung and Forster says that all the zoo animals together create roughly 2,000 tons of the stuff every year.

This is enough to power about 100 Munich households -- a drop in the ocean when you consider Munich's population, which is 1.3 million, according to CIA World Factbook.

The problem is that dung alone does not produce all that much energy relative to its size, says Geraint Evans, head of biofuels at the UK's National Centre for Biorenewable Energy, Fuels and Materials.

"By the time the food has been digested by the animal, a lot of the energy in it has been used up or burped out," he said. "It's more efficient to just put the feed directly into the biogas generator."

Even if the returns are small at this stage, Evans says this project and others similar are still worth it.

"It's really important that we change our mindset from dependence on one source of energy to many different complementary sources," Evans said. "Animal waste can create electricity, heat, fertilizer ... even clean water can be extracted from the solids to spray on crops ... So, it's emblematic of this very holistic approach."

In this spirit, Forster says there are now plans to install photo-voltaic solar panels on top of the animal enclosures over the coming year.

@highlight

Zoo in Germany partially powered by electricity produced from animal dung

@highlight

Animal waste fermented for 30 days generates "biogas"

@highlight

Energy produced enough to heat 25 homes and power 100