(CNN) -- Macedonia is a small landlocked country bordering Albania, Bulgaria, Greece, Kosovo and Serbia.

About a quarter of its two million population lives in the capital Skopje, a city on the Vardar River brimming with evidence of a 2,500 year history that has seen it come under Roman, Byzantine, Ottoman and Yugoslav rule.

The raging river divides the Albanian and Macedonian communities of Skopje. Almost two-thirds of the country's population are Orthodox Christians and a third is Muslim, according to the CIA World Factbook.

As a result, the country has numerous monasteries, churches and mosques. It also plays host to a number of ancient relics dating back as far as 3,800 years.

Lake Ohrid in the south west of the country -- one of the deepest and oldest lakes in Europe -- was once surrounded by 365 churches, some dating as far back as the 4th century.

Macedonia lies in a seismically active region and has several hot thermal baths. There are many mountains over 2,500m in the Shar Planina range. The Lonely Planet travel guide describes the country as a "paradise" for outdoor types with numerous opportunities for skiing, hiking and climbing.

Macedonia was the only country to emerge peacefully from the former Yugoslavia but 20 years later it still has an international identity crisis over its name.

Macedonia gained independence from the former Yugoslav federation with overwhelming majority support in a referendum on September 8, 1991. To its own citizens, the country is called the Republic of Macedonia, but both the United Nations and the European Union call it the Former Yugoslav Republic of Macedonia (FYR Macedonia).

The reason for the controversy is a region in Greece that is also called Macedonia. International recognition of Macedonia's independence was delayed by Greek objections to the name. Greece eventually agreed to recognize the "former Yugoslav Republic of Macedonia" designation.

Most Macedonians do not like this name, and negotiations are continuing under the United Nations to find a solution, according to the British Foreign and Commonwealth Office.

In 2001, there was an uprising of ethnic Albanians -- who make up a quarter of the population -- demanding equal rights, leading to months of violence.

Peace returned later the same year with a peacekeeping operation by NATO troops and a new constitution recognizing Albanian as an official language and increasing access for ethnic Albanians to public sector jobs, including the police force.

Official statistics show high unemployment at 31.7 percent as of 2010, but this does not take into account the extensive informal job market, estimated to be more than 20 per cent of GDP, according to the CIA World Factbook.

Macedonia's current president Gjorgje Ivanov came to power in elections in 2009. Prime Minister Nikola Gruevski meanwhile was re-elected in parliamentary elections held in July 2011. His conservative VMRO-DPMNE party now governs in coalition with the ethnic Albanian DUI party.

In his victory speech, Ivanov claimed his main priority was seeking further integration and ties with Europe. Macedonia is currently a candidate for membership of the European Union.

In September 2011 Macedonia celebrated its 20th anniversary as an independent state.

To mark the occasion new monuments, museums, roads and an improved airport terminal were constructed. The centrepiece was the erection of a 24 meter high statue of Alexander the Great in Skopje's Macedonia Square.

The monument has caused further friction with neighboring Greece who view the warrior king as a Greek rather than Macedonian national hero.

Given that it is still a relatively young country; the number of Macedonians to have left their mark on the world stage is relatively small.

Some the most notable include footballer Goran Pandev, who won the European Champions League in 2010 whilst playing for Italian giants Inter Milan, and filmmaker Milco Mancevski, who received an Oscar nomination for his 1995 picture "Before the Rain."

Humanitarian and Nobel peace prize winner Mother Teresa was also born in Skopje in 1910, although Macedonia was still part of the Ottoman Empire at this time.

@highlight

Macedonia was the only country to emerge peacefully from the former Yugoslavia

@highlight

The country has had a long-running dispute with Greece over its name

@highlight

About a quarter of its two million population lives in the capital Skopje on the Vardar River