(CNN) -- Eunice Kennedy Shriver, the sister of President John F. Kennedy and a champion of the disabled who founded the Special Olympics, died Tuesday, the Special Olympics said. She was 88.

Eunice Kennedy Shriver speaks at a dinner in honor of the Special Olympics in July 2006.

Born on July 10, 1921, in Brookline, Massachusetts, Shriver was the fifth of nine children to Joseph P. and Rose Fitzgerald Kennedy. She emerged from the long shadow of siblings John F. Kennedy, Robert F. Kennedy and Sen. Edward M. Kennedy as the founder of the Special Olympics, which started as a summer day camp in her backyard in 1962.

Today, 3.1 million people with mental disabilities participate in 228 programs in 170 nations, according to the Special Olympics.

"She was the light of our lives, a mother, wife, grandmother, sister and aunt who taught us by example and with passion what it means to live a faith-driven life of love and service to others," the Shriver family said Tuesday in a statement.

"For each of us, she often seemed to stop time itself -- to run another Special Olympics Games, to visit us in our homes, to attend to her own mother, her sisters and brothers, and to sail, tell stories, and laugh and serve her friends."

No final decision has been made on funeral arrangements, a source close to the family said.

Shriver's husband, R. Sargent Shriver, and her five children and their spouses and all of her 19 grandchildren were with her when she died, the Special Olympics said in a statement.  Watch a look at Eunice Kennedy Shriver's life »

"We are tremendously grateful for the extreme outpouring of support and prayer from the public as we honor our beloved founder," Brady Lum, Special Olympics president and chief operating officer, said in a statement Tuesday.

"Today we celebrate the life of a woman who had the vision to create our movement. It is an enormous loss, but I know we can rest assured that her legacy will live on through her family, friends, and the millions of people around the world who she touched and transformed."

Even before launching the Special Olympics in 1968, Shriver had established a reputation as an advocate for the disenfranchised and a trailblazer for the rights of the disabled through a variety of roles in the private and public sector.

She also persuaded the Kennedy family to go public with one of its most guarded secrets. In September 1962, Shriver wrote an article about her mentally disabled sister, Rosemary, which was published in The Saturday Evening Post.

At an event honoring her in 2007, Shriver spoke of her life: "Most people believe I spent my whole life really interested in only one thing and that one thing is working to make the world a better place for people with intellectual disabilities.

"As important as it has been, it is not the whole story of my life. My life is about being lucky as a child to be raised by parents who loved me and made me believe in possibilities. It is also about being lucky to have had these extraordinary children. ... It is also about being especially lucky to have a wonderful husband."  Watch Shriver reflect on her life »

At the same event, Edward Kennedy paid tribute to his sister, saying she had inherited the best qualities from his parents, including compassion.

"She had that sense no one should be left out or left behind. She picked this up, obviously, at a very early age. All of us could see that special relationship that Eunice had with Rosemary."

After receiving a degree in sociology from Stanford University in Palo Alto, California, Shriver worked for the U.S. State Department in the Special War Problems Division from 1943 to 1945, helping former prisoners of war readjust to civilian life.

From 1947 to 1948, she worked for $1 at the Department of Justice as executive secretary for the National Conference on Prevention and Control of Juvenile Delinquency.  See highlights of Shriver's public and private life »

In the early 1950s, she was a social worker at a federal prison for women in West Virginia and in juvenile court in Chicago, Illinois.

She married Sargent Shriver Jr., a World War II veteran who was building his career as a lawyer and public servant, in 1953. The couple's five children include California's first lady, Maria Shriver.

Sargent Shriver had roles in many top government initiatives of the 1960s, including Head Start and the Peace Corps. He also worked with his wife on the Special Olympics. He ran President Johnson's War on Poverty and was U.S. ambassador to France from 1968 to 1970. He was Democrat George McGovern's running mate in the 1972 presidential election.

In 1957, Eunice Shriver became executive vice president of the Joseph P. Kennedy Jr. Foundation, which was established in 1946 to honor the family's eldest son -- who was killed in World War II -- to research the causes of disabilities and to improve the treatment of disabled people.  Watch Shriver receive a special honor »

Her work with the foundation paved the way for a number of initiatives furthering the cause of disability advocacy. In 1962 she helped establish the National Institute of Child Health and Human Development, a government agency that conducts research on topics related to the health of children, adults and families that was named after Shriver in 2008.

Disturbed by the treatment of disabled people in institutions across the country in the 1950s and 1960s, Shriver began inviting disabled children to a summer day camp, called Camp Shriver, on her farm in Maryland. Her vision expanded over the years, and in July 1968 the first International Special Olympics Games were held in Chicago.

She also assisted in the establishment of a network of university-affiliated facilities and intellectual disabilities research centers at major medical schools across the United States, including centers for the study of medical ethics at Harvard and Georgetown universities in 1971.

In 1981, Shriver began the Community of Caring program to reduce disabilities among babies of teenagers. That led to the establishment of Community of Caring programs in 1,200 public and private schools from 1990 to 2006.

Along the way, Shriver earned worldwide accolades and awards, including the U.S. Presidential Medal of Freedom, the World Sports Humanitarian Hall of Fame's Founder's Award and nine honorary degrees.

In 1995, the U.S. Mint issued a commemorative coin with her portrait. The Mint says that made her the first living woman to be depicted on an American coin.

In 2009, a painting of Shriver with several Special Olympians was added to the permanent collection of the National Portrait Gallery.  See images from Shriver's life »

Her health began to fail in recent years, landing her in the hospital in 2005 after a minor stroke and hip fracture. She was hospitalized again in 2007 for an undisclosed ailment.

In addition to her husband and daughter, Shriver is survived by her sons Robert Sargent Shriver III, Timothy Perry Shriver, Mark Kennedy Shriver and Anthony Paul Kennedy Shriver.

@highlight

NEW: "She often seemed to stop time itself," family says in statement

@highlight

Sister of President Kennedy, Sen. Edward Kennedy dies at 88

@highlight

Eunice Kennedy Shriver was Special Olympics founder, honorary chairwoman

@highlight

Husband R. Sargent Shriver, five children, 19 grandchildren with her at death