Hong Kong (CNN) -- Chinese authorities say an investigation into a massive attack at a train station in the southwest Chinese city of Kunming has yielded a connection to Xinjiang, a restive autonomous region in the nation's northwest.

At least 29 people have died and more than 130 were injured, local authorities say. Witnesses described men clad in black outfits stabbing and attacking people with cleavers and knives.

The local government officials told Xinhua, China's state-run news agency, that evidence at the crime scene indicate "it was orchestrated by Xinjiang separatist forces." No further explanation was given.

In October, Chinese authorities also indicated a Xinjiang connection when a jeep plowed into crowds in Tiananmen Square, killing five and injuring at least 40. That incident, which has been identified as a terrorist attack, was "carefully planned, organized and premeditated," police had said on its official Weibo account online.

This latest incident brings focus back on Xinjiang province. The region has a long history of friction between Han Chinese, China's biggest and most dominant ethnic group, and the indigenous Uyghurs, the ethnic group that comes from Xinjiang.

Who are the Uyghurs?

The Uyghurs are a predominantly Muslim ethnic group who live in Xinjiang, an area the size of Iran that is rich in natural resources, including oil.

The province shares borders with Mongolia, Russia, Kazakhstan, Kyrgyzstan, Tajikistan, Afghanistan, Pakistan and India. Uyghurs, who speak a language related to Turkish, regard themselves as culturally and ethnically close to central Asia, despite a long history of Chinese rule.

Since the collapse of the Qing dynasty in 1912, Xinjiang, which means "new frontier" in Chinese, has enjoyed varying levels of autonomy.

In 1933, rebels declared independence and created the short-lived Islamic Republic of East Turkistan.

The Chinese Communist Party took over the territory in 1949 and in 1955 it was declared an autonomous region, giving it a status similar to that of Tibet, which lies to the south of Xinjiang.

Why do Uyghurs resent Chinese rule?

Over the decades, waves of Han Chinese migrants arrived in the region, displacing Uyghurs from their traditional lands and fueling tensions.

Xinjiang is now home to more than 8 million Han Chinese, up from 220,000 in 1949, and 10 million Uyghurs. The newcomers take most of the new jobs, and unemployment among Uyghurs is high.

They complain of discrimination and harsh treatment by security forces, despite official promises of equal rights and ethnic harmony.

Activists say that a campaign is being waged to weaken the Uyghurs' religious and cultural traditions and that the education system undermines use of the Uyghur language.

Why is China concerned about the Uyghurs?

Simmering tensions have erupted into riots. In July, 35 people were killed in a town about 155 miles (250 kilometers) southeast of the provincial capital Urumqi. State media said "knife-wielding mobs" attacked government buildings.

The worst violence in decades took place in July 2009, when rioting in Urumqi between Uyghurs and Han Chinese killed some 200 people and injured 1,700. That unrest was followed by a crackdown by security forces.

Beijing says Uyghur groups want to establish an independent state and, because of the Uyghurs' cultural ties to their neighbors, leaders fear that elements in places like Pakistan may back a separatist movement in Xinjiang.

After the September 11, 2001, terrorist attacks in New York and Washington, some 22 Uyghurs were rounded up in Pakistan and Afghanistan and detained in Guantanamo Bay. Most have been released and cleared of wrongdoing.

China has found it useful to blame ethnic tensions on outside interference, undermining sympathies at home for legitimate grievances, Nicholas Dynon, a researcher at Macquarie University in Australia, told CNN.

In October, China arrested 139 people for spreading religious extremism online by posting videos of terrorist attacks or instructions on how to make bombs and other explosive devices.

Are there Uyghur terrorist groups?

Beijing exaggerates the threat from Uyghur separatist groups, according to Sean Roberts, an associate professor at the Elliott School for International Affairs at George Washington University. Little of the violence that has occurred inside Xinjiang should be considered terrorism, he said.

"Most of it looks like spontaneous civil unrest or isolated revenge violence carried out by individuals or small groups of local citizens, rather than by an organized militant group," he told CNN.

However, Uyghur groups claimed responsibility for bus bombs in Shanghai and Yunnan prior to the Olympics in 2008. The Chinese government blamed an attempted hijacking of a flight in 2012 on Uyghurs.

The U.S. State Department listed the East Turkestan Islamic Movement as a terrorist organization in 2002 in the wake of the September 11 attacks during a period of increased cooperation with China on security matters.

@highlight

China's Xinjiang autonomous region has a long history of friction

@highlight

Uyghurs speak a language related to Turkish, have close ties to central Asia

@highlight

Migration of Han Chinese to the region has fueled tensions

@highlight

Tensions have sporadically erupted into violence