(CNN) -- For Leanne Mai-ly Hilgart, being vegan isn't only about what she eats and chooses to wear each day.

Avoiding meat and dairy in her diet and animal-derived products in her closet is just part of the equation for the 30-year-old designer, businesswoman and animal lover. As founder of fashion label Vaute Couture, her dedication to creating animal-free coats, sweaters and other cold-weather gear has earned her a global cult following among animal rights activists and eco-conscious fashionistas.

Her activism began when she was 10 years old with an elementary school social studies project in suburban Chicago on factory farming and the fur industry. She became vegan at 17 and continued her activism in high school with a campaign for alternatives to animal dissection in science class that, with the help of national group Animalearn, eventually became Illinois law.

This week, she took her philosophy to New York Fashion Week, where she debuted her first ready-to-wear line in a solo show Wednesday, less than five years since starting Vaute Couture in 2008.

Stella McCartney, Charlotte Ronson and other big-name designers have created fur-free collections in previous seasons. But Vaute Couture is the first independent fashion house to show during New York Fashion Week with animal- and cruelty-free built into its brand DNA, from its ultrasuede elbow patches to Thinsulate-lined winter jackets.

The line's aesthetic goes beyond faux fur and leather, using organic, recycled and high-tech fabrics in an effort to redefine traditional outerwear staples. Before a packed showroom in New York's Chelsea gallery district, models, accessorized with rescue dogs available for adoption, showed off Vaute's line of coats, dresses and pants of waxed canvas, velvet and moleskin (a heavy-napped cotton twill fabric, despite its name), among other materials. Even the shoes, by Love is Mighty and Brave GentleMan, were vegan.

Though Vaute's line comes at a time when consumers seem more willing than ever to pay a premium for products from companies or businesses whose values align with theirs, industry insiders say the company is swimming against the tide in a season expected to bring new twists on leather and fur.

But Hilgart, an activist at heart, is undaunted. She believes that there are people like her who care about where their clothes come from and how they're made. It's Vaute's role to make those options more accessible, she said.

"I want to reach women who love style, love color, love fashion, and maybe they used to care about where their clothes came from but at some point they told themselves that it was naive to care," Hilgart said. "I think it's important that people see that you can care, you can interact with the world in the way you want and it's not naive. But to do that, you need options."

Vaute's values infused all aspects of the show, from the animal-free makeup and hair products used on the models to the vegan petit fours and cheesecakes inscribed with a V from Vegan Treats bakery of Bethlehem, Pennsylvania. Leashed rescue dogs were led around the audience by volunteers from the Humane Society of New York and Badass Brooklyn Animal Rescue. The list of sponsors included some of the biggest names in animal rights activism: the Humane Society of the United States, People for the Ethical Treatment of Animals, Farm Sanctuary and Physicians Committee for Responsible Medicine.

By sponsoring fashion events and designers like Hilgart, these groups get a chance to share their mission with buyers, fashion editors and industry insiders, key influencers of consumer trends.

"It's a great audience for us to get our message in front of," said Michelle McDonald, outreach manager of the Humane Society's fur-free campaign, which sponsored Jay McCarroll's runway show in 2006 and Charlotte Ronson in 2008.

The Humane Society tracks progress through a growing list of designers and companies that have adopted fur-free policies. But Hilgart has taken the commitment to "cruelty-free" fashion a step further with Vaute, McDonald said.

"She's not only trying to do her part for fur-bearing animals but for animals all over," McDonald said. "We're very thankful she's out there and attracting so much attention from the fashion industry."

The genesis of the company came from Hilgart's own desire for a stylish winter coat that wasn't "accidentally vegan" because it used substitutes for wool, fur or leather to drive down costs. She was a DePaul MBA candidate on break working as a Ford fashion model in Hong Kong when she decided that entrepreneurship was the best way for her to make a difference.

"I realized that if I could create a business where the process in itself was actually creating positive change, that would be my activism," she said in a phone interview last week from a noisy New York coffee shop in between final preparations for her show.

"I started with outerwear because I found being cold was an excuse to wear animal products," she said. "I wanted to figure out where I would be needed to make a contribution to the movement so people would no longer need to use products and materials made from animals."

Whether consumers are ready to give up fur, leather and wool is another story, even if it's in favor of equally stylish and warm alternatives. Hilgart knows there is a market for animal-free fashion among people like her, vegan or not, who take conscious consumerism to an active level.

Many of those people attended Wednesday's show and were thrilled by what they saw, regarding the Sailor Moon-inspired collection as a validation of their beliefs.

"Compared to even just a couple of years ago, there are now so many cruelty-free alternatives to products that we used to think required the bloodshed of animals -- everything from shoes to cosmetics to luxury fabrics," Jasmin Singer, executive director of Our Hen House, a nonprofit animal advocacy organization in New York, said after the show.

"As a society, we're evolving away from commodifying animals, because, finally, it is becoming clear that it's not only cruel, it's unnecessary. There are accessible, affordable, sustainable and attractive alternatives that are ethically sourced and cost no lives. Why not choose them?"

People want to do the right thing, she says, citing growing excitement around organic food, fair labor practices, and even faux fur and leather as evidence.

But some see the interest in fake animal material in fashion as simply the trickle down effect from more of the real thing appearing on runways. Even if interest in animal-free fashion might be greater than ever, in the same way that more people are willing to go vegan or pay extra for locally made products, trend forecasters say there's a greater interest in looks incorporating fur and leather, which will be reflected on the runway this season.

Part of it is a continuation of the seasonless fashion trend that began showing up unexpectedly in spring and summer collections, said Jaclyn Jones, womenswear editor of style forecaster WGSN.

But most of it has to do with the luxurious look of leather and fur, plain and simple, Jones said.

"There's a point of view from many people in the fashion industry that having real leather or fur pieces adds a kind of elevated conception," she said. "Everyone is always trying to look like their outfit costs more or have more worth or more value to it, especially during economic hardships, people want to make sure they're putting money into something that will last."

Hilgart understands that perspective, which is why it has taken her this long to come up with looks that she hopes will make the fashion world and consumers take notice, she said. Creating garments of high-tech materials to convey the indulgent look of high fashion took months of research, especially for someone with no formal training in fashion, she said.

With coats and skirts starting at $200, Vaute Couture's price tags are also typical New York Fashion Week, at least on the low end of the scale. Hilgart said the prices reflect the quality of materials and the cost of paying workers a living wage to produce most of the garments in Brooklyn, where she lives. (The line's knits come from Maine.)

"I knew I had to design something that would be innovational for the entire industry. Not using animal fibers was an opportunity to look past what was just good enough to make something truly superior," she said.

But even attendees of Wednesday's show who were receptive to the concept acknowledged that it's an uphill battle to change an industry or consumer behavior.

Simply making animal-free clothing available is a big step in the right direction, especially if it's hip and stylish, said Dakota Kim, a freelance fashion writer who attended the show so she could write about it on her blog, Fashtronaut.

"I think that (animal-free clothes) really came to the forefront with Stella McCartney and ever since then it's been a big deal. It's more mainstream and the clothes are just so young," Kim said.

Fur coats and leather pants are easy enough to cut out of your wardrobe, she said. But everything else? "It's hard to cut all that out."

Follow Emanuella Grinberg on Twitter

CNN's Sarah LeTrent contributed to this report.

@highlight

Vaute Couture debuts ready-to-wear line at New York Fashion Week

@highlight

Founder Leanne Mai-ly Hilgart says line shows animal-free fashion can be luxe and stylish

@highlight

Company started with Hilgart's desire for stylish winter coat that wasn't "accidentally vegan"

@highlight

Vaute's line offers alternative to runways looks heavy on fur and leather