(WIRED) -- With rumors piling up about a forthcoming Apple tablet, it appears more and more likely that such a device will emerge soon.

This illustration imagines what an Apple tablet device might look like.

But what's still unclear is how this gadget will set itself apart from Apple's multimedia-savvy product line, including the iPhone and iPod Touch, as well as the scores of failed tablet PCs that have come and gone.

Judging from the company's past moves, we're betting that Apple's tablet will be a media-centric device, focused -- at least in part -- on shaking up the publishing industry.

Apple is already prepared to blow Amazon and other e-book makers out of the water with one key weapon: iTunes. Having served more than 6 billion songs to date, the iTunes Store has flipped the music industry on its head.

It also turned mobile software into a lucrative industry, as proven by the booming success of the iPhone's App Store, which recently surpassed 1.5 billion downloads. Apple has yet to enter the e-book market, and making books as easy to download as music and iPhone apps is the logical next step.

What can Apple do better with e-books? For textbooks or anthologies, Apple can give iTunes users the ability to download individual chapters, priced between a few cents to a few bucks each.

It would be similar to how you can currently download individual song tracks from an album. It might even have the same earthshaking potential to transform an entire industry by refocusing it on the content people actually want instead of the bundles that publishers want them to buy. (Of course, Apple would likely offer the à-la-carte purchase model in addition to the option to purchase the entire book as one download -- a more attractive option for shorter works such as novels.)

College students would love this: Teachers rarely assign an entire textbook, so they would save hundreds of dollars by downloading only a few chapters of each textbook. Apple is already popular in the education sector, so here's even more money to milk from students, with the textbook industry worth an estimated $9.8 billion.

Sci-fi fans might only want one story from an anthology, or a historical researcher might target certain subjects. All Apple has to do to secure the book publishers' enthusiastic cooperation is to offer them a generous cut of the revenues, like the 70 percent it currently offers app developers.

Other than having the upper hand with digital distribution, an Apple tablet can compensate for other e-book readers' shortcomings. In a previous story, Wired.com polled students on their interest in Amazon's large-format Kindle DX reader. Several of them said they couldn't imagine ditching textbooks for a Kindle DX, foreseeing challenges with tasks such as notetaking, highlighting and switching between books while writing essays.

Assuming its computing powers and interface design are anything like the iPhone's, a touchscreen tablet would make these student-oriented tasks as easy as a few swipes and taps -- far more pleasant than clunking around with the Kindle's cheap buttons and sluggish interface. Plus, we would imagine students would be able to type their papers on the tablet.

Then there's the obvious: An Apple tablet would have color, making it better for displaying magazine pages, which could also be purchased through the iTunes Store. It wouldn't be saddled with a slow e-ink screen, so it could display video and browse the web with aplomb.

Let's not forget to mention the multitude of other tasks an Apple tablet will likely be able to perform if developers decide to code applications for it. Think along the lines of an interactive remote control to enhance the movie-viewing experience on your TV, or a music video player to accompany the tunes blasting from your stereo.

Or, heck, even an album-cover display screen for you to gaze at while listening to music. (For more on an Apple tablet's advantages versus current e-book readers, see Dylan Tweney's story "Large-Screen Kindle Won't Mean Squat if Apple Tablet Arrives.")

There's huge potential in a tablet if Apple can pull this off. The challenge lies in establishing the right partnerships. If Apple weaves e-books into the iTunes Store, will book publishers hop on board? Given Apple's success in numbers, we think so.

As for a data provider, it would be even better if Apple could work with a carrier such as Verizon to subsidize the tablet, bringing it closer to $500 -- a more attractive price point for students. Because the device presumably would not feature a phone, the monthly plans could be priced significantly lower than an iPhone -- $30 to $40, perhaps, for an unlimited 3-G Internet connection.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2009 Wired.com.

@highlight

It appears more and more likely that an Apple tablet will emerge soon

@highlight

iTunes could make device a potent rival to Amazon's Kindle and other e-books

@highlight

Users could have the ability to download individual chapters, not entire books

@highlight

An Apple tablet would have color, making it better for displaying magazine pages