CERN, Switzerland (CNN) -- Scientists Wednesday applauded as one of the most ambitious experiments ever conceived got successfully underway, with protons being fired around a 27-kilometer (17-mile) tunnel deep beneath the border of France and Switzerland in an attempt to unlock the secrets of the universe.

Scientists applaud during the switch on operation of the Large Hadron Collider.

The Large Hadron Collider -- a $9 billion particle accelerator designed to simulate conditions of the Big Bang that created the physical Universe -- was switched on at 0732 GMT to cheers and applause from experts gathered to witness the event.

While observers were left nonplussed by the anticlimactic flashing dots on a TV screen that signalled the machine's successful test run, among teams of scientists involved around the world there were jubilant celebrations and popping champagne corks.

In the coming months, the collider is expected to begin smashing particles into each other by sending two beams of protons around the tunnel in opposite directions.

Skeptics, who claim that the experiment could lead to the creation of a black hole capable of swallowing the planet, failed in a legal bid to halt the project at CERN, the European Organization for Nuclear Research.

Others have branded it a colossal waste of cash, draining resources from its multinational collaborators that could have been spent on scientific research with more tangible benefits to mankind.

Sound off: What do you think of the experiment?

French President Nicolas Sarkozy hailed the project as a major achievement for Europe.

"The repercussions of this scientific investment without precedent in the history of humanity will be essential not only for the intimate knowledge of our universe, but also for the direct applications in fields as varied as intensive calculation or even medicine," he said.  Watch as Big Bang experiment gets underway »

The collider will operate at higher energies and intensities in the next year, potentially generating enough data to make a discovery by 2009, experts say.

They say the experiment has the potential to confirm theories that physicists have been working on for decades including the possible existence of extra dimensions. They also hope to find a theoretical particle called the Higgs boson -- sometimes referred to as the "God particle," which has never been detected, but would help explain why matter has mass.

The collider will recreate the conditions of less than a millionth of a second after the Big Bang, when there was a hot "soup" of tiny particles called quarks and gluons, to look at how the universe evolved, said John Harris, U.S. coordinator for ALICE, a huge detector specialized to analyze that question.

Since this is exploratory science, the collider may uncover surprises that contradict prevailing theories, but which are just as interesting, said Joseph Lykken, theoretical physicist at the Fermi National Accelerator Laboratory.

"When Columbus sails west, he thought he was going to find something. He didn't find what he thought he was going to find, but he did find something interesting," said Lykken, who works on the Compact Muon Solenoid, one of six experiments inside the collider complex.

Why should the layperson care about this particular exploration? Years ago, when electrons were first identified, no one knew what they were good for, but they have since transformed our entire economy, said Howard Gordon, deputy research program manager for the collider's ATLAS experiment.

"The transformative effect of this research will be to understand the world we live in much better," said Gordon, at Brookhaven National Laboratory. "It's important for just who we are, what we are."

Fears have emerged that the collider could produce black holes that could suck up anything around them -- including the whole Earth. Such fears prompted legal actions in the U.S. and Europe to halt the operation of the Large Hadron Collider, alleging safety concerns regarding black holes and other phenomena that could theoretically emerge.

Although physicists acknowledge that the collider could, in theory, create small black holes, they say they do not pose any risk. A study released Friday by CERN scientists explains that any black hole created would be tiny, and would not have enough energy to stick around very long before dissolving. Five collider collaborators who did not pen the report independently told CNN there would be no danger from potential black holes.

John Huth, who works on the collider's ATLAS experiment, called such fears "baloney" in a recent interview, and noted that in normal physics, even if the black hole were stable, it could just pass through the Earth without being detected or without interacting at all.

"The gravitational force is so weak that you'd have to wait many, many, many, many, many lifetimes of the universe before one of these things could [get] big enough to even get close to being a problem," said Huth, professor of physics at Harvard University.

CNN's Elizabeth Landau contributed to this story

@highlight

Startup has been eagerly awaited by 9,000 physicists around the world

@highlight

It's the largest particle accelerator in the world and costs about $9 billion

@highlight

Lawsuits allege it could generate black holes that could eat the Earth