(CNN) -- A new crispness in the air. The red, orange and yellow of the leaves changing colors. The crunch of the first few leaves on the ground.

On that inevitable march toward winter, there are still a few weeks for the casual and determined leaf peeper alike to enjoy the leaves changing color before they fall.

Never mind that it happens every year. "It's because it's fleeting is why it's new every year," says Mel Allen, editor of Yankee Magazine. In each of his 33 years at the magazine leaf peeping has been a fall cover story.

First day of autumn: Share your photos with iReport

"It's fall and the leaves are becoming beautiful; apple orchards; and the hawks are flying overhead. It's a sensual experience," he says.

"If you were to talk to someone in New Orleans who had had 33 Mardi Gras, they'd still be excited about it," says Allen. "This is our party."

Different shades of red, orange and yellow

While evergreen trees such as pines and spruces have foliage that has evolved to survive extreme temperature changes, deciduous (broad-leaved) trees have evolved to drop their leaves and go dormant for the winter, says Ed Sharron, a science communication specialist with the National Park Service's Northeast Temperate Network in Vermont.

"It's such stark contrast," says Sharron, who's based at Marsh Billings Rockefeller National Historical Park in Woodstock, Vermont. "There are different shades of green, of course, when you start to get that variation of oranges and reds and purples and greens all together. It's pretty spectacular."

Ed Sharron: Why leaves change color

Trees that "have been stressed throughout the year by extensive drought or many other factors, they may decide to pack it in early and go dormant for the winter sooner than during a typical year," Sharron says. "This could cause their leaves to fall off sooner or be browner than normal. Every year is different and you never can tell how good the foliage season is going to be until it's here."

The Northeast's most popular sites

Who cares if it's clichÃ© to say that first-time leaf peepers should drive New Hampshire's Kancamagus Highway; visit Woodstock or Smuggler's Notch in Vermont, or head north to Acadia National Park in Maine?

"There's a reason why they're so popular, and these are places I try to go to every year," says Jim Salge, a New Hampshire-based trained meteorologist and high school physics teacher who blogs about the fall foliage season for Yankee Magazine.

If Salge has an extra day this year, he'll head to Dixville Notch in far northern New Hampshire, where the leaves are likely to peak by late September. "The mountains are really jagged and have a feel unlike anywhere else in the Northeast."

Photos: Fantastic fall foliage

Between North and South

Northern and Southern trees meet peacefully at the Delaware Water Gap National Recreation Area, a National Park Service area that includes the states of New Jersey and Pennsylvania.

"In the Delaware Gap I think we have some of the best fall foliage," says Kathleen Sandt, a park ranger in the national recreation area. "We are on the border of northern species that usually don't come down south and the border for some of the trees that grow in the southern region."

The gap is also home to trees living at different elevations. There are sycamores, elms, maples, poplars on a fertile flood plain along the river. At higher elevations, there are various types of oaks and maples to see as hikers head up toward the mountains.

Tree spotters may be pleased to spot the American larch, a deciduous conifer that isn't found much farther south. It's a rare combination of a deciduous tree, which means it loses its leaves each fall; and a conifer, which has needles and cones. In the fall the larch's needles turn bright yellow and fall, like leaves.

"It grows in wetter areas in the park, and it's spectacular in the fall," Sandt says.

Head north to Maine country

Fall is Wanda Moran's favorite season. The Acadia National Park ranger loves the cold and clear weather that is already coming to the Maine island.

"It smells like fall, the leaves start turning and it gets really pretty," says Moran, a Mainer by birth. "It's a beautiful time to be here, and it's a nice hiking and biking time."

Prime leaf peeping season varies a lot throughout the state, she says. Trees are likely to change colors in Northern Maine during the last week in September, while central and Western Maine leaves will likely peak the first week in October. The coast usually peaks the week of Columbus Day and the week after, and Acadia will peak the second or third week in October.

Moran's favorite spot at Acadia: "Beech Mountain is a nice place to climb if you want to get up high. It's a pretty easy climb and you get beautiful views all together, looking way out into the ocean."

She also likes Baxter State Park and seeing the leaves on the drive from Ellsworth to Bangor on Route 1A.

Leaf peeping out West

Although New England tends to dominate articles about leaf peeping, it's rumored that trees in colder parts of the rest of the United States also have leaves that change colors.

As Colorado heads toward ski season, its national parks are starting to burst into fall colors. Rocky Mountain National Park is known for Trail Ridge Road, where aspen trees at lower elevations transform to gold among the evergreens. (Trail Ridge Road is also included in Peak to Peak, a state-designated scenic byway.)

Colorado's White River National Forest, home to the heavily photographed Maroon Bells and 10 ski areas, is also packed with beautiful leaf peeping areas. It's also the current home of this year's Capitol Christmas Tree. Check the impressive evergreens out while they're still firmly rooted.

Not surprisingly, New Mexico's five national forests also pack a lot of fall foliage at varying elevations. Carson National Forest is home to Wheeler Peak, which at 13,161 feet is the highest spot in New Mexico. Santa Fe National Forest's 1.6 million acres includes 13,103-foot-high Truchas Peak, within the Pecos Wilderness.

Don't stress about "peak foliage"

Many veteran peepers go searching for the perfect "peak foliage" moment in Vermont (or Maine or Massachusetts) when the leaves are the perfect combination of red, brown, orange and yellow, where the red farm house in the distance is perfectly in contrast and the apple cider tastes just crisp enough.

"It's a mythical term," Yankee Magazine's Allen says. "There is no such thing." Fifteen miles down the road, the leaves may have already fallen and another 15 miles down the road, the leaves may not be ready to fall. "Think it of it as a continuum and make it a journey."

Five fabulous fall foliage train rides

Where are your favorite places to find fall foliage? Does your family have any other fall traditions to mark the end of summer, the harvest and the start of winter?

@highlight

Fall's fleeting foliage season keeps people coming back to see more

@highlight

Head to New Hampshire, Vermont or Maine for the most famous fall foliage sites

@highlight

Don't forget the mountain ranges of the Western United States have spectacular fall seasons