(CNN) -- They spend their days beside a dusty freeway scratching a living by selling an unusual roadside snack to passing motorists: barbecued mice on sticks.

But when no cars are in sight and the trade in mice kebabs is slow, this group of childhood friends bring out their rudimentary guitars and put on an impromptu performance.

And that's how Ian Brennan, the American Grammy-winning producer famous for his work with nomadic rockers Tinariwen, came to unearth his latest music gem: the Malawi Mouse Boys.

Two years ago, Brennan embarked on a mission to discover hidden musical talent in Malawi, just as he'd done before with many other bands.

However, after more than two weeks and over 2,000 kilometers of fruitless driving along bumpy tracks, Brennan had found nothing. But his luck changed one evening when he spotted a young man strumming his battered guitar by a two-lane highway in rural Malawi.

Not thinking twice, the producer immediately did a u-turn, went up to the young man, named Alfred, and asked him to play a song.

What followed was a glorious moment, bathed in the flaming colors of the setting sun casting a soft orange glow in the evening air.

"It will stay with me forever," recalls Brennan. "The sun was going down and a group of around 20 children, ranging from toddlers to teenagers, had gathered around. Alfred was so shy, the song was nearly inaudible. But when he hit the chorus, all of the kids joined in -- it was true surround sound.

"I realized that I had stumbled on a micro hit, isolated on this one corner of this one stretch of road."

Songs of love and faith

That "micro hit" ended up on "He is #1," the debut offering from the Malawi Mouse released last year.

The album, a joyous collection of 14 self-penned gospel songs combining uplifting harmonies with rhythmic guitar playing, was recorded entirely outdoors in just two days using Brennan's portable studio.

Read this: 10 must-see African films

But minus a few unexpected intrusions -- tiny spiders kept causing problems by finding their way into Brennan's hard-drive -- recording on the clay ground next to the band members' huts allowed the honesty and soulfulness of the performance to shine through, as well as a few unusual contributions from passing animals and local children.

"In those situations that are outdoors there's always variables," explains Brennan. "Wind is always going to be present; in this case children and animals were on the recording but sometimes the children and the animals contribute -- they tend to be very on time."

But while their songs have been described as echoing "mid-20th century American gospel music," the Malawi Mouse Boys had never even heard recordings in that genre.

"There are a lot of parallel things on, but it's not that they are influenced by American music," says Brennan. "It's quite different to that; they're playing the very music that were contributing factors or maybe even the source of American music."

Tough existence

Malawi, a beautiful landlocked country in southern Africa, is one of the world's poorest nations, ranking 170 out of 187 countries surveyed at the Human Development Index.

Living without electricity in a tiny village near the town of Balaka, the Malawi Mouse Boys have defied adversity by making music together since they were children. Completely self taught, they write their jubilant songs on homemade instruments -- from four-string guitars crafted from scrap metal to makeshift tin-can drums.

Read this: Somali rappers defy bullets

But to make ends meet, they rely on standing by the highway almost around the clock trying to tempt travelers to buy their roasted mice.

"It's a very dangerous work," says Brennan. "They're hunting the mice themselves; they clean them and then they boil them and grill them. They do all this work and maybe they will end up with one stick which will sell for the equivalent of somewhere between half a euro or a euro. It's quite a tough existence."

Giving voice to the unheard

"He is #1" marked the first time an album had been released internationally in the language of Chichewa, a fact Brennan describes as "unjust" and "absurd" and "mirroring society's greater inequities."

"How can it be just that tens of thousands of 'artists' from cities like Los Angeles and London are given platforms, but entire countries are left voiceless globally?" he asks.

"When we listen to people sing in another language, we are forced to listen to what they mean rather than what they say. And when we listen to each other, there is a chance for understanding and empathy to grow."

Remarkable to see

Late last month, the band broke new ground with their first-ever performance outside Malawi, when they brought their authentic sounds to the world-renowned Womad Festival in the UK.

The band's uplifting set, performed on their DIY instruments, was one of the festival's major highlights.

"It was remarkable to see," says Brennan. "Having never even been on a stage before, never sung with amplified microphones before, to going all the way to really putting on a show," he adds. "To see them perform it's quite a unique thing."

Brennan says the band's success stems from their level of commitment and a lack of self-consciousness, a rare quality in today's entertainment industry.

"We're so used to seeing people that are hyper conscious about how they appear and often times their volitions are filtered through a myriad of media influences that they have absorbed," he says. "This is a very different thing; this is something that's more akin probably to music before the advent of television," he adds.

Brennan says the band has already recorded its second album, which it is planning to release next year. He also says that he hopes to help them tour overseas again.

But while he was very keen on hearing the band's music, Brennan was much more reluctant to sample a taste of their other line of work.

"I am a vegetarian," he says, when asked if he'd tried the mice kebabs. "I have the perfect excuse."

@highlight

Malawi Mouse Boys is an eight-member gospel band

@highlight

When not playing music, they sell roasted mice to passing motorists

@highlight

The band played last month at the UK's Womad festival