(CNN) -- Researchers are developing a specialized skin "printing" system that could be used in the future to treat soldiers wounded on the battlefield.

Scientists at the Wake Forest Institute for Regenerative Medicine were inspired by standard inkjet printers found in many home offices.

"We started out by taking a typical desktop inkjet cartridge. Instead of ink we use cells, which are placed in the cartridge," said Dr. Anthony Atala, director of the institute.

The device could be used to rebuild damaged or burned skin.

The project is in pre-clinical phases and may take another five years of development before it is ready to be used on human burn victims, he said.

Other universities, including Cornell University and the Medical University of South Carolina, Charleston, are working on similar projects and will speak on the topic on Sunday at the American Association for the Advancement of Science conference in Washington. These university researchers say organs -- not just skin -- could be printed using similar techniques.

Burn injuries account for 5% to 20% of combat-related injuries, according to the Armed Forces Institute of Regenerative Medicine. The skin printing project is one of several projects at Wake Forest largely funded by that institute, which is a branch of the U.S. Department of Defense.

Wake Forest will receive approximately $50 million from the Defense Department over the next five years to fund projects, including the skin-creating system.

Researchers developed the skin "bio-printer" by modifying a standard store-bought printer. One modification is the addition of a three-dimensional "elevator" that builds on damaged tissue with fresh layers of healthy skin.

The skin-printing process involves several steps. First, a small piece of skin is taken from the patient. The sample is about half the size of a postage stamp, and it is taken from the patient by using a chemical solution.

Those cells are then separated and replicated on their own in a specialized environment that catalyzes this cell development.

"We expand the cells in large quantities. Once we make those new cells, the next step is to put the cells in the printer, on a cartridge, and print on the patient," Atala said.

The printer is then placed over the wound at a distance so that it doesn't touch the burn victim. "It's like a flat-bed scanner that moves back and forth and put cells on you," said Atala.

Once the new cells have been applied, they mature and form new skin.

Specially designed printer heads in the skin bio-printer use pressurized nozzles -- unlike those found in traditional inkjet printers.

The pressure-based delivery system allows for a safe distance between the printer and the patient and can accommodate a variety of body types, according to a 2010 report from the Armed Forces Institute of Regenerative Medicine.

The device can fabricate healthy skin in anywhere from minutes to a few hours, depending on the size and type of burn, according to the report.

"You are building up the cells layer after layer after layer," Atala said.

Acquiring an adequate sample can be a challenge in victims with extensive burns, he said, since there is sometimes "not enough (skin) to go around with a patient with large burns," Atala said.

The sample biopsy would be used to grow new cells then placed in the printer cartridge, said Atala.

Researchers said it is difficult to speculate when the skin printer may be brought to the battlefield, because of the stringent regulatory steps for a project of this nature. Once the skin-printing device meets federal regulations, military officials are optimistic it will benefit the general population as well as soldiers.

"We're not making anything military-unique," said Terry Irgens, a program director at the U.S Army Medical Materiel Development Activity.

"We hope it will benefit both soldier and civilian," he said.

In the meantime, researchers said they're pleased with results of preliminary laboratory testing with the skin printer.

Atala said the researchers already have been able to make "healthy skin."

@highlight

Scientists used a modified inkjet printer loaded with living cells

@highlight

"We are engineering human skin," says Dr. Anthony Atala

@highlight

The project may take another five years of development before it is ready