(CNN)As expected, Israeli Prime Minister Benjamin Netanyahu gave a rousing speech to Congress, rich in historic imagery and replete with literary references. Yet a speech filled with powerful words is no substitute for a strategy for actually preventing Iran from obtaining a nuclear weapon.

As national security adviser Susan Rice told the pro-Israel lobbying group AIPAC on Monday, "Precisely because this is such a serious issue, we must weigh the different options before us and choose the best one. Sound bites won't stop Iran from getting a nuclear weapon."

The Obama administration, on the other hand, is making a strong and credible case that the deal it is pursuing would block Iran's pathways to developing the fissile material necessary for a bomb and extend the time for Iran to produce enough weapons-grade uranium to build a bomb from today's estimated three months to at least a year.

Without a deal, Iran would revert to building up its stockpile of nuclear uranium, while the international community would lose the ability to monitor and track Iran's activities.

At the top of the list of questions the Prime Minister failed to address is how such a scenario in the wake of "no deal" would actually make Israel safer?

As Rice said: "Here's what's likely to happen without a deal. Iran will install and operate advanced centrifuges. Iran will seek to fuel its (plutonium) reactor in Arak. Iran will rebuild its uranium stockpile.  And, we'll lose the unprecedented inspections and transparency we have today."

If no deal that the United States and five other powers actually might strike with the Iranians would be acceptable to Netanyahu, how does he propose to deal with the Iranian nuclear threat?

He spoke about ratcheting up international sanctions against Iran and keeping them in place until Iran ceased regional aggression, sponsorship of terrorism and threatens to annihilate Israel. But years of extraordinarily tough sanctions did not persuade the Iranians to abandon their nuclear program or prevent them moving it forward. Neither did cyberwarfare or a series of assassinations of Iranian scientists.

And if the United States was seen as walking away from a possible agreement, the international sanctions regime would likely crumble, not strengthen. Iranian hard-liners who oppose an agreement would be back in the driver's seat in Tehran, while those would want to see Iran rejoin the international community would be discredited and sidelined.

It is doubtful that Netanyahu really believes sanctions would end the Iranian nuclear program. That leaves one other option -- military force. Of course, Israel could order a military strike on Iran any time it chooses, but Israel's ability to inflict significant damage on Iran's widely dispersed and heavily defended nuclear facilities is limited. When the discussion turns to military action, what is really meant is U.S. military action.

It is understandable that a foreign leader speaking in the U.S. Congress would shy away from openly asking Washington to attack another country, especially after the experience of the 2003 invasion of Iraq, which Netanyahu also lobbied for.

We should recall Netanyahu's September 2002 testimony to the House Foreign Affairs Committee, six months before the U.S. assault on Baghdad began, when he said: "It's not a question of whether Iraq's regime should be taken out but when should it be taken out; it's not a question of whether you'd like to see a regime change in Iran but how to achieve it."

Netanyahu may have learned from that experience. He knows that the U.S. public is weary of war and has no appetite for another military adventure in the Middle East. That's why he advocates policies that would put the United States on a path to military action without mentioning the words "military action."

This Israeli leader, who faces a tough election back home in two weeks, has mastered the art of policy vagueness. He applied the same strategy to the failed negotiations with the Palestinians last year, declaring he was in favor of a two-state solution but never putting forward a detailed proposal for where the border should be drawn -- or on any other substantive issue for that matter. His biggest demand once again was rhetorical -- that the Palestinians recognize Israel as a Jewish state.

This is an Israeli leader who believes in the power of words -- especially his words. But words are no substitute for a strategy -- and that's where Netanyahu once again failed himself, his country and his audience.

@highlight

Jeremy Ben-Ami: Netanyahu's powerfully worded speech is no substitute for a strategy to keep Iran from getting nuclear weapons

@highlight

He says without a plan, the only option is to put U.S. on path to military action

@highlight

Netanyahu also lobbied for Iraq invasion in 2002, Ben-Ami says