(CNN) -- Gov. Jay Nixon is criticizing the "over-militarization" of the police response to protests that have been spurred by the killing of 18-year-old Michael Brown in Ferguson, Missouri.

Nixon appeared on most of the political talk shows on Sunday, calling the tactics of the St. Louis County Police "aggressive" and expressed relief that the Justice Department is conducting its own investigation into the young man's death on August 9.

"There are times when force is necessary, but we really felt that push at that time was a little aggressive, obviously, and those images were not what we were trying to get to," he said on ABC's "This Week," referring to the policing using heavily armored military vehicles.

"And in those situations where folks are rolling up heavily armored and they're pointing guns at folks, that's impossible to have a dialogue," Nixon said.

The governor, however, offered praise for members of the community who have been protesting Brown's killing during an encounter with police.

Despite a shooting that left one person wounded and the arrest of seven people after a midnight curfew went into effect Saturday night, Nixon said the curfew was implemented peacefully and mostly without incident.

"Thousands of people spoke last night. Thousands of people marched and not a single gunshot fired by a member of law enforcement last night, and the members of community (were) tremendous helpful last night to get through what could have been a very difficult night," he said on CNN's "State of the Union."

After days of heavily armed police patrolled the streets of Ferguson with a heavy hand and periodic use of force, Nixon ordered Missouri State Highway Patrol to take over the police response on Thursday.

The head of the Highway Patrol, Capt. Ronald Johnson, is African-American and from the area. He took a different approach than police and dramatically softened the aggressive stance.

Critical words about harsh tactics

Nixon is the latest politician to criticize police tactics that created a war zone atmosphere in Ferguson, a town of 22,000 near St. Louis.

Missouri Sen. Claire McCaskill said Thursday the situation needs to be "demilitarized," and on the same day, Republican Sen. Rand Paul of Kentucky, who is considering a presidential run, released an opinion piece on Time's website saying many police departments around the country are too militarized.

Democratic Rep. Lacy Clay, who represents Ferguson in Congress, said on "State of the Union" Sunday that "a militarized police force facing down innocent protesters with sniper rifles and machine guns is totally unacceptable in America."

U.S. Rep. Mike Rogers, R-Michigan, also agreed that the reaction of police to protests was imbalanced.

"It appears that they may have reacted a little quickly on that force continuum when they decided to deal with ... the protesters," he said on CBS News' "Face the Nation."

While Bernard Kerik, a former New York City Police commissioner, said the show of force was too excessive while protestors peacefully demonstrated, he said the police have a responsibility to protect personal property.

"You can't let thugs take over the city. We saw that the other day. The police had to respond," he said on CNN, referring to instances of looting.

On police militarization in general, Kerik said the increased militarization of the police started in the 1990s during the height of the war on drugs and continued after the 9/11 attacks and has continued because of mass shootings in schools and public places.

"It's absolutely needed," he said.

In tense Ferguson, trying to balance security, protesters' rights

The legal process

Accounts of exactly what happened when Officer Darren Wilson confronted Brown on August 9 vary widely. Police said Brown struggled with the officer and reached for his weapon. Several witnesses said Brown raised his hands and was not attacking the officer.

Nixon also criticized the Police Department's release of a convenience store surveillance video that shows a man fitting Brown's description allegedly stealing a box of cigars just before Brown was killed.

Nixon said he was "unaware" the tape was going to be released and "we certainly were not happy."

Nixon said on CBS News' "Face the Nation" that the tape release is an attempt to "besmirch a victim" and "to tarnish him."

"It appeared to, you know, cast aspersions on a young man that was gunned down in the street," he added on "This Week."

Nixon also raised doubts about the special prosecutor in charge of the case, St. Louis County Prosecuting Attorney Robert McCulloch, who has been asked by Ferguson community leaders, including Rep. Clay, to step aside because of what people say is his impartiality toward the police.

"He's an experienced prosecutor. And this is his opportunity to step up," Nixon said on CNN of McCulloch, who has been in the position since 1991. "It's important we get this right. This is a big matter."

McColloch has defended the police response and slammed Nixon for sidelining the Police Department and putting the Highway Patrol in charge of security, calling the move "shameful," according to the St. Louis Post-Dispatch.

Offering little confidence to the local investigation, Nixon said he is pleased that the Justice Department is conducting its own parallel inquiry, noting that the FBI is sending 40 investigators.

"That's the kind of independent, external, national review and investigation of this that I think will assist everyone in making sure we get to justice," he said.

Nixon's criticism of the Police Department and shaky confidence of the local prosecutor Sunday comes as the Department of Justice announced a second, independent autopsy would be conducted on Brown's body.

The healing process

As the people of Ferguson seek answers and demand a fair investigation, the factor of race has once again become part of a national discussion that cuts deeply.

"We all know there's been a long history of challenges in these areas (of Missouri)," Nixon said. "And our hope is that, with the help of the people here, that we can be an example of getting justice and getting peace and using that to move forward."

But Nixon admitted that it will be a challenge because of "deep, long-term wounds" that won't be easy to heal.

Actor and activist Jesse Williams discussed a dark history that black Americans face.

"Police have been beating the hell out of black people for a very, very, very long time before the advent of the video camera and despite the advent of the video camera there are still a lot of incredible trend of police brutality and killing in the street and justice is never served," said the "Grey's Anatomy" actor and board member of the civil rights organization The Advancement Project.

On NBC's "Meet the Press," Rep. John Lewis, D-Georgia, who was an instrumental figure in the civil rights movement, called on the police chief and Ferguson's mayor to "literally apologize to the community."

Michael Eric Dyson, professor at Georgetown University, said he wants more leadership from President Barack Obama, the country's first black President who was a community organizer in predominately African-American neighborhoods of Chicago.

"This President knows better than most what happens in poor communities that have been antagonized historically by the hostile relationship between black people and the Police Department," he said on CBS. "We need presidential leadership. He needs to step up to the plate and be responsible."

The White House said the President was briefed on the situation in Ferguson again Sunday morning, and he is scheduled to meet with Attorney General Eric Holder at the White House on Monday.

What's next as authorities probe the killing of Michael Brown?

CNN's Jim Acosta, Shimon Prokupecz and Joshua Berlinger contributed to this report.

@highlight

Missouri Gov. Jay Nixon notes the "over-militarization" of police

@highlight

Nixon also criticizes Police Department's release of a convenience store video

@highlight

The governor also raises doubts about the special prosecutor in charge of the case

@highlight

Nixon praises many of the protesters upset about shooting death of Michael Brown