(CNN) -- Last Saturday morning, when media crews outside the Sikh gurdwara (house of worship) in Oak Creek, Wisconsin, packed up their trucks to chase the news of Mitt Romney's choice for vice president, Sikh Americans were left reflecting on six days of unprecedented national attention. After the shooting of six people in a Sikh gurdwara, a stream of national leaders, from the Rev. Jesse Jackson to Gov. Scott Walker, came to offer condolences and support. But there was one person missing.

It was you, Mr. President.

Let me be clear: Your administration's response to the massacre has been strong and swift. Attorney General Eric Holder addressed mourners with compassion and resolve at the Friday memorial.: "In the recent past, too many Sikhs have been targeted and victimized simply because of who they are, how they look, and what they believe," he said.. "This is wrong. It is unacceptable. And it will not be tolerated." Joshua Dubois from the White House expressed his full commitment to helping us with sustained interfaith and education outreach.

The FBI and Department of Justice were at the top of their game, investigating the attacks as both an act of domestic terrorism and a hate crime.

But we need more than government cooperation. Our community needs the deeper spiritual and emotional assurance that we are welcome to live, work and worship as fellow Americans. The gunman, Wade Michael Page, was a member of a white supremacist group that wishes to destroy our very claim to call this country home. After the attack we endured, Sikh Americans, and all brown and black people in America for that matter, need our president to directly show the nation that we belong here.

Watch: Volunteers help temple mourners cope

President Obama, you flew to Aurora, Colorado, to mourn publicly with the families before the dead were buried. You hugged your daughters closer that night, imagining them in that theater. In response to the massacre of Sikhs in Oak Creek, you and Mitt Romney issued statements of support, but did not suspend campaigning in Wisconsin, as you did in Colorado.

Of the major networks, only CNN sent an anchor to report live from Oak Creek, and none of the networks covered the murders as extensively as they did in Colorado. We worry that because the victims were brown-skinned people with "foreign" names, the tragedy hasn't elicited the same attention from public officials and the media.

I believe you can help the nation feel our pain. You can show this tragedy is an American tragedy, because none of us should have to fear gunfire in their own churches, synagogues and mosques. If Trayvon Martin could have been your son, and the kids in the Aurora theater your daughters, then the aunts and uncles shot while praying on that Sunday could have also been your own.

We wish you were there on Thursday morning when community members entered their gurdwara for the first time since the massacre. You would have witnessed the spirit of chardi kala in the Sikh faith -- even in darkness, a rising resilience -- and shared this spirit, which is also part of the American character. Sikh women and men walked into a crime scene: blood on the carpets, there were bullet holes in the walls, and shattered windows. They flew into action, ripping out carpets, painting over bullet holes, scrubbing floors, and within hours, they served the first langar (open meal), breaking bread beneath portraits of those who have died for our faith.

Opinion: Why American Sikhs will survive

We wish you were there later that night for the town hall meeting organized by your Justice Department. Nearly every Sikh American told officials that the attack on Sunday was not isolated or "senseless," but one in a long pattern of intentional acts of hate and discrimination in the last decade and long before.

Our children are bullied in schools, our men and women are profiled at airports and barred from military service unless they give up their turbans, and our people endure racial slurs and hate crimes that are not specifically tracked by the FBI. You would have heard the community's cry for help and publicly called upon all Americans to recommit to curbing the alarming rise of hate and fear in this country.

News: Holder calls Sikh temple shooting a hate crime

We wish you were there on Friday morning for the memorial for the dead. Three thousand people filled the Oak Creek High School gymnasium, a sea of people sitting in reverence and sorrow before six open caskets.

We are deeply moved that you ordered the flags lowered to half-mast, an expression of respect and honor. But for Sikhs, and for Muslims who watched eight mosques attacked in eleven days, the threat is not over.

"All politics aside, a personal visit, even with the victims' families, the temple, the people, for [the president] to take pictures with people who have turbans and beards does so much for our safety," said Amardeep Kaleka, whose father was killed bravely fighting the gunman.

I returned to New York this week. One cab driver pointed to his brown skin and said to me: "This is not just about Sikh people. This is an attack on me too."

Belief: Sikh iReports speak to long-held fears in their community

President Obama, I believe you can help our nation find lasting lessons in Oak Creek. Now that we've had time to grieve, people who care are turning to one another and asking: What do we do now?

"It is that fundamental belief that I am my brother's keeper, [and] I am my sister's keeper, that makes this country work," Attorney General Holder said, repeating your words at the memorial service. President Obama, I believe that your wisdom, compassion, and voice can help Sikhs and all Americans chart the way forward.

You may find the starting point when you visit the Sikh gurdwara in Oak Creek -- a single bullet hole remains and below it a sign: "We Are One."

The opinions expressed in this commentary are solely those of Valarie Kaur.

@highlight

Valarie Kaur: Politicians, others came to Oak Creek after Sikh shooting, not Obama

@highlight

She invites Obama, says his presence will send message of support, affirmation

@highlight

Kaur: Shootings in Aurora drew Obama; not coming to Wisconsin hurts Sikhs

@highlight

Kaur: Sikhs' values reflect American values too; Obama must help demonstrate this