(CNN) -- Jeff Romig kept putting it off.

He knew the doctor would give him bad news. He'd known it for years; he needed to lose weight.

But as he sat in the doctor's office a few weeks ago and listened to his numbers -- cholesterol and blood pressure, both too high -- he resolved to change. This time, he decided to do something different, something drastic.

After 10 years of talking about losing weight without much success, Romig decided to put his health and family first by leaving his high-pressure politics job.

"I knew I was doing the right thing, but I felt terrible," said Romig, 34, who lives in Georgia.

While the tactic might be unusual, Romig is hardly alone in his struggle with weight gain or his reluctance to try to lose it. More than 30% of men older than 20 are overweight, according to the Centers for Disease Control and Prevention.

Men face the issue at the same rate as women, but until recently, ads for weight loss products mostly featured female faces and voices. According to ad industry watchers, the female-centric advertising had the inadvertent effect of scaring men away.

Enter a slew of new ads from the biggest names in dieting: Weight Watchers, Nutrisystem and Jenny Craig.

Weight Watchers took a direct approach, with television spots that explicitly tell men it's OK to diet. One commercial proclaims "Weight Watchers online is for men, too," and, as a nod to the brand's more feminine advertising of yore: "It's not all rainbows and lollipops."

"Women really appreciate the fact that we are recognizing it as a widespread societal problem," said David Burwick, president of Weight Watchers North America.

Beyond the multimillion-dollar campaign lies the hope for company expansion. Burwick estimated that only one-quarter of men who have weight problems actively seek to lose weight. That means plenty aren't spending money on weight loss products and programs, at least not yet.

Aside from the attention paid by Madison Avenue, some men said they're learning they need more than just a plan; they need people to hold them accountable and to relate to their struggles.

Lloyd Dinwiddie, an entertainment correspondent who goes by the name Gyant, said men don't often talk about their diets with other men, something he said he wishes would change. Though his nickname comes from his 6-foot-8-inch frame, Dinwiddie said not everyone appreciates his desire to slim down, and after years of diets, he's trying new techniques.

"Women look at me like I'm crazy. They say, 'You're just big, Gyant,'" he said. "At 310 pounds, every book in the world is telling me I need to lose weight."

Revealing journey as woman reduces weight by half

Dinwiddie said he applauds Weight Watchers and other companies that focus on men's health, but an "average Joe"-style spokesman would work better than a Charles Barkley or Mariah Carey, who have trainers and chefs to keep them focused.

Dinwiddie's current dieting effort includes a lot more chicken salads and outdoor activities, with a goal of losing 80 pounds. He has turned to an online community, hoping the discussion will serve as communal motivation.

"It's actually been a collective support system in a roundabout way 'cause in six months, if I'm not following it, they are going to be like, 'Yo, what's going on?'"

Romig, the man who quit his politics job, said he started using Weight Watchers in 2003, after his weight grew to 225 pounds. He lost 30 pounds then, but the positive momentum slowed after a big move and a new, stressful job. Through a few more jobs and one more move, Romig kept his Weight Watchers account, although he wasn't using it much.

"Every month, there goes that $16.95," he joked.

CNN anchor: Dangers of labels and my bulimia

Work and volunteer commitments soaked up his time. To make decisions about lifestyle changes, he sat with his wife of nine years and ran through scenarios, including how to handle fatigue and soreness during weight loss, and questions about whether he could keep up the momentum.

It all added up to one thing: Making time to get healthy, even if it meant reducing his work hours and relying more heavily on the income of his wife, an attorney.

Social media has already proven to be helpful on the journey, he said. When he shared news of his resignation and intention to run in a 5K on Facebook, he got all positive comments, he said. Romig keeps himself honest with his phone and other technology that allows him to keep tabs on his progress; his goal is to go from 241 to 180 pounds.

But those hyper-masculine ads? Romig said they didn't have much effect on him. The real motivation came from his wife, who told him, "I worry that you're not going to be here."

Since last week, Romig has lost 9 pounds. He said everything else, even his job, is now secondary.

@highlight

Weight Watchers, Nutrisystem, featuring men in ad campaigns

@highlight

More than 30% of men older than 20 are overweight

@highlight

Estimates say only one-quarter of overweight men actively seek to lose weight