(CNN Student News) -- March 1, 2011

March is Women's History Month.  The following discussion questions and learning activities can be used to help your students learn about the history and achievements of women in America.  You may want to adapt each activity to accommodate your curriculum needs as well as the needs of students of different grade levels and learning styles.

Discussion Questions

1. When is Women's History Month? What are the origins of Women's History Month? What do you think is the goal of recognizing Women's History Month?

2. Do you think that women are underrepresented in any aspects of modern American life? Explain. Can you think of any professions in which women outnumber men? If so, what are they and why do you think that this is the case in these professions?

3. What names come to mind when you think of women who have had an impact on U.S. history?  What were their specific contributions or achievements?  What can we learn from each of these women?

4. Can you think of any female role models that have had an impact on your life? If so, how have these women influenced you?

Learning Activities

Use these activities to encourage your students to learn about and appreciate the history and achievements of women in America.

1. Women's History Month Proclamation

Every year since 1980, the U.S. president has issued a proclamation regarding Women's History Month. Have students consult the Presidential Proclamation section of the White House website to read recent presidential proclamations on Women's History Month. Instruct students to create proclamations of their own using this year's theme, "Our History is Our Strength".

2. Women in Government

Have students conduct online research to generate a list of some of the women currently holding positions in government, including, but not limited to, U.S. Supreme Court justices, state governors, members of the president's cabinet, and members of the U.S. House of Representatives and the U.S. Senate. Have each student select one of these women to research. Direct students to create a classroom or online exhibit that highlights each woman's experiences and achievements, and illustrates how her position of power may affect the lives of other Americans.

3. Witness to History

What if CNN had been there to record the events surrounding the women's suffrage movement? Guide students as they use the Internet to research the struggle for women's voting rights. Tell students to use the following questions as their guide:

• What were the major events that led to the ratification of the 19th Amendment?

• Who were the key players on both sides of the women's suffrage issue?

• What arguments were presented both for and against women's voting rights?

Have students develop scripts for a broadcast news story on one aspect of this movement, ensuring that students include viewpoints from both the movement's supporters and its critics.

4. Women's History Memorial

Divide your class into small teams and assign each team one of the following fields: science, community, government, literature, art, entertainment, the military, sports and medicine. Next, instruct teams to research the roles that women have played in their assigned fields throughout American history. After teams present their information, instruct the full class to design a new memorial in Washington, D.C. that focuses on the contributions of women to American history.

Standards

Social Studies

II. Time, Continuity, and Change

Social studies programs should include experiences that provide for the study of the ways human beings view themselves in and over time.

V. Individuals, Groups and Institutions

Social studies programs should include experiences that provide for the study of interactions among individuals, groups, and institutions.

The Curriculum Standards for Social Studies are published by the National Council for the Social Studies

@highlight

March is Women's History Month

@highlight

These questions and activities help students learn about the history and achievements of women in America

@highlight

These questions and activities can be adapted to accommodate students of different grade levels and learning styles