(CNN) -- October has been the deadliest month for the US and NATO militaries fighting in Afghanistan as well as UN workers trying to organize an election runoff. Surely the surge in deaths serves to underscore why Afghanistan matters.

For all the debate happening away from the battlefield, here are a couple of important bottom-line questions:

Is the world prepared to see the Taliban and their opportunistic allies al Qaeda return to power in Afghanistan? Are people prepared for the terrorists' dream- photo-op of Mullah Omar and Osama Bin Laden sitting smiling together in Kabul?

And here's what's at stake:

The West fortunately has been free of terrorist attacks on its major cities in the last few years, but it was not so long ago that the London Tube bombings; mass murder in Madrid; mayhem in Mumbai in 2008;  the murders of Benazir Bhutto and Daniel Pearl; the Bali bombing; the shoe bomber and, of course, 9/11 and the attacks on the World Trade Center changed our world and our way of life.

Together, those events created pervasive fear and anxiety, not to mention a change in our lifestyle caused by security measures in airports, trains, banking transactions and office buildings.

What all of these events have in common is that the perpetrators all came from, visited, were financed by, or were led by terrorist organizations operating in Afghanistan and Pakistan, especially the ungovernable territories on those countries' border. The Bush administration, in the view of some, may have gone too far in responding to these events by creating an all-encompassing "war on terrorism."

However, for the eight long years America and NATO countries have been at war in Afghanistan, this war, uniquely in modern history, is still supported by all the world's major powers, the neighbors of Afghanistan, and mostly by the people of Afghanistan, who dread both insecurity and a return to the brutal horrors of the Taliban.

If the threat of new terrorist attacks is not enough, what about the threat of a nuclear catastrophe?

Look at Pakistan this week. Horrific bombings in the frontier town of Peshawar and elsewhere have also killed scroes of people, just as U.S. Secretary of State Hillary Clinton arrives to firm up security and development co-operation with that country.

While foreign policy and intelligence experts continue to worry that terrorism, Islamic extremism, the continued threat of renewed war between Pakistan and India, plus the presence of nuclear weapons in the arsenals of both countries, could prove a combustible mix in the not-too-distant future. This is not scare-mongering; it's simply the reality that what happens in South Asia could affect all of our lives. That's why all of us must be concerned by the outcome of the war that is being fought today in mountains of the tribal areas in Pakistan and the plains of Afghanistan.

Many of the soldiers and officers I speak to in Afghanistan say the best way to beat back the threat of Taliban insurgents is with boots on the ground and additional military resources, as well as a proper development assistance for the Afghan civilians. The Afghan people need protecting and enabling.

I have been reporting from Afghanistan since 1996 and the one thing I've noticed over the years is that every Afghan asks foremost for security. Then next on the list is development to help them earn a decent living and raise their families. They also want a decent government. They know this will take years of patience and effort. They know it will be a hard slog. After all, they have been at war for 30 years now, during which the traditional, honor-bound society they had for decades has all but vanished.

Though it is true that fierce tribal traditions mean some Afghans distrust even the tribe next door, not to mention foreign troops, over and again, Afghan men, women and children have told me they do not see the U.S. and NATO forces as occupiers, rather as armies from countries who came to help them ... but who have fallen short of their promises.

This fear and disenchantment is what the Taliban feeds on today. They want the U.S. and NATO out, they try to convince the people those outsiders are occupiers bent on harming them. And yet, if you look at the current trends and the latest polls in Afghanistan, despite massive governmental corruption, abuse and dysfunction, the majority of the people want nothing to do with the Taliban.

Polls show only a tiny minority support them. And that is mostly because they are desperate for security and safety, something the West has failed to follow through on after roundly defeating the Taliban and al Qaeda in seven weeks after 9/11.

And across the border in Pakistan surveys show Osama Bin Laden has lost his luster among Muslim youth. Support for Islamic extremists is dropping. The Pakistani government is finally fighting back against the extremists who threaten the future of this mostly moderate Muslim country. Under pressure, the militants are lashing out in parts of the country.

See Christiane Amanpour's special report on "Generation Islam"

Unfortunately, at this crucial moment, people in America and Europe are tiring of their governments' support for the war in Afghanistan and the battles in remote parts of Pakistan. The agonized debate over strategy in Washington hides the sad fact that since sending the Taliban and al Qaeda packing, shortsighted U.S. vision snatched defeat from the jaws of victory.

The Bush administration mostly ignored Afghanistan while diverting its attention and resources to Iraq. Now that the U.S. is finally refocusing on the war in Afghanistan it's an opportunity to look at what is at stake: the urgency of finishing the job in Afghanistan pitted against the real war-weariness of western voters. This is the dilemma of the modern world where the latest of life's challenges such as the financial crisis, unemployment, new flu pandemics, health care, and the housing market dominate daily life.

Getting the job done in Afghanistan will take years in time and resources. It will require faith and patience. The mass media is not the best place to reflect that. It does not usually focus on the hard slog, instead it is constantly in search of the new and the now.

But the next time there is a major terrorist attack, in all likelihood it will have been generated by an organization somewhere near the border of Pakistan and Afghanistan. Again, people will ask: Why weren't our leaders and the media there to warn us of the dangers?

As a member of the media I believe that's our job: to report the facts.

@highlight

Amanpour: Is the world prepared to see the Taliban return to power?

@highlight

They'll bring their allies, al Qaeda, with them, she says

@highlight

Majority of Afghans want nothing to do with the Taliban, she says

@highlight

But they feel NATO, U.S. troops have fallen short of their promises, she says