(CNN) -- The extraordinary new film "12 Years a Slave" immerses us in the reality of historical slavery at a deep level of complexity and nuance. The film is an opportunity to honor all who were held in chattel slavery, treated like property, and subjected to levels of violence, torture, and control that no human should ever endure.

The movie, directed by Steve McQueen, is also an opportunity to start a meaningful conversation about how prevalent slavery is today.

Most of us believe that slavery in America disappeared over a century ago. In the narrative we've learned, the Civil War, the Emancipation Proclamation, and the Thirteenth Amendment ended this horrific chapter in our nation's history. But this narrative is simply wrong.

Slavery may no longer be legal or accepted. Slavery may no longer be as brutal, as visible, or as blatant. But it's time for us to fully absorb that slavery has been with us every day since the late 1800s.

Solomon Northup, whose autobiography the film is based on, was a free man living with his family in Saratoga, New York, during the 1840s. He was deceived, coerced, drugged, kidnapped, and sold into slavery. His money and documents were taken. He was given a new name, and his true identity was suppressed. He was physically and psychologically tortured, enduring abuse for years and threatened with death if he tried to escape.

The parallels to slavery today are striking. The control mechanisms used by Solomon's recruiters and captors are the same tactics and stories we hear about daily from the people who reach out to us for help on the National Human Trafficking Resource Center hotline, which Polaris Project operates.

The International Labor Organization estimates nearly 21 million people around the world are victims of modern slavery.. That's 21 million people living in circumstances similar to those that drove Solomon Northup to despair.

Modern slavery is the man who was promised a job on a farm to earn enough money to pay for his parents' medical care, then forced to work long hours, intimidated with violence, and made to live in deplorable conditions in a cramped room with his co-workers.

It's the man working in a restaurant who was assaulted by his manager and threatened should he ever try to leave. Modern slavery is the 15-year-old girl who was romanced and recruited by a pimp, then raped, beaten, and sold online into the commercial sex trade. It's the woman from South America held against her will in a house in the suburbs, paid only a fraction of the wages she was promised, and compelled to work as a domestic servant. These are only a glimpse into types of cases Polaris Project learns about every day -- cases right here in the United States.

Human trafficking is a low-risk crime with high profits. The U.N. estimated it to be a $32 billion a year industry in 2005, and many in the anti-trafficking field believe that number is outdated and too low.

As ubiquitous and overwhelming as the global scale of modern slavery feels, we can't shy away from the enormity of the challenge to address it. One way to respond is to offer a lifeline: to provide that one moment that helps someone get out of slavery.

For the millions of men, women, and children being trafficked, that moment of opportunity doesn't need to take 12 years to arrive like it did for Solomon. With global telecommunications technologies, political will, and anti-slavery resources, help can be one phone call or one text away.

All of us can help create that moment of opportunity: Learn about modern slavery and recognize its signs. Share the national hotline number and post fliers in places where vulnerable populations might see it.

Report tips and relevant information about suspected slavery in your community by calling Polaris Project. Urge your elected leaders to pass stronger anti-slavery laws that crack down on traffickers and protect survivors. Support efforts nationally or in your community that are building a movement against modern slavery.

We have a duty to learn from Solomon's story and the horrors of historical slavery, to never let it happen again, and to mobilize for the 21 million victims of human trafficking still trapped in slavery. The opportunity to truly eradicate slavery is before us. Now let's rise to the challenge and seize it.

To reach Polaris Project, call 1-888-373-7888 or text BeFree (233733)

The opinions in this commentary are solely those of Bradley Myles.

@highlight

Bradley Myles: "12 Years a Slave" movie reveals horrors of historical slavery in the U.S.

@highlight

Myles: Most of us believe slavery in America disappeared but it has never stopped

@highlight

Slaves include girls trafficked for sex, farm workers, domestic servants, he says

@highlight

Myles: We can recognize the signs of modern-day slavery and report them