(CNN) -- Filmmaker James Cameron may be about to set out on the first solo dive to the Mariana Trench, the deepest known point of the world's oceans, but sojourns to the darkest recesses of the sea are far from the sole preserve of intrepid would-be record breakers.

For wealthy enthusiasts with a passion for underwater endeavors, delving into the deepest and most mysterious ocean basins is a niche but accessible form of adventure tourism.

Several companies around the world offer midrange dives of between 1,500 and 3,000 feet, but only specialist tour operator Deep Ocean Expeditions takes paying customers to depths of 10,000 feet and beyond.

The UK-based company has been running trips since the late 1990s that can cost between $30,000 and $350,000, depending on the location.

Filmmaker James Cameron to visit deepest ocean depths

With the help of Alfred S. McLaren, a retired U.S. Navy captain, honorary director of the Explorers Club and deep ocean pilot with more than 30 years experience, CNN takes a look at the most exciting deep ocean adventures on offer to paying tourists.

The Titanic

The most famous cruise liner ever built now rests 12,500 feet below the surface of the North Atlantic Ocean.

Tourists have been able to visit the ship's ghostly grave on Russian Mir submersibles leased by Deep Ocean Expeditions since the early 1990's, although the trips have been intermittent and will cease after the 100th anniversary of the vessel's sinking next month.

Voyages cost in the region of $30,000 when the tours began, but those partaking in the eight-hour dive have to part with a sum closer to $60,000 these days.

For Titanic enthusiasts, however, witnessing the mythical vessel in its final resting place is a priceless if slightly morbid experience, says McLaren, who has piloted several expeditions.

"It is a very eerie site," he says. "When you see people's personal belongings like suitcases and jewelery, it really makes you realize the sheer scale of the human tragedy."

The Bismarck

Another behemoth of the sea to meet its end in the North Atlantic was the German World War II vessel Bismarck.

The battle cruiser went down during its first offensive mission at sea in 1941 -- the British Navy claimed to have sunk it, but the Germans countered that the ship was scuttled to prevent it falling into enemy hands -- and now rests 15,000 feet below the surface.

Swedish treasure hunters mysterious deep sea find

Only a handful of people, including McLaren, have glimpsed Bismarck since its demise, but Deep Ocean Expeditions is planning a trip to the wreck site this year.

"My experiences of visiting Bismarck are vastly different from the Titanic," McLaren said. "The ship is remarkably well preserved, and my first impressions were not of tragedy but of a menacing enemy ship."

"It's not until you see the boots of the German sailors scattered around the place that you get a real sense of history and realize the number of men who perished," he added.

The Mid-Atlantic Hydrothermal Vents

Situated roughly 300 miles from the Azores, Portugal, the hydrothermal vents of the Mid-Atlantic Ridge are a towering chimney-like formation of rocks that bellow out a volcanic black mist at depths of nearly 10,000 feet.

All manner of strange and unaccounted for life forms have evolved in this fascinating environment hidden away from human eyes for millennia, McLaren said.

"We know so little scientifically about life at these depths that some of the species that live down there are hard for us to fathom," he adds.

Deep Ocean Expeditions offers trips to this alien landscape that, like dives to the Titanic and Bismarck, are expensive and infrequent -- although a Mir submersible voyage to the hydrothermal vents is scheduled for mid-2012.

Voyage to the bottom of the sea

For those able to afford such a daring mission, a mesmerizing ecosystem where the conditions for life are like no other place on Earth awaits discovery, McLaren says.

The Arctic depths and beyond

Although there are currently only a handful of sites where tourists can pay to delve into the darkest ocean abysses, McLaren believes that deep sea tourism has the potential to become a major industry in years to come.

With science budgets being cut in many countries, taking wealthy tourists on voyages to the deepest recesses of the oceans could be a great way to fund important research explorations, he says.

The deep basins of the Arctic Ocean, which have been cut off from the world's oceans for 2 million years, are some of the most interesting deep sea dives that have yet to be accomplished, McLaren explained.

With the advances in submersible vehicle technology -- such as the advent of the Super Aviator and Orca Sub, which can reach depths of 15,000 feet and offer increased underwater maneuverability -- all that's missing is the political and financial will to fulfill such missions, McLaren says.

By opening deep sea adventures up to private tourists, he adds, science and human exploration could benefit greatly.

@highlight

Wealthy tourists can voyage to the bottom of the sea with specialist tourist companies

@highlight

Expeditions visit the wreck sites of historic vessels such as the Titanic and Bismarck

@highlight

Deep sea tourism could take off soon, says marine specialist Capt. Alfred S. McLaren