London (CNN) -- As English has cemented its position as the default language of global business, Anglophone interest in foreign languages has steadily waned.

"We have taken a perverse pride in the fact that we do not speak foreign languages, and we just need to speak louder in English," British education secretary Michael Gove lamented to a newspaper last week. His government hopes to reverse a decline in the number of British students sitting a language GCSE - a drop from 444,700 to 273,000 over 12 years - by teaching foreign languages from the age of five.

But how much do measures like this stand to benefit English speakers, given the dominance of their language? To an aspiring executive from an English speaking background, does it make sense to spend time acquiring another language when the world is learning yours? Or would you be wiser investing that time in other areas of your career instead?

Stephan Chambers, director of the MBA degree at Oxford University's SaÑ—d Business School, said while speaking English was "almost a precondition for success" for non-native speakers, a second language was not essential to English speakers.

"But if the question is: 'Is learning a second language an advantage, and is that advantage going to increase?' The answer's got to be yes," he said. "Almost certainly, as the balance of economic power shifts, and as supply chains, sales and deals start happening outside of traditionally the most influential markets."

Which languages? Jocelyn Wyburd, director of the University of Cambridge's Language Centre, said the opportunities presented by emerging BRICS economies and Latin America were making their languages particularly attractive to businesses and students - especially as Europe and North America struggle. In particular, Mandarin (the world's most spoken language) and Spanish (by varying accounts the second- or third-most spoken) are "beginning to be more important for all of business."

Employees with a portfolio of languages were valued for their ability to build partnerships, and had an advantage in the job market for relationship-focused roles, from deal-making to supply chain development.

"But that's a difficult message to get across, because of the perception that English is the global language, and therefore enough," says Wyburd. She frequently sees multilingual Europeans edging out similarly qualified but monolingual Britons for jobs in the United Kingdom.

Recent trends in the ever-expanding language tuition market reflect English's strengthening position as the default language of international business. "The key growing markets for language training are Brazil, China and Mexico, and people in these markets are learning English," said Rita Pauls, director of global marketing for language tuition company Berlitz, which has roughly doubled its number of students to 300,000 in 70 countries over the past decade. During that time, English rose from 64% to 72% of their business, while German and French remained stable at 6.5% each, and Spanish at 4%. The only other language to have increased significantly was Mandarin, doubling to 2%.

While the Chinese economic success story has propelled interest in Mandarin in schools around the world, the language can appear forbidding - even impenetrable - for those who encounter it in adulthood. Not so, says Dr Eric Thun, lecturer in Chinese business studies at SaÑ—d Business School, who picked up the language from scratch during 18 months of intensive immersion study in his mid-20s.

"Most people thought I was crazy," he said, adding that devoting yourself exclusively to language acquisition was the only real way to make inroads. "It's hard to do as a side pursuit."

But while you might have to temporarily put your career on hold to pick up a language, the trade-off was likely to be worth it in the long run. A language could be an invaluable asset by allowing you to better understand your market and access broader sources of information, said Thun. Mandarin was now as imperative to business success in China as English was in the United States. And, as China had developed into "a more normal labor market", language skill was no longer a key to success in itself - a functional specialty was generally needed also.

"Fifteen years ago a foreigner going to China would have a fairly strong advantage just because there wasn't a particularly deep talent pool," he said. "That's completely different now. The bar is much higher."

Finally, though, it's important to remember that attempting to pick up a language for business purposes alone may prove a shortsighted approach. The usefulness of a language in a business sense would rise and fall with unpredictable shifts in the global economy, said Wyburd. "When I was growing up it never occurred to us to learn Chinese. We were focusing on the languages of Europe, because Europe was our reality. During anybody's lifetime those contexts will change."

Beyond its business applications, however, language acquisition would always have a deeper benefit in enabling the learner to grasp another worldview, and become a more effective communicator in any tongue.

"The more respectful you are of the subtleties of language, the more effective you are as a negotiator or as a manager," said Chambers. "And the more likely you are to be able to take people with you in your projects."

@highlight

English is cementing its position as the language of business

@highlight

A second language, however, will assist in furthering your career

@highlight

Putting your career on hold to learn a language is likely to pay off in the long run