(CNN) -- For visitors with shopping at the top of their agenda in Seoul and beyond, it may be hard to keep up; Korean fashion is furiously fast and fickle.

But from Seoul's distinctive street style (loud statement pieces are the calling cards) to runway chic, these top 10 South Korean fashion brands are defining some of Asia's trendiest looks.

For the moment anyway.

1. 8seconds

"Spain has Zara, Korea has 8seconds," says "InStyle Korea" fashion editor Sujin Yang.

Launched in February in 2012 by Samsung subsidiary Cheil Industries as a domestic competitor to foreign fashion brands such as UNIQLO, 8seconds' heavy marketing paid off with ₩60 billion ($54 million) in sales in 2012.

The brand's goal for 2013 is ₩150 billion ($134 million) in sales. It hopes to bring its success abroad with international stores open by 2014.

The name is supposed to signify the length of time that we perceive as the "now," according to the brand's somewhat convoluted mission statement.

With colorful and creative displays, the stores are some of the most fun to visit in Korea.

A signature 8seconds look combines neon tribal print leggings, Space Age-silver bomber jacket and retro polka dot blouse, all at extremely low prices, in the Forever 21 range.

8seconds Garosugil flagship store: 535-12 Sinsa-dong, Gangnam-gu, Seoul; +82 70 7090 1144

Myeong-dong branch, 50-1 Myeongdong 2-ga, Jung-gu, Seoul; +82 70 7090 2272

2. Lucky Chouette

Lucky Chouette is the variegated, street-inspired and accessible line by Kim Jae-hyun, who was chosen to be part of Seoul's 10 Soul -- a fashion project launched by the Seoul government to promote upcoming Korean designers.

"Kim Jae-hyun is already a familiar figure in the fashion world through her Jardin de Chouette line," says Yang, adding that Kim's atelier is always crowded with Korean celebrities.

The supermodel's guide: Where to shop in Seoul

Silhouettes tend to be chunky and casual -- skirts are short and flared, blouses are oversized.

Prints play a big part in the Lucky Chouette design, as does the owl, which is supposed to symbolize luck.

Lucky Chouette Cheongdam store, 21-15 Cheongdam-dong, Gangnam-gu, Seoul; +82 2 3444 1002

Lotte branch, 2/F Lotte Department Store, 1 Sogong-dong, Jung-gu, Seoul; +82 2 772 3211

3. Steve J. & Yoni P.

Having debuted their first collection at London Fashion Week in 2007, this duo's designs can be found at foreign high-fashion retailers such as Opening Ceremony.

In Korea, the initial wave of popularity that greeted them is as strong as ever.

The clothes are wearable, but with an unexpected kick in the details.

The brand's flagship store in Hannam-dong this season is a playground of summery dresses with floral prints, fancifully re-imagined stripes and paisley.

Steve J & Yoni P, 685-12, Hannam-dong, Yongsan-gu, Seoul; +82 2 543 4766

4. Beyond Closet

This menswear label is the creation of designer Ko Tae yong, who created costumes for the hit Korean wave drama "Boys Over Flowers."

Launched in 2008, the brand stocks classic and collegiate baseball jackets, sports jackets and button-downs in vibrant and boyish blues, reds and yellows.

While the look won't exactly fly at a job interview, it's great for sartorially conscious men in their twenties and thirties whose masculinity isn't derailed by a healthy dose of cute in their wardrobes.

The brand's runway wear is available for purchase on their website or at the showroom.

Multi-brand shop A Land also stocks the line in its various locations (Myeongdong, Sinsa-dong, COEX, Gangnam, Hongdae and the Mokdong Hyundai Department Store).

Beyond Closet showroom, B1, 560-2, Sinsa-dong, Gangnam-gu, Seoul

A Land Myeong-dong, 53-6 Myeongdong 2-ga, Jung-gu, Seoul; +82 2 1566-7477

5. Jain Song

"Jain Song is known for her sharp, sophisticated and clean looks," says Yang about the designer's eponymous label.

Song interned with her mother, veteran designer Kim Dong-soon, before launching her own collection in 2004.

It's been a successful riding from there, with collaborations with high fashion boutique 10 corso como, LG Mobile, Estee Lauder and Iope.

No more miniskirts in Seoul? New law has South Korea buzzing

The brand has an online shop, and its Hannamdong flagship store Mo Jain Song, which opened this year, is quickly becoming a popular hangout for the city's young and stylish with its pretty outdoor cafe and carefully cultivated rooftop garden.

The flagship store stocks a variety of curated lifestyle items along with the fashion line.

Mo Jain Song, 739-6 Hannam-dong, Yongsan-gu, Seoul; +82 2 797 6231

6. Reike Nen

Founded in 2010 by designer Rei Yoon Hong Mi, the Reike Nen shoe brand deconstructs classic footwear like oxfords and pumps, fuses them with creepers and wedges or cuts them into sandals.

Despite the restrained color palette -- white, sometimes black and the occasional neutral -- the shoes manage to be wholly original, quietly dominating an outfit without being overtly attention seeking.

Best of all, the shoes are light and comfortable.

Sold at Opening Ceremony in the United States, Reike Nen also has an online shop. Domestic offline shops include the Steve J & Yoni P store in Hannam-dong, as well as the following multi-brand stores:

Flow, 84-10, Cheongdam-dong, Gangnamgu, Seoul; +82 2 511 4074

Koon With a View, 546-5, Sinsa-dong, Gangnam-gu, Seoul; +82 2 548 4504

7. Style Nanda

"This nine-year brand is climbing the fashion ranks at a dangerous speed and pretty much leading Hallyu (Korean Wave) fashion," says Yang.

Style Nanda began as an Internet site selling secondhand clothes from founder Kim So-hee.

Now it has an enormous three-story flagship store in Hongdae (as well as a Lotte YoungPlaza location) and is the second most sought after Korean brand by Chinese tourists in Korea, according to Lotte Department Store.

Style Nanda, 335-21 Seogyo-dong, Mapo-gu, Seoul; +82 2 333 9217

8. PartspARTs

"Life is short, PartspARTs is long."

That's what PartspARTs designer Im Seonoc says about her brand, with an emphasis on the "art."

This is a reflection of her multidisciplinary background, which includes film, art and contemporary dance.

The garments are made solely from jersey through a technology-informed process designed to minimize waste.

The spring/summer collection is all chic and modern shift dresses and wide-legged trousers, made of sleek lines, unexpectedly sexy cuts and silky smooth textures.

The brand's items of the moment are a work-friendly tote bag and color-blocked blouse.

IMSEONOC Showroom, 208-40 Buam-dong, Jongno-gu, Seoul; +82 3443 3937

9. MVIO

MVIO makes business wear for men that like to dress up, and is a great stop for guys looking for a more creative off-the-rack business casual pieces.

Another Cheil Industries brand (a Samsung subsidiary), MVIO is led by creative director Han Sanghyuk, who features traditional cuts with an aggressively stylish android twist.

Business fashion in Asia: How to look the part

The spring/summer 2013 collection is built around theme of a "perfect man."

The Ken Doll-like perfection is a little off-putting, but the reasonable prices are nice -- pants start below ₩100,000 ($90) and three-piece sets start from ₩210,000 ($189).

MVIO, Lotte Department Store; 1 Sogong-dong, Jung-gu, Seoul; +82 2 772 3561

10. The Studio K

South Korean fashion editors and fashionistas adore designer Hyejin Hong's brand the Studio K, says Yang.

Often called "the Korean Marni," the brand's designs are minimalist and elegant, inspired by algorithms and technology, according to the designer.

The real Gangnam Style: Beauty Belt, wedding town, 24-hour culture

It's difficult to step into what may look like a paper construction or a sartorial rendering of a skyscraper and not feel overshadowed, but the clothes are miraculously flattering.

The Studio K, 648-20 Sinsa-dong, Gangnam-gu, Seoul; +82 2 518 8984

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

From loud street style to runway chic, these brands are defining Asia's trendiest looks

@highlight

8seconds is Samsung's answer to UNIQLO

@highlight

Beyond Closet and MVIO create hyper-trendy menswear

@highlight

Jain Song is known for sharp, sophisticated looks