Cairo, Egypt (CNN) -- It is the middle of the night of Egypt -- time not to sleep, but to hit the streets and rally, whether out of pride or defiance.

Cairo's Tahrir Square, the focal point of the 2011 popular revolution that led to the ouster of longtime President Hosni Mubarak, filled with protesters angry at the man elected to succeed him, Mohamed Morsy. They vented, too, at the Muslim Brotherhood, the Islamist group shunted aside under Mubarak that's now the most powerful political force in Egypt.

A similarly spirited nighttime scene played out outside a Nasr City mosque about 13 kilometers (8 miles) to the east. The thousands of demonstrators gathered here, though, had a much different message: fervently backing Morsy and the Muslim Brotherhood he once led.

More such rallies, representing both sides of the political spectrum, are expected elsewhere around the North African nation later Sunday. The state-run Ahram news organization, for instance, noted that protests were in full swing early Sunday in Suez, Sharqia, Monofia and Gharbiya; so many people came out in Alexandria that traffic almost came to a standstill.

What authorities hope there won't be more of, is violence.

Clashes in recent days have claimed a number of lives, most of them people associated with the Muslim Brotherhood after their offices came under attack.

Bystanders were affected as well. One of them was Andrew Pochter, a 21-year-old American in Alexandria to teach children English, who was stabbed to death Friday while watching the demonstrations, his family said. An Egyptian man died of a gunshot wound to the head, the health ministry said.

State media reported that dozens more were injured in Alexandria unrest that also saw protesters demanding Morsy's ouster ransack the port city's offices of his Freedom and Justice Party, the Brotherhood's political wing.

Hamdeen Sabahy, a leftist former presidential candidate, said in a video message posted Saturday that he and others challenging the Egyptian government "reject the violence ... and all the attacks on the (offices) of the Muslim Brotherhood or their party."

"Peace is our weapon," Sabahy said.

He urged his followers to continue their demonstrations nationwide, saying, "We are not fighting a rock, rather failing politics that do not meet the needs of the people."

"We unite and know that strength is in the people," he said in the video posted on his Facebook page. "We will be victorious, God willing."

Accepted order vs. change

Military security forces are patrolling streets around Egypt, in anticipation of rallies Sunday and fearful of looting, attacks on political or government offices, and violence generally.

Morsy also met Saturday with his ministers of interior and defense to review security plans, state-run Ahram reported.

Nearly a week ago, Defense Minister Abdel-Fattah El-Sisi said the army would, if necessary, "prevent Egypt from slipping into a dark tunnel of civil unrest and killing, sectarianism and the collapse of state institutions," raising the specter of a return to the powerful role it played in domestic politics under Mubarak.

But Morsy is not Mubarak. He was democratically elected.

Those results should be respected, say his supporters, who have taken to the streets by the thousands, many of them chanting their protest slogan: "Democratic legitimacy is a red line."

Their show of support kicked off Friday in Nasr City, a Cairo neighborhood.

Morsy's opponents have responded with more large-scale rallies of their own, including a sit-in planned for in front of the presidential palace in Cairo.

The president's opponents have spent months collecting signatures on a petition calling for Morsy to step down and call new elections.

The opposition includes a coalition of liberals, moderates and pro-democracy advocates who have joined those calling for the military to take over government and restore law and order.

Muslim Brotherhood under fire

Since Morsy took office, Egypt's already sour economy has plummeted further as investors have pulled out of the country in droves and tourism has dropped.

At the same time, crime in Egypt has shot up, and some are calling for a return to the law and order they knew under Mubarak's autocratic rule, carried out with the iron hand of the military.

Morsy gave a speech this week highlighting his achievements during his first year in office.

But opposition members said he did not address his shortcomings and called for snap presidential polls, a new government and constitutional amendments.

The Muslim Brotherhood, whose leaders included Morsy before his election, has lost four members to violence in recent days.

Two people were shot dead Thursday when armed men attacked Muslim Brotherhood offices in Zagazig, Morsy's hometown, spokesman Gihad Haddad said. The gunmen were shouting "Down with Morsy" during the assault, he said.

Amnesty International called on authorities to uphold Egyptians' right to peaceful assembly and protect protesters and bystanders from violence.

"Given the appalling track record in policing demonstrations, it is absolutely imperative that the Egyptian authorities issue very clear instructions to security forces to uphold protesters' right to freedom of assembly and refrain from unnecessary or excessive force," said Hassiba Hadj Sahraoui, Amnesty International's Middle East and North Africa deputy director.

"They should make clear that anyone responsible for arbitrary and abusive force will be brought to justice."

In the past year, about 80 people have been killed during protests and other political violence largely attributed to security forces, Amnesty said.

"We're looking at the situation with concern," President Barack Obama said Saturday in Johannesburg, South Africa. Those concerns extend to keeping U.S. embassies, consulates, diplomats and other personnel safe, he said.

"Everyone needs to denounce violence," Obama said, adding he would favor talks between Morsy and the opposition. "Nobody's benefiting now."

About 200 U.S. Marines in Sigonella, Italy, and Moron, Spain, have been put on alert as a precaution, according to two administration officials.

The U.S. State Department warned Americans to cancel all but essential travel to or within Egypt.

The United States has approved the departure of embassy and consulate employees and their dependents because of the unrest, a senior State Department official said. Nonessential employees and their relatives can get help leaving, if they choose to do so.

Pochter, the Kenyon College student from Maryland killed in Alexandria, wanted to improve his Arabic before returning to college in the United States. "He cared profoundly about the Middle East," his family said.

He was planning a career in the region in hopes of forwarding the peace process.

U.S. Marines told to be ready to go to Egypt

CNN's Slma Shelbayah, Elise Labott and Barbara Starr contributed to this report.

@highlight

NEW: Pro- and anti-President Morsy rallies run late into the night in Egypt

@highlight

NEW: An opposition leader rejects violence targeting Morsy's Muslim Brotherhood

@highlight

NEW: He urges opposition protests to continue: "We will be victorious"

@highlight

Egyptian troops are deployed nationwide to curb unrest, military says