As the drumbeat to roll back the Common Core State Standards gets louder, some people are starting to question the value and purpose of academic standards in the first place. Do states really need to set expectations for what all students should learn? Are state standardized tests necessary? Why not return to an age when Americans simply trusted their children's teachers to craft curricula and appraise student progress?

Good questions, but perhaps more wishful than informed. Teachers should indeed be in charge of classroom instruction, but quality standards are an important piece of a comprehensive effort to boost student achievement. That effort also depends on quality assessments, clear information for parents and teachers to find out whether students have mastered the knowledge and skills they need, and some way to hold schools accountable for meeting the needs of the students they serve.

The move by states to set academic standards -- which broadly define what students should know and be able to do in subjects like reading and math -- arose from the conviction that all children, regardless of race or socioeconomic status, should have an equal opportunity to learn what they need for college and beyond.

Before state standards, schools, districts, and teachers held different students to different expectations. Affluent youngsters, especially if they were also white, were much likelier to get rigorous curricula, advanced courses, college-prep "tracks" and "gifted and talented" classes. Poor and minority students were apt to be placed into low-level courses and into vocational tracks.

More than that, reliable studies show that even the hardest-working teachers with the best of intentions can unconsciously hold students to lower expectations, depending on where those students come from.

For instance, one study published in 2012 by Rutgers psychology professor Kent D. Harber reported what happened when his team gave a poorly written essay to 113 white middle-school and high-school teachers. The teachers were told that the essay was written by a black student, a white student, or a Latino student, and that their feedback would be given directly to the student to help him or her improve.

The result? The teachers provided more praise and less criticism if they thought the student who wrote the essay was black or Hispanic.

To combat these gaps in expectations, states began to develop expectations for student learning, broad guidelines meant to spell out what students should know and be able to do in core subjects at different grade levels.

Today, ample evidence shows this strategy succeeds, so long as rigorous standards are accompanied by tests that measure student learning and accountability for results. When this happens, students do better.

In 2005, for instance, research published by the National Bureau of Economic Research found that state achievement growth as measured by the National Assessment of Educational Progress shows that "accountability systems ... had a clear positive impact on student achievement."

Even more significant, the gains that schools have seen in the standards-and-accountability era have been stronger for disadvantaged youngsters. According to education analyst John Chubb, "student achievement has grown much more rapidly in the last decade ... than during the 1990s, especially for the lowest achieving and most-disadvantaged students in the nation."

Since 2000, "the bottom 10% (of students) had gained far more than the national average ... in math and reading, more than a full grade level in math."

Because standards -- and the tests and accompany them --  do affect what is taught and learned, the quality and rigor of those standards matters enormously. And that is where the Common Core standards are a game-changer.

In math, they focus on the content that matters most and give teachers and their students the time and space they need for deep mastery of the knowledge and skills most needed for college and beyond.

In literacy, the Common Core emphasizes three things that are essential to improving reading comprehension. These are:

Reading and analyzing rigorous texts that are worth reading by placing "equal emphasis on the sophistication of what students read and the skill with which they read."

The critical link between content and comprehension. Once students learn how to decode, reading comprehension is directly linked not just to their fluency with reading skills, but also with their knowledge and vocabulary. The Common Core underscores this connection and calls for curricula that build knowledge over time.

The importance of "close reading." In a world that discourages us from giving careful attention to much of anything, the Common Core stresses reading closely and carefully, focusing on the author's words, and using important, rich texts to build knowledge and deepen comprehension. These are essential not just for college readiness, but for full participation in any society's civic culture.

Standards alone don't do this. Their promise is kept only if the tests are sound and the classroom implementation is meticulous. What's needed to make real progress is to seize opportunities when they emerge. Common Core represents a once-in-a-generation opportunity to dramatically increase the rigor of standards, upgrade the tests and accountability systems, and make make necessary mid-course corrections to curricula, instruction, and standards implementation.

Now is the time to move past politics and give teachers the space they need to make the promise of these expectations a reality for our children.

@highlight

Kathleen Porter-Magee: People ask about value of academic standards like Common Core

@highlight

Porter-Magee: Standards and testing have resulted in big gains in academic achievement

@highlight

She says Common Core is a game-changer in making expectations more rigorous

@highlight

This is a once-in-a-generation opportunity to pull students up to potential, she says