(CNN) -- This week, health care professionals and scientists from around the world met in Vancouver to present the latest cutting-edge research on Alzheimer's disease for the annual Alzheimer's Association International Conference. There was a lot of buzz about new studies, including drug advancements that could be potential treatments in the future. But for the average patient with Alzheimer's, or for their caregivers, it's easy to get lost in the abundance of abstracts and scientific minutia.

The ravages of the disease -- memory loss, mood swings, depression and poor judgment, to name just a few -- not only affect the 5.4 million Americans with Alzheimer's but also the 15 million-plus unpaid men and women who care for them. Symptoms of the disease can manifest themselves differently in each patient, but ultimately most people living with Alzheimer's will end up unable to function independently. They will have to rely on spouses, siblings, children, friends, neighbors or paid professionals for help.

"Alzheimer's disease is really difficult for everybody, and families can really struggle," said Beth Kallmyer, vice president of constituent services at the Alzheimer's Association.

If you're a caregiver for someone with Alzheimer's, how can you use the information from the conference? Here are some takeaway messages:

The power of engagement

Mental and social stimulation are key for someone dealing with an Alzheimer's diagnosis. Experts have known for a while that remaining engaged in hobbies or social activities can fend off feelings of isolation and depression, both of which can further the disease's progression.

One new study presented at the conference takes this knowledge a step further. Led by Dr. Jeffrey Kaye, researchers at Oregon Health & Science University tracked the amount of time 148 patients with mild cognitive impairment and with an average age of 84 spent outside their homes during a period upward of three years from when their activities were initially measured. Mild cognitive impairment increases a person's risk of developing Alzheimer's but does not guarantee someone will get the disease.

Photos: The past and present of Alzheimer's patients

In the abstract, researchers found that participants with mild cognitive impairment "had a greater decline in time out of home over time compared to cognitively intact patients." Put another way, the people who were cognitively impaired eventually spent more time in their homes than the other participants did. More time at home translates to less outside stimulation, and presumably, more isolation and depression.

For caregivers, this means two things. First, it's vital that a loved one's engagement in hobbies, social events, projects or community activities does not wane once he or she is diagnosed with mild cognitive impairment, Alzheimer's or any type of dementia. Second, if a loved one becomes withdrawn or starts to spend less time interacting in ways than he or she used to, it may be a sign of a larger problem.

"This study shows the importance -- from the very beginning of someone's diagnosis -- of staying engaged," Kallmyer said. "It really makes a difference in their cognition and therefore their quality of life."

Resistance training can improve cognition

Exercise is one of the more promising things people at risk of developing dementia, or who have been diagnosed with it, can do to affect their cognition. But research presented at the conference suggests that not all exercise is created equal for maximum benefit in Alzheimer's patients.

Lindsay Nagamatsu of the University of British Columbia and her team conducted a randomized, controlled trial comparing the effects of resistance training, aerobic activity and balance-and-tone training on cognition. Eighty-six women between the ages of 70 and 80 were divided into three groups -- one for each type of exercise -- and they worked out twice a week for six months.

The women who had resistance training showed the greatest improvement on cognitive tests. Plus, the study found that resistance training "led to functional changes in three regions of cortex involved in the encoding and memorization of nonverbal associations."

Aerobic exercise improved the women's balance and mobility and had a greater effect on their cardiovascular health.

"What that translates to for caregivers is that if a person doesn't have an exercise program, this is something to look in to," Kallmyer said.

"Exercise program" can sound daunting, but Kallmyer said that even daily walks can help. It's as much about the physical benefit of exercise as it is about the structure it provides.

"It will make them feel less overwhelmed," Kallmyer said. "If a person gets exercise, we know exercise may help them sleep better. The longer that patients can maintain that ability (to do things for themselves), the better for them, their self-esteem and their caregivers."

Alcohol and dementia don't mix

How alcohol affects the cognition of a person with dementia isn't completely understood, but four new studies presented at the Alzheimer's Association International Conference shed a little more light on their relationship.

One study looked at binge drinking (defined as four or more drinks on one occasion) and followed more than 5,000 people ages 65 and older for eight years.

Dr. Iain Lang of Peninsula College of Medicine and Dentistry at the University of Exeter in the United Kingdom led the study. He and his team found that participants "who reported (binge drinking) once a month were 62% more likely to experience the greatest declines in cognitive function and were 27% more likely to be in the group experiencing the highest amount of memory decline."

Binge drinking twice a month more than doubles cognitive function decline (147%), and memory decline could increase more than fivefold (149%), according to Lang's study.

Rare genetic mutation protects against Alzheimer's disease

Those are alarming numbers since patients with moderate or severe dementia can forget how many drinks they've consumed in a sitting, leading them to binge drink without realizing it.

If you're caring for patients in that position, how do you stop them from drinking too much? Since each one is different, Kallmyer said instead of stopping the patient, caregivers need to reframe this question by thinking, "What can I do to keep this person safe?" For example, ensure the person doesn't wander off or can safely navigate a staircase, or don't let him or her drive.

For patients asking for a glass of alcohol, Kallmyer recommends some distractions to keep them engaged so they forget about the drink for which they're asking. When it comes to medication, she said caregivers should learn about the disease so they can anticipate those situations and eventually take over the job of distributing pills.

Caregivers also need to think about how drugs will interact with alcohol: "Talk to his doctors -- what medications is he on? Can alcohol get in the way? You don't want him intoxicated; he's already impaired."

Kallmyer said one of the first steps to take when someone you love has been diagnosed with Alzheimer's or another type of dementia is "to get educated about the disease. The more people can plan ahead of time, learn ahead of time, the better you can handle situations later."

To help you plan ahead, you can check out a tool from the Alzheimer's Association called the Alzheimer's Navigator.

Caregivers must care for themselves, too

"When you're in a caregiving role, it's hard to think about yourself," Kallmyer said. "It's very, very common for people to say, 'This isn't about me.'

"But if you don't take care of yourself, you won't be around to continue to take care of your spouse, your mom, whoever it may be."

According to the Alzheimer's Association, 15.2 million Americans provide nearly 22 hours of unpaid care per person per week. That's the equivalent of a part-time job.

Sixty-one percent of caregivers say the emotional stress of the job is "high to very high," while 43% say the same about the physical stress.

"They're not getting enough sleep; they're not eating right; they're not getting enough exercise," Kallmyer said.

Kallmyer said it's easy for people to lose touch with their social networks or to lose interest in old hobbies when they're juggling so much. That can lead to isolation, which can be just as dangerous for caregivers as it is for the people for whom they're caring.

The Alzheimer's Association has a 24/7 help line for caregivers with questions. The number is 800-272-3900.

@highlight

There are 15 million-plus unpaid Alzheimer's caregivers in U.S., Alzheimer's Association says

@highlight

Social interaction can help the cognitively impaired fend off isolation, depression

@highlight

Resistance training helps dementia patients maintain cognition, research shows

@highlight

The Alzheimer's Association has a 24/7 help line for caregivers