(CNN) -- American officials are pondering whether to strike ISIS elements in Syria to better contain the group's fearsome power, following its horrific execution of James Foley and the direct threats it has leveled against the United States.

As they consider how best to confront the organization, there is good news: The United States and its friends have scored some successes against ISIS in the past month. The administration provided material support to Iraqi Kurdish Peshmerga and Iraqi special operations forces, and with judicious use of airstrikes enabled them to repel ISIS attacks northwest and northeast of Baghdad.

The Obama administration wisely understood that these military operations are only a short-term fix. The only sustainable solution is a new Iraqi government able to rally a large majority of Iraqis across ethnic and sectarian lines to fight the Islamic State in Syria. Iraqis have come together before to contain such extremists, and they could again.

Iraq's restive Sunni Arab population, furious at former Prime Minister Nuri al-Maliki, backed ISIS in the Spring, but now Sunni Arab tribal figures in Anbar and Kirkuk, as well as some of the leaders from the urban business-political elite in Mosul and Salah ad-Din, have asked the Iraqi central government in Baghdad for help to fight the organization.

Success is not assured, but the picture is brighter than a month ago.

American pressure -- and tying military assistance to concrete progress toward assembling a broad-based national government -- have encouraged the hesitant Iraqis forward. The United States needs to sustain that approach.

But even with progress in Iraq, the United States and its friends cannot contain the Islamic State for long when it has a vast safe zone in Syria into which its fighters can fall back to rest, regroup, and fight again. As we contemplate a response, we should consider whether any of the strategies used recently in Iraq could also be used in Syria.

In Iraq, the United States identified friends willing to fight the Islamic State on the ground. The Iraqi Kurdish Peshmerga were not perfect -- they are not a regular army, their command structure is at times unwieldy, and their political agendas are not always compatible with ours. However, they were clearly able to help blunt the ISIS advance, so cooperating with them was sensible.

Similarly, providing far more help to moderate elements of the Syrian armed opposition makes huge sense. They are motivated and have been locked in combat against ISIS for nine months. Despite fighting an uphill battle against the well-armed regime of Syrian President Bashar al-Assad, heavily backed by Iran and Russia, they have advanced in some regions.

They share the same frustrating imperfections -- such as lack of professional discipline -- as the Peshmerga and the Iraqi military, but if they were better armed and financed, the moderate Syrian fighters could be helpful in repelling ISIS.

They already did so by expelling it from northwest Syria earlier this year and the Damascus area this summer. With stronger cash flows from governments in the West and Gulf, they could also lure Syrians away from ISIS bankrolls.

American airstrikes might be needed in Syria, but that would not be the most important tactic for success, nor would more material aid to the rebels be sufficient to contain the Islamic State over the long term. As in Iraq, there has to be a political angle as well.

Helping a weakened al-Assad regime to consolidate its position in Damascus is not a recipe for sustainable success. The regime can't roll back the Islamic State now -- it is attracting scores of new jihadis every day. Helping al-Assad would multiply the numbers of recruits.

Rather, as in Iraq, Syria needs a new government.

The U.S. had hoped this would be negotiated in Geneva, where an international conference early this year aimed to find a political solution to the Syria conflict, but al-Assad rejected any serious negotiation. His Russian and Iranian allies, estimating that he could survive, and seeing no alternative, made no effort to convince the regime to do otherwise.

Six months later, however, the regime's pillars of support are weaker. There are reports that the regime earlier this month executed three air force pilots who had refused to obey orders. The minority Alawite sect that has backed al-Assad is openly grumbling about heavy losses in an endless war against the moderate rebels and now the ruthless Islamic State. A publicity campaign called "Scream of the Nation" is under way in the Alawite heartland. Its complaint: Assad keeps his throne while our children go to their coffins.

We need moderate armed opposition leaders in Syria to capitalize on this weariness by moving politically, not just militarily. As we boost aid to the moderate armed rebels, we must condition that help on their reaching out to disaffected regime supporters and developing with them a common political stance for a new, negotiated national unity government, with or without al-Assad.

The al-Assad regime won't go to the table easily, and the moderate rebels will need more help -- perhaps even hardware, like more mortars and rockets to hit airfields and bases and further rattle al-Assad's war machine.

Substantially boosting help to the moderate opposition would also compel Russia and Iran to rethink their blank check to al-Assad, especially if there is a better alternative route to contain ISIS.

As it did with Iraqi Prime Minister Nuri al-Maliki, Iran might consider other reasonable alternatives to the current Syrian leadership. Iran won't, however, until it recognizes that al-Assad can't win and can't rally enough support to contain the Islamic State.

One prominent American observer says it is folly to think that we can aid the moderate armed fighters to topple al-Assad. But toppling wasn't our goal before and shouldn't be now. We should aim to help the Syrian opposition inflict enough pain on the regime so that, despite al-Assad, the regime finally agrees to negotiate a new government whose first task will be to fight the Islamic State and eventually expel it from Syria.

In Syria's brutal, three-sided war, the U.S. has no easy options. We have never controlled events there. It is also true that civil wars don't always end in happy settlements. However, our inability to steer perfectly or to guarantee the best outcome can't be an excuse to maintain our current approach.

@highlight

Robert Ford: U.S. mulling strike on ISIS elements in Syria

@highlight

U.S. pressure on Iraq, including to form new government, has bolstered efforts to repel ISIS

@highlight

He says aiding moderate Syria opposition would help them do the same, as al-Assad weakens

@highlight

Ford: Aid should hinge on rebels making new government with shared focus on driving out ISIS