President Barack Obama will nominate Bob McDonald -- a West Point graduate and former CEO of Procter & Gamble -- to head the Department of Veterans Affairs, a White House official told CNN on Sunday.

McDonald would take over a troubled department.

The VA, a massive bureaucracy with more than 300,000 full-time employees, is under fire as it deals with allegations of alarming shortcomings at its medical facilities.

The controversy, as CNN first reported, involves delayed care with potentially fatal consequences in possibly dozens of cases. Eric Shinseki stepped down as head of the department in May after Republicans, Democrats and veterans' advocacy groups joined together in calling for his resignation.

Obama went before reporters to make the announcement after meeting with Shinseki, saying the retired Army general told him "the VA needs new leadership" to address widespread issues.

McDonald's mix of business experience and personal ties to the military and veteran community -- his father also served in World War II -- is unusual for the position but may be just what the White House is looking for.

A statement from the White House touted McDonald's 33 years at P&G and described his as the "perfect person to lead the Department of Veterans Affairs during this important time."

"At P&G, he oversaw more than 120,000 employees, with operations around the world, selling products in more than 180 countries, in more than 2.5 million stores, reaching more than 5 billion customers," the statement reads.

McDonald was also recognized for his leadership, twice named as the best company for leaders by Chief Executive Magazine and being named No. 1 in Hay Group's Best Companies for Leadership Study, which annually analyzes over 2,200 companies around the world.

In the Army, McDonald served as a captain, primarily in the 82nd Airborne Division and received the meritorious service medal. He received a bachelor's degree in engineering from West Point and an MBA from the University of Utah.

McDonald will leave his home in Cincinnati, where P&G is based, to start the complex process of untangling the VA's many problems.

"This is definitely a surprising pick. McDonald is not a name that was on anyone's radar over the last few weeks," Paul Rieckhoff,  Iraq and Afghanistan Veterans of America CEO and founder, said in a statement.

"His branding background may prove helpful, because there are few organizations in America with a worse reputation with its customers than the VA right now.

"He's been away from the military for quite a while and will have to move quickly to show he is committed to and understands the post-9/11 generation of veterans. We look forward to hearing from him soon and working together to support our vets," said Rieckhoff.

It remains to be seen what kind of reception McDonald will receive on Capitol Hill, but members of Congress are adamant that change is needed.

"Bob McDonald is a good man, a veteran, and a strong leader with decades of experience in the private sector.  With those traits, he's the kind of person who is capable of implementing the kind of dramatic systemic change that is badly needed and long overdue at the VA," said House Speaker John Boehner.

Rep. Jeff Miller of Florida, chairman of the House Committee on Veterans' Affairs, said in a statement to CNN that if McDonald is confirmed by the Senate, he would inherit a department "under a specter of corruption that may very well surpass anything in the history of American government."

"He'll need to root out the culture of dishonesty and fraud that has taken hold within the department and is contributing to all of its most pressing challenges. Quite simply, those who created the VA scandal will need to be purged from the system," Miller said.

Sen. Bernie Sanders, the independent from Vermont and chairman of the Senate Veterans' Affairs Committee, echoed those sentiments.

"The VA needs significantly improved transparency and accountability, and it needs an increased number of doctors, nurses and other medical staff so that all eligible veterans get high-quality health care in a timely manner," Sanders said in a statement to CNN.

"I look forward to meeting with Mr. McDonald next week in order to ascertain his views on these important issues."

Since Shinseki's resignation, the White House has deepened its investigation into what went wrong at the agency. On Friday, a White House report said the agency's health care system is in need of complete overhaul because of unresponsive leadership and a "corrosive culture" that affects the delivery of medical care.

The report was prepared by Rob Nabors, who is Obama's deputy chief of staff and who the President dispatched to assess the situation at the troubled agency.

"It is clear that there are significant and chronic systemic failures that must be addressed by the leadership at VA," the reports reads.

"The department must take swift and appropriate accountability actions," the report said. "There must be a recognition of how true accountability works."

'Corrosive culture,' weak leadership cripple VA, report says

@highlight

Bob McDonald is a "surprising pick," says the head of an advocacy group

@highlight

McDonald is a West Point graduate and former CEO of Procter & Gamble

@highlight

The VA  is under fire as it deals with allegations of delayed care at its medical facilities

@highlight

Eric Shinseki stepped down as head of the department in May under bipartisan pressure