(CNN) -- The political culture in Arizona, my home state, is often coarse, racialized and divisive. President Barack Obama's visit there Tuesday gave the world another opportunity to see it. At times it seems as though the most bigoted individuals in America's 48th state save their most raucous and prejudiced behavior for the 44th president.

The Arizona Republic reported that hundreds of dissenters chose to model their insulting and extremist behavior before some of Phoenix's youngest residents. Assembled outside Desert Vista High School, they mocked Obama's race, singing "Bye Bye Black Sheep" in spirited synchronization. One "patriot" went so far as to deprecate our commander in chief by pronouncing him "47 percent Negro," while another, Deanne Bartram, held a sign that read, "Impeach the Half-White Muslim!"

Obama chose Desert Vista, home to some of Phoenix's best and brightest students, to present his ideas for repairing America's ailing mortgage finance apparatus. Some activists assembled to plead with the president to take more aggressive steps to combat climate change, such as renouncing the Keystone XL oil pipeline. Nevertheless, the overwhelming disposition of the angry horde was openly reminiscent of the Jim Crow South.

One of the most disturbing aspects of the anti-Obama protest was the inclination of some participants to fault the president for increased racial tensions. "We have gone back so many years," Judy Burris told the Republic, insisting that Obama's presence and policies have engendered a racist backlash. "He's divided all the races. I hate him for that."

This mind-bending perspective has become one of the leitmotifs of the racialized anti-Obama movement, which laments regressive race relations, but which attributes increased racial tensions in Obama's "disruptive" and "exotic" presence, rather than their own racial stereotypes, hateful rhetoric and divisive behavior. Despite myriad efforts to foster civil dialogue in Arizona, the state has proven to be fertile ground for the kind of chauvinistic crusading that greeted Obama this week.

The idea that Obama has divided the races is farcical. As I wrote in a Republic essay in March, Time magazine announced the selection of Obama as its Person of the 2012 Year (for a second time) because, as Richard Stengel argued in his editorial preface, "We are in the midst of historic cultural and demographic changes, and Obama is both the symbol and in some ways the architect of this new America." Obama deserved credit, he wrote, "for finding and forging a new majority, for turning weakness into opportunity and for seeking, amid great adversity, to create a more perfect union."

However, nearly five years into Obama's presidency, the politics of hope, optimism and racial equality that his campaign and election inspired have bumped into a new political reality marked by economic challenges, political acrimony and disillusionment. The resulting political backlash has triggered rancorous and racially charged clashes.

The rowdy gathering outside Desert Vista underscored the nature of race relations in the Obama age -- evolving but oddly static in some ways -- and the particularly bigoted shades of anti-Obama emotion in Arizona. If the age of Obama prophesied a more progressive, multifaceted and refined dialogue about American race relations, the vision has not been realized. Rather, many Americans, particularly xenophobic cliques such as the ones on display in my state, have recoiled back to a pre-civil rights-era temperament and increasingly overt racist outbursts.

As brazen as those in the Desert Vista crowd were, they are merely the most belligerent and public face of a legion of racist anti-Obama persons. These more discreet individuals are smart enough to cloak their racialized opposition in obstructionist maneuvering and public policy that does more damage to the lives of people of color than prejudiced banter. Still, the Desert Vista protest should give everyone pause and put us on high alert. The racist rhetoric heard there reflects inner beliefs and fears that have tremendous potential to do great harm.

Arizona leaders would be remiss in dismissing it as "fringe." As civil rights activist Pauli Murray once cautioned, "Racism is like a deadly snake coiled and ready to strike, and one only avoids its dangers by never-ending watchfulness."

The opinions expressed in this commentary are solely those of Matthew Whitaker.

@highlight

Matthew C. Whitaker: Obama's appearance at Arizona school brought out racist protesters

@highlight

Report: Sign said, "Impeach the Half-White Muslim!" and some sang "Bye Bye Black Sheep"

@highlight

Protesters blame Obama for race tension, but his detractors promulgate it, Whitaker says

@highlight

Whitaker: Arizona protesters were loud, but such racism is ubiquitous, should worry us all