Port-Au-Prince, Haiti (CNN) -- Protesters angry over the government's handling of a cholera outbreak clashed Monday with peacekeepers in two towns in northern Haiti, where the outbreak began last month.

In Cap Haitien, schools and banks were closed, residents set fire to tires at entrances to the town and gunfire ricocheted through the streets, residents and officials told CNN.

Vincenzo Pugliese, a spokesman for MINUSTAH, the United Nations' stabilization mission in Haiti, said anti-riot police were coping with the demonstrations, which he said began in the morning in at least two locations and had not caused any fatalities among peacekeepers or the population. "Apparently, some people were injured by bottles or stones," he said.

"We are facing the consequences of a cholera epidemic and in two weeks the elections, so the population is scared," he said. "It's a volatile situation."

He pointed to the fact that demonstrations began in separate areas as evidence that the outbreak was not spontaneous.

"Right now, security forces ... seem to have control already of the situation," he said.

In addition, a police station was torched, the U.N. peacekeeping force said.

An employee at the office of Tortug Air told CNN that the four daily flights typically scheduled between Port-au-Prince and Cap Haitien had been canceled due to "political tension." She declined to be named.

"It's not safe to walk in the streets," Marc George, a resident of Cap Haitien, told CNN by telephone. "All the schools and banks are closed. People are fighting the soldiers of MINUSTAH."

The demonstrations began after rumors spread that a Nepalese contingent of peacekeepers may have spread the disease, he said. "So they attack them," he said. "The people were shooting."

But Imogen Wall, a U.N. spokeswoman, denied that its peacekeepers were responsible for the outbreak.

Cyrus Sibert, a journalist with Radio Souvenir FM, said he was aware of six injuries, one of them a child who was fatally shot.

"Many people from the slum area, they are burning tires, throwing rocks and bottles," he said. "And they are very mad against MINUSTAH. And there are rumors that MINUSTAH is responsible for the cholera. And the cholera killed many people in Cap Haitien. Now taxi drivers are afraid to bring people to the hospital. It is very difficult to find a taxi driver when someone is sick."

He said trash trucks were picking up the dead.

In the town of Hinche, northeast of the capital, about 400 demonstrators protested the peacekeepers, six of whom were injured, Pugliese said.

Radio RCI reporter Jean Wesley said protesters threw rocks at MINUSTAH peacekeepers who, in turn, threw them back and also opened fire, wounding a protester.

Haitian police were patrolling the town looking for the rock throwers among the protesters, some of whom had set tires afire, he said.

The cholera outbreak, which was first confirmed last month in northwest Haiti, had spread across much of the country by Monday, killing close to 1,000 people and entering the makeshift camps teeming with people who were made homeless in January's massive earthquake, officials said.

In all, 917 people were dead and 14,642 hospitalized as of Friday, the Ministry of Public Health said on its website. In the capital alone, 27 were dead and more than 600 hospitalized, officials said.

"It's a really worrying situation for us at the moment," said Stefano Zannini, head of mission for Medecins Sans Frontieres in Haiti, over the weekend. "All of the hospitals in Port-au-Prince are overflowing with patients and we're seeing seven times the total amount of cases we had three days ago."

In the slum of Cite Soleil in the northern part of the capital, hundreds of people had sought treatment for the illness, he said. "Patients are coming from everywhere, throughout the city, slums and wealthier areas."

If the numbers continue to increase at the current rate, he said, "then we're going to have to adopt some drastic measures to be able to treat people. We're going to have to use public spaces and even streets. I can easily see this situation deteriorating to the point where patients are lying in the street, waiting for treatment. At the moment, we just don't have that many options."

Zannini noted that the situation in Port-au-Prince has been dire since the January 12 earthquake hammered what was already the poorest country in the Western Hemisphere, killing more than 200,000 people and shattering its already weak infrastructure.

"Since the earthquake, every available space that wasn't damaged has been filled by camps where people are living in extremely precarious conditions," he said. "Just to find an empty area in this city is a major logistical challenge, so for us to find room to treat people is very complicated."

The group, known in English as Doctors Without Borders, has more than 100 international staff and more than 400 Haitian staff working in cholera treatment centers throughout the country, with more on the way, "but it's just not enough," he said. "We are close to being overwhelmed."

A scientist with the U.S.-based Centers for Disease Control and Prevention said he had been in several hospitals "that I would not characterize as overflowing ... but some places are busier than others."

Still, Haiti is particularly vulnerable to such an outbreak, said Dr. Robert Quick, a medical epidemiologist with the CDC's waterborne-disease prevention branch and one of 34 CDC personnel in the country.

"It's a country that has not seen epidemic cholera for decades," he told CNN in a telephone interview. "So it's an immunologically naive population, meaning that literally everyone is susceptible to infection. It's a resource-poor country where hygiene and sanitary conditions are not what they could be, so this is a combination that can result in what we're seeing now -- an outbreak with many cases."

The CDC workers were providing technical assistance, data and training to Haitian health care workers, he said.

There is some reason for optimism, said Dr. Alex Lassedue of Project Medishare, in Port-au-Prince. "Cholera is easy to treat; it's easy to prevent," he said. "There is a great possibility to contain the number of cases."

The government was undertaking one such effort -- a public awareness campaign that uses cartoons to underscore in a graphic way that residents should wash their hands after using the bathroom to prevent cholera's spread.

Such education could prove key, because this is the first such outbreak in living memory in Haiti, so public knowledge about the disease and how to avoid it is scant. "This means there are a lot of misconceptions and rumors flying around, which has caused panic in the population," Zannini said. "Some people are staying away from the cholera treatment centers or are afraid to have them in their neighborhoods because they think they help spread the disease. We've been trying to explain that the opposite is true: The closer a center is to a population, the better."

Though the disease can kill, it can also be treated successfully -- usually within two days, he noted. Anyone entering or leaving a cholera treatment center is sprayed with chlorine to prevent the further spread of the bacteria.

But completion of treatment does not necessarily mean the end of concern. Many of those treated wind up going back to the camps, which shelter 1.4 million people in and near Port-au-Prince. There, hygiene, sanitation and clean water are hard to come by -- conditions that are conducive to further spread of the illness.

If Haiti's cholera epidemic follows a pattern similar to that of the last cholera epidemic in the Americas, it could produce hundreds of thousands of additional cases over the next several years, Dr. Jon K. Andrus, deputy director of the Pan American Health Organization, told reporters last week.

"We have to prepare for a large upsurge in cases," Andrus said. "We have to be prepared with all the resources that are needed for a rapid response."

The hemisphere's last cholera epidemic began in Peru in 1991 and spread to some 16 other countries, from Argentina to Canada, he said. From 1991 to 1997, Peru alone saw more than 650,000 cases.

A similar pattern in Haiti could produce some 270,000 cases, which means public health officials likely face long-term challenges in Haiti. "The bacteria have a foothold in the rivers and the water system, so it will be there for a number of years," he said.

Still, he said, the cholera epidemic need not interfere with the Haitian general elections scheduled for November 28. "There is no reason to expect the elections to have a negative impact on the cholera epidemic," said Andrus. "And in fact, the Ministry of Health is planning to use the occasion to disseminate prevention messages to the population. It will help prevent the spread of infection."

The United Nations, which has appealed to international donors for $164 million in aid, said it anticipates as many as 200,000 people to be sickened with cholera over the next six to 12 months.

A PAHO spokeswoman acknowledged that such estimates are "guesses."

Symptoms of cholera, an acute, bacterial illness caused by drinking tainted water, can be mild or even nonexistent. But sometimes they can be severe: leg cramps, profuse watery diarrhea and vomiting, which can cause rapid loss of body fluids and lead to dehydration, shock and death.

Such an outbreak would be unlikely to occur in a developed country like the United States because it has water-treatment facilities and sewage systems, according to the CDC's Quick. "We may get imported cases, but they're not going to take hold and turn into an outbreak. It's just not as likely," he said.

CNN's Ivan Watson contributed to this story from Port-au-Prince.

@highlight

Unrest spreads to second town in north

@highlight

Flights canceled to Cap Haitien

@highlight

Gunfire ricochets in streets, protesters clash with peacekeepers

@highlight

"The population is scared. ... It's a volatile situation," says U.N. official