The Michigan High School Athletic Association on Thursday approved a waiver provision that gives a student athlete with Down syndrome a chance to continue participating in sports despite being 19 years old.

Under the new provision, Eric Dompierre, who will be a senior in the fall, could be approved to play as early as August if the Ishpeming School District formally seeks a waiver for him, said John Johnson, spokesman for the athletic association.

"I just want to say thank you for everybody to support me through all of this," the rising senior told CNN affiliate WLUC, a smile spread across his face.

Eric's father, Dean Dompierre, told CNN that he hopes other states will follow Michigan's lead in offering an exception to sports age limits for students with disabilities.

"I feel relieved," Dean Dompierre told CNN in a telephone interview Thursday afternoon. "It's been two and a half years. We've been petitioning and working with the association."

He said he's looking forward to "just watching Eric run down onto the field in the first football game this fall. If he can contribute to the team, even better. The same goes for basketball season."

"The hardest part has been the stress of not knowing whether or not it's going to be Eric's last season," he added.

He said he is "almost positive" that his son will be granted a waiver in August.

"It was just a matter of keeping the faith and believing in what you're doing," Dean Dompierre told WLUC. "I think things are meant to happen, and this was just meant to happen. That's all we wanted -- was just a shot at letting the schools actually decide for themselves as to how they want to run their sports programs, and this was how they want their sports programs run."

"He's doing it because he loves me, because he just wants to watch me play sports in my last year," Eric Dompierre said.

The student's underdog quest to keep playing sports in Michigan's Upper Peninsula garnered widespread attention because he has shown flashes of athletic prowess despite his Down syndrome, such as when he hit a three-point shot in the basketball playoffs to help his team maintain a comfortable lead.

In football, he also kicked an extra point near the end of a game a couple of years ago.

However, the athletic association's executive committee must first set up a waiver process, which is scheduled to be finalized in June, Johnson said. Once the process is established, Ishpeming High School can apply for the waiver for Dompierre in August, Johnson said.

Without the waiver, Dompierre wouldn't be able to play sports next school year, he said.

"We fully expect Ishpeming High School will apply for a waiver," Johnson told CNN.

The waiver provision is an amendment to the association's constitution. It allows student athletes who turn 19 before September to play sports under "narrowly defined" circumstances.

Approval required a two-thirds majority of votes cast, and 94% of the 701 senior and junior high schools and middle schools that cast legal ballots approved the change, the association said. There are 1,535 schools in the association.

Under the new waiver rule, a student "must have a defined disability documented to diminish both physical and either intellectual or emotional capabilities, does not create a health or safety risk to participants, and does not create a competitive advantage for the team. The burden of proof rests with the school seeking the waiver," the association said in a statement.

Said John E. "Jack" Roberts, the association's executive director, in a statement: "Our challenge now is to demonstrate to the negative voters and to those many schools which didn't cast a vote at all, that this is a narrow gate that preserves the integrity of the program as effectively as the previous rule that was so well understood and respected."

The age restriction is intended to prevent the possibility of injury or competitive advantage from an older, more developed athlete playing against younger students.

Dompierre turned 19 in January. He was held back in kindergarten because of his disability.

The athletic association did not mention Dompierre by name, but it had recently released a statement that appeared intended to deflect criticism over the way it has handled the question of his participation.

An online petition on Change.org that was started on March 24 now has more than 80,000 signatures. Yooper Shirts, a T-shirt store in Ishpeming, is selling shirts that say "let 'em play."

The basement in the Dompierre home was transformed into a mini gym and is what the student refers to as his "man-cave." It contains a weight room, a net for him to practice kicking field goals, and a basketball hoop.

Dompierre has played sports with other children in Ishpeming since he was in elementary school.

"We didn't know how far he'd go, how many coaches would keep him on the team," Dean Dompierre said earlier this month.

When he got to high school, Eric Dompierre was invited to keep playing. As a junior, he was on the school football and basketball teams. He attended every practice, worked out with the other players and sometimes played a few minutes at the end of a game.

During this season's basketball playoffs, Dompierre brought the house down. With the team maintaining a nice lead over rival Negaunee High School, the coach put Dompierre in the game and he hit a three-point shot.

"I was on the left side behind the three-point line and they passed me the ball," Dompierre said, smiling as he recounted the game in a recent interview. "I heard the fans, including my mom crying."

Dompierre's father was in the stands with his camera and captured the reaction.

"I videotaped the crowd on the other side and it was made up of mostly Negaunee fans, including their student section, and they were all on their feet cheering for Eric."

Dompierre got a similar reaction two years ago when he kicked his first extra point for the football team toward the end of a game.

"I was amazed that he even had the opportunity to kick, and then when he did it, I thought woo-hoo! And then watching the kids react, they carried him off the field; it was just one of the best moments," Eric's mother, Jill Dompierre, recalled.

For the past two years, the Dompierres, with the support of the Ishpeming School District, have tried to get the rule changed so Dompierre could play during his senior year.

"The rule is 100 years old," said Dean Dompierre. "We've come a long way in those 100 years in this country in the way that we involve and include people with disabilities. And I think it's time that the rule catches up with that."

@highlight

The Michigan High School Athletic Association OKs a waiver provision

@highlight

The waiver allows 19-year-olds to play sports under narrow circumstances

@highlight

Eric Dompierre, 19, who has Down syndrome, can now seek a waiver to play ball next fall

@highlight

Only 701 of the association's 1,535 schools participated in the waiver vote, but 94% OK it