A massive cleanup effort was underway early Sunday at an Istanbul park where hours earlier Turkish riot police cleared protesters camped out in what has become ground zero in anti-government demonstrations targeting the policies of Prime Minister Recep Tayyip Erdogan.

At least 29 people were injured in clashes Saturday as police sealed off Taksim Square and took Gezi Park, Istanbul Gov. Huseyin Avni Mutlu said in remarks carried on Turkish television stations.

Police pushed protesters onto side streets, where on one street many -- with their faces covered with masks because of tear gas and smoke -- appeared to reorganize.

Chanting "long live Taksim solidarity," the demonstrators began moving back toward the square and park. In turn, authorities fired tear gas and a water cannon down the street to try to disperse them.

The move came after police warned demonstrators who have occupied Istanbul's last remaining green space for more than two weeks to depart voluntarily or face being ejected.

By early Sunday morning, most protesters had dispersed and the cleanup was underway, according to CNN's Arwa Damon, who was reporting in the area.

Calls for political reforms

The protest that began over Erdogan's plan to turn the park into a mall quickly devolved into large anti-government demonstrations that have seen calls for political reforms.

What's driving unrest and protests in Turkey?

Erdogan, who has been defiant of protest demands, said earlier in the day at a rally with supporters in Ankara that if protesters did not leave on their own, they would be forced out of Gezi Park.

"If it is not emptied, from now on, this country's security forces will know how to empty that place," he said.

A few minutes later, police used loudspeakers to order the protesters out of the park, saying it was their last warning.

But the demonstration continued as the sun began to set, with hundreds of people packing the square, some of them wearing gas masks, others linking arms in solidarity and anticipation.

During his speech, Erdogan said the demonstrators were not meeting him halfway.

"We have reached out with our hands," he said. "However, some people returned their fists in response. Can you shake hands with those who reach out with a fist?"

And he ridiculed the protesters' assertions that they are environmentalists, calling them "thugs" instead, and citing their honking of horns as evidence of their insincerity. "This is called noise pollution," he said.

A dozen of his Justice and Development AK Party buildings have been damaged and burned, he said, accusing "outsiders" of staging the demonstrations.

He accused demonstrators of inciting sectarian violence by attacking a woman who was wearing a headscarf, kicking her, dragging her on the ground and snatching away her head cover. He accused some demonstrators of having entered a mosque while wearing shoes, drunk alcohol there and written insulting slogans on the walls -- acts forbidden by Muslims -- but said authorities had been patient.

Erdogan said the courts will handle such incidents.

Letters from Turkey, with pride

He said he did not understand the concerns about the park, since no contracts have been signed and no construction has begun. "There is nothing yet to protest," he said.

'Every kind of hypocrisy'

Erdogan accused social media for spreading misinformation, the national media of lying and the international media of displaying "every kind of hypocrisy" in its reporting, but he expressed gratitude for the crowd's support.

He praised his government's performance over the past 10 years, citing a rising standard of living, a stock market that has broken records, a quintupling of the central bank's reserves, plans to build the world's biggest airport and the construction of a third bridge scheduled to begin carrying traffic in four lanes in either direction over the Bosporus in 2015.

Erdogan said maintaining the park as a green space was not the real goal of most of the demonstrators, four of whom have been arrested.

"What is the issue then?" he asked. "It is to take down the AK Party government."

Except for a few who are genuinely concerned about the environment, the demonstrators are upset about Turkey's growing strength, he said, adding that more than 600 of his police had been wounded in the clashes.

"No one can scare us off," he said.

Erdogan delivered his message to a supportive crowd, amid a carnival atmosphere and heavy police security. During his comments, some of his supporters waved the red-and-white Turkish flag as well as the orange, white and blue flag of Erdogan's AK Party.

The festive mood contrasted sharply with the scene here overnight, when Turkish riot police sprayed rowdy anti-government demonstrators with water cannon and fired tear gas at them, arresting nearly a dozen people in the third consecutive night of clashes in the capital.

Erdogan vs. protesters

The unrest began nearly 500 kilometers (311 miles) away, in Istanbul, nearly three weeks ago, when a small group of people turned out to protest government plans to bulldoze the city's Gezi Park and to replace it with a shopping mall housed inside a replica of a 19th-century Ottoman barracks.

Protesters said the plans represented a creeping infringement on their rights in a secular society.

Turkey was founded after secularists in the early 20th century defeated Islamic Ottoman forces, and many modern-day secularists frown on Ottoman symbols.

The protests broadened into an outpouring in the square and throughout the country as security forces cracked down on demonstrators. The images, seen worldwide on social media and TV, sparked criticism around the world as well as in Turkey, a NATO member and a U.S. ally.

The unrest also signaled political danger for Erdogan, a populist and democratically elected politician serving his third term in office.

Erdogan has been criticized -- even by his allies -- for using heavy-handed tactics in his governance and for trying to impose changes without first seeking public input. The park plan represented the final straw for many Turks, who accuse the government of trying to impose its will whenever and wherever it wants.

On Friday, Erdogan met with protesters in Ankara and then said he would suspend plans to build the mall in Istanbul pending a court decision on the protesters' objections to its construction.

If the judicial ruling is not in line with what Gezi protesters want, a popular vote will be held.

Erdogan also agreed to investigate claims of excessive use of force by police during the protests, some of which have turned violent.

Tayfun Kahraman, a city planner speaking on behalf of the Taksim Solidarity protest movement, thanked Erdogan and his ministers for accepting their demands for a meeting.

"We will closely follow his promises and the process. Unfortunately, four people died in the incidents. We still feel the pain of their death."

Despite conciliatory statements from both sides, protesters defied the pleas of their prime minister and remained encamped Saturday in the park where the demonstrations started 19 days ago.

Opinion: Past and future collide in Turkey clashes

@highlight

A massive cleanup is underway, CNN's Arwa Damon says

@highlight

Police are using tear gas and water cannons to disperse demonstrators

@highlight

Istanbul's governor says 29 people have been injured

@highlight

"Can you shake hands with those who reach out with a fist?" Erdogan asks