Africa has indeed turned the corner. A continent once synonymous with death, disease and destruction is showing signs of improvement.

Virtually unscathed by the global financial slowdown, the African continent boasts some of the fastest growing economies in the world. Nigeria, Ghana and Tanzania are some of the countries leading the way in this exclusive economic growth club. With a combined population size of 1 billion, 70% under the age of 30 and an annual spend of $600 billion, the African continent is an attractive business proposition for any investor.

It comes as no surprise then that the U.S. is making huge strides to accommodate Africans. Hosting one of the largest gatherings of African Leaders in Washington, the U.S. is showing the world -- and sending a signal to its closest rival, China -- that it can and will have African influence, which it can convert into commercial opportunities that can translate to receipts.

Chinese dominance

The acceleration of China across Africa has been breathtaking. A long standing business relationship with the continent has translated to huge trade volumes in excess of $200 billion in 2013, doubling what the U.S. achieved in that same year.

Read this: Twitter reacts to U.S.-African Leaders Summit

Taking the world by surprise, a liberalized African continent voted with its feet changing suppliers -- re-affirming China's dominance, with the U.S. fast closing the gap; the Washington conference is confirmation of President Obama's new ambition in making up lost ground.

Challenges

Security challenges facing the African continent are huge. Africa is by no means a picnic. The U.S. government will have to put security at the top of it agenda as American businesses expand operation across the African continent.

Instability in Libya, Central African Republic and extremist Islamic groups can be a constant threat. Doing business in Africa will have its hazards; the business environment can be harsh and unforgiving. Yet, despite these challenges, exceptional growth figures in Nigeria prove that despite repeated and sustained attacks by militant group Boko Haram, Nigeria is still considered a thriving hub for businesses worldwide.

This week the presidents of Liberia and Sierra Leone canceled their planned trip to the summit amid the spread of Ebola virus. Good and affordable health care is a major concern for many Africans. As the Ebola virus spreads across West Africa, many Africans are relying on the U.S. to support failing and fragile health care structures in the areas of financing, technology and science as a bridge to halting the spread of this deadly virus.

Bright future

Today, the African continent boasts the second fastest growing region in the world, an average growth rate of 5% and a large youthful work force. Job creation is still Africa's biggest challenge -- there are too many people living in poverty earning less than a dollar a day.

If President Obama can create real tangible jobs, then the U.S. can start to claw back China's grip on the African continent -- whoever builds Africa's infrastructure, provide cheap products for African markets and loans to support government initiatives will have influence over African affairs.

If the U.S. pushes for better African governance, enforcement will be difficult. The usual carrot and stick approach will not be effective. If the U.S calls for trade opportunities to be linked to better, open and transparent democracies then it will be possible for U.S. businesses to make the commercial advances on the African continent.

African leaders are very savvy and have a healthy understanding of geopolitics. They will leverage on multiple investors competing for African influence. African governments, unilaterally or as a block, will not hesitate to change suppliers and investors.

The Chinese business model is seen by many Africans as hassle free. The Chinese relationship with African governments is one of mutual respect, not intrusive and with a minimal involvement in domestic politics. The Chinese model is still an attractive proposition for many African leaders. Hence, President Obama will have to tread carefully and not rock the African boat too hard.

To his critics, President Obama has been accused of neglecting the African continent. But by hosting this African Leaders Summit, the U.S. President is starting to rediscover Africa. And with commitments of $33 billion in private and public assistance, President Obama is already winning the hearts and minds of a billion Africans.

Read this: Twitter reacts to U.S.-African Leaders Summit

More from African Voices

@highlight

Africa Summit has confirmed U.S. ambition to make up lost ground in the continent

@highlight

It comes after a decade of breathtaking Chinese acceleration across Africa

@highlight

The continent holds big promise but unemployment, security and health scares are still challenges

@highlight

Job creation is key for the U.S. to claw back China's grip on the African continent