(CNN) -- Research presented at a just-concluded breast cancer symposium will help doctors understand how to use existing drugs better when certain drugs don't work, and how chemotherapy may not be to blame for so-called "chemo brain."

Breast cancer doctors and researchers from around the world gathered at the San Antonio Breast Cancer Symposium in San Antonio, Texas, last week to learn about the latest developments in treating the disease.

Here are some of those latest developments:

1. 'Chemo brain' starts before chemo

It's been known for a long time that when women undergo breast cancer treatment, they can have trouble remembering regular tasks and jobs. Chemotherapy, or so-called "chemo brain," has often been blamed. There's still no good explanation for why this happens or how to treat it.

Doctors are concerned about this because patients' concerns over "chemo brain" may result in a reluctance to accept life-saving therapy, said Bernadine Cimprich, an associate professor emerita at the University of Michigan School of Nursing in Ann Arbor, who presented a new study at SABCS.

Using an MRI, her team tested patient's brain function while performing a working memory task in the scanner. This was done before any chemotherapy started and a month after treatment was completed.

The study involved a total of 97 participants: 28 patients receiving chemotherapy, 37 patients who got radiation therapy and 32 healthy women.

Breast cancer awareness: Not so pretty pink

The results showed that women who were scheduled to undergo chemotherapy had the lowest activation of the part of the brain that is critical for the effective performance of a working memory task: The left inferior frontal gyrus.

Women who were not able or less able to activate the frontal brain region suffered greater fatigue over time, regardless of treatment, Cimprich said. Also, women expecting chemotherapy were more worried and more fatigued than the other groups, including the radiation group.

Cimprich believes there's a need for increased awareness that cognitive problems can begin before a woman starts chemotherapy after her tumor is removed, including letting women know that as they wait for chemotherapy to start, they are more vulnerable to cognitive problems related to worry and fatigue.

She said "chemo brain" may not be an appropriate label for cancer-related cognitive dysfunction because there are likely other sources that contribute to the problem or produce problems that wouldn't exist otherwise.

2. Twice as long is better with the drug tamoxifen

When breast cancer patients take the hormone-blocking drug tamoxifen for 10 years instead of five, they can significantly reduce their chances of the cancer coming back or of dying from it, according to new data from an ongoing clinical trial called ATLAS or Adjuvant Tamoxifen -- Longer Against Shorter.

About a decade ago, the National Cancer Institute recommended premenopausal women with a type of cancer that is fueled by estrogen (called estrogen-positive breast cancer) should only take tamoxifen for five years after they've had tumors surgically removed.

The argument was that there wasn't sufficient data to justify it taking longer, according to Dr. Peter Ravdin, director of the breast cancer program at the University of Texas Health Science Center at San Antonio. While tamoxifen has been known to have a residual effect of another five years after a patient stops taking it, "about one-third of relapse in estrogen-positive patients occur after five years," Ravdin said.

Researchers from England, however, report that after taking tamoxifen for 10 years, the risk of a woman's cancer coming back was reduced by 30% and the risk of dying from the cancer was reduced by nearly half.

These aren't the final results of the ATLAS trial, which is a huge clinical trial. Nearly 13,000 women were enrolled between 1996 and 2005, and researchers presented eight-year follow-up data from about 7,000 of them at SABC.

There are side effects from taking this drug, including an elevated risk of endometrial cancer. But the risks are far smaller than the benefits, say researchers. Tamoxifen has been around long enough that a generic version is available and costs about $100 per month.

Once the final results of ATLAS are in and it's compared to other similar studies, the standard of care for these patients will probably change from five to 10 years, according to the editorial accompanying the study in The Lancet.

CDC: Breast cancer more deadly in black women

3. Twice as much is better with the drug fulvestrant

Doubling the dose of a drug called fulvestrant improved survival in postmenopausal women who have estrogen-receptor positive breast cancer that has either spread in or outside the breast, according to one study.

Fulvestrant works by blocking the action of estrogen on cancer cells, according to the National Institutes of Health.

It was approved at a 250 mg dose, Ravdin said. But Italian researchers found a dose of 500 mg led to four months more of survival without the cancer getting worse and a 19% reduction in the risk of death, according to Dr. Angelo Di Leo, who heads the department of medical oncology at the Hospital of Prato, Istituto Toscano Tumori in Prato, Italy.

4. Twice as long is not better with the drug Herceptin

Women who are diagnosed with early stage Her2 positive breast cancer, another type of breast cancer, will be put on a drug called Herceptin, an artificial antibody which binds to the cancer cell and kills it.

Giving Herceptin for a longer duration did not improve "disease-free or overall survival" over one year of treatment, research shows, said Dr. Martine J. Piccart, chief of the medicine department at the Jules Bordet Institute in Brussels, Belgium, president of the European Society for Medical Oncology and chair of the Breast International Group.

Piccart said this very large trial conducted in many countries (not in the United States) confirms that the current regimen is still the best.

Study questions benefit of yearly mammograms

5. Avastin isn't indicated for breast cancer

Researchers were hoping that combining the cancer Avastin for one year with regular chemotherapy would help women with triple-negative breast cancer. This type of cancer, is very aggressive and has few effective treatment options.

According to new data presented at SABC, adding Avastin (which stops the growth of blood vessels that help tumors grow) did not improve a patient's survival.

Sadly, researchers have nothing extra to add to standard chemotherapy for early, triple-negative breast cancer, said Dr. David Cameron, professor of oncology at Edinburgh University in Scotland, who presented the data at the conference.

Just over a year ago, the FDA withdrew its approval for Avastin for treating breast cancer patients because a review of various studies showed Avastin was not shown to be safe and effective for that use in this type of cancer.

Avastin is still approved for treating certain types of colon, lung, kidney and brain cancer (glioblastoma multiforme).

@highlight

Research shows improved outcomes with some drugs at higher doses or for a longer time

@highlight

One drug, Avastin, fails to show promise as treatment for triple-negative breast cancer

@highlight

"Chemo brain" actually begins before chemotherapy does, according to one study