(CNN) -- President Barack Obama cares, the White House insisted Tuesday in asking Congress for $3.7 billion in emergency funds to better respond to the flood of immigrants illegally crossing the border into Texas.

No he doesn't, say Republicans who note Obama doesn't plan to visit the border area when he travels to Texas -- the epicenter of the immigrant influx -- on Wednesday for a trip that includes a meeting with Gov. Rick Perry.

Amid the political sniping, many of the tens of thousands of young Hispanic immigrants who have illegally crossed the border into Texas this year remain in limbo while waiting to be processed and possibly sent back to their home countries.

The surge of undocumented youths from Central America has overwhelmed federal facilities and revived the debate over an immigration policy overhaul, one of the most partisan issues in the already overheated political climate of an election year.

U.S. authorities estimate that between 60,000 to 80,000 children without parents will cross the border this year in what the White House is calling an "immediate humanitarian crisis."

Obama administration officials blame the immigrant influx on dire conditions in countries such as Guatemala, Honduras and El Salvador that cause people to send their children on dangerous journeys to the United States with smugglers who falsely promise the kids won't get deported.

Critics, however, say the administration invited the problem by halting deportations of some young immigrants who came to the country illegally in past years.

Funding request

Obama's emergency funding request is just over 10% of the $30 billion in proposed border security funding included in the Senate-passed immigration reform bill that House Republican leaders have stalled.

A breakdown of the request, which requires approval from the deeply divided Congress, shows a broad approach by the administration to a problem that the critics say should have been anticipated.

It seeks $1.6 billion for the Department of Homeland Security and the Department of Justice to bolster customs and border efforts as well as cracking down on smugglers, and $300 million for the State Department to help Mexico and Central American governments counter what officials called "misinformation" by smugglers about what immigrants will face on the journey to the U.S. border and once they arrive.

A main goal is to speed up the processing of arriving young immigrants to send back those who lack legal status. For most, the likely outcome will be a return home, White House officials told reporters on a conference call.

Obama's funding request also seeks $1.8 billion for the Department of Health and Human Services to provide appropriate care for unaccompanied children crossing the border.

The officials said that money would allow the government to meet its legal and moral obligations for such youngsters now being crammed in overcrowded facilities in several states while awaiting processing.

On Tuesday, the Pentagon said it was processing requests from HHS to house more minors and Defense Department spokesman Rear Adm. John Kirby said the matter was still under discussion. But U.S. officials told CNN's Barbara Starr the requests cover about 5,000 new beds at military facilities. There currently is space for about 3,600 children.

The current arrangement is to use military facilities for up to 120 days. Kirby wouldn't speculate whether the time frame would be extended, although he said it's something that would be discussed.

"Urgent situation"

In addition, the emergency funding request for the rest of fiscal year 2014, which ends on September 30, seeks an additional $615 million to ensure necessary money to fight wildfires -- an issue separate from the immigration matter.

White House spokesman Josh Earnest said the "urgent situation" that the emergency appropriation request would address should usurp any talk of making budget cuts elsewhere to offset the cost.

"With an emergency request like this, traditionally Congress has not sought to bog down that process in a search for offsets," he told reporters on Tuesday.

The administration also will seek more leeway under existing law to speed up the processing of the undocumented newcomers who are overcrowding holding facilities and sparking protests in communities intended as temporary destinations.

In particular, it wants Congress to make it easier for the Department of Homeland Security to deport new immigrants who lack legal standing to remain in the country, which would ease a growing backlog of cases resulting from the influx, Earnest said.

"What we are seeing along the Southwest border is a spike in illegal migration from a handful of Central American countries," he added. "And what we would like is for the secretary of homeland security to exercise some greater discretion after the due process rights of those individuals has been acknowledged and respected."

Partisan divide

It was unclear how much cooperation Obama would get from congressional Republicans. A spokesman for House Speaker John Boehner said the request would be considered, but noted it lacked a component sought by the Republican leader.

"The speaker still supports deploying the National Guard to provide humanitarian support in the affected areas - which this proposal does not address," said Michael Steel.

On the Senate side, Republicans argued for changing a 2008 law signed by GOP President George W. Bush that requires deportation hearings before sending back children from non-bordering countries.

They blame the process for a backlog created by the surge in unaccompanied minors from Central America entering the United States illegally from Mexico.

"I don't think we can solve the problem unless we revisit" the law, said conservative Republican Sen. John Cornyn of Texas.

Democrats, however, want to keep the law intact to ensure that any children who deserve asylum get due process in the form of a full hearing.

"I'm not inclined to support any policy change that ultimately undermines existing law and would violate the right of someone who is actually a legitimate refugee," said Sen. Robert Menendez of New Jersey, a Democrat of Cuban descent who chairs the Senate Foreign Relations Committee. "Each child should be able to make their case as to why they qualify. Many will be sent back but others will qualify."

No border visit

Obama has come under criticism from Republicans and some Democrats for not planning to visit the border area during his Texas trip, which will include a Democratic Party fundraising event.

Former Arkansas Gov. Mike Huckabee, a possible GOP presidential nominee in 2016, called the situation similar to the much-disparaged federal response to Hurricane Katrina by the Bush administration.

"For him to go to Texas and spend two days shaking down donors and never even getting near the border mess he helped create would be like flying into New Orleans in the highest waters of Katrina to eat Creole cooking, but never getting near the 9th Ward, the Superdome, or the Convention Center where thousands languished in squalor," Huckabee said.

Meanwhile, Democratic Rep. Henry Cuellar of Texas questioned if the border problem would harm the President in the same way the Katrina response tarnished his predecessor, telling Fox News: "I hope this does not become Obama's 'Katrina moment.'"

The White House officials on Tuesday's conference call repeatedly emphasized that Obama regarded the immigration crisis as "an urgent humanitarian situation."

Political squabble

Obama's trip to Texas set off a political squabble, with Perry refusing to greet the President at the airport and instead calling for a meeting to discuss the immigration crisis.

In response, Obama invited Perry to a meeting in Dallas with faith leaders and local officials, according to a letter written by senior adviser Valerie Jarrett.

Perry, who is seeking to re-establish his national credentials after a disastrous bid for the GOP presidential nomination in 2012, said Tuesday he looked forward to meeting with Obama.

Previously, Perry has said he "readily" welcomes any federal emergency funds, but also has asked that Texas be reimbursed for more than $500 million the state has spent on border security over the past decade.

Secretary of Homeland Security Jeh Johnson said Sunday the administration will take steps to fix the nation's broken immigration system, even without the help of Congress.

That's the same message Obama has given in response to the refusal by House Republicans to take up a Senate-passed immigration reform bill.

5 things you need to know about the immigration crisis

What Obama can and can't do on immigration

CNN's Greg Clary, Deirdre Walsh, Ted Barrett and Mariano Castillo contributed to this report, which was written by Tom Cohen in Washington.

@highlight

NEW: To no one's surprise, Congress is divided on how to proceed

@highlight

President Obama travels to Texas on Wednesday

@highlight

Gov. Perry will meet with Obama, wants him to visit the border

@highlight

NEW: CNN reports about 5,000 new beds sought to temporarily house immigrant children