New York (CNN) -- New York Police Department officials say they can't explain why a fearful woman's domestic-abuse report -- written in the woman's native language of Spanish -- was never translated into English for review, and for possible action.

The woman and her two daughters subsequently were stabbed to death. The woman's husband, arrested as he tried to flee to Mexico, now faces charges of first-degree murder.

And a group that has a lawsuit pending against the city on behalf of six other Latina women says the case of Deisy Garcia and her young daughters is far from unique in New York.

The paper trail that ends with the January deaths of Garcia and daughters Daniela, 2, and Yoselin, 1, stretches back to last May.

On May 30, Garcia filed a police report saying she feared her husband would kill her and their two daughters. Garcia spoke Spanish, and it was in Spanish that she filed the report. According to the NYPD, that report was never translated into English for further review.

On January 18, according to authorities, Garcia and her daughters were stabbed to death in their Queens apartment, allegedly by Garcia's ex-husband and the girls' father, Miguel Mejia-Ramos.

Police say officers at the murder scene filed their own report, but the department has no explanation for what happened to Garcia's report from months earlier or to another report from Garcia, again written in Spanish, after a November incident.

"I knew about the police report, and I knew about the police showing up at the house previously on one of the times where Deisy had called the police because she had been the victim of domestic violence," says Roger Asmar, an attorney hired by Garcia's family. "But we did not know that every time Deisy filled out a report -- every time she went to the precinct or the cops came to the house -- no one actually translated the text into English, so, apparently no one looked into it.

"No one translated it and they just put it away or placed it into the system ... three complaints were filed by Deisy, and none of the times she filed a complaint did police actually arrest Mr. Mejia, her ex-husband."

Police have confirmed the May 30 report, and CNN has obtained copies of reports dated November 27 and 28 from Garcia's family, who found them among Deisy Garcia's belongings after she died.

On November 27, cops responded to a call from Garcia.

"She said when her husband came home, he threatened to kill her. She was crying so she called the police and told them that her husband had threatened to kill her," said Sara Alvarado, Garcia's aunt, who was present during the police visit that time.

As she had in May, Garcia once again filed a domestic incident report and wrote in Spanish, "at about 2:40 am my husband came home and assaulted me, he pulled my hair and kicked me twice, then grabbed my phone. After he did that, I called the police, but he changed and ran out taking a phone that is not mine with him. Today in the morning, he was threatening me that he would take away my daughters."

Police are unable to say whether that report was ever translated, either.

On November 28, Garcia made a follow-up visit to the precinct, filling out another complaint, but her claims did not lead to an arrest.

In statements to police following the slayings, Mejia-Ramos allegedly said he'd been drinking when he got home on the night of January 18, according to the Queens district attorney's office. He went through his wife's phone and Facebook account and saw a photo of her with another man, he told prosecutors.

According to the Queens district attorney's office, Mejia-Ramos said he grabbed a knife and stood over Garcia and allegedly stabbed his wife multiple times before entering his daughters' bedroom where he gave each of them a hug and a kiss, and stabbed them as he asked for their forgiveness.

The three bodies were discovered by Garcia's uncle and a 12-year-old cousin the next day.

Afterward, Mejia-Ramos tried to flee to Mexico, according to police, but was arrested January 21 in Schulenburg, Texas -- a town near the Mexican border -- and brought back to New York. He was indicted on February 14 and will be arraigned in early March, the Queens district attorney's office said.

He is charged with first-degree murder, second-degree murder and fourth-degree criminal possession of a weapon. Mejia-Ramos faces life in prison without the possibility of parole if convicted on the murder charge, the district attorney's office said.

Garcia's family believes that had the police taken action, she may still be alive.

"If they would have given it more importance, would have translated it to English, then maybe they (police) would have figured out what to do, they would have investigated him, been more on top of the case, what was happening with them," said Luzmina Alvarado, Garcia's mother.

"If the police had done something, this tragedy could have been avoided -- my daughter would be alive."

Some two months before Garcia filed her written-in-Spanish domestic-abuse report in May, an organization that serves "limited English proficient" domestic-violence victims filed a lawsuit against the city on behalf of six other Latina women, alleging the NYPD denies interpreters to limited-English speakers, depriving "them of access to NYPD services."

That lawsuit filed by the Violence Intervention Program is still pending.

The group says Garcia is but one of many women who are ignored by police because they cannot file complaints in English. The group alleges that the NYPD's denial of interpreter services has deprived limited-English-proficient women of their right to report crimes, to protect themselves from dangerous abusers, and to communicate effectively with the police in a wide range of circumstances.

"Not only does the NYPD fail to provide language assistance, it also degrades, ridicules and otherwise mistreats limited English proficient individuals who request interpreter services, actively demeaning them for their lack of English proficiency," according to the lawsuit.

The NYPD directed all inquiries on the lawsuit to the New York City Law Department, which handles legal issues for the city.

"The NYPD has more foreign-language-speaking officers than any police department in the country, including thousands of Spanish-speaking officers," said Nicholas Paolucci, spokesman for the New York City Law Department.

"Also, the NYPD has a corps of 19,000 members of the service who can provide interpretation services in over 70 languages."

But the Garcia family, the Violence Intervention Program and the women the group represents say that it doesn't matter how many officers can speak multiple languages if non-English statements provided by complaint victims are ignored.

As a result of an internal review into the failure of officers to translate domestic incident reports, the NYPD is verbally instructing officers on how to translate and store domestic incident reports that are prepared in texts other than the English language, according to NYPD Detective Cheryl Crispin.

"A memo will be transmitted to all commands informing domestic violence officers to immediately locate a member of the command who possesses the necessary language skills to translate a victim's written statement to English," she said in a prepared statement.

For Garcia's family, that may be too little, and it is definitely too late.

"We're thinking maybe we sue the police because this wasn't just his (Mejia-Ramos') fault, the authorities are also at fault," said Garcia's mother.

"My daughter may be dead and can't do anything in this case, but I want justice."

@highlight

Deisy Garcia and her two small daughters were stabbed to death in January

@highlight

Garcia's ex-husband -- the girls' father -- faces first-degree murder charges

@highlight

Garcia filed a domestic-abuse report last year, in her native Spanish

@highlight

NYPD officials say they can't explain why the report didn't get translated for possible action