Los Angeles (CNN) -- Dr. Conrad Murray defended his appellate lawyer from "a slew of disparaging remarks" just days before she files the appeal of the doctor's involuntary manslaughter conviction in Michael Jackson's death.

CNN has obtained sections of that 300-page appeal, including the defense argument that the trial judge erred by not allowing the testimony of Dr. Arnold Klein, a dermatologist the defense contended addicted Jackson to Demerol in his last weeks.

Murray's appeal, which will be filed Monday, also argues that prosecutors never proved Jackson was hooked up to an IV drip of the drug that killed him. The defense theory was that Jackson had administered the fatal dosage himself while the doctor was away.

The coroner ruled that Jackson died from an overdose of the surgical anesthetic propofol in combination with sedatives on June 25, 2009. Murray told investigators he used propofol to induce sleep because Jackson was suffering from insomnia.

Murray served as Jackson's personal physician as the pop icon prepared for 50 shows that were to debut in London in July 2009, but his patient was fighting a battle for sleep between rehearsals.

A wrongful death lawsuit filed by Jackson's three children and his mother is set for trial next month. The family accuses concert promoter AEG Live of liability in his death by hiring and supervising the doctor, who was convicted of involuntary manslaughter in November 2011.

Murray takes a side in lawyer dispute

Murray -- during a phone call to CNN Saturday from the Los Angeles County jail where he's been held since he was sentenced to four years in prison -- said he was "impelled to stand up for" attorney Valerie Wass, who has been involved in a personal dispute with Murray's trial lawyer Michael Flanagan.

Flanagan was helping Wass, who wrote the appeal, until the two lawyers were involved in a jailhouse argument last January. Flanagan dropped Murray as a client after the incident, but the appeals court later ordered him to respond to requests from Wass for case files, which she said he had withheld.

Murray, who witnessed the January incident between his attorneys, issued a strong statement of support for Wass in his call from jail.

"In recent weeks, I became keenly aware that a slew of disparaging remarks and personal information about my appellate attorney, Valerie Wass, were unjustly released to the media and the public," Murray said.  "Because of this injustice, I am impelled to stand up for this woman, for whom I have the utmost respect and confidence."

Wass completed work on the appeal even though "with the blink of an eye, all of her promised assistance vanished; they abandoned ship," Murray said.

Responding to CNN on Sunday, Flanagan said he had no comment.

"Although she needed help, she did not quit, did not jump ship, nor did she succumb to pressure while others abdicated their responsibilities," he said.   "She held steadfastly to her professional and moral conduct, which was bolstered by her amazing mettle of mind and spirit."

Murray said Wass "stood up for me amidst a most arduous and challenging series of obstacles, and whose loyalty remains indisputable.  It is my belief that she took a personal hit for me, and I want to  let her know that I'll forever be grateful."

Murray's appeal: Jackson's Demerol addiction

Although Murray could be freed in about seven months, he is seeking to clear his name and get his medical license back by having his conviction overturned on appeal.

The appeal contends that Los Angeles Superior Judge Michael Pastor wrongly prevented Murray's trial lawyers from making their case that Jackson was going through withdrawal from a Demerol addiction the day he died.

"The reason it sought to prove that Jackson was going through Demerol withdrawal on June 25th was to show his state of mind -- specifically, that his resulting physiological and psychological state, along with the pressure he was under from preparing for the upcoming tour, rendered him so desperate for sleep that he would take the extraordinary action of self-administering propofol when he was outside the presence of appellant," Wass writes.

Defense experts testified at the trial that Jackson's insomnia could have been caused by the withdrawal.

The defense wanted Klein and two staff members to testify about Jackson's 23 visits to their Beverly Hills clinic in the three months before his death, including five in June 2009. Jackson was given Demerol during those visits, the last time on June 22, three days before he died.

"Michael Jackson could not sleep because of the Demerol," the defense said in pretrial arguments. "Dr. Murray did not know that. But Arnold Klein did. Michael Jackson needed sleep because he was withdrawing and addicted, both addicted and withdrawing from Demerol. That's important to our defense. In fact, it's absolutely vital."

Pastor, however, ruled that testimony from Klein and his staff would be a "distraction and divergence" in the trial.

"The defense was also unable to prove whether Jackson was addicted to Demerol and going through withdrawal at the time he died, because experts in the case articulated they could not reach conclusions based only on reviewing Klein's records," Wass writes in the appeal.

If Klein or his staff had been allowed to testify at the trial, "It is reasonably probable that at least one juror on the panel would have found appellant not guilty of involuntary manslaughter," the appeal argues. "Accordingly, regardless of the applicable standard of review, appellant's conviction must be reversed."

Murray's appeal: No proof of IV drip

The prosecution's theory in the trial was that Murray hooked Jackson up to an unusual makeshift IV drip of propofol and then left him alone to make phone calls in an adjacent room. Murray was criminally negligent because he did not properly monitor his patient who later died from an overdose, they argued.

The defense argued that the IV drip only sent saline into Jackson's leg to hydrate him and that Murray used a syringe to slowly push a safe dose of propofol into Jackson's blood while he watched him fall asleep. A frustrated Jackson could have awakened while Murray was away and administered the fatal dose himself, the defense said.

"The propofol infusion theory offered by the prosecution's expert was not supported by the evidence, and in fact, was so absurd, improbable and unbelievable that a rational trier of fact could not have concluded that the evidence was sufficient to establish that appellant had placed Jackson on a propofol drip on the day of his death," the appeal argues.

The prosecution built the IV drip theory based on testimony of one of Jackson's guards who said he saw a propofol bottle hanging above Jackson's death bed when he arrived to help revive him. An investigator also found a saline bag with a slit in it, which the prosecution contended was used to hold the bottle on the IV stand.

Defense propofol expert Dr. Paul White testified such an IV drip set up was "befuddling" because a propofol bottle comes with a hanging device. The hanging tab on the bottle was not used, both sides agreed.

"The prosecution concocted the novel and ridiculous method of placing the vial into the bag through the slit, hanging the bottle upside down at an angle using the bag for support, and then hanging the bag from the IV stand," the appeal argues.

A piece of tubing key to the IV drip was never found, but the prosecution suggested Murray could have slipped it into a pocket before leaving the bedroom to ride to the hospital with Jackson.

Wass argues that is "pure speculation, and the absence of evidence of a long IV line with propofol residue is fatal to the prosecution's theory."

"If an IV line used in a propofol infusion had been placed in appellant's pocket, it would have been dripping propofol, and resulted in a messy wet pocket," the appeal argues. "Such a result is not reflected in any photograph, testimony, or statement of any witness."

Murray's appeal: Jackson gave himself fatal dose

Michael Jackson got little sleep the morning he died, despite Murray's bedside efforts using sedatives, according to Murray.

"It is likely that Jackson's heightened insomnia on June 25th was exacerbated by his surreptitious Demerol addiction and the resultant acute withdrawal syndrome therefrom," the appeal says. "Jackson's last Demerol injection was on June 22nd, less than 72 hours before his death, which could have been a peak period for the occurrence of withdrawal symptoms."

But he did fall asleep at 10:40 a.m after a single dose of propofol, he told investigators. After watching him for 15 minutes, Murray left him alone, the appeal says.

"The evidence is consistent with a scenario in which Jackson quickly self-injected the lethal bolus dose of propofol while appellant was outside the bedroom," the appeal contends. "Based on the toxicology results, it appears that the rapid injection lead to cardiac arrest and a quick death."

He may have had access to a bottle of propofol without Murray knowing, the appeal says.

"Jackson was very familiar with propofol, as other doctors had administered propofol to him," Wass writes. "It is conceivable that Jackson had obtained a secondary source for the drug, especially because Jackson had been receiving nightly infusions from appellant for the previous two months, and appellant had Sunday nights off."

If Jackson -- not Murray -- administered the final and fatal dose, then it was not the doctor's fault the patient died, the argument says.

Murray's appeal disputes the prosecution argument that Murray was criminally liable even if Jackson had administered the fatal dose himself because Murray should have known that leaving the drugs near Jackson's bed posed a risk. The risk was "not reasonably foreseeable," it said.

The prosecution will have a chance to respond to Murray's arguments before the California appeals court makes a decision.

@highlight

Murray calls from jail citing "injustice" done to appeal lawyer

@highlight

Appeal lawyer Valerie Wass " took a personal hit for me," Murray tells CNN

@highlight

Murray witnessed Wass and trial lawyer Michael Flanagan argue at the jail

@highlight

Wass will file Murray's appeal on Monday