(CNN) -- Syrian forces stormed the town of Douma this week, fired at the home of activist Mahmoud Saab, wounded the father of two and then hanged him from the balcony of his home.

Activists reported this grisly act by word of mouth and e-mail. But they took one more step.

They released a shaky, 42-second video showing his body dangling from a damaged building caught in the crossfire of war. The video appeared to be shot surreptitiously, from a narrow urban space where the cameraman couldn't be spotted.

It's one of thousands of videos that Syrian activists have uploaded or smuggled out of the country to document the actions of Bashar al-Assad's regime -- vilified by governments and people across the globe for its fierce crackdown on protesters.

Videos of demonstrations, clashes and security actions have marked the Syrian uprising as a YouTube revolt. The images have framed the conflict for other Syrians, the wider world and history since the government has blocked journalists from freely covering the story.

"Social media became a powerful tool in getting the word out." said Rafif Jouejati, spokeswoman for the opposition Local Coordination Committees of Syria, or LCC, citing the ferment during the Arab Spring.

"The Egyptian revolution became a Facebook revolution."

After the Syrian uprising started last spring, activists soon realized immediately that their revolution needed video documentation to make their fight credible to the world.

There was no Internet in 1982, when the government of Hafez Assad, the current ruler's late father, conducted a bloody offensive in the city of Hama, she said.

"That city essentially died violently and nobody could verify it. That is very much in the national consciousness because another Assad had done it before. We weren't going to let this Assad do it to us," Jouejati said.

After the uprising began last spring, the regime started blaming "armed gangs" for stoking unrest, a claim that activists all along regarded as bogus.

"We realized we had to counter every argument," she said.

When the regime began denouncing the activist videos as fakes, the LCC started to make sure the people narrating the videos would say the name of the city and the time it was taken.

The activists have been trained to avoid exaggeration, capture the leader of a demonstration when taping a video and show recognizable landmarks.

"You want to try to find newspapers with current date," Jouejati said. "You want to prove it happened on that date."

Thousands of hours of video haven't been published because they aren't verifiable.

"We send the major ones, not every one," she said.

As the uprising took hold, she said, activists used cell phones and uploaded videos. Cell phones soon became an identifier of opposition activists.

"If you were anywhere near a protest, they could look at your phone and you'd be arrested," she said. In time, holding cell phones near protests became illegal, she said.

"At one point, it became a crime to own an iPhone. The iPhone was in fact banned for a few days until the elites were outraged," she said. "They rescinded the ban." Bashar al-Assad himself has an iPhone, she said.

People got more innovative with technology, using hidden devices such as pinholes and pen cameras. When the government put cities under siege and cut off Internet service, activists pivoted to satellite phones.

"We leverage whatever we can, and we figure out different ways to get things out," Jouejati said.

Regime soldiers sometimes will film protests and massacres and then sell the videos to activists.

"Some of them are simply corrupt. Some of them do need the money. Still others want to support the revolution," Jouejati said. "You do whatever is humanly possible."

"Syrian citizen journalists and activists" won the 2012 Reporters Without Borders Netizen Prize sponsored by Google on Monday.

Jasmine, an LCC activist who lives in Canada, accepted the award on behalf of the people "struggling on the ground to achieve what they have always dreamed -- to live in freedom and dignity." She never uses her full name for security reasons.

"The committees are almost the only way to keep the world abreast of the violence wracking the country," Reporters Without Borders said.

Jouejati said other groups such as the Revolutionary Council of Homs and the Syrian Revolution General Commission produce videos.

"A lot of groups are doing the same thing," she said. It's not a 'sign of disunity,' " she said. It's a reflection of the "overarching desire" to bear witness to the regime's brutality.

"These people are pretty savvy. They are not new to the Internet. A lot of them have been dissatisfied with the regime long before the revolution started," she said.

The LCC and other groups send press releases about news events around the clock. Activists inside the country work to confirm details that would be suitable for print as well as video.

For example, Jouejati said, her group is trying to track down information about a young Damascus woman who was arrested after registering a new political party under the regime's new constitution. The group wants to gather print material and look for video to document this development.

"What's critical about this little bit of information is that Assad implements reforms. People respond positively. Then they get arrested," she said.

Footage isn't only uploaded from the scene. It is smuggled out of Syria to Jordan, Lebanon and Turkey.

Dergham, an activist along the Syrian-Turkey border, said the activists help fuel the uprising. They smuggle medical aid and journalists into the country and tote film across the border at their own risk.

There might be funding from outside sources, such as international media smuggled in to the country.

But Dergham said, "They only have got themselves to rely on."

Dergham and another activist named HM didn't want their full names used for security reasons.

"There is no doubt that all our moves on the ground are very risky because we are always subject to arrest each time we have to go through a security checkpoint," said HM, a Hama activist.

The Syrian videographers who document unrest have died in the line of the duty. One of them was Anas al-Tarsha, killed in Homs last month in a mortar attack. Others who died are Rami al-Sayed and Basil al-Sayed, who also operated in Homs, according to the Committee to Protect Journalists.

Also known as Anas al-Homsi, al-Tarsha filmed "clashes and military movements," the committee said. The 17-year-old was filming an assault on the Homs district of Qarabees when he died.

"Syrian authorities have done everything they can to shut down news coverage of their actions. Anas al-Tarsha and other local videographers have given their lives to ensure that the Syrian government would not succeed," the group said.

The LCC's Jasmine, who accepted the Netizen Prize, said that "there are millions of stories" to tell.

"We were talking to a mother of three detainees, and she made us promise each other that no matter what, we will never stop covering the events of our beloved Syria."

Journalist Omar al-Muqdad contributed to this report.

@highlight

Opposition uses cell phones, satellite phones and other technology

@highlight

Thousands of videos have been posted on the Internet in the yearlong uprising

@highlight

Syrian citizen journalists recently won a Reporters Without Borders award