Editor's note: The staff at CNN.com has been intrigued by the journalism of Vice, an independent media company and Web site based in Brooklyn, New York. Motherboard.tv is Vice's site devoted to the overlap between culture and technology. The reports, which are being produced solely by Vice, reflect a very transparent approach to journalism, where viewers are taken along on every step of the reporting process. We believe this unique approach is worthy of sharing with our CNN.com readers.

Brooklyn, New York (Motherboard.tv) -- You're on the Internet. What does that mean?

Most likely, it means one of a handful of telecommunications providers is middle-manning your information from point A to point B. Fire off an e-mail or a tweet, broadcast a live stream or upload video to YouTube, and you're relying on vast networks of fiber optic cables deep underground and undersea, working with satellites high above, to move your data around the world, and to bring the world to your fingertips.

It's an infrastructure largely out of sight and mind. AT&T, Level 3, Hurricane Electric, Tata Indicom -- to most these are simply invisible magicians performing the act of getting one online and kicking. To many open-source advocates, however, these are a few of the big, dirty names responsible for what they see as the Web's rapid consolidation. The prospect of an irreparably centralized Internet, a physical Internet in the hands of a shrinking core of so-called Tier 1 transit networks, keeps Isaac Wilder up at night.

Wilder is the 21-year-old co-founder of the Free Network Foundation. Motherboard, VICE's science and technology offshoot, first caught up with Wilder at Zuccotti Park during the fledgling days of Occupy Wall Street. The Kansas City native seemed to be running on little sleep. He'd gone hoarse from chanting relentlessly over the first three days of a populist movement that would soon sweep the country and the world. But there was an undeniable urgency and excitement when Wilder told us about the efforts of the FNF, a non-profit, peer-to-peer communications initiative striving to liberate the global Internet from corporate and governmental interference.

It all sounded lofty and arcane and way, way over our heads. But Wilder seemed committed enough to his drop in the bucket of global revolution, which comes in the form of nine-foot-tall Freedom Towers that beam out free, secure Wi-Fi to occupied sites and underserviced communities, that we wanted to hear more.

See the rest of Free the Network at Motherboard.tv.

If the argument for mesh networking, a sort of pirate radio Internet scheme that allows people to talk to one another online through no middle man, is that a centralized 'Net lends itself to the sort of surveillance and censorship that, however futile, strokes the Internet kill switch of science fiction, is there a way to circumvent that system altogether? Is there a way to build a new network from the bottom up? To occupy a fresh Internet outside the existing confines of the Web? Or is that all just the stuff of ideological fantasy?

To check the pulse of the Internet -- and to get a feel for what life's like in the digital nerve center of what's arguably the first fully Web-fueled social movement in America -- Motherboard has been following Wilder and Tyrone Greenfield, communications director for the Free Network Foundation, for the past half year. Through the thick of Occupy marches, in squats and test-lab offices, on rooftops and all places in between, we saw Wilder, Greenfield and the FNF building and perfecting their Towers and their humble, cooperatively owned, physical Internet.

We even broke a story that popped off on the Internet in the immediate wake of the New York Police Department's November 17 raid on Zuccotti Park. We traveled with Wilder to a Department of Sanitation garage shortly after he was released from a 36-hour stint in jail. He was looking for things lost in the early morning sweep of Occupy's epicenter: cash, his backpack and laptop, Zuccotti's Freedom Tower.

What he found next to a wet heap of clothing and tents were a number of laptops splayed in rows. They appeared mangled and snarled. One was even stripped of its back casing. Whether Occupy's laptops were purposefully destroyed, or merely crunched under the hydraulic mash of a Sanitation garbage truck, remains unclear.

To be sure, after the incident we contacted the NYPD, who forwarded us to Sanitation. Sanitation was tasked with hauling away all the abandoned property from Zuccotti to an off-site garage, where demonstrators were later allowed to rummage for their belongings. A Sanitation representative told Motherboard there had been no directive to destroy property, but that he wasn't surprised to hear that some items, including laptops, had maybe been mishandled or misplaced.

In the end, what we came up with is a short documentary called Free the Network. It's a story about big dreams and cloudy missions, about complex affiliations and what happens when a DIY hack-tech movement confronts the force of the state.

But beyond that, it's a story about the incredibly high stakes of living networked in today's world. We all have skin in this game. Remember: You're on the Internet.

@highlight

VICE catches up with Isaac Wilder, founder of the Free Network Foundation

@highlight

Foundation strives to liberate the Internet from corporate and governmental interference

@highlight

Documentary looks at what happens when a hack-tech movement confronts the state