Editor's Note: Gail Cunningham is senior director of public relations for the nonprofit National Foundation for Credit Counseling (NFCC), Inc. based in Silver Spring, Maryland, and has been in the credit counseling sector since 1987. The NFCC says it serves more than 2 million customers through nearly 850 offices around the country.

Gail Cunningham says foreclosure is more than a financial failure, it's an emotional ordeal.

(CNN) -- When you sit across the desk from someone with overwhelming debt, you can sense their fear before a word is spoken. And when their home is in jeopardy, the fear fills the room.

I was a credit counselor for 16 years, and quickly discovered that people in debt are very ashamed of their situation.

In all my years, I never counseled anyone who was cavalier about their circumstances, or intentionally sought to dig a deep financial hole. But the shame that accompanies foreclosure tops anything I've ever experienced.

There's something about people losing their homes that is disturbing beyond measure. Failure has become a part of their demeanor. After all, foreclosure is about more than the house, and more than the money.

It's about losing the dream, taking your children out of their school and moving your family away from their neighborhood friends. Pulling up roots is never easy, particularly when you're forced to do so.

The job of the counselor is to put the financial pieces back together, provide hope, and help move people toward a more financially stable life. Each day housing counselors pick up the phone and advocate for their client, often going to the mat with a lender to achieve the resolution option that is best suited for that individual.

For example, I'm reminded of the 46-year-old single mom's foreclosure problem that started with a heart attack. Out of work for three months with no income and medical bills compounding her existing debt, she was headed for foreclosure. She and an NFCC certified housing counselor were able to work out a loan modification that not only kept her in her home, but also reduced her monthly mortgage payment.

Housing issues are complicated, with the terms short sale, forbearance agreement, deed-in-lieu and loan modification foreign to the consumer. But such resolution options are all part of a day's work for the housing counselor, whose goal is to determine the best long-term solution for the consumer.

Their experience allows them to "talk the talk" with the lender and often achieve the happy ending that everyone is after. Each case is individual, with outcomes as varied as the problems, but avoiding foreclosure, where appropriate, is the goal of all parties.

Foreclosures happen for many reasons, some of which are beyond the borrower's control:

• Economic hardship related to job loss, reduced hours at work, medical issues or divorce;

• Unaffordable payments when a loan resets to a higher annual percentage rate;

• Buying a house that was more costly than the borrower's income could reasonably support long-term, and

• Increased cost of living, which places more demands on consumers' budgets, forcing them to make hard choices about which debts to pay.

Of course, the best foreclosure prevention tool is making an educated and informed decision when buying a home. Pre-purchase counseling is particularly useful for first-time buyers, helping them understand the full responsibility of homeownership.

However, once it becomes apparent that buyers can no longer keep up with their loans, it is critical for them to reach out for help right away.

Postponing dealing with the mortgage delinquency is one of the main impediments to solving the problem. Delinquent homeowners likely will receive a Notice to Cure Default that lists HUD housing counselors they can contact, as well as hardship program options. They should seek help at once.

Many resolution options such as a short sale -- in which the home is sold for less than the remaining mortgage amount and the lender accepts at least part of the loss -- are only open to those who have not dug a deep financial hole.

These solutions do not preserve homeownership, but they are less damaging to the consumer's credit history, and depending on their structure, could possibly allow the consumer to leave the home owing little or nothing at all.

When homeowners in trouble reach out to lenders, few know that they need to speak to the loss mitigation department, and not the collection area. Once contact is made, buyers should be sure to keep records.

Keep a log of the date and time of each call, the person with whom you speak, and the content of the conversation. Ask questions and restate to make sure you are understanding information. Without accurate documentation, any dispute could turn into a "he-said/she-said" with the homeowner being the loser.

Don't expect a quick answer. Follow up with your mortgage company to make sure any paperwork you sent was received and logged. In many cases, getting a yes or a no can take weeks, and weeks can feel like years when saving your home is involved.

As I write this, it seems as though new proposals to help consumers avoid foreclosure appear daily. Whether it is actions by Fannie Mae, the FDIC or the lenders themselves, solving the mortgage crisis is recognized as an essential component to getting the economy back on track.

Any resolution is likely to be as complex as the problem itself. Exotic loan products, combined with making them secure, are far different from yesteryear when we went to our community bank and took out a 30-year fixed-rate mortgage that it held the full term.

Homeownership can still be the American dream, but only under the right circumstances. Lenders are returning to more traditional lending standards, and with good reason. Buyers are realizing that what seems too good to be true is often exactly that. America will find solid footing, but until then, many feel as though their home was built on shifting sands.

Let's redefine financial success, and this time have it represent living within your means, being able to pay bills in full when the statement arrives, understanding the terms of a loan or credit card, knowing that there are things more important than hocking your financial peace of mind for a larger house or shinier car.

In other words, let's begin living the true American dream, one of financial responsibility that is celebrated by all. It's a dream we can make come true, one household at a time.

The opinions expressed in this commentary are solely those of Gail Cunningham.

@highlight

Gail Cunningham: Foreclosure is an emotional process for families

@highlight

Credit counselors can help homeowners get modified payment terms, she says

@highlight

Cunningham: Families need to budget realistically and cut spending

@highlight

She says financial responsibility is a dream people can achieve