Jeddah, Saudi Arabia (CNN) -- Samar Badawi, a 30-year-old mother of one, has served seven months in jail. Her crime? Disobeying her father.

Badawi, 30, fell foul of Saudi Arabia's guardianship laws, which require women to gain permission from their father, husband or even adult son for many daily activities.

In a case that was highlighted by Human Rights Watch, Badawi was physically abused by her father from the age of 14 after her mother died of cancer.

At the age of 25, she decided to "stand up for herself" and ran away to a women's shelter.

She was jailed for seven months after her father brought a "disobedience" case against her and she refused to return to his home.

Badawi was released last year after an online campaign, and eventually got a ruling to transfer her guardianship to her uncle.

She also successfully filed a suit against her father's refusal to allow her to marry.

"I went in a broken woman," she said. "I was very hurt when I went to prison. But I came out victorious and was very proud of myself that I was able to handle those seven months. It wasn't easy."

Badawi added: "When I was alone, I would remember the injustice, from my father, from the judge who was horrible to me.

"I would remember my son. I would remember how even society didn't spare me -- I was insulted a lot and despite the insults, I stayed quiet, I didn't respond. In these moments I would cry."

Despite her own trauma, Badawi does not call for a change in the law, but rather for better awareness.

"Our laws are fair, very fair," she said. "If not for the law, I would not have been able to escape the difficult situation I was in.

"The problem is that there is no legal culture here. Women here, from various backgrounds, aren't aware of their rights, there is no awareness.

"That's why I wish that law would be taught in schools from an early age."

Badawi was presented with an International Women of Courage award by U.S. First Lady Michelle Obama and U.S. Secretary of State, Hillary Clinton on March 8. Presented annually, the award recognizes women who have show exceptional courage and leadership in advocating for women's rights.

Women's rights is a hot issue in Saudi Arabia, and there is a surprising range of views, from both women and men.

Aside from the guardianship laws, women are not allowed to drive, an issue that grabbed headlines around the world last year when many women challenged the law by getting behind the wheel.

One of those was Najla Hariri, who drove her son to school one day after her driver failed to show up for work.

She continued to do so several times after that, but can no longer drive after she and her husband were both forced to sign legal pledges that she would not drive again.

"What is more upsetting to me than having to sign the pledge is that my 'guardian' was summoned," she said. "I reject the whole idea of his being my 'guardian' because I'm a 47-year-old woman, I should be my own guardian."

For Hariri, there is far more to campaign for than driving.

"Saudi women are facing many problems -- divorced women, women in judicial limbo, women who have been abused, issues with inheritance distribution -- we have many problems.

"So we started calling for the establishment of a 'personal status law' to protect these rights," she added.

Hariri said the rights she wants are those already given to women in the Quran and the Sunna, the teachings of Prophet Mohammed.

Also on Inside the Middle East: Saudi's new breed of artists push the limits

But not everyone agrees. Rawda Al Youssef runs a campaign called "My Guardian Knows What's Best For Me" in favor of the controversial system.

She argues that Saudi women are lucky to be looked after and that guardianship reinforces the family as a foundation of society.

"The relationship between men and women inside the family is a complementary relationship and not an equal relationship," said Al Youssef. "The man serves the woman and supervises her affairs inside the home and outside the home."

For Al Youssef, women who campaign for more rights are a pampered minority with no real problems.

"Saudi women -- specifically those who are talking about women's rights -- these come from a social class that is well-off and pampered.

"Bring me a poor woman who talks about these things and I'll say ok, maybe she needs this, but those who talk about women's rights ... these are women who have everything they need and all they're missing is to be able to take their passport and travel as they want, or to drive a car.

"They didn't think about the needs of the poorer class."

While Al Youssef believes there is no appetite from either King Abdullah or society at large for greater women's rights, Samar Fatany is convinced of the opposite.

Fatany, a radio journalist and writer on women's issues who was one of the first women employed in government 30 years ago, believes change will be inevitable, though gradual.

"I think Saudi women really have a great opportunity and a window for change and progress that we really need to take advantage of," she said.

"I think King Abdullah has been a great supporter of women, he has been the champion of women and as a result the whole nation has changed and given great support to women."

Fatany added: "It takes an educated person to know a different way of life, that it doesn't have to be that way.

"If you are a person who is isolated and this is a lifestyle that you know, it doesn't occur to you that there's another way, that you don't have to accept that. This doesn't have to do with religion.

"It is not un-Islamic to drive, it's is not un-Islamic to work, it is not un-Islamic to demand for your rights."

Also on Inside the Middle East: 'Victims of injustice' in post-revolution Egypt speak out

Cleric Sheikh Adnan Bahareth, who insisted on being interviewed over the phone because he did not want to appear on camera with a woman, argued that Saudi women were lucky not to have to drive.

"Men are slaves for women today," he said.

Sheikh Bahareth said if women could drive: "It will add more tasks on a woman's shoulder. She will have to go to the souk on her own, she will have to get the food, she will have to drive the kids to and from school.

"We want to lessen these burdens on the women."

@highlight

Samar Badawi served seven months in jail for disobeying her father

@highlight

Badawi says women need to be more aware of their rights

@highlight

Demanding more rights is not un-Islamic, say women campaigners

@highlight

Saudi women are lucky to be pampered and looked after, say others