(CNN) -- In times of crisis, when there are great challenges and sorrow, a nation naturally turns to its leader. We see it in the aftermath of the Connecticut school killings, as we have often in the past. That is as it should be, because the president has more power than anyone to shape the course of events.

No president embodied that responsibility more fully than Abraham Lincoln, the decision-maker, consoler-in-chief, and single-minded political pursuer of a just cause.

As the movie "Lincoln" tops the nomination lists for this year's film awards, millions more will rush to see it, probably looking for "Honest Abe," or some such fictional character, from a sketch designed to shape school children into patriotic citizens.

Do not expect to find that Lincoln in Steven Spielberg's sometimes brooding, always passionate, extraordinary film. Do not expect to see the giant of the granite monument. This Lincoln is much more interesting, much more complicated, and much more relevant.

When history speaks: Lincoln's three lessons for a second term

"Lincoln" is brilliant because it shows us that the path of virtue is paved with morally ambiguous choices.

The Lincoln of Tony Kushner's remarkable screenplay is not a man whose every decision radiates righteousness.

The movie focuses on a few weeks during the last throes of the Civil War as Lincoln sought to pressure Congress to approve the 13th amendment to the Constitution, abolishing slavery forever.

In one scene, familiar from the original trailer, Daniel Day-Lewis' Lincoln asks about the war eviscerating the nation, "Shall we stop this bleeding?"

You might think the answer is "Yes, of course, the sooner the better."

The film, however, makes an astonishing argument: that Lincoln deliberately allowed the Civil War to go on, even as the South sought to make peace. He did it for political reasons, in order to win passage of the amendment. That theory is not universally embraced by historians, but Kushner makes a credible case.

If true, it means Lincoln knowingly allowed thousands to die because he believed that only with the killings unstaunched would he manage to create enough political pressure through the false argument that the amendment was needed to stop the war.

"Think of all the boys who will die if you don't make peace," admonishes Preston Blair, the elder Republican operator (whose "Blair House" home is now the official state guest house) played by Hal Holbrook, exuding wisdom and aplomb. Lincoln does, and we can only imagine what demons haunt him as he tours battlefields carpeted with the bodies of young soldiers.

The movie shows not-always-Honest Abe driven by the morally impeccable goal of ending slavery but repeatedly taking questionable steps in the process.

In this realistic view of a romantic figure, there is no disputing the inspiring words of the Rev. Martin Luther King Jr., a favorite phrase of President Obama's, that "the arc of the moral universe ... bends toward justice." But we learn that it can take a muscular push by determined individuals to produce a visible curvature during our lifetime.

Lincoln and his allies behave in ways that today would send investigative journalists on frantic pursuits.

They prod members of Congress to vote with the president, but often not on the power of the ideal. It is striking just how much America's values and beliefs have changed. A mere 150 years ago they called "radicals" the ones who held the fringe belief that all men, including slaves, really are created equal. The radicals, by the way, were primarily Republicans.

To obtain the votes of Democrats, Lincoln didn't rely on his verbal gifts. Glowing with determination, he declares, "I am the president of the United States clothed in immense power. You will procure me these votes!"

From historian Doris Kearns Goodwin, whose biography is one of the main sources of the screenplay, we know Lincoln built a Cabinet from former opponents. From that "Team of Rivals," the man who ran against him for the nomination is now Secretary of State William Seward, played by David Strathairn, as Lincoln's right-hand man in the project. (That may have inspired Obama to bring Secretary of State Hillary Clinton to his Cabinet.)

He hires a gang of political operatives to obtain the votes. "The president is never to be mentioned," Seward warns. "Nothing strictly illegal." Led by James Spader's shifty character, they offer thinly veiled bribes, lucrative patronage jobs, in exchange for the vote.

Lincoln allows the radical Republican Thaddeus Stevens, played by Tommy Lee Jones, to engage in his own dishonorable means in pursuit of the most honorable of goals.

The lessons are countless, because the story is told with a heavy dose of realism. Spielberg knows how to make an audience cry. But this is no Capra fairytale; this is not "Mr. Smith Goes to Washington." This is raw politics.

We look at the world through the lens of our time. We see today's problems transposed like one of those school art books with the transparent sheet where we can trace an outline over a picture. We will see today's political battles over gun control or the fiscal cliff in the high-pressure machinations. We will see the fight for same-sex marriage in the changing attitudes and the recalcitrant ones.

And we will see the challenge, successfully met by Lincoln, of bringing together people of different political parties and different ideologies to achieve major goals, along with the indispensable requirement of a clear vision and an unbreakable determination in pursuit of an ideal.

The story carries a sobering message for idealists, who would like to hear the violins play as their hero bravely does everything that is right and noble. And cynics will take the message too far, justifying every kind of deviousness and inflexibility.

Everything Lincoln did, at every step, was not free of ethical stain. And yet, his long-term perspective provided a strong moral framework, a context to judge how dark a stain was compared to the one he sought to erase.

The Lincoln of "Lincoln" is brilliant because it shows a political figure navigating the perilous ambiguities of life, making the decisions that history, 150 years later, has judged heroic and correct. Now, that deserves a giant granite monument, a flurry of awards and the greatest honor of all: a real-life president who emulates Lincoln's courage in times of crisis.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: "Lincoln" is brilliant because it shows that virtue is complicated

@highlight

Ghitis: Everything Lincoln did, at every step, was not free of ethical stain

@highlight

She says politics is full of morally ambiguous choices, but end goal matters

@highlight

Ghitis: President Obama can emulate Lincoln's courage in times of crisis