(CNN) -- It's early in the morning of a grand prix weekend, but Formula One's kitchens are already sizzling with activity.

Inside Red Bull Racing's roof-top kitchen, four chefs are chopping, stirring and flipping spitting pans in perfect unison.

"I'm normally at the track between 6 a.m. and 11 p.m. on the busiest days of the race weekend," the team's executive chef Sandro Gamsjager tells CNN as he peers out from the steam.

At Williams headquarters, the UK team's chefs are taking a breather after serving up their popular English breakfast.

A traditional fry-up of bacon, eggs and all the trimmings is dished out to the ravenous British media before every Friday practice session.

Motorsport's extensive traveling circus is not likely to go hungry in Hungary, which hosts round 11 of the championship on Sunday.

"In a race weekend we go through more than 500 eggs, 15 kilos of butter and 10 liters of olive oil," chef Adam Dixon tells CNN as he does the maths.

F1 races on its stomach but, like most things in the elite division, fueling the sport is complicated.

The chefs are spinning plates as they cater for three tiers of hungry mouths -- the race drivers, the teams and VIP guests.

"There are different levels of food service: the drivers; downstairs is the buffet for the team; and on the first floor it's like a really high quality, a la carte restaurant." adds Gamsjager, who also oversees the menu for Red Bull's sister team Toro Rosso.

First to be fed are the drivers, who as toned athletes munch on a more carefully controlled menu.

"Like everyone they have a diet of protein, carbohydrate and healthy fats," Carlos Corell, the physio for Sauber reserve Giedo Van Der Garde, tells CNN. "The only difference is the proportion of each they need compared to someone who sits at a desk all day.

"The races are mentally and physically demanding so they do need more carbohydrates, for example.

"Each driver's physique, the track and weather all make a difference to the number of calories burned during a race but at the 2013 British Grand Prix, for example, Giedo burned 1,175 calories."

Drivers' dietary needs

Like so much in F1, timing is everything.

"The only important thing for the drivers' food is that it is on time," says Gamsjager, who prepares the food for Red Bull's four-time world champion Sebastian Vettel and Daniel Ricciardo.

"They have a strict plan which we get in the middle of the week. Normally they eat one and a half hours before they get in the car.

"They eat the same thing every week -- it's basically chicken, vegetables and pasta. Sebastian and Daniel might eat red meat on Sunday after the race."

Dixon, who cooks up Williams driver Felipe Massa's meals, reveals: "Felipe is very set. On Friday he'll have chicken salad with tomato and maybe a little mozzarella after first practice.

"Maybe he'll have some pasta with fresh tomato sauce after second practice.

Interactive: Take a trip around the Hungaroring

"He has the same on Saturday and then on Sunday a little bit of pasta, tomatoes, olive oil and Parmesan before the race. He eats very lightly when he's driving but he eats when he feels it's right."

Across the other side of the Williams kitchen, chef Jon Smee is spicing up the menu for Valtteri Bottas.

"He has the same thing every day, which is wild rice with vegetables and tuna -- but he likes it spicy," Smee reveals. "He also has a side salad with a chilli vinaigrette.

"Valtteri has cut down on the flapjack this year -- he's not eating it now because he's trying to keep slim."

Perhaps the Finn's chilli diet and decision to cut out cakes has helped him climb onto the podium twice this season for a resurgent Williams team -- but not all drivers are so conscientious.

"I had one whose diet was penne arrabiata and a Mars bar every day," laughs Dixon.

Lean machine

It's not just F1's drivers who are chowing down on healthy food.

In an intensely competitive sport, each team looks to gain a competitive advantage any way they can, and that means its staff must be leaner.

Pit crews who are now capable of changing tires in under three seconds rely on exercise regimes and carefully managed diets.

"I've been doing this for 16 or 17 years and when I first started everyone was out to have a good time," Dixon explains.

"Now there's a real push to be physically fitter and to base food around healthy eating. It's noticeable up and down the paddock.

"We're looking at leaner cuts of meat and fish, we're not serving fried food and the vegetables are steamed."

Serving up healthy grub is only one prerequisite for F1's chefs -- quantity is just as important as quality.

"We make 2,000-2,500 meals from Wednesday to Sunday," Gamsjager calculates. "The ingredient we use the most? Well, we do eat a lot of pasta."

Team staff tend to chow down on the ground floor of the motor homes -- or if the car needs an MOT, a takeaway sandwich satiates rumbling tummies.

The top table

On the upper tier of the plush motor homes of the Red Bull, Mercedes, McLaren and Williams teams, F1's top tables are reserved for VIP guests, including local dignitaries, celebrities, business partners and sponsors.

This is a chance for the paddock chefs to demonstrate their culinary prowess.

The menus tantalize the tastebuds with beef cheeks and shallot and horse radish confit, crab cakes with sauce vierge and frozen coffee parfait.

"This is my little baby here," says Gamsjager, proudly surveying his bijou Red Bull restaurant at the top of the motor home.

"To do a little bit of fine dining, I love this, I need this.

"I love to do variations, to make old things a bit newer," adds the Austrian, who has won awards in his homeland for his cooking capabilities.

The only problem with fine dining across 19 countries is that sometimes it's hard to find exactly the right ingredients.

"If you go to Hungary and try to find micro herbs, it becomes a bit more difficult," explains Dixon with a smile.

Gamsjager agrees, citing India as a hard place to get healthy food.

"They have different thinking about those things, but all the other countries have very good products," he says.

"For the overseas races, I always start two or three months before, and I send them an order list for the main things -- dairy, cheese and things like this -- and then when we arrive I drive around searching for where I can get fresh meat and fish, and I buy them by myself."

Michelin man

With such complex catering demands, it's no wonder that F1's kitchens are filled to the brim with highly-trained chefs -- Mercedes even has a former UK Masterchef contestant among its ranks.

The chefs insist there is no rivalry bubbling away between them -- though most also say they serve the best food.

But arguably at the top of the table is a team which boasts a chef with two Michelin stars. Perhaps fittingly, the restaurant rating system was created by a company that was one of F1's tire suppliers until the end of 2006.

Michael Caines, who earned his prestigious stars at Gidleigh Park in Devon, has been working in partnership with the Williams team since 2011.

But are Massa and Bottas served up Michelin-star-quality food on the road?

"Michelin stars credit the quality of the food and the work you do but we can't pretend we're bringing that to a pop-up restaurant -- and ultimately that's what (the Williams motor home) is," Caines, a lifelong F1 fan, tells CNN.

"What we do try to do is to bring inspirational cooking to F1 with the quality of flavor, service, the ingredients and presentation."

All the chefs agree, however, that the most important ingredient when it comes to fueling F1's global circuit is a taste of home.

"We try to make everybody feel at home," says Gamsjager. "When I see the car running and then the team come in and have good food, I think it helps."

Dixon agrees: "When you spend a lot of your time away from home traveling, the team really look to us to provide home-cooked food.

"There is something special about this job. You're not just a chef."

@highlight

F1's hungry mouths are fed by skilled chefs who serve up to 2,500 meals per race

@highlight

Chefs must make sure the drivers' food is ready on time after each track session

@highlight

There is a push for teams to eat more healthy food while VIP guests pick from a la carte menu

@highlight

Williams team's menu made by Michael Caines, a British chef with two Michelin stars