(BudgetTravel.com) -- When Americans think of "five star" hotels, they conjure up images of on-site spas, white-gloved service, and pillow menus. That's no surprise, given that the dominant rating systems in the U.S. are two of the most trust-worthy on the planet -- Forbes and AAA.

In order to snag Forbes's highest ratings, for example, a hotel's staff must meet criteria such as greeting arriving guests curbside within 60 seconds and offering tasting samples to drinkers ordering wine by the glass.

In Italy, on the other hand, where the rating system is government owned and operated, all it takes to score five stars is a 24-hour reception desk, receptionists that speak three foreign languages, and double rooms starting at 172 square feet.

Budget Travel: 10 gorgeous pools you won't believe are public

There are more scoring systems than most folks realize, and they vary from country to country (and, in some cases, from city to city). That said, most ratings fall into one of four main categories: those operated by private companies such as AAA, those run by hotel booking sites such as hotels.com, user-generated systems, and government-run agencies.

Bottom line: Consistency is an issue. In the past two years, several governments including Switzerland's and Germany's have overhauled their systems to be more uniform, and Brazil is following suit this year. Plus, in 2009, Europe's Hotelstars Union launched with the goal of establishing common classification criteria across the EU.

Despite the improvements, figuring out which hotel will provide the best value can still feel like cracking the Da Vinci Code. To help you make the most informed decision possible, we scrutinized criteria across the globe to suss out the meaning behind the stars. No matter where you're going, here is what you need to know before you book.

No. 1: Private-company rating systems

Verdict: Independent ownership, consistent criteria, and anonymous inspectors make companies like AAA and Forbes (formerly Mobil) Travel Guide reliable and unbiased.

Both AAA and Forbes have been rating hotels for more than half a century and provide regular, in-depth reports on what consumers can expect, from how many soaps in the bathroom to bedsheet thread counts. Every 12 to 18 months, for example, Forbes inspectors make incognito visits to up to 5,000 properties and complete a checklist of 525 questions: Are guests arriving in a taxi greeted curbside within 60 seconds? Does wine-by-the-glass service include a tasting sample?

Findings are relayed in a 110-page report. Five-star spots feature virtually flawless service -- if you only eat the cantaloupe off the breakfast-buffet fruit tray, for example, expect extra melon delivered to your table. Diamonds are the currency in the AAA system, where inspectors pay unannounced visits to 32,000 North American properties annually and rank them on a scale from one diamond (lowest) to five. But even single-diamond hotels have standards: In order to be AAA-rated, properties must adhere to a basic set of benchmarks relating to cleanliness and management (bathrooms must have mini soaps, for example), but don't expect a business center or even an elevator.

On the other hand, in five-diamond hotels you can bank on a full on-site spa, 24/7 room service, choice of pillow filling (pick from goose down, silk, cashmere), even a personal butler. Outside of the U.S., Australia is one of the few other countries in the world with a private rating system, which also happens to be called AAA. The system is operated by the Australian Automobile Association, an organization similar to (but not affiliated with) North America's AAA.

No. 2: Hotel booking sites

Verdict: Online booking engines such as hotels.com use a combination of hired scouts and user ratings to review hotels, but generally reviewers aren't anonymous and the standards vary by country and company. These ratings are best used in conjunction with other review sites.

Orbitz and Priceline each has its own rating system, though neither publishes their ratings criteria on their website. The standards vary by company and country -- which means a hotel in London won't necessarily be rated by the same criteria as one in New York City. (One major reason is the difference in room size between Europe and America; rooms tend to be smaller overseas, even in hotels that would otherwise score high marks.) Hotels.com, for example, stations employees on every continent but Antarctica to suss out properties. While these scouts aren't anonymous -- they actually work with hoteliers to improve hotels' star ratings -- 2 million unvetted consumer reviews provide another layer of feedback. Ratings are based on location, amenities, type of accommodation, and service.

Budget Travel: Secret hotels of Paris

No. 3: User-generated rating systems

Verdict: User ratings are more valuable en masse. The key is to focus on what the majority of reports seem to indicate about a property and to ignore extremely positive or negative reviews, which may be biased. Use these sites as a reference but not your sole reference.

User-generated sites are built on feedback from the masses: TripAdvisor, for example, features more than 50 million traveler reviews sounding off on nearly 495,000 hotels worldwide. While the company, which launched in 2000, bills itself as having "World's most trusted travel advice," the sheer volume of sources -- and TripAdvisor's inability to vet them all for accuracy -- make these reviews something to take with a grain of salt. (A general rule is to ignore the ecstatically positive and totally negative reviews in favor of those in the middle.)

While the site has stringent guidelines ("reviews should contain only original content and no quoted material from other sources...we do not allow quoted material from personal email correspondence with a property manager") and even has moderators to flag posts that seem fishy (like a hotelier giving his property rave reviews, for example), there's no way to catch every questionable review. Even with the caveat, peer reviews can be helpful, as they're often more detailed ("the room smelled of moldy hotel carpeting") and straightforward ("the check-in staff was great, but the hotel was on a yucky street") than those from third-party organizations or tourism boards.

No. 4: Government-run ratings systems

Verdict: Government-run ratings systems may be self-interested -- the better a destination's hotels, the more tourists it'll draw -- and unregulated by a third party. Proceed with caution, and always refer to at least one or two other sources.

Most European countries have their own government-produced ratings, as well as countries in Asia, South America, and Africa. (There's no standardized system across Europe, but in 2009, an organization called the Hotelstars Union launched a drive to establish a common system across the EU. So far, 11 countries, including Austria, Germany, and Switzerland, are participating.) In Europe, reliability varies by country -- the U.K.'s system is uniform across Great Britain and fairly trustworthy, though tourist authorities have toyed with the idea of including user reviews.

In France, on the other hand, ratings aren't based on quality but on the presence of certain features (air-conditioning and bathroom facilities, for example). In Italy, a hotel can earn a single star just for changing the sheets on the beds once a week (don't let the bedbugs bite!). Also low on the reliability scale: Asia, South America, and Africa, where national tourism boards have no standardized criteria or oversight.

Budget Travel: 15 places every kid should see before 15

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2011 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

Hotel scoring systems vary from country to country

@highlight

Consistent criteria and anonymous inspectors make AAA and Forbes reliable

@highlight

Favor middle-ground reviews on user-generated rating websites