People who suffer from migraines with aura during middle age have double the risk of developing Parkinson's disease or other movement disorders later in life than those who do not, according to a study published Wednesday in the journal Neurology.

Migraines are the most common brain disorder in both men and women, according to the World Health Organization, and one of the top 10 most debilitating conditions.

Aura is the term used to describe the feelings and symptoms that happen shortly before and during a migraine.

"Roughly one-third of affected individuals can predict the onset of a migraine because it is preceded by an 'aura,' visual disturbances that appear as flashing lights, zig-zag lines or a temporary loss of vision," according to the National Institutes of Health.

Researchers followed more than 5,000 people between the ages of 33 and 65 for 25 years, who were originally enrolled in a clinical trial designed to study heart disease in Iceland. The participants were interviewed about migraine symptoms in middle age and then, about 25 years later, asked about Parkinson's disease symptoms. They were also asked about symptoms for a related disorder called Restless Legs Syndrome.

The results were based on the study participants' self-reported diagnoses, though in the majority of the cases researchers confirmed the diagnoses by looking at medical records and the participants' medication use.

"The patients in this study were not carefully examined and definitely diagnosed with Parkinson's disease," said Dr. Michael S. Okun, national medical director of the National Parkinson Foundation, which is why he believes more research is needed before drawing any conclusion that the two are related.

"Head trauma and other neurological issues can manifest with symptoms similar to Parkinson's disease and future studies will need to better control for these factors."

Compared to those without headaches, people in the study who suffered from migraines with aura in middle age were about twice as likely to have been diagnosed with Parkinson's disease when the researchers checked back. They were also more likely to report at least four symptoms commonly associated with Parkinson's disease later in life.

Parkinson's-like symptoms were also more common in those with migraine without aura, though the link was not as strong, lead study author Ann Scher told CNN in an email.

Scher, a professor of epidemiology at Uniformed Services University in Maryland, wants to make sure people understand the actual risk of Parkinson's disease in people with migraine is still very low.

Researchers don't yet understand why migraines might be linked to Parkinson's disease or other movement disorders, Scher says. They don't believe that the link is due to medications taken to treat migraines, some of which block dopamine. Nor do they think that the link is due to related brain diseases, "since we controlled for these factors."

Possible explanations for the connection, she agrees, might be a previous head injury or a shared genetic risk factor that increases the risk for both migraine and Parkinson's disease.

One common link may be abnormalities in dopamine production and dopamine receptors in the brain, said Okun. Some groups suggest the same dopamine treatment that helps Parkinson's patients may also help with migraines.

"Another theory is that in migraine sufferers there seems to be a higher deposition of metals, such as iron, in the brain and specifically in areas important to movement," said Okun. "Some experts believe that this metal deposition may place patients at risk for diseases like Parkinson's."

@highlight

Migraines are the most common brain disorder in men and women, WHO says

@highlight

Researchers followed more than 5,000 people for 25 years

@highlight

Experts say link between migraines and Parkinson's disease needs further study