ISTANBUL, Turkey (CNN) -- Two Iranians who were caught up in the waves of arrests that followed the disputed presidential elections in June have accused their captors of raping them.

By telling his story, Ibrahim Sharifi says, he "committed social suicide so this incident wouldn't happen to others."

An Iranian man and a woman made the allegations in separate interviews with CNN. Both said they fled to Turkey from Iran after claiming to have been threatened by Iranian security services. While CNN does not normally use the names of alleged rape victims, their names are included here with their permission.

CNN could not independently confirm their accounts. But the testimony of one of the alleged rape victims, Ibrahim Sharifi, was revealed last month by a prominent Iranian opposition leader who claimed to have gathered at least four accounts of sexual assault this summer in Iranian prisons. Sharifi's allegations were also included in a report published last week by two Western human rights organizations investigating reports of abuse in Iranian prisons.

"What we're encountering are numerous accounts of brutality, poor treatment, even torture, serious beatings, and a couple of cases, as you know, of alleged sexual assault -- rape," said Joe Stork, Middle East deputy director for Human Rights Watch.

The Iranian government has launched two investigations into the allegations. Iran's judiciary concluded there was no evidence of rape. A parliamentary fact-finding committee is still working on the issue.

Repeated calls by CNN to get reaction from Iranian officials to the claims of the alleged victims did not result in a response.

"Take him and get him pregnant"

Twenty-four-year-old Ibrahim Sharifi is a university student from Tehran who campaigned actively on the Internet for opposition presidential candidate Mehdi Karrubi in the run-up to the controversial June 12 vote.

When incumbent president Mahmoud Ahmadinejad was declared winner, Sharifi joined the throngs of angry protesters in the streets who accused the government of rigging the election.

On June 22, Sharifi said, he was kidnapped, handcuffed, blindfolded and stuffed into a car by three unknown men while he was walking home from language lessons at the Italian Embassy. He said they drove him to an unknown location, where he was stripped to his underwear. There, he said, he endured several days of beatings and mock executions alongside other male prisoners, all the time tightly blindfolded.  Watch Ibrahim Sharifi describe being tortured and sexually assaulted »

"They took us and they put a noose around my neck in a way that I was forced to stand on my tiptoes, unable to breathe," Sharifi said. "Somebody was constantly telling us ... 'You have received the oral sentence to be hanged, we are just waiting for the written order.'"

"There was the stink of piss and blood. It smelled terrible," Sharifi recalled. "I was beaten so much I didn't have any energy left to cry."

On the fourth day of his detention, during one of these mock executions, Sharifi said he finally snapped.

"I said, if you want to kill us, go ahead. Why do you play such games with us? And the response was a kick in my stomach that made me fall."

Sharifi said his captors kicked him repeatedly in the stomach until he started vomiting blood. He showed a pink scar on his belly from a previous car accident that he said was torn open by the blows.

"Then the guy told someone else, 'Take him and get him pregnant,'" Sharifi said, his voice cracking with emotion. "They tied my hands to the wall and tied my legs, and then did that thing to me. While doing it, he was telling me, "You, who cannot even defend your you-know-what, you wanted to conduct a revolution?"

Sharifi said he blacked out during the rape and woke up later, handcuffed to a hospital bed. A day later, he said, his captors dumped him, blindfolded, on the side of a highway.

"I was raped. Raped four times"

Twenty-one-year-old Maryam Sabri spoke to CNN by telephone from a Turkish city where, like Sharifi, she is waiting for the U.N. High Commission for Refugees to process her request for asylum.

She said she was arrested by men in plainclothes on July 30 while attending a ceremony at the grave of Neda Agha-Soltan, the Iranian woman whose death was captured by cell phone camera after she was shot during a protest in the streets of Tehran.

"When I asked them where was I being taken to, why have you arrested me, who are you?" their response was a constant slap on my face," Sabri recounted.

Sabri said she was interrogated several times after being detained. The sexual assault began during the third interrogation, she said.

"He said, 'OK, you wanted your vote back? Now I'm going to give back your vote." It was then that I was raped. Raped four times," she said.

"My hands were tied and my eyes were blindfolded," she said. "He threw me on the ground while pressing my throat with one hand, and both my legs were under the weight of his legs so I couldn't move at all."

Sabri said the last time she was raped, her assailant took off her blindfold and said he would release her on the condition that, once out of prison, she remain in contact with him and cooperate with him.

Several days after her release, Sabri said the alleged rapist, described as a man in his late 30s with light eyes and several days' worth of stubble, began calling her on her cell phone and threatening her.

She fled Iran several weeks later and applied for refugee status in Turkey.

Rape as punishment?

Human rights organizations Amnesty International, Human Rights Watch and the International Campaign for Human Rights in Iran have expressed alarm about the reports of sexual assault in prison.

"The issue is, are the authorities using rape as a tool to pressure people, to punish people?" asked Stork, the Middle East deputy director for Human Rights Watch. "In the case of the one individual, Ibrahim Sharifi, it appears it was a punishment."

Iran's parliament and judiciary launched investigations into the allegations. But last month, Iranian security forces raided the offices of Karrubi, the opposition presidential candidate and longtime advocate for prisoners' rights who first publicized the rape allegations. The offices of another opposition candidate, Mir Hossein Moussavi, were also raided in September.

Iran's powerful conservative parliamentary speaker, Ali Larijani, said a special committee of Iran's parliament, or Majlis, conducted a "precise and comprehensive inquiry" into the treatment at Tehran's Evin and Kahrizak prisons and found "no cases of rape or sexual abuse," government-funded Press TV reported last month.

Larijani accused Karrubi of spreading "sheer lies."

However, not everyone was persuaded by the investigation. "The Iranian authorities appear more intent on finding the identities of those who claim to have been tortured by security officials than in carrying out an impartial investigation," said Amnesty International Secretary General Irene Khan.

Sabri and Sharifi are members of a growing population of expatriate Iranian dissidents in Turkey. Both face an uncertain future as refugees here and worry about the safety of their families back in Tehran.

Sabri claims her father was arrested after she first went public with her rape testimony on the U.S. government-funded network Voice of America.

Sharifi, meanwhile, said that before he fled Iran, government investigators accused him of lying about his prison experience for money ... charges he angrily denies.

"I broke a taboo in Iran," he said, weeping. "I sat in front of the camera and committed social suicide so this incident wouldn't happen to others."

"I want the whole world to know that Iran's problems are not only limited to the nuclear issue," he said. "The Iranian regime plays games with other countries of the world. It plays the same games with its own nation and people."

@highlight

Two expatriate Iranians allege rapes in graphic detail

@highlight

Male, female Iranian dissidents give separate interviews to CNN

@highlight

Both are in Turkey, claiming they fled after threats from security services

@highlight

They were arrested after disputed June 12 presidential election