(CNN) -- Giant killer hornets have killed at least 42 people in China since July and left more than 1,600 injured and dozens more suffering from multiple organ failure and severe allergic reactions.

But the Asian giant hornets aren't just a problem in China -- they're also found in other countries, including nearby South Korea and Japan.

Travelers would do well to know how to behave if they're faced with these deadly creatures (tip: walk away, don't run).

While it's easy to assume that the relevant vaccinations -- and maybe an anti-malarial medication or anti-histamine -- would keep us safe on our overseas travels, such an assumption can be dangerous.

There are plenty of unexpected threats out there that could turn your vacation into a nightmare --- and possibly kill you. Here are 10 of the more treacherous creepy-crawlies out there.

10. Loa loa

This disease is spread by the bite of the innocuous mango fly, but can leave victims with worms crawling out of their eyeballs. (Google "Loa loa" at risk, the images are graphic.)

It's only number 10 on this list because it won't kill, and may not even blind, but it's still pretty freaky.

For travelers to sub-Saharan Africa the best protection method is to cover up with long sleeved clothing and consider using insect repellent.

9. Assassin Bug

The Assassin Bug first finds its sleeping victim using its natural thermal-imaging camera, then a chemo-sensor that can detect carbon dioxide.

Once it lands on the face the bug feeds on blood from the lips or eyelids -- without its victim even knowing it's there. As the insect feeds it also defecates, and that's how a tiny single-celled parasite can leave the assassin bug and enter your bloodstream, leading to Chagas Disease.

Over the years Chagas Disease can lead to the stopping the muscular contractions of the guts, leading to the body filling up with its own waste products, or it may simply cause heart failure. The bite of an infected Assassin Bug supposedly killed Charles Darwin, after decades of suffering.

Although present in the United States, this bug, and the disease it carries, is normally only a problem in Central and South America. Sleep in a romantic thatched beach hut at one's peril, because assassin bugs love making their homes in such places.

8. Botflies

If you knew that there was a large, slow-moving fly at large in South America, and that if it landed on you it was likely to lay eggs onto your skin that would hatch immediately and release larvae that would burrow into your flesh and eat you alive, then you'd probably squash it.

But the botfly has evolved to avoid this response by "kidnapping" other innocuous flies or mosquitoes and laying eggs on them instead of its intended host.

When the "kidnapped" fly lands on the skin, the eggs drop off, larvae burrow into the skin and make it their living dinner -- without the parent fly ever being at risk.

A botfly infestation might not kill, but is messy, and it hurts. Doctors will usually cut out the larvae pustule and prescribe antibiotics to clear it out of the system.

Again, the best protection is to cover up.

More: Surviving the world with Bear Grylls

7. Intestinal worms, roundworms, hookworms and tapeworms

These creatures rarely kill, but they will cause discomfort and embarrassment. In more severe cases, they can grow in the brain, causing fits and seizures.

Tapeworms are usually contracted when eating under-cooked meat, whereas the larvae of hookworms and roundworms don't even need to be eaten. They can access a body by burrowing through skin, without the victim noticing.

Once in your body, roundworms share their victims' ingested food (although they can also block the intestines). The hookworm, however, feasts on the blood.

Don't eat under-cooked meat and never walk barefoot in developing or tropical countries because the roundworm ascaris lumbricoides is said to infect 75% of the world's population.

6. Irukandji

The Irukandji jellyfish, considered by researchers to be one of the world's most poisonous creatures, is only the size of a thimble.

A tiny jellyfish that is almost invisible, the Irukandji has a painless sting, but can cause massive pain and suffering afterward.

The threat is not just for swimmers. It's been reported that a 45-year-old Filipino was stung by an Irukandji while fishing from a bulk carrier.

The man, who was airlifted to hospital, was 25 meters above sea level when stung. It's thought that the creature was blown up with sea spray. Jellyfish nets aren't effective either because this tiny animal can slip through.

Wearing a "stinger suit" is advised when swimming in Queensland or the surrounding region during Irukandji season, and never swim on beaches without lifeguards with reliable local knowledge.

This little beast is most problematic around the east coast of Australia.

More: A traveler's guide to eating insects

5. Wandering spiders

One of the most venomous and dangerous spiders in the world is the Brazilian "wandering spider," or "banana spider," although its bites are also famous for another nasty side effect.

The venom can cause involuntary and long-lasting priapism for men.

Chances are the victim won't be able to put it to good use before he dies from the other components of this potent toxin.

4. Bloodworms

The very name "bloodworm" sounds macabre. But the damage they can do to the human body, and the sheer scale of the problems caused by these tiny parasites, is far scarier.

The larvae (cercaria) of these little animals live in freshwater snails, usually in relatively clear water. But when they sense a warm-blooded host, such as a human being swimming past, they swim towards it, penetrate the skin, move around the body, and finally make their home in the intestines, or the bladder, where they can live and reproduce for up to 12 years gradually destroying the organ that they made their home.

It sounds like something out of a sci-fi film, but it is definitely not rare. Up to 200 million people suffer from schistosomiasis (bilharzia) worldwide and a large proportion of these will die prematurely from the illness.

The solution -- don't swim in slow moving fresh water anywhere in sub-Saharan Africa or South America. In other places check first. People have even contracted the disease in un-chlorinated swimming pools in Rio de Janeiro.

3. Sand flies

In South America a sand fly bite can lead to the eyes or nose being eaten away by bacteria, and in the Indian sub-continent the disease that they carry can (and often does) kill.

The tiny flies don't make a buzzing noise and can sneak through mosquito nets, making any form of defense difficult.

Insect repellent, long-sleeved clothing and avoiding sand fly habitats are the best tactics.

2. Day-biting mosquitoes

Researchers are working on a dengue fever vaccine. For now, the only protective measure is to cover up and wear repellent.

Most of us know that we should avoid going out at night without some form of protection against evening-biting mosquitoes, whether that is in the shape of long-sleeved clothes, insect repellent or simply staying inside.

However, day biting mosquitoes can spread a disease called dengue fever, otherwise known as "break-bone fever."

The first time the victim contracts it, he or she will probably survive. The second time it's possible to develop dengue hemorrhagic fever, in which case one's organs can turn to mush and bleeding proceeds from every orifice -- and there's a good chance of death.

Dengue is widespread across most of the tropics, with cases often occurring among backpackers on idyllic Southeast Asian islands, but if that's not bad enough daytime biting mosquitoes can also spread tiny worms that cause lymphatic filariasis.

Also known as "elephantiasis," the worms block the lymph nodes of the body's drainage system" causing testicles to swell to the size of beach balls and legs to resemble tree trunks.

In areas of India up to one third of the population may be infected, and the disease is essentially incurable.

So, cover up in the day time as well as the evening, unless you know that it's safe to bare your flesh.

1. Candiru fish

Candiru fish attacks are not a regular occurrence, but the consequences are so dire that it definitely merits its place as the No. 1 craziest threat when traveling.

The way to avoid this blood-sucking fish's unwanted attentions -- don't pee in the Amazon.

Though there's much debate about this fish and alleged tales of its attraction to urine, no man wants one stuck in their urethra, as happened to at least one poor chap in recent years.

Once inside, it will feed on flesh before surgery is required to get it out.

Tae kwon do black-belt and former motor vehicle mechanic Dr. Mike Leahy is the host of "Bite Me" TV program, which is currently being re-run on National Geographic. You can catch up with Mike at www.mikeleahy.tv or follow him on Twitter @OfficialDrMike.

@highlight

Killer Asian giant hornets aren't just a problem in China but in other Asian countries

@highlight

Travelers should not assume vaccinations and medications will keep them safe from deadly insects

@highlight

Covering up is essential during travels