Washington (CNN) -- President Barack Obama and Republican challenger Mitt Romney are neck-and-neck in national polls, while Obama has an edge in crucial battleground states that will decide Tuesday's election.

The dynamic sets up a possible outcome that has happened rarely in American politics and could undermine the credibility of the victor -- Romney beats Obama in the overall vote, but the president gets reelected by winning the decisive Electoral College.

It would be the fifth time in history that the candidate who got the most overall support didn't win the election, and the first time that an incumbent president prevailed without capturing the popular vote.

Explainer: What happens in a electoral tie?

Analysts acknowledge that such an outcome could happen, especially when the race is so tight, but they called it unlikely.

State results generally follow the national trend, they say, so the chances were remote that Romney's victory margin in states he wins will be so much larger than Obama's in states the president wins that it would counter the Electoral College result.

"If the state polls are right, then Mr. Obama is not just the favorite in the Electoral College but probably also in the popular vote," Nate Silver wrote last week in the New York Times' FiveThirtyEight blog that analyzes polling data and trends.

Sean Trende, the senior elections analyst at RealClearPolitics.com, wrote last month that the chances of a popular/electoral vote split were about one in three if the candidates are within one percentage point of each other in the overall count.

Under the Electoral College system, each state is worth a certain number of electoral votes based on population. The winner of the popular vote in each state gets its electoral count, with 270 of the 538 available needed for victory.

Politics: Voting challenges in battleground states could create drama, headaches

The last split between the popular and electoral vote was 2000, when Democratic Vice President Al Gore outpolled Texas Gov. George W. Bush by more than 543,000 votes in the raw count but narrowly lost the electoral tally.

In an outcome decided by a controversial Supreme Court ruling that gave Florida to Bush by 537 votes, the Republican challenger ended up with 271 electoral votes to Gore's 266, while Gore got 48.4% of the popular vote to 47.9% for Bush.

Prior to that, all previous occurrences were in the 19th Century, when the population was smaller and spread among fewer states. In 1888, Republican Benjamin Harrison defeated incumbent Democratic President Grover Cleveland by 233-168 in the Electoral College even though Cleveland won 48.6% of the popular vote to 47.8% for Harrison.

Twelve years earlier, Republican Rutherford B. Hayes defeated Democrat Samuel Tilden by one electoral vote, 185-184, while Tilden won 50.9% of the popular vote to 47.9% for Hayes. The result was so contentious that it took a special electoral panel to decide that Hayes was the winner.

Politics: Why Tuesday, why November, why elephants? Election riddles solved

In 1824, John Quincy Adams lost both the popular and electoral vote to Andrew Jackson, who failed to get the minimum Electoral College support for victory. The House of Representatives decided the winner and chose Adams, the son of America's second president.

Any close election causes raw emotions and the uncertainty from popular/electoral vote splits can undermine the legitimacy of the winner, noted Wendy Schiller, a political science professor at Brown University. That would be especially true this time if Obama, the incumbent, claims victory without getting more overall votes, she said.

"When you look at an incumbent president that can't win the popular vote, you look at a guy that's very hobbled from the start," Schiller said. "For governing, it creates a much bigger problem than it does for the legitimacy of the election."

At the same time, she added, it would be hypocritical of Republicans to cry foul when they benefited from the same situation just 12 years ago, saying: "If you win that way, you have to be prepared to lose that way."

Another factor that could contribute to a popular/electoral vote split is devastation from Superstorm Sandy in states like New York and New Jersey, which were expected to provide strong support for Obama. While the president will still win both, his overall vote total could be lower if turnout is reduced in the aftermath of widespread power outages and structural damage from the storm.

Opinion: Obama's victory won't transform America

Schiller, however, said the election results would clearly demonstrate such a scenario, providing an explanation for what happened that would soften challenges to the legitimacy of an Obama victory via the Electoral College.

"I don't see any legitimate claim by either side that the system isn't going to function well, even if you get this distortion," she said.

Electoral College voters, called Electors, will meet on December 17 in their respective states and vote for president and vice president on separate ballots.

In the case of a tie between Romney and Obama, the House of Representatives would meet in January to decide the president, with each state getting one vote. The Senate decides the vice president.

With the likelihood of a Republican-controlled House and a Democratic-led Senate, an Electoral College tie between Obama and Romney would make possible a split administration, with Romney as president and incumbent Joe Biden as vice president.

Share your reaction to the election

CNN's Bill Mears contributed to this report.

@highlight

Mitt Romney and Barack Obama neck-and-neck in polls

@highlight

Winning the popular vote doesn't guarantee the White House

@highlight

Candidates must win 270 electoral votes to prevail

@highlight

The winner of the most votes has lost four times before