(CNN) -- One of the many questions surrounding the revelation that Americans Kent Brantly and Nancy Writebol received a little-known, experimental serum for their Ebola infection is: "Why did we hear nothing about it earlier, and how did they gain access to it?"

Ebola has no cure, although potential medications and vaccines are in various states of development. The serum ZMapp, an experimental product of Mapp Biopharmaceutical, hasn't been tested in humans, which means it doesn't meet a primary requirement for FDA approval -- so its obscurity is no surprise.

The Americans managed to gain access to what more than 1,660 infected people in Guinea, Sierra Leone, Liberia and now Nigeria did not: medicine that seems to work -- although, of course, we don't know for sure yet. Some reports indicate they received ZMapp under the FDA's "compassionate use" rule, which permits untested drugs to be given to consenting patients who might otherwise die. This is a triumph of common sense and compassion over bureaucratic red tape.

One of the chief concerns about using unapproved medications is that we don't know what the risks are: The drug may not work, it may work with serious adverse effects, or it may prove as deadly as the disease. But as a doctor, Brantly understood the risks, and like him, Writebol had no other options. Most people with Ebola die.

Compassionate use is certainly ethically defensible. But apparently only three doses were available, and they were given to Westerners. The lack of broader access to ZMapp highlights what is often a very serious ethical failing.

9 questions about this new Ebola drug

Why didn't Dr. Sheik Umar Khan, the chief Sierra Leone physician who died while treating Ebola patients, receive this medication? Because another method of determining who gets medications is at work here -- the drearily familiar stratification of access to a drug based on economic resources and being a Westerner rather than a resident of the global South.

No health worker wants to intentionally deprive Africans of a needed drug. But informal medical networks, which Africans lack, connect well-to-do Westerners with information and drugs. In addition, the pharmaceutical industry has a history of declining to test medications for diseases of the tropical world, most of whose inhabitants cannot afford high prices.

We don't know how quickly ZMapp could be made in large quantities. If it were to be made available, who should receive it? Some think Ebola doctors and caregivers should, because their survival is essential to treating and quelling the epidemic. This makes sense, but it's not that simple.

First, it violates the principle of distributive justice: The benefits of the drug are being inequitably distributed, with skilled, economically secure professionals more likely to benefit.

Also, by what reckoning do we decide that the doctors' role increases their value and dictates they should be given a preferential chance to survive? Distributing the drug through a clinical trial would allow us to know whether and how well the medication works and what caveats might apply.

Africans must participate in any clinical trial, which would benefit the pharmaceutical company as well as, it's hoped, Ebola victims. This would mean their lives have irreplaceable value, too, in the equation of who should get the drug.

So, will Africans receive this potentially lifesaving medication?

A U.N. official suggested that drugs cannot be tested in the middle of an epidemic -- but he is wrong. Such tests are conducted all the time.

Dr. David Ho tested AIDS drugs in Uganda in the midst of the pandemic, and the meningitis drug Trovan was tested in Kano, Nigeria, in the midst of an epidemic. One of every three industry trials is conducted in developing countries; scientists often point to high disease rates, including epidemics, as a rationale for conducting them there.

The problem is not testing the drug amid an epidemic. The question is how ethically such trials are conducted.

Only small amounts of ZMapp are available now, but as soon as it can be made in quantity, the drug for Ebola should be made available to Africans in all the regions that are threatened by the epidemic, regardless of ability to pay.

If possible, it should be distributed within clinical trials to determine the safety and efficiency of the medications. Many people assume this requires withholding medications in a control group, but this is not necessarily the case. Experts should and can mount a well-designed study that permits early access to the medication to all who need it.

But if they cannot ensure that sick people get the drug early, then a clinical trial should not be any more of a requirement for poor Africans than it was for Kent Brantly.

It's also natural to wonder whether the threat of Ebola to the Western world, not to Africans, drives this initiative because so few such drugs are devised for Africans.

This simply highlights another reason why we should so our utmost to protect people from Ebola: our medical interdependence. If Ebola makes landfall in the United States, we will need drugs like ZMapp, just as Africans need them today.

@highlight

Americans with Ebola received an experimental medicine that seemed to help

@highlight

Harriet Washington: Poor Africans don't have access to lifesaving medicines

@highlight

She says access to drugs often based on how much money you have and if you're a Westerner

@highlight

She urges this drug be made in quantity and given to infected West Africans in a trial