(CNN) -- The Higher Security Council, in charge of "organizing and securing Tripoli," announced Thursday that courts in the city will start operating next week.

"People must realize that the country's system has been destroyed and is being rebuilt now," said Lt. Colonel Mustapha Nooh, head of the council.

He said detained prisoners will be directed toward the general prosecutor for "clearer" due process.

The change was announced the same day a report from Amnesty International detailed claims of abuse against prisoners by anti-Gadhafi forces.

For example, last August, fighters in a house in Abu Salim tied the hands of two brothers from the southern city of Sabha and beat them while taking them into custody, according to the report.

"They beat us several times using their rifles," the elder brother told the human rights group. "They also whipped us. When they transferred us to Mitiga (the airport detention facility), they forced us to walk on our knees to the vehicles while they insulted and beat us. They accused us of being mercenaries."

The report says that militia members detained as many as 2,500 suspected Gadhafi loyalists in the Tripoli area and that, in nearly every case, people were arrested without warrants and far from the oversight of the Ministry of Justice.

Diana Eltahawy, Amnesty's North Africa researcher, told CNN on Thursday that the arrests were more like abductions -- people taken from their homes by unidentified captors carrying out raids on suspected Gadhafi loyalists.

"We spoke to several guards," said Eltahawy, who added she heard screams from detainees being whipped as she waited in one of the facilities. "They didn't see a problem to beat detainees to extract information. To them it was normal."

It was the way things had been done for the four decades of Gadhafi's iron-fisted rule. After visiting 11 facilities and interviewing 300 detainees, some of them women and children, the Amnesty team found that culture very much in place as Tripoli was falling.

A 17-year-old boy from Chad, accused of rape and of being a mercenary, told Amnesty that he was taken from his home in August by armed men who held him in a school where they punched him and beat him with sticks, belts, rifles and rubber cables.

"The beatings were so severe that I ended up telling them what they wanted to hear," he said. "I told them I raped women and killed Libyans."

In issuing the report, Amnesty International called on Libya's National Transitional Council to put end such human rights violations.

Many of the militias are working outside the law, Eltahawy said. "What the national council needs to do from the very beginning is to send a strong signal that this behavior will not be tolerated," she said.

Nooh acknowledged incidents of abuse but said they were isolated. He said members of his security staff were present during the Amnesty International interviews and that they have nothing to hide.

He denied the scope and gravity of the abuses depicted in the Amnesty International report.

"Yes, there have been infringements related to beating detainees under arrest, but I would not call it torture," Nooh said. "These are isolated incidents caused by rebels who were emotional due to the fighting and losing friends or relatives in the war, but it's no organized beatings or designed to extract confessions."

Human Rights Watch has also documented accounts of detainee abuse that amounts to torture.

The global monitor issued a report earlier this month that urged Libya to ensure that the rule of law prevails as it forges ahead in building a new nation.

Those interviewed told Human Rights Watch that they were beaten and given electric shocks. Some showed their scars as proof of their claims. One man wept openly in telling his story of abuse.

A detainee identified as Ahmed said this:

"They took an electric cable and started hitting me with it. They didn't use electricity, but they said that if I didn't talk, they would. ... They hit me with a butt of the Kalashnikov. They kicked me in the face and in the chest. One scratched me with the knife (bayonet) of the Kalashnikov."

Human Rights Watch said none of the detainees has ever faced a judge.

"After all that Libyans suffered in Moammar Gadhafi's jails, it's disheartening that some of the new authorities are subjecting detainees to arbitrary arrest and beatings today," said Joe Stork, deputy Middle East and North Africa director at Human Rights Watch.

As a state party to the International Covenant on Civil and Political Rights and the U.N. Convention against Torture and Other Cruel, Inhuman or Degrading Treatment or Punishment, Libya has an obligation to prevent torture and abuse, Amnesty International said.

Libyan authorities, the group said, cannot allow such abuses to go on simply because the nation is in a transitional phase. If they do, said the human rights activists, Libya's new leadership will be no better than the old.

Nooh also spoke Thursday against foreign security companies coming into Libya.

Noting that "there is no clear visa system for entry and the borders are not fully organized," he said that nine foreign security companies, some of them American, have established bases in Libya without permission.

"We have compiled data on them and informed the United Nations," Nooh said. "The Libyan people (do) not want foreign security companies."

CNN's Mohamed Fadel Fahmy and Moni Basu contributed to this report.

@highlight

NEW: "The country's system has been destroyed," says the head of Tripoli operations

@highlight

NEW: The announcement comes the same day Amnesty International issues damning report

@highlight

Suspected Moammar Gadhafi loyalists were beaten and abused, the group says

@highlight

Human rights activists say rule of law, absent in Libya under Gadhafi, must be ensured