(CNN)Yemeni officials said Saudi airstrikes targeting a military base on Tuesday hit a nearby school, injuring at least a half dozen students.

The information came from two officials with the governor's office in Ibb province, where the school is located, as well as Houthi sources from the rebel group that is fighting for control of the country.

A third source, with the Education Ministry in Ibb, said three students had been killed at the Al Bastain School in Maitam, in southwestern Yemen, as a result of an airstrike.

The officials from Ibb's governor's office said the Al Hamza military base was targeted because Houthis have been sending reinforcements from Ibb to nearby provinces. There were no casualties on the base, the officials said, but it was heavily damaged.

The school, which is about 500 meters (one-third of a mile) from the base, was not the main target, the officials said. Schoolchildren were heading to their lunch break when the attacks took place, the officials said.

The incident was another example of what has become evident in recent days: The chaos in Yemen, now the scene of some of the most chaotic fighting in the Middle East, has left civilians -- noncombatants, both locals and foreigners -- caught in the crossfire.

Those trying to escape the violence, either by leaving their homes or by leaving the country altogether, have been flung into a vortex of fear, fatigue, flight and death.

Explosions shattered windows in Sanaa, the country's capital. The fighting has killed hundreds of people in less than two weeks.

At least 74 children are known to have been killed and 44 children maimed since the fighting began on March 26, UNICEF said Monday in a statement. That did not include the children reportedly killed Tuesday in Maitam.

Separately, Saudi airstrikes wiped out about a fifth of the armored vehicles recently captured by southern separatists opposing the Houthis near Aden, according to a senior official in the separatist movement.

The official expressed frustration about the lack of coordination between the Saudi military and friendly forces in the region, including the anti-Houthi southern separatists. (The Houthis are also sometimes referred to as southern separatists).

"The Saudis have no one on the ground in Aden," he said, calling for the military to work out a means of coordination. "There is very little coordination."

The group had recently captured about 100 pieces of mixed armor. Among the captured weaponry, the official said, were tanks, armored personnel carriers, and some large artillery.  About 20 pieces were destroyed in the Saudi attack that took place near an old oil refinery.

Over the weekend, a Saudi-led coalition smashed parts of Yemen's Defense Ministry Central Command in the capital, senior Yemeni officials said.

Despite the rain of bombs, the Houthis still control Sanaa. But the airstrikes have destroyed much of the city's infrastructure.

The electricity has gone out on 16 million Yemenis living in Houthi-held areas, the Yemeni officials said. Many fear they will lose access to clean water as well.

Yemenis and foreigners are scrambling to leave. Passengers carrying duffel bags and plastic sacks stuffed with clothes were seen boarding an Air India flight as they hastened to leave the capital. Some of them sprinted to the plane.

This was a flight that no one wanted to miss.

Many were not newcomers to Yemen. Damodar Thakur, a professor at Sanaa University, had lived in the capital for 34 years.

"I never felt like a foreigner," he said.

He was exhausted by the shelling.

"At night, my goodness!" he said. "Gunshots being fired every minute. Sometimes the sky full of sparkling lights. Some women crying, children terrified. Really bad."

Over the last few days, India has evacuated 2,500 people from Yemen, said Vijay Kumar Singh, the Indian deputy foreign minister overseeing the evacuation. The flights are going to Djibouti, a small African nation about 430 kilometers (265 miles) away.

Some evacuees are fleeing on boats from port cities such as Aden.

"More cars in the streets in #Aden. Scared families rushing away in cars with smashed windows & suitcases & mattresses on the roof," tweeted Robert Mardini, head of operations for the Middle East for the International Committee of the Red Cross.

Why is Saudi Arabia bombing Yemen?

Houthi rebels control Sanaa, including the airport. But because of the airstrike campaign, the Saudis to some extent control air access, so getting people out requires coordination. The Saudi air force gave Air India a four-hour window to go to and from Sanaa and a specific travel route for a safe landing.

As the Air India plane approached the city, the crew could see the scars of the fighting. There were no cars on the roads. Dozens of buildings were destroyed.

At the airport, the landing strips and airport terminal were untouched by Saudi bombs, but buildings on the outskirts of the airport and planes along the airstrip had been blown to bits.

Loading of the passengers was swift. They approached the planes carrying boarding passes -- a touch of normalcy in an otherwise abnormal event. They didn't pay for the flight, but they had to purchase exit visas from the Houthis.

Children sat on their parents' laps to maximize the number of people on the plane. Some passengers fell asleep as soon as they took their seats before takeoff. Everyone seemed to carry the weight of war, especially nurses who had tended the wounded.

From Djibouti, the evacuees will most likely disperse to their home nations.

"Now I can only pray for Yemen and those we left behind," Thakur said.

Who's joining Saudi Arabia's fight against the Houthis?

Yemen has descended into chaos in the weeks since Houthi rebels, Shiites who complain of being marginalized in the majority Sunni country, forced President Abdu Rabu Mansour Hadi from power.

The Houthis put Hadi under house arrest when they overran Sanaa in January. But Hadi escaped in February, fled to Aden and declared himself still President.

Houthis and their allies, including those loyal to Hadi's predecessor, then fought Hadi's forces in the Aden area. Hadi fled Aden in late March, ultimately for Saudi Arabia, when the rebels and their military allies advanced on the city.

The conflict prompted Saudi Arabia, a predominantly Sunni nation and Yemen's neighbor to the north, to intervene with force along with other Arab nations.

The Houthis are allied with Iran, Saudi Arabia's bitter rival across the Persian Gulf, and the Saudis do not want an Iranian proxy in power on their border.

At his daily briefing on Tuesday, Saudi Brig. Gen. Ahmed Asiri told reporters that the ties between the rebels and Iran were clear.

He accused Iran of training Yemeni youths to use military aircraft and weapons. After the Houthis seized Sanaa, he said, "there were 14 flights a week coming from Iran carrying weapons and ammunition for the Houthi militia."

The U.S. role in backing the Saudis has grown since the bombing campaign began two weeks ago.

"We have expedited weapons deliveries, we have increased our intelligence sharing, and we have established a joint coordination planning cell in the Saudi operation center," Deputy Secretary of State Anthony Blinken said. In addition, the United States has promised to resupply the Saudi weapons stocks used in the last two weeks.

U.S. Defense Secretary Ash Carter "emphasized the importance of limiting civilian casualties when conducting airstrikes" when he spoke with Saudi Defense Minister Prince Mohammed bin Salman on Monday, the Pentagon said.

What about sharing intelligence when it comes to identifying targets?

That's a sensitive issue, given the rebels' ties to Iran and concerns about civilian casualties.

Guidance from U.S. Central Command stops short of allowing the United States to tell the Saudis what targets to bomb, according to two U.S. defense officials who confirmed details of the guidance to CNN, but declined to be identified due to the sensitivity of the matter.

The guidance allows the United States to review targets the Saudis have selected, the officials said, and advise them if there are civilian areas nearby or other "no go" spots such as mosques and hospitals.

CNN's Samira Said, Joe Sheffer and Barbara Starr contributed to this report.

@highlight

Saudi military official accuses Iran of training and arming rebels

@highlight

Yemeni officials say school hit by airstrikes; one source says three students killed

@highlight

Noncombatants are caught up in Yemen's fighting