You've heard of CNN, but unless you pay close attention to photo and video credits on news sites, you've probably never heard of the Syrian group SNN.

The Shaam News Network is one of several groups that aggregates photos and videos taken by citizen journalists in Syria and tries to show them to the world.

Most recently, the group came into the news on Friday after it played a role in distributing images from a U.N.-condemned massacre in the village of Houla, which left 108 people dead, including some children who reportedly were axed to death.

YouTube, meanwhile, put a collection of 10 videos from Houla on its homepage on Saturday in an effort to raise awareness about the bloodshed there.

Of all the content, one particular photo -- of a tile room lined with bodies wrapped in white cloth -- became the de facto symbol of the violence in Houla. It has been run by numerous news websites, including this one, with credit attributed to Shaam News.

Photos: Images paint horrific scene in Houla

The photo and the group highlight a crucial trend as the government of Bashar al-Assad continues to crack down on protestors and rebels: Activists and everyday people have taken it upon themselves to record violence against themselves and their neighbors and to distribute it online. And they do so at great risk to themselves.

"Perhaps the single most important way that people are telling their stories is through clips uploaded through YouTube," Ausama Monajed, a member of Syria's opposition group, said during a recent talk at the Oslo Freedom Forum, according to a live blog of the event that was posted online. "And activist have learned that for this information to be credible, it must be properly dated and documented. And they are hoping that one day, these videos may be used to bring the regime to justice.

"If a picture is worth a thousand words, a video is worth a thousand times more."

Should the U.S. 'airdrop' millions of phones into Syria?

Networks like SNN have become aggregators and, in a sense, gatekeepers to the videos uploaded by citizen journalists. Syrians often will upload controversial videos to YouTube anonymously and without any information about the content, said David Clinch, editorial director at Storyful, a company that verifies and distributes videos from citizen journalists to news organizations. The videographers then text information to aggregators like SNN, which adds details and distributes the videos more widely.

The division of labor is intended to make the process of uploading information safer for all those involved, he said. And in a place where it's difficult or sometimes impossible for journalists to report on the news, these images have become all the more important, said Clinch, who is a former CNN employee.

"It's hugely significant," he said. "As far as I can tell there were no international journalists anywhere near Houla when this happened and so the only original video from when the immediate aftermath -- not just of the bodies but of the shelling and everything else -- was provided by what you could call citizen journalists."

He added: "By the time the U.N. got there the next day and shot video themselves, any number of things could have been changed or moved and manipulated."

CNN cannot verify the authenticity of all photos and video submitted by citizen journalists in Syria, in part because the government restricts the movement of journalists in the country. Clinch said aggregators like Shaam are somewhat helpful at attempting to verify the authenticity of this kind of media, but they don't always get it right.

As The Atlantic's Max Fisher wrote on Monday, at least one fake image from the massacre in Syria made it onto a major news website. The mistake, made by the BBC, "seems like an innocent one, and is in some ways an inevitable result of the changing ways in which international media cover conflict zones," he wrote.

Shaam was founded in 2011, after the conflict began, by a man named Abulhassan Abazeed, according to an e-mail from a man who identified himself as Jafar Alkheer, and who is acting as a spokesman for the organization. Even he does not know how many people contribute to Shaam News. "There's no specific number of activities as some of them have been arrested, killed, or wounded the remaining volunteers are not dedicated to reporting to the network," he said.

The group's goal is to counteract misinformation from the Syrian regime. He added: "We don't have any kind of protection from any organization, we are always in danger."

According to its website and Facebook page, Shaam is headquartered in Damascus, the Syrian capital.

Anas Qtiesh, a Syrian activist based in San Francisco, said SNN has been a "prime source" for videos and grassroots information coming out of Syria. The group has become so closely watched that fake SNN accounts have popped up on Facebook and YouTube, Qtiesh said, with similar logs but wildly different information.

"They are really valuable," he said. "It's just very tricky to verify it sometimes because the regime often fakes activist videos just to discredit them."

He added: "Videos spread like wildfire once they're out so it's very important that they be verified before they're uploaded."

Qtiesh pointed to a Facebook page for "Shaaam News," with too many A's in its name, and three YouTube channels -- shaamnews2, shaamnews6 and shaamnews10 -- as fakes that are likely operated by people loyal to the al-Assad regime in Syria.

YouTube, the Google-owned video site, is working with Storyful to try to verify activist videos from Syria and distribute them via its website. The company has created a Human Rights channel and a CitizenTube channel to highlight the verified videos.

YouTube appears to be making efforts to keep content that has high news value on its platform, even if the content could be deemed objectionable or graphic. The video channel occasionally marks clips as graphic or requires users to sign in to prove that they are older than 18 before watching videos that are violent or gruesome.

Jillian York, director of international freedom of expression at the Electronic Frontier Foundation, said in an e-mail that YouTube and Facebook generally are doing a good job of making sure videos from Syrian activists surface on their platforms.

"YouTube has been great about keeping content up, even recently creating a human rights channel with the organization Witness," she said. "Their policy is, explicitly, to keep up violent content if it is educational or documentarian in nature."

A YouTube spokeswoman declined to comment on the record for this story.

Getting the videos from Syria to the Internet is, of course, a major challenge.

Clinch, from Storyful, said many Syrian activists upload videos via proxy servers, which are located in other countries, so that it's more difficult for the government to track them. They also may scramble their communications or run small hard drives or camera cards across the border to neighboring countries so that they can be uploaded, he said.

The Syrian government, meanwhile, has been tracking their efforts with some success.

According to a report from CNN's Ben Brumfield: "Supporters of dictator Bashar al-Assad first steal the identities of opposition activists, then impersonate them in online chats, said software engineer Dlshad Othman. They gain the trust of other users, pass out Trojan horse viruses and encourage people to open them."

Clinch said dozens of YouTube videos still are uploaded from Syria every day. Watching these clips, from SNN and many others, is perhaps the best and fastest way, he said, to get a sense of what's really going on inside the country right now.

Four journalists have been killed in Syria since the conflict began, according to the activist group Reporters Without Borders. U.N. officials say more than 9,000 people have died in the conflict, which began in March 2011.

Opposition groups put the number at more than 11,000.

@highlight

Shaam News Network or SNN helps distribute amateur videos from Syria

@highlight

The information is increasingly important as it's difficult for journalists to report there

@highlight

A photo credited to SNN came to represent Friday's massacre in Houla

@highlight

108 people died in the massacre, according to reports