LONDON, England (CNN) -- It's the biggest film industry in the Middle East and known as the Hollywood of the Arab world. Veteran players like actor, Omar Sharif and director, Youssef Chahine are known to film fans the world over.

Censors allowed Youssef Chahine's latest film "Heya Fawda" which is about police brutality

"Egypt is the only country in the area, in the Middle East, which has cinema industry in all the meaning of the word" explained Ezzat Abou Auf, the President of Cairo Film Festival.

But until recently strict state control which favors censorship -- and a monopoly on the industry by a handful of corporate giants peddling formulaic romantic comedies -- led to many years of decline for the Egyptian film industry.

Omar Sharif -- famous globally for roles in the David Lean epics, "Lawrence of Arabia" and "Dr Zhivago" -- agrees that censorship is harming the Egyptian film industry.

"We have the studios, we have all the amenities they need but we have censorship. We have to check the script they're shooting, we have to agree with it, that there is nothing anti-Arab, Anti-Muslim. We're losing a lot of income because of censorship here," he said.

Today, a new wave of movie-makers are breaking traditional taboos, challenging the censors and taking Egyptian film into new markets around the globe.

The latest of these films, "The Yacoubean Building" was seen as a landmark in Egyptian cinematic history. It had the biggest ever budget and an all-star cast led by the revered actor Adel Imam and featuring popular actress,Youssra.

It also included subjects to challenge the censors and religious conservatives, including homosexuality and terrorism.

The film's director, Marwan Hamed, says he had to work with the censors to ensure the script would be approved before filming: "It's very important that you tackle a taboo subject but at the same time you don't want the audience to leave the cinema and go, especially when you have a conservative audience," he told CNN.

"The head of the censors, Mr. Ali Abou Shadi, was originally a very important film critic and he's very liberal. I sat with him a lot and I told him what I was gonna do. It's not about being the bravest it's about being entertaining but at the same time giving the people the chance to watch the film," he continued.

Abou Shadi, head of the Egyptian Censorship authority says they are becoming more tolerant of controversial issues. "In my own experience as a censor, I can assess that there is more freedom than in the past," he said, "Some recent films like "The Yacoubian Building" and certain films of Youssef Chahine were examples of films that would never have passed the censor in earlier times."

"Heya Fawda" ("Chaos") the latest release of Egypt's greatest living director, Youssef Chahine -- almost 60 years after his directorial debut -- has ruffle feathers. The film tackles police brutality and corruption, both among several sensitive issues, which have challenged the Egyptian censors.

Censorship can be used as a tool to protect political regimes and public behaviours and beliefs, in Abou Shadi's view. "Egypt, like many other Arab countries suffers from a very conservative or Islamic current. This creates a lot of confusion and means that creative talented people often find themselves in opposition to the fundamentalist parties," he said.

But he is very positive about the future: "I like to think that in this last period with a new political climate and more freedom, censorship has become more tolerant to innovation."

One production company that is dramatically shaking up the whole film industry in Egypt is "GoodNews4Film". It is the go-getting media giant behind "The Yacoubean Building" and its ambitions are stretching in many directions.

Its latest production "The Night of the Baby Doll" -- has a budget of 40 million Egyptian pounds. That's about $7 million -- a relatively modest budget in Hollywood terms but a figure which would typically finance three Egyptian movies.

"We think and produce cinema in the same way as the Americans do", says Adel Adeeb, director of "Baby Doll Night" and managing director of Good News4Film.

Bigger budgets means improved film quality and and in the future, the company hopes to produce films in English as well as Arabic. Adeeb acknowledges that in order to work internationally subject matter has to change to be, perhaps, less tuned in to local audiences in favour of wider ones -- but he is convinced cinema has the power to communicate over national borders.

"We're trying to work internationally because we need to communicate. This is the glamour or the magic of cinema. We know the jeans or the hamburger, everything from the American movies, so I think people will know us," he said.

The company aims to broaden minds beyond images of gun-battles and belly dancing synonymous with the region. "Night of the Baby Doll" is a comedy which highlights misunderstandings between the Arab and western worlds post-9/11 -- it will be followed by an Arab take on the legend of Sinbad.

A new generation of film makers is emerging from Cairo's Higher Institute for Film Studies -- and more women are now following the path towards a future in film. What's very promising is that women are getting involved in directing and producing excellent work, according to Ezzat Abou Auf.

"We have Hala Khalil, whose film "The Best of Times" won an award at Cairo Film Festival. We have Sandra Nasha'at. We have very promising young ladies in the directing business," he told CNN.

But even as some degree of liberation descends upon the Egyptian film industry, there are reminders about the boundaries of tastes - a lesbian kiss in Khaled Youssef's latest film "Until Things Get Better" brought calls for the director and both actresses to be jailed on moral grounds.

Marwan Hamed believes such challenges will continue but must be met face to face: "We will struggle a lot to be more daring because the films that were done recently they had a big effect on the audience and I don't think we will be able to work as freely as we did. But I think there's a new generation of film-makers that are very strong, hungry and really want to do something about it," he said.  E-mail to a friend

@highlight

Egyptian film industry known as the "Hollywood of the Middle East"

@highlight

But strict state censorship has pushed it into a decline for some years

@highlight

A new breed of filmmakers are breaking taboos and taking Egyptian film global

@highlight

"The Yacoubean Building" had a big budget and controversial subject matter