(Budget Travel) -- If the two forks of Long Island's East End were sisters, the North Fork would undoubtedly be the innocent, modest one.

Edgewater Cottage in Orient offers three rental apartments that share a front porch overlooking the water.

She has none of the glitz of her southern peninsular twin, the Hamptons. Celebrities don't seem to pay her much attention. She faces the quiet Long Island Sound instead of the lusty open ocean. And instead of a party scene, she offers bucolic countryside dotted with wineries and farm stands.

But, as with sex appeal, geographic appeal is a matter of taste. Some of us prefer the North Fork's easygoing charm to her famous sister's haughty glamour. The North Fork may not be as posh as the Hamptons, in other words, but she has a better personality.

"The North Fork is like a young Sonoma," says Joe Watson, who opened Vine Wine + Café, in Greenport, one of the area's biggest villages, in 2006. Long Island's wine country occupied fewer than 20 acres of vineyards some 35 years ago, but today there are more than 4,000 acres. Local wines have been touted in Wine Spectator.

This -- in combination with easy access to fresh seafood and produce -- has attracted a thriving group of epicures. Chef Tom Colicchio (of Top Chef fame, owner of the Craft restaurant empire, and cofounder of Manhattan's tony Gramercy Tavern) bought a house here in 2004.

The area has not, however, become too enamored of its own success. Towns have been gently burnished, but their rural character has remained unchanged. "This is the last vestige of what all of Long Island used to be," says Chris Baiz, owner of The Old Field Vineyards in Southold. Budget Travel gallery: Check out this mellow wine scene

Only about 75 miles from Manhattan, the North Fork juts into the Long Island Sound, separated from the Hamptons by the Peconic Bay. The peninsula itself is only about 30 miles long. At Riverhead, strip malls begin to give way to open spaces and, every few miles, a speck of a village just off the road. First Mattituck, then Cutchogue, Greenport, and at the far tip, Orient.

When my husband and I turn off Main Road (Route 25) and arrive in Greenport on Friday afternoon, we wander down a quiet side street to Vine. We've been told it's a good spot to start sampling North Fork wines: The restaurant serves a dozen local varieties by the taste, the glass or the bottle. The carefully considered restaurant and wine bar occupies an old-fashioned house on a corner lot and has plenty of outdoor seating on a front porch and a terrace.

It's hard to imagine that when Watson first started coming out to the area 10 years ago, much of the town's main street was vacant. "Greenport was still a shambles," he recalls. "So many houses have been bought and fixed up now. It's becoming a cute little village, like Sag Harbor but not as precious."

A meal can be assembled from the various small bites or more substantial dishes on the menu, but Watson says he wants to keep the focus on wine. "I love when people have a couple of glasses of wine and some olives, and just hang out," he says. And that sounds like a fine way to spend a weekend.

On Saturday, we begin hunting and gathering. Many of the area wineries encourage visitors to bring a picnic to go along with their wine, and we stop at some farm stands for provisions.

On Main Road in the village of Cutchogue, Wickham's Fruit Farm has been operated by the same family for about 70 years. Fresh doughnuts (cinnamon, plain, or sugar) are brought out by the plateful, and there are jars of jam, containers of flavored honey sticks, a table of pies and pick-your-own fruit out back. I settle for some fresh-baked bread, a pint of strawberries and homemade cucumber salad for our alfresco feast.

We reach the Shinn Estate Vineyards in Mattituck in time to share our picnic spread and taste some wine before catching a tour of the grounds by owner-vintner Barbara Shinn. Shinn and her husband, David Page, established their vineyard in 2000 and later sold their acclaimed Home Restaurant in Greenwich Village.

They were determined to run a completely organic farm despite numerous warnings that it was an impossible feat with the fluctuating East Coast weather conditions. Through a combination of experimentation and perseverance, they have succeeded in creating a sustainable vineyard. Instead of chemical-based treatments, their biodynamic approach means rows are lush with overgrown grass and flowers that attract beneficial bugs -- a natural pest control for the vines.

"Out here, you realize how fragile the ecosystem is," Shinn says. When Shinn and Page bought the farm, their immediate goal was to keep the land from being developed. The gaping hole between the declining profitability of farming and the soaring property values made the area vulnerable.

Shinn and Page have been able to protect their land in perpetuity thanks to a law that allows them to get cash rewards for signing away their development rights to government authorities. "Farmers are paid to preserve the land," says Shinn.

Because rosé wines are among my favorites, we head to Southold's Croteaux Vineyards. They specialize in rosés, and their four offerings have notes like peach, cherry and vanilla. The property has five buildings from the 18th and 19th centuries, and the shady courtyard with red wrought-iron furniture looks a bit like a Hollywood fantasy of a vineyard setting -- but it's real.

We make our way to the very tip of the North Fork, and just before the town of Orient, a narrow bridge of land affords a view of a handful of large gracious homes along the shoreline. On the main street, Village Lane, the houses suddenly shrink, giving Orient the feel of a Victorian-era Lilliput. Perhaps in size they are cottages, but many look more like brightly painted toy mansions.

At the curve in Village Lane, we come to a small harbor and find swans swimming in the ocean. Right at this spot is Edgewater Cottage, which has three apartments that share a front porch overlooking the water and a private strip of sandy beach.

Many of the affordable places to stay on the North Fork are '60s-era motels that have a certain kitschy appeal but generally fall into the category of adequate. The airy, cedar-shingled Edgewater is a refreshing anomaly. The apartments -- with Shaker-style chairs and checked tablecloths -- are simple in a way that's well suited to the setting.

On Sunday morning, we make it to the Love Lane Kitchen by 10 a.m., when tables are still plentiful. Wise move, since by 11 there's a wait outside. The home-style food (a big jug of real maple syrup for the thick French toast), friendly staff and low-key vibe (a large self-serve coffee setup...why doesn't every breakfast spot do this?) make me fervently wish the café was located around the corner from my house.

I also wish we were around long enough to come back for dinner: Love Lane's uncomplicated menu hits that sweet spot between the area's beachy eats and fussy white-tablecloth options.

As we head back out toward more wine tasting, I spot the sign for Catapano Dairy Farm in Peconic, and we do a quick U-turn. Our reward: a private audience with a contented herd of goat kids. Catapano's fresh chèvre, also sold at many of the local farm stands, is delicately flavored and so creamy-soft that it's almost fluffy (the American Cheese Society named it the country's best goat cheese in 2005).

If you were to pick a winery that best represents the North Fork idyll, the Old Field would be it. It has been farmed by Chris Baiz's family for 90 years. He and his wife, Ros, bought the farm from their relatives to save it from being sold and subdivided.

"We decided this was something we needed to do," explains Ros. "Otherwise this land was going to be developed, and that seemed like a horrible, horrible thing to do."

One end of the property faces Main Road, and the other fronts Southold Bay. (The Baizes are growing oysters there this year.) Large, rambling and relaxed, the Old Field is shaded by enormous, ancient trees and has its own pond, plus bay views. The property, largely unchanged for 150 years, is scattered with old buildings and barns.

You can take a tour of the vineyard to learn about the grapes, wine making and the harvest. But you can just as easily wander off to sit under a tree with the new release, Blush de Noir rosé.

I make a point of stopping in to some of the midsize and larger wineries before heading back to Manhattan. At Pindar Vineyards, the biggest, a crowd of 35 people taste from more than 20 options, dozens of bottles of wine are stacked on a counter, and across the field a warehouse building bears a massive company logo. But the staff is jolly, and there's a large covered deck out back for drinking and relaxing. It's a different kind of social scene -- more bar than family room.

I miss the small vineyards I experienced first. Talking with the owners, hearing their love for their grapes, seeing their determination to preserve the North Fork's open spaces -- all of this while sitting in what are essentially their backyards -- just makes the wine taste better.

If you go ...

LODGING  Edgewater Cottage 2072 Village Ln., Orient, edgewatercottage.net, from $150

FOOD Vine Wine + Café 100 South St., Greenport, vinewinebar.com, entrées from $15  Love Lane Kitchen 240 Love Ln., Mattituck, lovelanekitchen.com, entrées from $12   WINERIES  The Old Field Vineyards 59600 Rte. 25, Southold, theoldfield.com, $10 for tour and tasting  Shinn Estate Vineyards 2000 Oregon Rd., Mattituck, shinnestatevineyards.com, $8.50 for tour and tasting  Croteaux Vineyards 1450 South Harbor Rd., Southold, croteaux.com, tasting $5 for three wines and sangria  Pindar Vineyards 37645 Rte. 25, Peconic, tasting $4 for five wines   FARM STANDS  Wickham's Fruit Farm 28700 Rte. 25, Cutchogue, wickhamsfruitfarm.com, jam $6  Catapano Dairy Farm 33705 Rte. 48, Peconic, catapanodairyfarm.com, goat cheese $8 for 4.5 ounces

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2009 Newsweek Budget Travel, Inc., all rights reserved.

Note: This story was accurate when it was published. Please be sure to confirm all rates and details directly with the companies in question before planning your trip.

@highlight

Long Island's North Fork has easygoing charm instead of Hamptons glitz

@highlight

There are more than 4,000 acres of vineyards in the area

@highlight

Visitors can tour and taste at small family-owned wineries