(CNN) -- Adolescent kids retreat to their rooms when you try to ask them how they are and hide out with their friends so often that they spend less and less time with family, right?

Maybe not so much, according to a new study.

In the nearly 200 families tracked, kids generally spent increasing amounts of one-on-one time with parents in their early adolescent years. Time with the folks started to drop when they were about 15.

The time teens spend specifically with their dads may have critical benefits, the study from Pennsylvania State University found. The more time spent alone with their fathers, the higher their self-esteem; the more time with their dads in a group setting, the better their social skills.

Your father, yourself: 4 women look back on their dads

"The stereotype that teenagers spend all their time holed up in their rooms or hanging out with friends is, indeed, just a stereotype," said Susan McHale, director of the Social Science Research Institute at Penn State. "Our research shows that, well into the adolescent years, teens continue to spend time with their parents and that this shared time, especially shared time with fathers, has important implications for adolescents' psychological and social adjustment."

Researchers studied families with at least two children over a period of seven years.

"It's very rare to have longitudinal data over such a long period of time for four members of a family," said Ann Crouter, dean of Penn State's College of Health and Human Development.

"It takes an incredible amount of time and effort to mount a study of this kind."

The researchers caution that the study was not representative of the whole country. The families studied are "almost exclusively European American, working- and middle-class families living in small cities, towns, and rural communities." Further studies are needed to look at more diverse samples of the U.S. population, they say.

The study, published in the journal Child Development, found that kids spend less and less time with their parents in group settings as they go through their preteen and teenage years. But one-on-one time increases up until about age 12 and then stays relatively flat before starting to decline a bit around age 15, says Crouter.

Parents spend roughly seven to eight hours a week in group settings with their kids ages 8 to 15, the study found. Mothers get in about an hour and 15 minutes alone with their firstborn kids and more than an hour and a half with second-born kids each week. Dads get in just over an hour of one-on-one time with first- and second-born kids each week.

Numerous other studies have found benefits for kids who spend more time with their families, such as fewer delinquent behaviors and less likelihood to give in to peer pressure, the study notes.

In this study, the findings about fathers proved to be very interesting, Crouter said.

While increased time with Dad showed key benefits for self-esteem and "social competence," time with Mom did not show the same correlations.

"In two-parent families, the mother's role as caregiver is so scripted that her involvement can easily go unnoticed and unacknowledged," researchers note.

Meanwhile, kids whose fathers spend one-on-one time with them "may develop higher general self-worth because their fathers go beyond social expectations to devote undivided attention to them."

Also, time with dad often involves "joking, teasing, and other playful interactions," the study says. "Fathers, as compared to mothers, were more involved in leisure activities" and had more "peer-like interaction" with their children, which is "crucial for youth social development."

Daughter's in love, Dad feels jilted

There's also the possibility that time with dad goes hand-in-hand with self-esteem for another reason: Some fathers may be more "drawn to" their children who "have higher self-worth and social competence," the researchers suggest. They point to another study that found dads are more affected by their kids' personalities than moms are in how they parent. So in some cases, dads spending more time with certain kids may be the result of the kids being more social -- not the cause of it.

"This doesn't mean that mothers aren't important!" McHale said. "The youth in this sample were in general well-adjusted, suggesting that there were good things going on in their families on the whole."

Another previous study found that children who spent more one-on-one time with their mothers were less often depressed; that correlation was not there with fathers.

Parents who have a son and a daughter generally spend more time alone with the child of the same sex, the Penn State study found.

And parents generally spend a bit more time with second-born children, bolstering previous studies suggesting that parents learn from their experiences with their first children and are better able to maintain close relationships with the younger children during adolescent years, the study says.

Other studies have busted stereotypes about dads, including how much time they spend with their children.

The Families and Work Institute found (PDF) that dads spend substantially more time with their kids under age 13 than they did decades ago. As of 2008, employed fathers spent about three hours a day with their children, while employed mothers spend nearly four hours.

Are you a parent looking for tips on how to connect with your adolescent or teenage children? We've collected some helpful links for you here.

Weigh in on this story at Facebook, on Twitter or in the comments section below.

@highlight

A Penn State study finds that kids start spending less time with their parents at 15

@highlight

Researchers found that spending time with Dad may increase adolescent self-esteem

@highlight

Time with mom is also important, contributing to overall family health