(CNN) -- The island nation of the Maldives -- which markets itself as one of the world's top luxury destinations -- faces uncertainty as the nation's president resigns amid the threat of violence and a rising tide of Islamic rhetoric.

President Mohamed Nasheed, a former dissident who was elected in 2008 under a platform of political reform, stepped down Tuesday after members of the nation's police force revolted against his government following weeks of political protests.

"I believe if I continue as the President of the Maldives, the people of the country would suffer more," said Nasheed, before he handed power over to former Vice President Dr. Mohamed Waheed. But on Wednesday more violence was reported with the former president allegedly beaten along with members of his Maldivian Democratic Party, party officials said. Nasheed's supporters claim he was forced to resign at gunpoint.

Former Maldives president beaten, his party says

The resignation came after three weeks of opposition protests following the arrest of a judge, which ignited a constitutional crisis. But the political tensions simmering in the island nation gained global attention last Christmas when Nasheed's government abruptly banned spas and sales of alcohol at resorts after allegations from opposition leaders of lax morals.

What are the Maldives?

The string of about 1,200 islands sits in Indian Ocean off the southern tip of India. A former British protectorate, the Sunni Muslim nation is home to about 350,000 people -- but the nation's pristine beaches and rich marine wildlife are popular amongst honeymooners, drawing nearly 800,000 tourists in 2010.

People from around the world flock to hundreds of resorts run by the Four Seasons, Banyan Tree, the Shangri-La and other multinational luxury hotel chains. Readers of Conde Nast Traveler voted the Maldives the world's top islands destination in 2011. The Maldives has ranked as the number one destination for customers of UK tour operator Kuoni every year since 2005.

Tourism makes up one-third of the economy of the Maldives, which was devastated by the 2004 South Asia tsunami, destroying several islands and costing hundreds of millions in damages.

Who is Mohamed Nasheed?

Nasheed became president in 2008 in what was hailed as the first truly democratic elections in the island nation's history. Nasheed, 44, defeated President Maumoon Abdul Gayoom, who ruled for 30 years and remains a force in the nation's politics.

Under Gayoom, Nasheed was repeatedly imprisoned for work related to critical articles he wrote about the government and other allegations of wrongdoing. He spent more than a total of six years in prison.

Maldives' deposed president faces arrest

Nasheed attracted international attention in 2009 when he held a government meeting underwater, with ministers in scuba gear, to raise awareness about global warming and the threat to countries like the Maldives, which is the world's lowest lying country -- the highest point of the country stands just over two meters above sea level.

How did spas cause turmoil?

One of the first signs of trouble came during the Christmas holiday, when the Tourism Ministry surprised the world by banning spas across the country. The move led to a standoff over tourists' rights to have massages and skin treatments at the high-end resorts -- many of which charge thousands of dollars for a night's accommodation -- and calls from opposition groups for a stricter imposition of Islamic values in this Muslim country.

The situation came to a head after opposition groups staged a demonstration on December 23 in which they advocated, among other things, for a crackdown on massage parlors in the capital, Male, and other densely populated areas. Rather than ignore the demands, the government raised the stakes by issuing an order to close all massage parlors and spas. Opposition leaders blasted the move.

In a statement at the time, the president's office suggested that the broader ban was an effort to highlight contradictions in the positions of some opposition figures. "Ironically, the same opposition leaders who railed against spas and the selling of alcohol and pork to tourists are some of the country's biggest resort owners," the statement said. The government reversed its decision in early January.

What happened this week?

On January 16, the military arrested Judge Abdulla Mohamed, the chief judge of the Maldives Criminal Court, on allegations he was controlling the judiciary of the nation and not investigating corruption charges. "This crisis was sparked by the arrest of a senior court judge who had repeatedly refused to prosecute corruption cases in order to protect powerful allies from the former regime," wrote Mark Lynas, a former adviser to Nasheed, in a Tuesday op-ed in the Guardian.

The United Nations stepped into the fray, saying in late January that the government should release Judge Mohamed or charge him of a crime. Meanwhile, the government sent a request to the U.N High Commissioner for Human Rights for an international panel of jurists to hear the case.

"A series of protests have been going on here by the alliance of opposition parties here and they have been calling on the government to release (Mohamed) ... this has been going on for 19 nights now," Maldives journalist Ahmed Rasheed told CNN on Tuesday. The protests turned violent, Rasheed said, culminating with protesters taking over the government TV station on Tuesday.

Late in the day, fearing that violence would escalate, the president stepped down.

On Wednesday, Nasheed's party, the Maldivian Democratic Party, said the former president was beaten by police. Four members of Parliament were detained as violence gripped the nation's capital, Male, lawmaker Eva Abdulla said, and the head of the party was hospitalized in critical condition.

Is it safe to travel there?

The British government issued a warning against non-essential travel to the island's capital, Male, while noting there have been no reports of strike at the Male International Airport or at resorts. Australia and the United States have also issued travel advisories.

New President Waheed tried to assure citizens -- and tourists -- that the nation is safe and open for business. In a statement, he said differences among political parties and the public must be set aside for the sake of national unity.

"The nation witnessed difficult times in the recent past, but today the Maldivian people have made a momentous decision," he said in a statement. "Following that decision...at any cost, the rule of law must be upheld."

On Wednesday, police sprayed tear gas and beat demonstrators with batons in Male, Abdulla said, and the violence left some protesters bleeding in the streets. "It's absolute lack of order at the moment," she said. "Nobody seems to be in charge."

A top U.N. official, Oscar Fernandez-Taranco, arrived in the islands Thursday for talks with government leaders and political parties. He said the world body wants to preserve "the democratic gains that have been made in the Maldives," according to a statement from his office.

CNN's Jethro Mullen contributed to this report

@highlight

NEW: Former president beaten by police, Maldivian Democratic Party says

@highlight

Former President Mohamed Nasheed resigned after weeks of protests

@highlight

Comes amid a rising tide of Islamic rhetoric in the nation's politics

@highlight

Turmoil started with the detention by the military of a chief judge in January