(WIRED) -- Apple is the exclusive gatekeeper to its iPhone App Store, able to reject apps at will -- as it did July 28 with Google Voice.

Some would-be iPhone developers, rejected by Apple, are turning to an unauthorized app store called Cydia.

But some developers aren't taking the rejection lying down: They're turning instead to an unauthorized app store called Cydia, where forbidden wares continue to exist -- and even earn developers some money.

That store is operated by Jay Freeman, more fondly known in the iPhone "Jailbreak" community as Saurik. Only five months old, his app store Cydia specializes in selling apps that Apple would reject or ban (or already has).

To use Cydia or the apps available through it, customers need to jailbreak their phones -- hack them to work around Apple-imposed restrictions -- a process that Apple claims is illegal.

Indeed, you can even get a Google Voice app, GV Mobile, through Cydia. After Apple pulled the app from its App Store, developer Sean Kovacs (who is not affiliated with Google) made it available for free through Cydia.

It's difficult to get accurate data on how many customers have jailbroken their iPhones. But based on the number of unique device identifiers tracked on his server, Freeman claims that about 4 million, or 10 percent of the 40 million iPhone and iPod Touch owners to date, have installed Cydia.

On a recent day, he said 470,000 people were connecting to the Cydia store, up from 350,000 per day just a few months ago. Among many free apps, there are also 15 paid apps in Cydia, and the store has earned $220,000 in overall sales in just five months.

"People are so annoyed by Apple and their s---, and if you give them opportunity to go around it, then they'll even pay for it," said Kim Streich, a developer whose app 3G Unrestrictor earned $19,000 in sales in just two weeks through Cydia.

Though Cydia is relatively young, the underground "Jailbreak" community has existed since the first iPhone launched in 2007. That year, Apple didn't yet have an app store for its iPhone, stifling the true potential of the device. This limitation inspired digital rebels to hack away at the iPhone's closed platform in an effort to free its mind.

The result? An app called Installer, opening a door for early iPhone owners to add games, utilities and other third-party software coded by developers.

It wasn't until 2008 that Apple offered a software development kit for third-party coders to make programs for its iPhone. That led to the opening of the official App Store in July 2008. Apple's store grew rapidly, accumulating 65,000 apps and serving over 1.5 billion downloads to date.

Many developers abandoned Installer for the more popular App Store, leaving behind an underground space where unauthorized wares could continue to exist. Installer died and became reborn as Cydia, which evolved from an app library into a store in March 2009.

To gain access to Cydia, iPhone owners must jailbreak their smartphones using some freely available tools courtesy of the hacker group iPhone Dev-Team. Given the nature of this procedure, it's clear Cydia's primary audience consists of nerdy rebels wishing to utilize the full power of their iPhones, restriction-free.

Cydia's numbers appear small compared to the rare stories we hear about developers turning into millionaires with hot sales of their iPhone apps in the App Store. But the idea behind a store like Cydia is that you don't have to be huge to make money.

With a smaller market, fewer competitors and a reasonably large customer base, each developer has a higher chance for making a quick buck, Freeman said. Plus, you get more personal attention: Developers submitting their app through Cydia need only contact Freeman, and their app can be made available almost immediately.

That's an enticing alternative to Apple's approval process, which can take months and is notoriously opaque: Some App Store developers have faced difficulty getting answers to simple questions from Apple about their apps.

It's obvious what's driving iPhone customers toward Cydia: Apple's rejections and restrictions of major iPhone apps. Most notably, Apple recently banned apps supporting Google Voice, the search giant's internet-based phone enhancement service that can provide cellphone users with free text messaging and transcribed voicemail.

Angry consumers and developers theorize that Apple banned the Google Voice apps so as not to detract business from its partner AT&T's phone services. The incident has brewed so much controversy that even the Federal Communications Commission has gotten involved, sending letters to AT&T, Apple and Google inquiring about the reasons for the rejections.

"Looks like Apple and AT&T pissed off a lot of people," Kovacs wrote in a July 28 blog post. "I'll be releasing GV Mobile v1.2 on Cydia for free today or tomorrow."

Another high-profile App Store regulation involves SlingPlayer, an app that enables iPhone users to stream video from a Slingbox device hooked up to a TV. When Sling originally submitted the app, it was capable of streaming over both Wi-Fi and the cellular 3G connection. However, Apple requested Sling to modify the app to work on Wi-Fi only. AT&T said this was a necessary move to prevent congestion on its 3G network.

That restriction spawned the most successful Cydia app to date, 3G Unrestrictor, developed by Streich. 3G Unrestrictor, a $2 app that has sold 9,500 copies, allows the iPhone to circumvent any network limitations imposed by Apple. For example, the app enables SlingPlayer users to stream TV over 3G as well as Wi-Fi; and when using the VOIP app Skype to place phone calls, customers can also use the cellular connection, whereas normally the app only enables users to dial over Wi-Fi.

"It's just amazing what you can do on such a little cellphone, and Apple just forbids customers from doing these things, and it's just a shame," Streich said. "That's why I'm so happy there's a Cydia store."

Another developer who reports positive experiences with Cydia is Jonathan Zdziarski, who said he has made more money through the unauthorized store than Apple's App Store. In February, his app iWipe sold 694 copies in Cydia, compared to 91 copies of iErase in the App Store.

"I guess you could say the App Store is kind of like Wal-Mart, with more crap than you'd ever want to buy," Zdziarski said. "And Cydia is like the general store that has everything you want and need, from fresh cuts of meat to those homemade cookies you can't get anywhere else."

Though some developers say they're having better experiences selling apps through Cydia, it's unlikely they will succeed on a longer term, said Rana Sobhany, vice president of Medialets, an iPhone app analytics company. She said the average consumer would prefer to purchase apps through a well trusted source such as Apple.

"There have been all these apps downloaded in the App Store because it's easy for consumers to find, download and pay for apps," Sobhany said. "This model is new because Apple has been training people how to download music to their iPods for years."

However, even in the case of the App Store, developers who strike it rich still face challenges recreating their success, said Phillip Ryu, co-creator of the e-book reader Classics, which has sold over 400,000 copies to date.

"If you're hoping to reach the mainstream, the best you can hope for is your app catches on fire and charts high enough for you to make a windfall," Ryu said. "Essentially you aim for the jackpot, and if you don't hit that, it's not going to make you a living."

Freeman said it was too soon to tell whether Cydia would provide developers stable incomes, but he recommends they give it a try, considering the successes some are experiencing. He admits, however, he isn't making much money as the creator of Cydia: Like Apple, he takes 30 percent of each app sale to cover taxes.

"I don't make much money off this project, but I value the community, and I look forward to how this changes the device landscape," Freeman said.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2009 Wired.com.

@highlight

Some would-be iPhone developers are turning instead to an unauthorized app store

@highlight

The new store, Cydia, specializes in selling apps that Apple would reject or ban

@highlight

To use Cydia or the apps available through it, customers must jailbreak their phones

@highlight

Cydia operator: Too soon to tell whether store could earn developers stable incomes