Washington (CNN) -- The Obama administration and many of its national security critics agree that it's time to revisit the war authorization that Congress approved a week after the September 11, 2001, terrorist attacks.

But when to end it and how to replace it is another matter.

The House defeated an amendment by Rep. Adam Schiff, D-California, that would have "sunsetted" the so-called "never-ending war" a year from now.

Attention now turns to the Senate and whether a proposal will emerge there.

The law authorized a military response to the terrorist attacks by striking back against al Qaeda and associated forces, including their Taliban allies, who at the time ruled Afghanistan. Its scope is broad enough that it has been used by successive administrations to carry out military attacks as far afield as Africa and Yemen.

When to end it is a prickly enough issue that the White House has done little to move ahead with President Barack Obama's promise, as described in a 2013 speech at the National Defense University, to work with Congress to "refine and ultimately repeal" the Authorization for Use of Military Force, or AUMF.

As in other national security policy fights -- that of drones, for instance -- the rise of tea party-affiliated libertarians and Obama's sagging popularity have scrambled some of the traditional alliances on the war authorization.

Liberals and right-leaning libertarians who criticize the war authorization as too much of a blank check to the President are uniting to support a repeal of it as a way to assert congressional authority. Some conservatives -- who not long ago supported extending the current AUMF -- now suggest replacing it with a law that specifies the groups the U.S. is fighting.

"I think we have abdicated our responsibility to define the nature of the conflict we're in," Schiff said in an interview. His amendment appeared to have gained steam, in part because the White House has struggled to make clear what it thinks should happen.

At a Senate Foreign Relations Committee hearing Wednesday, senior lawyers from the Defense and State departments said repealing the law would do no harm to national security or affect military operations, because the President's executive powers allow a military response to any threats to the nation. And yet, they wouldn't say whether the administration supported ending the war now.

"We're not here to say it should be repealed today," said Mary Mcleod, deputy legal adviser at the State Department.

The issue matters because U.S. forces are exiting a war in Afghanistan that lasted more than twice as long as World War II. Some legal experts believe that development adds some pressure to replace the existing AUMF, in part, because the main al Qaeda forces that attacked the U.S. have been decimated, even as new offshoots have metastasized the terrorist threat to parts of Africa, Syria and the Arabian Peninsula.

Michael Mukasey, attorney general under President George W. Bush, said at the Wednesday hearing that he supports the idea of Congress revisiting the authorization to clarify its intent. Harold Koh, the State Department's top lawyer under Secretary of State Hillary Clinton, said the law should be narrowed and eventually repealed.

Administration officials say part of the complication lies in ongoing negotiations with Afghanistan over whether the United States will retain forces in that country after this year, a deal that can't be reached until after Afghanistan elects a new president in June.

"As we work with the government of Afghanistan to identify an appropriate U.S. military presence in Afghanistan after 2014; as we continue to make progress towards the closure of the detention facility at Guantanamo Bay; and as we continue to work with our friends and partners around the world to provide assistance and training to counter al Qaeda and its associated forces, we will engage further with Congress and the American people on efforts to ensure that the legal authorities for our counterterrorism and detention operations are appropriately tailored," said Caitlin Hayden, spokeswoman for the National Security Council.

"In keeping with our ongoing efforts to realign our forces and capabilities after the drawdown in Afghanistan, we look forward to engaging the Congress on the President's goal of refining and ultimately repealing the AUMF," she added.

Only three years ago, Congress was being pressured to expand the authorization.

In 2011, Rep. Buck McKeon, R-California, tried to pass a new AUMF to reaffirm the war against al Qaeda and to try to restrict the President's hand on issues such as the plan to close the Guantanamo prison.

McKeon's push to give the existing war authorization more life has partly influenced the Obama administration's effort on the issue.

Two administration officials told CNN that part of the reason for the White House's hesitation is the fear that some congressional hawks would use the opportunity to expand the so-called War on Terror. Or that the administration could end up without any authorization at all. In his State of the Union speeches this year and last, Obama said he aimed to pull the United States back from its "permanent war footing."

Some congressional critics say Obama's policies appear to prematurely declare victory over al Qaeda's core leadership, and ignore the growing threat from affiliates such as al Qaeda in the Arabian Peninsula and groups fighting in Syria, Iraq and Libya.

With partisan bickering sowing gridlock in Congress, passing any law on the war authorization is a tall order. Congress is also debating surveillance law changes in the wake of the leaks about the U.S. government's spying activities by former NSA contractor Edward Snowden.

Schiff scoffs at the notion it's too hard to tackle.

"We drafted the AUMF in days after 9/11; we should be able to do this in a year," he said.

After all, "one of the most important things that Congress does is to declare war and define the focus of that war."

@highlight

The Authorization for Use of Military Force was approved in 2001

@highlight

It allows the U.S. to go after al Qaeda and its associates

@highlight

Some say AUMF should be repealed or refined

@highlight

NEW: House defeats proposal to end war authorization