Who could have believed that a Hollywood movie directed by an African-American that examines more than 60 years of socio-political history through the life of an African-American White House butler would have happened, much less been released toward summer's end?

And that it would become the talk of the nation as both "Oscar bait" and cultural signifier?

Oh... and make more money in its opening weekend than anybody, including its producers, expected?

Even before it opened nationwide Friday, "Lee Daniels' The Butler" seemed far more than just another Hollywood period melodrama. In a summer where racial reckoning manifested itself in major and minor events (the George Zimmerman verdict and  the Paula Deen sideshow), the movie promised to be a kind of cultural signpost, an occasion for still more soul-searching and commemoration leading to this month's 50th anniversary of the March on Washington.

It even became grist for a rare front-page essay last week in the Washington Post written by  film critic Ann Hornaday, who declared the movie a groundbreaker for being the "first major feature film to capture the full sweep and scope of the civil rights movement."

'The Butler' reflects America's racial conversations

The movie's thoroughgoing publicity campaign made it an unavoidable fact of life, thanks largely to its female lead, Oprah Winfrey, who through boisterous appearances on almost every nationally-televised talk show made herself as unavoidable a fact of life as she was when she had her own nationally-televised talk show between 1986 and 2011 -- which somehow seems a lot longer ago than it actually is.

Oprah's hard work likely wasn't targeted at movie critics -- though if you go by the Rotten Tomatoes website that assesses critical consensus, "The Butler" has reaped a 73 percent "ripe"(as in positive) score -- though it's also true that even some of those positive reviews are mixed in nature.

While even some of the negative reviews have good things to say about the acting, especially from Forest Whitaker in the title role of circumspect presidential servant Cecil Gaines and Winfrey as his saucy, unsettled easy spouse Gloria, even some of the positive reviews take to task some of the heavy-handed melodramatic flourishes applied to the story by Daniels, whose previous work, 2008's "Precious" and last year's "The Paperboy",  drew critical wrath for what were viewed as wretched, maudlin excesses.

"The Butler" itself may not have been every critic's idea of a masterpiece. But its advance hype (did I mention all the Sunday supplement covers?) was certainly some kind of masterly work of art; the kind whose only precedent for an African-American-made commercial film was the buildup orchestrated in large part by Spike Lee for his 1994 biopic, "Malcolm X."

Did it work? Put it this way: The most optimistic forecast for "Butler's" opening weekend was $15 million. It has so far earned more than $25 million, easily outdistancing such late-season action franchises as "Kick Ass 2" ($13.5 million).

Though no industry pundit expects it to pass the magic blockbuster borderline of $100 million, "The Butler" has already achieved enough capital, in money and buzz, to make people wonder whether it heralds yet another surge in serious commercial films about African-American life, past and present.

10 secrets of 'The Butler'

We've been down this road before; several times, in fact, since the early 1990s when the emergence of Lee, John Singleton ("Boyz n The Hood") and other young filmmakers-of-color heralded a renaissance of minority movies.

What's happened since those days has been at best a static, fitful process of advancement for black Americans in film with many in Hollywood convinced that movies with black-related themes are at best niche-market items with little if any staying power in a global movie bazaar where generic action movies and romantic comedies allegedly deliver bigger bangs for the buck.

We will, as always, see. Whatever the future holds for "Lee Daniels' The Butler", one groundbreaking fact remains: Somehow, someway, a commercial feature film about the civil rights era was made by a black director with a predominantly black cast without a major white character being the focus of the narrative.

So far, it's working. And that means that, for the moment, anything's possible.

@highlight

Gene Seymour: Opening weekend success of 'The Butler' surprising

@highlight

He says it comes at a time of national reckoning on race, with Zimmerman, Deen

@highlight

Movie reviews mixed, but hype masterly. Does it mark renaissance of black films?

@highlight

It's stunning that a film by and about blacks, civil rights made such a splash