(CNN) -- The U.S. Preventive Services Task Force recently announced that it is no longer recommending prostate cancer screening for men.

A spokesman for the Prostate Cancer Foundation told CNN the recommendation is "a tremendous mistake," but the senior author of the task force's report says the prostate specific antigen, or PSA, test does more harm than good. The report says that cancers detected by the test are often slow-growing and would never be harmful, but that treatment could render a man impotent or incontinent or kill him.

It's a debate that's ongoing for several other types of screening as well, but not all are in contention.

Here's what you should know about the four most common types of pre-symptom cancer screenings, including the leading experts' recommendations and what the test involves:

Prostate cancer

Prostate cancer is the most common form of cancer among men, with approximately 30,000 dying from the disease each year.

The American Cancer Society recommends that men over 50 with no special risk factors talk to their doctors and decide on an individual basis -- after weighing the risks of treatment -- if they want to be screened.

The American Urological Association says that making an informed decision about screening is important, but that all men with a life expectancy of 10 years or more should have a baseline PSA test at the age of 40.

Prostate cancer screenings include a blood test for elevated levels of the prostate specific antigen protein and a digital rectal examination. During the digital rectal exam, a doctor will insert a lubricated, gloved finger into the rectum to feel for abnormalities in the prostate.

Breast cancer

The chance of developing invasive breast cancer for American women is a little less than one in eight, according to the American Cancer Society.

The U.S. Preventive Services Task Force released a statement two years ago recommending against yearly mammograms for breast cancer for women in their 40s. The task force said the benefits didn't significantly outweigh the risks. However, the ACS and the Susan G. Komen for the Cure foundation have fought against this recommendation.

Mammograms have helped reduce breast cancer mortality rates in the U.S. by nearly one-third since 1990, according to the American College of Radiology.

The American College of Obstetricians and Gynecologists and the National Cancer Institute recommend that women age 40 and older get screened for breast cancer every one to two years.

A mammogram is basically an X-ray of the breast. Plates flatten the breast tissue to take a more accurate photo, often from two angles, which can be uncomfortable but only takes a moment. The photos are then analyzed for calcifications, which appear as white dots, and any mass that looks abnormal such as a cyst or tumor.

Colorectal cancer

Colorectal cancer is one of the leading causes of cancer-related death, but also one of the most curable if caught early.

The tests that the National Cancer Institute recommends for both men and women over the age of 50 to screen for colorectal cancer and polyps include a flexible sigmoidoscopy, a colonoscopy, a double-contrast barium enema and a virtual colonoscopy. However the ACS says only the colonoscopy can see the complete colon and is best for screening. The U.S. Preventive Service Task Force agrees, giving colorectal screenings an "A" grade.

During a colonoscopy, a thin tube is inserted through the rectum and into the colon. The tube has a light and camera-like apparatus for viewing any polyps or unusual pieces of tissue.

Complications from colonoscopy are rare, but can include tears in the lining of the colon.

Cervical cancer

The number of cases of cervical cancer has decreased significantly in the United States over the past 40 years thanks to regular screenings, according to the U.S. Centers for Disease Control and Prevention. In 2007, 4,021 women died from the disease.

ACS recommends yearly Pap tests for all women beginning at age 21, or three years after they begin having intercourse. At age 30 women may choose to reduce screenings to once every two or three years until they are 70 years old. The U.S. Preventive Services Task Force agrees.

Do not confuse a Pap test with a pelvic exam, the ACS warns. A Pap test will include a gentle scraping of your cervix with a spatula-looking instrument; the cells collected will be sent to a lab for analysis. This is usually done at the start of a pelvic exam, after the doctor has inserted a speculum into the vagina.

@highlight

Prostate cancer screenings include a blood test and a digital rectal examination

@highlight

Mammograms have helped reduce breast cancer mortality rates in the U.S.

@highlight

Colorectal cancer is one of the leading causes of cancer-related death