(CNN) -- What really makes a business tick and retain a healthy balance sheet? It's all about keeping it in the family, according to a large chunk of small-to-medium size businesses which dominate the marketplace in Germany.

While the name Germany conjures up large-scale brands such as Volkswagen, BMW and Siemens, it's the smaller, family-owned businesses which are the backbone of Germany's economy.

One prime example is prosthetics specialist Ottobock -- the market leader for artificial limbs. A company you've probably never heard of, it makes 60% of prosthetic limbs globally and has annual revenues over a billion dollars. It attributes its 95-year success to its family-run persona.

Family ties

Behind the scenes Ottobock looks like any other medium-size German company, or "mittelstand".

A family-managed company since its founding in 1919, Ottobock's headquarters are in Duderstadt, but the firm has subsidiaries in fifty countries worldwide and employs over 8,000 people.

Ottobock has provided athletes such as German Paralympic sprint gold medalist Heinrich Popow with an artificial limb. The "Genium" prosthetic leg works with a microchip that has allowed Popov to move in ways that were not possible a few years ago.

"It can tell you all the forces that are happening in the knee. It can tell you the amount of weight that it is putting on and this is what makes it an intelligent knee," says Drikus Reinicke, an orthopedic technician for Ottobock.

Gold medalist Popov says the technology has vastly improved his quality of life: "When you walk through the city, you can walk with your head up," he says.

The CEO of Ottobock, Hans Georg Näder, says one of the keys to the company's success has been continued family ownership. "It took almost a hundred years and it took a lot of innovation," he says. Founded in 1919 by Nader's grandfather, innovation and technology were always the key drivers of the company, adds Näder.

Global outlook

Some 60% of Germany's total workforce are employed in small-to-medium size businesses. Innovation, quality and a global outlook are three key reasons such German companies have flourished.

Germany has been "very successful in global competition," said Dr. Olaf Plötner, professor and Dean of the European School of Management and Technology. From an export perspective, "70% is done by mid-size companies," he said. "This is also why some would call them hidden champions."

More well-known brands in this medium-size category include appliance maker Miele and cleaning equipment maker Karcher.

But for less recognized names such as Ottobock, growing globally is what is taking German companies to the next level.

Taking Ottobock "into the future" is the goal, says Näder. A big challenge, "but without challenges, no fun," he adds.

@highlight

Germany has a record of successful family-run businesses going global

@highlight

Ottobock, now in its 95th year, operates in 50 countries

@highlight

Innovation and quality are key drivers in small-to-medium size business success