The clock is ticking on an interim nuclear deal with Iran, as well as efforts in Congress to pass new sanctions for greater leverage in global negotiations on a comprehensive accord.

Sunday's announcement that a six-month interim agreement formally begins on January 20 means that Iran must dismantle or freeze some of its nuclear program and open it to more international inspections in return for limited relief from crippling international sanctions.

Assuming all goes as planned, further negotiations between Iran and the United States, France, Russia, China, Great Britain and Germany will seek a broader agreement intended to prevent Tehran from developing a nuclear weapon.

Meanwhile, pro-Israel members of Congress are seeking additional sanctions against Iran that would take effect if the talks break down.

Israel considers Iran's potential nuclear capability an existential threat, and has made clear it would attack militarily if it believed Tehran could develop such weapons of mass destruction.

The question is whether the steps Iran is taking under the interim deal will blunt or bolster the congressional push for more sanctions.

President Barack Obama warns that approving new sanctions legislation now would undermine the talks, and he has promised to veto such a measure if it came to his desk.

"Now is not time for new sanctions," Obama told reporters on Monday.

He warned the continuing negotiations with Iran would be "difficult" and "challenging," adding that "ultimately this is how diplomacy should work."

A bipartisan proposal that would impose new U.S. sanctions -- but put off implementing them to allow time for negotiations to continue -- has the support of 59 Senators so far, a senior Senate aide told CNN last week.

According to the aide, the informal count for the measure introduced by Democratic Sen. Robert Menendez of New Jersey and Republican Sen. Mark Kirk of Illinois surpasses 75 votes  -- more than enough for the Democratic-led Senate to override the promised presidential veto.

It takes a two-thirds majority of both the House and Senate to approve a law over a president's objection. The GOP-led House would have a much easier time of reaching that threshold.

The Obama administration argues the six-month interim deal includes sufficient safeguards in the form of new compliance verification by the U.N. nuclear energy watchdog -- the International Atomic Energy Agency -- to make further sanctions unnecessary at this time.

Secretary of State John Kerry said Sunday that beginning the interim agreement on January 20 means that "for the first time in almost a decade, Iran's nuclear program will not be able to advance and parts of it will be rolled back."

Iranian officials also confirmed the start date, state media reported.

As part of the accord, Iran has agreed to start eliminating its stockpile of higher levels of enriched uranium, to dismantle some infrastructure that makes higher-level uranium enrichment possible, and not to start up additional centrifuges.

Representatives of the IAEA also will monitor Iran's nuclear facilities and make sure the country is taking the required steps as part of the deal.

In exchange, Iran will get sanctions relief over the six-month period of the interim deal totaling about $7 billion, including access to $4.2 billion in frozen assets.

The state-run Islamic Republic News Agency reported Monday that the first IAEA envoys to visit Tehran under the interim agreement would arrive on January 18, according to a spokesman for the Atomic Energy Organization of Iran.

Iranian lawmakers have threatened to boost uranium enrichment levels if the United States imposes more sanctions. A deputy foreign minister, Majid Ravanchi, told CNN on Sunday that the enactment of additional sanctions from the U.S. Senate would "ruin the entire agreement."

It was not immediately clear if Ravanchi's use of the word "enactment" meant that new sanctions would have to become law or merely receive Senate approval.

There was immediate political fallout from the announcement that the interim deal was to take effect.

"I'm concerned that this agreement takes us down that path where sanctions pressure is relieved, but Iran maintains its ability to produce a nuclear weapon," said Republican Rep. Ed Royce of California, who chairs the House Foreign Affairs Committee.

"Given these stakes, it's regrettable that the President does not want to work with Congress to bolster his negotiating hand with additional sanctions, which would go into effect should Iran fail to meet its commitments."

However, Democratic Rep. Lloyd Doggett of Texas argued Monday that the talks must be allowed to continue.

"War is the true alternative offered by those here who would interfere or limit these negotiations," Doggett said of supporters for new sanctions.

"The Iranians are well aware that this Congress can act almost instantly to add even more stringent sanctions if they waver from diplomacy," he said.

White House spokesman Jay Carney told reporters on Monday that Iran's willingness to proceed with the interim agreement and its more stringent verification and controls showed the diplomatic pressure was working.

"The fact that we are now at the implementation stage of the Joint Plan of Action demonstrates that, at the very least, testing whether or not Iran is serious is the right thing to do," Carney said.

A senior administration official warned Sunday that a new sanctions bill now would derail the current talks and could "undermine the sanctions regime that we have built so meticulously over the course of the last several years."

"If the talks are derailed by new U.S. unilateral sanctions, Iran would take that case to the international community and seek to create divisions in the international community," the official said on condition of not being identified.

The interim agreement struck in November was considered a successful first step to prevent a possible conflict over Iran's nuclear ambitions.

After it was announced last year, three more rounds of meetings were required to hammer out details for implementing it, European Union High Representative Catherine Ashton said in a statement on Sunday.

Another Iranian deputy foreign minister, Abbas Araqchi, said Sunday that his country would stop 20% uranium enrichment at that time, Iran's state-run news agency reported.

"There's $4.2 billion of Iran's oil income which will be released and from the other side, the conversion of 20% enriched material to oxide or diluting it (will) be carried out," Araqchi said.

Kerry warned the upcoming negotiations on a final deal would be "very difficult, but they are the best chance we have to be able to resolve this critical national security issue peacefully and durably."

@highlight

President Obama says "now is not the time for new sanctions"

@highlight

Iran to limit its nuclear program in exchange for sanctions relief starting January 20

@highlight

Talks will continue on a broader deal to prevent Iran from developing nuclear weapons

@highlight

A bipartisan proposal in Congress calls for imposing new conditional sanctions on Iran