Norfolk, Virginia (CNN) -- Mitt Romney on Saturday announced U.S. Rep. Paul Ryan of Wisconsin as his running mate for the White House -- a bold and risky move that energized both conservatives and their opponents.

Ryan is a rising Republican star and the party's leader on fiscal and budget issues. He said he is overwhelmed by the reaction to the announcement that he is Romney's running mate.

"I was amazed at the energy, the crowd, people who just want to see us take the country in a different direction," Ryan said. "It's very exciting. We're going to win this campaign. We've got the wind behind us. I'm really excited about this race."

How Romney campaign kept Ryan tap under wraps

Ryan is the architect of a Republican spending plan that would overhaul many entitlement programs, making him a favorite of conservatives, whose support for Romney, the presumptive Republican presidential nominee, has been shaky.

"You saw the response of our crowds, very excited to meet Paul Ryan to get to know him," Romney said. "A lot of them know him pretty well by virtue of things he's been fighting for, but it just means one more person to drive a very strong message."

But the Romney camp was also quick to put some distance between Ryan's initial budget blueprint and his own.

"Gov. Romney applauds Paul Ryan for going in the right direction with his budget," the campaign said, "and as president he will be putting together his own plan for cutting the deficit and putting the budget on a path to balance."

His running mate choice draws some clear lines with Romney's Democratic opponents over the size of the cuts in Ryan's plan and his prior votes on taxes, which they say favor the wealthiest Americans -- a point of contention in an election in which both sides consider themselves champions of the middle class.

"Congressman Paul Ryan is an outstanding choice as our country's next vice president, and today's announcement demonstrates Governor Romney's commitment to returning fiscal sanity back to Washington, DC.," said former Pennsylvania Sen. Rick Santorum, who mounted the strongest conservative challenge to Romney's campaign in the Republican primaries.

"I have long supported Paul Ryan's fiscal and entitlement reforms to return our country back on a path of fiscal health."

Ryan, 42, is considered a policy wonk and conservative Catholic likely to energize the GOP base and sharpen the campaign's focus on government spending and the economy.

That could boost Romney's appeal among middle-of-the-road Catholic voters in battleground states such as Ohio and Pennsylvania, though Ryan offers little in the way of foreign policy experience.

The House Budget Committee chairman was chosen ahead of Sen. Marco Rubio of Florida, former Minnesota Gov. Tim Pawlenty and Sen. Rob Portman of Ohio. A campaign aide told CNN that Romney decided on Ryan on August 1. GOP sources said Friday that the latter three had all been told that they wouldn't be getting the nod.

Meanwhile, Vice President Joe Biden contacted Ryan, welcoming him to the race, saying that he "looked forward to engaging him on the clear choice voters face this November."

And Democrats were quick to make Ryan's fiscal policies a target.

Analysis: A bold but risky choice for running mate

"Congressman Paul Ryan and Mitt Romney are a match made in millionaires' heaven, but they'll be a nightmare for seniors who've earned their Medicare benefits," said New York Rep. Steve Israel, chairman of Democratic Congressional Campaign Committee, "For the last 18 months, we've said Republicans will have to defend the indefensible -- their vote to end Medicare. Now with Congressman Ryan on the ticket, House Republicans face the one thing they hoped to avoid -- a national debate on their budget that puts millionaires first and Medicare and the middle class last."

The announcement comes at the end of a week in which Democrats continued relentless attacks on Romney over his refusal to reveal more of his tax records and which saw three polls in 24 hours showing Obama with a growing lead over his Republican challenger.

A CNN/ORC International poll released Thursday showed a big jump in those who had an unfavorable opinion of the GOP candidate.

While some analysts saw Romney's choice as risky, others thought Romney had to go big.

"With Mitt Romney losing ground to President Obama in the polls, I don't see the selection of Paul Ryan as 'risky,' I see the choice as bold and necessary," Republican consultant Ford O'Connell told CNN.

Timeline: Paul Ryan through the years

CNN senior political analyst David Gergen says the Ryan pick is "an opportunity for the Romney campaign to go on the offense."

Ryan, appearing with Romney in Norfolk, Virginia, at the beginning of a four-day, four-state bus tour moved quickly to position himself and Romney as champions of voters dissatisfied with the economy and to draw his own contrasts with President Barack Obama.

"We won't duck the tough issues, we will lead!" Ryan told a cheering crowd on the battleship USS Wisconsin. "We won't blame others, we will take responsibility. We won't replace our founding principles, we will reapply them."

"I hear some people say that this is just 'the new normal.' Higher unemployment, declining incomes and crushing debt is not a new normal. It's the result of misguided policies. And next January, our economy will begin a comeback with the Romney plan for a stronger middle class that will lead to more jobs and more take-home pay for working Americans."

Romney called Ryan "a faithful Catholic" who "believes in the worth and dignity of every human life." He lauded the fifth-generation Wisconsin native serving his seventh term in Congress as "an intellectual leader of the Republican Party" and a person who will help lead the country "to widespread and shared prosperity."

Romney introduced his running mate saying that his "integrity is unquestioned and his word is good."

Paul Ryan, top GOP voice on fiscal matters

But Romney, 65, initially flubbed his big line, announcing, "Join me in welcoming the next president of the United States, Paul Ryan!" He recovered moments later when Ryan took the stage, saying, "Every now and then, I'm known to make a mistake. I did not make a mistake with this guy, but I can tell you this: He's going to be the next vice president of the United States."

At a later stop in Manassas, Virginia, Ryan picked up again on the economy.

To choruses of "no" from the crowd, Ryan asked, "Do you think the economy is heading in the right direction? Do you think we're getting our debt and deficit under control? Do you think the country is on the right track?"

"Do you know why? he asked. "Because President Obama is our president and he has put all of his policies in place and they're just not working."

Romney then took the microphone, touting energy independence, improved worker skills and enhanced trade opportunities.

First, he drew cheers for his choice of Ryan.

"If you said one word about Paul Ryan it would probably be leader," Romney said. "This is a man who learned leadership young because leadership is a function of character and courage."

Accolades on the veep choice poured in from Republicans.

In a statement, Senate Republican Leader Mitch McConnell called Ryan, the House budget chairman, "a confirmation that Gov. Romney is serious about strengthening America's economic future, tackling the deficits and debt that have skyrocketed under President Obama, and returning to a path to solvency and security."

Pawlenty, in New Hampshire, called Ryan "a respected leader and a bold thinker regarding the changes needed to restore America."

But the Obama campaign reacted to the announcement making familiar charges against the architect of GOP budget plans and tried to tie him to the incumbent's predecessor, which is consistently blamed for the country's economic doldrums.

"In naming Congressman Paul Ryan, Mitt Romney has chosen a leader of the House Republicans who shares his commitment to the flawed theory that new budget-busting tax cuts for the wealthy, while placing greater burdens on the middle class and seniors, will somehow deliver a stronger economy," it said in a statement.

"The architect of the radical Republican House budget, Ryan, like Romney, proposed an additional $250,000 tax cut for millionaires, and deep cuts in education from Head Start to college aid. His plan also would end Medicare as we know it by turning it into a voucher system, shifting thousands of dollars in health care costs to seniors. As a member of Congress, Ryan rubber-stamped the reckless Bush economic policies that exploded our deficit and crashed our economy. Now the Romney-Ryan ticket would take us back by repeating the same, catastrophic mistakes."

Democratic attacks on Ryan focus on changes to Medicare and Medicaid

The bus tour will take Romney through major media markets in four battleground states -- Virginia, North Carolina, Florida and Ohio.

Virginia Gov. Bob McDonnell, once a potential running mate, introduced Romney. House Majority Leader Eric Cantor, a Richmond native, joined Romney at stops in the commonwealth on Saturday.

Prior to Saturday's announcement, many Republicans who spoke to CNN -- all of them granted anonymity to speak freely without angering Romney officials in Boston -- wondered why Romney would announce the pick on a weekend when millions of potential voters are likely to be distracted by the Olympics, PGA golf, late-season baseball and the box office release of the latest Bourne thriller.

Opinion: How Ryan could help Romney

What do you think of Romney selecting Ryan as his running mate? Let us know on CNN iReport.

CNN's Peter Hamby, John Helton, Martina Stewart, Rachel Streitfeld and Tom Watkins contributed to this report

@highlight

NEW: Ryan learned leadership at a young age, Romney says

@highlight

Ryan wrote a GOP budget plan, which seeks to revamp entitlement programs

@highlight

Biden welcomes Ryan to the race, which he says will provide "clear choice"