(CNN) -- Do you prefer to get a text message or a phone call if someone wants to reach you on your cell phone? According to a new study from the Pew Internet and American Life Project, 31% of American adults prefer text messages to phone calls.

An additional 14% said the contact method they prefer depends on the situation.

To put this in perspective, most Americans (but just barely: 53%) still generally prefer to get voice calls rather than text messages. Also, Pew notes that 4% of cell owners do not make or receive any voice calls on an average day. And 27% of cell owners do not use text messaging, even occasionally.

Not surprisingly, younger adults are especially likely to use texting. According to Pew, "Cell owners between the ages of 18 and 24 exchange an average of 109.5 messages on a normal day -- more than 3,200 texts per month. And the typical or median cell owner in this age group sends or receives 50 messages per day (or 1500 messages per month)."

Also, the rate of texting for 18- to 24-year-olds is "more than double the comparable figure for 25-34 year olds, and 23 times the figure for text messaging users who are 65 or older."

Whether individuals prefer to get text messages rather than voice calls appears to have a large correlation with how heavily they use text messaging. For instance, 55% of people who send or receive more than 51 texts per day report preferring them to phone calls. However, since younger adults are most likely to be heavy texters, this preference does indirectly correlate with age.

Why some prefer texting

Why do some people prefer texting to voice calls? Pew did not speculate on this, but How Stuff Works suggests some relative advantages of texting. First, privacy: it's far less likely that an SMS conversation can be overheard. (Conversely, this can also be a matter of courtesy; don't you wish more people in public settings would use text messaging rather than voice calls, if they must communicate with someone right that minute?)

Also, text messaging provides greater accessibility, not just for people with hearing impairments but also to compensate for ambient noise, weak or spotty cell network connections, or the poor quality of microphones and speakers that plague many cell phones.

But perhaps the main reasons why many people prefer getting text messages over voice calls are related to time.

Typically, text messaging encourages briefer, more efficient exchanges of information. Even "social grooming" chitchat often gets abbreviated so it's quicker to type and read -- although in the context of texting culture, this isn't necessarily viewed as colder or less socially or emotionally significant.

Similarly, there's less psychological or social pressure to respond immediately to texts. So you can take a moment to finish a task at hand (such as parking your car) or to consider what you want to say before responding to a text message.

Text messaging also can reduce the discomfort or impatience some people experience with pauses in real-time voice conversations -- or the chance that they may instantly blurt a response that they'd later regret.

A text-messaging decline?

If today's young adults' taste for text messaging persists as they age, this could spell big changes for how wireless carriers do business in the future.

Pew notes that voice calls and texting -- the two main services conducted over cell phone carriers' basic networks, rather than their data networks, for which they typically charge extra -- appear to have plateaued in the U.S.

"Both text messaging and phone calling on cell phones have leveled off for the adult population as a whole," said the report. "Text messaging users send or receive an average of 41.5 messages on a typical day, with the median user sending or receiving 10 texts daily -- both figures are largely unchanged from what we reported in 2010. Similarly, cell owners make or receive an average of 12 calls on their cells per day, which is unchanged from 2010."

A plateau -- or even an eventual decline -- in the popularity of both voice calls and text messages could profoundly change how carriers charge for voice calls and text messaging in coming years. In the long term, this might even lead some wireless carriers to abandon the direct telephony business or to treat it as a specialized service.

Right now, voice calling and text messaging packages are primary revenue sources for wireless carriers. These services are provided to virtually every cell phone, including the 65% of U.S. mobile phones that are not smartphones and so don't necessarily include data plans at this time.

Internet calling

But there are many options for placing voice calls over the Internet (Skype, Google Voice, Vonage and more) using voice over Internet protocol (VOIP) technology. These services generally are not tied to a particular device, so you can access your VOIP account from your computer, tablet or phone -- or even a shared device.

VOIP calling systems tend to be more complex for consumers to set up, learn and use than simply dialing a phone number to make a regular phone call. They also can be quirkier or less reliable than standard phone calls. But in coming years, these services probably will become more user-friendly for typical non-tech-savvy U.S. consumers.

Meanwhile, more U.S. consumers are buying smartphones that can run apps for VOIP calling services. By late 2012 or early 2013, over half of the cell phones in use in the U.S. will probably be smartphones. Also, many of the remaining feature phones on the U.S. market are becoming considerably "smarter," with greater capabilities to handle more advanced internet-based services -- perhaps even VOIP calling.

SMS text messaging also has ample competition from the various popular Internet-based instant messaging services such as AOL IM, Yahoo Messenger, Google Talk and more. BlackBerry Messenger is another SMS alternative popular users of BlackBerry phones.

But the catch with alternative instant messaging services is that each one is a closed system. For instance, you can't directly send an instant message to BlackBerry Messenger from Google Talk. While instant messaging remains such a fragmented communication landscape, SMS (which bridges all phone types and carrier networks) retains a significant advantage. You can use that one mobile tool to communicate with whoever you want, as long as you have their cell phone number, and they don't need to be logged in to a site or service at that time to receive your message.

Confusion for users

Still, Pew's research hints that the standard U.S. wireless telephony market might be starting a long-term decline. It's conceivable that U.S. wireless carriers may eventually shift to mainly selling data, rather than telephony. This could mean that someday, standard cell phone calls and text messages might be sold as special add-on services, perhaps handled by separate divisions or companies for extra fees.

What might that mean for mobile phone users? Probably a lot more confusion and frustration while the shift sorts out. It would take a few years at least before a communication system based mostly on the Internet and wireless data becomes as coherent and simple as the national telephone system most Americans grew up with.

Consumers may eventually see cost savings or service improvements associated with more freedom to choose how they make voice calls or send text messages, but this probably wouldn't be an easy change for most people to make.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

New Pew study says 31% of American adults prefer text messages

@highlight

Study: 4% of cell owners do not make or receive any voice calls on an average day

@highlight

Rate of texting for 18- to 24-year-olds is more than double figure for 25- to 34-year-olds