(CNN) -- The institution of marriage is unique. It is the one institution that binds women and men together to form a family, and this serves broad societal purposes.

In California, a U.S. District Court Judge last week overturned Proposition 8, the California Marriage Protection Act. It was passed in November 2008 by California voters to recognize "only marriage between a man and a woman."

The majority of Californians, including two-thirds of the state's black voters, have just had their core civil right -- the right to vote -- stripped from them by an openly gay federal judge who has misread history and the Constitution to impose his views on the state's people.

The implicit comparison Judge Vaughn Walker made between racism and opposition to same-sex marriage is particularly offensive to me and to all who remember the reality of Jim Crow. It is not bigotry, it is biology that discriminates between same-sex couples and opposite-sex couples.

A marriage requires a husband and a wife, because these unions are necessary to make new life and connect children to their mother and father. Judge Walker's decision will not stand the test of time and history. Congress and the Supreme Court must act to protect all Americans' right to vote for marriage.

Advocates of making same-sex marriage a legally recognized right claim that this will have no impact on traditional marriage -- that it can peacefully coexist alongside traditional marriage. On the contrary, it will have profound impacts. It will create a conflict for people of faith (and nonreligious people as well) who fervently believe in traditional man-woman marriage and the law.

The Bible is so clear in its support of heterosexual marriage there is little need for us to go through an exhaustive definition of biblical marriage versus the types of unions allowed by law today. The Scriptures say in Genesis 2:24 that a man is to leave his family and cleave to his wife.

This concept is repeated in Matthew 19:5 and Mark 10:7. All the scriptures in the Bible concerning marriage presuppose heterosexual marriage.

We can teach our kids that there are important spiritual and societal reasons to believe in traditional marriage and oppose same-sex marriage. But if same-sex marriage becomes legally recognized across the country, our kids will be told that gay marriage is a civil rights issue and that those who oppose it are akin to the racists of history who opposed interracial marriage and supported slavery.

We can teach our children at home that marriage is between a man and a woman, but our children's public schools will teach them that marriage includes same-sex couples. Both would be "equal marriages" under the law.

What might this look like? In Massachusetts, where a ruling legalized same-sex marriage in 2004, kids in public schools are reading books depicting same-sex families. At a California charter school in 2008, kindergartners' parents objected when a school newsletter alerted them to "National Coming Out Day;" a parent told a local ABC-TV affiliate that a teacher at the school screened a film to kindergartners the previous year showing gay families.

These kinds of ill-advised social experiments may produce a host of unexpected consequences. If gay marriage is allowed, the nation will soon begin to experience an increased degradation of the nuclear family -- resulting in fewer kids being raised by both a mom and a dad.

Beyond that, those of us who believe in traditional marriage and are in a regulated profession -- such as counselor, physician, attorney or accountant -- and act in concert with our beliefs, may be vulnerable to losing our professional license and our livelihood.

We can be a religious charity faithfully fulfilling our mission by serving our community, such as by providing adoption and other services, but if we refuse to provide those services to a same-sex couple, we have the choice of abandoning our beliefs or ending our mission.

In 2003, Adoption.com was sued by two California homosexual men, who claimed illegal discrimination because the agency refused to serve homosexual couples. The agency lost the lawsuit and no longer serves adoptive parents in California.

An even more substantive danger lies in the consequences of gay marriage on the next generation. Redefining marriage redefines family. Changing the concept of family will change both the definition and the pattern of parenting.

What will the landscape of America look like if same-sex marriage is legalized across our nation? Social scientists report what most Americans have always known: Both boys and girls are deeply affected in biological and psychological ways by the presence of their fathers.

If the American family loses the presence of the birth dad in the home, there will be huge consequences to the growth and stability of the next generation of children in that family.

For example, repeatedly, scholarly studies focused on adolescence show that early onset of puberty in girls is associated with negative psychological, social, and health problems including depression, alcohol consumption, and higher teenage pregnancy. An eight-year study of girls and their families showed that a father's presence in the home, with appropriate involvement in his children's lives, contributed to daughters' reaching puberty at a later age.

Despite the incredible adaptability of children, our entire culture should advocate for family structures that promote the most positive environments for coming generations.

In addition to fighting the marriage redefinition, leaders from all sectors of our culture, including our churches, must work hard at improving heterosexual marriages. Counseling, modeling, and interventions are needed to help ailing marriages. Both battles must be fought if our families, which are the incubators of future societal greatness, are to be protected.

Let's set our sights high. Let's not fall victim to the circling  argument of our opposition. We simply need an army of bipartisan leaders to strategize, organize, and prioritize the protection of marriage.

The opinions expressed in this commentary are solely those of Harry R. Jackson, Jr.

@highlight

Bishop Harry Jackson: The institution of marriage is unique in our society

@highlight

The institution serves broad societal purposes, Jackson writes

@highlight

Jackson: Gay marriage will lead to degradation of the nuclear family

@highlight

Family structures that promote positive environments should be culture's aim, he says