(CNN) -- A hot night in Beirut and hipsters, dressed to kill, dance the night away.

A DJ plays in a bar in Gemayzeh -- one of the few areas in Beirut where nightlife continues

A few years ago this scene would have played out across the city. Now, soldiers line the pavements and night time revelers are more likely to hear the sporadic crack of gunshots than dance music beats.

While trendy districts of Beirut like Gemayzeh are valiantly carrying on as usual, the nation's critical political and economic situation is hard to ignore.

"The Lebanese have this vibrance for life, this addiction for life, and the people just really want to exclude themselves from the political scene," Mazen Hajjar, owner of 961 Brewery.

It is a devastating political scene culminating in the current parliamentary deadlock which has blocked the election of a new president and put the economy on ice.

"Our best export from the country is now exporting our highly educated young men and women. We are losing them at the rate of six to seven thousand a month," said Fadi Abboud, President of the Association of Lebanese Industrialists.

The Lebanese who have chosen to stay are uncertain and fearful of war. They are staying in and saving money in case the political situation deteriorates.

In spite of the discouraging climate, young entrepreneur Mazen Hajjar is bucking the trend with his 961 micro-brewery.

"We're doing very, very well," he said, "We're looking very much like a lot of our counterparts to now start expanding internationally," continued Hajjar.

But then Hajjar is not short of nerve. He started 961 Brewery -- which is named after Lebanon's international dialing code -- during the 2006 Hezbollah war with Israel.

961 Brewery is an example of the complicated economic situation in Lebanon where some industries thrive and others fail.

Construction is another industry which is booming while others go bust. Fuelled by low interest rates and Gulf oil money, it is growing at around 30 to 40 percent a year.

Fears of more sectarian violence and another war with Israel are ever present -- and they are the kiss of death for sensitive industries like tourism.

The Lebanese are renowned for their love of a good time and Beirut's club scene used to attract tourists and partygoers from all over the region. Tourists from Kuwait and Bahrain used to spend as much money on Lebanon's ski slopes in the winter as on its beaches in summer.

But recently their governments advised tourists not to travel there. Saudi Arabia, Lebanon's main bankroller, has also warned its citizens to steer clear of the unstable country.

Shopkeepers are missing the custom of Saudis and Emiratis who are known for the extravagance of their purchases and hoteliers have noticed a big drop in occupancy rates.

According to the General Union of Arab Chambers of Commerce, losses in the Lebanese tourism sector over the past two and a half years have run to $2.2 bn.

Lebanon's beleaguered industrialists have also been hit hard by the political turmoil. They claim they are being ruined by high, unsubsidized energy costs and war damage. This has meant factories have closed and workers laid off.

"We are the Phoenicans for God's sake. We invented glass. It is now not commercial to produce glass, ceramics, plastics, building materials and bricks. All intensive energy industries are suffering and they have no future," Abboud told CNN.

Criticisms have been leveled at the Greater Arab Free Trade Area (GAFTA) for failing to put any measures in place to support Lebanon during this time.

The complicated nature of Lebanon's economic situation means that relief is coming from an unexpected source -- the country's huge diaspora.

Lack of stability may be keeping the expatriate population from returning home but it doesn't stop them from sending back money -- roughly $6 bn a year which makes up around a quarter of the country's GDP.

This money cannot keep the economy afloat indefinitely and the political problems must be solved before any long-term solutions can be found to the economic issues.

Nicholas Chammas, an eminent strategy consultant based in the country thinks Lebanon must rethink even more radically than that.

"We cannot defy gravity indefinitely. Lebanon has to go back to basics. We cannot function as we used to do before the war, or even 10 years ago. We have to change gears. We have to reinvent the Lebanese economy."  E-mail to a friend

@highlight

Lebanon is famous for its nightlife but political deadlock is wrecking the sector

@highlight

Uncertainty is discouraging tourists but real estate and construction are growing

@highlight

It is all part of Lebanon's complex economic landscape -- neither boom nor bust

@highlight

What can Lebanon do to solve its political problems and get ailing sectors off ice