Washington (CNN) -- An outside company now heads the effort to correct problems with HealthCare.gov, rather than the federal agency getting most of the blame for the botched rollout of the website to enroll in President Barack Obama's signature health care reforms.

Jeffrey Zients, the former White House budget officer assigned by Obama to fix the mess, said Friday that QSSI, a Maryland tech company, would serve as the "general contractor" in working to make the website function smoothly by the end of November.

The announcement was a shift in tone and strategy for the administration.

The federal Centers for Medicare and Medicaid Services (CMS) was the lead agency in overseeing creation of the online site that buckled under the volume of initial visitors following its October 1 launch.

QSSI was one of the dozens of contractors working with the government on the project coordinated by CMS, and now has the role of managing the correction efforts, according to Zients.

"There is now a general contractor who is overseeing the other contractors and directing the effort. In the tech world, this would be called a new systems integrator," the White House said in a statement. "This general contractor will work around the clock with all the key decision makers and players, including CMS leadership and staff, vendors and contractors."

The problems became a political liability for the Obama administration by emboldening Republican efforts to undermine the health care reforms detested by conservatives as an extreme example of government overreach.

After weeks of pledges by Obama and other officials to correct problems, including the inability to register, lengthy delays and incorrect information being relayed to insurers, Zients offered the first solid target for significant improvement. He said HealthCare.gov would work fully for the "vast majority" of users in just over a month.

"Healthcare.gov is fixable," he said on a conference call.

Zients confirmed that as many as 70% of its users were unable to complete the first step of the enrollment process -- creating accounts -- at various times in recent weeks.

The situation has improved, he said, while acknowledging other difficulties comprised a "punch list" of items being addressed.

"The punch list is dozens of items on both sides, in terms of priorities both on performance and functionality," Zients said, adding that new problems would be added as discovered "but most importantly, we will be taking issues off the list."

Contractors point fingers

In more than four hours of testimony before the House Energy and Commerce Committee on Thursday, officials of contractors hired to create Healthcare.gov cited a lack of testing on the full system and last-minute changes by the federal agency overseeing the online enrollment effort.

Republican Rep. Renee Elmers of North Carolina said that "the bottom line here is that CMS is responsible for this failure," while other Republicans also targeted Health and Human Services Secretary Kathleen Sebelius, whose department includes CMS.

Angry exchanges between Republicans who oppose the 2010 Affordable Care Act and Democrats defending it erupted repeatedly at the hearing, while the contractors insisted their work went fine even though the software functioned poorly when the system went live.

"I think the problems with Obamacare are much deeper than a website," GOP Rep. Tom Cole of Oklahoma told CNN on Thursday, echoing the Republican attack line that the health care reforms intended to help millions of uninsured Americans get affordable coverage are unmanageable.

White House spokesman Josh Earnest told reporters that plenty of time remained to get the website fixed and people enrolled before the sign-up deadline of March 31.

He said Zients had figured out the problems that needed to be addressed and now put in place the management changes to do so.

While visiting a health insurance call center Friday in Texas, Sebelius stuck to the Obama administration's line that the website for enrolling in new health insurance exchanges was improving.

Sebelius admitted she was surprised by the site's failure upon rollout.

"I didn't realize it wouldn't be operating optimally before the launch," she said.

"I think we knew that if we had had another six months, we would probably test further, but I don't think that anyone fully realized that both volume caused some problems, but volume also exposed some problems," she said.

Request to extend the deadline

Separately, 10 Democratic Senators have asked Sebelius to extend the open enrollment period for insurance exchanges beyond March 31. If the period is not extended, people who are uninsured after that date would face an IRS fine under the health care reforms.

But Sebelius described the open enrollment period as "unusually long" already and said any extension would have some consequences.

Responding to Congress

Sebelius and her agency came under new pressure from the chairman of the Republican-led House Oversight Committee, who said he might consider a subpoena to get information he wants on contracts, communications and other details involving the Obamacare website.

Committee aides said Thursday that the Health and Human Services Department had so far failed to respond to a previous request, and Rep. Darrell Issa of California gave Sebelius until Monday to comply or possibly face "compulsory" action.

The agency said it is working to comply.

"The committee sent us an extremely broad request for documents on October 10 - while the government was still shut down - and asked that we produce these materials within two weeks," HHS spokeswoman Joanne Peters said in a statement.

Peters said the agency has "been engaged in discussions" with Issa's panel to "better understand and prioritize" requests.

CNN's Lisa Desjardins contributed to this report.

@highlight

NEW: Outside contractor now overseeing website fixes

@highlight

Zients says the website will work properly for most people by the end of November

@highlight

Republicans continue attacks on President Obama's signature health care reforms

@highlight

Some Democrats seek extension of open enrollment for Obamacare policies