(CNN) -- A poor workman often blames his tools, and every four years the official World Cup football seems to provide the perfect excuse for poor play.

As balls go, the ones created for soccer's showpiece tournament have often fallen a bit flat.

At the 2002 tournament the Fevernova was deemed too light; four years later the Teamgeist was judged too heavy -- and then came the unloved Jabulani...

Compared to a "beach ball" by Spain goalkeeper Iker Casillas, called "dreadful" by England counterpart David James and described as "very complicated" by Argentina's star striker Lionel Messi -- who had actually been enlisted to help promote the ball -- the Jabulani left the 2010 tournament with a deflated reputation.

So it's over to the Brazuca -- a colloquial term used to describe pride in the Brazilian way of life -- to pump up pride for German manufacturer Adidas, which has been official ball supplier for the world's biggest sporting event since 1970.

Like those that have gone before it, the Brazuca is debuting innovative technology, as South America hosts the World Cup for the first time since 1978.

It is formed from six identical panels -- two fewer than South Africa's Jabulani -- which are glued together at a certain level of heat and pressure.

But the Brazuca has another important design difference which could kick the problems of its predecessors into touch.

"As soon as I got hold of the ball I could see how different it was from the previous two," says Dr. Simon Choppin, a research fellow at the Center for Sports Engineering Research at Britain's Sheffield Hallam University.

"Adidas have come up with a design where they've got a deeper and longer seam between the panels than on the Jubulani," he told CNN.

"It seems strange to say, but this is an innovation because it's more like the traditional, hand-stitched football where the seam is quite prominent on the ball.

"That seam size and the depth are really important in terms of how the ball behaves aerodynamically."

Choppin said the Jabulani "misbehaved" because of the smoothness it gained through its thermal bonding process.

"The player would strike the ball, and in certain regions of the ball the air was chaotic and in others the air was smooth," he explains.

"That creates an imbalance in the forces, so the ball tends to get pushed upwards or sideways or downwards.

"With the Brazuca you won't get that patchiness of air, you won't have areas of turbulent or smooth flow, and that will lead to its trajectory being more predictable, more like a normal football.

"It might be better than other balls in how it consistently rolls, and traveling through the air I think it will be more like the footballs that the players are used to in their domestic leagues."

Adidas is taking nothing for granted and has applied a policy of "practice makes perfect" to make sure its 2014 World Cup match ball is a success.

It is even calling the Brazuca "the most tested ball Adidas has ever produced" -- and it has the statistics to prove it.

"It was tested in 10 countries, across three continents by more than 600 players and 30 teams," Matthias Mecking, Adidas business unit director of football, explained to CNN.

"The Brazuca was tested by teams including Argentina and Spain, Bayern Munich and Chelsea and current players such as Messi and Casillas.

"It was also tested in Brazil's diverse seasons and climate conditions. We tested it in June and July in various cities to replicate the conditions and temperatures during the tournament.

"The ball was also tested at altitude, at 1300m in Sao Paulo and 1600m in Colorado in the United States.

"It was also tested on dry, slightly damp and very wet pitches, and in windy conditions, gusts and heavy rain."

After such a huge tick list, it is no surprise that the Brazuca has received positive reviews from many of the players who hope to kick and curl it to World Cup glory over the next month.

"The weight is really good, which tells me it's going to be a very reliable and true ball," says England midfielder and captain Steven Gerrard, who is sponsored by Adidas.

"The players want to try to be as accurate as they can with the ball, and we get a better chance of doing that if the weight's right because it does what you ask it to do."

Four-time world player of the year Messi said in a similar press release: "My first impression of the ball is that it's really good."

Even non-Adidas contracted players such as Wayne Rooney, Julio Cesar and Joe Hart have praised the ball in the buildup to the tournament.

The first batch of Brazucas were dropped off to all 32 national federations competing in the World Cup in time for Christmas last year.

In May, the 4,000 official match balls to be used arrived in Brazil and the training balls were, in turn, handed over to each federation when they arrived at their warmup camps.

With such meticulous planning, the players have had plenty of time to get used to the Brazuca, but will armchair football fans be able to tell one ball from another?

"If a piece of sports equipment is doing its job, you won't notice it," says Choppin, who has spent much of his career analyzing the behavior of footballs and tennis racquets.

"Previously when these balls wobbled in the air they made the job hard for goalkeepers, so there were more goals, and that's quite good for the person at home watching.

"Adidas has remedied that behavior so I'm predicting the Brazuca is not going to do anything completely crazy or unexpected, so maybe we won't notice as much."

If the Brazuca does have any hidden idiosyncrasies, then the World Cup's most gifted players could still turn them to their advantage.

"When the football at one of the previous World Cups started behaving strangely and wobbling in a certain way Portugal's Cristiano Ronaldo learned how to kick the ball in that way repeatedly," Choppin explains..

"So if a piece of equipment starts behaving differently it potentially gives the player an advantage.

"The best players won't complain about it -- they'll exploit it and use it to their advantage.

"Once he had learned to control the ball, Ronaldo saw it was a big advantage and he started scoring lots of free kicks."

But for those without the rare ability to bend the ball like Ronaldo and Messi, could a perfect football be created?

"Maybe as technology progresses, we can do away with seams altogether and start with a blank canvas," Choppin predicts.

"Manufacturers will be able to choose ball behavior themselves by adding indented roughness.

"I imagine a future where you can make a football that's marble smooth and then you press in the roughness and seams like adding dimples to a golf ball."

Even if the perfect football was conceived and created, there may never be such a thing as a universal ball -- at least not in today's competitive, commercial market.

The raison d'etre for the Teamgeist, the Jubulani and the Brazuca is to showcase Adidas technology and create demand for an exciting new product in front of a global audience.

World football's governing body FIFA is expecting 3.2 billion people to watch some portion of the month-long tournament.

As long as Adidas, Nike, Mitre, Umbro and other rival companies are competing to sell sports equipment, then a football with universal match appeal will remain as elusive as the gold World Cup trophy itself.

As for the Brazuca, no matter how consistently it performs in Brazil, its fate on future football fields has already been decided.

After the tournament the match balls rolled out in Brazil will become another Adidas marketing tool used in giveaways, exhibitions and retails.

The march of technology and the demand of the dollar means in many ways the Brazuca has already been consigned to history before the World Cup kicks off.

@highlight

The Brazuca will be in the spotlight as the new World Cup football for the 2014 tournament

@highlight

The ball is comprised of just six identical panels which are thermally glued together

@highlight

To avoid controversy of past World Cup balls, Adidas has rigorously tested Brazuca

@highlight

Science experts predict it will roll and travel through the air more consistently