(CNN) -- It was just after midday on a cold December Monday in South Korea's capital when news of Kim Jong Il's death filtered through.

Though the reclusive North Korean leader had been plagued with health problems in recent years, the announcement was greeted with general astonishment in Seoul, according to a journalist from the country's largest newspaper.

"The initial reaction was shock, quickly followed by speculation about what was going to happen next," said Woosuk Ken Choi, assistant editor with The Chosun Daily.

For its part, the South Korean military responded by raising its alert level, while the country's media went into overdrive trying to predict how this oblique and erratic state would respond.

But Choi said most ordinary Koreans were remaining calm.

North Korea: Should we fear change?

"There was no rush to supermarkets to buy up food," he said in an interview with CNN. "The South Korean public seems confident that the country will be able to manage this. Many see the North Koreans as like us, people we need to care for and help."

Outright conflict is not something many would expect, he added.

"There is a little tradition in Korea that when someone passes away in a family you stop fighting.

"We're on high alert not because we want to do something but because some renegade North Korean unit might cause some trouble. But no one really thinks the North Koreans will launch an attack.

"Nothing happened in 1994 when Kim Il Sung died and it will be the same this time."

The architect of what became known as the Democratic People's Republic of Korea in 1948 after the Korean peninsula was divided between U.S. and Soviet occupation forces, Kim Il Sung was an autocratic leader who presided over a policy of Juche, or self-reliance, which did much to foster the Communist country's isolation.

When Kim Jong Il, his oldest son, succeeded him, North Korea was crippled economically, having lost one of its main trading partners when the Soviet Union collapsed. Kim largely ignored the massive problems at home and focused on shoring up the regime's position and investing in the military as a bulwark against the wealthy, U.S.-backed south.

What military hardware does North Korea have?

But with Kim dead, Choi believes many in the south will see this as an opportunity to improve relations with their dysfunctional neighbor, perhaps even paving the way for reunification.

"Most people, whether left or right on the political spectrum, hope this is the case," he said.

"However a large chunk of South Koreans do worry about the financial burden of reunification, citing the case of West and East Germany in the early 1990s.

"Others argue the cost of living together will be a lot less than living separately in the long run. I also believe a whole host of issues could be resolved with reunification."

But Choi said each generation in South Korea has its own viewpoint when it comes to relations with the north.

"Those in their teens and 20s have a real fear of military conflict, as they are the ones who have to complete their compulsory military service," he said.

"Many people in their 30s and 40s worry about the financial cost to them of reunification, while those in their 50s and 60s back a united Korea whatever the cost."

If reunification is a pipe dream for now, Choi says there is a difference of opinion in South Korea about the dynastic succession in the north.

"Many people believe the transfer of power to a third generation is absurd, totally anachronistic and not what the world is about today," he said.

"But those who believe in a policy of engagement with North Korea say it doesn't matter whether it is third or fourth generation, they're still our people and we need to talk to them to try and resolve the situation."

Another view, according to Choi, is "the Great Successor" will not last long.

"He's simply too young," he said. Kim Jong Un is believed to be in his late 20s.

"There is this notion in Korean society -- north and south -- that if you take the throne too young you won't last long. No matter how good he is, they think his uncles and more experienced family members will rule from behind him and that he could ultimately be sacrificed."

As pictures of ordinary North Koreans mourning the loss of their Dear Leader continued to filter onto television screens across South Korea Tuesday, Choi felt most people would have been struck by how staged they seemed.

"The pictures don't reflect the reality in North Korea," he argued.

"When Kim Il Sung died there were a number of people who really went out and cried because they really did respect him.

"Kim Jong Il's case is different because about two or three million people died of starvation after he came to power. The level of mourning will be about a tenth of what it was in 1994. This is the view of many defectors I have spoken to."

@highlight

Journalist: Announcement was greeted with general astonishment in Seoul

@highlight

Woosuk Ken Choi says most people in the south are calm about the situation

@highlight

Choi: "Nothing happened in 1994 when Kim Il Sung died and it will be the same this time"

@highlight

South Korean military responds to news of Kim's death by raising its alert level