Beijing (CNN) -- Chinese authorities on Wednesday formally charged a prominent Uyghur scholar with "separatism" months after his detention, state-run Xinhua news agency reported.

Ilham Tohti, an economics professor at Beijing's Minzu University, was detained by police in January and taken to his native Xinjiang, China's restive northwestern region where a spate of recent violent incidents have been blamed by the government on Uyghur separatists seeking to establish an independent state.

Just a day earlier, Xinhua cited local police as saying that a gang wielding knives and axes attacked civilians, a police station, government offices and smashed vehicles on Monday in southern Xinjiang, killing and injuring dozens. The government called the incident an "organized and premeditated" terrorist attack and said police officers at the scene shot dead dozens of people in the mob, according to Xinhua.

In a statement posted online in January, Xinjiang police said they had gathered firm evidence of Tohti colluding with overseas forces to "spread separatist ideas, incite ethnic hatred and advocate Xinjiang independence." The police statement also said Tohti had taught students about "violent Uyghur resistance" in his class and encouraged them to overthrow the Chinese government.

Tohti's lawyer told CNN last month that the scholar emphasized his innocence during a meeting between the two in Urumqi, the capital of Xinjiang.

"He reiterated that he has advocated to improve the rule of law, democracy and ethnic harmony in Xinjiang," said Li Fangping, the lawyer, shortly after being allowed to visit his client for the first time in months.

Hunger strike in January

Li also complained about the treatment of Tohti in jail, saying he was put in shackles for three weeks upon arrival.

"He went on a hunger strike for some 10 days in January after they refused to provide him with Muslim food," Li said. "They also denied him food for about 10 days in March after the Kunming incident," he said, referring to the stabbings at a train station in the southwestern city of Kunming that left 29 people dead. Uyghur separatists were blamed in the attack.

The lawyer added that Tohti "looked OK but said he lost 16 kilograms and complained about ailments throughout the body, including in the liver, heart and eyes," Li added.

CNN's phone calls Wednesday to the Xinjiang government for comment went unanswered.

Vocal critic

Tohti is known for his research on Uyghur-Han relations and has been a vocal critic of the government's ethnic policies in Xinjiang, a resource-rich region long inhabited by the Turkic-speaking, largely Muslim Uyghurs. The arrival of waves of Han, China's predominant ethnic group, over the past decades has fueled ethnic tensions.

Some Uyghurs have expressed resentment toward the Han majority in recent years over what they describe as harsh treatment from Chinese security forces and loss of economic opportunities to Han people in Xinjiang.

Amnesty International has said that Uyghurs face widespread discrimination in employment, housing and educational opportunities, as well as curtailed religious freedom and political marginalization. Other critics, including exiled Uyghur activists, have attributed the rise of violence in Xinjiang to Beijing's increasingly repressive rule there -- a claim the government vehemently denies.

In the region's deadliest single violent incident in recent history, a suicide bombing in May killed 39 people at a street market in Urumqi. Another apparent suicide bombing left three dead in April at an Urumqi train station.

The Chinese government has responded by launching a massive anti-terrorism campaign as well as pouring more economic resources into Xinjiang.

Executions

Last month, China executed 13 people convicted of terrorism charges related to attacks on public places in Xinjiang in recent months, state media reported. Also in June, a court in Urumqi sentenced three people to death for their roles in a deadly attack in Beijing's Tiananmen Square last October. Defendant names revealed by state media all sounded Uyghur.

"Repression plus economic incentives -- that has continued to be the government response," said Maya Wang, a Hong Kong-based researcher for Human Rights Watch. "Economic development and job opportunities are important to the Uyghurs, but these things must be done in a way that respects their culture and freedom of expression.

"Unfortunately, the government is more interested in projecting what it wishes to do in Xinjiang rather than looking at what the real problems and ethnic grievances are in the region."

@highlight

Formal charge against Ilham Tohti comes a day after violence in southern Xinjiang

@highlight

Tohti went on a hunger strike during his incarceration in January

@highlight

Uyghur-Han relations are a focus of Tohti's research