(CNN) -- It was about eight months into her fight with heart cancer that 24-year-old Maire Kent knew she was going to die.

In November 2012, Kent was diagnosed with cardiac sarcoma, a rare and aggressive form of cancer. By the end of September 2013, she was gone.

But it's what happened in the final weeks of her life that made her friends and family feel as if she's still around.

"I met her by chance, actually," filmmaker Keith Famie told CNN. "I went to the hospital because I was having some chest pains and we ended up having the same doctor. Our conversations took off from there."

Famie happened to be working on a documentary about how people deal with the end of life. So he and Kent decided to document the last leg of her life and her final wishes.

Inspired by her favorite children's book, "Paddle to Sea," in which a boy carves a wooden boat and sets it free in the Great Lakes, Kent turned to her family and said, "I want to do that. I want to go to the ocean. Cremate me and put my ashes in a boat. I want to go from Lake Michigan to the Atlantic Ocean."

"She wanted to create a dialogue about cardiac sarcoma," her older brother Geoff Kent told CNN. "Her dream was to be a nurse, because she loved helping people. She knew she wasn't going to live to achieve that, so this was her way of helping people after she died. We all know someone with cancer."

Sarcoma is a rare type of cancer, and cardiac sarcoma even rarer, according to Dr. Monika Leja, a cardiologist in Ann Arbor, Michigan, who treated Kent, a former Army private.

"It can grow from any part of the body, even connective tissues. It usually happens to very healthy, young, individuals," Leja told CNN. "A purely genetic disease that's rapid growing. It's kind of like having a ticking time bomb in your body and no one is recognizing it."

Three weeks before Kent's life ended, the plans to get her ashes to the Atlantic Ocean began. And Famie was there to document the whole thing.

"It was just a little 3Â½-foot boat carved out of wood by a totally blind carpenter. That's what she wanted to have her ashes put in," Famie said. "The hope was that, with the help of strangers, she would have her dream come true. As it turns out, it was kind of like the Olympic torch. People wanted to be part of this journey."

An unpredictable journey that -- keeping true to the story in "Paddle to the Sea"-- would only work with the help of people Kent never met.

To encourage the support, Kent had her family write a message on the small sail of the handcrafted wooden boat:

"My name is Maire. I died of cardiac sarcoma cancer. My ashes are enclosed in this boat and I am on my way to the ocean. If you find me, please send me back on my path. I'll bless you from Heaven."

The boat set sail in Lake Michigan and in the weeks that followed, Kent's ashes would travel by water and over land, riding on everything from planes to trains to the sidecars of motorcycles.

"Cancer is really everybody's story," Famie told CNN. "And Maire knew that. Once the journey started, it was incredible watching people engage the boat. It created a dialogue of life after death. We knew it would resonate with people but we had no idea it would be this strong."

People helped on a whim, like Burton Bogart, who jumped into the Erie Canal to rescue Kent's small boat, which had become stuck in the brush on the riverbank and was at risk of being lost.

"So he runs down the bank of a river, takes his clothes off, swims down the canal and releases her. And people are all clapping and cheering," Famie said, remembering the scene. "But then the boat stops again, directly under this group of 40 people watching it all from a balcony above the river. And I can see this woman is really upset."

Along with Kent's written message on the boat's sail were 12 random names of people Famie had chosen from across the country who, like Kent, had died from cancer.

One of the names was George Davis.

"The women turns to me and says, 'George Davis? That was my dad's name. He died 20 years ago from lung cancer,'" Famie said. "It turns out in life, chance encounters aren't so chance at all."

Before she died, Maire Kent said, "You can't really predict your own future. There's always a road that's going to pop up out of nowhere. And that's why life is a journey."

On July 26, in New York harbor, her journey ended when her ashes made it to the Atlantic Ocean, just as the sun was setting.

"When Maire told me she wanted to do this, I promised her that we'd get her there. And we did," Famie said. "In that little gleaming moment you just knew that you were doing something that was supposed to be done for somebody. It is a transcendental journey. Maire, who nobody knew, so many people will meet."

Mom sews a new dream after toddler's death

Teen who inspired many with 'Clouds' song passes

CNN's Ritika Shah contributed to this report.

@highlight

Maire Kent had cardiac sarcoma, a rare and aggressive form of cancer

@highlight

She made a plan to send her ashes on a tiny boat from the Great Lakes to the Atlantic

@highlight

Filmmaker Keith Famie documented the boat's journey and how strangers helped out

@highlight

"I promised her that we'd get her there. And we did," Famie says