(CNN) -- In case you haven't noticed, this election season is awash in money.

By the end of July, Mitt Romney had widened his cash advantage over President Obama by $62 million. Romney has also been raising more money than Obama in the last three months.

If Romney continues to outraise Obama, does it mean that he will win the presidential race? Can money buy elections?

Palin not present at RNC but still a presence

Historically, the candidate who raises the most money is likely to win. In recent presidential elections, the only victors whose campaign committees raised less than their opponent were Bill Clinton in 1996 (raising $116.8 million to Sen. Bob Dole's $134.7 million) and Ronald Reagan, who raised less than Jimmy Carter but nevertheless swept into Washington in a 1980 landslide.

In both instances, the comparison of funds raised is limited to their primary campaigns as, unlike today, these candidates relied exclusively upon the presidential public financing system which provided funds in equal amounts to both major party candidates for their general election campaigns.

Fortunately, for candidates in any given race, money alone provides no guarantee of victory. Candidates need exceptional campaign skills, a solid election team, charisma, name recognition and it helps to be an incumbent who usually has these attributes and whose viability often attracts more donations.

Still, money is essential. For example, in the 2010 cycle (including both primaries and general elections), only 9 winning House challengers spent under $1 million. Candidates need a lot of resources to conduct a meaningful campaign and, these days, that costs $1.4 million for an average House seat and up to hundreds of millions to take the White House.

Over the last decade, we've seen that in the vast majority of congressional races, those who raised the most money emerged victorious. In 2004, Senate candidates who raised the most money won 88% of the time and House candidates who raised the most money won an astonishing 97.8% of the time. It is a testament to money's influence that even in what was widely considered to be a "wave election" in 2010, when the political environment favored the GOP, candidates with the most money still held sway in most of the races.

In 2012, money is even more important because candidates are not just competing with their electoral opponent anymore, but also with the messages and money from highly professionalized super PACs and nonprofits with lots of campaign experience. These unfamiliar groups' agendas may or may not be clear to candidates, or the voters they're trying to influence.

Outside spending is now the hallmark of America's elections, particularly in tight races.

Walmart moms not yet buying Romney or Obama

Expect to see record spending this year, which will largely come from very few donors. While the presidential campaigns are raising less money overall than in 2008, money spent by super PACs and secretive nonprofits, ostensibly independently, to influence elections is soaring. Groups across the political spectrum are making "independent expenditures" and "issue ads" that talk about candidates and issues without explicit "vote for" messages.

This is the evolutionary effects of two critical changes in the campaign finance world. One is the demise of the presidential public funding program and the other is the formal legal sanctioning of unlimited and unrestricted spending directed at candidates.

Since 1976, the presidential public financing system included matching funds for small contributions in primaries and equal grants for the two general election nominees. Beginning with George W. Bush rejecting public matching funds in the 2000 primary campaign (and the spending limits that went with them), that system was diminished incrementally until 2008 when Obama's rejection of general election funding spelled its final demise.

The system was far from perfect, but it offered an equal base from which the two presidential candidates could conduct the eight or nine week sprint to the finish. And it would reduce the fundraising frenzy that now surrounds this presidential race.

Witness how Paul Ryan began his tenure as Romney's running mate with a stop at the Venetian Hotel to meet Sheldon Adelson, the billionaire casino magnate who has previously said he will spend up to $100 million to ensure President Obama's defeat. Team Obama, meanwhile, is holding exclusive, coast-to-coast fundraisers in homes of the super-rich, giving face time (with the president, vice president, first lady and various other celebrities) to those who can bring $70,000 or so to the table.

Similarly, a series of judicial and regulatory decisions in recent years has yielded a system in which unlimited funds from virtually any source can be brought directly into the campaign at any time, often with no indication of who is paying the bill. The maze of obscure organizations designed to coordinate these outside efforts and obfuscate their financial sources is just one more example of the cynical efforts of the political class to bend the rules and manipulate the process in hopes of gaining some small advantage on Election Day. It's an attitude that is not lost on an already frustrated electorate that finds little in the political process worthy of respect.

The result is an atmosphere where candidates and parties must raise upwards of $20 million or more each week or risk falling behind. The airwaves are saturated in an unprecedented effort to influence voters in the dozen states up for grabs this year. In the largest of these states (Ohio, Florida, Virginia) the campaigns, super PACs and other shadowy groups have spent an average of nearly $30 million each month since May, levels not seen until late fall in the closest of previous presidential races.

We've reached the point in the campaign where groups running issues ads that identify a candidate would normally have to disclose their donors. But in a cynical move, groups like the U.S. Chamber of Commerce and Crossroads GPS readily admit to employing evasive tactics which, ironically, require that they take a more aggressive position for or against the candidate, in exchange for which they may completely dodge disclosure of their donors.

Meanwhile, we move toward fall pretending that our campaign finance system remains sound and will protect us when, in some key respects, the rules and disclosure that the Citizens United decision, and the entire system, depends on no longer exist.

Partisan advantage appears to have replaced institutional dysfunction as the driving forces behind the eroding disclosure of those "paying the piper" in this election. The question is whether and when enough people will engage their representatives and collectively demand more authentic dialogue and intellectually honest leadership from lawmakers in Washington. If there is to be any hope of change, this is step No. 1. Otherwise, we shouldn't be surprised when, come 2013, we start hearing a new tune, but can't see who's calling it.

Meanwhile, Romney, Obama, their parties and the outside groups that support them are all locked in an exhaustive race for funds. While Romney has done well compared to Obama in the last few months, the Obama campaign has raised far more overall this cycle. Both camps will have enough money to get their message out, but only one will win the election. In the end, money may not be the only reason, but if history is any indication, whichever candidate raises more of it will likely be our next president.

The opinions expressed in this commentary are solely those of Sheila Krumholz.

@highlight

Recently, Mitt Romney widened his cash advantage over President Obama by $62 million

@highlight

Sheila Krumholz: If Romney keeps raising more money, will he win the election?

@highlight

She says historically, the candidate who raises the most money is likely to win

@highlight

Krumholz: But for candidates in any race, money alone is no guarantee of victory