(CNN) -- When Apostolos Polyzonis's bank refused to see him last September, the 55-year-old Greek businessman had just 10 euros ($13) in his pocket. Out of work and bankrupt, he thought all he could do with his remaining money was to buy a gas can.

Desperate and angry, Polyzonis stood outside the bank in central Thessaloniki, in northern Greece, doused himself in fuel and surrendered to the flames.

"At that moment, I saw my life as worthless, I really didn't care if I was going to live or die," recalls Polyzonis, who says he was hit by financial troubles after the bank recalled a loan given to him for his business.

"My sense of living was much lower than my sense of self-respect and pride, the fact that I had lost my right to be a free Greek," adds Polyzonis.

Polyzonis, a father of three, was eventually saved by police. He recovered after spending seven days in hospital on life support.

His public protest made headlines and touched a nerve with many Greeks bearing the burden of a worsening debt crisis. One in five Greeks was unemployed last year, according to Eurostat figures. Many more have suffered unprecedented hardship due to increasing pension and salary cuts.

"I don't feel proud about it, no way, but all these situations made me lose my self-respect and feel like I've been deprived of my rights," says Polyzonis, "because being able to pay your taxes is not only an obligation but also a right. People should have the possibility to pay their taxes, to pay their obligations to others, to offer the basic goods to their family so they can feel that they live with self-respect and dignity."

Until now, Polyzonis's self-immolation was the most vivid image of a singular public act of protest in a country that's been shaken by anti-austerity violence.

But Greece was jolted even more Wednesday after a 77-year-old man took his own life in the busy Syntagma Square, central Athens, the scene of several violent clashes between anti-austerity protesters and the police in recent months.

Just a few hundred yards away from the Greek Parliament, retired pharmacist Dimitris Christoulas shot himself with a handgun amid the morning rush hour, in what was apparently a protest over the financial crisis gripping the nation.

Minor clashes between police and protesters followed a vigil held Wednesday night to mark his death. Up to 1,000 people gathered for another rally Thursday in Syntagma Square, which was largely peaceful apart from a few scuffles between small groups of protesters, Athens police said.

In his suicide note, Christoulas wrote that the government had made it impossible for him to survive, according to Greek state TV.

Christoulas's death can be added to an increasing number of suicides in Greece, as more people feel hopeless amid the worst economic crisis in the country's recent history: according to the health ministry data, the suicide rate jumped about 40% in the first five months of 2011 compared with a year earlier.

"The further we go into the crisis, the more things get ugly," says Aris Violatzis of Klimaka, a non-governmental organization that runs a suicide helpline in Greece.

The group -- Klimaka translates as "scale" -- says it receives up to 100 calls a day, with three of four callers citing economic problems as their main concern. In 2007, just before Greece fell into recession, the helpline used to take 10 calls a day maximum, explains Violatzis, and only one in four callers mentioned economic issues.

"The social framework in Greece has become pathogenic -- we have a morbid social environment where one of its symptoms is suicide," he adds.

Under its second bailout program, approved last month, Greece has agreed to implement a series of austerity measures and undertake broader reforms to make its economy more competitive.

New taxes, rising unemployment and cuts to pay, pensions and social welfare provisions have brought many ordinary Greeks to their knees.

As Greece remains mired in financial woes -- the country's economy is heading for its fifth year of recession -- many now fear that Christoulas's public act of protest could find more imitators.

"I believe there are going to be more suicides and that's what got the government worrying," says archaeologist Despoina Koutsoumpa, who was among the hundreds who rushed yesterday in Syntagma Square to pay tributes to Christoulas.

"His act was a punch in the stomach for all of us. It made you realize that the overthrowing of these policies requires self-sacrifice, like in Tunisia and in Egypt where hundreds of people died," Koutsoumpa, a regular at the anti-austerity demonstrations in Athens, told CNN.

"In Greece there are also hundreds of people dying because of the crisis, people we don't see -- there are suicides over debts, there are people dying in the streets because they don't have anything to eat," she adds.

"A lot of people here understand that there will have to be even sacrifices of people in order to get rid of the situation."

Seven months after setting himself on fire, Polyzonis says more and more Greeks find themselves close to the desperate condition he was in last September.

"The situation is becoming every day worse," he says. "Every day people lose their jobs, every day people are unable to pay rent for their house, the basics to find something to eat -- the last step before doing what I did or what another human being yesterday did in Greece."

@highlight

Suicide rate in Greece jumped 40% year-on-year in first five months of 2011

@highlight

Apostolos Polyzonis set himself on fire outside his bank last year after falling into financial trouble

@highlight

Polyzonis: "I had lost my right to be a free Greek"

@highlight

Dimitris Christoulas shot himself Wednesday in central Athens during morning rush hour