(CNN) -- Deep-sea explorers say they have solved "one of the greatest mysteries in naval history" with the discovery of what was "the world's mightiest and most technically advanced warship" when it sank in 1744.

The HMS Victory sank in 1744.

The HMS Victory -- the predecessor to a historic British flagship of the same name -- was found "far from where history says it was lost," Odyssey Marine Exploration said in a news release Monday.

The find in the English Channel exonerates Adm. Sir John Balchin, one of "the greatest admirals in English history," because it shows that the ship went down in a violent storm, not due to any mistakes he made, Odyssey said.

It did not specify the ship's exact location. Maritime lore said the ship went down in the northern part of the Channel Islands, south of England near the coast of France.

Stories about treasures -- including gold -- that may have been on the ship have existed ever since its disappearance.

This HMS Victory was a predecessor to the historic British ship that took the same name and which served as Admiral Nelson's flagship in the Battle of Trafalgar in 1805.

In court papers seeking exclusive salvage rights, Odyssey says the wreck site "consists of cannons and other unidentified objects. Odyssey believes that potentially valuable cargo may be located at or near the site."

The papers were filed in U.S. District Court in Tampa, Florida, where Odyssey is based, seeking exclusive salvage rights.

There were nearly 1,000 people aboard -- "900 sailors, plus a complement of marines and 50 volunteers drawn from the noblest families of England," Odyssey said in information about the ship released together with the Discovery Channel, which chronicled the find.

Based on reports from the time, there may be as much as four tons of gold on the ship, Odyssey and the Discovery Channel said.

"Additional research indicates that there were large quantities of both silver and gold coins aboard. ... Research suggests that this prize money will also likely be located at the wreck site.

"... However, no coins have been located at the site to date, and no accurate assessment as to their value can be made prior to location, recovery and analysis."

The potential treasure also comes in another form -- bronze weaponry. "The site's anticipated ordnance collection" includes "the single largest collection of bronze cannon in the world" and "the largest consignment of bronze guns ever manufactured and preserved today," Odyssey said.

Two cannons have been recovered -- "a 12-pounder featuring the royal arms of George II" and a "42-pounder bearing the crest of George I," it said.

"The huge 42-pounder recovered is the only known example of a gun of this type and size currently in existence on dry land. The only other artifacts recovered to date were two small brick fragments that were brought into U.S. federal court in order to file an admiralty arrest of the site."

Admiralty arrest is a step mandated under international maritime law.

The discovery could set up a legal battle with the British government.

If it really is the HMS Victory, "her remains are sovereign immune," the British Ministry of Defense (MOD) said in a statement on its blog Monday.

"The wreck remains the property of the Crown. We have not waived our rights to it. This means that no intrusive action may be taken without the express consent of the United Kingdom."

In its statement, Odyssey said it "has been cooperating closely" with the ministry, and "all activities at the site have been conducted in accordance with protocols agreed with MOD and Royal Navy officials."

The ship has deteriorated to the point that recovering it is impossible, Odyssey said. "A plan is being developed for an archaeological excavation of the site, and artifacts will be recovered in accordance with a scientific project plan, which will be submitted to the UK MOD for review and approval."

The company has proposed that it be paid "with either ... a percentage of the value of the collection that has been recovered, conserved and presented to the UK government, or a percentage of the coins or other artifacts that the government decides to (sell)."

The ship was found nearly 100 km (62 miles) "from where the ship was historically believed to have been wrecked on a reef near the Channel Islands," Odyssey's statement said.

"Having discovered it in deep water far from where history says it was lost has served to exonerate Admiral Balchin and his officers from the accusation of having let the ship run aground on the Casquets due to faulty navigation," said Greg Stemm, Odyssey's chief executive officer, in the statement.

Odyssey said the "prevailing belief" about the ship's fate was that it had "smashed into the Casquets, a group of rocky islets" north of Guernsey, the second largest of the Channel Islands.

But the evidence, Odyssey's statement said, suggests "the ship sank as the result of a violent storm and suggests that the design and construction of the ship contributed to her loss."

Odyssey released press materials about the ship in cooperation with the Discovery Channel, which chronicled the find and will be showing it in a program this week called Treasure Quest.

"The English Channel is a treacherous place to navigate," Discovery Channel President John Ford told CNN Radio.

"The ship was returning from Portugal and got caught up in a storm. And despite being judged unsinkable at the time, sort of like the Titanic was, this very, very large ship went down in a storm and vanished without a trace."

CNN Radio's April Williams contributed to this report

@highlight

Team says it has discovered the wreck site of HMS Victory

@highlight

Victory sank in 1744 between England and France

@highlight

If find is confirmed, it could set up a legal battle with the British government

@highlight

Replacement HMS Victory served as Nelson flagship for Battle of Trafalgar in 1805