(CNN) -- One of No Child Left Behind's controversial initiatives -- support for single-sex public schools and classes -- has come under heavy fire from critics. A common objection is that the programs are based on gender stereotypes: Boys need discipline and should be free to run around the classroom; girls require gentle care and can be trusted to sit still.

Is single-sex public education outdated and backward in this day and age?

Sociologist Michael Kimmel wrote in a CNN.com opinion column that single-sex classrooms in otherwise coeducational schools "segregate boys and girls."

It's a powerful statement. Segregation usually calls to mind racial segregation. In public schools today, black students remain considerably more segregated from white students compared with other racial and ethnic groups.

But does separating students along the gender line, as Kimmel claims, do more harm than good?

Separation is not always a form of segregation. Some single-sex schools can do more good than harm. For educators who are looking for a way to address the needs of black boys -- who lag behind their peers on a range of academic and social measures, according to research -- single-sex education is an important tool.

Instead of abandoning the option, educators and policymakers should learn from the promising work of some of the schools that serve young black men. An all-male public school can celebrate many different ways of being a young man, freeing students from a straitjacket notion of masculinity.

Take Urban Charter, a school that I researched for a year. (Urban Charter is a pseudonym. Federal guidelines require that its real name be kept confidential. This is a common practice for school-based research involving minors.) It's an all-boys high school in a large urban school district on the East Coast. It opened several years ago. Nearly all the boys there are African-American, and a large majority of their families are working-class or poor.

Opponents warn that single-sex schools reinforce gender stereotypes. It's a valid concern. Yet the teachers at Urban Charter actively fought stereotypes, not simply of boys but of black boys. The school staff was well aware of common stereotypes of their young men -- as, say, rappers and basketball players -- and so the school culture nurtured individual interests and passions. At weekly assemblies, the accomplishments of the mock trial team were celebrated alongside those of the basketball team. There was a thriving comic book and anime club, and nearly the entire school turned out for theater productions.

Critics also worry that all-boys schools promote a machismo culture and could alienate boys who are gay. Yet a schoolwide commitment to helping young men become gentlemen meant frequent lessons about respecting women and girls.

The unique gender composition did not itself make all the difference. The school administration knew this from the start. As the school's founder said, "you can make it all boys; you can separate the boys. That does nothing. Separation gives you an opportunity to work the boys. You've got to shun the whole boot camp mentality, disciplinary school mentality."

That opportunity was creating a pro-academic climate with small class sizes and a longer school day. A large budget and buy-in from parents and teachers also helped tremendously.

Urban Charter's accomplishments can't be denied. Since 2011, the school has a near-perfect graduation rate, and over 80% of the students have gone on to college. Nearly all the boys I interviewed said they didn't want to be anywhere else (and most had been unhappy when they enrolled). They frequently cited the number of caring teachers.

Research has shown that single-sex schools serving at-risk youth are likely successful for reasons other than simply separating kids by gender. Yet too often, opponents mischaracterize the claims made by those who support the schools. Certainly, there are many differences among boys and among girls. But parents should have the option to choose between single-sex programs and coeducational options. (The programs must be completely voluntary, in keeping with 2006 Department of Education guidelines.)

To be sure, proponents haven't always helped their own cause. Some have mistakenly used biological sex differences to justify educating boys and girls separately.

But Urban Charter, for example, didn't tout those differences at all. The school instead cited very real, troubling and enduring differences in academic outcomes (performance in school, graduation rates) and social outcomes (exposure to drugs and violence, the likelihood of being incarcerated) between black boys and their peers.

Let's stop saying that single-sex public education is a form of segregation; it can empowering. And African-American boys are among those who could benefit the most.

The opinions expressed in this commentary are solely those of Freeden Oeur.

@highlight

Freeden Oeur says support for single-sex public education has come under fire

@highlight

Oeur: Single-sex classes are a good option in addressing the needs of black boys

@highlight

He says an all-male school can free students from a narrow idea of masculinity

@highlight

Oeur: Not all single-sex programs reinforce gender stereotypes