(CNN) -- As the Capitol Building came into view Tuesday morning, Lee Shull tried to help his neighbor Po Murray navigate their car into Washington.

He's a 43-year-old software consultant. She's a mother of four. A week ago, they lived in a town and a neighborhood they thought was safe.

Now their block in Sandy Hook is set off by caution tape. Inside a house 100 yards from Murray's front door, Nancy Lanza was found in her bed on Friday, a gunshot to her face. The killer, her 20-year-old son, Adam Lanza, took three of his mother's high-powered guns to Sandy Hook Elementary and murdered 20 first-graders and six adults.

"I cannot even tell you what that feels like to have that happen in your town. It was like we were grabbing for something, anything," said Shull. On Friday night, neighbors and friends starting calling each other.

"We all thought we have to do something," he said. "That turned into, 'What are you doing Saturday? Can we get people together Saturday?'"

Remembering the victims

About 50 people got together Saturday, then Sunday and again Monday at the town's public library, the only place that could accommodate the growing crowd of 75-plus people.

They decided to call themselves Newtown United. A Facebook and Twitter account were set up. Then they scrambled to find people in the group who could drop their jobs for a day or put off family obligations to go to Washington. The Brady Campaign to Prevent Gun Violence, which holds perhaps the biggest pro-gun control megaphone in the country, was staging a press conference at the capital.

Shull, Murray and Murray's 16-year-old daughter, Tess, just wanted to be a part of that, if only to stand and listen.

They get that they're entering a foreign, complex and often ugly world of politics and ideology.

"Maybe that sounds like a pipe dream, and maybe that's arrogant," said Shull. "But why not? If we fail, and maybe we will, but we don't know if we don't try."

So many victims, a long fight

At the press conference, more than 40 relatives of people who have been victims of gun violence spoke. One after another, they approached the microphone:

-- Mothers of an 8-year-old and a 27-year-old killed in the Aurora, Colorado, movie theater shootings this July.

-- A man who talked about his sister who was shot to death in a classroom in 2007 at Virginia Tech.

-- A mother who held a picture of her 16-year-old son, gunned down the same year on a bus in Chicago.

-- The sons of a member of the Sikh Temple in Wisconsin where a gunman murdered six in August.

-- The mother of a little girl killed in the Tucson, Arizona, shooting that targeted former U.S. Rep. Gabby Giffords.

Tom Mauser, the father of Daniel Mauser, who was one of 13 people killed at Columbine High School in Colorado in 1999, walked to the podium. He had on worn, gray sneakers.

"I am here today wearing my son's shoes," he said. "It's amazing we have the same size shoes so I wear them, because he was a member of the debate team at Columbine High School, so I now wear his shoes in this great debate and it's a debate we need to have in this country."

Mauser knows what he's talking about.

He's dedicated the past 13 years to urging politicians to pass stricter gun laws. Experts say the effort has been largely unsuccessful.

Part of the reason for that rests with the troubled ban on assault weapons that passed in 1994 and was due to last 10 years. It expired in 2004 during President George W. Bush's administration. The specifics of that ban were complicated, critics said, which allowed for numerous loopholes. It also only applied to new gun purchases.

Further, gun-control advocates are up against the National Rifle Association, which has 4 million members in the United States.

This year, the NRA spent $17 million on federal elections. Annual gun sales in the United States total about $3.5 billion, according to CNN Money.

"It's not like the NRA represents some tiny splinter of American culture," said Paul Barrett, author of "Glock: The Rise of America's Gun."

"The liberal argument is that the NRA distorts democracy or bullies politicians. That's not true. They don't speak for cosmopolitan circles on the East or West Coast or the mayor of big cities," he said. "They don't speak for populations of people who are affected by urban crime. But they do speak for many, many people who have guns and don't want those guns taken from them."

Barrett said he feels compassion for everyone in Newtown. But Newtown United is entering a fight tougher than they could possibly fathom at this stage, he added.

"They are entering into a very ideologically charged arena, and are going to run up against a very cynical, very complicated and well-practiced maelstrom," he said. "I wish them the best but I would be surprised if they don't end up quite disillusioned having watched this process."

NRA breaks silences after shootings

Start with talking

Shull appreciates that.

Neither he nor Murray have had the time in the past 72 hours to dive into the language of the ban on assault weapons, they said.

But they want to, and intend to.

While Shull said Newtown United wants to also address loopholes in mental health care and making schools safer, he stressed that the group generally is focused on one objective. They think it's achievable in the short-term. They want to sit down and talk to people who support gun rights.

"We have to sit down as adults and have an open dialogue and listen to that other person and find that middle ground," Shull told CNN.

At least two politicians who were for gun rights, Democratic Sens. Joe Manchin of West Virginia and Mark Warner of Virginia, said they would weigh supporting new proposed limits on firearms.

The NRA has been silent, though Tuesday afternoon it announced it will hold a press conference Friday. Its Facebook page has been deactivated, and visitors are redirected to a bare-bones page where comments are disabled (although "Likes" are still allowed). Its Twitter account, which typically posts several times a day, also has been quiet. The group's last tweet, on Friday morning, was a promotional message that said, "10 Days of NRA Giveaways -- Enter today for a chance to win an auto emergency tool!"

Newtown shooter's guns: What we know

An advocate for Newtown?

Shull said there's hope within Newtown United that they'll have a major prizefighter in their corner -- Sen. Dianne Feinstein, D-California. She was one of the major backers of the 1994 assault weapons ban.

Feinstein said she'll introduce the bill when Congress reconvenes in January and the same legislation will also be proposed in the House of Representatives.

It will ban the sale, transfer, importation and possession of big clips, drums or strips that contain more than 10 bullets, she said.

She added the caveat that "900 specific weapons" ..."will not fall under the bill."

President Barack Obama, she believes, will support the legislation.

Back in Washington, Murray is weary but optimistic.

"Look at those beautiful babies," the mother said, her voice shaking. "Look at those children at Sandy Hook. I just want to tell people in Washington to do what is right."

She's exhausted. So is her daughter Tess.

The teenager's school was in lockdown on Friday. When she got home later in the day, all she could do was hug her parents.

She casually says, "The next time my school is on lockdown," perhaps not realizing that she thinks there will be another time, no matter the circumstances, when a school is afraid.

"I trust the teachers in my school and the faculty, especially after seeing how they reacted," she said. "But I'm worried that everyone is going to be terrified.

"I know kids around the world feel the same way. They are going to know that this could happen to them. I just want to be a part of trying to change that."

@highlight

NEW: NRA announces it will hold a press conference on Friday

@highlight

Newtown United residents trying to organize to talk gun control in D.C.

@highlight

A few decided to drive to Washington and try to meet with Brady campaign members

@highlight

16-year-old who went with mom to D.C. believes that there can at least be a discussion about gun control