WASHINGTON (CNN)  -- There is an increasing threat of homegrown terror stemming from segments of a deeply isolated and alienated Somali-American community, a U.S. Senate committee hearing concluded Wednesday.

Sen. Joseph Lieberman says a number of Somali-Americans support terrorist groups.

The hearing, conducted by the Senate Homeland and Governmental Affairs Committee, focused on the attempted recruitment of young Somali-American men by al-Shabaab, "a violent and brutal extremist (Somali) group" with significant ties to al Qaeda, according to the U.S. State Department.

"Over the last two years, individuals from the Somali community in the United States, including American citizens, have left for Somalia to support and in some cases fight on behalf of al-Shabaab," noted the committee's chairman, Sen. Joseph Lieberman, I-Connecticut.

Al-Shabaab -- also known as the Mujahedeen Youth Movement -- was officially designated as a terrorist organization by the U.S. government in March 2008.

The hearing highlighted the case of Shirwa Ahmed, a 27-year-old Somali-American who had been radicalized by al-Shabaab in his adopted home state of Minnesota before traveling to Somalia and blowing up himself and 29 others in October.

The idea that Ahmed was radicalized in the United States raised red flags throughout the U.S. intelligence community. The incident -- the first suicide bombing by a naturalized U.S. citizen -- was the "most significant case of homegrown American terrorism recruiting based on violent Islamist ideology," Lieberman said.

"The dangers brought to light by these revelations is clear: radicalized individuals trained in terrorist tactics and in possession of American passports can clearly pose a threat to the security of our country," said Sen. Susan Collins, R-Maine.

Segments of the Somali-American community have been made vulnerable to recruitment by al-Shabaab because of a particularly tumultuous adjustment to American life, noted Andrew Liepman, deputy director for intelligence at the National Counterterrorism Center.

"Despite significant efforts to facilitate their settlement into American communities, many Somali immigrants face isolation," Liepman said.

"The (tough) adjustment to American society has reinforced their greater insularity compared to other more integrated recent immigrant communities and has aggravated the challenges of assimilation for their children," he said.

Somalis began arriving in the United States in significant numbers following the U.S. intervention in Somalia's humanitarian crisis in 1992, Liepman said. The Somali-American population is now concentrated in clusters primarily in Minneapolis, Minnesota; Columbus, Ohio; Seattle, Washington; and San Diego, California.

The potential recruitment of young Somali-American men has been made possible by "a number of factors that come together when a dynamic, influential and extremist leader gains access to a despondent and disenfranchised group of young men," Liepman said.

Many refugees, he said, "lack structure and definition in their lives" and are "torn between their parents' traditional tribal and clan identities and the new cultures and traditions offered by American society."

Liepman pointed out that there was no evidence of a radicalization of the entire Somali-American community, now believed to number between 70,000 and 200,000 people.

In fact, he said, the Somali-American community has been victimized by a "small group of extremists who are essentially terrorizing their own community, who are recruiting and radicalizing young people within that community."

"We don't have radicalized communities. We have radicalized clusters of (young) people," emphasized Philip Mudd, a director of the FBI's national security branch.

The potential terrorist indoctrination and recruitment was a consequence of these clusters, Liepman said, and is the product of "the refugee experience of fleeing a war-torn country combined with isolation, perceived discrimination, marginalization and frustrated expectations.

"Local criminal familial and clan dynamics make some members of this community more susceptible to (this) sort of extremist influence" of groups such as al-Shabaab, he said.

Liepman said there is a serious concern about individuals being indoctrinated by al Qaeda and al-Shabaab while in Somalia and then returning to the United States "with the intention to conduct attacks."

@highlight

Committee focused on recruitment of Somali-Americans by group with al Qaeda ties

@highlight

Hearing highlighted case of the first suicide bombing by a naturalized U.S. citizen

@highlight

Recruitment is a result of "refugee experience" and "isolation," official says