Washington (CNN) -- One of the first things President Obama did after Republicans seized control of the Senate was to announce his intention to seek new Congressional authority for military action against ISIS in Syria and Iraq to replace those passed more than a decade ago to wage the war on terror.

The President said he would begin consultation with lawmakers on an Authorization of the Use of Military Force, or AUMF, while Democrats still control the Senate. But he added, "it may carry over into the next Congress."

The new found enthusiasm for engaging Congress could be viewed as either olive branch to the incoming Republican Senate to answer accusations he doesn't consult enough, or a belief Republicans will be more forward-leaning on granting authority that has made some members of his own party nervous. But it precludes what is sure to be a bolder role for Republicans in U.S. foreign policy.

Here are some of the things to watch as Republicans take over the Senate majority in January:

THE PLAYERS - The three Senate committees with oversight over foreign policy will now be chaired by Republicans.

DEFENSE -- John McCain ascends

Sen. John McCain is widely expected to head the Armed Service Committee. He has long sat on the committee and also been its ranking member, but this will be his first time being in charge of it. As one of the staunchest critics of President Obama's Syria strategy, the gavel gives McCain a greater platform to push for more aggressive military action against but ISIS and President Bashar al-Assad.

McCain would also play a key role in writing the defense authorization bill, which sets policies on everything from defense spending to weapons systems to military base closers. Although the appropriations committees control the purse strings, McCain would have a larger say in how the Pentagon spends its money. The Navy veteran has blasted the Pentagon about what he considers expensive, outdated and ineffective weapons systems, and is expected to be outspoken on reforming Pentagon spending, he has pressed to replace defense budget cuts under sequestration. Pentagon press secretary Rear Adm. John Kirby said despite McCain's criticism on the administration's handling of foreign policy issues, Defense Secretary Chuck Hagel enjoys a "strong and productive" relationship with McCain.

That relationship would exist despite the public ringer McCain put Hagel through during his 2013 confirmation hearings.

Despite his reputation for blunt talk McCain is also known for reaching across the aisle and officials believe restoring the failed 2008 Republican presidential nominee to a position of power could see a return to the statesman-like McCain of years past.

FOREIGN RELATIONS -- Corker is a deal maker

Sen. Bob Corker of Tennessee is likely to replace New Jersey Democratic senator Robert Menendez, who wasn't seen as particularly friendly chair to the Obama administration. Corker has criticized Obama for being an "unreliable ally" and blasted the president for withdrawing his request to launch military strikes last year. Corker also wants the administration to get tougher on Russian President Putin.

Despite his conservative credentials, Corker is known for his willingness to work with Democrats on issues foreign and domestic and has a good relationship with Menendez, the current chair. During an editorial board with his hometown newspaper the Tennessean, Corker laid out a thoughtful argument for broad US engagement in the world and suggesting he would support an increase to the US foreign aid budget.

INTELLIGENCE -- A fresh start with Burr

Sources say Sen. Richard Burr of North Carolina will likely take the gavel from Diane Feinstein, who has had a rocky relationship with CIA Director John Brennan. Their disagreement is over the agency's meddling into a Senate investigation into Bush-era interrogation techniques and a long-awaited report on the issue. The administration could actually find a friendlier chair in Burr on the interrogations report, as well as on surveillance programs and the use of drones. He also expected to be less forceful on pushing for reform of NSA data collection called for in the wake of the Edward Snowden revelations.

Burr will also likely dive into the threat posed by ISIS, including improving weak intelligence on the number of foreign fighters who may have U.S. passports.

SYRIA and IRAQ -- A debate on the use of force

Republicans supported President Obama's decision to order airstrikes against ISIS in Iraq and Syria this summer. And incoming Senate Majority Leader Mitch McConnell said Wednesday he is open to a Senate floor debate on a new authorization for the use of military force (AUMF). Discussion is likely to intensify over what the GOP considers a tentative and ineffective campaign against the terrorist group. Republicans charge that President Obama, by not acting sooner, contributed to ISIS growth. They have argued that defeating the group now will require more boots and Special Forces on the ground, increased airstrikes in Iraq and Syria and a no-fly zone and buffer zone in Syria. Republicans also want to more forcefully confront Syrian President Bashar al-Assad. There is also sure to be scrutiny of the administration's plan train moderate rebels. The White House has asked Congress to train 5,000 voted Syrian rebel troops to take on ISIS, and the current authorization for that program expires at the end of the year. Incoming Majority Leader Mitch McConnell said Wednesday the Republicans want to revisit the discussion with the president on his strategy. That strategy could include cooperation with Iran, which would create a new sideline debate on Captiol Hill. President Obama wrote a letter to Iran's Supreme Leader pointing out the two countries both oppose ISIS. But the ongoing and troubled nuclear talks between Iran and the West stand in the way.

IRAN'S NUKES -- Opposition to Obama's strategy

The deadline for an agreement between Western nations and Iran to curb its nuclear activities in exchange for easing some sanctions is weeks away. It's resolution is far from certain. President Obama said Wednesday world powers presented a "framework" to Iran for a deal.

Senate Republicans are opposed to any agreement allows Iran to continue enriching any uranium and could now pass anti-Iran legislation which would effectively derail a diplomatic solution. If a deal is reached the White House could choose to bypass Congress entirely. President Obama has the authority to suspend U.S. sanctions without congressional approval, a move which could force Republicans to more forcefully confront Iran. Republican senators Corker, John McCain, and Marco Rubio have already proposed legislation that would compel President Obama to submit any deal with Iran to a full up-or-down vote, and Senator Lindsay Graham of South Carolina said he would not "tolerate" a deal with Iran without such a measure. President Obama demurred when asked on Wednesday, saying if there was a deal on the table he would engage Congress. "I think that we'll be able to make a strong argument to Congress that this is the best way for us to avoid a nuclear Iran."

Democrats could also make things difficult for Obama on Iran. Proposed legislation enacting even stricter sanctions against Iran is sponsored by Democratic Sen. Robert Menendez of New Jersey and Republican Sen. Mark Kirk of Illinois. The Nuclear Weapon Free Iran Act of 2013 would expand the number of blacklisted sectors of Iran's economy, expand the number of senior officials in Iran and penalize foreign institutions that do business with Iran's blacklisted entities. The White House fears such legislation would push Iran away from the negotiating table, alienate it's international partners and effectively kill the and deny President Obama what he had hoped could be one of the most important foreign policy achievements of his presidency.

RUSSIA and UKRAINE -- More help for Ukraine?

There may be little practical effect of a new Republican Senate on policy toward Russia. President Obama has already taking a tough line against President Putin over his actions in Ukraine. Republicans, particularly McCain, paint Putin as a dangerous enemy who must be contained and are likely to push against any future engagement with Russia and a return to a Cold War Stance.

Republicans could also increase pressure on the White House to provide arms to Ukraine to defend itself against Russian aggression and increase support for Georgia and other emerging democracies in Eastern Europe.

GUANTANAMO -- More difficult to close

President Obama campaigned in 2008 on closing the Guantanamo Bay detention facility, calling it a stain on America's reputation around the world. Those hopes are now all but gone. Congressional restrictions prohibit the administration from spending any Pentagon money for transferring detainees for imprisonment or trail has tied the president's hands. Republicans are the most passionate opponents of closing Gitmo and are likely to continue to thwart the closure of the facility, pressing the administration to try alleged terrorists before military tribunals.

TRADE -- Possible new partners

For the White House, this could be a potential silver lining of a Republican-controlled Senate. Two key trade deals are being negotiated. The Trans-Pacific Partnership (TPP) is an expansive free trade agreement between Asian and North and South America. The Transatlantic Trade and Investment Partnership (TTIP) is a broad free-trade agreement between the United States and the European Union. Republicans could make those negotiations smoother by giving the president "fast track" negotiation authority, eliminating the need for amendments Democrats are seeking on behalf of labor. While Republicans may be reluctant to hand President Obama what would be considered major accomplishments, both trade agreements could result in greater U.S. economic growth and jobs which are Republican priorities.

@highlight

Obama has signaled interest in engaging Congress on the use of military force abroad

@highlight

Sen. John McCain will likely head the Armed Services Committee

@highlight

McCain and other Republicans have been critical of Obama's foreign policy