(CNN) -- Sure, the GPS on your phone or dedicated device can get you from Point A to Point B on the interstate, frustrating "Calibrating ... calibrating ..." moments aside.

But a new move in mobile tech is seeing startups who want to help you find the store you're looking for in the mall, turn around when you're getting farther from your terminal at the airport or figure out where your friends are in an expansive convention hall.

And the big guys of the tech world are taking notice.

Apple has bought a company called WiFiSLAM, a 2-year-old Silicon Valley-based startup focused on indoor GPS, the company has confirmed to the Wall Street Journal and other outlets. The reported price was $20 million.

That move makes sense for Apple, which in the last year has attempted, with varying degrees of success, to go head-to-head with rival Google in the mapping space.

The last several versions of Google Maps have included indoor navigation, at least for locations that have been mapped by the computing giant on its expansive database. Google says it has mapped more than 10,000 buildings in 13 countries.

With the Big Two going at it, other companies have teamed up. Sony, Samsung, Nokia and others formed the In-Location Alliance last fall to advance indoor mapping.

WiFiSlam, which up until now had been shopping out its system to independent app developers, is one of several startups that are marrying traditional GPS coordinates with smartphone tools like accelerometers and compasses to get more precise coordinates.

Those are the same tools used by fitness-oriented digital pedometers to track the number of steps a user has taken, their speed, the distance they've climbed and other location-based data.

The company claims to be able to pinpoint the user's location indoors within about 8 feet. Most GPS features, designed for outdoor travel, can pinpoint the user within about 30 feet.

"This accuracy will change how you interact with indoor environments," co-founder Anand Atreya, one of the former Stanford University students who started WiFiSLAM, told the MIT Technology Review in 2011. "Think about going to the supermarket. We can provide information relevant to the product right in front of you."

Depending upon the app that's built on it, the opposite can, of course, be true, too. Theoretically, indoor GPS could be used to let the grocery store know where you are and digitally shout at you that those bananas in front of you are two bunches for $1 today only.

Like Google Maps, WiFiSLAM and other new indoor navigators require some advance work. Someone must have mapped out a building with the tool for it to accurately give a good sense of things in a building. So, presumably, any mapping tool Apple offers likely will be available for major locations in major cities first, before spreading elsewhere.

"I could walk into your building and have Wi-Fi location working within an hour," Atreya told the MIT review.

Presumably, a mall, hospital, grocery store or convention center could create its own app using indoor GPS. (But not WiFiSLAM's now. By Monday afternoon, virtually its entire official presence online had been scrubbed, including, not surprisingly, its spot in the Google Play store).

Of course, with any tool designed to track the user's every move, privacy becomes in issue.

Google, Apple and other tech and Web heavyweights like Facebook aren't in the business of giving away services; they need to find a way to make money from them.

Consumers who want to use such products can't expect to get them for free and have complete privacy, Loo Wee Teck, head of consumer electronics research for Euromonitor International, told tech blog ZDNet.

"Users have to make their own judgment when using them, while companies have to thread a tightrope to ensure they do not enrage the users," he said.

@highlight

Apple buy highlights growing "indoor GPS" capabilities

@highlight

Tools give users directions inside malls, hospitals, convention halls

@highlight

Tech combines GPS with accelerometers, compasses in phones

@highlight

Privacy is a concern for some potential users