Beijing (CNN) -- Hu Jintao is stepping down this week as the Communist Party's general secretary -- the primus inter pares in the party politburo, China's elite decision-making body.

In March next year, he is also expected to hand over his post as China's state president to his presumptive successor, Xi Jinping.

But is the 69-year-old Hu retiring completely?

Will he give up all his posts, including chairmanship of the Central Military Commission (CMC), an influential post that oversees major national security and military affairs?

"We don't know if he will step down yet," said Joseph Cheng, professor at City University of Hong Kong. "The party congress is still in the bargaining process. For Xi Jinping, he needs time to consolidate his power no matter if Hu will retire or not."

The months leading up to the ongoing 18th party congress, which is held once every five years, have brought contentious back-room horse-trading among the party elite, including party chief Hu Jintao and retired leaders like former president Jiang Zemin, China analysts say.

Speculation is rife as to why Hu would give up the CMC chair. Wenran Jiang, a professor at University of Alberta in Canada, sees two possible reasons. "One is that the different forces within the party are intensely locked in negotiations over top appointments and Hu steps down in exchange for some personnel or policy arrangements that Hu wants. Another is possibly a new consensus that the institutional handover of leadership will be straightforward... This could be either initiated by Hu or by a collective decision."

Women breaking China's glass ceiling?

The factional bargaining will culminate on Wednesday, when the party congress closes with the election of a new Central Committee, a top body of more than 200 party leaders and cadres. The next day, the committee will meet to name a new politburo and its new standing committee -- China's elite ruling council.

It will also choose the new members of the Central Disciplinary Inspection Commission, an internal anti-corruption body, and the Central Military Commission (CMC).

In theory, the congress delegates and the Central Committee members have some influence over -- and formally vote on --leadership decisions.

However, the lineup is largely decided among the most powerful party leaders and elders.

Why is CMC chairmanship important?

It is the highest decision-making body in military affairs and is usually chaired by the Communist Party chief. Its members include the defense minister and top military commanders.

The chair of the CMC is one of the most powerful leaders in Chinese politics, along with the Communist Party chief and State President.

Hu warns party of 'enemy within'

In the recent past, all three posts have been held by one person.

But Hu will not be an exception if he decides to cling on to the CMC post after retirement.

Deng Xiaoping kept his CMC chair and used it to exercise considerable power and influence even after he retired.

Deng's successor Jiang Zemin also retained his CMC chair after he handed over top posts to Hu Jintao in 2002.

However, Jiang gave it up to Hu in 2004, apparently due to pressure from party stalwarts and military leaders.

Only then was Hu able to solidify his position as paramount leader.

Like Deng and Jiang, analysts say, Hu would want to avoid getting relegated into a lame duck position after retirement.

At stake for Hu is the chance to perpetuate his influence in the leading party bodies and policy-making institutions.

It will be a sign of Hu's continued political clout if he stays, but analysts say Hu can also ensure that by proxy.

"Even if he retires, he will not retire completely," said Joseph Cheng. "He wants to maintain continuity of his influence in the party and in the military."

How China's party congress works

Cheng noted that Fan Changlong, a regional commander of the People's Liberation Army, and Xu Qiliang, commander of the Chinese Air Force -- both recently appointed to the CMC -- are close to Hu.

Hu has marshaled much of his political capital to promote his top protÃ©gÃ©, Li Keqiang, already in the party's inner circle and executive vice premier, as potential successor.

Whether Hu can install Li ahead of Xi Jinping, who is regarded as Jiang Zemin's choice, is deemed a measure of Hu's strength.

Li is expected to move to the top, but not as Hu's successor as paramount leader.

Xi, 59, was elected last week as the ad hoc secretary general of the congress proceedings, another signal that he is firmly lined up to inherit Hu's top posts.

The only question that remains, experts say, is when Xi will take up the CMC chairmanship.

"Xi's position will be enhanced if Hu steps down now," said Wenran Jiang. "He can assume full institutional power. Of course, that will not change the basic dynamics that Xi is a team leader in a collective decision-making system. He will have to build consensus for any major policy initiatives."

Such a consensus will be even more important if Xi intends to pursue significant political reform measures.

@highlight

Hu Jintao preparing to hand over power to presumptive successor, Xi Jinping

@highlight

But experts question whether he will really retire, or maintain some vestiges of office

@highlight

Chinese politicians caught up in complex factional horse-trading

@highlight

Final decision on makeup of new Central Committee expected this week