(CNN)Violent extremists like the self-proclaimed Islamic State of Iraq and Syria, or ISIS, have become increasingly sophisticated at creating dense, global networks of support online, networks that are helping these groups run virtual circles around governments and communities. And it is activities like these that have raised a disturbing prospect, one that has serious implications for fighting extremism: We could lose the information war.

It's with this troubling reality in mind that the Obama administration will this week hold a Summit on Countering Violent Extremism, where it will underscore the importance of technology companies in the fight against terrorist recruitment.

This is critical. As Robert Hannigan, director of Britain's Government Communications Headquarters (the National Security Agency's sister organization), emphasized, technology companies' services "have become the command-and-control networks of choice for terrorists."

ISIS, in particular, has proven virulent in using technology to radicalize. It has mobilized armies of online followers to engage audiences in ways that take advantage of the decentralized and open nature of the Internet, leveraging online tools such as Twitter, Facebook, Ask.fm, Kik, SoundCloud and Instagram, to name just a few. Indeed, in a single day this past summer, ISIS supporters sent out some 40,000 tweets, and supporters often repetitively tweet specific hashtags at particular times of day to maximize message trending.

ISIS also has strategically run hashtag campaigns to tap into trending topics on Twitter, such as the World Cup and Ebola, which have nothing to do with violent extremism. ISIS-linked extremists have used social media to focus group messages, disseminate ideological simulator games, and broadcast high production videos, and the group has created its own technologies, including a smartphone app released last year that amplifies its messaging campaigns.

Governments are struggling to keep up. How should they respond?

For a start, they need to leverage the talent, creativity and capabilities of the private sector. Yet involving technology companies in countering extremism will be challenging. True, the U.S. government has been engaging Google, Twitter, Facebook and other large companies on the problem since at least 2008. But while this has generated a few initiatives, such as social media training for Muslim Americans and the Network Against Violent Extremism online network catalyzed by Google Ideas, we have yet to see the scale of involvement required for strategic impact.

Part of the challenge is that, although large companies clearly want to help, they have to navigate complicated priorities that distinguish them from governments, such as shareholders, profits, brands and market forces. Just as importantly, these high-profile companies could face real safety risks. When Twitter shut down ISIS-affiliated accounts last year, for example, a prominent ISIS supporter called for the assassination of Twitter employees. Given recent attacks in Paris and Sydney, these kinds of threats are chilling. The Obama administration will therefore need to figure out how to help companies navigate the inherent risks of the private sector countering violent extremism.

One solution is to encourage the involvement of more agile start-ups that are willing to move into niche markets like countering extremist messaging. These companies are lean, hungry and less encumbered by the risk calculations that circumscribe large companies. Moreover, the start-up community is increasingly emphasizing social impact as a core business imperative, and this trend likely will accelerate as more millennials start new businesses. Interestingly, research shows that millennials place a premium on  investments that generate positive social impact.

Just as importantly, the counter-extremism "marketplace" is in many ways better suited to small, flexible businesses than large companies. Radicalization is driven by a host of different factors (such as identity crises, a sense of disempowerment, a desire for adventure, and even misguided idealism), each of which represents a potential business opportunity. Large companies may not be interested in addressing these market needs if it takes them away from their core products and services, leaving room for a constellation of specialized start-ups.

The Muslim youth market, in particular, is experiencing immense political, cultural and religious transformations, and many large companies are nervous about the volatility. As a result, the 500 million-strong Muslim youth market is woefully underserved. Start-ups, especially those from within Muslim communities, may be better positioned and motivated to address Muslim youth needs in a way that helps counter radicalization.

At the White House Summit, the President will likely call on technology companies for help, and we encourage the administration to involve talented and passionate start-ups in addition to brand name companies. This week, to support the summit and facilitate greater private sector involvement, we will launch a specialized start-up incubator (Affinis Labs) and are forming a $5 million private equity fund for start-ups involved in countering extremism.

The reality is that ISIS operates like a mission-driven, agile start-up to spread its evil ideology, and we will not defeat it through government and large corporations alone. America is the vanguard of entrepreneurship and innovation, and there are start-ups ready to heed President Obama's call, including start-ups led by passionate Muslim Americans who are building businesses and social enterprises that challenge violent extremist narratives.

We believe firmly that American entrepreneurs are ready to support the fight against radicalization.

@highlight

White House is holding Summit on Countering Violent Extremism this week

@highlight

ISIS has run hashtag campaigns to tap into trending topics on Twitter