(CNN) -- What was, in retrospect, most heroic about Neil Alden Armstrong, who died Saturday at age 82, was the manner in which he shied away from the spoils and trappings of heroism itself.

Being the first man on the moon, after all, would seem to place you on top of the world, providing a kind of lifetime pass to wherever you wanted to go -- and whatever you wanted to be.

Thinking of running for office? Name the district, state or country and it's yours.

Maybe you'd like to go into business. The line of people with dotted lines to sign stretches from here to infinity. And so do their wallets.

Show biz? Hmmm -- that's a tough one. You and Bob Hope weren't exactly magic together on that USO tour. But, well, we can make something happen, right? This is America, after all, and you are the Greatest American Hero!

Armstrong's one small step resonated for all mankind

But Armstrong, a native of Wapakoneta, Ohio, so steeped in flying that his idea of winding down was piloting gliders in his spare time, wanted exactly none of those options. Having his choice of any possible future after leaving NASA in 1971, he chose to go back to his home state and teach aerospace engineering at the University of Cincinnati.

It was an unusual, but, by then, hardly surprising move by the laconic commander of Apollo 11, the July 1969 mission that fulfilled President John F. Kennedy's mandate for an American lunar landing within a decade. Before, during and after that epochal journey, Armstrong came across as something of an enigma to global media anxious to make him the brightest star on Earth.

This was going to be tough. Rather than having the jaunty wit of a Wally Schirra, the affable magnetism of a John Glenn or the flinty swagger of a Chuck Yeager, Neil Armstrong came across as nothing more than the earnest, no-nonsense engineer he actually was. No artifice, no flash, no -- well, frankly, no star power to speak of.

Within the fraternity of test pilots, however, Armstrong was among the brightest of stars. Before being chosen in 1962 as one of the "Group II" astronauts -- which included Apollo 13 commander James Lovell along with such legends as Frank Borman, Pete Conrad and John Young -- Armstrong was one of the elite pilots selected to fly the X-15 rocket plane up to five times the speed of sound and toward the edge of space.

Remembering Neil Armstrong

And that no-nonsense demeanor served Armstrong well in his work. As command pilot of the March 1966 Gemini 8 mission, the first in which one spacecraft docked with another vehicle in orbit, Armstrong showed cool composure when a malfunctioning thruster caused his two-man spacecraft to tumble end over end.

His decision-making may have prematurely ended the mission, but it saved his life, co-pilot David Scott's life, and possibly the whole American space program. And yet, all many people remembered about that flight was that its mishap pre-empted that night's broadcast of CBS's "Lost in Space."

Armstrong's seemingly casual reaction to peril left his NASA colleagues in awe when, in May 1968, he picked exactly the right time to eject from a lunar landing simulator that had spun out of control. His only injury was a bitten tongue sustained after parachuting to safety. He was back at his office, working, that same afternoon.

Few of these facts were widely known by the public when Armstrong, along with Buzz Aldrin and Michael Collins, was picked for the lunar landing mission. All people knew about the astronaut who would turn out to be the first man on the moon was what they saw. And what they saw mystified them.

In press conferences and interviews before the Apollo 11 flight, Armstrong spoke mostly in clipped, dry sentences, almost as if he were transmitting radio messages from a distance while still on Earth. Norman Mailer, assigned by Life magazine to cover the flight, found him in press conferences to be "extraordinarily remote ... apparently in communion with some string in the universe others did not think to unravel."

Even those famous first words upon stepping off the Lunar Module -- "That's one small step for man. One giant leap for mankind." -- resounded to a waiting world as tentative, fragmented; almost as if they had to be pulled from Armstrong after a struggle. Yet over the span of 40-plus years, those eleven words have achieved iconic stature in no small way because of the unassuming manner in which they were uttered.

Armstrong taught at Cincinnati for eight years before leaving in 1979, characteristically without explanation. He was hardly a recluse afterward, though he maintained a relatively low profile; lower, anyway, than you'd expect for the first man on the moon. He sat on boards of banks and corporations and served on various commissions, including the one investigating the 1986 Challenger disaster. (That panel included another space pioneer, Sally Ride, who died little more than a month ago.)

Obituaries 2012: The lives they've lived

He was cautious about giving interviews and autographs, hawkish about the use of his name and of anything related to his Apollo 11 mission. While his fellow Apollo 11 moon-walker, Buzz Aldrin, seemed up for anything from "Dancing With The Stars" to "Transformers 3" (and he's been a wry and inspirational figure to have on the scene), Armstrong kept his distance from the media circus beyond authorizing a biography, "First Man: The Life of Neil A. Armstrong," in 2005.

If he raised his voice in public at all, it had only to do with space exploration and his growing sorrow over America's gradual withdrawal from taking the initiative in manned flight.

Still, by his ninth decade on planet Earth, Armstrong seemed to be more relaxed in public and generally more visible than he used to be. If anything, his time hugging the corners of fame made him seem even more admirable as a man who refused to sell himself or his legacy out, no matter what temptations were available in a celebrity-crazed culture.

For one spellbinding week 43 summers ago, Neil Armstrong did something that once seemed unimaginable. Since then, he lived his life in a way that now seems improbable.

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Gene Seymour: Neil Armstrong was a star test pilot, cool and decisive under stress

@highlight

He says Armstrong chose not to exploit his historic role as the first man on the moon

@highlight

After leaving NASA, he taught aerospace engineering at the University of Cincinnati

@highlight

Seymour: Armstrong refused to sell out himself, or his legacy, despite the temptations of fame