(CNN) -- The fate of the country for the next four years could be decided by whichever Republican presidential contender comes out on top this Super Tuesday. A big deal? Perhaps. But for travelers interested in all things presidential, the real race is for the next presidential birthplace.

Will the winner once again be Hawaii, which won the crown when voters chose President Barack Obama in 2008? Or will it be Virginia, the holder of the record for most presidential birthplaces? Or could it be Pennsylvania or Michigan, both swing states in presidential politics with many apolitical delights to entertain the traveler?

To avoid any accusation of preference toward one birthplace over another, we list the states in reverse alphabetical order.

The mother of all presidential birthplaces

While not commenting on current presidential politics, Virginia Tourism Corp.'s Tamra Talmadge-Anderson did cite Virginia's record of birthing eight U.S. presidents, more than any other state. "We also are home to more presidential homes -- Mount Vernon, Monticello, Montpelier -- and sites than any other state," she said.

If elected president, Rick Santorum would bestow the honor of presidential birthplace to Winchester, Virginia, nestled in the Shenandoah Valley. Just an hour outside Washington, Winchester plays host to many George Washington and Civil War enthusiasts and explorers of the Blue Ridge Mountains and the Shenandoah Valley. Many visitors enjoy the elegant George Washington Hotel in downtown Winchester. For a break from political history, head to the Patsy Cline Historic House, where the country singer lived from ages 16 to 25.

Pennsylvania doubles its chances

Although Newt Gingrich and Ron Paul are both trailing in the national polls, they still give Pennsylvania two chances to win the honor of next presidential birthplace. Gingrich was born in the state capital of Harrisburg and Paul in Green Tree, a suburb of Pittsburgh. History buffs can head to Harrisburg to visit the National Civil War Museum, which claims to fairly portray both Union and Confederate history. The museum houses 24,000 artifacts and other Civil War items. For a snack with your dose of history, visit the Broad Street Market. Dating back to 1860, it's the oldest continuously operated market house in the country, with vendors selling organic and local produce, baked goods, ready-to-eat meals and more.

Pittsburgh is host to some impressive museum collections. The Frick Art & Historical Center features Pittsburgh's Gilded Age, courtesy of Helen Clay Frick, daughter of Henry Clay Frick, one of America's greatest industrialists and art collectors. The museum of Pittsburgh native Andy Warhol has more than 8,000 of the artist's works. Nearby Meadowcroft Rockshelter, a National Historic Landmark, is the oldest site of human habitation on the North American continent. Tours of Rockshelter, featuring the 16,000-year-old rock overhang used by our ancestors for shelter, start again for schools in April and for the general public in May.

The Motor City and beyond

Although Mitt Romney served as governor of Massachusetts, he was born in Detroit and raised in Bloomfield Hills, the son of auto executive and former Michigan Gov. George Romney. While it has undergone a radical reconstruction as the nation's economic woes gripped Detroit in particular, there is still much to enjoy in the Motor City. Head to the Motown Historical Museum for a tour of Motown's contributions to American music. For more of Romney's childhood, head to Bloomfield Hills, home to the only Mormon temple in the state. The wealthy suburb is also home to the Cranbrook Art Museum, home to the renowned arts academy. The museum's grand re-opening show is on display through March 25. The site also includes Saarinen House, the home and studio of the noted Finnish-American designer and art academy president Eliel Saarinen. (The house reopens for tours on May 3.)

Head to the Henry Ford Museum in Dearborn to explore Michigan's automotive culture, where presidential limousines get their own exhibition. (Not limited to automobiles, Ford also has an exhibition on early aviators and the architecture of R. Buckminster Fuller. Head over to Zingerman's in Ann Arbor, where people happily indulge in the famous deli's corned beef sandwich and other edibles.

Presidential Hawaii

Hawaii was a popular tourist destination before President Obama drew even more attention to the 50th state because of his birth on August 4, 1961, at the Kapiolani Hospital for Women & Children in the city of Honolulu on the island of Oahu. Now there's an "Obama's Hawaii" section of the state tourism website.

After four years in Indonesia, Obama returned to Hawaii at age 10 to live with his grandparents, attending the Punahou School and playing on the state championship basketball team. For people who want to trace his childhood steps, he lived in the neighborhood of Makiki, worked at a local Baskin-Robbins Ice Cream and swam at Sandy Beach on the eastern tip of Oahu.

The state continues to benefit from the attention President Obama and the first family bring when they return to Hawaii for family visits. "The windward side of Oahu becomes the focus, the town of Kailua, as well as some of his regular stops: the golf courses and Alan Wong's Restaurant," says John Monahan, president and CEO of the Hawaii Visitors and Convention Bureau. "If there's one thing the president has done during his visits is bring further awareness to other parts of Oahu, beyond the famous resort area of Waikiki, to smaller towns, unique eats like shave ice, and family places like Sea Life Park, Honolulu Zoo and others."

CNN's Anika Chin contributed to this story.

@highlight

Virginia honors past presidents and Patsy Cline

@highlight

Explore Civil War history and Andy Warhol in Pennsylvania

@highlight

Auto culture and art are the stars in Michigan

@highlight

Hawaiian businesses benefit from President Obama's attention