(CNN) -- British Prime Minister David Cameron will make the call at the G8 summit in Northern Ireland for international action to curb the activities of tax havens, which campaigners say cost governments trillions in lost revenues. Journalist Simon Hooper points out what he calls the hypocrisy of the UK's position, itself sitting at the center of the world's most powerful offshore empire.

Walking up London's Strand in the direction of St. Paul's Cathedral does not feel like crossing one of the major financial fault lines in the global economy.

Few tourists would perhaps even notice the stone dragon stranded between buses in the middle of the road that marks the boundary of the City of London, the British capital's financial district and one of global capitalism's most dynamic engines.

Yet to step into the City is to enter what has been described by Nicholas Shaxson, author of "Treasure Islands: Tax Havens and the Men Who Stole the World," as "an offshore island inside Britain."

Britain's role at the center of an empire of tax havens is under scrutiny this week, ironically, because British Prime Minister David Cameron has made tax evasion the central theme of this week's G8 meeting in Northern Ireland.

"Tax evasion and avoidance are issues whose time has come. After years of abuse people across the planet are rightly calling for action," says a British government briefing released ahead of the summit.

Cameron's initiative has thrust the spotlight on the UK's overseas territories and crown dependencies, an odd collection of colonial offcuts including the Cayman Islands, the British Virgin Islands, Bermuda and Jersey. All are considered offshore hubs, and all benefit from close ties to the UK finance industry, pouring money into the City.

On Saturday, Cameron announced that 10 territories and dependencies had agreed to sign up to an existing convention on corporate transparency promoted by the Organisation for Economic Co-operation and Development (OECD), saying: "It is important we are getting our house in order."

But campaigners, such as the Tax Justice Network's John Christensen, remain skeptical whether Cameron can accomplish anything that will meaningfully challenge the power of the tax havens.

He says measures such as greater transparency in company ownership, though welcome and necessary, do not go far enough in opening up other offshore structures, including trusts, to scrutiny.

Britain is far from alone among G8 countries in the promotion and provision of offshore-style facilities. The U.S. provides parallel structures offering low taxes and corporate secrecy with the New York Times reporting last year on how legitimate businesses and criminal enterprises were flocking to Delaware "in hopes of minimizing taxes, skirting regulations, plying friendly courts or, when needed, covering their tracks."

Japan and several European Union countries also featured on the last Financial Secrecy Index, published in 2011 and topped by Switzerland. Of the UK though, the index said: "If the entire British network of secrecy jurisdictions were considered, it would easily be ranked number one."

Legal tax avoidance, which involves shifting profits to jurisdictions that do not levy corporate tax via offshore subsidiaries, and tax evasion, its criminal cousin, have long been among the perks of wealth. As Leona Helmsley, the New York hotelier and so-called "Queen of Mean," is quoted as saying : "We don't pay taxes. Only the little people pay taxes." Helmsley, who was convicted of tax evasion, denied having said this, but the words followed her for the rest of her life.

Yet the consequences of this industry are borne by those who can least afford it. Aid charity ActionAid estimated last month that almost half of all investment into developing countries was funneled through tax havens; this means the profits from that investment remain offshore, depriving the world's poorest countries of much-needed revenues.

It cited one transaction alone conducted through UK-linked havens that would have netted the Indian government $2.2 billion in tax; enough to provide a lunchtime meal to every Indian primary schoolchild for a year.

A report last month by Kofi Annan's Africa Progress Panel highlighted mining deals in the DR Congo which had cost the country an estimated $1.36 billion in revenues, enough to double the country's health and education budgets.

Yet attempting to estimate exactly how much money is concealed offshore is largely futile, with most experts willing to venture only that the figure runs into many trillions. An investigation last year conducted for the Tax Justice Network estimated that $21 to $32 trillion was hidden offshore by super-rich individuals alone.

Campaigners such as TJN's John Christensen are skeptical whether the G8 can accomplish anything that will meaningfully challenge the power of the tax havens. He says proposed measures, though welcome and necessary such as greater transparency in company ownership, do not go far enough in opening up other offshore structures, including trusts, to scrutiny.

History also suggests the City of London and its allies will defend their own interests. The City's origins are lost in the distant past, with the corporation's own website describing the area as "a prime location for trade since before Roman times."

Its tradition of self-governance predates the consolidation of the modern British state, and the City's powerbrokers have fiercely defended their ancient privileges ever since, using their role as lenders to crown and government as leverage.

Should Queen Elizabeth II, the UK's head of state, feel the urge to cross the City's boundaries to visit the Starbucks on Fleet Street for a low-tax latte, ceremony dictates that she should still seek the permission of the City's Lord Mayor to do so. (Starbucks in December 2012 offered to pay additional taxes in the UK in response to public pressure there to collect more taxes from multinational companies.)

And since 1571, an official known as the Remembrancer has maintained a seat in the House of Commons to protect and promote the City's interests in parliament, even as a turbo-charged 21st century financial infrastructure has been bolted onto this medieval statelet.

But the use of the offshore sector has long been virtually endemic among a wealthy elite in the UK, even beyond the City's boundaries.

British governments once attempted to curb the power and independence of the financial sector, hamstrung only by their borrowing dependency on the same source.

Yet since the 1980s, the era of Margaret Thatcher's so-called "Big Bang" of markets deregulation, governments have enjoyed a cosier relationship with corporate finance, summed up by Peter Mandelson, a close ally of Tony Blair, who once said the once-socialist Labour Party was "intensely relaxed about people getting filthy rich."

The rest of that quote -- "... as long as they pay their taxes" -- is less well remembered.

In 2011, Cameron's coalition passed legislation exempting UK-based corporations from income tax on overseas earnings; a move described by commentator George Monbiot as a "corporate coup d'etat."

Research published by ActionAid showed that 98 out of 100 companies on the FTSE 100 index used offshore subsidiaries, with more registered in Jersey and the Cayman Islands than in India and China.

And it has long been a rite of passage for newly-minted Britons, from Formula One drivers to musicians to self-made millionaires, to shift their riches to Switzerland, Monaco or Jersey with the public raising little more than an eyebrow in reproach. Research by the Guardian newspaper last year revealed how Cameron's own father had built a considerable family fortune by running a legal network of offshore investment funds. Cameron and other members of his family declined to comment on the report.

Yet that situation may be changing, with campaign groups such as UK Uncut stirring up populist anger against corporate tax avoidance and politicians now scrambling to get on the bandwagon, while celebrity tax-dodging schemes have joined sex and drugs scandals as tabloid staples.

Recent exposure of the legal tax avoidance strategies of Google and Amazon saw executives from both companies summoned for scrutiny by the UK's parliamentary public accounts committee where lawmaker Margaret Hodge told Google Vice President Matt Brittin: "You are a company that says you do no evil. And I think that you do do evil."

In the U.S., meanwhile, Apple CEO Tim Cook was summoned to appear on Capitol Hill after a Senate investigation found the company paid taxes in the U.S. of 2% on worldwide income of $74 billion.

Accusing the head of one of the world's biggest companies of "exploiting an absurdity," committee chairman Sen. Carl Levin made the connection between tax avoidance and efforts to cut the US deficit, and delivered a message that ought to resonate with taxpayers anywhere in the world.

"Because of those cuts, children across the country won't get early education. Needy seniors will go without meals. Fighter jets sit idle on tarmacs because our military lacks the funding to keep pilots trained," said Levin.

"The question each of us should ask today is this: Shouldn't we close unjustified tax loopholes, and dedicate the revenue to educating our children, protecting our nation and building its future?"

The opinions expressed in this commentary are solely those of Simon Hooper.

@highlight

At the G8 summit, David Cameron will call for action to curb activities of tax havens

@highlight

Simon Hooper points out the hypocrisy of the UK's position considering its offshore hubs

@highlight

Britain is not the only G8 country promoting offshore-style facilities, says Hooper