(CNN) -- Our bikes rattle over the cobbles as we leave Grote Markt in central Ypres and nose our way toward the Menin Gate.

On July 9, this stone arch memorial to the thousands killed in battles around this pretty Belgian market town between 1914 and 1918, will see the riders of the Tour de France pass through.

The centenary of World War I looms large over this year's Tour and organizers have ensured that the race pays fitting tribute to the millions who lost their lives on the Western Front.

Stages also go through the Somme and Verdun, key sites where Allied and German forces engaged in a brutal war of attrition.

These stages are also a fitting way to commemorate riders of the prewar races who lost their lives in the fighting.

Lucien Petit-Breton, Francois Faber and Octave Lapize, winners of the tour in 1907/8, 1909 and 1910 respectively, were all killed in action. Marcel Kerff, who raced in the first Tour in 1903, was among the first Belgians to be killed in August 1914.

Cycling a way of life

This year is the first time that the Tour passes through Ypres and, despite the air of remembrance, excitement is building.

Cycling is a way of life here, with the "Cobbled Classic" Tour of Flanders tackling some of the pretty, winding country lanes of the surrounding region.

My guide, Jerome, fully kitted out in Lycra, hands me gingerbread for much-needed energy as we read the myriad names on the walls of the Menin Gate before we take on another cobbled lane and leave the town behind.

The route to Arenberg follows wider, main roads, so Jerome leads us away from the traffic to explore the excellent tourist riding routes that the local government has signposted.

Soon, we're heaving up a 12% gradient climb to the top of one of the few hills in this flat region.

The views back to the spires of the churches in Ypres are huge and it's easy to see why this high ground was treasured by the Germans during the war.

It allowed them to launch massive attacks on the town, which was flattened by artillery and completely rebuilt during the 1920s.

Loudest explosion ever

We press on, cycling to the Pool of Peace, a pretty pond surrounded by trees that's just one of a number of craters created after a series of huge explosions under German lines in June 1917.

At the time it was the loudest explosion ever and its noise could even be heard in London.

Across the road from this once barren place is Lone Tree Cemetery, a beautifully maintained spot where Allied miners killed in the explosions were laid to rest.

It's hard to square such chaos and noise with the peace and quiet that abounds in this now green corner of Belgium.

Back in Ypres after a 45-kilometer (28 mile) ride that also takes in a thigh-stinging cobbled climb to the towering French Memorial at the top of Kemmelberg, I call in at the In Flanders Fields Museum (+32 57 23 92 20) to meet researcher Annick Vandenbilcke.

Her team is currently pulling together a display detailing the history of sports and WWI, with cycling a large part of their focus.

In the hushed reading room, she explains about Belgian troops cycling into battle in the early days of the war.

She shows me photos of soldiers and their trusty steeds.

With the dawn of war, racing bikes were replaced by more stout models, as a modern form of cavalry briefly held sway over the Western Front.

Battlefield perspective

The next morning I opt for a leisurely ride to see more of the key battlefield sights and cemeteries.

I ease my bike out of Ypres and follow the designated Peace Route, which takes in the Tyne Cot (Allied) Cemetery, the ruins of the much fought over Hill 60, the superb Passchendaele 1917 Museum (+32 51 77 04 41) and Langemark, where German troops lie buried.

This ride is much less taxing than the Tour de France/Spring Classic route I tried the day before and my guide Patrick and I are able to ride side-by-side along a series of well maintained cycle paths.

Fellow riders are scarce, most tourists preferring to take a bus tour.

Riding up to these historic spots, however, affords a better idea of just what the soldiers who fought so valiantly would have gone through.

This close to the ground, stopping every 10 minutes to see another cemetery, another crater, it's possible to see how small the gains were for both sides, how futile the loss of life for barely 20 feet of land.

The Tour may only zip through Ypres and Flanders, but anyone with more time than the world's speediest cyclists would do well to rent a bike and enjoy a leisurely trip around this historic countryside.

Well marked routes, peaceful resting spots and a sense of remembrance at every turn make this a good way to reflect on the centenary of one of the most vicious wars in history.

Alternative WWI bike rides

An excellent circular route runs from Albert to La Boiselle and Poizieres taking in the Thiepval memorial before heading to Beaumont Hamel and the new Newfoundland Memorial and trenches. The end point, in Albert, features the stunning Basilica with the Golden Virgin.

Another ride from Le Cateau to the cemetery at Le Pommereuil and then Maison Forestiere follows in the footsteps of WWI poet Wilfred Owen. It takes in a memorial to Owen and his grave in Ors, where he fell in the last days of the war.

Also recommended is the ride from Peronne, where the Museum of the Great War is housed in a beautiful chateau. It takes in key Battles of the Somme sights, including the South African Memorial at Delville Wood and the memorial museum at Longueval.

For more information visit Cycling in Flanders.

Joe Minihane is a freelance travel writer. When not cycling stretches of the Tour de France, he can be found in London, New York or wild swimming across the UK for his blog Waterlog Reswum.

@highlight

This year's Tour de France travels through Flanders region of Belgium to pay tribute to the millions who died in World War I

@highlight

Annual "Cobbled Classic" Tour of Flanders tackles the region's country lanes

@highlight

Riding rather than driving to historic battlefields gives better idea of what soldiers would have gone through

@highlight

Some Belgian soldiers cycled into battle in World War I