Washington (CNN) -- It was supposed to be a cakewalk for Eric Cantor. The analysts said so. The polls said so.

Cantor felt so comfortable that the House majority leader wasn't in his Richmond, Virginia, district in June on the day of his Republican primary election.

He lost -- badly -- to a little-known economics professor in one of the great American political upsets.

How did the pundits and pollsters get it so wrong, and what does that mean for November's congressional elections? Here are five reasons to approach any prognostication with caution this time around:

1) Low turnout

While more than half of eligible voters turn out for presidential elections, the percentage drops sharply in midterm balloting for all 435 House seats and about a third of the Senate.

In Cantor's 7th District race in Virginia, well below 20% of eligible voters cast ballots on the day he lost.

Such a low turnout makes the outcome more vulnerable to unpredictable factors such as bad weather, a campaign misstep or crossover voting -- in this case, Democrats who may have voted for tea party-backed David Brat in an effort to oust Cantor, the seven-term congressman considered a possible future House Speaker.

Brat beat Cantor by more than 7,000 votes out of 65,000 cast. In 2012, the turnout for the district's Republican primary was about 47,000 votes, and there was no way to determine how many of the 18,000 additional voters this year were Democrats.

2) National mood

Most observers think the more public distaste for Congress and politics, the lower the turnout in congressional elections. By that measure, polling stations may be particularly barren come November 4.

Approval for Congress is near record lows, and a Washington Post-ABC poll in early August showed that for the first time, a majority of Americans disapproved of their own representatives.

"Americans like to vote for someone, not against someone," said CNN Polling Director Keating Holland. "If they perceive the ballot as a choice between the lesser of two evils, that's one more excuse not to vote, and in midterms a lot of Americans don't need many excuses to simply stay at home."

Facing such a disgruntled electorate, both parties seek to energize their respective bases to try to gain a turnout advantage.

Republicans frame the election as the chance to increase their House majority and regain control of the Senate, which would strengthen the party's ability to minimize or defeat the policies of Democratic President Barack Obama.

Democrats reach out to demographics that traditionally support them -- single women, minorities and younger voters -- but traditionally don't turn out strongly in midterm elections.

3) Polling problems

Changing dynamics make effective polling more challenging.

Cantor's pollster badly underestimated the turnout for June's primary, perhaps because he failed to anticipate Democratic crossovers and conservative disenchantment with his candidate.

Whatever the reason, difficulty in knowing who will vote makes predicting the outcome a major challenge.

Along with unorthodox tactics such as crossover voting, pollsters have a tougher time reaching a growing number of prospective voters through traditional methods.

For example, fewer young voters have land-line telephones, the traditional polling medium for decades, meaning surveys must adapt by incorporating cellphone and Internet outreach to properly reflect the population.

4) Beware of the aggregate polls

Many popular websites simply take whatever polls they can find and average them together. Some use more sophisticated mathematical models, but the principle is the same: The end product is only as good as the data it is based on.

"Computer programmers used to say, 'Garbage in, garbage out,' and that's true for virtually any mathematical model," Holland said. "Let's say you have 10 polls in a state and five of them are partisan polls that are trying to spin the data for their candidate, three of them are cutting corners on their methodology, one of them is flat-out making the data up, and only one is a legitimate poll."

The lone legitimate poll will get "swamped" in any aggregate model by the questionable polls, he continued, adding: "Unfortunately, there are at least a few states where the skunky polls vastly outnumber the good ones."

5) It's all local

"All politics is local," former House Speaker Tip O'Neill famously said, and that is particularly true in congressional elections.

While voting takes place in all 50 states, the competition involves the district congressional races and statewide Senate races.

That means an outcome of national significance can hinge on the result from a particular district or state.

For example, which party wins a majority in the Senate depends on the outcomes of half a dozen races, including contests involving incumbent Democrats in Arkansas and North Carolina.

"If it's sunny and warm in 48 states on Election Day and cold and rainy in Arkansas and North Carolina, control of the Senate could be determined by intensely local weather conditions," Holland noted.

CNN's Dan Merica and Paul Steinhauser contributed to this report.

@highlight

Low turnout in congressional elections can bring surprises

@highlight

Public distaste for Congress could mean fewer voters in November

@highlight

CNN's Holland: Beware of aggregate polls

@highlight

"All politics is local," as former House Speaker Tip O'Neill said