(CNN) -- Dealing with deep drug war wounds is a top issue on Mexico's presidential campaign trail, but the election results could have an impact on both sides of the Mexico-U.S. border.

As candidates across party lines suggest new strategies, like reducing violence and taking troops off the streets, some U.S. lawmakers say they're nervous that cross-border cooperation could wane after Mexican voters pick a new president July 1.

Last week, a Republican congressman told the head of the U.S. Drug Enforcement Administration that he was concerned about Mexico's "impending change in power."

And Sen. John McCain, R-Arizona, said in February that he feared at least one Mexican presidential candidate was not committed to continuing his country's campaign against organized crime.

Worries in Washington as Mexico's election looms are a reminder of the close ties binding the neighboring nations. The two countries share billions of dollars in trade and a border that stretches for nearly 2,000 miles. Millions of U.S. citizens travel to Mexico every year, and millions of Mexican immigrants -- legal and illegal -- live in the United States.

"Almost no other country affects the United States as much on a day to day basis as Mexico," said Shannon O'Neil, a Latin American studies fellow at the Council on Foreign Relations.

"What happens in Mexico is hugely important for the United States."

For nearly six years, a brutal drug war in Mexico with a staggering death toll of more than 47,500 people has dominated discussions between the two countries.

Photos: Violence in Juarez

Announcing a crackdown on cartels and sending troops into the streets to help fight the battle were among the first major moves by President Felipe Calderon after he took office in December 2006.

The United States voiced its support and offered $1.6 billion to aid in the fight. U.S. officials have praised growing cooperation with the Mexican government as a key weapon in the war on drugs.

But on the campaign trail in Mexico this year, the three leading candidates have stressed the need to shift strategies.

Is Mexico's drug war strategy working?

Leftist candidate Andres Manuel Lopez Obrador of the opposition Democratic Revolution Party has summed up his security policy as "abrazos, no balazos" (hugs, not bullets).

He started his campaign with a pledge to pull back troops from Mexico's streets, but he said last month that the military would remain deployed until there is a "trained, skilled and moralized" police force.

Josefina Vazquez Mota of the ruling National Action Party has apparently tried to distance herself from Calderon's policies with a simple slogan: "Josefina Diferente" (Different Josefina).

"The results will be measured not just by criminals captured, but by how stable and secure communities are," her campaign website says.

The Mexico drug war: Bodies for billions

Enrique Pena Nieto of the opposition Institutional Revolutionary Party (PRI) has pledged to focus more on reducing violence and less on catching cartel leaders and blocking drugs from reaching the United States.

He told CNNMexico that federal, state and local authorities would coordinate a better security plan on his watch.

"I propose adjusting the strategy and making a national front that involves the three levels of the government, focused on diminishing the violence in the country," he said.

Some political opponents of Pena Nieto, whose party governed Mexico for more than 70 years until 2000, have warned that negotiating with drug cartels and gangs could be on his agenda -- an accusation that Pena Nieto has repeatedly denied.

Fareed Zakaria: Mexico on the rise

But his denials haven't squelched speculation on both sides of the border that negotiating with cartels -- or at least easing the pressure on them -- could be on the table.

In a congressional hearing last week, U.S. Rep. Jim Sensenbrenner said the war on drugs was nearing a "potential crossroad," referring to Pena Nieto's plan and his party's political history.

"While in power, the PRI minimized violence by turning a blind eye to the cartels," the Wisconsin Republican said, noting that Pena Nieto "does not emphasize stopping drug shipments or capturing kingpins."

Minutes earlier, DEA Administrator Michele Leonhart had testified that Mexico had extradited more than 200 accused suspects to the United States since 2010.

"Without reservation, I would characterize the cooperation between United States and Mexico at an all-time high," she said.

Sensenbrenner said the close teamwork could be short-lived.

"I worry that the relationship could be at a high water mark with the impending change in power," he said.

In a statement the next day, Pena Nieto's campaign said he was committed to combatting organized crime.

"The law is applied, it is never negotiated," the statement said.

No matter who wins, the election will likely mark "a change from where U.S.-Mexico security strategy has been," said O'Neil of the Council on Foreign Relations.

But the shift is something U.S. officials who work with Mexico have prepared for, she said.

Robert Pastor, director of the Center for North American Studies at American University in Washington, said a change in presidential leadership will give Mexican officials a chance to consider fresh approaches to deal with drug-related violence and other issues that affect the United States, such as economic and energy policies.

"Between the three candidates and the predecessors, there would be an opportunity to reflect on what worked, and what didn't work, and how, perhaps things should be changed," he said.

The concerns from some U.S. lawmakers about a shift in drug war strategy are overblown, he said.

"All three of the major candidates have committed themselves to fighting drug trafficking and reducing the violence," Pastor said. "All three are very much committed to working with the United States."

That itself is a notable shift from past elections, when cross-border relations soured or sweetened based on who won the presidential vote, according to Andrew Selee, director of the Mexico Institute at the Woodrow Wilson International Center for Scholars.

"The U.S.-Mexico relationship has now matured to a point where changes in party and personality matter less than they used to," he said.

"This is a country that matters enormously for the U.S., and for the first time, perhaps, what happens in the elections won't change [that relationship] much."

Mexico's candidates vow a different kind of drug war

CNNMexico.com contributed to this report.

@highlight

Deadly drug war among top issues as Mexican presidential hopefuls suggest new strategies

@highlight

Some U.S. lawmakers fear cross-border cooperation could wane after July 1 vote

@highlight

What's new: Three leading candidates are committed to working with U.S., analysts say