(CNN) -- U.S. military forces conducted an operation Monday in Somalia against the Al-Shabaab network, Pentagon press secretary Rear Adm. John Kirby said.

Here is a Q&A that looks at the al Qaeda-linked militant group:

What is Al-Shabaab and what are its aims?

Al-Shabaab is a Somali group that was designated as a foreign terrorist organization by the U.S. government in March 2008. It is seeking to turn Somalia into a fundamentalist Islamic state, according to the Council on Foreign Relations.

The group is believed to be responsible for attacks in Somalia that have killed international aid workers, journalists, civilian leaders and African Union peacekeepers.

It has struck abroad, too. It was responsible for the July 2010 suicide bombings in Kampala, Uganda, that killed more than 70 people, including a U.S. citizen, as they gathered to watch a World Cup final soccer match.

How big is it?

The total size of the group is not clear.

A U.S. official who declined to be identified because of the sensitivity of the information said in 2011 that Al-Shabaab was estimated to control up to 1,000 fighters in the country.

A U.N. report identifies one insurgent leader who is "believed to command an estimated force of between 200 and 500 fighters," most of them Kenyans.

And it has links to other groups. In February 2012, the group's leader, Ahmed Abdi Godane, and al Qaeda leader Ayman al-Zawahiri released a video announcing the alliance of the two organizations.

Though Al-Shabaab's size may be in doubt, its potential for sowing terror is not.

"I would say that the greatest risks right now in East Africa are Al-Shabaab and the violent extremists that they represent," said Gen. Carter Ham in 2011, when he was commander of the U.S. Africa Command.

Al-Shabaab's origins

Decades of weak government amid grinding poverty have long made Somalia a target for radical Islamist groups.

Al-Shabaab's predecessor was al-Ittihad al-Islami (AIAI), which worked to create an Islamist emirate in Somalia. It was, in part, funded by former al Qaeda leader Osama bin Laden, according to the Council on Foreign Relations.

AIAI, which the U.S. State Department designated as a terrorist organization, strengthened after the fall in 1991 of Siad Barre's military regime and amid the years of lawlessness that ensued.

In 2003, a rift erupted between IAIA's old guard -- who were seeking to establish a new political front -- and its younger members (Al-Shabaab, which means "the youth"), who were seeking to establish fundamental Islamic rule.

That led the latter to ally with a group of sharia courts -- the Islamic Courts Union (ICU) -- that was seeking to impose order over a landscape marked by feuding warlords in the capital city.

Working together, the ICU and Al-Shabaab succeeded in 2006 in gaining control of Mogadishu. That sparked fears in neighboring Ethiopia that violence would spill over there, according to the Council on Foreign Relations.

Those fears -- combined with a request from Somalia's transitional government -- led Ethiopian forces to enter Somalia in December 2006 and to remove the ICU from power.

That move proved to be a turning point, one that radicalized Al-Shabaab, which attacked Ethiopian forces and gained control of parts of central and southern Somalia, according to a 2011 case study by Rob Wise, who was then with the Counterterrorism Program at the Center for Strategic and International Studies.

What is Al-Shabaab's relationship with Kenya?

In 2011, the Kenyan government ordered a cross-border incursion intended to create a security buffer zone in southern Somalia after attacks on tourist destinations in northern Kenya that it blamed on Al-Shabaab. More recently, Ethiopian troops crossed the border and expelled Al-Shabaab from Baidoa, a strategic town midway between the Ethiopian border and Mogadishu.

The group then targeted African Union soldiers and government buildings in the capital in suicide attacks. A suicide bombing in March 2012 killed five people at the Presidential Palace.

Analysts say tension appears to have been growing within Al-Shabaab between Somalis and foreign fighters, several hundred of whom are thought to have entered Somalia in recent years to join the group.

There may also have been disagreement within the group about the announcement in February 2012 of an alliance between Al-Shabaab and al Qaeda and about the group's ban on foreign aid organizations working in Somalia to save millions threatened by famine.

How and from where does it recruit?

The organization has a sophisticated public relations arm that includes a Twitter account and video production abilities.

A 2009 Al-Shabaab video is as slickly produced as a reality TV show, complete with a hip-hop jihad voice and a startling message.

"Mortar by mortar, shell by shell, only going to stop when I send them to hell," an unidentified voice raps on the video in American English.

The video shows a man reported to have been Abu Mansoor al-Amriki, a U.S. citizen from Alabama. "Away from your family, away from our friends, away from ice, candy bars, all those things is because we're waiting to meet the enemy," he says.

But enemies -- and alliances -- can shift.

Al-Amriki, whose real name is Omar Hammami, said last year in a video posted online that he had had a fallout with Al-Shabaab "regarding matters of the sharia and matters of strategy" and feared for his life. He was reported to have been killed in Somalia by Al-Shabaab. CNN is not able to confirm the report.

Finding replacements may not be hard.

Sheikh Ahmed Matan, a member of Britain's Somali community, said he knows of hundreds of young Somali men living in the West who returned to Somalia for terrorist training.

How is it funded?

The once-ragtag Somalia-based al Qaeda affiliate has grown into an economic powerhouse, raising tens of millions of dollars in cash from schemes that have involved extortion, illegal taxation and other "fees," according to the 2011 United Nations report.

The United States believed then that the group was coordinating with al Qaeda groups in Yemen and might have been plotting attacks in the region and abroad.

In 2011, it was generating "between $70 million and $100 million per year, from duties and fees levied at airports and seaports, taxes on goods and services, taxes in kind on domestic produce, 'jihad contributions,' checkpoints and various forms of extortion justified in terms of religious obligation," according to the report from the U.N. Monitoring Group on Somalia and Eritrea.

How have Somalis been affected?

Years of lawlessness and poverty have exacted a toll that Al-Shabaab has not helped. In 2011, the United Nations declared a famine in the southern Somalia regions of Bakool and Lower Shabelle, and Al-Shabaab reversed an earlier pledge to allow aid agencies to provide food in famine-stricken areas.

That year, the U.N. Interagency Group for Child Mortality Estimation announced that Somalia had the highest mortality rate for children 4 and younger in the world.

A report jointly commissioned by the U.N. Food and Agriculture Organization and the USAID-funded Famine Early Warning Systems Network reported that 258,000 Somalis had died in the famine between October 2010 and April 2012 and that half of the victims were younger than five.

What is the United States doing?

The United States has supported U.N.-backed African forces fighting Al-Shabaab and strengthened its counterterrorism efforts against the group.

It has also donated millions in aid.

What is the status of Somalia's government today?

In September 2012, Somali parliament members selected Hassan Sheikh Mohamud as the new president in a vote that marked a milestone for the nation, which had not had a stable central government since Barre's overthrow 21 years before.

That did not mean Al-Shabaab was calling it quits. In January 2013, French forces attempted to rescue a French intelligence commando held hostage in Somalia by the group. The raid left the soldier dead, another soldier missing and 17 Islamist fighters dead.

But there has been political progress there.

In January last year, for the first time in more than two decades, the United States granted official recognition to the Somali government.

CNN's Tim Lister, Barbara Starr, Paula Newton, David McKenzie and Elise Labott contributed to this report.

@highlight

Al-Shabaab is an al-Qaeda-linked militant group based in Somalia

@highlight

It was once allied with sharia courts, which tried to impose order on the lawless country

@highlight

The U.S. government designated it as a foreign terrorist organization in 2008

@highlight

Al-Shabaab claimed responsibility for the deadly attack at a Kenyan mall in September last year