Jerusalem (CNN) -- "Lift the siege."

"Stop the rockets."

The dialogue of the deaf continues after nearly three weeks of conflict and well over 700 deaths. Hamas has rejected one Egyptian proposal to silence the guns. It wants assurances that any deal includes an end to the blockade that has wrecked Gaza's economy and impoverished its people. No, says Israel: stop firing rockets and then we'll talk about it.

Hamas is a resilient organization. Fighters of its military wing have put up stiff resistance to the Israeli ground incursion. But it has few friends in the Arab world, and the Arab street has not risen in solidarity. And this time, Israeli leaders are publicly and persistently demanding what they call the 'demilitarization' of Gaza as the price for peace - so that Israel is spared another barrage of rockets like those that fell on its soil in 2008 and 2012 - and are again now.

To that end Israel wants to ensure that Hamas can acquire neither the raw materials it needs to make thousands more rockets nor get its hands on more advanced missiles. It is also determined to eradicate the maze of tunnels that Hamas uses to support its infrastructure and infiltrate the border. Israeli military officers say they believe most if not all the tunnels have been identified -- more than 60 access shafts leading to some 31 tunnels as of Thursday.

In other words the Israeli aim is a lasting change in the landscape.

The U.S. and European Union have warmed to the idea. "One of the results, one would hope, of a cease-fire would be some form of demilitarization, so that again, this doesn't continue," said U.S. Deputy National Security Advisor Tony Blinken.

So how do you define 'demilitarization?' What sort of weapons does it include? Who guarantees and polices it? Is it even conceivable Hamas would give up in negotiation an arsenal it has spent years building up?

Khaled Mashal -- leader of Hamas political wing -- insisted Tuesday: "Nobody can break the will of the resistance and no one can get rid of its weapons. Only two conditions can get rid of the weapons of the resistance -- firstly the ending of the occupation and second the demilitarization of Israel." Obviously impossible demands, but Nathan Thrall, senior analyst with the Middle East Program of the International Crisis Group, says "there's no way Hamas will ever accept demilitarization in exchange for changes in Gaza."

Is there a halfway house which would provide Israel with sufficient security guarantees? Nothing yet on the horizon.

The trouble for Hamas is that its main ally, Egypt's former President Mohamed Morsy, is now in jail. And the man who ousted him, President Abdel Fattah al Sisi, has moved to isolate Hamas, economically and militarily, by closing the smuggling tunnels into Gaza. Crudely put, he shares Israel's view that Hamas is ruining the neighborhood.

So Egypt is in the driving seat, as U.S. Secretary of State John Kerry has recognized by making Cairo the first port of call in his latest shuttle. His 'phone-bashing' has been intense -- bringing in Israel, the Palestinians, Qatar, France, the Turkish Foreign Minister and more. But one of his predecessors, Madeleine Albright, told CNN that one problem was working out "who has any influence over Hamas in order to get them to accept a cease-fire."

For Hamas any deal must include what it calls the "lifting of the siege" -- the blockade of Gaza that has turned it into an open prison for the last eight years. "We will not accept any proposal that does not lift the blockade," said Mashal. A truce in Gaza perhaps, but he would not agree to a lasting cease-fire unless blockade terms had been negotiated.

At issue then, how can each side get enough to wave in front of their people as victory? And what's the sequence: truce, then negotiations, and only then a full cease-fire? The whispers and hints suggest so. Hamas is wary of being trapped like it was in 2012, when a truce was agreed but longer-term issues never resolved.

Hamas is aware that above all the people of Gaza are gasping for the chance to breathe a more normal life.

"We would rather be dead than live this life." CNN correspondents in Gaza have heard that and similar refrains time and again.

The detailed terms of any opening of Gaza will probably not be agreed as part of an initial truce. There are too many questions. Who monitors the border crossing with Egypt at Rafah? The U.N.? The Egyptian military? Israeli officials seem ready at least to consider a force from the Palestinian Authority, says Nathan Thrall of the ICG. And he believes that Israel "may be moving -- albeit grudgingly -- towards accepting a reconciliation government among the Palestinians that allows Abbas' Palestinian Authority to regain a foothold in Gaza," not least because Egypt will only talk to Abbas.

What sort of goods would be allowed in from Israel into Gaza via the Kerem Shalom crossing, which handles freight? Israel complains that most of the cement smuggled into Gaza in recent years from Egypt (and some allowed in from Israel) has been used for Hamas tunnels -- not houses. What about the port of Gaza?

There are other issues -- including the release of Hamas supporters arrested in the West Bank since the abduction and murder of three Israeli teenagers last month and the ability of farmers to tend land along the fringes of Gaza. Fishing rights of Palestinians in Gaza would also likely be discussed.

Some in the Israeli Defense Forces have expressed surprise at the scale and intensity of the resistance they have met and the extent of the tunnel network, dubbed by one Israeli official as "Lower Gaza." Rather than prod the Israeli government towards a cease-fire, the resistance may make it more determined to degrade Hamas' capabilities for a while longer. Sisi has no problem with that. But a deeper invasion into Gaza is fraught with peril, says Nathan Thrall. The Israelis, he notes, are just one kilometer inside Gaza and taking much heavier casualties than they did in 2008-09.

Hamas is not without friends altogether. The wealthy emirate of Qatar is close to the Muslim Brotherhood, from which Hamas sprang, and has embarked on a diplomatic drive with Turkey to bring peace and reconstruction to Gaza. But Turkey's Prime Minister, Recep Tayyip Erdogan, has made incendiary comparisons between Israel's conduct in Gaza and Hitler -- and described the incursion as "systematic genocide," ruling himself out of any role as the region's 'honest broker.' And Israeli ministers see Qatar as complicit in bankrolling Hamas.

One long-term proposal that was floated before the latest conflict involves the international community demilitarizing Gaza in return for massive investment -- 50 billion dollars -- in the territory. It comes from a former Israeli Defense Minister, Shaul Mofaz.

"People say demilitarization is unrealistic, but the alternatives of going through this again in a year or two or capturing Gaza are unacceptable," Mofaz told the Jerusalem Post.

[Palestinian President Mahmoud] "Abbas would be in a better position if he came into Gaza with $50 billion than if he was brought in on an IDF tank," Mofaz said. He's looking to Saudi Arabia and the United Arab Emirates to lead that process. Few believe the Palestinian Authority has the resources to administer such a Marshall Plan.

Such an ambitious vision seems far away right now, almost impossible, some say. American officials say they are focused on the next days, not weeks nor months nor years.

"Right now our focus is on stopping the rocket fire so that we can begin a serious negotiation on the key issues. What we're trying to figure out is how do we get to a point where the violence can stop and these bigger, key issues can be addressed over the long term," said a senior U.S. official.

Writing in Foreign Policy, Aaron David Miller is deeply pessimistic about the long term. "When it comes to Gaza," he says, "don't dream about demilitarization or economic miracles. In fact, forget the endgame. Right now, summoning the urgency, the right mediator, and a deal to stop the killing will be hard enough."

But that's what the people of Gaza most desperately need -- before they can even dream of greater freedoms.

@highlight

The Gaza conflict has lasted almost three weeks with over 700 deaths

@highlight

Israeli leaders are demanding the 'demilitarization' of Gaza

@highlight

Khaled Mashal -- leader of Hamas political wing -- is against this

@highlight

Is there a halfway house providing Israel with security guarantees?