(CNN) -- In a world where information is plentiful and abundant, traders are always trying to make money by finding that hidden advantage. Many are betting that 140 characters is all it takes to beat the market.

Some professionals in the world of high finance are relying on Twitter and other social media to try to get the edge on the competition.

Markets went into a spin last year when someone hacked the AP's Twitter account and sent bogus tweets about an explosion at the White House, showing just how powerful a sentence can be when millions of dollars are put behind it.

Twitter has transformed communication across a host of industries, but many industries remain straightforward in how they use it. Especially in the world of commodities. In Chicago, traders trade futures contracts in every kind of product, from corn to pork belly to orange juice concentrate futures. Essentially, they are making bets on the demand and supply of these items at a later date. Every extra speck of information can make the difference.

Some traders expressly follow farmers across the American Midwest and try to get a sense of how much soybean or maize is coming in this year's crop. Others actively engage with the people that make the products they trade, looking for that edge, directly tweeting farmers for information on what weather they are having and what crops they are growing.

But others are using Twitter to in more innovative ways to stay ahead of the pack.

"Our systems can analyze and determine a Tweet in less than a second from the moment a person tweets," says Paul Hawtin, the founder of the investment management firm Cayman Atlantic. "Analyzing untapped and unstructured data sets such as Twitter gives us a distinct advantage over other investment managers."

Hawtin has been working on a fund based exclusively on using sentiment analysis of Twitter for years, analyzing tweets for relevance and for positive and negative sentiment to base its trades on.

His first fund was in July 2010, when the U.S. debt stand-off caused huge turmoil in the financial markets and forced the $25 million fund to close after just a month. Hawtin is launching his second try at such a fund later this year. "We're in the process of raising Â£5 million ($8.3 million) for the new fund and we've secured Â£1.5 million so far," he says. If his first fund had taken off, Cayman Atlantic's simulated real-time account showed that it would have returned 23.8% last year -- impressive, but not as good as the Dow Jones Industrial Average, which returned 26.5% over the same period.

For Hawtin, the benefits of going Twitter-only are obvious. "Breaking news, information trends and global events hit the Twitter network before anywhere else," he says.

Twitter appears to be a special case. They have tried to feed in data from Facebook and Bit.ly, the URL shortener, but to no avail. "When people tweet they tend to be talking about real-world events as opposed to Facebook which is more personal and relevant only to friends and family."

Others are trying to turn the world of trading into the new Twitter. Yoni Assia founded eToro in 2007 as a social network for investing and sees it as democratizing the space. "It's about opening the global market and investing and trading in a transparent way," he says. "When you're using Facebook or Twitter, it's about social signals. So not all your friends are ones whose financial investments you really want to copy."

His network allows anyone to trade both virtual and real money, connect with one other and compare investment bets -- and copy the trading strategies of others. EToro, which is not yet available in the U.S. because of regulatory hurdles, has 3.5 million registered users, of which most are using virtual money. About 300,000 are trading with their own cash on the site. It's Facebook-meets-fantasy football for wannabe day traders.

Assia thinks we're at the start of a change in how we invest, one that will transform trading decisions to ones not just based off reactions to real-world events or mathematical modelling, but one based on the analysis of social media as well. "I think in the future you'll have not just fundamental and technical analysis, but social analysis," he says.

Hawtin, the founder of the Cayman Islands-based hedge fund, concurs. "We're in the middle of a data explosion," he says. "Trend-following has been a successful trading strategy for over a century and that forms the core of our investment process. What makes us different from any other trend-following hedge fund is the data we use."

With billions to be made, Twitter and social media may end up being one of the democratizing forces in the world of finance.

Read this: How to start your own currency

@highlight

Commodities traders use Twitter to get inside info from farmers

@highlight

One fund based all its trades on sentiment analysis of tweets

@highlight

EToro is a social network for investing, letting users copy the trading strategies of others