(CNN) -- I was 5 years old when the person who took my innocence touched me inappropriately. What he did to me went on for a period of time, though I don't remember how long exactly.

He was a teenage babysitter. His sister also participated in the abuse. She taught me things that no child should know about sex. To this day I don't understand why they did what they did. I'm not sure I care why they did it.

What matters to me now is talking about it. As a victim, I want to start a conversation about sexual abuse. As a society, I'm well aware that many people -- victims like me -- are afraid to speak out because they feel ashamed or scared.

But by remaining silent, victims like me feel like we're taking responsibility for a crime committed against us that we know is wrong.

I wanted nothing to do with the abuse. I didn't want it to be a part of me, so I ignored it for almost 25 years. During that time, the memories haunted me and I developed unhealthy coping mechanisms to compensate for the negative way I saw myself. I tried to be outwardly perfect. I withdrew and became defensive when I faced criticism.

But in order to heal, victims need to be able to talk about what happened to them, to acknowledge the horror of it, to condemn it and to demand punishment.

For example, if we pretend that armed robberies don't happen because they are bad, we would probably have Bonnies and Clydes running around everywhere.

By talking about sexual abuse, we send a message to society to pay more attention to this problem.

It's not easy for me to disclose this part of my life. But with the love of my family and friends, I have begun to address the problem. Part of that includes seeking the help of a therapist to understand the impact of the abuse.

And then something happened the other day.

When Woody Allen received a lifetime achievement award and got a standing ovation at the Golden Globes on Sunday night, his ex-wife Mia Farrow and her son Ronan Farrow sent out tweets that alluded to alleged sexual abuse of Mia Farrow's adopted daughter Dylan, who was 7 when Allen and Farrow were married. Allen denied the allegation and was never charged, but Mia and Ronan believe otherwise.

Their tweets made me think of my own past. I remember reading an article a few months ago about the allegation. When I read about Dylan and the Farrows trying to put forward her voice and her story, I wondered what was holding me back in telling my story.

Now, I'm revealing to the public something so personal I'm not sure what's going to happen as a result. I am not sure how people will treat me. I don't know if people will think I am damaged. I hope not. I've been told I am brave for talking about it. But I wish I never had to be brave. I wish it had never happened.

It's a punishment to me every day knowing that the people who abused me -- who impacted my life in such a harmful way -- escaped justice. As much as I want to bring my case to justice, it is difficult to do so because it happened more than two decades ago in a foreign country. At the time, I didn't understand what was happening to me. I was 5, and I wasn't going to take anyone to court.

I am not entirely sure that going public with my story is a good idea. I do know that the alternative - denial and silence - is no way to live. I felt ashamed of something I didn't do. But as I have begun to talk about the abuse, I have discovered that I have no reason to feel ashamed.

There are many adults who may feel ashamed about sexual abuse in their own life. They may be confused about what to do. They may think -- "what if I am wrong and I accuse this person and create a mess" -- and they balk at action.

They should take action -- when they are ready. Whether that means taking their perpetrator to court, speaking out about how to help victims, discussing with their communities about ways of prevention, or advocating for more resources to help those who are being sexually abused or were sexually abused.

The therapy I have been lucky enough to have access to has changed my life. An important part of overcoming sexual abuse is addressing the stigma of seeking the help of a therapist, because some people may think you're crazy or unstable. I am not. But I was wounded. Therapy has helped me begin to heal that wound.

According to National Center for Victims of Crime, one in five girls and one in twenty boys are victims of sexual abuse. Such abuse causes children to "develop low self-esteem, a feeling of worthlessness and an abnormal or distorted view of sex." And when they grow up, they can become withdrawn and suicidal.

As a journalist, every day when I show up for work, I ask other people to tell their stories from staring down the Navy Yard shooter to surviving the Moore, Oklahoma tornado. I ask these people to be fearless in telling the world about their stories.

But when it came to my own story, I haven't done it...until now. I believe in telling the truth -- and I believe telling the truth can set you free, however trite that is. If you can find your words, you should use them. I hope it helps.

The opinions expressed in this commentary are solely those of Allison Brennan.

@highlight

Allison Brennan: I was sexually abused when I was a child; it's not easy to reveal this

@highlight

Brennan: To heal, victims need to be able to talk about what happened to them

@highlight

She says many victims are afraid to speak out because they feel ashamed or scared

@highlight

Brennan: Talking about it sends a message to society to pay more attention to this issue