(CNN) -- UBS announced Thursday that rogue trading by one of its investment bank traders had cost the Swiss banking giant a staggering $2 billion.

But while the loss would potentially be among the largest costs ever to a bank in unauthorized trading, it is far from the first.

The UBS scandal revealed Thursday is the latest in a long list of unauthorized trades that have cost banks billions of dollars.

From foreign currency trading to speculating on futures derivatives, a number of individual rogue traders have destabilized and even caused the collapse of their banks through unauthorized trades in the past twenty years alone.

Jerome Kerviel -- $6 billion, Societe Generale

In January 2008, French trader Kerviel was arrested in Paris and accused of committing massive fraud that cost Societe Generale Bank nearly $6 billion.

Kerviel was involved in the practice of arbitrage at the bank, buying a portfolio of financial instruments -- European index futures in Kerviel's case -- in one market and selling a similar offsetting portfolio at the same time with a different value in order to minimize risk.

Kerviel's offsetting portfolio, however, was "fictitious," according to the bank, meaning Kerviel had in effect made an unhedged bet of a staggering $60 billion of Societe Generale's money on European futures without the bank's knowledge -- a bet that end up costing the bank roughly $6 billion.

33-year-old Kerviel, who was sentenced to three years in prison last year, insisted he wasn't the only one doing this and that his bosses knew of and condoned his behavior while at the bank.

"During three years these managers earned colossal amounts of money out of bonuses based on the ever growing results that I was making for the bank," he said.

Yasuo Hamanaka -- $2.6 billion, Sumitomo Corporation

Hamanaka was sent to prison for eight years in 1997 for fraud and forgery in the global copper market. The copper trader's unauthorized deals ended up costing Japan's Sumitomo Corporation $2.6 billion.

Nicknamed "Mr. Five Percent" in reference to the amount of the global copper market he was once estimated to control, Hamanaka was accused for years of price-fixing in order to generate exorbitant profits for Sumitomo.

The one-time king of the copper market would have Sumitomo buy huge quantities of copper and store it for awhile in order to create an artificial shortage of the precious metal, thus driving up demand, before releasing smaller amounts of copper on commodities markets at extremely high prices.

The decade-long scheme fell apart in 1996, and in 1998 Sumitomo paid $150 million to regulators while refusing to admit or deny if the corporation knew about or condoned the actions of its rogue trader.

Nick Leeson -- $1.3 billion, Barings Bank

The British trader's losses of over a billion dollars singlehandedly brought down Barings Bank, the former personal bank to Britain's Queen, in 1995.

At first Leeson, a star trader in Barings' Singapore branch, made huge profits in the early nineties by speculating on futures derivatives for the bank.

A loophole in Barings' oversight system allowed Leeson to settle his own deals, meaning he could set up fake accounts for non-existent clients -- and as his luck began to run out, this is precisely what he did, masking huge losses by placing them in a single secret account while making increasingly risky bets in an attempt to recoup the losses.

In January 1995, Leeson bet that the Japanese Nikkei index would rise after performing poorly the previous year, but his timing could not have been worse -- the Kobe earthquake on January 17th, the worst in Japan in 70 years, sent stock prices plummeting.

His big bet having failed, Leeson attempted to flee back to the UK but was arrested and extradited back to Singapore, where he was sentenced to six and a half years in prison for financial misrepresentation. He served three before being released.

The $1.3 billion in liabilities Leeson ran up wiped out 233-year-old Barings' capital and reserves, and the bank collapsed.

John Rusnak -- $700 million, Allfirst / Allied Irish Bank

In February 2002, AIB executives called the FBI after discovering that both roughly $700 million and 37-year-old trader John Rusnak had gone missing from work.

Working for AIB's Allfirst subsidiary in Baltimore, Maryland since 1993, the foreign currency trader worked under the radar for nearly a decade, betting mostly on the price of the Japanese yen and racking up hundreds of millions of dollars in small losses that he attempted to hide in fabricated options contracts.

Part of the reason Rusnak was able to perpetrate such massive fraud was poor supervision and financial controls at AIB -- although Rusnak's trading limit was $2.5 million, by 2002 he was betting up to $7.5 billion (3,000 times his limit) of AIB's money on currency movements, according to the Financial Times.

AIB sold its scandal-hit Allfirst subsidiary in late 2002, and Rusnak served over seven years in prison.

@highlight

Jerome Kerviel cost Societe Generale $6 billion in unauthorized trading by 2008

@highlight

John Rusnak lost over $700 million in currency trading at Allfirst bank by 2002

@highlight

Nick Leeson's $1.3 billion in losses brought down Britain's Barings Bank in 1995