(CNN) -- Heading into Wednesday, majorities of Americans in virtually every major poll predicted President Barack Obama would come out on top in this year's presidential debates. Even majorities of Republicans and Romney supporters thought the GOP nominee was in for a rough night.

But not all of them. At a time when most surrogates were competing in the traditional expectations-setting limbo contest that always precedes presidential debates, New Jersey Gov. Chris Christie predicted that Mitt Romney, seasoned veteran of roughly 20 debates within the past year alone, would prevail.

"Wednesday night's the restart of this campaign," he told NBC. "Come Thursday morning, the entire narrative of this race is going to change."

No matter how the narrative looks moving forward, there's no question Romney claimed it in Denver on Wednesday night.

5 things we learned from the presidential debate

He didn't just score wins on the margins, holding his own against the president; he won big. Since the question of which candidate did better in a presidential debate was first asked by Gallup in 1984, no candidate has ever scored more than 60% on the question, until Wednesday night, when 67% of the voters in CNN's post-debate poll gave Romney the edge.

It was a relatively placid debate with few direct confrontations, virtually no sustained attacks, and occasionally no attacks at all, on some of Romney's most vulnerable areas.

Voters finally tuning in to the race for the first time on Wednesday would leave without hearing most of the themes that have dominated the trail since the race began.

Funniest tweets about the debate

A lengthy discussion of entitlement spending, and a follow-up segment devoted to the role of government, rolled by without a single mention of Romney's 47% remarks. A discussion of high finance and companies that ship jobs overseas passed without a mention of Bain Capital, a topic that had dominated the Obama campaign's messaging for months and seemed to have done Romney real damage in key swing states like Ohio.

Romney spent weeks before the debate practicing, leaving nothing to chance, from his body language to every one-liner in his arsenal. And it showed: He didn't have to reach for answers or decide how to handle debate stage dynamics. His performance came across like the campaign equivalent of muscle memory.

Connecting with the viewer: 'Romney was able to out Obama'

Obama's answers were long and winding, featuring more than their fair share of provisos and to-be-sures, even a bit hesitant. Romney's were direct, confident and black-and-white. As his team had hinted before the debate, he claimed the fact-checking mantle as his own, deflecting attention from a string of previously debunked statements by aiming the truth-stretching accusation at Obama, and masterfully working in a passing reference to the president's lifestyle that seemed designed to reduce the advantage his own wealth had given his opponent: "Mr. President, you're entitled to your own house and your own airplane, but not your own facts." That particular jab seemed to beg for a pointed response about privilege that never came.

Not only did Romney put Obama on the defensive, at times, the president seemed to put himself there, raising and responding to conservative attacks that hadn't yet been mentioned.

The imbalance in the performances immediately showed up in polls after the debate ended: Romney, at least for the night, erased deficits and regained ground he'd lost on key questions. By double-digit advantages, the registered voters in CNN's poll said he came across as the better leader and better on the economy.

Read a transcript of the debate

On the likeability question -- where the president's held the edge all year, generally by a double-digit advantage -- Romney closed the gap: 46% said he was the more likeable candidate, to 45% who said the same of Obama. Still there were some hints of strategies that might make re-appearances in future debates. With a more aggressive posture, Obama's demands for policy details from Romney could draw blood.

One of the biggest advantages Romney has on the president is the fact that Obama has four years of proposals to critique and a track record of both successes and failures. Romney has had no track record, no time in office, since well before the financial crisis began. And by releasing as few details as possible about most of his policy plans, he's been able to make ambitious promises that far outstrip any achievement someone in office would be able to match in a real-world environment. A sustained push by the president could pose questions his plans aren't yet specific enough to answer.

At crossroads of economic crisis, debate disappoints

And the president's comeback to Romney's assurance to current Medicare patients that their own care would remain unaffected under his plan highlighted the glaring political weak spot: "If you're 54 or 55, you might want to listen, 'cause this, this will affect you," said Obama.

But for the moment, Romney's regained the momentum, re-energizing his base while the president faces the sort of second-guessing his opponent had been battling for the past month. The question is whether the flash polls are recording a flash in the pan, or whether, with roughly a month left in the race, the governor can translate his performance into the sort of healthy, sustained bounce that eluded him after the Republican convention.

Complete coverage of CNN's Fact Checks

@highlight

No candidate has ever scored above 60% on question of who won -- Romney scored 67%

@highlight

Romney's answers were direct, confident and black-and-white

@highlight

Obama's performance was long and windy, even a bit hesitant

@highlight

Obama's campaign now faces second-guessing that Romney's was before Wednesday