(CNN) -- The events unfolding off the coast of Lampedusa are both tragic and shocking. More than a hundred people are confirmed dead and the death toll is almost certain to rise dramatically.

Although it may be awful, sadly this is neither an unusual nor unfamiliar story. According to the UNHCR, in 2012, some 15,000 migrants and asylum-seekers reached Italy and Malta and almost 500 people were reported dead or missing at sea.

The figures are damning and shameful. Too many people are dying in their attempts to reach safety in Europe and much more needs to be done to address the root causes of why people risk their lives in this way.

One thing is clear -- this latest incident is an appalling reminder of what happens when people escaping persecution are denied access to safety at the EU's frontiers.

While we don't know the personal circumstances of everyone on board this particular boat, we do know that the majority were from Somalia and Eritrea, two of the top 10 sources of refugees in the world, according to the UNHCR. Both are countries with well documented human rights abuses.

Given this, it's reasonable to believe that a number of people on board were refugees, fleeing persecution and seeking safety in Europe where there are substantial and settled Somali and Eritrean communities.

Yet there's been considerable head scratching in the media about why people would put themselves at such risk. Why would you get on an overcrowded, potentially unseaworthy vessel and risk your life to make it to Lampedusa?

For refugees, the answer is simple -- what they're leaving behind is much, much worse. Somalia and Eritrea's human rights abuses are well documented. Sexual violence and torture are commonplace. For refugees, staying at home -- or 'going back to where they came from' -- is not an option. Difficult though it may be for us to comprehend, for refugees, paying smugglers and boarding these boats is a rational decision.

The problem is compounded by the lack of safe, legal routes into Europe. The Refugee Convention -- a legal framework which defines who refugees are, their rights and the legal obligations of countries -- recognizes that people fleeing for their lives may have to resort to illegal entry. This drives refugees to take even greater risks to escape.

European countries have a legal obligation to provide protection under the Refugee Convention but during the last decade the continent's borders have become heavily securitized, with millions of pounds invested in Frontex, the agency established by the EU to strengthen Europe's borders and protect the continent against unwanted illegal migrants.

These measures should not apply to individuals escaping war and persecution -- the theoretical beneficiaries of legally sanctioned protection and compassion -- but refugees are often forced to resort to the same irregular channels to leave their country of origin and travel towards safety.

Europe's formidable migration control apparatus does not sufficiently differentiate between individuals who may be in need of international protection and other migrants.

In the absence of safe, legal ways to reach European territories, refugees are forced into dangerous and abusive situations, and often obliged to embrace the perils of life-threatening journeys and the unscrupulous services of smugglers.

Boarding an overcrowded boat bound for Italy would possibly have been the last stage in a long and dangerous journey for many of those on that voyage. Some of them possibly didn't even know where they were headed.

European governments must work in solidarity to ensure people fleeing human rights violations and persecution are given entry. When people are in need of our help, we must live up to our international obligations and offer it. Only then can we be sure we are doing all we can to prevent more deaths.

We must keep a door to safety open for refugees and develop ways of identifying those with protection needs among the broader flow of migrants. As yesterday's events have shown, it's a matter of life and death.

The opinions expressed in this commentary are solely those of Maurice Wren

@highlight

Too many people are dying in their attempts to reach safety in Europe, writes Maurice Wren

@highlight

This incident is an appalling reminder of what happens when people escaping persecution are denied access to safety, he says

@highlight

Wren: In the absence of safe, legal ways to reach European territories, refugees are forced into dangerous and abusive situations

@highlight

European governments must work in solidarity to ensure people fleeing human rights violations and persecution are given entry, he says