(CNN) -- Amanda Sedgmer, mother of five and daughter of coal country, believes that in this presidential election, her way of life is at stake.

"If you ask anybody in the coal industry what would happen if Obama is re-elected, they'd say the coal industry is done," said Sedgmer, whose husband, Ryan, is a coal miner and whose family has depended on the industry for at least four generations.

Sedgmer lives in Hopedale, Ohio, which sits on top of one of the state's richest coal deposits. For nearly a century here, mining has been one of the few professions guaranteeing a good and consistent salary.

Read Sedgmer's original story on CNN iReport

But in the past two years, an increasing number of coal-powered electricity plants across the country have announced closures. Estimates vary, but banking and industry analysis firm Credit Suisse put expected and known closures for 2009-2012 at 111 plants, that's one-fifth of the nation's nearly 500 coal plants.

There are two main factors in the demise of those plants. First, the price of coal's competitor, natural gas, is decreasing. At the same time, a new rule from the Environmental Protection Agency is pushing the price of coal up.

That change, called the Maximum Achievable Control Technology, or MACT, rule requires that coal- and oil-fired power plants reduce pollutant emission rates significantly. The rule, which operates under the Clean Air Act, does not stipulate a lower level of carbon output. But by requiring lower mercury and other toxic emissions, it would reduce carbon as well.

Coal mining families aren't the only ones facing shifts in industry

The EPA estimates this will result in some 1% of national electricity capacity shutting down, and a cost increase of about 3.7% in retail electricity.

But those in coal country give much higher estimates. They believe if President Obama stays in office and the rule continues, it will mean the end of their industry.

"If coal fell, which is one of the main sources of employment around this area, everything would suffer," Sedgmer said while sitting on her front porch. "There'd be no funding for the schools, which are already suffering. I can't see how destroying one industry benefits anything."

The job is a source of income for the family and pride for Ryan. "I like it," the 30-year-old said. "I enjoy doing it. ... It's provided for our family. We have a big family and we haven't had to worry about too much."

Watch behind-the-scenes interview with Sedgmer

The Sedgmers have invested a lot in their home in Hopedale, which is next to the towns where Ryan and Amanda grew up. When another mining job moved the family away, the Sedgmers rented out the 100-year-old home, keeping a foothold in their community.

Thanks to a new mining job, two weeks ago the Sedgmers moved back to the area. They put up a "Home Sweet Home" sign in the kitchen. They want to stay.

"If all coal mines shut down," Amanda Sedgmer paused, "we would struggle ... we would definitely lose our house. "

Sedgmer voted for President Obama in 2008 and she is not a particular fan of Mitt Romney, but she's voting for the Republican because she believes he is the only chance the coal industry and her community have to survive.

Romney hopes all this concern helps him in the Buckeye swing state and in other coal communities. He has told crowds at campaign speeches that President Obama "sure doesn't like coal." The president has vigorously disagreed, saying he is for "clean coal."

Environmentalists believe the EPA rule and the increasing closures of coal plants are breakthroughs that are overdue and will do dramatic good.

Les Brown, the president of the Earth Policy Institute, points to studies that coal emissions, including mercury and other pollutants, cause more than 10,000 deaths a year.

"It's a war for survival," Brown said, sitting in a Washington office filled with piles of reports and papers about the environment. "Saving lives, not just a handful of lives, but thousands of lives. But more broadly, saving the planet."

Would he like to see all coal plants closed? "Yes," Brown responded, "It would be cleaner, it would be safer and it would help stabilize the climate, which is the big threat to our future. I mean it's even difficult to put a price tag on that."

Brown sees the problems with coal and climate change as a very human issue that could lead to droughts in some places, including the American Midwest, and floods in other places, like the American coasts. In either case, Brown fears loss of crops, homes and lives.

But the same issue is personal to Amanda Sedgmer. Every day as Ryan prepares to go underground, he checks a bulletin board listing the latest coal closures.

The Sedgmers' five children are still young, aged 16 months to 10 years. Those old enough to speak already talk about coal. When asked what he wants to do when he grows up, 4-year-old Ben Sedgmer blurts out, "Coal miner!" But his parents don't know if there will be many, or any, coal mining jobs waiting for him in Hopedale when he's old enough.

For both sides, the war over coal is personal. And it is happening this election year.

See all of the Embed America coverage here. And track the Embed team's progress on our map.

Poll: Majority oppose controversial coal mining practice

Battle for Blair Mountain: Working in America - Educator and Parent Guide

Alaska offshore drilling: From 'hell no' to 'OK'

CNN's Emma Lacey-Bordeaux contributed to this story.

@highlight

Hopedale, Ohio, has a population of 950 and many residents work in coal industry

@highlight

Coal plant closures in the U.S. are on the rise; between 10-20% closed in past three years

@highlight

The EPA's recent "MACT Rule" requires significantly lower emissions from coal plants

@highlight

Mitt Romney says President Obama is anti-coal. Obama says he's for "clean coal"