Damascus, Syria (CNN) -- Concern about the possibility of broader war in the Middle East grew Monday after reported airstrikes on Syrian military installations.

The reported strikes killed 42 Syrian soldiers, the opposition Syrian Observatory for Human Rights said Monday, citing medical sources. It said 100 people remained missing.

The Syrian government warned Sunday's apparent strikes -- which followed one last week that Syria also blames on Israel -- "opens the door wide for all the possibilities."

Syrian ally Iran warned of a "crushing response" while Russia called reports of Israeli involvement "very worrying."

But an Israeli general who commands forces on the Syrian border said "there are no winds of war," according to the Israel Defense Forces website.

The heightened tensions come amid questions over possible chemical weapon use in Syria and international debate over how to respond to the country's bloody civil war, in which more than 70,000 people have died in more than two years of fighting.

On Monday, a U.N. official spoke of strong suspicions that rebels, not Syrian government forces, have used chemical weapons.

Details of reported strikes

Syria claimed Israeli missiles struck at its military facilities on Sunday.

According to the state-run SANA news agency, Israeli missiles struck a research center in Jamraya, a facility in Maysaloun and what the news agency described as a "paragliding airport" near Damascus.

"The Israeli terrorist aggressions on the Syrian territories have left no room for hesitation, weakness, self-dissociation or silence as Syria would not forgive us all if we hesitated in defending it," SANA reported Syrian Prime Minister Wael al-Halqi as saying.

The blasts prompted terrified residents nearby to run for cover.

"Everything kept exploding over and over again," said Anna Deeb, whose family lives just over a mile away. "We could hear gunshots, we could hear people screaming. ... We didn't know what to do, and there was a problem with us breathing because the smoke was too much."

Syria says the attack followed another Israeli airstrike late last week.

Israel has not confirmed or denied that its forces were involved in any attacks inside Syria, but a U.S. official told CNN's Barbara Starr on Monday that Israeli forces conducted Sunday's strike, as well as one last week.

Sunday's strike targeted a research facility in a mountainous area near Damascus and weapons that were to be transferred to Hezbollah, according to the source.

The earlier strike, which U.S. officials had previously said happened Thursday or Friday, targeted Fateh 110 missiles stored at the Damascus airport, the source said.

SANA reported that the allegation of weapons transfers was false.

And Syrian Deputy Foreign Minister Faisal al-Mekdad told CNN the attacks amount to a declaration of war by Israel.

"The details are not clear on what happened," al-Mekdad told CNN. "Did they fire missiles? ... It is not clear for me, because I don't know how it happened, and of course it is worrying, but Israel will suffer the same."

'Watching everything'

While Israel has not acknowledged responsibility for the attacks, the country has long said it would target any transfer of weapons to Hezbollah or other terrorist groups.

"We are watching everything when it comes to the movement of these types of weapons. We have the means to do that," a senior Israeli defense official told CNN's Sara Sidner on Sunday. The official is not authorized to speak to the media.

Shaul Mofaz, a lawmaker in Israel's Knesset, told Israeli Army Radio on Sunday that Israel isn't meddling with Syria's civil war. But Israel must protect itself from Lebanese militants, he said.

"For Israel, it is very important that the front group for Iran, which is in Lebanon, needs to be stopped," Mofaz said.

International response

Hezbollah did not immediately comment after Sunday's claims.

Iran said it will stand by Syria, "and if there is need for training, we will provide them with necessary training," Brig. Gen. Ahmad-Reza Pourdastan, commander of the Iranian Army's Ground Forces, told reporters Sunday.

Iranian Foreign Ministry spokesman Ramin Mehmanparast said he had no doubt Syria and its allies will "give a crushing response to the aggressions of the Zionists," the state-run IRNA news agency reported.

Russia also weighed in Monday, with a Foreign Ministry spokesman calling the reports of Israeli strikes "very worrying."

"Any intensification of military confrontation greatly increases the risks of creating hotbeds of tension aside from Syria, in Lebanon, and also destabilizing the Israeli-Lebanese border, which has so far remained relatively calm," ministry spokesman Alexander Lukashevich said Monday.

But Israeli Maj. Gen. Yair Golan indicated war is not imminent, according to the IDF's website.

"There are no winds of war," said Golan, who is in charge of the Northern Command.

Two rockets fired from inside Syria fell into the Golan Heights, the IDF said in a tweet. The military said the rockets were "fired erroneously as a byproduct of internal conflict in Syria."

NATO Secretary General Anders Fogh Rasmussen told reporters Monday that the alliance had no information on the reported airstrikes, but said the alliance remains concerned about the possibility that the conflict could spread beyond Syria's borders.

"It's not a new concern that for quite some time we have expressed concerned of the risk of spillover of this conflict," he said.

Chemical weapons reports

The tensions have been worsened by conflicting reports on the possible use of chemical weapons in Syria.

On Monday, a U.N. official said evidence points to the use of the deadly nerve agent sarin by Syrian rebel forces.

Carla Del Ponte told an Italian-Swiss TV station that the findings come after interviews with doctors and Syrian victims now in neighboring countries.

Del Ponte, the commissioner of the U.N. Independent International Commission of Inquiry for Syria, said the notion isn't surprising, given the infiltration of foreign fighters into the Syrian opposition.

Later, the commission issued a press release saying it "has not reached conclusive findings as to the use of chemical weapons in Syria by any parties to the conflict."

Therefore, "the commission is not in a position to further comment on the allegations at this time," the statement said.

The Syrian Coalition released a statement in response to Del Ponte's comments, condemning the use of chemical weapons and stressing that it will continue to conduct its own investigations.

"The Syrian Coalition will take all necessary legal measures in case the investigation reveals parties other than Assad's regime have used chemical weapons," it said.

A U.S. State Department official told CNN that the United States does not have information suggesting that rebels have "either the capability or the intent to deploy or use such weapons."

But, the source said, the "facts are not complete" and efforts to obtain more information are ongoing.

Rebel Free Syrian Army spokesman Louay Almokdad said rebels don't have unconventional weapons, nor do they want any.

"In any case, we don't have the mechanism to launch these kinds of weapons, which would need missiles that can carry chemical warheads, and we in the FSA do not possess these kind of capabilities," Almokdad said.

"More importantly, we do not aspire to have (chemical weapons) because we view our battle with the regime as a battle for the establishment of a free democratic state. ... We want to build a free democratic state that recognizes and abides by all international accords and agreements -- and chemical and biological warfare is something forbidden legally and internationally."

Intelligence claims

The claim of rebels using sarin gas comes after months of suspicions that the Syrian regime has used the same nerve agent against rebels.

Last week, the United States said its intelligence analysts had concluded "with varying degrees of confidence" that chemical weapons had been used in Syria and that the regime of President Bashar al-Assad was the likely culprit.

In April, the head of Israeli military's intelligence research said the Syrian government is using chemical weapons against rebel forces.

"In all likelihood they used sarin gas," Brig. Gen. Itai Brun said.

The Free Syrian Army's chief of staff has also said the Syrian regime has used sarin in cities such as Homs, Aleppo and Otaiba, outside Damascus.

"We took some samples of the soil and of blood. The injured people were observed by doctors, and the samples were tested, and it was very clear that the regime used chemical weapons," Gen. Salim Idriss told CNN's Christiane Amanpour last month.

Sarin gas can be hard to detect because it is colorless, odorless and tasteless. But it can cause severe injuries to those exposed to it, including blurred vision, convulsions, paralysis and death.

Why Syria matters

The Syrian civil war has pitted rebel fighters against the regime run by al-Assad, whose family has ruled the country for four decades.

Syria matters to Iran because it is believed to be the main conduit to the Shiite militia Hezbollah in Lebanon, the proxy through which Iran can threaten Israel with an arsenal of short-range missiles.

In 2009, the top U.S. diplomat in Damascus disclosed that Syria had begun delivery of ballistic missiles to Hezbollah, according to official cables leaked to and published by WikiLeaks.

The last thing Iran wants is a Sunni-dominated Syria -- especially as the Syrian rebels' main supporters are Iran's Persian Gulf rivals: Qatar and Saudi Arabia.

Hezbollah's feared scenario is Israel on one side and a hostile Sunni-led Syria on the other.

CNN's Frederik Pleitgen reported from Damascus; Sara Sidner reported from Jerusalem; and Hada Messia reported from Rome. CNN's Schams Elwazer, Tim Lister, Holly Yan, Samira Said, Jill Dougherty, Hamdi Alkhshali and Tracy Doueiry contributed to this report.

@highlight

NEW: Syrian prime minister: Israeli "aggressions ... have left no room for hesitation"

@highlight

There is no information suggesting rebel use of sarin, a State Department official says

@highlight

Israel conducted airstrikes in Syria on Sunday and last week, a U.S. official tells CNN

@highlight

Reports of Israeli strikes are "very worrying," the Russian Foreign Ministry says