(CNN) -- Nelson Mandela's willingness to forgive and forget helped peacefully end an era of white domination in his native South Africa. But as news of his death spread, mourners there and around the world professed that he, himself, would never be forgotten.

"Mandela's biggest legacy ... was his remarkable lack of bitterness and the way he did not only talk about reconciliation, but he made reconciliation happen in South Africa," said F.W. de Klerk, South Africa's last white president before giving way to Mandela, the country's first black leader.

South Africa's current leader announced late Thursday that, after years suffering from health ailments, the man known widely by his clan name of Madiba died at 8:50 p.m. (1:50 p.m. ET) surrounded by family.

He was 95.

"He is now resting. He is now at peace," President Jacob Zuma said late Thursday. "Our nation has lost its greatest son. Our people have lost a father."

Special report: Nelson Mandela

The official SAPA news agency reported early Friday that Mandela's body had been moved to a military hospital in Pretoria. It's expected to be embalmed in the next three to four days, after which there will be a public memorial service at a Johannesburg soccer stadium, according to government sources.

Then, his casket will lie in state for several days in Pretoria, and next week -- probably Friday or Saturday -- it will be flown to his ancestral hometown of Qunu for a state funeral and burial, the sources said.

Until that funeral, Zuma has ordered flags around South Africa to be "flown at half-mast," something that other countries including the United States and United Kingdom are also doing.

The African National Congress -- the political party long associated with Mandela -- said "our nation has lost a colossus, an epitome of humility, equality, justice, peace and the hope of millions."

"The large African Baobab, who loved Africa as much as he loved South Africa, has fallen," the party said in a statement, comparing Mandela to a sturdy tree found in Africa. "Its trunk and seeds will nourish the earth for decades to come."

As news spreads, mourners recall 'remarkable man'

Throngs -- some of them in pajamas, due to the late hour -- gathered outside Mandela's house in a Johannesburg suburb after word of his death was announced, with people of all races singing, dancing and otherwise paying tribute to the late leader. Some said the news hadn't sunk in yet, while others expressed relief that he died peacefully, according to the official SAPA news agency.

"We must pay tribute to Mandela, the best state leader of all time," said 23-year-old Zaid Paruk.

Similar scenes broke out elsewhere in the country including Soweto, southwest of Johannesburg, where some celebrated Mandela's life draped in ANC and South African flags.

Leon Curling-Hope said she was at a work Christmas party when revelers began singing the national anthem upon hearing the news.

"Everyone is emotional but the messages that are going out are of love and happiness," said Curling-Hope, a CNN iReporter. "Everyone is holding each other singing and talking about the great memories we all have."

Describing him as "a remarkable man," de Klerk told CNN's Christiane Amanpour, "South Africa, notwithstanding political differences, stands united today, in mourning."

Carrying on the work of Mandela

While the pain resonated most in his homeland, news of Mandela's death echoed worldwide.

Moments after Zuma spoke, the U.N. Security Council had a moment of silence in his honor, with Secretary-General Ban Ki-moon later calling Mandela "a giant for justice and a down-to-earth inspiration." Irish leader Enda Kenny said Mandela's name "became synonymous with the pursuit of dignity and freedom across the globe."

"A great light has gone out in the world," tweeted British Prime Minister David Cameron. "Nelson Mandela was a hero of our time."

Reaction from U.S. politicians was similarly swift, with ex-Presidents George H. W. Bush calling Mandela "a man of tremendous moral courage" and Bill Clinton remembering him as "a man of uncommon grace and compassion, for whom abandoning bitterness and embracing adversaries was not just a political strategy but a way of life."

Obama: 'He belongs to the ages'

"We've lost one of the most influential, courageous and profoundly good human beings that any of us will share time with on this earth," said current U.S. President Barack Obama, the first black leader of his own country who said his first public activism was an anti-apartheid protest. "He no longer belongs to us. He belongs to the ages."

Kenyan activist: Mandela saved my life

The immensely popular leader largely stayed out of the public spotlight in recent years due to his medical issues, including a hospitalization for a lung infection in June.

On September 1, Mandela was discharged from a Pretoria hospital where he had been receiving treatment since June, according to Zuma's office. He was moved to a home in the Johannesburg suburb of Houghton, where a bedroom was transformed into something akin to an intensive care unit, according to his ex-wife, Winnie Madikizela-Mandela.

Last month, Madikizela-Mandela told South Africa's Sunday Independent newspaper that tubes used to clear his lungs meant to prevent infections also made it so that he could not speak. She said then that he "remains quite ill," with doctors tending to him regularly.

"He communicates with the face, you see," Madikizela-Mandela told the newspaper then.

His history of lung problems dates to his days in Robben Island, where he was imprisoned for 27 years as part of his fight to overturn the country's system of racial segregation.

Tokyo Sexwale, who was incarcerated a few meters from Mandela, recalled him as "a very formidable and larger-than-life figure" who was nonetheless "very humble" and loving.

"He was embraced even by white wardens, his own jailers, because he demonstrated that through the power of dialogue ... people on different sides, former enemies can come together," Sexwale told CNN.

Toiled to dismantle entrenched apartheid

Mandela emerged from prison more prominent than ever and in 1994 -- four years after his release and one year after earning the Nobel Peace Prize with de Klerk, who was then South Africa's president -- he became South Africa's first black president.

Statesman, President, ambassador to the world

Mandela left the presidency in 1999, but remained one of South Africa's most respected and revered international ambassadors, a model for world and particularly African leaders.

And a new generation has been introduced to him through movies such as "Invictus" and "Mandela: Long Walk to Freedom."

The latter film was in the middle of its London premiere when news broke of Mandela's death, though attendees -- Prince William and Catherine, Duchess of Cambridge, among them -- didn't learn about it until producer Anant Singh came onstage as the closing credits ran. He explained that Mandela's daughters had said the premiere should go on; there then was a moment of silence in Oden Cinema.

"It was as if he was born to teach the age a lesson in humility, in humor and above all else in patience," said Bono, the U2 singer and Africa activist. "In the end, Nelson Mandela showed us how to love rather than hate, not because he had never surrendered to rage or violence, but because he learned that love would do a better job."

Hollywood reacts to loss of a legend

His last high-profile public appearance came in 2010, when South Africa hosted soccer's World Cup. His family members and South African officials have updated the public on his life since, including numerous hospitalizations and his eventual return to his

Mandela has been hailed as a pioneer, a statesman, a hero, someone who maintained his easy smile and demeanor after decades of turmoil. To many South Africans, he was known simply, affectionately as Tata -- the word for father in Xhosa tribe.

"What made Nelson Mandela great was precisely what made him human," said Zuma. "We saw in him what we seek in ourselves."

A man of many handshakes

CNN's Catherine E. Shoichet, Faith Karimi, Robyn Curnow, Susannah Palk and Max Foster contributed to this report.

@highlight

NEW: State news: Mandela's body is moved to a military hospital in Pretoria

@highlight

NEW: Producer: Mandela's kin give their OK for London film premiere to continue

@highlight

4 years after his release from prison, Mandela became South Africa's first black president

@highlight

President: After years of health issues, he died Thursday surrounded by his family