Burmese security forces backed by Buddhist monks have "committed crimes against humanity" in a campaign of ethnic cleansing that has displaced more than 125,000 Rohingya Muslims in the southwest of the country, according to a new report from Human Rights Watch.

The report comes as the European Union was due to meet this week to decide whether to lift sanctions on Myanmar, the South East Asian country also known as Burma.

The Rohingya are a stateless Muslim minority living in Rakhine -- thought to number between 800,000 and one million -- who claim they have been persecuted by Myanmar's military during its decades of authoritarian rule.

Though many Rohingya have only known life in Myanmar, they are viewed by Rakhine's estimated three million Buddhists as intruders from neighboring Bangladesh.

The rights group interviewed more than 100 people on both sides of the conflict following sectarian violence in Arakan state in 2012 in which more than 180 people were killed, and concluded that the violence had been tacitly sanctioned by the Burmese government and its security forces.

"The absence of accountability against those to blame lends credence to allegations that this was a government-appointed campaign of ethnic cleansing in which crimes against humanity were committed," the report stated.

Witnesses described how security forces stood by or joined in with Arakanese men wielding machetes, swords, homemade guns and Molotov cocktails as they descended on villages in what appeared to be a coordinated series of attacks on townships over a wide area of the state.

HRW said that satellite imagery from just 5 of the 13 townships attacked since June showed destruction of 4,862 structures across 348 acres of mostly Muslim-owned residential property.

In the worst incident at Yah Thei village on October 23, 2012, witnesses told HRW how security forces aided local mobs by disarming Rohingya of the primitive weapons they were carrying to defend themselves.

During the daylong attack, at least 70 Rohingya were killed including 28 children of which 13 were aged under five.

"First the soldiers told us, 'Do not do anything, we will protect you, we will save you', so we trusted them," a 25-year-old Rohingya survivor told Human Rights Watch. "But later they broke that promise. The Arakanese beat and killed us very easily. The security did not protect us from them."

The rights group blamed local Buddhist monks and the two-year-old nationalist Rakhine Nationalities Development Party (RNDP) for encouraging and orchestrating the violence.

Between June and October, according to the report, these and other ultra-nationalist groups issued pamphlets and public statements demonizing Rohingyas, at times using the phrase "ethnic cleansing."

"During the first wave of violence in June security forces not only stood by and watched as Muslim communities were being attacked but in some cases they directly participated in those attacks," Matthew Smith told CNN from the Bangkok office of HRW.

"In the time between June and October (when the second wave of attacks occurred) there was a high degree of public organizing was taking place promoting ethnic cleansing in Arakan state.

"Public statements were released by monk's associations, political groups and others and the tensions were rising. The authorities did nothing to intervene, to promote peace and reconciliation, nothing to prevent further violence from occurring."

He said the government continues to blame "communal violence" when it knew about the attacks and could have prevented them, adding that authorities were blocking aid to displaced victims.

HRW said Rohingyas in holding camps were at grave risk of lethal waterborne diseases if they were not moved to higher ground before the rainy season in May.

"There are tens of thousands of people being denied adequate humanitarian aid and the responsibility for this falls squarely on the government," Smith said.

While HRW acknowledged that local Buddhist Arakanese had also been displaced by the violence, the burden of the humanitarian disaster had fallen on the Rohingya population who have suffered decades of abuse under discriminatory Burmese citizenship laws. Myanmar does not recognize them as citizens or one of the 135 recognized ethnic groups living in the country.

"Some Arakanese have suffered greatly in this situation," Smith said. "In June, there was violence perpetrated by both Rohingya Muslims and Arakanese Buddhists although it was there was a much smaller level of displacement among the Arakanese community.

"For example, Buddhist monks in Mrauk-U explained to me how at least 16 Arakanese Buddhists had died in the violence in the township."

He said that, for the most part, Arakanese Buddhists have resumed life as usual, attending to their fields, going to tea shops and monasteries while Rohingya Muslims are still subject to abuse from security forces and live under an active policy of segregation and containment within the government's camps.

"There is a serious concern that the government will not take seriously the right of these displaced people to return to their homes," Smith said.

But Myanmar presidential spokesman Ye Htut accused HRW of timing its report to coincide with the EU sanctions decision.

"The government will not pay attention to such a one-sided report," he said in comments posted on his Facebook page.

Last month, Myanmar's President Thein Sein placed the city of Meiktila in the region under a state of emergency as sectarian strife simmered.

The president said some were exploiting the situation to engineer violence in other parts of the country.

"I would like to warn all political opportunists and religious extremists who try to exploit the noble teachings of these religions and have tried to plant hatred among people of different faiths for their own self-interest: Their efforts will not be tolerated," he said.

@highlight

Human Rights Watch accuses Myanmar of tacitly supporting violence against its Rohingya population

@highlight

The Rohingya are a stateless Muslim minority thought to number between 800,000 and one million

@highlight

The report says security forces stood by as mobs murdered Rohingyas and destroyed their properties

@highlight

HRW warns that displaced people in camps faced a further humanitarian crisis as aid is obstructed