(CNN)Europe is in the midst of a political and economic crisis that threatens to unravel decades of European integration and derail the world's recovery from the great recession. To understand this crisis, let's compare two countries.

Country A is a small nation with a long history of tax evasion, government debt defaults and a dysfunctional business and regulatory climate. It allows workers to retire in their 50s, and pays double pensions when they do. It lied about its budget to get into the eurozone.

Country B is a large, historically powerful nation with a record of low government debt. Country B even ran budget surpluses, including a 2% surplus just before the financial crisis hit in 2008.  It entered the eurozone with an honest accounting of its finances.

If you guessed that country A is Greece, you are correct.  If you believe Greece has caused the crisis in Europe because of its fiscal irresponsibility, then you are safely in the mainstream opinion about the matter.

But what do we make of fiscally responsible country B?  Its virtuousness must mean it is weathering the crisis. And it must be Germany, right?

Wrong. Country B is not Germany. Country B is Spain. Far from prospering, Spain is doing terribly.

Spain's unemployment rate is 23.7%, down from a high of almost 27% in 2013.  More than a fifth of its workers have been jobless for the last four years. More than half of its young people are out of work and have been for years. There is regularly talk of a lost generation in Spain and Greece. Like Greece, Spain's investment bubble burst when the financial crisis hit and it had to seek a bailout (although a much smaller one) to prevent its domestic banks from collapsing. Spain's economy also shrank during the crisis and its debt to GDP ratio has shot up dramatically.

If Greece and Spain have such wildly different approaches to fiscal prudence, what can explain the crisis they both find themselves in?

The answer is not fiscal virtue. Something else is going on. That something else, in large part, is the euro.

Joining the eurozone meant Spain and Greece gave up the power to create money, the power to devalue their currency to restore competitiveness, and the power to set interest rates. These are not trivial concessions, especially in a currency union like the euro where transfers between rich and poor sectors of the economy are limited, strict budget rules deny individual countries the flexibility to react to a crisis, and trade between euro-area nations is severely imbalanced.

The inability to set interest rates in line with the economic conditions meant that in the early 2000s, Spain and Greece couldn't raise interest rates to cool their over-heating economies. The over-heating was largely caused, by the way, by the frenzied (and ultimately reckless) lending in both countries by German and other core European banks. The European Central Bank set interest rates in line with economic conditions in Germany and France that proved too low for Spain and Greece (and Ireland).

Read: 25 People to Blame for the Financial Crisis

The over-heating of the Greek and Spanish economies led to inflation and investment bubbles. As those bubbles burst, the banks neared collapse, and their rescue led ultimately to a sovereign debt crisis. The inability of Spain and Greece to print money meant they had to borrow from their partners in Europe or default and be ignominiously tossed out of the EU.

Strict budget rules of Eurozone membership also required Spain and Greece to impose austerity measures in the middle of the worst financial crisis since the Great Depression. They were required to raise taxes and cut spending even as unemployment reached astronomical levels. Austerity helped create a depression of historic magnitude in Greece and a severe recession in Spain. The policies also created runaway public debt. Greece's debt is now 175% of GDP. Spain's debt to GDP ratio is 100% -- a level not seen in Spain in more than 100 years.

Because Spain and Greece cannot devalue the euro, the only way they can become competitive is through internal devaluation. This means Greece and Spain are in for years of high unemployment, reduced living standards, falling wages and deflation. In other words, massive impoverization.

Mario Draghi, head of the European Central Bank, famously said: "The euro is forever." That may or may not be so, but it doesn't mean that countries like Greece and Spain should stay in the euro forever. Contrary to popular opinion, this crisis cannot be explained away with a moral tale of Greek fiscal irresponsibility. The facts suggest otherwise.

@highlight

If Greece and Spain have such different approaches to fiscal prudence, Lisa Tripp asks why both are in crisis?

@highlight

Something else is going on, she says: That something else, in large part, is the euro