(CNN) -- As the World Health Organization (WHO) warned of the potential increase of dengue fever and other climate-sensitive illnesses, Japan saw an almost-seven decade streak of being dengue fever-free end.

In the past week, at least 55 people have become ill with dengue fever, confirming fears that the fever, last seen in 1945, is back.

The cases have one thing in common -- those affected all appear to have visited Yoyogi Park, one of Tokyo's largest outdoor spaces, and all have complained of mosquito bites.

Following fumigation last week, the health ministry and Tokyo metropolitan government trapped and analyzed about 100 mosquitoes from the park and, found strains of the virus, prompting authorities to close large parts of the park as of Thursday afternoon.

This week, two models, Saaya, 20, and Eri Aoki, 25, who were filming for "King's Brunch," a variety show, in the park, were struck down with the virus, the Nikkan Sports newspaper reported.

The dengue outbreak in Japan has seen victims from the age of 10 to those in their 70's. While most people recover within a week, the disease can create discomfort and and can, in rare cases, cause death.

The disease, which is mainly transmitted by a type of mosquito (Aedes aegypti), is found in tropical and subtropical climates worldwide. Symptoms include fever, severe headache, rashes and pain behind the eyes, muscle and joint pain.

Harrowing experience

By all accounts, contracting dengue fever is a harrowing experience. Chris Dwyer, formerly of CNN and now a Hong Kong-based communications consultant, contracted dengue while on vacation in Malaysia in July.

Back in Hong Kong after a few days, Dwyer found himself unusually lethargic in the afternoon. The following day he had a fever and a temperature, which got progressively worse.

"By the onset of that evening I had appalling pain in my joints, really achy, weak limbs and just a sense that I wasn't well at all," he said. "This was unlike anything else, it was so debilitating."

Eventually, he was admitted into hospital and eventually recovered. where he was put on a drip while doctors monitored his liver and white blood cell count.

"As far as I understand it I was lucky... there are other symptoms that I've heard are pretty gruesome," he said.

Worldwide problem

While dengue fever is not transmitted human to human, the Japanese health ministry said that domestic mosquitoes could have picked it up from people infected abroad. Almost half the world's population lives in high-risk countries, the WHO says.

Last year, Singapore suffered a sweeping epidemic, which saw four die of the disease and over 12,000 become infected.

Takeshi Kurosu, an assistant professor at Osaka University's Research Institute for Microbial Diseases, said that the Tokyo outbreak was most likely imported into the country by an infected individual, who then transmitted it to domestic mosquitoes.

"Probably one person who was infected outside Japan went to (Yoyogi) park," he said. "It's possible that there was an infected mosquito (transported to Japan) in a bag, but the patient numbers indicate that it was likely an infected person."

He says that it is likely that there have been previous, small and undiagnosed outbreaks in Japan before, but this one was flagged by a doctor who had experience spotting the symptoms of the virus.

To date there have been no fatalities in the Japanese outbreak, and Kurosu is confident that the virus can be contained.

"It will (most likely) be controlled. It will be autumn soon and this type of mosquito can't survive the cold weather."

Climate-linked spread

The disease is on the rise, and over half of the world's population live in dengue endemic areas. The Japanese outbreak comes as a WHO conference examining the links between health and climate change warned of the risks of infectious diseases like malaria and dengue which are strongly influenced by climate.

Higher humidity and temperatures mean mosquitoes can survive longer, increasing the likelihood for transmitting diseases and being able to travel to a wider geographic range.

"Vulnerable populations, the poor, the disadvantaged and children are among those suffering the greatest burden of climate-related impacts and consequent diseases, such as malaria, diarrhea and malnutrition, which already kill millions every year," said Dr. Flavia Bustreo, WHO Assistant Director-General, Family, Women's and Children's Health in a press release.

"Without effective action to mitigate and adapt to the adverse effects of climate change on health, society will face one of its most serious health challenges."

Kurosu agrees that climate change is a factor, giving rise to longer periods that infected mosquitoes can survive. Adverse conditions, such as drought, however, can also impede the spread of the disease.

Drought in parts of India this summer has denied the mosquitoes the water that their larvae need to develop, leading to "extremely low" numbers of dengue cases this year, the Times of India reported.

Urban centers affected worst

Kurosu says, the primary cause of the spread of dengue fever is linked to population movement and the rapid urbanization of developing countries, the majority of which are in the tropical zone most often affected by dengue fever

There is no cure for, and no vaccination against, dengue fever, The disease can develop into a "potentially lethal complication" called severe dengue, also known as dengue hemorrhagic fever.

The WHO estimates that there are over 50-100 million cases of dengue worldwide each year, although a new study says the true number may be four times as high as that appraisal.

Study suggests new approach to dengue fever

5 myths about mosquito bites

@highlight

Japan facing first outbreak of dengue fever in almost 70 years

@highlight

WHO says climate change could lead to an increase in the prevalence of the disease

@highlight

Carried by mosquitoes, dengue is a debilitating illness and can be fatal