Washington (CNN) -- Forced government spending cuts, known in Washington jargon as sequestration, took effect a month ago amid doomsday predictions of freed criminals, weakened borders and a crippled military.

President Barack Obama and other federal officials warned that the harshest impacts would hit in April, with worker furloughs and program cuts rippling through the economy to stunt growth during a sluggish recovery.

But as April dawned Monday, little evidence of widespread damage had emerged, leaving the president vulnerable to accusations that he hyped the impact for political purposes in the unending battle with Republicans over taxes and spending.

The $85 billion in cuts for the rest of fiscal year 2013, which ends September 30, were mandated by a 2011 agreement by Congress that raised the federal debt ceiling.

In an attempt to motivate legislators to compromise on a deficit-reduction plan, the agreement required $1.2 trillion in across-the-board spending cuts over a decade if Congress failed to strike a deal to shrink the deficit by that amount.

Obama follows up on past call to bolster U.S. infrastructure

The cuts targeted agencies and programs dear to Democrats, such as education, and also went after Republican priorities, including the military.

It was a simple idea that now seems naÃ¯ve: Make the threat of forced cuts so onerous and undesirable that a deal on deficit reduction would be inevitable.

Instead of instigating a bargain, sequestration became the latest deadline-driven fiscal crisis to reinforce the dysfunction of Congress in tackling what legislators and economists call the biggest challenge facing the nation -- reducing chronic federal deficits and debt.

Chart: Real impact of cuts

Now, those sky-is-falling scenarios tied to the cuts seem to be in question, providing conservatives who seek to shrink government some political room to argue that it needs less money, not more, as Democrats argue.

To Stephen Fuller, director of the Center for Regional Analysis at George Mason University, both sides got some things right and others wrong. Forecasts show a rebounding economy in 2014 and 2015, with or without the cuts, he noted.

"I think both sides were gaming it," Fuller told CNN, noting that the long, slow recovery caused everyone to underestimate the resiliency of the economy.

Senate passes first budget proposal in four years

"Next year and the year after, I don't think people are going to care about" the sequester, he added.

One reason the impact has been less harsh than expected is that Congress and Obama agreed to change the rules for their implementation, effectively weaseling out of the penalty they previously agreed to for failing to compromise.

A spending plan through September 30 that Congress passed and Obama signed last month gave the military and some agencies more leeway for absorbing cuts.

Because of the change, the Pentagon has reduced furloughs of some civilian workers from an initial total of 22 days to 14, while the Justice Department has put off a decision on the furlough issue.

Other departments and agencies held down furloughs by freezing hiring, curtailing overtime and improving efficiency. Federal meat inspectors avoided furloughs altogether due to additional money for the Agriculture Department.

Some early steps to handle the spending cuts prompted headlines and controversy.

U.S. Immigration and Customs Enforcement released more than 2,000 low-priority undocumented immigrants in order to save money, and the Federal Aviation Administration announced it would close scores of control towers at smaller airports.

Overall, most Americans have yet to feel much pain.

While some international travelers have faced longer lines when entering the country, the overall impact on airport security and other travel functions has been less arduous than initially feared.

A CNN/ORC International survey two weeks ago found 11% of respondents were affected a "great deal" by the sequester and another 24% cited "some" impact, while 43% answered "none at all" and 21% said "not much."

Fuller noted that the cuts reduce planned spending for the rest of the current fiscal year and hold down increased spending over the coming decade. Put another way, the total amount of government spending 10 years from now would be no lower than it is today if the full impact of the cuts take effect, he said.

While the cuts will cause the equivalent in lost wages of 1.58 million jobs this fiscal year, the overall strength of the economy would easily overcome that hit and the effects of related austerity in coming years, Fuller said.

Program recipients and some industries and businesses linked to federal workers, such as the Washington Metro system and restaurants around the corner from government offices, would experience pain now, he said, but the cuts are "not going to shake the national economy to the core."

The issue remains a political fight in Washington.

Who's in the tower? At some regional airports soon, no one

Republicans are criticizing the Obama administration for overstating the impacts in an attempt to pressure them into a deal.

"There's a lot of questions about how the White House is handling the communications on this," House Speaker John Boehner said shortly after the cuts took effect on March 1.

In response to a recent administration request for states to reimburse some already allocated funds due to the sequester, 31 House members -- including four Democrats -- sent a letter last week calling the move "an obvious attempt ... to make the sequester as painful as possible."

Obama argues that anything to stunt economic growth as the recovery continues to struggle should be avoided. However, he may have lost some credibility after statements in the heat of the political battle in February that now seem overzealous.

"Federal prosecutors will have to close cases and let criminals go," the president said on February 19. "Air traffic controllers and airport security will see cutbacks, which means more delays at airports across the country. Thousands of teachers and educators will be laid off. Tens of thousands of parents will have to scramble to find childcare for their kids. Hundreds of thousands of Americans will lose access to primary care and preventive care like flu vaccinations and cancer screenings."

Ten days later, with a compromise unreachable and the cuts kicking in, Obama toned down the rhetoric.

"What's important to understand is that not everyone will feel the pain of these cuts right away," he told a news conference, later adding that "we will get through this. This is not going to be an apocalypse, I think as some people have said. It's just dumb. And it's going to hurt."

The bottom line, according to Thomas Mann and Norman Ornstein of the Brookings Institution, is that the damage from the forced spending cuts "will accumulate in less visible ways, as irrational reductions in public spending impede economic growth and job creation; reduce investments in education, infrastructure and scientific research; and further disrupt the routines of a modern democracy."

"The longer the sequester remains in place," they recently wrote in the Washington Post, "the more harm is inflicted."

Fuller agreed that it would take years to assess the full impact of the sequester's impact now, but said that in the end, renewed confidence would mean a growing economy and "we'll forget about it at some point."

Congress avoids shutdown, bickers over 2014 budget

CNNMoney's Jennifer Liberto contributed to this report.

@highlight

Congress and President Obama soften impact of $85 billion in spending cuts

@highlight

The Pentagon and federal agencies seek to minimize worker furloughs

@highlight

Economist: A strengthening economy means "we'll forget about it at some point"

@highlight

Critics accuse the Obama administration of political hype in warning of economic harm