(CNN) -- When I was 9, my mom gave us the devastating news: "Your dad has cancer."

I remember that day like it was yesterday. My brothers and I were gathered at the kitchen table as she broke the news to us. That was a defining moment; my life and focus were forever changed. My dad's diagnosis of a rare, aggressive form of prostate cancer made me quickly realize how little awareness there was for his disease.

Within 10 months, my dad, Michael Vinecki, was gone. I couldn't imagine just sitting around being sad. I knew I had to do something. So with the help of my mom, I formed a nonprofit called Team Winter.

I set out on a mission to raise global awareness for the cancer that stole my dad. I vowed to help prevent other families from going through what my family went through and continues to go through.

I can't remember a time when I wasn't competitive. At 5 years old, I was already winning triathlons and running races and competing against adults. I spent my winters tearing up the ski slopes and dreaming of being an Olympic skier.

At age 9, I completed my first Olympic-distance triathlon in less than four hours -- a distance many said I was too young for. It would be the last race where my dad would ever meet me at the finish line.

Movember: Why I'm growing the 'stache

His death fueled my passion and determination in a way very few athletes might experience. Since losing my dad, I have become not only a two-time IronKids triathlon national champion but also an ambassador to the sport of triathlon.
I love inspiring youth across America to live an active, positive and healthy lifestyle and to race not only for themselves but for a cause.

While speaking at a 2009 Prostate Cancer Foundation event, I made a promise to more than 100 of the best prostate cancer researchers of the world: "I will make certain that, in my lifetime, I will get a blue ribbon out there to match every pink ribbon!"

I have helped raise close to $400,000 to fund prostate cancer research and have athletes around the world racing for my cause.

Why can't doctors agree on PSA testing?

Now I have a new goal: to race one marathon on every continent. I have already completed the Eugene Marathon in Oregon in 3:45:04 and placed third overall female at the Amazing Maasai in Kenya.

Many have told me I'm too young to run these distances, to wait until I'm older. My dad waited until he was 40 years old to do the things he wanted to do and never got to do them. I'm more than capable now to do the things I do, so why put them off until tomorrow?

Tomorrow is never a given, as I have learned the hard way. I hope to encourage others to do the same and not let age be a barrier.

In 2013, I'm tackling Antarctica, the Inca Trail Marathon (labeled the "toughest marathon in the world"), Mongolia and New Zealand and will finish on the original course of Pheidippides in Athens in November.

Ironman champ: Your mind matters more

My goal is to be the youngest person in the world to complete a marathon on every continent before I turn 15, to honor not only my dad but the one in six men affected by prostate cancer.

I plan on showing my dad all these amazing places he never got to see. He is with me wherever I go, and you can bet he is by my side every step of the way as I conquer every continent, 26.2 miles at a time.

As for skiing, in June, I became the newest and youngest member of Fly Elite, the Olympic development team for aerial skiing. I train in Park City at the Utah Olympic Park and am a hopeful for the 2018 Winter Olympics in South Korea. But this training and vision comes at a great cost.

I now live year-round with a host family and must live apart from my three brothers and my mom. I spend up to eight hours a day training, on top of my daily school schedule. I will continue to cross train as a triathlete and will be exploring the Xterra series in 2013 with sights set on the World Championships in Maui this fall.

Six people who'll inspire you this year

I believe cross-training is the key to reducing injuries and burnout and has been one of the keys to my success as an athlete.
Despite all my athletic endeavors, I haven't forgotten about the most important thing, my education. I'm currently a freshman at the online high school EPGY (Educational Program for Gifted Youth), run by Stanford University.

My journey is not one I chose; it was a path laid before me. I feel my dad was meant to die so that Team Winter could be born and I could help change the face of prostate cancer awareness.

I hope I'm able to show others that if a 9-year-old girl from a rural town in northern Michigan can have an impact on the world, anyone can do the same.

I challenge people to not only dream but to dream big! My dream: to be a winter and summer Olympian.

Never give in!

Follow Winter on Twitter @TeamWinter or on Facebook

@highlight

At age 5, Winter Vinecki was already racing in triathlons against adults

@highlight

By age 9, she had completed her first Olympic distance triathlon in under 4 hours

@highlight

She's training to be an Olympic skier in Park City at the Utah Olympic Park