(CNN) -- If Facebook and Wall Street become friends, will you like it?

For the past couple of years, the potential for Facebook to go public has been bandied about a lot in tech circles, with more and more of the digital tea leaves suggesting that the social-networking juggernaut will, in fact, one day become a publicly traded commodity.

The speculation has heated up again this week. And, amid all the chatter about financial disclosures and initial public offerings, another question has emerged: What would it mean for the average Facebook user?

The Wall Street Journal this week quoted unnamed sources who said Facebook is "inching closer" to a public offering, in spring or early summer, that would value the company at more than $100 billion.

According to the report, Facebook would look to raise a staggering $10 billion during its initial public offering. A $100 billion valuation would price the social-networking giant at more than twice the value of tech institutions such as Hewlett-Packard Co. and 3M Co., the Journal reported.

A Facebook spokesman declined to comment for this article.

For folks who have followed Facebook's now-iconic rise from dorm-room project to online hangout for more than 800 million users, the money talk may be all well and good. But some of them say they are concerned that, when the stock shares start hitting the market, the ingenuity that built Facebook could disappear.

TechCrunch writer Josh Constine wasn't optimistic in a post bluntly titled "Why Greedy Stockholders and a $100 Billion IPO Could Hurt Facebook."

Constine argues that if Facebook becomes beholden to stockholders, the site would be less free to innovate and would need to make profit a more important consideration than user experience. In other words, it could mean more ads popping up on users' pages, for example.

"(O)utside stockholders could detract from Facebook's vision and momentum," he wrote. "They could push for faster returns, and pressure the company to display more ads, turn mobile into a direct revenue stream, and play it safe with product. This might produce short-term gains, but could hamper what CEO Mark Zuckerberg has built into a core communications utility for the world."

Constine cited Facebook changes such as the News Feed. It's hard to fathom now, but in 2006 when the site's centerpiece feature rolled out, it was a radical departure. And people hated it.

If short-term stock price had been the site's prime concern then, he says, Facebook may have hesitated to make such a change.

"Changes that disrupt user behavior and ask people to be more open might cause temporary stock price dips (stockholders) don't want," he wrote. "Instead, they could turn Facebook into Microsoft, slowing innovation and making it vulnerable to more agile competitors."

At ReadWriteWeb, Marshall Kirkpatrick had a more upbeat take, writing that a Facebook flush with new cash could be good for innovation.

"Why? Because the Facebook IPO could mean more and bigger startup acquisitions, more support for more startups and an infusion of smart money and experience into radically new tech experiments."

Kirkpatrick notes that Facebook's IPO documents would detail how it plans to spend the money it raises. "If the company signals then that more and bigger acquisitions are an important part of its strategy, that alone will be good news for startups," he wrote.

Sucharita Mulpuru, an analyst with Forrester Research who specializes in online commerce, has a take that jibes with some of both arguments.

"The biggest con of going public is quarterly investor scrutiny and the pressure that puts on short-term goals," she told CNN. "The biggest pro is generally the liquidity it offers shareholders, including employees, but in Facebook's case, that may not be such a big benefit as the shares are already being exchanged in the private market."

In a financial landscape dominated by quarterly earnings reports, she said it wouldn't be enough for Facebook to make money. To keep Wall Street happy, it would continually have to make more money than it did the quarter before.

"The impact on users is that Facebook will face significant pressure to grow quarter over quarter -- that may degrade the user experience if the way to achieve that is to blast more useless ads to users," she said. "The biggest challenge for Facebook over time will be to continue to engage users and not alienate them."

And about that $100 billion price tag? She says it's not out of the question.

"Even Groupon, which is horribly unprofitable and has a questionable business model, has a market cap now more than $10 billion," she said. "Is Facebook worth 10 times that? Yes, because it makes much more money than Groupon, has far fewer employees, a stronger management team and a clear target market in display advertising.

"On the other hand, is Facebook worth more than Google, or a third of Apple? That remains to be seen. We're not exactly in a rational market right now."

@highlight

Questions arise over what a publicly traded Facebook would mean to users

@highlight

Some fear a constant need to please stockholders would mean less innovation and more ads

@highlight

Others say a cash infusion would be good for startup companies Facebook may buy

@highlight

The Wall Street Journal: Facebook will go public next year at $100 billion valuation