(CNN)The other day, I searched through hundreds of photos hoping to find a starting point to write this article. Looking through old photos is usually an enjoyable experience -- coming across a wedding or remembrances of happy times with family and friends.

On this occasion, however, I found myself flipping through images from a devastating time we dearly wish had never happened but cannot afford to forget.

White sand beaches stained with black sludge, oil-choked waterways and wildlife, shuttered businesses, and front-lawn signs pleading for justice and help.

Five years after the Deepwater Horizon oil rig disaster that killed 11 people, devastated livelihoods and wreaked havoc on the already fragile natural resources of the Gulf of Mexico region, it's time to ask ourselves: What have we learned? And what are we willing to do make sure it doesn't happen again?

I spent much of 2010 in the Gulf, traveling through the communities, spending time with the people and witnessing the impact of this environmental catastrophe. Five years later, I returned to see what has changed and what has remained the same.

First, it's important to understand that the principle "out of sight, out of mind" doesn't apply in the communities of Gulf Coast states. The BP oil spill's legacy continues to haunt this region like a recurring cancer. On this most recent trip, I saw the ghostly remains of entire islands virtually swallowed up by the oil, and I learned about oystermen and fishermen whose livelihoods are still crippled by what happened five years ago.

Imagining Daddy: A rig worker's daughter and her dreams

Of course, that's not to say progress hasn't been made. Community groups and dedicated organizations have worked ceaselessly to restore and repair not only the physical environment, but also the way of life. This work is critical, and it deserves our attention and additional resources to continue to progress.

But make no mistake: Though a kind of normalcy has returned to the Gulf region and important progress has been made, the oil is still there.

What we do and don't know about the oil spill

A recent study from Florida State University estimates that up to 10 million gallons of that oil is still on the seafloor of the Gulf. (BP disputes the study).

Everything is not "back to normal."

So far, BP has spent more than $14 billion on cleanup, and despite its assurances that everything is recovering, we witnessed a crew on a beach in Barataria Bay (off Louisiana) digging up oily sand. Not what I would call recovered.

And while this kind of reflection is rarely pleasant, it is critical in order to avoid another tragedy on the scale of the BP spill, or potentially much worse.

It's important to note that for areas like the Gulf, which are already affected by drilling, many of the common-sense safety reforms called for by the National Commission  on the oil spill in January 2011 have yet to be implemented.

And yet, early this year, the Obama administration proposed a five-year offshore oil and gas drilling plan that, in addition to new areas in the Gulf, would open the southeast Atlantic Coast from Virginia to Georgia, as well as the majority of the wild Arctic to offshore oil and gas drilling.

In the case of the Arctic, one of the last pristine ocean habitats, oil companies have to admit that they aren't prepared to safeguard against the disasters that may take place if the plan is allowed to move forward.

Imagine what would happen if an oil spill occurred in a region where what little technology we have, like oil booms and controlled burns, is useless in the land of floating icebergs and catastrophic storms. In the case of the Atlantic Seaboard, the increase in severe storms and rise in sea level, as well as what is at stake from an ecological standpoint, don't paint a more optimistic picture.

We have a simple choice: Do we continue to make the same mistakes with a "business as usual" approach, or do we change the way we manage and use the resources the Earth provides us? I'm not saying the path forward is easy. It's not, but this is a challenge we need to embrace. Some solutions are relatively straightforward -- holding industry and our government responsible for human and environmental safety is certainly at the top of this list.

Taking the time and effort to understand our natural resources before we exploit them is another. Despite its importance to navigation, fishing, oil and gas development, and maritime safety, our understanding of how the Gulf system works remains extremely limited. Independent research free of corporate and government influence in the Gulf of Mexico is critical.

Projects like habitat mapping can result in countless ecological and economic benefits, such as improved assessments of fishery health, a baseline for tracking success of billions of dollars in restoration efforts, an essential foundation for modeling and monitoring the Gulf ecosystem, and a planning tool for better managing one of the hardest-working bodies of water in the world.

And, perhaps our biggest and most important challenge: We must continue to eliminate our dependence on fossil fuels by developing sustainable energy solutions, including solar and wind power, and the sustainable jobs and opportunities that follow the kind of pioneering innovation that makes America such a great country.

Not long after the spill began, I was speaking to a group of elementary school students with my environmental education nonprofit EarthEcho International. The students were all horrified and upset by what was happening in the Gulf. At the end of a question-and-answer session, I asked them, "Who is going to clean up this mess?"

All of them raised their hands and said in somewhat subdued unison, "We will."

I've told this story in the intervening years, and it's always given me a sense of hope.

Thinking of those young children now also steels my resolve to make sure they don't have to deliver on that promise.

The following local and national coalitions and organizations offer great starting points to become involved in the movement to restore the Gulf and its communities, and to make sure we take steps to prevent history from repeating itself: The Gulf Future Coalition, Ocean Conservancy, the Natural Resources Defense Council and the National Wildlife Federation.

@highlight

"Out of sight, out of mind" doesn't apply to communities along the Gulf of Mexico, Philippe Cousteau says

@highlight

We must take the time and effort needed to understand our natural resources, he says

@highlight

He says our understanding of how the Gulf works remains limited