(CNN) -- In his book "The Great Escape", a masterful account of just how much richer, healthier, and happier humankind has become in the last century alone, Princeton economist Angus Deaton makes the inescapable point that whenever some people move ahead the gap widens between them and those they leave behind.

The story of "material progress," he writes, "is one of both growth and inequality."

It is thus hardly surprising that inequality within societies, as well as between them, has become one of the most pressing issues of our time.

Many in the United States fear that we are developing the social structure of much of Latin America, with a small, fabulously rich elite facing off against the masses, hundreds of millions of people who see no ladder into the middle class.

And we seem to be facing a future of factories in which the work is done by robots and computers, with only a few highly skilled humans to make sure everything is running properly; of Downton Abbey redux where the highly pampered fortunate few employ an army of retainers to care for themselves and their property.

The jobs that created and sustained the middle class in the United States, at least, are nowhere in sight.

Buffeted by these forces, can capitalism itself survive?

That question was the theme of the 2013 World Economic Forum. Klaus Schwab summarized the results of that discussion in a blog post, declaring that "capitalism" is due to be replaced by "talentism."

He pointed out that capitalism is not an ideology of free markets and individual responsibility, but rather an economic system in which capital is the most important factor of production, requiring an infrastructure that allows it to be amassed and invested easily.

That economic system was a product of the industrial revolution, creating an economy driven by investment in large enterprises. Today, however, "capital is being superseded by creativity and the ability to innovate -- and therefore by human talents -- as the most important factors of production."

Geoff Mulgan, former economic adviser to Tony Blair, sees capitalism a little differently. He argues that it has always been two-faced in that it rewards not only "creators, makers, and providers" on the one hand, but also "takers and predators" on the other.

Our current system of capitalism has indeed never been more creative, but also never more predatory. Going forward, we must design rules to reward the creators and discourage the predators.

That is a lovely vision, at least for everyone who feels talented and creative. Certainly technology puts more at the fingertips of the world's creators, innovators, inventors and entrepreneurs than ever before.

We can start a business from our laps: Creating a website, hiring and communicating with employees, assembling services from accounting to payroll to marketing all on-line.

Technologists at the New America Foundation have developed a wireless mesh communication system that can be downloaded and installed by any community seeking to create a fast and effective intranet, for free.

The sharing economy allows individuals to make money out of renting rooms, cars, power mowers and snow blowers, and anything else they want to pass on to others, changing the underlying concept of what it means to "own" something in the first place.

Still, all creators are still riding on the backs of investors -- public investors.

Mariana Mazzucato, an economics professor at Sussex University, has just made a powerful case that new technologies from the iPhone to the GPS to immunizations have all been initially funded and incubated by government investment. Incubation is a nursery image, enabling an infant to survive and thrive.

States invest in their societies the way parents invest in children, not to create dependence but to enable independence.

A successful, competitive state recognizes the underlying social contract between citizens who pay taxes and governments that invest in the physical and legal infrastructure necessary for businesses to flourish, from roads to regulations.

Elizabeth Warren was right when she said that nobody in the United States "got rich on their own." They depended on roads, bridges, police forces, educated workers, and the other appurtenances of a modern industrialized state.

Ask anyone in a developing country without decent roads, much less enforceable rules. Or anyone riding the trains in the United States and contending with the continual delays, breakdowns, and speeds far slower than in Europe or Asia. Or passengers jouncing over the rutted streets of even Mayor Michael Bloomberg's New York.

But we don't just need a physical infrastructure. We need an infrastructure of care that invests in human capital.

Instead of the "nanny state," taking care of citizens from cradle to grave, we need both public and private investment to allow us to take much better care of each other.

Call it the "leg-up state," enabling parents to nurture the talent and potential of their children without taking their own talent and potential out of the economy. Supporting children as they work to help their parents remain independent, healthy, and productive for as long as possible at the other end of life.

Valuing and rewarding teachers, childcare workers, early education providers, coaches, nurses, therapists, social workers, community volunteers and members of any other caring profession.

The leg-up state is also the answer to growing inequality.

An economy that flourishes through large investments of financial capital into an infrastructure of both competition and care is much more likely to be an economy of genuinely equal opportunity, focused less on providing jobs than enabling individuals to create their own jobs.

The great escape of the 21st century need not be a zero-sum game. Those who have found a road to a still richer and more rewarding world can at least unlock the prisons and light the path for others to follow.

Read more: Hillary Clinton and the sisterhood

Read more: Meet the de Blasios, the new face of America

Read more: Ten women who shaped 2013

The opinions expressed in this commentary are solely those of Anne-Marie Slaughter.

@highlight

When people move ahead, the gap widens between them and those left behind

@highlight

As such, Anne-Marie Slaughter argues our system of capitalism has never been more predatory

@highlight

She says inequality has therefore become one of the most pressing issues of our time

@highlight

The world should create an "infrastructure of care" that invests in human capital, she says