Russia called for "stability and order" in neighboring Ukraine on Wednesday as thousands of protesters kept up their demonstrations against the government in Kiev.

Speaking to a visiting Ukrainian delegation in Russia, Prime Minister Dmitry Medvedev told Ukrainian Deputy Prime Minister Yuriy Boyko that Moscow was watching the events that have plunged its neighbor,  whom he called an important strategic partner to Russia, into a political crisis.

"We're watching what's happening in your country. It's an internal affair of Ukraine, though it's really important to have stability and order there," he said, according to Russian news agency RIA Novosti.

Thousands of demonstrators kept up the pressure on the Ukrainian government Wednesday, tightening their blockade of key Cabinet offices, angry about its U-turn away from integration with Europe.

In the biggest protests since Ukraine's Orange Revolution nine years ago, they have also stayed put in the main Independence Square as they demand new elections.

Prime Minister Mykola Azarov, who survived an opposition bid to topple his government  in parliament Tuesday, has called for a peaceful resolution to the crisis.

"We are open to dialogue, we are ready to discuss with peaceful demonstrators all terms of our agreements," he told parliament Tuesday, according to a government website.

Azarov said he was extending his hand to the opposition but warned that he was working from a position of strength: "If we find a fist, I say frankly, we have enough forces."

Azarov said the government is supported by most Ukrainians, who want the government to restore order "and continue the course to democratic transformation, to European integration."

But opposition leaders Vitaly Klitschko and Arseniy Yatsenyuk have called on President  Viktor Yanukovich, currently on a trip to China,  to sack the Prime Minister and his government by executive order. Klitschko, who gained fame as a boxer, vowed that the opposition would make sure its demands were met. Among those demands was for someone to be held responsible for the violence against the demonstrators, he said.

"It's not enough to tell just 'sorry,' it happens,' " Klitschko told CNN's Christiane Amanpour. "How many times do we have to listen to that?"

The battle over Ukraine: Towards a new geopolitical game

Blockades

Since the weekend, tens of thousands of protesters have been descending  on the capital's Independence Square to voice their anger, and demonstrations show no signs of abating.

The crowds have blocked the government's main headquarters, preventing employees from going to work. Some have also taken their protest to Yanukovich's office building.

The scenes are reminiscent of the 2004 Orange Revolution -- a populist movement that booted Yanukovich, then Prime Minister, from office.

"I hope they (the demonstrators) will be able to keep this up," Volodymyr Valkov, 26, told CNN, speaking from the western town of Lviv, where he said protesters had taken to the streets as well. "The Orange Revolution has provided for things to happen."

The protests have been largely peaceful, though violence flared Sunday when demonstrators using a bulldozer were met with stun guns and tear gas as they tried to push through barricades at the President's administration building.

That night, police chased and beat protesters with batons. Dozens were hurt on both sides.

NATO has condemned the use of violence against the demonstrators and called on all parties to refrain from violence.

"Obviously we fully respect Ukrainian decisions on their alliance affiliations and to which organizations they want to belong or with which organizations they want to cooperate," NATO Secretary General Anders Fogh Rasmussen said. "But I would expect such decision-making processes to be truly democratic."

In Brussels, Belgium, U.S. Secretary of State John Kerry said there was "very powerful evidence" that Ukrainians want to be associated with the European Union. "We stand with the vast majority of the Ukrainians who want to see this future for their country," he told reporters.

U.S. Assistant Secretary of State Victoria Nuland is to visit Ukraine on Wednesday, he said, adding that he himself was looking forward to visiting the country "when it too gets back on the path of European integration and economic responsibility."

Yanukovich told reporters on Monday he supports a peaceful resolution to the "questions brought on by our citizens."

But he also warned his opponents: "As for the politicians participating in this, I consider any radicalization of the political process will only have negative consequences."

As the protests grip the nation -- split between pro-European regions in the west and a more Russia-oriented east, Ukraine's central bank said it would seek to maintain financial stability.

In a video statement, National Bank of Ukraine chairman Ihor Sorkin urged depositors to have confidence in the banking system and not withdraw their savings.

Opinion: Beware Russia's power play in Ukraine

The cause of the protests

At the heart of the protests is Ukraine's about-face after a year of insisting that it would sign a political and trade agreement with the European Union.

Last month, Kiev suspended talks with the EU, angering many Ukrainians, who say the agreement would have opened borders to trade and set the stage for modernization and inclusion.

Chief among Yanukovich's reasons for backpedaling was Russia's opposition to it. Russia threatened its neighbor with trade sanctions and steep gas bills if it forged ahead with an EU deal, but promised deep discounts on natural gas if it were to join the Moscow-led Customs Union instead.

Yanukovich was also facing an EU demand that he was unwilling to meet: Free former Prime Minister Yulia Tymoshenko, his political opponent. The Orange Revolution that swept him from office also swept Tymoshenko to power.

Two years ago, she was found guilty of abuse of office in a Russian gas deal and sentenced to seven years in prison in a case widely seen as politically motivated. Her supporters say she needs to travel abroad for medical treatment.

Russian President Vladimir Putin dismissed the protests Monday, saying they are unrelated to Ukraine's turn away from the European Union. He called them reminiscent of a "pogrom" rather than a revolution and an effort by the opposition to destabilize the government,  RIA Novosti said.

Yanukovich on Monday asked the European Commission to receive a Ukrainian delegation to discuss "some aspects" of the agreement Kiev had been expected to sign, according to a statement from Brussels.

Commission President Jose Manuel Barroso acceded to the request but noted that the commission was not prepared "to reopen any kind of negotiations."

@highlight

Russia says it is watching events in Ukraine

@highlight

It says the protests in Ukraine are an "internal matter" but calls for "stability and order"

@highlight

Thousands of protesters are still in the streets of Kiev

@highlight

They oppose Ukraine's about-face on EU trade deal and want new elections