(CNN) -- As temperatures drop and days shorten in the northern hemisphere, it can only mean one thing: the European ski season is almost upon us.

With so many options -- both in terms of chalets and resorts -- and a huge range of prices to navigate, it's all too easy to book the wrong thing. Whatever your skill level, group size or budget, here are some of Europe's best mountain lodges for the coming season.

San Lorenzo Mountain Lodge, Dolomites, Italy

Lodge: Built in the 16th century as a bishop's hunting lodge, San Lorenzo Mountain Lodge is now a family-run, four-bedroom mountain retreat where everything is done to the very highest level.

There's a helipad (which means a seven-minute commute to the slopes), a wine cellar in what was the old goat shed (now goat-free and stocked with 1,500 bottles of local wine) and a mini-spa complete with a Finnish sauna and Turkish bath. At 1,200 meters above sea level, the panoramic views of three valleys are best enjoyed from the heated outdoor whirlpool.

Running away from home for the holidays

Resort: Ideal for beginners or pros, the Italian Dolomites have 1,500 kilometers of skiable slopes.

Best for: A splash-out, outdoorsy, foodie ski holiday.

Price: From €2,400 (US$3,100) per day.

Contact: Locality Elle 23 39030, San Lorenzo di Sebato, Italy; +39 (0) 474 404042; www.sanlorenzomountainlodge.com

Chalet Marithé, Chamonix, France

Lodge: With six en-suite bedrooms and an al-fresco hot tub, Chalet Marithé is perfect for groups of friends.

A short walk from Chamonix's bars and restaurants, the chalet itself is secluded, so no need to worry about keeping the noise down. Sun worshipers should make for the first-floor balcony to soak up some rays while admiring the peaks and glaciers.

Resort: With four different ski areas, Chamonix has no shortage of slopes. Skiers up for a challenge can book a glacier guide and take on the Vallée Blanche.

Best for: Extended families or groups of friends.

Price: From €3,500 (US$4,533) per week.

Contact: 15 Chemin Des Fontanettes, La Frasse, Chamonix Mont-Blanc, France; +44 (0) 7920 445826; cruchaletschamonix.com

The Mooser Hotel, St Anton, Austria

Lodge: In a 300-year-old farmhouse, The Mooser Hotel is best known for its adjoining après-ski bar, the MooserWirt.

Packed with Euro-pop-loving, table-dancing, Jägerbomb-drinking skiers, the bar is lively until closing time at 8 p.m. This is the cue for hotel guests to retreat through a secret door into a haven of white interiors, soft beds and a spa with multiple saunas and an outdoor pool.

Hottest travel spots in the U.S.

Resort: St. Anton is geared for hard-core skiers and hard-core partiers.

Best for: Anyone who wants to party and be pampered.

Price: From €110 (US$142) per person per night.

Contact: Unterer Mooserweg 2 6580 Sankt Anton am Arlberg, Austria; +43 (0) 5446 2644; www.mooserhotel.at

Monte Rosa Hütte, Zermatt, Switzerland

Lodge: With its glass and aluminum walls, the Monte Rosa Hütte almost melts into the Swiss and Italian Alps that surround it.

Simple and functional, 18 mini-dormitories (each with three bunk beds) are spread over three floors. The all-Swiss design creates 90 percent of its own energy with a stack of solar panels generating electricity and hot water, which, of course, comes from snow. The 10 p.m. curfew reminds you this is a functional mountain hut -- count yourself lucky there's a sauna.

Resort: Zermatt has 350 kilometers of slopes, including the Klein Matterhorn which, at 3,820 meters, is Europe's highest lift-serviced summit.

Best for: The adventurous and active.

Price: From CHF30 (US$32) per night.

Contact: Reachable only by foot, ski or helicopter, the Monte Rosa Hut sits at an altitude of 2,795 meters near the Swiss resort of Zermatt. Book via Zermatt Tourismus: +41 27 966 8100; www.zermatt.ch

Chalet Auriane, La Tzoumaz, Switzerland

Lodge: Split over two floors with views across the Rhone valley, Chalet Auriane sleeps 12 guests.

Fashioned from local stone and wood, this ski-in lodge has all the luxury extras: sauna, hot tub and private funicular that delivers you from slope to door and vice-versa. Full of quirky touches, such as a full-size papier-mâché tiger and white reindeer heads wearing ski goggles, the interiors come from London designer Hugh Berry, the genius who designed the inside of Fortnum & Mason.

Resort: The Four Vallées have 410 kilometers of runs and 89 lifts, all of which are covered by a single lift pass.

Best for: Families or groups of friends.

Price: From €1,021 (US$1,322) per person per week fully catered, excluding transfers.

Contact: La Tzoumaz, 4 Vallées, Switzerland; +44 (0) 7903 018 549; www.chaletauriane.com

Petite Marmotte, Courchevel, France

Lodge: A converted hay barn sitting on the slopes, the Petite Marmotte is Courchevel's only chalet for two.

Rustic, snug and romantic, this is a refuge where you can get back to basics -- cooking for yourself, sitting by the wood burner and snuggling up under the eaves. It's an antidote to the glitz of high-end lodges.

Resort: Courchevel has 10 black runs, 38 reds, 27 greens and 44 blues. There's also a runway on the slopes, so the super-rich can arrive in style, sans transfer.

Best for: Couples.

Price: From €2,000 (US$2,590) per week for full chalet including breakfast.

Contact: Courchevel 1650, Three Valleys, France; +33 (0) 637 343 875; www.leportetta.com

Disney World's New Fantasyland opens

Le Petit Relais, Gstaad, Switzerland

Lodge: New this season, Le Petit Relais is a two-star ski-in, ski-out chalet.

The traditional wooden exterior contrasts with 11 bright, modern bedrooms. Compact and modern, this family-run hotel is changing the face of a traditionally high-end resort, opening it up to skiers on a budget. Food is simple, seasonal and homemade by the hostess.

Resort: This winter's new SuperPass means cheaper access to Gstaad's 220 kilometers of slopes.

Best for: Families or anyone on a budget.

Price: Double rooms from CHF80 (US$86) per person per night.

Contact: Familie Solveig Lanz and Thomas Kernen, Alte Strasse 8, 3777 Saanenmöser-Gstaad, Switzerland; +41 (0) 33 744 75 05; www.lepetitrelais.ch

@highlight

San Lorenzo Mountain Lodge features a seven-minute helicopter ride to the slopes

@highlight

The Mooser Hotel's bar is known for its table-dancing, Jägerbomb-drinking skiers

@highlight

The Monte Rosa Hütte creates 90 percent of its own energy with a stack of solar panels

@highlight

New this season, Le Petit Relais is opening Gstaad up to the budget conscious skier