Hong Kong (CNN) -- Malaysia's ruling party has extended its decades-long grip on power after one of the country's most hotly contested parliamentary votes.

Prime Minister Najib Razak's Barisan Nasional coalition has ruled Malaysia for 56 years. Razak, the son and nephew of former prime ministers, has been in office since 2009 and appears to have won a new mandate in Sunday's vote, according to results from Malaysia's electoral commission, which reported the coalition won 133 seats in parliament.

Razak's leading challenger, Anwar Ibrahim, and his Pakatan Rakyat party -- which won 89 seats, according to the commission -- have not yet conceded the vote, however, alleging widespread vote-rigging before and during the election.

Turnout was high, with the election commission saying 80% of eligible Malaysians have voted. The weeks leading up to Sunday's poll saw reports of firebombs, texted death threats and beatings. Just days before polling booths opened, the potential for voter fraud was being alleged after reports that indelible ink used to mark the fingers of advance voters was washing off with water.

"The whole purpose of introducing indelible ink is to cut off multiple voters -- that is now being compromised by low quality ink," said Maria Chin Abdullah from BERSIH 2.0, which campaigns for electoral reform.

"The election commissioner had the cheek to tell us they forgot to shake the bottle. How ridiculous can that be, right?"

In a bid to end the claims, Malaysia's election commissioner staged a public demonstration Thursday to prove his assertion that the ink could not in fact be washed off.

Other allegations surfaced Sunday, with Ibrahim's party and election observers alleging the government exchanged cash for votes and brought in foreigners to cast their ballots in favor of Barisan Nasional.

The ruling coalition disputed the allegations and said the vote was free and fair.

Ibrahim, a former finance and deputy prime minister, served time in prison on corruption and sodomy charges which he says were politically motivated. The first sodomy charge was overturned in 2004 and in January 2012 he was acquitted of a second charge of sodomy, a serious offense in Malaysia which carries a sentence of up to 20 years in prison.

Ethnic tensions bubble beneath vote

In a hard-fought campaign, both parties tried to entice voters with promises of generous government spending, though analysts say it's ultimately a choice between old and new, the status quo and an untested opposition.

"Both manifestos actually do not contain anything policywise; there are just little giveaways, they promise you this, promise you that but there's not much policy difference between both of them," said James Chin, professor of political science at the Malaysian campus of Australia's Monash University.

Bubbling under the surface is racial tension that has divided the country ever since Barisan Nasional introduced policies in the 1970s to favor ethnic Malays. The country's constitution effectively splits the country between Bumiputera, or ethnic Malays, and natives of Sarawak and Sabah, and citizens of mostly Chinese or Indian descent.

According to the CIA World Factbook, just over 50% of the country is Malay, while Chinese make up 23.7% and Indians 7.1%.

There are set government quotas on how much of the country's wealth should be held by Bumiputera. They are entitled to discounts on housing and must be offered enough stock in a company if it wants to be listed on the stock exchange.

The policy has created discontent that the opposition harnessed in its campaign, saying the policies must be reformed to create a more open society. But one analyst said a PR win would not mean wholesale change.

"Anwar and Pakatan Rakyat are realistic enough to know that if they try to change the foundation of the state then the Malays won't vote for them. They will fine-tune the system so that the system reflects more on need rather than race," Chin said.

What's important to voters, says BERSIH's Chin, is whether the election is perceived to be free and fair.

"It's not just the results, people are judging them on whether there is going to be any fair play," she said. "If there is none, people will be very angry. I'm not sure what the people will decide to do -- it is really up to the people to take charge."

A poll released by the University of Malaya Centre of Democracy and Election last week suggested that more than 60% of voters surveyed favored Pakatan Rakyat. However, the government dismissed the poll and said its own survey showed it was out in front, according to local news websites.

Chin of Monash University said voters' response to a potential Barisan Nasional victory will depend on how many of the 222 federal seats it can win.

"If Najib gets within the range of 140 to 150 (seats) people will just give him the benefit of the doubt. But if he goes above 180 they will be demonstrating in the streets. The population will not accept that he has a majority," he said.

From egg-throwing to bombs

The rate and severity of election-related attacks escalated since parliament was dissolved on April 3.

On Thursday, Human Rights Watch urged both coalition parties to "rein in their supporters," who it said had graduated from egg-throwing and paint-smearing to physical assaults and bomb attacks.

And along with the violence, the group said that cyberattacks had been directed at a number of Malaysian news websites, restricting access to reporting on the election within the country.

"Ensuring everyone can access information without interference is critical if there is to be a level political playing field in Malaysia," said Phil Robertson from Human Rights Watch. "The government has a duty to investigate and shut down all cyberattacks, interference with ISPs, and hacking so that freedom of expression and the right to receive information is preserved."

Foreign investors were anxious about the election outcome because despite concerns about Malaysia's gaping fiscal deficit, the country's economy has performed relatively well amid the global slowdown.

The World Bank expects Malaysia's GDP to grow 5% this year, boosted by capital projects and domestic spending, as citizens make use of civil servant wage increases and government handouts.

@highlight

NEW: Ruling coalition returned to power, results show

@highlight

Opposition leader Anwar Ibrahim has not conceded the race

@highlight

Barisan Nasional has been in power for more than 50 years

@highlight

Allegations of vote-rigging have marred the election