(CNN) -- Want to ride an elevator into space? While the idea has been around for more than 100 years, a breakthrough in nanotechnology could mean we will be riding into space on a cable made of diamonds.

Scientists at Penn State University in the US released a research paper last month that showed the way forward to producing ultra-thin "diamond nanothreads" that have a strength and stiffness greater than that of today's strongest nanotubes and polymers.

John Badding, professor of chemistry at Penn State University, told CNN his team had made the breakthrough while examining the properties of benzene molecules and that it took 18 months of study to make sense of what the team had been seeing.

"It is as if an incredible jeweler has strung together the smallest possible diamonds into a long miniature necklace," Badding said. "Because this thread is diamond at heart, we expect that it will prove to be extraordinarily stiff, extraordinarily strong, and extraordinarily useful."

Benzene breakthrough

The experiments involved putting benzene -- a liquid -- under compression to form a solid material.

"What we found was that because our experiment compressed the benzene much more slowly than had been done before, these new materials formed," he said.

"Everybody thought that the benzene molecules would link together in a way that was very disorganized, like a glassy amorphous material.

"Instead, what caught our attention was that our experiments told us there was order in the benzene and that was the shock," he said.

That all this occurred at room temperature was a further shock to the research team.

Under pressure

He said the scientists worked to test the hypothesis that when benzene molecules break under high pressure, their atoms want to grab onto something else but can't because the pressure removes the space between them.

"This benzene then becomes highly reactive so that, when we release the pressure very slowly, an orderly polymerization reaction happens that forms the diamond-core nanothread," he said.

What results is a material that is the strongest and stiffest known to science, but is also very lightweight.

"One of our wildest dreams for the nanomaterials we are developing is that they could be used to make the super-strong, lightweight cables that would make possible the construction of a "space elevator" which so far has existed only as a science-fiction idea," Badding said.

Next stop... outer space

The Japanese construction company Obayashi is already investigating the feasibility of a space elevator, envisioning a space station tethered to the equator by a 96,000km cable made of carbon nanotechnology.

The space station would orbit the earth in a geostationary position with the cable held taut through the centrifugal force of the earth's rotation - in much the same a hammer thrower spins the hammer at the Olympics.

Robotic cars with magnetic motors would take seven days to reach the space station, lifting cargoes and people into space at a fraction of the current cost.

According to the International Space Elevator Consortium (ISEC), space payloads would cost in the order of just hundreds of dollars per kilogram rather than the current $20,000 a kilogram that rocket technology costs.

The key is in the small scale

At the core of the project is the nanotechnology that would make cables from a material harder and stronger than any currently found on Earth.

A 2.5-inch thick cable made from carbon nanotechnology could lift the equivalent of three International Space Stations per day into orbit, according to ISEC.

"The tensile strength is almost a hundred times stronger than steel cables so it's possible," Yoji Ishikawa, a research and development manager at Obayashi told the Australian Broadcasting Corporation.

"Right now we can't make the cable long enough. We can only make 3-centimeter-long nanotubes, but we need much more ... we think by 2030 we'll be able to do it."

Goodbye, rocket man

A space elevator is not the only non-rocket technology being investigated as a means of getting man-made objects into space.

In the past NASA has examined everything from high-velocity artillery to rail-launched maglev projects as a way of getting objects into space.

Physicist Stanley Starr of NASA's Kennedy Space Center said for the time being, NASA's emphasis is on developing exploration technologies to be used once a craft is already in space.

"And there are many challenges in that area," Starr told CNN.

Nevertheless, the space agency continues to look at systems -- some of them quite bizarre such as the Slingatron -- that could achieve orbit without the use of fuel-hungry rocket systems.

"The space elevator is an interesting concept but will require a breakthrough in materials or the addition of a totally new concept to make it work. I don't foresee space elevator working in my lifetime," Starr said.

"I briefly looked at the Slingatron concept and don't believe it is feasible."

When physics gets in the way

Certain problems of aerodynamics and physics, he said, persist despite technological advances. While some concepts that use high velocities -- such as super artillery -- can work, balancing the greater aerodynamic forces with problems of heating remain.

"For example if you directly launch a small satellite out of a cannon with enough velocity to reach orbit, the projectile will probably be destroyed by the heat and stress," he said. "If not, most of your mass is devoted to the structure and not much to the working payload."

Even so, he said NASA has not abandoned the idea of a non-rocket launch.

"I believe NASA will eventually invest in advanced non-rocket launch technology, but I don't think it will be very soon," Starr said.

"I would like to NASA establish a group, preferably networked from a number of NASA centers, that is actively looking new launch technologies and making recommendations for new investigations."

Read more from Tomorrow Transformed:

Can this one-wheeled wonder change the way you commute to work?

The "green man" in your traffic lights just got new super powers

Finally, a flying car for everybody?

@highlight

Developments in nanotechnology could make an elevator to space possible

@highlight

A cable of carbon nanotechnology could tether a space station to earth

@highlight

Scientists at Penn State University have created 'diamond nanothreads'

@highlight

The ride up into space would take seven days, but would cost a fraction of current methods